(Time.com) -- How much would it take for you to consider selling your bone marrow? A U.S. appeals court puts the price at about $3,000 in a ruling that now makes it legal to pay donors for their bone-marrow tissue.

The court's decision may well help thousands of sick patients who need bone-marrow transplants to survive, but it also begs the question, What other body parts might next be up for sale?

The ruling came about at the end of 2011, in a decision to an October 2009 lawsuit brought by a group of cancer patients, parents and bone-marrow-donation advocates against the government over the federal law banning the buying and selling of bodily organs. The plaintiffs were led by Doreen Flynn, who has three daughters who suffer from Fanconi anemia, a blood disorder that requires bone-marrow transplants to treat.

Flynn and the other plaintiffs said that too many such patients die waiting for transplants and argued that we should be allowed to pay people to donate their marrow as a way of ensuring a more reliable supply. The U.S. Court of Appeals for the Ninth Circuit agreed.

Time.com: Facebook now lets organ donors tell their friends

At the core of the plaintiffs' argument was the National Organ Transplantation Act (NOTA), which since 1984 has forbid the buying and selling of human organs, including bone marrow. But new developments in bone-marrow extraction have made marrow donation not much different from donating blood.

Traditionally, bone-marrow donation required anesthesia and long needles to extract the marrow from the hip bones of donors. Now, a technique called peripheral apheresis allows doctors to extract blood stem cells directly from the blood, instead of the bone -- patients first take a drug that pulls stem cells from the bone and into the blood -- meaning that the marrow cells should be considered a fluid like blood, rather than an organ, the plaintiffs argued. NOTA doesn't prohibit payments for blood or other fluids, such as plasma or semen.

U.S. Attorney General Eric Holder decided not to ask the Supreme Court to review the appellate court's decision, which would have been the next step in overturning it. That means the ruling stands -- and that people can now be paid up to $3,000 for their marrow, as long as it is collected by apheresis. In a concession to the spirit of NOTA, however, the compensation can't be in cash; it needs to be in the form of a voucher that can be applied to things such as scholarships, education, housing or a donation to a charity.

While the decision applies only to the nine states covered by the Ninth Circuit court, and only to bone marrow obtained through apheresis, it does raise bigger questions about how we will look at organ donation in the future. With about 114,000 people waiting for organs in the U.S. alone on any given day, and only 3,300 donors, the urgent medical need runs up against moral standards of the value of human life. Once we start paying for the parts we need, though, how far do we go?

"We don't allow people to buy and sell human beings, that's slavery," says Dr. Robert Klitzman, director of the bioethics program at Columbia University. "Should we allow people to buy and sell human body parts?"

Time.com: Where do (some) babies come from? In Washington, a new law bans anonymous sperm and egg donors

Of course, certain body parts are already up for sale. Aside from sperm and plasma, donors can also be paid for their eggs and hair. But by expanding that list, the court's ruling reopens the long-standing ethical debate over the commercialization of human tissues. For now, legally "sellable" human body parts aren't ones that could be used to cure fatal diseases, which prevents a market frenzy.

But if the bone-marrow case starts changing that -- and experts say it could -- it might jump-start a dangerous trend in which lower-income groups were disproportionately targeted or incentivized to give up their marrow and people with rarer blood types demanded more money for their valuable cells.

Still, the benefits of compensating people for providing cells like bone marrow -- which the body replaces and which involves a relatively safe extraction -- may be wide-reaching, as Flynn and the plaintiffs argue. "In some sense, this is a policy experiment, and it could potentially be groundbreaking," says Jeffrey Kahn, professor of bioethics and public policy at the Johns Hopkins Berman Institute of Bioethics. "If we compensate donors who give by apheresis and more people end up receiving [blood-] stem-cell transplants, maybe we should think about this for other kinds of donations."

Already, he points out, there is international trade for other organs. Websites allow people to find matching donors for kidneys, for example (people are born with two kidneys, but can live with one), and U.S. patients travel to developing nations to obtain transplants. There isn't supposed to be compensation, but it's hard to regulate such exchanges.

Time.com: Britain lifts ban on gay men donating blood. Could the U.S. be far behind?

Nevertheless, selling tissues or organs may not be the logical first step in addressing the disconnect between supply and demand. Klitzman notes that there are other changes we can make to U.S. organ-donation policy that might improve giving rates. In Spain, for example, all citizens are organ donors by default; those who don't wish to participate must opt out. In the U.S., in contrast, people must voluntarily opt in to give, which could be a deterrent.

Even within such systems, there are incentives that can entice donors. In Israel, for example, family members of donors are given priority on the waiting list of organs should they need one. "To me, it's not clear that the current decision means we should overturn NOTA," says Klitzman. "I personally think we should have the debate about whether there are creative ways of enhancing donation of organs."

Certainly, if the goal is to improve the supply of much needed tissues without toeing an ethically troublesome line, those options are probably worth pursuing.

This article originally appeared on Time.com:

A court allows payment for bone marrow. Should people be able to sell their parts?

Park is a writer at TIME. Find her on Twitter at @aliceparkny. You can also continue the discussion on TIME's Facebook page and on Twitter at @TIME.

@highlight

U.S. appeals court rules that donors may sell their bone-marrow tissue

@highlight

Plaintiffs argue that paying people for their tissue may encourage a greater supply of it

@highlight

Ruling only applies to marrow collected through the blood stream

@highlight

Experts worry those in low-income brackets might try to sell other body parts