(CNN) -- Federal authorities have launched a criminal investigation into the practices at the company linked to a fungal meningitis outbreak blamed for 23 deaths, Massachusetts Gov. Deval Patrick told reporters Tuesday.

In addition, the Board of Registration in Pharmacy has voted to revoke permanently the New England Compounding Center's license to operate in Massachusetts as well as the licenses of the company's three principal pharmacists, Patrick said.

The announcements came in the wake of a damning nine-page report, released Tuesday by the board, which is part of the state's Department of Public Health.

Investigators for the state's DPH, working with their counterparts at the U.S. Food and Drug Administration, "identified serious deficiencies and significant violations of pharmacy law and regulations that clearly placed the public's health at risk," it said.

According to the investigator's preliminary findings, the Compounding Center:

-- Distributed large quantities of its products to facilities, "apparently for general use rather than requiring a prescription for an individual patient" as state law requires.

-- Distributed two recalled lots of methylprednisolone acetate before it had learned the results of sterility tests.

-- Did not follow proper sterilization standards.

-- Produced vials of methylprednisolone that were later recalled that contained "visible black particulate matter."

-- Failed to thoroughly clean powder hoods, which are intended to protect pharmacists from inhaling substances while medication is being prepared, which "may subsequently lead to contamination of compounded medications."

-- Used "visibly soiled" mats outside "clean rooms," potentially leading to their contamination.

-- Failed to repair a leaking boiler adjacent to the clean room, which resulted in a pool of water around the boiler and adjacent walls creating an unsanitary condition.

Patrick said the state would begin making unannounced inspections of pharmacies that prepare injectable medications and require that they submit annual reports detailing what they produce, how much of it and where it is distributed.

"It is now clear that the New England Compounding Center violated state law and endangered the health of countless patients," said U.S. Rep. Edward J. Markey, D-Massachusetts, in a statement.

The senior member of the Energy and Commerce Committee, which has jurisdiction over the FDA, vowed to introduce legislation to improve safety of drugs made by compounding pharmacies.

The incident began unfolding on September 24, when the department said it was notified about a cluster of six rare fungal meningitis cases in Tennessee. The patients shared several risk factors, including an epidural injection of a steroid -- methylprednisolone acetate 80 mg/ml preservative free -- that had been compounded at NECC in Framingham, Massachusetts.

The department soon learned that the suspect product had been distributed to more than 14,000 patients in 23 states.

Investigators arriving at the company on September 26 "found NECC employees cleaning sterile compounding areas and and conducting environmental testing," the report says. "DPH investigators also detected signs of bleach decontamination in the compounding areas."

DPH has asked two other companies -- Ameridose and Alaunus Pharmaceutical -- to cease all pharmacy operations based on their shared ownership and leadership with New England Compounding Center.

On October 15, federal authorities said that another NECC steroid injection, triamcinolone acetonide, might have caused a patient to acquire fungal meningitis, and they began contacting all 192 state facilities that received any NECC injectable products.

Three days later, the FDA confirmed that sealed vials of methylprednisolone acetate had been contaminated with fungi.

On Monday, the board authorized DPH staff to seek the permanent surrender of the licenses of the NECC principals, who are prohibited from practicing pharmacy throughout any appeals.

"NECC's transparency in dealing with the board since inception in 1998 demonstrates its good faith intention to operate in compliance with the requirements of its license," said Paul Cirel, a Boston-based lawyer representing the compounder, in a statement on Tuesday.

"Furthermore, the company's intention and best efforts at compliance are equally applicable in every other state in which it has been licensed."

Tuesday's events came a day after the Food and Drug Administration posted on its website a list of more than 1,200 hospitals and clinics that it said had purchased drugs from the compounding center that, if contaminated, would be especially dangerous.

But the agency took down the list after discovering inaccuracies.

"FDA has found some technical problems with the list and the data are incorrect," the agency said in a statement on its website. "FDA is working to correct the list and will re-post when we are sure it is accurate."

Tennessee has been the hardest-hit state in the meningitis outbreak, with 70 cases as of Tuesday, according to the Centers for Disease Control and Prevention.

Michigan is a close second, with 68 cases as of Tuesday. In all, 308 cases have been tallied.

CNN's Elizabeth Cohen and John Bonifield contributed to this report

@highlight

Massachusetts governor cites revocation of company's license to operate in the state

@highlight

New England Compounding Center linked to deadly fungal meningitis outbreak

@highlight

NECC's three principal pharmacists are also losing their licenses, he says

@highlight

Announcement comes in the wake of a damning report by the Department of Public Health