LONDON, England (CNN) -- There are some circuits that are cornerstones of the Formula 1 calendar: the Monacos and Silverstones whose every twist and turn are known intimately by the drivers and engineers. Then there are the newer circuits -- Malaysia and Bahrain, for instance -- but even these have become familiar to the drivers and their backroom boffins.

Fuji Speedway employees pose behind a scale model of the new circuit and in front of an overhead view.

Next week they have something completely new to contend with: a track that has yet to see a single F1 team put in a single lap. The Japan Grand Prix is to return to the Fuji Speedway, a circuit that hasn't seen an F1 race since 1977 (though now with a substantially different track layout).

The Fuji circuit will be familiar to fans of classic arcade games. The old Fuji Speedway was the setting for the 1982 arcade game Pole Position (released by Namco in Japan and Atari in the rest of the world). The most notable aspect of the circuit is the vision of Mount Fuji, Japan's tallest mountain, looming in the distance. Though the move to this picturesque location is not without its controversies.

The Suzuka track -- which had held Japanese Grands Prix between 1987 and 2006 -- had been popular with drivers and fans alike, but for this year and the next the Japanese Grand Prix will be held at Fuji.

However an announcement by Formula One Management (FOM) this month revealed that Suzuka will return to the calendar for 2009 -- on the condition that the circuit makes some approved modifications -- with the location of the Japanese Grand Prix alternating yearly between Fuji and Suzuka after that.

Behind the scenes is a political battleground -- both circuits are owned by car manufacturers with F1 connections -- Honda owns Suzuka, Toyota owns Fuji. Toyota is a relative newcomer to F1 but, having this year surpassed General Motors as the world's number one automobile manufacturer, and reputedly having the best funded team in the paddock (a position that hasn't been reflected in sporting success), it is not without clout.

The redesign of the Fuji track was carried out by Hermann Tilke in 2003. Tilke, a German architect redesigned a number of F1 circuits in the 1990s and has since designed many new grand prix tracks including Malaysia, Istanbul, Bahrain and Shanghai, and the tracks for 2008's debut grands prix in Singapore and Valencia.

So how do F1 teams prepare for a new circuit such as Fuji without data from previous races to fall back on? The answer lies with computer simulation.

Computer-aided design (CAD) is as much a part of the design of a circuit these days as it is a part of the design of the high-tech cars. Every bend, every straight and every camber is fastidiously analyzed on screen before an ounce of dirt is shifted on the ground itself.

Despite never having raced on the circuit, the teams have been testing their cars on a virtual Fuji Speedway for some time. BMW Sauber's simulation experts received CAD data from the Japanese race organizers late last year. And when their cars arrive at Fuji for testing next week, their race set-up should be close to optimum.

The circuit was analyzed and broken up into between 500 and 800 segments. The radius of each individual segment was measured, allowing the engineers to exactly calculate the optimum racing line (the route around the circuit that covers the shortest possible distance).

Then the effects of factors such as gradients and inclines were calculated. The slightest change in angle of a gradient can have significant effects on the downforce and aerodynamic profile of a car.

"In order to avoid losing precious time during the race weekend, we need to have as accurate as possible a picture of downforce levels, gearbox ratios and brake specification in advance," says Willy Rampf, Technical Director of the BMW Sauber F1 Team.

Dieter Glass, Chief Race and Test Engineer with Toyota F1 explains:

"You start to determine what downforce level gives the best lap time on the new circuit. Once you know that, you look into which gear ratios suit the track with the given level of downforce, before you get into more detailed simulations of different set-up solutions.

"Getting a bit closer to the weekend, you start running race simulations in order to predict the optimum race strategy. This prediction takes into account estimates of relevant characteristics of the new track, like the degradation of the two Bridgestone tire compounds and the effect the fuel has on lap time. If you have more fuel in the car, this affects your lap time, but we can accurately predict how much time is lost with every extra kilogram of fuel carried."

One peculiarity of the Fuji circuit is the exceptionally long main straight, which at 1.475 km (0.916 miles) will allow for higher-than average-straight line speeds but, after the straight the track is relatively twisty. The teams have to find a balance between getting the most speed into the straight, and the best grip decelerating into the bends.

"You have some very slow corners which require good mechanical grip," says Glass, "and as always you want good grip in general, but you have to balance that with the long straight, where you need low enough downforce to get a level of drag which allows you to have a good top speed."

The testing may be virtual, but the teams hope that these virtual figures are a hair's breadth away from real world eventualities:

"Our aim is to ensure that the lap times and top speed calculated using the simulation software do not vary by more than one percent from the actual values," says Rampf.

Not that everything can be predicted: "I think we are quite accurate but the ultimate response to that is very difficult to say for sure because it very much depends on what happens in the race," continues Glass.

"Many incidents can happen, which then have a positive or an adverse affect on strategy." E-mail to a friend

@highlight

Re-designed Fuji Speedway to host its first Japanese Grand Prix since 1977

@highlight

Suzuka to alternate with Fuji from 2009

@highlight

Computer models used to prepare teams for the unfamiliar circuit