Los Angeles (CNN) -- Torrential rains moved walls of rock and mud Friday in Southern California, burying homes in one neighborhood, closing a coastal highway and prompting evacuations of foothill communities imperiled by landslides.

The damage marked the second day of a fierce storm slamming the Pacific Coast that, in California, served to trade one natural disaster for another, namely the state's record drought of the past three years.

At a minimum, the biggest storm in years slaked the dry earth, but it is coming at a high price for many people.

Mudslides swarmed or threatened homes near recent hillside fires.

Ten homes in the Camarillo Springs area were damaged and red-tagged as uninhabitable after a mudslide crashed into a subdivision and piled rocks almost as high as roof lines, authorities said.

An elderly couple needed to be rescued after they stayed in their home despite a voluntary evacuation order and suddenly found water and earth plowing into their bedroom, according to CNN affiliate KTLA.

"It just came pouring in, so I told my wife just stay in bed," the man told the affiliate after he was rescued. "I could just feel the mud... there must be 3 or 4 feet of mud in there."

Firefighters carried the couple to safety, uninjured. "I'm OK," the man told the station.

Later Friday, Jim and Grace Shiraishi's son called his parents' survival of the landslide as "pretty darn amazing."

"It gets you by surprise," son Jim Shiraishi said.

Swift water recovery and rescue

Firefighters in Orange County conducted a rescue in the swift waters of a flood channel in Garden Grove.

The man being rescued, however, appeared to be dead and was stuck on a central pillar of a ditch tunnel, said Lt. Ben Stauffer of the Garden Grove Police Department.

The victim was identified as 34-year-old Garden Grove resident Mario Alberto Hernandez. Detectives were investigating the circumstances of his death, Stauffer said. A pedestrian discovered Hernandez's body in the channel, he said.

Meanwhile, Los Angeles firefighters rescued two people who were clinging to trees in the Los Angeles River, and they were in fair condition in a local hospital, the fire department said Friday.

Evacuations

Residents piled sandbags outside their homes near where the so-called Colby Fire scorched 1,952 acres in Angeles National Forest in January near Glendora and Azusa.

Glendora imposed a mandatory evacuation on unspecified homes in the Colby Fire Impact Area. Meanwhile, Azusa issued a voluntary evacuation order for its residents in the burn area, CNN affiliate KABC reported.

Flooding, rocks and mud closed parts of the scenic Pacific Coast Highway from Monterey County down to Huntington Beach, the California Department of Transportation said.

Northern California recovering

The Bay Area and other pockets of California began returning to normal Friday after the tempest doused exceptionally drought-stricken California with water, causing street and moderate river flooding, and producing blizzard-like conditions in the Sierra Nevada.

The storm took a deadly toll further up the coast.

Falling trees killed two people in Oregon and left a third seriously injured.

At one point, the combination of powerful winds and battering rains knocked power out to 225,000 customers from Northern California to the Canadian border.

Inundating rain

The rain intensity in Northern California on Thursday was reminiscent of a tropical shower in some places, a biblical deluge in others.

Nearly 2.5 inches doused the San Francisco Bay Area, but north of there, just beyond wine country, 14.6 inches washed down on the Petrified Forest.

The rain will put a dent in a historic three-year drought that has sapped reservoirs, threatening farmers and driving up food prices.

"We need it, but I wish it would come more evenly spread out, instead of all in one night," said Kim Cheadle, who commuted from Marin County but found her San Francisco office building closed Thursday.

An 'atmospheric river'

Much of the moisture, at least along the California coast, comes from an "atmospheric river," a band of heavily moist air that split off from a larger such band in the tropics.

It's as if a river in the sky spilled its banks, sending a new tributary 250 to 400 miles wide northeastward to California.

Such atmospheric river drenchings in California are rare but also normal and necessary, the National Weather Service said. They're how the parched state gets up to 50% of its annual rainfall.

The current "river" has been around since late November and already soaked the state last week.

CNN's Greg Botelho, Dave Alsup, Topher Gauk-Roger and Erica Henry contributed to this report. Ben Brumfield wrote and reported from Atlanta, and Michael Martinez from Los Angeles. Dan Simon and Sara Weisfeldt reported from San Francisco.

@highlight

Firefighters rescue two people clinging to trees in Los Angeles River

@highlight

Police investigate an apparent death in rushing waters of flood channel

@highlight

Two killed by falling trees in Oregon

@highlight

Evacuation orders are issued for foothill communities near earlier burned areas