OLLANTAYTAMBO, Peru (CNN) -- Stand anywhere in the Peruvian town of Ollantaytambo and look up. If your eyes don't fix on a magnificent Andes mountain peak, then you will surely be looking at one of the Incan ruins in the immediate area.

Ollantaytambo offers spectacular views of a charming village, ancient ruins and magnificent mountains.

No need to worry about a crick in your neck; the view at eye level is just as pretty. There are no neon signs, no hotels or restaurants with names that you will recognize, just charming local businesses set on cobblestone streets.

Narrow chutes frame the streets and carry water from the mountaintops through town, toward the railroad tracks, and into the Urubamba River.

The locals are easily recognized in their brightly colored hand-woven clothing -- bright blue, orange and red shirts and skirts -- as they go about their daily business, whether tending the nearby fields or guiding a mule carrying firewood.

When planning a trip to the area's star attraction -- the mountaintop Incan ruins of Machu Picchu -- this gem of a town in Peru's Sacred Valley is not to be missed. The Sacred Valley is the area between Cusco -- the historic capital of the Incan Empire and the tourism gateway -- and Machu Picchu, which was recently voted one of the new seven wonders of the world.

Typically, visitors who plan to stay overnight in the Sacred Valley are trying to adjust to the altitude before heading to the higher and larger city of Cusco. Acclimating to elevations of more than 11,000 feet above sea level is a good reason to head directly down to the valley after arriving at the Cusco Airport, but the tiny town called Ollantaytambo is another great reason to set aside at least a couple of your vacation days.

Ollantaytambo is one of those rare places where you'd rather look at the beauty through the naked eye than through the lens of a camera. The camera just doesn't seem to capture the "wow" factor. During the dry season from April to October, the sky between the surrounding peaks is often a piercing azure blue. But visitors can't be expected to stand on a street corner taking in the view all day, and thankfully, there is plenty to do in this old Incan village.

The main attraction, the Ollantaytambo Ruins, a former Incan fortress, attracts busloads of day trippers that unload by the market. From down the street, you can see the tourists climbing the many terraces that, during Incan times, were used for agriculture and decorative purposes. The highest point on the hill is where you will find the unfinished Temple of the Sun. On tours, visitors learn that these ruins were built in the shape of a llama, and guides will point out the face of the Incan sun god carved on the side of the neighboring mountain. You need to purchase a ticket to visit this site.

Across town are other Incan sites, also visible from the town's cobblestone corners, where you can hike up to the ruins free of charge. There are many nice walks around the town, and the local museum has a display on the wall that lists the time they should take and the area to cover.

If you want a break from the ruins, try white-water rafting, mountain climbing or horseback riding. And if you can't get enough of the natural beauty, opt for a bicycle trip down the Ambra Malaga Pass.

Bicycle trip organizers will drive you up and drop you off on an asphalt road at about 14,000 feet above sea level, and you ride -- or really glide -- down on bicycles. Make sure your body has acclimated to the altitude of Ollantaytambo, which is about 9,186 feet, before you embark on this tour. The ride offers great views of the snow-capped Mount Veronica, and you'll see livestock grazing and patches of land being tended by farmers. The entire trip takes from three to four hours and costs about $40 per person.

Once you have worked up an appetite, you can easily find a good meal in Ollantaytambo. A hearty local dish, lomo saltado, is served in most restaurants. This Peruvian dish is a stir fry that includes steak tidbits, white rice, french fries, onions and tomatoes in a brown gravy.

If lomo saltado isn't adventurous enough for you, try alpaca or cuy (guinea pig). You can wash your meal down with a Pisco sour, the national drink in Peru, made with Pisco brandy, sugar, lemon juice and an egg white. There are enough restaurants to choose from, and in some establishments, the food is as good as the fancy places you will find in Cusco.

There are several trains a day between Ollantaytambo and Machu Picchu, so it's feasible to do a day trip to visit the main attraction. It's about a two-hour drive to get to Ollantaytambo from the airport or Cusco's city center, and it costs no more than $30 U.S. by taxi. Buses are available and cost a lot less.

Whether you take the bus, train or taxi, consider a stop in this impressive Incan town as you check the nearby world wonder off your list.

@highlight

In Ollantaytambo, Peru, you can see magnificent mountains and Incan ruins

@highlight

The Temple of the Sun is at the highest point of the Ollantaytambo Ruins

@highlight

Nearby, you can go white-water rafting, mountain climbing or horseback riding