Kampala, Uganda (CNN) -- The U.S. Embassy in Uganda said that it had been warned of a "specific threat" Thursday evening against Entebbe International Airport near the Ugandan capital, Kampala.

An embassy statement, which said the warning came from Ugandan police, based on intelligence sources, said the threat involved an unknown terrorist group.

"Individuals planning travel through the airport this evening may want to review their plans in light of this information," it said.

The warning comes a day after the Obama administration said it was stepping up security for some flights headed to the United States from Europe and the Middle East, reflecting heightened concern that terrorists are developing more sophisticated bombs designed to avoid airport screening.

Specific steps and airports were not disclosed.

A homeland security official said the Transportation Security Administration would work with airlines and security agencies overseas and that the changes would primarily focus on airports in Europe and the Middle East.

The effort does not involve changes to what travelers can take aboard flights. But passengers may see additional inspections of shoes and electronics, additional use of scanners designed to detect trace amounts of explosives, and another stage of screening at boarding gates, in some cases, the official said.

The changes came about based on new intelligence on terror groups trying to build new types of improvised explosives that are harder to detect, the official told CNN. There was no specific plot.

Earlier this week, CNN reported the United States was considering new airport security measures because of concerns that al Qaeda in the Arabian Peninsula was working on undetectable explosives.

Tighter security ordered for some U.S.-bound flights

Streets awash with troops

Security was stepped up Thursday on the road to Entebbe, some 26 miles (42 kilometers) outside the capital and the country's only international airport.

Kampala Metropolitan Police spokesman Patrick Onyango said the heightened police presence, backed up by the army, was in response to the potential airport terror threat as well as security concerns around the soccer World Cup and international events taking place in Uganda.

Departing travelers appeared to undergo detailed screening by anti-terrorism police and other security agents as they entered Entebbe airport; while those arriving said the security process took longer than usual.

"It is unusual out there," said Jonathan Kikonde, an engineer and regular traveler through Entebbe who arrived at lunchtime. "We have been subjected to a screening of both the body and luggage."

Residents also saw a heightened military and police presence Thursday on Lake Victoria, on whose shores the airport sits.

"We have been told by police authorities that terrorists are capable of targeting them at the crowded fish landing sites and piers for ferries and boats that transport people to the islands," said Bruhan Kyeswa, a fishmonger at Nkiwogo landing site, the nearest to Entebbe airport.

In Kampala itself, the streets were awash with heavily armed troops, their presence concentrated around busy points like malls, bus stations and markets.

Kampala Metropolitan Police commander Felix Kaweesi said by phone: "We have got information from cross-border security that terrorists are already here (in Uganda) building cells."

The U.S. Embassy in Uganda reminded U.S. citizens of "the continued threat of potential terrorist attacks in the country," particularly in crowded public places such as hotels, restaurants, malls and transportation hubs.

'As few disruptions' as possible

Homeland Security Secretary Jeh Johnson said in a statement Wednesday that he had directed the TSA to "implement enhanced security measures in the coming days" at selected overseas airports.

"We will work to ensure these necessary steps pose as few disruptions to travelers as possible," Johnson said.

The measures do not involve U.S. domestic flights, and passengers could see changes as early as next week.

The UK Department for Transport confirmed Wednesday that it is also stepping up some of its aviation security measures. It said that most passengers should not experience "significant disruption."

Since hardening cockpit doors and taking other measures after the 9/11 al Qaeda attacks, the U.S. aviation security focus has shifted primarily from hijackings to plastic and other explosives that can be carried aboard a plane or hidden in baggage.

The United States has particularly been focused on efforts by al Qaeda in the Arabian Peninsula to develop undetectable explosives since the unsuccessful attempt by the so-called underwear bomber to bring down a Delta Air Lines jet over Detroit in 2009.

Journalist Samson Ntale reported from Kampala, while CNN's Barbara Starr reported from Washington and Laura Smith-Spark wrote in London. CNN's Jim Sciutto, Evan Perez and Andrew Carey contributed to this report.

@highlight

NEW: Officials say security is stepped up at Uganda's Entebbe airport and on Lake Victoria

@highlight

The U.S. Embassy in Uganda cites warning of a specific threat against Kampala airport

@highlight

U.S. Homeland Security is boosting security measures at certain overseas airports

@highlight

The steps are related to new intelligence on terror groups and bomb making