Damascus, Syria (CNN) -- Demonstrators took to the streets Friday after Muslim prayers, as they have on past Fridays in recent weeks in a number of Syrian cities, resulting in 10 deaths, according to an activist group.

"The people want to overthrow the regime," was the chant of the demonstrators in the cities of Homs, Lattakia, and Amouda, according to videos posted on YouTube. CNN cannot confirm the authenticity of the videos.

In a number of other cities across Syria, citizen journalists captured cell-phone videos of protesters scattering en masse as sounds of gunshots erupted and white smoke swept over the streets.

In Jableh, a coastal city in Latakia Province, one man shouted, "Serious injuries, tear gas. I can't see."

Another person died Friday of injuries suffered in another demonstration a couple of days ago, bringing the day's death count to 11, according to the London-based Syria Observatory for Human Rights.

The state-run SANA news organization put Friday's death toll during the protests at seven civilians and law-enforcement personnel.

Friday's protests were held in Hama, Homs, Deir El Zour, Idlib, Qameshli and Latakia, and in the al-Midane and Qaboun neighborhoods in Damascus, according to Rami Abdelrahman, head of the activist group.

Of Friday's 11 deaths, four people died in demonstrations in Barza, a suburb of Damascus; three died in Homs, in the west; two died in Kaswa, near Damascus; and one died in Qoseir, near the Lebanese border. One person injured in Hama in a demonstration a couple of days ago died of his injuries Friday.

Until Thursday, CNN has been barred from officially entering Syria and its reporting about events inside the country had been limited largely to what the network was able to piece together based on official government reports and accounts and videos posted on the Internet.

Recently, the government granted access to CNN journalists, who arrived Thursday in Syria, where they were assigned government "minders" to accompany them on video shoots.

The minders said they had not received permission to take the journalists to the areas where protests were occurring. Instead, they took the journalists to Damascus' historic old city, where their appearance on the streets prompted a crowd of a few dozen Syrians to erupt into pro-government chants. Posters and pictures of President Bashar al-Assad quickly materialized.

The demonstrators raged against foreign powers, saying the unrest in Syria is the result of an international conspiracy -- one that includes the news media -- and is intended to bring down the regime.

"We feel like the international media is conducting a world war against us," said Mohammed al-Hamwi, 67. "Not a single outlet has broadcast a real image of what is happening."

Government officials told CNN personnel that they were worried about the journalists' safety with so many "armed gangs" fomenting unrest throughout the country.

The government has blamed "armed gangs" in explaining its military crackdowns, which have led thousands of Syrians to cross into Turkey. The Hatay governor's office in Turkey said Friday that at least 11,739 Syrians have done so.

The state-run Syrian Arab News Agency said 500 displaced people have returned home.

A supporter of the Syrian government said Friday that even those who have fled are part of a scheme to smear the government.

"I refuse to call them refugees; they are hostages taken to bring down the regime," said Naime Mahmoud el-Sheik, her voice shaking with emotion. "We are with the regime. We are with Assad."

Rumors are rife, with some saying that the anti-government demonstrators have been sprayed with poisoned water that makes them more aggressive; that terrorists are killing protesters and blaming the security forces.

As more violence unfolded in Syria, the European Council condemned the nation Friday, saying the "regime is calling its legitimacy into question" by opting for a "path of repression instead of fulfilling its own promises on broad reforms."

The European Council -- comprising the heads of state of European Union member states -- deplored the "ongoing repression and unacceptable and shocking violence the Syrian regime continues to apply against its own citizens."

It also expressed grave concern about reports of Syrian military activity near the Turkish border at Khirbet al-Jouz and urged "maximum restraint."

This comes after the Council of the European Union voted Thursday to expand sanctions against Syria by freezing the assets of seven people and four businesses with connections to the regime.

The detail was published in the European Union's Official Journal on Friday, and British Foreign Secretary William Hague hailed the measures.

"These measures are carefully targeted and focused on those responsible for violent repression," Hague said. "Contrary to the Syrian authorities' claims, the economic problems Syria is facing are a direct and predictable consequence of the Syrian authorities' decision to choose repression over reform."

Among those sanctioned were three commanders in Iran's Revolutionary Guard Corps accused of helping the "regime suppress protests" and "providing equipment and support" to the government, according to the European Union Official Journal. One of the three is Brig. Cmdr. Mohammad Ali Jafari, the corps' general commander.

"I welcome the inclusion of three Iranian individuals on the list," Hague said. "The Iranian government's provision of equipment and technical advice to help suppress peaceful protests is absolutely unacceptable. Iran's actions are in stark contrast to the will of the Syrian people. They also highlight again Iran's blatant hypocrisy, claiming publicly to support freedom in the Arab world, while privately assisting in violent repression."

Two of those sanctioned were first cousins of the president. They are Zoulhima Chaliche, head of presidential security, and Riyad Chaliche, director of the military housing establishment. Two others were business associates of Maher al-Assad, the president's brother and commander of the army's 4th Division and "strongman of the Republican Guard."

Maher al-Assad was among 23 Syrian officials sanctioned by the EU in May, and he is regarded as the principal overseer of the crackdown against protesters.

Others sanctioned at that time were the president; Ali Mamluk, the head of Syria's general intelligence directorate; and Rami Makhlouf, the Syrian businessman and cousin and confidant of the president.

Anti-government protests have raged in Syria for more than three months, with demonstrations gaining momentum amid a tough government crackdown.

The number of estimated deaths has exceeded 1,600, Abdelrahman said, with 1,316 civilians and 341 soldiers and security forces killed.

About 10,000 people have been jailed, he said.

Nadim Houri of Human Rights Watch said the number of people killed is 1,350.

CNN's Arwa Damon, Azadeh Ansari, Nada Husseini, Carol Jordan, Per Nyberg, Tracy Doueiry and Joe Sterling contributed to this report.

@highlight

NEW: "We are with the regime, we are with Assad," a pro-government demonstrator says

@highlight

NEW: "The people want to overthrow the regime," was the chant from three cities

@highlight

An EU body has frozen the assets of seven people and four businesses

@highlight

The number of refugees in Turkey approaches 12,000