Paris (CNN) -- In the tunnels and caves that lie deep beneath Paris an elaborate, and, at times, dangerous game of cat and mouse is played out nearly every weekend.

In this case the mice are represented by the cataphiles -- a group of dedicated hedonists who love to party in the abandoned quarries deep beneath the French capital - and the part of the cat is played by the police who patrol the places most people would fear to tread.

Paris has two main underground attractions -- one being a vast catacomb which holds the remains of more than six million people, the other being a network of tunnels and quarries that stretch nearly 321 kilometres under the city.

At the official catacombs visitors who are prepared to walk down the 139 steps and along endless tunnels are met by truly extraordinary sights as well as a fascinating slice of 18th-century life in Paris.

In 1786 the cemeteries of Paris were full to bursting, meaning corpses were often buried near those people still living. After the collapse of a communal grave near the center of the city it was decided to transfer all the bones to one vast ossuary.

Nowadays the mountains of unwanted bones have been arranged into a macabre set of alleys and pillars - a process that was started two centuries ago.

One of the museum's curators Tram Nguyen told us how people usually reacted on their first visit: "When you come here for the first time you get quite destabilized but then you get used to it. There are so many bones here you don't see them as human remains, you just see them as decorations."

Our program was looking as all aspects of underground life in Paris and in the process of researching it we also came across another extraordinary group who put the subterranean spaces to new uses.

Urban Experiment, UX for short, is a highly secretive organization which has gained a cult following after successfully completing a series of high profile stunts deep under the city.

Members of UX very rarely reveal what, how, or why they do what they do but CNN arranged a series of meetings with one of their members who slowly let us into some of the secrets.

We first met Lazar Kunstmann - not his real name but the one he insists on using -- in an anonymous Parisian bar. With a shaved head and regulation black clothes he is a friendly, if somewhat cagey, individual.

We wanted to know who the UX were. His answer was suitably cryptic. "The UX is a collective of people who pursue the same aim with a range of skills. It is anyone and everyone. There are no characteristics in terms of age, sex, social or cultural background -- the only characteristic is to live relatively close to the area where the projects are carried out, in Paris. All the rules of the UX have to do with feasibility -- the practical aspect of the execution of the projects."

The Palais de Chaillot - or more precisely one of quarries that lies beneath it -- was the scene of one their most infamous projects. The group - which has existed for 30 years -- dug deep under the theatre to create their own fully functioning cinema in one of the hundreds of caves under the city. They even made their own film to mark the event.

Over a beer Kunstmann explains what motivates the UX.

"We are a group who use public spaces, not necessarily the public spaces underground, not necessarily abandoned. It is simple - the only characteristic of the spaces we use is that they are public, and have been left, that's to say "loosely" abandoned. The vocation of these spaces is to accommodate projects."

Secrecy is, of course, essential for Kunstmann and other members of the UX.

"The secrecy is just linked to the feasibility. When we were young we profited from the craze of underground parties in the 1990s in the ancient quarries of the Latin Quarter in order to discover, that in fact there was all this public space, which was totally abandoned, which we could use for anything. Much later, at the same time as wanting to learn more about all this public space, to have a geographic and practical knowledge - that is by getting hold of maps and keys to use the tunnels - we realized this really was the ideal location for numerous projects."

Before we leave him Kunstmann tells us that the UX have several more projects in mind but, unsurprisingly perhaps, he declines to elaborate saying future plans have to be kept under wraps.

Living life in Paris' Empire of the Dead

@highlight

The catacombs of Paris contain millions of bones after cemeteries could no long accommodate burials

@highlight

"Cataphiles" love to explore the deserted tunnels and abandoned quarries under the city

@highlight

UX has completed a a series of high profile stunts deep under the city, including its own fucntioning cinema

@highlight

Expert: "There are so many bones here you don't see them as human remains, you just see them as decorations."