(CNN)Even in the horror of Syria's civil war, there are few places that showcase the scale of the destruction -- and the senselessness of the loss of life -- more than the Yarmouk camp on the outskirts of Damascus.

Set up as a refugee camp for Palestinians in the 1950s, it slowly evolved into a neighborhood over the years, but since 2012 it has been engulfed in the Syrian conflict. Two weeks ago ISIS fighters stormed Yarmouk, and that made life for those still inside even worse than it was before.

The Syrian government responded by unleashing a bombing and shelling campaign on the area, residents told CNN, including barrel bombs that flattened many of the buildings already scarred by the three-year-long conflict. Death comes day and night.

"I looked up and saw dust," one resident said. "I opened the door and started walking outside and started shouting to the neighbors. One told me 'I am wounded,' another one didn't answer me at all. That second one -- may god have mercy on his soul -- he was martyred."

While the battle for Yarmouk is very typical of Syria's civil war, the conflict here is unique. Most of those fighting on all sides are Palestinians. Pro-government factions besiege the area from the outside, cutting off supplies and aid most of the time. The inside is held by anti-regime groups, some of which are Islamists.

The situation in Yarmouk was thrust in to the headlines on April 1 when ISIS fighters stormed the rebel-held area and unleashed a campaign of violence and killings. Since then, a local activist tells CNN, ISIS has withdrawn to another area and left the al Qaedalinked group Jabhat al-Nusra in charge of the district.

'The deepest circle of hell': Terrified Yarmouk residents describe ISIS raid

But this is only the most recent in a deadly urban war that is slowly grinding down Yarmouk's buildings and people. Of the more than 100,000 that used to live there, only about 18,000 remain, according to UNRWA, the U.N. agency tasked with aiding Palestinians.

I have been to Yarmouk on various occasions, and the picture has always been the same. Pro-government factions surrounded the area and there was house-to house combat, mostly at night. A lot of destruction, very little territorial gain for either side, all of it taking a horrifying toll on the civilians trapped in the middle.

"We have no food or water," one resident said, standing amid the ruins of Yarmouk's houses. "They should open a route so we can eat and drink and they can deliver assistance and food. We have nothing. What can we do?"

But international aid groups can do very little. There are few occasions where aid is allowed into Yarmouk, or where civilians are allowed out. UNRWA can only care for those who do manage to escape.

U.N. official to visit besieged refugee camp

The agency, along with the Syrian Arab Red Crescent, runs several shelters for displaced people in government-controlled areas near the camp. Pierre Krahenbuhl, the Commissioner General for UNRWA, recently visited some of them and acknowledged that far too little help was reaching those who need it most.

"We have to call on the world and call on all the actors in the world who can influence the situation to mobilize," Krahenbuhl said. "But much more has to be done to respect the civilians and to make sure that they are safe inside the camp."

But of course those still inside are by no means safe -- subjected to shelling, bombing and street combat on top of being thirsty, hungry and in need of medication. But one thing that has not been broken is the residents' self-respect and pride.

"This is Yarmouk camp and we are not leaving our homes," one man said. "Whatever happens, if they keep hitting us with barrel bombs we will die."

An elderly woman recalled her life as a Palestinian refugee.

"I fled Palestine when I was seven years old," she said. "But I will not leave the Yarmouk camp even if I am 75 or 76 years old. Yarmouk camp is equal to my soul. I built it with my bare hands. I carried its stones on my head from a village and laid the foundation to my home. Block by block I carried them on my head."

But despite their defiance, there's seemingly nothing that can be done to prevent Yarmouk from being reduced to rubble. This is a war of attrition, two sides fighting for inches in tough combat without seeing that they are wrecking the prize they claim to be fighting for.

Desperation for Palestinians trapped in Syrian refugee camp

@highlight

ISIS raided Yarmouk refugee camp near Damascus on April 1

@highlight

18,000 Palestinian refugees remain in the camp, cut off from vital aid

@highlight

One defiant elderly resident told CNN: "I will not leave the Yarmouk camp even if I am 75 or 76 years old"