Princeton, New Jersey (CNN) -- Speculation about vice presidential picks is heating up. As it has become increasingly clear that Mitt Romney will win the Republican nomination, there has been all kinds of chatter about who he will pick to run with him on the ticket.

There has even been some talk about whether President Obama would consider replacing Vice President Biden with another running mate if Democrats felt their campaign needed more juice.

HBO's film version of the book "Game Change" offers a powerful reminder of the perils that come from making a bad choice. The conventional wisdom stipulates that vice presidential selections will rarely help a candidate win an election, but the wrong choice can be devastating. With John McCain in 2008 this was certainly true. Although there were many factors that led to Barack Obama's victory, picking Palin severely weakened his campaign.

Vice presidential picks are not an opportunity to make a game change, at least in a positive direction. When McCain turned to Palin, he did so in an effort to overcome many of his perceived weaknesses against candidate Obama -- his inability to attract the base of his party, fears that he would appear to look like the "older" candidate in the race, as well as the concern that he was a less charismatic candidate in the eyes of the media.

Clearly the Palin pick backfired. What can Romney and others learn from this episode?

The first lesson is that vice presidential picks should be boring. In the end, Mitt Romney must overcome his weaknesses as a candidate by what he does on the campaign trail, not by who he picks as his running mate.

Having the right person stand beside you rarely will change the way the public sees you. But calling on the wrong person can draw all the focus away from the campaign's main themes and raise serious concerns about the competence of the candidate.

Very often, less than exciting candidates -- Dick Cheney in 2000, Sen. Al Gore in 1992 or George H.W. Bush in 1980 -- turned out to be perfect primarily because they didn't cause much of a stir. When it comes to vice presidential candidates, less attention is better.

A second lesson is that candidates must make sure that their running mate can handle the national spotlight in the modern media age. It's far different to be a rock star in Anchorage than it is in Washington.

With all the outlets for news today, with cable television, the Internet and social media constantly finding and supplying information, it is very difficult to contain charges or gaffes before they go viral.

And despite all the criticism that our current politics are shallow, the fact is that competence can matter very much when candidates stand before the media. When Palin stumbled in her interviews on national television about basic foreign policy questions, the media immediately exposed her flaws.

Katie Couric's questions did huge damage to Palin in 2008 in a manner that most Democrats could only have dreamed of doing.

A third lesson is that appealing to the party's base during the general election is not always the best move to make. After all, Romney's chief asset remains the fact that he is the moderate Republican in the campaign, the Republican who has the best chance to win over independents and disaffected moderate Democrats in November.

It is difficult for a candidate to pick someone as a running mate who is far to the right but still maintains credibility with centrist voters. The vice presidential nominee can quickly drag the main candidate to the right, as McCain learned.

When Palin made an increasingly strident appeal to the right, lambasting Obama as a radical leftist and even someone who was un-American, the tone of the entire McCain campaign changed.

The most dramatic moment came when McCain literally felt the need to take the microphone back at a rally and correct a woman who said that Obama was "an Arab." But by then it was too late. Many loyal Republicans privately admitted that they couldn't vote for their candidate with Palin on the ticket. One of McCain's biggest potential virtues -- his appeal to moderates -- was gone.

The best way for Romney to win over the base will be to run a strong campaign as the candidate he is. In the recent primaries in Maryland, The Hill reported that Romney was finally gaining traction with Tea Party Republicans without achieving any huge transformation of his image.

The final lesson is less negative. McCain was correct when he decided, like Bush before him, that choosing a vice president from a particular region was no longer decisive. Long gone are the days when John F. Kennedy, from Massachusetts, picked Lyndon Johnson of Texas as a running mate to win southern votes.

Now candidates think nationally, focusing on how a vice presidential choice will complement their national campaign and strengthen positive perceptions that voters have.

While in Palin's case the choice did not work out, this is the way that Romney must think about his selection, just as Obama did when he picked Biden from the small state of Delaware.

Overall, Romney needs to pick someone who voters feel could handle the presidency in an emergency and, perhaps even more importantly, someone who won't derail the campaign strategy. Otherwise, like McCain, Romney might end up making the wrong kind of game changing decision.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says candidates sometimes seek a VP to make up for their weaknesses

@highlight

He says vice presidential nominees should not become the focus of media attention

@highlight

VP choices must be up to the task of dealing with reporter questions, he says

@highlight

Zelizer: If Romney picks someone to appease party base, he could alienate moderates