Cairo, Egypt (CNN) -- Egyptian President Hosni Mubarak stepped down Friday and handed over power to the military, his nearly three decades of iron rule ended by a groundswell of popular protests that began January 25.

In a somber, one-minute announcement on state television, Vice President Omar Suleiman announced Mubarak's resignation and said the Supreme Council of the Armed Forces will "run the affairs of the country."

As Suleiman spoke, deafening cheers erupted among tens of thousands of Egyptians who thronged the streets of Cairo. It was a moment they had sought throughout long, often tense days of demonstrations -- some of them violent -- that demanded Mubarak's departure.

It was a moment that many in the Arab world's powerhouse nation had not dared contemplate.

Chants of "Egypt is free!" and "God is great!" rose from the crowds, dizzy in the honeymoon of their success. Some waved Egyptian flags; others honked horns; still others set off fireworks as they savored the scene.

Two major bridges over the Nile River resembled congested parking lots, and partiers packed streets throughout Cairo. The state-run Middle East News Agency said some people had passed out from joy and others had suffered heart attacks.

"It was a sense of liberation for me, for every Egyptian," said opposition leader Mohamed ElBaradei. "For the first time, Egypt has a chance to be democratic, to be free, to have a sense of dignity, of freedom. So it's amazing. It's just like something we never experienced in our lifetime."

A source with close connections to Persian Gulf government leaders said Mubarak, 82, had fled to the Red Sea resort town of Sharm el-Sheikh, his presidency finished as abruptly as it had started in 1981, when he ascended to power after the assassination of Anwar Sadat.

The repercussions echoed far beyond Tahrir Square as the Swiss government moved Friday to freeze assets belonging to Mubarak and his family, said Norbert Baerlocher, a spokesman for the Swiss Embassy in Washington.

In a speech to the nation Thursday night, Mubarak had indicated that he was delegating authority to Suleiman but made no mention of resigning. Disappointed crowds calling for his ouster grew in number Friday in Cairo and in other major cities.

By Friday night, the protesters got what they were seeking.

But amid the euphoria, ElBaradei sounded a note of caution. "We have challenges ahead of us," said the Nobel laureate, who some believe could emerge as Egypt's next leader. "I think we need to not worry about retribution. Mubarak needs to go, and we need to look forward."

Amre Moussa, the Egyptian secretary-general of the Arab League, told CNN that the country should focus on instituting reforms and establishing democracy. Asked how long it would take for the government to lift the 30-year-old state-of-emergency laws, he said, "The sooner the better ... six, seven months."

Asked whether he will run for office, Moussa demurred. "That is not an issue to discuss today," he said. "The time for such a question will come."

Wael Ghonim, the Egyptian activist who became a reluctant hero of the revolution but has made clear that he has no interest in becoming a political leader, predicted that history books would describe Mubarak as a dictator.

Ghonim -- a Google executive on leave from his job whose Facebook page is credited with triggering the uprising -- was seized by security forces and held for 10 days.

His powerful television interview after his release Monday galvanized the protesters in Tahrir Square.

He said he had felt certain that Mubarak would be forced out after a revolt in Tunisia forced that country's leader to step down in January, and he said he believed the Egyptian military could be trusted to respect the demands of the protesters.

Many protesters had been calling for Egypt's army, which is respected within the country, to take over as interim caretaker. Friday night, they voiced optimism that the military would pave the way for free and fair elections.

Throughout the uprising, the military both responded to the protesters and defended Mubarak's regime. It showed signs Thursday that it was assuming a greater role when the supreme council met without Mubarak, who was then still the supreme commander of the armed forces.

Friday, it issued a communique stating that Egypt's emergency laws, used by Mubarak throughout his tenure as president to rule with an iron hand, would be lifted, but only when conditions allowed.

After Mubarak stepped down, a military spokesman appeared on state television, expressing appreciation to the former president and saluting the "martyrs," an apparent reference to those who died in the protests.

Human Rights Watch has documented more than 300 deaths since the uprising began January 25. Many of the pitched battles between security forces and Mubarak's foes unfolded in the same places that were scenes of jubilation Friday night.

But Friday's revelry could not push aside the looming uncertainty over what will come next in the Arab world's most populous nation and how Egypt's revolution, which succeeded on the 32nd anniversary of Iran's, might affect the region.

Events in Egypt may extendfar beyond the country's borders, Moussa said. "Winds of change are sweeping the Arab world and the Middle East," he said.

In Washington, U.S. President Barack Obama said the people of this key U.S. ally have made it clear that "nothing less than genuine democracy will carry the day."

He praised the Egyptian military for acting responsibly and said it now needs to help ensure a credible transition.

Among other things, Egyptian authorities need to set about "protecting the rights of Egypt's citizens, lifting the emergency law, revising the constitution and other laws to make this change irreversible, and laying out a clear path to elections that are fair and free," Obama said.

But two miles from the White House, at a meeting of the Conservative Political Action Conference, Rep. Ron Paul, R-Texas, said that the United States had invested billions of dollars over the years "propping up that dictator" and has little to show for it.

"Where do you think the money went? To a Swiss bank account," he said. "It contributed to our debt, billions and billions of dollars, and all we get is chaos from it and instability."

A spokesman for Obama's predecessor said Friday that former President George W. Bush "congratulates the people of Egypt for taking an important and impressive first step toward freedom."

But the U.S. government's applause for Egypt's step toward freedom and away from Mubarak differed markedly from its previous stance.

At a joint news conference with Mubarak in April 2004 at Bush's ranch in Crawford, Texas, he offered support for his Egyptian counterpart. "Egypt is a strategic partner of the United States, and we value President Mubarak's years of effort on behalf of the peace and stability of the Middle East," Bush said. "President Mubarak can be confident in my friendship and America's partnership as he moves forward to realize the hopes of his people."

Just where those hopes would lead was not clear in the heady hours after Mubarak's resignation.

What was clear was that Mubarak's imposition of military rule broke with Egypt's 1971 constitution.

The constitution allows for only two scenarios for a president to relinquish power. The first stipulates that if the president has to step aside temporarily, the vice president steps into the top role. That is what the regime briefly orchestrated Thursday.

The constitution states further that, if the office of the president is vacated or the president becomes permanently disabled, the parliamentary speaker is to assume the role until new elections can be held. Those elections, in turn, must occur within 60 days.

In opting for a third way, which put all power in the hands of the military, the regime in effect rendered the constitution inoperable.

A high-ranking Egyptian military official said the army's command was discussing whether to dismiss Mubarak's government and parliament and when the next election would be held.

But some analysts were sounding the alarm over the takeover by the military, which has suddenly become accountable for the nation.

"Suleiman's statement is the clearest indication thus far that the military has carried out a coup led by Defense Minister Field Marshal Mohammed Hussein Tantawi," analysts with Stratfor, a global intelligence company, said in a statement.

"Egypt is returning to the 1952 model of ruling the state via a council of army officers," the statement said. "The question now is to what extent the military elite will share power with its civilian counterparts."

Amnesty International warned that Mubarak's departure did not mean an end to the police state.

"The repressive system that Egyptians have suffered under for three decades has not gone away and the state of emergency remains in place," said Salil Shetty, Amnesty International's secretary general. "Those in power must grasp this opportunity to consign the systematic abuses of the past to history. Human rights reform must begin now."

CNN's Amir Ahmed, Nic Robertson, Kurt Muller and Caroline Faraj contributed to this report.

@highlight

NEW: Moussa says it could take 7 months before state-of-emergency laws can be lifted

@highlight

U.S. has invested billions "propping up that dictator," Rep. Ron Paul says of Mubarak

@highlight

Obama says the "transition must bring all of Egypt's voices to the table"