Federal investigators are checking whether 55 colleges and universities illegally handled sexual violence and harassment complaints, the U.S. Department of Education said Thursday.

Such investigations have long been known, but this is the first time that the department has released a list of all probes currently under way.

The list includes colleges and universities in 27 states and in the District of Columbia.

See the full list here

"We are making this list available in an effort to bring more transparency to our enforcement work and to foster better public awareness of civil rights," said Catherine E. Lhamon, the department's assistant secretary for civil rights.

"We hope this increased transparency will spur community dialogue about this important issue. I also want to make it clear that a college or university's appearance on this list and being the subject of a Title IX investigation in no way indicates at this stage that the college or university is violating or has violated the law."

Five schools promptly responded to CNN's request for response. The University of California, Berkeley said it will cooperate with the investigation and added that its chancellor had sent out a letter to campus saying sexual assault would not be tolerated.

"Much has been done to strengthen the campus' handling of these issues, but we understand that there is always room for improvement," the university statement said.

Washington State University, meanwhile, said it was notified in January 2013 that a federal complaint had been filed and volunteered to work with the Department of Education's Office of Civil Rights to improve its policies. In February, the university said, federal representatives visited Pullman and engaged in student focus groups as well as student and employee interviews.

"There has been no finding of any wrongdoing on the part of WSU. We are still waiting to hear from OCR regarding participation in the voluntary resolution process," a university statement said, adding that there's no tolerance for sexual harassment, assault or misconduct on its campus.

The University of Wisconsin-Whitewater said it could not comment on specifics because of the ongoing investigation but said it, too, took sexual violence seriously and provides all victims with resources and assistance. The University of Chicago said it had "made every effort to comply with the spirit and letter of this inquiry" and is committed to ensuring that its programs and work environment are discrimination free.

The University of Colorado Boulder said it wasn't surprised by its inclusion as it knew of the probe in July, and it has since hired a law firm to conduct an external review of its policies. It also expects to a name a specially designated Title IX director by the end of the summer.

See other responses here

The investigations center on Title IX, under which a school must ensure that students are not denied or limited in the ability to participate in or benefit from its educational programs or activities on the basis of sex.

The list, which reflects open investigations as of Thursday, does not disclose any details about the cases, other than when the investigation was opened. The list will be updated regularly and available to the public upon request.

In February, CNN profiled student and faculty activists from six schools in a report on how sexual violence complaints to the Department of Education's Office of Civil Rights had almost tripled since 2009. Thursday's numbers come on the heels of a marked year-to-year increase in complaints the department received, from 17 in 2012 to 30 in 2013.

Five of those six students' universities were included in Thursday's report: the University of Texas-Pan American; Vanderbilt University; the University of California, Berkeley; Occidental College; and Emory University.

In the story, Joanna Espinosa, a student at UTPA who has since graduated, told CNN she would not have come forward without the help of a nationwide network that has been a driving force in bringing attention to the way schools handle sexual misconduct reports. President Barack Obama recently called the nationwide, student-led movement a catalyst for a federal task force to protect college students from sexual violence on campus.

Rape is a longstanding issue on college campuses, but the latest movement, led by student activists, survivors and faculty, recasts sexual violence as a cultural problem on campuses nationwide -- not just a series of isolated incidents. Students are taking matters into their own hands, filing complaints en masse and speaking out publicly.

They've flocked to advocacy groups such as End Rape on Campus and Know Your IX, which sprang from grassroots activism around university handling -- or mishandling -- of sexual violence.

Leslie Gomez, a Pennsylvania attorney and former prosecutor who has worked as a sexual assault policy consultant for Occidental College, Grinnell College and other schools, told CNN that from one campus to the next, the concerns are mostly the same: lack of clarity, students being mistreated, complex procedures and insufficient training among those leading the processes.

After she grew displeased with how campus and local authorities handled her case, Espinosa reached out to End Rape on Campus, and a member of the group helped her file a complaint with the federal Office of Civil Rights.

"I'm not sure I would've come forward if all these people hadn't done it before me," Espinosa said. "I needed the validation. I needed someone to confirm, 'You're right. You're not blowing things out of proportion.' ...  It was a relief to hear someone tell me, 'You have a case, and they shouldn't treat you this way.' "

In Thursday's announcement, the Department of Education said releasing its list "advances a key goal of President Obama's White House Task Force to Protect Students from Sexual Assault to bring more transparency to the federal government's enforcement activities around this issue."

The department also released new guidance this week outlining federally funded schools' responsibilities to address sexual violence and other forms of discrimination. All schools -- from K-12 to universities -- must comply with Title IX or risk losing funding and Justice Department action.

"Under federal law, sexual violence refers to physical sexual acts perpetrated against a person's will or where a person is incapable of giving consent -- including rape, sexual assault, sexual battery, sexual abuse and sexual coercion," the statement said.

@highlight

List includes colleges and universities from 27 states and Washington, D.C.

@highlight

Education Department: "We hope this increased transparency will spur community dialogue"

@highlight

Rape is a longstanding issue on campuses, but activists are now casting it as a cultural problem

@highlight

Any federally funded school not complying with Title IX risks losing funding