(CNN)Said and Cherif Kouachi, who are the leading suspects in Wednesday's attack on the magazine Charlie Hebdo in Paris, grew up in a world of poor job prospects, life in the French equivalent of the projects and prison time that is not untypical for the French "underclass," which is disproportionately Muslim.

On Friday, the two brothers were killed in a shootout with police, achieving their goal of a supposedly heroic "martyrdom." Before they died, one of the brothers spoke on the phone to a journalist from the French news network BFM saying, "We are just telling you that we are the defenders of Prophet Mohammed. I was sent, me, Cherif Kouachi, by al Qaeda in Yemen. I went there and Sheikh Anwar Al-Awlaki financed my trip... before he was killed."

Anwar al-Awlaki was a Yemeni American cleric born in New Mexico who spent much of his life in his native United States, but he left in 2002 when he became the subject of intense FBI scrutiny. He traveled first to the United Kingdom and then to Yemen, where he joined al Qaeda, eventually rising to become the head of its operations to target the West.

Al-Awlaki was killed by a U.S. drone strike in Yemen in September 2011.

Cherif Kouachi, the younger of the brothers had dreams of being a successful rapper that fizzled and later worked in  a series of menial jobs, including as a pizza delivery guy. He fell under the spell of a militant cleric in the 19th arrondissement, a gritty immigrant-dominated suburb of northeastern Paris that has little in common with the glamorous French capital city that is known to tourists.

He was arrested by French authorities in 2005 when he was about to leave to fight in Iraq.

He planned to travel to Iraq via Syria. This appears to be quite significant as the pipeline of Western "foreign fighters" traveling to Syria and then to Iraq during this time period was dominated by "al Qaeda in Iraq," which was a precursor both of the Nusra Front, which is al Qaeda's affiliate in Syria, and also of ISIS, which broke away from al Qaeda early last year.

He was sentenced to three years in prison in 2008 for recruiting fighters to join in the Iraq War alongside the notorious leader of the al Qaeda affiliate there, Abu Musab al Zarqawi, but didn't serve any time after the conviction; the judge ruled that his pretrial detention had been enough.

Nonetheless, Cherif's time in prison awaiting trial seems to have not only solidified his radicalization, but also connected him to people who were important in French militant circles  While in pretrial detention, Cherif met Djamel Beghal, who was in prison for his role in an attempted attack against the U.S. Embassy in Paris in 2001.

Cherif and Beghal became friends and in 2010, when Beghal was released, he and Cherif allegedly planned the jail break of another radical Islamist who was serving a life sentence for his involvement in the bombing of the Musee d'Orsay train station in Paris in October 1995 that wounded 29 people.

But prosecutors couldn't prove the conspiracy, and Cherif was released.

Cherif Kouachi: 'I was ready to go and die in battle'

While there is no particular economic profile of terrorists -- some are from privileged backgrounds and others are not -- it's interesting to note some of the similarities between the Kouachi brothers and the Tsarnaev brothers, who are alleged to have carried out the Boston Marathon bombings in 2013.

The Tsarnaev brothers grew up in a working-class household in Cambridge, Massachusetts. The elder brother Tamerlan had dreams of becoming a world-class boxer but was unemployed when he carried out the Boston attacks.

He had traveled to Dagestan in Russia in 2011 in an attempt to meet up with militants there. He also felt alienated from American society, telling an interviewer, "I don't have a single American friend." The Tsarnaevs were influenced by the jihadist propaganda of Awlaki.

The Tsarnaevs, however, are not typical of American Muslims. For Muslims in the United States the "American Dream" has, on average, worked fairly well. They are as educated as most Americans and have similar incomes.

This is often not the case for the Muslims of France, who make up the largest Muslim population of any country in the West. Consider that around 12% of the French population is Muslim, but as much as an astonishing 70% of its prison population is Muslim.

According to a researcher at Stanford University, Muslim immigrants in France are two-and-a-half times less likely to be called for a job interview than a similar Christian candidate and Muslim incomes are around 15% below their Christian counterparts.

Many Muslims, such as the Kouchai brothers, live in grim banlieue --suburbs of large French cities—that are not dissimilar to projects in the United States where there is little in the way of opportunity; they live divorced from mainstream French society.

According to the Renseignements Généraux, a police agency that monitors militants in France, half of the neighborhoods with a high Muslim population are isolated from French social and political life. The French term for these neighborhoods is "sensitive urban zones," where unemployment averages 45%.

In short for French Muslims, there is no "French Dream," nor, of course, any "EU Dream." It's also small wonder then that France has supplied more foreign fighters to the war in Syria -- around 700 -- than any other Western nation, including, possibly, one of the Kouachi brothers.

After a series of bombings in France in 1995 carried out by militants with links to the former French colony of Algeria that included the Musee' d'Orsay attack, French authorities enacted harsh anti-terrorism laws that allow prosecutors to charge the mere intention to commit an act of terror as a crime and also to hold those suspected of such crimes for up to three years as prosecutors investigated their cases.

Since then, France has been effective at thwarting terrorist attacks -- largely due to these laws and a robust intelligence service -- and only a few terror attacks, such as those that occurred this week have been successful. The laws, however, did not inhibit people from traveling to countries in the Middle East to join groups like ISIS and al Qaeda.

Indeed, it did not stop Said Kouachi, the older of the two brothers involved in Wednesday's attack, from traveling to Yemen to train with al Qaeda in 2011.

Charlie Hebdo attack: What we know and what we don't

Because of the recent travel of hundreds of French fighters to the Middle East, the French Parliament adopted new anti-terrorism laws in November to prevent French nationals from traveling abroad to fight.

A travel ban can be imposed on French nationals when "there are serious reasons to believe that someone is planning to travel abroad to take part in terrorist activities..." The ban is effective for at least six months but can be renewed for up to two years.

The law also allows for blocking websites that "glorify terrorism" in an attempt to counter radicalization online.

With so many hundreds of French Islamist fighters traveling to the Middle East, hopefully, these kinds of measures will help to counter the kind of violence that took place in Paris over the course of this week.

@highlight

Peter Bergen: As with some other French Muslims, the brothers were marginal, economically and socially

@highlight

He says they became active in Middle East causes, had contact with other prisoners