(CNN) -- As many as 200,000 people -- most of them mainland China-based Taiwanese - are expected to return to Taiwan this weekend for an election viewed as critical to the future of an economy that has boomed thanks to warmer ties with Beijing.

Taiwan does not allow absentee voting and the growing political clout of Taiwan's expatriate businessmen -- known as Taishang in Chinese -- will be a determining factor in elections that will set the tenor of the relationship with Beijing.

"Because of the closeness of the race, this election has the highest ever number of returnees," says Professor Ray-Kuo Wu of Fu Jen University, adding that estimates could be as high as 250,000 returnees. "Corporate bosses have mobilized their employees to participate in these elections like never before.

"Hon Hai Precision is chartering six planes to get people back to vote and Formosa Plastics Group is another company that is helping employees return for the election."

With memories of the 2008 election still fresh, when incumbent Ma Ying-jeou of the Kuomintang Nationalist Party was returned with just 30,000 of the 13 million votes cast, the Taishang are concerned that a change of government could stall the lucrative rapprochement with Beijing.

Ma's chief opponent is Tsai Ying-wen of the pro-independence Democratic Progress Party. Tsai has the chance to become the Taiwan's first female president, but her campaign to paint Ma's pro-Beijing policies as selling out Taiwan's sovereignty may cost her Taishang votes, analysts say.

"Taiwan is a democracy and, of course, the way that they vote remains to be seen," says Wu. "But the pro-business and pro-Beijing campaign is something of a double-edged sword. The opposition DPP has been able to paint the president as someone whose policies have only benefited the big corporations."

Although Taiwan is called the "Republic of China," and Taiwan has been de facto independent from the People's Republic of China since 1949 when the Kuomintang or Nationalist government lost the Chinese civil war and withdrew to Taiwan, Beijing considers the island a mere breakaway province.

China has never ruled out the use of force against Taiwan to achieve reunification. If China uses military force against the island the United States could intervene under the Taiwan Relations Act, raising fears of a much wider conflict.

Relations between Taiwan and Beijing softened in 2008 when the two governments opened trade, transport and postal services, allowing direct links for the first time. What had once been a daylong ordeal, where flights to Beijing had to be routed through Hong Kong, has become a short hop across the Taiwan Strait.

Tourism has strongly benefited, with 30% of the 6 million foreign visitors arriving in Taiwan coming from mainland China. Exports, meanwhile, are enjoying a bonanza, hitting a record US$115 billion, up 35% from a year earlier.

"Economically, it's been a big boost for Taiwan," says Wu.

For its part, mainland China, also drawn by the economic prospects of closer ties, has been content not to disturb the status quo, in marked contrast to earlier elections.

In 1996, it reacted angrily to the first direct presidential elections in Taiwan believing that the favorite to win that poll, Lee Teng-hui, was advocating a separate identity and formal statehood for what Beijing has always dubbed a 'renegade province.'

Prior to those elections, Beijing conducted missile tests in the Taiwan Strait aimed at intimidating voters and the United States moved two aircraft carriers into the region. Beijing's posturing created the opposite effect and Lee won the poll handsomely.

Since then, Beijing has taken a hands-off approach, not wanting to upset what is settling into a strong economic relationship.

"The Taiwanese government has stated that the election is their domestic affair and, so far, there has been nothing overt in terms of opposition from Beijing's side," says Wu.

Key to the current policy between Beijing and Taipei has been widespread support for the 1992 Consensus which enshrined the "One China principle." Under this agreement, both sides recognize there is only one China -- that both the mainland and Taiwan constitute China -- but it is up to each side to express their own definition of this.

"Traditionally business leaders have shied away from commenting on political issues," says Wu, adding that this election has been different in that Taishang have been more overtly partisan than in previous elections.

"But there's a recognition that there's a need to continue with the 1992 Consensus and that it's the best choice for Taishang in terms of the prosperity of Taiwan," he said.

@highlight

Taiwan heads to the polls on Saturday to vote in presidential elections

@highlight

Since ties with Beijing have warmed, thousands of Taiwanese businesses are based in China

@highlight

Returning 'Taishing' could decide one of the closest polls on record

@highlight

Tycoons have been chartering planes to fly employees back to vote in the election