(CNN) -- You pay for checking your baggage, for snacks and for extra legroom. Word is one airline has even toyed with charging you to use the toilet. So it makes perfect sense to some fliers that heavier passengers should pay for spilling over into the next seat.

Earlier this year, United Airlines formalized a policy that charges some larger passengers for a second seat.

Frequent flier Ross Murphy, 54, has been sandwiched between larger fliers in coach, and he believes they should have to shell out for a second seat.

"They have a right to sit in the seat next to me," said Murphy, who travels cross-country at least 15 times a year to watch his sons' sporting matches. "But they don't have a right to sit in my lap."

A growing number of airlines are forcing bigger passengers to pay more as they cope with the costly and uncomfortable quandary that arises when obese passengers cannot squeeze into a single coach seat.

With airlines trimming flight schedules -- meaning fuller passenger loads this summer -- the issue is bound to spur some awkward encounters. Chart: Compare some of the common airline fees

"It's a growing problem, no pun intended," said George Hobica, president of AirfareWatchdog.com, a site that is part of Smarter Travel Media LLC, which provides airfare deals and advice. "Everyone suffers. The obese people suffer and the people who are skinny and get spilled over on suffer as well."

U.S. obesity rates have mushroomed during the last 25 years, but the width of a coach airplane seat has changed little, remaining between 17 and 18 inches in most commercial planes. More than one-third of Americans fall into the obese category, according to the Centers for Disease Control and Prevention. This makes traveling in tight spaces vexing for airlines trying to bolster profits by selling the maximum number of seats.

The Federal Aviation Administration does not regulate seat width, but it does require passengers be able to sit belted and with both arm rests down to comply with safety standards.

In April, UAL Corp.'s United Airlines formalized a policy that says passengers who are unable to safely fit into one seat must pay full price for a second seat. They may receive it free if the plane has vacant seats. Flight attendants on the airlines are responsible for making sure passengers are fitting in their seats and may ask a heavier passengers requiring two seats to pay extra.

Robin Urbanski, a spokeswoman for United, said the company received 700 complaints in 2008 from passengers who were upset because a larger passenger encroached on his or her seat.

"This new policy was created for the comfort and well-being of all our guests on board," Urbanski said.

A survey conducted this year by Europe's low-fare airline Ryanair found a third of the 100,000 passengers polled believed a "fat tax" should be instituted, requiring heavier passengers to pay more.

Most U.S. airlines have a policy or plan for dealing with heavier passengers, though some are not formalized like United's. Officials worry heavier passengers squished into one seat may pose a safety hazard when a plane must be evacuated during an emergency.

Southwest Airlines has had a "customer of size policy" for more than 20 years, requiring passengers to buy a second seat on a full plane if their body crosses the armrest boundary.

The company will issue refunds if unoccupied seats are available, which they say is the case 97 percent of the time.

Airlines with open seating policies such as Southwest find it easier to relocate passengers in need of an extra seat. On all airlines, passengers can buy first-class or business-class seats, which are wider. But those tickets cost more than a coach seat.

Experts at Boeing Company, an aircraft manufacturer, say 17-inch seats can accommodate 95 percent of the traveling public. They say studies have found most seat space invasions happen because of wider shoulders and not derrieres.

Still, some larger passengers who need more than one seat believe being charged extra is discriminatory and the airlines are not accommodating the growing American waistline.

"The airlines need to be making bigger seats," said Peggy Howell, a spokeswoman for the National Association to Advance Fat Acceptance, a group based in San Francisco, California. "It's not safe to be cramming us into two seats."

Lawsuits have been filed by heavier passengers and by those who complain about large passengers encroaching on their space. The courts have ruled  the airline policies are within their rights. In the United States, there aren't any discrimination laws to protect obese people, attorneys say. (In some employment discrimination cases, attorneys have been able to win by proving obesity was a genetic disease beyond the person's control.)

In 2003, the issue of passenger weight surfaced when a commuter plane crashed on takeoff from Charlotte, North Carolina, because of excess weight and a maintenance error. The accident prompted the FAA to increase the estimated weight per passenger by 10 pounds, including 20 pounds of carry-on luggage. For example, the average weight for a passenger traveling in the summer (including carry-on luggage) went from 180 pounds in 1995 to 190 pounds in 2003.

"We realized after that accident that the weights we were using probably didn't reflect the current state of the American traveling public," said Les Dorr, a spokesman with aviation safety at the FAA.

In 2004, a CDC scientist studied the effects of obesity on the airline industry. The scientist calculated his findings based on data revealing the average weight of an American had increased by 10 pounds in the 1990s. He estimated the extra weight cost airlines $275 million extra for fuel in 2000. The figures are likely higher today, with fuel costs rising.

Scott Cluthe, 57, who works in the radio industry in Houston, Texas, a city known for its obesity epidemic, said average-sized passengers should not have to incur the higher fuel cost caused by the airline's heavier customers.

"A small child needs to pay for a flight, so why wouldn't an obese person?" said Cluthe, who flies several times a year, mostly in coach, for personal trips. "I'm not a discriminatory person, but we have to look at the reality of the situation. It's getting a little crowded in here."

Some larger passengers don't mind paying for the second seat. Other heavier fliers argue while tall passengers pay a fee for legroom, the fees are only a fraction of the price of a entire seat. Air France offers obese passengers booking a second seat up to 33 percent off the ticket price, depending on the type of seat and availability.

Mike Vasey of Cheyenne, Wyoming says even some normal-sized people can't fly comfortably when they are packed in the cabin like sardines. Vasey, 45, who considers himself a large guy at 400 pounds and over six feet tall, usually pays for two seats.

"I'd rather be comfortable first ," he said, "and worry about discrimination later."

@highlight

Obesity rates have grown in the last 25 years but plane seat sizes remain the same

@highlight

A growing number of airlines are creating polices to deal with heavier passengers

@highlight

Heavier passengers cost more fuel and space, say some passengers

@highlight

National Association of Fat Acceptance says it's unsafe to cram passengers