(CNN)Despite the conventional wisdom that Washington is a frozen island of partisanship, a hopeful thaw is underway. For the past year, we have been spearheading a bipartisan effort to update the process of discovering, developing and delivering medical therapies to help people live longer and better lives.

After months of listening to experts and stakeholders, the path to faster cures is clearer than ever. We call it the 21st Century Cures initiative, and Congress is about to take a major leap down this road of hope.

There are over 7,000 diseases yet we only have cures and treatments for 500 of them. This unacceptable fact led to one simple question: What policies can we enact to help get more cures and treatments to patients?

Our review revealed several areas of reform that will close the gap between the science of medicine and the regulations that impact the volume and fate of new therapies. Our legislation will modernize all of these categories, removing outdated hurdles that can prevent innovation from flourishing or from fleeing the United States.

First, we must modernize clinical trials to streamline the approval of drugs and devices. Safety has and always will be a top priority. But the old approach of automatically applying a therapy to a broad group of patients is no longer the best path forward, particularly for those diseases for which we do not have a treatment or cure.

Technologies like genetic screening can help us target the right treatments to the right group of patients, creating opportunities for smaller, more targeted and effective trials. We will also streamline the paperwork associated with conducting scientific investigations, whether it's making it easier to recruit patients for clinical trials or adapting the operation of trials as we learn new information.

Second, we will better integrate the patient perspective into the regulatory process. Building off of the Food and Drug Administration's Patient-Focused Drug Development (PFDD) program, we are looking at ways to help strengthen FDA's efforts to further incorporate the patient's perspective. New public-private partnerships that can help build the science around biomarkers and patient-reported outcomes are one way to produce more collaboration, move toward faster cures and better involve patients. We also will create a predictable process for the qualification of biomarkers and patient-reported outcomes so we can utilize these tools in the development process.

Third, we must promote better access to and sharing of information such as genomic and other clinical data to foster more collaboration among researchers. We will also assist developers and entrepreneurs building innovative, patient-focused technologies by removing regulatory uncertainty as they build apps and other new products. With the explosion of technology, we can collect, monitor and analyze information like never before, helping patients stay healthy and adopt healthy habits while also making treatments safer and more effective. Finally, fostering better interoperability and the collection and secure sharing of data for research are other critical components to modernizing the development of treatments.

Fourth, we will invest in the future of science. Our legislation will help young, emerging scientists with expanded access to resources and will take steps to ensure federal dollars are invested wisely. Many of our most promising investigators -- many with great ideas and cutting edge training -- are hamstrung by the challenges of securing much-needed support. We will encourage them to conduct research here in the United States, creating jobs and ensuring that patients here at home have access to the most innovative, new treatments.

Finally, we will better incentivize new drugs and devices for unmet medical needs. This includes streamlining the premarket process while establishing mechanisms to better capture real world evidence post-market. We can also examine incentives, such as exclusivity or simplifying the reimbursement process, to produce drugs and devices for diseases with unmet needs.

America has a strong history of finding solutions to diseases through medical innovation. Today, partnerships with patients and advocates, health care workers and researchers, and government and the private sector can speed the cycle of finding faster cures.

Given the rate of recent scientific progress, it's time to modernize policy to move the process of discovery, development and delivery even faster. The 21st Century Cures initiative is a bipartisan effort to melt Washington's polarization and do just that.

@highlight

There are over 7,000 diseases yet we only have cures and treatments for 500 of them

@highlight

The 21st Century Cures initiative is a bipartisan bill to speed the cycle for finding faster cures