(CNN) -- Abu Yahya al-Libi, al Qaeda's No. 2 man, was killed in Pakistan on Monday, according to U.S. officials.

Al-Libi's death was "another serious blow to core al Qaeda," White House spokesman Jay Carney said.

Al-Libi, 49, was a well-regarded figure in jihadist circles and had emerged as one of the terrorist network's most important clerics and propagandists, appearing in countless videos in recent years.

He was killed by a CIA drone strike, according to U.S. officials. Drone strikes remain a highly contentious issue between the United States and Pakistan.

Who is Abu Yahya al-Libi?

By most accounts, al-Libi was effectively al Qaeda's deputy leader.

A Libyan citizen and an Islamic scholar, al-Libi bolstered his credibility within jihad groups after escaping from U.S. custody in Afghanistan in 2005.

He became the public face of al Qaeda and used his religious training to justify the organization's actions. As one of the group's chief ideologues and propagandists, al-Libi appeared in numerous recruitment videos in which he cast himself as a sheikh with the legitimacy to issue fatwas.

Other than his appearances in propaganda videos, it's unclear which plots against the West al-Libi was involved in. A wanted ad from the U.S. State Department described him as a "key motivator in the global jihadi movement," and said that "his messages convey a clear threat to U.S. persons or property worldwide."

What does his death mean for al Qaeda?

This is a "very serious blow" to al Qaeda, according to Noman Benotman, a former senior member of the Libyan Islamic Fighting Group who spent significant time with al-Libi in the 1990s. No one else within the group rivals his legitimacy as a religious scholar nor has the credibility in the Arab world to provide Islamic justifications for al Qaeda's global campaign of terrorism, he said.

"There is no one who even comes close in terms of replacing the expertise [al Qaeda] has just lost," said a U.S. official who spoke on the condition of anonymity.

Al Qaeda leader Ayman al-Zawahiri may be the only leader of consequence left, wrote Peter Bergen, CNN national security analyst. However, he said al Qaeda's regional affiliates remained a threat.

For a complete list of terrorists sought by the United States, check out this list on CNN's Security Clearance blog.

What are drone strikes?

In drone strikes, unmanned aerial vehicles, often equipped with hellfire missiles, are used to target suspected terrorists in remote locations.

These attacks have been used in Pakistan, despite opposition from the country. This issue has strained relations between Pakistan and the United States. The strike on Monday that killed al-Libi is believed to be the 21st U.S. drone strike in the country this year.

Critics of such attacks say the drone strikes have killed innocent civilians and that the U.S. has not provided evidence that the missiles have reached their intended targets.

U.S. officials rarely discuss the CIA's drone program in Pakistan, though privately they have said the covert strikes are legal and an effective tactic in the fight against extremists.

What's the reaction in Pakistan?

There has neither been widespread reaction in Pakistan nor any uproar or outrage over al-Libi's death. It's likely that many Pakistanis do not know who al-Libi was, according to Reza Sayah, CNN's Pakistan-based correspondent.

Are drone strikes legal?

Critics say that drone attacks are not a democratic strategy and that the practice violates international laws and national sovereignty.

President Barack Obama's administration has justified its use of drones overseas. In a rare public statement recently, John Brennan, the president's top counterterrorism adviser, said the strikes are conducted "in full accordance with the law."

Brennan said the United States "respects national sovereignty and international law" and is guided by the laws of war in ordering those attacks.

CNN's Paul Cruickshank, Peter Bergen, Reza Sayah and the CNN Wire contributed to this report.

@highlight

Abu Yahya al-Libi, al Qaeda's deputy leader, was killed by a drone strike, U.S. says

@highlight

His death was a "very serious blow" to al Qaeda, White House says

@highlight

Drone strikes remain highly controversial because of civilian deaths