(CNN) -- "The arc of the moral universe is long, but it bends toward justice." -- Martin Luther King Jr.

Why so long?

As I watched the announcement by Attorney General Eric Holder this past week in San Francisco -- that federal prosecutors would no longer invoke mandatory minimum sentencing laws for certain low-level, nonviolent drug offenders -- I kept asking myself: "Why so long?"

Pardon me if I am underwhelmed by the sudden turnaround, especially in light of the evidence having been overwhelming for the past 40 years that we have been on the wrong path. These mandatory minimums were a bad idea when they were first proposed. Not because I say so, but because the evidence leads to almost no other conclusion.

I came of age during America's crack epidemic and I have seen the results of this scourge on our society in my own family, where family members have suffered, their lives affected and dreams shattered. But putting them on lockdown because a judge had no discretion whatsoever was never the answer to any prayer. Not for my family, not for the millions whose "lives have been wasted due to the drug war and the types of police tactics that have been deployed in the get-tough-on-crime movement," as author and law professor Michelle Alexander noted.

As reported last week, amid the crack epidemic a generation ago, state and federal lawmakers had enacted a wave of tough crime measures that resulted in a nearly 800% increase in the number of prisoners in the United States, even as the population grew by only a third.

The result? An increase in the number of African-American and Hispanic men convicted of drug crimes, with black men about six times as likely as white men to be incarcerated.

Or in the vernacular we used back in the day when fighting against these discriminatory laws, "Crack is used in the streets, cocaine in the suites." And yet, one had to get caught with 100 times more powder cocaine than crack to get the same sentence.

I call that racist. Even in the Obama era, although President Obama initially campaigned on a one-to-one ratio in this area of sentencing, what he signed into law in 2010 was 18-to-1. Better, but not nearly good enough.

The attorney general chose the right place to make his announcement. In California the impact these draconian laws have had on prison overcrowding and related issues is front page news almost daily. The once "Golden State" has been ordered to release nearly 10,000 inmates from its overcrowded prisons by the end of the year to resolve a problem of "cruel and unusual punishment" that's been brewing for years due to, what else? You guessed it, an overly aggressive increase in sentencing.

So, with all of this data, why so long for this major shift on crime? The answers are plentiful but the motive may be singular.

I would like to believe that it's about a shift in our morals; that our nation has finally come to the conclusion that being the world's leader on lockdowns is neither socially sustainable nor a just way to treat fellow citizens. But, alas, I'm not that naive.

It's about money. Pure and simple. As a nation, we have a habit every bit as addictive as the habits of many of the folk we've locked away. We've been addicted to the drug of incarceration, and now we can no longer afford our expensive habit. Things are "breaking bad" for us too. Time for rehab.

Of course, like most addictions, this habit won't be easy to break. But let's hope this time around we get the help we need and come to our senses about how to better spend our dollars.

The opinions expressed in this commentary are solely those of Tavis Smiley.

@highlight

Tavis Smiley: I'm underwhelmed at Holder's decision to avert mandatory minimum sentences

@highlight

What took so long? Such sentences have been a disaster from the beginning, he says

@highlight

He says tough-on-crime laws made incarceration jump 800%; blacks, Hispanics bore brunt

@highlight

Smiley: Why is U.S. no longer willing to do this? Not morals, sadly -- it just got too expensive