Atlanta, Georgia (CNN) -- They are the first victims of the oil disaster that has devastated the Gulf region: 11 oil rig workers killed on April 20 when the Deepwater Horizon drilling rig exploded, torching the sky and puncturing the sea.

Their remains have been lost in the Gulf of Mexico. At least 15 others were injured in the massive explosion.

Victims and their families are suing BP and Transocean, the Swiss-based company that owns the drilling rig.

But getting a settlement from Transocean, the world's largest offshore drilling company, could be difficult.

Q&A on the legal liability of the companies involved in the oil disaster

The company has invoked a 19th century American law to limit its liability to $26.76 million, a fraction of what the plaintiffs are likely to seek.

"It may work," said Martin Davies, professor of law and director of Tulane University's Maritime Law Center. "They've got a chance."

Transocean's pre-emptive strike is part of the legal thicket confronting victims, where a patchwork of arcane and sometimes inconsistent laws will most likely make the ensuing litigation one of the most complex cases in American history.

The Deepwater Horizon is technically a mobile offshore drilling unit. Under maritime law, it is classified as a seagoing vessel, just like a freighter or passenger ship.

Three weeks after the accident, Transocean petitioned a U.S. federal court for protection under the Limitation of Liability Act of 1851.

Congress enacted the law to spur investment in shipping and keep the U.S. Merchant Marine fleet competitive with other seafaring nations.

To help the American shipping industry, the government limited ship owners' liability to the value of the vessel plus the money the owner would collect for completing its voyage.

But now that the Deepwater Horizon is a wreck on the ocean floor, the vessel is worthless, according to Transocean.

Read the affidavit stating Deepwater Horizon's value is "$0.00 dollars"

Transocean says the remaining value of its drilling contract with BP at the time of the April 20 disaster was $26,764,083.

That amount, the company argues, is the maximum it is legally required to pay to victims.

"Totally ridiculous," said Kurt Arnold, a Houston, Texas, attorney representing two of the victims.

Transocean's ability to use the law may depend on a judge's ruling on who at Transocean knew of potential problems and when they knew it.

Much of the focus has been on BP and its liability in the Gulf oil catastrophe. Survivors of the explosion told CNN's Anderson Cooper in an exclusive interview that a BP official wanted workers to replace heavy mud -- used to keep the well's pressure down -- with lighter seawater to help speed a process that was costing an estimated $750,000 a day and was already running five weeks late.   More on the survivors' account

In the claims against Transocean, its lawyers will try to prove that Transocean's top managers did not know about conditions that would cause the accident.

If they succeed, the Limitation of Liability Act will apply.

Lawyers for the victims will argue that Transocean officials had enough of what the 1851 law calls "privity or knowledge" to hold the company responsible for the full value of the death and injury claims.

Publicly, the victims' lawyers say they are confident they can "break the limit."

But law professor Davies disagreed: "It's not a slam dunk."

If Transocean prevails, a relatively small pool of money would be split among the victims.

If the money ends up being shared on a pro-rated formula, "nobody's getting paid 100 percent," said Joshua Force, a plaintiff's lawyer in New Orleans, Louisiana.

Smaller payouts also affect lawyers who work on contingency fees. The less they recover for their clients, the less the lawyers get paid.

Read how some lawyers could get a huge payout

A Transocean press release states, without elaboration, that "Transocean will honor all of its legal obligations arising from the Deepwater Horizon accident."

The company said the petition seeking shelter under the Limitation of Liability Act was filed "at the instruction of its insurers and in order to preserve insurance coverage."

"It's understandable self protection," Davies said, "but it still has an unsavory feel to it."

Especially, he added, since the proposed limit is a "far smaller amount than what they've recovered from their insurers."

Transocean carried $560 million in insurance on the Deepwater Horizon -- more than its book value, according to company officials.

Transocean noted a $270 million "accounting gain" -- or profit -- from the insurance payout in a May 6 conference call with investors.

Another point of contention is where any future legal battle takes place. Transocean argues that Houston is the proper venue, because its American headquarters is there.

But lawyers for the victims want to move the case to New Orleans, which they argue is more convenient for their clients and closer to the scene of the disaster.

The lawyers are competing for the "subterranean sympathy you can get from a judge," Davies said.

Judges "are all supposed to be objective, but the New Orleans judges are likely to be more ticked off about it than in Houston," he said.

Critics, including Davies, say the Limitation of Liability Act is anachronistic and "no longer serving the purpose that it was intended to serve."

It should be amended, said attorney Scott Bickford, who represents victims.

"The law ought to just deal with cargo at this point,"  not personal injury and wrongful death claims, he told CNN.

Sen. Chuck Schumer, D-New York, said the law should be repealed, "so that no company has the opportunity to walk away from its responsibility."

But if the law is so antiquated, why wasn't it changed years ago?

"You can't get Congress to pay attention to anything on maritime law," Davies said. "It's not a very sexy issue until there's a disaster."

@highlight

Families of oil workers killed, hurt in Gulf file lawsuits against BP, Transocean

@highlight

Transocean, which owns Deepwater Horizon, to use a 19th century U.S. law

@highlight

The Limitation of Liability Act of 1851 was meant to keep U.S. Merchant Marine competitive

@highlight

Some lawmakers and analysts say the law should either be amended or repealed