(Financial Times) -- Bull markets in Japan tend not to last long. Over the past two decades, in an environment of low growth and persistent deflation, the best strategy for globally minded investors has been to get in early and then get out again, once the index has risen about 20 per cent.

"Normally we get our moment in the sun once every 18 months," chuckles Jesper Koll, head of equity research at JPMorgan, now in his 27th year of tracking the Tokyo market. Last year was a good one, with a rally in early spring and another still in progress, set off by expectations of more aggressive monetary and fiscal stimulus under Shinzo Abe, the country's returning prime minister.

From the time former premier Yoshihiko Noda called an election in mid-November, to the close of the Tokyo market for the new year holidays, the Nikkei 225 stock average rose by a fifth, outperforming 92 of 94 equity benchmarks around the world. Foreigners led, snapping up a net Y1.8tn ($21bn) of stocks in the six weeks before Christmas.

But as the Japanese market reopens on Friday, investors should not necessarily be eyeing the exits, say strategists. While it is too early to judge whether Mr Abe's reflationary policies will be successful, they say, the stage he has set -- featuring a weaker yen and a looser central bank -- should support stocks for a while yet.

"Look around the world," says Kathy Matsui, chief Japan strategist at Goldman Sachs in Tokyo, paraphrasing a recent comment from one of her clients. "The US still has its fiscal cliff problem, Europe keeps muddling through and China's direction under its new leaders is uncertain." In that context, "Japan is the clearest macro game in town".

More inflows from abroad seem likely, say analysts. For one thing, valuations are inexpensive. Of the five cheapest holdings of Global Special Situations, an Investec Asset Management fund which seeks out companies with low enterprise values but strong cash flows, four are Japanese.

"We'd never say this is the start of a multiyear bull run but we do know the stocks we own here still look attractive," says Mark Wynne-Jones, the fund's co-manager.

The yen is on track to record eight consecutive weeks of losses against the US dollar, which is something it has not achieved since 1989. A weaker currency should improve sales volumes and profit margins for exporters, which have become the primary engine of extremely cyclical growth in the world's third-largest economy.

But perhaps the strongest reason for continuing to put on the so-called "Abe trade", say analysts, is the desire of the new prime minister to consolidate his hold on power. Last month's victory in the lower-house elections has given the Liberal Democrat party a two-thirds "supermajority", in tandem with its alliance partner.

However, the coalition is short of a majority in parliament's upper house, where the Democratic Party of Japan still holds sway. If Mr Abe can steer his party to victory in July, when half the upper-house seats are up for grabs, he could, in theory, enjoy an election-free reign stretching out to 2016.

For the next six months, Mr Abe's government will be "using all its political power" to push stocks up and the currency down, says Satoshi Okagawa, senior global markets analyst at SMBC in Singapore.

After that, say analysts, gains may be harder to come by.

In the absence of real structural reforms to increase Japan's potential growth rate, the market may not take off like it did between 2003 and 2005 under the administration of Junichiro Koizumi, says Ms Matsui of Goldman Sachs.

In the past couple of months Japan has been "a 'close-your-eyes-and-buy' market", says Sean Darby, chief global strategist at Jefferies in Hong Kong, noting that stocks that had been "priced for technical insolvency", such as Sharp, have rallied the hardest.

But most feel that Mr Abe deserves a little faith.

Dean Cashman, a Singapore-based director at Eastspring Investments, the Asian asset management arm of Prudential, has seen 14 prime ministers come and go since the early 1990s. He says he runs his $80m portfolio by focusing on what companies do "in spite of politics -- not because of it".

But with Mr Abe, "at least you have a party with an agenda and a fairly clear mandate. If nothing else, this opens the door to a better policy making process."

Jeff Atherton, senior portfolio manager at GLG Partners, which runs one of the biggest Japanese equity funds outside Japan, says it will take months, if not years, to judge the success of Mr Abe's "great reflation experiment".

But for the time being "it feels much too early to be too cynical," he says.

© The Financial Times Limited 2013

@highlight

The Nikkei 225 has outperformed 92 of 94 equity benchmarks around the world since November

@highlight

Expectations high of more aggressive with Shinzo Abe, the country's returning prime minister