Reyhanli, Turkey (CNN) -- The patients limp into a two-story house standing on the fringes of Syria's brutal conflict. They are victims whose bodies have been mutilated by the war.

But this charity is giving some Syrians a second chance at life. It is helping survivors take their first steps on the long road toward recovery.

Part workshop, part physical therapy clinic, the National Syrian Project for Prosthetic Limbs manufactures artificial legs. It also helps amputee victims train their bodies to walk on these new limbs.

Among the patients here is Ahmed Mohammed, who gingerly takes his first steps on a new prosthetic leg.

His left leg was blown off above the knee a year ago by an explosion in the battleground city of Aleppo. A network of purple scars riddle his right leg while he says he still has shrapnel lodged in the skin of his back.

Several Syrian technicians use screw drivers to adjust the knee joint of Mohammed's prosthesis as the patient tests the balance on the limb.

"They brought back hope. They brought back self esteem. They brought back life," Mohammed says, pointing at the young men who help him. "My life was a tragedy before I put this limb on."

It can take months of physical therapy and a succession of different prostheses before patients' bodies can adjust to walking on new limbs.

"The first and second limbs are temporary," said Raad al Masri, a Syrian who runs the prosthetic limb project. "The third or fourth become permanent."

Mohammed made the difficult, sometimes dangerous journey from Aleppo to this Turkish border town to try on this third generation of prosthetic limb.

The leg has allowed Mohammed to go back to his job as a metal worker. More importantly, he adds, "I can put my own son on my leg and pull him up, thank God."

At the charity, craftsmen grind metal on lathes and sculpt, and bake plaster for new limbs.

Funded in large part by Syrian expatriates, the project's directors say it has provided limbs and therapy for free for more than 350 patients. The project is more affordable because technicians adopted the "Jaipur Leg," an artificial limb developed in India that is far cheaper than some other prosthetic models.

Among the young people working at the facility is Abdullah el Mawlah, a slender, red-haired teenager.

Mawlah is not just an employee. The 18-year old is also a victim of the war, and has his own prosthetic leg.

He says he was strafed with fire from an anti-aircraft gun a year ago as he and his family were traveling up a road in a pick-up truck.

The boy who once loved to play soccer says he ended up in a hospital bed in Turkey, begging to have his mangled leg amputated because of the pain.

Eventually, infection set in, and Mawlah says doctors removed his left leg above the knee.

The tall teen moves quickly with a slight limp, even climbing and descending stairs.

"Sometimes we receive patients who are completely destroyed emotionally," Mawlah says.

"I can give the patient answers because I have lived their lives. I tell them I have a prosthetic limb and thank God I am here to tell you that you can go on and continue your life like any normal person. Yes, you may not get back to exactly how you were before the injury, but you will be able to walk again."

Despite these brave words, Mawlah privately confesses to having doubts. He fears that no woman will ever want to marry a man mutilated by war.

This organization has gone a long way toward healing physical wounds left by the conflict.

The emotional and mental damage, however, may prove much harder to cure.

@highlight

Charity gives some Syrians a second chance at life

@highlight

The National Syrian Project for Prosthetic Limbs manufactures artificial legs

@highlight

It also helps amputee victims train their bodies to walk on new limbs