(CNN) -- When it comes to India travel, the state of Punjab, which borders Pakistan, doesn't make it to the top of that many itineraries.

That's good news for intrepid travelers.

From temples so gold they'll make your eyes water, to food you'll be longing for days after it hits your lips, Punjab is India at its colorful, lively best.

1. Harmandir Sahib (Golden Temple)

Located in Amritsar, the holiest shrine of the Sikh religion, Harmandir Sahib (Golden Temple), is Punjab's top attraction.

Reflections of its gold-encrusted dome shimmer in the clear water of the Amrit Sarovar (Pool of Nectar), which greets those who enter from the north gate, the most impressive of all four entries.

To take it all in, it's best to simply walk around the marble pathway surrounding the pool.

Its waters are said to have healing powers.

Devotional music, bathing pilgrims, golden carps and meditating devotees add to the atmosphere.

Worth keeping in mind: There's a long line to visit the inner sanctum (Darbar Sahib), where the holy book of the Sikhs, "Guru Granth Sahib," is kept.

Visits are best scheduled for the late afternoon and early evening; every night the temple complex is illuminated. Simply stunning.

You can end the day at the temple's langar (canteen).

The scale of its free meal, put on daily by volunteers, is impressive, with 50,000 meals served each day, according to temple officials.

The Golden Temple, Golden Temple Road, Amritsar, Punjab; +91 183 255 3957; open daily, 6 a.m.-2 a.m.

2. Punjabi eats

The city of Amritsar has a rich culinary heritage. Building a big enough appetite to give it the attention it deserves is a challenge.

From melt-in-mouth chicken tikka to cream-laden, extra-large tumblers of yogurt lassi, Amritsar is an Indian food lover's dream destination.

The best way to get a balanced taste is to start in Kesar Da Dhaba. Hidden in the twisting lanes of the old part of the city, it's reached only by foot, cycle rickshaw or bicycle.

Founded in 1916, the restaurant is particularly popular with vegetarians.

There's crispy butter-smeared tandoori bread; the house specialty, daal makhani, comes with a thick layer of ghee.

At Makhan Fish and Chicken Corner, fried singhara (catfish) fillets are a must-try. They're coated in chickpea flour and caraway seeds then cooked. Perfect with cold beer.

The creamiest and freshest yogurt lassi in Amritsar is at Surjan Singh Milk Bhandar; the thick drink is a mini-meal in itself.

Kesar da Dhaba, Chowk Passian; +91 183 255 2103

Makhan Fish & Chicken Corner; 21A, Majitha Road, near Maddan Hospital; +91 98 1519 3241

Surjan Singh Milk Bhandar, Chowk Regent Cinema, GT Road

3. Border face off

One of Punjab's most interesting rituals is the lowering of the flags ceremony, held at India's Wagah border each evening before sunset. Wagah is about 25 kilometers from the Pakistani city of Lahore.

Indian guards in red and gold turbans march out to meet their Pakistani counterparts in a choreographed affair greeted with loud applause from onlookers.

It's a splendid show of patriotism, pomp and panache.

To secure good seats, it's best to get there by midafternoon or arrange for a VIP pass from the Border Security Force station. For security reasons, bags and backpacks aren't allowed.

The border is 30 kilometers from Amritsar and takes about 45 minutes to reach by car.

4. Punjabiyat Lodge

Punjabiyat Lodge doesn't conjure quintessential images of India.

Instead what you get here are feather-light beds with unobstructed views of green fields as far as the eye can see.

The nature retreat in Punjab's agricultural heartland is a great place to de-stress through simple rural experiences.

Visitors can lend a helping hand to farmers, cycle around the village, milk cattle or take a tractor ride.

Rooms are luxurious but eco-friendly.

Guests get a sense of remoteness and privacy; there are only four cottages, all set in a wheat field.

Meals are a pleasure. Breakfast is served near the fields, lunch under the shade of sprawling trees and dinner on a terrace under a canopy of stars.

Most meals are made with ingredients grown on the lodge's farm, says Punjabiyat manager Jagdeep Singh.

Punjabiyat Lodge is in the village of Saidowal-Gunopur, about 75 kilometers from Amritsar; +91 981 870 5508

5. Sarai Amanat Khan

A scenic 45-minute drive from Amritsar, Sarai Amanat Khan is an old, crumbling caravanserai (roadside inn).

Built by Mughals in 1640, it's a fantastic remnant of ancient architecture.

It once served travelers on the Agra-to-Lahore trade route and was a prosperous pit stop back in the day.

These days, the historic ruins only hint at its glorious past.

Photogenic features of the complex include an arched entry, fading calligraphy, Persian tiles, eroding walls and a mosque.

Amanat Khan, the inn's namesake, is believed to be the same guy who etched the calligraphy on the Taj Mahal in Agra.

It's a great day trip from Amritsar.

6. Ranjit's Svaasa hotel

There are few better ways to end a wild day in Amritsar than climbing into one of the plush beds at the 200-year-old Ranjit's Svaasa hotel.

Abhimanyu and his partner, Gayatri, are the gracious hosts of this charming, well-hidden retreat.

The owners are seventh-generation members of the Punjabi Mehra clan, says general manager Deepak Biala.

Corridors are dotted with family portraits, antique furniture and curios collected over their many travels.

Secluded terraces and lounging spaces are spread throughout the property.

The Rattan Chand and Dev Chand suites each come with a marble bathtub and a sitting area framed by large windows.

Guest can learn to whip up a traditional Punjabi meal or hit the spa for an innovative wine-and-sugar scrub or face treatment with turmeric, sandalwood and organic rose water.

Ranjit's Svaasa, 47A Mall Road, Amritsar; +91 183 256 6618; rooms from RS 6,500 ($108)

@highlight

India's Punjab state is home to the holiest shrine of the Sikh religion, the Golden Temple

@highlight

Every evening at the border, Indian, Pakistani guards join in a flag lowering ceremony

@highlight

For heritage stays, Amritsar's Ranjit Svaasa hotel has been around for 200 years