With a signature on a piece of paper, convicted quadruple murderer Nathan Dunlap's life was spared.

For now.

Because Colorado Gov. John Hickenlooper signed a "temporary reprieve" in 2013, Dunlap's 1996 death sentence still has not been carried out. That's painful for many of the loved ones of the four restaurant workers Dunlap shot to death. It also upsets the sole survivor of the shooting, Bobby Stephens.

"It's not fair," Stephens told KRDO TV.

Precedent on temporary reprieves is murky. No one knows for sure when the reprieve may be lifted, and Colorado hasn't executed anyone since 1997.  Hickenlooper, a Democrat, won a re-election bid in November, likely delaying Dunlap's execution for at least another four years.

Dunlap's 1993 attack inside a Chuck E. Cheese pizza restaurant sparked a wave of anger reflected on local news broadcasts. Prosecutors said Dunlap was seeking revenge after being fired from his job there as a cook. He entered the restaurant, hid in a restroom, and emerged after closing, prosecutors said. He then shot Sylvia Crowell, 19; Colleen O'Connor, 17; Ben Grant, 17; and Marge Kohlberg, 50, who was the mother of two children.

Stephens, 20, who also worked there, survived. After Dunlap shot him in the face, he played dead until the killer fled the building.

Unanimous death sentence

A high-profile trial provoked a raging debate about how society should best deal with those who commit heinous crimes.

Dunlap's jury convicted him on four counts of murder and unanimously sentenced him to death.

During years of appeals that followed, prison doctors officially diagnosed Dunlap with bipolar disorder, CNN's "Death Row Stories" reported. Dunlap's attorneys appealed, claiming his mental health wasn't properly taken into account during his trial.

Dunlap apologized to Stephens in a letter, saying "he was sorry for what he'd done to me," Stephens told KRDO TV. But Stephens said he doubted his would-be killer's goodwill.

When the U.S. Supreme Court refused to hear Dunlap's final appeal, he and his attorneys took their plea for a stay to Hickenlooper.

"Because of that and the horrible things I did, I don't feel I have the right to ask for clemency," Dunlap wrote in a letter to the governor, reportedly saying,"I'd like to spare my family and friends from the same pain that I caused the victims' families and Bobby Stephens and his family and friends."

Rather than give Dunlap clemency, the governor issued a "temporary reprieve," explaining that his decision was made "not out of compassion or sympathy," but because there "is a legitimate question whether we as a state should be taking lives." "Colorado's system for capital punishment is not flawless," Hickenlooper wrote in his executive order.

Read the governor's executive order

'Mob justice'

The governor's decision reignited the years-old Dunlap debate.

The mother of victim Colleen O'Connor, Jodie McNally-Damore, told "Death Row Stories" she's hoping Dunlap will avoid execution. "I think that he deserves to stay exactly in the hole that he's in, and let him suffer and think about what he did. Let him rot."

Bob Crowell, father of victim Sylvia Crowell, told KCNC TV that the governor's decision resulted in backdoor clemency.

Hickenlooper's Republican challenger in last November's election, former Rep. Bob Beauprez, told The Associated Press that the governor's reprieve for Dunlap showed "an unwillingness to even make the tough call."

The governor's temporary reprieve has no time limit, so theoretically, as long as Hickenlooper remains in office, he can continue to block Dunlap's execution. But a new governor could end the reprieve, clearing the way for Dunlap to die by lethal injection.

In a way, Dunlap's fate rested in the hands of Colorado voters last month, in a close race that Hickenlooper called the toughest fight of his career. Critics said that amounted to mob justice.

Before the election, Dunlap's prosecutor, District Attorney George Brauchler, told "Death Row Stories," "There's one person in the state of Colorado who is more interested than the governor being re-elected than even the governor -- and that's Nathan Dunlap."

This isn't Aurora's only high profile death penalty case involving mental health and a gunman. James Holmes has pleaded not guilty by reason of insanity to 166 charges surrounding a movie theater shooting in 2012 that left 12 people dead. His trial is set to begin December 8. Prosecutors have said they plan to seek the death penalty.

A complicated system

Dunlap's case is one of several "Death Row Stories" that illustrate America's complicated capital punishment system.

Some of them involve inmates who faced possible execution until higher courts stepped in. Convicted of murder, Edward Lee Elmore spent 30 years behind bars in South Carolina despite seemingly overwhelming evidence that he was innocent.

More on Elmore's case

In another case, Gloria Killian's lawyers found a previously unknown letter written by a key witness to a prosecutor in her murder trial. Federal appellate Judge Michael Daly Hawkins said the letter made the witness's testimony worthless and ordered Killian freed. Killian had lost 17 years of her life during her prison ordeal.

More on Killian's case

Ohio prisoner Joe D'Ambrosio spent more than 20 years on death row until a judge dismissed all charges against him because D'Ambrosio's lawyers were not allowed access to evidence that could have proved him innocent.

More on D'Ambrosio's case

In Louisiana, John Thompson, convicted of murder, was freed after lawyers uncovered previously unknown evidence that a witness had wrongly identified him as the killer. In 2008, Thompson made legal history when he won a $14 million award from a civil lawsuit against the New Orleans district attorney's office, alleging Thomas' wrongful conviction had resulted from prosecutorial misconduct. But the case was appealed to the U.S. Supreme Court, where the award was denied in a 5-4 decision.

More on Thompson's case

Other "Death Row Stories" focus on prisoners who remain on death row for crimes that still have many unanswered questions.

One such case involves former Florida police officer James Duckett, who faces execution for the rape and strangling death of an 11-year-old girl. His lawyers are hoping for a new evidence hearing that they feel could result in his freedom.

More on Duckett's case

Another Florida prisoner, Kris Maharaj, spent 15 years on death row for the murders of two business partners. Maharaj has claimed innocence -- and an alibi -- since the beginning. In November, at a Miami evidence hearing, defense attorneys blamed the killings on hit men directed by notorious drug lord Pablo Escobar. A judge eventually is expected to rule on the new evidence.

More on Maharaj's case

In perhaps the most bizarre case of the series, former Army Master Sgt. Tim Hennis awaits execution on the U.S. military's death row at Fort Leavenworth, Kansas, for a triple murder in which he was convicted, then acquitted and then convicted again. "Tim Hennis is the only person in United States history who's been tried for his life three times after guilty and not guilty verdicts," said Scott Whisnant, whose book "Innocent Victims" was made into a 1996 TV movie. Despite Hennis' ultimate conviction, crime scene evidence still sheds doubt on the verdict, including still unidentified DNA which was found under a victim's fingernails.

More on Hennis' case

@highlight

Convicted quadruple murderer's execution on hold, but a new governor could push it forward

@highlight

In 1993, Nathan Dunlap shot four Chuck E. Cheese workers to death in Aurora, Colorado

@highlight

Gov. John Hickenlooper gave Dunlap an indefinite "temporary reprieve" from death sentence

@highlight

The killing sparked statewide debate about how to punish society's worst criminals