Tripoli, Libya (CNN) -- As rebel and pro-government forces in Libya maneuvered on the battlefield Wednesday, Libyan leader Moammar Gadhafi urged U.S. President Barack Obama to end the NATO bombing of his war-torn country.

Gadhafi made the appeal in a letter to the American president, a senior administration official said.

But the official said there was "nothing new" in the letter, the thrust of which was an appeal for an end to the alliance's air operations. It contained no offers to negotiate or step down, and the official said the administration isn't taking the note seriously.

Gadhafi asked Obama to stop the "unjust war against a small people of a developing country" and said those in the opposition are terrorists and members of al Qaeda, the official said.

"We have been hurt more morally than physically because of what had happened against us in both deeds and words by you," Gadhafi wrote, according to the official. "Despite all this you will always remain our son."

The strongman expressed hope that Obama wins re-election next year, the official added. And he wrote that a democratic society cannot be built through missiles and aircraft.

"You are a man who has enough courage to annul a wrong and mistaken action," the leader wrote to the president.

Secretary of State Hillary Clinton said the NATO strikes will stop when Gadhafi steps down and leaves the country.

"I don't think there is any mystery about what is expected from Mr. Gadhafi at this time," Clinton said.

The letter came amid diplomatic, economic and military developments in Libya, which remains in a deadly stalemate as pro-Gadhafi forces battle opposition fighters demanding democracy and an end to Gadhafi's nearly 42-year-rule.

A British airstrike hit an oil field in the eastern Libyan town of Sarir on Wednesday, causing damage to a main pipeline, Libyan Deputy Foreign Minister Khaled Kaim told reporters.

A tanker carrying crude oil left the eastern Libyan port of Tobruk on Wednesday in what was the first known export of oil by the fledgling opposition during the conflict, a sign of optimism for them.

Rebel fighters and pro-Gadhafi forces have been pushing back and forth between al-Brega and Ajdabiya, while residents in the western city of Misrata are spending their days in fear.

Also Wednesday, ex-U.S. Rep. Curt Weldon, who met with Gadhafi within the past decade, paid a visit to the Libyan capital with a cease-fire plan and a clear message to the embattled ruler that he must step down.

Former U.S. Congressman Weldon says he will meet with Gadhafi

Weldon, speaking in an interview with CNN affiliate WPIX-TV in New York, said he planned to meet with Gadhafi and Libyan Deputy Foreign Minister Khaled Kaim.

"It's a very solemn time because there's so much at risk here," said Weldon, who led a congressional delegation to Libya in 2004 and is visiting Tripoli at Gadhafi's invitation. Weldon is a Republican who represented a suburban Philadelphia district.

"I'm here to tell him face to face it's time for him to leave. It's time for him to step down, allow the people to take over the government of this country."

In an opinion piece published Wednesday in The New York Times, Weldon said he is proposing a cease-fire, "with the Libyan Army withdrawing from contested cities and rebel forces ending attempts to advance."

There's been seesaw fighting between pro- and anti-Gadhafi troops between al-Brega and Ajdabiya, CNN's Ben Wedeman reported.

On Tuesday night, Gadhafi forces moved 40 kilometers (about 25 miles) from al-Brega to Ajdabiya, and then Wednesday, the rebels pushed them back 10 kilometers (six miles).

At one point, rebels let loose with barrage of rockets, and they were answered by artillery and mortars.

Gadhafi paid  U.S. firms to polish his image

"It moves back and forth," Wedeman reported.

A CNN team saw equipment the rebels didn't have before such as night-vision goggles and two Milan anti-tank missiles. Fighters said they obtained the missiles from the transitional government in Benghazi but didn't know their origin.

Rebel leaders have criticized NATO's mission to help protect civilians in recent days, saying residents in Misrata and elsewhere have suffered under horrific attacks from pro-Gadhafi forces with little evidence of NATO air power overhead.

"I am extremely sorry to say this, but NATO truly disappointed us," Gen. Abdul Fatah Younis, the opposition's top military official, said Tuesday. "Civilians are being killed every day, including children, women and elderly. If NATO will wait another week, Misrata will be finished. No one will be left alive. Do they want to wait, and watch them die, and let this crime be a shameful disgrace for the international community forever?"

NATO Brig. Gen. Mark van Uhm said weather conditions and tactics by Gadhafi regime have hindered their efforts.

In addition to using human shields and hiding equipment in populated areas, pro-Gadhafi forces have started abandoning heavy military equipment in favor of the same kinds of cars and light trucks the rebels travel in, making it difficult for pilots to distinguish rebel convoys from those carrying forces loyal to the regime, van Uhm said.

Libyan opposition: Compromise with Gadhafi not an option

NATO is operating under a Security Council resolution authorizing the use of force to protect Libyan civilians.

U.N. Secretary-General Ban Ki-moon is "deeply concerned about the deterioriating situation facing civilians in Libyan cities under military attack," according to a statement. Conditions in Misrata are "especially grave," the statement said, "with reports of the use of heavy weapons to attack the city, where the population is trapped and unable, as a result of heavy shelling that has continued over several weeks, to receive basic supplies, including clean water, food and medicines."

But residents in Misrata said this week that Gadhafi forces have trapped the city, with snipers shooting indiscriminately. Access to food has been hampered.

"Normal life is a luxury that we don't have," one resident said. "I haven't taken my family out for four weeks now. All schools are closed, my children didn't go to school since the 19th of February. All government offices are closed. Even dead people are buried without death certificates."

After weeks of relentless fighting, a military victory for either side seems remote. A political or diplomatic solution might be the only way to end the crisis.

Weldon said that in addition to his proposals for Gadhafi's stepping down, a cease-fire on both sides and the withdrawal of government forces from key cities, he is calling for a halt in further advances by rebel forces; the creation of a joint interim government run by Libya's current prime minister and the opposition leader; unfettered humanitarian access; and the establishment of a parliamentary commission that would include U.S., Middle Eastern, European and African politicians helping to establish a new parliament in Libya.

Alleged Libyan rape victim thankful for support

As for the Gadhafi family, Weldon's proposals also suggest a possible title for Gadhafi as honorary chairman of the African Union and allowing his second-oldest son, Saif, to stand in elections.

On the economic front, the tanker with crude oil that left Tobruk was sailing to Qatar, where the oil will be refined, CNN confirmed. Final destination of the export is not known at this time.

The civil war in Libya has severely curtailed oil exports from the North African nation, which produced some 1.6 million barrels per day last year. This move symbolizes the opposition's intent to manage the country's affairs.

The U.S. Treasury has frozen more than $32 billion in assets held by Gadhafi and members of his regime. Asked whether the opposition should be able to have access to those funds, State Department spokesman Mark Toner said the United States "is well aware there is an urgency, that the Transitional National Council does need funding if it's to survive, and we're looking at ways to assist that." But Toner said he did not know the status of the $32 billion.

CNN's Nic Robertson, Reza Sayah, Ben Wedeman, Elise Labott, Jill Dougherty and Yousuf Basil contributed to this report

@highlight

British airstrike hits oil field, Libyan official says

@highlight

Clinton says Gadhafi must step down for bombing to stop

@highlight

Gadhafi asks President Obama to stop NATO's bombing

@highlight

Ex-U.S. Rep. Weldon to urge Gadhafi to step down, calls for cease-fire