At her research lab at the University of Louisville, neuroscientist Susan Harkema turned her back to her study subject to check a reading on a computer screen.

"Hey Susie, look at this," the patient called out to her. "I can move my toe!"

Startled, Harkema spun around. The purpose of her study, which involves sending electrical stimulation to broken spinal cords, was to learn more about nerve pathways, not to actually make patients move.

That must be an involuntary spasm, she thought. She asked the patient, Rob Summers, to lie down and close his eyes and follow her commands.

"Move your left toe," she said to him -- and he did. "Move your right toe," she asked -- and he did.

"Holy s***!" she yelled out loud.

Over the next five years, Harkema's team applied electrical stimulation to three more paralyzed men, and all four developed movement, and not just small movements. In addition to wiggling their big toes, they can lift and swing their legs, move their ankles and sit up without support. Two patients can even do situps.

Their study, funded in part by the Christopher & Dana Reeve Foundation, is being published Tuesday in the journal Brain.

It's not the first time electrical stimulation has made paralyzed patients move, but Harkema says it's the first time electrical stimulation directly to the spinal cord has shown voluntary activity. Experts say this new technique is another piece of the puzzle toward helping paralyzed people walk again. And it's another avenue doctors can go down to try to help these patients.

Brain-controlled devices may help paralyzed people

"This is a breakthrough," says Dr. Barth Green, co-founder of The Miami Project to Cure Paralysis at the University of Miami, who was not involved in the research. "It shows you can have a living spinal cord under the layer of their injury."

More than 1,700 paralyzed people have inquired about using this technology, which involves surgically implanting a stimulator and giving it directions with an external remote control. The stimulator creates a small, slightly visible bulge in the lower abdomen and is connected to wires that send electrical pulses to the spinal cord.

But patients shouldn't expect that the stimulator will help them walk -- at least not now and maybe not ever. The stimulator can only make one leg work at a time. Patients have to turn the stimulator off and then back on again to make the other leg work or to make another set of muscles such as their torsos work.

Even though he can't walk, the stimulator has had other benefits.

Dustin Shillcox, the fourth patient to try the device, said he has dramatically improved bladder, bowel and sexual function.

"That's a difficult thing to go through life not having," he said. "It just changed my entire life. It's extraordinary and amazing."

Plus, tests showed the patients, who could finally move their legs and torsos after years of paralysis, became healthier in general with improved heart and respiratory function.

"If you can change health and wellness and life expectancy, to me that's a home run," Green says. "Remember, Christopher Reeve died from complications of immobility,"

The researchers are pretty much stumped as to exactly why electrical stimulation to the spinal cord created the movement on demand -- after all, they didn't touch the patients' brains.

Perhaps, Harkema says, the spinal cord in a way has a brain of its own.

"Maybe the spinal cord makes the decision to move on its own and then executes the movement," Harkema says. "Otherwise I don't know how you would see what we see today."

The Louisville researchers now have funding to implant the device in eight more patients. They hope a device company will help them come up with a way to stimulate more than one muscle group at the time.

"I think what's incredibly exciting is we've opened up a realm of possibilities of what we can do now with people who are paralyzed, and we've just scratched the surface," she says.

Harkema says she hopes to have more "holy s***" moments in her research.

"I'll never live that down, and now it's the mantra of the lab," she says with a laugh.

Polio-like illness found in five California children

Fighting paralysis, one milestone at a time

@highlight

Susan Harkema was sending electricity down broken spinal cord to study nerve pathways

@highlight

She was the one who got a shock when her patient called out: "I can move my toe!"

@highlight

Harkema: First time stimulation directly to spinal cord has shown voluntary activity

@highlight

Technique is another piece of the puzzle toward helping paralyzed people walk again