Cairo, Egypt (CNN) -- Egyptians on Saturday cleared burned cars, garbage and debris that accumulated over 18 days at Tahrir Square, a sign that Cairo and the rest of the country were ready to rebuild and get back to work while the country formulates a plan for governance.

A day after President Hosni Mubarak stepped down, employees and businesses readied themselves for Sunday, the traditional start of the work week. The country's stock market is expected to reopen Wednesday.

Wael Ghonim, a cyberactivist who is a Google executive on leave, wrote Friday on his Twitter account, "Dear Egyptians, Go back to your work on Sunday, work like never before and help Egypt become a developed country."

Volunteers repainted black-and-white-striped street curbs around a monument by the Egyptian Museum, which had been on the front line in street battles between Mubarak's foes and supporters. Police were starting to move barricades and trying to restore vehicle traffic at Tahrir Square, where many protesters vowed to remain.

"It's time to start rebuilding the country," protester Yehya Kheireldin said, pointing to the hundreds of volunteers armed with brooms who are sweeping away the debris left by the sit-in.

In the immediate future, the military -- largely respected by Egyptians -- will have to grapple with guiding the country of more than 80 million people through the transition amid massive problems of unemployment and considerable economic underdevelopment, said CNN correspondent Ben Wedeman, who is based in Cairo.

Former Egyptian Trade Minister Rachid Mohammed Rachid recently told CNN that the new government must show it is business-friendly.

The African nation virtually shut down during the unrest, losing vital tourism dollars as well.

CNN's Nic Robertson reported Saturday that citizens who make their living off foreign tourists are angry.

"Young boys 17 years old and 18 years old, they want to say, 'We are hungry, we want to eat, we want to work,' " said businessman Ayman el Myonir.

Businessmen near the famed Pyramids say about 50,000 people are employed in the tourism industry, Robertson reported.

"We try to help each other. We would like to put our hands together, and to help each other," said el Myonir.

As thousands reveled in their improbable revolution, the nation's newly appointed military caretakers laid out priorities Saturday geared at establishing stability, though they revealed little to elucidate the future.

The Armed Forces Supreme Council said it was committed to a democratic process resulting in civilian rule, but urged respect for the reviled police forces that had brutally clashed with protesters in the early days of the uprising.

"The armed forces council calls on the people to cooperate with the policemen," Lt. Gen. Sami Anan, who some see as a potential presidential candidate, said on state television. "We ask our policemen to adhere to their slogan: Police is at the people's service."

It was unclear whether the statement signaled a return of the police security apparatus, noticeably absent from the streets after the violent clashes and the deployment of the army.

CNN's Arwa Damon visited a coffee shop in central Cairo, where patrons said they now feel free to speak honestly about Egypt's political problems.

"I am happy and sad," said Fateh, a customer. "I am sad because this is the president who carried us through wars and tough times."

He said the turning point came when Mubarak supporters rode horses and camels into the Tahrir Square crowd.

The military, meanwhile, announced measures geared toward establishing stability after the abrupt death of a 30-year dictatorship in the Arab world's most populous nation.

Anan, the armed forces chief of staff, said Egypt would still honor international treaties and commitments, a statement perhaps aimed at calming a jittery Israel that has quietly watched dramatic change unfold in its Arab ally.

"Egypt is a country of institutions and it honors its legal obligations," Sameh Shoukry, Egyptian ambassador to the United States, told CNN's Wolf Blitzer on Saturday. The revolution is something "all Egyptians are proud of," the diplomat said

Egypt and Israel signed a peace treaty in 1979. The Israelis on Saturday welcomed the Egyptian statement and Defense Minister Ehud Barak spoke on the phone with his Egyptian counterpart Hussein Tantawi, who heads the supreme council, the Israeli Defense Ministry said.

"The Supreme Council of the Armed Forces is confident in Egypt's potential, institutions and people to successfully go through these difficult times," Anan said.

But as thousands of people still celebrated on the streets, the army's first statement since Mubarak's departure did little to spell out how long Egypt would remain under military rule.

"They want to see structural change," Parag Khanna of the Global Governance Initiative told CNN Saturday. "They want to see a change in the Constitution. They want to see democracy. That speech did not tell them any of those things."

Thousands of Egyptians were in a still electric Tahrir Square Saturday, vowing to stay there until, as one protester put it, "Egypt is ruled by a civil government, not a military one."

A marble memorial was going up to remember those who died in the 18-day uprising. Human Rights Watch has documented 302 deaths, a number the monitoring group called conservative.

Kheireldin said an "unspoken plan" had been reached between the military and a group of protest organizers to take down barricades and tents in Tahrir Square, even though some people wanted to hold out longer.

Tantawi, the head of the military's supreme council, has a controversial reputation among the armed forces and had been derided by midlevel officers as "Mubarak's poodle" for his fawning over the now-ousted president, according to U.S. diplomatic cables sent from the Cairo embassy in 2008 and published by WikiLeaks.

The Constitution allows for only two scenarios for a head of state to relinquish power. The first stipulates that if the president has to step aside temporarily, the vice president steps into the top role. That is what the regime briefly orchestrated Thursday.

If the office of the president is vacated or the president becomes permanently disabled, the Constitution states that the parliamentary speaker is to assume the role until new elections can be held. Those elections, in turn, must occur within 60 days.

In opting for a third way, which put all power in the hands of the military, the Mubarak regime in effect rendered the Constitution inoperable.

Shawee El-Sayed, an independent member of Egypt's parliament and an expert on the country's Constitution, said Mubarak's move to transfer power to the military left Suleiman without an official role.

"The next step the council must (decide) is whether or not to validate the Constitution -- otherwise there will be a constitutional vacuum," he said.

Saturday, Anan, the supreme council's spokesman, said the current government would remain in place until a new one could be formed. State television reported, citing a judiciary source, that several high-ranking government officials, including the former prime minister and interior minister, were facing lawsuits and were barred from traveling out of the country.

U.S. President Barack Obama, meanwhile, praised the Egyptian military for acting responsibly and said it now needs to help ensure a credible transition as it attempted to better gauge the unfolding situation.

Adm. Mike Mullen, chairman of the U.S. Joint Chiefs of Staff, plans to visit key U.S. allies Israel and Jordan this weekend, a Pentagon official told CNN Saturday. Under Secretary of State Bill Burns was already in Jordan meeting with King Abdullah, the State Department said.

U.S. Defense Secretary Robert Gates spoke with Tantawi on Saturday, the sixth phone conversation with the minister since the start of the Egypt uprising, a Defense Department spokesman said. It was the first call since Mubarak stepped down.

Among other things, Egyptian authorities need to set about "protecting the rights of Egypt's citizens, lifting the emergency law, revising the Constitution and other laws to make this change irreversible, and laying out a clear path to elections that are fair and free," Obama said.

But some analysts were sounding the alarm over the takeover by the military, which has suddenly become accountable for the nation. Analysts with Stratfor, a global intelligence company, said Egypt had essentially experienced a coup.

"Egypt is returning to the 1952 model of ruling the state via a council of army officers," the Stratfor statement said. "The question now is to what extent the military elite will share power with its civilian counterparts."

But even as officials hash out the details of Egypt's murky political future, its people power rippled throughout the region.

In the Yemeni capital, Sanaa, protesters chanted: "Yesterday Tunisia, today Egypt, tomorrow Yemen will open the prison."

And in restive Algeria, anti-government protesters chanted "Change the power." Security forces clashed with the crowds.

Jordanian Foreign Minister Nasser Judeh told CNN that the country's "democraticization procession is well on track." King Abdullah II swore in a new government Wednesday.

CNN's Amir Ahmed, Ivan Watson, Joe Duran and Frederik Pleitgen and journalist Ian Lee contributed to this report

@highlight

Egyptians returning to work in force Sunday

@highlight

Many Egyptians vow to remain in Tahrir Square until civilian rule is implemented

@highlight

A marble memorial is going up in Tahrir Square to honor the dead

@highlight

A military statement asks people to respect the reviled police forces