Cairo (CNN) -- Hundreds of people were caught up early Saturday in a standoff between Islamist supporters of deposed President Mohamed Morsy and the Egyptian military at a mosque-turned-makeshift morgue, raising fears of a widening violence that will further push the country into chaos.

The Al-Fateh mosque near Ramses Square in central Cairo has become the latest flashpoint in the growing crisis after more than 1,000 people reportedly sought refuge following Friday's clashes between protesters primarily aligned with the Muslim Brotherhood and security forces.

Protesters took those killed and wounded in the clashes at the Ramses Square to the mosque, where the Muslim Brotherhood established a makeshift field hospital.

State-run EGYNews, citing military officials, reported that security forces will provide safe passage for those inside the mosque.

But those trapped are afraid to leave because they believe they will be attacked by plainclothes "thugs" aligned with the military, citing similar incidents in recent days, a doctor inside the mosque told CNN by telephone.

The see-saw allegations have only added to growing tensions between the two sides, which have accused one another of inflating allegations of violence to further their stance.

CNN cannot independently confirm the claims by the protesters or the military.

The group outside fired at the mosque, breaking a window, and then tried to break down the front door, the doctor and two people inside told CNN. The military has said the women can leave, but the men will be arrested, said the doctor, who asked not to be identified because of security fears.

But EGYNews, citing security officials, reports that people are being prevented from leaving the mosque by protesters.

Local media purported to broadcast live footage from inside the mosque, showing men and women with their faces covered by medical masks and scarves over fears security forces will fire tear gas.

The standoff came hours after thousands of protesters defied a government-imposed curfew, staying put in Cairo's Ramses Square and the streets, while soldiers and armored personnel carriers were deployed around the square and adjoining streets.

The military warned it would "deal firmly" with anyone who breaks the curfew, raising fears of a repeat of Wednesday's military raids on pro-Morsy protest camps that left an estimated 580 dead and 4,000 wounded.

Egyptian state-run Nile TV reported 821 Muslim Brotherhood members were arrested across Egypt on Friday on charges of rioting and creating violence. The same report quoted Interior Ministry as saying authorities seized seven hand grenades, five automatic weapons, pistols and 710 rounds.

The clashes began Friday following afternoon prayers, when thousands of Muslim Brotherhood protesters demanding the return of Morsy took to the streets promising a day of rage.

Another bloody day across country

Conflicting casualty figures were being reported: A medic at a Muslim Brotherhood-supported field hospital near Ramses Square said 54 people had been killed, according to the official al-Ahram news agency, while state-run Nile TV putting the number at 17 people killed and 40 wounded.

In northern Egypt, at least 16 people were killed and 140 wounded in fighting between Morsy supporters and the military in the coastal city of Alexandria, Nile TV reported, citing medical officials. But al-Ahram put the number at 21, citing local health ministry officials.

In nearby Suez City, soldiers moved late Friday against a number of pro-Morsy demonstrators attempting to camp out at a square after the curfew, al-Ahram reported. There were no immediate reports of casualties.

The casualties have not been limited to Morsy supporters and security forces. A number of bystanders, residents and journalists have been killed as the violence has widened.

Fighting also was reported between Morsy supporters and residents in the northeast city of Ismailia and in the Nile Delta cities of Tanta and Damietta during the curfew, the news channel reported.

By nightfall Friday, state-run media reported sporadic fighting between roving bands of armed protesters and residents in Cairo, where military helicopters could be seen patrolling from the sky as soldiers fanned out across the streets.

Smoke wafted through Ramses Square from a fire that engulfed a nearby commercial building. It was unclear what caused the fire.

Earlier in the day, A CNN crew witnessed men in plainclothes standing next to military tanks and firing into crowds. The crew also saw that some in the crowd were armed.

Security forces fired tear gas at a mass of people on a major bridge leading to the centrally located Ramses Square. Machine-gun fire was heard in central Cairo as a military helicopter flew overhead.

Elsewhere in Cairo, armed groups were reportedly firing from rooftops, attempting to down a military surveillance helicopter, state-run media reported, citing security sources.

Armed protesters also attacked a police station in central Cairo, killing the police chief, state-run EGYNews reported.

Since Wednesday, 52 police officers have been killed, state television reported. Earlier reports of 64 dead were incorrect. State TV also said 25 police stations and 10 churches have been attacked. The interim government has blamed the Muslim Brotherhood for the attacks.

At least 263 people, described by armed members of the Muslim Brotherhood, have been arrested across the country, according to the Egyptian Ministry of Information.

"The struggle to overthrow this illegitimate regime is an obligation," the Muslim Brotherhood said on its website Friday, while urging people to protest peacefully.

Echoes of violence

The violence echoed the upheaval that preceded the popular uprising that ousted Hosni Mubarak from power in 2011. The military removed Mubarak after protests against his authoritarian rule, but not before an estimated 840 people were killed.

The generals yielded power to Morsy after elections, but the new president soon was accused of pursuing an Islamist agenda and excluding other factions from the government. The military ousted Morsy from office on July 3, a move that triggered massive protests among his supporters.

Morsy's supporters say the deposed president wasn't given a fair chance and that the military has returned to its authoritarian practices of the Mubarak era.

The government reinforced the comparison by imposing the month-long state of emergency, a favored tactic of Mubarak.

Morsy and key members of the Muslim Brotherhood have been detained.

The most senior Muslim Brotherhood leader still at large, Essam el-Erian, said Thursday the protests will continue until Morsy is returned to office.

"They can arrest me and 100 of us, but they can't arrest every honorable citizen in Egypt," el-Erian told CNN. "They can't stop this glorious revolution."

Military vehicles were deployed Friday across Cairo and Giza, taking up positions in squares and securing important institutions, EGYNews reported, citing security officials.

The news agency said the military increased checkpoints at all entrances to Cairo to prevent the smuggling of arms to protesters.

Police will use live ammunition to subdue any attack against police facilities, state media said.

Western alarm

The escalating violence has alarmed the West, where leaders have long looked to Egypt as a stabilizing force in the region.

French President Francois Hollande and German Chancellor Angela Merkel called for a meeting next week of European Union foreign ministers to coordinate a response to the violence in Egypt.

The EU's foreign policy chief, Catherine Ashton, called the rising casualty toll "shocking."

"Responsibility for this tragedy weighs heavily on the interim government, as well as on the wider political leadership in the country," she said.

Egyptian authorities rejected criticism from U.S. President Barack Obama and other world leaders on Wednesday's ferocious clashes, which left at least 580 people dead after security forces broke up huge sit-ins in Cairo, according to the Health Ministry.

Obama, who has resisted calls to cut off military aid to Egypt and label Morsy's ouster a coup, on Thursday stressed the United States would not support one political faction over another. Even predominantly Muslim nations voiced displeasure, with Turkey recalling its ambassador in Egypt in light of the crisis, a Turkish foreign ministry representative said.

CNN's Reza Sayah and Raja Rezak reported from Cairo; Chelsea J. Carter wrote from Atlanta. CNN's Hamdi Alkhshali, Saskya Vandoorne, Mohammed Tawfeeq, Ian Lee, Frederik Pleitgen, Laura Smith-Spark, Greg Botelho, Michael Pearson and Holly Yan also contributed to this report.

@highlight

NEW: More than 1,000 people are caught up in a standoff at a Cairo mosque, officials say

@highlight

NEW: State TV reports 821 Muslim Brotherhood members arrested

@highlight

Conflicting casualty figures put the death toll in Cairo between 17 and 54

@highlight

Roving armed groups are sporadically clashing in Cairo, state media reports