(CNN) -- The urge to undress a mummy can be strong. In the 19th century, Egyptologists didn't think twice about tearing off a mummy's wrappings. Even Ramses the Great couldn't avoid the indignity of being stripped bare in front of an audience of curious onlookers.

Today's experts in the field know better.

"Certainly, it's a damaging process, and you lose a lot of information and disturb the mummy itself. It's also something that is no longer necessary with advancements in technology," says Dr. Daniel Antoine, the curator of physical anthropology at the British Museum in London.

The institute's vast collection of sarcophagi has remained largely undisturbed for over 200 years. This year, however, researchers have again decided to peek underneath the linens (and skin and muscle), though this time using the Royal Brompton Hospital's dual-energy CT scanner -- one of the most advanced in London.

The data they gather from the scans is then plugged into the same 3D-modeling software used by car companies to analyze engines. The technology has given them the clearest picture to date of what life was like along the Nile 2,500 years ago.

"You can tell the software what part are bandages and bone and skin, and you can peel away those layers. You can virtually remove the bandages to look at the body and any amulets covering the body, then remove the skin to look at the bones and any preserved organs," says Antoine.

"What that means in normal language is we're able to see a lot more, a lot more clearly."

Tamut, the temple singer

Of the corpses they've scanned, eight will be on exhibit at the British Museum from May 22. The star of the show is undoubtedly Tamut, a priestess and temple singer who died in Luxor, Egypt around 900 BC.

The CT scans have allowed researchers to make a lot of new discoveries about Tamut. By analyzing her pelvic bone, they were able to find her approximate age (between 30 and 50). Gazing into her arteries, they found a possible cause of death -- plaque build-up that could have resulted in a heart attack or stroke.

Antoine's team could also see the amulets placed around her body in vivid detail (several of which have been 3-D printed using the CT scan data).

"We're even able to discern the inscriptions on some of the amulets," notes Antoine, including one of the Eye of Horus on a plate covering the incision used to remove her internal organs.

"The Eye of Horus was believed to have healing properties, so it could have been used to heal her wounds in the afterlife," explains Antoine.

The man with bad teeth

The scans also revealed surprises about another of the of the British Museum's mummies. Despite being in a woman's sarcophagus, CT scans told researchers the body was male, that he died around 600 BC, and that he probably lived in terrible pain because of a plethora of dental abscesses.

"We've found that a lot of the mummies had terrible dental health issues, specifically tooth decay and numerous abscesses caused by infections that spread to the blood stream," says Antoine.

The unknown man is a particularly unique specimen, in that he is also evidence of a botched embalming job. Scans show both chunks of brain still present inside his skull, as well as part of the spatula used to remove it.

"There are few examples of such probes, and it's great to see the shape of the one they would have used," says Antoine. "It highlights some of the issues embalmers were confronted with. The hole on the inside of the skull through which the brain is extracted is rarely bigger than 2.5 centimeters, demonstrating a strong knowledge of human anatomy."

@highlight

New CT scans help researchers "undress" a mummy virtually

@highlight

The British Museum uses the same software employed by car companies to make 3-D models

@highlight

Researchers can now approximate a mummy's age, cause of death and general health