(CNN) -- Why did Eric Hobsbawm, one of the greatest historians of modern times, remain a Marxist after the end of the Soviet Union, and defend communism into the 21st century?

To be a man of Hobsbawm's generation was to have experienced the collapse of capitalism in the Great Depression, to be a Jew of Hobsbawm's generation was to have seen the rise of Hitler and Nazi Germany. In those years of the 1930s, the years when Hobsbawm was a brilliant youth, was to face what seemed to be a binary choice, to be with the Nazis or against them. And no one seemed to be more against the Nazis than the communists. Hobsbawm joined the Communist Party as a very young man, and was loyal, in his way, to the end.

Communism also offered, as perhaps no non-religious ideas do today, a sense of community. To belong to the Communist Party was to have a sense of conspiracy, a loyalty to friends who had suffered and would suffer more, and a collective sense that the struggle was not in vain, for a more glorious world could and would come. Like religion for Americans, who repeat that "things happen for a reason," communism offered a logic of pain and progress. Every arrest, every sentence to a concentration camp, every execution was not just a moment of horror, but further proof of capitalism's decadence and weakness.

The story was that communism could consolidate a generation because it transcended any generation. The motor of history was changes in means of production. As the basic structure of the economy changed, the traditional feudal order in the countryside gave way to capitalism in the cities. Once industry was built and working classes become massive, the people would claim the fruits of their own labor, and the factories and the cities would be shared by all. Private property took the place of original sin: with the revolution, that stain would be removed, and we would return to our original nature, and we would be good and peaceful as well as prosperous.

The story had a logic, but it also required an element of faith. The faith and the logic had to work together, and in a mind such as Hobsbawm's, one of the great minds of the 20th century, logic could keep faith in the shadows. But it was always present, and perhaps in the end it was dominant. Communists could be great historians (fascists could not), because communism provides history with a plot. But because communism in the 20th century was not just an idea but a political reality, its story slowly transformed from one of prophecy to one of retrospective editing. The Soviet Union, to borrow Brezhnev's term, "really existed," and its policies of mass killing were widely known: the deliberate starvation of millions of Ukrainians in 1933, the mass shootings of peasants and ethnic minorities in 1937 and 1938, the alliance with Nazi Germany in 1939, the executions of Polish prisoners of war in 1940, the postwar domination of eastern Europe, the crushing of reform movements in Hungary and Czechoslovakia, and all the rest.

In Hobsbawm's extraordinary history of the modern world, the last part is the weakest, in part because he must face this problem of a Soviet Union that itself poses a problem for a communist scheme of history. It did not bring what communism promised, and then it came to an end. But the idea that history is a grand story with a wonderful conclusion did not. Over the course of the Cold War, we in the West, and especially in America, came to think of history as having a plot, just one which happened to be the reverse of the communist one. Private property must stay, not be abolished. The state must shrink, not grow. The rich are not villains, but heroes. Capitalism does not bring its own collapse, but expanding stability. If we followed these simple prescriptions, then a utopia would await us as well. The end of the Soviet Union was understood by many of us not as an end to ideology, but as proof that our ideology was the better one.

Just why Eric Hobsbawm thought as he did, wrote as he did, and lived as he did is a matter that is beyond the judgement of any one of his colleagues, and there are people far better equipped than I to judge. But I would like to advance one simple thought. Eric was certainly loyal to the memory of old comrades, and he was certainly sentimental about his own youthful past. In his old age, I suppose without any kind of certainty, he found himself in a historical moment, our own, which still seemed like an age of ideology, with his own ideology in the weaker position. And he was a fighter. As he edited the past according to his own ideology, warping history in a way that can only be troubling, he was defending a Soviet state that no longer existed, and ideas which seemed dead. But wrong as it was, it did embody certain virtues. There is something to be said, after all, for defending the weak, even today, especially today.

The opinions expressed in this commentary are solely those of Timothy Snyder.

@highlight

Historian Eric Hobsbawm stayed loyal to Marxism until his death at 95

@highlight

Timothy Snyder says Hobsbawm's beliefs formed as a Jew living in 1930s

@highlight

Snyder: Hobsbawm defended Soviet state that no longer exists, and other dead ideas

@highlight

Wrong as was, Snyder writes, it did embody certain virtues that are valid today