President Barack Obama arrived in Japan on Wednesday for the first part of his Asia trip that started with reassuring Tokyo of U.S. support in its bitter territorial dispute with China.

Obama made his first stop in Tokyo on a weeklong tour that will also take him to South Korea, Malaysia and the Philippines.

Obama and Japanese Prime Minister Shinzo Abe met over what's been described as the "world's best sushi" at Sukiyabashi Jiro, a top-rated restaurant in the Ginza district. The dinner also brought out the new U.S. ambassador to Japan, Caroline Kennedy.

On Thursday, Obama will start a formal state visit to the nation -- the highest designation for a foreign leader.

Obama's appearances in Japan will be tinged with formality — meetings with the royal family, a stop at the Meiji shrine and a protocol-bound state dinner.

Japan's first state visit by an American president in almost two decades comes as the United States works to reassure Abe and other Asian leaders that the United States remains committed to turning foreign policy focus on them.

The "pivot to Asia" that began almost three years ago meant to put a greater emphasis on diplomatic and economic efforts toward Pacific nations to counterbalance China's influence in the region.

Obama begins Asia trip with 'the best sushi I've ever had'

But Middle East uprisings, the Syrian civil war and new diplomacy with Iran have made some Asian leaders wonder when the "pivot" would take shape.

At the start of his long-awaited visit, Obama waded into a fraught territorial dispute between Japan and China.

He told a Japanese newspaper that a group of uninhabited islands in the East China Sea claimed by both Tokyo and Beijing "fall within the scope" of a U.S.-Japanese security treaty, implying the United States could step in militarily in the event of a clash over the territory.

It's the first time an incumbent U.S. President has made such a statement on the bitterly disputed islands, and comes as Asian nations nervously watch the U.S. response to Russia's incursion into Ukraine.

Japan has eyed the Ukraine situation closely. Obama's comments Wednesday should dispel at least some of its worry.

"We oppose any unilateral attempts to undermine Japan's administration of these islands," Obama said in answers to questions submitted by the Yomiuri Shimbun.

Both Tokyo and Beijing say the islands, known as Senkaku in Japan and Diaoyu in China, are an inherent part of their territory. Taiwan, which lies 120 miles (about 190 kilometers) southwest of the islands, also stakes a claim to them.

Obama's words, reiterating statements made in previous years by former Secretary of State Hillary Clinton, drew a swift rebuke from Beijing.

"The United States should respect the truth, not take any sides, be careful about its words and behavior, and uphold peace and stability," said Qin Gang, a spokesman for the Chinese Foreign Ministry.

But Obama's comments are likely to provide some reassurance to Japan. The Chinese government has stepped up efforts in recent years to challenge Japan's control of the small, rocky islands and the waters and airspace around them.

Obama's efforts to reassure Asian allies also extend to his push for the Trans-Pacific Partnership, a massive trade deal the White House hopes will open economic channels in the region.

In the works for years, the Japan portion of the trade deal is not expected to be finalized this week -- due to disagreements between the United States and Japan, and a delay in Congress from members of Obama's party.

The resistance to approving the trade deal, along with another trade pact being negotiated with Europe, stems from Democrats' worry the agreements would kill jobs. They're not likely to come on board at least until November's midterm elections.

"The President has developed credibility problems in terms of delivering on the congressional support," said Kenneth Lieberthal, who handled Asia policy in Bill Clinton's White House and now acts as a senior fellow at Brookings Institution.

"My own sense is ... that there's less confidence that the President has (been) effective in dealing with the Congress and that may really be a major issue in finalizing (the trade deal)."

Despite the stalemate, U.S. officials have remained bullish the deal would be good for the U.S. economy.

"This remains a very important aspect of our rebalance to the Asia-Pacific region, one that holds great promise for the countries in the region as well as for the United States,"  Obama's national security adviser, Susan Rice, said last week. "We'll continue to work toward that given its significance to all concerned."

Read Longtime rivals China and Japan deploy Harry Potter villain in latest spat

@highlight

President Obama says a set of disputed islands fall under a U.S.-Japanese treaty

@highlight

He makes the comments to Japanese paper ahead of a visit to Asia

@highlight

China disputes his assertion, saying the U.S. should "respect the truth"