(CNN) -- Bram Stoker's private journal sat unnoticed on his great-grandson's bookshelf in England for at least a year.

Full of notes that would inform his legendary novel "Dracula" and other stories, the thin, unmarked book had probably been lugged down from the attic at some point, along with other things the Stoker family had passed down for more than a century and placed inconspicuously in Noel Dobbs' Isle of Wight home.

Then, one day not long ago, a researcher working on a project about Stoker got in touch with Dobbs to ask if he might know anything about a journal his famous relative kept. Dobbs looked around and finally popped open this tiny book. It was signed "Abraham Stoker."

"It's kind of incredible, but Noel was rather blasÃ© about it," laughed Dacre Stoker, Dobbs' cousin and a professor in South Carolina who has written a book about Bram Stoker. When news reached Dacre that the journal had been discovered, he cajoled his cousin into sending him photographs of a few pages.

"When I saw it, I was amazed," Dacre Stoker said. "I thought, 'The Holy Grail! We've found it!' There is so little written by Bram about Bram. Family, scholars and hard-core fans -- so many people have wanted to know what made the man who wrote 'Dracula' tick. And here we had a major set of clues."

Those clues will be published next March in "The Lost Journal," Dacre Stoker told CNN.com. The publication will mark 100 years since the author died in April 1912.

Dacre Stoker has worked with Bram Stoker scholars to annotate "The Lost Journal," which also offers quirky bits of folklore from Ireland, Stoker's homeland, and insight into the inspiration for his other work.

There are 305 entries, some pages-long, others just a few sentences.

Bram Stoker was in his early 20s when the journal began in 1871. He had graduated from Ireland's Trinity College and was working at Dublin Castle.

It would be more than a decade before the author learned about the primary inspiration for his Count Dracula, "Vlad the Impaler." The real-life prince of Wallachia who ruled during the Ottoman conquest of the Balkans, Vlad earned his nickname by impaling his enemies. His viciousness became notorious in Germany and other parts of Europe where tales spread of a man-monster who lived off blood.

Vlad's father was a member of the Order of the Dragon, or Dracul. "Dracula" means son of the Dragon.

The last entry of Stoker's journal in 1881 hints at a major character he would use in "Dracula." In the novel, Renfield is an asylum inmate who has delusions that compel him to eat living beings, including flies, to gain their life force. The vampire Count Dracula seizes on Renfield's weakness and offers him as many creatures as he can eat in exchange for his eternal devotion.

It doesn't work out well for Renfield in the end.

In his journal, Stoker wrote: "I once knew a boy who put so many flies into a bottle that they had not room to die."

In another passage, the author seems to be alluding to a vampire's inability to see his own reflection. "Story of man who reflects everybody's self who meets him," he wrote.

Stoker's interest in spookiness shows up in other journal entries.

"A man builds up his shadow on a wall bit by bit by adding to substance," he wrote. "Suddenly the shadow becomes alive." The passage is believed to be a kernel of the "The Shadow Builder," one of Stoker's first attempts at a horror mystery.

The journal offers some surprising insight about the author, too. There are funny "memos" that Stoker wrote to himself, which Dacre Stoker believes were witticisms that the author may have wanted to use at a party or a pub to seem interesting.

The journal also contains romantic poems. "People don't think of Bram Stoker as being romantic, but there are some very romantic, sweet moments here," Dacre Stoker said.

The author apparently drew from his journal for material that would make up "Under the Sunset," a lesser-known collection of short stories for children that Stoker published in 1881.

One note in the journal alludes to the writer's fascination with children: "Palace of Fairy Queen. Child goes to sleep & palace grows -- sky changes into blue silk curtains etc." Dreaming kids would appear in several stories in "Under the Sunset," all darkly told tales that meditate on the blurry line between reality and imagination, science and folklore.

"Bram had a troubled childhood," Dacre Stoker said. "He was very lonely and thought about death a lot during seven years that he was just a boy and struggling through an undiagnosed illness."

The journal's first entry, titled "Night Fishing," is a kind of ode to the sea and the people who encounter it. The writing seems experimental and flowery.

"It's as if Bram were practicing," Stoker said. "He might have thought, 'Well, this is how a writer is supposed to write -- in very long sentences.' "

The author was fascinated with the theater and the act of observing, and he traveled a lot, a rare thing for his time. Journaling and touring are central in "Dracula." The novel's narrator, Jonathan Harker, writes in his journal as he travels across Europe, witnessing and questioning the day's superstitions and trying to make sense of his own bad dreams and bizarre, supernatural encounters. The novel centers on Dracula's attempt to move from Transylvania to England, and his battle with professor Abraham van Helsing.

"Bram traveled an unusual amount for the time that he lived," Dacre Stoker said. "He was curious. He loved to ask those questions: What is real and what is myth, and where do they meet? What is stronger, science or myth?"

Though Stoker died before his Count Dracula became internationally famous when Bela Lugosi played him as a suave nobleman in the 1930s film, Dacre Stoker thinks the author would be flattered by how his character has stayed relevant over the years. From Lugosi to Anne Rice's Lestat and "Buffy the Vampire Slayer" to "Twilight" and "True Blood," Stoker's main question: "What does it mean to live forever?" has proved eternal.

And in true Bram Stoker style, he left one more mystery.

In one of his books, the author alludes to another diary. He writes about an upcoming trip to London where one can get work as a writer. The journal of writing and notes that was recently found in the Isle of Wight home is not that diary.

"There's something else out there -- that missing piece, this mystery diary," Stoker said. "I'm dying to know where it is."

@highlight

Bram Stoker's journal has been found in a home on Isle of Wight, England

@highlight

The journal contains notes that would inform Stoker's "Dracula" and other works

@highlight

An annotated book will be published 100 years after Stoker's 1912 death

@highlight

Dacre Stoker, the author's great-grandnephew, shared excerpts with CNN.com