You have good manners, right? After all, you (usually) keep your elbows off the table and say "Please pass the salt," right? But when you head abroad, things get a little more complicated. Case in point: Rest your chopsticks the wrong way, and you might remind a Japanese friend of their grandmother's funeral (Rule 2).

But knowing what the etiquette rules are won't just save you from some awkward situations, says Dean Allen, author of the "Global Etiquette Guide" series. It can also help you make friends. "It's really a statement of your openness and awareness of the fact that the people you're with... may in fact see the world differently," he says. "It's simply going to get you out of the tourist bubble." Sound good? Then here are 15 rules to keep in mind.

Budget Travel: 21 Girl trips you absolutely love

In Thailand, don't put food in your mouth with a fork.

Instead, when eating a dish with cooked rice, use your fork only to push food onto your spoon. A few exceptions: Some northern and northeastern Thai dishes are typically eaten with the hands -- you'll know you've encountered such a dish if the rice used is glutinous or "sticky". Also, stand-alone items that are not part of a rice-based meal may be eaten with a fork. But, says Leela Punyaratabandhu, a food writer who blogs at SheSimmers.com, the worst thing to do at a traditional, rice-based meal would be to use chopsticks. "That is awkward and inconvenient at best and tacky at worst," she says.

In Japan, never stick your chopsticks upright in your rice.

Between bites, your chopsticks should be placed together right in front of you, parallel to the edge of the table -- and nowhere else, says Mineko Takane Moreno, Japanese cooking instructor and co-author of "Sushi for Dummies." (If there is a chopsticks rest, you use it, putting the tips you've been eating with on the rest.) But sticking them upright in a bowl of rice is even worse: During funerals in Japan, the rice bowl of the deceased is placed before their coffin...with their chopsticks upright in the rice. So what would she rather see: Someone doing that at a meal, or asking for a fork? Mineko doesn't hesitate. "Asking for a fork," she says.

Budget Travel: 12 elevators you need to see to believe

In the Middle East, India and parts of Africa, don't eat with your left hand.

In South India, you shouldn't even touch the plate with your left hand while eating. That's largely because the left hand is associated with, um, bodily functions, so it's considered to be dirty. In fact, says Allen, don't even pass important documents with your left hand. A lefty? Then it's okay to use your left hand -- as long as you take your right hand out of the game.

At a traditional feast in Georgia, it's rude to sip your wine.

At what Georgians call a supra (traditional feast), wine is drunk only at toasts. So wait for those... and then down the whole glass at once. On the upside, says Georgia-based photographer and videographer Paul Stephens, the glasses tend to be on the small side.

In Mexico, never eat tacos with a fork and knife.

Worried about spilling refried beans and salsa all over your front? Tough. Mexicans think that eating tacos with a fork and knife looks silly and, worse, snobby -- kind of like eating a burger with silverware. So be polite: Eat with your hands.

In Italy, only drink a cappuccino before noon.

Some Italians say that a late-day cappuccino upsets your stomach, others that it's a replacement for a meal (it's common to have just a cappuccino, or a cappuccino and a croissant, for breakfast). Either way, you won't see Italians ordering one in a café at 3pm -- and certainly not after a big dinner. Do so, and you'll be instantly branded a tourist. If you need that coffee fix, though, an espresso is fine.

In Britain, always pass the port to the left -- and remember the Bishop of Norwich.

It's unclear why passing port on the left is so important; some say it has to do with naval tradition (the port side of a boat is on your left if you're facing the helm). Regardless, passing the decanter to the right is a big gaffe. So is not passing it at all. If you're at a meal and the decanter stalls, then ask the person with it, "Do you know the Bishop of Norwich?" If they say they don't know him, reply, "He's a very good chap, but he always forgets to pass the port." It sounds weird, but it's true. This is such a nationwide tradition, the Telegraph wrote an article on it.

Budget Travel: Can you spot the travel rip-off?

In France, don't eat your bread as an appetizer before the meal.

Instead, eat it as an accompaniment to your food or, especially, to the cheese course at the end of the meal. That said, one thing that would be a faux pas anywhere else -- placing bread directly on the table and not on a plate -- is perfectly acceptable in France -- in fact, it's preferred.

In China, don't flip the fish.

Although you might be used to flipping over a whole fish once you've finished one side, don't -- at least when you're in China, especially southern China and Hong Kong. That's because flipping the fish is "dao yue" in Chinese, a phrase similar to "bad luck." Plus, says Allen, "to flip the fish over is like saying that the fisherman's boat is going to capsize." The most superstitious will leave the bottom part untouched, while others will pull off the bone itself to get to the bottom.

In Italy, don't ask for parmesan for your pizza -- or any other time it's not explicitly offered.

Putting parmigiano on pizza is seen as a sin, like putting Jell-O on a fine chocolate mousse. And many pasta dishes in Italy aren't meant for parmesan: In Rome, for example, the traditional cheese is pecorino, and that's what goes on many classic pastas like bucatini all'amatriciana, not parmesan. A rule of thumb: If they don't offer it to you, don't ask for it.

Don't eat anything, even fries, with your hands at a meal in Chile.

Manners here are a little more formal than many other South American countries. So while it might be the most practical to just pick up those fries with your fingers, don't do it. "The greater need is to identify with European culture, so food is [eaten] with a knife and a fork," Allen says.

In Korea, if an older person offers you a drink, lift your glass to receive it with both hands.

Doing so is a sign of respect for elders, an important tenet of Korean culture. After receiving the pour with both hands, you should turn your head away and take a discreet sip, says Stephen Cha-Kim, a Korean-born worker's rights advocate who regularly visits family in Korea. "To this day, if anybody hands me anything, both hands shoot out instinctively," Cha-Kim says. Similarly, don't start eating until the eldest male has done so (and don't leave the table until that person is finished).

Budget Travel: The 6 most inspiring travel films of the year

Never mix -- or turn down -- vodka in Russia.

The beverage is always drunk neat -- and no, not even with ice. Adding anything is seen as polluting the drink's purity (unless the mixer is beer, which produces a formidable beverage known as yorsh). But there's another faux pas that's even worse, says Allen: when you're offered the drink and you turn it down. Since offering someone a drink is a sign of trust and friendship, it's a good idea to take it. Even if it is 9am.

When drinking coffee with Bedouins in the Middle East, shake the cup at the end.

Typically, anyone Bedouin -- or Bedouin-related -- will continue to pour you more coffee once you've finished unless you shake the cup, meaning tilting the cup two or three times, when you hand it back. It's such an important tip, says Middle East-based freelance correspondent Haley Sweetland Edwards, that last year, Bedouins she was eating with in Qatar made her practice it until she got it right.

In Brazil, play your tokens wisely.

At a churrascaria, or a Brazilian steakhouse, servers circle with cuts of meat and diners use tokens to place an order. If a server comes out with something you want, make sure your token, which you'll have at your table, has the green side up. If you don't want any more, flip it with the red side up. Since the meat can be never-ending, it's important to strategize -- if you leave that token green side up you could end up ordering a lot more than you intended.

Budget Travel: Secrets to the 10 most popular cruise ports

@highlight

Knowing local etiquette will save you from awkward situations and help you make friends

@highlight

In Japan, Thailand and Mexico, be mindful of flatware usage

@highlight

Never turn down vodka in Russia, or drink a cappuccino after noon in Italy