(CNN) -- Iranian President Hassan Rouhani made his case Thursday to the American people and the world for "a constructive approach" to contentious issues including his nation's nuclear program, arguing that failing to engage "leads to everyone's loss."

"We must work together to end the unhealthy rivalries and interferences that fuel violence and drive us apart," Rouhani said in an op-ed published Thursday evening on the Washington Post's website.

It's not the first time a leader from a country often at odds with the United States has used its newspapers to convey his or her views. Just last week, for instance, Russian President Vladimir Putin argued against international military intervention in Syria and jabbed his U.S. counterpart for saying Americans should consider themselves "exceptional" -- a remark that quickly elicited derision from across the U.S. political spectrum.

But Rouhani's tone differed from Putin's, echoing the theme of "prudence and hope" and the promise of more positive engagement with the rest of the world that helped propel him to an election win in June.

"To move beyond impasses, ... we need to aim higher," he said. "Rather than focusing on how to prevent things from getting worse, we need to think -- and talk -- about how to make things better."

Contending "the age of blood feuds" and the idea of diplomacy as a "zero-sum game" no longer apply in a "changed" world, Rouhani said leaders should engage each other "on the basis of equal footing and mutual respect."

"My approach to foreign policy seeks to resolve ... issues by addressing their underlying causes," he said. "We must work together to end the unhealthy rivalries and interferences that fuel violence and drive us apart."

Chief among those issues, for Iran, is its nuclear program. Iranian officials have insisted its aim is peaceful and for energy purposes only, but skeptical U.S., Israeli and other officials accuse Tehran of working to develop nuclear weapons. Iran's lack of openness on the issue and its perceived lack of cooperation with international nuclear authorities, have led to stringent international sanctions and increased tensions in the region.

In his opinion column Thursday, Rouhani sought to frame the debate over what he called "our peaceful nuclear energy program." This program, he said, is tied into not only addressing Iran's energy needs but also into establishing its place in the world.

"To us, mastering the atomic fuel cycle and generating nuclear power is as much about diversifying our energy resources as it is about who Iranians are as a nation, our demand for dignity and respect, and our consequent place in the world," he said.

The Washington Post column appears to be part of a U.S.-targeted public relations initiative by Rouhani, coming a day after he talked with NBC News.

In that interview, Rouhani said, "We have never pursued or sought a nuclear bomb and we are not going to do so."

Iran's Rouhani: Diplomat's touch, no pushover

There's little dispute Supreme Leader Ayatollah Ali Khamenei is Iran's most powerful figure. Still, Rouhani said Thursday that he and his delegation will head to New York with the "full power and has complete authority" to make a deal with others on nuclear matters.

The Iranian president also talked about trading letters with Obama this summer, an exchange he called "positive and constructive."

"It could be subtle and tiny steps for a very important future," Rouhani told NBC, according to video on the network's website. "I believe the leaders in all countries could think in their national interests and that they should not be under the influence of (interest) groups."

Rouhani's Washington Post op-ed published a few hours after U.S. Secretary of State John Kerry -- also speaking in Washington -- characterized some of the new Iranian president's remarks as "very positive."

Yet he offered his compliment with a caveat: "Everything needs to be put to the test, and we'll see where we go."

Iranian human rights activist freed

Kerry punted on a question of whether Rouhani and U.S. President Barack Obama will meet next week when both attend the U.N. General Assembly in New York.

Asked the same question Wednesday, White House spokesman Jay Carney said "there are currently no plans" for such a face-to-face meeting though he also didn't rule it out.

And Carney did hint the United States is open to talks with Iran -- with whom it has feuded regarding Iran's nuclear program, a dispute that's led to harsh international sanctions and raised the specter of war in the region -- to "test" whether Tehran is sincere in its hope to improve its international standing.

"I think it's fair to say that (Obama) believes there is an opportunity for diplomacy when it comes to the issues that have presented challenges to the United States and our allies with regards to Iran," Carney said. "And we hope that the Iranian government takes advantage of this opportunity."

In fact, there were high-level talks Thursday -- involving Iranian Foreign Minister Mohammad Javad Zarif and U.N. Secretary-General Ban Ki-moon.

Zarif called the meeting "constructive," saying it involved "satisfactory negotiations" on various issues such as Iran's nuclear program, according to the state-run Islamic Republic News Agency.

Ban's office also issued a positive statement on the meeting, saying the two "discussed Iran's growing cooperation with the international community on a host of issues, including the nuclear file, as well the role Iran could play in promoting a political solution to the conflict in Syria."

This cooperation has been spearheaded by Rouhani, himself a former nuclear negotiator who vowed during his campaign to try to reduce tensions between Iran and the outside world.

That includes expressing openness in talks on its nuclear program. The 64-year-old cleric, who is considered a moderate, said last month that as long as there are "negotiations without threats, the way for interaction is open."

Report: Iran takes key step in nuclear reactor construction

@highlight

NEW: In Post op-ed, Iran's president says failing to engage "leads to everyone's loss"

@highlight

NEW: Iran's nuclear program is solely for energy, a matter of national pride, he says

@highlight

John Kerry praises Iranian president's comments on talks, nuclear program

@highlight

Yet the top U.S. diplomat adds: "Everything needs to be put to the test"