(CNN) -- When all you've got is a hammer, everything looks like a nail. In business, that hammer is money and the nail is employee productivity.

Employees at most companies are offered higher salaries or year-end bonuses in exchange for better output.

Businesses better get some new tools quickly, because this hammer is not enough to get the job done.

Countless employees are unhappy, reporting that they only work for the money and yet would trade a raise for a better boss and work environment.

This is not a recipe for long term success. Anyone who wants to motivate employees needs to understand what motivates people in general.

People certainly want more money so they can afford more of life's indulgences and have some protection against life's inevitable hazards.

But that is only part of the story. In my new book, "Social: Why our brains are wired to connect," I suggest that our brains are wired with another set of motivations, social motivations, that are just as fundamental as those that guide us towards physical pleasures and away from physical pains.

When we are socially rejected or threatened, we feel a kind of social pain, which activates the same brain regions that register the distress of physical pain.

Taking Tylenol even reduces the brain's response to social pain.

On the flip side, fair treatment, praise from others, and even the opportunity to help someone in need are all socially rewarding and activate the brain's most primitive pleasure centers.

Because infants depend on these social motivations in order to receive the care they need to survive, these urges are built into our operating system and stay with us for a lifetime.

This has serious consequences for the workplace. If companies do not create socially rewarding environments, it is sure to affect the bottom line.

One study found that individuals who were made to feel rejected scored 15% lower on an IQ test.

We can understand why someone who just broke their leg would score lower -- how could they possibly focus when experiencing intense pain?

Yet, the same is true of social injuries because all pain grabs our attention leaving less attention for other important things.

In contrast, praising employees may have many of the same motivational consequences as giving a raise, but at little cost to the company.

One study has found that employees were willing to give up almost $30,000 in yearly salary to be recognized for high praise at work.

Another study found that when employees were able to see firsthand how their work was helping others, their productivity more than doubled.

Being reminded of how their work was advancing their own careers had no effect.

Of course, we don't just blindly seek out social connection. We have powerful mind reading abilities that help us pursue these connections more successfully.

We understand the meaning of a sly smile or a furrowed brow and sarcastic humor is not lost on most of us.

We are masters of moving from others' visible signs to the invisible thoughts, feelings, and goals motivating other people.

This mind reading ability allows us to work well in teams together by predicting the needs of others around us and acting accordingly.

Even though thinking about the physical world and thinking about the mental worlds of other people don't really feel like profoundly different kinds of thinking, recent brain imaging has shown that there are separate brain systems for these two kinds of thinking.

In fact, the brain regions supporting social and analytical thinking mostly function like a neural seesaw such that when one increases in activity, the other decreases.

This presents a problem in the workplace because we place such a premium on analytical thinking; we typically promote analytical problem solving at the expense of social problem solving, even though both are critically important.

Creating strong social networks in a company affect the bottom line just as much as the analytical abilities and training of the people within those networks.

Nowhere is the importance of social thinking more evident than in our leaders.

A large recent survey found that leaders who are rated highly on being analytic and results focused are unlikely to be seen as great leaders, but if those same leaders also possess strong social skills, their chance of being seen as a great leader skyrockets.

It is then deeply troubling to find that only the tiniest fraction of leaders are seen as possessing both kinds of skills.

Money matters in the workplace -- there is no denying it. But money isn't the only thing that matters.

Our brains are built for connecting and as more companies begin to recognize this, the positive changes they bring to the workplace will help employees to work smarter, happier, and more productively.

The opinions expressed in this commentary are solely those of Dr Matthew Lieberman.

@highlight

Human brain is rewarded for connections with others, writes Dr Matthew Lieberman

@highlight

Social pain is just as valid as physical pain, according to Lieberman's new book

@highlight

Socially-motivated employees creates happier and more productive workplace

@highlight

Studies show recognition at work matters more than money to employees