Washington (CNN) -- Tuesday's State of the Union address will be watched closely not only for what is said, but also for who will there in person to hear it -- especially the black-robed members of the U.S. Supreme Court.

At least one member of the bench, Justice Samuel Alito, has publicly stated he will not attend after the dramatic criticism leveled at a court ruling by President Barack Obama.

One or more justices have attended the annual speech to Congress and the nation in recent decades. Court members are not required by law to be there, but custom has dictated their appearance, mostly for show. They are a key, if low-key, part of the pageantry, and are compelled to sit politely and stoically amid the often high-spirited partisan rhetoric and response of the event.

There is no word yet from the high court on who will attend. Invitations are sent to each chamber, and the justices have individual discretion as to whether to go. When they do, they wear their traditional judicial robes, are escorted into the House chamber as a group and take prominent seats up front, joined by other officers of the court such as the marshal and clerk.

Justices Stephen Breyer and Anthony Kennedy have been regular attendees. Government sources say Justice Sonia Sotomayor, who joined the bench in 2009, is expected to be there, and so is the court's newest member, Justice Elena Kagan, on the job since August. Obama nominated both women.

Democrats last year cheered the president when he dressed down high court conservatives in last January's State of the Union address. Obama criticized the majority ruling in Citizens United v. Federal Election Commission, issued a week earlier, which removed legal barriers preventing corporations and unions from spending unlimited sums on federal elections.

"With all due deference to the separation of powers," Obama said, "the Supreme Court reversed a century of law to open the floodgates for special interests -- including foreign corporations -- to spend without limit in our elections."

Alito, sitting just feet away in the audience, shook his head and mouthed words interpreted as "not true."

He had been a regular at previous addresses, but in October 2010 he told an audience in New York that he felt "like the proverbial potted plant" at such occasions and would not be attending in the near future.

The 60-year-old justice also, with a smile, noted that his colleagues "who are more disciplined refrain from manifesting any emotion or opinion whatsoever."

Most of the intrigue over who will attend his year's speech centers on Chief Justice John Roberts, who has labeled the political atmosphere at last year's address "very troubling."

Roberts, who turns 56 next Thursday, said last March that partisan rhetoric and gestures aimed at the court left him questioning whether his colleagues should continue to attend.

"It does cause me to think whether or not it makes sense for us to be there" he said. "To the extent the State of the Union has degenerated into a political pep rally, I'm not sure why we're there."

White House Press Secretary Robert Gibbs responded quickly with an indirect attack on Roberts, saying "the only thing troubling" was the Citizens United ruling itself.

During the 2010 address, members of Congress sat just behind the justices, many applauding loudly when Obama made his remarks about the court's election spending case.

Sources close to Roberts have said he has grown increasingly "frustrated" at what he views as the growing partisanship aimed at the federal courts, particularly the Supreme Court

Both Obama and Vice President Joe Biden -- when they were senators -- voted against Roberts and Alito during court confirmation proceedings.

Some justices have been regular no-shows at the State of the Union, including John Paul Stevens, who stepped down from the court last year. Roberts' predecessor, Chief Justice William Rehnquist, also rarely appeared in person.

Another more vocal no-go is Justice Antonin Scalia, who has compared the televised State of the Union to "cheerleading sessions."

"I don't know at what point that happened, but it has happened, and now you go and sit there like bumps on a log while applause lines cause one half of the Congress to leap up while [another line] causes the other half to leap up," he said last November. "It is a juvenile spectacle. And I resent being called upon to give it dignity."

Scalia, a generally verbose and animated jurist, said bluntly: "You just sit there, looking stupid."

Breyer, on the other hand, has crossed the street to attend every State of the Union but one since joining the court in 1994. He missed President Bill Clinton's last annual address in 2000 because of the flu.

Many believe the justices have go to such events, that it's just another unwanted chore of office. Not so, Breyer told CNN in 2005. "People attend if they wish to attend. I do wish to attend, so I go."

@highlight

President Obama condemned a Supreme Court ruling during last year's speech

@highlight

In the wake of that speech, Justice Samuel Alito has said he won't attend this year

@highlight

Chief Justice John Roberts last year derided the "pep rally" atmosphere

@highlight

Justice Stephen Breyer, however, said he enjoys attending and will again