(CNN) -- Organizations today would never think of not investing in high growth markets like China and India. Yet they are still dragging their heels when it comes to investing in women, despite it being a win-win situation for the global economy, organizations and women themselves. This is not just a human rights issue -- it makes absolute business sense. Research conducted throughout the world shows gender balance in top positions contributes to improved competitiveness and better business performance.

In Europe this week, issues around women's advancement and empowerment have been high on the agenda. The European Parliament's economic affairs committee voted down the nomination of Luxembourg's Yves Mersch to the European Central Bank board, calling for his candidacy to be withdrawn. It was a protest over the lack of women in top EU posts. Also, the EU's Justice Commissioner, Viviane Reding, who is intent to impose an EU-wide quota for women on supervisory boards, looks likely to have to go with a watered down proposal to be presented mid-November. Debate on these issues is important precisely because it puts the issue of gender inequality on the table. It draws attention to the danger of having so few women at the top and encourages focus on the improved business benefits of engaging women, for individual organizations and the economy as a whole.

But business leaders cannot afford to be complacent and must demonstrate real progress. That's why I set up the CEO Champions initiative with our CEO, Jim Turley, and the Women's Forum for the Economy and Society. Change needs to be driven from the top of organizations, and peer groups like CEO Champions are so important because they are designed to create and gradually expand a group of leaders to act as champions of women's empowerment, helping to achieve what I like to call "visibility with teeth." What makes our peer group unique is our ability to take a strong leadership role in the broader global business community and form powerful coalitions. Looking ahead, we have much to learn from other successful initiatives like the 30% Club in the UK and Male Champions of Change in Australia. It is only through engaging with other groups and establishing greater visibility for CEO Champions that we can drive real change.

What is clear is that business leaders must commit to champion change -- to be transparent about their goals for change, to align their incentives systems to drive the change, and to make sure their work environments are flexible in a way that allows men and women who choose to work to be able to achieve all of their potential. If they don't champion that change, they will be doing so at their own peril and quotas will be a public policy hammer of last resort.

Over the next decade, the impact of women on the global economy -- as producers, entrepreneurs, employees and consumers -- will be at least as significant as that of China's or India's one-billion-plus populations, if not greater. If women's economic potential can be successfully harnessed and leveraged, it would be the equivalent of having an additional one billion individuals in business and in the workforce contributing to the global economy. It's for this reason that Ernst & Young has been involved in the Third Billion global campaign, which unites governments, NGOs, corporations, youth and others to partner toward ensuring women's access to legal protection, education and training, finance and markets.

Just recently, Booz & Company published new data outlining compelling evidence that women can be powerful drivers of economic growth. Their estimates show that if female employment rates were to match male rates, overall GDP would grow significantly in the U.S. by 5%, in Japan by 9%, and in developing countries like Egypt by a massive 34%. The World Economic Forum also published their annual Global Gender Gap report -- the data suggests a strong correlation between those countries that are most successful at closing the gender gap and those that are the most economically competitive.

Some companies are already investing in women and thereby betting on a brighter future -- for a workforce just waiting to blossom, for emerging economies whose development depends on this new talent, and, of course, for their own financial growth. In the current economic climate there really is no longer any excuse to not be investing in one of the largest untapped economic engines. You cannot flick a switch overnight but the private sector has a tremendous opportunity and responsibility to lead on these issues.

@highlight

In Europe this week, issues around women's advancement and empowerment high on the agenda

@highlight

Over next decade, women's impact on global economy expected to be as significant as China or India

@highlight

Research shows improved gender balance in top positions contributes to better business performance

@highlight

GDP growth of over 5% possible for countries which increase female employment rates to the level of men