(CNN) -- While many changes to Americans' health care outlined in the the Patient Protection and Affordable Care Act don't take effect until 2014, a Supreme Court ruling expected this month could stop those changes from coming at all.

The act, often referred to as "Obamacare," is a step toward guaranteeing insurance coverage for all Americans and received enough support to pass in Congress in 2010. However, the Supreme Court agreed to hear arguments on several of its core issues in March. The court may rule on the issues by the end of this month.

Basics: Health care reform issues

No matter the ruling, most Americans will be affected. Here are some of the issues being discussed right now:

Business owners

One hundred and sixty million Americans receive health care from their employers, many of whom set their own rates for their employees. If the court rules against the act, employees might face higher premiums, fewer network providers, higher-deductible plans and more stringent regulations on adding adult dependents.

What is Corporate America's Plan B to safeguard employees and industry if the act is struck down? Here are some insights:

Employers' 'plan B' if health reform is axed

Employers bear brunt of health insurance hikes

Small business owners

If you run your own company, the act has a lot of good in store for you -- that is, if you know how to access it. Many small business owners across the country who do offer health coverage haven't taken advantage of, or didn't even know about, a tax credit that helps offset giving employees insurance.

Why wouldn't small business owners take advantage of this? CNNMoney answers that question and talks about what might happen if only parts of the act are kept:

The health care tax credit few are taking

What's at stake for small businesses

National spending

Being insured helps safeguard against pricey medical bills. However, a report released Tuesday from the Centers for Medicare and Medicaid Services suggests that the act won't limit national health spending. In fact, it predicts that spending will skyrocket after a brief recession-induced dip.

Growth in health spending doesn't necessarily correlate with growth in health care costs, but what does it mean? Here's a projection:

Health spending growth to stay low, then jump

America's youth

For today's young adults, health care comes last. If you can't afford to feed and clothe yourself, why budget for something that hasn't happened yet? However, youth get sick too, and their future bank accounts might take a toll if the act is repealed -- or if they don't insure themselves, period. Additionally, the ones who do insure themselves tend to forgo expenditures elsewhere (like graduate school) to make ends meet.

Young adults skip health care as medical debts rise

For 20-somethings, health care hangs in the balance

Senior citizens

Health reform has been the belle of the senior citizen community, saving Medicare beneficiaries a collective $3.7 billion dollars on their medication costs since its inception in 2010. One of the reform's aims is to close the "donut hole," or portion of senior citizens that can't pay for medication out of pocket, by 2020.

Read how Medicare has been affected by health care reform:

Medicare: Seniors saved $3.7 billion on medicine

Doctors at risk

Increases in insurance coverage and changes in Medicare help patients avoid footing hefty medical bills, but sometimes their doctors pay the price.

Read why some doctors, especially those in private practice, are running out of money:

Doctors going broke

Doctors: We could go out of business

Silver linings

Just because a negative ruling would give health insurers and states the ability to opt out of reform-era options doesn't mean they're going to. UnitedHealthcare, the nation's largest health insurer, said that while it will take cues from competitors, it will maintain some of the act's key mandates regardless of the court's decision. Moreover, there is strong bipartisan support for state-created health care exchange programs, many of which have been set into motion, where those seeking insurance can look for subsidized coverage.

UnitedHealthcare to keep some health care mandates

Exchanges could survive even if health reform law dies

The fine print

Very few people take the time to read bills in their entirety, but should we? CNN investigates lesser-known changes to the health care system tucked into "Obamacare."

Check out these tidbits:

10 lesser-known effects of health care reform law

@highlight

The Supreme Court will rule on the Affordable Care Act this month

@highlight

No matter the ruling, most Americans will be affected

@highlight

For more on the Affordable Care Act, check back with CNN.com/health