Seoul, South Korea (CNN) -- With South Korea returning to an uneasy calm down after a fatal artillery attack on an offshore island Tuesday, North Korean watchers in Seoul were scrambling to explain what may have been the thinking behind Pyongyang's fatal attack.

Experts offered a range of opinions, saying that recent events could be a show of strength designed to bolster the reputation of the successor to the state's leadership, and suggesting that North Korea's recent actions fit into a predictable pattern of provocation.

Others, however, warned that North Korea's military brinksmanship will continue regardless of who is in charge in Pyongyang, and warn that if South Korea does retaliate, it could ignite a potentially lethal --- and uncontrollable -- cycle of escalation.

Read more CNN coverage on North Korea

Even South Korea's defense minister was drawn into the speculation.

"Our judgment is that North Korea carried out the attack to consolidate the succession process in the country by showing off the leadership of Kim Jong Un," South Korea's Yonhap news agency quoted Defense Minister Kim Tae-young as saying in a meeting with lawmakers.

Kim Jong Un, the third son of ailing North Korean leader Kim Jong Il, was named a four-star general just before a rare Workers Party Congress in September, and was named to the party's powerful military committee. He has since been seen widely alongside his father and senior generals, leading North Korea watchers to believe that a succession process is now under way, designed to place the younger Kim in his father's place on the latter's passing.

South Korean pundits agreed with the minister.

"The first reason for this attack is the instability of Kim Jong Un. That is the fundamental reason," said Young Howard, who heads the NGO Open Radio for North Korea, which maintains a network of contacts north of the two Koreas' demilitarized zone. "Constant military tensions help him to keep the support of his military, and to unite the North Korean people."

Others suggested that it is the militaristic nature of North Korean society, rather than the current succession process that is the key to its behavior.

"I think there is a danger in the West's tendency to interpret all North Korean actions in the context of topical events, in other words, by saying everything North Korea is doing is aimed at ensuring a smooth succession for Kim Jong Un," said Brian Myers, author of "The Cleanest Race," an authoritative study of North Korean propaganda. "This is implying that once Kim Jong Un is firmly seated in power, this behavior is not going to continue, and I think that is dangerous. If you are a military first regime, you flex your muscles; this is what North Korea is, and this is what it does."

While some in the South had hoped that Kim Jong Il's successor might be reform-minded, recent events, and Kim's strong identification with the North Korean People's Army, suggests a continuation -- or possibly a buttressing -- of the regime's current Songeun, or "military first" policy.

Still, the apparently calibrated pattern of recent North Korean provocations --- last week, it was revealed that North Korea had displayed a new and well-equipped uranium enrichment plant to visiting U.S. scientists -- is predictable, another expert said.

"The North Koreans asked in late summer for a resumption of aid and essentially they were ignored, so now they are sending a message to South Korea --- by shelling an island -- and to United States --- with their uranium plant --- that they are not withering away, they are still here and still dangerous," said Andrei Lankov, a North Korea expert at Seoul's Kookmin University. "They chose the soft spots of both sides, so this is a way to a send a message to both the White House and the Blue House: "We are here, we are crazy, we are dangerous. And our last paycheck is long overdue."

Read more from Andrei Lankov

The Blue House is the South Korean presidential residence.

Alternatively, North Korea could have felt legitimately threatened, said another expert, citing the fact that Pyongyang had demanded the halt to a South Korean firing exercise off their shared coast --- the South Korean side refused to heed the demand -- before it opened fire.

"The North Koreans sound like communist lunatics, and fanatics, when in fact most soldiers in the North Korea army are tending rabbits and farming crops," said Michael Breen, a biographer of Kim Jong Il. "There is good reason for them to be nervous: There is firing off their coast. They have to make a judgment call, so they start, and the whole world thinks they are bad guys, and that Kim Jong Un is strengthening its position, but it could have been a miscalculation."

Tuesday's attack was the second time this year that the North Korea has introduced a weapons system that has been unused on the peninsula since the 1950-53 Korean War, South Korea says. In March, a South Korean warship, the Cheonan, was sunk in what a South Korean investigation says was a North Korean submarine torpedo attack. The North has denied sinking the warship. Tuesday's artillery exchange was the first such since an armistice, rather than a peace treaty, halted the fighting in summer 1953.

While South Korean President Lee Myung-bak has demanded massive retaliation should North Korea repeat its actions, that raises a risk of dropping the peninsula into a potentially uncontrollable vortex of retaliation and counter-retaliation. Still, there are limits to the country's forbearance.

"The South has been pretty tolerant, but how much can you tolerate?" asked Dan Pinkston, who heads the International Crisis Group's Seoul office. "I don't know what the red line is, but if you don't retaliate, this is giving a green light" to North Korea.

Should retaliation take place, could it unleash Korean War II?

"I think it is unlikely, I think it will cool off," Pinkston said. "But it is dangerous."

@highlight

Opinions vary widely among North Korea watchers

@highlight

Theories include a show of strength and a miscalculated reaction to an apparent threat

@highlight

Another expert says the North is frustrated by being ignored diplomatically

@highlight

Yet another theory: Pyongyang needs constant military tension to unite its people