Since Islamic State fighters entered Iraq from Syria, they have given the world a revolting look at their ruthlessness.

They have left the severed heads of their vanquished on spikes. They have filled mass graves with the summarily executed. They have slaughtered and enslaved ethnic minority Yazidis.

When the Islamic State drove tens of thousands of them up mountains, where many died of thirst, it seemed the last straw.

U.S. President Barack Obama ordered airstrikes to beat them back.

But the same cruelty has fumed next door in Syria -- along with the atrocities committed by forces loyal to President Bashar al-Assad against rebel fighters.

While the world focused on the plight of the Yazidis in Iraq, 500 Syrian civilians died practically unnoticed.

So, why is the United States intervening in Iraq, while avoiding Syria?

The answers lie in some clear differences in the two conflicts:

1. International opposition

No nation protects Islamic State. Even al Qaeda is disgusted by its viciousness.

But international political entanglement awaits any power pondering action in Syria, due to loyalties to al-Assad.

As the United States and its allies have called for action against his regime, China and Russia have put their foot down in the UN Security Council. And Russia has kept al-Assad well-armed.

Although Russia rails against Muslim extremists, a U.S. intervention -- even only against Islamic State -- would meet with deep distrust in the Kremlin, especially after the relationship with Washington hit the dustbin over Ukraine.

Iran, a close al-Assad ally, would likely also be up in arms. Tehran is allegedly supplying Shia militia Hezbollah, which has crossed from Lebanon to shore up al-Assad's troops.

2. Confusing battlefield

Syria's war is a checkerboard battle -- government troops and Hezbollah in a fight against Islamic State and other resistance groups, who also battle each other.

Obama doesn't see a strong partner in the politically fractured Free Syrian Army, because it's hardly a formidable force against al-Assad's professional army.

In Iraq, the battle lines are clearer -- the Iraqi government with U.S. support vs. Islamic State.

Baghdad has made a shaky showing against the militants. But in the north, Washington has a strong, loyal partner in semi-autonomous Kurdistan.

Many of the U.S. advisers deployed to Iraq are stationed in its capital Irbil to support Peshmerga troops in hot confrontation with Islamic state.

3. Ineffective airstrikes

The Syrian government has professional air defenses, including its own air force, which would give the U.S. military serious resistance.

Though Islamic State has struck some aircraft, its air defenses are flimsy when compared to al-Assad's.

The Iraqi government was bombing Islamic State long before U.S. drones and warplanes joined them, and the Kurdish government has begged for U.S. air support.

President Obama has approved targeted strikes in Iraq, but his hawkish critics in Washington have called for much tougher U.S. military action against the Islamist extremists.

4. We broke it. We fix it.

It's a moan often heard in the United States these days. Iraq would not be in this predicament, had U.S. forces not invaded and destabilized it. Morally, the country owes them.

Add to that the American and civilian lives lost in the war to depose former dictator Saddam Hussein, the hundreds of billions spent, the training and arming of Iraqi forces.

The U.S. has no such vested interest in Syria.

But, says CNN analyst Fareed Zakaria, that's a stance Washington can't afford to maintain.

"The United States should develop a more cogent and integrated policy approach that deals with Syria and Iraq together -- the challenges in both countries are becoming more interlinked," he said.

5. A wariness to step in

To be sure, the President's stance has its critics.

Republican Senators John McCain and Lindsey Graham want Obama to take the fight against Islamic State into Syria. Respect for its borders take a back seat to stopping the extremists, they say.

Former U.S. Ambassador to Syria Robert Ford resigned in protest of America's inaction against al-Assad. He has found fault with Washington for allowing Islamic State to burgeon in Syria.

And former Secretary of State Hillary Clinton recently said that the President does not apply U.S. might aggressively enough.

But, after pulling the country out of two wars in Afghanistan and Iraq, the President has said that the United States should be leery of trying to solve the world's crisis.

As he has reportedly said, "Don't do stupid stuff."

How religion could complicate U.S. intervention in Iraq

Opinion: What the U.S. can realistically do in Iraq

@highlight

Islamic State cruelty has fumed in Syria, too, along with government atrocities

@highlight

But complex entanglements would make it more difficult to act there than in Iraq

@highlight

In Syria, the government would fight against the U.S.; in Iraq they are partners