(CNN) -- If word had leaked out, Bowe Bergdahl would have been killed.

That's what Obama administration officials told senators at a classified briefing Wednesday in defense of the decision to not notify Congress about the deal to free the captured Army sergeant in exchange for releasing five Taliban figures held at Guantanamo Bay.

The question of what legislators should have known and when has helped propel a broader controversy over whether bringing home a soldier accused by comrades of deserting his unit was worth releasing the alleged terrorist leaders.

Under fire from conservative Republicans for making the deal, as well as politicians from both parties for not notifying Congress as required by the National Defense Authorization Act, the White House has argued President Barack Obama had the legal authority and moral high ground to do both.

"I make absolutely no apologies for making sure we get a young man back to his parents," Obama told reporters Thursday at the end of the G7 summit in Belgium.

"... We had a prisoner of war whose health had deteriorated and ... we saw an opportunity and we seized it, and I make no apologies for that."

Asked whether he was surprised at the backlash, Obama said "I'm never surprised by controversies that are whipped up in Washington," and he reiterated what he called a time-honored U.S. principle that "we do not leave anybody wearing the American uniform behind."

"... We don't condition whether we make the effort to get them back."

'Dead silence'

Meanwhile, the administration made sure word got out of the threat to Bergdahl's life if any information on the swap went public ahead of time.

Sen. Angus King of Maine, an independent who caucuses with Democrats, told CNN that administration briefers made clear both the threat to Bergdahl from a leak and that he could talk about it.

"They had intelligence that, had even the fact of these discussions leaked out, there was a reasonable chance Bowe Bergdahl would have been killed," King said. "And that was one of the pieces of information that we learned yesterday that gave it some credence in terms of why it had to be kept quiet so long."

A Senate aide took that further, telling CNN on condition of not being identified that senators were told in Wednesday's classified briefing that the United States had credible information that leaked word of the deal meant death for Bergdahl.

The new details enhanced the perception of a White House scrambling to respond to congressional anger over the exchange announced Saturday in a Rose Garden ceremony at the White House with Obama and Bergdahl's parents.

As part of the classified briefing, senators were shown the so-called proof of life video of Bergdahl, which the administration has said shows the soldier in deteriorating health.

"He could barely talk. He couldn't focus his eyes," King said, adding the video had an effect on the room full of senators.

Sen. John McCain, R-Arizona, was among those who saw the video.

"I think he looked a little strange to me. It was hard to tell. It was very brief. He was up close," he told CNN. "I don't expect anybody who's being held in prison to look like they're in great shape, to tell you the truth."

Other senators who saw the video at Wednesday's classified briefing said Bergdahl looked drugged, not sick. But King noted "there was a dead silence in the room" after it played.

Bergdahl 'life' video shown, senators still skeptical

Price too high for critics

Conservative critics call the price for Bergdahl's release too high, noting that his Army colleagues say he deserted his post in Afghanistan. The Obama administration and Democratic supporters have pushed back, saying Bergdahl's life was under threat in captivity.

An Army fact-finding investigation conducted in the months after Bergdahl's 2009 disappearance concluded that he left his outpost deliberately and on his own free will, according to a U.S. military official briefed on the report. The official spoke to CNN on the condition of anonymity because of the sensitive nature of the information

There was no definitive finding that Bergdahl deserted, because that would require knowing his intent -- something Army officials couldn't do without talking to the soldier.

Some soldiers involved in operations to find Bergdahl have said at least six soldiers were killed searching for him.

But a U.S. official told CNN that Pentagon and Army officials have looked at the claims, and "right now there is no evidence to back that up."

At the same time, Defense Secretary Chuck Hagel told reporters that he did not know of specific circumstances or details of soldiers dying as a result of the efforts to find Bergdahl.

Still, former Army Staff Sgt. Justin Gerleve, Bergdahl's former squad leader, told CNN's "The Lead With Jake Tapper" that he believes Bergdahl is at least partly to blame for the soldiers' deaths.

"I can't really say I blame Bergdahl to fullest extent, but if he wouldn't have deserted us, these soldiers very well could have been in a different place at a different time," he said.

Gerleve also said he heard radio intercepts that an American "was running around looking for people to speak English and wanted to seek out the Taliban."

The accusations of Bergdahl's desertion caused some GOP legislators to question whether the United States should have exchanged Taliban terror suspects for him.

"It's very interesting to me that they would be willing to release five extraordinarily dangerous Taliban members in exchange for this soldier who apparently left his post," Republican Sen. Susan Collins of Maine told CNN on Thursday.

Bergdahl's showing sign of improvement

Bergdahl is resting and showing signs of improvement as he recovers at Landstuhl Regional Medical Center in Germany, according to Pentagon spokesman Col. Steve Warren.

While Bergdahl is conversing in English and is described as being more engaged in treatment, he has not yet spoken to his parents, Warren said.

In Washington, the back-and-forth over the Bergdahl release took on increasingly political overtones, with Republicans who once called for getting him out saying the swap released hardened Taliban commanders who could attack American forces and interests.

Consideration of such a deal dates back several years but failed to gain traction when the possibility first emerged in 2011, according to sources.

Bergdahl backlash surprises White House

A Defense Department official familiar with the thinking of Robert Gates told CNN that Obama's first defense secretary opposed the idea back then, as did his successor, Leon Panetta, and former Secretary of State Hillary Clinton.

With combat operations in Afghanistan set to end no later than December, the U.S. thinking changed. The imminent conclusion of hostilities raises issues about the status of war captives, with adversaries traditionally exchanging prisoners.

King noted that the Taliban figures involved in the swap may have been freed soon in any event.

End of war was a factor

"There is a reasonable legal argument that these five guys would have had to be released any way within the next year under the law of war," he said. "They were being held in Guantanamo as enemy combatants. Under the law of war, when hostility cease, enemy combatants have to be released."

According to King, "This may have been the last chance to get Bergdahl where these guys had true value to us as a negotiating tool because if they had to be released anyway, we'd be in the same situation without Bowe Bergdahl home."

At the same time, King said the Obama administration erred by failing to notify Congress ahead of time about the swap.

"There could have been notification that would have been somewhat more secure than a widespread notification to Congress. I think that's where there were mistakes made," King said.

Bob Bergdahl's journey to save his son

The Gitmo detainees swapped for Bergdahl: Who are they?

Jim Acosta and Tom Cohen reported and wrote from Washington, and Chelsea J. Carter reported and wrote from Atlanta. CNN's Elise Labott, Barbara Starr, Holly Yan, Jim Sciutto and Jim Acosta contributed to this report.

@highlight

NEW: Official says ''right now there is no evidence'' to back up soldiers' disloyalty claims

@highlight

NEW: President Barack Obama: "We saw an opportunity and we seized it"

@highlight

Bergdahl is resting and showing signs of improvement in Germany