A mother forced to drown her own baby and a prison camp inmate compelled to eat rodents and lizards just to survive -- these are some of the horrific experiences documented by a United Nations inquiry into human rights violations in North Korea.

According to the man who headed up the study, examples of "unspeakable atrocities" collected to date suggest widespread abuses on a scale requiring an international response.

"What we have seen and heard so far -- the specificity, detail and shocking character of the personal testimony -- appears without doubt to demand follow-up action by the world community, and accountability on behalf of the Democratic People's Republic of Korea," Michael Kirby, chair of the three-member commission of inquiry, told the U.N.'s Human Rights Council Tuesday.

The remarks were contained in a draft report updating the council on the work of the commission, ahead of a final report to the U.N. General Assembly slated for March.

Pyongyang has refused to cooperate with the investigation and rejects its validity.

Kirby said the interim findings were based on testimony given at public hearings in Seoul and Tokyo last month, from sources including North Korean defectors, former regime officials, survivors of political prison camps, and the families of Japanese and South Koreans abducted by North Korean agents.

"The individual testimonies emerging from the public hearings, of which these are just instances, do not represent isolated cases," he said. "They are representative of large-scale patterns that may constitute systematic and gross human rights violations."

READ MORE: Defectors describe horror, heartbreak in North Korea's labor camps

Kirby said the inquiry had heard "from ordinary people who faced torture and imprisonment for doing nothing more than watching foreign soap operas or holding a religious belief." One woman had given an account of witnessing a female inmate forced to drown her own baby in a bucket, while a man had spoken of being forced to burn the corpses of many prisoners who had died of starvation, before scattering their remains on crops.

"The commission listened to political prison camp survivors who suffered through childhoods of starvation and unspeakable atrocities, as a product of the 'guilt by association' practice, punishing other generations for a family member's perceived views or affiliation," he said, referring to the account of Shin Dong-hyuk, the high-profile North Korean defector whose horrific experiences were documented in the biography "Escape from Camp 14.

Imprisoned from birth, he said, Shin had eaten "rodents, lizards and grass to survive, and witness(ed) the public execution of his mother and brother."

Kirby also referred to the testimony given by the parents of Megumi Yokota, a 13-year-old Japanese girl who was abducted by North Korean agents on her way home from school in 1977. Yokota was one of 13 Japanese kidnapped by North Korea and held in a North Korean facility as a way of training spies; the regime has said that she and seven others are dead.

International attention on North Korea has previously focused on halting its nuclear weapons program, but, in response to increasingly detailed reports of human rights abuses emerging from the isolated state, the U.N.'s Human Rights Council elected in March to establish the commission. Human rights groups estimate that as many as 200,000 people are being held in a network of prison camps in North Korea, as part of a system to crush political dissent.

READ MORE: Torture, starvation rife in North Korea's political prisons

Kirby noted that there had been "rays of hope of change" emerging from North Korea in the past -- including the regime signing an international convention recognizing the rights of the disabled, and moving to reopen the Kaesong industrial complex, operated in cooperation with South Korea -- but these had proven ephemeral.

North Korea had stonewalled invitations to participate in the inquiry, he said, with its official news agency rejecting the testimony as "slander" put forward by "human scum," he said.

He said the commission would seek to identify which North Korean institutions and officials were responsible for gross human rights violations, but did not clarify the mechanisms through which any prosecutions might occur.

North Korea is not a member of the International Criminal Court, but the court is empowered to investigate potential abuse by non-signatories at the request of the U.N. Security Council.

@highlight

United Nations inquiry looking into human rights violations in North Korea

@highlight

The rights probe documented "unspeakable atrocities" after witness interviews

@highlight

Commission listened to prison camp survivors who suffered through childhoods of starvation

@highlight

North Korea has rejected this testimony as "slander" put forward by "human scum"