(CNN) -- London has always been a world-class destination, but its hotels have often fallen behind, especially in the 1990s and 2000s, as new American hotel chains rapidly expanded and design-minded resorts in Asia perennially raised the bar on service. South America, Africa and Oceania also saw unprecedented growth. London was a place to escape from, not to escape to; rooms with views were reserved for Paris and Tuscany.

But how the times changed. As London prepared for two back-to-back mega events last year, the Queen's Jubilee and the Summer Olympics, its hotel sector began to make some notable strides, the likes of which are still dazzling visitors. The new generation of hotels, all of which opened between 2011 and 2013, includes the work of starchitect David Chipperfield (Café Royal) and big-name designers like Kit Kemp, Tara Bernerd, Anouska Hempel and David Collins also got in on the action.

Departures: Best restaurants in London

Here are our favorites.

The Ampersand Hotel

London's French-expat scene congregates in Frog Alley, otherwise known as South Kensington, which is home to the Ampersand, a hotel opened in August 2012. All 110 of its rooms feature one of five central Victorian themes: botany, music, geometry, ornithology and astronomy. (Each takes inspiration from the nearby Natural History and Victoria & Albert museums.) Its new patisserie area, an underground cocktail bar, a library, a game room (featuring table tennis) and a high-tech, 24-hour gym bring things up to date. Rooms, from $225; 10 Harrington Rd.; 44-20/7589-5895.

Departures: Festive London teas

Belgraves

Thompson Hotels transplanted New York cool to London when it launched the modern, 85-room Belgraves in February 2012 in London's ritzy Belgravia neighborhood near Sloane Square. Though the hotel's designer, Tara Bernerd, is British -- and contemporary pieces from local artists Miranda Donovan and Mat Collishaw hang in the halls -- a combination of new leather, a spacious fitness center and a retro restaurant serving upgraded burgers, shrimp cocktails and pumpkin pie are pure Americana. Rooms, from $350; 20 Chesham Pl.; 44-20/7858-0100.

9 glamorous movie-star hotels

Bulgari Hotel

The pre-Olympics boom of luxury hotels includes this Knightsbridge property, which opened in May 2012 and eschews British florals and Empire-era chintz for a modernized 1920s look. Highlights include a handmade steel balustrade backed by a metallic wall adorned with sketches of Bulgari's early-20th-century jewelry collections, glossy sapele-mahogany woodwork, silver chandeliers and an overall subdued design paying homage to the label's early Italian silvercraft. Surrounded by columns and small cabanas, the 75-foot pool anchors the spa, which is composed of onyx, oak, Vicenza stone and Italian glass mosaics that lead to a vertical fireplace. Rooms, from $770; 171 Knightsbridge; 44-20/7151-1010.

Departures: Opulent hotel lobbies

Café Royal

The opulent Louis XVI decor and detailing of Café Royal, which opened in December 2012 and is nestled between Soho and Mayfair, is the work of British architect David Chipperfield. The grandiose property features a Champagne and caviar lounge with live entertainment, a spa and marble hammam and restored ballrooms once frequented by Elizabeth Taylor, the Beatles and Oscar Wilde. Rooms, from $530; 68 Regent St.; 44-20/7406-3333.

Lights, camera, vacation!

Corinthia Hotel London

This opulent 294-room hotel -- once home to the Ministry of Defense -- reopened in the spring of 2011. Baccarat crystal, colorful flower arrangements and swirls of Calacatta Oro marble punctuate this Beaux-Arts gem, the product of a $488 million renovation. But the spa -- London's largest -- is the real game changer. The four-story, 35,000-square-foot Espa Life at Corinthia spa and wellness center offers 15 treatment rooms, a monochromatic white spa lounge, a sauna encased in glass and a pool lined with steel. Guests can hit the on-site Harrods for a shopping spree and sip cocktails in the David Collins-designed Bassoon Bar before retiring to one of the seven plush suites with literary, drama or world-exploration themes. Rooms, from $500; Whitehall Pl.; 44-20/7930-8181.

Departures: Tucked-away city hotels

Dorset Square Hotel

Kit Kemp, founder and chief designer of Firmdale Hotels, brought her signature British style to New York in 2009 with her Crosby Street property. But she got her start here at this tidy 38-room Regency townhouse overlooking a former cricket grounds in Marylebone. Though it was Firmdale's first property in 1985, the dwelling was eventually de-flagged. It returned to the Firmdale family (and to the Design Hotels portfolio) in May 2012 after being gutted and "Kitted" out with chic, slightly eccentric touches like handwoven Argentinean rugs, bespoke wallpaper mocking vintage botanical prints and cricket-ball doorknobs. Two additional Firmdale properties are expected to open in the coming year, another in London and one in New York. Rooms, from $200; 39-40 Dorset Sq.; 44-20/7723-7874.

La Suite West

Another Design Hotels member opened in August 2012 in the understated La Suite West in the underrated Bayswater neighborhood, a quiet, leafy residential area adjacent to Hyde Park that is home to some of London's best Asian food. The discreet 19th-century Victorian townhouse lurks behind hedges that make it easy to miss. But once inside guests enjoy an elegant lobby with a minimalist fireplace, relaxing rooms with handsome gray marble tubs, black lacquer shutters and fabrics in deep violet and brown hues, all thanks to British designer Anouska Hempel. Rooms, from $250; 41-51 Inverness Ter.; 44-20/7313-8484.

Departures: See more new London hotels

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

New hotels opened in advance of London's Olympics and Jubilee events

@highlight

South Kensington is home to the Ampersand, which opened in August 2012

@highlight

The Bulgari Hotel eschews British florals and Empire-era chintz for a 1920s look