London (CNN) -- In a YouTube video produced by activists from #SupportYemen, a Yemeni civil society organisation, in March 2013, an interviewer asks people in Yemen's capital Sanaa what they think of their forthcoming national dialogue. They give a range of well thought-out answers, ranging from tempered optimism to near-total pessimism.

The video cuts to a woman at the side of a dirt road near Hodeidah, one of Yemen's biggest industrial cities. "We are hungry and we need jobs," she tells the blogger and activist Atiaf Alwazir:

The National Dialogue Conference, a six-month series of talks that should lead to the creation of a new constitution for the Arab World's poorest country, is aimed at closing the gap between the country's small military and tribal elite and ordinary people.

The talks started on 18 March, and are the most inclusive political process Yemen has ever seen, bringing together established political players with southern separatists, Zaydi Shia Houthi rebels and youth activists.

Read more: Yemen holds presidential election with one candidate

The conference was due to come to an end on 18 September, but has been held up by wrangling between members of a working group looking at ways to address the grievances of the country's marginalized south.

Yemen's poor people -- around half the country's population -- do not have much of a voice at the talks. Like the woman in the video, many do not even know what the dialogue is. Instead, they are scrambling to make enough money to eat.

If, as looks increasingly likely, the country's next government is made up of members of the elite who profited from the regime of former president Ali Abdullah Saleh, their situation is unlikely to improve anytime soon.

Yemen's poverty problem is not new. Even before the political crisis of 2011, well over 40% of the country's population lived below the poverty line while more than a third of all people aged 18-25 were unemployed, according to the World Bank. The protests, elite violence and ensuing security vacuum in 2011 caused the already weak economy to implode.

By the end of the year, more than half the country's population lived below the poverty line, a study conducted by the Yemeni government and international agencies found.

The situation has stabilized since 2011, and hundreds of millions of dollars of humanitarian aid has flowed into the country, meaning that the hunger crisis will be kept at bay for at least another year or two -- but not that living standards among the country's poor are likely to improve substantially at any point in the near future.

With Yemen's population growing at 2.3% a year, (again according to the World Bank), and oil -- the source of 70% of government revenues -- running out, Yemen's economy needs a massive shake-up.

The government needs to become less reliant on oil and to help build a diversified economy which provides a wide range of jobs for Yemenis, who in turn must be better educated (more than two thirds of all adults are illiterate) and healthier.

Some of these issues were addressed during the dialogue conference: a working group at the talks tasked with producing recommendations on Yemenis' basic rights called in July for the state to provide at least a basic level of education and healthcare along with guaranteed welfare payments to the country's poor.

But the question is how future governments are going to pay for any expansion in government services and welfare payments. In 2013, the country's transitional government passed not just the biggest budget in Yemen's history, but also its biggest deficit, of about $3.2bn. Most of the $12.9bn total spending package went to wages and overheads, with fuel subsidies in particular due to cost the government $3.5bn, or 8.5% of all economic output, in 2013 according to the IMF.

The kind of deficits the government has been running up are simply unsustainable in the long-run, especially if oil output continues to decline. Falling oil production hits not just government revenues, but the volume of foreign currency coming into Yemen, which in turn helps prop up the value of the Yemeni Riyal and pay the country's import bill (Yemen is hugely import-dependent: some 95% of wheat and 100% of rice, staples in the national diet, are imported, according to the Food and Agriculture Organization). A fall in the value of the Riyal would push up the cost of living, hurting living standards among the poor even more.

There are no quick fixes to these problems, but a good place to start would be the fuel subsidy. As the IMF notes in its most recent note on Yemen, the subsidies "are not targeted and create major economic distortions and opportunities for corruption". They benefit mainly the richest Yemenis, who consume the most fuel and electricity, encourage unnecessary consumption, and create huge opportunities for smuggling. The subsidy also encourages the use of diesel pumps to produce water, another huge problem for one of the most water insecure countries on the planet.

Plans have been in place to cut the fuel subsidy and spend the savings on welfare and growth-boosting infrastructure projects since the mid-1990s. But each time someone actually tries to increase the cost of fuel and redirect spending towards the poor they meet huge resistance from established political, economic and tribal players. This is because Yemen's economic problems are equally political.

In our new Chatham House report, "Yemen: Corruption, Capital Flight and Global Drivers of Conflict," we argue that Yemen's former president Ali Abdullah Saleh used a huge system of patronage, involving everything from diesel allocations to access to military budgets and state contracts, to foster co-operation among members of the country's small tribal, economic, and military elite.

This system ultimately benefited a small number of people and helped Saleh mitigate the threat of major internal conflict, but at the same time meant that the country's elite were enriched at the cost of development that benefited the wider public. Reforms like subsidy cuts ran counter to elite interests and so were impossible to implement. The levels of corruption seen in Yemen wouldn't have hurt the country quite so badly if the proceeds were being spent at home. But increasingly, they are not. Yemen's elite has invested their money abroad in property and other ventures, or left it nestled in secrecy jurisdictions far beyond the prying eyes of the Yemeni public.

In our report we argue that when elections are held in 2014 the same people who took part in the Saleh-era system of patronage and corruption are likely to be in charge once again and that they will continue to be incentivized by self-interest rather than any sense of the greater good. Despite the rhetoric around the transition, they still control the government, the army, the tribes and the bulk of the Yemen's economic resources. New faces may appear, but their ability to implement the kind of economic reforms Yemen needs will be limited, as has become clear over the course of the transition, with the country's 'unity' government achieving little in the way of reform.

As the transition period comes to an end over the coming months and new elections are held, there is likely to be a degree of self-congratulation among those who brokered the deal that led Saleh to step down in November 2011, avoiding the prospect of civil war.

But if the transition is to be a success, the needs of ordinary people will have to be taken into account. The activists who took to the street over the course of 2011 must be supported in their quest for more transparent and accountable governance. And the voice of Yemen's poor must be heard.

The opinions expressed in this piece are solely those of Peter Salisbury.

@highlight

Yemen's economic problems are equally political, Peter Salisbury writes

@highlight

The government needs to provide a wider range of jobs for Yemenis

@highlight

To succeed, the voice of Yemen's poor must be heard, he says