(CNN) -- On a warm evening in Istanbul, a bar called Kooperatif announced its last call.

Friends old and new gathered in the art and performance hall, located in the heart of the city's Beyoglu district, for a smoke-filled goodbye accompanied by live music and doses of nostalgia.

Kooperatif closed its doors in Rumeli Han, a venerable 19th-century Ottoman shopping arcade that until recently housed an eclectic mix of tenants, including an Indian cultural center, a rock-climbing wall and the district headquarters of the Turkish Communist Party.

Safak Velioglu, founder and owner of Kooperatif, called Rumeli Han a "small republic."

"The story of the closing of Kooperatif is about gentrification" Velioglu says.

"In the last 20 or 30 years, [establishments] like Kooperatif became very interesting places for different interests, art galleries and workshop areas.

"After gentrification, nobody could afford to find a place."

Velioglu had been paying $2,000 a month to run his pub in the basement of Rumeli Han.

After the rent for the place was quadrupled, he'd little choice but to close the bar.

Istanbul, Turkey's largest city and business hub, has witnessed a surge in population and a boom in urban construction projects over the past decade.

Global tourism destination

It's also emerged as a leading global tourism destination.

In 2012, according to the Turkish Ministry of Tourism and Culture, 31.7 million foreigners visited Turkey, compared to 1.3 million in 1980.

Istanbul's Beyoglu district is the city's center of nightlife, enchanting visitors and locals with its unique combination of seedy bars, upscale nightclubs, historic churches and 19th-century mansions.

That's all changing.

A century ago, Beyoglu was the home of Istanbul's non-Muslim bourgeoisie -- religious and ethnic minorities including Armenians, Greeks and Jews.

The collapse of the Ottoman Empire during World War I led to "population exchanges" that prompted the departure of many Greeks.

Decades later, Turkish authorities imposed crippling minority taxes which accelerated the emigration of the city's indigenous Greek community in the 1950s and '60s.

As of 2006, fewer than 3,000 ethnic Greeks are left in the city once known as Constantinople.

During subsequent decades, Turkish and Kurdish migrants from the rest of the country moved into abandoned blocks in Beyoglu.

The district's winding alleyways and crumbling mansions also became a favorite destination for artists and musicians.

Kooperatif carved out a niche in this bohemian melting pot.

It thrived as a place where patrons could to speak, drink, perform and display their art.

To get to Kooperatif, visitors had to dip down a narrow staircase on a Beyoglu side street and stumble into an old brick basement painted white with remnants of past art installations plastered along the walls.

Barefoot backpackers

Its cavernous space offered a stark change of pace from Istiklal Caddesi, the pedestrian thoroughfare that surges with locals and visitors most days and nights of the week.

Patrons, who included everyone from barefoot foreign backpackers to independent musicians passing through the city, described it as a refuge.

In the last decade, Beyoglu also began attracting international retailers and hoteliers, prompting some to compare its transformation to the gentrification of Manhattan's Time Square in the 1990s.

While many mourn the appearance of Western franchises along Istiklal, others welcome the change, not least President Recep Tayyip Erdogan, whose ruling Justice and Development Party has pushed to overhaul Istanbul and drive Turkey's economic growth.

Under Erdogan, the city has been awash with massive construction and urban development projects ranging from gentrifying dilapidated neighborhoods near Beyoglu to building a new bridge and metro tunnel across the Bosphorus.

Under this tide of change, 19th- and 20th-century shopping arcades, once cluttered with mom and pop shops and tea houses, have today been replaced by modern shopping malls and luxury hotels.

Kooperatif owner Velioglu plans to reopen his bar in a new location, but he's unlikely to find a location as historic and quixotic as the old Rumeli Han, and concedes this might be a problem.

"The chemistry of Kooperatif needs this chaos and it has to be in the center," Velioglu said.

Ryan Powell is a freelance writer based in Istanbul.

@highlight

Istanbul's crumbling Beyoglu district has been home to the city's artists but rising rents are pushing some out

@highlight

Kooperatif, an art and performance hall in the heart of Beyoglu, recently closed shop

@highlight

Istanbul has been awash with development projects over the past decade

@highlight

Changes are being driven driven by Turkish economic growth