The smell of burnt plastic leaps out at you. Acrid in the throat, omnipresent, extinguishing from the air all the other smells of city life -- because really there is none. The scenes of destruction -- the fact every street is pockmarked by two years of shelling -- you have seen in activist videos online. But the smell is something striking: it notifies you that you are on the edge of humanity.

Aleppo is a dusty, pale skeleton of the city I reported from 22 months ago. Since then, it has seen too much. It has seen the world lose much of its horror at its plight and instead focus on the extremists in rebel ranks who Western officials fear may eventually turn their ire on Europe.

It has seen the regime of Syrian President Bashar al-Assad seem to edge towards collapse and then pull back from the brink with Russian and Iranian support, in the face of a divided opposition and international community. But most visibly of all, Aleppo has had the life bombed out of it. You cannot open your eyes without seeing the impact of Syria's internecine rush to oblivion. Every building is marked.

It is in keeping with the contempt Assad's regime has for those who disagree with him, that the largest city has born the brunt of his crudest and most indiscriminate weapon. The "barrel bomb" is itself a symptom of a war so long and exhaustive, the ways of state-backed killing have by necessity become homemade and improvised, rather than precise and militarized. It is a simple device: take a barrel and fill it with explosive and any shrapnel you can find. Then fly over Aleppo, normally in helicopters, and drop the barrel when you see a populated area.

This has since been refined, activists say. The bombers now drop one device and then wait 10 to 30 minutes. Then they drop another. The aim is to ensure that those who flooded in to the scene to rescue the victims are then killed, the activists say. "You will see that when the first one lands, everyone stays in cover for 30 minutes," one activist told me. "They know now a second bomb is coming."

Bustan al Quasr has borne the brunt of much of the bombing in the past weeks for a simple reason: that is where the people have moved to. Other areas were bombed previously, and those people moved to Bustan al Quasr and elsewhere, so now it is bombed.

When we arrive, the locals are sifting through the remnants of last night's blast. It came at 1 a.m. -- two bombs, 10 minutes apart, killing between 6 and 7 people and injuring dozens, one man tells us. The familiarity with death means the precise number of victims isn't something people around here seek out.

The bodies have been gathered, until dawn, and now locals are scavenging. This is the scene of a mass murder, but there is such a paucity of life here that blankets, pillows and other small household items are salvaged and ferried away. It isn't clear if those taking them away once owned them. The mosque nearby has been hit too, and the front again torn off another house. Men walking on the slender remainders of floors gather items from what remains of each room.

The barrel bombing -- with all its random callousness -- is a tactic with a goal, it appears. The regime is moving to clear the remaining parts of Aleppo of rebels and their supporters, of all human life it seems, because human life here is opposed to them by ideology or just association. Barrel bombs are an effective way of doing that.

At the same time, the regime is beginning to close a loop on the ring roads around to the north of Aleppo that would -- with the exception of one key road, still free to rebel traffic -- encircle the city entirely. Those who live there fear they will follow the same fate as the city of Homs, besieged and shelled for months and starved into submission only recently. The international aid community, worried by how real that prospect is, has been meeting urgently to prepare for that eventuality: refugees and the demand for food for the besieged.

But for now, while they wait to be encircled, the killing continues. In one of the hospitals -- dark, secretive buildings, that fear attack by the regime, where antiseptic reeks from recently mopped floors -- we meet a British citizen. Syrian in origin, born in France, he has lived in London long enough to keep his accent, but he prefers not to be named. Six weeks ago, he was hit in a bomb blast, which tore the skin from his left leg. He is wincing in indescribable pain as he explains what it's like to be hit by a bomb.

"First there is a plane in the sky. We duck down, and they just hit us with a bomb," he said. "I didn't feel anything. The next thing I was woken up and I could not feel my leg. Things were burning around me. They took me to a hospital and I woke up I realized I was burning. They did their best, but they could not do much. I was moving from hospital to another and the next thing I realized I had lost all the skin on my whole leg. It's unbearable. I can't sleep at night, it's unbearable."

Throughout our conversation his leg, bandaged to prevent an infection that could kill him, but hidden by the green of his surgeon's tunic, bounces up and down, purely out of fear, agony or nerves.

"We are in hell, just go outside, the city is flattened," he said. "There's nothing. It's every single day. Every single day, every single hour. There's no people any more. No cats, no insects. Nothing left."

It is baffling how life is sustained in Aleppo. There are palpable changes in the past two years to what was once Syria's commercial, bustling, metropolitan hub. Women are now more frequently covered from head to toe in the hijab and many wear the niqab across their face.

Our producer had an inch of her exposed hair tucked back into her scarf while she was talking to some women in a hospital -- the helpful female bystander was just trying to help a sister out.

In one hospital, we met a young girl who had been hit by a sniper, but who refused to speak on camera because she and her mother-in-law knew her husband -- apparently a fighter -- would kill her for doing so. She was 13. This is not a war that has an adjusted, moderate society waiting to spring to life in the first throes of peace.

Basic utilities are more and more scarce. A full drought hit recently when rebels cut off their own water when they tried to disrupt the regime's supplies. Now water rarely comes from the faucet. We see one woman who fills her plastic jugs from a hose in the street.

Some shops appear open; we purchased a USB with remarkable speed. But most streets echo with the pain and fear of those who have left. Markets and bakeries resonate with unease at the regime's tactic of hitting anything that seems crowded.

The last time I was here, you could see life in all its messy forms, occasionally interrupted and shattered by the bombing. Then it seemed to aim at something, clumsy and off-target as it was. Now that is clearly not the case. The randomness seems to give some people solace, in that there is just nothing they can do.

Two children we spoke to briefly on a hospital bench said they were used to it; it is part of life, like school or a favorite T-shirt would normally be in childhood. The youngest are targets, and we met several very young children, some as young as 3, who were quiet, subdued, as though caught in that moment of tense, looming pressure when a storm moves in to break over your head.

22 months ago, we reported on the fate of Rena, a 4-year-old girl hit by a sniper who fired through the frosted glass of her apartment window, into the room she was sitting in, the bullet hitting her jaw and eventually lodging in her throat, killing her. It is unlikely the sniper who took her life knew who his target was. The shot was fired purely to terrify.

This time we meet Mohammed. He is 5 and in a hospital. He too was hit by a sniper. He too was at home when the bullet struck. He was watching cartoons, his mother tells me. The bullet hit his stomach, exploding inside him, and causing exit wounds in his front and sides.

The doctor pinches his chest skin roughly to check he is conscious. He is and raises an outstretched hand towards me and the doctor. His eyes are closed, a tear caught in the corner. His mother wails outside. "What is wrong with his eyes," she cries, referring to the sniper. "Could he not see this is my child? Why did he shoot him?"

On the outskirts of rebel areas, there is an enormous pile of trash burning constantly, infecting the air. One activist told me the plastic is burned to power oil refineries, to make money for the various rebel groups. In fighting for life, they make life unlivable.

Smoke rises endlessly above Aleppo, leaving behind those who cannot leave, who must find life in its embers.

CNN EXCLUSIVE: Videos show brutality of ISIS in Syria

@highlight

Nick Paton Walsh says Aleppo is a skeleton of the city he visited 22 months ago

@highlight

Walsh: Indiscriminate bombings have taken the life out of the city

@highlight

Man in hospital describes what it's like to be hit by a bomb

@highlight

Even children as young as 3 years old are targeted