(CNN) -- "We will restore science to its rightful place."

When those words came out of President Obama's mouth during his inaugural speech, public health nerds such as myself rejoiced heartily. We believe that policy, especially health policy, should be based on scientific evidence. Funny, then, that we ignore this important piece of evidence: When scientific facts go up against moral ideologies, ideology usually wins.

I've worked for more than a decade in the field of HIV prevention. That means working with sex and drugs -- two areas where there is no shortage of good science, and an abundance of ideology.

The science tells us, for example, that making clean needles universally available to drug injectors can more or less wipe out HIV transmission in this group. The ideology tells us that providing such services for injectors is tantamount to condoning an illegal behavior that wrecks lives and families and increases crime. If you were running for election, faced with the choice of paying for clean needles and health services for injectors or with putting more cops on the streets and cells in the jails, which do you think would play best with the voters?

Read more about Elizabeth Pisani at TED.com

HIV has taught us something about the nature of democracy as well as the more personal decision-making that my TED talk addresses. The fact is that many of the most effective public health policies have been put in place by governments that Americans think of as ideological, even undemocratic.

Iran has one of the world's better prevention programs inside its jails, and sterile needles are available to injectors from dispensing machines around Tehran. The Kyrgyz Republic gives clean needles to prisoners. China makes needles available to injectors through pharmacies at subsidized prices.

These countries are not exactly synonymous with liberalism. Government officials can afford to do nice things for junkies because they don't need to worry much about what might happen in midterm elections. And they need to be pragmatic because they expect to be in power for some time. Better to put in place prevention programs that deal with a distasteful headache now than to deal with a much greater headache in the future.

That's harder to do in a democracy; if you do something upsetting to the majority of voters now, you won't be around to reap the benefits of your far-sighted action in the future. It's hardly surprising, then, that for the last 20 years, the U.S. Congress put politically popular ideology ahead of science, denying federal funding for needle exchanges. (Congress repealed the ban last year.)

At the local level, though, things often look different. Many cities, realizing that they would have to pick up the pieces of the nation's failed war on drugs, have scraped out their pockets and provided services to injectors. The result has been a huge decline in new HIV infections among drug users and their sex partners; the burden on the health system has of course fallen, too.

And there is no evidence at all that these programs have led to a rise in injecting -- a specter commonly raised by the ideologues. The truth is, people who've never injected drugs in their life don't suddenly say: "Oh look, a clean needle dispenser. Maybe I'll try shooting up heroin."

This disconnect between national and local policies is instructive about the way democracy works. At a national level, politicians seem to respond to what they think the electorate wants to hear. Ideology and rhetoric rule. At the local level, however, they are more likely to respond to what the electorate really needs -- workable solutions to real problems. The only workable solutions are the ones that are based on good, solid, scientific evidence.

In my little corner of public health, the Obama administration is following through on its promise to put the science back into policy. Since the ban on federal funding for safe injecting programs was dropped in December, the sky has not fallen, and if the government falls, it certainly won't be because of this small piece of pragmatism.

But two decades of banging the "evidence-based" drum does make me think that we scientists need to learn from the evidence. Scientifically sound solutions can only be implemented where they can be made politically workable.

The opinions expressed in this commentary are solely those of Elizabeth Pisani.

@highlight

Elizabeth Pisani says Obama's embrace of science in setting health policy is encouraging

@highlight

But political and moral ideology, she says, often wars with science-based policy

@highlight

Data show that giving drug users clean needles stalls HIV's spread, she says

@highlight

Pisani: Science-based solutions must be made politically workable to be implemented