(CNN)Are we alone in the cosmos? Or might there be intelligent life elsewhere?

Last week, NASA scientists discussed in very concrete terms the steps to discovering life elsewhere in the universe over the next decade or two.

This year is the 20th anniversary of the discovery of a planet around a star like our own sun, 51 Pegasi. Since then, ground-based surveys and NASA's Kepler satellite have discovered nearly 2,000 confirmed "exoplanets," and thousands more candidates await confirmation.

Many of these planetary systems are quite unlike our own solar system. Some have large planets like Jupiter that orbit their stars far closer than Mercury, the innermost planet in our solar system. But smaller rocky planets like Earth, though harder to find, appear to be even more abundant.

Life on Earth developed in its oceans about a billion years after the planet formed. That suggests that rocky planets with liquid water on their surfaces might also have developed primitive forms of life.

Life as we know it is carbon-based and requires liquid water. Astronomers define the "habitable zone" around a star as the region within which liquid water can exist on a planet's surface. Any closer to the star, the water will boil into vapor; any farther and the water freezes into ice.

Extrapolating from discoveries to date, astronomers estimate there are perhaps 40 billion Earth-like, habitable-zone planets in our Milky Way galaxy alone.

Of course, there is a difference between single-celled organisms -- which developed 3.8 billion years ago and remained the most sophisticated form of life for another billion years or so -- and mammals, which appeared about 200 million years ago. And then the humans, who have existed for only 200,000 years.

Intelligent life that can communicate via radio waves with other intelligent life is less than 100 years old here on Earth.

So while planets that develop simple forms of life may be a dime a dozen, the number that have sentient beings with whom to converse -- even assuming they evolved as humans did, with ears and spoken language, or eyes and written language -- is likely to be tiny. And life that can use radio waves has existed on Earth for only 0.000002% of the planet's history -- 100 years out of 4.5 billion. If the half dozen or so rocky, Earth-like exoplanets now known are similar, the odds of discovering humanlike life on them are about the same as, well, winning your state lottery with one ticket.

Of course, if there are 40 billion Earth-like planets out there, the odds improve quite a bit. If they all have histories like the Earth's, there might be 1,000 planets in the Milky Way that could support communicative beings.

But before you start composing your first letter to an alien, think about this: The chance that those beings evolved on exactly the same time scale is minuscule. Another planet's 100 years of brilliance might have occurred a billion years ago, or it might happen a billion years in the future.

A lot depends on how long communication capabilities last. Civilizations that can build huge telescopes and broadcast stations also have the technology to destroy their planet. So the duration of the Communication Age on a planet could be short. Not to mention: The average light-travel-time to such a planet could be tens of thousands of years, so unless humans evolve to be ageless, we're not exchanging IMs with aliens anytime soon.

If advanced civilizations can maintain their capabilities for millions of years or more, the chances of communicating with them are not negligible. But in that case, they are likely to be far more sophisticated than we are (since they developed the capability far earlier than we did) -- so if they wanted us to know they exist, wouldn't they simply tell us?

The SETI project has been listening for such broadcasts for more than 30 years in the search for extraterrestrial intelligence. Probably the most likely form of life on exoplanets is far more primitive. Astronomers have found signatures of organic molecules, the building blocks of life, in the interstellar material that permeates the space between stars in our galaxy.

Possible signatures of living organisms on distant exoplanets include an oxygen-rich atmosphere, such as that created by the first bacteria on Earth, or perhaps methane or carbon dioxide. NASA's James Webb Space Telescope, to be launched in 2018, will look for evidence of life in the atmospheres of rocky, habitable exoplanets.

NASA's rovers have shown that Mars was once much more habitable. It had fresh-water lakes and streams of water running along its surface. Some water still remains, and there may yet be life discovered on Mars. New missions plan to look at Europa and Ganymede, moons of Jupiter that have liquid water below their icy surfaces.

Life elsewhere in the universe, and even elsewhere in our own Milky Way galaxy, is practically inevitable. Signs of life on exoplanets orbiting nearby stars will probably be discovered in the coming decades with advanced telescopes. But the chance of talking to those little green men will probably have to wait for another few hundred million years.

@highlight

NASA scientists discuss steps to discover life elsewhere in the universe over the next two decades

@highlight

Meg Urry: Life elsewhere in the universe, and even elsewhere in our own Milky Way galaxy, is practically inevitable

@highlight

But the chances that we can communicate with that life are slim, she writes