(CNN) -- It's bad enough that the recovery from the Great Recession has been slow and uneven. What's much worse is that several key indicators were heading in the wrong direction well before it started.

Median income in the U.S. has been stagnant or worse for at least 15 years, even as the big-ticket items of college, health care and housing have become more expensive. The middle class has for decades been getting "hollowed out" by job loss and wage decreases.

Social mobility -- the odds that children will do better than their parents -- is now lower in America than in most European countries, an uncomfortable truth for the land of opportunity. Entrepreneurship is declining (the amazing recent successes in the tech industry are the exception, not the rule), as is the percentage of GDP getting paid out in wages and benefits.

This dour economic litany has helped give rise to movements of discontent like the tea party on the right and Occupy on the left. It's also led to a flood of proposed solutions ranging from a return to the gold standard to confiscatory taxes on high levels of income and wealth.

We don't think such radical fiscal or monetary measures are warranted. The main pilings of our economic system are not so rotten that they need to be replaced. What we need instead is to return to excellence at two of our historical strengths: coming up with important innovations and finding ways to include a great many people in our journey of progress.

When it comes to technology, innovation is astonishingly robust these days. Recent digital advances are truly the stuff of science fiction: fully autonomous cars and planes, artificial intelligence systems that can understand and produce human speech, robots for everything from painting cars to milking cows, printers that can make industrial-strength 3-D objects and so on.

Technology is racing ahead so quickly, in fact, that it's leaving a lot of our institutions, organizations, policies and practices behind. It's in these latter areas where we must increase the pace of innovation. The solution is not to slow technology down but instead to speed up the invention of new jobs. That requires unleashing entrepreneurs' creativity. It also requires a host of other conditions.

• Are our regulations keeping up with new companies that let people summon a ride on the fly or rent out a room in their house?

• Are large employers able to look beyond the traditions of resume, transcript and interview when evaluating job candidates and learn how to value alternate signals like performance in a massive open online course?

• Will our primary education system decrease its current emphasis on rote learning and standardized testing and start teaching skills computers don't have, such as creativity and problem-solving?

• Can we remove the Kafkaesque barriers in place today that prevent so many of the world's most talented, tenacious and ambitious people from immigrating to the United States? Will the government start spending adequately in the areas where we know it pays off, like infrastructure and basic research?

Too often today, the answers to questions like these are "no" or "not enough."

We're quickly heading into what we call the second machine age: a time of transformation brought on digital technologies that will be as big a deal as the Industrial Revolution. To succeed in it, we'll need to address the questions above and innovate widely and deeply, for two reasons. The first is to maximize this age's benefits and bounty. The second, more important reason is to include as many people as possible in both producing its fruits and sharing them.

The greatest flaw with our current path is the fact that a large group is being left out in every important sense. Too many people aren't getting the skills and support they need in order to participate in a rapidly changing economy and don't feel that they have any stake in a society that's being created around them and without them. As a result, many are dropping out -- of education, of the work force, out of their communities and out of family life.

Whether or not the growing ranks of the unincluded and disaffected ever cause social unrest, they're still a deep problem.

America's history of assimilation and participation is far from perfect, but it's still impressive. It has contributed to a thriving democracy and a large, stable and prosperous middle class, both of which have been the envy of the world. The evidence is mounting, however, that our great successes of inclusion are starting to reverse themselves. We need to harness our unmatched powers of innovation to make sure that this does not happen.

@highlight

Authors: Economy is generating tech innovation, but too many people are left out

@highlight

Are immigration laws welcoming to innovators? Are employers flexible in hiring?

@highlight

Will schools replace rote learning with the teaching of problem-solving skills?

@highlight

Authors say U.S. economic system isn't faulty but needs wider inclusiveness