(CNN) -- Europe's star soccer clubs have booked a summer holiday to the United States -- but this is strictly business not pleasure.

Manchester City, Real Madrid, Bayern Munich, AC Milan, Arsenal and Manchester United are among the footballing giants crossing the Atlantic.

These pre-season tours of North America are nothing new but the timing could not be better.

Europe's big clubs are coming to tap into a zeitgeist that has seen a new ardor for soccer sweep the country. since Team USA's heroics at the 2014 World Cup.

"It's the perfect time to go," Arsenal manager Arsene Wenger -- whose team are making the trip for a one-off game against the New York Red Bulls Saturday -- told the club's Arsenal Player channel.

"It is the first time since I (started to) go to World Cups that I've been stopped by so many American people.

"I can tell you something I'm completely convinced of -- before people didn't know who you were, but now every American guy I met knows Arsenal, knows England and knows the Premier League."

This summer's football fiesta in Brazil certainly fanned the flames of soccer in the United States.

Team USA's draw against Portugal in the group stages became the most-watched soccer game in U.S. history when it attracted 25 million television viewers, according to Nielsen figures.

Those statistics put soccer ahead of baseball's 2013 World Series average of 15 million viewers on Fox while the NBA Finals delivered a similar figure for ABC.

Even after the U.S. team's dramatic extra-time defeat to Belgium in the last 16, which attracted 23 million viewers, the TV audience stayed tuned.

A new record of an estimated 26.5m fans watched the final between Germany and Argentina.

"A lot of people still ask 'when is soccer going to make it in the United States?' I think it has," Daniel Wiersema, a fan from Austin who traveled to watch the U.S. team at the World Cup, told CNN.

"Compared to 2010, we saw significant interest the very moment the tournament kicked off and then a swelling interest as the U.S. progressed through the group and elimination stages.

"At the World Cup in Brazil the U.S. had a home field advantage because there were so many American fans at the games.

"On social media the followers and likes for Major League Soccer (MLS) has grown hugely and U.S. Soccer held viewing parties in Chicago that were so big they had to move them to Soldier Field (home of the NFL team Chicago Bears)."

With memories of the World Cup final still fresh, European clubs are landing on U.S. shores this week to stoke the glowing embers.

Champions League winners Real Madrid, of Spain, English clubs Manchester City, Liverpool and Manchester United join Italian giants AC Milan, Inter Milan and Roma as well as Greek side Olympiacos in making a transatlantic trek.

They are across the pond to vie for the International Champions Cup with matches played on the road from the University of California in Berkeley to Miami's Sun Life Stadium

German champions Bayern Munich and English Premier League side Tottenham are among other clubs hitching their wagons to road trips across the U.S.

"There have been three ages of overseas football tours," Professor Simon Chadwick, founder and director of the Centre for International Business of Sport and a professor at Coventry University Business School, explained to CNN.

"Firstly, tours were about easing players back into the football season after the summer break; then, they became PR vehicles for clubs seeking to build profile and presence around the world.

"But we are now in the third age, where strategic development of key target markets and long-term fan engagement are important.

"The short-term financial gains are likely to be less important than the long-term value of playing such matches.

"If an American becomes a lifetime Manchester United fan following a tour game, the lifetime flow of income from them is potentially very significant for a club."

The incentives for the touring clubs might be obvious but these habitual pre-season tours interrupt the regular MLS season, which unlike the domestic leagues in Europe, runs from March through October.

With Europe's finest flaunting some of the world's biggest names, is there any danger that these high-profile tours are in danger of inhibiting the domestic game?

"You could say on one hand it's a distraction because it's in season and that these teams need to focus on their domestic season," adds Wiersema, who is also the founder of the Free Beer Movement which aims to build American soccer through social events.

"You wouldn't see Man United or Chelsea taking time off in the middle of the Premier League campaign to cash a check.

"But it's the unique position of U.S. soccer that we have a different season and a unique position that we need the profile of the global leagues to increase the local one. It's a double edged sword."

Megan Hession from Blakely Advisors, who organize high performance training camps and manage players' affairs, thinks MLS simply can't compete with European football.

But, as she told CNN, there is a silver lining: "I believe most of the MLS franchises are doing all of the right things to maximize attendance and brand recognition because no one does that better in sport than American clubs.

"I believe this World Cup has been somewhat of a game changer -- at least in the short term -- for football as I cannot remember such a high level of patriotism and overall interest from Americans."

Hession believes the loosening of MLS's designated player rule, which allows franchises to sign stars that would ordinarily be outside their salary cap, is vital in helping it attract valuable expertise.

"So long as the MLS can expand the DP rule and get more players out here, and coaches and trainers, who will make the American's better players in the long run, there's no reason we can't produce a Cristiano Ronaldo."

Many of the World Cup stars may well be on show on U.S. shores in the coming weeks.

The MLS All Star game against Bayern Munich in Oregon on 6 August will pit American World Cup heroes Matt Besler, DeAndre Yedlin, Kyle Beckerman, Michael Bradley and Clint Dempsey against some of Germany's World Cup winners including goalkeeper Manuel Neuer and midfielder Thomas Muller.

Bayern, winners of the German Bundesliga, also boast U.S. attacker Julian Green in their ranks. He became the USA's youngest World Cup scorer after his goal in the defeat to Belgium.

Attracting players of this quality to the MLS regular domestic league is arguably the key to driving the U.S. domestic league to a level closer to its global counterparts.

"MLS is on its way with big names like U.S. internationals Bradley and Dempsey coming over," Carisa Donahue, who traveled to watch Team USA at the World Cup in Brazil on her honeymoon with new husband Shane, told CNN.

"It's tough because there are some good names playing here but it's often players at the end of their careers.

"If we got some European or South American players who were in their prime they could help to bring the MLS to global standards."

Wiersema agrees: "It's easy to be cynical about these tours in the short-term and say the European teams are just here for a pay day but from an American perspective I see it as inspirational.

"Seeing clubs with such a rich history allows us as Americans to dream big.

"Someday I want my local American soccer team to have the same international respect as a Manchester United.

"It's a worthy goal to think that MLS can one day be on a par with the Premier League, La Liga, the Bundesliga and Serie A."

The European visitors may well cash in on its imports this summer but, over time, it could be the U.S. who is exporting soccer back to the world.

@highlight

A host of Europe's top soccer clubs are heading for America to prepare for domestic seasons

@highlight

European champions Real Madrid stateside as well as Man City and Real Madrid

@highlight

Clubs hoping to cash in on the buzz in the U.S. prompted by recent World Cup in Brazil

@highlight

Record viewing figures underlined how popular Brazil tournament was in America