(CNN) -- Chris Stevens died in the service of his country. He died doing what he loved most -- working to build bridges of understanding and mutual respect between the people of the United States and the people of the Middle East and North Africa.

He was loved by many more Libyans than those who hated him for being an American. A few dozen fanatics penetrated his compound. More than 30,000 people in Benghazi demonstrated in protest over his death.

Chris was successful because he embodied the traits that have always endeared America to the world -- a commitment to democratic principles, and respect for others, regardless of race, religion or culture. Chris regarded and liked each person he met as an individual. He respected their views, whether or not he agreed.

One of his friends told us a tale that reflects his success on a small scale. Picnicking in the Libyan countryside, they met a local family. Chris immediately greeted them and suggested that they be photographed together. The young son of the patriarch of the family, suspicious and negative toward Americans, refused to participate. So Chris continued chatting with the others. When it was time to leave, the initially suspicious son presented Chris with a bouquet of flowers. "This is because you were so respectful to my father," he said.

Chris was not willing to be the kind of diplomat who would strut around in fortified compounds. He amazed and impressed the Libyans by walking the streets with the lightest of escorts, sitting in sidewalk cafes, chatting with passers-by. There was a risk to being accessible. He knew it, and he accepted it.

What Chris never would have accepted was the idea that his death would be used for political purposes. There were security shortcomings, no doubt. Both internal and outside investigations have identified and publicly disclosed them. Steps are being taken to prevent their reoccurrence.

Chris would not have wanted to be remembered as a victim. Chris knew, and accepted, that he was working under dangerous circumstances. He did so -- just as so many of our diplomatic and development professionals do every day -- because he believed the work was vitally important. He would have wanted the critical work he was doing to build bridges of mutual understanding and respect -- the kind of work that made him literally thousands of friends and admirers across the broader Middle East -- to continue.

So rather than engage in endless recriminations, his family is working to continue building the bridges he so successfully began.

Through the J. Christopher Stevens Fund, and thanks to the tremendous outpouring of support from around the world, including a generous contribution from the government of Libya, the family of Christopher Stevens is working to support programs that build bridges between the people of the United States and the broader Middle East.

This fall, together with a coalition of public and private partners, the family will launch a Virtual Exchange Initiative that will fuel the largest ever increase in people-to-people exchanges between the United States and the broader Middle East. We are working with the Peace Corps to expand its reach into schools and communities across this country. The family will support university fellowships for promising students interested in foreign relations and the Middle East, and looks forward to a symposium on "The Arab Spring and the Future of U.S. Diplomacy" planned in Chris' honor by the University of California's Hastings College of the Law.Â 

We have received letters from thousands of people all over the world who were touched by his example.

His openness touched a chord in their hearts. He would have wanted to be remembered for that.

The opinions expressed in this commentary are those of Jan Stevens.

@highlight

Chris Stevens' father writes that his son knew the risks of his job

@highlight

He says the ambassador worked to build bridges between Americans and Libyans

@highlight

Father: Son would not have wanted to be seen as a victim nor to have his death politicized

@highlight

Stevens' family vows to continue his work in promoting peace, understanding