It's hard not to be nervous, standing outside the Ebola isolation wards.

The wards are a cluster of unassuming white tents in the middle of a large field, not far from the center of the city. Each is just big enough to hold around 10 cots. Two layers of zippers keep the outside from getting in, and more importantly here -- the opposite.

Nobody goes inside the tent without spending 15 minutes putting on isolation gear. The nurse handing over my garb calls it my "space suit."

I can't help but think that going into an Ebola isolation ward is a little bit like going to the moon.

In H.G. Wells' "The War of the Worlds," seemingly invincible invaders from Mars are laid low by Earth's microbes, for which they have no defense. With Ebola, we humans are the invaders. The sense of being an alien in the world of this virus is jarring.

Outside the tent, the air is sticky and has a distinctive smell of bleach. The bleach is in large plastic jugs; people use it liberally to wash their hands.

It mixes with the smell of smoke, wafting from an enormous pit in the ground, full of smoldering ashes. I am told everything that comes out of these wards is burned: the suits we're wearing, the sheets off the cots, even the human waste. Take no chances. Nothing kills better than fire. After the 2012 Ebola outbreak in Uganda finally ended, medical teams scorched the earth.

The patients inside the tent are infected with one of the most deadly pathogens in the world. Ebola has no treatment, no vaccine and no cure.

Ebola: What you need to know

There are at least five different strains of Ebola, and in past outbreaks, this virus -- the Zaire strain -- has killed as many as nine out of 10 people it infects. Men and women, young and old. Ebola does not discriminate.

I geared up with Tim Jagatic, a physician from Ontario. He wants to give me an idea of what it is like to walk in his boots. He is with Doctors Without Borders, and he has been here for three weeks, almost since the beginning of the outbreak. This trip is his first time seeing Ebola.

"No family at home," he told me, no one to dissuade him from coming here. He seemed a little surprised I even asked. In this line of work, having a family is a job liability.

Jagatic is a different kind of doctor. He doesn't just care for patients; he risks his own life to help save theirs.

Sometimes, neither patient nor doctor makes it. Since the beginning of this Ebola outbreak, 112 people have died in Guinea and 13 in neighboring Liberia; at least 17 have been health care workers, according to the Centers for Disease Control and Prevention and the World Health Organization.

Standing outside the tent, I silently remind myself of the science and the facts, to try and calm myself down. The virus does not spread through the air and doesn't live on surfaces for very long.

Keep your hands to yourself and stay vigilant, I remind my producer Danielle Dellorto and cameraman Neil Hallsworth. I'm reminding myself, too.

There is a habit I've had since I was a child. I bite my nails when I'm nervous. I stare at my cuticles now; they look dry and cracked. My skin appears broken. It's not just unsightly; it's a potential threat, a pathway for the virus to enter my body.

The day before, one of the doctors showed me a small cut on his hand. "They grounded me," he said. He was not allowed in the isolation areas, because that simple cut was too big a risk.

Gupta: Ebola a swift, effective and bloody killer

Before you go into the isolation ward, you stop in a separate tent to gear up. Jagatic and I are in one of these anterooms, dressed in scrubs and thick white rubber boots. We are already sweating, and we haven't even begun to put on the "moon" suits. It is 100 degrees outside.

First we slip on a pair of blue latex gloves, then a thick yellow impermeable suit. A mask goes on, then a white hood with another mask built into it. A pair of large clear goggles is wrapped around the hood and then a large white apron.

Finally, we slip on another pair of latex gloves. Not a single part of my skin is exposed. Jagatic triple-checks to make sure.

It has to be this way for these doctors and nurses who knowingly expose themselves to Ebola, dispensing medication, hanging IVs and using needles to draw blood, but you have to wonder what goes through the minds of the patients, seeing these rubber-clad aliens looming in front of them.

Imagine developing a fever, cough and muscle aches and then suddenly being isolated in a ward where your only visitors look like this.

The patients here are sick and scared. The doctors and nurses write their names in large black letters on the aprons, so they can seem slightly more human to the people for which they care.

It occurs to me that a mask, or two, shouldn't make a difference since this virus isn't airborne. I ask Jagatic, who reminds me that the average person subconsciously touches his or her face a few thousand times a day. The masks are reminders that nothing inside this ward is considered safe.

WHO: Ebola outbreak one of 'most challenging'

I am drenched in sweat, and I've only been in the outer tent for five minutes. I've experienced just a sliver of what goes into making rounds when your patients have Ebola. I wait here while Jagatic continues on, inside the quarantined space, to spend about an hour with his patients.

Before leaving the camp, I share all the latest Ebola figures with Jagatic, and we compare notes. Instead of the feared 90% death rate, in this outbreak it's running closer to 65%. Still terrible, no doubt, but also tangible evidence that Jagatic and his team are saving lives. Still soaked in sweat, he smiles weakly.

Truth is, even he gets a little nervous doing this sort of work. But he does it so the people outside these wards, people all over the world, will never know what it's like to be inside.

How to help

@highlight

Those in Ebola isolation wards must don isolation gear

@highlight

Doctors are risking their lives to help save their patients, Dr. Sanjay Gupta says

@highlight

More than 120 killed in outbreak in Guinea and Liberia; 17 are health care workers

@highlight

Patients in the wards are sick and scared, Gupta says