(CNN) -- The last time you flew, did you wonder what's really going on behind that closed cockpit door? Who's actually flying the plane? Is it a human being, or Capt. Autopilot?

Based on its record, America leads the commercial airline industry in safety. And for most passengers, that information alone provides all the confidence in the world.

But there will always be nervous fliers who need to know: Who are they trusting with their lives, human or machine?

"There are millions of people out there who are under the impression that the airplane is flying itself and the pilots are only there in case something goes wrong," says Patrick Smith, a 22-year veteran commercial pilot who blogs about airline issues.

This, says Smith, is the big lie.

It's true that airline computers and electronic control systems allow pilots to fly "hands off" beginning soon after takeoff, continuing through the flight route and -- in very rare cases -- all the way through touchdown.

But Smith says that doesn't mean the planes fly themselves.

One day, Smith was flying as a passenger when that false impression really hit him square in the face.

The airliner glided to a particularly smooth landing, and a "smart Alec" seated a few rows behind Smith shouted, "Nice job, autopilot!"

"Everybody around us started cackling," Smith said. "While it was funny, it was wrong. And I knew that he meant it. It was frustrating."

Even Capt. Chesley "Sully" Sullenberger enjoyed the backup of computer autopilot during his famous "miracle on the Hudson" emergency landing three years ago.

Sullenberger was in the pilot's seat when his Airbus A320 collided with a flock of geese and lost thrust 2,700 feet over Manhattan.

Computer-assisted flight systems were active, Sullenberger said, but there was no need for them.

"We never got to the extremes where [flight control computers] would have protected us" from pointing the plane's nose too high, or going too fast or too slow, he told CNN last week. "We didn't need any of it."

In fact, flight control computers actually hindered the landing, said Sullenberger, who's now a CBS News aviation and safety consultant. Flight software prevented him from keeping the plane's nose a little higher during the last four seconds before he ditched US Airways Flight 1549 in the icy Hudson River.

"So we hit harder than we would have, had we been able to keep the nose up," he said. "That was a little-known part of the software that no airline operators or pilots knew about."

Of course, most passengers never experience that kind of emergency. During a normal flight, there's no way to know when your pilots are using computer-programmed automatic flight systems.

Smith described what goes on behind the cockpit's closed door.

Hands-on flying hasn't disappeared, he said -- it's just different. For example, setting up and executing an automatic descent has changed.

"In the old days, you had your hand on the wheel and you pushed the nose down and adjusted the power accordingly," he said. "Now, you've got to hold a different set of buttons and dials and switches, but in the end, you're still doing the same thing -- you're still flying the plane."

"None of it is easy," he said. "In a lot of ways, it's more difficult because airplanes are so much more complex now."

Sure, there's a lot of "hands-off" time, but there are also many tasks that surround the management of the airplane and its computerized systems. "You're utilizing a different skill set."

Some fear that airliner pilots rely too much on autopilot technology, saying that such a reliance leads to lack of practice and infrequent use of manual piloting skills. Experts have suggested this may have been a factor in the mysterious Atlantic crash of Air France Flight 447 from Brazil to Paris, which killed 228 passengers and crew.

As technology becomes more and more sophisticated -- and trusted -- an expert at the Massachusetts Institute of Technology says commercial airliners could one day be piloted by remote control.

"We fly many unmanned air vehicles around the world today, mainly for military or small airplane applications," said R. John Hansman, a professor of aeronautics and astronautics, and head of the Division of Humans and Automation, at MIT. "At a technical level, there's no reason why we couldn't do that with a commercial airplane."

Far-fetched? Hansman isn't the only one in the airline community talking about this.

At an aeronautical conference last August, James Albaugh, a Boeing president and CEO, announced that a "pilotless airliner is going to come; it's just a question of when. You'll see it in freighters first, over water probably, landing very close to the shore," according to IEEE Spectrum magazine.

The idea won't be widely accepted until at least a couple of generations from now, said Hansman, who's also a licensed private pilot. But experts are already planning how it might work.

There are two basic academic models. In one, pilots would fly airliners by remote control from "cockpits" on the ground -- just as pilots currently fly Predator military drones over Afghanistan and along the U.S.-Mexican border.

"There's another model where you might have a flight attendant sufficiently trained," said Hansman, to act as a backup pilot on automated or remote-controlled airliners.

Yes, you read that right.

There's an idea out there to have backup pilots who also serve passengers peanuts and tomato juice.

"There are people who discuss that," Hansman said. "I don't know if that's particularly realistic."

Frustration is the word Smith uses to describe this kind of talk from "aerospace academics, researchers, professors, consultants and other smart people who often have a very limited grasp of the day-to-day operational realities of commercial flying."

That's not to sound arrogant, Smith said, "but it's a theoretical discussion for researchers and scientists, and it's not anything with any practical application at this point."

"It's wrong on so many levels that it's hard to get my arms around it and explain," he said with exasperation. "And for what? You'd still need human beings to operate these planes remotely. Thus, I'm not sure what the benefit of this would be in terms of cost."

Cost might actually be an argument against it. Building necessary infrastructure would cost hundreds of billions of dollars, Smith said.

It's like saying we should get rid of surgeons in the operating room because of advances in medical technology, he said.

"I think there's something about flying that brings out this remote-control fantasy in people," said Smith. "I don't exactly know where it comes from."

As MIT's Hansman explained it, pilotless airliners would simply be the end result of the current evolution of flight deck staffing.

Here's what he means: Improved technology has contributed to shrinking cockpit staff. According to Hansman, before the Boeing 757 began service in the 1980s, most large airliners had a standard flight deck staff of three. They were the pilot, co-pilot and a flight engineer who managed pressurization, heating, fuel and pneumatic systems. Then, Hansman said, "those systems became automated, and the standard flight deck crew went from three to two."

Going from two to one pilot would be a difficult threshold for the airline community to cross. Two onboard pilots allow for a safety net -- a redundancy, he said -- to ensure sound judgment calls and to protect against possible incapacitation of the pilot -- for example in case of sickness or an accident.

But going from two to zero is another thing altogether.

"It's not clear that anybody would want to ride on an airplane that doesn't have a crew on board," Hansman said.

Would Hansman? No.

"Not at this point," he said.

No matter how trustworthy the technology becomes, Hansman said remote-controlled airliners will never become reality without widespread public acceptance.

But he doesn't rule out that possibility.

"You have to remember, nobody thinks twice about getting onto an automated train, for example, at the airport."

This isn't all conjecture, though. To be sure, unmanned aircraft are coming soon to airspace near you.

In fact, it may not be long before you see remote-controlled drones flying over your neighborhood.

The Federal Aviation Administration plans to begin flight testing and writing rules aimed at integrating unmanned aircraft into the national airspace system as soon as 2015. Some of these might include flying drones with sophisticated cameras like the Draganflyer, which can be used for police search and rescue, or unmanned crop-dusters. By 2018, the nation's unmanned aircraft could number more than 15,500, according to industry projections.

Aerospace contractor Northrop Grumman is developing an unmanned combat jet the size of a fighter plane.

If successful, the X-47B would claim two firsts for an unmanned jet: in-flight fueling capability, and launch and landing aboard Navy aircraft carriers.

For Sullenberger -- perhaps the nation's most famous pilot -- the idea of remote-controlled airliners triggers a lot of critical questions.

He speculated about what might have happened to Flight 1549 after it collided with the geese if the plane had been controlled by a remote pilot.

"What if the geese damaged whatever forward viewing devices there were -- such as cameras or infrared or radar? What if the damage prevented the operator from seeing the river? Or seeing the plane's height above the river?" How would the operator be able to land the plane safely?

"On every airplane I've ever flown, I tend to use the technology to its full capabilities when it's appropriate," Sullenberger said. "But looking as far into the future as I can see, every airplane -- no matter how sophisticated -- really needs to be flown, and flown very well, by a human pilot."

@highlight

Autopilot myths confuse passengers about pilot control, expert says

@highlight

Veteran airline pilot: Planes don't fly themselves

@highlight

Capt. Chesley Sullenberger: Autopilot slightly hindered emergency Hudson River landing

@highlight

Aviation/human automation expert: Remote-control airliners may be 2 generations away