(CNN)The winter is surgery season.

People get into skiing accidents and need to replace knees, or they slip on ice and need to fix a hip, or they just want to get ready for bikini weather and schedule a nip here and an enlargement there.

Surgeons are particularly busy these days, but Dr. Jamal M. Bullocks, a surgeon from the Kelsey-Seybold Clinic in Houston, has advice if you do need surgery.

A successful surgery depends on a number of factors -- a few of them you can control.

Even minor surgery may pose some risk that has long-term implications. So, for those considering surgery, there are six habits you need to commit to right now to help your body heal.

Here's how Bullocks suggests you can improve your chances of recovering more quickly if you do go under the knife:

I shouldn't even have to tell you this. If you smoke, you know this habit can cause irreparable damage to your organs. It increases your chances for heart attack and stroke.

Smoking can significantly hamper the success of your procedure. While in surgery, the damage from smoking to your airway and lungs makes it more difficult to control your breathing while you are under anesthesia.

Additionally, because smoking damages your vascular system, it can bring on complications in wound healing that may lead to infection and wound breakdown.

If you smoke and have plans to go under the knife, talk to your physician about smoking-cessation programs and products and follow his or her advice.

Use this surgery as an opportunity to improve your overall health by quitting smoking.

Malnutrition and the effects of poor eating habits can negatively alter how your body reacts to surgery.

Malnutrition is a serious condition that can affect overall health and is a concern for many older adults since senior citizens are at particular risk.

Malnutrition can weaken your immune system, cause muscle weakness that can decrease cardiac and respiratory function and may negatively affect wound healing.

Talk to your physician about your eating habits, and if he or she determines you need help improving your diet, work with a registered dietitian before surgery.

Even if you eat a well-balanced diet, your diet may still be lacking in important vitamins and protein that promote healing after surgery.

Supplemental vitamins (such as vitamins A, E and C) and protein can promote acute wound healing -- and despite looking and feeling healthy, your body may need a boost.

Ask your physician to confirm that you are not deficient in any vitamins and to test your protein building capacity and work with him or her to determine an appropriate supplement regimen before surgery.

This is easier said than done.

Being overweight or obese raises your risk because many people with this condition have other risk factors such as cardiovascular disease, respiratory abnormalities, heart failure, hypertension, pulmonary embolism and deep vein thrombosis.

If you are overweight or obese and considering a nonurgent surgery, work with your physician to develop a weight-loss plan and try to attain a healthier weight.

It may help improve your overall condition as well as lower your surgery risk.

Diabetes, kidney disease and hypertension are just a few examples of chronic conditions that may increase the chances of complications during and after surgery.

It is important to be in the best possible condition before undergoing surgery.

If you have a chronic condition that is not well-controlled, work with your care team to help improve your outcomes before an elective surgery.

You've chosen your surgeon to guide you through this experience based on a lot of things. You did research on this procedure, and he or she came highly recommended. Such a surgeon may have special credentials or certifications that make you feel more confident.

You trusted your surgeon enough to start down the path of preparing for this surgery, so why won't you listen when we give you special instructions to follow beforehand?

Surgeons are like every other kind of doctor; they want to help patients improve their health, but they also want to minimize the risk of a condition worsening as a result of the surgery.

This is a team effort, and it is imperative you do your part to eliminate potential problems and help with a successful outcome.

Follow your surgeon's instructions before surgery -- and always ask questions if something is confusing or unclear.

@highlight

Even minor surgeries may pose some risk with long-term implications

@highlight

Dr. Jamal M. Bullocks suggests six habits to help you heal more quickly after surgery

@highlight

Among them are stopping smoking, controlling your weight, managing chronic conditions