(Wired) -- To look at an ancient globe is to look at the Earth as it was seen by the people of another time. It reflects their understanding of the continents and seas, and it captures political divisions that have long since shifted.

Even the typography and colors of a globe are indicative of the time and place of its origin, says Sylvia Sumira, a London-based conservator of ancient globes.

Often, it's a thing of remarkable craftsmanship and beauty. "If you go into a room and there's a globe, your attention is immediately drawn to it," Sumira said.

In her lavishly illustrated new book, Globes: 400 years of exploration, navigation, and power, Sumira traces the history and making of globes and showcases dozens of fine examples drawn largely from the collection of the British Library.

Contrary to the popular misconception that nobody knew the Earth was round before Columbus, the ancient Greeks described the making of globes (in verse, no less) in the third century B.C. The oldest surviving globe dates back to 150 A.D. But they really took off between about 1500 and 1900, and it's this period that's the focus of Globes.

Read more: 5 new record-breaking rides that will terrify you this Summer

There are records of globes being brought on ships during the age of exploration, but they probably weren't used for navigation, Sumira says.

For one thing, any globe that's small enough to be brought on board would have to be scaled down to the point of being useless for charting a course on the high seas.

"They're more a symbol of navigation than a tool for navigation," she said. In the book, she writes that in the 17th century, globes were sold as "handsome objects of status and prestige to a comfortable merchant class."

Not that ancient globes don't convey some useful information. Much of it is contained in the horizon ring that surrounds many of them. Concentric circles printed or engraved on the ring indicate the degrees of the compass, the months of the year, zodiac signs, and sometimes information about winds.

They can be used, for example, to determine the sunrise and sunset on a given day of the year, Sumira says. "Most of the globes were like little calculating machines."

Read more: Striking photos of the rooms where VIPs shape history

Several globes in the book come in pairs: one terrestrial, one celestial. "The constellations were very much used for navigational purposes," Sumira says, so being able to study pairs like this would have been very instructive for mariners in training.

The celestial globes sometimes look like someone let the animals out of the zoo: the stars that make up a constellation are overlaid on the figure that gives it its name â€” a lion for Leo, a big bear for Ursa Major and so on.

Getting your bearings with the celestial globes is a little tricky. It helps if you pretend you're God, looking down at the heavens from on high. The earth would be a dot inside the center of the globe. From this view, the constellations are mirror images of how they appear from Earth.

Among Sumira's favorites are the pocket globes. "They're just delightful little things," she said. The smallest is just 1.5 inches in diameter. Many come in a wood or leather case that opens up to reveal a terrestrial globe that can be taken out. The concave surface of the case often contains a matching celestial globe.

Read more from WIRED:

Why are LEGO sets expensive?

Absurd creature of the week: The half-ton giant freshwater stingray with a 15-Inch poison barb

Attention Hipsters: The Jurassic Park soundtrack is being released on vinyl

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Conservator Sylvia Sumira has traced the history of making globes

@highlight

Her book Globes: 400 years of exploration, navigation, and power showcases her favorites

@highlight

Globes are more of a symbol for navigation rather than a practical tool