Washington (CNN) -- Trailblazing White House journalist Helen Thomas has died at age 92 after a long illness, sources told CNN Saturday.

Thomas covered 10 presidents over nearly half a century, and became a legend in the industry.

She was a fixture at White House news conferences -- sitting front and center late in her career -- where she frequently exasperated government spokesmen with her pointed questions.

Thomas began covering the White House for United Press International when John F. Kennedy became president in 1961 and was a fixture there until her retirement in 2010.

She was considered the dean of the White House press corps because she was the longest-serving White House journalist.

Thomas will be buried in Detroit, and a memorial service is planned in Washington in October, according to her family.

President Barack Obama said that it was "not just the length of her tenure, but her fierce belief that our democracy works best when we ask tough questions and hold our leaders to account," that put her in high esteem.

In a written statement, Obama called Thomas a "true pioneer" and said she kept the presidents she covered -- including himself -- on their toes.

"Helen was just a living inspiration"

Her career, however, came to an end under a cloud of controversy.

Thomas, then working for the media conglomerate Hearst as a syndicated columnist, was blasted for comments she made regarding Jewish people.

In 2010, a YouTube video surfaced showing her saying that Israel should "get the hell out of Palestine," and that the Jewish people should go home to "Poland, Germany ... and America and everywhere else."

Thomas apologized for her remarks, writing, "They do not reflect my heartfelt belief that peace will come to the Middle East only when all parties recognize the need for mutual respect and tolerance. May that day come soon."

She announced her retirement one week later.

In 2012, Palestinian official Hanan Ashrawi presented Thomas with an award.

She was a mentor to young journalists

Helen Thomas: Fast Facts

Thomas, the daughter of Lebanese immigrants, was born in Winchester, Kentucky, on August 4, 1920. She was one of nine children. Thomas was raised in Detroit, where she attended Wayne State University and graduated with a bachelor's degree in 1942.

In October 1971, Thomas married Douglas Cornell; he died in 1982.

She wrote three books: "Front Row at the White House: My Life and Times" (1999); "Thanks for the Memories Mr. President: Wit and Wisdom from the Front Row at the White House" (2002); and "Watchdogs of Democracy? The Waning Washington Press Corps and How it Has Failed the Public" (2006).

Share your memories

In describing her job, Thomas once said, "I've never covered the president in any way other than that he is ultimately responsible."

Along the way, she broke some barriers by becoming the first female president of the prestigious White House Correspondents' Association and Washington's Gridiron Club.

"I hope there are many women following me right in this same spot," she said. Well into her 80s, she was a mentor to many young journalists.

Thomas left UPI in May 2000, when the wire service was sold to a company controlled by the Rev. Sun Myung Moon, the Korean founder and leader of the worldwide Unification Church.

Two months later, Hearst News Service hired her as a syndicated columnist, and she returned to the White House for fodder for her columns.

Former President Bill Clinton and his wife, former Secretary of State Hillary Clinton, recalled Thomas' "tough-minded dedication."

"Helen was a pioneering journalist who, while adding more than her share of cracks to the glass ceiling, never failed to bring intensity and tenacity to her White House beat," the Clintons said in a statement.

"... Her work was extraordinary because of her intelligence, her lively spirit and great sense of humor, and most importantly her commitment to the role of a strong press in a healthy democracy."

No question seemed off-limits

Colleagues remember her as a genuinely fearless woman who asked the toughest questions of presidents, no matter their party.

In January 2009, as President George Bush was preparing to leave office, Thomas aimed her editorial guns at him and his administration.

Among her criticisms: that before the September 11, 2001, terror attacks, administration officials ignored "significant early warnings of an imminent strike against the U.S."

Journalists remember Helen Thomas

In a commentary, she slammed Bush for what she considered his failings, including leading the country "into a senseless war against Iraq, a calamity still under way as he leaves office almost six years after the invasion."

She considered him "the worst president ever."

Thomas embraced the freedoms of a columnist with vigor.

"I censored myself for 50 years when I was a reporter," Thomas told an audience at the Massachusetts of Technology (MIT) in late 2002. "Now I wake up and ask myself, 'Who do I hate today?'"

One afternoon in October 2009, she targeted President Barack Obama's spokesman, Robert Gibbs, during the daily briefing.

Health care reform was being debated at the time, and Thomas asked Gibbs every day whether a public option would be part of the package.

In the back-and-forth that ensued, Thomas said that she already had reached a conclusion but could not get a straight answer from the presidential spokesman.

"Then why do you keep asking me?" Gibbs inquired.

"Because I want your conscience to bother you," Thomas replied.

The room broke into laughter as Gibbs turned red.

People we've lost in 2013

CNN's Chelsea J. Carter, John King, Wolf Blitzer and journalist Deb Krajnak contributed to this report.

@highlight

NEW: Thomas covered White House with "intensity and tenacity," Clintons say

@highlight

Thomas will be buried in Detroit

@highlight

She was a trailblazer on the White House press corps

@highlight

Her retirement in 2010 came amid controversy