(CNN)An unmanned NASA-contracted rocket exploded in midair early Tuesday evening, producing huge flames and loud booms along the eastern Virginia coast but no injuries or deaths.

Orbital Sciences Corp.'s Antares rocket and Cygnus cargo spacecraft had been set to launch at 6:22 p.m. ET from the Wallops Flight Facility along the Atlantic Ocean, carrying roughly 5,000 pounds of supplies and experiments to the International Space Station.

It exploded about six seconds after launch.

What was left of the spacecraft and rocket plummeted back to Earth, causing even more flames upon impact.

The rocket and spacecraft -- which together cost more than $200 million, according to Frank Culbertson, the general manager of Orbital's Advanced Programs Group -- are gone. And there's obvious damage beyond that, including to the launchpad, though the night skies made it hard to immediately gauge how much.

One thing officials do know is that rocket science is, in the words of NASA  Administrator Bill Gerstenmaier, "a really tough business."

"Tonight's events really show the difficulty that it takes for us to do this task of delivering cargo to the space station," he said.

What happened?

The Orbital rocket had been set to go up Monday, only to be scrubbed "because of a boat down range in the trajectory Antares would have flown had it lifted off," according to NASA. Coast Guard spokesman David Weydert said the boat that triggered the postponement was 40 miles offshore.

Tuesday, by contrast, seemed perfect. Just before liftoff, NASA reported "100% favorable" weather and "no technical concerns with the rocket or spacecraft being worked."

It seemed to be going perfectly when Ed Encina saw the launch brighten up the sky from his vantage point about 3 miles away.

"And then, all of a sudden, you see a big fireball," said Encina, a Baltimore Sun reporter.

Encina recalled a loud boom that caused "your feet (to) shake a little bit," as well as flames enveloping a roughly 100-yard area around the launchpad in a marshy area with brush.

CNN iReporter Dymetria Sellers, who watched from a drawbridge because the NASA visitors station was ful, recalled a "breathtakingly beautiful" sight when the rocket ascended, followed by mass confusion as flames lit up the early nighttime sky moments later.

"About 30 seconds later, we could hear and feel two booms reach us, and it was apparent the rocket had exploded," she said.

Did you witness the rocket explosion? Please share your images

Mark Kelly, a former NASA astronaut, said such a colossal fire was to be expected.

"It takes a lot of propellant to take a spacecraft of that size moving 25 times the speed of sound," Kelly told CNN, explaining how fast the rocket should have gone on its way to the space station. "So when it fails, it's usually pretty catastrophic."

Authorities said the safety parameters appear to have worked, and noted the lack of casualties.

"All we lost was hardware," Culbertson said. "That hardware, however, is very important."

Will rocket's 'catastrophic failure' set back the private space industry?

So what happened?

That's exactly what officials -- both from public agencies like NASA and private companies like Orbital -- hope to find out in the coming days and weeks.

"What we know so far is pretty much what everybody saw on the video," Culbertson said. "The ascent stopped, there was some, let's say disassembly, of the first stage, and then it fell to Earth. ... We don't really have any early indications of exactly what might have failed, and we need some time to look at that."

Orbital will lead the investigation, along with the Federal Aviation Administration, with NASA assisting.

Among other things, they'll try to collect and examine any debris that can be recovered, review data from the spacecraft before its destruction and look at videos around the launch time.

The main focus Tuesday night was safety.  Bill Wrobel, the Wallops Flight Facility director, said fire crews had set up a perimeter around the affected area. "We're just basically letting the fire burn out, but they are contained," he added.

Authorities expressed confidence that no people were directly affected by the explosion, but they could come across scattered remnants that are possibly floating in the water.

As to when Orbital will fly again from Wallops, the only site it's now permitted to launch from, Culbertson didn't specify a timetable beyond saying, "We will fly again as soon as we can safely."

Gerstenmaier offered a similar take: "We'll figure out what the failure is, we'll fix it, and we'll learn from it."

In the meantime, they'll have to rebound from the loss.

A third of the spacecraft's cargo was material for scientific investigations such as a Houston school's experiment on pea growth and a study on blood flow in space.

There also were basic supplies meant for the crew of the space station -- now orbiting more than 200 miles above Earth -- including more than 1,300 pounds of food.

But in the short term, no one is saying the space station's six-person crew will go hungry.

NASA won't directly restock them, having relied on private companies to do so since the end of its space shuttle program. That includes Virginia-based Orbital, which had its first of eight planned ISS launches in January out of the Wallops facility as part of its $1.9 billion contract with NASA.

Orbital becomes second private firm to send cargo to ISS

If Orbital can't resupply the space station, others can. On Wednesday, for instance, a Russian Soyuz resupply spacecraft  stocked with cargo and crew supplies is set to launch from Kazakhstan. SpaceX, another private company, plans its fifth mission in December, including more supplies and a laser instrument to measure pollution, dust and other aspects of the atmosphere, according to NASA.

Even if those missions somehow fail, the space station crew has enough on hand to last well into next year.

"The station is in great shape; the crew is in good shape," said Mike Suffredini, NASA's ISS manager.

iReport: Explosion as seen from Maryland's eastern shore

CNN's Chandler Friedman, Kevin Conlon, Jareen Imam and Dave Alsup contributed to this report.

@highlight

Explosion shows space travel "a really tough business," NASA official says

@highlight

Spacecraft, rocket alone cost over $200 million, Orbital Sciences exec says

@highlight

Space station crew is in good shape even without resupply, says official

@highlight

The spacecraft burst into flames seconds after liftoff; no injuries are reported