(CNN) -- There was a time when few travelers visited Colombia, when the country was synonymous with drug lords, when the only English you heard on the streets was spoken by American Marines.

That Colombia -- a country of conflict and cartels -- has largely disappeared, replaced by a rejuvenated capital of Bogota and a resilient culture that refuses to be bogged down by the dark days.

Premonitions and stereotypes should be swept aside before visiting this South American country of spectacular scenery. Today's Colombia is much more than the ugly Escobar legacy or its famed Andean coffee -- though a cup of cafÃ© will most certainly reach your hands during a trip.

5 luxury vacations in Chile

Here are some important things to keep in mind before visiting the country with the third-largest Spanish-speaking population in the world (about 46 million), after Mexico and Spain.

1. Medellin is the world's most innovative city, officially

Jutting out of a mountainside packed with russet cinder-block slums, the three black shards of Medellin's Espana Library stand out in a sea of shanties.

Completed in 2007, the Espana Library has become a calling card for the revitalized city, just one of the examples that led the Washington-based Urban Land Institute to name it the 2012 "Innovative City of the Year" in a competition co-sponsored by the Wall Street Journal and Citi.

Zipping up to connect the library and surrounding area to the city is the MetroCable, a novel approach to addressing poverty at the grass-roots level.

"Medellin is a city that works hard to tell the world of its capabilities and broadcast its impressive tourism opportunities," said Maria Claudia Lacouture, president of trade group Proexport Colombia.

2. Drug culture stereotypes are false and offensive

Drop your ideas of a coke-soaked land still lost in the days of the Escobar gang.

While residents of Medellin can recall growing up in a battlefield, where even trips to buy groceries meant dodging violence, Colombia is no gangster's paradise.

The coca leaf is still chewed in some rural communities, and coca leaf tea is stocked for tourists, but suggesting that Colombia hasn't moved on from its inglorious past is considered ignorant and rude.

Colombia has persevered, though unfortunately so has the drug war, migrating closer to its end market -- the U.S.-Mexico border.

7 luxury vacations in Mexico

3. Bogota must be seen from Monserrate

Every big city has a perfect vantage point from which to appreciate its immensity. For Bogota, that magic spot is Monserrate.

Perched on a mountain dominating the city, Monserrate is home to a church where pilgrims visit a shrine devoted to El Senor Caido (Fallen Lord).

From the summit, Bogota's vast gray and red concrete expanse absorbs the green valley that frames it; the sight puts the sprawling proportion of this megacity into perspective.

Monserrate can be reached via an aerial tramway, funicular or by climbing on foot.

4. Security has dramatically improved

Since controversial policies implemented in 2006 by former President Alvaro Uribe encouraged paramilitary groups to "demobilize" after their conflict with communist guerillas, Colombia's security situation has vastly improved.

The country's new image has led to a rise in tourism, with bus trips (albeit on select routes) now considered safe for foreigners.

It's common to see military personnel at checkpoints outside cities, but this is once again an improvement that represents the government's control of the country.

5. Real Colombians drink cafe tinto

Colombia is synonymous with coffee, so it's little surprise that the morning beverage is in such high demand that leagues of women walk Colombian cities serving it.

At first glance, these women may appear equipped to snuff out pests, but their mobile packs aren't meant for exterminating bugs, they're meant for pouring hot coffee.

A real Colombian, you'll inevitably be told, takes the stuff black, or cafe tinto.

Insider Guide: Best of Cancun

6. Salsatecas are best when hot and sweaty

What's Colombia without salsa? Not Colombia.

Beginners can take salsa classes to get familiar with the basic steps. Those who can't be bothered with formal lessons will find Colombians to be warm people, even warmer when dancing. Most will be happy to show you some introductory moves on the spot if you're charming enough.

7. Pueblitos are favored weekend destinations

Pueblitos, or small villages, dot the Colombian countryside, serving up a colonial past and antiquated charm not found in cities.

From almost every major Colombian urban hub, pueblitos can be accessed via road, making for easy weekend trips.

Outside Bogota, Guatavita is a small town near Guatavita Lake that offers idyllic views of casitas, the small houses that exemplify Colombia's countryside.

8. Nothing is more Colombian than aguardiente

If you're looking for a stiff drink, a $6 bottle of aguardiente is the most Colombian way to find it.

All departments (administrative regions) in Colombia have license to produce their own aguardiente, a 60%-alcohol spirit that means "fiery water."

There's no Colombian celebration without aguardiente.

Even more local? The unforgettable guayabo (Colombian slang for hangover) de aguardiente.

Insider Guide: Best of Mexico City

9. Colombian climates vary wildly

Colombia may straddle the equator, but that doesn't mean you should leave your gloves and sweater at home.

Bogota and Medellin are in tropical highlands and can get chilly at night -- especially Bogota, where heavy jackets and scarves are the norm year-round.

Visit the coast around Cartagena, however, and you'll be sweltering.

This climatic disparity is reflected in Colombia's cultural composition. Locals come in as many varieties as the weather; there's no one look for a Colombian.

10. Cali is Salsa City

The gravity-defying female assets of Cali's nightclubs thrust out to such fierce degree that they can't be overlooked -- the sultry salsa city is renowned for its talent-laden, sexually dynamic dance floors.

Those seeking a more subtle experience can start with a viejoteca, where there's more actual dancing, less physical drama and fewer crazy drinkers.

Gallery: Chamber of mirrors and salt waterfalls at Nemocon salt mine

@highlight

Sweep stereotypes aside: Colombia is much more than the Escobar gang legacy

@highlight

Safety policies implemented in 2006 have vastly improved the security situation

@highlight

The salsa city of Cali is renowned for high-energy dance clubs

@highlight

Pueblitos (small villages) dot the countryside and make for great getaways