(CNN) -- A funny thing happened to "Mad Men" on its way to its seventh season.

It became just another TV show.

The series about a 1960s ad agency that intersects with the American experience spent its sixth season wading through the shocks of 1968 -- the Tet Offensive, the assassinations of Martin Luther King Jr. and Robert F. Kennedy, the presidential race that culminated in the election of Richard Nixon.

What the late '60s really looked like

But reviewers found the season flat and disconnected compared to previous seasons, with New York magazine's Matt Zoller Seitz declaring it "sluggish and lumpy and unfocused" and Slate's Hanna Rosin describing it as "a strange season in that it seemed to throw up intriguing plot possibilities and then grow quickly bored with them."

Which is not to say that the show jumped the shark as viewers prepare for Season 7, the show's last, which begins Sunday on AMC.

It was still a very good TV show, still rewarded with Emmy nominations and cultural cachet. Viewers and reviewers still parsed its every symbol, from the elevators in protagonist Don Draper's apartment building to the T-shirt worn by his wife, Megan (Jessica Pare).

Viewers will want to know if some of the questions raised by Season 6 are answered. Will Don's marriage hold up? After an affair was discovered by his daughter Sally, can he repair the relationship with her?

Don (Jon Hamm) also ended the season on the outs with Sterling Cooper -- the agency at the heart of the show -- where he was creative director. Indeed, a lot of figures at Sterling Cooper are coping with uncertainty: Peggy Olson (Elisabeth Moss), who spent Season 6 away from -- and then rejoining -- the agency; Pete Campbell (Vincent Kartheiser), whose marriage hit the skids; and Roger Sterling (John Slattery), who keeps staring mortality in the face (and cracking jokes in its shadows). And then, of course, there's the mysterious Bob Benson (James Wolk), the eager salesman who turned out to be a pro at snowing his colleagues. How will he fare with that big General Motors account?

For all that, "Mad Men" just wasn't the phenomenon it was during its first four years, when the very title "Mad Men" became synonymous with the idea of "Kennedy-era America."

When "Mad Men" premiered in 2007, "there wasn't anything comparable in look," said style consultant and beauty expert Rachel Weingarten, whose book "Hello Gorgeous!" focuses in part on the "Mad Men" era. "Modern television and especially cable didn't have anything like it -- that stylized look, that way of speaking. Everyone felt sophisticated talking about it."

It didn't hurt that the show addressed issues, such as sexism and image-making, through the prism of an era that seemed even more distant than it was, adds Jerald Podair, a history professor at Wisconsin's Lawrence University.

The show quickly became a shorthand for a different kind of America -- one remembered for its hard-drinking men, subordinate women and cigarettes everywhere -- than the one we live in now. It was a different America than the one that existed in the late '60s, for that matter.

"For us, 1962 is much more of a foreign country than 1968, because 1968 is basically who we are now, and 1962 is who we were," Podair said.

Part of the language

Those early seasons of "Mad Men" managed to work themselves into the water-cooler conversation with surprising ease.

Any journalist looking to compare our muddled times with the tie-clipped, flouncy-skirted early '60s invoked "Mad Men." Handsome, inscrutable types were "Don Drapers," after Jon Hamm's lead character, an ad agency creative director; upscale, quietly desperate housewives were "Betty Drapers," after his eventual ex-wife, played by January Jones. Single career women? Meet Peggy Olson (Elisabeth Moss).

Banana Republic and Brooks Brothers introduced "Mad Men"-inspired fashion lines, the name "Betty" became popular again, and -- since imitation is the sincerest form of television, to borrow Fred Allen's old line -- the show's sleek era was suddenly all over the tube, featured on such programs as "Pan Am," "The Playboy Club" and "Magic City."

Dressing like 'Mad Men'

That period of "Mad Men" became part of the language.

"It's time to do away with workplace policies that belong in a 'Mad Men' episode," said President Obama in his 2014 State of the Union address, and nobody had to ask what he meant.

"It's rare that the name of the show becomes a shorthand for an era," said Podair, noting that "Mad Men" now represents the early '60s in the way that "Father Knows Best" or "Leave It to Beaver" represent the 1950s.

Where to find "Mad Men's" classic cocktails

Indeed, for a show that's never enjoyed the mammoth ratings of AMC stablemate "The Walking Dead," it's had an impact well beyond its audience. "Mad Men" averaged less than a million viewers per episode in its first season. It wasn't until the fourth season that it topped 2 million, and last season's ratings, for the show's sixth season, averaged about 2.5 million.

Compare that to "Walking Dead," which averaged 13.3 million for its most recent season -- and grabbed 15.7 million for its Season 4 finale. Even the broadcast networks would be thrilled with that.

"Mad Men" grabbed this attention despite criticism that it had oversimplified a complex era -- and that, in turn, today's news media was doing the same.

"From where I sit, claiming this exasperating show is even remotely representative of the times we lived through would be like trying to show 'Dynasty' on the History Channel!" exclaimed ad man and art director George Lois in a CNN opinion piece. " 'Mad Men' is nothing more than the fulfillment of every possible stereotype of the early 1960s bundled up nicely to convince consumers that the sort of morally repugnant behavior exhibited by its characters is glamorous and 'vintage.' "

But that doesn't surprise Weingarten. After all, she points out, TV tends to be aspirational.

"It isn't real life," she said. "It's very stylized."

Paving the way

"Mad Men" creator Matt Weiner has tried to make a similar point.

"I know this sounds like a joke," he told the Wrap last year, "but none of it is real."

At the least, all the talk helped "Mad Men" make the world safe for the rule of basic cable.

"For a long time it was just HBO," Kevin Rahm, who plays Draper's rival Ted Chaough, told CNN. "When this show came on the air on AMC, no one had heard of AMC other than (it being) American Movie Classics. I think the show led the way for Netflix having their own series, Amazon having their own series. I think it's paved that road."

Even if "Mad Men" has lost its place in the zeitgeist -- the Banana Republic partnership is gone and "Game of Thrones" is the talked-about show of the moment (for now, anyway) -- it still has a loyal audience.

AMC is counting on it. After the final season of "Breaking Bad" worked out so well by being split in two, the network announced the same practice would be put in place for "Mad Men." So Sunday's premiere introduces Season 7, Part 1.

As in the past, Weiner and AMC are asking for a cone of silence to be placed around advance discussion of the premiere. Not even the year can be revealed, though -- based on the publicity photographs showcasing miniskirts and sideburns -- it's probably 1969 or 1970, both of which would present opportunities for the show's characters to intersect thematically with such historical events as the moon landing, the Manson murders, Woodstock, the Kent State shootings and the Miracle Mets. (Well, it is mainly set in New York.)

Screenwriter Robert Towne of "Chinatown" fame was added to the writing staff, and Milton Glaser, the great graphic artist, was drafted to create this year's poster.

If representing the more recognizable late '60s -- with its mixed-up, shook-up, psychedelic world -- means the show is less exotic to us, so be it.

"It's a sign of the show's triumph and also its failure," said Podair. "When we remember the show, we're going to remember the 1962 portion and we're probably not going to remember the '67 and '68 portion because we've been there and we've done that."

Weiner just wants it to be good.

"I always feel pressure about entertaining the audience and keeping the show up to the level that we think it's at and not repeating ourselves," he told CNN.

But "Mad Men" being "Mad Men" -- and still having half a season to shoot -- he can't help thinking of the past, as well. It's one thing to wonder about the ebb and flow of the 1960s, another to re-create its world. As the show heads into the sunset, he has visions of the beginning.

"I have been thinking a little bit about sitting in a room, typing the title page and how this all happened," he said.

@highlight

"Mad Men's" seventh and final season begins Sunday

@highlight

Show has become shorthand for referring to the early '60s

@highlight

It helped dictate fashion, even made names popular

@highlight

Now it's just a TV show -- but still highly thought-of