Washington (CNN) -- A government official at the center of lavish spending at a Las Vegas conference claimed his Fifth Amendment rights against testifying at a congressional hearing Monday, while his former boss said she mourned her departure from public service over the controversy.

Jeff Neely, the General Services Administration official who organized the 2010 conference that cost $800,000, repeatedly refused to answer questions, saying more than five times: "I respectfully decline to answer any questions here today based on my Fifth Amendment constitutional privileges."

Rep. Darrell Issa, the Republican chairman of the House Oversight Committee, then excused Neely and proceeded with the hearing on what he described as an unacceptable waste of taxpayer money.

"We're here today to get answers to questions that should have been asked and answered a long, long, long time ago," Issa said in his opening remarks, adding that the controversy raised "serious questions in the minds of the American people about how government is using their tax dollars."

Issa also injected politics into his comments, saying the situation should raise questions in the minds of people about whether "government and its reach should be expanded," a common Republican criticism of Democrats.

The controversy involving a normally obscure federal agency has become politically toxic after reports and video clips of the lavish 2010 conference in Las Vegas were released. The revelation has prompted taxpayer indignation, embarrassed the administration and put a spotlight on wasteful spending by the GSA, which acts as a real estate agency for the federal government.

Particular questions raised by Issa included why it took 11 months for the results of an inspector general's investigation to become public, and why a former congressional aide to President Barack Obama remained in his top job at GSA when he likely knew of the wrongdoing -- or should have.

In later tough questioning of that official, GSA Chief of Staff Mike Robertson, Issa determined that a lawyer in the White House counsel's office knew of the ongoing investigation of the GSA in the middle of 2011, nine months before the earliest time acknowledged to date by the administration.

However, Robertson later issued a statement to clarify his testimony to the committee, saying: "I only mentioned in passing the existence of an IG (inspector general) investigation as I bumped into a White House staffer that I regularly worked with on GSA issues. This was in late May or June of 2011."

Committee members from both parties expressed outrage Monday over the GSA's excessive spending, contracting violations and other abuses cited by the inspector general's report.

Rep. Elijah Cummings of Maryland, the ranking Democrat on the panel, called the GSA behavior "indefensible and intolerable," taking aim at Neely, a Public Buildings Service regional commissioner for GSA who organized the Las Vegas conference.

"In one e-mail," Cummings began, "Mr. Neely invited personal friends to the conference, writing, and I quote -- and this is simply incredible -- quote: 'We'll get you guys a room near us, and we'll pick up the room tab. Could be a blast.' End of quote. He then went on and wrote this -- 'I know I'm bad, but as Deb and I often say, why not enjoy it while we have it and while we can. Ain't gonna last forever.' End of quote. Well, Mr. Neely it stops now."

In her opening statement, former GSA administrator Martha Johnson said she found a badly managed GSA when she took over in 2010 after more than two years of interim leadership.

She added that the Western Regions conference at the heart of the problem had become a "raucous, extravagant, arrogant, self-congratulatory event that ultimately belittled federal workers."

When she received a draft of the final inspector general's report outlining the abuses, Johnson said, she started thinking immediately she might have to resign.

Her final decision to step down came "three or four days" before the final report was released in March because she wanted to send a message to the American people that "this was unacceptable, it was appalling and not the norm," said Johnson, who had a long career in public service.

"I will mourn for the rest of my life the loss of my appointment," Johnson said of her resignation.

Johnson stepped down nearly two weeks ago as the Obama administration revealed details of the Western Regions convention at a Las Vegas casino.

Videos then surfaced of David Foley, a deputy commissioner of the Public Buildings Service, an arm of the GSA, appearing to mock congressional oversight. In it, he gave a talent show award to an employee whose video featured a rap about spending too much and joking about avoiding investigation.

Additional videos also came out, including one that seemed to make fun of President Barack Obama, as well as a fake red carpet ceremony with Neely, a deputy GSA commissioner, boasting that his goal was to make the Las Vegas conference he helped organize "over the top."

Details also emerged of an employee incentive program that violated limits on awards or gifts.

Johnson, Foley, Robertson and Neely were all witnesses at Monday's hearing, along with GSA Inspector General Brian Miller, who wrote the report on GSA spending that set off the public controversy.

Issa said Neely was the only witness who required a subpoena. Neely also was the only one who refused to answer questions under constitutional protections against self-incrimination.

Committee members took the witnesses to task over the violations of government regulations and policies cited by Miller's report.

In particular, conservative Republican members repeatedly listed the excesses -- more than $6,000 for commemorative coins for conference attendees, $75,000 for a team-building exercise to construct 24 bicycles then given to underprivileged children, the hiring of a mind reader as entertainment -- as well as bypassing a staff event planner to pay outsiders to prepare the conference and repeated "scouting visits" to Las Vegas by officials and family members.

"I want indictments," Rep. Trey Gowdy, R-South Carolina, said to Miller. "That's a great way to get people's attention. Not a memo, not a report. An indictment."

Working for the government "is a sacred trust, which you have blown," Gowdy said to the GSA officials. He lamented the culture of waste and extravagance, saying of the team-building exercise that "I hate that you robbed yourself of the satisfaction of knowing what it feels like yourself instead of spending somebody else's money to do it."

The hearing included several harsh exchanges, including when Issa questioned Robertson, a former staffer for Obama in the Senate, about when he first told anyone in the White House of the investigation of GSA.

In a long back-and-forth, Issa tried to narrow Roberton's responses to a specific date and person.

"I communicated to the appropriate people," Robertson initially answered, then acknowledged he spoke to the White House as part of his regular dealings.

Asked when he first told anyone at the White House about the investigation, Robertson eventually said it was within a few weeks after GSA officials were first notified by the inspector general of a problem in May 2011.

Issa then asked who he told, and Robertson twice said it was an unnamed person in the White House counsel's office before Issa insisted: "What's the name?"

Only then did Robertson answer the person was Kim Harris.

White House salary disclosures for 2011 list a Kimberley D. Harris as a deputy assistant to the president and deputy counsel to the president.

Previously, a senior administration official told CNN that the White House was notified by GSA about the final inspector general's report shortly before it was released last month, more than nine months after Robertson said he told Harris about the ongoing investigation.

Issa acknowledged that over-the-top GSA spending existed during the preceding Bush administration, though he disputes figures released by Obama officials that show a 102% increase from 2006 to 2008. However, information provided by his staff on Monday showed the increase from 2006 to 2008 approached that figure.

"Wasteful spending is a problem that transcends multiple administrations," he said, adding that it was up to the current administration to halt it now.

CNN's Stacey Samuel contributed to this report.

@highlight

Committee members express outrage over GSA actions

@highlight

A GSA official says he told a White House lawyer of the problem in May or June 2011

@highlight

The GSA chief who resigned over the controversy mourns her departure

@highlight

Republicans try to score political points at the House Oversight Committee hearing