(CNN) -- Tom and Sheila Byron are packed and ready to go.

They looked over their 50-item checklist no fewer than a dozen times. After planning for this journey to celebrate their 25th wedding anniversary for the better part of three years, they want to be prepared. It is, after all, the trip of a lifetime.

On Sunday, the retired couple from Marietta, Georgia, will set sail from Southampton, England, along with more than 1,300 other passengers on a cruise to mark the 100th anniversary of the sinking of the Titanic.

"I think it will be fascinating. I get chills just thinking about it," Sheila Byron says.

Perhaps that's with good reason.

The Titanic Memorial Cruise will follow the route the Titanic took, and is scheduled to be in the exact spot at the exact time the Titanic struck an iceberg close to midnight on April 14, 1912, sending it to the bottom of the Atlantic Ocean a little less than three hours later. More than 1,500 people lost their lives, and about 700 -- mostly women and children -- survived.

For Titanic enthusiasts like the Byrons, marking the tragedy where it happened is part of the appeal.

"There is a little bit of excitement and a little bit of trepidation to be on the ship outside at night with the chaplain conducting a Christian ceremony to honor the deceased that came from all walks of life," Tom Byron says.

"To be out there and know that 100 years ago, they were not doing what we will be doing; that they were wondering how much longer they had left to live ... it's overwhelming actually."

While not everyone would go to these lengths to mark a historic disaster, it's human nature to be interested.

"Some people may say the curiosity is ghoulish and macabre, but this is really just an ordinary reaction to extraordinary events," says Jerry Jacobs, a psychology professor and director of the Disaster Mental Health Institute at the University of South Dakota.

"It's a fairly universal interest that human beings have to try to see someone going through what we might experience ourselves," Jacobs says. It's why people slow down when they drive past an accident, he adds.

But it isn't just the tragic nature of the Titanic that captivates the Byrons. The mystique of a lost era also fascinates them.

The cruise, organized by a British travel agency and sailing on the liner MS Balmoral, will feature history lectures; a stop at Cobh, Ireland, the Titanic's last port of call; and a stop in Halifax, Nova Scotia, where many of the victims were buried.

"The dining rooms are going to follow the etiquette that was used during the Gilded Age. And on the night of the 14th a lot of people will be in period costumes," Sheila Byron says.

"The people on the ship represented a lifestyle that disappeared when the ship sank," Tom Byron says. "It was the end of the Gilded Age -- the Edwardian period where the rich people got off the ship, mostly, and the third class of people mostly perished."

Sheila Byron has been interested in the Titanic since she was a child. And she's far from the only one.

The facts surrounding the ill-fated maiden voyage permeate popular culture. The disaster has spawned countless books, television specials and movies -- perhaps none more famous than James Cameron's Oscar-winning film "Titanic," one of the highest-grossing movies of all time. To coincide with the anniversary the epic film is being re-released in 3-D in theaters on Friday.

In Belfast, Northern Ireland, where the White Star Line's most infamous ship was built, a new museum opened last month complete with interactive, hands-on exhibits, adding to a growing list of museums dedicated to the disaster, including one in Southampton, the point from which the ship set sail. And there are sister Titanic attractions in Branson, Missouri, and Pigeon Forge, Tennessee, catering to the fascination of American audiences.

What is it that makes the Titanic so intriguing and universal to so many people?

"I think it's the fact that it was called unsinkable; that no one thought this was going to happen. A lot of the people on the boat still didn't think it was going to happen when they were sitting in a lifeboat waiting to be rescued," Sheila Byron says.

Jacobs agrees. Heavy publicity as the ship was built helped cement the mythology.

"There was tremendous wealth and glamor on this 'unsinkable' ship," he says. "But you don't have to win the lottery to be happy, and you don't escape terrible things in life just because you are wealthy, and that's characterized in the fascination of the Titanic."

The Byrons know some people think they're crazy for what could be looked at as tempting fate.

"When you say you are going on a cruise, the first thing people ask is 'where'? And then I go, 'oh dear, here we go again,'" Sheila Byron says.

"A lot of them say 'Our prayers will be with you,' or 'Have a good time.' But not too many of them say they would do it."

The thought of disaster is there, Tom Byron says, but it's not dampening the couple's enthusiasm.

"It's one last look at my 50-item checklist that I've looked at for weeks and weeks and weeks," he says smiling. "It's all organized. It's time to go. Let's go."

CNN's Chris Welch sets sail April 10 from New York on a sister Titanic anniversary cruise. Check back next week for his account of the sailing.

@highlight

The 100th anniversary of the Titanic disaster is intensifying interest

@highlight

A Georgia couple has been planning to sail on a memorial cruise for several years

@highlight

The cruise will sail to the site in the Atlantic where the ship went down

@highlight

A disaster psychologist says public fascination with the tragedy is human nature