ATLANTA, Georgia (CNN) -- If the "personology" believers had their way, they'd want you to judge every book by its cover. Well, actually, they'd want you to judge every person by his or her facial features. Because practitioners of personology, which is a form of face reading, believe the features on our face tell, literally, the inside story of what kind of person we are.

The theory of reading personality traits in facial features dates back to Aristotle.

Nobody is more passionate about this facial fact-finding than the president of Face Language International, Naomi Tickle (her real name). Tickle has devoted her life to the study of personology, and she informs us in a lovely British accent that this is no fleeting New-Age fad.

"A judge in the 1920s developed the system that we use today," she says. "He initially came up with about 200 traits and then narrowed it down to 68 traits with 92 percent accuracy. It goes across all cultures, so no matter where you are in the world, if you see a certain feature in a face, it is going to mean exactly the same thing in terms of personality."

So what are there traits that Tickle is talking about?

Well, for example, she says "Somebody who has very close-set eyes is very good with detail. They don't like being interrupted, and they don't like people being late. They like people to be on time.

"The flip side of that," she adds, "is they can focus on things that aren't working till it becomes bigger than life.

A person with wide-set eyes is much more laid back, she continued. "They are the multi-task people. They're the ones that say, 'Oh I can do this and I can do that and I can do that as well,' and because of this behavior, they have a tendency to run late."

What? You're skeptical?

Well, let's face it: It's hard for some of us to believe that our idiosyncrasies could be governed by the shape of our head or the placement of our eyes.

But the theory goes back much further than the 1920s. In fact, it dates back to Aristotle, who wrote a treatise on physiognomy, or the idea that one's temperament can be discerned from his or her outward features.

This later morphed into an odder head-reading trend known as the criminal head bump indicator, or phrenology. But don't lump (ahem) these items in with personology.

Tickle says her method goes by the numbers. "We actually measure the eye to determine the distance," she says. "We measure the width of the eye, and we measure the space between them to see which is the bigger of the two. And so if the eye is bigger than the space between the eyes, this person is very tolerant and very good with details."  Health for Her: Watch more on the theory of personology. »

She asserts that "thousands and thousands of people" report 100 percent accuracy on the personology analysis.

But personology doesn't just focus on the eyes; the entire face is open for interpretation. Take for example facial width. "The narrow-face individual builds their confidence through knowledge," Tickle says. "When they get into new situations, there is a lot of hesitancy. But once they know what they are doing, they are off and running, whereas the wide-faced person will be much more self-confident. They are comfortable just winging it."

And what about our noses, sitting there smack dab in the middle of our face. With noses, shape is the key, Tickle says. "You have to really look at that from the side profile. The Roman-shaped nose is a bossy nose. It likes to be in charge. They are also very aware of costs. How much it costs. 'Is it worth it? Can I get it for less?' Those are Roman nose-shaped questions. The ski-jump nose is a monetary carefree nose, one that likes to spend all their money without a care about saving for tomorrow."

Personology can be helpful in relationships, she says. For instance, if a Roman nose were to get involved with a ski-jump nose, the difference in the way each handles money might lead to a lot of conflict.

Finally, even your hair isn't immune to some character assassination. Texture is what the personologists look at. "We actually measure that with a micrometer," she says. "The finer the hair, the more sensitive the person is to taste, touch, smell and sound. If the noise is too loud, a finer-haired person will turn it down."

People with coarse hair, she says, ("most of your politicians," she notes) are thicker skinned.

There are many more traits that personology builds on to get a whole personality picture, but the real question is: What good is it? Tickle says that knowing these traits helps us understand ourselves and others. The more clues we have about the type of person we are, we can gauge what will make us happier in life, both in careers and in relationships. But maybe even more importantly, she believes, it allows us to understand and communicate with others.

Really? What's so hard about that? Especially if the answers are written all over your face. E-mail to a friend

@highlight

"Personology" is a form of face reading

@highlight

Practitioners believe facial features tell what kind of person we are

@highlight

Theory links specific traits, such as wide- or close-set eyes, to personality