(CNN)In November 2002, the world was captivated by the biggest archaeological discovery ever made relating to Jesus: a 2,000 year-old ossuary -- or bone box -- bearing the tantalizing inscription in Aramaic: "James, son of Joseph, brother of Jesus."

If it was true, this was the first physical evidence ever found of Jesus' existence. And yet, if this amazing ossuary was false, then it was one of the greatest forgeries in history.

Underlying the question of the authenticity of the ossuary is an even bigger theological problem: whether or not Jesus actually had any brothers. Though the debate's origins are ancient, the answer still divides Catholics and Protestants.

For Catholics, Mary, Joseph and Jesus are a family unit unto themselves. Yet Catholic theology also holds that Jesus was God's son, born of the virgin -- and that Mary did not give birth to other children, divine or otherwise.

'Finding Jesus': John the Baptist Q&A

So who are these "brothers" that the Gospel of Mark mentions?

The Rev. James Martin, author of the book "Jesus: A Pilgrimage," calls the relationship between James and Jesus "very complicated."

"He's called clearly the brother of the Lord, and the Greek uses the common word for brother," Martin says.

But Catholics also believe in Mary's perpetual virginity, so Martin surmises that James and the other brothers were Joseph's children from a prior marriage."It makes sense that Joseph would have been older and Mary was younger, so I see them in a sense as stepbrothers."

Other Catholic scholars see James and Jesus  as cousins, an idea that began in the fourth century, when St. Jerome, who translated the Hebrew Bible and the New Testament into Latin, argued the point against the theologian Helvedius, who said Mary and Joseph had other children.

'Finding Jesus': Shroud of Turin Q&A

Jerome countered that these children were instead born to Mary of Clopas, Jesus' aunt. Jerome used his linguistic facility to argue that "adelphios," the Greek word used for Jesus' brothers and sisters, could refer to cousins, as well as to siblings.

Protestants, however, see Jesus' family as free of ambiguity, with Mary and Joseph having several children. One of them is Jesus -- but the question then becomes, which one?

Ben Witherington III, professor of New Testament Interpretation at Asbury Theological Seminary, offers the Protestant view that Jesus and James were full brothers, with Jesus being the elder.

"The New Testament says nothing about Mary being a perpetual virgin, it says she virginally conceived Jesus, and it certainly implies that she went on to have more children after that, and his brothers and sisters are in fact his brothers and sisters," Witherington says.

Is Judas in hell?

Jesus is presented as the older brother who leaves the family and walks about in Galilee and Judea, has a ministry and leaves James and the other brothers and sisters in charge of the family, according to the scholar.

What's more contentious for some Protestants, is the fact that Jesus, as the eldest in the family, essentially forsook his obligation as next-in-line to head the family after Joseph died. Instead he followed his divine destiny, as ordained by his father in heaven.

5 things you didn't know about Jesus

That left James to fill the void. Whatever he was -- brother, step-brother or cousin -- we know that James became important in the early Christian church because of his relation to Jesus. Paul, the apostle who transformed the new religion from a local phenomenon into a movement throughout the Roman Empire, says as much in his letter to the Galatians:

"Then after three years I did go up to Jerusalem to visit Cephas and stayed with him 15 days;  but I did not see any other apostle except James the Lord's brother."

James and Peter and Paul were the prime movers of this new faith, with James the leader of the Jesus followers in Jerusalem until he was martyred in 64 CE, forgiving his killers with his last breath, just as his brother Jesus had done.

Given his importance to the early Christian Church, why wouldn't he be connected to his brother, or even stepbrother, on the burial box containing his bones?

Michael McKinley is co-author, with David Gibson, of "Finding Jesus: Faith. Fact. Forgery.: Six Holy Objects That Tell the Remarkable Story of the Gospels."

@highlight

The Rev. James Martin, a Catholic priest, calls the relationship between James and Jesus "very complicated."

@highlight

Ben Witherington III offers the Protestant view that Jesus and James were full brothers, with Jesus being the elder.