Phnom Penh, Cambodia (CNN) -- Health officials continued on Monday to investigate the causes behind the mysterious deaths of 64 children in Cambodia after saying they had made an important discovery over the weekend.

The Institut Pasteur in Cambodia tested samples taken from 24 patients and found 15 had tested positive for Enterovirus Type 71 -- a common cause of hand, foot and mouth disease that can also cause severe neurological complications, mainly in children.

"These results now give a good explanation to this outbreak," Dr. Philippe Buchy, head of the institute's virology unit, said in an e-mail over the weekend. "We will get more results hopefully by next Tuesday or Wednesday."

The World Health Organization also noted that a "significant proportion of the samples" had tested positive for EV71, but it cautioned that the outbreak had not been fully solved, and more analysis was needed.

Outbreaks of the enterovirus "occur periodically in the Asia-Pacific region," according to the Centers for Disease Control and Prevention. Brunei had its first major outbreak in 2006. China had an outbreak in 2008.

Though the detection of EV71 in Cambodia is significant, there may be other factors, said Dr. Beat Richner of Kantha Bopha hospitals.

Over the past three months, 66 children -- between 2 and 3 years old -- were admitted to Kantha Bopha facilities. All but two died mysteriously after suffering severe neurological and respiratory complications, Richner said.

In their last hours of their life, the children experienced a "total destruction of the alveola(e) in the lungs," Richner said. The patients also suffered from encephalitis, which is inflammation of the brain, he said.

"We have now to see what really is causing the deadly pulmonary complication and see if a toxic factor is playing a role too," he said.

Investigators probe mystery disease killing Cambodian children

The positive test for EV71 does not particularly help in the treatment of the illness, as there is no effective antiviral treatment for severe EV71 infections, and no vaccine is available.

The way the syndrome is attacking the children is "merciless," Dr. Sanjay Gupta, CNN's chief medical correspondent, said from Cambodia.

Gupta noted, though, that the disease did not appear to be "clustering," or spreading rapidly in particular geographic areas, reducing fears of a possible epidemic.

In milder cases, EV71 can cause coldlike symptoms, diarrhea and sores on the hands, feet and mouth, according to the journal Genetic Vaccines and Therapy.

But more severe cases can cause fluid to accumulate on the brain, resulting in polio-like paralysis and death.

Adults' well-developed immune systems usually can fend off the virus, but children are vulnerable to it, according to the CDC.

On Sunday, a World Health Organization (WHO) representative in Cambodia warned the new discovery "does not mean we have solved the problem of the undiagnosed cases. A lot more analysis is needed, and further laboratory investigations need to be done."

The WHO said that other pathogens had been detected in the investigations, including dengue and Streptococcus suis. It added that samples tested negative for H5N1 and other influenza viruses.

Tensions have arisen between the WHO and Kantha Bopha hospitals about the dissemination of information about the outbreak.

The international organization has provided a lower death toll than the hospitals, saying Sunday that 52 out of a total number of 59 children affected by the mysterious syndrome had died between April and early July.

In his statement Sunday, the hospital official Richner criticized the WHO for previously making statements to the news media "without being clear on the facts."

"WHO was telling whole the world: New mystery killer disease in Cambodia! This was causing unnecessary panic in Cambodia," Richter said.

Richner has said the number of cases affected by the mysterious disease is relatively low -- 34 cases in June, compared with the 75,000 sick children at Kantha Bopha's outpatient clinics and 16,000 hospitalized kids.

But Pieter van Maaren with the WHO in Cambodia rejected suggestions that his organization caused any kind of panic. He said Richner was the one who stated, in a letter to the government, that the situation in Cambodia was "most severe."

"WHO has not made any statement about the disease, other than what we issued in the joint press release with the Ministry of Health," van Maaren said.

The ministry reported the outbreak to WHO through the International Health Regulations, which 194 nations are parties to, van Maaren said.

"Since this event fitted the criteria of being an event where the underlying agent, disease or mode of transmission is not identified at the time, WHO is obliged to communicate information to other member states," he said.

EV71 was first isolated in California in 1969, according to the CDC.

Mystery illnesses: A mother's painful quest for answers

CNN's Tim Schwarz, Sara Sidner, Madison Park, Jethro Mullen and Josh Levs contributed to this report.

@highlight

Dr. Sanjay Gupta says the syndrome is "merciless" in the way it attacks

@highlight

Fifteen of the 24 patients screened have tested positive for Enterovirus Type 71

@highlight

But officials say further analysis is necessary to fully solve the outbreak

@highlight

At least 64 children have died mysteriously over the past three months