(CNN) -- Framed by the equator and Tropic of Cancer, the Philippines is one sunshiney place.

Some locals cope with the heat by hitting the sugary beaches.

Others turn air-conditioned malls into their second living room.

Then there are those who seek refuge in the upland barangays (villages), such as Bucari in Leon or Mantalongon in Dalaguete, where the elevation offsets the Philippines' equatorial warmth.

In its provincial boondocks, the Philippines has the ultimate paradox: the cool tropical town.

Lower temps, however, aren't the only things that make these towns cool.

1. Baguio

Inspired by the British Raj, American colonists built a sanatorium in the chilly heights of Benguet Province in 1903 for heat-oppressed, homesick soldiers.

By 1909, the place was transformed into an American town, Baguio, with the help of Flatiron Building architect Daniel Burnham.

For a few summers, the American governor-general would move the seat of government here from humid Manila.

At 5,200 feet above sea level, Baguio enjoys low temperatures -- in 1961 it dropped to a recorded low of 43 F (6.3 C).

Even though the governors-general are long gone, the city remains a summer capital and vacation favorite, packed to the precipice, especially during Holy Week.

Tourists eat peanut brittle and strawberries fresh from the nearby fields of La Trinidad.

Getting there: From Manila, an eight-hour bus ride is the standard way to reach Baguio (flights are rare, save for the odd charter). Buses leave from Manila's Caloocan, Cubao and Pasay residential areas.

2. Tagaytay

Tagaytay is to Manila what the Hamptons are to New York City.

Just more than an hour from Manila, this city hosts second homes of the capital's well off, who are drawn to the lower temps and authoritative views of Taal Volcano, the smallest active volcano in the world.

Imelda Marcos once invited Ronald and Nancy Reagan here to check out her "palace in the sky," a mansion roosting 2,300 feet above sea level.

Today, moneyed locals live out only slightly less Imelda-like retirements in the city's Swiss-style log homes.

Getting there: Tagaytay-bound buses travel along Manila's Taft Avenue near the MRT station or from the corner of Gil Puyat Avenue.

If driving, follow the South Luzon Expressway (SLEX) toward Tagaytay via the Santa Rosa or Carmona exits.

Or get on Mabini Superhighway after SLEX, exit to Tanauan and follow the Talisay-Tagaytay route.

3. Sagada

Episcopal missionaries resided in Sagada in the 1900s, where they were pleased to discover the climate was cool enough to grow lemons.

The locals still grow the lemons in their yards.

Jutting 5,300 feet above sea level, the so-called Philippine Shangri-La offers an ideal climate to grow a variety of fruit.

After dark, the town can turn wintry, reaching the low 50s F (10s C) in January and February.

Kape alamid (civet poop coffee), one of many local delicacies, is one way to warm up.

Travelers can see just how cool it gets by hopping into the teeth-chattering waters of Sumaguing Cave or climbing to the top of Kiltepan, a vantage point offering views over an ocean of clouds.

Getting there: Regular buses and jeepneys depart Baguio's Dangwa terminal for Sagada, a five-hour ride.

4. Don Salvador Benedicto

"Little Baguio" is used to describe pretty much any place in the Philippines with any coniferous vegetation whatsoever.

But the moniker fits Don Salvador Benedicto (DSB), a town 2,500 feet above sea level on Negros Island.

From the 60 F chill (16 C) to the pine-lined thoroughfares and random lion monuments, DSB is a micro-Baguio, sans crowds.

Fun experience for motorists: at Magnetic Hill along KM34 on SB13, the road's subtle incline creates the illusion of an invisible force tugging vehicles.

Getting there: From Bacolod, DSB is an hour trip by bus or van; it's a half-hour flight or a day's ferry ride from Manila.

5. Canlaon City

Canlaon City rivals Don Salvador Benedicto as Negros Island's summer capital.

At 2,600 feet above sea level at the foot of Canlaon Volcano, the city experiences a cool micro-climate warmed up by hot springs that dot the terrain.

Numerous waterfalls, including some that have carved natural slides down the mountains, are a great way to experience the city's refreshing feel.

It's colder on the Saddle in the Sky, the ridge dividing the volcano's two craters.

Midsummer nights are dreamlike at the gargantuan balete tree, located in the city's Japanese-run agricultural estates.

The famous tree, believed to be more than 1,300 years old, draws innumerable fireflies nightly.

Getting there: Scenic land routes lead to Canlaon City from Bacolod, Dumaguete and San Carlos.

6. Davao City

Encompassing 244,000 hectares, Davao City on the island of Mindanao takes in towering mountains and dramatic green landscapes, as opposed to the heaven-scraping high-rises and concrete jungles that dominate other large Philippine cities.

The durian capital of the Philippines, it's one of three cities that share Mount Apo, the highest peak in the country.

You can walk a tough trail all the way to the top of Apo (9,692 feet/2,954 meters), but the hot and the restless can make faster, less grueling ascents in districts like Toril, Marilog and Calinan, whose mountain resorts offer untainted air, pine-canopied trails and invigorating falls.

Getting there: There are direct flights to Davao City from Manila, as well as from regional points like Singapore.

7. Lantapan

Splayed on a high plateau, Bukidnon province is full of cool locales, such as the provincial capital Malaybalay (another "Little Baguio") and Dahilayan, a foggy barangay turned zipline resort.

The coldest of the cold is Lantapan, a breakaway district of Malaybalay on the slopes of the Kitanglad mountain range.

Lantapan is so cold that dew sometimes lingers as late as noon.

Spared by typhoons and seated on fertile earth at 4,000 feet above sea level, the cool climate has made Lantapan one of the Philippines' prolific vegetable baskets.

Mountaineers know Lantapan as the gateway to Dulang-Dulang, the country's second-highest point after Mount Apo.

Getting there: Buses ply the scenic highway between Cagayan de Oro and Malaybalay every day.

Jeepneys bound for Lantapan are stationed at the Malaybalay public market.

Manila-Cagayan de Oro flights run daily.

8. Marawi

In a predominantly Catholic, tropical country, Marawi is an oddity, as much for its largely Muslim populace as its climate.

Mosques and torogans (royal houses) dot the city.

On the island of Mindanao, the city's 2,600-foot-high elevation ensures temperatures regularly plummet to at least 57 F (14 C).

Marawi's reputation as a dangerous town has stunted its tourism potential.

The local university is a "zone of peace" -- at 1,000 hectares it's virtually a city within a city, complete with a hotel.

Getting there: Head to Iligan by bus or jeepney from Cagayan de Oro. Marawi is a jeepney ride away, along the Amai Pakpak Avenue from Iligan.

9. Banaue

Banaue is one of four towns in Ifugao province that make up the UNESCO-listed Rice Terraces of the Philippine Cordilleras.

While these stunning monuments of ancient engineering are widespread in Asia, those in Ifugao trump most in terms of altitude and steepness.

The highest ones tower around 4,900 feet above sea level.

The variety of rice grown here adapts to freezing temperatures.

Getting there: Overnight buses depart Manila for Banaue nightly.

10. Lake Sebu

With its flotilla of lilies and schools of tilapia fish, Lake Sebu on the island of Mindanao is full of postcard-caliber beauty.

Even better, the namesake town feels good on the skin, with temperatures seldom warmer than 77 F (25 C).

Sebu and two other lakes in the town empty down into seven waterfalls, two of which are connected by a high zipline.

Tourists can also settle for canoe rides with the T'boli, a tribe of weavers.

Weather-induced shivers are eased by their warm hospitality, if not the traditional cloth (t'nalak) that's sold around town.

Getting there: Fly or sail to General Santos City, then take a bus to Koronadal. Ride another bus to Surallah, where vans and jeepneys shuttle you to Lake Sebu.

11. Itbayat

Itbayat is the only low-altitude town on this list.

But what it lacks in altitude it makes up for in latitude.

As the northernmost town in the Philippines, and thus the furthest from the equator, Itbayat experiences four seasons instead of two.

It can out-winter Baguio between November and February, when temperatures crash to 44 F (7 C).

Itbayat looks more like an English moor than a tropical island town. (English seafarers settled the area in the 17th century and called it Orange Isle.)

Ivatans, the native inhabitants of this frontier town, brave the cold winds with thermal garments called vakul and kanayi.

Their houses are built with sturdy walls of coral bound by lime.

Getting there: Flights from Manila and Tuguegarao serve Basco, Itbayat's neighboring island, at least once a week.

A four-hour boat ride or 10-minute flight links Itbayat and Basco.

Al Gerard de la Cruz is a journalist who has written for The New York Times and Doha Centre for Media Freedom, among many others. Read more about CNN's sponsorships policy

@highlight

Easy temps aren't the only things that make these 11 towns the coolest in the Philippines

@highlight

In Sagada the climate is cool enough to grow lemons

@highlight

Towns at a higher altitude, such Baguio and Canlaon City, are popular summer escapes