(CNN) -- Six kids, one RV, 10 weeks and dozens of U.S. states.

A group of orphans from Afghanistan has embarked on a journey from Massachusetts to California and places in between, seeing more of the United States than many Americans see in a lifetime.

The road trip, which kicked off in January, is about "the kids getting an education in the landscape and history of America," says Ian Pounds, an American who's both their driver while in the U.S. and a volunteer at their orphanage in Kabul, the Afghan capital.

The four girls and two boys between the ages of 11 and 18 have seen the Boston Science Museum and Aquarium, the Lincoln Memorial in Washington, and the Liberty Bell in Philadelphia. Destinations down the road include Mardi Gras in New Orleans, Native American storytellers in the Southwest, and nature hikes near San Francisco, before heading to New York City and back home to Afghanistan in March.

The youngest traveler is 11-year-old Shokofa, who also goes by Frishta. She wears a fuzzy pink hat and scarf, loves pizza, and plays the trumpet. The boys, Araj and Mohsen, are 13 and 12, inseparable. Mohsen dreams about being a filmmaker. The older girls -- Hala, Maria and Lida -- are 16, 17, and 18, respectively.

"It's amazing," Maria says of her American experience so far. "I like very much here. I learned more things and (have had) many experiences."

The kids are among an estimated 2 million orphans in Afghanistan. They are in the care of orphanages run by the Afghan Child Education and Care Organization and were chosen for this trip because of their grades and academic achievements. The tour, funded by grants from the U.S. Embassy's Afghan Women Empowerment program and Goldman Sachs, is also helping to raise money for the orphanages and building relationships between the two countries.

Pounds moved from the U.S. to Kabul to volunteer in the orphanage three years ago. He says the experience has changed his life, and he hopes the same type of travel experience can influence the children.

"It was important to me to climb up into the mountains near Nuristan and see the village where many of the children come from," he says. "It's equally important for them to come and discover America, where their teacher comes from, to immerse themselves, to develop a worldliness, poise, communication skills -- everything a teacher values in education."

The RV -- or "Magic Freedom bus," as they call it -- has everything they need for the road trip: plenty of beds, bathroom, kitchenette, refrigerator, stove, oven and microwave. And it's hard to miss the big bottle of ketchup on the counter.

Outside the front passenger door, a sign reads "Afghan Orphanage Children's Tour of America" with a photo of the children. That's spurred many impromptu meetings and kindness from strangers.

"So many people have stopped us, to say hi and to meet the kids," says Pounds.

And when someone at the Boston rental company found out what the RV was for, Pounds says, she gave the group a discount despite the almost 10,000 miles they expect to put on the vehicle.

Pounds is chronicling the experience in blog posts at the AFCECO orphanage site. "There's laughter at every turn as these children grow by leaps, and deeply affect the people they meet," Pounds wrote after one day.

The children all have similar stories full of heartache: parents dead from war or illness, or parents no longer able to take care of them because of drug addiciton, extreme poverty or other reasons. But sitting together inside the RV, the children reveal no bitterness or despair, only a determination to succeed.

"We are the future of Afghanistan," says Maria, who wants to be an engineer one day.

"We want to stay in Afghanistan and help our country," says Hala, who wants to be a doctor. Lida aims to teach.

Also traveling with the kids is Nasrin Sultani, a teacher from the orphanage. She worries about the violence the children have witnessed and continue to see. "We have troops from all over the world and still no security," she says. "Afghans, especially the women, don't feel safe." Her biggest wish: "feeling safe, and women having the same rights as men."

Pounds says one of the best "sights" so far for the children has been witnessing women's equality in action. "I think most notable is the freedom of girls and women to be in a position ... to be equal to men. That's very outstanding to them."

The older girls say their sources of inspiration are not pop stars but rather the late Pakistani Prime Minister Benazir Bhutto and Myanmar democracy advocate Aung San Suu Kyi.

So the journey continues, until their flight back to Kabul in March, just in time for Afghanistan's New Year celebrations, called "Noruz."

"I hope by seeing America, these children work even harder for peace and stability in our own country," says Nasrin.

And as they learn about all things American, they hope Americans come away with a deeper understanding of their world.

@highlight

A group of kids from an Afghanistan orphanage have begun a U.S. road trip

@highlight

The 10-week visit to the U.S. is part fund-raising, part awareness building

@highlight

Their teacher hopes it helps the children work harder for peace in their own country