There are 34 years of reasons to be skeptical about any negotiations that may emerge from Friday's historic phone call between President Obama and Iranian President Hassan Rouhani.  There are scores of broken promises and outright lies about Iran's nuclear program itself.  There is Iran's state sponsorship of terror and its efforts to extend its influence across the Middle East at the expense of peace, human dignity and America's allies.

But there are no reasons not to be appreciative of the significance of the call, the courage it took for President Obama to seek it, or the good common sense that is to be associated with the United States talking to its enemies.

Earlier this week, a flurry of speculation surrounded a possible meeting between Obama and Rouhani on the edges of the U.N. General Assembly meeting in New York.  During a session with U.S. media that I attended, Rouhani said a handshake between the two leaders did not take place because the Iranians did not want the gesture without a plan for following up on it.

He said the White House had proposed the meeting but Iran declined simply because there was not enough time to prepare such a plan, and added that he welcomed better communication with the United States. Frankly, I was skeptical.

But then, after two days of exchanges, the two countries hammered out a preliminary plan.  With that in place, the historic exchange, the first by leaders of the two countries since 1979, took place.  Both agreed to instruct representatives to begin negotiations toward an agreement regarding Iran's nuclear program.  The United States seeks to ensure the program does not lead to Iran's development of nuclear weapons.  Iran, according to Rouhani, seeks to have the ability to pursue the peaceful use of nuclear power and nothing more.

There have been negotiations in other forums in the past. Officials here and abroad have long asserted that Iran has been trying to move closer to the capability to develop nuclear weapons, despite years of passionate denials by its leaders. President Obama has said he would use whatever means necessary to stop Iran from acquiring nuclear weapons.

America's closest ally in the region, Israel, has declared Iran's pursuit of such weapons an existential threat.  Iran's neighbors in the Gulf have watched its programs warily and offered telling indications that a nuclear Iran would trigger a nuclear arms race in the region.

President Obama came into office citing this as a top national security concern.  Even as other U.S. policy initiatives in the region have met with mixed success, he and his team stepped up a sanctions program that squeezed the Iranian economy hard, contributing to a national economic crisis in that country. It was one of the things President Rouhani was elected to help fix.  (Of course, the choice of who could run in that election and what he could then do once in office was ultimately determined by that country's ruling clerics, most notably, Supreme Leader Ayatollah Ali Khamenei.)

Whether there was a benefit to be had from direct contact between Iran's president and America's  was raised as early as the 2008 presidential campaign.  Strong voices in both U.S. political parties counseled against such exchanges.  Obama argued as president-elect that there was merit to more rather than less interaction, telling ABC's George Stephanopoulos  in January 2009, "We are going to have to take a new approach (regarding Iran). And I've outlined my belief that engagement is the place to start."

Since then, having overseen America's withdrawal from Iraq, having set a date for withdrawal from Afghanistan, and having appeared hesitant to aggressively engage in crises from Egypt to Syria, Obama has found himself using "engagement" in a different, more defensive sense.

Critics, including myself, have argued he appears to be leaning away from the region and its myriad, complex problems.  This week at the United Nations he said, "The danger for the world is that the United States, after a decade of war, rightly concerned about issues back home, and aware of the hostility that our engagement in the region has engendered throughout the Muslim world, may disengage.  I believe that would be a mistake."

Now, it seems, at a time when the president has seen his foreign policy approval numbers hit new lows, he has reverted to his old idea of actively speaking to our enemies as the best way to prove he is not turning away from the region.  He has collaborated with circumstances to choose this option in Syria--and Iran.

It is risky.  Both situations defy easy solution.  The Iranians have changed their tone but must go a long way to prove they are changing their intent, embracing transparency and adhering to international standards.   Even if they do, if they continue to support terrorist groups like Hezbollah they will be at loggerheads with the United States.

But as Winston Churchill said, "To jaw-jaw is always better than to war-war." If talks come with the skepticism they deserve--and a tough timeline that doesn't let Iran use them as a stalling tactic to further develop weapons programs--they are a risk well worth taking.   And they may just demonstrate that the best adviser of the new Obama is the old Obama.

@highlight

David Rothkopf: Call with Iran's Rouhani historic, significant, and courageous for Obama

@highlight

He says fears that Iran has pursued nuclear weapons have led to crippling sanctions

@highlight

He says in 2009 Obama said he wanted engagement with Iran, then appeared to lean away

@highlight

Rothkopf: Churchill said "jaw-jaw" better than "war-war." Obama seems ready to risk it