New York (CNN) -- He came to London as a young man who loved the Western lifestyle, wanted to make money and have fun. "American style," smiled Abu Hamza al-Masri as he began his testimony Wednesday in his federal trial on terrorism charges.

The 56-year-old Egyptian-born al-Masri worked as a bouncer and strip-club manager before bits of Islamic teachings from friends began to penetrate his mind, he testified. The hypocrisy of his lifestyle hit him like a slap in the face.

Al-Masri would go on to become the high-profile imam of a London mosque and allegedly inspired several notorious terrorists with his sermons, including failed shoe bomber Richard Reid and 9/11 hijacker Mohammed Atta.

Al-Masri testified he hasn't spoken before a crowd since his 2004 arrest and said a decade in solitary confinement has eroded his memory and grasp of language. The trial has been reinvigorating, said al-Masri, and the preacher drew laughter from the courtroom Wednesday afternoon as he used examples of marital spats to illustrate the practical application of Islamic truth.

Al-Masri will continue his testimony Thursday morning. Attorneys for al-Masri have said he may be their only witness.

The British cleric pleaded not guilty to 11 counts of terrorism-related charges in 2012. He was extradited to the United States after a lengthy legal battle.

The charges against al-Masri involve supporting efforts to establish an Islamic jihad training camp in rural Oregon, sending a young recruit from London to fight alongside al Qaeda on the front lines in Afghanistan, and aiding kidnappers in Yemen with the 1998 abduction of a tour group.

"He was a trainer, a terrorist, and he used the cover of religion so he could hide in plain sight in London," said Assistant U.S. Attorney Edward Kim in his opening statement.

Weapons and gas masks were found at al-Masri's London mosque, the prosecutor said: "Tools of war stockpiled in a place of worship."

The government's three-week case has been an effort to connect the dots between al-Masri and events thousands of miles away from hi, through key witnesses who often had never met the defendant and are testifying as government informants in deals with the prosecution.

Defense lawyer Joshua Dratel told the jury in his opening statement that no evidence links the cleric to the alleged crimes -- "not in Yemen, not in Oregon, not in Afghanistan."

Dratel said his client "never gave directions or orders to people" and served merely as a "commenter on events and issues" when he lauded the late al Qaeda leader Osama bin Laden and celebrated the September 11, 2001, terrorist attacks.

"These are ideas, not acts," he said. "These are expressions, not crimes."

Prosecutors called their final witness Wednesday morning to testify about the 1998 kidnapping of 16 tourists in Yemen.

Mary Quin traveled with the tour group on the morning of December 28, 1998, when a large group of men in two pickup trucks blocked the road and abducted the travelers. Quin managed to flee after wrestling an AK 47 assault rifle from one of the captors, according to opening statements.

Quin testified that she decided to write a book about the ordeal and traveled to London to do research and conduct interviews for the project. She approached al-Masri outside his mosque one Friday morning in the fall of 2000, because he'd stated publicly that he knew the kidnappers, and he agreed to speak to her.

When she explained that she was one of the kidnapped tourists, the cleric leaned back in his desk chair and gazed at her, she said. Quin says he told her, "I'm surprised you would come here. Very surprised."

Al-Masri is alleged to have provided the kidnappers with a satellite phone to use in the incident. In a conversation she recorded at his London mosque, Quin asked if he had provided the phone. "Yeah, perhaps," al-Masri says on the recording, which was played for the jury.

In other excerpts of the recorded conversation played in the courtroom, al-Masri can be heard telling Quin that she and the other hostages were intended as ransom for prisoners held by the Yemeni government, possibly including al-Masri's own son and stepson.

The leader of the abductors was a "softhearted person," said al-Masri. While al-Masri would not confirm to Quin that he'd known about the kidnapping ahead of time, he did tell her that the perpetrators didn't expect the deadly shootout with government forces.

"We never thought it would be that bad," he said.

One of Quin's fellow travelers, Margaret Thompson, testified Tuesday about the harrowing kidnapping experience, saying the travelers were used as human shields during a gun battle between her captors and the Yemeni military that left four tourists dead. Thompson was shot in the leg, and walked with a significant limp as she took the stand.

A British telecommunications company employee, Paul Anthony Sykes, testified Tuesday that he sold a satellite phone to the defendant several months before the kidnapping.

Another pivotal witness against al-Masri was the Seattle man who conceived the idea for a pay-as-you-go jihad training camp on a large patch of barren land outside Bly, Oregon, in 1999. James Ujaama testified he pitched the idea for the camp to the defendant in a fax.

"It looks just like Afghanistan," Ujaama wrote to the prominent preacher, asking for trainers in both the physical and spiritual aspects of holy war to be sent from London so fighters could be readied for the Afghanistan front lines.

Ujaama testified that his note promised scores of eager recruits who'd already pledged their loyalty to the preacher, along with a hillside hiding place and personal security detail when he arrived at the camp. They were amassing stockpiles of weapons, and building living facilities and even a mosque, wrote Ujaama.

These were lies, he testified; there were no recruits or weapons, and the ranch's only living structures were two run-down trailers. "If he accepted it, I'd know I had a buy-in and I'd start building."

Al-Masri's presence was crucial to getting the cash flow started, Ujaama testified: "He'd be the star attraction."

Two men were allegedly sent by al-Masri to aid with the effort, carrying cash and training materials, but left once they realized Ujaama's promises were empty, according to testimony.

Ujaama later worked for al-Masri at his London mosque and ran the website of Supporters of Sharia, an organization the defendant headed, he testified. In 2000, the defendant ordered him to deliver a young man, Feroz Abbasi, to a front line commander in Afghanistan, he testified, along with envelopes of cash to a girls' school and widows of holy warriors. He instead abandoned Abbasi in a Pakistani guesthouse.

Ujaama admitted on the stand that his past is marred by a range of criminal endeavors, including selling stolen laptops and knock-off watches he picked up in New York City and passed off as expensive brand originals.

He spent approximately six years in prison for his role in the defendant's alleged endeavors and testified as part of a deal with the government that allowed for a significant reduction in jail time.

Another witness, Saajid Badat, testified to later seeing Abbasi at an Afghan training camp and gave jurors a glimpse into the world of recruits there; a world where bin Laden himself handed out awards for target shooting, and classmates included future 9/11 hijackers.

Badat, who reached a deal for leniency with British prosecutors in exchange for his testimony, took the stand via closed circuit television from London because of his steadfast refusal to risk traveling to the United States, where he faces additional charges.

The charges against Badat both in the United Kingdom and the United States center on his plan to join Richard Reid in a suicide mission to take down commercial airliners with shoe bombs. Badat testified he backed out of the mission after reconnecting with his family.

The prosecution also called terrorism expert Evan F. Kohlmann to introduce jurors to the key figures of al Qaeda and the Taliban regime, and to testify about the crucial role non-al Qaeda members like al-Masri play for the organization, providing financial support and spreading its message.

Al-Masri cuts an unusual figure in the courtroom; missing one eye and both hands, he wears an occasional writing prosthesis on his right forearm rather than the infamous hook-like device he's often seen sporting in photographs. Opting for comfort, he asked his attorneys for sweat pants and T-shirts for the proceedings, rather than a suit.

He could face life in prison if convicted.

@highlight

Cleric Abu Hamza al-Masri tells court he went to London for "American style" fun

@highlight

He is on trial in federal court on terrorism-related charges

@highlight

Al-Masri backed a plan to establish terrorist training camp in Oregon, prosecutors say

@highlight

Al-Masri's lawyer said his client "never gave directions or orders to people"