Washington (CNN) -- The ski-masked creator of the satirical Twittter account @BPGlobalPR provided the comic highlight of the TEDx OilSpill conference on Monday, prancing around the stage and reeling off one fake BP company slogan after another.

A New Orleans, Louisiana, environmental activist provided one of the saddest moments when she recalled losing the most important person in her life at  17 when her father was one of 91 men who died in an oil drilling accident off Thailand.

And a conservationist provided one of the most powerful moments when he drew a connection between government regulators failing to require safer drilling practices to decades of deregulation.

Carl Safina of the Blue Ocean Institute said, "The oil blowout, the bank bailout, mortgage crisis, all these things are absolutely symptoms of same issue ... we still need police to protect us from a few bad people ... for the last 30 years, we've had a culture of deregulation caused directly by people we need to be protected from buying the government out from under us."

He was called back on stage to take a bow.

TEDx conferences are independently organized events, licensed by TED, a nonprofit dedicated to the theme of "ideas worth spreading."

Watch TEDTalks on saving the oceans

Throughout the one-day session in Washington's Woolly Mammoth Theatre, the flip sides of the crisis were invoked:

What we can see -- stained beaches and boats, dizzying patterns of iridescent sheens on the Gulf's surface, birds drenched in petroleum, miles of boom, some of it hopelessly tangled or unable to prevent oil from drifting into vital marshland.

And what we mostly cannot see -- beneath the surface, huge quantities of oil and chemical dispersant that, speakers said, threaten to dramatically harm the undersea world.

Along with the news that the X Prize foundation would offer a multimillion dollar award for a solution to cleaning up the oil disaster, the speakers shared devastating portraits of the risks and damage as well as hope for the long-term survival of the Gulf.

Here are seven views of the crisis as described at the conference.

Casey DeMoss Roberts

Roberts, of the Gulf Restoration Network, sketched the ways in which the oil industry has become embedded in Gulf communities that once relied only on fishing for their livelihood. In one example she cited: The shrimp festival in Morgan City, Louisiana, was renamed the "Shrimp and Petroleum festival" in 1960.

She recalled her father's death in an offshore oil accident in Asia and contrasted the precautionary principle used in drug regulation, where products are tested for safety before they're marketed, to the oil industry, where she said safety precautions are too often instituted only after an accident.

Lisa Margonelli

Margonelli is the author of "Oil on the Brain: Petroleum's Long Strange Trip to Your Tank" and a fellow of the New America Foundation. She noted that oil spills tend to be "politically very galvanizing," with photos of oil-soaked birds drawing an emotional public response.

The 1969 Santa Barbara spill, which was a tiny fraction of the size of the BP leak, prompted the modern environmental movement, the Clean Water Act and Clean Air Act, and led to moratoriums on drilling on the East and West coasts.

Instead of cutting back on oil consumption, Americans just grew to rely on getting it from other places. Drilling in the Gulf, where there was no moratorium, helped pick up the slack, she said.

The U.S. has also "exported" its oil spills, she said, by encouraging oil development in places such as Nigeria, which has had thousands of spills in the past several decades. She added that the military and political costs of getting oil from the Middle East and other regions of the world still have to be paid for, though it hits people when they pay their taxes, not at the pump.

Ronald Atlas

Atlas, a microbiologist at the University of Louisville, said while the effects of the leaking oil are partly visible, "in tragic photos of pelicans, gut-wrenching pictures ... what we don't see is what's going on in the world of bacteria."

He said for hundreds of species of bacteria, oil is a food source, and these can contribute to degrading the oil, eventually turning it into inert substances that don't damage the environment. But he warned that the process will take years and years.

"What we discovered 40 years ago, you could speed up the process by adding fertilizer, and ... you could get the bacteria to grow faster."

That research was applied in Alaska, with the result that over a period of years, more of the oil was consumed, Atlas said. He said that by 2001, NOAA found that 99.6 percent of the oil had disappeared from Prince William Sound, 13 years after the Exxon Valdez disaster.

David Gallo

Gallo, an oceanographer at the Woods Hole Institution, has used submersibles and robotic vehicles to map the undersea world and is working with other experts and "Avatar" director James Cameron on ideas to stop the leak. He recalled his early days thinking about a career in studying the sea:

"I knew there were sharks and whales and French guys in Speedos swimming around, but I didn't know that most of the ocean hadn't been explored. The seas cover 70 percent of the Earth's surface to an average depth of two miles.

"We've only explored about 5 percent of the world beneath the sea. ... The floor of the ocean, that's a world that has the world's greatest mountain range, it's got thousands of valleys deeper than the Grand Canyon, underwater rivers, underwater lakes, and most importantly in a world where we thought there should be no life at all, there's more life in that world than in a tropical rainforest in terms of diversity and density. We don't how it works, especially a mile deep."

Sylvia Earle

Earle is an explorer who has led more than 50 expeditions, logging more than 6,000 hours underwater. She described her campaign, enabled by the 2009 TED Prize, to build awareness and support for creating "hope spots," protected areas in the oceans to preserve sea creatures.

She showed videos of whale sharks being tagged in the Gulf a week ago. She feared they could be affected by the spill because of their habit of feeding by skimming the surface of the water. Earle said she believes the toxic pollutants released into the Gulf will eventually be swept into the Gulf Stream, threatening the Sargasso Sea, a favorite feeding place for the whale shark.

"We need to embrace those places that remain within the Gulf system. We think about restitution for the fishermen, for the hotel owners, but we need to think about giving back to the Gulf of Mexico itself, which supports all this life. ... We are all sea creatures, the ocean is home for all of us."

Watch Sylvia Earle's TED Prize talk

Carl Safina

Safina, of the Blue Ocean Institute, got emotional when he told a story about a bottlenose dolphin splattering oil out its blowhole and seeming to seek help as it followed a fishing boat in the Gulf.

He pointed to deficiencies in the cleanup process, saying the use of chemicals to disperse the oil is a strategy to limit the visibility of the leak for public relations purposes, even though the dispersants may be toxic.

Booms won't stop the oil in open water; protecting birds' breeding sites is self-defeating since birds fly to other parts of the Gulf to swoop down and catch fish, and even cleaning birds can prove useless if they return to the oil-fouled waters, he said.

Ultimately, he said, it's "not a surprise that if you make 30,000 holes in the Gulf of Mexico, oil would start coming out of one of them."

"Leroy Stick"

Stick is the humorist behind @BPGlobalPR, which has more than 179,000 followers on Twitter. Not only did Stick keep his ski mask on to keep his identity a secret, but he even posed for a time on stage as another fake character, "Terry."

"Terry" is a BP public relations official who said "we're sorry, we're not accepting blame for whatever it is you're mad at us for."

He said he wanted to focus on the positive, not the negative, and introduced BP's Atlantis Rig, which at 7,000 feet is deeper than the Deepwater Horizon rig was.

"Is it safe? We didn't ask engineers," but showed a fake text message asking federal officials for permission to drill it. The phony reply, also a text message: "Whatever."

"If I took off this mask, you would be incredibly underwhelmed, I'm just a guy that had an idea and I ran with it. I realized I had a tool to engage people thru humor."

Then he got serious: "If you think the status quo is unacceptable, then don't accept it. Shake things up."

@highlight

One-day TEDx OilSpill conference in Washington provided many perspectives on oil crisis

@highlight

Experts say much is still unknown about effects of oil, dispersant underwater

@highlight

Gulf activist describes father's death in Asian oil drilling accident

@highlight

Creator of fake BP public relations Twitter account performs wearing a mask