(CNN)President Barack Obama tied himself to the mast of a nuclear deal with Iran even before he became the Democratic candidate for president. Reaching a good, solid agreement with Iran is a worthy, desirable goal. But the process has unfolded under the destructive influence of political considerations, weakening America's hand and strengthening Iran.

Obama's political standing and his historic legacy in foreign policy are so deeply intertwined with reaching an accord with Iran that if the deal ultimately collapses, he may fear that historians will conclude that his legacy in global affairs collapsed with it.

There is a reason one gets the feeling that it is the United States and not Iran that is the more eager, even desperate, side in these talks, even though Iran is the country whose economy was sent into a deep chill by international sanctions; the country whose only significant export, oil, lost more than half of its value in recent months. The reason is that Obama has a huge political stake in these negotiations.

The President may insist that the United States will choose no deal over a bad deal, but few people truly believe he has a credible Plan B. Few believe it, particularly in the Middle East and notably among America's Arab friends, who hold the view that Iran is running circles around the United States and outplayed Obama.

As the writer David Rothkopf aptly put it, "Iran is having a great Obama administration."

That's a belief that has already started shaking up the region. Saudi Arabia has said that it will pursue nuclear weapons if it believes Iran has not been stopped, and there is little doubt that other countries among Iran's Muslim rivals will do the same. In fact, the notion that Obama is not handling the Iranian threat effectively is contributing to a new war in Yemen, where Saudi Arabia and other Arabs are trying to push back against gains by Iran's allies.

We can trace it all back to the Democratic primaries in 2007, when then-Sen. Obama said he would meet Iran's leaders "without preconditions," leading his rival, Hillary Clinton, to call the idea "Irresponsible and frankly naive." As the years of his presidency unfolded, and the Middle East started coming apart, finding a deal with Iran started to look like the one major foreign policy achievement Obama might leave behind.

The political imperative started to intrude in strategic considerations on an issue that is of transcendent importance to world peace.

The framework agreement announced on Thursday came two days after Obama's March 31 deadline. The U.S.-imposed deadline served only to pressure the United States, and the French ambassador very publicly decried as a "bad tactic."

That bad tactic was a political move, a push to produce some sort of result, however vague, to protect the talks from critics.

Again, a solid agreement that ensures Iran will not produce nuclear weapons would be a most welcome development. But the agreement so far does not look promising. It certainly shows the final outcome will differ greatly from what Obama had vowed.

In a presidential debate in 2012, Obama described a crystal clear goal for negotiations. "The deal we'll accept is they end their nuclear program. It's very straightforward."

Nobody is talking about Iran ending its nuclear program. Not even close.

Iran will be allowed to keep one-third of its more than 6,000 centrifuges. That's not a small symbolic number. And it does not appear as though any of its nuclear facilities will be dismantled, although Fordow will contain no nuclear materials.

Iran has insisted all along that its nuclear program has only civilian uses. The fact is that Iran has a well-established record of lying and concealing the elements of its nuclear program to U.N. inspectors. And the U.N. agency chief says that has not stopped.

A couple of weeks ago, with days left until the negotiating deadline, U.N. nuclear chief Yukiya Amano said Iran is still stonewalling. "We are still not in a position to conclude that all nuclear material in Iran is [for a] peaceful purpose," he warned.

The negotiations' starting point is that Iran would like to have the bomb and the international community wants to delay that as much as possible -- and preferably, forever.

The world only learned about Iran's secret facilities at Arak and Natanz after dissidents raised the alarm.

Iran, we have learned repeatedly, is very good at lying to international inspectors. It is well-established that it has had something to hide about its nuclear program. It is well-established that many of Iran's neighbors don't trust it and are anxious about the U.S.-led international dealings with Iran. It is well-established that Iran has engaged in international terrorism and in destabilizing the region.

It is also clear that it took harsh international sanctions and a collapse in oil prices to bring Iran to the negotiating table. It was Iran that had the most to lose from a failure of talks. But political considerations turned the United States into the supplicant.

The framework agreement starts lifting those indispensable sanctions much too soon. Nuclear enrichment will continue, although at a lower level. Iran officially, legally, becomes a nuclear threshold state, with the capability to make the final dash to a bomb within a "breakout" period of one year, the time when presumably inspectors would discover violation and allow the rest of the world to act.

Even the Fordow facility, conveniently inside a fortified bunker in a mountain, will remain in existence, though "converted" to a nuclear "research facility" And without nuclear material on site.

International sanctions lifting will begin almost immediately. Its nuclear infrastructure will remain largely in place, even if operating at a reduced pace, giving Iran much of what it wanted.

With Iranian forces gaining ground in Arab lands and Iranian commanders declaring the destruction of Israel "nonnegotiable" and threatening Saudi Arabia, this deal does not look reassuring.

Obama is right that a diplomatic solution is the most desirable option. But the deal so far looks like (another) win for Iran. It introduces enough restrictions that it could give the President the political cover he wants, but it does not do enough to make the world safe from nuclear proliferation and more potentially catastrophic instability in the Middle East.

@highlight

Frida Ghitis: President Barack Obama is right to want a deal, but this one gives Iran too much

@highlight

She says the framework agreement starts lifting Iran sanctions much too soon