MEXICO CITY, Mexico (CNN) -- A killer bug is spreading like wildfire.

Armed guards stand outside the Mexico City Respiratory Hospital to control the flow of people.

Streets of one of the world's biggest cities are eerily empty. Bars and restaurants have been shuttered for days.

The president goes on TV to tell workers to stay at home for their own safety.

Those who venture outside are clad in surgical masks. Once healthy people are suddenly falling sick and dying from a new disease, H1N1 swine flu.

The government swears the situation is under control. But down at the hospital, medics scurry around behind the glass door of an isolation ward. They're clad from head to toe in biohazard suits, goggles and two pairs of gloves.

At the airport, officials set up a barrage of thermal imaging machines. If the picture flashes up red or orange, would-be passengers are whisked off to medical facilities.  See where the virus has been confirmed »

It may sound like a sci-fi movie. It's not. Welcome to Mexico City.

It's a nightmare scenario and despite twice-a-day news conferences featuring Mexican Health Minister Jose Angel Cordova, people on the streets fear the virus may be out of control and that the real death toll may be greater than anyone is letting on.  Watch how the city has been shut down »

"The measures we're taking are working and are helping us to slow the spread of the virus. But the situation continues to be serious," Cordova said at a news conference this week.

Government orders to its citizens are clear: wash frequently, don't shake hands or kiss, and stay away from crowded places.

That's easier said than done.

The doors on the subway car snap open at Hidalgo station. Dozens more passengers clad in surgical masks stream on.

It's rush hour deep below the streets of downtown Mexico City.

The subway system is the veins of the capital, ferrying millions of people from all social classes to and from work. It's hot and humid down there and there's little fresh air. It's just the kind of crowded place that Mexican authorities say could be a prime breeding ground for swine flu.

"I'm pretty nervous of this whole virus thing," welder Frontino Valdez mumbled  through one of the masks.  Watch passengers packed onto trains trying to protect themselves »

Sitting one carriage down, Berta Hernandez, a product demonstrator, tries not to show her panic and applies eyeliner like any other morning. But today she has a problem, she has no intention of lifting her mask to paint on lip gloss.

"I'm nervous of those people who aren't wearing masks. Maybe they will suddenly sneeze or cough," she said. In these days of swine flu paranoia, just coughing, or worse sneezing, in the subway, or "metro" as they call it here, brings black looks from fellow passengers.

This has been a strange epidemic since the outset. So far, the Mexican government has been unable to pinpoint where or when this outbreak started.

Authorities admit there was an outbreak of influenza in a village in the Gulf Coast state of Veracruz in early April. But only one patient -- 5-year-old Edgar Hernandez -- was diagnosed as having swine flu.  Watch Dr. Sanjay Gupta ask the boy about his symptoms »

The international media have taken to calling him "Patient Zero." He made a full recovery.

So far there's no evidence a pig farm near his home reported any problems with its livestock. The family hasn't explained how little Edgar could have infected a capital city let alone the world.

The authorities haven't drawn up a genetic map of Edgar's illness nor compared it to the lethal strain that swept through Mexico City and other parts of the country.

Lethal it is. But getting to the truth of who has really died from the virus is tough.

Since midweek, the government abandoned its initial reporting and began to speak only of confirmed swine flu cases and confirmed deaths due to the H1N1 virus. Previously it had also tallied suspected cases and others under observation.

In practice, it is taking days for the government to get test results from autopsies and tests. By the time a case is confirmed the patient may be long buried.

One afternoon this week, at a cinder block home perched on a hillside in a poor northern neighborhood of Mexico City, a coffin was mounted on the living room table. A steady stream of neighbors filed in to pay their final tribute to a dead 24-year-old.

Biting back tears, a young man said his brother had died of "respiratory problems." When asked what kind of a person his brother was, he said simply: "He was an honest man. He never got in any trouble."

The man seemed to be feeling an underlying sense of shame. Suddenly there was a huge stigma attached to swine flu -- like in the early days of AIDS-related deaths -- and Mexican families were keen to dispel notions their loved ones had died of the mutant virus.

They didn't want the prying eyes of the media near their home. We wanted to tell their story, observe the wake and follow the funeral.

But death is a rite of passage. They had a right to mourn in private.

The following day came a tip-off that a 5-year-old girl, Maria Fernanda Garcia, had died. The modest side street outside her home in eastern Mexico City was swarming with police, health workers and civil protection officials.  Watch how armed guards were part of Maria Fernanda's funeral »

Little Maria Fernanda's father appeared briefly and told us we weren't welcome. He was curt when he told us his daughter had died from pneumonia.

A medic confirmed the specific cause of death was indeed pneumonia. But he added the hospital was still waiting for test results to confirm whether the underlying cause was swine flu. He conceded that process could take days.

But judging by the heavy security, local authorities certainly feared this was another case of the virus.

"These are the prevention measures we must take. This case is still not confirmed but we must take these steps to protect citizens," said Victor Luna, a member of the public security detail for this district of Mexico City.

A few minutes later, the hearse with Maria Fernanda's body pulled out of the housing complex where she lived. Her dad was clutching a Winnie Pooh cuddly toy as he rode up front.

Police and health officials shadowed the funeral cortege to the graveyard. Police guards only permitted immediate family and close friends through the iron gates.

Through the bars silent, tearful mourners could be seen weaving through a labyrinth of headstones.

Later that afternoon, the family had left Maria Fernanda's grave -- a tiny patch of newly dug dry earth, not much more than 3 feet long.

It was covered with sweet-scented white flowers. The plaque on the grave was a simple hand-painted affair:

"Maria Fernanda. 2004 to 2009. We love you."

@highlight

Every aspect of life has been hit by the spread of H1N1 in Mexico City

@highlight

Citizens told not to shake hands or kiss

@highlight

Even a tragic death of a child brings suspicion, paranoia