Philadelphia (CNN) -- Darryl Williams and Benjamin Kline were shivering before the speech even started, their black umbrella no match for the steady rain and brisk Philadelphia wind. Even as water hit their faces, though, they were smiling, excited at the thought of seeing Ron Paul.

Williams and Kline are true believers. They are two men who in spite of political reality and weather still come out to support their "ideal candidate." They don't care that many have crowned Mitt Romney the presumptive nominee or that it is now mathematically impossible for Paul to win the Republican nomination before the convention. They just know who they support.

"We believe he is the best candidate," Williams said.

Not everyone agrees, though, and the electoral math is against the 12-term congressman from Texas. On Tuesday, Romney swept Paul in all five states that voted. And even if Paul were to win every single delegate from now until the convention he wouldn't be able to win the nomination, according to analysis by CNN Political Research Director Rob Yoon.

CNN Election Center: Ron Paul's vote totals

To Paul's most passionate followers, though, it doesn't matter that Paul has earned only an estimated 76 delegates (although his supporters challenge that number), compared with Romney's 841. It doesn't matter that Paul has yet to win a single state.

It doesn't matter, said Kline, "with or without [Paul], the movement is going to carry on."

Kline and Williams are just two of the hundreds of thousands of Ron Paul supporters across the country -- hairstylists, chiropractors, sailors and students -- who have been energized by the congressman from Texas' third run for the White House. Now, as his chances have all but evaporated -- he is still hoping to challenge the presumptive nominee Romney at the GOP convention in Tampa this summer, but party rules may not even allow his name on the ballot -- a core of fans continue to turn out at rallies, flood internet comment boards and gather in big cities and small towns, to keep the movement alive.

They still believe.

Paul has already announced that he is retiring from the House this year. If he fails to win the presidency, his political career, a career that started in the late 70s, is over. That has left his followers grappling with their unabashed support for the 76-year old doctor and their commitment to the movement.

Once a Democrat, now a Paul fan

Standing under an awning at the Philadelphia rally is Kathy Cahalan, a woman from Clearwater, Florida who for 33 years voted as a Democrat but was so moved by Paul that she re-registered as a Republican so she could vote for him this year. Though she voted for then-candidate Barack Obama in 2008, she said she regrets it now.

Cahalan one of a few people who follows the Paul campaign around the country, going to different events in different primary states.

Dave Wilcox, a 22-year veteran of the Navy, had met Cahalan earlier in the campaign. As they talk, a young group of supporters walk by chanting "End the Fed," a slogan that has become a staple at a Paul event.

To Wilcox and Cahalan, Paul has become the conduit for a message. Do they respect and admire him? Absolutely. But both say that the movement is bigger than him and will continue when he bows out of politics.

"We are trying to educate the GOP. That is the main message. Once we get back to the Constitution, it doesn't matter who the banner carrier is," Wilcox said, gesturing to the chanting students. "It could be anybody, as long as they hear this message."

Borderline hero worshipers

That attitude contrasts with the eager exuberance of Anastasios Hatzakos, a chiropractor from Easton, Penn.

Listening to Hatzakos talk about where he agrees with Paul is like listening to the candidate's greatest hits album. Ending the Fed, cutting the deficit, no foreign entanglements, repealing the National Defense Authorization Act -- Hatzakos mentioned all of them. He went on to say there is not one policy that he disagrees with Paul on.

Should he not make the ballot, Hatzakos said, "I would write him in. I would never vote for anyone else, because they are all the same."

While Paul's base is a wide spectrum of support, there are a number of people who would fall into the category of hero worshipers.

In an interview with CNN, Paul says that sort of support makes him uncomfortable.

"I think they over-praise me at times," Paul said. "I keep saying maybe they have been over starved because I don't see my qualifications quite the way they do. They over-praise. It makes me uncomfortable, but obviously it pleases me."

Though many see Paul as the figurehead attached to the movement, Paul says he sees his role in a lesser light.

"I am sort of like a spokesman for them," Paul said. "I don't call them followers. I call them partners in this because they understand the same thing that I understand."

The 'movement' will go on

And Paul believes it is a good thing that the future of the movement is open ended. He says that while he may have truly awakened the movement in 2008, it has been stirred decades ago.

"I don't think anyone knows where it is going and it is good that I don't know that," Paul said. He added that while the movement's future may be unknown, he feels validated by the fact that he draws large, politically diverse crowds in most places he goes.

"It verifies what I believe in, and I am convinced of, that freedom brings people together," Paul said. "How we use our freedom, your personal lifestyle may be different, but freedom brings us together."

Like other presidential candidates who have sparked intense passions before him -- Ross Perot, Ralph Nader, Barry Goldwater -- Paul supporters often take what he says as gospel.

Walking around a Paul campaign event is somewhat like a lesson in American political constituencies. Though Paul is a Republican with Libertarian ideals, many of his followers do not fit that mold. There are common Republicans and Democrats who find Paul engaging and of course you find Independents and Libertarians. But you also find a large group of people who identify as members of the Constitution Party, the Green Party and many with no party affiliation.

He has appealed to actor Vince Vaughn -- "his principles are based in fact and logic which is rooted in the foundation of America," said Vaughn -- and singer Kelly Clarkson -- "I love Ron Paul," tweeted Clarkson. Former Minnesota Gov. Jesse Ventura, an independent, said, "I want somebody that will shock the status quo, and Ron Paul will do that."

As the primary season rolls on and Paul is still looking for his first contest win, the odds of a Paul presidency look bleak. Paul is also up against an RNC rule, Rule 40, that states a candidate must have received a plurality of votes in five states in order to even be considered at the convention. Paul has yet to receive a plurality in one state.

If not Ron Paul, then who?

Last time around, on June 12, 2008, Paul dropped out of the 2008 presidential race, leaving his supporters to find another candidate. Though Paul went on to support the Rev. Chuck Baldwin of the Constitution Party, his followers dispersed -- some voting for Obama, some for McCain and some not at all.

Looking to the general election, Paul's supporters are skeptical of whom to vote for if Paul doesn't win the nomination.

"If tomorrow Ron Paul says, 'I changed my mind and let's go with Mitt Romney,' I will not do that," said David Chen, a hairstylist from Lancaster, Pennsylvania.

"I really can't say right now," said Daniel Osoreo, a graduate student at New York University. "It is a very difficult choice because I am very loyal to Dr. Paul."

Back near the stage, Williams and Kline are even more soaked than they were before. When asked about the political diversity in a Paul crowd -- his campaign enthusiastically estimated about 4,300 people were at the Philadelphia rally, but on the scene, it appeared the real number was about half that -- Williams says that is the point of Paul's appeal.

"We are too focused on dividing ourselves into little pockets," Williams said. "We are all hyphenated Americans rather than being just Americans. We focus too much on what makes us different."

In George Washington's farewell address, the first president touched upon a trend he was observing in American politics -- the formation of political parties. He saw America dividing into factions, so he warned against it.

"The alternate domination of one faction over another, sharpened by the spirit of revenge natural to party dissention, which in different ages & countries has perpetrated the most horrid enormities, is itself a frightful despotism," Washington said.

In the eyes of his supporters, Paul is now playing that role of checking the domination by one party over another.

"I think the fire he has ignited is still going to keep burning in the hearts of people who love liberty and this country and are really tired of both sides of the political spectrum behaving in such an extreme fashion," Williams concluded.

Even though the odds are long, the rain is hard and the nomination process is becoming a slog, Paul supporters have their candidate. They may vote for someone else if he drops out, but while Paul remains a presidential hopeful, hope will spring eternal.

@highlight

Ron Paul's supporters are avid, even though his chances now are practically zero now

@highlight

Paul has yet to win a state contest and has amassed only an estimated 76 delegates

@highlight

Still, supporters believe in the principles and movement he represents