(CNN) -- On November 19, 1863, President Abraham Lincoln commemorated a Civil War battlefield in Gettysburg, Pennsylvania, by vowing that "government of the people, by the people, for the people, shall not perish from the earth."

One hundred and fifty years later, document experts are going to great lengths to make sure that copies of his famous speech, handwritten by Lincoln himself, hold up as well as the words themselves.

Five original versions of Lincoln's Gettysburg Address remain, and they are still used for research and study. But warm temperatures, light, humidity and even oxygen are enemies of old paper manuscripts.

Presidents' best phrases are tweetable

"There's nothing that compares to the original," said Michele Hamill, a paper and photograph conservator at Cornell University, which has one of the five copies of the speech. "We need to find a balance between having these national treasures and wanting to make them widely available."

To make both possible, researchers have developed advanced preservation and replication techniques that include environmental sensors, high-quality scanners and specially built cases.

Each of the five versions of the Gettysburg Address manuscript are slightly different. Called the Bancroft copy, Cornell's version has been through a lot. It was written out by Lincoln months after he gave his original speech and given to historian George Bancroft. It stayed in the Bancroft family for years before bouncing around between dealers and eventually ending up at Cornell.

For a time, it had a cellophane cover. But the dealer who made the cover didn't realize that cellophane was actually damaging the prized document. Cellophane is very unstable, and within 10 to 15 years, the front of the document had experienced severe darkening.

Luckily, other factors have helped the manuscript survive.

150 years later, newspaper retracts editorial panning Gettysburg Address

"We're really fortunate that President Lincoln used a great quality writing paper and his formulation of ink was good," said Hamill.

To keep the paper from deteriorating any further, Cornell carefully controlling its environment and limits its exposure to light. (Those "No Flash Photography" signs are not just a suggestion.)

Since the university's copy is written on both sides of a single sheet of paper, they had to develop a special case that would allow people to view the whole text. Cornell created a custom case made out of UV-ray filtering plexiglass.

Most of the time, the document is kept in a secure storage vault that's been specially designed for rare materials. There's almost no light in the vault, and it has a steady temperature of 65 degrees Fahrenheit and 40% relative humidity. Sensors constantly monitor the vault to keep the humidity and temperature steady.

To mark the 150th anniversary of Lincoln's speech, Cornell is putting the original on display as part of a special exhibit. But even when shown to the public, the document is kept in low light -- just enough for visitors to read Lincoln's neat cursive handwriting without doing additional damage to the paper.

Lesson from Lincoln: Mr. President, you're talking too much

Advanced imaging technology also has made it possible for libraries to make extremely high-resolution digital copies of historical documents. The Cornell scan is so good that they've printed out a near replica of their Gettysburg address to occasionally keep on display in place of the original (with full disclosure, of course).

A digital copy means that people who wouldn't normally be able to make it to Cornell or the Library of Congress to see the originals in person can examine them up close online from anywhere. Researchers around the globe can do work from the digital scans without worrying about damaging a priceless artifact.

Google has copies of all five drafts online for anyone to view and compare as part of its Cultural Institute.

The preservation technology is even more elaborate at the Library of Congress.

To protect their two copies of the Gettysburg Address, preservationists there fabricated custom cases with gaskets that purge all of the oxygen around the document and replace it with inert argon gas. When you take away the oxygen, you take away the potential of oxidation, which can erode the delicate original material.

The argon encasements are also used for many of the older documents chronicling the founding of the United States, which are written on delicate parchment paper.

It's likely that as students continue to study "Four score and seven years ago," the technology used to preserve Lincoln's original documents will become even more advanced.

Ken Burns: Learn Lincoln's words by heart

@highlight

Advanced technology is helping preserve historical documents such as the Gettysburg Address

@highlight

Light, heat, humidity and oxygen can all contribute to the decay of delicate paper artifacts

@highlight

Advanced imaging technology means incredibly detailed scans can be studied worldwide