Freetown, Sierra Leone (CNN) -- Sierra Leone and Liberia have some of the highest maternal mortality rates in the world, with 15-24 year olds accounting for 40% of such deaths) and two years ago, agencies IPPF and FORWARD listened to hundreds of African voices talking about sexual and reproductive health and rights.

These weren't the voices of presidents, parliamentarians, politicians, advocates, or activists discussing laws, principles, precepts and policy. They were the voices of young teenage girls in Liberia and Sierra Leone, speaking directly about their experiences, in a project called "Girls at Risk."

Though not exclusively so, the prime "risk" in question was teenage pregnancy: the risk of becoming pregnant; the risks associated with unsafe abortion; and those associated with poor maternal health provision.

I was involved as an analyst: reviewing the responses with a view to answering three very straightforward questions.

First, why are teenage girls from poor backgrounds so at risk of teenage pregnancy? Secondly, what is the impact of teenage pregnancy and early motherhood on these girls lives? Thirdly, what do girls say about the availability of appropriate services and information?

The depth and extent of detail which emerged from what these hundreds of girls said was overwhelming.

See also: High-profile teen pregnancies in spotlight

What was most striking was how attitudes and actions which we would consider extreme were related as commonplace occurrences. I talk of rape, incest, abuse and gender-based violence; of girls routinely pressured by parents into marriage, multiple relationships with "sugar daddy" partners, or sex work to secure the basics of survival; of the immense physical and psychological trauma caused by years of conflict and the use of rape as a weapon of war; of unsafe abortion resulting in sickness or death; of economic independence denied through forced removal from education

It is a familiar litany: one which it's possible to become desensitized to through repetition. But as I looked over the transcripts of the interviews, the words of these girls (so matter-of-factly stated), came as a real jolt.

If you want to know what these girls said, verbatim, I'd urge you to look at one of the two "In Their Own Words" . Sexual and reproductive health and rights publications are often hard to read or understand. This is elegant in the simplicity of its expression and the clarity of its message.

It may seem to you to be the wrong message to be highlighting on International Women's Day, which should be celebratory. On the contrary. International Women's Day this year is about "Connecting girls, inspiring futures".

See also: Africa's birth rate: 'Why women must be free to choose'

"Girls at Risk" connected girls: it brought them together to share knowledge and experience and to disseminate their thoughts and opinions and testimony on a world stage. Critically, it subsequently served to inspire futures: the futures of individuals, and the futures of communities.

In Liberia, for example, Marcontee Okai was inspired to set up the exquisitely-named "Girls of Destiny Reading and Etiquette Club". It answers girls' needs for a space of their own (one not dominated by boys) for learning vocational skills and for continuing their education.

Marcontee says, "Twenty five girls attend the club which is located in the YWCA. I help them improve their reading skills and develop good manners. My plan is to ensure that every young girl in Liberia has a quality education and information about sexual and reproductive health -- but I will need more support to make that happen."

"The Girls of Destiny Reading and Etiquette Club," in microcosm, offers a solution to many of the ills which our analysis of the interviews in the "Girls at Risk" project revealed, and meets many of the recommendations which the team subsequently made.

The call was for better signposting to sexual and reproductive health services, for girls-only spaces, for health education and promotion programs to counter myths and misinformation, for confidence and self-esteem building initiatives, and for vocational training to foster economic independence.

In addition, courses for pregnant teenagers and mothers on baby and childcare, and a concerted drive to reverse policies which prevent pregnant teenagers staying in school, and the foundations for a revolution in teenage girls' lives are in place.

What it needs is the will and the support (the support that Marcontee calls for) to make it happen. I have worked in sexual and reproductive health in Africa and around the world for 20 years.

I am profoundly optimistic that change is achievable, and the more we make the world aware of what young women are forced to endure in countries such as Liberia and Sierra Leone, the more quickly that change will come.

Something definitely to be celebrated on International Women's Day.

The opinions expressed in this commentary are solely those of Seri Wendoh

@highlight

''Girls at Risk" project allows young African girls to deal with their issues such as teenage pregnancy

@highlight

Seri Wendoh was able to gain an understanding of the risks young girls face

@highlight

Wendoh hopes to use International Women's Day to better connect young girls and get their voices heard