(CNN) -- In a speech to a wounded nation, presidential hopeful Mitt Romney returned to his roots of faith in the face of a national tragedy.

It was a rare public expression of faith for the candidate who has kept much of his faith private.

Romney, who was the head of a Church of Jesus Christ of Latter-day Saints congregation in Boston, quoted heavily from the Bible and the Book of Mormon as he stood before a small crowd in New Hampshire.

Romney calls for unity following Colorado shooting

"We can offer comfort to someone near us who is suffering or heavy laden," he said, a reference to the Gospel of Matthew where Jesus tells a crowd, "Come to me all ye who are heavy laden and I will give you rest, for my yoke is easy and my burden is light."

Romney continued, "And we can mourn with those who mourn in Colorado." That phrase "mourn with those who mourn" is found in the New Testament and is also found in the Book of Mormon.

"Our prayer is that the comforter might bring the peace to their souls that surpasses understanding," he said, evoking the Apostle Paul in his letter to the Philippians.

Romney also left no doubt about his source material in his next line when he said, "The Apostle Paul explained - "Blessed be God who comforteth us in all our tribulations, that we may be able to comfort them which are in any trouble." He was quoting from 2 Corinthians 1:4 using the King James Version of the text, a translation favored by Mormons.

Romney also said grieving families could know they were being lifted in prayer by "people in every part of our great nation."

In Aurora, the agonized seek answers through faith

The Bible-laden references in Romney's speech also signal to evangelicals who worry about his Mormon faith that he is drawing from a familiar text.

"I think he's growing more comfortable and today's speech is further evidence of that, talking about his faith in the public arena," said Tony Perkins, the head of the Family Research Council.

Perkins said that on Monday he had a wide-ranging face-to-face meeting with Romney in Baton Rogue. He said he told the candidate to be more open about his faith and the shared values he has with evangelical voters.

"I encouraged him to do it a little more," Perkins said.

For Perkins, Romney was able to strike the right balance in his speech.

"I think it was more a reflection of who Mitt Romney is, rather than who he has been," Perkins said.

There are still undoubtedly theological tensions between Mormons and evangelicals that won't be resolved in the presidential campaign.

"Most of the evangelicals think Mormons are going to hell and they aren't Christians," said Clyde Wilcox, a political science professor at Georgetown University who co-wrote "Onward Christian Soldiers?: The Religious Right in American Politics." "What he's saying is there is a commonality of faith and shared values."

According to a Gallup Poll in June, bias against a Mormon presidential candidate hasn't budged in 45 years, with 18% of Americans saying they would not vote for a well-qualified candidate who was Mormon.

Some evangelical students balked when Romney was chosen to give a commencement speech at Liberty University in Virginia in May. The school was founded by the late Rev. Jerry Falwell.

CNN's Belief Blog: The faith angles behind the big stories

In response, Romney gave an address in which he addressed his faith head on.

"...People of different faiths, like yours and mine, sometimes wonder where we can meet in common purpose, when there are so many differences in creed and theology," Romney told those gathered for the commencement. "Surely the answer is that we can meet in service, in shared moral convictions about our nation stemming from a common worldview," he continued. "The best case for this is always the example of Christian men and women working and witnessing to carry God's love into every life."

Since then, Romney has kept a low profile in matters of faith.

Earlier this month, Romney, dressed in a suit jacket despite the sunny morning warmth, clasped hands with his wife, Ann, as they entered the Wolfeboro, New Hampshire, branch of The Church of Jesus Christ of Latter-Day Saints with their two sons and grandchildren.

In an impromptu moment after his remarks on Friday, Romney stood just outside the seating area for his event, shaking hands and sharing hugs with nearly all the supporters who stood in line to meet him.

"Moments like these call for our commander in chief to act as a theologian in chief, and Romney did that today," said Stephen Prothero, a religion professor at Boston University and the author of the American Bible.

"He offered a theology of comfort, compassionate conservatism if you will, consistent both with the biblical witness and with the needs of the country on tragic days like today," Prothero said.

Prothero said both Romney's speech and Obama's speech struck him in the same line of civil religion speeches as Abraham Lincoln's Gettysburg Address or Ronald Reagan's speech after the Challenger shuttle exploded.

To Prothero, Obama's speech sounded more pastoral and Romney sounded more presidential.

He said Romney was trying to "bind the nation together" and the Romney speech was more "self evidently a theological speech."

"The speech would be completely at home in a Mormon meeting and yet was carefully ecumenical," added Kristine Haglund, the editor of Dialogue, a quarterly journal on Mormon thought that is independent of the church.

Haglund noted that "mourn for those who mourn," which is found in the Book of Mormon in Mosiah 18:9, "is in the top 10 passages for Mormons."

The speech also struck Haglund as more optimistic than President Obama's speech. "Mormons are pretty relentlessly cheerful. [Romney] doesn't mention any Mormon ideas of the afterlife, but certainly those ideas make such optimism possible in the face of such tragedy."

"The communities of family we build here are created in similar fashion in heaven. It's not unusual for Mormons to seem especially optimistic in the face of death or certain of the life to come. The views of afterlife are quite defined," she said. "Mormons really do expect families and communities to continue in heaven."

Haglund also said she heard an olive branch to evangelicals in the phrase, "lifting up in prayer."

"That's very evangelical language that Mormons don't say. That was striking."

@highlight

Mitt Romney makes several references to the Bible and Book of Mormon

@highlight

The GOP candidate has tended to avoid biblical references in past speeches

@highlight

Romney was the head of a Church of Jesus Christ of Later-day Saints congregation