(CNN) -- For palaeontologists, the Middle East has long proven a bit of a blind spot.

Evidence of dinosaurs has proven scarce, and what little surfaces from time to time have been traditionally difficult to itemize. That changed recently when an international team of scientists uncovered the first evidence of dinosaurs in Saudi Arabia near the coast of the Red Sea.

The findings were published last month in the scientific journal PLOS ONE.

"To say that finds (in the Arabian Peninsula) are rare is an understatement. What's been discovered, you could almost fit inside a shoebox," notes Dr. Benjamin Kear, a palaeontologist at Uppsala University in Sweden, and the study's lead author.

"The problem in the past is that what's been found are just bone fragments, and you can say they're dinosaur, and vaguely what kind, but we've been unable to reconstruct and assemble them. This is therefore the first time that we can confidently identify an Arabian dinosaur fossil with any degree of accuracy," he says.

Kear and his team uncovered 72-million-year-old fossils. The first was of a series of vertebrae from the tail of a "Brontosaurus-like" sauropod called a titanosaur, the second, a few teeth from a theropod. The latter belonged to an abelisaurid -- a bipedal carnivorous dinosaur some 20 feet long.

Read more: Unearthing tomb of Egypt's beer-maker to the gods

Kear, who has excavated in the region before, says he was following up a lead on potential dinosaur fossils found by oil geologists who stumbled upon an outcrop.

"They had found an accumulation of fossils that mostly weren't from dinosaurs, but rather giant marine reptiles," he says.

As it happens, much of the Arabian Peninsula was underwater when dinosaurs roamed the Earth, and those rare remains that were discovered were washed downstream and out to sea by rivers, probably during a flash flood long ago in the Late Cretaceous period.

"We systematically worked this area over the last few years in the hope that a dinosaur would turn up. It was a matter of time to be honest; dinosaurs do often turn up in marine rocks washed out to sea," he says.

"There are a handful of blank spots on the dinosaur map, and the Arabian Peninsula is among the very biggest blank spots," notes Dr. Anne Schulp, a palaeontologist and researcher at the Naturalis Biodiversity Center in the Netherlands. In 2008, Schulp led a team that unearthed the first dinosaur tracks found in the region near Sana'a, Yemen.

"Even the tiniest scrap of bone is something to get excited about," he says. "The picture is slowly filling in, but it's a very large area and there remains much more to be discovered."

Louis Jacobs, a vertebrate palaeontologist and professor at Southern Methodist University, explains that the discovery could also help find much sought-after answers about the history of the Earth and its land formations.

Jacobs explains that when the fossils were first buried, Saudi Arabia was part of Gondwana -- the subcontinent that made up the southern half of Pangaea, and included parts of modern-day Africa.

Read more: How not to do a desert expedition

"India started out much further south, and through time it moved north and slammed into Asia, creating the Himalayas. But it passed by the Arabian Peninsula about the time that dinosaurs lived," explains Jacobs.

"Part of the interest in dinosaurs from Arabia is to get at that relationship between Gondwana and India during that time."

Several factors explain the scarcity of dinosaur-related material in the Arabian Peninsula.

One issue is that the richest sites aren't always the most accessible. Fragments have previously been found in Syria (currently a no-go zone) and Yemen, which discourages certain travelers. Meanwhile, visitors to Saudi Arabia need a sanctioned invite.

Kear notes that in Saudi Arabia part of the problem is that the most prevalent types of rocks aren't the right types for capturing millennia-old land-based animals. He also notes that until recently, the country suffered from a lack of interest in this type of research.

"Let's say the geological view has been skewed in the past towards oil exploration," he says. Still, he says, paleontological research is gaining more traction, as evidenced by the government-run Saudi Geological Survey recently adding a palaeontology division.

"For the first time, you can see the work is going somewhere, and leading to a lasting legacy. In the future, we can expect to see Saudi dinosaur displays and museums so people inside the country can understand the riches they possess."

@highlight

An international team of scientists discovered the first evidence of dinosaurs in Saudi Arabia

@highlight

Among the fossilized findings were the teeth of a carnivorous abelisaurid -- a 20-foot tall bipedal dinosaur

@highlight

Scientists also uncovered the fossilized vertebrae from the tail of a "Brontosaurus-like" sauropod called a titanosaur

@highlight

Experts say the new evidence could reveal more about the how the Earth was formed