So NBC has signed Bill Cosby for a new sitcom.

The 76-year-old comedian is slated to play the patriarch of a multigenerational family, NBC told CNN on Wednesday.

Bill Cosby to return to NBC in new sitcom

A network representative did not elaborate on anything else involving the show.

No doubt, NBC is hoping this version of Cos brings back memories of his eight-year run as the gruff but warmhearted Dr. Cliff Huxtable on "The Cosby Show" -- and not the failed gumshoe of "The Cosby Mysteries," which lasted one season in 1994-95, or the cranky retiree of "Cosby" (1996-2000), which started out strong but sank quickly in the ratings.

The return of Cosby coincides with other figures from the '80s and early '90s making their return to prime time in one way or another. Michael J. Fox has been heading a clan on "The Michael J. Fox Show" since September, and Bob Saget, Dave Coulier and John Stamos are reuniting for a yogurt commercial to air during the Super Bowl. (No word on whether the Olsen twins will be in tow.)

"Full House" stars reunite for Super Bowl

But nostalgia and Q scores -- those popularity measuring sticks marketers love so much -- only go so far.

Sure, Cosby is a popular guy. People still have warm feelings about the comedian, even if it's been ages since he was TV's most popular pitchman. (Don't laugh -- the man's in the Advertising Hall of Fame.)

And "The Cosby Show" was a landmark in TV sitcoms, not only showcasing a bright African-American family but leading the ratings for five straight years in the 1980s. NBC began more than a decade of dominance thanks to "Cosby's" success.

"Bill Cosby is always going to be welcomed into people's homes because of nostalgia for the Huxtables," says Amanda McClain, a communications professor at Holy Family University in Philadelphia.

The trick, however, is the show he'll be placed in.

"A famous name is itself no guarantee," wrote Time's James Poniewozik, observing that Fox's show has suffered because it's depended too heavily on memories of the lead instead of making his show interesting. "Bill Cosby, like the Jell-O he once pitched, remains a beloved brand. But if his show makes it to air, the proof will be not in the brand but in the pudding."

'Television isn't very reflective of reality'

So what might a new Cosby sitcom look like?

Probably something like America -- whatever that is these days.

After all, TV families have always reflected our culture, even if they've sometimes been a year or two behind the times.

In the 1950s, "Father Knows Best" showed off a happy nuclear family in Springfield, USA. In the 1960s, "The Dick Van Dyke Show" offered a Kennedyesque household in suburban New York. The 1970s included "The Brady Bunch," about a blended clan for a time in which divorce and second marriages were becoming commonplace. (However, divorce was still stigmatized enough that it was never revealed whether Carol Brady was a widow or a divorcee.)

In the wake of "All in the Family" and producer Norman Lear's other edgy shows, 1970s TV families took on the broader appearance of society. "Good Times" was set in a Chicago housing project; "One Day at a Time" featured a single-mother household in Indianapolis.

But TV is also nothing if not aspirational, says McClain, and Lear's unflinching sitcoms -- exceptional even in their time -- were swept aside in the 1980s.

"Television isn't very reflective of reality," she says. "There's underrepresentation of people of color, underrepresentation of many different types of people. Still today, there are very few Asian-American or Latino people on television."

Even "The Cosby Show," with its upper-class doctor and lawyer living in Brooklyn Heights, was often more aspirational than realistic, she says.

Viewers, however, apparently like aspirational.

Since the '80s, the dominant family shows have been "The Cosby Show" and "Family Ties," "Home Improvement" and "Everybody Loves Raymond," "Two and a Half Men" and "Modern Family." Some have unusual family structures -- "Modern Family," famously, includes a gay couple, an old-young husband-wife combination and several stepchildren -- but they generally feature white clans and take place in well-off circumstances.

Though there have been several sitcoms featuring people of color or folks in working-class circumstances, about the only breakout exception has been "Roseanne," Roseanne Barr's early '90s hit, which regularly reflected genuine working-class circumstances.

"Compared to like the '70s, where you had true diversity -- 'Sanford & Son' and 'Good Times,' people of all walks of life, jobs and bank accounts -- today it's as if we've regressed in some ways," says John Griffiths, president of the Gay and Lesbian Entertainment Critics Association and TV critic for Us Weekly.

He suggests one reason might be because Hollywood is somewhat insular.

"The networks try really hard at having diverse sitcom writing staffs, but there's still an issue with a lot of white guys who maybe went to Harvard and live on the west side of L.A. who write these shows," he says.

Next step: Senior citizens?

There have been some attempts to change the view on broadcast television, he points out, though new styles have struggled to catch on. "The New Normal," which featured a same-sex couple and their relationship with a surrogate and her family, was canceled after one season; "The Middle," about a middle-class family in Indiana, has plodded along, "underrated," in Griffiths' opinion.

Cable television, which has the luxury of targeting its "reality" shows -- many of which are simply sitcoms in different guise -- at specific demographics, has opted for upscale families ("Keeping Up With the Kardashians"), heartland groups ("Duck Dynasty") or a mix of flavors ("Here Comes Honey Boo Boo").

Families come in many forms on television, of course -- what was "Friends" if not about a family of sorts? -- and the next wave may include more senior citizens.

With baby boomers starting to take care of aging parents and being called "the sandwich generation," a Cosby show truly reflecting issues across generations could be a hit, says McClain, the communications professor.

Or perhaps a new Cosby show could simply focus on the elderly, Griffiths says.

"The aged are very underrepresented," he says. He observes that his group's pick for unsung TV show of the year, HBO's "Getting On," is set in an extended-care unit and includes a closeted homosexual, an African-American nurse and a variety of senior citizens. (HBO is a unit of Time Warner, as is CNN.)

"It's almost like a Norman Lear show," Griffiths says.

A Cosby show need not go that far -- it'll be on NBC, not HBO, after all -- but the lead could make of it what he wants.

"The great thing is that Cosby is at an age where he'll be playing a grandfather," Griffiths says.

All you need is one successful show to start a trend, and if a wider range of ages is shown on a TV show, it could lead to others.

After all, the ultimate family show -- even in these days of DVRs and second screens -- is watching TV, McClain says.

"Television is a family event," she says. "Families watch television together."

@highlight

Bill Cosby is set to star in a new NBC sitcom

@highlight

"The Cosby Show" was a landmark family sitcom

@highlight

Latest family sitcoms feature variety of family structures

@highlight

Still, diversity -- of age, wealth, color -- often left out of equation, critics say