When I visit Jerusalem and the West Bank, I frequently ask young Arabs about their views on Hamas. In almost every discussion, Christians and Muslims alike refuse to label Hamas as a "terrorist" organization. When I raise criticism of Hamas and its targeting of innocent civilians, my comments never register. The responses are some variation of "Israel has taken over our lands and killed thousands of Arab civilians over the years. Hamas is only resisting occupation and fighting for our rights."

I hear similar sentiments in Egypt, Saudi Arabia and even non-Arab Pakistan. Al-Jazeera Arabic gives prominence to the popular Egyptian Muslim Brotherhood cleric Yusuf al-Qaradawi, who has repeatedly called suicide bombings against Israelis not terrorism, but "martyrdom." He argues that since Israelis all serve in the military, they are not civilians. Even children, he despicably argues, are not innocent. They would grow up to serve in the military. Qaradawi is not alone.

I can name tens of Muslim clerics, important formulators of public opinion in a region dominated by religion, that will readily condemn acts of terrorism against the West, but will fall silent when it comes to condemning Hamas or Islamic Jihad. Put simply, support for violent resistance against Israel among Arab and Muslim-majority countries -- including allies of the United States such as Qatar, Saudi Arabia, Egypt, Turkey, Tunisia -- remains popular.

Opinion: How this could be the last Gaza war

Hamas benefits from that support. From radical Iran to moderate Tunisia, Hamas' Prime Minister Ismail Haniyyeh was welcomed by vast cheering crowds during visits this year.

In a new Middle East, where popular opinion matters more than ever before, to demand that people condemn Hamas is a political nonstarter. It won't happen. Israel's talk of Hamas terrorism has failed to convince the Muslim and Arab masses. And worse, the label of "terror" loses its importance when entire populations, essentially, see nothing wrong with Hamas's violent activities.

In short, Israel's strategy has failed to win Muslim hearts and minds. In the long term, it cannot continue to rely on military superiority and Western support in the face of popular hostility. Israel is a nation in the Middle East, and it needs to find a home and place among its increasingly democratic neighbors. The old ideas of "we do not talk to terrorists" are not only strategically futile, but also untrue.

Timeline: Israel-Gaza conflict

In order to secure the release of kidnapped Israeli soldier Gilad Shalit, Israelis (in both official and unofficial capacities) negotiated with Hamas. In spite of the Netanyahu government's bluster about refusing to deal with Hamas now, securing a cease-fire involves doing exactly that with the help of Egypt's new Islamist government.

In the past, Israel refused to talk with the PLO and Yasser Arafat, and in 1988, despite Israel's intransigence, the United States opened a dialogue with the PLO and thereby helped steer the organization to its nonviolent politics today. Similar examples abound in recent history from South Africa, where Margaret Thatcher once called the African National Congress and Nelson Mandela terrorists, to Northern Ireland's Sinn Fein.

Opinion: Messages of Gaza violence -- Hamas can't be ignored

In short, when the political calculations shift, the actions of terrorists are altered. Lest we forget, George Washington was labeled a terrorist by the British. But that label carried little weight amid his support base in America.

Today, Israel's labels of terrorist mean nothing to the people of the region. Newly empowered, their views and attitudes matter. Israel cannot continue to swim against the tide. For its own security, to strengthen the interests of the United States in the region and to show recognition of the changes that are sweeping the entire Middle East, Israel needs to change. It must talk directly with Hamas. The old game is over. Hamas is here to stay. In 2004 Israel killed its founder Ahmed Yassin, and then his successor Abdel Aziz Rantisi Rantissi and now the head of its military wing, Ahmed al-Ja'abar, each time vowing to weaken Hamas, only to see it return stronger. Those mistakes cannot be repeated again.

To demand that Hamas abandon violence, change its charter, or recognize Israel is not the beginning, but should be the end results of a peace process that builds trust over a period of time. To impose these as preconditions and thereby exclude Hamas, while also neglecting the Fatah government in the West Bank, is to give a clear message to Arabs that no strategy (that of Fatah or Hamas) is to Israel's liking. Such perceived arrogance further alienates populations in important countries such as Turkey and Egypt, not to mention the Palestinians.

The United States needs these newly emerging democracies on its side. Better relations with 300 million Arabs helps secure Israel too. A stronger America in the region is good news for Israel. A tiny nation of seven million cannot be allowed to damage ties between 360 million Americans and 300 million Arabs. Conversely, Arabs have a duty to recognize Israel as home to the children of Abraham, the descendants of Moses.

Opinion: Israel's mission in Gaza is not about security

Across the Arab world, from Tunisia to Yemen, we are witnessing turmoil and the rise of violent Salafi organizations. Attacks on U.S. embassies recently served as a potent reminder of the forces that are being unleashed. Israel can help itself, its neighbors and the United States by at least ending its old tactics of war and embracing the Arab peace plan offered since 2002 by Saudi Arabia and endorsed by the Arab League. It is time for Israel to act like the democracy it claims to be and end the siege of Gaza and the occupation of the West Bank.

@highlight

Ed Husain: In Middle East visits he notes clerics, young Arabs don't view Hamas as terrorist

@highlight

Husain: There's support for violent resistance against Israel among Arab, Muslim countries

@highlight

He says Israel's might won't bring peace; time to make Hamas part of process

@highlight

Husain: Israel should end war tactics, embrace Arab peace plan offered since 2002