As Air Force One landed in Estonia's capital Wednesday, President Barack Obama's message to Vladimir Putin -- only 500 miles away in Moscow -- was clear: Stay put.

Obama's trip to the former Soviet state, ahead of this week's NATO summit in Wales, is meant to reassure nervous Eastern Europe that Putin's support for separatists in Ukraine doesn't mean he has a free pass for territorial gains elsewhere.

In a speech in Tallinn, Obama said the vision of a Europe dedicated to peace and freedom is "threatened by Russia's aggression against Ukraine," but said NATO will not allow that aggression to go unchecked.

"We will defend our NATO allies, and that means every ally," he said. "We will be here for Estonia. ... You lost your independence once before. With NATO, you will never lose it again."

Added to the schedule only last month, the stop in Estonia supplements the message coming from NATO leaders gathering in Cardiff, Wales, who are set to announce the positioning of troops and equipment closer to Russia in Eastern Europe.

In earlier comments alongside Estonia's President, Obama recalled the "deep ties" between the two nations as he announced plans for additional U.S. Air Force units to be based in Estonia as part of a bolstering of NATO forces in the region.

"One of our goals at the summit over the next several days is to once again project unity across NATO on behalf of Ukraine's efforts to maintain its sovereignty and territorial integrity," Obama said.

He added that Russia was "paying a heavy price for its actions," in part through Western sanctions imposed over Ukraine, and that NATO is poised to do more to help Ukraine defend itself.

He said more European NATO members need to spend a full 2% of their gross domestic product on defense to keep NATO strong.

The approaching NATO summit is an opportunity for these countries to pledge this, he said.

"Estonia does it. Every ally must do it," he said.

NATO needs to create 'high-readiness force,' secretary general says

The NATO leaders also must confront the separate threat of militant Islamists making gains in Syria and Iraq, and the brutal beheading of a second American by ISIS, also known as ISIL or the "Islamic State."

Asked about his strategy on the extremist group, Obama said: "The bottom line is this: Our objective is clear, and that is to degrade and destroy ISIL so it's no longer a threat not just to Iraq, but also to the region and to the United States.

"In order for us to accomplish that, the first phase has been to make sure we've got an Iraqi government that's in place, and that we are blunting the momentum that ISIL was carrying out.

"And the airstrikes have done that. But now, what we need to do is make sure that we've got the regional strategy in place that can support an ongoing effort, not just in the air, but on the ground, to move that forward."

Analyst: NATO must adapt

The original reason for the summit was to determine how NATO's mission will proceed in Afghanistan when combat troops depart at the end of the year.

But the global unrest, while causing political strife for Obama in the United States, could provide a new purpose for the 65-year-old NATO alliance, which is suffering an "identity crisis," according to one analyst.

Russian official: Russia is emotionally in Ukraine, its troops are not

Putin's actions in Russia have "required NATO to really adapt and change fairly dramatically," said Heather Conley, who directs the Europe program at the Center for Strategic and International Studies in Washington.

"In some ways, NATO should thank Vladimir Putin, because it was really searching for its purpose," Conley said.

Warning Putin

NATO members that border Russia, watching the once unthinkable breach of Ukraine's borders, are looking to the military alliance to affirm its commitment to the North Atlantic Treaty's Article 5, which provides for collective defense of states under attack.

Ukraine isn't a NATO member, though leaders did invite the country's new President, Petro Poroshenko, to Wales this week. Other former Soviet states, like Estonia, Latvia, and Lithuania, joined NATO in the past decade, hoping to bolster ties to the West while increasing their own security frameworks.

As reassurance to those countries, NATO leaders plan to approve the creation of a "high-readiness" force that places new equipment and thousands of troops in Eastern Europe.

Ukraine warns of return to 'full-scale war'

White House officials say the move is meant to be defensive rather than a provocation for Russia, though initial reaction from the Kremlin -- which called the move an "external threat" -- foreshadowed a potential escalation of the crisis.

NATO and Russia have agreed since 1997 that no permanent NATO troops will be positioned in Eastern Europe, meaning member states will rotate forces through bases closest to Russia.

Charles Kupchan, Obama's top adviser for European affairs, said leaders will describe the new effort as a "persistent" force in the easternmost countries, rather than "permanent."

"We will see persistent rotation, persistent exercises to ensure that Estonia and that other countries in Central and Eastern Europe are provided the reassurance from NATO and the presence of NATO needed to meet their security needs," he said.

Opinion: What's Russia doing in Ukraine, and what can the West do?

Battling ISIS

Not on the official agenda in Wales, the ongoing spread of ISIS fighters in Iraq and Syria will nonetheless play a major role in Obama's discussions in Wales.

The meeting comes after a video posted Tuesday that shows the beheading of a second American, Steven Sotloff.

The killing of Sotloff follows a threat made by ISIS last month during the videotaped beheading of American journalist James Foley. The latest video threatens the life of another man, a British citizen.

Obama has said he wants to form a coalition of governments willing to take on the group, which has taken over huge swaths of territory and terrorized ethnic minorities. Officials say that could include a role for NATO, though in what capacity is so far unclear -- after all, Obama himself hasn't yet decided whether to undertake airstrikes against ISIS in Syria.

Western European leaders must also confront the growing threat of "homegrown terrorism" -- citizens leaving to fight with militant groups in Syria and Iraq, and potentially returning to stage a terror attack at home.

The host of the NATO summit, British Prime Minister David Cameron, already announced new measures to combat that threat after a London-accented militant was filmed beheading journalist James Foley.

ISIS video shows beheading of second journalist

"There will have to be an acknowledgment that individual European countries, and certainly the United States, are taking action, actively working militarily on issues relating to Iraq and then potentially Syria," said Kathleen Hicks, the director of the international security program at the Center for Strategic and International Studies.

Cameron lays out plans to counter UK jihadi threat

Afghanistan's future

Just as the United States is anxiously watching the final outcome of Afghanistan's recent election, NATO member states are wondering what their role will be there after this year ends.

Both candidates in the contested vote have said they'll sign an agreement allowing U.S. troops to remain there past 2014. But without a winner, the Bilateral Security Agreement remains unsigned.

Hanging over the decision is the security situation in Iraq, which completely unraveled after U.S. troops' withdrawal. Neither Obama nor his NATO counterparts want the same thing to happen in Afghanistan.

Gunmen target spy agency in Afghanistan

"We're moving into a world in which NATO will be less salient in Afghanistan, but in which we want to capitalize on the lessons that we've learned, the partnerships that we've built," Kupchan said.

No expansion

NATO last admitted new members in 2009, but leaders are quick to note this year's summit isn't about expansion.

The appetite for letting countries like Bosnia and Macedonia -- labeled "aspirant countries" -- into the club has waned. It's hard enough to get the 28 current members to agree on things, officials say.

Case in point: NATO is having a tough time convincing its members to spend more on their militaries, a requirement for membership. The United States spends about 4.4% of its gross domestic product on defense, according to NATO figures; the European average is 1.6%.

NATO's guidelines encourage countries to spend at least 2% of their GDP on defense.

"Part of the reason I think this NATO meeting is going to be so important is to refocus attention on the critical function that NATO plays to make sure that every country is contributing in order to deliver on the promise of our Article 5 assurances," Obama said at a news conference last week.

But analysts say that as long as economic conditions in Europe remain bleak, countries will remain hesitant to ramp up their military spending, even as external threats grow.

"The Ukraine crisis has been a wake-up call," said Conley, the Europe program director at CSIS. "Now, whether the Europeans will hit the snooze button or not, again, I don't know, but it has certainly shaken them, that they have allowed their military defense spending to atrophy to a point where they are now vulnerable."

@highlight

"We will defend our NATO allies," President Barack Obama says

@highlight

Peaceful Europe "threatened by Russia's aggression against Ukraine," Obama says

@highlight

Militant Islamists' gains in Iraq and Syria also cause for concern for NATO members

@highlight

Summit originally scheduled to address Afghanistan's future when troops leave