Tacloban, Philippines (CNN) -- Juvilyn Tanega sits inside her sweltering tent looking at pictures of the children she will never see again.

All six died the night of November 8, along with their father and their grandmother.

Tanega now lives alone near her own father in the Philippine city of Tacloban, still trying to come to terms with her appalling loss.

They died as they tried to shelter from Typhoon Haiyan inside their wood and tin shack. Tanega somehow survived the wall of water that swept away her family and her future.

She is one of 100,000 people, according to the United Nations, who now live in tents throughout the region of the central Philippines devastated by one of the strongest storms ever recorded.

A staggering one million live in conditions considered by the UN to be unsafe and vulnerable to future storms.

"I want to leave but I can't," she says. "There's nowhere for me to go and I am at the bottom of the list for a new house."

The tragic reality for Tanega is that she is a low priority for a new home because she doesn't have children. The best she hopes for now is to go back to school, get a qualification and try to start a new life somewhere else.

Seven months after Haiyan, the city of Tacloban still bares the vivid scars of its destructive path.

The airport is still only partially rebuilt, while much of the city is a mix of mangled steel structures, concrete shells that used to be houses, roadside graveyards, tents and crowded temporary homes known as "bunkhouses".

The 4WD vehicles of aid organizations can been seen everywhere.

But Tacloban is not sinking in despair. The city is recovering. Power is mostly restored, the town center once again throbs with business and noise, both the Coca-Cola and Pepsi plants are back in operation and the hotels are open.

"I love Tacloban" signs are springing up, or are being repainted.

At the Alejandro Hotel a sheet hangs from the roof with the words "Tacloban Tindog" ("Stand Up Tacloban").

The city is not yet standing tall but it's trying.

The biggest single problem is housing.

The storm surge destroyed thousands of homes on the coastal strip. Most were shanties. With nowhere else to go, people are rebuilding over the remains of their old houses, using whatever they can scavenge from the wreckage. New timber is in short supply.

However they are building exactly where the government doesn't want them to, right in the danger zone.

Anything like a repeat of the 8 meters-high wall of water that crashed through the coastal strip would once again wash away these homes.

READ MORE: Returning to a city still struggling, but determined

The government initially banned any new building within 40 meters of the sea but that was modified because it was impractical. There are no hard rules about where to rebuild but it is clear that the government sees these new rebuilt homes as temporary.

"It is too dangerous to build back there. It is too exposed," says Panfilo Lacson, Presidential Adviser on Rehabilitation and Recovery.

"Yolanda (the local name of Haiyan) is the new normal as far as we are concerned. We have to build places that can stand up to that sort of weather," he says.

The government is planning to build 200,000 new homes to house a million people. They will be away from the shoreline on land not prone to mudslides and solid enough to withstand the most extreme winds (Haiyan's sustained wind speed was measured at around 199mph / 320kmph).

"We have the money for it," says Lacson.

But progress has been glacially slow, say the people of Tacloban. The master recovery plan has only just been tabled.

Politics, bureaucracy, finding and acquiring suitable land have all contributed to the fact that of the 200,000 homes planned, only about 130 had been completed by the middle of May.

"Building Back Better" is the government's slogan but that is wearing thin on the streets here.

For people like Tanega, the slogans mean nothing.

"We've been waiting a long time. I don't know how long my suffering will go on," she says.

"Who do I run to, who do I lean on? I don't have a family, no husband to rely on. I am not important."

The government says it understands and it's ramping up re-development. But now it is a race against time. At the beginning of June the new typhoon season began. And Tacloban and the surrounding area is one of the most typhoon-prone parts of the planet.

GALLERY: After Typhoon Haiyan and six months later

@highlight

Around 100,000 people in the typhoon devastated region of the Philippines live in tents

@highlight

The city of Tacloban is slowly rebuilding with government plans for 200,000 homes for 1 million residents

@highlight

Many complain that reconstruction is too slow and homes are being rebuilt on at-risk areas

@highlight

"Stand up Tacloban" is the city's new slogan but the region is bracing itself for the new typhoon season