(CNN) -- House Speaker John Boehner is facing a huge moment in his career.

Now that the Senate has passed the immigration bill, all eyes have turned to the House, where some right-wing members of the GOP are prepared to scuttle the bipartisan deal that has been carefully crafted in the upper chamber. According to Oklahoma Republican Tom Cole, "We have a minority of the minority in the Senate voting for this bill. That's not going to put a lot of pressure on the majority of the majority in the House."

This is a test for Boehner, a massive opportunity for him to rebuild a languishing speakership.

At this point, the verdict of history probably would not be very kind to him. Boehner has struggled to move legislation through his chamber, as the recent embarrassing failure of the farm bill showed. His biggest victories have primarily been symbolic, like the legislation dealing with abortion that has no chance of passing the Senate. If his goal is to bring together the various factions of his party into common accord behind key legislation, he has repeatedly failed.

How can Boehner have any success with immigration? After watching the collapse of the deal with farm legislation, it seems difficult to fathom how he can stitch together a majority that will stay on board with this bill. When the bet is between failure and success, most Washington observers would bet on failure.

Yet Boehner does have some tools at his disposal. Most importantly, he can work with external organizations to lobby House Republicans, namely, religious and business organizations. Both these groups have shown strong support for immigration reform and they have considerable clout in gerrymandered districts that President Obama can never reach.

A large number of religious groups, including evangelical Christians, have called on Congress to pass the reform. Ralph Reed, one of the most influential members of the religious right in recent years and who is the chairman of the Faith and Freedom Coalition, said: "As people of faith, this is not just an economic and security issue; it is a moral issue. This bill, while not perfect, is an important starting point to reforming and modernizing U.S. immigration law so it reflects faith-based principles of compassion for the alien, the primacy of the family, respect for the rule of law, and protecting U.S. security and sovereignty."

This strategy has worked before. When Southern Democrats were filibustering the Civil Rights Act of 1964, religious organizations helped the Johnson administration persuade Midwestern Republican senators to vote for cloture.

Business groups, traditionally a driving force for immigration liberalization, can also help Boehner. Given their immense clout within the party as well as within specific districts, business groups should flex their financial muscle to pressure members into voting yes.

Boehner needs to threaten House Republicans that he could work out a deal with Democrats and moderates in the party. Boehner has generally adopted a model of leadership in which he follows the lead of his caucus. If enough Republicans don't agree with a path to citizenship and believe that passing this legislation will threaten their majority, then he should follow their demands.

But another model of congressional leadership is to try to shape his caucus rather than having it shape him. As the Emory political scientist Randall Strahan detailed in his book, "Leading Representatives," there is a history of speakers, such as Henry Clay, Thomas Reed and Newt Gingrich, who have taken enormous risks to push their caucus in new directions.

This is a strategy that could produce historic legislation. This is the path that Speaker Tip O'Neill took, to the chagrin of many liberals, when he worked with President Reagan's administration to pass the tax cut of 1981. Rather than standing in the way of the tax cut, O'Neill decided to sign on and demanded goodies for Democratic constituencies. House Democrats, who had little love for Reagan, had little choice but to join their speaker, knowing that they were going to lose.

With the case of immigration, Boehner could enter into a dramatic bipartisan alliance that would leave him with much greater national clout. Even the threat of an alliance might be sufficient to move enough conservative House Republicans, who sense that defeat is inevitable and decide that they might as well win some credit for the victory.

Finally, there is always the power of pork. When Lyndon Johnson, as Senate majority leader, had to craft a deal over the Civil Rights Act of 1957, one of the tools he used to win over Western senators to vote in ways that were helpful to him was to convince Southerners to support a major water project in Arizona. Today, the tools of pork are not as voluminous. A stringent budget and limits on earmarks have taken away some of the tools that the leadership depends on. Yet there is still pork to go around.

While tea party Republicans allegedly don't like this, nothing could be further from the truth. In 2011, an investigation by Newsweek found how, despite their rhetoric, tea party Republicans have made the same kind of demands for money in their districts as others. Virginia's Eric Cantor, House majority leader, for instance, pressed for transportation funding in his home state even while deriding Congress for its spending habits.

All these tools offer Boehner some path and muscle to make the impossible possible. If the immigration bill goes down to defeat in the House it would be a huge blow to those desperately seeking a path to citizenship, to the national standing of the GOP and to Boehner. His power as a legislative leader would totally vanish, and other than tea party Republicans, there would be little support for him.

All speakers face historic turning points, and immigration is Boehner's. The outcome of the debates will overshadow all the budget wars and everything that follows. Whether the speaker is up to meeting this challenge remains to be seen in the coming weeks.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: All eyes have turned to the House to see if immigration bill will pass

@highlight

Zelizer: This is a massive opportunity for House Speaker John Boehner to make history

@highlight

He says Boehner has several tools to shore up support so the key legislation can pass

@highlight

Zelizer: All speakers face historic turning points, and immigration is Boehner's