(CNN) -- No longer is the promised land of Apple's App Store reserved for technical wizards.

DJ Felli Fel's month-old iPhone app, powered by Mobile Roadie, has been downloaded a few thousand times.

Just as everyone can publish their own blog on the Web, now developers are making it possible for everyone to make their own applications for iPhones.

Both emerging start-ups and veteran developers for mobile platforms are making uploading and updating content on a mobile device accessible with dedicated content management systems (CMS) and service-based subscriptions.

Mobile Roadie is one start-up solution that allows clients to stream music, link to iTunes and YouTube, post news and photos and integrate their other social profiles such MySpace, Twitter and Facebook into one handy interface.

"Mobile Roadie was created because we felt that the current solution of paying $20,000 for an iPhone app is only viable for the top 0.001 percent of all musicians, and yet an iPhone app is a great way to promote and sell music and shows and to give the band a greater connection with their fans," says Michael Schneider, CEO of Mobile Roadie developers and designers Fluidesign.

The Mobile Roadie package includes creation of the application itself, submission to the App Store, a Web-based CMS, hosting of content, bandwidth and the first 1,000 downloads (subsequent downloads costs 1 cent each per month). If the client decides to charge for the app, Mobile Roadie takes 10 percent of the price, while Apple takes a standard 30 percent.

And while there are several other players on the mobile market, the undisputed favorite among mobile operating systems -- for now, at least -- is indeed the much-touted Apple iPhone OS.

"The iPhone platform has proven to be a great opportunity for mobile developers, bringing a well-regulated market along with a solid development platform and, most importantly, very well-designed terminals," says Fiore Basile, CTO of iPhone developers 8080.

Print on demand

The Italian company 8080 has been making mobile software since 2001 and focuses exclusively on creating iPhone-based apps and services for publishing, music and advertising.

8080's nostalgia for traditional fine print design is explicit in its existing iPhone apps: Frontpages simulates a newsstand displaying PDF files of newspaper front pages that link to their Web sites and/or RSS feeds; Lettera simulates an old-fashioned mechanical typewriter, complete with sound effects.

So rather than create an application optimized for mobile devices with flowing text, 8080's PageStreamer encourages clients to upload pre-formatted PDF files to a CMS that converts their content into individual page sections, which can be magnified via the iPhone's touch screen.

"Our main goals are to preserve the richness of content and graphical style of the printed newspapers, still loved by readers worldwide, while taking advantage of Apple's platform for presenting and delivering the content in a pleasant way," says Basile.

Perhaps more relevant to today's printed-press financial conundrum are the growing number of (mostly free) mobile news applications that run parallel to a news organization's Web site. The best of these optimize mobile browsing of headlines and thumbnails, reading articles, listening to audio, viewing photos and videos, while searching, saving and sharing content.

The best of the best also cache the essentials for free off-line consumption and enjoyment, thus reviving the pleasure of reading, watching or listening to media on a traditionally unwired, portable support (like a book, magazine or newspaper).

Kanchoo lets news organizations create their own iPhone applications to do just that, not only adapting content to the mobile screen but also downloading and updating when online in a single elegant sweep.

"We try to make the Kanchoo apps fully functional while you aren't connected and while updating," says one of the Kanchoo developers, William Taysom.

"Nearly half of the iPhone OS devices in the world are the iPod touch. These devices only have support for WiFi, and wireless is sometimes unavailable when you might want to read the news. It's very important to provide a good experience in these cases."

Kanchoo is based on the idea that information should flow seamlessly through a wide range of media, where mobile is emerging as a primary platform. For this reason, Kanchoo apps also support XML data, which allows content-providers to feed the same information into several different applications across platforms.

Mobile challenges to Apple

But how long will the iPhone OS's crown remain unchallenged?

While heavily branded devices such as the Amazon Kindle and Hearst e-readers reach out to the mobile news market with large flat screens and e-ink, other mobile brands are carefully strategizing their own shares.

Kanchoo developer Aaron Farr believes that Google's open-source Android platform may take a few years to be delivered on enough handsets to go truly mainstream, but "no other mobile platform is standing still."

"There's much anticipation about Palm Pre. Blackberry is still extremely popular in certain markets. And Nokia will not allow Symbian to lose market share without a fight. I think we're at the beginning of trends which will reshape the mobile market significantly in the next couple of years," he says.

On the television and video end of the media content spectrum, Mobiclip has developed technology that allows clients to use a CMS to upload and stream live TV and radio, as well as on-demand videos, directly to a number of mobile platforms.

"Mobiclip is already available for Symbian, Windows Mobile, Linux and Nintendo consoles. Android is being developed," assures Mobiclip's vice-president of marketing Denis Pagnac.

Two of Mobiclip's current apps stream uninterrupted, high-quality live FRANCE 24 television programming or Deutsche Welle radio direct to an iPhone or iPod touch, effectively bridging the last remaining gaps between traditional and emerging media platforms.

And if one of the biggest challenges to news organizations is devising a viable business model for online content, all of the above-mentioned iPhone-app solutions also offer optional advertising services, as well as statistical usage reports, to further capitalize on their mobile presence.

"We are developing a new ecosystem, where people are consuming more mobile content on bigger screens, in good quality and with a predictable business model," says Pagnac.

@highlight

Companies provide tools for non-developers to manage their own iPhone apps

@highlight

Start-ups offer comprehensive package for one set-up fee plus monthly charge

@highlight

News organizations are target market for mobile solutions using XML and CMS

@highlight

Live TV and radio can be streamed in high quality to more and more mobile devices