Want to pick up a pack of cigarettes with your prescription refill? A major U.S. pharmacy chain is breaking that habit.

CVS Caremark announced Wednesday it will stop selling cigarettes and other tobacco products at its CVS/pharmacy stores by October 1.

The retailer said the move makes CVS/pharmacy the first chain of national pharmacies to take tobacco products off the shelves.

"Ending the sale of cigarettes and tobacco products at CVS/pharmacy is the right thing for us to do for our customers and our company to help people on their path to better health," Larry J. Merlo, president and CEO of CVS Caremark, said in a statement. "Put simply, the sale of tobacco products is inconsistent with our purpose."

CVS Caremark is the largest pharmacy in the United States based on total prescription revenue, according to the company. It operates more than 7,600 CVS/pharmacy stores nationwide in addition to more than 800 MinuteClinics, which are medical clinics within the pharmacy locations.

Health-oriented organizations and President Barack Obama praised the move.

"As one of the largest retailers and pharmacies in America, CVS Caremark sets a powerful example, and today's decision will help advance my administration's efforts to reduce tobacco-related deaths, cancer, and heart disease, as well as bring down health care costs -- ultimately saving lives and protecting untold numbers of families from pain and heartbreak for years to come," Obama said in a statement Wednesday.

"This is an important, bold public health decision by a major retail pharmacy to act on the long understood reality that blending providing health care and providing cigarettes just doesn't match," said Dr. Richard Wender, chief cancer control officer at the American Cancer Society.

"We need an all-hands-on-deck effort to take tobacco products out of the hands of America's young generation, and to help those who are addicted to quit," Health and Human Services Secretary Kathleen Sebelius said in a statement. "Today's CVS Caremark announcement helps bring our country closer to achieving a tobacco-free generation. I hope others will follow their lead."

It remained unclear whether other pharmacies will follow CVS' lead.

"We have been evaluating this product category for some time to balance the choices our customers expect from us with their ongoing health needs," Walgreens spokesman Jim Graham said in a statement.

"We will continue to evaluate the choice of products our customers want, while also helping to educate them and providing smoking-cessation products and alternatives that help to reduce the demand for tobacco products."

Meanwhile, David Howard, spokesman for R.J. Reynolds Tobacco Co., said, "We value the long-term relationship with CVS and respect their commercial decision. We will work with them as they transition out of the tobacco category in the coming months."

Stopping cigarette sales comes at a price. CVS Caremark estimates it will take an annual loss of $2 billion from tobacco shoppers -- $1.5 billion in tobacco sales and the rest from other products tobacco shoppers purchase while in the store.

The company has enjoyed growing revenues in recent years, boosted by its pharmacy services business and prescription drug sales.

CVS Caremark hasn't reported its year-end results yet, but it took in nearly $94 billion in revenues in the first nine months of 2013, up slightly from the same period in 2012, according to its most recent earnings report.

In 2012, CVS Caremark reported $123.1 billion in revenues, a 15% jump from $107.1 billion the previous year.

"We commend CVS for putting public health ahead of their bottom line and recognizing the need for pharmacies to focus on supporting health and wellness instead of contributing to disease and death caused by tobacco use," the American Medical Association said.

Asked Wednesday about the reaction of tobacco executives to the decision, CVS Caremark's Merlo said they were "disappointed. At the same time, I think they understand the paradox that we face as an organization, and they understand the rationale for the decision."

On whether CVS would extend its ban to other products known to be unhealthy -- candy, potato chips or alcohol, for instance -- Merlo told reporters those items, in moderation, do not have the same adverse effects as the use of tobacco.

We know it can kill us: Why people still smoke

Helping people quit

The company also announced Wednesday it plans to launch a national smoking-cessation program in the spring. The program will include information and treatment on smoking cessation at CVS/pharmacy and Minute Clinic locations in addition to online resources.

Members of the pharmacy benefit management plan will be able to access comprehensive programs to help themselves stop smoking.

Smoking-cessation products such as nicotine patches or gum will continue to be available at CVS/pharmacy locations, Dr. Troyen Brennan, chief medical officer for CVS Caremark, said Wednesday.

The last cigarette: Nine ex-smokers who quit the habit for good

Fewer people smoke today than in the mid-20th century, but there are still a lot of Americans lighting up. In 1965, 42% of the population smoked, compared with 19% today, according to the Centers for Disease Control and Prevention. Experts said the decline in smoking has plateaued.

It's no secret that tobacco causes health problems. Cancer, stroke, heart disease and lung diseases are among the results of smoking, according to the CDC. More than 5 million deaths per year are caused by tobacco use. Smokers also tend to die 10 years before nonsmokers, according to the CDC.

Support from public health advocates

The company's announcement is "a huge step toward our country being able to have a really long-lasting culture of health," said Dr. Risa Lavizzo-Mourey, president and CEO of the Robert Wood Johnson Foundation, the largest U.S. philanthropy devoted to public health.

In addition to eliminating a point of sale of tobacco, CVS Caremark's removal of tobacco products also takes away an advertising opportunity, said Robin Koval, president and CEO of Legacy, an organization that conducts research on tobacco use. Young people who shop at CVS/pharmacy for other reasons will no longer see the array of tobacco products available.

"It's obviously a landmark decision and one that I hope wakes up the entire retail industry that it's the right thing to do," Koval said.

FDA launches teen anti-smoking campaign

A report from the California Department of Public Health found that while total cigarette sales decreased between 2005 and 2009 in the United States, sales in pharmacies increased. If sales of cigarettes at pharmacies continue rising at the current rate, by 2020 almost 15% of all U.S. cigarette sales will occur at pharmacies, the report said.

According to a 2011 study in Los Angeles, cited in the report, more than 32% of pharmacies sold cigarettes, and traditional chain pharmacies were far more likely to sell cigarettes than independently owned pharmacies.

Wender noted the CVS move is in line with what the American Cancer Society, American Heart Association, American Medical Association, American Lung Association and American Pharmacists Association have advocated: to stop sales of tobacco in retail outlets with pharmacies.

On the other side of the issue, there is a lot of money in tobacco. The cigarette industry spent $8.37 billion in 2011 on advertising and promotions, according to the CDC.

Most tobacco is sold in convenience stores, which would be "a tougher nut to crack" in terms of stopping tobacco sales, Wender said.

But pharmacies are a good place to start, Wender said. He is convinced the removal of tobacco products from CVS/pharmacy locations will result in some smokers quitting, particularly those who have a habit of buying their cigarettes there.

"It's going to force every one of them to pause and say, 'Why isn't my CVS selling cigarettes anymore?' " Wender said.

How you can prevent most kinds of cancer

@highlight

Walgreens says it is "evaluating this product category"

@highlight

Tobacco will no longer be sold at CVS/pharmacy stores as of October 1

@highlight

President Barack Obama praises the move by CVS Caremark

@highlight

It's the first chain of national pharmacies to stop selling tobacco