Paris (CNN) -- France and Germany would like heads of state to meet monthly to look at the economic governing of the eurozone, French President Nicolas Sarkozy said Monday.

Sarkozy and German Chancellor Angela Merkel were meeting in Paris Monday to discuss ways to safeguard the euro by increasing economic and political "convergence."

"Germany and France are the two big economies of Europe. To risk us diverging is to risk us destroying Europe. The crisis requires of us an extra commitment for unity and Europe will not redo the mistakes of the past," Sarkozy said after their meeting.

The two leaders agreed on a new fiscal pact that they say will help prevent another debt crisis.

The pact, which will be presented in detail at a meeting of European leaders later this week, will involve amending or rewriting the treaties that govern the European Union, the leaders said.

The leaders of Italy and the Netherlands met earlier Monday, and Ireland's prime minister is due to announce new budget-cutting measures later the same day.

Merkel Friday told lawmakers that a fiscal union was in the works, an effort to correct a basic flaw within the EU -- that it has a common currency and shared monetary policy, but no mechanism to ensure that all members are financially sound.

"We are beginning to create the fiscal union," Merkel said. But she stressed that the European debt crisis will not be resolved overnight, saying the process "will take years."

On Thursday and Friday, government leaders from all 27 EU nations will meet in Brussels for what is expected to be the final meeting of the European Council in a year that has seen more than its fair share of such summits.

Merkel and Sarkozy both said last week that a fiscal pact should be written into the EU treaty so that budget rules can be properly enforced through broader oversight and automatic penalties for nations that fail to comply.

In a sign of what's at stake for the United States, Treasury Secretary Tim Geithner will spend most of this week in Europe to meet with top officials, including Sarkozy and the newly appointed Italian Prime Minister Mario Monti.

President Barack Obama has called the crisis a serious threat to the U.S. economy, noting that Europe is one of America's biggest trading partners.

While Merkel and Sarkozy agree on the need to form a fiscal union, they appear to be at odds over what that would mean.

Last Friday, Merkel again ruled out the creation of eurobonds, which could drive up borrowing costs for creditworthy nations such as Germany. The European Commission has proposed issuing so-called stability bonds as part of a plan to pool government debt across Europe.

Merkel also stressed that the ECB should remain independent, underscoring the deep opposition in Germany to the central bank risking inflation by printing money to prop up troubled governments.

Sarkozy also said the ECB should remain independent, but he sounded much less draconian than his German counterpart.

"Naturally, the European Central Bank has a role to play," said Sarkozy. He did not want to debate what that role would be, but Sarkozy did say the ECB would act to prevent a deeper economic downturn in Europe.

Late Sunday, Italy, which has sparked worry over its weighty debt and rising borrowing costs, unveiled a budget proposal that included â‚¬30 billion ($40 billion) in new taxes and spending cuts over two years, including reductions to future pensions.

About â‚¬20 billion ($27 billion) would come from cuts, including major changes to how Italian workers' pensions are calculated and a one-year increase in retirement ages, effective in January, Monti announced Sunday night.

In announcing the cuts, Monti -- who also serves as finance minister -- said he would take no salary for either position. The proposal still needs parliamentary approval.

CNNMoney's Ben Rooney contributed to this report.

@highlight

The European Union is considering a drastic overhaul of its powers

@highlight

French President Nicolas Sarkozy hosts German Chancellor Angela Merkel

@highlight

They disagree on how much authority the EU should have over national budgets

@highlight

Ireland is set to unveil new budget-cutting measures