(CNN) -- "About 20" cases of a polio-like syndrome have been identified in California children over the past 18 months, a Stanford University researcher says.

Dr. Keith Van Haren, a pediatric neurologist at Lucile Packard Children's Hospital Stanford, has written a report about five of the early cases.

In that report, which will be presented in April at the American Academy of Neurology's annual meeting, neurologists said they had identified five patients who developed paralysis in one or more of their limbs between August 2012 and July 2013. All five children had been vaccinated against the poliovirus. Treatment did not seem to help the children regain their motor function.

Samples from two of those children tested positive for enterovirus 68, a rare virus that has been linked to severe respiratory illness in the past. Samples from the other three children were not collected or tested soon enough to yield conclusive results, said Dr. Emmanuelle Waubant, a neurologist at the University of California, San Francisco.

"About 20 cases have been identified in the U.S. so far, all in California, and all occurring in the past 18 months," Van Haren said in an online posting Monday on the hospital's website.

Sofia Jarvis is one of the children affected. Her mother, Jessica Tomei, told reporters Monday night the family is speaking out to raise awareness of the condition.

Sofia experienced what doctors thought was asthma and spent four days in the hospital, her mother said. As the family was leaving a follow-up pediatrician visit, Sofia reached for a toy out of the doctor's "treasure box." "I saw her left hand, mid-grasp, stop working," her mother said.

"We did not realize what we were in store for," Tomei said. Sofia, who had received a polio vaccination, had spinal cord inflammation, and her left arm is permanently paralyzed.

The paralysis surfaced at age 2, according to Stanford. Sofia is now 4.

Today, she is doing well, Tomei said, but trying to tie her shoes or get dressed -- things she "would normally be learning, we're going to have to find a new way of doing."

Waubant and her colleagues are asking health care providers to be on the lookout for similar cases and send in samples from any patient exhibiting these symptoms.

"We want to temper the concern because, at the moment, it does not appear to represent a major epidemic but only a very rare phenomenon," Van Haren said.

Van Haren and Waubant spoke with reporters Monday night, and Van Haren said that although they have found five cases, there are "preliminary reports of several more."

In the cases, he said, children experience a "sudden onset of flaccid weakness that can occur over the course of hours," affecting one or more limbs.

"The prognosis that we've seen so far is not good," he said. Most of the children have not recovered use of the most severely affected limb, although some recovery has been seen in less-affected limbs.

The condition is associated with "severe weakness," Waubant said. "It's not just dropping a toy; it's more like not being able to move your arm at all."

Polio-like illness found in five California children

Dr. Carol Glaser, chief of the Encephalitis and Special Investigation Section at the California Department of Public Health, said the state is aware of the paralysis cases but believes the risk to families is low.

"We are evaluating cases as they are reported to us," Glaser said in an e-mail to CNN. "We have not found anything at this point that raises any public health concerns."

The department "is taking these reports very seriously," Van Haren said.

The phenomenon, he added, is not entirely new, as similar outbreaks have been seen across the world.

The poliovirus has been eradicated in the United States for more than 30 years. Only three countries in the world are not yet free of the disease: Afghanistan, Pakistan and Nigeria, according to the World Health Organization.

Why polio hasn't gone away yet

Poliovirus is part of the Picornaviridae family, which also includes enteroviruses and rhinoviruses (better known as the common cold). There are more than 100 types of enterovirus that cause 10 million to 15 million infections in the United States each year, according to the Centers for Disease Control and Prevention.

Most people who become infected with an enterovirus do not get sick or experience only mild symptoms, said Dr. Steven Oberste, chief of the Polio and Picornavirus Laboratory Branch at the CDC. Common symptoms include fever, runny nose, cough, skin rash and body aches.

Enterovirus is often the cause of "summer colds," whose cases spike in July, August and September. Children and teens are more likely to fall ill because they have not yet built up immunity to these common viruses.

However, some types of enterovirus are more serious. These can cause hand, foot and mouth disease; viral meningitis; encephalitis (inflammation of the brain); an infection of the heart; and paralysis in some patients.

Enterovirus 68 was first identified in a California lab in 1962 after four children came down with a severe respiratory illness. Between 1970 and 2005, only 26 cases of enterovirus 68 in the United States were reported to the CDC. Since 2000, the government agency has kept a closer watch and has seen 47 cases, Oberste said. Outbreaks have occurred over the years in Asia and Europe, but it's still one of the rarest types of enterovirus.

More common -- and more concerning to health officials -- is enterovirus 71, which was discovered by the same California lab in 1969, Oberste said. Enterovirus 71 is usually associated with severe neurological issues, including aseptic meningitis, polio-like paralysis and encephalitis. Waubant is not sure if the samples from this latest group of patients were tested for enterovirus 71.

According to a CDC report, several outbreaks of paralysis caused by enterovirus 71 were seen in Europe in the 1960s and 1970s. In the late 1990s and early 2000s, fatal encephalitis was a big problem in Malaysia and Taiwan.

"Ever since then, the virus has circulated in high levels in Southeast Asia," Oberste said.

In recent years, the outbreaks have spread to Australia; a cluster of cases near Sydney drew media attention in 2013.

Between 1983 and 2005, 270 cases of enterovirus 71 were reported in the United States. But none has resulted in a larger outbreak despite the infectious nature of the virus.

"That's the really odd thing," Oberste said. "We see cases from time to time in the United States. Occasionally they'll be severe. Basically it's identical to what's circulating in Asia ... but it doesn't cause the same big outbreak in disease. And we really don't know why."

The CDC is aware of the small cluster of cases in California but is not actively involved in an investigation, a spokesman told CNN. Waubant and her colleagues don't want to alarm anyone with their case report presentation; they're simply seeking help in finding the cause of these seemingly connected cases.

Parents need to know that vaccination is key to preventing polio from returning to the United States, Glaser said. While there is no vaccine to protect you from a non-polio enterovirus, washing your hands frequently and avoiding close contact with others who are sick can help.

@highlight

Neurologist: Cases don't seem to be "a major epidemic but only a very rare phenomenon"

@highlight

Some children tested positive for enterovirus 68, a rare virus linked to respiratory illness

@highlight

Another type, enterovirus 71, is more commonly linked to paralysis

@highlight

Both are uncommon in the United States; health officials say risk is low