The Rijksmuseum, home to one of the world's most celebrated collections of art and historical artifacts reopened Saturday after a 10-year, $489 million rebuilding project which saw many of its treasures travel the world while the gallery was closed.

Queen Beatrix of the Netherlands performed the opening ceremony in Amsterdam, one of her final official duties before she abdicates at the end of the month.

Once open, the Rijksmuseum will welcome visitors 365 days a year.

Thousands attended the ceremony and poured into the museum, eager to reacquaint themselves with old favorites including Rembrandt's "Night Watch," Vermeer's "Milkmaid," and Frans Hals' "Merry Drinker," or to catch a glimpse of new highlights: An Yves Saint Laurent "Mondrian" dress, a 16th Century sculpture of the "Mater Dolorosa," or a war plane dating to 1917.

Interactive: Explore Rembrandt's 'Night Watch'

"It is the beginning of a new era, an exciting new future for a new museum, the museum of the Netherlands," says Rijksmuseum director Wim Pijbes. "Everything is new.

"Everything has changed, the only thing that hasn't is 'The Night Watch'. It is the altarpiece of the Rijksmuseum, and the whole place is arranged around this beautiful masterpiece."

The new chronological displays place paintings and historical objects alongside each other "to give context," says Pieter Roelofs, curator of 17th century art at the museum. The aim, he says, is "to tell stories, to tell the story of Dutch history and culture."

"We want to give visitors a sense of time, and a sense of beauty," says Taco Dibbets, director of collections. "When you enter the Rijksmuseum, you are transported into another world -- the world of Rembrandt, of Vermeer and of Mondrian."

The renovation has seen some parts of the gallery, designed by Pierre Cuypers, restored to their former glory.

The original entrance hall's opulent stained glass and wall paintings, considered so cathedral-like they sparked protests in fiercely Protestant Amsterdam in 1885, are back. The four-story library, featuring ornate ironwork, a vertiginous spiral staircase and 5.4km (3 miles) of bookshelves, is open to the public for the first time.

But huge swathes of the gallery have been radically modernized -- Spanish architects Cruz y Ortiz have stripped out the makeshift galleries installed in the museum's courtyards over the decades. In their place is a huge, bright and airy atrium.

Interior architect Jean-Michel Wilmotte has overseen the removal of all potentially distracting elements from the galleries: Gone are the colored walls, heavy drapes and gloomy display cabinets.

Instead the jewel-like paintings are hung on minimalist gray walls, priceless items are displayed in ultra-clear glass boxess. If glass boxes are not absolutely necessary, we don't use them," insists Roelofs. The whole collection is illuminated with the latest LED lighting.

But while the displays themselves are the height of modernity, there is one 21st Century touch missing from the galleries: "There are no video screens and no computer screens in the galleries," says Dibbits. "We believe the works of art should speak for themselves."

In any case, the experts say, most visitors interested in a high-tech view of the collection will have smartphones or tablets with which to access the Rijksmuseum's new website.

While the main museum was under reconstruction, some of its best-known artworks, including "The Night Watch" were kept on display in a small annexe. Others were lent to exhibitions around the world, from Los Angeles and Vancouver, to Sao Paulo, and to Sendai, after the 2011 Japanese earthquake.

@highlight

Amsterdam's Rijksmuseum reopens after a 10-year, $489 million rebuilding project

@highlight

Queen Beatrix of the Netherlands opens gallery -- one of her final duties before abdicating

@highlight

The new-look Rijksmuseum showcases 8,000 works of art spanning 800 years of Dutch history

@highlight

At its heart is Rembrandt's "Night Watch," which the original museum was built around