(CNN)Was the Middle East better off under dictatorships? It is certainly tempting to think so when one looks at conflicts in the region today, from Yemen to Libya to Syria.

Those three countries have followed different trajectories since the start of the Arab Spring in 2011, but what they have in common now is instability that is not likely to be overcome in the short term.

While this instability is making the West -- particularly the United States -- uncomfortable, it is also a direct result of the West's own stance towards dictatorships in the region prior to and during the Arab Spring. The West's shortsightedness in handling the Middle East throughout its modern history has directly contributed to its current devastation.

Before 2011, what the West most valued in the Middle East was stability rather than democracy. Arab dictatorships were tolerated for decades despite their cruelty because they served Western economic, political, and security interests.

In Egypt, Hosni Mubarak was seen as the bulwark of peace with Israel. In Libya, a reformed Moammar Gadhafi was courted for potential investment and trade agreements. In Syria, Bashar al-Assad was a predictable leader who maintained the Golan Heights as a conflict-free zone. In Yemen, Ali Abdullah Saleh was regarded as an ally against al Qaeda.

Dictatorships kept the status quo manageable. Government suppression of activism and of the alternative voices of civil society and independent media meant that top-down decisions were rarely contested. This pretty much guaranteed that Western interests would be served without too many complications.

In return, Arab dictators enjoyed Western financial and military aid and political reassurances. Yemen was the epitome of this dynamic. Saleh courted and was courted by American diplomats who turned a blind eye to his transgressions, from arms smuggling to forcing new businesses to include him as a "partner" so that he could ensure a cut in the profits, while most Yemenis lived below the bread line.

READ MORE: How we got here in Yemen

Saleh's value was in engaging in the "war on terror" through allowing American drones to strike al Qaeda in the Arabian Peninsula. The fact that he used this engagement as an excuse to ask for military assistance for Yemen -- which in reality was used to equip what would become a private army -- was considered a small price to pay by the United States.

When the reality of living under dictatorships became exposed with the Arab Spring, the West could no longer ignore it and had to publicly declare support for the uprisings. But the West did not have a long-term strategy for handling the aftermath of dictatorships -- and the results have been catastrophic.

Libya saw hasty international military intervention without a vision for stabilizing the country, and today is falling apart. Syria saw diplomatic toing and froing that eventually dragged the West into a messy war.

Yemen was for a while thought of as an acceptable compromise because of the Gulf Cooperation Council's initiative that ended the uprising through a negotiated transition from Saleh to his deputy Abd Rabbuh Mansour Hadi. But the long-term implications for this transition were ignored and Yemen today is paying the price.

Yemen summarizes all the ills of dictatorships and their handling by foreign patrons. The West was naïve to think that Saleh would simply accept his removal from power. In an ironic turn of events, he has found in the Houthi rebels-- who had been marginalized under his rule and became even more so under Hadi -- an unlikely ally to regain influence.

Saudi Arabia was also naïve in thinking that Houthi rule in northern Yemen would be better than having a political presence for the Muslim Brotherhood -- the Kingdom's staunchest political foe -- in Sanaa.

The Saudis and the West ignored the simmering sectarian tensions between the Zaidi Houthis and the Sunni tribes of Yemen, not to mention the popular anger at U.S.-led drone attacks that sometimes killed civilians. They also ignored Iran's rising ambitions; why would the Houthis -- Iran's allies -- limit themselves to northern Yemen if they could also expand southwards and rule the whole country?

The situation in Yemen today shows that even though the status quo under dictatorships may have appeared stable, beneath the surface volcanoes were preparing to erupt.

Dictators may keep a country secure, but they do that at the expense of their own people. They may support the West's interests, but they will turn against them whenever their own interests are threatened.

Although many today lament that the Arab Spring has turned into an Arab Winter, the conflicts emerging across the Middle East are largely the result of the political, economic, and social ills of dictatorships and the conditions that had sustained them. They have come to the surface because the lid has been lifted.

But the current misery in the Middle East still does not mean that the region was better off under dictatorships. The aftermath of dictatorships is always messy, and democratic transition is never linear.

Those with nostalgia for the days of Arab strongmen should remember that autocratic regimes plant the seed of future unrest and therefore only offer false, temporary security -- even if "temporary" takes a few decades to pass.

@highlight

Khatib: West supported Mideast dictators until it became unpalatable in 2011

@highlight

Khatib: West's lack of a plan for aftermath of dictatorships has been catastrophic