Washington (CNN) -- Two influential Republican senators said Sunday they oppose any effort by House Republicans to cut funding for U.S. participation in the Libya military mission.

The comments by conservative Sens. John McCain of Arizona and Lindsey Graham of South Carolina came on the 90th day of the Libya campaign -- which House Speaker John Boehner says is the deadline in the War Powers Resolution for the Obama administration to get congressional authorization it has yet to seek.

Boehner, R-Ohio, said last week that cutting funding for the mission was an option that the Republican-controlled House will consider when it takes up a defense appropriations bill this week. He contended that President Barack Obama has failed to comply with the War Powers Resolution, and that the main tool Congress has to respond is to control the spending.

However, McCain and Graham told Sunday talk shows such a move would send the wrong signal and undermine NATO allies leading the Libya mission with U.S. support.

"If we do not continue this effort in Libya, if (Moammar) Gadhafi remains in power, it could have profound consequences," McCain said on the ABC program "This Week."

Graham, appearing on NBC's "Meet the Press," adhered to longstanding conservative dogma by declaring that the War Powers Resolution of 1973, which limits the ability of the president to unilaterally engage U.S. forces in combat, is unconstitutional.

He also said the ouster of Gadhafi, the Libyan leader, was in the U.S. national interest, because failure to do so would undermine the U.S. standing in the world, cause oil prices to rise and send Libyan refugees streaming across the border into an already fragile Egypt.

"The president's done a lousy job of communicating and managing our involvement in Libya, but I will be no part of an effort to de-fund Libya or to try to cut off our efforts to bring Gadhafi down," Graham said, later adding that Obama "needs to step up his game with Libya but Congress should sort of shut up and not empower Gadhafi."

Outgoing Defense Secretary Robert Gates also backed the Libyan mission, saying Obama was right to limit the scope of U.S. involvement and that he believes the president has complied with the War Powers Resolution.

"What was going on in Libya was considered vital interest by some of our closest allies. Those are the same allies that have come to our support and assistance in Afghanistan," Gates told CNN's "State of the Union." "And so it seems to me the kind of limited measured role that the president decided on, in support of our allies who did consider it a vital interest, is a legitimate way to look at this problem."

In a separate interview on "Fox News Sunday," Gates noted the war powers debate dates back several decades and administrations.

"Frankly, I think cutting off funding in the middle of a military operation when we have people engaged is always a mistake," Gates said, later adding: "I believe that President Obama has complied with the law, consistent in a manner with virtually all of his predecessors. I don't think he's breaking any new ground here."

In a letter to Obama last week, Boehner strongly disagreed, saying the president would be in violation of the War Powers Resolution starting Sunday for failing to secure congressional authorization.

Passed in 1973, the War Powers Resolution gives the president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end the hostilities.

In response to Boehner's letter, the White House sent Congress a 32-page report that asserted Obama didn't need congressional authorization because the U.S. forces play only a supporting role in Libya and don't engage in what the War Powers Resolution defined as hostilities.

"We're obviously not changing our mission," White House Press Secretary Jay Carney said Friday, later adding: "What we have said is that our role in this mission, our support role and the kind of engagement we have right now, does not meet, in our legal analysis, ... the threshold set by the War Powers Resolution for congressional action."

Later Friday, Boehner said he specifically asked if the Justice Department's Office of Legal Counsel agreed with the administration's legal analysis, and that the White House's failure to answer that question made cutting funds for the mission a possibility.

"The House of Representatives will not allow the White House to continue skirting its obligations to the American people, this Congress, and the laws of this nation," Boehner said in a statement. "Over the coming week, our members will review all options available to hold the administration to account."

At the Justice Department, deputy spokesman Tracy Schmaler seemed to acknowledge that opinions differed over interpreting the mission's compliance with the War Powers Resolution.

"Our views were heard, as were other views, and the president then made the decision as was appropriate for him to do," Schmaler said.

On the ABC program, McCain called for passage of a resolution he drafted with Democratic Sen. John Kerry of Massachusetts that supports the Libyan mission, which he said would serve as congressional authorization under the War Powers Resolution.

House Republicans aren't the only ones challenging the Libya mission. A bipartisan group of 10 House members has filed a federal lawsuit challenging Obama's power to commit U.S. forces to the Libya mission.

Congressional opponents of the Libya mission include liberals such as Rep. Dennis Kucinich of Ohio, who generally oppose any war effort, as well as some Republicans who complain its objective of civilian protection fails to match the stated U.S. goal of Gadhafi's ouster. The opponents also say the Libya situation could become a stalemate that drains resources at a time of mounting federal deficits that must be addressed.

The White House, however, says incremental progress is occurring through increasing diplomatic, political and military pressure on Gadhafi to step down. Carney repeatedly emphasized this week that Obama had kept his word to the American people that the initial U.S. leadership role in the mission would get reduced to a supporting role, and no U.S. ground troops would take part.

Carney suggested that Boehner is playing politics with the issue, noting that he previously questioned the constitutionality of the War Powers Resolution in a 1999 debate over former President Bill Clinton's push to take part in NATO bombing during the Balkans conflict.

Boehner's complaints this week "stand in contrast to the views he expressed in 1999, when he called the War Powers act, quote, 'constitutionally suspect,' unquote, and warned Congress to, quote, 'resist the temptation to take any action that would do further damage to the institution of the presidency,'" Carney noted.

John Yoo, a former Bush administration lawyer now with the American Enterprise Institute, also challenged Boehner's position on the matter.

In an op-ed published Friday by the Wall Street Journal, Yoo -- known for bedrock conservative views -- wrote that Boehner and other Republican opponents of the Libya mission are playing politics by arguing about the War Powers Resolution instead of using their budgetary authority to cut funding for the Libya mission.

"By accusing President Barack Obama of violating the War Powers Resolution, House Republicans are abandoning their party's long-standing position that the Constitution allows the executive to use force abroad, subject to Congress's control over funding," Yoo wrote. "Sadly, they've fallen victim to the siren song of short-term political gain against a president who continues to stumble in national-security matters."

Yoo called the lawsuit filed by seven Republicans along with Kucinich and other Democrats an "utterly futile" legal effort, adding that "the Supreme Court has consistently turned away every case disputing the president's decision to start wars abroad, and there is no reason to think it will change its ways now."

"Lawsuits only distract attention from the real weapons that Congress has to get its way and hold a wayward president accountable," Yoo wrote, saying House Republicans instead could try to de-fund military operations or other spending programs, or refuse to lift the debt ceiling until Obama either halts U.S. participation in the mission or gets congressional support.

Another option would be to launch an impeachment effort against Obama, Yoo said, adding that "holding hands with isolationist Democrats out of political convenience is no way to defend the Constitution."

Even though the Senate in March unanimously passed a non-binding resolution supporting a no-fly zone over Libya, some Republicans now express total opposition to the U.S. support for that effort.

"Our policy in Libya is substantially flawed," Rep. Michele Bachmann, R-Minnesota, said during last week's debate of GOP presidential hopefuls. She cited a litany of complaints -- the supporting U.S. role, a lack of vital national interest, unknown elements in the Libyan opposition being helped -- and said Obama "was absolutely wrong in his decision on Libya."

In its report on the mission, titled "United States Activities in Libya," the administration said the cost of military and humanitarian operations through June 3 was about $800 million. It estimated the total cost through September 30 would be $1.1 billion.

"Given the important U.S. interests served by U.S. military operations in Libya and the limited nature, scope and duration of the anticipated actions, the president had constitutional authority, as commander-in-chief and chief executive and pursuant to his foreign affairs powers, to address such limited military operations abroad," the report said, adding: "The president is of the view that the current U.S. military operations in Libya are consistent with the War Powers Resolution and do not under that law require further congressional authorization, because U.S. military operations are distinct from the kind of 'hostilities' contemplated by the resolution's 60-day termination provision."

In response, Boehner spokesman Brendan Buck called the White House arguments "creative," adding that Obama as commander-in-chief "has a responsibility to articulate how U.S. military action is vital to our national security and consistent with American policy goals."

"With Libya, the president has fallen short on this obligation," Buck said.

CNN's Dana Bash and Terry Frieden contributed to this report.

@highlight

Sens. McCain, Graham oppose de-funding Libya mission

@highlight

House Speaker Boehner warns Congress may cut funds over War Powers dispute

@highlight

U.S. officials say the limited U.S. role in Libya falls short of the law's scope

@highlight

Ten legislators are suing the government over the legality of the U.S. participation