With computer technology advancing at an ever bewildering pace, it's comforting to know that one little feature remains steadfastly future-proof and, more importantly, foolproof.

The USB (Universal Serial Bus) is as relevant today as it was when the 12 millimeter by 4.5 millimeter ports and cables first started appearing back in the late 1990s, providing users with a discreet and straightforward way of transferring data between a range of digital devices.

Today, more than 10 billion USB devices are believed to be in use around the world -- a statistic that has secured its co-inventor, Ajay Bhatt, a permanent place in computing's unofficial hall of fame.

"I was totally surprised by how it has impacted everybody. I mean, my name became a common name -- at least at schools and in technical communities," Bhatt said.

The engineer's high standing in computing circles was famously celebrated in a 2009 advertising campaign by his employers, Intel, where an actor portraying Bhatt strutted into a lab full of starstruck co-workers.

"I truly get a rock star treatment and that is quite unusual to me -- people asking for your signature, people asking for your picture."

His journey to digital immortality began in the early 1990s amid the growing tangle of chunky cables and portals which linked the separate devices on PCs and laptops.

One cable would talk to the keyboard, Bhatt recalls, while another would connect a modem. A different cable enabled printing, with another linking the hard drive to the monitor.

"It was more difficult than it needed to be," he says.

"You were looking at two devices with connecting wires and you wanted things to happen but the rules weren't that simple. It was very difficult for the average person to use it. All the technology at that point was developed for technologists by technologists."

He set about creating a single connection for computers across the entire industry. For six years he lobbied colleagues at Intel and then at other computer firms, urging everyone to jump on the bus.

"Initially, it was difficult for them to understand the merits. We had a big tent and we included everybody, we listened to everybody's input and tried to address them to the best of our abilities and that's why USB is successful," Bhatt said.

It was all easier said than done, he says, requiring a radical change in the industry's eco-system.

"In order to be successful in anything like this you have to look at the problem from their perspective. So, if I went to, say, Compaq -- which is now (owned by) Hewlett-Packard -- we used to think about their issues and what problems they faced," he said.

USB was good because it addressed some of the customer satisfaction issues while also helping computer hardware manufacturers to save money.

Bhatt's own commercial expectations for his invention were initially quite modest.

"I thought this was a (one off) $40 million opportunity," he says. "I couldn't imagine where USB has gone or where it will continue to go. This has exceeded the wildest of my imaginations."

The first model (USB 1) arrived on the market in the late 1990s and was an instant hit. Later versions -- USB 2.0 released 2000 and USB 3.0 which debuted in 2008 -- have vastly improved data transfer speeds.

"USB 3.0 is 400 times faster (than our original USB) and as we go forward I see USB going to 816 times faster," Bhatt says.

"It's evolving. The great part of USB is that the first device that you bought can still work with computers today, and hopefully it will work with computers in the future."

Today, around two billion USB's are shipped every year, with millions being sold every day.

But the project has never been about the money, says the 56-year-old.

"Somebody interviewed me once and they said, I don't know, I don't know, if I made a penny per USB point and Intel made a penny per USB point then we would have made a lot of money," he says.

"I think what we did was we created an open standard that everybody can benefit. What I am happy to see is that everybody participates in this eco-system and they are all making money."

The real bottom line for Bhatt though has been an enduring sense of worth in his own personal capital.

"I think for any engineer to see your ideas, your visions on a shelf on a store is an incredible feeling -- you know, because you created something, you imagined something," he says.

"A lot of people told you that this couldn't be done and then you go to the store or talk to users. They'll all delighted by the USB, how easy it is. It makes you feel good."

@highlight

Intel's Ajay Bhatt explains how he created industry standard USB device

@highlight

More than 10 billion USB devices are thought to be in circulation worldwide

@highlight

Bhatt worked hard to convince competitors that USB could benefit all parties financially

@highlight

The newest editions of USB device are 400 times faster than original models