(CNN) -- A U.S. Supreme Court ruling on Friday will enable a religious-affiliated non-profit and other groups like it to remain temporarily exempt from Obamacare requirements for covering birth control and other reproductive health they oppose on moral grounds.

The justices extended an injunction first granted on an emergency basis just before the New Year for a Catholic charity for the elderly run by nuns, the Little Sisters of the Poor.

The high court order, which also covers the charity's insurance administrator, will remain in effect while lower courts continue to wrangle with the merits of the primary challenge to the federal health law mandates on contraception.

Although temporary, it is an important victory for those objecting to the socially charged requirements under the Affordable Care Act that were a negotiated compromise aimed at allowing coverage but also allowing a workaround for those opposing it.

In a once-sentence order without any noted dissent, the Supreme Court said the Obama administration could not enforce the mandates if those involved tell the Health and Human Services Department in writing that they are a non-profit and hold themselves "out as religious and have religious objections to providing coverage for contraceptive services."

Although the high court order applies specifically to the Little Sisters of the Poor and its administrator, Christian Brothers Services, it will likely have the practical effect of keeping the government from forcing other religious non-profits that raised similar objections to comply with the mandates.

For instance, Christian Brothers, an Ohio-based non-profit, handles insurance policies for a number of religious-affiliated organizations.

A sticking point

The contraception issue has been a major sticking point in the health law, President Barack Obama's signature diplomatic achievement that overall has been the subject of enormous legal and political controversy.

The requirements in question that took effect January 1 were designed by the administration to give women employed at nonprofit, religious-based organizations -- such as certain hospitals and private faith-based universities -- the ability to receive contraception through separate health policies with no co-pay.

The central dispute revolves around a negotiated requirement for those religious-affiliated groups not wanting to comply to sign a form explaining their objections. So-called self-certification would permit third-party administrators to provide the coverage. Churches and houses of worships are exempt from the requirement outright.

Religious-based groups sought delays, saying that signing the form would force them "to choose between onerous penalties or becoming complicit in a grave moral wrong."

But the justices in their unsigned order concluded that to "meet the condition for injunction pending appeal, applicants need not use the form prescribed by the government and need not send copies to third-party administrators."

Varied reaction

A Justice Department spokesman said in a statement that the ruling was narrowly applied to the plaintiffs and "is not a ruling on the merits" of the charity's larger legal appeal.

The statement also said the Little Sisters of the Poor and Christian Brothers have "always been eligible for an accommodation from the contraceptive coverage requirement."

The White House had said previously the birth control requirement was lawful and "essential to a woman's health" and that its rules struck the right balance.

Others talked past each other in reacting to the decision.

"We are delighted that the Supreme Court has issued this order protecting the Little Sisters," said Mark Rienzi, senior counsel for the Becket Fund, the group representing the nuns in court. "The government has lots of ways to deliver contraceptives to people. It doesn't need to force nuns to participate."

But Cecile Richards, president, Planned Parenthood Federation of America, agreed with the Justice Department in that the decision was "narrow and specific" and centered around an administrative mechanism for claiming exemption.

"This is a case about paperwork, not religious liberty," Richards said in a statement.

Back to the appeals court

The issue now goes back to the 10th Circuit U.S. Court of Appeals in Denver, which will hold oral arguments in coming weeks.

A ruling by mid-year could then prompt a final, eventual high court review.

Recognizing that, the Supreme Court made clear it has not decided the larger legal and constitutional issues at stake, merely acted on the enforcement question.

"The court issues this order based on all of the circumstances of the case, and this order should not be construed as an expression of the court's views on the merits," the justices said.

In March, they will take up a related challenge to the birth control mandate when the court hears arguments over whether some for-profit corporations should be exempt, again on religious liberty grounds.

Key requirements of the Affordable Care Act are just now kicking into gear following years of fierce political and other turmoil that included a Supreme Court ruling that found it constitutional, and a flawed rollout of its online enrollment process this past fall.

The case is Little Sisters of the Poor v. Sebelius (13a691).

CNN's Jim Acosta and Ashley Killough contributed to this report.

@highlight

Charity run by nuns sought exemption from health law contraception mandates

@highlight

Supreme Court preserves exemption while issue is handled by lower courts

@highlight

The decision will have a broader impact on enforcement of requirements

@highlight

NEW: Lawyers for charity praise Supreme Court decision; Planned Parenthood says it's a narrow order