(CNN)It's a good thing -- a lucky thing -- that a bystander had the courage and presence of mind to record the shocking video that shows a white police officer, Michael Slager, gunning down and killing an apparently unarmed black man named Walter Scott after a traffic stop in North Charleston, South Carolina.

And the resulting national wave of revulsion and indignation -- along with the prompt arrest of Slager on murder charges -- is a welcome and appropriate response.

But the event raises broad, troubling questions about how often such incidents take place without the benefit of a third-party recording.

It's not supposed to be a mystery: More than 20 years ago, Congress approved a law, the Violent Crime Control and Law Enforcement Act of 1994, signed by President Bill Clinton, that requires the federal Justice Department to collect data on deaths caused by police. The law has never truly been implemented, leaving us with patchy information about particular episodes rather than a comprehensive sense of how race and policing play out in America.

"What happened here today doesn't happen all the time. What if there was no video? What if there was no witness -- or hero, as I call him -- to come forward?" said L. Chris Stewart, an attorney for Scott's family. "As you can see, the initial (police) reports stated something totally different."

That's putting it mildly. In early police statements -- issued before the video came to light -- Slager reportedly said that Scott attacked him, that he fired only after a scuffle and that cops made medical efforts to revive Scott. The video makes hash of those claims, and likely contributed to Slager's swift arrest and pending murder charges. "When you're wrong, you're wrong," said North Charleston Mayor Keith Summey.

That leaves Slager to face murder charges that could land him on death row -- and the rest of us to face a disturbing reality. I'm all for having police use body cameras, although they are not a magic cure for preventing or stopping the excessive use of force. But the much bigger problem is that we simply don't know when and where police killings take place, or whether they cluster in particular cities or states.

And that means we don't know for certain whether unjustified or excessive force correlates with particular forms of officer training or detectable underlying racial bias. We don't even know the role played by officers operating under stressful conditions or while dealing with mental or physical illness.

These vital questions aren't supposed to be a mystery. According to Section 210402 of the Violent Crime Control and Law Enforcement Act of 1994, "The Attorney General shall, through appropriate means, acquire data about the use of excessive force by law enforcement officers. ... The Attorney General shall publish an annual summary of the data acquired under this section."

That section of the law has effectively been ignored, beyond a first attempt at a comprehensive report published in 1996. By 2001, a New York Times article noted that when it comes to police uses of deadly force, "No comprehensive accounting for all of the nation's 17,000 police department exists."

There are multiple reasons the law has been ignored. Collecting information from the nation's thousands of jurisdictions -- the myriad villages, counties and cities -- is a tough, expensive assignment.

The job is even harder because many police departments, reluctant to air their dirty laundry, fail to distinguish between justified and unjustified killings on the reasonable grounds that it's up to the courts to rule on whether an officer has committed brutality -- something that's often established only after years of court proceedings.

These hurdles could be overcome by a determined effort from Washington, but Congress has failed to press the Justice Department to demand the data and comply with the 1994 law. A weak substitute called the Death in Custody Reporting Act was passed in 2000 and renewed in 2014, but it is a voluntary reporting program intended to coax information out of local departments.

Some of the data gap has been filled by media organizations -- and what they have discovered only underscores the need for muscular, mandatory enforcement of the data-gathering law.

In 2011, the Las Vegas Review-Journal published an extensive investigation of police killings in and around Las Vegas and found 378 shootings over a 20-year period, 142 of which were fatal. In no case was an officer convicted or even fired because of an on-duty shooting.

In South Carolina last month, The State newspaper published an examination of 209 instances in which officers shot at suspects, and found that only a handful of officers were charged, and none found guilty. "In South Carolina, it remains exceedingly rare for an officer to be found at fault criminally for shooting at someone," the Columbia newspaper concluded.

A group of activists has created a website called MappingPoliceViolence.org that flags cases of police killings; its estimate that at least 304 black people were killed by police in 2014 may stand as the best guess we have about the dimensions of a national problem.

But we shouldn't be guessing. As the Las Vegas Review-Journal editorialized in 2011: "How many lives might be saved if taxpayers everywhere were better informed about police shootings? How can they know about a potential local problem without information? ... Police already track everything from domestic violence to child abuse to murder, and police routinely lobby state and federal lawmakers to put new crimes into statute. The budgetary impact of adding another reporting category to local police forces would be minuscule. The social impact of such an addition, however, would be huge."

That common-sense observation is being echoed by the Obama administration -- specifically, the President's Task Force on 21st Century Policing, created in December in response to widespread protests following the police killings of unarmed black men including Michael Brown and Eric Garner.

The recently released interim report of the task force calls, one more time, for the Justice Department to collect comprehensive data from local departments. But it will take more pressure -- from activists, victims' families, members of Congress and President Barack Obama himself -- to demand an end to the stonewalling of information.

It's long past time we got to the truth of how many more killings like Walter Scott's are happening without a video to set the record straight.

@highlight

Errol Louis: By chance a bystander video caught South Carolina officer shooting apparently unarmed black man

@highlight

Federal law on reporting of such shootings goes unenforced -- how many instances do we never hear about? he asks

@highlight

Louis: It's long past time for officials to tell the truth -- even when there's no video