New Delhi (CNN) -- In India, milk is used in holy ceremonies, it is offered to the gods, poured over deities and generally considered the healthiest of drinks.

But a first-of-its-kind government survey reveals that a stunning 68.4% of milk sold in India does not meet basic government standards.

The Food Safety and Standards Authority of India tested milk across the country. It took 1,791 samples -- and of of those, 1,226 were found to be "non-conforming."

In seven Indian states, 100% of the samples failed to meet standards.

Some samples contained water and milk powders; others included potentially toxic ingredients.

"We found about 14% of the samples which found traces of detergent," said V.N. Gaur, the chief executive officer of the food safety authority.

In lesser percentages, the tests also found hydrogen peroxide and urea -- a substance found in fertilizer and urine.

"There is a problem and they need to face it head-on and they have to kind of really take some strict action against those people who are violating simple consumer rights of getting a clean glass of milk," said Savvy Soumya Misra, the food safety and toxins deputy program manager with the Center for Science and Environment.

Doctors say ingested over long periods of time, chemicals like detergent can eat away the lining of intestines, stomach and affect the liver and the kidneys.

Just adding water to the milk can pose a real danger in India where waterborne illnesses are commonplace.

"What you get is diarrhea. Vomiting. What we call gastroenteritis," said Dr. Suranjit Chatterjee, a senior consultant for internal medicine at Delhi's Apollo hospital said. "You can get something like cholera. You can have jaundice. There are infections like typhoid fever, which are all part of water-borne infections in this part of the world."

At a dairy on the outskirts of India's capital, a worker dilution is widely practiced -- but that his plant does not participate.

"A lot of people do it. They add water and take the milk and sell it," Ram Prasad said. "They add water because it increases the quantity of milk and there is more to sell."

The milk industry in India is a chaotic mix of producers and sellers.

Milk comes to the market in many different ways. It can be carried in on the heads of farmers in pails, put in containers which are strapped to a train or a bicycle, or delivered in a massive milk truck.

In many places, including the capital, fresh milk is still delivered to homes.

The sources also vary: from a family with three cows, to farms with more than 30 cows and buffaloes, to huge dairy plants.

Government authorities say 70% of the milk on the market comes from small to medium farms that operate in, what is known, as the "unorganized sector."

In the government test, less than a third of the milk samples came from large producers.

While India has strict regulations in place to ensure milk safety, consumer advocates say enforcement is so lax it's laughable.

"Well it does reflect that there is a need to strengthen our implementation machinery, Gaur said. "That need is definitely underlined by this study."

But, he said, his office has been granted new powers recently and it plans on more surveys. He expects there will be better enforcement in the coming weeks, months and years.

Food safety watchdog groups say milk dilution has been around for decades.

They hope the milk survey will mean good news for consumers because -- for the first time -- the government itself has revealed the true scope of the problem and pledged to do something about it.

CNN's Sumnima Das contributed to this report.

@highlight

In seven Indian states, 100% of the samples failed to meet standards

@highlight

In most case, the milk is diluted with water and milk powder

@highlight

In some case, the survey found traces of detergent

@highlight

Watchdog groups hope the survey will prompt the government to get tough