Perth, Australia (CNN) -- Four weeks to the day since Malaysia Airlines Flight 370 went missing, the search is set to continue Saturday -- both on the surface of the southern Indian Ocean and deep below it.

Time is fast ticking down to find the missing Boeing 777's locator pingers: If functioning as expected, their batteries will run out of juice Monday.

The British Royal Navy survey ship HMS Echo and the Australian naval supply ship Ocean Shield began scouring about 6,500 feet to 13,000 feet deep on the ocean floor on Friday along a single 150-mile (240-kilometer) track, said retired Air Chief Marshal Angus Houston, the head of the Australian agency coordinating the search.

The Ocean Shield has high-tech gear borrowed from the United States. That includes a Bluefin-21, which can scour the ocean floor for wreckage, and a Towed Pinger Locator 25, with its underwater microphone to detect pings from the jet's voice and data recorders as deep as 20,000 feet (6,100 meters).

"It is a very slow proceeding," U.S. Navy Capt. Mark M. Matthews said of the second tool, which is towed behind a vessel typically moving at 1 to 5 knots.

Said Bill Schofield, an Australian scientist who worked on developing flight data recorders: "If they do find it, I think it'll be remarkable."

Up to 10 military planes and three civilian aircraft -- in addition for 11 ships -- will be looking Saturday for any sign of Flight 370, according to the Australian government.

The search area will be just under 84,000 square miles (217,000 square kilometers), which is slightly less than the area searched Friday, and will focus some 1,050 miles northwest of Perth. This is about 50 miles further from the western Australian city than was the case a day earlier.

Is this the right spot? Will they find anything? So far, all efforts to locate signs of the airliner have proven unsuccessful. Still, those involved have vowed to keep trying.

"Really, the best we can do right now is put these assets in the best location -- the best guess we have -- and kind of let them go," U.S. Navy Cmdr. William Marks told CNN. "Until we get conclusive evidence of debris, it is just a guess."

'Long way to go'

Officials have repeatedly warned that the massive international search to find signs of the Kuala Lumpur-to-Beijing flight may not conclude any time soon.

"We've still got a long way to go," Houston said Friday.

In the case of Air France Flight 447, which crashed into the Atlantic Ocean in 2009, officials found debris on the surface after five days of searching. But it took them nearly two years to find the main pieces of wreckage, the flight recorders and many of the bodies of those on board.

With Flight 370, the search teams have even fewer clues.

On Thursday, Australian Prime Minister Tony Abbott warned that "we cannot be certain of ultimate success in the search" for the Malaysian aircraft. He described it as the most difficult search "in human history."

Authorities have yet to explain why the plane flew off course or where it ended up; investigations into the 227 passengers and 12 crew members have yielded no suggestion that any of them might have been behind the disappearance.

6 missteps in the investigation

Families' frustrations

Malaysian officials held a briefing for Malaysian relatives of those aboard MH370 on Thursday evening at a Kuala Lumpur hotel, but attendees told CNN that nothing new had emerged.

Mohammad Sahril Shaari, whose cousin Mohammad Razahan Zamani was a honeymooning groom on the plane, said the three-hour session had felt like a "waste of time."

He added, "I was hoping for some news that they had tracked the plane or some parts of it, but nothing like that happened."

Selamat Bin Omar, the father of another passenger, Malaysian civil flight engineer Mohammed Khairul Amri Selamat, said officials described in detail the satellite data that has led investigators to the current search area.

"They could not tell us if the plane crashed," he said. "They said they were still looking into it."

Danica Weeks, wife of passenger Paul Weeks, said after the meeting that the jet's disappearance still perplexes her. "The hardest process for me is understanding that a commercial airliner can just go black," the New Zealander told CNN's Paula Newton.

"That someone can just turn off all communications, all matter of tracking an airliner, and it can just disappear. And this is the mystery."

About the search for the plane, she said, "If it's there, they will find it. But are they in the right place? It's all calculations. It's all guesswork."

Hanging on to hope

Weeks said her infant son Jack will celebrate his first birthday next month, and their 3-year-old son, Lincoln, was still coming to grips with their loss.

"Dad was everything for him," she said. "He read Lincoln always his bedtime story, and they had this saying that they'd say -- you know, 'Good night, I love you and see you in the morning for breakfast.'

"And now he comes out and I tell him that Dad is up in the sky, and we come out every night and we find the brightest star. We find the brightest star and he says, 'Good night, Daddy, I love you. See you in the morning for breakfast.' And that breaks my heart."

But, four weeks after the plane vanished, she too has not given up on seeing him for breakfast.

"I know it sounds crazy, but I still have a slight hope, you know," she said, adding that she will be able to grieve only after confronted by evidence of his death.

"The grief at this point still hasn't started for me," she said. "I have my moments, but until I have evidence, I still don't know."

The partner of American passenger Philip Wood was also among those who attended Friday's meeting. "The only thing I learned last night after three hours is that the Malaysian families are more calm and rational than the Chinese," Sarah Bajc told CNN's Judy Kwon in an e-mail.

"But they are equally frustrated and have totally lost faith in the Malaysian government."

Bajc noted that officials have concluded that the jetliner flew over Malaysia "for quite a long time."

"It is impossible that this relatively sophisticated military power didn't see it," she said. "They are clearly hiding something. We just don't know what."

Malaysia refuses to let families hear the plane's radio communications

The Malaysian Department of Civil Aviation denied a request by Malaysian families to release the audio recording of radio communications among the pilot, co-pilot and air traffic control, two people who attended the briefing said.

The department's chief, Azharuddin Abdul Rahman, told the relatives that even the families of pilot Zaharie Ahmad Shah and co-pilot Fariq Abdul Hamid have not been allowed to listen to the recording because it is part of an ongoing investigation, the two attendees said.

Malaysian authorities released a transcript of the recording Tuesday.

"This is an event that is so unprecedented and I think that is so significant that it can never be allowed to get off the screens, get off the radar," K.S. Narendran told CNN's Erin Burnett.

His wife, Chandrika Sharma, was on the flight.

"My concern is that if we don't really get to the bottom of it, we cannot really be certain that we are safe and that we are secure every time we board a flight."

Ocean Shield: A mission of hope in search for Flight 370

Flight 370: High-tech search tools

Inside the flight simulator

Read the cockpit transcript

CNN's Elizabeth Joseph reported from Perth, and Tom Watkins reported and wrote from Atlanta. CNN's Greg Botelho, Ingrid Formanek, Jethro Mullen, Laura Smith-Spark, Ben Brumfield, Mitra Mobasherat, Paula Newton and journalist Ivy Sam contributed to this report.

@highlight

NEW: Up to 10 military planes, 3 civilian planes, 11 ships will be part of Saturday's search

@highlight

NEW: The search area shifts slightly further off Australia's northwest coast

@highlight

Naval vessels are looking for underwater hoping to locate the plane's ping

@highlight

A month later, still holding on to hope: "See you in the morning for breakfast"