(CNN) -- The first wave of India's 814 million eligible voters cast their ballots in the remote northeastern states of Assam and Tripura Monday, as the largest election in world history got underway.

Any time the world's most populous democracy goes to the polls, it's a momentous undertaking. But with Prime Minister Manmohan Singh stepping aside after a decade in charge, analysts say voting will take on an even greater significance this time around, with the country potentially poised on the cusp of a new political era.

Amid widespread public concern over corruption, rising inflation and slowing economic growth, voters face a choice between the young scion of India's most powerful political dynasty, and a populist, business-minded Hindu nationalist who is described as at once India's most popular and most divisive politician.

"This election is a battle of ideologies, it's a battle for (the) kind of India we want," declared 43-year-old Congress Party candidate Rahul Gandhi -- whose great-grandfather, grandmother and father have all served as prime minister -- in a recent speech.

The outcome of the election, which will be held in stages over five weeks -- employing 11 million polling and security personnel and absorbing an estimated $5 billion in campaigning costs -- may have stark ramifications for India's identity at home and abroad.

By the Numbers: The world's biggest exercise in democracy

Modi rides high

After a decade of coalition government led by the secular, center-left Congress Party (INC), which has ruled for most of the post-independence era, support is soaring for India's other major political party.

Polling suggests a strong swing to the center-right, Hindu-nationalist Bharatiya Janata Party (BJP), with a recent survey by the Pew Research Center finding voters preferred the BJP to lead the next government by a margin of more than three to one.

The party's support has been boosted by the immense popularity of prime ministerial candidate Narendra Modi, 63-year-old Chief Minister of the western state of Gujarat.

Nearly 80% of those surveyed by Pew had a positive view of Modi, with 60% describing their impressions of him as very favorable. (By comparison, 50% held positive views of Gandhi, with just 23% giving "very favorable" responses.)

WATCH: India heads to the polls

Modi's reputation as a tough, "can-do" administrator rests largely on his record in charge of Gujarat since 2001, a state whose economic success is often cited as an example for the rest of the country.

The BJP's economic model under Modi, focusing on infrastructure, urbanization and eradicating red tape, contrasts sharply with the traditional approach of the Congress Party, whose focus on promoting inclusive growth involves a raft of welfare schemes.

Dilip Dutta, director of the South Asian Studies Group at the University of Sydney, said Modi's model was widely seen as offering better prospects of economic development, particularly by the young voters tipped to play a key role in the election. About 100 million voters will be eligible to vote for the first time in 2014.

"They're getting some hope that perhaps Modi can steer the economy in the right direction so that they can get more in terms of job opportunities and economic growth," he said. "These young voters are exposed through electronic media to the whole world, and have a dream of moving forward -- not lagging behind as their fathers and grandfathers have for decades."

Mohan Guruswamy, a political analyst at Delhi's Center for Policy Alternatives, likens Modi's economic vision for a "right-wing, authoritarian corporate state" as closer to the model in China -- India's neighboring superpower whose rapid economic ascent is eyed enviously from the subcontinent, where GDP growth has dropped below 5%.

A Hindu nationalist at the helm?

In contrast to the Congress Party's secularism, Modi is also notable as a Hindu nationalist -- a position that resonates with large swathes of an increasingly confident, assertive electorate, but gives pause to some among the country's religious minorities.

"Internationally, he would be a little more hardline on everything -- Pakistan, China, America. Indian interests would be aggressively asserted," said Guruswamy. "It plays well with the electorate, the new generation coming up that's educated by the Internet -- they tend to be right-wing nerds."

Their nationalist perspective, he said, was informed by "a sense of victimhood, that we've been victimized by foreigners -- by Muslim invaders, Christian invaders."

But for all the excitement around Modi, he comes with plenty of detractors. Chief among them are those who question his suitability to lead a country as diverse as India. In particular, his track record with India's 180 million-strong Muslim community, the country's second largest religious group, has come under scrutiny.

Less than a year after Modi assumed office in Gujarat in late 2001, the state was wracked with anti-Muslim violence, in which more than 1000 people, mostly Muslims, were killed. Modi was criticized for not doing enough to halt the violence, accusations he has denied. The U.S. State Department denied Modi a visa in 2005 over the issue, but last month said it would welcome Modi to the United States if he wins.

READ MORE: 11 things to know about the Indian elections

The effectiveness of his much-vaunted "Modinomics" formula in Gujarat has also been brought into question, with claims his influence has been overhyped. "There is no 'Gujarat model,' and there are other states with faster economic growth," says Guruswamy. Many feel that economic development in the state has been unequally distributed, and not matched with corresponding gains in human development, he said.

Modi's style of leadership -- perceived as decisive by admirers, as autocratic by detractors -- is also seen by some as ill-suited for the nation's top office.

"It's not a place where you can press buttons -- you have to work with people," said Guruswamy, who knows Modi personally. "The prime minister of India has to be the supreme conciliator, reconciling the aspirations and demands of thousands of groups. It's not like China where you can turn off Weibo one day -- you can't be autocratic or they'll cut you out."

Gandhi: A prime minister-in-waiting?

Yet any misgivings about Modi have so far failed to buoy the prospects of the Congress candidate Rahul Gandhi. With an unparalleled political pedigree as the son of assassinated former prime minister Rajiv Gandhi and the Italy-born Congress Party president Sonia Gandhi, the 43-year-old has long been viewed as a prime minister-in-waiting.

But his chances have been hampered by widespread voter displeasure with the Congress-led coalition government over high inflation, slowing economic growth and a run of corruption scandals, says Dutta.

For all Gandhi's youth, his party is seen as the old order, with Modi widely viewed as providing the alternative to the status quo, says Guruswamy.

"I don't think Gandhi is in the game," he said. "He's seen as undeserving, his mother's son. How many generations can you pull along like this? I think people are getting tired of it," he said.

In contrast to what Guruswamy described as Modi's "relentless drive to become prime minister," questions have been asked whether Gandhi possesses a genuine desire to lead, while his personal style has failed to excite voters. "Like somebody said, he's got the charisma of cold pizza," said Guruswamy.

Anti-corruption platform

While both parties pledge to target corruption, said Guruswamy, a lack of public confidence in either to effectively address the problem has paved the way for a new political force to enter the fray.

Formed in late 2012, the Aam Aadmi (Common Man) Party, led by former Delhi Chief Minister Arvind Kejriwal, won an unexpected 28 of 70 seats in the Delhi Assembly in 2013. Contesting its first general election, it will be fielding more candidates than either major party.

Guruswamy said the anti-corruption party could prove to have some longevity. "They're going to flag the agenda, they're making their presence felt this time around," said Guruswamy. "By the time the next election comes around, they'll be a big force."

Dutta said a long-term commitment would be required to make any progress in tackling India's entrenched, endemic corruption problem. "I wish (Kejriwal) will be able to succeed -- but it won't be overnight," he said.

CNN's Sumnima Udas and Moni Basu contributed to this report.

@highlight

India's general election will take five weeks and is the biggest election in history

@highlight

814 million -- more than combined populations of the U.S. and Western Europe -- are eligible to vote

@highlight

The race pits a controversial but popular Hindu nationalist against a member of Nehru-Gandhi dynasty

@highlight

Analysts are describing the vote as India's most significant in decades