When Susie Lopez, 43, was a little girl she would run outside her home in Angeles City, near the U.S. Clark Airbase in the Philippines, every time she heard a plane fly by.

"I would say 'bye bye, Dad' because the only thing I knew about my father was my dad was riding a plane," she recalls.

The daughter of an American naval pilot and a Filipino mother, Lopez is one of an estimated 52,000 "Amerasians" fathered by American military servicemen during the decades the U.S. Navy and Air Force had bases in the Philippines.

The majority of their mothers worked as bar girls in the area's thriving "rest and recreation" industry, where soldiers were their regular clients.  When the American military left the bases in the early 1990s, these children were left behind.

On March 4, in honor of International Amerasian Day, a group of 60 Filipino Amerasians from the cities surrounding former bases will celebrate in a special way. Their "100 Letters to our Fathers" campaign will see  the group - whose members range from teenage to  those in their 50s - reach out with messages of love and hope to fathers almost all of them never knew. Many of the handwritten letters will be read aloud and will be accompanied by their photos and a short  video showing conditions Amerasians have faced.

All will be available on a new website, with the goal of bringing the issues of Filipino Amerasians in the Philippines from the sidelines to the surface.

Left without fathers, many of these Amerasians were also abandoned by their mothers, who were often unable to care for them. The majority of children were raised in extreme poverty by family members or guardians, with little access to social services, and suffered from a lack of identity and intense discrimination.

They were stigmatized for being illegitimate and for being the children of prostitutes.  Amerasians fathered by African American soldiers say they suffered the most extreme prejudice.

Brenda Moreno, 44, does not know the name of her African-American father or her mother. She does not know where she belongs.

She remembers a childhood where she hid at home because she looked different. "They see my color and my hair and they tease me 'negra'. I am always crying because I don't feel good. I tell them when I grow up I am going to change my blood so I am going to be white," she recalls.

Anthony Dizon, 28, says living with constant discrimination taught him to fight. "When I walk on the streets people look at you from head to toe and make a face... Or they say 'hey nigger, come here' and then they punch me," he says.

Many are unable to finish school -- either due to financial problems, or out of frustration. Mark Gilbore, 24, only finished third grade. "I was always bullied in school because of my color... And they accuse you of doing something just because you are different," he says.

Moreno feels caught in a vicious cycle: "I can't find a good job because I can't go to school. I am just always working as a housemaid," she says, "How can I change my life? I am just trying my best."

This feeling of helplessness often extends to the workplace. Dizon says he was even refused a job at a supermarket: "They told me they can't hire me because I am black...I feel so bad, so hurt. Why don't they give me an opportunity?"

Dondie Moore, 22, a second -generation Amerasian, feels the Philippines government has forgotten about them: "We don't have any laws. We don't have any rights. They look at us as if we are aliens.

"I can't find a job to continue my life."

Alex Magno, Professor of Political Science at University of the Philippines, explains that this racial prejudice is deeply-rooted, but was strengthened by the country's colonial past.

"We long ago considered the Malayo-Polynesian tribes superior and the Negrito tribes inferior," he says. "Hispanic culture merely reinforced that prejudice with its Eurocentric paradigm. Superimpose Hollywood. The standard of beauty is fair skin, tall nose, straight hair."

Growing up with such a lack of acceptance and economic hardship has taken an emotional and psychological toll on many.

According to a three-year study conducted by Dr. Peter Kutschera, Director of the Philippine Amerasian Research Institute in Angeles City, "we have a severely socioeconomically impaired population, especially among Africans, who contend with serious physical and mental stress issues, including homelessness, alcohol and drug abuse."

Having faced rejection on so many levels, many Amerasians consider themselves half American and long to be recognized, if not by their fathers, then by the U.S. government.

But current legislation does not make it easy to become a citizen.

Although the United States Congress passed the Amerasian Immigration Act of 1982, which gave preferential immigration status to Amerasian children born in Korea, Thailand, Vietnam, Cambodia, Laos during the Vietnam War, it does not include those born in the Philippines. Filipino Amerasians can only become citizens if their father claims them.

According to Kutschera's research, one reason for this exclusion is the belief that Amerasians in the Philippines suffered much less discrimination than in those countries.

Some Amerasians are children of a "steady bar fine" relationship. "This meant an American paid for you. You just took care of him during that time he was there," said  Alma Bulawan, President of Buklod, a group that works with former prostitutes and their families. "He stays at your home, you cook and clean. Its like a steady live in partner."

Dizon is one of them.  He is part of a minority that knows their father's name, yet he has no paperwork to back up any claims. But he has not given up his search.

"I would tell him I love him and ask why he left me since birth," he says. "I will ask him why he abandoned me. I am black American. Every day I am thinking I want to go to USA or Africa because I feel I belong there.  People have the same skin color."

But Shane Jackson, 19, considers herself lucky.

As a "white Amerasian", she has faced much less discrimination, and after a five-year search, recently found her father by using the Internet.

"It's the feeling that you're complete," she says. "The fact that he didn't deny me -- it is one great accomplishment. "  But she explains that for those who may never find their fathers, having citizenship will at least make them feel they belong somewhere.

Past attempts for the American government's help have had little success.

In 1993, mothers of Amerasians and their children filed a class-action lawsuit against the U.S. government, asking for $68 million to care for 8,600 Amerasian children living in the town next to a former naval base.

"We wanted the American government to support the Amerasian children," Bulawan said. "We asked for money for food, shelter, education and health."

According to Father Shay Cullen, President of PREDA Foundation, the case was closed after the court decided most of the women were engaged in prostitution, which is an illegal activity and therefore could not be the basis for any legal claim.

But the thousands of Amerasian children represented in that class action suit are now young adults. They have formed United Philippines Amerasians -- a loose network of formal and informal communities of Amerasians who plan to work on creating a national advocacy. They hope to reach out to Amerasians all over the Philippines, coordinate community-level projects, and develop support programs.

Jackson says, "I'm just hoping that my generation has the chance to go to school. I hope the treatment of the people will change. I hope they will accept us, that we are Amerasians.

"We deserve to work. We deserve to be in any government institutions. We deserve everything. We're all humans."

@highlight

Suzie Lopez is one of an estimated 52,000 "Amerasians" fathered by U.S. servicemen in Philippines

@highlight

Majority of their mothers worked as bar girls in the area's thriving "rest and recreation" industry

@highlight

Many have grown up in poverty experiencing much discrimination along the way

@highlight

National Amerasian Day gives Amerasians the opportunity to put their issues in the spotlight