(CNN) -- Now that warmer spring sunshine is bathing the streets of Kiev, the charred remains from the attacks on the central city are far more evident.

The sunshine is also warming up debate on the future of the downtown core, which has served since last November as the heart of the protest against the regime of deposed Ukrainian President Viktor Yanukovych.

This weekend Ukrainians will mark the end of the traditional 40 days of mourning for the at least 100 protesters that were mowed down by sniper, grenade and other live fire during and around February 20.

Until now, the area around the main square, where the attacks took place, has served as a massive memorial -- framed by mountains of flowers, drawings, photos, candles and poems. Earlier this week a group of men were preparing to build a permanent chapel behind the Hotel Ukraina, one of the vantage points for snipers and a makeshift emergency clinic during the February 20 shootings.

Read more: Maidan before -- and after

To many, parts of Maidan are gaining the look of semi-permanency. On any given morning activists line up at soup kitchens. Protesters from far flung regions show no sign of going home and appear dug in for a prolonged stay.

At the far end of the encampment, a commandeered militia water canon truck serves as a gigantic trophy (and makeshift barricade) for the people's victory over government forces. The conventional thinking is that the protest movement will stay well after the scheduled May 25 presidential elections -- longer if they go into a second, run-off round.

'Medieval village'

While the passion and commitment of this open display of raw people power is impressive, there are those, including retailers and city center residents, who would like to see the protest site shrunk to a few small blocks.

One American journalist said derisively last week that the Maidan, with its soot-covered tents, tattered residents, and crude, rusting barricades, resembles a "medieval village." And one nearby resident told me that she and others are fed up with the traffic snarls caused by the sprawling encampment.

But there is more to Maidan than just the physical presence of tents and hardened protesters.

It has served as a stage to mint new popular leaders -- such as Volodymyr Parasiuk, 26, a student activist from Lviv who stood up on the Maidan stage on Feb 21 and threatened Yanukovych with an armed overthrow. It was also the very same stage taken briefly by former prime minister and presidential candidate Yulia Tymoshenko on February 22, shortly after her release from prison -- a humiliating appearance which showed how terribly out of sync she had fallen with the street after three years behind bars.

Olga Bogomolets, a volunteer doctor (and also presidential candidate) who treated many injured protesters on February 20, suggested Thursday that the Maidan is one huge, open-air crime scene and that international forensic experts have yet to make an appearance to collect evidence. In fact one of the most popular displays is a collection of organ-piercing bullets, grenade shells and other lethal projectiles fired at protesters by the now-disbanded Berkut forces in February.

Another face of Maidan, the immensely popular Eurovision star Ruslana, insists that the protest site must stay put as a kind of check and balance on the new interim government -- and as a psychological barricade to Russian President Vladimir Putin. "I believe that even today that same Maidan has a critical role to play in stopping Putin. While Maidan still exists, nothing will work out for Putin."

Voice of Ukrainian street

There's little doubt that Maidan represents the voice of the Ukrainian street: after the excesses of the Yanukovych government and the failed promises of the administration of the pro-Western Viktor Yuschenko, public trust in public officials is at an all-time low. Markian Melnyk, a protester from a small town near Kiev, says he has been at Maidan since January after unidentified men took away his credit union business.

Until the people have had a chance to vote in a new president, many protest leaders will continue to see themselves as the guardians of the people, almost to the point that they have veto power over major decisions. Hence there is believed to be a large arms cache on site -- most arms hidden away but some proudly worn by self-appointed self-defense forces who man the various entrances to the Maidan.

The huge stage has become a forum for leaders to swing out at bad decisions, or simply to take swipes at Putin for his brazen land grab of Crimea. When there are no speakers, a giant screen streams live sessions of the Parliament or the newly-found independent TV channels that themselves symbolize the post-Yanukovych era.

It is not a stretch in the least to say that there's probably no one more eager to see Maidan disappear than Putin, whose pliant media machine has painted the movement as nothing more than right-wing Banderites, fascists and terrorists.

That's probably why the protest leaders have been so careful to protect the semblance of order from provocateurs or stop any violent outbreaks. Sadly, Maidan could figure into Putin's twisted logic for moving his armed forces as far inland as Kiev should he decide to invade more of Ukraine.

The views expressed in this commentary are solely those of Michael Bociurkiw.

@highlight

This weekend, Ukrainians mark the end of 40 days mourning for those killed in Maidan square

@highlight

At least 100 people died when anti-government protesters clashed with riot police

@highlight

Michael Bociurkiw says the protest movement will stay in Maidan beyond elections in May

@highlight

But he says organizers have prevented any violence in case it factors into Putin's plans