(CNN) -- Today is a landmark anniversary for Tim Berners-Lee. In March 1989 he wrote a proposal to his employers at CERN for a somewhat abstract "global hypertext" system he called Mesh. A year later he re-named that system the World Wide Web. It caught on.

A quarter of a century later, Berners-Lee is like a proud father, seeing his baby all grown up and making its way in the world without him.

"I feel a certain amount of inventor's pride," he tells CNN. "My greatest pride has been the spirit of collaboration we've had for the last 25 years."

He's watched the Web grow through a carefree childhood and turbulent adolescence, reaching the kind of age when things suddenly get more serious, and it's time to make some important decisions about the future.

"At 25 it's more like a young adult," he explains. "Suddenly it needs its independence; young adults are at the stage when they're looking for freedom, and in terms of what they do they're asserting their rights.

"Now, 25 years on, Web users are realizing they need human rights on the Web ... We need independence of the Web for democracy, we need independence of the Web to be able to support the press, we need independence of the Web in general. It's becoming very important to sort out all that."

Recent years have been marked by growing pains. Revelations of mass surveillance by the NSA and other agencies have caused international outrage. Arguments over net neutrality persist and copyright wars pitching open-net activists against mainstream creative industries have grown bitter, with Berners-Lee himself criticized at times. The stock and use of illicit material has grown with the dark net.

Berners-Lee is clear that our ability to speak and associate freely is under threat. The widespread data gathering of the NSA revealed a "broken" system, he believes, and he praises whistle blowers like Edward Snowden whose leaks expose the excesses.

"When (systems) break the whistle blower is the person who saves society by pointing out something that nobody else will, because it's illegal," he says. "One thing I'd like to see built in the future is an international convention and international respect for whistle blowers."

If spying is one threat, Berners Lee believes censorship is another. He recalls the situation in Egypt, where the Internet was cut off at the height of anti-government protests in January 2011. "For a lot of people that was the first time they realized you could turn it off, and they asked themselves, who could turn it off for me?" he says, adding that "turning off the Internet is more or less a signal that the regime does not trust its citizens and that the regime is on the way out."

At 58, Berners-Lee is not taking a back seat. Having invented the Web once, he hopes to re-invent it through the "Web We Want" initiative, aiming to create a universal "Internet Users Bill of Rights."

Key targets of the manifesto include spreading net access to the nearly two thirds of the world that still doesn't have it. Establishing clear regulations is also a priority, as is the protection of personal user information.

Berners-Lee still enjoys enough power over his creation to make big changes realistic, through two authorities he founded and continues to lead. The World Wide Web Consortium (WC3) determines standards for all Web infrastructure, backed by the world's leading academic institutions and software developers. The Web Foundation manages the spread and ethical application of the Web, bringing pressure to bear on governments through initiatives such as The Web Index, which ranks nations by Internet access standards.

The Web We Want campaign will rely on mass mobilization across industries, nations and activist bodies to succeed, but Berners-Lee is confident of fostering a spirit of cooperation. He has seen it before and considers it the Web's greatest accomplishment.

"It's really a story of collaboration, people working painstakingly on getting protocols right ... There's an international spirit that ignores boundaries," he says.

As for what the Web will look like over the next 25 years, as it enters its middle age, Berners Lee sees a smarter Web emerging, with users empowered by the huge amounts of personal information collected as part of the "Web of data" -- information that could help personalize our Web experience.

"People are worrying about what other people are doing with their data," he says, "but they haven't realized what they can do with their own data."

As we grow more connected to, and reliant on, the Web, so the potential for abuse increases. How we use such a powerful tool amounts to a test of our species, says Berners-Lee, but it's one he is confident we can pass together.

"In general the Web enables humanity to be more powerful and that power can be used for good things and to do horrible things -- but on balance when it comes to humanity I'm a tremendous optimist."

In pictures: What the Internet really looks like

@highlight

Tim Berners-Lee wrote the original proposal for the World Wide Web in March 1989

@highlight

He is a champion of Web rights and warns of the threat from surveillance and censorship

@highlight

At 25 the Web is like a "young adult," he says. "It needs its independence"