Washington (CNN) -- The vote was 53-44, and Sen. Barbara Mikulski was on the losing side: Democrats did not have enough votes to advance Senate legislation designed to guarantee women equal pay.

"So I say square your shoulders, put your lipstick on, and let's fight another day," the always-colorful Maryland Democrat said.

It was one vote in April, and there was never any doubt Democrats would lose. But they held the vote to make a political statement, one many Democratic strategists think is central to the party's chances of improving its midterm election odds.

As the Senate was voting, veteran Democratic pollster Stan Greenberg and his Democracy Corps project distributed a memo outlining the stark numbers and what Greenberg insists is an opportunity to improve them by Election Day.

The downside, in his view: "Unmarried women are the key to 2014, but are underperforming now on vote margin and turnout. ... These voters are critical to Democratic fortunes, but they are unlikely to vote, and less likely to give Democrats big margins, if Democrats are not laser-focused on issues that matter most to them."

This "intensity" question is paramount. History suggests that key pieces of the Democratic coalition will turn out in lower percentages in this midterm year, including Latinos, African-Americans, younger voters and unmarried women.

Then, add in the Republican belief that a focus on President Barack Obama's health care plan helps their 2014 intensity advantage.

"This will be a challenge for Democratic candidates this cycle," GOP strategists Elizabeth Harrington and Bill McInturff wrote in a recent memo. "Voters who say a candidate's position on the law will be a greater factor in determining how they vote are more opposed to the law."

The chart to the left illustrates their point. The question is how much of a factor the health care law will be in your 2014 vote.

The challenge for the Democrats, Greenberg and his colleagues argued this week, is to generate new Democratic interest -- and intensity -- around economic issues that he says can be used to increase turnout if framed appropriately.

In his surveys, Greenberg finds that 72% of 2012 voters say they are "almost certain" to vote in 2014. But only 66% of unmarried women say that.

And at the same time their interest in voting is down, Greenberg warns -- as you can see in the chart to the left -- that the unmarried women who are planning to vote in November are not as supportive of the Democrats as they were in 2012 (Though the current 2014 numbers are better than in GOP midterm rout of 2010).

Greenberg and his client for this survey -- the Women's Voices Women Vote Action Fund -- assert that Democrats can motivate more women to vote if party candidates push an agenda that includes equal pay, equal treatment by insurance companies and more affordable child care.

The Greenberg memo makes frequent references to the opportunity to motivate Democratic voters and change the current midterm dynamics. If they don't, his numbers and charts suggest a tough midterm year, especially when his assessment is matched with the previously cited GOP look at intensity around the health care issue.

In addition to unmarried women, Greenberg looks at voting sentiment among a broader group he labels the "Rising American Electorate": unmarried women, young voters and people of color. Many "RAE" voters are not planning to participate in 2014, and that dropoff is a big GOP advantage.

"Democrats could leave a lot of deciding votes on the table," Greenberg argues in urging a sharper and more consistent economic focus. "Among voters likely to vote in 2014, the generic ballot is tied. Among those who voted n 2012 but who are not likely to vote in 2014, Democrats hold a 16-point margin. This is a big deal."

And, if it doesn't change, a big Republican advantage.

@highlight

Democratic strategists think equal pay is central to improving midterm odds

@highlight

Democrats must focus on issues important to unmarried women, a key bloc

@highlight

Democrats' challenge is to increase enthusiasm around economic issues