(CNN) -- Eight women and four men convened regularly over 13 months. They heard from dozens of witnesses, considered 30,000 pieces of evidence. All of it was with one question in mind: Who was responsible for 6-year-old JonBenet Ramsey's death?

On October 13, 1999 -- nearly three years after the diminutive Colorado pageant queen's body was found in her home -- the 12 grand jurors went back to their own homes, sworn to silence and with nothing apparently to show for their effort.

"We do not have sufficient evidence to warrant the filing of charges," then-Boulder County District Attorney Alex Hunter said.

The presumption was that the grand jury hadn't voted to indict anyone. That included failing to take action against JonBenet's parents, John and Patsy Ramsey, whom Boulder police had said were under "an umbrella of suspicion" in the girl's death.

Yet the Boulder Daily Camera, the daily newspaper in that Colorado city, now says there was more to the story. Citing several unidentified jurors as well as an assistant district attorney in Hunter's office, the paper reports that the grand jury did, in fact, vote to indict the Ramsey parents on charges of child abuse resulting in death.

Hunter, the man who presented the case to them, didn't sign the indictment, however, the Daily Camera reports.

It's a decision that Bill Wise, a former prosecutor who wasn't directly involved in the grand jury proceedings, confirmed to the paper and said makes sense.

"The state of the evidence in that case was simply inadequate to file a charge, in my opinion, and that obviously was Hunter's opinion, too," Wise said. "Whether it's against one or two people, you just didn't have the evidence."

Those now in the Boulder County District Attorney's Office aren't commenting on the report, spokeswoman Catherine Olguin said Monday.

But Lin Wood, the Atlanta lawyer for John Ramsey, said, "I have known for years that Boulder prosecutors did not file charges against John and Patsy Ramsey because the evidence to prosecute them did not exist."

He said Monday that any reported "confusion of the grand jury over child abuse" could have been addressed had the Ramsey parents testified, as they repeatedly offered to do. Wood also pointed to the 2008 findings from then-District Attorney Mary Lacy that DNA tests ruled out any Ramsey family member's involvement in the girl's death.

"The DNA tests performed after the time of the Boulder grand jury not only prove the Ramsey family to be innocent and the grand jury wrong, they also make former District Attorney Alex Hunter a hero who wisely avoided a gross miscarriage of justice," Wood told CNN.

Mom: 'There's a killer on the loose'

It was December 26, 1996 -- a day after JonBenet got a bicycle as a Christmas gift -- when Patsy Ramsey said she discovered a three-page ransom note in her Boulder home. Police came and, later that day, found JonBenet's beaten and strangled body in the family's basement.

Days after burying the girl in suburban Atlanta, where they had previously lived, the Ramseys appeared on CNN.

"There's a killer on the loose," Patsy Ramsey said January 1, 1997, in an interview that brought an intense national spotlight on the case.

"I don't know who it is. I don't know if it's a she or a he, but if I were a resident of Boulder, I would tell my friends to keep your babies close to you. There's someone out there."

The parents insisted an intruder committed the crime, but no one was caught and no description was given.

In time, the focus turned on the parents: Could they have done it?

Investigators didn't find footprints in the snow outside the home, there was no sign of forced entry. A paintbrush from her mother's hobby kit was used to tighten the rope that choked JonBenet. And the alleged ransom note was written from paper inside the house and referenced little-known details about the family's past and its finances.

Despite the suspicions, the Ramseys were never named as suspects. But they were a focus of the grand jury, which first convened in September 1998.

On Monday, CNN talked with one juror and another's spouse, both of whom indicated that -- at the behest of the district attorney's office -- they would not discuss the case. Messages left by CNN with several other jurors were not immediately answered.

But according to Wise and several jurors who talked with the Daily Camera, the decision was eventually made to indict John and Patsy Ramsey. This was even though the jurors weren't sure who, exactly, had killed young JonBenet.

"We didn't know who did what," a juror told the newspaper, according to a story on its website. "But we felt the adults in the house may have done something that they certainly could have prevented (JonBenet's death) or they could have helped her. And they didn't."

16 years later, still no arrests or charges

According to Wise, who worked as a prosecutor for 28 years before retiring, there was disagreement among the eight or so involved in the prosecution about what to do after the grand jury voted to indict. He told the Daily Camera that he thinks his former boss did the right thing not pressing forward with the case, arguing that the evidence didn't show whether Patsy or John Ramsey may have been more directly responsible.

"If I were on a jury, I would not convict either of them," said Wise.

As is, while there have been many twists and turns since the grand jury was discharged in 1999, there's been no closure.

The Ramseys were busy in March 2000, releasing their book "The Death of Innocence," filing multimillion-dollar lawsuits against media organizations who they say libeled their son (who was 9 at the time of JonBenet's death) and settling a lawsuit with a tabloid newspaper.

That May, the Ramseys returned to CNN to face off with Steve Thomas, a former Boulder police detective who'd released a book of his own. Thomas claimed the girl died after "an explosive encounter" over a bed-wetting incident, something the Ramseys fiercely denied.

The district attorney's office, then led by Lacy, took over the case from Boulder police in 2002.

Four years later, there was an apparent breakthrough with the arrest of 41-year-old teacher John Mark Karr in Bangkok, Thailand. This came after he freely -- and repeatedly -- said he was with JonBenet the night she died, although he insisted her death was an accident and that he "loved" her.

But soon after his arrest and return to Colorado, prosecutors announced DNA evidence proved Karr had nothing to do with JonBenet's death.

That same year, 2006, Patsy Ramsey died at the age of 49 following a fight with ovarian cancer.

Then came Lacy's 2008 letter to John Ramsey, exonerating him and the rest of his family after tests of DNA evidence found in the girl's underwear and beneath her fingernails .

"To the extent that we may have contributed in any way to the public perception that you might have been involved in this crime, I am deeply sorry," Lacy wrote.

Since then, authorities have said they'd continued to try to find answers.

But despite their work, the case remains as cold as it was on that late December day, some 16 years ago.

@highlight

A Colorado paper reports a grand jury voted to indict JonBenet Ramsey's parents

@highlight

The paper cites jurors and an ex-prosecutor, claiming the DA didn't sign the indictment

@highlight

The lawyer for Ramsey's father says the "hero" DA averted "a gross miscarriage of justice"

@highlight

16 years later, there still have been no arrests or charges in the 6-year-old's death