New York (CNN) -- Close to 10,000 total flights have been canceled since the beginning of a holiday blizzard that blanketed much of the U.S. northeast with snow and left thousands stranded.

Airline representatives from AirTran, American, Continental, Delta Air Lines, JetBlue, United, U.S. Airways, Spirit and Southwest reported a total of at least 9,726 trips were called off due to weather since Saturday.

Of those, at least 1,335 flights were canceled on Tuesday as major airports across the region slowly got back to normal.

"With all the cancellations and delays, it'll be two to three days before the airlines are at a regular schedule," said Thomas Bosco, general manager of New York's LaGuardia Airport.

By early Tuesday evening, LaGuardia was still operating well below its normal 70 flights per hour, he said.

John F. Kennedy Airport, in the New York City borough of Queens, and Newark Liberty International, in northern New Jersey, opened to incoming and departing traffic at 6 p.m. Monday, Port Authority spokeswoman Sara Joren said.

AirTran spokesman Christopher White said his airline didn't plan any more cancellations Tuesday after dropping 81 flights on Monday. Instead, White said, AirTran planned to operate additional flights out of LaGuardia, Boston's Logan Airport and White Plains, New York's Westchester County Airport to get people home.

Delta Air Lines canceled 300 flights on Tuesday and was still facing reduced operations at JFK and Newark because of runway issues, according to spokesman Trebor Banstetter.

"We're hoping to return to a full schedule at JFK by tomorrow morning, and at Newark by midday tomorrow," Banstetter said.

But the slow recovery left many passengers anxious to get home.

Zarmeen Hussain and her family knew their flight home to New Jersey -- scheduled for Monday evening -- might get canceled. But they didn't expect a four-day delay.

"We were very confused and like, 'Oh, my God,'" Hussain said from an Atlanta hotel Tuesday morning. She, her husband and daughter were in Georgia for a college reunion and were told the earliest available flight will be on Friday.

"We were thinking of the option of driving, but the car rental company gave us a quote of $2,000," Hussain said, laughing. She said many rental car companies are out of vehicles.

Julie Stratton is in a similar predicament. She was scheduled to fly from New York to Indianapolis, Indiana, on Sunday, and ended up sleeping at LaGuardia Airport. Stratton said Monday she was told she might not be able to fly out until Thursday.

"It's not the best of scenarios, no," she said. "But you just have to make the best of it. There's nothing else you can do."

The storm that has unnerved domestic and international travelers produced blinding snow and wreaked havoc from the Carolinas to Maine. By Monday night, more than 4,155 flights had been canceled, up to 32 inches of snow piled up in areas and wind gusts blew as strong as 80 mph.

Several dozen people were trapped and others were thrown to the ground Tuesday when a ski lift at Sugarloaf Mountain in Maine came to an abrupt stop after a cable malfunctioned. CNN meteorologist Jacqui Jeras said wind gusts of up to 50 mph were blowing in the area at the time.

"I felt a jerk," said CNN employee Robb Atkinson, who was among those trapped on the lift. He described hearing "screams from skiers below" as he watched at least three chairs drop 20 to 30 feet to the ground. Atkinson said he and other trapped skiers were watching the injured being carried from the mountain.

"This storm was one of the most challenging storms we've had in a decade or two," Bosco said Monday.

Jeras said the onslaught of snow had stopped, but the storm's impact was still being felt. "The strong winds will be prevalent today," she said Tuesday morning.

And in another move back toward normalcy, New Jersey Senate President Stephen Sweeney -- stepping in as acting governor -- rescinded the state of emergency in that state shortly after 10 p.m. Monday. Several emergency declarations were made in states and cities as the storm barrelled up the East Coast and officials executed emergency plans in an effort to expedite assistance.

On Monday, New York Mayor Michael Bloomberg urged residents not to dial 911 unless calling about a life-saving emergency as the city grappled with the fifth-largest storm in New York history.

Parts of Brooklyn had 24 inches of snow, according to the National Weather Service -- shy of the 32 inches reported in Rahway, New Jersey. High winds were also a problem, including gusts as strong as 80 mph in Wellfleet on Cape Cod, Massachusetts.

The Federal Transportation Security Administration has been coordinating with airports and airlines to bolster staffing as necessary as flights resume, according to spokeswoman Sterling Payne.

Authorities were also investigating an incident that occurred at Lambert-St. Louis International Airport on Tuesday when

the wing of an Airbus jet clipped the horizontal bar near the tail section of another jet while it was being de-iced, according to airport Director Rhonda Hamm-Niebruegge.

Both planes returned to the gate and were undergoing inspection, she said.

Stranded travelers in New York slept on cots and atop luggage carousels Sunday night, while less-fortunate people bedded down on airport floors.

"It looked like everybody was camping inside," said Jacob Chmielecki, who was stranded with his family at New York's LaGuardia airport.

Antonio Christopher said he spent two nights sleeping at Heathrow Airport in London, where snow caused major delays earlier this month. On Monday, he found himself in a similar situation across the pond.

"It's one of those things," he said. "You have to keep up about these things. It was a blizzard. There's nothing you can do about it."

Other travel -- by rail and road -- was snarled as well. Hundreds of people were left stranded at New York's Pennsylvania railroad station after Long Island Railroad canceled trains. Amtrak said it would resume normal service Wednesday between Boston and Washington, but passengers could see some delays.

By Tuesday, police had removed more than 1,000 abandoned vehicles from New York's Van Wyck Expressway and Cross Bronx Expressway, according to Bloomberg, who called the operation "the biggest effort to clear snow our city has ever seen."

"Because the snow fell so quickly and in such great amounts, and because the wind blew so forcefully -- creating whiteouts -- many motorists got stuck and abandoned their vehicles in the middle of streets," the New York mayor said Tuesday.

Bloomberg said the states of New York and New Jersey loaned the city 35 ambulances, helping reduce the backlog of emergency medical services requests.

The city has requested private tow companies to assist in cleanup efforts

Bloomberg noted that New York City is also facing blood-supply shortages and asked residents to donate, saying, "We need your help now more than ever."

According to Connecticut Light & Power's website, the number of its customers affected by the storm dropped dramatically from 33,712 on Monday to 753 by Tuesday afternoon. CL&P services 1.2 million Connecticut residents, so less than 1% of customers state-wide were affected.

Some 10,000 customers in Westchester County and New York City lost power due to storm and tree damage, according to a Consolidated Edison statement.

By Tuesday, 500 households remained without power, ConEd said.

CNN's Aaron Cooper, Allan Chernoff and David Ariosto contributed to this report.

@highlight

Nearly 10,000 flights have been canceled since Saturday

@highlight

At least 1,335 flights were canceled on Tuesday

@highlight

More than 1,000 abandoned vehicles are removed from New York interstates

@highlight

New York is now facing shortages in blood supplies, the city's mayor said