(CNN) -- Jeremy Lin, the benchwarmer-turned-star starting point guard for the New York Knicks, has powered his team to eight victories in nine games, and captured the imagination of people around the world.

Who could resist this story? It's role model, underdog and the unconventional star all rolled into one.

A young kid who no one thought could make it in the NBA relentlessly pursued his dream, even if this meant sitting at the end of the bench or being relegated to the farm team. Shuffled between NBA franchises, this Harvard graduate eventually got his chance on one of the biggest stages in professional sports -- Madison Square Garden -- and shined beyond imagination.

The "Linsanity" story, as it is known in New York, thrives because it shatters all stereotypes -- an Ivy Leaguer who can play in the NBA; a scholar-athlete who is not just a token "racial diversity" player in a predominantly African-American league; a devout Christian, who puts God, family and team before himself in the "all-about-me" world of professional sports; an Asian-American in the NBA -- until Lin, virtually an oxymoron.

In China today, Linsanity also reigns. You can't find a Jeremy Lin jersey on emptied store shelves (even fake ones). There are millions of microblog posts about the New York phenomenon. Many editorialists have claimed Lin as the "pride of Zhejiang" (Lin's grandmother's homeland in China). Others in politically incorrect terms cite Lin as evidence that "yellow-skinned" people can excel on the global sports stage if given the chance. Chinese state media extensively reported on "Linsanity," or "Linfengkuang," hailing Lin as the pride of China.

Lin's performance on the court unintentionally creates a bond between the United States and Chinese people. Can his layups and intricate passing also help to improve U.S.-China relations after leader-in-waiting Xi Jinping's visit to the United States?

Probably not. First, Lin is a Taiwanese-American, born and raised in Palo Alto, California, which is a bit awkward for China. Some Chinese blog posts have taken shots at their own government by saying that had Lin grown up in China, he would have ended up as an illiterate and mediocre player for the People's Liberation Army team, or by needling with the question, "Why is the first Asian point guard in the NBA not a Chinese national?"

Second, the recent red carpet treatment of China's likely new president, Xi, in the U.S. -- and the absence of any major agreements -- shows that the future of U.S.-China relations will be difficult. Whether it is the economy (demands for China to act as a stakeholder in global economic recovery and trade fairly), security (demands for transparency on its military buildup), global affairs (complaints about China's veto of a U.N. resolution on Syria), or society (demands for better human rights in China), the U.S. list of complaints about China is long. Beijing is concerned that the new U.S. "pivot" to Asia is window dressing for an effort to contain China. And the Chinese government is worried about pathological U.S. overspending (with skyrocketing debts borrowed from the Chinese). Though they don't say it in polite company, Beijing's leaders see U.S. complaints as those of a declining power, looking to block China's rise rather than finding ways to solve its own internal problems.

And here perhaps is Linsanity's most poignant lesson for U.S.-China relations: China treats well those who succeed, and it politely ignores all others.

The recent full-armed embrace of Lin by the Chinese state media -- his Taiwan identity notwithstanding -- is not unlike China's lauding of another Chinese athlete who struck gold on her own: female tennis star Li Na. This tattooed rebel broke from the Chinese state-backed tennis system in 2008, seeking to choose her own coaches and tired of having 65% of her winnings garnished by the government.

Termed by the Chinese media as "Fly Alone," Li was an embarrassment to the Chinese government -- until she became the first Asian to win the French Open in 2011. After that, Chinese state media praised her as "the Empress of French tennis" and the "pride of China."

What these sports stars teach us about politics is that complaining about China in hopes that it will kowtow to criticism is the wrong formula for U.S.-China relations. Competing and winning is the way to gain China's respect and cooperation. Linsanity will not tell us any more than this about U.S.-China relations, which is fine. Let's enjoy this fairytale story while it lasts -- hopefully for Knicks fans, through the NBA playoffs.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Victor Cha.

@highlight

Jeremy Lin's success has been warmly embraced in China

@highlight

Victor Cha says his gains aren't likely to make a difference in relations between U.S., China

@highlight

The relationship between the two nations is strained by many issues, he says

@highlight

Cha: Competing and winning is the best way for the U.S. to gain China's cooperation