Schertz, Texas (CNN) -- Two moments have changed Eddie Canales' life. Both occurred on the football field.

The first happened nearly a decade ago. It was November 2, 2001, and Canales was watching his son's football game in San Marcos, Texas.

Chris Canales, a high school senior, had three offers to play college football, and that night, he was having the game of his life. With four minutes left in the fourth quarter, he made a touchdown-saving tackle. But something went wrong.

"I could hear my teammates saying, 'Chris, come on, let's go,' " Chris, now 26, remembered. "And I couldn't move."

At the hospital, doctors told Eddie and his wife that their son had suffered a spinal cord injury. If Chris survived, he'd probably never be able to move anything below his shoulders.

Chris nearly died twice during those early days. But his condition stabilized, and Eddie quit his job to become his full-time caregiver. The family adjusted to their new circumstances, but Eddie, 55, said it wasn't easy.

"You don't want to even think that your son may never walk again," he said. "That was a hard pill to swallow."

Near the first anniversary of his injury, Chris was struggling with depression. To cheer him up, Eddie invited him out to do something he'd always enjoyed -- watching high school football.

It was the first time Chris had been out to watch a game since his injury. But that afternoon, as they watched from the stands, the unthinkable happened: A player went down and lay immobilized on the field. Eddie and Chris knew immediately that it was a spinal cord injury.

"Chris turned to me and said, 'Dad, we've got to go help him,' " Eddie recalled.

In that moment, Eddie's life changed again: He found his mission. He and Chris visited the injured player and his family in the hospital, and within months, Gridiron Heroes -- a nonprofit that helps athletes who've suffered spinal cord injuries while playing high school football -- was born. It's a fraternity that now includes 19 injured players in Texas.

Many spinal injury organizations raise money for medical research. But from the start, Eddie wanted to provide emotional support to injured athletes and their families. Whenever a new player joins the group, he and Chris drive to visit them no matter where they live in the state. Eddie helps the families face myriad emotional, financial and practical issues, while Chris encourages and mentors the athletes.

"We try to provide information, inspiration and hope," Eddie said. "We want to make sure they don't feel alone."

Do you know a hero? Nominations are open for 2011 CNN Heroes

The National Center for Catastrophic Injury Research reports that 79 high school football players suffered spinal cord injuries in the United States between 2000 and 2009. While these injuries occur at all levels of the game, Eddie says that high school athletes are much more likely to suffer extreme financial hardship.

"Someone injured on a professional level is going to be taken care of," he said. "But on a high school level, it's a totally different story."

In the first year alone, these injuries can cost from $240,000 to well over $800,000, according to the National Spinal Cord Injury Statistical Center. When schools or school districts don't have a catastrophic injury policy -- as was the case with Chris Canales and Nat Little, another Gridiron Hero -- injured athletes can receive as little as $10,000 to cover expenses. Eddie says that even when schools and families do have insurance, the deductibles and out-of-pocket costs can be crushing to a family.

While Gridiron Heroes wasn't started to give families financial support, Eddie devotes a lot of time to this issue. He helps families organize their own fundraising efforts, and Gridiron Heroes often pitches in when there's a specific need. The group has helped buy wheelchairs and wheelchair-accessible vehicles, and it has also helped remodel homes, installing wheelchair ramps and wheelchair-accessible bathrooms. Every month, Eddie also sends each family a $100 Walmart gift card to help buy necessary supplies.

Eddie and Chris work on the prevention side, too. They drive more than 1,000 miles every month to meet with football coaches and trainers at conferences around the country. Their goal is to raise awareness about their work and encourage coaches to teach proper hitting technique, which reduces the chances of head and spinal cord injuries.

Gridiron Heroes is a father-son partnership -- a labor of love for Chris and Eddie, neither of whom receive compensation for their efforts. While Chris is deeply committed to their mission, he's quick to acknowledge that Eddie does the lion's share of the work.

"We get calls nationwide ... all hours of the night and day, and he won't turn anybody down," Chris said. "Behind the scenes, he gets everything done."

The elder Canales gets it done from his easy chair in the living room, via his cell phone and laptop. It's a location that not only allows him to be within earshot of Chris, who still depends on him for care, but makes it easy for him to keep up with the latest scores on his big-screen TV.

The rest of the Gridiron Heroes share Canales' passion for sports, so get-togethers often involve a game of some kind. The activity of choice? Going to a football game.

"I get the question a lot: 'How can you still support the game of football?' " Eddie said. "Well, that game is what brings them together."

His son agrees. "We're a band of brothers," he said. "Our biggest bond is football."

Web extra: Crippling injuries don't dim players' love of football

Eddie stresses that he isn't trying to deter anyone from playing football. In fact, the father and son believe that the discipline and can-do attitude instilled in Chris by his coaches helped him to recover and even regain some movement in his arms.

"We still love the game of football," Eddie said. "But we need to do a better job to help these young men when this does happen. ... We want to make sure these kids are not forgotten."

Word about Gridiron Heroes has spread around the country in the last couple of years, and more than 40 families from outside Texas have reached out to Eddie. Someday, he hopes to set up a national network, with branches to help the injured players in each state. He also wants to establish a fund in Texas to support high school players who suffer severe injuries.

Until then, he will continue his personal crusade to support these athletes and their families. Helping these young men -- whom he calls his heroes -- has become his life's work.

"They've never quit. They've never given up," he says. "That's what keeps me pushing."

Want to get involved? Check out the Gridiron Heroes website at www.gridironheroes.org and see how to help.

@highlight

Eddie Canales is helping teens who have suffered spinal cord injuries on the football field

@highlight

Gridiron Heroes provides emotional and financial support to the players and their families

@highlight

Canales' son Chris was paralyzed years ago, but he still helps his father's cause

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes