(CNN) -- Friday's launch of the iPhone 3GS could usher in an innovative and lucrative new era for those who create applications for the popular device, developers and industry observers say.

This woman in an iPhone costume was among the crowd  outside an Apple Store in New York City on Friday.

The phone's upgraded hardware, combined with a new operating system, will allow developers to design apps that wouldn't have worked on previous models of the iPhone.

For example, developers said, the iPhone 3GS is the first iPhone with a video camera, which could inspire apps that edit or mix video clips. Other developers are eyeing the new phone's built-in compass or its "push notification" feature, which pings users with messages even if its instant-message application is not open.

"Apple has given us all these new tools," said William Kasel, founder and CEO of Jumpfox, a San Francisco, California-based company that makes mobile apps. "And I can't wait to see what developers come out with in the next six months. The new features really take [the phone] to a whole new level."

Apple fans in the United States and seven other countries lined up Friday morning to be among the first to get their hands on the new iPhone 3GS, billed as the fastest, most feature-laden iPhone yet. iReport: Buying an iPhone 3GS?

Lines outside Apple's 211 retail stores in the United States were generally shorter than for last July's debut of the iPhone 3G, probably because owners of that phone balked at paying upgrade fees to wireless carrier AT&T or could simply update their devices by downloading the iPhone's new 3.0 operating system.

The buying process also seemed smoother than last summer's iPhone launch, which was marred by slow-moving lines and a flood of customers trying to activate their phones at once. According to reports on Twitter, many iPhone 3GS buyers were able to activate their phones faster and more smoothly than last year.

The new iPhone contains a processor that Apple claims is more than twice as fast as its 3G model, plus a video camera, voice control, longer battery life and a built-in compass. It comes with an upgraded operating system -- which Apple released Wednesday for download onto older iPhones -- with 100 new functions, including the ability to copy and paste text.

But the phone's biggest game-changer, observers say, may be new software that allows iPhone users to make purchases within applications.

On previous versions of the iPhone, applications linked users to Web sites where they could buy consumer goods or other items. With the new iPhone 3.0 operating system, users can shop entirely within apps designed specially for the phone, which promises to make for smoother transactions.

App developers love this new function. Until now, they earned money only when people bought applications through Apple's App Store, or from selling ads within the apps themselves. But now, for example, a game developer could charge users a few extra dollars to access higher levels of a video game. Other apps could allow users to locate the nearest movie theater, and then buy tickets.

"It's a whole new revenue stream," said Brian X. Chen, who writes about consumer technology for Wired.com. Chen believes the new feature could help iPhone app developers achieve long-term profits instead of hoping for an App Store "one-hit wonder" that sells well and then disappears.

"This could be absolutely huge for a lot of people," agreed MG Siegler, who writes for TechCrunch, a popular technology blog. "There's a lot of money to be made there, I think."

Siegler believes another bonus of the iPhone 3GS's new software is its ability to interact with special accessories via Bluetooth and the phone's dock connector. To cite one example that Apple showcased at a recent 3.0 event, a diabetes app could hook up with an insulin meter, allowing a diabetes patient to check his or her glucose levels.

Developers already are customizing apps for the new iPhone. Jumpfox is hoping to launch BuzzBuy, its PayPal-like e-commerce widget, as an iPhone 3GS app this summer. And ScrollMotion plans to introduce an upgraded version of its Iceberg reader, which will allow iPhone users to download more than 50 magazines, 170 newspapers and 1 million books to their devices for reading on the go.

"We love the new 3.0 functionality," said Josh Koppel, a ScrollMotion co-founder, who also believes the phone's copy-and-paste feature will help students and other readers get more use from the Iceberg app. "A new way to monetize on this magical device ... is the best thing we could have asked for."

The popular phone went on sale Friday in the U.S. and Canada plus six European countries: France, Germany, Italy, Spain, Switzerland and the United Kingdom.  Watch iPhone buyers lined up in London »

About 300 people stood outside the flagship Apple Store on New York's Fifth Avenue waiting for the doors to open Friday morning. In Atlanta, Georgia, more than 100 people were in line early Friday outside an Apple Store at Lenox Square mall.

"It doesn't seem like it's the Apple fanatics [this time]. It's moms and dads," said Robin Cutshaw, 51, who lined up for previous iPhone launches in 2007 and 2008.

An IT specialist, Cutshaw said he travels everywhere with his iPhone and once even used it to work remotely from a beach in Brazil. "It doesn't go in the shower with me, but that's about it," he said.

Some who had preordered phones were frustrated by how slowly their line moved outside the Atlanta store. But Marc Kagan, 31, said that buying his new phone took him about three hours, much less than the 10 hours it took last year.

Customers encountered problems activating their new phones last July because demand overwhelmed Apple's iTunes servers. But on Friday, Kagan said it took Apple employees about 15 minutes to activate his phone in the store.

"It went pretty smooth. I think they're a little more organized this year," he said.

AT&T stores, Best Buy and Wal-Mart also are selling the iPhone 3GS, although preorders through AT&T and Best Buy sold out before Friday.   Advance buzz about the iPhone 3GS has been largely positive. In a review, CNET gave it a four-star, or excellent, rating.  Compare the iPhone 3GS to three other smartphones »

An iPhone 3GS with 16 gigabytes of storage sells for $199 with a new two-year AT&T contract; one with 32G capacity will cost $299. Since June 8 Apple has been selling the iPhone 3G model for $99 -- half its original price.

Apple has sold more than 17 million iPhones since the iconic device hit the market in 2007. Apple's phones are the second-best-selling consumer smartphones in the United States, according to the NPD Group, an online market-research firm.  See a chart tracking iPhone sales »  The launch comes less than a week after rival Palm unveiled its much ballyhooed Pre smartphone on the Sprint network and Research In Motion announced it will debut the new BlackBerry Tour on Sprint and Verizon in the coming months.

CNN.com's John D. Sutter contributed to this story.

@highlight

NEW: Friday's launch could usher in a new era for mobile apps, observers say

@highlight

NEW: New software allows iPhone users to make purchases within applications

@highlight

NEW: Lines at Apple's stores were shorter than for last July's debut of the iPhone 3G

@highlight

Phone went on sale at 7 a.m. ET in the U.S. and Canada, following European launch