(CNN) -- Is the English Premier League -- often dubbed the "best football league in the world" -- about to make its financial clout count in Europe's biggest club competition?

Spain might have dominated last season's Champions League, with Real Madrid and Atletico contesting the final, but La Liga should brace itself for an English armada, according to a leading financial expert.

According to the 23rd Annual Review of Football finance from sports business group Deloitte, Premier League clubs' revenue reached a record $4.19 billion in the 2012-13 season.

And with the Premier League's $9.4 billion, three-year television deal -- $5.7 billion for domestic rights, the rest for overseas -- having started in 2013-14, English clubs could be set for a huge financial advantage over their continental rivals.

"The new TV deal puts those Premier League teams qualifying for the Champions League in a good position because they'll be generating a lot more revenue than their European opponents," Deloitte senior consultant Adam Bull told CNN.

"For Premier League clubs, the increase we've seen this year and one we'll definitely see next year because of the television deal, gives them a real opportunity to challenge even with the new UEFA Financial Fair Play regulations," added Bull, referring to the rules imposed by Europe's governing body to ensure clubs live within their means.

Since 2000, Spanish clubs have won the Champions League six times, twice the number managed by English teams in that time.

"English teams will be generating more revenue than anyone else and while the likes of Barcelona and Real Madrid can negotiate their television rights, the Premier League sides will be very competitive," Bull said.

But it's not all good news for the 20 Premier League clubs -- over 75% of their revenue increase in 2012-13 was spent on wages.

The report shows that total wages rose by 8% to £1.8 billion ($3 billion) and resulted in the overall Premier League clubs' wages-to-revenue ratio reaching a record high of 71%. The ratio was just 44% for the Premier League's first season in 1991-1992.

So with revenue going into players' pockets almost as soon as it arrives at the banks of English top-flight teams, aggregate operating profit fell by £2 million to £82 million ($137 million) -- an operating margin of just 3% of revenue.

However, 13 Premier League clubs made an operating profit in 2012-13 compared with just 10 in the previous year.

"The pattern in spending on wages following previous increases in broadcast deals, suggests it's likely around 60% or more of the revenue increase in 2013-14 will flow through to wages," added Bull.

"On that basis, we would expect Premier League total wage costs to reach a new record level of around £2.2 billion ($3.68 billion).

"However, given the forecast increase in revenue, this would also return the wages-to-revenue ratio below 70% for the first time since 2009-10."

While the total European football market grew to a record $28.65 billion in 2012-13, the Premier League led the way once again.

According to Deloitte, a 21% growth in commercial income enabled Premier League club revenue to top $4.19 billion for the first time.

The success of the Premier League means its rivals have been left behind with Germany ($2.85 billion), Spain ($2.68 billion), Italy ($2.34 billion) and France ($1.84 billion) trailing in its wake.

"Once again the global appeal of the Premier League has continued to drive commercial revenue growth, particularly at the highest ranked Premier League clubs," said Deloitte's Dan Jones.

"Matchday revenue also increased by 6% with fewer unsold seats at Premier League games than ever before."

And that lucrative television deal will only serve to swell the coffers of EPL clubs next season.

"We estimate that Premier League clubs' revenue will have increased by almost 30% to £3.2 billion ($5.4 billion) in 2013-14," Jones added.

"This growth will be driven by the revenue from the first season of the Premier League's new broadcast deals and further commercial revenue growth at the biggest clubs."

In total, Premier League revenue grew by $276 million, some 7%, with Manchester City, Manchester United and Liverpool responsible for 60% of the growth.

"Four of the big five leagues have maintained or reduced revenue-to-wages ratio and have shown a greater sense of cost control," said Bull.

"In Spain, the ratio is the lowest it has been since 2000 and is indicative of what we're beginning to see in Europe.

"It's different in the Premier League because of the upcoming television deal and so clubs are spending more as they know the money is coming in."

In 2012-13, the cumulative revenue of the "big five" European Leagues grew 5% to $13.3 million, representing half of the overall size of the European football market of $27.1 billion (up 2%).

While the Premier League tops the revenue table, it comes second to the Bundesliga in terms of profitability.

The 18-team German league, won by Bayern Munich, made operating profits of $379 million compared to the EPL's $137 million.

Bayern and Borussia Dortmund combined represented over 80% of the league's $199 million revenue increase.

The Bundesliga is the only top-five league where broadcast deals are not the largest source of revenue, with German clubs retaining the strictest cost control with a wages-to-revenue ratio of 51%.

In Spain, commercial and matchday revenues both decreased during the 2012-13 season, while new television deals drove the league's $105 million (4%) revenue increase.

In Italy, broadcast income continues to dominate, contributing $1.36 billion (59%) to the total of clubs' revenues.

While the total league revenue was up 6% to $132 millon, the 20 Serie A teams also showed how they are cutting costs, recording operating loss reductions of $146 million.

In France, Qatari-backed Paris Saint-Germain accounted for all of the league's revenue growth for the second successive year.

@highlight

Over 75% of the Premier League clubs' revenue increase in 2012-13 was spent on wages

@highlight

Total European football market grew to a record $28.65 billion

@highlight

English Premier League clubs generated the highest revenue

@highlight

Germany's Bundesliga was Europe's most profitable league