(CNN) -- Atef 'Abd al-Qader Al-Atrash is a 32-year-old Libyan blogger, government critic, and a father of two young children. He has not been seen since a February 18 gathering near Benghazi.

Amnesty International said in a briefing paper issued Tuesday that Al-Atrash is one of many people who have vanished in what they say is a "campaign of enforced disappearances" -- a practice by pro-Moammar Gadhafi forces trying to squelch the opposition movement.

The paper -- titled "Libya: Detainees, Disappeared and Missing" -- explores more than 30 cases of people who have disappeared since protests started in the war-torn North African nation. Among those missing are political activists and "those suspected of being rebel fighters or supporters of fighters."

"It appears that there is a systematic policy to detain anyone suspected of opposition to Colonel al-Gaddafi's rule, hold them incommunicado, and transfer them to his strongholds in western Libya," said Malcolm Smart, Amnesty International's director for the Middle East and North Africa. "Given the circumstances of their enforced disappearance there is every reason to believe that these individuals are at serious risk of torture and ill-treatment."

Smart called on Gadhafi to "halt this outrageous campaign and order his forces to abide by international law."

Amnesty says the documented cases "are believed to represent only a small proportion of the total number of people who have been detained or have disappeared" recently in Gadhafi's custody.

Recent video indicates the extent of the problem. It shows prisoners roughed up and taunted by Gadhafi forces. Some of them say there were demonstrators and others deny it.

"The true number is impossible to establish, as the authorities in Tripoli generally do not divulge information about detainees they are holding and because many areas of the country are not accessible for independent reporting. Some relatives of detainees are also unwilling to publicize their names for fear of possible reprisals," Amnesty said.

Libyan officials did not immediately respond to efforts to obtain a response to the Amnesty International report.

The cases include "three broad categories," the report says:

-- Government critics, pro-democracy activists, writers and others detained in the days before the February 17 "peaceful demonstrations" across Libya.

"They appear to have been arrested by the authorities as a pre-emptive strike in an effort to nip the protests in the bud following the public protests that had caused the downfall of longstanding repressive governments in Tunisia and Egypt, two of Libya's neighbors."

-- Anti-government protestors and youths who went missing on February 20, when the Kateeba al-Fadheel, a pro-Gadhafi special forces unit, was forced to evacuate from a military compound in Benghazi after violent clashes with protesters.

"Amnesty International has documented the cases of nine men and boys who have not been seen since they went to the Kateeba compound area on evening of 20 February 2011, including four teenagers under 18."

-- People captured in or near Ben Jawad, where there had been "intermittent fighting."

"Amnesty International has obtained information about a number of individuals who went missing in the area between Ajdabiya and Ben Jawad, west of Benghazi. Some are believed to have been fighters, others to be civilians who went to the area in order to assist the wounded, and still others people who may have been onlookers."

Amnesty said foreign journalists who had been detained and released "have reported that they were beaten and assaulted and threatened with execution, in some cases even being subjected to mock execution, and have expressed concern about Libyans who they saw being mistreated in detention."

It said there are fears too that some detainees may be held "as bargaining chips or to put pressure on their relatives and friends to deter them from joining the opposition."

The agency said its concerns "are heightened by the long pattern of gross and widespread human rights violations" that have marked Gadhafi's rule. "These include enforced disappearances, extrajudicial executions, prolonged arbitrary detention, torture and other ill-treatment, as well as severe restrictions on freedom of expression and the rights to freedom of assembly and association."

Amnesty is urging the government to release peaceful protesters, ensure than any alleged captured fighters be treated humanely and given access to the Red Cross, and grant "unhindered access" to humanitarian groups.

As for Atef 'Abd al-Qader Al-Atrash, his family fears for his safety. One relative told Amnesty that "he has simply disappeared," and speculates he was taken to areas under the control of pro-Gadhafi forces.

"We kept trying to call his phone but never got through, until some days later when a man who spoke with a western (western Libyan) accent answered and said: 'this is what happens to those who throw stones at us'. But Atef had never even thrown stones," the relative said.

@highlight

Amnesty International looks at more than 30 disappearances

@highlight

It appears to be a "systematic policy," it says

@highlight

There likely are many more unreported cases, the organization says