ISTANBUL, Turkey (CNN) -- Iason Athanasiadis' ordeal began at the airport, shortly after he checked in for his flight to leave Tehran.

Iason Athanasiadis said he endured hours of questioning over several weeks in sound-proofed rooms by interrogators he could not see.

"I was heading to the gate," the Greek-British journalist said. "This guy materialized on my right. He said 'are you Iason Fowden?' [Athanasiadis' passport name]. I said 'yeah that's me.' He said 'please step to the side ... you're not going to be flying tonight.'"

It was an ominous introduction to Iran's security apparatus.

Athanasiadis spent the next 21 harrowing days in Iranian prisons, accused of espionage, subjected to interrogations and, on several occasions, beatings.

The journalist, a freelance writer and gifted photographer who had been on assignment for the Washington Times newspaper at the time of his arrest, spoke to CNN by phone from his parents' home in Athens Thursday, several days after an extraordinary international lobbying effort helped secure his release.

Athanasiadis has extensive experience reporting in Iran. He also did graduate level academic work in Iran in 2004, as part of a program sponsored in part by Iran's Ministry of Foreign Affairs.

The young freelance reporter realized he was in serious danger at the airport in Tehran on June 19, when a half dozen plain-clothed security officers arrived and began leading him out of the building. The reporter resisted, and began yelling to crowds of nearby passengers that he was a journalist.

"I got kind of pulled kicking and screaming and getting punched behind an escalator," Athanasiadis recounted.

While being dragged outside to an unmarked car, the journalist said he managed to get the attention of a Western-looking woman waiting in the airport. To this day, Athanasiadis says he does not know the woman's name. But he believes she was instrumental in helping spread the word of his detention.

"She was the best thing that happened to me that day," Athanasiadis said. "I just said 'I'm a Greek reporter for the Washington Times. Please contact the Greek Embassy.' And she ran after me with a note pad and pen and asked me to spell my name."

International human rights organizations estimate thousands of Iranians have gone missing, since the Iranian government launched its crackdown on opposition activists and journalists following the disputed June 12 presidential elections. Eyewitnesses in Tehran say many families are still struggling to determine the whereabouts and official status of their detained relatives.

But in Athanasiadis' case, the Greek Foreign Ministry announced it was working for the journalist's release just days after his arrest.

That night, Athanasiadis says security officers forced him to ride into Tehran from the airport, with his head buried in his lap. Later, when he tried to make a phone call from a police station in Tehran, Athanasiadis said security forces tackled him, threw him to the ground, beat him with a club and pepper-sprayed him.

Eventually, they transferred him to Tehran's notorious Evin prison, where he witnessed new Iranian prisoners being delivered by the busload to the prison gates.

That is where the interrogation began.

Dressed in a prison-issue uniform, Athanasiadis endured hours of questioning over the next several weeks in sound-proofed rooms where he was never allowed to see his interrogator.

"I just sat in one of these school desk situations, a chair with a desk extension," he explained. "I was told to face the wall ... and they sat behind me and they crooned into my ear."

On the second day of his incarceration, a prosecuting judge told Athanasiadis, a fluent Farsi speaker, that he was facing charges of espionage.

Since incumbent president Mahmoud Ahmadinejad was declared the winner of the June 12 election, opposition candidates and their supporters have accused the Iranian government of falsifying election results. In response, the Iranian government has accused Western governments, particularly Britain, of organizing large protests in the streets of Tehran and other cities.

"The lesson I take from this is that the Iranians," Athanasiadis said, "have decided to start arresting foreigners."

Last May, an Iranian-American freelance journalist named Roxana Saberi, was released after being detained for four months on charges of espionage. This week, French President Nicolas Sarkozy demanded the release of 23-year old Clotilde Reiss, a French academic reportedly arrested last week on charges of spying. Meanwhile Maziar Bahari, an Iranian-Canadian who freelanced for Newsweek, is another prominent intellectual now sitting in an Iranian prison.

According to the New York-based organization Committee to Protest Journalists, Iran is now the "world's top jailer of journalists," with at least 30 reporters and bloggers in prison.

Unfortunately, few of these prisoners enjoyed the international support that was rallied on behalf of Athanasiadis, said Michalis Kosmides, a Greek journalist and vice president of the Foreign Press Association in London.

After learning of his colleague's arrest, Kosmides launched a Facebook page titled "Free Iason."

Meanwhile, the spiritual leader of the Eastern Orthodox Church, the Ecumenical Patriarch Bartholomew of Istanbul, also intervened. He sent a high-ranking cleric and a letter to the Iranian Consulate in Istanbul, to plead for Athanasiadis' release "on humanitarian grounds," said Father John Chryssavgis, an adviser to the patriarch.

"Iran has separate nodes of power," Kosmides said. "The patriarch's statement appealed to one node with religious sentiments."

Athanasiadis says the lowest point came 19 days after his arrest, when it appeared he would be released.

"They took me to the airport, the Greek ambassador met me with a ticket. We started heading towards the gates, then we suddenly veered off to the escalator," the 30-year old journalist said. "I promptly got re-arrested and spent this very strange night in a windowless room listening to bags thumping through the chutes and listening to departure announcements ... it was the most scary time."

It took another 24 hours of intense diplomacy led by Greek ambassador Nikolaos Garilidis before Athanasiadis finally flew safely out of Tehran.

Throughout his ordeal and the countless accusations of spying, Athanasiadis said he realized one thing about his captors: they had never bothered to read any of the articles he has published over the years about Iran.

"I was shocked that they would arrest someone who had lived in Iran and had such a record of trying to introduce Iranian society to an outside audience."

@highlight

Iason Athanasiadis arrested at Tehran airport on June 19

@highlight

Journalist had been on assignment for the Washington Times

@highlight

Spent the next 21 harrowing days in Iranian prisons accused of espionage

@highlight

Released after intense diplomatic effort by Greek government