(CNN) -- What Syria asserts is Israel's launch of two air strikes on Damascus last week presents a marked and dangerous escalation of that country's involvement in the Syrian war.

Israel's intervention -- if confirmed -- also shows how the conflict has mutated from a political uprising to an internal armed struggle, and now to a regional war by proxy fiercely fought on Syria's killing fields. (Israel has a policy of refusing to confirm or deny attacks attributed to its military.)

The confrontation in Syria has become more complex, more perilous, and more difficult to resolve.

The Syrian struggle has not only spread into Syria's neighbors, like Lebanon, Iraq, Jordan and Turkey -- but has also become a battlefield wherein Israel and Iran are challenging each other.

There is also a fierce geostrategic rivalry unfolding in Syria between Sunni-dominant Saudi Arabia and Shiite Iran, a rivalry invested and fuelled with sectarianism.

A real danger exists that this complex conflict in Syria could escalate into a region-wide battle involving Syria's major allies -- Iran and Hezbollah, and Israel, other regional powers, and the Western states.

Israel's alleged deepening involvement in the conflict also changes the dynamics of the political struggle in Syria in two ways. It puts the armed opposition on the defensive, because it shows them that they and Israel are indirectly battling the same enemy -- the Assad regime.

And it reinforces President Bashar al-Assad's dominant narrative: that the struggle in Syria is not internal, that this is not about a domestic coalition striving to replace authoritarianism with democracy -- but rather this is a wider conspiracy spearheaded by Israel and its regional allies and Western powers.

The Syrian official media has already portrayed Israel's bombings as an attempt to shore up the armed opposition and reverse the balance of power in its favor.

Although the Iranian leadership has repeatedly stated that it would come to the aid of Syria if it is attacked by Israel, it is unlikely that Iran or its partner Hezbollah would retaliate directly against Israel's possible strikes.

Both Iran and Hezbollah would like to avoid a regional conflict in which Israel and its allies would have the upper hand.

Opinion: Is Obama failing on moral leadership?

What Iran and Hezbollah would most likely do is deepen their involvement in Syria's shifting sands. In an emotional speech last week, Hassan Nasrallah, the Hezbollah top leader, stressed that al-Assad's allies will not allow Syria to fall. Now Hezbollah and Iran would become more determined than ever to prevent the removal of al-Assad from power.

Bluntly put, the recent escalation of hostilities will not only prolong the deadly conflict in Syria, but has now made it an open-ended war by proxy -- one with major potential repercussions for regional and international security and peace.

Israel's major goal appears to be the establishment of a red line in Syria, whereby no advanced weapons reach Hezbollah -- its archenemy in Lebanon. Israel's primary audience was Hezbollah and Iran. Israel is taking a calculated gamble that neither Syria nor Hezbollah would risk retaliation.

Obama: 'Do not foresee scenario' of American boots on ground in Syria

There is a risk of miscalculation that could trigger a bigger clash.

Given the risks and the dangers of a region-wide conflict, one would hope that the great powers -- particularly the United States and Russia -- would assume their historic responsibility and reach an understanding that begins the process of putting an end to the deadly struggle in Syria that has killed more than 70,000 Syrians, according to the latest United Nations estimate, and caused a humanitarian disaster.

More than two years after the breakout of the Syrian confrontation there does not seem to be a military solution. It is a long war of attrition with no end in sight. Neither internal camp seems to have the means to deliver a decisive blow.

Only a political solution will put an end to the shedding of Syrian blood and prevent the unthinkable: a region-wide conflict that would have catastrophic consequences.

The opinions expressed in this commentary are solely those of Fawaz A. Gerges.

@highlight

Gerges: Israel's alleged involvement changes the dynamics of Syrian struggle

@highlight

Iran stated it would aid Syria if it is attacked by Israel, but it is unlikely it would retaliate directly

@highlight

A political solution will put an end to the bloodshed and prevent a region-wide conflict, he says