(CNN) -- The trains that crashed on the Washington Metro depended on a 33-year-old automated control system widely used in cities across the United States, according to the American Public Transportation Association.

Investigators work at the site where a D.C. Metro train crashed into the rear of another train.

But public transit officials say a crash like the one in Washington is unlikely to happen in other cities that rely on a similar automated system, including Philadelphia, Pennsylvania; San Francisco, California; Boston, Massachusetts; Miami, Florida; and Atlanta, Georgia.

San Francisco, California's Bay Area Rapid Transit is the only other rail system that uses as much automation as Washington's, association officials said.

Transit officials across the country are reassuring passengers who use the subway and light-rail systems in other major cities that the computerized system is safe and is less prone to human error.

"Public transportation is one of the safest ways to travel and what happened in Washington is rare," said Virginia Miller, a spokeswoman at the American Public Transportation Association.

Investigators still don't know the cause of Monday's deadly Washington crash, but National Transportation Safety Board officials are looking into why the computerized emergency system failed to prevent the accident.

About 5 p.m. Monday, two trains crashed on the packed Red Line near Tacoma Park, Maryland. The accident, the deadliest crash in the Metro's 33-year history, killed nine and injured at least 76 others.

Washington's rapid transit system, known as the Metro, is the second-busiest urban rail system in the country following the New York City Transit's subway system, according to the transportation association.

Both trains in the Metro crash were being operated on automatic mode, which meant the computerized system was supposed to determine if conditions on the track were safe for travel. Metro trains are operated on automatic mode during rush hour.

The Washington Metro has used the automated system since its inception in 1976. Similar automated systems have existed in rapid-rail systems in various cities across the United States and abroad for more than 30 years. The idea of an automated train control system hasn't changed much, but the hardware and technology in the control rooms have been improved.

"It fundamentally works," said Louis Sanders, chief engineer at the transportation association. "It's a very efficient system. Just because it was designed 30 years ago doesn't mean it's not a good system."

There is no federal agency that mandates technology standards for rapid transit systems. The standards are regulated by local jurisdictions.

In an automated system, a control room houses electronics that regulate the movement of trains. The control rooms send electronic signals to sensor-like devices located between the train tracks.

When a train crosses over one of these devices, the device relays critical information to the train's lead car, telling the train when to slow down, speed up and stop. When trains are running on automatic mode, the operator's main task is to open and close the train doors.

"The design of the system is set up to keep trains separated, to have positive separation between trains, to control speeds, to give them speed information. And so what we're trying to figure out is what happened in this accident," National Transportation Safety Board member Debbie Hersman told CNN's "American Morning" on Wednesday.

The automated system includes safeguards for the train operator, including an emergency, or mushroom-shaped, brake which can be applied when the train is running both in manual and automatic mode. NTSB officials say the train operator appeared to hit the "mushroom" brake before the crash.

On Wednesday, however, NTSB investigators discovered "anomalies" in an essential control circuit on a section of track where the accident occurred.

Hersman said the circuits are "vital providing information to the operators and the train itself when on automatic." NTSB officials wouldn't elaborate on the "anomalies."

A full NTSB report of the investigation won't be released until six to 18 months from now, but officials said they will simulate crash tests to determine what caused the accident. Until the report is released, transit authorities say they won't be likely to know what improvements or changes need to be made in other urban rail systems.

Last year, a commuter rail crash in Los Angeles, California, that killed 25 people prompted federal and state officials to aggressively upgrade safety systems on inter-city railways and commuter rails across the country.

Metro trains in Washington are being operated manually by train operators until further notice, according to the Washington Metropolitan Transit Authority. In a manual system, the train operator has full control of the train's starts, stops and speed. The operator must drive within speed parameters set by the signals, or the train will shut down.

The Metro's only other fatal crash occurred in January 1982 when three people died as a result of a derailment between the Federal Triangle and Smithsonian stations, according to Metro officials.

Data from the National Safety Council in 2008 shows drivers on roads are 14 times more likely to end up in a fatal accident than people who ride public transit.

Officials in other cities that rely on automated rapid-transit systems similar to Washington's Metro say they believe their trains are safe.

Noelle Gaffney, a spokeswoman for the Chicago Transit Authority, said the automated system has worked for passengers in that Illinois city, citing no major accidents in recent years. She said the Chicago system, which is the third busiest system in the United States, has operators on board each train.

"The automatic system we use works for us, so we're not going to look at new technology that doesn't prove to be cost effective," she said.

In Philadelphia, Pennsylvania, officials at the Southeastern Pennsylvania Transportation Authority reassured passengers through the media that their automatic system, though similar to Washington's, is safe and has back-up emergency brakes.

Jeffrey Knueppel, assistant general manager and chief engineer at the Pennsylvania authority, said the agency spent more than $200 million over the last decade to ensure the "signal and control systems are as modern and safe as they can be."

Andrew Busch, a spokesman at the authority, said he hasn't heard any passenger concerns about safety or made any changes with how their trains operate since Monday's Metro crash.

"We're confident in our system as it is now," Busch said.

@highlight

The Washington Metro has used an automated train control system since 1976

@highlight

Philadelphia, San Francisco, Boston and Atlanta also use a similar system

@highlight

American Public Transportation Association: "What happened in Washington is rare"

@highlight

Investigators found a problem in one of the track circuits that relay data to trains