(CNN) -- The climate change crisis is upon us. The world's leading climate scientists agree that time is rapidly running out and that urgent steps are needed in the next 10 years to dramatically reduce our carbon emissions. But exchanging global warming for nuclear meltdown is not the answer.

From a purely practical standpoint â€” and ignoring for a moment nuclear power's other showstoppers such as cost, unmanaged nuclear waste, atomic weapons proliferation and catastrophic accident â€” there simply isn't time to choose nuclear power. There are faster, affordable alternatives, including energy efficiency and renewable energy installations such as wind farms and solar arrays that can be completed in months to a few years.

The average construction time for a new nuclear power reactor is close to 10 years. A 2003 Massachusetts Institute of Technology study concluded that more than two new reactors would have to start operating somewhere in the world every month over the next 50 years to displace a significant amount of carbon-emitting fossil-fuel generation.

Such a fantasy does not pass the reality check in corporate boardrooms or on Wall Street where nuclear power has been soundly rejected. The exorbitant costs and unpredictably long completion time -- a reactor at Watts Bar in Tennessee, for example, was "under construction" for 23 years and may be connected to the grid by 2015 -- make nuclear power an unappealing, even reckless, business choice for corporations and shareholders.

Construction costs for a new reactor are predicted to top at least $15 billion, assuming the project remains on budget, which those under way in France and Finland have demonstrably failed to do. Meanwhile, since 2008, the world market cost of solar photovoltaic modules has fallen by 80%.

In the U.S., the four reactors currently under already-behind-schedule construction in Georgia and South Carolina would never have begun without fleecing ratepayers in advance through a surcharge on their electricity bills. This cost is shouldered by ratepayers even if the reactor they are paying for is never completed.

Government support does not sweeten the pill. Constellation Energy abandoned its application for a new reactor in Maryland after being offered a federal loan of just under $8 billion, a burden that would likely have been shouldered at least in part by taxpayers. Constellation pulled out because it was unwilling to risk $880 million of its own money in federal financing charges.

Advocates of allegedly "new" designs such as the sodium-cooled integral fast reactor (IFR) touted in "Pandora's Promise" are reaching back into the atomic dark ages. Previous incarnations of this design have suffered fires, leaks and disastrous economics. For example, Monju in Japan, cost $10.11 billion and generated just one hour of electricity before closing. The "new" IFR design is decades away, economically unappealing, proliferation risky, and its safety claims are unproven.

The IFR cannot magically eat nuclear waste for lunch as some claim. Theoretically, it can gradually reduce the amount of the more dangerous isotopes in the waste, but the process comes at very high costs with marginal benefits and would take hundreds of years.

Energy efficiency measures and renewable energy, which have been marginalized by decades of disproportionate federal handouts to the nuclear sector, are the real answer. They can be deployed fast, far more cheaply and safely, are more practical in rural, developing countries, and are more effective in displacing carbon than nuclear power.

Germany has stepped in where the United States failed to lead, well on the way to a 100% renewable energy economy by 2050, with a revitalized supply chain and 380,000 jobs in the renewable energy sector compared with 30,000 in nuclear. Nuclear France, meanwhile, must import electricity in winter and during summer droughts and heat waves.

The ongoing nuclear crisis in Japan in the aftermath of the triple reactor meltdowns at the Fukushima Daiichi nuclear complex serves as a permanent reminder of the unacceptable risks posed by the current fleet of nuclear plants.

Given the latency period between exposure even to "low" doses of radiation and the manifestation of disease, we may not know the true health effects of the Fukushima nuclear disaster for decades. The experience of the 1986 Chernobyl reactor accident demonstrates that negative health effects can last generations, cause immense suffering and trigger other fatal and non-fatal illnesses as well as birth defects.

Even the routine radioactive releases from nuclear power plants can prove fatal. Studies in Germany and France found elevated rates of leukemia among children living near nuclear power plants.

The situation at Fukushima remains perilous and could still become orders of magnitude worse. A technology that has the capacity to poison human resources and render vast areas unfit for habitation for decades, even centuries, cannot be endorsed by environmentalists and runs contrary to the best interests of humanity.

The opinions expressed in this commentary are solely those of  Linda Gunter and Kevin Kamps.

@highlight

Authors: There isn't time to choose nuclear power as a way to stop climate change

@highlight

Wall Street rejects nuclear power plants for being costly and time consuming, say authors

@highlight

Beyond Nuclear's Linda Gunter and Kevin Kamps say advanced nuclear technology is risky