(CNN) -- It has been said that health policy is too important to be left solely to doctors, because the determinants of health lie mainly outside the medical care system.

For complementary reasons I would say that economic policy is too important to be left solely to economists. The effects of economic policy are much more than economic, health principally among them.

In fact, so close is the link between social and economic policy and health, that health can serve as an evaluator of policy, a kind of social accountant.

Arguably, we value health more than we value growth in the gross domestic product.

Health as a social accountant is highly relevant to debates about macroeconomic policy in the wake of the global financial crisis.

My caricature of what passes for debate on macro-economic policy is that austerians believe that national debt has to be reduced in order to get economic growth.

Keynesians believe that you have to get economic growth in order to reduce debt. Therefore, a booming economy, not an ailing one, is the time for government to spend less.

As a non-economist, my solution to the debate is to look not at which policy leads more quickly to economic growth, but at the effect of policy on the lives people are able to lead, and thus on their health.

Whatever good economic effects the authors of policies of austerity imagine them to have, their effects on the lives of young people in Europe have been disastrous.

There is little doubt that policies of austerity have contributed to youth unemployment in large numbers.

Recent figures show unemployment rates of 15 to 24-year-olds are 36% in Portugal, more than 41% in Italy, almost 60% in Greece and almost 58% Spain. By contrast, the figure is just over 11% in the Netherlands and under 8% in Germany.

Perhaps some of these young people in Southern Europe are in "informal" employment, and shouldn't be counted as unemployed.

Even so, there is still a major issue of youth unemployment. It is little use politicians lecturing school leavers to stop being layabouts and get a job, if the jobs are not there. Arguably, policies of austerity make job opportunities more scarce.

Youth unemployment matters for at least three reasons. First, unemployment is bad for mental and physical health.

Looking across Europe, in general the higher the unemployment rate of a country the higher the suicide rate, and the homicide rate.

Far from unemployment being a lifestyle choice, people dislike it so much they are more likely to kill themselves, and each other. The short term effects of unemployment are on mental health.

In the longer term, physical health is damaged. In the 1980s economic downturn in Britain, there was clear evidence that unemployment was associated with an increase in mortality of about 20%, compared with people in the same occupational class.

Second, young people who leave education for the scrap heap are in danger of never getting gainful employment with any security.

The implication is a life of social marginality, including social isolation, poverty and homelessness -- all of which are bad for health. Throw into the mix the fact that the unemployed have worse diets, are more likely to smoke, and may suffer from the effects of alcohol and drugs, and you have a potent recipe for ill-health.

Third, ill-effects on health are correlated with other unfortunate social consequences.

The riots that scarred London in the summer of 2011 began in Tottenham. I had been citing Tottenham as having the worst male life expectancy in London, 18 years shorter than that in affluent Kensington and Chelsea.

What a coincidence that the riots should have started in Tottenham, and not in Kensington and Chelsea. Of 1,000 young rioters going through magistrate courts, 91.4% were not in education, employment or training.

Why would a young person with a job, or in education, or training, want to riot and loot, when they have a stake in the future?

I do not believe in counsels of despair. The problem of youth unemployment and health is soluble.

One strategy is to deal with youth unemployment by making it a prime consideration for macro-economic policy. Other things equal, as economists love to say, do not pursue policies that throw young people on the scrapheap.

A complementary strategy is to pursue active labor market policies that have the twin strategy of reasonable unemployment benefits and mechanisms to help young people into training or employment.

Evidence from across Europe suggests that the greater the investment in active labor market policies the less effect unemployment has on suicide rates.

An economic policy to prevent mental illness? As a public health doctor I would recommend it.

READ MORE:

CNN Money: The Future of Health Care

Unemployment is hard on the heart, and the harm may add up

Unemployment takes tough mental toll

Why we need a 'leg-up' state

Davos and its dictionary diplomacy

The world's most exclusive gathering

What's your economic mood?

How much does it cost to go?

The opinions expressed in this commentary are solely those of Michael Marmot.

@highlight

Michael Marmot says austerity has increased youth unemployment in Europe

@highlight

Marmot argues that unemployment is bad for mental and physical health

@highlight

He says resulting social marginality, poverty and homelessness harm health

@highlight

Unemployment should be a key consideration in macro-economic policy, Marmot says