Washington (CNN) -- John Brennan joined the CIA as a young man after responding to a newspaper want ad. Now, at 57, he could become its next director.

President Barack Obama on Monday nominated Brennan, his chief counterterrorism adviser, to lead the CIA, praising his pick as someone already closely connected to the agency and willing to fight on its behalf.

"John knows what our national security demands: intelligence that provides policymakers with the facts, strong, analytic insights and a keen understanding of a dynamic world," Obama said at the White House.

Brennan worked for the CIA for more than two decades and has been Obama's assistant for counterterrorism and homeland security since 2009. In that role, Obama said, Brennan worked closely with many government agencies.

The results were clear, the president said. "More al Qaeda leaders and commanders have been removed from the battlefield than at any time since 9/11."

Brennan has shaped the White House's strategy to aggressively pursue suspected terrorists -- dramatically escalating the use of armed unmanned aircraft, often referred to as drones -- and to kill them in the ungoverned territories of Pakistan and in Yemen.

Brennan: Drone attacks are legal, ethical

He was also intimately involved in the run-up to the raid on the Osama bin Laden compound in May 2011.

"John is legendary even in the White House for working hard," Obama said. "He is one of the hardest working public servants I have ever seen."

In recent years, Brennan has become well-known in Washington as the public face of the White House's counterterrorism policies. Now, if the Senate confirms his nomination, he'll head an agency where many employees work behind the scenes.

Brennan praised the often anonymous work of CIA staffers Monday and pledged to do everything he can to support them.

"If confirmed as director I will make it my mission to make sure that the CIA has the tools it needs to keep our nation safe and that its work always reflect the liberties, the freedoms and the values that we hold so dear," Brennan told reporters shortly after Obama tapped him for the job.

Obama announced Brennan's nomination Monday at the same time he tapped former Sen. Chuck Hagel to become defense secretary. Both men, he said, "have dedicated their lives to protecting our country."

If the Senate confirms Brennan's the nomination, he will replace retired Gen. David Petraeus, who stepped down from his job as CIA director in November amid revelations that he had engaged in an extramarital affair with his biographer.

Petraeus resigned on November 9 as the FBI investigated whether his biographer, Paula Broadwell, had inappropriate access to classified information.

Read more: Who's in, who's out of cabinet

Michael Morell, a career intelligence officer who was serving as the spy agency's deputy director, has been acting CIA director since Petraeus' resignation.

In a message to colleagues, Morrell said he looked forward to welcoming Brennan back to the CIA.

"Those of you who know John can attest to his intellect, expertise, and prodigious work ethic. I have had the privilege of working with him for the better part of two decades, and I know him to be a public servant of the highest integrity. We have worked literally hundreds of tough issues together, and I have found that his approach always begins and ends with the question, 'What is the right thing to do here?'" he wrote.

After the 2008 election, Brennan was touted as a shoo-in for CIA director, but attacks from critics who claimed he supported the Bush administration's policy of harsh interrogations prompted him to drop out of consideration for the job.

Returning to the CIA would be a homecoming of sorts for Brennan, who spent 25 years there, developing a deep knowledge of the Mideast and fluency in Arabic.

"He knows what the president wants from his intelligence community," said Bill Harlow, a former senior CIA official. "And he also knows how to deliver it from having worked at the agency. ... There'll be no learning curve for him."

After the nomination was announced, Senate Majority Leader Harry Reid said he hoped the Senate would give both Brennan and Hagel "a fair and constructive confirmation process."

Debate over the drone program and Brennan's position on CIA interrogations could make for some rough moments during his hearings.

Concerns about his past work at the CIA began to simmer again on Monday, with the American Civil Liberties Union calling on lawmakers to investigate whether Brennan had been involved in torture, abuse or secret prisons during his past tenure at the CIA during the administration of President George W. Bush.

Opinion: John Brennan, Obama's drone warrior

"This nomination is too important to proceed without the Senate first knowing what happened during Brennan's tenures at the CIA and the White House, and whether all of his conduct was within the law," Laura W. Murphy, director of the ACLU's Washington Legislative Office, said in a statement.

Sen. John McCain, R-Arizona, said he planned to examine Brennan's record closely.

"I appreciate John Brennan's long record of service to our nation," McCain said in a statement, "but I have many questions and concerns about his nomination to be director of the Central Intelligence Agency, especially what role he played in the so-called enhanced interrogation programs while serving at the CIA during the last administration, as well as his public defense of those programs."

Even as she praised his record, Sen. Dianne Feinstein, D-California, said she planned to raise the CIA detention and interrogation issue with Brennan.

The fact that Brennan is coming from the West Wing and has frequently talked about the president's views on camera could make him political fodder, said Frances Fragos Townsend, CNN's national security contributor.

"He's got to expect that (Capitol) Hill is going to treat him as a political person who is fair game now, rightly or wrongly," she said.

On Monday, Brennan said he was prepared to work with lawmakers on both sides of the aisle and field their questions.

"While the intelligence profession oftentimes demands secrecy," he said, "it is critically important that there be a full and open discourse on intelligence matters with the appropriate elected representatives of the American people."

Compared to Hagel, reaction to Brennan nomination muted

CNN's Catherine E. Shoichet reported in Atlanta; Pam Benson in Washington. CNN's John Berman, Jill Dougherty, Devon Sayers and Jim Acosta also contributed to this report.

@highlight

NEW: The acting director says he looks forward to welcoming John Brennan back to the CIA

@highlight

Brennan says his mission will be "to make sure that the CIA has the tools it needs"

@highlight

Obama: Brennan "is one of the hardest working public servants I have ever seen"

@highlight

Brennan, 57, has been Obama's chief counterterrorism adviser for four years