Mexico City (CNN) -- The helicopter crash in Mexico that killed Interior Minister Jose Francisco Blake Mora and all seven other people aboard shows no evidence of an explosion, a Mexican official said Saturday.

"In visual and preliminary investigations of the crash site, the remains of the aircraft do not show evidence of any kind of damage from an explosion or fire," said Dionisio Perez-Jacome, minister of communication and transportation.

"It is worth mentioning that according to the available information up until this moment, present at the place and time of the incident were layers of clouds and reduced visibility," Perez-Jacome said.

His announcement on government television came as Mexico began a day of grieving for the eight killed Friday in the helicopter crash in a rural area just south of Mexico City.

Mexican President Felipe Calderon and his wife were among the government officials at a public funeral in Mexico City on Saturday afternoon.

The eight caskets were each draped with the Mexican flag on the vast green grounds of Campo Militar Marte where Calderon led a tearful ceremony of handing portraits of the eight helicopter victims to their respective families and children. A military band played sorrowful dirges, as did a drum and bugle corps at other points in the funeral.

"Here, in the earth, their example and memory will endure forever," Calderon told the black-attired mourners in the galleries and grandstand, all on their feet during the ceremony.

"These are difficult times for the government and for the nation, but it is also a time to show the strength to overcome these adversities," Calderon said.

The Friday incident -- which occurred 2.5 miles south of the town of Santa Catarina Atoyzingo in the municipality of Chalco -- evoked comparisons to a 2008 plane crash that also killed the country's then-interior minister.

That crash, in a luxurious Mexico City neighborhood, was later determined to be an accident caused by turbulence. The Learjet carrying the minister and others was following a commercial airliner too closely, authorities said.

Calderon on Friday called Blake Mora "a great Mexican who deeply loved his country and served until the last moment of his life."

Analysts said that the crash puts renewed attention on the president's controversial efforts to fight the nation's notorious cartels because the interior minister oversees domestic security.

"The national mood is such that even before this, people are alarmed" about cartel violence, said Stephen Zamora, professor at the University of Houston Law Center who's an expert on Mexican law and U.S.-Mexico relations.

"Calderon is in the last year of his presidency, so Mexico is entering a presidential election year just as the United States is. President Calderon has been criticized because the number of persons killed has escalated during his presidency and so people see him as failed. I think that's a harsh judgment," Zamora said.

"He inherited a country, especially in the northern states, that is being destabilized by the drug cartels. He's started employing the army, which hasn't been used much domestically, to fight the drug cartels," Zamora said.

While Blake Mora was well regarded by U.S. officials, his loss won't devastate the Calderon administration, said Pamela K. Starr, associate professor of international relations at the University of Southern California.

"I think there's an inevitability that there will be speculation that organized crime was involved in this, but it seems highly unlikely to me that indeed will be the case," Starr said, noting how the helicopter crashed under foggy conditions in a remote area.

"He was very highly thought of both within Mexico and with his counterparts in the United States," Starr said of Blake Mora. "With that said, he has not been one of the central figures in the battle against drug cartels in Mexico. The lead has been taken more by the federal police and the president himself, along with the military and the prosecutor's office."

The helicopter went down in the Xochimilco area south of Mexico City, government spokeswoman Alejandra Sota said.

Two other government officials were killed in the crash: Undersecretary for Legal Affairs and Human Rights Felipe Zamora and the ministry's press office chief, Jose Alfredo Garcia, she said.

In July 2010, Calderon appointed Blake Mora to the post that oversees security efforts against drug cartels in Mexico. That battle has cost thousands of lives.

"I grieve his loss" and those of the other victims, Calderon said in a national address on Friday, adding that Blake Mora, who was 45, leaves behind a wife and two children.

Authorities will continue to investigate the cause of the accident. A photograph of the crash site depicts a relatively concentrated debris field. The French-manufactured Super Puma THP06 helicopter was made in 1987 and had logged 717 hours of flight, Mexican officials said.

The helicopter crashed while traveling between Mexico City and the Mexican state of Morelos south of the city, officials said.

The others killed were Diana Miriam Hayton Sanchez, the technical secretary of the minister's office; Maj. Rene de Leon Sapien of the Presidential Guard, who was Blake Mora's personal security detail; and three members of the air force: pilot Lt. Col. Felipe Bacio Cortes, Lt. Pedro Ramon Escobar and Sgt. Jorge Luis Juarez Gomez.

Before becoming interior minister, Blake Mora was an attorney from Baja California state who was chief of staff to the state government from 2007 until July 2010. Previously, he was a councilman in Tijuana, as well as a state and federal congressman.

Blake Mora was considered to be politically close to the president and, in fact, led his political campaign in Baja California.

Ironically, Blake Mora's last writing in his Twitter account refers to the November 2008 accident that killed a prior interior minister.

"Today we remember Juan Camilo Mourino three years after his departure, a human being who worked on building a better Mexico," Blake Mora wrote in a tweet posted November 4, the third anniversary of the accident.

CNN's Michael Martinez wrote this report. CNN's Esprit Smith, Mariano Castillo and CNNMexico.com contributed.

@highlight

NEW: Rural crash area had clouds and reduced visibility

@highlight

NEW: "These are difficult times," president says at public funeral

@highlight

Investigators don't find evidence of an explosion or a fire aboard the aircraft

@highlight

Mexican Interior Minister Jose Francisco Blake Mora dies with seven others