(CNN) -- China is a football backwater. A country where the domestic league is plagued by corruption and the huge population is largely indifferent towards the "beautiful game."

The sport in the nation has been rocked by a bribery investigation which resulted in two former high-ranking officials being handed 10-and-a-half-year prison sentences, while four former national team players are serving shorter terms.

So why would Didier Drogba, a soccer star who recently scored the penalty which crowned Chelsea champions of Europe, swap the bright lights of the English Premier League for mid-table mediocrity with Shanghai Shenhua?

It seems strange, but the Ivory Coast striker is the latest in a line of high-profile football figures to take advantage of the attractive salaries on offer in the Chinese Super League (CSL). He will reportedly be paid $315,000 a week -- the highest in the CSL.

Drogba seals big-money Shanghai move

"All these players going over there are past their prime and looking for one last big payday which will see them through for the rest of their lives," football agent Rob Shields told CNN. "It's definitely money motivated.

"It's the commercial side of it. That's what Chinese clubs pitch to the players and their agents. It's not the standard of football they are used to, but the money they can make on the commercial side is absolutely immense."

Drogba's former Chelsea teammate Nicolas Anelka made the switch in January, joining Shenhua on a two-year deal.

Italy's 2006 World Cup-winning coach Marcello Lippi was recently appointed at Guangzhou Evergrande, an ambitious club which has splashed out on South American players Dario Conca of Argentina and Paraguay's Lucas Barrios.

Where Shanghai and Guangzhou are concerned, the recruitment drive is being funded by wealthy individuals who, according to Simon Chadwick, professor of sport business strategy at England's Coventry University, see football as a way to gain political influence.

Guangzhou is owned by Xu Jiayin, chairman of the Evergrande Real Estate Group, while Shanghai's chairman Zhu Jun heads online gaming company The Nine City.

"Essentially they are vanity projects," Chadwick told CNN.

The idea behind bringing top-level players to the CSL is, he believes, related to an attitude which is prevalent within the Chinese national psyche.

"There is a Chinese phenomenon known as 'guanxi,' which translates literally as 'special relationship,' " explained Chadwick.

"Buying a club gives an owner good 'guanxi,' because it enables you to connect with politicians and other business people. Very often owners buy into clubs for those reasons.

"If Chinese football is successful globally, it makes China look good and it makes the politicians look good. What buying a club does is give the owners a certain amount of political influence."

Despite luring stars such as Drogba and Anelka away from Europe's finest competitions, the CSL is yet to truly capture the public's imagination. This is partly down to the reputation the sport has among China's 1.3 billion inhabitants.

A recent crackdown on corruption saw Nan Yong and Xie Yalong, two former directors of the Chinese Football Administrative Center, sent to prison for over a decade after being found guilty of accepting bribes.

Former national team midfielder Shen Si, who played for China 39 times between 1995 and 2002, was sentenced to six years behind bars, while former teammates Qi Hong, Jiang Jin and Li Ming will spend five and a half years in jail.

"There are a lot of allegations of bribery, match-fixing, corruption," said Chadwick. "In terms of the general public, it is largely switched off to Chinese football, because they are aware many of the people involved in the game are not straight.

"Not only do fans not want to watch football which is fixed, at the same time parents don't want their kids associated with something which has got such a poor record and high profile in terms of corruption.

"There are far superior products out there, such as Spain's La Liga, the EPL and Italy's Serie A. The likes of Manchester United and Real Madrid think of China and big money, but the reality is football is a minority sport in China."

While investment attracts players with global reputations, it does little to aid the development of young Chinese talent, meaning little or no benefit is felt by the national team -- which is 73rd in the FIFA world rankings.

With China struggling to establish itself as a true football power, Chadwick said the money being spent on foreign players could instead be redirected to develop an infrastructure which would help develop promising youngsters.

"If you look at Conca, he stands out from the crowd because he is so superior. The standard of his play is so superior compared to the local players," Chadwick said.

"Chinese football clubs are investing very little in grassroots. Investment and spending is heavily skewed towards the professional level and not towards the development of the game."

The current trend is for aging stars such as the 34-year-old Drogba and Anelka, 33, to head to lesser leagues such as the CSL in the twilight of their careers.

Shields sees no reason why the migration cannot continue, and he expects others to follow that path -- Nigeria striker Yakubu, 29, is the latest player linked with a Chinese switch after almost a decade spent playing in England.

"(Chinese clubs) seem to be doing it the right way at the moment," Shields said. "The stadiums are getting built, they're recruiting big names.

"They're not going gung ho, they're not going over the top and there are still some local players there. Another couple of big-name players will go over, perhaps in the next couple of months."

But, according to Chadwick, the modern Chinese population are not excited by over-the-hill players, and he said only a genuine football superstar will successfully engage the public.

"The Chinese are an interesting group of people because on one hand they're quite defensive about themselves," he said. "But at the same time they're becoming more aware of their own identity.

"They're not prepared to accept Europe's castoffs. They don't want Anelka and Drogba. They want Barrios and Conca, and then the likes of Bastian Schweinsteiger, Wayne Rooney and Sergio Aguero.

"Players who are in their early to mid-20s and reaching the peak, it would be those people who would be much more significant. Then the floodgates will open."

@highlight

Veteran Didier Drogba is the latest star name to join the Chinese Super League

@highlight

Striker will be reunite with former Chelsea teammate Nicolas Anelka at Shanghai

@highlight

Italy's World Cup-winning coach Marcello Lippi is in charge at Guangzhou Evergrande

@highlight

Guangzhou boasts star players such as Dario Conca and Lucas Barrios