This autumn sees the 25th anniversary of the fall of the Berlin Wall.  In the world of today, it can be hard to recall that the collapse of Soviet communism left U.S. prestige at a major high.

So great was the shift to what was termed Washington's "unipolar moment" that some, such as French foreign minister Hubert Vedrine, quickly warned of the dangers of Washington's "hyperpower".

A quarter of a century on, the United States remains the most powerful country in the world -- certainly in a military sense.  It can still project and deploy overwhelming force relative to any probable enemy.

However, Washington is not, to use a term of art in international relations, an all-powerful hegemonic power.  This core fact has been demonstrated repeatedly throughout the last two-and-a-half decades, from Somalia in 1993, Iraq and Afghanistan since 9/11, and also most recently to Ukraine and Syria.

Since 1989, other hopes and expectations of how the post-Cold War world might look have also been dashed.

The vision of a universal order of liberal, capitalist, democratic states living in peace and contentment -- as painted by Francis Fukuyama and others -- has been replaced by a reality in which authoritarian states such as Russia and China appear to many to be in the ascendancy, so-called Islamic terrorism has become a significant international concern, and several unstable countries, including North Korea, have acquired nuclear weaponry.

This complex picture is reflected in the multiple challenges confronting the US-led international order today.  To take just one example, following Russia's annexation of Crimea, Washington's relations with Moscow are now more strained than at any time since 1989, yet many of its allies in Europe remain dependent on Russian gas supplies as the continent heads into winter.

Meanwhile, the rise of China, which is forecast to imminently surpass the United States as the world's largest economy on purchasing parity terms, is one of the biggest game changers in global affairs since the collapse of the Soviet Union.  This development has potential to be either a growing source of tension with Washington or develop into a fruitful partnership.

Growing bilateral rivalry, rather than an increasingly cooperative relationship, is especially likely if Beijing's economic and military power continues to grow rapidly, and its leadership embraces an increasingly assertive foreign policy stance towards its neighbors in Asia.

Moreover, terrorism remains a threat to U.S. national interests: more than a dozen years after 9/11, the Obama administration is still engaged in Iraq and Afghanistan to a degree that reduces the ability of the Pentagon to deal with new crises elsewhere.  Meanwhile, the Israeli-Palestinian peace process has collapsed again, and Washington and Pyongyang remain locked in nuclear stand-off on the Korean peninsula.

To be sure, the post-Cold War world contains multiple opportunities as well as risks for Washington, including the potential forthcoming agreement of the Trans-Pacific Partnership with around a dozen countries in the Americas and Asia-Pacific that collectively account for about 40% of world GDP. Washington hopes that this will embed U.S. influence in Asia-Pacific and is part of the so-called U.S. pivot to the region.

Meanwhile, President Barack Obama also wants to secure in coming months the Transatlantic Trade and Investment Partnership with the 28 states of the European Union. This would represent the largest regional free trade and investment agreement in history, with the U.S. and Europe accounting for more than 50% of global GDP, and embed Washington's role as guardian of the "rules of the road" for international commerce, as an administration trade official put it recently.

The fall of the Wall is rightly celebrated. However, it is possible to detect these days -- and not just in Washington -- a certain nostalgia for what is sometimes seen as the greater "strategic stability" of the "simpler" bipolar era that preceded it.

Indisputably, there are a range of significant, complicated challenges to the U.S.-led order today that were not fully anticipated by many, including Fukuyama, when Soviet Communism collapsed.  However, rose-tinted recollections for a Cold War-era need to be put in the context of that fact that the period of U.S.-Soviet rivalry from 1947 to 1989 also had some exceptionally dangerous moments.

Perhaps the best example is the Cuban Missile Crisis which was probably the time that the world came closest to nuclear annihilation. More generally, while the U.S. and the Soviets did not formally engage directly in war, there were multiple proxy battles fought across the world with destabilizing consequences -- far from their borders but deadly to those caught up in them.

Taken overall, despite all the challenges that Washington faces today, the country will remain, for the foreseeable future, the primary actor in many theatres across the world.  While its relative power may erode, it will seek to continue set the international agenda in the political, economic and security spheres and succeed in doing so more often than any other state.

However, U.S. success in managing the complexity of global affairs will also increasingly depend upon the cooperation of others, both competitors and allies. And a key uncertainty here is the direction of the bilateral relationship in coming years, with a rising China which could be a force for greater global instability and tension, or much deeper, collaborative strategic partnership.

@highlight

In wake of fall of Berlin Wall, United States' prestige was at a major high

@highlight

25 years on, U.S. still most powerful country in the world, but status has diminished

@highlight

Post-Cold War vision of liberal, capitalist, democratic states living in peace dashed