Rome, Italy (CNN) -- It doesn't take a social anthropologist to see that Italians truly love a lot about American culture. It is evident everywhere, from the popularity of Coca-Cola and Levi's to the prevalence of American music and movies.

But for all they like about American culture, it's fair to say Italians are getting a little weary of the American attitude -- especially when it comes to justice.

Italians point to a number of high-profile cases over the years in which they say American suspects have been accused of wrongdoing and criminal acts, but have been let off lightly. These cases leave Italians with the feeling that it's possible for Americans to get away with murder.

In 1998, a U.S. Marine Corps jet on a low-level training flight sliced through steel wires supporting a cable car near the ski resort of Cavalese in the Italian Alps, sending a gondola plunging to the ground. All 20 people inside the gondola were killed.

Italian prosecutors wanted the crew of the jet tried in Italy, but an Italian court ruled they should face court-martials in the U.S., in accordance with NATO treaties. The aircraft's pilot and navigator were found not guilty of involuntary manslaughter, even though the military admitted the plane had been flying lower and faster than authorized.

The defense argued that the incident was a tragic accident caused partly by the fact that the plane's altimeter was not working and the gondola cable that the plane hit was not on the map that he was given.

When it emerged a video that captured the accident from inside the plane had been destroyed, they were dismissed from the Marine Corps.

Italians were outraged, referring to the incident as the "massacre of Cermis." For years, many from the local resort area held anti-American protests on the anniversary of the accident.

In another incident that raised tensions, Egyptian cleric Abu Omar was seized off the streets of Milan in 2003, and smuggled to Egypt, where he says he was tortured and released four years later.

Although Italy did not request the extradition of any of the suspects, 22 CIA agents were convicted in absentia of the kidnapping and sentenced to prison time for their role in the abduction, but none ever served time in Italy.

They were also ordered to pay $1.5 million to Omar's family, who have received nothing so far. Italians were outraged that Americans could conduct military-style operations on Italian soil, especially involving kidnapping and torture, and go unpunished.

Other cases involving the two nations have been equally controversial. In 2009, American troops opened fire at a Baghdad airport checkpoint, killing Italian secret service agent Nicola Calipari and wounding a just-freed Italian hostage, journalist Giuliana Sgrena, whom Calipari was trying to spirit out of the country.

An Italian judge acquitted a U.S. soldier accused of killing Calipari, saying Italy had no jurisdiction in the case, and Italy did not request extradition. But the case is still a sensitive topic in Italy, where Calipari is considered to be a national hero killed by trigger-happy Americans.

The trial of Seattle student Amanda Knox, accused of killing her British roommate Meredith Kercher in November 2007 when the two shared a house in Perugia, Italy, is also controversial.

Timeline: Kercher murder case

Knox and her erstwhile lover Raffaele Sollecito were famously convicted of Kercher's murder and sentenced to 26 and 25 years respectively in 2009. That conviction was sensationally overturned in 2011 and Knox went back to Seattle. The acquittal was then overturned by Italy's high court in March 2013, meaning Knox currently stands convicted of Kercher's murder and her appeal will likely be heard early next year.

Suspects are not required to attend court hearings in Italy, so Knox does not need to return to stand trial, at least in the short term. But if her original conviction is upheld on appeal and confirmed by Italy's high court, she would almost certainly face extradition orders to return to Italy to serve time for Kercher's murder.

It could be years before a final decision is reached in the Knox case, and undoubtedly Knox's legal team would fight extradition on every level if her conviction is upheld. In the meantime, Italians assume Knox will never set foot in Italy again, whether she is ultimately found responsible of Kercher's murder or not.

"She will never come back here, whether she should legally or not," the Kercher family lawyer Francesco Maresca told CNN. "There are too many case precedents that clearly show America does not easily surrender its criminals."

READ MORE: Amanda Knox: I wanted to come back from Italy stronger and surer of myself

READ MORE: What Amanda Knox can and can't tell us

READ MORE: Amanda Knox: I wanted to come back from Italy stronger and surer of myself

@highlight

A number of American suspects in high-profile cases have not been brought to justice, say Italians

@highlight

In 1998, 20 people were killed when a U.S. Marine Corps jet sliced through steel wires supporting a cable car in the Italian Alps

@highlight

In 2009, American troops opened fire at a Baghdad checkpoint, killing Italian secret service agent Nicola Calipari

@highlight

The trial of Seattle student Amanda Knox, accused of killing her British roommate Meredith Kercher is also controversial