(CNN)Could a simple blood test someday tell if you're genetically predisposed to post-traumatic stress disorder? That's what a team of international researchers is hoping after finding a genetic marker linked to PTSD in the blood samples of Marines stationed in conflict zones.

"We'll draw the blood and have a way to do this very rapidly and start to tease apart who is a little more at risk and who is a little more resilient for PTSD," says principal investigator Dr. Dewleen Baker of the University of California-San Diego. "It's exciting."

PTSD can occur after many types of trauma: rape, torture, child abuse, natural disasters and car, plane, and train wrecks, to name a few. According to the PTSD Alliance, more than 13 million Americans have PTSD and the societal cost is in the billions. Women are about twice as likely as men to develop the disorder.

Symptoms tend to cluster into three areas:

•Reliving the event via nightmares or vivid images, along with an extreme reaction such as uncontrollable shaking, chills or heart palpitations.

•Avoiding reminders of the event, including becoming emotionally withdrawn and detached from friends, family and everyday activities.

•Being hyperaroused, easily startled, irritable, angry, or having difficulty sleeping or concentrating.

As one might expect, service members are hardest hit. The Department of Veterans Affairs estimates 30% of all Vietnam vets have experienced PTSD. Among troops recently deployed to Iraq and Afghanistan, PTSD can run as high as 20% in any given year.

But why does severe emotional trauma trigger PTSD in some people and not others?

The idea that your genes play a role in whether you develop PTSD is a popular focus of recent research. Scientists have discovered genes that help regulate fear reactions in mice. The lack of a fear-regulating brain chemical called gastrin-releasing peptide led to greater fear response among the rodents. In another study, mice without a protein necessary to form "fear memories" were less likely to freeze up and more willing to explore unknown spaces.

Studies of twins show heredity accounts for about 30% of the differences in response to trauma, with identical twins much more likely to both develop PTSD than fraternal twins. Other research has looked into the role of inherited brain differences, mental disorders, or addictive tendencies.

An unusual avenue of research is how our immune systems may contribute to the development of PTSD symptoms. Prior studies of people diagnosed with PTSD compared to control groups without the disorder suggest differences in genes related to inflammation may play a role.

"The body is built to keep us alive and it functions as one big system," says Baker, discussing the interface between stress and immune chemicals. "The systems all talk to each other."

The recent study, published in the journal Molecular Psychiatry, is unique because it compares blood samples from 188 Marines taken before and after they were deployed to combat zones. Another group of 96 Marines was also studied to verify the results.

"Under this experimental design, not only can we identify differences between U.S. Marines with PTSD and without, but we can go back in time, so to speak, to see if any of the Marines who eventually developed PTSD" showed evidence that it would emerge, says the study's co-senior author, Christopher Woelk. "In this vein, we are able to start labeling findings as being putatively 'causal' in nature."

In the blood of Marines ultimately diagnosed with PTSD, the study found biomarkers associated with gene networks that regulate innate immune function -- the body's first line of defense -- and interferon, a protein responsible for kicking the immune system into action. In addition, this hypervigilant immune response occurred before and after exposure to trauma.

"Why do certain people start out with slightly higher immune response and others have less? Is it somehow just built in or have they been exposed to some kind of pathogen?" asks Baker.

Instead of pathogens, another possible explanation is that the inflammatory response is activated by the stress of going off to war.

"You could try to dampen down the activation and see if that improves symptoms or prevents development of PTSD," says Baker.

Baker stresses these questions are purely hypothetical at this time and that the study needs to be replicated and expanded.

"We're early in the process of having some clues as to what might predict risk and resilience, and with more research we'll begin to have effective preventions and treatments," says Baker.

@highlight

More than 13 million Americans have PTSD

@highlight

Genes account for about 30% of risk

@highlight

Immune system plays a role in risk and resilience