WASHINGTON (CNN)  -- To this day, Linda Haywood recalls the shame she once felt for her great-uncle.

Jack Johnson was convicted of transporting a white woman across state lines for "immoral purposes."

"I could see from the expression on my mother's face that it pained her to tell me about him," she recalled, "but it wasn't just her. The shame was there for all the members of my family."

Haywood's great-uncle, Jack Johnson, shocked the nation in 1908 by becoming the first African-American world heavyweight champion. Yet the boxer was arrested not long afterward for taking a white woman across state lines for "immoral" purposes.

That case fell apart and the woman later became his wife, but then investigators charged him with a similar offense involving a woman he had dated years earlier. An all-white jury's decision to convict him in that case has come to be widely viewed as a symbol of racial injustice.

Now Haywood is working with Sen. John McCain and others to try to clear her great-uncle's name. McCain wants the Senate to pass a resolution urging President Obama to grant Johnson a presidential pardon.

It would represent a final vindication for Haywood, a 53-year-old seamstress in Chicago who now views her great-uncle with pride.

Her parents didn't tell her until she was 12 that she was related to Johnson, even though she saw his photo at school during lessons on black history.

"I remember seeing his picture on the wall of my sixth-grade classroom in Chicago in 1966," Haywood said in a voice tinged with sadness. "It was up there next to pictures of Sojourner Truth and George Washington Carver as part of a black history week my teacher put together. I didn't have the first clue who the man was. My parents didn't want me to know."

Her parents, she said, were trying to protect her from a legacy of racial injustice at a time when the country had yet to emerge from the long shadow of segregation.

Haywood was stunned when she learned her great-uncle's story.

Less than five years after winning the heavyweight title, Johnson was convicted for violating the Mann Act, which outlawed the transportation of women across state lines for "immoral" purposes.

Johnson was black and the woman was white -- enough to get even a champion imprisoned in early 20th century America. Justice Department lawyers decried it as a "crime against nature" for him to have a sexual relationship with a white woman.

Judge Kennesaw Mountain Landis, later to become the first commissioner of Major League Baseball, set Johnson's bail at $30,000 -- the equivalent of more than $660,000 today. When a bail bondsman showed up, Landis jailed him, too, according to an account that filmmaker Ken Burns relays in his documentary, "Unforgivable Blackness: The Rise and Fall of Jack Johnson."

An all-white jury convicted Johnson in less than two hours.

"Mr. Johnson was perhaps persecuted as an individual, but ... it was his misfortune to be the foremost example of the evil in permitting the intermarriage of whites and blacks," one of the prosecutors later said.

Johnson's real crime, in the eyes of many, was committed three years earlier, when he successfully defended his boxing title against Jim Jeffries, a white boxer who came to be called the "Great White Hope" because many white fans saw him as the best chance to wrest back a boxing title from the African-American champ.

Jeffries, a former heavyweight champion, had come out of retirement intending to reclaim a title that many Americans believed Johnson had no right to in the first place.

Johnson beat Jeffries on July 4, 1910, before a stunned, almost entirely white crowd in Reno, Nevada.

Race riots followed.

More than 20 people were killed and hundreds were injured. Most victims were black.

So when they "couldn't beat him in the ring, the white power establishment decided to beat him in the courts," Burns said in his documentary.

Johnson fled to Europe in 1913 while free on appeal. But after years of fights overseas -- including the eventual loss of his title in Havana, Cuba, in 1915 -- Johnson came home. He turned himself over to U.S. authorities at the Mexican border in 1920 and served ten months in prison.

He died in a car wreck in 1946.

"Back then, if you were black and you were told that you did something wrong, you really had no recourse," said Haywood.

"You just accepted what was done because black people were basically powerless and voiceless. Jack may have been a rich boxer, but he couldn't fight the system."

Today, in a very different America, Haywood's family is seeking justice.

They've teamed up with Burns, McCain and Rep. Peter King, a New York Republican, to urge the nation's first African-American president to grant Johnson a rare posthumous pardon.

McCain and King introduced resolutions calling for a presidential pardon in 2005 and last year. The House passed it, but the Senate did not.

The White House declined to comment when asked Obama's views on a possible pardon for Johnson.

McCain, who says he made a mistake by once voting against a federal holiday for the Rev. Martin Luther King Jr., sees the pardon as a way to right an old wrong.

"The Jack Johnson case is an ignominious stain on our nation's history," he said on the Senate floor this month, while introducing a new version of the resolution.

"Rectifying this injustice is long overdue. [The resolution recognizes] the unjustness of what transpired, and sheds light on the achievements of an athlete who was forced into the shadows of bigotry and prejudice. Johnson ... deserved much better than a racially motivated conviction."

King, himself a former boxer, said in a written statement that Johnson was a trailblazer who became "a victim of the times."

For Haywood, the proposed pardon is also personal. It's about wiping the slate clean for future generations of her family.

"My mother used to say Jack was defiant," she remembered. "No disrespect, momma, but he was being his own man. And I'm so proud of him. To think -- of all the families in the world, God gave him to us."

Haywood has made sure her four children know the story of the country's first black heavyweight champion.

"They love him," she said. "Especially my oldest son. He was a bit of a pugilist in high school. He got into his fair share of scraps. I think we know where he got that trait."

Haywood says she'll go to Washington if Obama issues a pardon. With a bit of laughter, she promises to give a gracious, eloquent speech thanking him.

With or without a pardon, she emphasizes, the stigma and the shame are gone.

Today, Johnson's family feels only pride.

@highlight

Heavyweight champ Jack Johnson was arrested around 1908

@highlight

His offense: Transporting a white woman across state lines for "immoral purposes"

@highlight

Relatives working with Washington powers to get Johnson a posthumous pardon