New York (CNN) -- The imam at the center of an ugly controversy over an Islamic center near New York's ground zero broke his silence Tuesday, just hours after a broad coalition of Christian, Jewish and Islamic leaders denounced what they described as a rising tide of anti-Muslim bigotry across the United States.

"I have been struck by how the controversy has riveted the attention of Americans, as well as nearly everyone I met in my travels," said Imam Feisal Abdul Rauf in an editorial published online by The New York Times Tuesday night.

Read New York Times editorial

"We have all been awed by how inflamed and emotional the issue of the proposed community center has become," wrote Rauf, who has just returned from a State Department-sponsored Middle East trip to promote U.S.-Muslim relations.

"The level of attention reflects the degree to which people care about the very American values under debate: recognition of the rights of others, tolerance and freedom of worship."

The imam was clear about his intentions.

"We are proceeding with the community center, Cordoba House. More important, we are doing so with the support of the downtown community, government at all levels and leaders from across the religious spectrum, who will be our partners. I am convinced that it is the right thing to do for many reasons," he wrote.

Opponents of the plan to build the center say it is too close to the site of the terror attacks and is an affront to the memory of those who died in the al Qaeda strike. Backers cite, among other things, First Amendment rights and the need to express religious tolerance.

Rauf described the center to be built two blocks from the former site of the World Trade Center towers -- destroyed by terrorist-hijacked commercial jets on September 11, 2001 -- as a "shared space for community activities, like a swimming pool, classrooms and a play space for children."

"There will be separate prayer spaces for Muslims, Christians, Jews and men and women of other faiths," he wrote. "The center will also include a multifaith memorial dedicated to victims of the Sept. 11 attacks."

"I am very sensitive to the feelings of the families of victims of 9/11, as are my fellow leaders of many faiths. We will accordingly seek the support of those families, and the support of our vibrant neighborhood, as we consider the ultimate plans for the community center. Our objective has always been to make this a center for unification and healing."

New York City Mayor Michael Bloomberg spoke on Tuesday about the plan and criticized politicians he claims are using the issue for political gain ahead of midterm elections in November.

"This is a political thing that all came up in two months -- and it's going to go away on November 4th," he said.

Various faith leaders in recent weeks have expressed concerns about hate crimes against American Muslims in the run-up to this weekend's anniversary of the September 11, 2001, terror attacks, which coincide with the holiday of Eid-al-Fitr, marking the conclusion of the Muslim holy month of Ramadan.

Worry over what some observers have termed "Islamophobia" has also been heightened by a Gainesville, Florida, church's plan to burn copies of the Quran on Saturday, the ninth anniversary of the attacks on New York and Washington.

Earlier Tuesday, a broad coalition of faith leaders gathered in Washington, where they met with Attorney General Eric Holder to discuss their concerns.

"To quote the attorney general, he called the Gainesville planned burning of Qurans 'idiotic and dangerous,'" said Farhana Khera, president of Muslim Advocates, soon after meeting with Holder.

"While it may not be a violation of the law -- it may be an act of free speech -- it certainly violates our sense of decency," she added about the Florida event.

U.S. Secretary of State Hillary Clinton echoed those thoughts later when she spoke at a dinner celebration of Iftar, the breaking the daily fast during Ramadan.

"I am heartened by the clear, unequivocal condemnation of this disrespectful, disgraceful act that has come from American religious leaders of all faiths ... as well as secular U.S. leaders and opinion makers," she said.

Separately, founders of the newly formed Interfaith Coalition on Mosques addressed the issue of religious freedom during a news conference at Washington's National Press Club.

"Freedom of religion is a hallmark of this country," said Ingrid Mattson, head of the Islamic Society of North America. It is time to decide "whether we are going to live up to our values."

The coalition released a statement decrying a "disturbing rise in discrimination against Muslims" and declaring that the current "level of hostility, fear mongering and hate speech is unacceptable and un-American."

"We believe the best way to uphold America's democratic values is to ensure that Muslims can exercise the same religious freedom enjoyed by everyone in America," the statement read.

Last week, the Council on American-Islamic Relations launched a series of commercials designed to fight what it called growing Islamophobia. One in the series features a Muslim firefighter who was among the first responders on 9/11.

Opponents of the New York Islamic center are "trying to tell the world and tell Americans that Muslims do not belong here. That Muslims are the others, when we are in fact, all Americans," said Nahad Awad, executive director of the council.

"They're trying to portray Muslims as foreigners. This is a dangerous repeat of history. If it's allowed, it's going to hurt all of us," he said.

In a statement on its website, the Dove World Outreach Center in Gainesville, Florida, said it plans to mark the anniversary of the 2001 attacks by burning Qurans this weekend "to warn about the teaching and ideology of Islam, which we do hate as it is hateful."

The pastor of the small church, Terry Jones, has written a book titled "Islam is of the Devil," and the church sells coffee mugs and shirts featuring the phrase.

The U.S. commander in Afghanistan on Monday criticized the church's plan, warning the demonstration "could cause significant problems" for American troops overseas.

"It could endanger troops and it could endanger the overall effort in Afghanistan," Gen. David Petraeus said.

Jones told CNN's "American Morning" on Tuesday that he is "taking the general's words" seriously. We are "weighing the situation" and are "praying about it," he said.

But it is "very important that America wakes up," he argued. Radical Islam "must be shown a certain amount of force (and) determination."

The planned event has drawn criticism from Muslims in the United States and overseas, with thousands of Indonesians gathering outside the U.S. Embassy in Jakarta, Indonesia, on Sunday to protest the planned Quran burning.

"Those mainly conservative Christians who respond to their Muslim brothers and sisters -- their fellow Americans -- with anti-Muslim bigotry or hatred, they are openly rejecting... the First Amendment principles of religious liberty which we as evangelical Christians benefit daily," said Rev. Richard Cizik, of the New Evangelical Partnership for the Common Good, at the National Press Club.

"And to those who would exercise derision ... bigotry (and) open rejection of our fellow Americans for their religious faith -- I say shame on you."

@highlight

NEW: Hillary Clinton calls Quran-burning event 'disrespectful' and 'disgraceful'

@highlight

Imam at the center of the proposed Islamic center in New York breaks his silence

@highlight

Faith leaders meet to discuss fears of anti-Muslim sentiment with AG Eric Holder

@highlight

They say Holder said a Florida church's plan to burn copies of the Quran is 'idiotic'