(CNN) -- A vaccine to prevent HIV infection, the virus that leads to AIDS, has shown modest results for the first time, researchers have found, raising hopes that a disease that kills millions every year may someday be beaten.

Researchers found those who received the vaccine combination were 31 percent less likely to contract HIV.

In what is being called the world's largest HIV vaccine trial ever -- involving more than 16,000 participants in Thailand -- researchers found that people who received a series of inoculations of a prime vaccine and booster vaccine were 31 percent less likely to get HIV, compared with those on a placebo.

"Before this study, it was thought vaccine for HIV is not possible," Colonel Jerome Kim, who is the HIV vaccines product manager for the U.S. Army, told CNN.

HIV is the human immunodeficiency virus, which is the virus that causes AIDS -- acquired immune deficiency syndrome.

Kim emphasized that the level of effectiveness of the latest vaccine was modest, but given the failures of previous HIV vaccine trials, "yesterday we would have thought an HIV vaccine wasn't possible."  Watch Dr. Sanjay Gupta discuss the excitement surrounding the vaccine »

He called the results from the trial an important first step that will help researchers work toward a more effective vaccine.

Researchers have tried to prevent the spread of HIV since they discovered its cause in 1986. Previous vaccine trials failed to prevent infection. And during one trial, the vaccine seemed to boost the chance of being infected, which ended testing early.

The new study was conducted in Thailand, with more than 16,000 people between ages 18 and 30 participating. They were all HIV negative at the beginning of the trial.

Nearly 8,200 received a placebo and a similar number received a combination of six vaccines over six months. All were followed for three years.

Researchers found that those who received the vaccine combination were 31 percent less likely to contract HIV compared with those on a placebo.

"This shows a statistically significant effect," Kim said.

He cautioned that a lot more research was necessary, because the vaccine did not prevent everyone from being infected.

Fifty-one people in the vaccine group eventually contracted HIV, compared with 74 in the placebo group.

"These results show that development of a safe and effective preventive HIV vaccine is possible," said Colonel Nelson Michael, who is director of the U.S. military HIV research program.

The combination of vaccines tested targeted strains circulating in Thailand. It was unclear how the vaccines would work elsewhere, Kim said.

Researchers will announce details of their initial findings at the AIDS Vaccine Conference next month in Paris, France.

The study was funded by the National Institutes of Allergy and Infectious Diseases and the U.S. Army Medical Research and Materiel Command.

According to Kim, the U.S. military was involved in the study because U.S. service members are at risk and "there's a national security threat from HIV."

He said Congress set up a program to protect service members from HIV and the U.S. military has collaborated with health officials and researchers in Thailand for a long time.

The vaccines are manufactured by Global Solutions for Infectious Diseases and Sanofi Pasteur. The Thai Ministry of Health carried out the clinical trial.

According to estimates by WHO and UNAIDS, 33 million people were living with HIV at the end of 2007. That same year, some 2.7 million people became newly infected, and 2 million died of AIDS, including 270,000 children. Two-thirds of HIV infections are in sub-Saharan Africa.

@highlight

New vaccine cut risk of HIV infection by 31 percent in world's largest HIV trial

@highlight

Combination of prime, booster vaccines prove effective, researchers say

@highlight

Researchers tested strains in Thailand; not known if vaccine would work elsewhere