WASHINGTON (CNN)  -- Cell phone images are providing evidence that a large number of civilians may have been mistakenly killed by U.S. troops operating in Afghanistan last month, two NATO officials said Sunday.

The grainy cell phone video shows blankets and quilts covering bodies inside a building.

The Afghan government, a United Nations review and other reports from the region state that as many as 90 civilians were killed in an August 22 airstrike, but the Pentagon has adamantly disputed the death toll.

Another U.S. military official, who has seen the cell phone imagery but asked not to be named because he is not authorized to speak to the media, said Monday there were about 30 bodies, some covered and some in blankets.

There were "several children who appear to be pulled from the rubble," he said.

The grainy cell phone video, viewed by CNN, shows rows of blankets and quilts inside a building. In the video, someone lifts the blankets to show the heads of those slain. People who appear to be mourners sit by their loved ones and wail.  Watch: Video prompts Pentagon probe »

Though CNN has confirmed the military is reviewing the video, CNN has not independently verified the authenticity of the imagery.

The U.S. military source, who has direct knowledge of the investigation, said the initial U.S. assessment was based largely on comparisons of satellite imagery of a 10-square-kilometer area from before the attack, taken August 14, and imagery captured after the attack, on August 24.

Officials viewing the satellite imagery looked for fresh graves after the attack and found only 18 new plots, just in the village area, he said. A U.S. patrol then went to the area August 26. The patrol confirmed those graves but found no others, the source said.

The cell phone images were recently shown to Gen. David McKiernan, the top NATO commander, who over the weekend asked for a high-level review of the previous military investigation. That probe concluded the United States was only responsible for a handful of civilian deaths.

One of the NATO officials said it appears there were a number of villagers buried in the rubble that the U.S. troops did not see when they were searching the compound targeted in the airstrike.

It is believed that after the U.S. troops left the compound, villagers pulled the bodies from the rubble and buried them. Locals apparently took cell phone images and showed them to U.N. investigators, who recently showed them to McKiernan, leading him to request a review.

McKiernan learned of the cell phone imagery only after it was shown to him at the U.N. headquarters in Kabul a few days ago.

"In light of emerging evidence pertaining to civilian casualties in the August 22 counter-insurgency operation in the Shindand District, Herat province, I feel it is prudent to request that U.S. Central Command send a general officer to review the U.S. investigation and its findings with respect to this new evidence," McKiernan said Sunday in statement.

"The people of Afghanistan have our commitment to get to the truth," he said.

Afghanistan's government and the U.N. Assistance Mission in Afghanistan concluded that 90 civilians were killed in the August 22 airstrike in the western Afghan province of Herat. UNAMA said it found "convincing" evidence that 60 children, 15 women and 15 men were killed in the strike.

But the initial investigation by the U.S.-led coalition in Afghanistan found that 30 to 35 Taliban militants and five to seven civilians were killed. The findings have been handed over to McKiernan.

After the Afghan government concluded its investigation, ministers demanded a review of international troops within its borders.

On August 25, Afghanistan's Council of Ministers called on the Defense and Foreign Affairs ministries to start negotiating a "status of forces" agreement with international forces -- which include U.S. and NATO troops.

The council also asked that the ministries demand the international forces halt airstrikes on civilian targets, as well as house searches not coordinated with Afghan authorities and the illegal detention of civilians.

That same day, Afghan President Hamid Karzai announced that he had fired two military commanders, including Gen. Jalandar Shah, the Afghan army corps' commander for western Afghanistan.

The humanitarian watchdog group Human Rights Watch released a report Monday saying that U.S. and NATO airstrikes in Afghanistan almost tripled from 2006 to 2007, "fueling a public backlash." The report added that this year, there has been a "massive and unprecedented surge in the use of airpower" there.

Karzai has blamed U.S.-led coalition forces for failing to coordinate their attack with the Afghan army.

However, coalition officials said Afghan and coalition troops called in the airstrike as they embarked on a raid to arrest a Taliban commander in Shindand.

The coalition investigation found that U.S. and Afghan forces began taking fire from Taliban militants as the forces approached the target in the early hours of August 22.

"The intensity of the enemy fire justified use of well-aimed small-arms fire and close-air support to defend the combined force," the coalition said in a statement released shortly after the strike. "The type and application of fires were used in accordance with existing rules of engagement."

Mullah Sadiq, a known Taliban commander, was among the militants killed, the coalition said.

A U.S. military official, who declined to be named because the investigation is ongoing, cast doubt on reports that the strike killed civilians gathered in a room, reciting Quranic verses at 1 a.m.

Regarding reports that most of the 90 deaths were children, the official said there were not 50 children in the entire village.

The airstrike was on a legitimate target, he said, noting that coalition forces found a weapons cache -- including AK-47s, 4,000 rounds of ammunition and bomb-making materials -- as well as thousands of dollars in U.S. currency.

Investigators also discovered "firm evidence" that militants had planned to attack a nearby coalition base, the coalition statement said. The airstrike disrupted the militants' plan, the statement said.

The investigating officer interviewed more than 30 people, both Afghan and American, the statement said.

He also viewed video taken during the engagement, topographic photos of the area before and after, reports from ground and air personnel involved, reports from local medical clinics and hospitals, intelligence reports, and physical data and photographs collected on the site.

Last week, Karzai spoke to President Bush "in general terms" about the incident, the White House said in a statement. It gave no further details.

@highlight

NEW: Video shows rows of blankets, apparent mourners wailing by loved ones

@highlight

Locals apparently pulled bodies from rubble after U.S. troops left compound

@highlight

Reports say as many as 90 civilians killed in strike; Pentagon disputes death toll

@highlight

U.S. says it killed at least 30 militants, uncovered cache of weapons in strike