(CNN) -- When Tad Agoglia started to clean up the mess caused by Hurricane Katrina, he couldn't help thinking he was weeks behind schedule.

It was two months after the storm, and his crane operating company had just been hired to help in Louisiana.

"I wondered what it would have been like if I had been there on day one," Agoglia said.

Frustrated by the kind of bureaucratic red tape that delayed aid after Katrina, Agoglia started the First Response Team of America, a mobile, "24-hour-a-day firehouse" that provides free emergency aid within hours of a catastrophe. Since 2007, the nonprofit group has responded to many of the country's worst natural disasters, including floods in Rhode Island and Tennessee and tornadoes in Alabama and Mississippi.

Today, Agoglia finds himself back in Louisiana. But this time he's dealing with a manmade catastrophe: the Gulf Coast oil spill.

"This is a different kind of disaster," said Agoglia, one of three CNN Heroes featured in a recent TV special, "CNN Heroes: Coming Back from Katrina." "When a hurricane comes in, it can be cleaned up. Oil is not that easily cleaned up. Oil could stay around for decades."

The First Response Team has spent the past two months setting up dams and using specialized equipment to vacuum oil from Louisiana's barrier islands.

"I remember clearly the first day the oil reached the beaches of Grand Isle, where we were serving," Agoglia said. "And it was a very emotional response ... to seeing these beautiful beaches and these beautiful animals covered in oil. And the only thing I can explain is that I felt very patriotic. I felt like, this is our land, this is our soil, this is our beaches, our wildlife, and it was being destroyed and contaminated. It was sad to see in person."

Agoglia said the spill has also delivered a devastating blow to a community still reeling from Katrina.

"You're dealing with people that have already lost everything -- everything," Agoglia said. "They had nothing left but each other basically to begin with. And now, only a short few years later, their livelihoods are being threatened."

Phasing out the FEMA trailers

Many families in Louisiana are still living in trailers that were provided after Katrina by the Federal Emergency Management Agency.

Liz McCartney is trying to change that.

McCartney and her boyfriend, Zack Rosenburg, started the nonprofit St. Bernard Project in 2006.

"Our goal is to get those last 1,000 families out of FEMA trailers and back into their homes," said McCartney, who was voted CNN Hero of the Year in 2008.

The St. Bernard Project, based in St. Bernard Parish, Louisiana, rebuilds damaged houses with the help of volunteers and skilled supervisors.

McCartney says it costs, on average, about $12,000 to turn a gutted home into a livable one.

"To date, we've done just about 300 houses," she said. "We've got more than 50 under construction."

The St. Bernard Project has also opened up a mental health clinic in its office for those struggling to cope with the Katrina and oil spill aftermath.

"We decided we couldn't sit by and not do anything [about the spill]," McCartney said. "So we've launched our oil spill response that is focusing primarily on providing mental health services to people in the fishing communities."

Focusing on children

Another CNN Hero, Derrick Tabb, is helping to shape Louisiana's future with his after-school music program, The Roots of Music.

Headquartered in New Orleans' French Quarter, the Roots of Music provides free instruments and tutoring to more than 100 students between the ages of 9 and 14.

The idea is to connect children to the city's rich musical tradition while keeping them off its dangerous streets.

"We have got a lot done in New Orleans, but we have a lot more to do, especially when it comes down to the kids," Tabb said. "I think we have to focus on them a little a bit more, what's going on in their lives and what's catching their attention and what's keeping their attention."

The Roots of Music caught the attention of actor Tim Robbins, who donated money to its cause and helped organize a benefit concert in May.

"This organization has a goal of taking someone in middle school and putting them on the road to a college education, self-confidence and leadership," Robbins said.

The program is so popular that Tabb has had to freeze applications for the time being. But he said he has been approached about possibly turning the Roots of Music into a charter school.

"If I take 500, 600 kids in the program, I might as well take them in a school," he said. "They can be with me more than just part of the day. You have more interaction with those kids, and you can start to [know] the kids more and really start to help them out in the areas they need help in."

While he acknowledges that much work still needs to be done in New Orleans, Tabb says he is hopeful about the future. And he is proud at how his city has bounced back from Katrina.

"New Orleans has been a model city as far as recovery," he said. "It's really shown everybody how to pull together and make things work with little resources."

@highlight

A trio of CNN Heroes is still working to restore the Gulf after Hurricane Katrina

@highlight

Tad Agoglia is helping to clean up the oil spill, which has complicated comeback efforts

@highlight

Liz McCartney is trying to get families out of FEMA trailers and back into homes

@highlight

Derrick Tabb is reaching out to the youth of New Orleans with his after-school music program