(CNN) -- In Syria, not all rebels carry guns, some carry cameras.

Charif Kiwan heads up Abounaddara, a collective of Syrian filmmakers who are hoping to affect change in how the Syrian conflict is portrayed, both by President Bashar al-Assad and the media at large.

Abounaddara's members -- all volunteer, all anonymous -- create short films, generally two to five minutes long, in which they give a voice to ordinary citizens. They try to capture the day-to-day lives of Syrians, whether they live inside the country, in a nearby refugee camp, or further abroad in exile. After editing, the films are posted to video-sharing site Vimeo every Friday.

"The idea is to make films that allow the universal viewer to feel something without knowing anything about Syria," says Kiwan.

The film's subjects can be anybody -- a soldier with the Free Syrian Army, a widowed shopkeeper or a young woman arguing her right not to wear a veil. They, too, are anonymous; their names are never revealed, nor are their locations.

"We try to make the viewer ask himself questions. We want to make him reconsider the representation of this conflict," says Kiwan.

"There are anonymous men and women who are fighting for their freedom, no matter if they are Christian or Muslim, soldiers or loyalists. We just focus on the shared humanity and deep humanity that is in everyone."

Who shapes the narrative?

Kiwan believes that President al-Assad has been very savvy when it comes to managing his image and that of the war. A prime example is how the Syrian leader has depicted all rebels as "terrorists".

"Assad is saying, 'I am a good guy. I may be a dictator, but I am a gentleman fighting against Islamists. You may not like me, but support me, because we have the same enemy.' He's succeeding in making the world believe that's the case," he says.

Since the conflict started over three years ago, Assad has set up an Instagram account that depicts him as the benevolent dictator -- kissing babies and waving to cheering crowds. He has also allegedly sought to control the information that leaves his country through internet blackouts, while the Syrian Electronic Army has tried to manage public opinion by hacking the websites and social media accounts of major news organizations, including The New York Times and Associated Press, and infiltrating them with pro-Assad missives.

"We don't face the same dangers as journalists or citizen reporters, and we're not fighting with weapons, but the regime views everyone who carries a camera as an enemy, so it's still very, very dangerous," says Kirwan.

"In Syria, the image can kill. It's really true."

Kiwan equates Abounaddara with snipers, training their sights on the regime.

"When we started in 2010, in order to film anything in Syria, you had to ask permission from the censors," he says. "Our idea was that if we used the internet, and didn't chose political subjects openly, the censor wouldn't see anything."

Making it difficult to care

Abounaddara doesn't rely on violence to get the message across. For Kiwan, a stronger message is one that doesn't involve bloodshed.

"The mainstream media relies on images of people who have been wounded or killed, but then we as a people are associated with misery. It's voyeurism," says Kiwan.

"You make people more accepting of the destruction. They viewer thinks, 'OK, they are dying, but they are not like me.' We believe that the only way to protect people is to show their image with dignity. Once you see them that way, you can feel their humanity, and you cannot accept the situation as easily."

Getting noticed

Abounaddara is starting to garner some attention of its own. "Of God and Dogs," a film in which a soldier in the Free Syrian Army confesses to killing an innocent man, won the Short Film Grand Jury Prize at the Sundance Film Festival. A selection of shorts were also screened in London as part of the Human Rights Watch film festival.

"It's important for us that we get recognized as film makers by our colleagues around the world, because this protects us from political tutelage," says Kiwan.

@highlight

Syrian film collective Abounaddara posts weekly short movies to Vimeo

@highlight

One of the shorts recently brought home a win at Sundance

@highlight

The filmmakers say they are 'snipers' to the Assad regime