Washington (CNN) -- As Congress debates the size and scope of defense budgets in a looming age of austerity, one senator is seeking to resolve a much older question about the president's ability to exercise military power without the consent of the House and Senate.

Sen. Jim Webb, D-Virginia, has introduced legislation requiring explicit congressional approval of future U.S. humanitarian or peacekeeping operations involving the military and likely hostilities. The measure would not apply to instances where there's an imminent threat to the United States, U.S. allies or American citizens.

Under the terms of the bill, co-sponsored by Sen. Mike Lee, R-Utah, both chambers of Congress would be required to vote within 48 hours of a presidential authorization request.

"The question is simple," Webb said last week. "When should the president have the unilateral authority to decide to use military force, and what is the place of the Congress in that process? Year by year, skirmish by skirmish, the role of the Congress in determining where the U.S. military would operate, and when the awesome power of our weapon systems would be unleashed, has diminished."

Webb, a former Navy secretary and assistant defense secretary, was strongly critical of President Barack Obama's decision to intervene militarily in Libya in 2011 without congressional authorization. He has also expressed concern about the possibility of American intervention in the Syrian crisis.

Last summer, a sharply divided Congress was unable to pass any legislation explicitly endorsing or rejecting America's involvement in NATO's Libyan intervention. The matter was never voted on by the full Senate.

Deep congressional divisions over the mission stemmed in part from a belief among some representatives and senators on both sides of the aisle that Obama violated the War Powers Resolution. Passed in 1973, the law gives a president 60 days to get congressional approval for sending U.S. forces to war, followed by a 30-day extension to end hostilities.

While the combined 90-day period ended before hostilities concluded, White House officials insisted the mission -- backed by the United Nations -- did not violate the War Powers Act because it failed to meet the law's definition of combat. Previous administrations also resisted the law's restrictions.

"The (Obama) administration, which spent well over a billion dollars of taxpayer funds, dropped thousands of bombs on the country, and operated our military offshore for months, claimed that 'combat' was not occurring, and rejected the notion that the War Powers Act applied to the situation," Webb recently said on the Senate floor.

"I am not here to debate the War Powers Act. (But) I am suggesting that other statutory language that covers these kinds of situations must be enacted."

Webb's proposal notwithstanding, a number of political analysts question the ultimate willingness of Congress to oppose any U.S. military action -- particularly in the post-9/11 era.

"These attempts by Congress to restrict the president's authority as commander-in-chief are almost always symbolic, because presidents rarely enter conflicts without some expectation of public support," said Brown University political scientist Wendy Schiller.

CNN polling showed a slight majority of Americans in favor of the Libyan intervention in the spring of 2011, though public sentiment quickly turned against the conflict.

@highlight

Legislation would require explicit congressional OK for military humanitarian missions

@highlight

Sen. Jim Webb, D-Virginia, questioned Obama's commitment of forces in Libya last year

@highlight

Congress was unable to explicitly endorse or reject U.S. role in the NATO intervention

@highlight

Political scientist: Congress's efforts to restrict war powers "are almost always symbolic"