(CNN) -- The nuclear-powered aircraft carrier USS Ronald Reagan arrived off the coast of Japan Sunday to support Japanese forces in disaster relief operations, the U.S. Department of Defense said in a statement.

More U.S. aid -- in the form of equipment, staffers and search-and-rescue teams -- was expected to arrive Sunday to address the widespread devastation caused by the 8.9-magnitude earthquake and resulting tsunami.

Near Honshu, Japan, the USS Ronald Reagan will support the Japan Self-Defense Force by providing refueling operations for Japanese helicopters and transporting the island country's troops to disaster areas, according to the Pentagon statement.

Accompanying the Reagan are the guided-missile cruiser USS Chancellorsville and the destroyer USS Preble.

The United States is part of a growing international effort offering relief to Japan, whose government said it had received interest from 49 countries and the European Union.

In addressing a potential crisis, the U.S. Nuclear Regulatory Commission sent two experts in boiling-water nuclear reactors to Japan as crews there flooded the Fukushima Daiichi nuclear plant with sea water in hopes of preventing a meltdown of its core Saturday.

A concrete building surrounding the reactor experienced an explosion caused by a failed pump system Saturday, but the reactor wasn't damaged, Japanese officials said.

"We have some of the most expert people in this field in the world working for the NRC and we stand ready to assist in any way possible," NRC Chairman Gregory Jaczko said in a statement.

In Shiroishi, a town near the area hardest hit by the quake, two SH-60 helicopters from U.S. Naval Air Facility Atsugi delivered 1,500 pounds of rice and bread donated by people in Ebina, southeast of Tokyo, the U.S. 7th Fleet said in a statement Saturday. The fleet is headquartered in Yokosuka, just outside Tokyo.

Two destroyers, the USS McCampbell and USS Curtis Wilbur, were off Japan's Boso Peninsula, which shelters Tokyo Bay, and were preparing to assist Japanese authorities with at-sea rescue and recovery operations, the 7th Fleet said.

An additional destroyer, the USS Mustin, will depart Yokosuka on Sunday. Eight other U.S. ships were en route to Japan from various locations, set to arrive Sunday or later in the week, according to the 7th Fleet. One, the USS Tortuga, departed Japan on Saturday night to pick up two helicopters in South Korea and would return in about two days.

Three ships composing the USS Ronald Reagan Carrier Strike Group also are among the eight ships, the military said.

Meanwhile, the III Marine Expeditionary Force, based on the island of Okinawa, south of Japan, said it was "prepositioning forces and supplies in support of humanitarian assistance and disaster relief operations."

The force was sending staffers, a cargo aircraft and transport helicopters to the mainland, it said in a written statement. Additional aircraft and supplies will be sent in the next few days.

The military assistance operation is known as Operation Tomodachi, or "friendship," the statement said. The name was chosen by the Japanese.

U.S. Forces Japan, based at Yokota Air Base near Tokyo, is the lead military command for coordinating humanitarian assistance, the military said. Shortly after the quake struck, the air base was designated as an alternate airfield for flights that could not land at Tokyo's Narita Airport, and it received a handful of commercial flights.

A total of 570 passengers and 29 crew members were taken to the Taiyo Community Center, where they received food, water, lodging and bedding overnight, the air base said in a statement. The base itself converted a facility into a shelter for another 600 people.

"We have units from all of our services, with a multitude of capabilities, from medical to communications to civil engineering, poised and ready to support where needed," John Roos, U.S. ambassador to Japan, told reporters Saturday. "The bottom line: Our military is working closely with their Japanese counterparts to support where requested and needed."

The U.S. Agency for International Development said it was deploying two urban search-and-rescue teams, one from Fairfax County, Virginia, and the second from Los Angeles County. The Virginia team departed Washington on Saturday and was stopping in Los Angeles to pick up the second team.

Both teams -- composed of 150 people and 12 canines trained to find survivors -- are set to arrive Monday morning in Misawa, Japan, where they will "immediately begin the search for live victims" alongside Japanese and other international teams, USAID said.

Journalists, including two CNN staffers, are traveling with the teams. Much of the teams' gear was shipped ahead. The kits include sophisticated detection equipment such as cameras and listening devices, as well as jackhammers and giant saws for use in freeing trapped people. The Virginia team is also bringing swift-water rescue specialists and four inflatable boats.

The dogs, meanwhile, are traveling in seats alongside their handlers on the 767. They include Cadillac, a Labrador who worked with Los Angeles Fire Department Capt. Jasmine Segura to find victims after the earthquake in Haiti last year. Others have worked in Turkey and elsewhere.

A USAID Disaster Assistance Response team is already in Japan, the agency said.

The Federal Emergency Management Agency and its partner agencies are on standby in case their assistance is needed, the agency said Friday.

California Gov. Jerry Brown said in a news release that he has "directed California's Emergency Management Agency to make state resources available to the Japanese government."

Baseball Commissioner Bud Selig even promised assistance from the major league. Citing "our shared love of baseball for more than a century," Selig said in a statement that Japan is "a particularly special place to us" and that the league will provide aid in the coming days and weeks.

The American Red Cross is communicating with the Japanese Red Cross Society and its global partners, according to a statement from the agency. So far, the American Red Cross has not received any requests for blood.

The organization is encouraging people with loved ones in Japan to use the Red Cross "Safe and Well" website, an online tool that helps families connect during natural disasters and emergencies.

On Friday, President Barack Obama pledged to help the island country. "I offer our Japanese friends whatever assistance is needed," he said. "Today's events remind us how fragile life can be."

Roos said that as of Saturday, there had been no confirmed reports of U.S. citizens killed or seriously injured in Japan.

"We know that many people are worried about the welfare of their friends and families who are here in Japan," he said. "We understand also that some telephone landlines have been interrupted. Of course, we are recommending that people continue to contact loved ones here in Japan by e-mail, text, SMS message or social media."

On Friday, Secretary of State Hillary Clinton offered "immediate disaster relief assistance" and added the United States is working closely with the Japanese government. Roos echoed those comments Saturday.

The State Department on Friday issued an alert against nonessential travel to Japan.

The alert also said strong aftershocks are likely "for weeks" and included instructions for what to do if caught in an earthquake or aftershock.

Earlier, American Airlines told CNN that it would resume flights into Japan on Saturday. Both American and Delta Airlines canceled flights to Tokyo on Friday. It was unclear if flights to other Japanese airports also were affected. In addition, Delta, United and Continental airlines announced they were waiving change fees for people whose travel plans involving Japan were affected by the disaster.

At the State Department, Assistant Secretary of State for Consular Affairs Janice Jacobs said a 24-hour consular task force has been set up to help Americans affected by the earthquake.

Americans in Japan who need help, or people seeking information about a loved one in Japan, can send an e-mail to japanemergencyusc@state.gov, Jacobs said. Americans outside Japan but in tsunami-affected areas who need help, or people seeking information about an American in affected areas outside Japan, can e-mail pacifictsunamiusc@state.gov, she said.

A telephone information line also has been set up at 1-888-407-4747, said Jacobs, who encouraged people to use the e-mail options if possible. When seeking information about Americans in Japan or other affected areas, Jacobs said, people should provide the full name, birth date and location of the person, as well as any pre-existing medical conditions, and if they are elderly or a child.

CNN's Michael Martinez, Dugald McConnell and Brian Todd contributed to this report.

@highlight

Aid begins arriving in Japan in the form of food and equipment

@highlight

Warships are on their way to bring humanitarian aid and assistance

@highlight

Two search-and-rescue teams are to arrive Sunday morning

@highlight

A U.S. disaster response team is already in Japan