(CNN) -- President Obama faces a delicate balancing act in trying to contain Israel from launching a military strike while compelling Iran to halt its nuclear ambition. How he plays his hand will be a true test of his ability to pull a rabbit out of a hat.

Meeting with Prime Minister Benjamin Netanyahu of Israel recently, President Obama emphasized his strong preference for using sanctions and diplomacy, but he's not ruling out military force as an option. For war to be avoided, Iran or Israel will have to back down from its current position.

For the Obama administration, the outcome of Iran's parliamentary elections provides an opportunity for furthering negotiations.

Seen as a major test for the regime, the March elections resulted in a victory for the ultraconservative factions of Supreme Leader Ali Khamenei. President Mahmoud Ahmadinejad, whose supporters did not fare well at the polls, was weakened. After several years of internal division, the repudiation of Ahmadinejad consolidates Khamenei's claims of unified support, giving him a freer hand to act and his parties a majority control in the parliament.

However, many reformists boycotted the elections and candidates supporting Ahmadinejad were disqualified. Turnout was likely much lower than the 64% that the government claimed. By most independent accounts, the election turnout was among the lowest in Iran's history, signaling ebbing support for the hardline leadership.

Iran's election results, along with the strong rhetoric of the hawks from Tel Aviv, provide the Obama administration with a new but narrow opening to nudge Khamenei toward a compromise.

While Iranian leaders remain defiant about their nuclear program, believing that a latent nuclear capacity is essential to the survival of the state, and hoping that the crippling impact of international sanctions would rally support to their cause, they do care about public opinion. They will be sensitive to the public's resentment of sanctions. By reiterating U.S. commitment to non-interference in Iran's domestic affairs (read: no regime change) and providing political and economic incentives for cooperation, the Obama administration could compel Khamenei to retreat from his pursuit of nuclear weapons.

At the same time, the rise in President Obama's electoral prospects in November puts him in a much stronger position vis-a-vis Netanyahu. With the Republican candidates in mutually assured destruction mode, and a slowly reviving economy, President Obama's re-election chance has surged.

It was an open secret that Netanyahu was strategizing with Republican heavyweights for regime change in the United States. Now it is more likely that Netanyahu is going to have to live with President Obama for another five years. While Netanyahu has no love for the president, the Israeli public knows that, in the end, they depend on the goodwill and support of the United States. As Time magazine reported on March 8, 58% of Israelis oppose a military strike on Iran without the support of the United States.

Moving forward, the challenge for the Obama administration is to manage Israeli misgivings about the utility of an aggressive diplomatic approach toward Iran while simultaneously offering Iran a face-saving exit out of its defiant posture.

Much like high-stakes diplomatic crises of previous eras involving nuclear weapons, such as the Cuban Missile Crisis, averting war depends as much on decisions made in Tel Aviv and Tehran, as it does on the ingenuity of American policymakers. If President Obama plays his hand well, he may be able to succeed at containing Israel's military threat and compelling Iran to back down on its nuclear program.

The opinions expressed in this commentary are solely those of Nina Tannenwald and Hussein Banai.

@highlight

Nina Tannenwald and Hussein Banai: President Obama faces a delicate balancing act

@highlight

They say he has to persuade either Israel or Iran to back down from its current position

@highlight

Tannenwald and Banai: Iran's elections offer negotiation room for President Obama

@highlight

They say President Obama's electoral prospects give him an upper hand in dealing with Israel