A new class of cholesterol-fighting drugs could be coming to patients in the not-so-distant future, and experts say they could be a real game-changer in Americans' battle to lower artery-clogging LDL, or "bad," cholesterol.

The drugs, known as PCSK9 inhibitors, work to suppress a particular gene that regulates how much cholesterol the liver can filter out of the body. In early phase 3 trials, the inhibitors have shown to be safe and to work in reducing LDL cholesterol levels to previously unknown lows.

As interesting as the drugs themselves is the process by which they were discovered.

Ten years ago, researchers found a family in Paris with a long history of extremely high levels of LDL, incidents of cardiovascular disease and early deaths, says Dr. Jay Edelberg, global head of PCSK9 development for Sanofi, a pharmaceutical company working on a PCSK9 inhibitor in partnership with Regeneron. Tests revealed that the family had a rare mutation on the gene called PCSK9.

Additional studies showed that individuals with underactive PCSK9 genes had low levels of LDL and, much more important, low levels of cardiovascular disease.

"That became the most exciting potential target in cardiovascular medicine," Edelberg said.

It's this discovery that has Sanofi and two other major drug companies, Amgen and Pfizer, racing to develop a drug that mimics the gene's effects.

The best approach, experts say, will be through monoclonal antibodies: antibodies that are created in a lab and help your immune system fight a disease or, in this case, fight cholesterol.

"PCSK9 inhibitors could offer an important treatment option for patients, particularly for those who are in need of greater LDL-C reductions beyond what the current standards of care can offer," said MacKay Jimeson, a spokesman for Pfizer, one of the companies working on this new type of drug.

"This is not to replace statin therapy," said Joe Miletich, senior vice president of research and development at Amgen. "This is actually to get patients to (their) goal who can't get there."

TIME: Statins safe for most people

Normal LDL levels hover somewhere in the 100 to 130 mg/dL range, according to the American Heart Association. Anything above that, your doctor starts to get concerned.

"With a statin medication, you can often get somebody's cholesterol between 70 and 100 mg/dL," said Dr. Elliott Antman, president-elect of the American Heart Association and a dean at Harvard Medical School. "If you use these monoclonal antibodies, you could see a number way less than 50."

This excites doctors like Antman, who is not connected to the research but often sees patients with cholesterol numbers in the hundreds.

"I would say this is a game changer."

But is there such a thing as cholesterol levels being too low? We don't really know, Antman says, but he believes the lower, the better.

"Infants, when they're less than a year old, have smooth arteries, and their LDL is 40 or less," he said.

The initial research into the PCSK9 gene also found people with virtually no PCSK9 activity who lived their entire lives with extremely low cholesterol. Researchers observed no ill effects in those patients.

The safety data from the clinical trials are good, and experts say these drugs could help patients who can't tolerate or do not respond to traditional cholesterol-lowering drugs.

"Monoclonals were generally well-tolerated," Antman said. "Although the studies weren't comprised of millions of patients and duration of follow-up wasn't as long as we'd like, the signals we're seeing are all very positive."

As excited as the pharmaceutical giants are about this new discovery, this isn't ready for prime time. For one thing, the drugs are not approved by the FDA, although Antman said it probably won't be long.

"These drugs are of such great interest that there will likely be an aggressive approach to conducting large-scale trials for FDA approval and perhaps expedited review," he said.  "It's hard to know exactly when these drugs will be available, but I'm guessing it'll be less than two years."

Another issue with the drugs is that they can't be taken orally.

"You can't swallow this, because the digestive enzymes in your stomach would break up the protein," Antman said. "It's given by subcutaneous injections (into a lower level of skin), but this can be done with very small needles."

Researchers say patients would need to give themselves injections only every two to four weeks, which, depending on how often they're taking pills to lower cholesterol, may be a less cumbersome option.

Finally, these types of medications are very expensive to make and difficult to store and require a much more extensive manufacturing process than a pill.

"They are heat-sensitive and open to risk of microbial contamination, so issues of shelf life and handling are always front and center," Antman said. "This means they're probably going to be more expensive than pills."

But Antman believes, as the saying goes, an ounce of prevention is worth a pound of cure.

"How much is it worth to use a more expensive treatment up front to avoid downstream events that are more expensive?" he asked. "If you think prevention is expensive, try treating disease."

@highlight

Drugs suppress a gene that regulates how much cholesterol liver filters out

@highlight

Studies show people with low levels of PCSK9 have low levels of LDL cholesterol

@highlight

Pharmaceutical companies are working to get these drugs approved by the FDA