Tokyo (CNN) -- A first attempt to plug a cracked concrete shaft that is leaking highly radioactive water into the ocean off Japan failed Saturday, so officials are now exploring alternatives, spokesmen for Tokyo Electric Power Co. said.

Power plant workers had been trying to fill the shaft with fresh concrete, but that did not change the amount of water coming out of the crack, the spokesmen said at a news conference that ran late into the night Saturday.

Their "plan B" is to use polymers to stop the leak, the spokesmen said. A Tokyo Electric expert will visit the site Sunday morning and decide what polymer to use before the work begins.

Workers will then break the shaft's ceiling and insert the polymer in a different spot from where they tried to place the concrete, they said.

Water from the 2-meter-deep, concrete-lined basin has been seen escaping into the ocean through a roughly 20-centimeter (8-inch) crack, the company said earlier Saturday. The shaft lies behind the turbine plant of the No. 2 reactor at the Fukushima Daiichi nuclear plant, which was heavily damaged in the earthquake and resulting tsunami last month.

Radiation levels in the shaft have been measured at more than 1,000 millisieverts per hour, which is more than 330 times the dose an average resident of an industrialized country naturally receives in a year. Radioactivity above the shaft was measured at 250 millisieverts per hour, said Tokyo Electric, the plant's owner.

Tokyo Electric said it is discussing other methods to use should the polymer fail, but it hasn't identified what those other methods may be.

The discovery of the leak comes after a feverish effort in recent days to explain a sharp spike in contamination in seawater measured just off the plant. Tokyo Electric said the shaft lies next to the water intake for the plant's steam condenser, at the end of a long channel that has been filling with radioactive water for several days.

Officials announced Thursday, based on samples taken the previous afternoon 330 meters (361 yards) off the plant, that seawater showed levels of iodine-131 measuring 4,385 times above the standard and cesium-137 at 527 times beyond normal. Experts say the latter radioactive isotope may be a greater concern because it persists longer, since it takes 30 years to lose half its radiation -- compared to an eight-day half-life for the iodine-131 isotope.

While officials know the radioactive water is coming from the cracked pipe, they don't yet know where it originates.

The ratio of the two isotopes in the seawater samples, combined with the discovery of the cracked shaft itself, supports the idea that the radioactivity is coming from the reactor and not the spent fuel pools at the plant, said Gary Was, a professor of nuclear engineering at the University of Michigan.

Hunting down the source of the leak inside the reactor, however, is "exceptionally challenging" because officials must inspect a complicated array of pipes inside the dangerous radioactive environment that now exists within the containment building, said physicist James Acton, an associate in the Nuclear Policy Program at the Carnegie Endowment for International Peace.

The Nuclear and Industrial Safety Agency ordered Tokyo Electric to start testing water farther offshore and to the south, agency official Hidehiko Nishiyama said. The utility has now established monitoring posts 15 kilometers (9.5 miles) off the coast, in a line directly offshore, 10 kilometers south, and 16 kilometers south.

Highly radioactive water has also been detected in several reactors' turbine buildings, nearby tunnels and groundwater in the immediate vicinity. But the area around the No. 2 reactor has been of particular concern, because water in an exposed maintenance tunnel leading from its turbine building showed radiation levels more than 100,000 times above typical levels for nuclear coolants.

A two-day project began Saturday to install a camera in that trench to help pinpoint potential leaks, a Tokyo Electric official said.

Spraying was also set to continue this weekend of an experimental new material to lock in radioactive material in and around the nuclear complex so that it doesn't seep further into the air, water or ground.

Crews have dispersed about 2,000 liters (more than 500 gallons) of synthetic resin in a 500-square-meter locale, according to Tokyo Electric. The aim is to hold the released radioactivity on the ground, so it can't interfere with the restoration of the cooling systems aimed at preventing the overheating of nuclear fuel rods in reactors and spent fuel pools at the plant.

"You spray it to hold down the loose contamination, and it acts like a super glue," said Nolan Hertel, a radiation engineering expert at the Georgia Institute of Technology in Atlanta. "You don't want radioactive materials that are loose to get away."

Meanwhile, Nishiyama said there is a plan to inject nonflammable nitrogen into reactors 1, 2 and 3 to prevent the risk of another hydrogen explosion like the ones that extensively damaged the unit 1 and 3 housings in the days following the March 11 earthquake and tsunami. A buildup of hydrogen is an early sign of damage to a reactor's superheated core, but Nishiyama said no alarms had been sounded about rising pressure and that adding nitrogen would not force engineers to release hydrogen from the reactor vessel.

The nitrogen injection is only to prevent hydrogen from accumulating, he said.

"If the hydrogen concentration can be kept below about 4%, then it reduces the risk of an explosion," explained Was. "So dilution with nitrogen, which doesn't support combustion, makes sense."

The continued injection of tons of water into the reactor cores and spent nuclear fuel pools shows that the race to prevent further explosions or widespread releases of radiation into the atmosphere remains far from over.

"I think the biggest concern here is what's going on in the reactor cores," said James Acton, of the Carnegie Endowment. "Keeping those cores cool is still the single most important task facing the plant operators at the moment."

Jeff Immelt, the chief executive of General Electric Co., was heading to Japan to meet with Tokyo Electric about stabilizing the damaged reactors, which were designed by GE, company spokeswoman Deidre Latour said Saturday.

All these efforts come just more than three weeks after a 9.0-magnitude earthquake and subsequent tsunami struck northeast Japan, effectively wiping out some communities and leading to the deaths of nearly 12,000 people and leaving more than 15,400 missing, according to Japan's National Police Agency.

The Fukushima Daiichi plant was hit hard in the disaster, especially after its primary and back-up systems to cool nuclear fuel in its six reactors and their respective spent nuclear fuel pools failed. Since then, there has been a multifaceted and at times problematic race to prevent explosions (three took place in the days immediately after March 11), the overheating of nuclear fuel and the resulting release of radioactive material into the air, soil and water.

By Saturday, concerns seem to have abated somewhat about the airborne radiation that led to the ordered evacuation of 78,000 people, with another 62,000 living within 20 to 30 kilometers being told to stay indoors. An official with Tokyo Electric said early Saturday that data from eight new monitoring posts around the plant showed airborne radiation levels had stabilized, at between .390 and .0019 millisieverts per hour.

Saturday -- after a stop in Rikuzentakata, in Iwate prefecture -- Japanese Prime Minister Naoto Kan went to Hironocho, a village in Fukushima prefecture that has served as the operations center for the nuclear crisis effort. The trip, described by the prime minister's office as aimed at boosting morale among utility company workers and soldiers involved in the effort, put Kan on the edge of the 20-kilometer evacuation zone.

"I appreciate your significant contributions in fighting the invisible enemies in this battle, which will determine the fate of Japan," Kan said at J-Village, a soccer complex that has become a staging area for the Fukushima Daiichi operation.

CNN's Tsukushi Ikeda, Yoko Wakatsuki, Junko Ogura, Rich Phillips, Midori Nakata and Susan Olson contributed to this report

@highlight

Efforts to plug the leak with concrete failed Saturday

@highlight

Officials will try again Sunday and use polymer instead

@highlight

Water testing has been ordered further south and offshore

@highlight

Japan's prime minister personally thanks crisis workers at the staging area