(CNN) -- The U.S. Food and Drug Administration has approved a new drug to treat bacterial skin infections like Methicillin-resistant Staphylococcus aureus, also known as MRSA .

MRSA is caused by a strain of staph bacteria that's become resistant to most antibiotics. It's life-threatening and is often found in hospitals and other health care settings.

The new drug, called Dalvance, is taken intravenously. The drug is only approved for use in adults, according to the Chicago-based company that markets the drug, Durata Therapeutics.

What makes it different from other MRSA antibiotics is the way it was approved.

MRSA can survive for days on planes

This is the first drug labeled by the FDA as a Qualified Infectious Disease Product. QIDP is part of a program that the administration hopes will encourage drug companies to develop new drugs like Dalvance that will fight the epidemic of antibiotic-resistant infections.

Any drug designated QIDP by the FDA gets a priority review and expedited review process. If approved the drug also then qualifies for an additional five years of marketing exclusivity.

Antibiotic-resistant infections are considered such a threat, in a report released earlier this year the World Health Organization said that these infections could derail the "very achievements of modern medicine." The report characterizes the problem as so bad that a "post-antibiotic era" is "far from being an apocalyptic fantasy."

The WHO report says if health trends continue, a time when typical antibiotics don't work on run of the mill kinds of infections is "a very real possibility for the 21st Century."

Hospitals getting better about MRSA

Antibiotic-resistant bacteria infect at least 2 million people each year, according to the CDC. Of those, at least 23,000 die as a direct result of the infection and many more die as a result of conditions complicated by that infection, mostly in hospital and health care settings.

The number of health care spread MRSA cases is declining, according to the Centers for Disease Control. But on any given day 1 in 25 hospital patients has at least one health care associated infection.

Most happen to patients who are not in intensive care units. That means you could go into the hospital for a knee surgery and end up leaving with a serious infection that normal antibiotics don't treat.

Experts say MRSA became a real problem for the health care system as doctors spent decades over-prescribing antibiotics. Patients who came in for treatments for colds and flus were given antibiotics even though such infections don't typically respond to medication.

When you need antibiotics -- and when you don't

Over time, the bacteria that did survive these treatments reproduced and infections that were resistant to antibiotics became wider spread.

Outbreaks of MRSA called community-associated MRSA have happened at schools, day care centers, and in gyms, and are typically spread by skin-to-skin contact.

Protecting student athletes from MRSA

Staph infections typically start with small red bumps which can turn into painful abscesses that often require surgical draining.

The latest tool to fight MRSA, Dalvance, was approved after two clinical trials that included 1,289 adults with this kind of infection. The adults were given Dalvance or another antibacterial drug. Dalvance was as effective as that drug for the treatment of this infection.

The most common side effects for people on the drug during the trail were nausea (5.5%), headache (4.7%), and diarrhea (4.4%).

MRSA: Protect your kid from a superbug

@highlight

FDA approves new drug to treat skin infections, including MRSA

@highlight

CDC: MRSA infections have gone down in the U.S.

@highlight

Antibiotic-resistant infections are a big problem, WHO says