(CNN) -- If you're sick of cheerful, happy people, it might be wise to avoid Hawaii or Napa, California. They were found to be the United States' happiest state and city, respectively, in a recent study of geotagged tweets.

Researchers at the University of Vermont sifted through more than 10 million geotagged tweets from 2011 to map out the moods of Americans in urban areas. They ranked the locations based on frequency of positive and negative words using the Mechanical Turk Language Assessment word list.

The list includes 10,000 words that have been rated on a scale 1 to 10 according to how "happy" they are. On the lower end of the scale are negative words such as mad, hate, no, boo, smoke and jail, as well as a colorful and thorough assortment of expletives.

Happy words include the omnipresent LOL and haha, as well as good, nice, sleep and wine, and food or beach related words. According to the list, rainbow is one of the happiest words and earthquake is one of the saddest.

Maine, Nevada, Utah and Vermont round-out the top five happiest states list, following rainbow and beach-filled Hawaii. Louisiana was found to be the saddest state, followed by Mississippi, Maryland, Michigan and Delaware. One reason for Louisiana's low cheeriness ranking (they must not have measured during Mardi Gras) is its inhabitants' fondness for profanity.

The study, which was broken down by The Atlantic, also looked at the results for 373 urban areas to rank the happiest and least-happy cities. Vacation destination Napa, California, was determined to be one of the happiest cities along with Longmont, Colorado; San Clemente, California; Santa Fe, New Mexico; and Santa Cruz, California.

The five most bummed-out cities according to average word choices were Beaumont, Texas; Albany, Georgia; Texas City, Texas; Shreveport, Louisiana; and Monroe, Louisiana. Again, researchers found liberal use of swear words to be a key factor in a city's overall happiness score.

Coastal areas were more chipper than landlocked areas, and the cities with a higher density of tweets tended to be less happy.

"This suggests that cities with high technology adoption rates (as most geotagged tweets come from devices like smartphones) are in fact less happy than their less technological counterparts," says the study.

The researchers took their results and compared them against census data and found that wealthy areas tended to have higher happiness levels and that areas with high rates of obesity has lower happiness levels.

They looked at obesity rates and food words to create lists of low and high-obesity words. The terms McDonalds, wings, ham and heartburn were popular in high-obesity areas, while words such as cafe, sushi, brewery and banana were more common in low-obesity areas.

The research shows that social networks have a lot of promise for these types of surveys, and also that there are still some major limitations. Researchers point out that only 15% of online adults are using Twitter, and those users don't accurately represent the demographics of the United States.

The group will once again dig into tweets for even more research once the 2012 census data is released.

@highlight

Twitter survey: Hawaii is the happiest state and Napa, California, is the happiest city

@highlight

Researchers looked for happy and sad words to determine a location's overall mood

@highlight

Beaumont, Texas, is the saddest city; Louisiana is the most bummed out state