(CNN) -- Every day, you have a close personal encounter with methane, a key ingredient of something we don't usually mention in polite company: farts.

Perhaps that's why methane is also called "natural gas." Unfortunately, neither propriety nor intestinal discipline can suppress its unpleasantness lately, because now not just us, but the Earth itself is farting.

Recently, three new craters, one of which measured approximately 100 feet wide and over 200 feet deep, were discovered in the Siberian permafrost. The explanation for them is even more alarming than asteroid strikes: Apparently, after two consecutive summers averaging 5 degrees Celsius hotter than normal, frozen methane is not merely thawing, it's exploding. Scientists fear that, like chronic bad digestion, this phenomenon could be ongoing. Methane in the air surrounding these craters already measures 53,000 times the normal concentration.

Then, just a week into a research trip, a team from Stockholm University found "vast methane plumes" shooting from the sea floor off the Siberian coast. Columns of gas bubbles, they reported, were surfacing around their icebreaker in waters saturated with 10 to 50 times more methane than usual.

This was the marine equivalent of melting permafrost, the undoing of frozen crystals called methane hydrates, locked solid for millennia by the pressure and temperature of deep oceans.

The U.S. Office of Naval Research calculates that methane hydrates hold trillions of tons of hydrocarbons, from two to 10 times the amount as all conventional deposits of fossil fuels, but they're probably too costly or unsafe to harvest. Now, as ocean temperatures rise, they've begun collapsing, spewing as much gas skyward as the thawing tundra.

Airborne methane produces 86 times the heat-trapping greenhouse effect of carbon dioxide. Although CO2 remains in the atmosphere far longer, after 100 years methane is still 30 times more potent. With sea level increases from 3 to 6 feet already predicted by the century's end, such stunning global flatulence isn't merely embarrassing, but devastating for civilization.

So what do we do? First, we recognize that the reason this is happening involves a misleading term: positive feedback loop. It's misleading because for us there's nothing positive about it. It means that as temperatures rise, warming land and seas fart (belch, if you prefer) more methane -- which then warms things further, so dangerous eruptions accelerate. Feeding back on itself, warming begets more warming.

Second, we admit that this loop began with us. By now, the link between fuel that jet-propels our industrialized civilization and excess CO2 and methane in the atmosphere is challenged only by those who profit obscenely from it.

Third, we stop compounding the problem by ceasing to pretend that energy derived by shattering our bedrock to squeeze even more natural gas from it is somehow "clean." Not only does burning methane crank planetary heat higher, but fracking wells also inevitably leak. At least 2% of their methane output, the EPA conservatively estimates, seeps into the atmosphere, thickening the gas layer that's already turning Earth into a hothouse.

Nor will the other 98% go to heat our homes. Enormous pipelines are now proposed to transport fracked methane through New England's conservation lands and orchards, through northern Minnesota's prime tourism and wild rice lake districts, and across the Ogallala Aquifer-fed farms of our nation's heartland. Each will terminate at a port, where its gas will be exported, not used domestically.

What will remain is scarred land and the methane that escapes or explodes (most recently on June 26, in East Bernard, Texas, into 150-foot flames). Such pipelines will be subsidized by rate-payers, not by vastly wealthy corporations that own them -- unless we refuse to let them be built, and instead commit our energy funding henceforth to truly cleaner options, like wind and solar.

The last time there was this much atmospheric CO2 was 3 million years ago, when seas were 80 to 100 feet higher. Since the Industrial Revolution, atmospheric methane has more than doubled, and the amount now gushing from the seas alone is 34 times what we thought just seven years ago.

Until we stop putting more carbon dioxide and methane overhead, prepare for more rude farts to foul your air, and our future. With coastal cities, fertile deltas and much of the world's rice crops threatened by floods or salination from encroaching seas -- and with grain harvests predicted to fall 10% for each added 1 degree C of average temperature -- passing greenhouse gases isn't merely vulgar -- it's deadly.

@highlight

Recently, three mysterious craters were discovered in the Siberian permafrost

@highlight

Alan Weisman: Hot summers caused Earth to spew methane, resulting in explosions

@highlight

He says airborne methane is more potent in producing greenhouse effect

@highlight

Weisman: Such stunning global flatulence is deadly if we don't embrace green energy