The slaughter of dolphins has begun again in a small Japanese village, in a controversial annual hunt that pits Western environmentalist values against what locals say are traditional hunting practices.

Taiji, a coastal town of 3,500 people in the Japanese prefecture of Wakayama, has a dolphin hunting season from September to March every year.

Local fishermen are permitted by the Wakayama prefectural government to hunt an annual quota of nearly 2,000 dolphins and porpoises from seven different species, in accordance with what the government says is traditional practice.

Most of the dolphins are killed for their meat, but many are sold live to aquariums around the world.

'Eerie' killing cove

In recent years, the Taiji dophin hunt has become a focal point for activists, particularly since the release of the Academy Award-winning 2009 film The Cove, which documented the hunt and raised awareness of Taiji's dolphin hunting industry internationally.

Conservationist group Sea Shepherd has had a presence in Taiji during hunt season for the past five years, broadcasting tfrom the village via a livefeed, and mobilizing a social media campaign against the hunt.

The campaign has drawn celebrity and other high-profile supporters, with comedian Ricky Gervais and U.S. ambassador to Japan Caroline Kennedy tweeting their support in recent years, and former Beverly Hills 90210 and Charmed actress Shannen Doherty visiting Taiji last week to witness the hunt.

"It's eerie," Doherty said in a statement. "You wonder how they (the hunters) are able to go to bed at night... I think being here rocks even the most hardened human being, because it is just atrocious."

Melissa Sehgal, Sea Shepherd's campaign co-ordinator for the Taiji project, which it calls "Operation Infinite Patience," said that after 15 days without the capture or killing of dolphins, the fishermen had begun killing pods of Risso's dolphins last week.

Four dolphin pods had been driven into the cove for killing so far this year, the group said.

"These dolphins are a gentle and docile species, but they continued to fight and struggle to stay alive," Sehgal told CNN.

Japan officials defend dolphin hunting at Taiji Cove

Locals defend practice

The Wakayama prefectural government declined CNN's request for an interview, referring instead to a statement on its website outlining its position on the issue.

It said that residents viewed dolphins and whales as a legitimate marine resource, and that the hunt, a local tradition, was integral to the town's economic survival.

"Located far away from the centers of economic activity, the town has a 400-year history as the cradle of whaling, and has flourished over the years thanks to whaling and the dolphin fishery," the statement said.

"The dolphin fishery is still an indispensable industry for the local residents to make their living."

'Barbaric' technique

Sea Shepherd is particularly opposed to the method used to herd and capture the dolphins, a technique known as "drive hunting" which Sehgal described as "barbaric."

"Using metal banger poles to create a wall of sound to disorient and deafen the pod... forces them to swim away from the boats and into the shallows of the killing cove," she said.

"Once netted into the cove, the dolphins are literally wrangled and tethered, often sustaining bloody wounds... The dolphin hunters use large metal rods to penetrate the spinal cord. This is hammered into the dolphins and small whales. The dolphins do not die immediately, but are left to either bleed out from internal injuries or drown in their own blood."

The Taiji fishermen's union has previously told CNN that the spine-severing technique had been introduced as a more humane method of killing the dolphins.

Opinion: How hunters slaughter dolphins in Japan

Fishermen harassed?

Sea Shepherd's operations in Taiji involve live-streaming activity in the village, including following suspected fishermen they believe to be transporting dolphin meat. A recent live-stream showed men retreating into garages when the Sea Shepherd crew approached.

This activism from foreign conservationists is interpreted by some locals as harassment.

"The Taiji dolphin fishery has been a target of repeated psychological harassment and interference by aggressive foreign animal protection organizations," reads the Wakayama government's statement.

"Taiji dolphin fishermen are just conducting a legal fishing activity in their traditional way in full accordance with regulations and rules under the supervision of both the national and the prefectural governments. . . Such criticisms are an unfair threat to the fishermen's rights to make a living and offend the history and pride of the town."

The statement also likens the killing of the dolphins to the killing of cows and pigs for food, implying hypocrisy on the part of activists for their criticism of the dolphin hunt.

"Not only dolphins but also other animals including livestock such as cows and pigs display emotion and intelligence," it read. "We, however, cannot help killing livestock to eat their meat. Do people criticize these activities as barbaric?"

'Terrorized' dolphins

But activists say any comparison between the killing of wild dolphins and domesticated livestock is spurious.

"They're terrorized for hours on end," says Ric O'Barry, a former dolphin trainer who trained the animals used in the popular U.S. show Flipper, before undergoing a sea-change in his views about holding dolphins in captivity.

He has campaigned against the live dolphin trade with his organization The Dolphin Project, and also featured in The Cove.

"They're self-aware like humans and the great apes. They look in the mirror and they know what they're looking at. They're not domesticated animals," he told CNN.

Besides, he said, while many of the dolphins were killed and sold for meat, the most attractive specimens were rounded up during the drive hunting were taken alive and sold to aquariums for sums in excess of $100,000 an animal. These captures were the real "economic underpinning" of the annual hunt, he said.

"You'd get $400-500 for a dead dolphin's meat, but there's a lot of money for a live one, and that's what keeps this thing going," he said.

Group: 250 dolphins await slaughter, lifetime of captivity at Japan's Taiji Cove

Live dolphin trade

Sehgal said that local dolphin trainers who "claim to love dolphins" were often seen assisting hunters in wrangling the animals to shore.

"Only the young, beautiful and more suitable are selected. These dolphins are then forced to witness their families brutally slaughtered in front of them," she said.

According to Sea Shepherd estimates, 850 dolphins were killed and 160 taken into captivity last season, 920 killed and 249 caught the previous season, and 820 killed and 54 caught the season before that.

Conservationists argue that it is this lucrative trade in captive dolphins that is the real motivation for the hunting season, a practice they say has only existed since the late 1960s.

"The argument that it is (an older) tradition is simply untrue," said Lisa Agabian, Sea Shepherd's director of media relations.

"Even if it were, I can say with absolute certainty that at no time would ancient fisherman have gone out with motorized fishing vessels and skiffs and modern technology to aid them in their capture of dolphins. The way they are hunting now, the dolphins don't have a fighting chance. That is certainly not traditional culture at work."

Said Sehgal: "This is blood money . . . (there's) nothing cultural about kidnapping wild dolphins for profit."

But Japanese defenders of the hunt maintain that the hunting of dolphins and whales has been a traditional industry and economic lifeline since the 17th century.

An official at the Taiji town office told CNN it was natural that hunting techniques had evolved with new technologies.

Staff at Japan's Ministry of Agriculture, Forestry and Fisheries and Institute of Cetacean Research said they were not available for comment.

@highlight

Four pods of Risso's dolphins have been killed in annual hunt in Taiji, Japan

@highlight

The hunting season runs from September to March every year

@highlight

It draws international conservationist activists to the village to document the killing

@highlight

Locals complain of harassment from activists; activists say the hunt is barbaric