ANCHORAGE, Alaska (CNN)  -- Sharon Phillips is a regular at the Anchorage Jobs Center Midtown -- grateful for the resource but a bit frustrated she has to keep coming.

About 900 people a week visit the Anchorage Jobs Center Midtown. Alaska's unemployment rate is 8.3 percent.

"I am one of 70 or 80 people putting in for just about every position," Phillips told us during a visit this past week. "It's been difficult."

Phillips has been looking for work for more than eight months now, often using the computerized job listings at the state-run jobs center.

"I put in for probably 10, eight to 10 jobs a week. I've been interviewed for about four a week. And I'm still unemployed," she said.

Brad Gillespie, the Anchorage, Alaska, regional manager for the job centers, says about 900 people a week visit the midtown facility. That's up 20 percent to 30 percent from the same time a year ago.

"We're a seasonal economy up here, and we're getting into winter season," Gillespie said. "So tourism is down. Construction work, too. "And the Anchorage International Airport is an international hub for freight operations, and that's been impacted by the economy turning down."

New numbers released Friday show that the state unemployment rate is 8.4 percent -- up from 6.7 percent a year ago. The job market is so tight that the state now posts a caution on its Division of Employment Security Web site suggesting people not move to Alaska unless they already have work lined up.

"We have a fair amount of people who think that Alaska is the promised land, and they have misconceptions maybe about what is up here. And they load up the family and head out on the Alaska highway, and we want to encourage them not to do that until they have something lined up before they get here," Gillespie said.

State economist Neal Fried says Alaska is often isolated from national economic trends because its economy is so different: manufacturing is for the most part limited to seafood processing, and the economy is built mostly around the energy sector and federal spending on the military and other government installations.

But the numbers don't lie. "We are part of it like the rest of the country is," Fried said. "We are and appear to be more attached, to be more affected by this recession than we've ever been in prior recessions in this country."

The pain is hardest in the rural, remote communities where energy and food costs are way above the national average because of transportation costs. A recent University of Alaska at Anchorage analysis said unemployment among native Alaskans was approaching 20 percent.

Carol Wren, the director of employment and training at the Cook Inlet Tribal Council's community center, says this is the toughest stretch she has seen in her 10 years of work at the center.

Among native Alaskans, she said education rates tend to be lower and poverty rates higher. "We have folks that may not have the credentials or the experience," she said. "As it is more competitive, they are less likely to get those positions. So it is making it more difficult to help folks find work."

The center has benefited from some federal stimulus money to help families with training, child care and other costs. But Wren, while grateful for that assistance, still sees a tough stretch ahead.

"I think we are just starting to feel it here," she says of the recession.

Democratic Sen. Mark Begich believes stimulus money is helping to cushion the blow.

"If you drive around town you will see some roads paved, some construction projects," said Begich, a former Anchorage mayor. He said the state received about $1.6 billion in stimulus funds, about a quarter of which he said is being spent on Alaska military installations.

"A lot of that I think buffered us at the right time," Begich said.

Republican Gov. Sean Parnell agrees stimulus money has helped the state, but he says he would prefer Washington take steps he says would bring longer-term improvements. Tax cuts aimed at job creation is one wish, a faster decision on proposals for new exploration leases on the outercontinental shelf is another.

"Outercontinental shelf development is 35,000 new jobs," Parnell said. "I have some concerns about delays and that we have companies awaiting many federal permits, and we'd like to see them move forward."

As for the stimulus money, Parnell said, "When they try to pump up the states for a year or two  with, you know, new Medicaid funds, to then cut the states off two years later leaves every state trying to patch that, or fix that hole.

"That's the problem with stimulus funds is that they¹re great when they come in but it's horrible when they¹re gone. So, it's a dependence that gets created that doesn't lead to any more freedom or prosperity in the long run."

Looking ahead, Parnell is pushing new tourism marketing incentives to help buffer what, at this early point, looks like another tough tourism season next summer.

And while he believes Alaska will not be as hard hit as many other states, Parnell voices the concerns of many here in saying that the fact that the recession arrived here late leads to worries it could linger too long.

"Alaska tends to trail the rest of the United States when it comes to the economy. So when the rest of the economy is headed up, it takes Alaska some time behind it," he said.

@highlight

Recession hurts tourism, construction work, freight operations in Alaska

@highlight

State's unemployment rate is 8.4 percent, up from 6.7 percent a year ago

@highlight

Alaska is often isolated from national trends because its economy is so different

@highlight

Governor worries that a recession that came late will linger longer