(CNN) -- Manliness, metaphorically embodied these days by facial hair, grilling meat and building domestic "man caves," is now carving its own space online.

Look around. The line of what is and isn't masculine is blurring, whether it is through manscaping, as shown in Morgan Spurlock's new documentary "Mansome" or barbecue chefs such as Elizabeth Karmel expertly wielding tongs.

This trend may be rightly celebrated for breaking gender stereotypes. But as the "mantuary" for hanging with the bros gets invaded by scented candles, some entrepreneurs are fighting back with new websites that cater to stereotypically manly interests such as cars, sports, tech toys and bachelor living.

They have names such as Dudepins, Manteresting, PunchPin, Gentlemint and Dartitup, and they claim to target the male demographic not just in content but also in utilization. They've all launched in the past six months, and their inspiration appears to be the skyrocketing popularity of Pinterest, a virtual pinboard where users post, or "pin," images of their favorite things.

Unlike Pinterest, however, these sites have fewer photos of wedding dresses and more pics of beards, babes, guns, Harleys and bottles of whiskey.

Pinterest has more than 20 million users, and a survey last spring found they spend more time there per month than users of any other social network except Tumblr and Facebook. Considering those numbers, and that Pinterest has been valued at $1.5 billion, and it's no surprise that similar websites such as Pinspire, Clipix and Stylepin have popped up.

But Pinterest and its copycat sites are largely populated by women. A February survey by Visual.ly found that women comprise 83% of Pinterest users. A quick browse through its most popular pins and its About section ("People use pinboards to plan their weddings, decorate their homes and organize their favorite recipes") seems to reinforce this gender imbalance.

CNN Tech: Pete Cashmore on why Pinterest is 2012's hottest website

Brandon Harris, co-founder of Dartitup, said that when he first played around with his fiancee's Pinterest account, he appreciated the concept.

"I loved what it did and I loved the features, but I didn't like the content," he said. "The content is not geared towards a guy. I am not interested in cupcakes or puppies. But I am interested in cars and gadgets."

CNN Tech: Interest, meet Pinterest: Site helps users catalog their passions

Not that there aren't any men pinning. But Ricardo Poupada, co-founder of AskMen, said that when his online men's magazine started using Pinterest, they noticed that there wasn't a strong male presence. "There's still that perception that it is a female-centric site," he said.

'Manly' alternatives

Enter sites such as Manteresting.

"We were thinking of mimicking the [Pinterest] business concept but catering to the male demographic," said Brandon Patchin, who co-founded Manteresting with Jesse Michelsen. "Jesse and I, we are intentional in our naming of our website. We needed to be divisive."

While Manteresting has managed to rack up more than 2 million page views since it started in February, the plan is not to declare war against Pinterest, Patchin said.

So what makes up a manly image bookmarking website?

Let's start with the look. Manteresting's layout swaps Pinterest's cursive red title on a cream background with a black, block-letter title and the tag "Interesting.Man.Things" on a dark steel background. Dartitup goes for a dark navy blue with white lettering, and Gentlemint opts for an elegant black-and-white theme with a moustachioed logo.

Then there's the testosterone-laden choice of words. Instead of "Pin It," users on these websites can "Nail It" (Manteresting), "Dart It" (Dartitup) and "Save to Your Mint" (Gentlemint). Dudepins' slogans are "Dudes like sharing stuff" and "Man Up. Sign Up. Pin Up."

The founders of Manteresting, Dartitup and Gentlemint were all quick to say that they don't emphasize photos of women in bikinis or tolerate offensive content. Their most popular image subjects range from food to technology to sports to memes to bachelor pads, they said.

Embracing stereotypes?

Glen Stansberry, co-founder of Gentlemint -- "a mint of manly things" -- said he felt no pressure to set a certain bar for manliness.

"How do we know what's manly? We really don't," he said. "There is no editorial guideline, so people interpret it their own way."

Each site embraces "manliness" in a different way.

Dartitup prides itself as "a guy's night out" and pairs you up with similar users during registration. It also has a "Challenges" section where users are asked to dart images in response to a challenge like finding "something Chuck Norris cannot defeat."

Manteresting gives you the option to "bump" or "shame" an image to the "Top Voted" or "Wall of Shame" sections of the site. Gentlemint has "Collections" that allow users to group images in whatever form they like as opposed to categorizing them.

AskMen's Poupada believes men share content differently than women and are more likely to share that which is representative of stereotypical male interests.

"It's more about what your stuff says about you," he said. "The sharing is very much in line with what society dictates to us. If a guy talks about calorie counting, he will be ostracized."

Poupada warns that the content on these niche websites could perpetuate stereotypes about what men are interested in. He's not alone. Gawker's Adrian Chen also mocked the idea of "Pinterest for men" in a recent article and suggested men are threatened by the female-dominated website.

"Why do we need these sad virtual man caves?" he wrote. "Get over yourselves, dudes. Maybe you'll even learn a little about closet organizing."

Manteresting's Patchin says his team has been accused of being "homophobic or misogynistic or sexist." But he points out that Manteresting has no restrictions against women joining, and that his site's 45,000 images of bacon doughnuts, basement game rooms and movie posters offer proof that there is a market for such content.

Harris of Dartitup says his site has received invite requests from women and that they are more than welcome to join.

"But we said from the start, this is a service that guys will like," he said.

More men on Pinterest

This raises a question: Would it be so terrible if Pinterest remains dominated by women and female-oriented content?

Mary Elizabeth Williams, a staff writer at Salon.com, wrote in a recent article that Pinterest's gender gap reveals how "conservative ideas about gender find themselves reproduced online."

But she believes that may not be such a bad thing.

"Within a seemingly tame array of cute animals and wedding ideas, nearly 20 years into Web culture, we have nevertheless somehow managed to create something formidable -- at long last, the Net's first true woman-centric blockbuster," she wrote.

Last week, Alexandra Lange wrote on The New Yorker's culture blog that she fears Pinterest's founders might "push the flowers off screen" because "women's interests are coming on 'a little strong' for an Important Social-Media Platform," she said.

She later added, "We should be long past women's clubs, but if Pinterest remains one, let it be the men's loss."

The scales of gender balance might already be leveling.

A recent Mashable slide show featured men with hundreds of thousands of followers on Pinterest. And according to Visual.ly, a data visualization community, 56% of Pinterest users in the UK are men.

Poupada predicts that Pinterest is in a pre-evolutionary stage, just as "Facebook was once considered for college students." The bookmarking site may attract a more balanced group of users once it tweaks its branding, he says.

"There will always be places to be gender-specific," he said. "There will always be the [male] equivalent of Pinterest. But the beauty of the Web is you can never stop anyone else from joining. The medium doesn't allow it."

What do you think? Do you find Pinterest too "girly" or do you think it is fine the way it is? Should Pinterest become more gender neutral? Would you use these manly alternatives? Let us know in the comments.

@highlight

One recent survey found that 83% of Pinterest users are women

@highlight

That's created a niche for new "manly" visual bookmarking sites

@highlight

These sites cater to interests such as cars, sports, tech toys and bachelor living