(CNN) -- Few things distract from the discomfort of flying better than a decent roster of films on the seatback in front of you. As technology progresses, however, those imbedded screens may soon go the way of the dinosaurs. The question is, will passengers be better off for it?

At the annual Aircraft Interior Expo in Hamburg next week, exhibitors will showcase the latest innovations in the aviation industry. Front and center is Row 44, an in-fight internet provider that has recently added live TV and video-on-demand to the list of services it offers airlines. Rather than tune in to a seatback consol, passengers stream the content directly to their personal devices.

"You're going to see a lot more cases where airlines will opt not to invest in an imbedded in-fight entertainment system, and will say, 'let Samsung or HP do the investment,' in terms of letting people bring in their own devices," says John LaValle, CEO of Global Eagle Entertainment (of which Row 44 is a subsidiary).

Row 44 has been nominated for a Crystal Cabin award for its work with Southwest Airlines, which last year became the first in the world to stream live television directly to passengers' WiFi-enabled devices. Previously, Southwest didn't have any form of in-flight entertainment.

Says Katie McDonald, a spokeswoman for Southwest:

"Not only did we save on the expense of installation and maintenance of seatbacks, but we're saving fuel by avoiding the added weight of the TV hardware."

Understandably, letting passengers bring their own devices on board is an attractive notion to low-cost carriers. In 2011, Air Baltic became the first European airline to offer customers iPads for in-fight entertainment. Like Southwest, they previously had no system in place.

"If you want to design something in your front seat, you have to go through a rigorous certification process," explains Janis Vanags, Air Baltic's vice president of corporate communications. "You have to design it, produce it, install it; it takes years and it takes millions. By the time it's certified and installed, it's already old." By comparison, he notes, portable devices "can be put up fairy quickly, and can be changed quickly without a big investment."

Read more: Airlines cash in as Wi-Fi takes off

Unlike the many airlines that have since followed suit (Qantas, Thai Airways, Aeromexico and Jetstar, to name a few), Air Baltic ultimately dropped the program. Originally, they handed out the devices for free to business class customers, and rented them out for â‚¬9 ($11.55) to those in economy.

"We believe our airline is like a travel megastore, and as a result, we're not into amenities; we're into products and services that we can make money out of," admits Vanags, adding, "we found that there was a very small, but negative gain from stocking the product."

Air Baltic seems to be atypical; Southwest Airlines, which charges passengers $5 to enjoy live TV, has witnessed an uptick in their revenue (though they declined to disclose how much). Any increase is impressive considering the service was only rolled out on a handful of planes, and had received no marketing.

Furthermore, live TV has proved particularly popular with sports junkies, many of whom would have to otherwise make a tough choice between catching a game and booking a flight. Anticipating this, Row 44 has worked out a deal with America's National Football League, allowing passengers to never miss a game.

"There was a popular game between the Green Bay Packers and Chicago Bears at the start of the season," recalls LaValle. "Live TV was only available on 25 planes, and not many passengers knew about it, and we still had 600 viewers. Football games last about three hours -- longer than the actual flight -- and still passengers were willing to pay to watch a game they knew they wouldn't catch the end of."

Some carriers, however, are happy to throw out iPads and live TV as an added perk. Emirates Airlines, which has long prided itself on amenities, last month started offering live TV to all passengers on its A380s, partly to promote Formula 1, of which the airline is a prominent sponsor.

Similarly, Norwegian Air, another Row 44 customer, uses its free Wi-Fi offerings as a means to win customers (though they recently started charging for video-on-demand, which streams directly to passenger's devices).

Read more: In-flight phone calls to become standard?

"It's a big part of their marketing strategy, and it's been very successful in getting them customers," admits LaValle, who points out the airline has even introduced the wireless symbol in their decal.

Despite its many advantages, though, the content available to passengers on their own devices can be more limited than what's available on traditional seatbacks. In the last few years, it's become commonplace for airlines to offer what's known as "early window" content, or movies that are still showing in cinemas. At the moment, airlines that rely on passenger-owned devices are forced to eschew this service.

"At the end of the day, studios are always very wary of content protection, and making sure what content they do provide can't be abused or copied illegally" notes Andrew Muirhead, the director of innovation at Lufthansa Technik, a subsidiary of Deutsche Lufthansa.

"Early window is high-value content, and they want to keep it in a very controlled environment," he notes. Muirhead acknowledges that this could change in the future, but says it's another example of why portable devices will never completely replace imbedded screens.

"Imagine a family of five turns up on a flight. What are the chances all of them will have an iPad? You still need to entertain people who don't have such devices on board."

@highlight

More airlines are using passengers' own tech to deliver in-flight entertainment

@highlight

Southwest Airlines, which streams live TV directly to customers' devices, says they save on fuel and hardware installation

@highlight

Live TV, iPad rental and video-on-demand are a few tactics airlines are using to bolster ancillary revenue

@highlight

In some cases, the content available to passengers is more limited when streamed to their devices