Hong Kong (CNN) -- There is only one thing that Chinese and foreign observers of China are looking for at the 18th Chinese Communist Party (CCP) Congress: signs of reform, especially political liberalization.

The chances of meaningful political changes, or those that dovetail with global norms, however, are getting increasingly slim.

The reason may be simple. Until around about the time of the Tiananmen Square protests in 1989, to reform or not to reform belonged in the realm of ideology.

Even before the birth of the People's Republic in 1949, factions within the party had fought over the future direction of the country.

When Mao Zedong was running the show, there was the celebrated "struggle between two lines." This referred to the fierce competition between the Maoists -- who claimed to uphold unadulterated Marxism -- and the "capitalist roaders," led by then-president Liu Shaoqi and Deng Xiaoping.

After the Cultural Revolution (1966-76), Deng, the Great Architect of Reform, battled furiously with conservative patriarch Chen Yun, who only wanted "[market-oriented] reform within a bird-cage." In the run-up to the June 4, 1989 massacre, Deng, who was paranoid about China succumbing to the winds of change that were sweeping Eastern Europe, mobilized the troops to torpedo the Westernized political reforms championed by the liberal General Secretary Zhao Ziyang.

Since the early 1990s, three major factions have emerged within the party: the Shanghai faction led by ex-president Jiang Zemin, the Communist Youth League (CYL) faction led by President Hu Jintao, and the "Gang of Princelings" -- a reference to the offspring of party elders -- led by president-in-waiting Xi Jinping.

Despite their apparent differences, these factions have come to a solid consensus on the major goals of the country. Politically, the CCP must preserve its near-total monopoly on power. And while aspects of the economy are being integrated with the global marketplace, about 120 yangqi or centrally-held enterprises will continue to enjoy monopolies over key sectors, ranging from oil and gas to banking and telecommunications.

Moreover, an unprecedented number of the spouses and children of party elders have gone into business. Some have become the yangqi's senior managers. Even more have used their sterling political connections to start highly successful private businesses in lucrative areas such as finance and real estate. These so-called "red capitalists" are evenly represented by members of the party major factions.

Critics of the government do not seem to be exaggerating when they say that 100 or so of the biggest clans that represent the country's "red aristocracy" control the largest chunk of the economy.

The official China Daily has reported that the top 1% of Chinese families owns 41.4% of the nation's wealth, while a survey by the People's Daily indicated that 91% of respondents thought the "nouveau riche" in China had benefited from their political ties to the CCP leadership.

Reform has become nigh impossible because any change of the political or economic status quo will threaten the vested interests -- and finances and earnings -- of these near-omnipotent CCP clans.

Politburo member and Guangdong Province Party Secretary Wang Yang admitted this earlier this year. "At the early stage of reform, the obstacles [to liberalization] were mainly due to ideological differences," he said. "Now, the major problems faced by reform come from the configuration of interest groups [at the top]."

It is most unlikely that the fifth-generation leadership under General Secretary-in-waiting Xi Jinping will change the rules of the game. While Xi, 59, has the reputation of "Mr. Clean," his siblings are multi-millionaires who have substantial investments in China and Hong Kong.

Quite a few of the members of the new CCP Politburo Standing Committee (PBSC) -- China's highest ruling council -- to be confirmed at the November congress are representatives of China's big clans. They include the Vice-Premier Wang Qishan, Head of the Propaganda Department Liu Yunshan, and Vice-Premier and Chongqing Party Chief, Zhang Dejiang.

Owing to the rigidity of China's one-party authoritarian rule -- as well as the political elite's determination to uphold the status quo -- expectations of any kind of reform and liberalization have fallen to new lows among the Chinese intelligentsia as well as ordinary folk.

Even though China watchers in the West are paying close attention to who will be inducted into the Politburo and the PBSC, Beijing's largely apathetic political pundits are seized by a feeling of plus ca change -- the more things change, the more they stay the same.

The opinions expressed in this commentary are solely those of Willy Lam.

@highlight

Chance of meaningful reform from China's new leaders is slim

@highlight

Different factions have reached consensus on major national goals

@highlight

An unprecedented number of relatives of party elders have gone into business

@highlight

Reform complicated by vested interests of these "red capitalists"