(CNN) -- It's not only global tycoons and car manufacturers that are greasing the wheels of Formula One -- countries are doing it too.

Traditionally governments have invested in F1 by stumping up cash to stage races but now they are cutting deals with drivers and teams.

The Venezuelan state oil company PDVSA funds Pastor Maldonado's drive for Williams.

This summer Sauber announced a partnership deal involving three backers with close links to the Russian state that will see the Swiss team fast track teenager Sergey Sirotkin into a race seat in time for the inaugural Russian Grand Prix in 2014.

"It's a huge responsibility that I have," Maldonado, who had the personal approval of late Venezuelan president Hugo Chavez, told CNN. "I have a complete country pushing in my back so every day we do not do very well, I have some pressure."

But why do countries want to invest in the fickle world of F1 in the first place, where there is no tangible return on their investment?

McLaren team principal Martin Whitmarsh explained to CNN: "Last year Formula 1 was watched by over half a billion people.

"There are only two world sports -- football and F1. It's natural that as F1 expands the calendar and goes into new markets [people] want to be involved and invest in the sport."

Global markets

Christian Sylt, co author of Formula Money, an annual report examining all aspects of the sport's finances, believes countries now have a role to play in filling the gap left by F1's traditional investors.

"The departure of the car manufacturers left a big hole in the budgets of many teams," said Sylt.

"In 2008 and 2009, F1 lost Honda, BMW and Toyota while Renault also slashed its spending. This meant that, according to Formula Money's data, team owner spending plummeted from $1.6 billion in 2008 to $611 million in 2010, despite the addition of two new teams.

"In turn, teams have had to look for new sources of funding to maintain their budgets."

F1's peripatetic players visit five continents and 19 countries in 2013 -- and in 2014 there are additional races scheduled in Russia, Austria, the United States and Mexico.

Part of the sport's appeal is that it immediately gives its backers structured access to nearly 20 global markets.

"If a government thinks that it can increase trade and tourism by presenting an image of itself as a technologically savvy, glamorous destination and a center of sporting excellence, then F1 is a good way to achieve this," Sylt continued.

"F1's values of technology and glamor are often something that developing countries want to align themselves with.

"It's not so common in F1 at the moment, but this is already a big source of funding in its feeder series GP2.

Huge responsibility

"In the last couple of years logos for countries including Venezuela, Monaco, Romania, Angola, Russia and Colombia have all appeared on the cars and Venezuela even title sponsors the Lazarus team.

"As these drivers move into F1, they will bring their sponsors with them and we'll see more and more countries getting involved as F1 sponsors."

Sponsoring a driver or team is also a powerful marketing tool. As well as the traditional logos prominently painted on the car's livery, Venezuela now gets a mention every time Maldonado is strapped into a car.

But how do the drivers cope with these unique patriotic pressures of essentially being an ambassador in a racesuit?

"I have more than many responsibilities," Maldonado explained with a half smile. "I am the only one in Venezuela who has Formula 1 on his back. It's quite hard for me to keep everyone happy."

Like most F1 racers, the 28-year-old Williams driver progressed from karting through the junior ranks before winning the GP2 title in 2010.

But there is no doubt that the final step into an F1 race seat was sweetened by sponsorship from PDVSA to the tune of a reported $45m a year.

"PDVSA and the sponsors I had in the past, and that I still have, believe in my talent," said Maldonado, who is still aware that he has to sing for his supper.

"I was the first racing driver who was racing with the colors of PDVSA, the main oil company of the country.

"In Venezuela we don't like to lose, we always approach to win."

Maldonado was not the first F1 pilot from Venezuela -- that honor went to Italian born Ettore Chimeri in 1959 -- but he became the first Venezuelan to win a grand prix in Spain during the 2012 season.

"You know, F1 after my victory last year became a very popular sport," Maldonado explained. "We have two live TV channels so it's getting bigger and bigger -- which is why I have even more responsibility."

Presidential problem solver

This season has raised Maldonado's stress levels even further. The Williams car has lagged behind its midfield rivals and Maldonado finally won the team's first point of the season in Hungary -- the 10th race of the year.

The portents on the eve of the season had not been good. The team held a celebratory preseason lunch on 5 March but later that evening Venezuelan President Chavez died following a long battle with cancer.

The death of Chavez, a self-styled" 21st Century socialist," left Venezuela in a state of flux and it arguably deprived Maldonado of his biggest supporter.

When asked how much the late president had personally helped his career, Maldonado answered: "A lot.

"It was not only my career it was the career of many racing drivers, Rodolfo Gonzalez (GP2), E.J. Viso, who is in IndyCar; many, many racing drivers."

Maldonado twice appeared on Chavez's chat show Alo Presidente but said he did not speak to the late president on a regular basis, though he added: "He was very close to the drivers."

There have been divisive opinions on Chavez's legacy. Commentators say he did a lot of work to lift people out of poverty in Venezuela but that his autocratic style of governance damaged the nation's democracy and left the country with daunting economic challenges.

But Maldonado says the charismatic Chavez, the man who helped shape his career, is greatly missed.

"We miss him," said Maldonado who grew up in the city of Maracay. "Everyone misses people like that who were important for the country, the position he took, what he did for the poor.

"He connected with the people and at the same time he was listening to the problems they had, analyzing everything with his team, his ministers and directors, they were trying to solve all of the problems of the people."

Being backed by the state has intrinsically linked Maldonado to Venezuela in so many ways.

He is indebted to PDVSA for his position in F1 and in turn he feels he is an ambassador for Venezuela, his compatriots and the legacy of President Chavez.

When countries decide to directly invest in F1's drivers, the responsibility lies heavily on the racer's shoulders.

Does Maldonado expect Sirotkin, the driver Russian investors plan to push into a Sauber seat, to feel the same kind of pressure?

"It depends," Maldonado explains. "I don't know very well the Russian guys. I know the Venezuelan guys - for sure there is a lot of pressure!"

Slums of Venezuela

PDVSA's sponsorship deal with Williams is due to expire in 2015. It is understood that the terms of the agreement stipulate a Venezuelan driver must race for the former world champion constructors, and not necessarily Maldonado.

CNN contacted PDVSA but they declined to comment.

Even if Maldonado finds himself without an F1 drive in the future he is already determined to pay back part of his debt he believes he owes to his country through the Pastor Maldonado Foundation, a charitable organization that he set up in 2005.

"We want to find a new driver from the very poor slums of Venezuela and give him the opportunity to become a race driver in the future in F1," Maldonado, who was encouraged into motorsport by his father and uncle, explained.

"We are focused on finding someone who is not even close to motor racing. At the moment we are staging a small go kart championship and then we will select two or three racers and then put them in Europe with good teams, all paid for by the foundation.

"We also help some with education, some who have lost their homes in tragedies and other sports.

"But now we are planning to find the second or third Venezuelan driver for a Formula 1 drive."

Maldonado is using his foundation to repay what Venezuela has given to him -- and, even better, he hopes it will also find a successor to drive forward the expectations of a nation.

@highlight

Formula One is attracting state funding form nations such as Venezuela and Russia

@highlight

Pastor Maldonado says being sponsored by Venezuelan money is "a huge responsibility"

@highlight

The Williams driver was personally encouraged into F1 by late president Hugo Chavez

@highlight

Maldonado has set up a foundation to fund next Venezuelan F1 driver