The engineer who was involved in Sunday's New York train derailment apparently "was nodding off and caught himself too late" before the accident that killed four people and injured 67 others, a union representative who has been meeting with the man told CNN on Tuesday.

Anthony Bottalico, the union representative, said engineer William Rockefeller Jr. recognizes his responsibility in the incident.

"I think most people are leaning towards human error," Bottalico said.

Rockefeller's lawyer, Jeffrey Chartier, characterized what happened as "highway hypnosis." He said his client had had a full night's sleep before the crash, and that Rockefeller had no disciplinary record.

In a brief conversation with investigators, Rockefeller said that moments before the derailment of the Hudson Line train in the Bronx he was "going along and I'm in a daze. I don't know what happened," according to a law enforcement official familiar with that conversation.

Asked by investigators what he was thinking when he said he was dazed, the engineer said he couldn't say. Rockefeller spoke to Metropolitan Transportation Authority and New York Police detectives at the crash site before he was taken to the hospital Sunday.

National Transportation Safety Board member Earl Weener told a news conference that Rockefeller would have had a chance to get the necessary sleep prior to his 5 a.m. shift the day of Sunday's accident, echoing comment from Rockefeller's lawyer.

According to NTSB representatives, results from alcohol breath tests for the train engineer were negative, and both the brake and signal systems in the deadly Metro-North accident appeared to be working. Other toxicology results have not yet come back.

Fatigue is a factor being investigated, according to a separate New York law enforcement source.  But Rockefeller also told investigators on site that the brakes had failed, as CNN reported previously.  Officials noted the train had been able to stop nine times at stations ahead of the crash.

Weener told reporters that the train was equipped with a "dead man's pedal," designed to stop the train if the engineer becomes incapacitated. But it was unclear whether that emergency system was activated.

"We don't know what that sequence was at this point," Weener said. "It's too early to comment on that. But yes, there was a dead man's pedal."

Late Tuesday, the NTSB said the rail union has been kicked out of its investigation of the derailment for violating confidentiality rules.

The agency specifically cited Bottalico's comments as a violation.

Additional safety system urged for years

Railroad safety officials have long pushed for a system known as positive train control technology, which combines GPS, wireless radio and computers to monitor trains and stop them from colliding or derailing. But the railroad industry has opposed the technology because of the high cost.

Steven Harrod, a University of Dayton professor and expert on railway operations, said the transportation safety board has urged railroads to install PTC in some form since 1970. In 2008, Congress ordered rail lines to adopt the technology by December 2015.

"PTC would have sounded an alarm as soon as the train exceeded the speed limit," said Harrod. "Technology will help. PTC will help. But there will be some other thing in the future, other ways that somebody will find to defeat the system or screw up."

On Tuesday, Weener said it's possible that PTC could have prevented a derailment involving a high-speed train such as the Metro-North accident.

"What I can say is that for more than 20 years the NTSB has recommended the implementation of PTC technology," Weener said.  "These systems provide a safety redundancy by slowing or stopping the train that isn't being operated in accordance to signals, speed limits or other operating rules. PTC is proven technology that can prevent train-to-train collisions, over speed derailments and incursions into work zones."

Salvatore Arena, a spokesman for the Metropolitan Transportation Authority said the agency began work to install PTC on the Long Island Rail Road and Metro-North Railroad in 2009, budgeting nearly $600 million for PTC installation, including $428 million last month for a system integrator. Full implementation is estimated at $900 million.

But, Arena said in a statement, implementing PTC by the 2015 deadline will difficult because much of the technology is still under development, untested and unproven on commuter railroads the size of Metro-North and LIRR.

"The MTA will continue its efforts to install PTC as quickly as possible and will continue to make all prudent and necessary investments to keep its network safe," Arena said.

The locomotive and all seven coaches jumped the tracks while barreling into a curve at 82 mph, nearly three times the 30-mph limit for the curve, according to the NTSB.

Expert: "Twilight" common among train crews

Harrod said the early hour of the derailment, along with the decreased rail traffic on the post-Thanksgiving weekend, also could have played a role in Rockefeller's "daze."

Harrod called it a "twilight" of inattention or distraction common in transport crews on late-night and early-morning shifts.

"If he was dead, dead asleep, his hands would have come off the controls and ... some of the 'dead man' stuff would have come into play," said Harrod, referring to "dead man" mechanisms that automatically stop trains when the engineer is incapacitated. "But if it was kind of that twilight where you're just there and still kind of gently holding onto to things but not quite really aware, which in my mind is still sleeping. That's still sleeping."

In the culture of railroad workers, Harrod said, admitting to falling asleep at the controls is almost as bad as admitting to being drunk or on drugs.

"It's very realistic that he, in fact, really did fall asleep," he said. "Falling asleep at the controls of a locomotive is a horrible evil. You're not supposed to do that. He really doesn't want to come out and say, 'I fell asleep.' It's emotionally embarrassing. It's not just a rules violation. There's a psychological component. If you come out and say, 'I fell asleep,' it's just purely beyond embarrassing. It's a violation of the sacred understanding of what a train crew should do."

Rockefeller is not working or getting paid, according to Meredith Daniels, MTA spokeswoman.

"He is out of service. This is an unpaid status," said Daniels, adding that Rockefeller is presumed innocent until disciplinary procedures are completed.

NTSB officials would not comment on Rockefeller's reported comments, but they have said fatigue is routinely investigated as a possible cause in such cases.

"We don't have the work history at the moment," Weener told Wolf Blitzer Monday on CNN's Situation Room.

"We will be developing what we call a 72-hour timeline, so that we have a good understanding of what sort of activities preceded this accident. That's part of our normal investigation."

Harrod said the rail and signal hardware date to World War II and, if Rockefeller was dazed or momentarily distracted, there was no system in place to alert him that he was traveling at 82 mph.

"It's a perfect-storm kind of thing," he said. "You can look back in the history books of railroad accidents and there are plenty more where this came from. Events and things that happen that in and of themselves are not supposed to be bad but they turn into bad things."

Engineer cooperating with authorities

The train was about 10 miles short of its destination, Manhattan's Grand Central Terminal, when it derailed on the approach to the Spuyten Duyvil station in the Bronx.

The NTSB's interview Monday with Rockefeller was cut short because of his emotional state, Weener told CNN. The interview resumed Tuesday and was expected to continue Wednesday.

"I think it was basically emotional issues with the engineer," Weener said.  The crash, which took four lives, was "a very traumatic experience for him." Weener said Rockefeller was cooperative but was "not up to it."

NTSB officials said it is not unusual for those who have survived fatal accidents to be emotional during interviews. Nor is it unusual for the board to allow participants additional time to complete the interview.

Botallico said Rockefeller is cooperating.

"There's a lot of quotes coming from him, but when you're in a crash like this, anything you say in the beginning has to be taken with a grain of salt," Botallico said.  "Bill is very distraught. I've been with him, and he really hasn't had a lot of sleep and he's just crushed by everything. I know how sincere he is and he'll be very forthcoming very shortly."

"Billy is fully cooperating with the NTSB," Botallico added.  "He needed to get some rest. He's very traumatized by the loss of life. It's best that it comes from him what happened. He's a quality human being. I know him personally. I've been a conductor and representative, and I'd be proud to have him as my engineer."

Botallico said Rockefeller started out as a janitor at Grand Central and "worked his way up."

"He's been in operations for quite a while," he said. "He used to change the time of the trains in Grand Central. He was volunteer fireman. He's just a guy who's always gone out of his way for everyone else. It brings me to tears because the loss of life is something that -- it's the hardest thing to deal with. When you lose life it's difficult for all."

Said Harrod: "This engineer, I'm sure, as the evidence comes out, I think we're really looking at a sad, really basic kind of inattentiveness. Nothing fancy: No alcohol, no drugs, maybe not even a cell phone. Just plain vanilla inattentiveness."

@highlight

NTSB kicks rail union out of investigation for violating confidentiality rules

@highlight

A lawyer for the engineer describes what happened as "highway hypnosis"

@highlight

"I think most people are leaning towards human error," union representative says

@highlight

The crash on New York's Hudson line killed four and injured 67 people