Washington (CNN) -- Chris Christie used about 2,000 words to deliver different messages to different audiences Tuesday in his second inaugural address, this one under the specter of scandal.

The embattled New Jersey governor made no mention of the multiple investigations into alleged political retribution exacted by his administration.

Instead, he spoke as a re-elected governor to his state and the early frontrunner for the Republican presidential nomination in 2016, if he decides to run, to a cheering crowd in the Trenton War Memorial.

Most importantly, Christie emphasized themes of unity and moving beyond partisan politics to try to reassure crucial Independent voters shaken by the controversy over traffic gridlock as alleged political payback.

Here is what he said, and what he really was saying:

"A tough New Jersey. A resilient New Jersey. A proud New Jersey."

Christie was talking about himself as much as his state when, early in the speech, he spoke of the bond established with the people of New Jersey during his first term.

"We have endured the worst economic recession of our lifetimes and we have begun to triumph over it," he said, establishing the "all-in-this-together" theme of the speech that sought to also boost state pride.

"We have survived the worst natural disaster in our state's history and we have worked together to restore, renew and rebuild the state that we love," he added, noting that "each one of these challenges has been met by a new, unified force in public life - a New Jersey setting the tone for an entire nation."

Then came the triple kicker, received with lengthy applause: "A tough New Jersey. A resilient New Jersey. A proud New Jersey."

Low profile for Democrats as Christie inaugurated

"A New Jersey that has put aside political partisanship on the important issues ... "

With polls showing public disgust with the partisan politics of Washington, Christie portrayed himself as a leader who can overcome ideological divisions.

His goal was to contrast his record in a politically divided state with Democratic President Barack Obama's inability to divine much partisan progress from a similarly divided Congress.

New Jersey Democrats note their control of the state legislature means every law passed and signed by Christie must be bipartisan, by definition.

To the governor, the victor gets the spoils and he hailed "a New Jersey that has put aside political partisanship on the important issues to our people to take advantage of the opportunities each of these challenges has presented us with every day."

Later in the speech, Christie expanded on that theme,saying "we cannot fall victim to the attitude of Washington, D.C."

"The attitude that says I am always right and you are always wrong," he said. "The attitude that puts everyone into a box that they are not permitted to leave. The attitude that puts political wins ahead of policy agreements. The belief that compromise is a dirty word."

Hot piece of land in Hoboken at center of Christie-Zimmer dispute

"Each vote cast is an act of faith and trust."

In a key message of the speech, Christie presented himself as a leader able to win support across the political spectrum, which will be the most necessary attribute for a Republican presidential candidate.

Obama won re-election in 2012 by thumping GOP challenger Mitt Romney in key demographics such as women, young voters, Hispanic Americans and African Americans.

It appears that Christie hopes to generate broad-based support and fundraising by claiming the title as most electable Republican from the start.

"You see, elections are about more than TV ads and debates and rallies. Each vote cast is an act of faith and trust," he said to set up the bond between candidate and citizen.

Referring to his November re-election, Christie said "it wasn't just some of our people who affirmed this course."

"It was not a vocal plurality like four years ago," he continued to growing applause and cheers. "No, this time, it was the largest and loudest voice of affirmation that the people of our state have given to any direction in three decades."

One by one, he listed the elements of his broad-based support -- an enviable collection for any candidate of any party.

"Suburbanites and city dwellers. African Americans and Latinos. Women and men. Doctors and teachers. Factory workers and tradesmen. Republicans and Democrats and independents," Christie said.

Later in the speech, he made sure to mention how the state passed an immigration law on his watch that gave some children of immigrants living illegally in New Jersey a break on their tuition. The issue is paramount to Hispanic Americans and the subject of major political division in Washington.

To CNN Chief Political Analyst Gloria Borger, Christie was declaring to GOP backers and independents looking to get behind a winner that he can attract a "very broad" coalition like the one that gave him his second term.

Don't trash Jersey until you've traveled it

"Now we have no moral option but to heed the voice of the voters ... "

With this line, Christie sought to seal the bond with New Jerseyans and also convince people nationwide that he could be trusted with their votes come 2016, if he runs.

A new national poll released Tuesday showed Christie losing ground to the early Democratic presidential frontrunner in 2016, Hillary Clinton.

The biggest shift in the Quinnipiac University survey was among Independent voters, who were split between Christie and Clinton in December but now go for Clinton by a 15-percentage point margin.

It also indicated that Christie's standing among voters has dropped since the controversies facing his administration became more prominent in the past two weeks.

"He's paying a political price with those Independents," Borger said, adding that on the issue of voter trust, "he's got a lot of work to do there."

It's not impossible, she noted, saying Independent voters "can always shift back, but he has to win them back."

Tuesday's speech tried to do exactly that.

"Now we have no moral option but to heed the voice of the voters and that is exactly what I intend to do," Christie said to applause.

"Today, I thank all those who have once again placed their faith and trust in me and I make this promise: I will not let up, I will insist we work together and I will make this government truly work for those who pay for it," he continued to another ovation.

Trump: Christie 'one email away from a disaster'

"I do not believe that New Jerseyans want a bigger, more expensive government ... "

While Christie's poll numbers among Republicans remain strong, he remains vulnerable to conservative criticism that he is too moderate for the hardliners on the GOP right.

Some will never forgive him for buddying up with Obama when they toured the Superstorm Sandy devastation a few days before the 2012 election, a break in final campaign coverage considered beneficial to the President's victory.

His speech offered some red meat to conservatives by stressing his opposition to tax hikes sought by Democrats who control the state legislature.

"I do not believe that New Jerseyans want a bigger, more expensive government that penalizes success and then gives the pittance left to a few in the name of income equity," Christie said, delivering a conservative mantra. "What New Jerseyans want is an unfettered opportunity to succeed in the way that they define success. They want an equal chance at the starting line; not a government guaranteed result."

His applause followed by calling for policies "that believe in the effort, the talent and the optimism of New Jerseyans, not in the power of almighty government to fix any problem, real or imagined."

"So, let's be different than our neighbors," Christie said to cheers. "Let's put more money in the pockets of our middle class by not taking it out of their pockets in the first place."

Opinion: How Christie could rebound - and come out stronger

"The ways we divide each other ... is neither permanent nor necessary."

While he needs at least some conservative support to survive the GOP primaries for 2016, Christie knows that any chance in a general election requires the support of independent voters and perhaps even some disenchanted Democrats.

So he tried to tread a somewhat tricky middle ground by proposing both conservative and moderate policies and ideas.

"This election has taught us that the ways we divide each other -- by race, by class, by ethnicity, by wealth, and yes by political party -- is neither permanent nor necessary," Christie said. "You see, our dreams are the same: a good job, a great education for our children, safe streets in our neighborhood and core values which give lives real meaning. Those dreams are not unique to any one group in our state."

He then sounded like a conservative-tinged populist by encouraging personal responsibility to help each other.

"We have to be willing to play outside the red and blue boxes that the media pundits put us in," he said to applause. "We have to be willing to reach out to others who look or speak differently than us; we have to be willing to personally reach out a helping hand to a neighbor or a friend suffering from drug addiction, depression or the dignity stripping loss of a job."

Continuing the theme, Christie outlined policy directions on education and drug enforcement that straddled the ideological spectrum.

"We will make it our priority to have every child in New Jersey have a chance to get a good education," he said, again prompting applause and cheers by adding that "no matter what adult we have to offend, no matter where you came from, no matter what sacred cow we must slay, no matter how much we have to change the conventional thinking, we will no longer stand for the achievement gap which exists between our best and least educated children."

Then he became more liberal, saying "we will end the failed war on drugs that believes that incarceration is the cure of every ill caused by drug abuse."

"We will make drug treatment available to as many of our non-violent offenders as we can," Christie said, "and we will partner with our citizens to create a society that understands this simple truth: every life has value and no life is disposable."

Is this what 'Jersey-style' means?

CNN's Paul Steinhauser, Virginia Nicolaidis, Jake Tapper and Steve Brusk contributed to this report.

@highlight

Embattled New Jersey governor seeks to sound presidential in inaugural address

@highlight

Christie emphasizes his broad-based support in winning re-election

@highlight

He offers some conservative red meat with more moderate stances

@highlight

A political scandal could undo his 2016 presidential ambitions