MORRISTOWN, New Jersey (CNN) -- Since the beginning of the year the family clinic at the Children's Hospital of New Jersey has seen an influx of young children coming in for flu shots.

New Jersey requires children from 6 months to 5 years old to get the flu vaccine to attend daycare or pre-school.

The rush for vaccinations is prompted by a new law that makes New Jersey the only state requiring children between 6 months and 5 years old to get the flu vaccine to attend a licensed daycare or pre-school. The deadline for the flu shot requirement was December 31.

Some parents are upset about the requirement. John General and Alnisa Bernabela brought their 4-year-old twins Jahmein and Jameir to the clinic last week for the flu shots.

"I'm really not okay with it because I think it should have been my choice," said Bernabela.

"By them forcing this, I feel like our rights have been violated," said General, holding his crying son Jameir being vaccinated.

Last fall, hundreds of parents with the New Jersey Coalition for Vaccination Choice challenged the flu shot requirement at a rally in Trenton, New Jersey. The NJCVC and parents interviewed by CNN, expressed concern about the safety of influenza vaccines and possible long-term effects on young children.

But the New Jersey Department of Health says the new law is for the public good citing Centers for Disease and Control and Prevention numbers showing an average of 20,000 children under age 5 are hospitalized nationwide each year because of influenza complications.

"Parents are certainly concerned about the health and safety of their children," says Dr. Christina Tan, state epidemiologist for the New Jersey Department of Health. "But it's equally important to understand that the flu vaccine is safe and effective in preventing illness, not only in children, but also among the community as a whole."

Many doctors support the decision, saying it helps protect a higher risk population.  Some parents object to mandatory vaccines »

"Kids under the age of 5 are targeted by this recommendation because when they get the disease they get sicker than adults do. They also are the ones who are more likely to transmit the flu because they are in closed quarters," said Dr. Nwando Anyaoku, who heads the clinic at the Children's Hospital of New Jersey. She says influenza tends to peak in New Jersey towards the end of January through early February.

Jennifer Frank says she's committed to the public health goal but not on the state's schedule. Her 2-year-old son Caleb was hospitalized twice for extreme eczema as an infant. At one point, he was on a feeding tube, and she says he couldn't get vaccinated.

"There was literally no clear space to put a needle," says Jennifer Frank.

Caleb's doctors were stumped and couldn't make a diagnosis for his condition. Since then, the Franks with their pediatrician's approval, have Caleb on a delayed vaccination schedule. As a result, they didn't meet the state's December 31 flu shot deadline and now their local board of health has banned Caleb from pre-school.

"When he gets his shots, that same rash flares up," says Joshua Frank, the father of Caleb. "You know, it's frightening. It's very real. And for them to say, 'Well, we don't care, even though your doctors agree with you,' is outrageous."

The Franks have appealed the local board of health's decision all the way to the state level, but officials have not wavered. While New Jersey does offer medical exemptions for some children, the rules are specific, and eczema is not considered a valid medical reason for delaying the flu vaccine.

"By allowing broader exemptions this could potentially erode the very core of protection," says Tan.

But the Franks believe the new law should include an appeal procedure, especially for families like theirs that are willing to vaccinate their children.

New Jersey Republican Assemblywoman Charlotte Vandervalk has been working on legislation to allow parents to decide which vaccines they want their child to receive.

"The bill gives conscientious objection so that people can opt out of certain vaccines. Maybe they want some vaccines and not others and this would give them the right to do that," said Vandervalk.

For now, though, Caleb must remain out of school. He's confused as to why he can't return.

"He doesn't understand what's going on," says Jennifer Frank. "It's been hard to explain it to him."

The New Jersey Department of Health says it won't immediately know what kind of effect the new flu shot requirement will have on the state's population.

"As far as trying to identify whether there's actually a drop in disease incidence in the community, that's going to be a longer term type of evaluation that we're starting to look at," says Tan.

American Morning correspondent Alina Cho contributed to this report

@highlight

New Jersey requires flu vaccine for children to attend daycare, pre-school

@highlight

Some parents oppose new law; believe it should be their choice to vaccinate kids

@highlight

Flu vaccine is safe; many doctors believe law protects a higher-risk population