(CNN) -- With Pope Benedict XVI leaving the papal office after resigning two weeks ago, the Roman Catholic Church will have to rush to pick his replacement before Easter.

Normally, the College of Cardinals is not allowed to select a new pontiff until 15 to 20 days after the office becomes vacant -- usually when the previous pope has died.

Benedict's resignation is a rare exception. The last man to quit the head of the Catholic Church did so 600 years ago.

The situation calls for some rule bending, and having the current pope involved is proving advantageous.

Interactive: Where does the pope live?

He has slightly amended the 500-year-old policy on pope selection to get a successor into place more rapidly.

The cardinals may to be able to pull it off before March 15, according to Father Federico Lombardi, a Vatican spokesman.

This would give the new pontiff a little over a week to prepare for the next mass, Palm Sunday celebrations, on March 24.

While Benedict won't be directly involved in his successor's selection, his influence will undoubtedly be felt. He appointed 67 of at least 115 cardinals set to make the decision.

The pope gives his last audience Wednesday morning. His last day on the job is Thursday.

Here's a look at the process of electing a new pope:

A look at possible papal contenders

What has to happen first?

There were traditionally three methods of choosing a new pope, but the church abolished two, leaving cardinals to pick a peer via paper ballot only.

When a pope dies, the dean of the Sacred College of Cardinals calls for a meeting of all cardinals eligible to vote -- those under age 80.

They have to vote in person. Although some work at the Vatican, most are spread out worldwide, running dioceses or archdioceses, and will have to travel to Rome.

Once they get there, they can't leave until the process is done and aren't allowed to talk with anyone outside of the conclave.

Though Benedict left the rules greatly untouched, experts on the church's constitution will comb through the section on the "Vacancy of the Apostolic See and the Election of the Roman Pontiff" (how to elect a new pope when the office is vacant) and interpret proper protocol for the election.

Benedict's predecessor, the widely popular John Paul II, made a number of changes to the voting process in 1996 to make it less taxing on the cardinals.

Opinion: How next pope must tackle child sex abuse

Will the world get to see the process?

Although the procedure is transparent to participating cardinals, no one else is supposed to find out about the vote.

In his amendments to voting procedures in 1996, John Paul II anticipated modern forms of communication and forbade any recording devices. He ordered that technicians check the Sistine Chapel for hidden microphones or cameras before the balloting begins.

The new pope would be called to deal with violators personally.

"They will be subject to grave penalties according to the judgment of the future pope," the former pontiff wrote.

Notes cardinals make during the voting must be burned with the ballots.

The final declaration of a winner is sealed in an envelope and archived. It may be opened only by order of the pope.

The pope in retirement: What to expect

What does balloting look like?

The meeting of cardinals, called the conclave, usually begins with a special morning mass in St. Peter's Basilica. In the afternoon, they walk in a procession to the Sistine Chapel -- known for its famous ceiling painting by Renaissance artist Michelangelo -- to begin the voting process.

Ballots are passed out, and cardinals write in a candidate's name and fold it up, then one by one, in order of seniority, they approach an altar and ceremoniously place their ballots into a chalice.

Voting is secret, but ballots are counted in the open. A cardinal needs a vote of two-thirds to ascend to the papacy. If there is no winner, the vote is repeated one time on the first day.

Surprising standards for next Catholic leader

What does the smoke from the chimney mean?

After some of the rounds of voting, the ballots land in a furnace. If no one has won, a chemical is added to make the smoke black. This lets people waiting in St. Peter's Square below know that there is no new pope yet.

If there is a winner, no chemical is added, and the smoke remains white, telling the world that the conclave has agreed on a new pontiff.

In the past, it has been hard for the crowd waiting in St. Peter's Square below to discern the color, which has sometimes billowed out in shades of gray. The Vatican has attempted to remedy this by adding a second furnace to boost the intended color.

Scandal threatens to overshadow pope's final days

What if there is no winner?

Then they vote again, and again, and again.

The cardinals may cast ballots as many as four times on the second and third days, according to voting rules laid down by John Paul II.

By the end of the third day, if there is still no new pope, they break for a day for prayer, discussions and admonitions from a senior cardinal. This recovery day was instituted by John Paul II.

Voting can go on for another seven rounds of balloting. Still no pope?  Keep voting.

John Paul had decided to save the cardinals from themselves, if they reach this point. He reduced the necessary result to elect a new pope to an absolute majority -- 50% plus one vote -- if they cross this tiring threshold.

But in 2007, Benedict reversed the rule, so once again, two-thirds are needed to elect, according to CNN's Vatican expert, John Allen. The pope emeritus preserved the day of rest on every third day of a deadlock.

A long deadlock would be unusual, according to the Diocese of Providence, Rhode Island. Of the past 11 conclaves, none has run longer than four days.

When there's finally a winner, what next?

The winner must accept the decision for it to be valid. Once he does, the dean asks him to choose a papal name. The oldest cardinal announces the new pope to the crowd in the square from a balcony. The new pope joins him to bless the crowd and the rest of the world.

Past popes have been crowned during a coronation ceremony, but John Paul II refused it, and Benedict followed suit. Both were inaugurated in a mass in St. Peter's Cathedral.

Could the next pope be from Africa or Latin America?

CNN's Kyle Almond contributed to this report.

@highlight

Benedict changed a rule, which means the selection could take longer

@highlight

Of the 115 cardinals set to vote, 67 were appointed by Benedict

@highlight

Black smoke from the chimney of the Sistine Chapel means no pope elected

@highlight

White smoke rising means cardinals have selected a new pope