London (CNN) -- The ceiling collapse that injured dozens of people at a London theater involved "no criminal act," police said Friday in an initial assessment.

Police said the investigation into Thursday evening's collapse of the ceiling of London's historic Apollo Theatre, in the heart of the capital's buzzing theater district, will be continued by the Westminster City Council.

Investigators combing through the wreckage want to know what caused part of the century-old structure's ornate plaster ceiling to tumble onto the crowd who packed the nearly sold-out show.

Nine people were seriously hurt in the collapse, but there were no fatalities, the London Ambulance Service said Friday.

"It could have been a lot worse -- there were about 720 people in the auditorium at the time, and a large area of the ceiling came down," said London Fire Brigade's Kingsland Station Manager Nick Harding.

Three injured people were trapped under debris and had to be rescued by firefighters, he said. Some of the "walking wounded" were treated in neighboring theaters, he added.

London Ambulance Service said it helped 79 people, 56 of whom were taken to local hospitals. Some had head and back injuries, while others had breathing problems or cuts and scrapes.

Images from inside the Apollo, which opened in 1901, showed planks, plaster and other debris strewn across the dusty, red plush seats.

The drama unfolded shortly after 8 p.m. Thursday, about 40 minutes into the play, "The Curious Incident of the Dog in the Night-Time."

"One of the actors said, 'Watch out!' " said one woman. "We thought it was part of the play."

It wasn't. Instead, it was part of the plaster ceiling collapsing and dropping down five stories onto the theatergoers below.

'Somebody screamed'

"We heard a creak, somebody screamed, somebody from over there said, 'Look out!' and then the ceiling kind of creased in the middle and then just collapsed," said Hannah, who with her husband had snagged one of the last pairs of tickets to the performance in the 775-seat theater.

Though she said she felt "slight panic," she credited those around her for keeping calm. "It wasn't every man for himself," she said, noting that several of her fellow theatergoers checked on those around them. "Everyone was looking out for each other, and in a couple of minutes, everyone was out."

Martin Bostock, who was with his wife and two children, said he thought the cave-in was part of the show until something very hard hit him on the head and chaos and panic erupted.

"You couldn't see across the room because of the dust, which we were all breathing in," he told CNN. "It was absolutely horrific and very terrifying. I was with my wife and two kids. Thank God, we got out."

Another theatergoer, Simon Usborne, said: "My view of the stage was immediately obscured by this dust and debris -- some other people have said it was like an avalanche, and that's probably a better description."

No alarm sounded, but it was clear that something serious had happened, he said.

"Everybody knew that something was wrong and the fear was then that more might come down, so everybody immediately dashed for an exit -- people were screaming -- I was fortunately close to an exit," he said.

Harding, who said the theater had been evacuated in a swift and orderly way, told reporters Friday it was too soon to speculate on the cause of the collapse.

Some observers have speculated that heavy rain over London earlier Thursday evening might have played a part.

The Apollo is on Shaftesbury Avenue near Piccadilly Circus, in London's Soho district, which is usually packed with tourists, shoppers and diners at theater time. The area around it was cordoned off after the collapse as bloodied and dust-covered theatergoers stumbled onto the street.

The local London authority, Westminster City Council, said Friday morning that the Apollo Theatre's roof is now "secure," but what led it to give way was not known. Historic theaters are required to undergo rigorous roof safety checks every three years, the council said.

'A freak, unusual accident'

Many people with tickets for shows over the busy holiday period will want to know that they are not at risk of falling victim to a similar offstage drama.

There are nearly 50 major theaters in the West End of London, of which 26 are at least 90 years old.

The Society of London Theatre, which represents the theater industry in the capital, sought Friday to reassure those alarmed by the events.

"Our theatres entertain over 32,000 people in central London every night and all theatres take the safety of their audience, performers and staff very seriously," it said in a prepared statement.

"Every theatre undergoes rigorous safety checks and inspections by independent experts, and incidents like last night are extremely rare."

The society's president, Mark Rubinstein, told CNN on Friday there had been no warning of any problem with the Apollo's ceiling.

"It was a freak, unusual accident -- we have no idea what caused it," he said. "Obviously our sympathies are with anyone who was injured or affected by it."

Rubinstein said he did not anticipate the incident would affect London's "booming" theater business.

"I don't expect it's going to change anything," he said. "All of the other theaters are open tonight. We are expecting business as usual. It's the holiday season, it's a very busy time of year and we expect our theaters to be full."

London Mayor Boris Johnson had a similar message.

"Whilst this was a serious incident, London's world renowned theatreland is open for business, and thousands of theatregoers will rightly be out and about tonight and over the weekend," he said in a prepared statement.

"The Curious Incident of the Dog in the Night-Time," which was adapted for the stage from the 2003 mystery novel by British writer Mark Haddon, is about a 15-year-old boy's investigation into the death of a neighborhood dog.

Haddon tweeted Thursday night of his relief that the situation was no worse. "It's been horrifying sitting here watching what has been happening at the apollo this evening. I'm hugely relieved that no-one has died," he said.

Performances of the play were canceled through Saturday, the Society of London Theatre said. It was not clear what would happen for future shows.

Nimax Theatres, which owns the Apollo, is "working closely with the relevant authorities to establish exactly what happened," the society said.

CNN's Nic Robertson reported in London; Laura Smith-Spark wrote and reported in London and Tom Watkins in Atlanta. CNN's Max Foster, Antonia Mortensen and Ashleigh Cowie contributed to this report.

@highlight

"It was a freak, unusual accident," says president of Society of London Theatre

@highlight

Investigators start to probe what caused the Apollo Theatre's ceiling to come down

@highlight

The collapse injured scores of theatergoers, some of them seriously

@highlight

"It could have been a lot worse," firefighter says of the incident