(CNN) -- The numbers tell the story: Of the 308 million-plus citizens in the United States, 30% have passports.

That's just too low for such an affluent country, said Bruce Bommarito, executive vice president and chief operating officer for the U.S. Travel Association.

"Americans are comfortable in their own environment," Bommarito said.

There were 61.5 million trips outside the United States in 2009, down 3% from 2008, according to the Office of Travel and Tourism Industries. About 50% of those trips were to either Mexico or Canada, destinations that didn't require a passport until 2007.

The percentage of Americans with passports -- a number that was in the teens just a few years ago -- has spiked since the Western Hemisphere Travel Initiative was adopted. It requires American and Canadian travelers to present documents showing citizenship when entering the United States.

Despite the climbing number of American passports in circulation, 30% is still low compared to Canada's 60% and the United Kingdom's 75%.

"Not taking the leap is comforting, because this is the American life," said Matthew Kepnes, international traveler and creator of NomadicMatt.com, a blog chronicling his travels and observations. "Breaking outside anything that is your norm is scary."

Tourism experts and avid travelers attribute Americans' lack of interest in international travel to a few key factors, including: the United States' own rich cultural and geographic diversity, an American skepticism and/or ignorance about international destinations, a work culture that prevents Americans from taking long vacations abroad and the prohibitive cost and logistics of going overseas.

Cultural and geographical diversity

America has it all: "From the mountains, to the prairies, to the oceans, white with foam," as "God Bless America" proclaims. Beautiful beaches in Florida, crisp skiing in Colorado and the desert sun in Arizona are among thousands of domestic destinations competing to lure visitors.

"In the United States, we have an enormous amount of places we can travel -- basically an entire continent," said everything-everywhere.com author Gary Arndt, who has been traveling abroad and blogging since 2007. "You can do all kinds of things without needing a passport."

Arndt, who was in Los Angeles when interviewed by CNN, noted that he could go to any number of different ethnic enclaves within the city and get a taste of culture without spending much money or time. The same goes for many other parts of the country.

"There are pockets of regional culture -- the South has an attitude that New Yorker's don't have," Kepnes said. "But you don't have the cultural differences that you would get if you went to Asia, Paris or London."

Even with Chinatown in Los Angeles and Little Italy in New York City, it's just not the same as walking the streets of Beijing or riding a gondola in Venice.

"America is an outstanding country and an outstanding vacation destination -- no doubt about that," said Joe Byrne, executive vice president for Tourism Ireland. "But it is America. I'm sure you have great Irish traditional music in an American Irish pub, but you don't have the Lakes of Killarney."

Skepticism and ignorance

We buy goods from Sri Lanka and outsource business to India, but when it comes to traveling to these destinations, Americans would rather stick close to home.

"Our culture doesn't emphasize knowledge of the world," Kepnes said. "We're more skeptical of it because we just don't know about it."

Kepnes attributes some of our skepticism to negative media reports about the world. For example, he said that Nicaragua always draws negative connotations because of the political and civil unrest that has been covered in the news.

"When I first left I was very nervous and scared," Kepnes said of traveling to countries like Nicaragua. "What if I'm mugged in Thailand or kidnapped in a hostel?"

Arndt has encountered similar feelings when he travels to lesser-known destinations. Though he is comfortable in his travels, others aren't so convinced.

"Every time I say I'm going somewhere, people assume that it's dirty, they don't have good hospitals, you're going to get sick or raped or robbed," Arndt said. "If you know something about Colombia, it's drug lords, which hasn't been a problem for 20 years, but that's still what people think of."

Arndt pointed out that foreign countries generally don't make it into the media for doing good things, just for natural disasters or bad news.

"I think there's a lot of fears that people have that may be used to justify the fact that they don't go somewhere," he said.

Work culture

Many Americans follow the same pattern: work hard in high school, go to college, accrue a load of debt and get a job right away to work it off, Arndt said. The United States doesn't promote taking a year off between major life phases like New Zealand or the United Kingdom.

"Up until recently, having a gap year was a job killer, so you chose work," Kepnes said. "And that work, work, work mentality makes it much harder to leave."

A one-year break in your resume could make an American employer question your commitment to a company, whereas not taking a gap year in New Zealand would be considered crazy, Kepnes said.

"We're not a travel culture," he said. "Countries are travel cultures when they put more of an emphasis on leisure time, and Americans tend to choose money over leisure time."

Even those who do receive a nice chunk of vacation time don't use it all, and those who do seem to take shorter, more frequent trips, Arndt said.

"There are some differences in terms of vacation time that are hugely influential," Byrne said. Workers in mainland Europe receive between six and eight weeks of vacation, while Americans average about 16.6 paid vacation days as of 2005, according to the Families and Work Institute. Thirty-six percent of those surveyed didn't plan to use their full vacation.

"It's not just about how much vacation time people get," Arndt said. "Americans don't even use all the vacation time that they have."

Cost and logistics

When trying to entice Americans to visit Ireland, Byrne said the first thing he does is remind people that it's more affordable than they think.

"That's generally true of vacations to Europe," Byrne said. "The exchange rate is more favorable for Americans than it has been in recent years."

The 30.3 million Americans who traveled overseas for vacation in 2009 spent an average of $2,708 each -- including airfare, lodging and other expenditures, according to the Office of Travel and Tourism Industries. It seems that getting there is about half the battle: Average airfare per person was  $1,177.

Also, as Kepnes pointed out, time is money for some Americans.

"It's an easier hop if you're in Paris or Madrid, or any other European city," Byrne said. "Whereas the flights from the East Coast of the United States take up to six hours."

The United States is so big that a flight from one state to another could take just as much time as a flight to Europe. At any rate, Americans are more likely to do the former.

"We're a big country, and we have a culture of traveling within the United States," Bommarito said. "When you're born and raised in a European or South Asian country, your access to other countries is much easier."

Arndt doesn't see this changing any time soon, if at all.

"Cultural shifts like that are not something that happens quickly," he said. A swing toward international travel is going to take time.

Still, Kepnes said he believes that more Americans going abroad will become inevitable sooner or later.

"Americans are going to have to speak more languages and be more culturally savvy," Kepnes said. "We have to change because we have to do business with all these other cultures."

That's music to Bommarito's ears. After being nervous the first time he landed in China, he said he now feels just as comfortable on the streets of Beijing as he does anywhere in the United States.

"One of the true benefits of travel to foreign countries is it's probably the greatest form of diplomacy," Bommarito said. "Strange ideas go away and you realize that we're all similar, just with different cultures."

@highlight

30% of American citizens have passports

@highlight

50% of international trips were to either Mexico or Canada

@highlight

America is culturally and geographically diverse, making citizens travel within the country

@highlight

United States citizens harbor an unmatched fear of the world, one traveler says