Beijing (CNN) -- Thirty-two of the world's best football teams are now competing for the iconic golden World Cup trophy -- but the planet's most populous nation is not among them.

Team China failed to qualify for the "beautiful game's" showpiece event in Brazil. In fact China's World Cup dream turned into a nightmare as early as 2011, when it was eliminated in a regional qualifying round.

But for all the interest in football in this country of more than one billion people, it is a huge source of frustration that they can't field a competitive national team.

"China's weakness in football is a pain point and there is certainly an ambition to improve," said Scott Kronick, President of Ogilvy Public Relations Asia Pacific. Indeed, a multitude of Chinese -- from the state president, to a Peking University student, to a Beijing taxi driver -- share one Chinese dream: that Team China will one day win in the World Cup finals.

Finals flop

China reached the finals only once back in 2002. I remember that heady year. There was a heroes' welcome for the national team, many of whom became icons with fat commercial endorsements. There was deleterious display of national pride accompanied by soaring expectations for Team China.

But their debut turned out to be an embarrassing dud: they were knocked out after the group stage without scoring a single goal.

Still, these setbacks have not deflated the football fever here.

"There is a huge following for international football in China because local fans celebrate global talent," said Kronick, a long-time Beijing resident who plays football in a local amateur league. "The World Cup is about 'nationalism' at its finest, absent politics, and that's what makes it enjoyable."

Global game

Chinese football fans have been enjoying the action in Brazil despite matches taking place after midnight, Beijing time.

By hook or by crook, local fans are finding ways to stay up late for the games. Some took paid leave, others found excuses to stay home, such as getting doctors to sign sick-leave certificates. A man asked to take the day off ostensibly to attend a teacher-parent conference.

Some managers say work place productivity has dropped lately. A few companies have simply conceded defeat, agreeing to a staggered work schedule to allow for some employees to stay in late, and come in late.

"The World Cup matches are played in the wee hours," said Wang Chen, a venture-capital manager. "If the staff can't get good sleep, work will be affected, so I pushed back working hours, hoping to arouse their work enthusiasm and efficiency."

"The World Cup is the biggest sporting event on the planet, so regardless of where you are in the world, you can't escape the excitement and passion surrounding the event, and China is no exception," said Misha Sher, director at MediaCom Sport, who manages partnerships for football icon, Pele, on behalf of his own management, Legends10.

Sher credits football's popularity here to an increasingly popular Chinese professional league, and to the extensive media exposure of top-level players and games through TV and digital channels like CCTV and Tencent. "They bring the game into the homes of hundreds of millions of fans, who are now engaged around the World Cup," he said.

Cash kicks

Enthusiasm for the game brings commercial windfalls.

The World Cup advertising revenue for Leshi, one of China's largest video websites is estimated to reach RMB100 million yuan ($16 million), said its top executive Qiang Wei.

This summer alone CCTV, the state television network, could rake in as much as RMB1.5 billion yuan ($240 million) in advertising revenue -- 50% more than their earnings from the 2010 World Cup.

"Given the interest generated by the World Cup, many companies are tapping into the passion and emotion created by the competition to connect with consumers," said Sher, who recently accompanied Pele to Beijing.

Coca Cola has used its sponsorship with a World Cup Trophy Tour, where they took the trophy to over 90 countries and held consumer events.

McDonald's ran point of sale promotions, which offered World Cup tickets to winners.

Other brands created various content, featuring international and national team players to connect the brand to the event.

The competition for advertising and commerce is not limited to sports brands. On the eve of the World Cup, an electric bike manufacturer in southern China brought Pele to Beijing to hitch on the World Cup bandwagon.

"They knew local residents are crazy about football and a legend like Pele endorsing their brand make them more endearing," explained Kronick.

Since the month-long competition opened in Brazil, legions of Chinese sports fans have been gathering for viewing parties in their living rooms, in factory and school dormitories, and in restaurants and bars, many of which have opened late for the fans to watch matches live on Chinese television.

Of course, not all of these sleep-deprived folks are bona fide football fans. A posting on Baidu, China's largest search engine, noted that the Chinese have recently coined the word "wei qiumi," or "fake soccer fans," referring to people who watch the game only once in a while, who care more about the final scores rather than enjoying the actual games, and who think celebrity players play a more important role in matches than the coaches.

@highlight

China's national team has reached the World Cup finals only once, back in 2002

@highlight

Chinese football fans are still crazy about the World Cup, doing everything they can to watch overnight games

@highlight

The World Cup audience generates huge revenue for companies in China