(CNN) -- For some fans, tailgating is something to do before a football game.

For others, a football game is something to do after tailgating. It's a religion at various schools, complete with copious amounts of food, games and flat-screen TVs.

Even though the weather is cooling off, tailgating season is still heating up. We're months away from the beginning of the Bowl Championship Series, which begins on January 1 with the Rose Bowl and ends on January 10 with the BCS National Championship.

Until then, the best college programs in the country are still fighting for a spot in one of the highly competitive bowl games. And the fans are there every game, diligently camped out for hours -- sometimes days -- to show their support for the home team.

CNN.com, with the help of experts at Sports Illustrated, chose five football programs with top tailgating institutions worth a trip.

1. Louisiana State University Tigers -- Baton Rouge, Louisiana

Tailgating is of prime importance at LSU, and the ritual continues throughout generations of Tiger fans.

"It's a tradition we want to pass down to our children," says Rusty Welch, the creator of Tigertailgating.com. "We want them to see the camaraderie and spirit that's centered around the game."

Welch has been tailgating in the same spot before every home game for 19 years. He and his companions prepare everything from fried shrimp to whole pigs to white chili, changing the menu with every game.

"People in Louisiana take very seriously our food and our football," says Randy Rosetta, a football reporter for The Advocate, Baton Rouge's newspaper. "Tailgating is a perfect opportunity to wed those two seven or eight times a year."

The tailgate begins on Thursday night for some diehard fans. Motor homes descend upon Baton Rouge and surround the stadium, setting up camp for the weekend. Season parking sells out quickly, but some spots are available on a game-by-game basis.

Walking through the tailgate area offers some of the benefits of actually tailgating. You'll smell smoke -- either hickory or mesquite -- and bourbon, and if you're lucky, you'll get invited to partake in a tailgate already in progress.

"We try to invite the visiting teams to our tailgate as they stroll by, because eventually we'll be going to their campuses," Welch says. "You hope you meet somebody who will reciprocate."

A few hours before the game begins, Victory Hill houses a procession for the team and coaches. Fans press in on both sides, cheering the team as it heads to the stadium.

"It's a Louisiana thing," Rosetta says. "People love to have their parties. It can be a football game. It can be if the sun comes up two days in a row. Football is the heart and soul for a lot of people, and they love to combine an eating party and football."

Check out other great destinations and tips at Five To Go

2. Auburn Tigers -- Auburn, Alabama

There are two types of tailgates taking place at Auburn, though both have the same goal in mind.

"There's the students who do it in their front yards, then there's the people who get in their RVs and drive from all over the South and make a whole weekend out of it," says David Morrison, a sports reporter for the Opelika-Auburn News.

"It's not just a game here. It's a cultural happening."

As soon as classes let out on Friday, people begin marking their tailgating areas to claim a spot for the game. Mike Clardy, director of university communications for Auburn, estimates that 20,000 or so people show up on game weekends with no intention of actually going to the game.

Morrison says the atmosphere gives off an "oddly familial vibe for a college tailgating scene." Even if the University of Alabama, Auburn's biggest rival, is the visiting team, the Tiger tailgaters invite the opposing fans to come to their cookouts, Clardy says.

Fans can expect to find lots of barbecue and souped up RVs, complete with fully functioning entertainment systems for watching the pre-game coverage and other college football games.

Two hours before the start of a game, the team arrives on buses and walks through the thousands of people lining the street toward the stadium -- a practice that, due to its popularity, takes place at away games as well.

"I don't think there's a better place to tailgate and a better atmosphere for college football than right here at Auburn," Clardy says. "I think away teams would agree."

3. Notre Dame Fighting Irish -- South Bend, Indiana

Though independent of a conference, Notre Dame is steeped in football tradition, and, along with it, tailgating tradition.

It's smaller than many Southeastern Conference and Big 10 schools, but Notre Dame sees a surge of people on campus for game day.

"We have a fairly small student body -- maybe 10,000 people," says Samuel Warner, a football beat writer and assistant managing editor for The Observer, Notre Dame's student newspaper. "But on game days there are as many as 100,000 people on campus."

Game day really kicks off at midnight on Friday with the Midnight Drummer's Circle, when the drum line plays through the cheers at the Golden Dome on campus. Even before that, however, people are lined up taking pictures of Touchdown Jesus, a nickname given to the Word of Life Mural painted on the side of the Hesburgh Library.

"Jesus has both of his arms raised," Warner says. "It looks like he's signaling a touchdown."

Starting at 8 a.m. on Saturday, the band plays continually around campus. The players attend Mass and are cheered on by fans on their walk from the basilica to the stadium. Many of the pre-game rituals take place around campus, with tailgating interspersed throughout the town.

"Notre Dame is such a legacy school," Warner says. "I have friends that are third or fourth generation graduates. ... Tradition is so ingrained in Notre Dame football that it kind of carries over to the tailgating."

4. University of Washington Huskies -- Seattle, Washington

The scenery of Lake Washington adds a unique element to the Huskies' tailgating experience: fans can spend their time on the water before a game.

"You can actually tie up to a dock that's a few blocks from the stadium," says Kyle Griffith, a Washington alumnus. "People take big charter boats that can hold several hundred people or they have their own boats."

Tailgaters cook out and make drinks on their boats, interacting with other boaters close by. Some don't fare as well on the water as others.

"Every year, during at least one game, somebody will fall into the water," Griffith says. "Nobody gets hurt ... but that's a sight to see."

When it's close to game time, shuttle boats pick up fans that are tied up to buoys and transport them to the docks, which are within short walking distance to the stadium.

Of course, there are dry land tailgaters as well -- in greater numbers than the ones using boats.

"It's more of an adult crowd than you would find at a lot of schools," says Bob Condotta, a football reporter for The Seattle Times. "About 7,000 students get tickets to every game out of about 70,000 fans."

Hundreds of RVs are set up in parking lots, where, weather permitting, fans grill out and play typical tailgating games.

"The University of Washington, compared to other Pac 10 schools, is definitely regarded as having one of the most intense and passionate fan bases," Condotta says.

5. Pennsylvania State Nittany Lions -- State College, Pennsylvania

State College, Pennsylvania, is a small town smack dab in the middle of the state. Surrounded by fields and fields of farmland, Penn State's grounds make room for plenty of tailgating.

"If you were at Beaver Stadium and looked out toward the farms, you'd just see cars and cars and cars of tailgaters," says Brendan Monahan, a football beat reporter for The Daily Collegian, Penn State's student newspaper.

Though State College has a population of just under 40,000, the stadium seats more than 100,000, packing the fields with fans.

"There's a certain escape that comes with the workweek ending, coming up here on a fall weekend and parking in the middle of a grass field to set up your tailgate," says Greg Myford, associate athletic director for marketing and communications at Penn State.

Alumni, students and families make home contests into a weekend event, full of games, cheers and food.

"I think if it goes on the grill, it's fair game," Myford says. "We're seeing food that at least psychologically is making people stay warmer if they eat it."

The team arrives at Beaver Stadium about an hour and a half before every game, and the quarterback is always the first off the bus. The sound of cowbell clinks alternates with resounding cheers of "P-S-U!"

Myford says that walking through the fields of tailgaters shows him how committed the fans are to the program and the traditions.

"The amount of prep put into a tailgate is a real statement as to how they feel about the experience," Myford says. "We don't want to lose sight of that or diminish the value of it. How they tailgate outside is a reflection of how they feel about Penn State inside."

@highlight

Tailgating is a tradition at many colleges, passed down from generation to generation

@highlight

Many tailgates include games, food and an entertainment system

@highlight

At the University of Washington, fans can tailgate on the water

@highlight

Tigers fans -- both Auburn's and LSU's -- invite opposing teams to their tailgates