(BudgetTravel.com) -- An epic tour of the Continent is the time-tested way to see Europe -- if you've got a month or three and a pile of cash. Until you win the lotto, we'll help you hit the grandest sites on your wish list.

What exactly is a Grand Tour?

It started in the 17th century as an extended -- make that a very extended -- European vacation for travelers with time and money to burn. Any trip worthy of the name would last more than a month and include stops in at least England, France and Italy. (When Franklin and Eleanor Roosevelt got married in 1905, they spent three months shopping and eating their way from London to Rome.) The floodgates opened to the riffraff (a.k.a. you and me) after World War II, when transatlantic flights became more common and certain guidebook authors shared their tricks on how to vacation on the cheap. The "If it's Tuesday, this must be Belgium" incarnation of the Grand Tour -- which whipped travelers through a dizzying number of countries in a week or two -- passed the baton to the popular DIY version undertaken by recent college grads: the rail pass/hostel/Let's Go-type adventure.

BudgetTravel.com: 4 most common reasons airlines lose luggage

How can I pull off a trip like that today?

Your best bet is to go guided. A good outfitter can eliminate many of the headaches you can get from hopping across the Continent: blindly choosing hotels and restaurants, navigating the maze of trains and planes and orienting yourself in an unknown city. "Guests come back from our trips overjoyed that they actually got to look up from their guidebooks," says Steve Born, the vice president of marketing for Globus family of brands, an international organization that runs more than 3,500 trips to Europe annually. "They also love that when things are prebooked with a package, there's no waiting on line for admissions." Globus's most popular cross-Continent tour is the 11-day Essential Europe itinerary, which starts in Rome and loops through Paris on its way to London (from $1,999 per person). Outfitted trips can also provide some authentic experiences that you could never stumble across on your own. Trafalgar Tours' Be My Guest dining option organizes small-group meals at wineries, farms, and private homes in 11 European countries. The stop in Belgium, for instance, takes place in an 18th-century farmstead owned by the same family for five generations.

BudgetTravel.com: 12 restaurants with spectacular views

That sounds great, but I could never spend that much time sitting on a bus.

The truth is, more and more outfitters have ditched the standard tour-bus and travel-by-number experience of the past. The newest itineraries from California-based Intrepid Travel are a good example: Their 15-day Barcelona to Rome tours (from $2,740 per person) link stays at inns and B&Bs with jaunts on public transportation and include plenty of unscheduled time. Cruises are an increasingly grand option, too. Ships now sail the Mediterranean and Baltic year-round; over the past 10 years the number of passengers touring these seas by ship has grown 163 percent. That's not the only way to sail here, either. Since 2004, the number of North Americans taking river cruises has jumped 60 percent, with the vast majority touring European rivers such as the Seine and Danube. With all these options, it's no wonder that packaged trips to Europe have started to draw a somewhat younger crowd. The average age of Globus's customers has dropped steadily over the years and now stands at 55 (60 percent female, 70 percent married couples, and 20 percent families traveling with children). The outfitter Contiki, which offers 100 itineraries in Europe, actually markets its trips exclusively to the 18-to-35 age bracket.

There's no way I can take a monthlong vacation. Any suggestions?

You're not alone there. "Nobody I know can devote the month off that a 'grand trip' to Europe would entail," says Max Hartshorne, the editor of travel website gonomad.com. "Nowadays, you're looking at more like a week or 10 days at the most, so people are no longer trying to do the whole Continent on a single trip." At the same time, flights to Europe have become even more plentiful, so there's less incentive to save up money (and vacation days) for an epic journey when you can easily manage a weekend jaunt to London or Rome. "Some travelers still feel the pressure to see and do it all, like they're on a mission," Born says. "But more and more, travelers want to slow down and experience places in depth." Outfitters have started offering a lot of itineraries with this in mind. In the past two years, for instance, the most popular tour offered by Intrepid Travel has been its 15-day Best of Italy trip (from $2,545 per person), followed closely by the eight-day Russia Highlights (from $1,735 per person) and 15-day Best of Spain (from $2,420). See our sidebar, "Big Adventures on a Smaller Scale," below, for more regionally concentrated trip ideas.

How can I do a Grand Tour on my own?

For a classic loop—between London, Paris, and Rome, say—devote at least two days in each city. You can cut down on intercity travel time by taking advantage of low-cost carriers such as Ryanair and EasyJet. Their baggage fees can add up, but their fares are hard to beat: A recent search on Ryanair found one-way flights from Paris to Rome for $12! If you have more time and would prefer to go by train, you don't necessarily need a pricey rail pass. Mark Smith, who maintains a European-train guide at seat61.com, generally advises booking point-to-point tickets with the service provider—such as bahn.com for trips in Germany or tgv-europe.com for France's high-speed line. Just remember one thing: "grand" doesn't have to mean "once in a lifetime." Don't try to see and do too much. After all, this is a vacation. Have fun—or, as they say, bon voyage!

BIG ADVENTURES ON A SMALLER SCALE

If you don't want to conquer Europe in one fell swoop, these outfitted trips offer low-stress tastes of the Continent. Even better: They take care of most logistics but leave plenty of opportunities to explore on your own.

Pilot the canals of France

Book a self-driven cruise with Florida-based Le Boat, and after an in-depth primer, you're left to explore the waterways of Europe on your own. Weekly boat rentals are offered across the Continent, but nowhere are they more popular—for good reason—than in France, where cruisers putter among the vineyards, villages, and castles of romantic Brittany, Alsace-Lorraine, or Burgundy. leboat.com, one-week rental sleeping four from $1,970.

BudgetTravel.com: The dirty truth about hotel ratings

Hike the Italian Dolomites

High-mountain huts dot the Alps, rewarding hikers with comfy beds, hearty meals, and sweeping views. DIY is doable, but Distant Journeys can take care of all the particulars—plotting routes on maps, booking accommodations and most meals, and even prepaying taxi transfers and arranging for laundry services. distantjourneys.com, eight-night self-guided tour from $1,875.

Bike from Brussels to Bruges

After pedaling 20 to 40 miles a day along rivers and meadows, you're more than entitled to enjoy the two rich products Belgium is known for: chocolate and beer. BikeToursDirect offers packages with detailed maps, luggage transport, breakfast, and six nights at three- and four-star hotels. BYO bike, or rent a 21-speed for $80. biketoursdirect.com, self-guided tour from $675.

Play house in a Bavarian castle

Untours, a Pennsylvania-based operator, specializes in trips combining local transportation (rail pass or car) and one-of-a-kind apartments as lodging. In Germany, guests choose among five apartments in Schloss Sommersdorf, a 14th-century castle with a baron serving as host. untours.com, one-week package from $829 per person.

BudgetTravel.com: Top 10 most shocking mummies in the world

Road-trip in Ireland

Sceptre Tours makes international road trips a cinch. Their six-day Ireland getaway includes a week's car rental, along with one night's hotel in Dublin or Shannon at the beginning of the trip and five vouchers to be used at B&Bs of your choosing throughout the Emerald Isle. sceptretours.com, from $829 per person.

Cruise the Mediterranean

From May to October, Royal Caribbean's Grandeur of the Seas sails to all the can't-miss Italian, French, and Spanish ports: Cannes, Pisa, Civitavecchia (Rome), Palermo, and Palma de Mallorca. You might want to consider paying up front for the cruise line's new all-you-can-drink option, starting at $29 per day. royalcaribbean.com, from $600 for seven-night August sailings.

BudgetTravel.com: 10 most stylish cities on earth

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Grand Tours began in the 17th century for people with time and money to burn

@highlight

To pull off a Grand Tour today your best bet is to go guided

@highlight

Slow down and experience places in depth instead of rushing to see many places