Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published this fall by Basic Books. Zelizer writes widely about current events.

Julian Zelizer says some of President Obama's political vulnerabilities have started to emerge.

PRINCETON, New Jersey (CNN) -- June has been rough for President Obama.

After experiencing enormous success during his first months in office, some of his political vulnerabilities have started to emerge.

As Republicans begin to think about the 2010 midterm elections and moderate Democrats decide how they should vote on Obama's most ambitious initiative, health care, the White House must prevent these weaknesses from becoming debilitating.

The first vulnerability is the tension between the left and center of the Democratic Party. Since his election, President Obama has struggled to navigate the divisions that exist between the liberal base of the party, who were the core of his early support, and moderate Democrats, who were also instrumental to his victory.

At first, the administration relied on good will and political capital from the election to overcome conflicts, such as when Obama agreed to reductions in the size of the economic stimulus package to placate the conservative Democrats and some Republicans despite the objection of progressives.

But the tensions are becoming more pronounced and more difficult to resolve. The president has disappointed gay rights activists for not fulfilling promises they thought he had made on the issue of gay rights.

Last week, they expressed their frustration with the Department of Justice's legal brief supporting the Defense of Marriage Act, a law that prohibits same-sex partners from receiving marriage benefits and protects states that don't recognize same-sex marriages.

Obama failed to calm the storm even when he extended some employment benefits to the same-sex partners of federal workers. He came under fire for having declined to provide health care and retirement benefits on the grounds that such a move would violate the Defense of Marriage Act.

These kinds of left-center tensions will intensify when Congress delves into the final negotiations over health care this summer. Progressive Democrats insist that without a public insurance option health care reform will fail in the long run. Several Democratic moderates have been pushing alternatives that fall far short of that goal.

The second vulnerability is the deficit. When Republicans have turned away from cultural issues and toward economics, they have been finding more success at attracting the interest of independents and moderates. Recent polls have shown that the public is concerned about the growing size of the deficit and Republicans have finally gained a bit of political traction by linking Obama's policies to the government's red ink.

To be sure, this is not a home run issue for the GOP. Many commentators have pointed to the hypocrisy of Republicans making anti-deficit arguments following the tax-cutting and spending spree that took place under President Bush.

Moreover, deficits have a poor track record in terms of being a winning campaign issue. There have not been any presidential candidates or major midterm elections in recent history that hinged on anti-deficit arguments. Many presidents, including Franklin D. Roosevelt, survived while growing the deficit.

Polls have shown the public is also notoriously fickle about how much weight it gives to the deficit as an issue, and is often misinformed about the actual size of the deficit.

Nonetheless, warning about rising deficits has been an effective tool for weakening the political strength of an incumbent administration. Regardless of the economics of the issue, with some respected economists saying short-term deficits don't matter, many Americans perceive the budget deficit as a symbol for whether a president is keeping federal spending under control.

While Republicans might not take back Congress by focusing on the deficit, they can erode Obama's political standing and make it more difficult for him to pass legislation.

Finally, there is the economy. The irony for Obama is that as the economy has stabilized, it has become a greater source of political danger. Without an immediate crisis, voters are not as panicked and don't feel as desperate for federal assistance. A growing number are more comfortable criticizing the administration's economic policies.

Some Republicans have picked up on this and have asked why the U.S. needs to spend the stimulus money if the recession is almost over. At the same time, Obama is in a double bind: Most experts agree that we will have a fragile economy in the foreseeable future, so voters won't be happy either.

If there is any new dip in the economy, the public will blame President Obama rather than President Bush. This is exactly what happened with the recession in 1937, which FDR's opponents called the "Roosevelt Recession," using the downturn to diminish the number of New Deal liberals in the House and Senate in 1938.

Does this mean Obama is finished? Not at all. The same polls that reveal vulnerabilities show that Obama is still extremely popular with the public and most evidence suggests that he has good standing with congressional Democrats.

But in recent weeks a candidate who was once seen as invincible is now seen as potentially vulnerable. This is when the sharks start to circle in American politics.

The revelation of weakness gives Republicans, as well as unhappy Democrats, more confidence to challenge the White House. This is not what the president wanted right as he is trying to win support for his health care proposal and the rest of his budget. If the problems are not contained, they can also become the foundation for the Republican campaign for Congress in 2010.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer:  June has been a difficult month for President Obama

@highlight

He says divisions have grown among Democrats on gay rights, health care

@highlight

Zelizer says growing concern about deficit could blunt Obama's plans

@highlight

He says a new dip in the economy would be blamed on Obama, not Bush