(CNN)Sometimes, people pretend to die.

That's pretty much the basic idea behind "Still Lives," a thought-provoking series of portraits by photographer Eliot Dudik.

These images reveal a whole new perspective on America's Civil War re-enactors. But they also aim to spark conversations about two things that touch us all: life and death.

For generations, enthusiasts and history buffs have been spending their weekends re-staging historic clashes of the War Between the States, pretending to lose their lives on the battlefield.

Dudik uses his camera to study these faces while they fake death. Some have their eyes closed. Some, open. Some looking away, others looking directly at us. The subject is unsettling. But because we know they're really alive, it's somehow captivating.

"I think there's a shifting back and forth between life and death as you look at them," Dudik said. "When there's this oddness and this shifting, I think it holds our attention a little longer, which hopefully brings us into each of our own individual conversations about what life and death means and what war means to us as individuals."

Admittedly, the concept is a heavy one. To make it more approachable, Dudik injected a bit of humor. He started collecting reasons why re-enactors choose to live or die during their performances.

After "dying" on battlefields 148 times, longtime re-enactor Ed "Doc" Keith told Dudik he has decided to quit dying. Now, Dudik said, Keith "leaves the dying to the young."

"That statement really stuck with me," Dudik said. And it propelled him to jump feet first into the project.

Another re-enactor told Dudik at historic Gettysburg, Pennsylvania, that "he doesn't die very often because he's one of the few that are actually in shape and can make it all the way across the battlefield."

A third re-enactor said he dies "almost every time because he finds it more realistic," Dudik said. "Another guy told me he doesn't die in the high grass because he has allergies."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

2015 marks 150 years since the war's end. The death toll totaled nearly 500,000 Union and Confederate soldiers, according to the U.S. Department of Veterans Affairs. Dudik's project helped him understand and respect the solemn reasons behind the re-enactments.

"Still Lives" was inspired by its sister project, "Broken Land," which focuses on landscapes linked to the Civil War.

"I've always been fascinated by war in general since I was little -- not so much in a romantic way -- but more in a frightening way," Dudik said. "It's always kind of scared the crap out of me, basically."

The dramatic rift the nation felt in the 1860s reminds him of today's political landscape. "I feel like the country is basically paralyzed by the divide in politics," Dudik said.

When it comes to equipment, this guy leans totally old school. Dudik shot the project entirely on film, using what photographers call a view camera, which has a basic design dating back to the 19th century.

Projects can become more collaborative with a view camera, Dudik said. During the "Still Lives" portrait shoots, he enjoyed explaining to the re-enactors how the camera works and its long exposure time.

Dudik photographed each re-enactor as they laid on a suspended platform, giving the impression they were hovering above the ground. Dudik then climbed up a ladder to access his camera, which was aimed down toward the re-enactor. Once underneath the camera's "dark cloth," he opened the shutter and captured an image.

"I personally don't enjoy digital photography that much," Dudik said. "I don't have anything against it. I think it works marvelously for lots of applications. But for me, I'm pretty devoted to film for ... the way I work with it ... and the way it looks."

Dudik, 32, spent most of his first 16 years growing up on a sheep farm in central Pennsylvania before moving with his family to Maryland. His interest in taking pictures eventually led to college degrees in South Carolina  and Georgia. He has been published several times and last year he won the PhotoNOLA Review Prize.

Lately, Dudik admits life has become a little crazy, as he juggles teaching at Virginia's College of William and Mary while helping create the school's first formal photography program.

"Teaching and being intimately involved in an academic art department is a great inspiration and motivation and it provides an incredible collaborative community," Dudik said. "And I'm very thankful for that."

Eliot Dudik is a photographer and professor at the College of William and Mary. You can follow him on Facebook, Twitter and Instagram.

@highlight

Photographer Eliot Dudik's "Still Lives" series features Civil War re-enactors

@highlight

His images aim to spark conversations about life and death

@highlight

2015 marks 150 years since the war's end