Andar, Afghanistan (CNN) -- "An apple," English teacher Asadullah writes and reads out on the board. A simple word, perhaps, but here speaking and teaching English is something of a novelty and for the U.S. military and Afghan government a success -- albeit small.

It would not have been possible four months ago when soldiers from the 101st Airborne arrived in Andar district in Afghanistan's Ghazni province -- the first American presence in the area in two years.

"The school was empty, it was essentially a ghost town," Captain Justin Quisenberry recalled. "We found a passerby and asked, 'where are all the students, the teachers?' He said it had been closed for a couple of years, the Taliban threatened us. It's just not a safe place to have classes."

An indication of just how powerful the Taliban has been in this area is the turnout for the country's September elections. Just three people out of the district's 110,000 residents voted.

Classes only just resumed here.

The school is in the town of Miri. Although it may not look like an oasis, it is -- of sorts.

The local market is thriving. Cell phones and bright clothes imported from Pakistan are among the items on sale, creating an explosion of color against the dull brown of the mud walls.

The school is the only one around for miles under government control; the other 25 remain in the grip of the Taliban.

"The Taliban doesn't like that this school is open," headmaster Abdullah Hakmal told us. "It's because they don't have power here."

He explained the Taliban wants to dictate the curriculum, focusing more on religion rather than other studies. The students, who range from 11-years-old to 25, used to have to walk for kilometers to get any sort of education at all from a Taliban-controlled school.

"Yes" the class says in unison when we ask if they are happy.

As 15-year-old Nuradin puts it, "It's great to have a school that is a safe and close walk."

"The one school we just recently opened up in Miri, it's in the oil spot or security bubble that we've been able to establish in the last four months," U.S. Battalion commander David Fivecoat said. "We will gradually expand that here over the coming months and begin to take back some of the schools from the ones that are under Taliban control and begin to re-exert government influence here in Andar."

But Taliban influence is not just confined to the educational system; they have also set up a shadow government.

"What we've seen here, we've seen tax collection system where the Taliban has been able to levy taxes on farmers and the wheat harvest came in. We've also been able to see a small judicial system where they have been able to adjudicate disputes," Fivecoat added.

"As we've discovered this and gained some insight into it, it also gives us the ability to target the judges and the tax collectors for the Taliban to remove that infrastructure and make it harder for them to come back if and when they try to come back from Pakistan."

Historically the Taliban leadership and many fighters flee to their safe havens in neighboring Pakistan for the winter, re-emerging for what is known as the "spring offensive."

"This winter in December and January insurgent activity has definitely decreased," explained Fivecoat. "We've seen fewer engagements between my soldiers and the enemy, we've seen less IED's and really less violence. But in the last week we did hear some reports that some of the Taliban leaders are being ordered back here to fight in Andar due to some of the successes that we've had. And we're ready for that if and when they come back."

It's been a tough fight just to get this far. Since arriving in Andar, Fivecoat has had around 50 soldiers wounded in battle and one killed.

Outside of the "oil spot" or "security bubble" that the U.S. has managed to establish in Miri itself, fear of the Taliban prevails.

On patrol through a small village that sits along one of the major routes in the district, 33-year-old Afghan Army Lieutenant Matiullah asks local men where the Taliban are hiding. Their responses are a variation of "We don't know", "They are not here," or "No, no Taliban."

The search through the village is intended to catch the Taliban off guard.

"A lot of times insurgents will stage their attacks out of villages such as this, hide IED making materials here and generally stage and plan in the mosques around here before they move out on the roads to instigate their attacks on coalition forces and afghan military and police," U.S. Army Lieutenant Chip Evans explained.

The men crouch through the doorways of the rooms in the mud compounds but find nothing.

Meanwhile, Matiullah gathers the elders by the mosque, where his address is as much a plea for help as it is a lecture.

"We are coming here to help, you need to help us to bring security," he says, adding, "The Taliban comes here to take your money, we are coming to help."

He accuses them of helping the Taliban, otherwise he says troops would not be getting ambushed or blown up in the area.

The men sit expressionless, refusing to answer any of Matiullah's accusations.

"These people do anger me a bit," Matiullah said. "But I can't really blame them, none of them have weapons and they are too scared of the Taliban."

@highlight

U.S. 101st Airborne arrived in Andar district in Afghanistan's Ghazni province 4 months ago

@highlight

It was the first American presence in the largely Taliban-controlled area in two years

@highlight

Historically the Taliban flee to their safe havens in neighboring Pakistan for winter

@highlight

Outside of this U.S. "security bubble" the fear of Taliban among population prevails