(CNN) -- The morning the Deepwater Horizon oil rig exploded, a BP executive and a Transocean official argued over how to proceed with the drilling, rig survivors told CNN's Anderson Cooper in an exclusive interview.

The survivors' account paints perhaps the most detailed picture yet of what happened on the deepwater rig -- and the possible causes of the April 20 explosion.

The BP official wanted workers to replace heavy mud, used to keep the well's pressure down, with lighter seawater to help speed a process that was costing an estimated $750,000 a day and was already running five weeks late, rig survivors told CNN.

BP won the argument, said Doug Brown, the rig's chief mechanic. "He basically said, 'Well, this is how it's gonna be.' "

"That's what the big argument was about," added Daniel Barron III.

Shortly after the exchange, chief driller Dewey Revette expressed concern and opposition too, the workers said, and on the drilling floor, they chatted among themselves.

"I don't ever remember doing this," they said, according to Barron.

"I think that's why Dewey was so reluctant to try to do it," Barron said, "because he didn't feel it was the right way to have things done."

Revette was among the 11 workers killed when the rig exploded that night.

In the CNN interviews, the workers described a corporate culture of cutting staff and ignoring warning signs ahead of the blast. They said BP routinely cut corners and pushed ahead despite concerns about safety.

The rig survivors also said it was always understood that you could get fired if you raised safety concerns that might delay drilling. Some co-workers had been fired for speaking out, they said.

It can cost up to $1 million a day to operate a deepwater rig, according to industry experts.

Safety was "almost used as a crutch by the company," Barron said. He said he was once scolded for standing on a bucket on the rig, yet the next day, Transocean ordered a crane to continue operating amid high winds, against its own policies. "It's like they used it against us -- the safety policies -- you know, to their advantage.

"I don't think there was ever a plan set in place, because no one ever thought this was gonna ever happen," he added.

BP spokesman Robert Wine would not comment on specific allegations, saying the company has to "wait for the investigations to be completed. We can't prejudge them."

"BP's priority is always safety," he said.

Transocean, the world's largest offshore drilling contractor, said its top priority is safety.

"There is no scenario or circumstance under which it will be compromised," the company said in a written statement. "So critical is safety at Transocean that every crew member has stop-work authority, a real-time method by which all work is halted should any employee suspect an unsafe situation or operation."

In Washington on Tuesday, Rep. Nick Rahall, the chairman of the House Natural Resources Committee, sought more answers. In a letter to Steven Newman, CEO of Transocean, Rahall said records from the rig indicate 18 people at work on the second shift  with "zero engineers, electricians, mechanics or subsea supervisors" on duty the night of the explosion.

Rahall added that payroll records show 20 crewmen, including seven of the 11 men who died, had worked a 24-hour shift six days before the explosion. Rig workers typically work 12-hour days.

"Although these reports do not provide a complete picture of who exactly was working during the time of the explosion and in the days leading up to it, when combined with the ongoing BP internal investigation that suggests that inattentiveness may have been a contributing factor in the disaster, I have serious questions about whether enough people were working on the night of April 20 to adequately handle the complex operations that were being performed, or if crew fatigue caused by extended shifts may have played a role," wrote Rahall, D-West Virginia, the chairman of the House Natural Resources Committee.

Rahall called on the company to give his committee more detailed logs and a further explanation of its staffing -- a request Transocean said it would meet.

But Transocean said no worker put in a 24-hour day, and the documents Rahall cited didn't tell the whole picture. Daily drilling reports track operations and "certain personnel," it said, "but does not use them to catalog complete crew shifts or the actual hours worked by each crewmember."

"At the time of the accident, the Deepwater Horizon and its crew had compiled seven consecutive years of operations without a single lost-time safety incident," the company said in a written statement. "The vessel was properly and professionally manned; there was no shortage of technical expertise, nor did any crewmember work a 24-hour shift."

CNN was given access to individual time sheets that appear to back up Transocean's claim that no employees worked 24-hour shifts on April 14, six days before the explosion that eventually sank the rig.

Other documents reviewed by CNN seem to indicate that additional salaried workers may have been on the job that don't show up on time sheets, possibly refuting the committee's claim the rig was shortstaffed on April 20.

The rig workers have filed a negligence suit against BP, Transocean, oil field services contractor Halliburton and other companies involved with the deepwater rig.

"I've seen gross negligence, and this conduct is criminal," said Steve Gordon, the lawyer representing the men. "There's a crime scene sitting 5,000 feet below the water."

Brown, the rig's mechanic, had traveled with the rig from South Korea, where it was made nearly a decade ago. He had seen the mechanical crew get downsized over the years. Yet as the rig aged, the engines began having more problems.

"It became overwhelming," he said. "We couldn't keep up with the flow of it. ... We constantly over the years kept telling them, 'Hey, we need more help back here.'

"They pretty much just said, 'Well, we'll look into it.' "

About nine months ago, Brown said, he got an additional first engineer, yet the crew was still overloaded with work.

Even more alarming, the rig survivors said, was the amount of resistance the well was giving them. "We had problems with it from the day we got on," Matthew Jacobs said.

Nearly every day, Jacobs said, "we had problems with that well."

Barron said it was like an eerie cloud hung over the well being dug 5,000 feet into the sea.

"There was always like an ominous feeling," he said. "This well did not want to be drilled. ... It just seemed like we were messing with Mother Nature."

At times, the drill got stuck. Many times, it "kicked," meaning gas was shooting back through the mud at an alarming rate.

"I've seen a lot of gas coming up from muds on different wells, and the highest I've ever seen in my 11 years was 1,500 units. And this well gave us 3,000," Brown said. "I've never been on a well with that high of gas coming out of the mud. That was kind of letting me know this well was something to be reckoned with."

It all came to a head at 9:56 p.m., when the first of three explosions rocked Deepwater Horizon, 52 miles southeast of Venice, Louisiana, with 126 people aboard. Tiles fell from the ceiling, walls collapsed, and people ran for their lives. It reminded Matt Jacobs of the movie "Titanic."

"It looked like you was looking at the face of death," he said. "You could hear it, see it, smell it."

He scrambled to the lifeboat deck. Jacobs had been trained to fight fires aboard the rig. But when he looked at the flames shooting 150 feet into the air, he knew there was nothing they could do. "There is no way we can put that fire out," he thought.

Jacobs hopped in a lifeboat. He screamed for co-workers to jump aboard. A second explosion rocked the rig. The lifeboat, still suspended in the air, went into a free fall of about 3 feet.

"Here I am on a lifeboat that's supposed to help me get off this rig," Jacobs thought. "And I'm gonna wind up dying."

He bowed his head and prayed.

Now, 50 days later, the survivors are telling their stories. It's become part of their everyday lives. They can't shake what happened that day, even when they close their eyes at night.

"It's like being in a neverending nightmare," Brown said. "You dream about it. You see it in your sleep. Then, we wake up in the morning, and we realize it's not a dream. It's real. ... It doesn't end for us."

CNN's Aaron Cooper contributed to this report. This piece is part of a CNN Special Investigations Unit project.

@highlight

Rig survivors say BP, Transocean official argued over shortcut on day of blast

@highlight

BP official won argument: "This is how it's gonna be," he said, according to witness

@highlight

BP says it won't comment on specifics

@highlight

BP routinely cut corners and pushed ahead despite safety concerns, workers say