Atlanta, Georgia (CNN) -- BP, which is responsible for the greatest oil spill in American history, has made the right call in deciding to suspend dividend payments this year.

Dividends are not legally required; they are optional. If BP does not pay a dividend, a shareholder cannot go into court and sue BP. Dividends are to be paid only when the company has enough money to take care of its operations, including potential liability for the spill.

Some have argued that BP should pay dividends this year because there are plenty of individuals who count on those quarterly dividends. That is a familiar argument. It conjures images of the elderly being forced to choose between buying food or medicine.

That imagery was raised in 2003, when President Bush pushed a dividend tax cut through the Republican-controlled Congress, reducing the maximum tax rate to be paid on dividends to only 15 percent. (You and I pay taxes on our interest and wages at rates up to 35 percent.)

The reasons for the tax cut were varied, from compensating for risk to encouraging savings to an argument that it "will help millions of seniors who depend upon dividend income for their day-to-day expenses," a line from congressman Sam Johnson of Texas.

Johnson was certainly not alone in arguing that the dividend tax cut would help senior citizens. Bush's signing statement provided that "we're helping seniors who rely on dividends."

What the Republicans neglected to say was that it was not taxpayers' senior status that made it more likely that they would receive dividends, but their income levels. The typical low- or middle-income senior does not have a lot of income and does not receive dividends.

A 2006 study by the Center on Budget and Policy Priorities showed that only 4 percent of households with less than $50,000 of income own stock and actually receive capital gains and/or corporate dividends. Only 11 percent of households with incomes under $100,000 receive capital gains and/or corporate dividends.

However, more than 75 percent of all capital gains and dividend income goes to households with income over $200,000, which represents only 3 percent of all U.S. households.

The reality is that the typical American BP shareholder is not really going to miss that dividend payment. British newspapers have reported that U.K. pension funds have heavily invested in BP, so the impact could be somewhat greater there.

BP has agreed to create a $20 billion escrow fund that will be administered by an independent third party, Kenneth Feinberg, the mediator who oversaw the September 11 victims' claims. This is certainly a step in the right direction.

BP is not obligated to pay the $20 billion all at once but has several years to fund the escrow account. Any amount paid to shareholders is forever lost to victims of the Gulf spill. So if BP were to pay any dividends now and subsequently become financially unable to make more payments to the escrow fund, the Gulf victims would become victimized again.

Shareholders who own stock in an oil company that drills offshore without adequate plans in place, should disaster strike, have made a risky investment indeed. Given the potentially catastrophic impact of the oil spill, how can BP really know how much all of the costs will be? And the safest course of action is to wait until the company gets a better handle on its potential liabilities, which seem to be growing daily.

Between the business owners in the Gulf with their very livelihoods being threatened, the workers who are unable to earn a living and the looming environmental cleanup costs (once the oil actually stops spilling into the ocean) on the one hand and BP's shareholders on the other hand, the choice is easy: The shareholders should wait for their dividends. After all, isn't that why their tax rates are so low?

The opinions expressed in this commentary are solely those of Dorothy Brown.

@highlight

BP decided to suspend dividends for rest of year as it creates escrow fund for liability

@highlight

Dorothy Brown says it's impossible to say how much liability BP will have for oil leak

@highlight

She says bulk of dividends go to people who have high income

@highlight

Investors in oil company that drills offshore assume risk, she says