Show us how you celebrate Christmas in your part of the world

(T+L) -- Blame it on my childhood. During the 1970s in suburban Worcester, Massachusetts, it was long my mother's ambition to grace our brick Colonial with hush-inducing purity. She thought that by putting a single candle in each of the windows at Christmas, our house would be the envy of the neighborhood— a magical locus of holiday coziness and kinship, the visual equivalent of nutmeg.

What transpired, though, out of inertia and a fear of flames, was a different matter altogether. She bought only two candles, both electric, which were put in two ground-floor windows. Their streaky, uncertain light took the form of two vertical smears on either side of our front door; it looked like our house was crying.

The following week, my mother and I drove by a neighbor's extravagantly decorated home—gobs of colorful, twinkly bulbs swathing house and shrubbery; a sleigh; windows caked with aerosol snow. Mom: "We're gonna need more candles."

We never got those candles, and so my interest in this garish form of beauty is born of deprivation. By turns awesome and hokey, Christmas lights reflect man's struggle to create something as beautiful as dusk or dawn; they're fireworks in suspended animation. Their earliest historical antecedent is probably the pagan Yule log of northern Europe, which burned for many days during the dark winter solstice, thus rendering it a symbol of hope.

T+L: America's prettiest winter towns

But if the contemporary iterations of this symbol are any guide—so often does a Milky Way of man-made twinkle reveal a rat's maze of black electrical cable—then the current byword would seem to be less hope and more Martha Stewart's worst nightmare.

Indeed—whether in Worcester or Copenhagen or Hong Kong or Medellín, Colombia—Christmas lights have the curious ability simultaneously to slightly repel us and to put us at ease. At first blush we think, "Good Lord, what is this wanton, throbbing blight on the landscape, and what is its potential damage to the world's energy resources?" But upon further reflection we decide, "Let's find a parking space, shall we?"

Hark, the Mission Inn Hotel & Spa, in Riverside, California, where 3.6 million lights annually shed their buxom charms on 400-plus animated figures, horse-drawn-carriage rides, Santa, fireworks, and live reindeer! Hark, the light-bedecked Tanglin Mall, in Singapore, just 85 miles north of the equator, where children have been known to throw "snowballs" created by a foam-making machine at a shopping center lined with luxury boutiques! Hark, the Simmons family of Cathedral City, California's Dancing Christmas Light Show, with seven miles of cable, more than 150,000 LED lights, and narration over a short-range radio station called the Icicle from a former Price Is Right announcer!

T+L: The world's most traditional holiday foods

Christmas lights are a civic obligation. They're a form of advertising. They're a gateway drug for other holiday dysfunction. Whatever their particular function—and regardless of whether they're hung by cities or their residents—all these twinkling bulbs help broaden the definition of Christmas. Sure, everyone knows that an elegant wreath of holly, when secured to a mantel or antique wooden door, can distill end-of-year cheer faster than you can say "Miracle on 34th Street," or how stumbling upon pine boughs that are maypoled up a shepherd's-crook streetlight can suddenly transform you into a ruddy-cheeked Dickens character with a name like Mrs. Cumbersnoot.

But what of the giant, green fluorescent clam whose Santa hat of twinkly lights looks like a strange, predatory apostrophe? What of the scrum of light-saddled fiberglass elves that have been cunningly gathered around a city hall's drainpipe? These, too, are Christmas, my friend. And these, too, have their charms.

For those of us who enjoy Christmas-light viewing as a spectator sport, it's the regional or location-specific twists that linger long in the mind. When a standard-bearer like New York City's Rockefeller Center trots out its towering tree, or Vienna strings up its giant, globular, all-white chandeliers of lights that lead up to St. Stephen's Cathedral, both efforts yield a generalized Christmas ideal that could be happening anywhere in the world.

But you know you're in Ocean City, Maryland, when you see lights that portray how Santa hooked a marlin while trolling from his charter boat, the HoHoHo. You know you're in San Antonio, Texas, when 1.8 million lights on 200 trees and 20 bridges illuminate flesh-and-blood carolers who warble from the decks of passing river barges.

Or maybe the absence of lights is a clue to your location: consider the Sichuan restaurant in Beijing that has covered its tree not with radiant bulbs but with chili peppers. Or maybe, best/worst case scenario, the concept of location itself is altogether a moot point.

Think of the swirling cloud of cultural dissonance you'd witness if you traveled to Copenhagen's Tivoli Park to look at the lights strung on the park's Japanese pagoda. For the full effect, you'll probably want to wear a guayabera and recite from the Koran.

T+L: America's best hot chocolate

I also welcome a tiny amount of emperilment to my viewing; a whiff of danger can be a valuable component in the one-two punch of repulsion and ease.

"Due to high electrical voltage, please DO NOT enter the show area or yard for any reason! Failure to observe this rule could result in serious injury or death": this is a warning not for a downtown area or a rodeo, but rather for a private home (belonging to the aforementioned Simmons family of Cathedral City).

Suddenly the stakes are raised. Suddenly I'm on board.

Indeed, there have been instances where I've walked toward some of these twitching, thrumming displays—and suddenly feared that these giant spiderwebs of pulsing electricity are bug zappers, but for people. It's all too easy to imagine how my body would ricochet from bulb to bulb, emitting a scarifying screech of smoke and crackle, whereupon I'd crash to the floor, a human crouton.

So often do lighting displays' rickety natures or excessiveness lead to anxiety that it takes no effort to misread a haphazardly copyedited 1995 article from the Atlanta Journal-Constitution. Visitors to Atlanta's Starr Park, the article claimed, would encounter "a playground area decorated with lighted reindeer."

Run, Blitzen!

A brush with danger, followed by a sense of relief: looking at Christmas lights is a slap and then a kiss. I remember sitting in a café in the Piazza della Rotonda, in Rome, some years ago, half of my then-boyfriend Jess's face illuminated by a fiery crimson glow from a string of Christmas lights hanging on the building's front. The slash of red slicing across his face gave him the look of an angry elf or of the "before and after" picture in an infomercial for satanic rituals. I couldn't reconcile the shaky, blood-evocative light with Jess's button-down temperament and oxford shirt, nor with the magisterial, late-evening hush of the piazza and its dusty stone monuments.

But then I looked across the square at the centuries-old Pantheon and thought of ancient Rome. I thought, Centurions, pillaging, vino. I thought, Bacchanalia, bonfires. Just then, it all came together for me.

And what of my mother and Christmas? The electric candles have long since been lost. A few years back, Mom moved to a retirement community in Durham, North Carolina, whose gift shop she manages. She recently told me, "Last year I hung all my Christmas lights and swags in the shop. But afterward I was too lazy to put them away in boxes, so they're all in my bathtub now."

This month, these bulbs and boughs and wreaths will decorate the gift shop again, but Mom and I will be in Key West. We're excited about the prospect of Floridian holiday excess, and we're fairly certain the island will cough up some high-level twinkle.

I told Mom that last year's festivities there included a Harbor Walk of Lights, a lighted boat parade, a vodka-company-sponsored tour of decorated Victorian guesthouses, and an underwater light display. She weighed in with, "Their decorating committee is very active." Christmas will once more shine Mylar-bright.

There will definitely be enough candles.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Christmas light displays, in their excess, are simultaneously tacky and charming

@highlight

These modern, twinkling lights expand the meaning of Christmas around the world

@highlight

Warnings of high voltage make Christmas light spectating more exciting