Jindo, South Korea (CNN) -- South Korea's prime minister announced his resignation Sunday morning, taking responsibility for the slow initial response to a ferry's sinking that has left nearly 200 dead with scores more still missing.

Prime Minister Chung Hong-won outlined his decision, and apologized to victims' families, in remarks on national television.

"During the search process, the government took inadequate measures and disappointed the public," Chung said. "I should take responsibility for everything as the prime minister, but the government can assume no more. So I will resign as prime minister."

With his announcement, Chung urged his countrymen to stand united, rather than divided.

"Please come together as one for the recovery efforts," he said.

Chung becomes the highest-profile public figure yet to fall following the April 16 disaster and subsequent response, which elicited considerable sorrow and anger from the South Korean public.

Eleven days later, searchers are still looking for passengers and crew aboard the Sewol ferry. They have retrieved 187 bodies so far, with another 115 still missing.

The search Saturday was suspended due to bad weather that made diving through the murky waters especially dangerous.

A day earlier, divers found the bodies of 48 girls -- wearing their life jackets -- pressed into a room too small for so many people.

Divers believe that they will face the same scene again. There may be a second, similar room, where 50 more girls are believed to have been trapped when the ferry rolled over.

South Korean coast guard diver Kim Dong-soo said he had tears in his eyes when he heard about the accident.

"Even now, I'm searching as if I'm looking for my own children -- and other coast guards feel the same way," he told CNN. "I have two medical patches on me, have difficulty breathing and my head hurts. But it hurts the most in my heart, knowing those children are still in the cold water."

Those still diving face a search that is getting harder and slower.

Now they will head down deep for cabins near the seabed.

In the cramped spaces, divers have been battling a forest of floating objects and doors forced shut by tremendous water pressure. Currents tug at the breathing tubes that keep them alive as they look for the dead.

There may be fewer bodies to retrieve, but divers have already searched the easily accessible places, said South Korean navy Capt. Kim Jin-hwang, commander of the rescue operation.

"But the navy will not stop until the last body is found," he said.

Fisherman: Disaster haunts his sleep

Fisherman Kim Hyun-ho finds no peace when he lies down at night. The hundreds of dead or missing passengers from the Sewol ferry disaster haunt his sleep.

Their screams ring in his head. He has vivid memories of his rush to save them in his modest fishing boat off South Korea's coast 10 days ago.

Kim thinks he may have pulled 25 people from the frigid waters of the Yellow Sea, he said Saturday. But the man from a nearby tiny island of just 100 people feels no pride, only torment.

"It was hell. Agonizing. There were a lot of people and not enough boats, people in the water yelling for help. The ferry was sinking fast," he said.

He watched people trapped inside go under with the vessel yards in front of him. Then he heard on television how many people were sealed up in the ship.

The father of two grown children is heartbroken for the hundreds of parents who have lost theirs, those he could not save.

He's trying to fish again, but he's a changed man, he says.

Legal ramifications

As the effort inside the ship continues, South Korean authorities are pressing a criminal investigation into the sinking. It's resulted in the arrests of the ship's captain and 14 other members. Yang Joong-Jin, the senior prosecutor for the investigation task force in Mokpo, South Korea, said all the 15 crew members responsible for sailing and the engine room face charges of "causing death by abandoning (ship), and violation of the country's marine law, the Rescue and Aid at Sea and in the River Act.

Investigators also searched the company that owned the ferry and the home of the man whose family controls it, and conducted a wide-ranging probe into the country's marine industry.

Prosecutors have said that authorities have yet to determine what caused the sinking. Leading theories include changes made to increase the ferry's passenger capacity, and shifting cargo.

On Friday, investigators checked out the Sewol's sister ship, the Ohamana, and said they found 40 of its life rafts weren't working, emergency slides to help evacuate passengers were inoperable, and equipment to tie down cars and cargo either was nonexistent or didn't work very well.

Like the Sewol, the Ohamana had been modified to add more passengers, the prosecutor's office said. Investigators are looking into whether those modifications could have contributed to the Sewol's fate.

Kim Yong-rok, an opposition lawmaker who represents Jindo, an island near where the ship sank, told CNN that modifications to add 117 more passenger cabins to the ship raised the ferry's center of gravity.

On Friday, the South Korean Ministry of Oceans and Fisheries announced it would ask lawmakers to consider legislation prohibiting modifications to ships to increase passenger capacity.

Young crew member hailed as heroine

In recent disasters, captains didn't hang around

Students remember vice principal who took own life

Murky waters cloud the horror facing rescue divers

CNN's Nic Robertson reported from Jindo, South Korea. CNN's Ben Brumfield and Greg Botelho reported and wrote from Atlanta. CNN's Neda Farshbaf, Steven Jiang, Bradley Olson and Elena Kim also contributed to this report.

@highlight

NEW: "Please come together as one for the recovery efforts," prime minister says

@highlight

Chung announces: "I should take responsibility for everything"

@highlight

187 bodies from the ferry have been found, 115 are still missing

@highlight

Rescuers find 48 girls crammed into one room; 50 more may be in other room