Cairo (CNN) -- Egyptian security forces arrested Mohamed Badie, the Muslim Brotherhood's spiritual leader, at a residential apartment in Cairo on Tuesday, state-run Nile TV reported.

He was arrested in the Nasr City section of the capital without any resistance, Nile TV said, citing Gen. Abdel Fattah Othman, an Interior Ministry spokesman.

Badie, whose title is supreme guide, is accused of inciting violence, according to Nile TV. The Brotherhood picked a Badie deputy to temporarily replace him, its political wing said Tuesday. He is Mahmoud Ezzat.

Badie's detention came one day after 25 soldiers were killed in a Sinai ambush and onetime ruler Hosni Mubarak won acquittal on a corruption charge.

Suspected militants armed with rocket-propelled grenades struck two buses carrying security forces and killed the soldiers in the city of Rafah, on the border between Egypt and Gaza, Nile TV reported.

Interim President Adly Mansour declared three days of national mourning following the attack, Nile TV said.

The Sinai Peninsula is a lawless area that was the site of frequent attacks even before Egypt's latest round of turmoil. In May, for example, seven Egyptian solders were kidnapped and held for six days there, a spokesman for Egypt's armed forces said.

But the attack adds to the persistent tension across the country since the military ousted democratically elected President Mohamed Morsy in a coup.

Over the past week, about 900 people -- security personnel as well as citizens -- have been killed.

Deaths occurred when the military used force to clear two pro-Morsy sit-in sites in Cairo on Wednesday and violence raged after pro-Morsy supporters staged demonstrations Friday.

Billions in aid on the line: What will the U.S. do about Egypt?

On Sunday, at least 37 jailed members of the Muslim Brotherhood, an Islamist movement, were reportedly killed in what the Interior Ministry called an attempted jailbreak.

Egypt's state-run EGYNews agency reported that the prisoners died from tear-gas suffocation and from trampling over each other, and Egypt's Prosecutor General Office ordered the arrest Monday of two police officers for their involvement in the incident. The prosecutor general also ordered that three police officers hospitalized for injuries sustained in the incident be held while the investigation continues.

As for the Sinai ambush, the Brotherhood condemned the attack on Egyptian soldiers.

"Our peaceful protests (are) stronger than any weapon, and we don't accept any violence," said Murad Mohamad Ali, media adviser to the Brotherhood's Freedom and Justice Party.

Morsy supporters, many of whom are members of the Muslim Brotherhood, and those aligned with the military-backed interim government blame each other for stoking the violence.

Morsy has been in detention since his overthrow. Egyptian prosecutors have extended the detention for 15 days, pending investigations.

Prosecutors have charged him with participating in the detention, torture, murder and attempted murder of Egyptian citizens; broadcasting false news to influence judicial authorities in their inquiries; and inciting thugs to use force and terrorize citizens.

Questions about aid

The crackdown also spurred a call from a leading U.S. senator, John McCain, to cut off its $1.3 billion in aid to Egypt. He said the United States has failed to follow its own rule requiring suspending aid to states overtaken by a military coup -- though the United States has not officially described the recent regime change in Egypt as a coup.

"We have no credibility. We do have influence, but when you don't use that influence, then you do not have that influence," McCain said Sunday on CNN's "State of the Union."

U.S. Defense Secretary Chuck Hagel said President Obama noted that "every aspect" of the U.S.-Egypt relationship is under review.

U.S.-Egypt relations: 'Damned if you do, damned if you don't'

He said the U.S. message to Egyptian officials has been consistent: The interim government should "get back to an inclusive approach to reconciliation in Egypt.

Will the regime get the message? The U.S. ability to influence events in Egypt is "limited," Hagel said, but it's not "without influence."

Speaking at a Pentagon briefing with his counterpart from China, Hagel said the United States has a longstanding relationship with Egypt.

"We have interests clearly in the Middle East -- interests that include hopefully a development of some progress toward an Israeli -Palestinian settlement. So we continue to work with the Egyptian interim government as well as the Egyptian military," he said.

Hagel also said protection of Americans in Egypt is of the "highest priority."

But Saudi Arabia's foreign minister assured Egyptians that Arab nations will support Egypt if any international aid to the country is cut, the Saudi Press Agency reported Monday.

"The Arab and Islamic nation is rich when it comes to the support of its sons and its potentials and will not shy away from providing a helping hand to Egypt," Saud Al-Faisal said.

International response called weak, ineffective

The carnage has spurred a call from leading human rights group Amnesty International for a "full, impartial and effective investigation in the shocking loss of life."

"The interim government has already stained its human rights record -- first by breaking its promises to use nonlethal weapons to disperse pro-Morsi sit-ins and allow for the safe exit of wounded, and then by justifying their actions despite the tragic loss of lives," said Salil Shetty, secretary-general of Amnesty International, in a news release.

"The response of the international community has been weak and ineffective, even as everyone leaps to condemn the horrific loss of life. The international community must act decisively to send a message that no government can behave this way and retain any credibility."

Egyptian demonstrator: Why we are willing to die

The group documented a rise in civil strife since the July 3 coup and cited "a string of serious human rights abuses, culminating in the wholesale attack by the security forces" on pro-Morsy sit-ins last week.

"These abuses have included an alarming and unprecedented rise in sectarian violence against Coptic Christians across the country, "seemingly in retaliation for their support" for Morsy's ouster.

It cited abuses by pro-Morsy protesters "including beatings, torture and killings.

"In recent days, the scale of violence by some Morsy supporters have manifestly increased, as some attacked government buildings and police stations and personnel. Some protesters have also fired live ammunition on local residents," Amnesty said.

Mubarak in court

As the upheaval persists in Egypt, Mubarak's court cases grind on. In Cairo, a criminal court acquitted the former president in a corruption case, Egyptian state TV reported Monday.

The case stemmed from accusations of squandering public money allocated for renovating presidential palaces. He also faces at least one other outstanding corruption claim.

Separately, Mubarak is also facing a more serious accusation: that he was involved in the killing of protesters during the 2011 uprising.

A Cairo court on Saturday adjourned a retrial in that case to this coming Sunday.

Mubarak ruled Egypt, the most populous Arab country, for three decades until demonstrators opposing his rule forced his ouster in 2011. He was convicted in 2012 in the deaths of numerous protesters, but was later granted a retrial.

After a lengthy trial, he and his former interior minister, Habib al-Adly, were found guilty and sentenced to life in prison last year on charges that they were complicit in the protesters' killings. After appealing their convictions, they were granted a new trial early this year.

Mubarak has been held since his guilty verdict last year. After months spent in a military hospital, a public prosecutor sent him back to prison in April.

The ousted autocratic leader's health has been a bone of contention during his trial and incarceration. He suffered a heart attack after relinquishing power and had said that he was physically unfit to stand trial.

CNN's Mohammed Tawfeeq, Ali Younes, Schams Elwazer, Ian Lee, Saad Abedine and Holly Yan contributed to this report.

@highlight

Mohamed Badie is arrested at an apartment in the Nasr City section of Cairo

@highlight

25 soldiers die in an attack in the Sinai Peninsula; 3-day mourning period declared

@highlight

At least 37 Muslim Brotherhood prisoners reportedly killed in jailbreak attempt

@highlight

Former President Hosni Mubarak is acquitted in one of many cases against him