(CNN) -- Dear reader:

Actually, that's the subject of today's column.

That salutation.

Because there is a real question that has quietly been building -- perhaps not the most important question in this tense old world of ours, but a question nonetheless:

Is "Dear" an endangered species?

It would appear to be. You may have noticed that fewer and fewer people begin their letters and notes with "Dear." Some holdouts -- I'm among them -- do, but this may be mostly out of lifetime habit. Even people who grew up using the traditional salutation -- middle-of-the-road, go-by-the-book people -- now regularly begin their notes with "Hi."

This is mostly a function of the digital-communications age. "Dear," which always looked fine atop a business letter, or a handwritten note, is increasingly seen as archaic and old-fashioned on a computer screen or on a smartphone or mobile device.

The pending disappearance of "Dear" is a sea change in the way we write to each other -- yet when you think about it, there are few logical reasons arguing for a longer life for that particular word. We've always used it, just because we've always used it.

But step back for a second and think about it -- about addressing business associates, or people you've never met, as "Dear." It has worked commendably in letters, but imagine using it with those same people in face-to-face situations.

Picture yourself walking up to someone in an airport or at a business meeting and automatically calling him or her "dear." You might be greeted with a withering glare, if not a punch in the nose. And imagine what would happen if you went around your office every day, in person, calling people "dear." You'd be taking a quick trip to Human Resources.

The reason "Dear" may be destined to die is that it faces a dilemma much like an army confronted with a pincers movement in war: On the one flank, written-on-paper, mailed letters -- the kind that have always been started with "Dear" -- are rapidly disappearing, as use of the U.S. mail itself dwindles. On the other flank, many people who use e-mail decided a long time ago to go with nothing at all, or with "Hi" (followed by the recipient's name), as a reflection of the new informality and ease of note-writing. With text messages, the idea of a salutation doesn't even come up.

(And of course, there is the ever-popular "Hey" salutation, used by those who think that "Hi" is much too stodgy.)

Not wanting to trust my own judgment on this vital matter, I put together an ad hoc advisory panel of five etiquette teachers and coaches from around the country (yes, even in our hail-to-sloppiness era, such people exist). They pondered the "Dear" question.

Watch: British etiquette for London Games

"Even with the new normal of being informal, the proper way to start an e-mail is with 'Dear,'" said Cynthia Lett, director of the Lett Group, a protocol training company in Silver Spring, Maryland. The time to switch to "Hey," she said, is "when we get to the point of dropping by each other's houses without an invitation and opening the refrigerator to see what is available for a snack."

Patricia Rossi, an etiquette coach based in the Tampa Bay area of Florida, said, "I really think it is best to open an e-mail with 'Dear Mr. Moore,' as it's important to start out with a more respectful and formal salutation. Mr. Moore will respond in a manner that he wishes to set the tone with."

Barbara Pachter, an etiquette expert in Cherry Hill, New Jersey, said, "E-mail doesn't technically require a salutation, since it is in memo format. And when e-mail first appeared, many people did not use a salutation. Eventually people started adding a salutation to appear friendlier and help the tone of their writings."

Jacqueline Whitmore, who advises on etiquette from her base in Palm Beach, Florida, said, "In my professional opinion you can never go wrong when you're too formal, but you can often be dead wrong if you're too casual."

And Paul Siddle, whose etiquette-and-protocol operation is based in Richmond, Virginia, responded to my question about "Dear" possibly being anachronistic by saying: "Anachronistic? Well, we are certainly becoming a more relaxed society, but there will always be a right way and a wrong way to do things. And using appropriate salutations, and closings, in written communications is the right way to do it."

Most e-mailers and text-messagers do not consult etiquette coaches, though, and with the demise of words-on-paper letters, the future of "Dear" appears dire. There are, it should be noted, some ethereal and symbolic forces working against "Hi" in other parts of society:

When Katie Couric took over the "CBS Evening News" in 2006, she at first began each broadcast with "Hi, everyone," to send a signal of friendliness and non-pontification. The "Hi" soon enough went away; evidently the word was too breezy for viewers across the United States who had long watched the evening news on the networks, and were accustomed to "Good evening."

But an e-mail is not the evening news, and perhaps it is time to begin saying our inevitable fond farewell to "Dear," and to say that farewell before the salutation has already become dearly departed.

Thank you for reading.

With my most sincere good wishes until we meet anon.

Why should the press be polite to presidents?

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Does the salutation "Dear" have a place in modern correspondence?

@highlight

In digital communication, especially texting, it's formal, archaic, too intimate, he says

@highlight

But etiquette experts say it still important to correspondence, it's impolite to be too casual

@highlight

Greene: That may be true, but reality is fewer people use it; it's likely on its way out