(CNN)The Houthi takeover of the Yemeni capital of Sanaa plunges the country into a yet darker chapter of its troubled modern history. An uneasy and sometimes violent standoff between Houthi fighters and forces loyal to President Abdu Rabu Mansour Hadi took on the appearance of a coup Tuesday, before a tentative power-sharing agreement was announced Wednesday, pulling the country back from the brink.

But the deal is far from certain, with previous accords between the government and Houthi rebels having collapsed quickly. Hadi is now essentially powerless, as of Wednesday a prisoner inside his own home. As Yemen collapses into warring factions, and the United States surveys the wreckage with few good options, one party besides the Houthi seems set to benefit: al Qaeda.

The Houthi are Shia from northern Yemen and make up about 30% of the population. They've been at war with the central government for the best part of a decade. At the beginning of 2014, they won a series of battles close to the Saudi border. And in September, Houthi fighters suddenly descended on Sanaa.

They took over government buildings, the main airport and a share of power. Negotiations ensued, while Houthis seized other towns, cities and areas, including the port of Hodeida on the Red Sea. They continued to build up their presence in Sanaa, and two weeks ago held a huge rally to celebrate the Prophet Mohammed's birthday.

One of the Houthis' slogans is daubed on walls in the capital: "Death to America, Death to Israel, Damn the Jews, Victory to Islam."

Now, apparently unhappy with the shape of a draft constitution, they've gone for broke.

The Houthis' power grab gave al Qaeda in the Arabian Peninsula the best recruiting sergeant they could hope for. Always virulently anti-Shia, AQAP was quick to proclaim itself as the defender of the Sunnis against the "rafidah," a derogatory term meaning "those who reject."

"Do not leave a checkpoint for (the Houthis) that you do not strike, nor a headquarters that you do not bomb, nor a troop carrier that you do not explode," said one of AQAP's leaders, Nasser bin Ali al-Ansi, in a video released last September, according to a translation by SITE Intelligence.

AQAP's first response was a devastating suicide bombing of a Houthi rally in Sanaa, which killed nearly 50 people. It has stepped up attacks against the army and police, which it claims have been infiltrated by Houthi militia. Just last Sunday, it claimed responsibility for killing dozens of Houthis in sniper attacks, bombings and rocket attacks across the country.

The authority of the government in Yemen has never been very strong, in a country of fierce tribal loyalties. Now as it collapses, Yemen may divide into areas controlled by the Houthis and areas controlled by others, with AQAP free to expand in remote southern and eastern provinces. Some tribes have already made common cause with AQAP in the face of the encroaching Houthi threat. Yemen is close to becoming a failing state; the sort of place where al Qaeda incubates quickly.

Two years ago, AQAP fighters swept through southern Yemen, seizing a number of towns. It took government forces, aided by an aggressive U.S. drone campaign, months to eject them. Now, AQAP may be in a position to strike out again.

U.S. officials say AQAP still poses the most active threat to the homeland and fear it is starting to share its bomb-making know-how with jihadists in Syria, specifically with the Khorasan Group, reputed to be an al Qaeda "A team" based in Syria.

AQAP chief bomb-maker Ibrahim al-Asiri has three times plotted to bring down U.S.-bound aircraft, coming closest to success on Christmas Day in 2009 when a Nigerian recruit attempted to blow up a bomb in his underwear in the skies above Detroit.

Yemen's battle lines are now drawn on much starker Shia-Sunni sectarian lines, echoing recent developments in Syria and Iraq. But in all three countries, there is also a struggle for leadership of Sunni Muslims, between the jihadists like al Qaeda and ISIS and less extreme groups.

In Yemen, the Muslim Brotherhood -- in the shape of the Al Islah Party -- is a powerful group well represented in the transitional government. It loathes the Houthi and has its own militias.

The fighting in Yemen provides an opening to ISIS, which is keen to outflank al Qaeda and prove itself the true defender of the faith. In November, ISIS leader Abu Bakr al-Baghdadi called on Yemeni Sunnis to resist the Houthis.

"Oh soldiers of Yemen ... oh people of support and aid ... people of wisdom and faith ... be harsh against the Houthi rafidah, for they are kuffar apostates," he said in an audio message. "Fight them and overcome them."

Some Yemeni jihadists, including former mid-level AQAP commander Ma'moun Hatem, have already declared their support for ISIS and al-Baghdadi. A fratricidal battle within the broader war for Yemen, the ancestral homeland of Osama bin Laden, may become part of an ever-more chaotic scene.

Yemeni officials have frequently accused Iran of providing financial support and weapons to the Houthis in an effort to control Yemen's Red Sea coast, on one of the world's busiest shipping lanes. President Hadi himself alleged the Houthi were being trained and advised by Hezbollah, the Lebanese Shiite militia.

Saudi Arabia, which provides energy and financial support to Yemen and shares a long border with it, is looking on with growing anxiety, fearful of Shia-dominated states on both its eastern and western flanks.

Inside Yemen, the Houthi appear to be getting help from forces still loyal to the former President, Ali Abdullah Saleh, who clung to power until forced out by international pressure two years ago, handing the reins to Hadi, his longtime vice president.

Saleh has never accepted retirement, despite serious injuries suffered in a bomb attack in 2011. And through an opportunistic alliance with the Houthis, he has clawed his way back onto the scene, infuriating Washington.

In November, the U.S. government imposed sanctions on Saleh, saying "he had reportedly become one of the primary supporters of violence perpetrated by individuals affiliated with the Huthi group."

"More recently, as of September 2014, Saleh reportedly has been destabilizing Yemen by using others to undermine the central government and create enough instability to threaten a coup," the U.S. Treasury Department said.

That threat has now been realized.

Yemen may be poor, but it occupies strategic real estate alongside one of the world's most important shipping lanes. And much of that real estate is now ripe for exploitation by al Qaeda's most effective franchise, as it battles a group that looks for moral support, and maybe more, from Tehran.

As violence flares, 7 things to know about Yemen

@highlight

Houthis, who are Shiite Muslims, have been fighting Yemen's government for years

@highlight

Al Qaeda in the Arabian Peninsula, a Sunni Muslim group, is fighting the Houthis

@highlight

Amid the turmoil, AQAP could expand its power in Yemen, which is on strategic shipping lanes