Atlanta, Georgia (CNN) -- "Tell someone": It's the phrase most often modeled as the first step in stopping bullying.

Experts on the news, researchers and authors repeatedly suggest that victims or witnesses speak to someone about it -- whether it's a classmate, a teacher, parent or friend -- the moment bullying becomes a concern.

But at November's International Bullying Prevention Association (IBPA) conference, I received some pushback when I voiced the "tell someone" maxim. A teacher raised her hand and discussed a study that found that kids who do tell someone don't think adults take the right action afterward. And for a moment, I asked myself, "Then what?"

Bullying has been around as long as schools have; it's far older than Facebook, designer jeans and lunch money. There's not a public school in the country where all the kids are nice in the eighth grade. (In fact, one student who commented on our blog at CNNStudentNews.com wrote that whoever said sticks and stones may break my bones but words will never hurt me "has obviously never been to middle school.") At that age level, we were all insulted or called names; some were shoved into lockers or tripped in the hallway; others weren't welcome at certain lunch tables.

Things are different today. Because of technology, bullies are no longer stopped at the front door; they can follow students to their rooms on their cell phones or online.

Video games have come a long way since Super Mario Bros., evolving from cartoonish characters to (in one popular case) a simulator of terrorism. Family dynamics are constantly changing.

To be fair, I clearly remember fights at my suburban Atlanta high school, but they didn't result from random targeting. We had tears, but they didn't lead to any suicides. Wherever the blame for it lies, today's bullying isn't always a temporary condition to endure. It can be something that, for some kids, doesn't get better and doesn't go away, despite what graduates tell them.

This is why it is crucial, according to educators and counselors at the IBPA, that students themselves are involved in finding solutions to bullying. It's their school, after all; they represent the majority. It is the students who can speak to a schoolwide survey, for example, that asks what teachers and administrators have done to make the school better -- and what the students themselves have done to make the school better.

It is the students who can suggest ideas for reducing the problem, and even if they're not feasible, they can lead to discussions about solutions that are.

So this isn't simply about kids seeing someone get bullied, telling an adult, and then stepping back and waiting for the problem to be fixed overnight. It takes time and student involvement. Kids who witness bullying need to know that they have some power to determine the tide of it: It lies in how they respond.

First, bystanders shouldn't support bullies with attention, laughter or anything that could make them proud of what they've done. Bullies aren't usually bullying out of anger; they're trying to get something they want, like approval or social status. And in general, they need witnesses for that. So bystanders who see bullying should respond in such a way that the bully feels isolated afterward -- not more powerful or popular, not encouraged. Taking away the reward for the behavior can take away the inspiration for it.

Second, witnesses should support the targeted students. Another takeaway from the IBPA conference: Victims who've had someone defend them -- even if was just a single peer -- are better adjusted than undefended victims of bullying. So whether it's through kindness to the victim, discouragement to the bully or alerting a teacher, if a bystander stands up for a victim, the latter will probably have more strength to cope.

We already know what doesn't work when trying to stop bullying. Telling kids not to tattle does nothing to help them work through the problem; telling them that the bully will grow out of it or that people get nicer in high school and in college -- even if that's what we remember happening -- also falls on deaf ears. But empowering bystanders to take action can help alleviate the severity of bullying throughout the school.

The bullies miss their rewards; the victims feel someone's on their side; the witnesses, who make up most of the student body anyway, have a better learning environment.

Should targeted kids and witnesses still report the problem? Of course. But knowing how they can have a hand in its solution can inspire them to be part of it.

The opinions expressed in this commentary are solely those of Carl Azuz.

@highlight

Carl Azuz: The most common remedy for bullying is "tell someone"

@highlight

He says that advice doesn't go far enough

@highlight

Students need to become involved in efforts to stop bullying, he says

@highlight

Azuz: Bystanders shouldn't support bullies or make them proud of what they've done