(CNN) -- NASA's New Horizons explorer is hurtling through space on its way to the outermost reaches of the solar system for a rendezvous with the small, icy "dwarf planet" of Pluto and its five moons.

It's a staggering decade-long, 3 billion mile journey that started with the New Horizons launch in 2006. The space probe is expected to reach Pluto next summer, the only spacecraft to visit it. It's also only the fifth probe to ever journey so far from the sun across such vast reaches of space, according to NASA officials.

New Horizons is reminiscent of another historic undertaking: NASA's Voyager 2 mission to Neptune. Monday marks the 25th anniversary of Voyager's fly-by of Neptune and its moon Triton on August 25, 1989. The mission gave humanity its first close-up glimpse of the eighth planet from the sun and its largest satellite.

Marking the 25th anniversary, NASA has released a global color map of Triton using Voyager's extraordinary footage of the moon and a video of the fly-by. The space agency says the map's colors are a close approximation of the moon's natural colors.

NASA says the image of Triton and video provides a sneak peek of what scientists expect when New Horizons reaches Pluto.

"Although Triton is a moon of a planet and Pluto is a dwarf planet, Triton serves as a preview of sorts for the upcoming Pluto encounter," NASA said on its website.

But the space agency also says it expects great differences in the large moon and the dwarf planet.

"Although both bodies originated in the outer solar system, Triton was captured by Neptune and has undergone a radically different thermal history than Pluto. Tidal heating has likely melted the interior of Triton, producing the volcanoes, fractures and other geological features that Voyager saw on that bitterly cold, icy surface."

Pluto, which is slightly smaller than Triton, will likely be very different from Neptune's large moon, but researchers expect the dwarf planet to have similar features to Triton, including internal density and bulk composition, and similarly low temperatures on its frozen surface.

Voyager also discovered atmospheric plumes on Triton, according to NASA.

The discovery, said NASA researchers, made it "one of the active known bodies in the outer solar system, along with ... Jupiter's moon Io and Saturn's moon Enceladus."

Scientists are hoping the New Horizons mission will help establish whether Pluto or its largest moon, Charon, falls into this category.

Space agency officials caution, however, when New Horizons makes its closest fly-by of Pluto on July 14, 2015, "it will not be a replay of Voyager, but more of a sequel and a reboot."

New Horizons is more technologically advanced than Voyager, and it's also exploring a whole new planetary system, so researchers expect to make new discoveries.

Monday, August 25, also marks another milestone anniversary for NASA: Two years ago, Voyager 1 reached interstellar space, defined by Voyager Project Scientist Dr. Ed Stone as "the space between the stars."

@highlight

NASA's New Horizons mission hurtles toward Pluto in historic 3 billion mile expedition

@highlight

New Horizons is set to reach the "dwarf planet" in July 2015

@highlight

NASA marks anniversary of Voyager 2 mission to Neptune and its moon Triton

@highlight

NASA: Voyager 2 mission offers a preview of sorts of New Horizons journey