Oslo, Norway (CNN) -- Anders Behring Breivik, who admits killing 77 people in Norway last summer, gave chilling details at his trial Friday of the gun rampage in which he systematically shot dead scores of young people.

Without apparent emotion, he recounted firing more bullets into teenagers who were injured and so couldn't escape, killing those who tried to "play dead" and driving others into the sea to drown.

Some survivors and relatives of victims in the courtroom wept as they listened to his detailed account of the attack on a youth camp on Utoya Island in which 69 people died.

Breivik is on trial on charges of voluntary homicide and committing acts of terror in the July 22 attacks. He admits carrying out the Utoya attack and a bombing in Oslo that killed eight people.

He boasts of being an ultranationalist who killed his victims to fight multiculturalism in Norway.

Breivik told the court he had made use of lessons learned from al Qaeda in planning his attacks, and was inspired by the Oklahoma City and World Trade Center bombings.

He said one other person knew of his planned attacks, but did not say who that was.

Breivik recounted how he had arrived on Utoya Island by ferry, posing as a police officer and telling security officers on the island he was there to talk to them about the bomb attack.

He told the court he had said to himself, just before he started shooting, "I just don't want to do this."

But then, he said, he thought, "It is now or never."

He considered for a minute, as "100 voices in his head said don't do it." Then he picked up his gun and started shooting.

His first victim was the lone policeman on the island, Breivik said, whom he shot in the back of the head. The second was the manager on the island.

Describing a scene of chaos at a cafe on the island, Breivik told how he shot young people who were paralyzed and could not run away in the head.

He also tried to drive young people into the chilly waters around the island so he did not have to shoot them all, he said. He was shouting, "You shall all die today, Marxists," to scare people into the water, he said.

He then fired at boats that ventured out to try to save some of those in the water, to frighten them away, he said.

Breivik repeatedly tried to call a police chief to give himself up, but no senior officer spoke to him or called him back, he told the court. Concluding that the police did not want him to surrender, he decided to carry on shooting until he was shot himself, he said.

Near the end of his rampage, he spared the lives of a girl and boy that he thought were obviously younger than 16, Breivik said, telling how the boy had burst into tears.

Asked why he had aimed at the head in so many cases, he said it was "natural" when "the goal is to kill."

The first two killings were the hardest, he said. "I knew it was wrong. Taking life is the most extreme action you can do."

Breivik insists the deaths were justified by his mission but told the court he was in a "fight or flight" mode that meant the normal "ethical checks" in his brain seemed to have switched off.

A grim silence, broken only by sobs, filled the courtroom as those present heard his account, some of it in militaristic language.

Breivik earlier said he picked up the idea of wearing a police uniform for the gun massacre on Utoya Island from reading al Qaeda's online "magazine" for followers.

He followed al Qaeda closely from 2006 to 2011 and studied the terror network's "media effect, what they have done wrong, what they have done right ... what it takes," Breivik said.

He told the court he had gained tips from watching documentaries on the conflicts in Iraq and Afghanistan.

Breivik also described how he had taught himself to switch off his emotions as prosecutors quizzed him on whether he felt empathy for others.

"You ask if I have empathy and emotion. ... You could say I was pretty normal until 2006 when I started training ... desensitizing myself through meditation," Breivik said.

"It's about atrocity, barbaric acts. I cannot even fathom what it must sound like to others. I have tried to distance myself from it," he said, speaking of his own actions.

Prosecutors sought to uncover the roots of Breivik's ideas in earlier questioning Friday.

Breivik told the court the issue at stake was freedom of speech, and how nationalists "have been excluded since the Second World War."

He was driven to violence after trying unsuccessfully to get his views on multiculturalism heard, he said.

"I had tried all peaceful means. I have personally found that this was futile. I tried to engage myself politically ... write essays and get through to the editors. ... Then there was only one possibility, that was violence," Breivik said.

Asked if he considered his terror attacks to be cowardly, Breivik said it would probably have been "most honorable" to challenge Norway's military to a duel.

"But when you are up against a massive strength, one is forced to do asymmetric warfare, and the only thing you have then is the element of surprise," he said.

His attorney, Geir Lippestad, had warned that Friday's testimony, with its focus on the Utoya killings, was likely to be "the toughest day."

Breivik told the court Thursday that he decided to carry out the gun attack on a Labour Party youth camp on Utoya after his initial plan to target a journalists' conference did not work out.

He also hoped to kill former Prime Minister Gro Harlem Brundtland and decapitate her with a knife or bayonet, he said. He planned to film the murder on his iPhone and upload the video to the Internet, he said.

Breivik used the video game "Modern Warfare 2" as training for his shooting, he testified. Players of the game, one of the "Call of Duty" series, work together as soldiers to shoot opponents.

He also went through a period of playing the online fantasy game "World of Warcraft" up to 16 hours a day, he testified.

The trial is expected to last up to 10 weeks.

Breivik's testimony, which is not being broadcast due to a court ruling, follows his declaration Monday that he carried out the massacre but was not guilty because the killings had been "necessary."

Breivik said in court Wednesday that he should either get the death penalty or be acquitted, ridiculing the idea that he would be sent to prison or a mental hospital for his actions. Norway does not have the death penalty.

He boasted Tuesday that he had carried out "the most sophisticated and spectacular political attack in Europe since World War II" when he went on his gun-and-bomb rampage.

Lippestad said it was important to his client that people see him as sane.

Experts have given different opinions about Breivik's sanity, which will be a factor in determining what punishment he receives if convicted. Sentencing options could include imprisonment or confining him to a mental facility.

Most of the victims' relatives did not want Breivik's remarks televised, and presiding Judge Wenche Elizabeth Arntzen rejected Breivik's claim that airing it was a human right.

Court papers indicated the five judges hearing the case did not want the trial to become a platform for Breivik to air his political views, or for them to distract from the legal issues involved.

Breivik has said his rampage was meant to save Norway from being taken over by multicultural forces and to prevent ethnic cleansing of Norwegians.

In a 1,500-page manifesto attributed to him, Breivik railed against Muslim immigration and European liberalism -- including the ruling Labour Party, which he said was allowing the "Islamification of Europe."

Journalist Olav Mellingsaeter contributed to this report.

@highlight

NEW: Anders Breivik recounts how he shot the injured again so they couldn't escape

@highlight

NEW: He tried to call police to give himself up, but no one took his call, he says

@highlight

Breivik says he learned from al Qaeda methods, Oklahoma and World Trade Center bombings

@highlight

He admits killing 77 people in a gun-and-bomb rampage, calling it "necessary"