(CNN) -- The federal government is recommending changing the amount of fluoride in drinking water for the first time in 50 years.

The Department of Health and Human Services and Environmental Protection Agency are proposing the change because of an increase in fluorosis -- a condition that causes spotting and streaking on children's teeth.

The government is proposing that the recommended amount of fluoride in drinking water be set at 0.7 milligrams per liter of water. The recommended range has been 0.7 to 1.2 milligrams per liter since 1962. The EPA will determine whether the maximum amount of fluoride allowed in water will also be lowered.

Fluoride was first added to water in the United States in the 1940s to help prevent tooth decay in children 8 years and under.

"One of water fluoridation's biggest advantages is that it benefits all residents of a community -- at home, work, school or play," said Health and Human Services Assistant Secretary for Health Dr. Howard Koh.  "And fluoridation's effectiveness in preventing tooth decay is not limited to children, but extends throughout life, resulting in improved oral health."

The Centers for Disease Control and Prevention says dental fluorosis is highest among adolescents between the ages of 12 an 15.  One reason for the increase in fluorosis: Americans now have access to fluoride from a variety of sources, including toothpaste, mouth rinses and prescription supplements, the Department of Health and Human Services says

"Dental fluorosis in the United States appears mostly in the very mild form -- as barely visible lacy white markings or spots on the enamel," The department said in a statement Friday. "The severe form of dental fluorosis, with staining and pitting on the tooth surface, is rare in the United States."

The change is being made now, according to an administration official, because the current range is out of date. He said that in the 1960s, when fluoridating water began, air conditioning was much less common. So children in hotter regions drank more water and needed lower levels of fluoride to protect their teeth, while children in colder climates drank less water and needed higher levels.

"Now since air conditioning is so common," the official said, "you don't see those differences in consumption, and that's why they're getting rid of the range and recommending one level."

The American Dental Association says the new recommended levels will still reduce tooth decay but minimize fluorosis. The group says it continues to support fluoridation of community water as a safe and effective way to prevent tooth decay.

"This is a superb example of a government agency fulfilling its mission to protect and enhance the health of the American people," said ADA President Dr. Raymond F. Gist. "We have always looked to the federal health agencies to guide us on this and other public health matters, and we will continue to do so. We applaud the Department of Health and Human Services for reaffirming the safety and efficacy of optimal community water fluoridation, with science on their side."

The Environmental Working Group, a nonprofit organization whose goal is to protect public health and the environment, says it has been pushing governmental officials to reduce fluroide levels for years.

"We've had to wait too long, but the government's official, belated -- and perhaps begrudging -- announcement marks its recognition that fluoride policies have been out of step with the science on the tap-water additive's toxicity to children, and that many American children are at risk from excess fluoride in drinking water and other sources," said Jane Houlihan, senior vice president for research at the Environmental Working Group.

"Since 2005, EWG has been calling on federal agencies to respond to these findings, which come from National Academy of Sciences and many others, documenting that excess fluoride exposure poses dangers that range from discolored teeth to potential hormone disruption and neurotoxicity. HHS has taken an important first step. Now it's up to water utilities to respond and for the EPA to lower its high, legal limit on fluoride in drinking water, which is more than five times higher than the new maximum recommended amount."

The recommendations have been submitted to the Federal Register for a 30-day public comment period. The final version is expected this spring.

@highlight

There has been an increase in a condition called fluorosis

@highlight

It causes spotting and streaking on children's teeth

@highlight

The ADA says the new levels will still reduce tooth decay but minimize fluorosis

@highlight

Fluoride was first added to U.S. drinking water in the 1940s