Exactly a year ago, more than 1,000 people lost their lives when a nine-story factory building collapsed suddenly in Dhaka. It was one of the darkest days in Bangladesh's recent history.

The majority of those killed or injured were garment workers, but they represented just a fraction of the hundreds of thousands of people employed in hundreds of factories dotted around the Bangladeshi capital.

Unfortunately, the Rana Plaza catastrophe on April 24, 2013 was not unique. Only five months earlier, 117 workers died when a fire ripped through the Tazreen clothing factory on the outskirts of Dhaka.

The Rana Plaza disaster in Dhaka's Savar district did, however, spark an international outcry about the conditions millions of Bangladeshi workers endure each day: Those who were killed spent their last moments working for a pittance, manufacturing clothes for major global brands in appalling conditions.

As a result, the Bangladeshi government, along with international organizations and foreign retailers, pledged to compensate victims' grieving families and improve the state of factories across the country.

A year on and those efforts are continuing though many promises remain unfulfilled. Safety measures are being improved and more stringent standards are being introduced. However, compensation to victims' families remains shrouded in uncertainty.

"The incident was a wake-up call," Farah Kabir, country director for British charity ActionAid told CNN. "Efforts are being taken on different levels in terms of safety and other related matters. But in terms of the rights of workers, that issue is unsolved. It has been one year and there is no coordinated plan to provide compensation."

Empty promises?

After widespread criticism of workers' rights, the government revised its labor laws. Under the Bangladesh Labor (Amendment) Act, workers no longer need approval from employers to form trade unions, and every factory that sells within the country also has to pledge 5% of their profits toward a workers' welfare fund. The government also boosted minimum wages from $38 to around $68 per month.

Yet for many thousands of families affected by the 2013 disaster, there is little or no respite.

Najneen Akter Nazma and her husband, Jewel, were employed in two different garment factories located at Rana Plaza. When the whole building came crashing down that morning, Nazma, who was pregnant with her first child, was pulled out of the rubble by a rescuer. But Jewel wasn't as fortunate.

Support from charity organizations helped Nazma pay the medical bills, while the meager government aid enabled her to cover her husband's funeral costs. Now she struggles to make ends meet.

"Compensation! What's that? I haven't received anything yet, not even for my son," she told ActionAid after the tragedy.

According to Nazma, even individual donors have stopped sending money. "Who cares about a dead man in such a country where the living people even cannot enjoy their rights?"

Nazma's story resonates with many other survivors interviewed by ActionAid. According to a recent survey carried out by the charity, 74% of 1,436 survivors of the disaster who were interviewed continue to nurse their injuries and their ongoing trauma. A small number claim they have been refused jobs in other garment factories because they say employers are reluctant to hire them amid fears they might engage in labor activism.

Disagreements continue between the government, factory owners and foreign retailers over who should contribute to compensation, with observers suggesting this would be an admission of guilt. This has further slowed the disbursement of claims.

"There has been haphazard financial aid -- some coming from employers, some from the prime minister's fund. There is no coordination," says ActionAid's Kabir.

She says only $3 million of the $16 million set aside in the prime minister's fund had been distributed, as of a month ago.

Following the disaster, international organizations and trade unions pledged a fund of $40 million to aid those affected. The International Labour Organization is running this trust fund, and payments from it will be released to the victims by a claims process.

However, according to a joint statement released by global trade unions IndustriALL and UNI, along with the labor rights network Clean Clothes campaign, the fund has been able to raise only a third of that amount so far. Only half of the 29 global brands and retailers that sourced garments from the factories in the plaza have contributed to this fund, including Loblaw, Bonmarche, Mango and Premier Clothing.

"Nearly all brands have failed to make a significant enough contribution and we are calling on them to increase their donations immediately," the statement said.

One of the biggest contributors, British fashion chain Primark is also offering long-term compensation amounting to $9 million for the workers employed in factories producing garments for the company. The brand's website says payments began last month and the whole process will be completed by June this year.

Safety standards

At present Bangladesh has less than 200 qualified inspectors and officials have said it will take at least five years to check working and safety conditions in all factories. In February, the government issued orders to increase the number of labor and factory inspectors to 575.

Two initiatives introduced last year have tried to improve conditions for employees in the $20 billion dollar garments industry in Bangladesh. One pact -- the Bangladesh Accord for Fire and Building Safety is a legally binding initiative that mandates signatory companies to undertake inspections of garment factories as well as training of workers.

So far, 150 companies have signed the accord, including European retailers like H&M and Benetton. The Alliance for Bangladesh Worker Safety is a voluntary, industry-sponsored agreement to provide similar measures. It includes 26 brands, all of them American or Canadian, among them Wal-Mart.

The Alliance has inspected 400 of the 640 factories used by the organization's members, a process it plans to complete by July, while the Bangladesh Accord plans to inspect a total 1,500 factories by September for electrical, fire and building safety.

Inspections have so far revealed an unflattering picture.

"There is not one factory that doesn't need improvement," says Ian Spaulding, senior adviser to the Alliance. "The majority of them do not have the necessary protection to prevent fire hazards -- a sprinkler system, fire doors, adequate water capacity to suppress fire."

The Alliance has ordered one factory to be shut down and recommended the closure of another.

However, efforts to implement stricter measures are drawing the ire of garment factory associations and trade unions, who say the industry doesn't have the necessary infrastructure nor the finances to adhere to these standards. Others are concerned about the loss of income to workers if the factories close down for renovation.

Turning pledges into action

Several solutions are being suggested by the two groups and foreign retailers: Allowing garment manufacturers in the country easy access to loans, giving businesses tax holidays to help them renovate factories, and compensating workers for any loss of income incurred due to the temporary suspension.

The garment industry is Bangladesh's largest export earner. Many fear worker safety issues are all too often ignored in the interests of greater trade, with some alleging that during any crises the national garment industry association sides with the owners.

Following the incident, Prime Minister Sheikh Hasin told CNN that she wasn't worried about international companies stalling their business in the country. "Investors have tapped into the Bangladeshi market not just because of its high-quality workers," she said. "They get cheap labor. That's why they come here."

According to Kabir, there needs to be coordinated efforts and accountability from all stakeholders -- the government, factory owners and retailers. Otherwise, "Rana Plaza like Tazreen will be forgotten," she says.

"This past year, we have seen a lot of pledges from brands, manufacturers and the government.  We need to see them translate that into action, transaction and political commitment."

WATCH: Go inside a Bangladeshi garment factory

@highlight

Over 1,000 garment workers died and thousands were injured in the building collapse in Dhaka, Bangladesh last year

@highlight

Only one-third of the $40 million compensation fund for families of those affected has been collected so far

@highlight

Inspection of the garment factories reveal lack of adequate safety standards in most of them