London, England (CNN) -- Daily doses of vitamin B can halve the rate of brain shrinkage in elderly people with mild cognitive impairment (MCI), which can be a precursor to Alzheimer's, researchers at Oxford University said Thursday.

The two-year clinical trial is the largest to study the effect of vitamin B on MCI and one of the first disease-modifying trials in the Alzheimer's field to show positive results, the researchers said.

The study followed 168 volunteers with mild memory problems, half of whom took a high-dose vitamin B tablet for two years and the other half who took a placebo.

Around one in six people age 70 and older has MCI and experiences problems with memory, language, or other mental functions, but not to a degree that interferes with daily life, the researchers said. Around half of those with MCI develop dementia, mainly Alzheimer's, within five years of diagnosis.

Certain B vitamins such as folic acid, vitamin B6 and vitamin B12, are known to control levels of the amino acid homocysteine in the blood. High levels of homocysteine are associated with an increased risk of Alzheimers.

Researchers used MRI scans to measure the rate of brain shrinkage over a two-year period. They found that on average, the brains of those taking a tablet that combined folic acid and vitamins B6 and B12 shrank at a rate of 0.76 percent a year, while those in the placebo group had a mean brain shrinkage rate of 1.08 percent.

Those with the highest levels of homocysteine benefited most, with atrophy rates on treatment that were half of those taking the placebo, researchers said.

Because the rate of brain shrinkage is known to be more rapid in those with MCI who go on to develop Alzheimer's, it is possible that the vitamin treatment could slow down the development of the disease, they said.

The researchers cautioned, however, that the relatively small number of participants and the short time span of the study meant more research is needed.

"These are immensely promising results, but we do need to do more trials to conclude whether these particular B vitamins can slow or prevent development of Alzheimer's," said David Smith of the Department of Pharmacology at Oxford and a co-leader of the trial. "So I wouldn't yet recommend that anyone getting a bit older and beginning to be worried about memory lapses should rush out and buy vitamin B supplements without seeing a doctor."

The study was co-funded by the Alzheimer's Research Trust, a British research charity. Chief Executive Rebecca Wood said the results are important but also said they require further study.

"The strong findings must inspire an expanded trial to follow people expected to develop Alzheimer's, and we hope for further success," she said.

The Alzheimer's Association also raised concerns about the study noting the small size, the fact that it was conducted at a single research center and that one of the researchers involved has patents in this area and might, under certain circumstances, result in his financially benefit.

"I don't think age was an issue in the effectiveness of the intervention, in this study. Homocysteine levels were. Only people with elevated homocysteine in the study showed benefit from the intervention. People with the lowest homocysteine levels in the study saw no benefit. So, B vitamins -- if it shown to be effective in further studies -- are unlikely to be beneficial for everyone, particularly if you already have healthy homocysteine levels," said William Thies, chief medical and scientific officer of the Alzeimer's Association.

"Clearly, this is not enough data to go on. No conclusions can be drawn from this single study about use of B vitamins in MCI (or Alzheimer's disease or related dementias). No recommendations can or should be made to doctors or the public regarding use of B vitamins based on this study. No clinical or personal habits should be changed as a result of this article."

The findings were published in the September issue of PLoS ONE, the journal of the non-profit Public Library of Science.

The trial was supported by grants from Charles Wolfson Charitable Trust, Medical Research Council, Alzheimer's Research Trust, Henry Smith Charity, Thames Valley Dementias and Neurodegenerative Diseases Research Network of the National Institute for Health Research, John Coates Charitable Trust, Sidney and Elizabeth Corob Charitable Trust, and Meda AB/Recip AB, which also donated the vitamin and placebo tablets.

@highlight

Vitamin B could halve the rate of brain shrinkage in those with mild cognitive impairment

@highlight

MCI can be a precursor to Alzheimer's and other forms of dementia

@highlight

The benefits of certain B vitamins are already known

@highlight

Researchers caution that further and larger studies are needed to confirm the results