Washington (CNN) -- President Barack Obama signed a two-month extension of the payroll tax cut Friday, ending what had been a heated political stalemate and sealing a hard-fought win for Democrats on an issue -- taxes -- that has historically favored the GOP.

Earlier in the day, the measure cleared the Democratic-controlled Senate and the Republican-controlled House of Representatives by unanimous consent, a procedural move allowing the measure to pass even though most members of Congress were already home for the holidays.

"This is some good news just in the nick of time," Obama said shortly before departing the White House for Hawaii. But "we have a lot more work to do. This continues to be a make-or-break moment for the middle class in this country."

Among other things, the $33 billion bill also includes a two-month extension of emergency federal unemployment benefits and the so-called "doc fix," a delay in scheduled payment reductions to doctors who treat Medicare patients.

Congress will consider a longer extension of all three measures when it reconvenes in January.

Obama also signed a separate appropriations bill funding the government through September 2012, wrapping up a legislative year marked by repeated partisan brinksmanship and declining public approval of a seemingly dysfunctional Congress.

Political analysts believe the showdown over the payroll holiday extension has eroded Republican strength on the party's core issue of lower taxes. While GOP leaders first questioned the merit of the tax holiday and then complained that a short-term extension would be more trouble than it's worth, Obama used the standoff to portray the Republicans as defenders of the rich with a callous attitude toward the burdens of the middle class.

The episode also called into question Speaker John Boehner's control over the House Republican caucus. The speaker, according to multiple accounts, initially favored the two-month extension, which had passed the Senate with an overwhelming bipartisan majority. He was then apparently forced to retreat from that position last weekend in the face of a tea party-fueled revolt in which freshman conservatives in particular demanded an immediate 12-month extension.

In a virtual party-line vote, the House on Tuesday passed a measure calling for the creation of a House-Senate conference committee to consider ways to pay for an immediate year-long continuation. But congressional Democrats and administration officials, noting previous legislative maneuvering over the issue and a looming December 31 deadline, called the House's terms unrealistic and refused to budge.

Top Senate Republicans were also enraged by the actions of their House counterparts, believing that House GOP leaders had backed out of a deal to support the temporary two-month plan. Senate Minority Leader Mitch McConnell, R-Kentucky, was among those who ultimately called for House Republicans to relent.

Facing rising Republican establishment fears that the GOP was squandering its political advantage on taxes, the speaker again reversed himself on Thursday, this time essentially consenting to the Senate's terms.

According to GOP sources, Boehner held a conference call Thursday afternoon with his fellow House Republicans in which the speaker refused to allow any members to ask questions or raise objections. One Republican House member on the call described the speaker as "tired and ticked off."

Boehner, in announcing the deal to reporters later in the day, insisted the House GOP's prior opposition to the Senate plan was the right thing to do, even if it turned out to be politically questionable.

"It may not have been politically the smartest thing in the world," the Ohio Republican conceded, but the end result was "we were able to fix what came out of the Senate."

Boehner also acknowledged the pressure he was under, saying: "I talked to enough members over the last 24 hours who say we don't like the two-month extension and if you can get this fixed, why not do the right thing for the American people even if it's not exactly what we want."

The final bill is virtually same Senate proposal House Republicans rejected earlier this week. House Republicans were given slim political cover through the addition of legislative language designed to ease the administrative burden on small businesses implementing the plan, as well as a commitment to continue negotiations on a one-year extension of the tax cut and other benefits.

Under the deal, the payroll tax will remain at the current 4.2% rate instead of reverting to the 6.2% rate it was at before the cut enacted last year. Without congressional action, the higher rate would have returned in 2012, meaning an average $1,000 tax increase for 160 million Americans. The typical worker's take home salary would have been reduced by about $40 per pay period without the tax cut.

Analysts said Boehner had little choice but to back down.

"It became increasingly obvious he had to fold," said CNN Senior Political Analyst David Gergen, using poker terminology. Boehner was under "intense pressure from senior Republicans" over a situation that "became so botched," he said.

Darrell West , the vice president and director of governance studies at the Brookings Institution, said the issue has worked in the favor of Democrats because they had Republicans "seemingly willing to accept a tax increase" by opposing the Senate extension of the payroll tax cut.

The conservative Wall Street Journal, in an editorial earlier this week, warned that House Republicans had lost the political advantage of advocating tax cuts to Obama and the Democrats.

Some tea party Republicans, however, are now livid that Boehner backed down.

"The House has caved yet again to the President and Senate Democrats," freshman Rep. Tim Huelskamp, R-Kansas, said in a written statement. "We were sent here with a clear set of instructions from the American people to put an end to business as usual in Washington, yet here we are being asked to sign off on yet another gimmick. No wonder the American people are left with a bad taste in their mouths when it comes to Congress."

Asked about Boehner's performance, Huelskamp later told CNN he was "disappointed in our entire leadership team." While the congressman told Wolf Blitzer he didn't anticipate a conservative revolt against Boehner, he did expect "a lot of discussion" about what the GOP stands for.

A number of Republicans have said the party should have declared victory after winning an agreement by Obama -- as part of the larger tax cut package -- to make a decision within the next 60 days on whether to proceed with the proposed Keystone XL oil pipeline from Canada to the Gulf of Mexico. Republicans and some Democratic union leaders say the controversial pipeline will create thousands of new jobs; critics question its environmental impact.

CNN's Jessica Yellin, Ted Barrett, Dana Bash, Kate Bolduan, Lisa Desjardins, Matt Hoye, Xuan Thai, Brianna Keilar and Deirdre Walsh contributed to this report

@highlight

Obama signs 2-month payroll tax cut extension

@highlight

House GOP's defeat raises new questions about Boehner's leadership

@highlight

The House and Senate passed the bill by unanimous consent

@highlight

The procedural move allowed the measure to pass even though most members have left town