(CNN) -- When Hallie Leighton received the letter from her doctor with the results of her recent mammogram, she opened it tentatively, afraid of what it might say. Her mother and grandmother had both had breast cancer, and she didn't want to suffer the same fate.

She was relieved, then, when she read this sentence: "We are pleased to inform you that the results of your recent breast imaging examination on 04/16/2009 are normal."

A year later, during her annual visit to her gynecologist, Leighton's relief turned to shock.

"My doctor felt a lump, and it was so big, she asked me if I'd gotten implants," Leighton, 39, remembers. "I said no, I don't have implants, and she had me feel it. The whole top of my breast was hard."

The lump was cancer and it was large -- between 6 and 9 centimeters -- and the disease had already spread to her spine. Leighton says her breast surgeon told her the tumor was probably there when she'd had the mammogram the year before.

Leighton wondered how the mammogram might have missed a tumor so large. Months later, when she saw the report from the radiologist who'd read the mammogram, she got her answer.

Toward the end of the report, the radiologist made this note: "The breasts are extremely dense, which lowers the sensitivity of mammography." In layman's terms, this meant Leighton's breast tissue was so thick with fibrous tissue and milk ducts that it was hard to see any cancers that might be there.

"Think of the breast as the sky," explains Dr. Mark Helvie, the chief of breast imaging at the University of Michigan Health Center. "On a clear day, you can see objects in the sky. But when a breast is dense, it's like a foggy day. There are objects in the sky, but you can't see them."

One woman's breast cancer milestones

Not only is it hard to see cancers on a mammogram of a dense breast; just having dense tissue makes you more likely to get breast cancer, Helvie adds.

"I wish I had known all this before," Leighton says. "This was a very important piece of information."

Unfortunately, Leighton's story isn't unusual, says Courtney Bugler, spokeswoman for the Young Survival Coalition, a group of young breast cancer patients and survivors.

"We hear about situations like this all the time," Bugler says. "Mammograms are not a perfect screening tool -- far from it -- but for young women especially, they are often not helpful at all."

Here's how to know when a mammogram might not be enough for you.

1. If you have a strong family history of breast cancer, get an MRI.

The American Cancer Society recommends that women with a strong family history of breast cancer get an MRI and a mammogram.

The group also recommends MRIs (in addition to mammograms) for women with a BRCA gene mutation, or for women whose parent, brother, sister or child has a BRCA gene mutation. Helvie also recommends getting a digital mammogram, as they are more accurate than a film mammogram.

If your insurance company won't pay for it, you can appeal the decision, noting the recommendation to get one from your doctor and from the Cancer Society.

If you don't have insurance, contact the National Breast and Cervical Cancer Early Detection Program, the YWCA and your local chapter of the Susan G. Komen Foundation for help finding free or low-cost screening.

2. Get a copy of your mammogram report.

As Leighton learned, a letter saying your mammogram is normal isn't always enough. Ask either your gynecologist or the radiologist who performed the mammogram for a copy of the actual report, and then check it to see if there's a notation about the density of your breasts.

3. If you have dense breasts, consider having an ultrasound or MRI

The American College of Radiology recommends that women with dense breast tissue get an MRI.

The American Cancer Society says that for women with dense breasts, getting either a mammogram and an ultrasound or getting a mammogram and an MRI can be more effective than getting a mammogram alone.

Again, if your insurance company won't pay for an ultrasound or an MRI, appeal the decision, noting your doctor's recommendation to have one plus the information above.

4. Look for your BI-RADS score.

Your radiology report should include a BI-RADS score, which indicates how likely you are to have breast cancer. A "1" on this scale means your mammogram showed no cancer, and a "5" means the mammogram is highly suspicious for cancer.

"Often, a radiologist letter might say everything is fine, when in fact the BI-RADS score might suggest coming back sooner or being followed more closely," Bugler says.

5. Talk to your radiologist.

Usually, a woman never meets the person who reads her mammograms, but you certainly can try.

"I no longer leave my mammograms without speaking to the radiologist personally," says Bugler, whose breast cancer was diagnosed when she was 28. "I ask the doctor to come out and tell me to my face that everything is fine."

Leighton, who's being treated for her cancer, says it's still not clear to her why her doctors failed to recommend she have an MRI despite her dense breasts and her family history. She says her radiologist and her gynecologist knew that her mother, grandmother, aunt, great-aunt and cousin had had breast cancer. In addition, her other grandmother had ovarian cancer, which is genetically linked to breast cancer.

She now wishes she'd asked more questions and used another method of breast cancer detection: her hands.

"That's how my cousin found her breast cancer -- she's an advocate now and even made a video about it," Leighton says.

"In my 20s, I was vigilant about doing my breast exams, but I'd fallen out of the routine," she says. "There's a tendency to forget that we have a tool right at our disposal."

CNN's Sabriya Rice contributed to this report.

@highlight

If breast cancer runs in your family, get a mammogram and an MRI

@highlight

Consider getting an ultrasound or an MRI if your breasts are considered dense

@highlight

Ask the person who performed the mammogram for a copy of the radiology report