The Senate Intelligence Committee voted Thursday for the public release of key parts of a report on the notorious CIA detention and interrogation program launched after the 9/11 terrorist attacks.

A final decision on declassifying the information now rests with the White House, and it was unclear how long such a process would take.

Democratic Sen. Dianne Feinstein of California said the panel she leads voted 11-3 in a closed-door session to declassify the 480-page executive summary and 20 findings and conclusions of the five-year study.

Feinstein called the report's findings "shocking," saying it "exposes brutality that stands in stark contrast to our values as a nation."

"A stain on our history"

"It chronicles a stain on our history that must never again be allowed to happen," she said. "This is not what Americans do."

The committee's ranking Republican, Sen. Saxby Chambliss of Georgia, said he voted to declassify the information in order to move past the politically volatile issue from the GOP administration of former President George W. Bush.

"This is a chapter in our past that should have already been closed," he said.

Two other Republicans on the panel -- Sens. Marco Rubio of Florida and Jim Risch of Idaho -- said they voted against declassification of the report they labeled as "one-sided" and "partisan," adding the public release of the information would fail to end the debate.

Critics of the CIA detention and interrogation program, including President Barack Obama, have called the use of controversial techniques including waterboarding a violation of laws prohibiting torture.

Obama banned the practices when he took office in 2009, after the CIA had already stopped using them.

Defenders say the program started in response to the terror attacks yielded valuable intelligence that led to major victories in the fight against al Qaeda, including the operation that killed Osama bin Laden.

Feinstein said her panel also was sending the full 6,200-page report to the White House for possible declassification sometime in the future.

Usually one of the CIA's staunchest backers, Feinstein has recently lashed out at the agency in a dispute over the committee staff's preparation of the report, which has been complete since 2012.

The CIA has asked the Justice Department to investigate whether Senate staffers violated the law by accessing classified internal information based on the same documents the agency turned over to the Senate for its review.

Spying dispute

Feinstein accused the CIA of snooping on computers used by the Senate staffers, which were in a CIA facility designated for the committee's use.

Her statement Thursday detailed harsh criticism of the CIA in the report, which said "points to major problems with CIA's management of this program and its interactions with the White House, other parts of the executive branch and Congress."

"The release of this summary and conclusions in the near future shows that this nation admits its errors, as painful as they may be, and seeks to learn from them," Feinstein said. "It is now abundantly clear that, in an effort to prevent further terrorist attacks after 9/11 and bring those responsible to justice, the CIA made serious mistakes that haunt us to this day."

In a Senate floor speech last month, Feinstein outlined part of the reason to make the report public.

FBI looks into dispute between CIA, Senate

"The interrogations and the conditions of confinement at the CIA detention sites were far different and far more harsh than the way the CIA had described them to us," she said then.

Current and former officials familiar with the findings say it portrays efforts by CIA officials to burnish internal reports of how effective the program was, even when it was clear that wasn't the case.

The tactics used were approved by legal memos from the Justice Department's Office of Legal Counsel, though several of the memos were later withdrawn as erroneous.

The Justice Department reviewed the conduct of some employees and contractors involved in the program, which the officials say showed excesses beyond those approved by the Justice Department, but declined to bring criminal prosecutions.

Congress misled?

One of those expected to come under criticism in the Senate report is John Rizzo, who was acting general counsel at the agency during the post-9/11 period.

Rizzo, who recently published his memoir "Company Man: Thirty Years of Controversy and Crisis in the CIA," supports declassifying and releasing the Senate report and the CIA's rebuttal "and let people judge."

He disputes the idea that he or any other officials misled Congress, something he said he would have told congressional investigators if they asked for an interview.

"I believed the program yielded valuable intelligence and I continue to believe this. Now, could it have been gotten through other ways? I don't know; that is unknowable," Rizzo said in an interview.

A dozen years later, he added, it was important to recall that CIA employees did the best they could in facing the threat at the time. The program began when Congress and then-President Bush were pushing the CIA and other security agencies to do everything to prevent another attack, which at the time was believed to be very likely.

The CIA in the past has disputed some of the findings of the Senate committee report.

Dean Boyd, a CIA spokesman, refrained from commenting on the report, saying the agency had yet to receive a final copy.

Last month, Obama said he supported the declassification of the committee's report "so that the American people can understand what happened in the past and that can help guide us as we move forward."

What are the CIA and Senate fighting about?

@highlight

The panel voted 11-3 for declassification of some of  the report

@highlight

Intelligence Committee report covers CIA interrogation programs during the Bush era

@highlight

Panel will submit entire report to the White House, which has final say on declassification

@highlight

This is the report that triggered allegations of CIA spying on the Intelligence Committee