Today millions of Egyptians are going to the ballot boxes to decide on a new constitution, the third time they have done so in as many years.

They are voting with high hopes that this referendum will put an end to the bloodshed, social tensions and instability that followed the ouster of the Muslim Brotherhood President Mohamed Morsy in July 2013.

Seen as the lynchpin in the "roadmap" that was declared soon thereafter, the referendum is to be followed by presidential and parliamentary elections. Once these elections are conducted, it is hoped that Egypt's revolution, which erupted exactly three years ago, will have accomplished its goals.

However, hopes that this referendum offers a panacea to Egypt's deep problems are wishful thinking.

The referendum is being conducted under measures that can only be described as draconian. An anti-demonstration law has recently been passed and put into effect with the result that dozens of young activists who were instrumental in the 2011 revolution -- but who continue to be critical of the military -- are now behind bars.

A ferocious publicity campaign urging people to vote "yes" is constantly blaring out of government and private media outlets. Human Rights Watch says seven members of the opposition Strong Egypt party were recently arrested for hanging posters saying "no" to the proposed constitution.

The army is expected to deploy 160,000 troops with thousands of tanks, armored personnel carriers and helicopters to "protect the voting process."

The outcome of the referendum is not in doubt. If the preliminary results of the vote of ex-pat Egyptians who have already cast their ballots are anything to go by, the constitutional draft is expected to pass with an overwhelming majority that may approach 90%.

And it would be a mistake to believe that this outcome is the result only of army manipulation, intimidation and threats. There are millions of Egyptians who are willingly standing behind General Abdel-Fattah el-Sisi -- the Minister of Defense and the mastermind of the roadmap.

Three years into the revolution, they are tired of the political instability, lack of security and deteriorating economic conditions. In el-Sisi they see a savior whom they believe is the only one capable of lifting the country out of its crisis.

Still others have become suspicious of the revolutionary youth whom they accuse of being inexperienced, irresponsible and untrustworthy. But most have been so frightened by the Muslim Brotherhood's brief rule and what they see as its dangerous, undemocratic maverick politics that they decided to give up essential liberty and purchase a little temporary safety.

However, while the outcome of the referendum is assured, so too is el-Sisi's failure to provide either safety or liberty to the millions of starry-eyed Egyptians.

For one thing, Egypt's economy is nearing total collapse, with a recent report by Egypt's Ministry of International Cooperation showing annual growth rates plummeting from 7.2% before the revolution to a mere 2.1% in 2012-2013.

According to the same report, the rate of unemployment rose from 8.4% to 13.2%, and poverty rates worsened -- from 19.6% in 2010 to 25.2% in 2013. Meanwhile, foreign reserves more than halved in the three years of the revolution.

Equally dire is the political situation. While the Muslim Brotherhood is accused of failing fundamental democratic tests while in power, the subsequent hounding, arresting and killing of its members has only given the organization the kiss of life and assured its existence for generations to come.

Economically and politically, therefore, Egypt's problems are of such a depth and complexity that they cannot be solved by force. A political solution is desperately needed, one that el-Sisi and his henchmen seem singularly incapable of offering.

Egypt thus appears to be back where it was in 2011 when its revolution erupted. A military dictatorship seems to be re-establishing itself, and the notorious security forces appear to be back in business, with a vengeance.

Still, as someone who took to the streets in 2011 against Mubarak, and again in 2012 and 2013 against Morsy, I am willing to take to the streets once more against this new military dictatorship that is poised to impose itself with a civilian veneer.

And I know that I will not be alone.

The many Egyptians who have participated in the 2011 revolution; those who have lost loved ones since then; the Muslim Brotherhood supporters who have been brutally suppressed and disenfranchised; and the many more who have become deeply engaged in politics hoping for a better future -- those millions of Egyptians cannot be wished away.

They have become bolder, more vocal and more experienced. At the same time, the military has shown a dismal lack of political tact and strategic vision.

Egypt's revolution, whose tragedy it is to tackle -- at the same time -- the two intractable questions of what should be the proper role of the military in politics and what should be the proper role of religion in politics, is still in its infancy.

The road ahead is long and bumpy. But I have no doubt that the future belongs to us.

@highlight

Egyptians are voting on a draft constitution that would give the military more power

@highlight

The referendum is expected to be followed by presidential and parliamentary elections

@highlight

Khaled Fahmy says Egypt appears to be back where it was at the start of the revolution

@highlight

But he says if a military dictatorship tries to impose itself, street protests will return