(CNN) -- An old wooden carving known as "the Sacred Cod" hangs in the Massachusetts State House.

That figurine has stared down at lawmakers for more than two centuries as a reminder of how important cod fishing has been to New England, where generations have made a living by casting their nets out at sea.

"It's the only job I've ever had," said Al Cattone, a Gloucester fisherman, who -- like his father and grandfather before him -- spent more than 30 years braving the Atlantic's rough waters and cold winds in search of fish.

"It's not so much a job as it is an identity."

But Gloucester, like many coastal towns, now faces the largest cuts ever to the region's commercial fishing industry. An advisory council voted Wednesday to slash cod catch rates by 77% in the Gulf of Maine, a region roughly the size of Indiana that extends from Cape Cod up through Nova Scotia.

That move, analysts predict, is expected to decimate fishing communities across the region and have a domino effect on seafood processors, wholesalers, distributors and retailers who all make a living off the water.

"The impact will be severe," said John Bullard, the regional administrator of the National Oceanic and Atmospheric Administration, who voted in favor of the cuts.

"It wasn't easy, but it was necessary."

A response to low cod stocks, the proposed cuts have left thousands wondering what they will do for work at the start of the fishing season in May.

Scores of fishermen gathered Wednesday in Portsmouth, New Hampshire, to hear the vote of the New England Fishery Management Council, which has since submitted its recommendations to the federal government.

"We're doomed, as they say," said fisherman Dennis Robillard, whose voice wavered as he acknowledged that his boat, the Julie Ann II, is now up for sale.

"I'm getting out. It just doesn't make any sense to me anymore."

The council also voted to cut 55% of cod catch rates in Georges Bank, an expansive area near Cape Cod, which was named by a 17th century British explorer after discovering an abundance of the ground fish.

If approved by the Commerce Department, fishermen catch rates will drop to about 3,550 metric tons of cod in the Gulf of Maine and Georges Bank.

A decade ago, they could net around 20,000.

From the archives: A fishing way of life is threatened

The fish population

Most analysts agree that cod stocks today are nowhere near healthy numbers, though some fishermen say they've netted more cod recently than in the past. Still, the Gulf of Maine has hit only about 18% of target levels, while Georges Bank fared far worse at around 7%, according to NOAA.

A government survey found that Gulf of Maine cod, considered a top earner, were so depleted that even if the fishing industry were to shut down completely, it would still not recover to the levels mandated by federal law by 2014.

And yet, while the stocks haven't replenished fast enough, they have come back, according to two decades worth of NOAA data tables.

"It's more of a management crisis," said Steven Cadrin, a former NOAA scientist and faculty member at the University of Massachusetts Dartmouth.

"There's twice as many cod there compared to the 1990s, but they're still not at the levels we'd like to see them at."

Just a few years ago, the government projected that the area was well on its way to recovery after decades of overfishing. Federal regulators then raised catch rates to nearly five times the sustainable level based estimates now believed to have been far too optimistic.

That, combined with warmer waters, pollution and policies that protect natural predators like seals, have all contributed to fewer fish that triggered the mandatory cuts.

While larger commercial trawlers capable of traveling to more distant fishing grounds are expected to survive, the plan will likely cost most of the region's smaller crews their jobs.

"Fifteen years from now, it'll all be corporate," Robillard said. "The mom-and-pop days are over."

Still, codfish aren't about to become an endangered species, according to Sam Rauch, head of the NOAA's fisheries service. Coming restrictions are about protecting the overall size of the cod population and complying with federal law.

Environmentalists say depleted stocks show the region needs time to recover in order to save it.

But fishermen are furious.

They say the law and its targets are largely arbitrary and argue that murky science surrounding fish estimates has given fodder to those willing to let their livelihoods founder.

In September, the Commerce Department declared the Northeast ground fishery a formal disaster, which raised hopes of economic relief that were later dashed in a trimmed-down relief bill for victims of Superstorm Sandy.

Confronted with possible drops in domestic cod supply, industry analysts say U.S. consumers will likely look elsewhere, importing more from other countries such as Norway and Canada.

But the danger, they say, is a loss of U.S. market share. And for men like Robillard and Cattone, that shift has already occurred.

"I call it the systematic castration of the groundfish fleet," said Cattone.

But the 47-year-old man from Gloucester also said he never gave his son -- who's now in college -- the option to fish in the way that generations of his family had.

"I was afraid he was going to fall in love with it the way I did," he said. "It's a shame, but it's something I knew I had to do."

@highlight

A council voted to slash cod catch rates by 77% in area from Cape Cod to Nova Scotia

@highlight

The move is expected to decimate fishing communities and have domino effect

@highlight

"We're doomed, as they say," said Massachusetts fisherman Dennis Robillard

@highlight

Environmentalists say depleted cod stocks show the region needs time to recover