PHNOM PENH, Cambodia (CNN)  -- Francois Ponchaud was a newly ordained Catholic priest when he arrived in Cambodia in 1965 from a small village in France.

Francois Ponchaud said refugees' accounts of the genocide "went beyond my wildest imagination."

He was sent to do missionary work. But within a decade he would become a crusader against the worst genocide since the Holocaust.

"I was staying by the Cambodian people's side," Ponchaud said, "through the good and the sadness and the suffering."

When he arrived at age 26, Cambodia was a peaceful place: a bucolic land of villages, peasants, rice paddies and Buddhist monks. Ponchaud studied Cambodian history and Buddhism, became fluent in Khmer, made friends and immersed himself in the culture -- falling in love with the country and its people.

But the peacefulness was short-lived.

By 1970, Cambodia was descending into chaos as the Vietnam War spilled across its borders. In the countryside, the Americans were carpet-bombing Vietcong outposts. In the capital, Phnom Penh, Washington was propping up a corrupt government.

From the jungles, a sinister and brutal communist rebel group called the Khmer Rouge was fighting to overthrow Cambodia's U.S.-backed regime.

On April 17, 1975, Phnom Penh fell to the Khmer Rouge. They began to reinvent Cambodia according to an insane blueprint. They emptied the cities, including some 3 million in the capital, forcing all the residents into the countryside -- and toward a dark future.

"As of noon, all the people started leaving," Ponchaud said. "Then I saw all my friends who were leaving. ... There were hundreds of thousands of people who were trudging along a few kilometers an hour. It was truly a staggering sight. Incredible."  Watch Ponchaud describe the exodus from Phnom Penh »

Ponchaud was told to stay at the French Embassy, where thousands fleeing Phnom Penh desperately sought asylum. One of the few foreigners able to communicate with the Khmer Rouge, he spent days at the embassy gate, trying to negotiate.  Watch Ponchaud discuss the significance of the embassy gate »

In the weeks that followed, the Khmer Rouge let him leave the embassy twice. Both times he searched for clues about what was happening in the country. But Phnom Penh was empty.  Read a reporter's notebook of his journey through Cambodia's killing fields »

Ponchaud was expelled from the city in the last evacuating convoy, as the Khmer Rouge forced all foreigners onto trucks and out of the country. At the border, Ponchaud broke down, weeping.

"It was as though we had gone mad," he said. "We were getting out of a country of the living dead."

With the country sealed, the Khmer Rouge went about creating their new Cambodia -- and the killing began in earnest.

The Khmer Rouge envisioned a return to Cambodia's medieval greatness -- a "pure" nation full of noble peasant farmers.

For that, though, they had to purge everyone else: the rich, the religious, the educated, anyone from a different ethnic group.

"All those who were opposed to the government were killed," Ponchaud said. "And all those who didn't work quite hard enough were killed."

Hundreds of thousands were worked -- or starved -- to death. "Perhaps a good chunk -- a solid half -- died from sickness and lack of health care," he said.

By September 1975, Ponchaud was back in France and ready to resume his work. His missionary society in Paris asked him to keep track of events in Cambodia. He quickly became the "go-to" person for Cambodian refugees arriving from Thailand, and he began documenting their stories.

At first, Ponchaud had a hard time believing the accounts of execution, torture, deportation, forced labor and starvation. Read how a Khmer Rouge survivor is documenting the genocide

"They were burning villages ... sending people into the forest without giving them anything to eat," Ponchaud said. "It went beyond my wildest imagination."

Horrified, Ponchaud devised a plan to gather more information: A friend living on the Cambodian border would record and send him broadcasts from Radio Phnom Penh -- the official voice of the Khmer Rouge -- in which the government described its transformation of the country. Read a former Khmer Rouge member's account of the killings

Ponchaud found that the broadcasts substantiated the refugees' claims. As unbelievable as those claims were, the broadcasts told of the same policies. What the refugees were saying was true.

"I decoded the radio -- the official declarations. And then the refugees would give me the 'experienced' side. It matched up," he said. "On one hand, the ideology, and on the other, the lived experience."   Watch Ponchaud describe how he was able to decode the Khmer Rouge ideology »

For months, Ponchaud gathered and documented information, repeatedly denouncing the Khmer Rouge. His testimonials appeared in the French press as early as October 1975.

He also wrote to the president of France and Amnesty International, and appeared before the U.N. Commission on Human Rights.  Watch Ponchaud discuss his efforts to alert people to the genocide »

In 1976, angered by inaccuracies in Le Monde's reporting on the Khmer Rouge, Ponchaud fired off a letter to the newspaper's editor -- along with a dossier of refugee accounts and radio transmissions. He was contacted immediately and asked to write for the newspaper. His articles were published in February 1976.  Watch Ponchaud tell the Le Monde story »

Though few accounts of Cambodia's nightmare were appearing in the press, the U.S. government was receiving frequent briefings about what was happening there. In a meeting in November 1975, then-Secretary of State Henry Kissinger acknowledged the brutality of the Khmer Rouge. But he also knew that they shared an enemy with the U.S. -- Vietnam.

"Tell the Cambodians that we will be friends with them," Kissinger told an official in the region, according to a declassified State Department account. The Khmer Rouge "are murderous thugs," he said, "but we won't let that stand in our way." Read Kissinger's words in the declassified State Department document (pdf)

By 1977, the Khmer Rouge had been in power for two years, and much of the world remained unaware or uninterested. Many who did hear accounts of Khmer Rouge brutality found them hard to believe. Even prominent liberals and intellectuals doubted that a supposedly egalitarian peasant movement would perpetrate such horrors on their own people.

Ponchaud then published a startling book called "Year Zero." It was one of the first to expose the brutal totalitarian regime of the Khmer Rouge to the world. Still, no help came for Cambodia.

"I was pretty frustrated," he said. "The governments did not react. You know, countries don't defend human rights. They are always subservient to politics."

In January 1977, the inauguration of President Jimmy Carter promised a change. Carter vowed to put human rights at the center of U.S. foreign policy. But it would take 15 months for him to publicly condemn the Khmer Rouge as the world's "worst violator of human rights."

Even then he took no action to stop the slaughter. Invasion, he said, was not an option for a country still recovering from the Vietnam War.

Instead, in December 1978, Vietnam invaded Cambodia after years of cross-border skirmishes. The Vietnamese quickly overthrew the Khmer Rouge, who fled back into the jungle.

The world would finally start to see that all Ponchaud had said was true. More than 2 million Cambodians were dead. The scope of the catastrophe quickly became clear. In the fall of 1979, Carter responded, raising $32 million to help the refugees.

Today, Ponchaud is back in Cambodia, continuing his efforts for the Cambodian people, building schools, holding Mass and working on local projects. Often referred to as "the friend of the Cambodians," he is considered an expert on the country. But this time he has no illusions.

"No one defends human rights," he said. "Governments are cold beasts looking out for their own interests."

@highlight

Francois Ponchaud was sent to do missionary work in Cambodia in 1965

@highlight

A priest, he became a crusader against the worst genocide since the Holocaust

@highlight

Ponchaud kept a dossier of refugee accounts and radio transmissions

@highlight

His articles and book helped expose the Khmer Rouge's brutal totalitarian regime