(CNN) -- Let's be clear about this: The embargo on Cuba should have been lifted a long time ago. And yet it's hard to avoid the impression that although President Barack Obama had an overwhelmingly strong hand in negotiations, he played it badly. Badly, that is, for the sake of the Cuban people.

What occurred on Wednesday, and the Obama administration's announcement of a momentous change in U.S. policy toward Cuba, is certainly important to the United States. But it means even more to Cuba -- it is a major landmark in the country's history, one of the most pivotal events since the takeover of the government by Fidel Castro and his band of revolutionary brothers in 1959.

For decades the Castro regime -- first under Fidel and now under his brother Raul -- have made the lifting of the U.S. embargo, "the blockade" as they call it, a centerpiece of their rhetorical arsenal and their principal demand in domestic and international forums. Now, United States has agreed to work toward lifting the embargo and normalizing diplomatic relations.

Yet despite Washington having significant leverage as the Cuban economy teeters and low oil prices threaten to sever its Venezuelan lifeline, the United States secured virtually no meaningful concessions.

Cuba remains one of the world's most politically oppressive countries. At the very least, therefore, the agreement to restore relations should have included substantial commitments on Havana's part to relax the state's grip. But it did not.

Of course, the release of the unjustly incarcerated Alan Gross is welcome. But his release should have been viewed not as a bargaining chip, but as a prerequisite to any deal at all. Instead, there was a separate exchange of spies, which Cuba treated as a major victory. The only concession that has been reported upon is Havana's agreement to release about 50 imprisoned dissidents. This leaves millions of Cubans still under the thumb of a repressive state.

With that in mind, the main goal of U.S. policy toward Havana should be helping the Cuban people live in prosperity and freedom, able to enjoy the benefits of modernity, complete with the right to free expression and participation in the global economy. By beginning to lift the embargo, material conditions in Cuba are likely to improve -- and that is most welcome -- but the process of introducing political freedoms may or may not advance.

It's not surprising that the agreement was judged with skepticism by many pro-democracy activists in Cuba. The dean of Cuban dissidents, Elizardo Sanchez, reportedly declared, "Castrismo has won." He welcomed the renewal of dialogue but told Radio France Internationale he foresees no improvement in human rights as the result of the deal.

The leader of the opposition group Ladies in White, Berta Soler, called Obama's decision a mistake, adding that "democracy and freedom for the Cuban people aren't going to be achieved by what Obama has given to the Cuban government."

Barely a week ago that repression was in full view of the Cuban people and a smattering of foreign journalists in Havana. On December 10, Human Rights Day, a familiar scene unfolded in Havana as authorities took away would-be peaceful demonstrators before they had a chance to assemble even in small numbers. At least 240 people were arrested, according to one dissident group.

Human Rights Watch, for its part, says the government continues to use beatings, public shaming and intimidation against regime critics, adding that arbitrary arrests have "increased dramatically in recent years."

Indeed, I've witnessed such incidents myself over the course of at least a dozen trips to Cuba over the years, watching plainclothes agents and regime thugs beat up anyone even daring to utter the word "democracy."

True, not everyone in Cuba is pessimistic. Many of those who have struggled under grinding economic difficulties understandably just want to see their standard of living improve, and there is excitement on the island and hope that major economic changes could be around the corner. Yet welcome as improving economic well-being is, it would be tragic if this unique chance to usher in freedom is lost.

The sight of Raul Castro -- the aging, unelected Cuban leader -- wearing his military uniform as he announced on television that Washington and Havana will restore ties "without renouncing any of our principles" reminded me of a conversation I had with a Cuban Ministry of Foreign Affairs official back when communist regimes were collapsing around the world.

He told me that he thought Cuba would seek to follow a Chinese model, meaning that like China's Communist Party, the Cuban regime would try to keep its grip on power, even if its socialist economic model is conclusively proven to have failed.

Will Cuba choose that path? Certainly, Obama had the opportunity to nudge the country off this course, and instead toward freedom. In fact, it is not too late for his administration to do so.

So, as the United States moves to dismantle the old, failed embargo, let's hope it plays its hand with greater skill on behalf of the Cuban people moving forward, and extracts from the government verifiable progress on human rights and individual freedoms. It is time to help Cuba and its people rejoin the modern world.

@highlight

Frida Ghitis: Embargo on Cuba should have been lifted a long time ago

@highlight

But President Barack Obama squandered a strong negotiating hand, Ghitis says

@highlight

The U.S. secured virtually no meaningful concessions from the Cuban regime, she says

@highlight

Ghitis: It would be tragic if this unique chance to usher in freedom is lost