(CNN) -- Close to a dozen countries, including the United States, announced Tuesday they were expelling Syrian diplomats in a coordinated move reflecting the international outrage about a massacre in the town of Houla.

A U.N. official said it's "clear" that Syrian government forces were involved in the massacre, which left more than 100 people dead, nearly half of them children.

A "fairly small number appear to have been killed by shelling, artillery and tank fire which took place over a period of more than 12 hours," said Rupert Colville, a spokesman for the U.N. human rights office.

Should the U.S. 'airdrop' millions of phones into Syria?

The majority appear to have died as a result of "summary executions" by "armed men going into houses and killing men, women and children inside," he said.

"What is clear is government forces were involved. They were shelling, using tanks and artillery. And it appears to be Shabiha militia (a government militia group), entering houses and slaughtering people in what is really an abominable crime that took place throughout the day on Friday."

Syria has denied being behind the killings, insisting that "terrorists" carried them out. Syrian officials said the government would investigate.

The bloodshed continued Tuesday, when at least 72 people were killed across the country, including nine children and two women, the opposition Local Coordination Committees of Syria said.

Syria said 21 "army and law enforcement martyrs" were buried.

Children shot, knifed, axed to death in Syria's Houla massacre, reports say

The Netherlands, the United States, Australia, Great Britain, France, Germany, Italy, Spain, Bulgaria and Canada all announced Tuesday that they were expelling some Syrian diplomats. In some cases, it was just the ambassadors; in others, numerous diplomats were expelled.

The U.S. State Department decided to expel the Syrian charge d'affaires, two State Department officials told CNN. Zouheir Jabbour was called to the department Tuesday morning and told he and his family had 72 hours to leave.

He has been the top Syrian envoy in the United States since the ambassador, Imad Moustapha, was called back to Syria in October in a response move after the United States said it was pulling its ambassador out of Syria.

"We hold the Syrian government responsible for this slaughter of innocent lives," State Department spokeswoman Victoria Nuland said in a statement Tuesday. "This massacre is the most unambiguous indictment to date of the Syrian government's flagrant violations of its U.N. Security Council obligations ... along with the regime's ongoing threat to peace and security."

White House spokesman Jay Carney was even more emphatic.

"This weekend's massacre is a horrifying testament to this regime's depravity. The international community is united in its revulsion at the regime's actions through both its military and its thug forces, and we are ratcheting up the pressure on and isolation of this murderous regime," he said.

Sen. Bob Carr, Australia's minister for foreign affairs, said in a statement, "The Syrian government can expect no further official engagement with Australia until it abides by the U.N. cease-fire and takes active steps to implement the peace plan agreed with Joint Special Envoy Kofi Annan."

The Spanish Foreign Ministry said it was declaring the ambassador persona non grata and expelling four other diplomats "for the unacceptable repression carried out by the Syrian regime on its population."

But Annan, envoy for the United Nations and the Arab League, took a markedly different tone after meeting with Syrian President Bashar al-Assad.

While he said he "conveyed in frank terms the grave concern of the international community about the violence in Syria, including the recent shocking events in Houla," he also said that Syria's vow to organize its own investigations "is very encouraging."

He also said he "expressed appreciation for the cooperation of the Syrian government, which enabled the U.N. to deploy an observer mission to Syria, quickly."

"We are at a tipping point. The Syrian people do not want the future to be one of bloodshed and division. Yet the killings continue and the abuses are still with us today," Annan said, according to a statement released by his office. He said he appealed to al-Assad "for bold steps now -- not tomorrow, now -- to create momentum for the implementation of the plan."

"I also appeal to the armed opposition to cease acts of violence," he added.

Talking to reporters in Damascus, Annan was asked what he thought would happen in Syria if the peace plan was not implemented.

"If the plan is not implemented, I would worry for the future of Syria. I would worry about stability in the country. ... If we do not (implement the plan), may God help us," he said.

"Words are wonderful, but action is better. What is important is demonstrate through action a real commitment to the plan and this is what the international community is asking for now: action, not words," he said.

Al-Assad told Annan that "terrorist groups" have escalated operations, including killings and kidnappings, in recent days, and he stressed the urgency of getting countries that are "financing and harboring terrorist groups" to commit to Annan's plan, Syrian state-run TV reported.

Residents in Houla say Syrian regime forces terrorized the town, a suburb of the anti-government bastion of Homs.

An 11-year-old survivor recalled his experience.

"They were talking to my mom. I'm not sure what happened but they shot her five times. They shot her in the head. Then he turned and shot my sister, Rasha, in the head. Then he shot my brother, Nader, in the neck and back," the boy said.

'SNN,' YouTube help amplify voices in Syria

Months of diplomatic efforts and economic sanctions have yet to quash the violence, and anger over perceived inaction by world leaders boiled over after the Houla massacre, which the United Nations said left 108 people dead.

Opinion: Only Russia, China can stop carnage in Syria

Horrific images of dozens of mutilated children's corpses in Houla prompted a rare moment of unity Sunday from the U.N. Security Council.

Even Russia, the staunchest defender of the Syrian regime on the council, signed on to a statement that condemned the Syrian government for its "outrageous use of force against (the) civilian population."

Russian Foreign Minister Sergei Lavrov, in a conversation with Annan, "expressed grave concern about the tragedy in Houla and emphasized that all sides in Syria must give up violence in order to avoid similar incidents in the future," according to a statement from the ministry. "An objective and independent investigation of all circumstances of the tragedy must be done under the U.N. Mission in Syria," the statement said.

Yet few Middle East watchers predict the Houla massacre will break the diplomatic deadlock that has cemented itself around Syria for a year.

Timeline: Syria -- How a year of horror unfolded

Unlike in Libya, where NATO-led airstrikes contributed to deposing longtime ruler Moammar Gadhafi, al-Assad has powerful regional allies in his corner: Iran, Russia and, to an extent, China.

Syria also has "five times more sophisticated air defense systems than existed in Libya, covering one-fifth of the terrain," Chairman of the Joint Chiefs of Staff Gen. Martin Dempsey testified before Congress in March.

But a former Syrian general said the country's capabilities were exaggerated.

"It is good to face civilians or light armed freedom fighters ... but when it faces a superior power it will collapse right away. I'm saying that with all sadness because this is the army I served like for 27 years, but this is not the army of the people anymore ... It's the army of the regime itself," Akil Hashem told CNN's Christiane Amanpour.

U.N. officials say more than 9,000 people, most of them civilians, have been killed and tens of thousands more have been uprooted since the crisis began in March 2011. Opposition groups report a death toll of more than 11,000 people.

CNN cannot confirm death tolls and reports of violence from Syria, as the Syrian government limits access by foreign journalists.

CNN's Ivan Watson, Yasmin Amer, Arwa Damon, Anderson Cooper and Holly Yan contributed to this report.

@highlight

NEW: A former Syrian general says the army is no longer "of the people," but a tool of the regime

@highlight

NEW: Bulgaria, the Netherlands join the United States and others in expelling diplomats

@highlight

If the peace plan fails, "may God help us," says Joint Special Envoy Kofi Annan

@highlight

72 people were killed Tuesday, an opposition group says