London (CNN) -- Alex Salmond, Scotland's First Minister, is fond of saying that when the United Nations was first formed in 1945, it had just 50 members. Today, he adds, that figure has risen to almost 200. It's a nice line, although in reality the emergence of a new nation remains relatively rare.

But there does seem to be a pattern emerging, in Europe and beyond. In Spain (Catalonia) and Belgium (Flanders), as well as the United Kingdom (Scotland), secessionist movements appear to be on the rise. All three have existed for decades, yet they seem particularly lively in the second decade of the 21st century.

Thus Salmond, who this weekend addresses delegates at the Scottish National Party's annual conference in the Scottish city of Perth, likes to talk of Scotland's "home rule journey" being part of a bigger international trend. His point is clear: "independence," far from being dangerous or unusual, is a natural state of affairs.

Professor Robert Young, an expert in secession, says all three countries have a history of regional -- or devolved -- government (relatively recently in the case of the UK). "I was considering the old question," he says, "about whether regional government structures aid or inhibit secessionist movements.

"It seems to me that they aid them, other things being equal. The secessionist party will come to power, sooner or later, because governments become unpopular. If they then govern well, this serves as a further mobilizing mechanism."

Only recently a secessionist movement, the nationalist party Convergència i Unió first took office in Catalonia in 1980, while in Scotland the SNP formed a minority government in 2007 -- becoming a majority four years later. In Flanders the Nieuw-Vlaamse Alliantie, which wants gradual secession from Belgium, recently swept the board in municipal elections.

This week British Prime Minister David Cameron traveled to Edinburgh to sign an agreement on the terms for a Scottish independence referendum due in October 2014. In Catalonia, meanwhile, opinion polls suggest a majority favor secession, while snap elections on 25 November are expected to return a regional parliament dominated by pro-independence parties.

Secessionist movements in Spain, Belgium and the UK hinge upon a heady mix of national identity, history and economics. Catalonia and Flanders believe that they contribute more to national coffers than they get out. Scottish Nationalists make similar claims -- vis-à-vis North Sea oil -- although the Westminster government refutes that as too simplistic.

Anecdotal evidence suggests Basque and Catalan nationalists are watching events in Scotland closely. Iñigo Gurruchaga, a London-based correspondent for the Basque newspaper El Correo, says Spanish politicians and commentators are particularly struck by the willingness of the UK Government to facilitate a referendum on Scottish secession.

"For Basques and Catalans who defend their right to decide their own constitutional arrangements it is seen as proof of a British 'democratic maturity' that is missing in Spain," he says. "It is very doubtful that an agreement similar to the one announced in Edinburgh on Monday would be reached in Spain over the next two years."

"Once the Scottish referendum is held and the result is known," adds Gurruchaga, "it would likely have again a substantial effect on attitudes in Spain." Young believes relations go even deeper than keeping abreast of news developments. "Sovereigntist movements," he says, "keep in close touch and learn from and encourage each other."

Indeed, in Young's home country of Canada, the Parti Québécois (PQ), which recently formed a minority government in the French-speaking province, has not ruled out another referendum on secession (there were others in 1980 and 1995). The PQ also maintains links with the SNP. Visiting Paris this week, Quebec premier Pauline Marois said Scotland's quest for independence "inspires us."

And on a trip to London last month, the veteran Catalan nationalist Jordi Pujol praised Salmond while warning that Scotland might opt for independence if the UK Government did not devolve more power. The SNP leader has clearly studied Pujol's style closely, echoing the Catalan's "gradualist" approach to acquiring more powers short of full independence.

But while the world's nationalist leaders might monitor each other's progress, support for secession in Quebec, Scotland and Flanders remains a minority view; only in Catalonia does it appear to total more than 50%. That could, of course, change, particularly as austerity bites around the world; nationalist movements, like political parties, rise and fall in popularity.

Some parts of the world might even be heading in the opposite direction. On November 6-- the same day as the U.S. presidential elections -- Puerto Ricans will vote in a plebiscite on the Commonwealth's constitutional status, choosing between U.S. statehood, independence or "free association."

The governor, Luis Fortuno, supports statehood as the best option for Puerto Rico, currently a U.S. territory, although opinion polls are inconclusive. Even so, the United Nations would do well to at least clear some desk space in preparation for its 194th member.

@highlight

Secessionist movements appear to be on the rise in Scotland, Spain and Belgium

@highlight

New deal this week could lead to Scotland's independence from UK

@highlight

Popular support for full independence across these regions is mixed

@highlight

Secessionist movements hinge upon heady mix of national identity, history and economics