(CNN) -- It was 1969 and a busy year for making history: Woodstock, the Miracle Mets, men on the moon -- and something less celebrated but arguably more significant, the birth of the Internet.

On October 29 of that year, for perhaps the first time, a message was sent over the network that would eventually become the Web. Leonard Kleinrock, a professor of computer science at the University of California-Los Angeles, connected the school's host computer to one at Stanford Research Institute, a former arm of Stanford University.

Forty years ago today, the Internet may have uttered its first word.

Twenty years later, Kleinrock chaired a group whose report on building a national computer network influenced Congress in helping develop the modern Internet. Kleinrock holds more than a dozen patents and was awarded the National Medal of Science last year by President Bush.

In an interview with CNN, the 75-year-old looks back on his achievements and peers into the exciting and sometimes scary future of the Web he helped create.

CNN: In basic terms, what happened on October 29, 1969, and what was its importance to the Internet as we know it today?

Kleinrock: Millions of people helped create this Internet. I basically supervised the creation of the Internet at the first node, both in the first connection and the very first message. We had just by then connected the first two host computers to the Internet. The first one was on September 2, 1969, when UCLA connected its host computer to the first packet switcher, the first router if you will, ever on the Internet.

But there was no other computer to talk to. So a month later, Stanford Research Institute received its interface message processor, or IMP, connected it to their host computer, and we created the first piece of the backbone network when a 50-kilobit-per-second line was connected between UCLA and SRI.

What we wanted to do was send a message essentially from UCLA to SRI's host. And frankly, all we wanted to do was log in -- to type an l-o-g, and the remote time-sharing system knows what you're trying to do.

So we typed the "l," and we asked over the phone, "Did you get the 'l?' " And the response came back, "Yep, we got the 'l.' " We typed the "o." "Got the 'o?' " " 'Yep, got the 'o.' " Typed the 'g.' "You get the 'g?' " Crash! SRI's host crashed at that point. So the very first message ever on the Internet was the very simple, very prophetic "lo," as in lo and behold.

And, you know, we weren't aware that this was a significant event that would be recorded in history. We did not have a very effective message like "What hath God wrought" or "Come here, Watson, I need you." Or "One giant leap for mankind." We just weren't that smart.

When the host computers talked to each other, I like to say the Internet uttered its first words on that day.

CNN: Before October 29, 1969, was no computer talking to any other computer?

Kleinrock: Well, typically not over a data connection, no. What was going on at that time was that many users sitting at terminals were connected to time-sharing systems with a local connection. But that was just connecting to a single computer.

CNN: UCLA sent a press release about your work in July of 1969, just a few months before your October breakthrough. At the time, did you have any idea how far-reaching all this was?

Kleinrock: Basically, I said the Internet will be always on, always available, [and that] everybody with any device could connect to the Internet from any time and any location, and it would be as invisible as electricity. What I missed was the social aspect, namely that my 99-year-old mother would be on the Internet, as she was until she passed away two years ago. And by the way, at the same time, my preschool granddaughter would be on the Internet.

CNN: What is feature shock?

Kleinrock: Feature shock is a term I coined some years ago. Systems [such as Windows or Safari] contain an enormous number of features, each one of which may be valuable by itself, but no one is really able to use all the features. However, because you've essentially paid for all those features, you feel guilty if you don't exploit them. So you spend time learning to use them.

I'm a power user of PowerPoint. I spend thousands of hours learning how to use it effectively. If someone came along with a new version of PowerPoint that has a different interface than the one I'm used to, and [even] if it were twice as good as PowerPoint, I wouldn't bother installing it.

We're overwhelmed by [features]; we don't know how to use them. It slows down the rate at which new applications and features are accepted by the public because of this investment they have in their thousands of hours of learning.

And I consider that a good thing. It allows a little more mature thinking in how we start hopping around in technologies and thereby losing the experience and history we had before. There's a kind of a measured way in which people will adopt new technology, and I think that's helpful.

CNN: What are you up to these days in the development of the Internet?

Kleinrock: I'm working on what we call smart spaces, whereby the cyberspace comes out from behind the [computer] screen, where most people consider it residing, and moves out into your physical space so that there will be intelligence and embedded technology in the walls of your room, in your desk, in your fingernails, in your eyeglasses, in your automobile, in your hotel rooms all across the world as you move around.

CNN: If computers will be doing so much of our thinking for us, does that mean our brains will get less of a workout?

Kleinrock: It's always been the goal and desire of we technologists that as we provide capability that computers are good at -- number crunching, file storage, massive databases that can be searched -- that it would free us up to do the things that humans do so well, like pattern recognition and putting thoughts together, intuition and innovation.

So it may relieve us of some of the mundane things that we don't do well. On the other hand, I personally regret that the youth of today are depending so much for their simple arithmetic calculations on these handheld calculators or wristwatch calculators that they don't know how to make change in the supermarkets anymore.

CNN: What other dangers could be ahead?

Kleinrock: There's a very dark side to the Internet, which we're all familiar with. It started with a worm in 1988, and it became spam in 1994, and now we have pornography, we have denial of service [attacks], we have identity theft, we have fraud, we have things like botnets [pieces of software that cyberthieves use to remotely and secretly control your computer], which really worry me.

One of the problems of the Internet is that we didn't install what I like to call strong user authentication or strong file authentication. We didn't anticipate the level of the dark side we see today. The culture of the early Internet was one of trust of all the users.

I knew every user on the Internet in those early days. It was an open culture. We shared everything we did. We got our gratification by putting things out there, which people could use. And there was an etiquette -- net etiquette if you will, which people behaved.

CNN: What about privacy? Is it dead?

Kleinrock: Yes, in a word. Yes.

And it was voluntarily given up in many cases. I mean, when someone lists their telephone number or uses their credit card or makes a cell phone call or even carries around a cell phone, that's an awful lot of info about where you are, what you're doing and some of your private matters.

There are cameras all over the place, and they're increasing in number. I like to say the only privacy we can expect is to go to the edge of the ocean, strip down and jump in and hope there's no sonar down there tracking you, by the way, which there will be soon.

CNN: Do you like to play video games over the Internet?

Kleinrock: The answer is no, no. I'm not of that generation. Nor do I use Facebook or Twitter. I've got enough things that demand my attention. ... E-mail is a wonderful black hole for my time. I don't want to have to answer tweets and SMS messages, following friends, etc. It's too demanding and too frivolous in many ways.

CNN: Do you have a certain emotional tie to the Internet as if it were a member of the family?

Kleinrock: Of course I do, and it's part and parcel to my DNA. But it's as aggravating to me as to anyone else in terms of when it doesn't work, when the applications don't work.

CNN: Were you always an inventor?

Kleinrock: When I was about 6 years old, I built a crystal radio from instructions I found in a Superman comic book. The thing that fascinated me was, I could basically get all the parts at no cost.

I was totally enchanted. This was magic, and I spent the rest of my life trying to figure out how that works. Life is one big puzzle for me in the positive sense. There are a lot of things to play with. And they pay me for it.

@highlight

Leonard Kleinrock sent first message over computer network October 29, 1969

@highlight

A professor at UCLA, he sent several words to computer at Stanford University

@highlight

Kleinrock: "We weren't aware this was a significant event that would be recorded in history"

@highlight

There's dark side to Internet now that Web pioneers didn't anticipate, he says