Sheremetyevo Airport, Moscow (CNN) -- Fugitive Edward Snowden remains in the transit lounge of Russia's Sheremetyevo International Airport as he attempts to negotiate his way to asylum -- one month after arriving from Hong Kong.

The former NSA contractor, who leaked details about a U.S. surveillance program, is requesting Russia take him in while he awaits safe passage to Latin America.

While devoid of fresh air, Snowden's temporary home does have an extensive selection of cafes, shopping outlets, business lounges and smoking rooms within its 400,000-square-meter expanse of brightly lit space.

For a small pack of international journalists who have been relentlessly following the Snowden saga, including me for a short time, the airport has been home (of a sort) for the past few weeks.

READ MORE: The many mysteries of Snowden's transit zone

For those who may be passing through -- to find Snowden or for even less thrilling reasons -- here are five ways to kill time in Sheremetyevo, based on one reporter's excruciating 24 hours in the lounge.

TGI Friday's

The ubiquitous all-American joint occupies prime real estate in Sheremetyevo airport: an outlet right near the gates used for flights to Cuba, where journalists initially suspected Snowden might make his sprint for freedom.

The walls are adorned with Americana and a sprinkling of Brit culture; Farrah Fawcett and the Beatles share corner space while a small but authoritative statue of astronaut Neil Armstrong oversees the party.

Bon Jovi and Nirvana rock the house while travelers bound for Prague, Seoul, St. Petersburg and other sunnier places trundle past.

READ MORE: Snowden's future uncertain after retracted tweet

While on Snowden stakeout, I enjoyed fluffy American pancakes -- best 195 rubles you'll ever spend for nap food.

They were small and only gently warm, but, with a dose of mango jam, perfectly sweet. Ideal with a strict black coffee.

Back at TGI Friday's for lunch (not much else to do), I selected the "Perfect Ten" smoothie, a refreshing mix of orange juice, pineapple, honey, nuts and peaches with cream and sorbet.

I'd have been happy to score one for Snowden if he'd only have showed himself.

Shopping for Matryoshka dolls, vodka, crystals

For those who have everything -- come to Sheremetyevo for the one thing you don't.

Browsing the long corridors between terminals E, D and F reveals a Swarovski crystal shop that sells a four-inch-high Hello Kitty doll, complete with pink bow and hearts.

The crystal-encrusted kitty is a snip at €500 euros (duty free treasures can be bought in both euros and Russian rubles).

READ MORE: Why we're all stuck in a digital transit zone

Or there's always a crystal clutch bag for a slightly more palatable €430.

If you get sick of waiting for the next cherished Snowden appearance, there's an "igniting liquid" (according to the label) barrel of vodka for €65 to keep you entertained.

No explanation is offered for why this booze is more flammable than any other in Russia.

Maybe it has something to do with your breath after loitering for a day in an airport.

You might invest in another very Russian delight: Matryoshka dolls.

EXPLORE: Snowden's asylum options

Row upon row are laid out in the glass cabinets of the more traditional shops. Their pretty colors, gold scarves and luxurious lashes glow under bright lights, making them almost irresistible for the bored shopper.

Capsule snoozing

The Capsule Hotel is a sparse and efficient place to put one's head for a few hours.

The outlet where I bedded down for some non-Snowden shuteye, near Terminal E, offers 46 rooms of utilitarian convenience in duck shades of blue and green.

I checked into the only type of room left; one without windows.

The sound of vacuum cleaners reverberated through the walls.

The shower sprayed water all over the floor when I turned it on.

GALLERY: Long history of spilling secrets

For a passenger looking for simplicity at a transient time, however, the Capsule Hotel does what it's supposed to do.

Small white hand and body towels, snuggled on top of each pillow, completes the operation's simple competence.

But I didn't want to sleep long -- there might have been action on the Snowden story.

Space-age lounging

My airline loyalty program entitled me to three hours in the appropriately named orange-on-orange-on-silver Galaktika lounge, next to Terminal E.

The lounge's sparse selection of inhabitants included a small dog which, as I invaded its personal space, erupted in high-pitched barks and attempted to bite my ankles.

At this point I was sleep deprived, and it was a terrifying moment.

The buffet offered little to ease my frazzled vegetarian nerves.

READ MORE: Obama on collecting intelligence

There was a spread of pastry-heavy pies on offer in cabbage, meat, spinach, cheese, cottage cheese, mushroom, cherry and apple.

All looked remarkably similar.

I partook, instead, in the marzipan squares out of the fridge.

They were slightly sloppier than expected and very sweet. I didn't go back for seconds.

I tried my luck in the Classic Lounge, which looked rather more luxurious, but was turned away.

It was empty, but I didn't have the right kind of ticket.

At least they let me take a picture, which you can see above.

Snowden stakeout

Being on the Snowden airport trail can be a frustrating experience.

Every man with three moles scattered up the left side of his face could be him; but such men are rare.

I returned to London without having spotted him.

EXPLORE: Notable leakers and whistleblowers

Snowden did emerge on July 13, the first time he'd been seen publicly since leaving Hong Kong on June 23.

He met with human rights activists and told them he was requesting temporary asylum from Russia.

A flurry of media activity met that appearance, but the steady troop of journalists through Sheremetyevo has since slowed.

Finding journalists skulking around the airport is now almost as tricky as finding Snowden himself.

Snowden will apparently be exiting the airport within days -- but in this global game of diplomatic cat and mouse, nothing can be assumed.

At least Snowden's got the airport's top attractions to keep him entertained.

@highlight

A month after arriving, Edward Snowden remains in Russia's Sheremetyevo airport

@highlight

He might be killing time at the airport's stellar TGI Friday's

@highlight

Or shopping for Matryoshka dolls

@highlight

He sure isn't hanging out with journalists