(CNN) -- How much has the South changed?

That's the question at the heart of one of the most important cases the Supreme Court will take up this year.

The case weighs the fate of one of the most important laws in American history: the Voting Rights Act of 1965. A century after the Civil War, Congress created that law to give African Americans the right to vote, not just on paper, but in fact.

The key provision was Section 5, which decreed that jurisdictions with histories of discrimination, mostly in the South, had to get Justice Department approval before they changed any aspect of their voting rules, right down to the location of polling places. There is little doubt that, in the years immediately after 1965, the Voting Rights Act achieved a revolution in voting rights for African-Americans in the South. In subsequent years, Congress has reauthorized the law several times, most recently in 2006.

Increasingly, covered jurisdictions have found the process of submitting their changes to the Justice Department, which is known as "pre-clearance," as a demeaning anachronism, and Shelby County, Alabama, went to court to argue that the Voting Rights Act was unconstitutional. The court will hear the case, Shelby County v. Holder, early next year.

The Obama administration strongly supports the act, but the president's election -- and re-election -- may be among the best arguments against the law. There is little doubt that African-Americans suffered pervasive discrimination in the 1960s, especially at the polls. But now we have a black president. Doesn't that prove that African-Americans have reached at least rough equality in the electoral realm?

Not necessarily. When reauthorizing the law, Congress compiled a record of thousands of pages documenting the legacy of discrimination that lingers in the covered jurisdictions. The government asserts that the justices should defer to Congress in deciding whether the problem of voting rights is solved.

Still, the Obama administration has to deal with a very important likely adversary in this case: Chief Justice John Roberts. The court heard a similar challenge to the Voting Rights Act in 2009, and the court sidestepped the core issue, resolving the case on procedural grounds. But there was little doubt, in Roberts' questions at oral argument or in his opinion, that he believes, constitutionally speaking, times have changed. The chief is unlikely to look for a procedural way out of controversy for a second time.

The controversy over voter suppression in the 2012 elections might have a paradoxical effect on the future of the law. Democrats argued that the efforts to impose Voter ID requirements and the like amounted to discrimination against African-Americans and thus could be seen as justification for preserving the Voting Rights Act.

But several of the acts of alleged voter suppression took place in states -- like Pennsylvania and Ohio -- that are not covered by Section 5 of the act. That may help the plaintiff's core argument: Times have changed in the South.

In any event, it's likely to be a close vote. What happens if the law is overturned? The answer may be: not much. The South may not need the act anymore to protect the voting rights of minorities. If that's true, that would prove the plaintiffs' main argument in this case.

The opinions expressed in this commentary are solely those of Jeffrey Toobin.

@highlight

Jeffrey Toobin: 1965 Voting Rights Act secured voting rights for blacks in the South

@highlight

Alabama county takes it to Supreme Court, saying act is unconstitutional

@highlight

Toobin: Is it still necessary? Does discrimination still exist in the South?

@highlight

Toobin: Ruling will be close, with Chief Justice Roberts likely to oppose U.S. argument