(CNN) -- Wichita was under a tornado emergency late Saturday as a large twister, part of a series of severe storms in the Great Plains, moved through south-central Kansas and threatened to destroy homes.

The "confirmed large and extremely dangerous tornado was located just east of Conway Springs and moving northeast at 35 mph," toward the Wichita area, the National Weather Service reported Saturday night. "This is a particularly dangerous situation."

Major damage to houses and buildings were likely, "and complete destruction possible," the weather agency said. But by 10 p.m. (11 p.m. ET), Kansas authorities had reported no serious damages.

Earlier in the day, a possible tornado struck a hospital Saturday evening in Creston, Iowa, according to a dispatcher with the Union County Sheriff's Department. A search-and-rescue operation was under way.

"We have been hit. We are triaging and moving patients," a spokeswoman at Greater Regional Medical Center in the south-central Iowa city confirmed.

City Council member Randy White told CNN he was aware of no serious injuries. "A lot of windows have been broken out and some cars have been flipped over. We can't see a lot right now because the power is out."

A temporary hospital was set up at Southwestern Community College, White said.

The region had more than 80 preliminary tornado reports by 10:30 p.m. ET Saturday, according to CNN meteorologist Jacqui Jeras, though some of those reports could be of the same twister. Most were in rural areas and damage was reported to be relatively minor, including downed trees and power lines and minor flooding.

Across the south and central Plains, storm chasers broadcast images of funnel clouds roaring through rural landscapes. Residents in some high-risk areas received new warnings intended to grab their attention and prompt them to find safe shelter.

In Kansas, Gov. Sam Brownback issued this advisory: "If you're on the road, get off as soon as you can and find some shelter."

Are you there? Share videos, pictures and stories

The tornado outbreak had been predicted by forecasters, who said there was a "high risk" of severe thunderstorms into Sunday in portions of Nebraska, Iowa, Kansas and Oklahoma. More than 5 million people live in those at-risk areas.

A tornado touchdown was reported near Medicine Lodge, Kansas, and a large tornado advanced on Salina, Kansas, just before sundown.

The National Weather Service's Wichita office, taking part in an experimental warning system, used graphic terms to warn residents of potential harm. The warnings are used by media outlets.

Residents near Brookville, Kansas, for example, were told "major house and building damage was likely and complete destruction was possible."

Des Moines, Iowa, National Weather Service meteorologist Roger Vachalek said residents in the area should be prepared for high winds and possible tornadoes and hail overnight. Two or three possible tornadoes were already sighted. About 16,000 MidAmerican Energy customers in the Des Moines area lost power.

At least four apparent tornadoes were reported near Dodge City, in southwestern Kansas, officials said. Two were reported in Rush County.

"It's been an interesting day," said meteorologist Mike Scott, adding severe storms arrived earlier than expected.

Forecasters said a "dry line" colliding with moist Gulf air was making for dangerous conditions.

A dry line is a boundary that separates warm, moist air from dry desert air.

"Everything west of that line is very dry and is associated with downsloping winds," Scott said.

Four active tornado warnings and four tornado watches were in effect Saturday evening in the region.

Two of the watches that extend from Iowa and Nebraska south into Kansas and Oklahoma are "Particularly Dangerous Situation" watches, meaning there is a significant chance of long-track, damaging tornadoes.

The tornado threat may increase as storms move through more populated areas such as Oklahoma City, Oklahoma; Wichita; Omaha, Nebraska; Des Moines, Iowa; and Kansas City, Missouri.

Tennis-ball-sized hail and winds of up to 60 miles per hour were reported in Nebraska's Antelope and Boone counties, said Mike Moritz of the National Weather Service office in Hastings, Nebraska. Tornado reports came in from Hardy and Deshler, Nebraska, and Tipton, Kansas. None was a long-track tornado.

Rick Smith, warning coordination meteorologist in the agency's Norman, Oklahoma, office, said a line of supercell thunderstorms stretched Saturday afternoon from northwestern Oklahoma to the Texas Panhandle.

A tornado formed in Woodward, Oklahoma, Smith told CNN. A brief touchdown was reported.

"This is just the beginning of what could be a long afternoon and night, and people should pay attention to warnings," Smith said.

No injuries had been reported in Oklahoma by mid-evening Saturday.

According to CNN meteorologist Sean Morris, "high risk" areas could possibly endure EF3 to EF5 tornadoes, packing winds of 136 mph or stronger.

CNN meteorologist Dave Hennen said the Interstate 35 corridor -- from Oklahoma City to Wichita -- was among the most threatened areas.

An elevated severe thunderstorm "moderate" threat extended from northern Nebraska, southward into the tip of northern Texas. This includes Tulsa, Oklahoma, and Kansas City, Missouri. A "slight" risk area extended all the way from Texas to southwestern Wisconsin.

A severe thunderstorm is defined by the National Weather Service as a thunderstorm that produces at least one or more of the following: winds of at least 58 mph, hail 1 inch in diameter and tornadoes.

The predicted severe storms come as five National Weather Service offices in Missouri and Kansas are conducting an experiment on how to better convey risks from tornadoes and severe storms.

The "impact based" warning test, which began earlier this month, comes on the heels of the May 22-27 Midwest/Southeast tornado outbreak, including a tornado that killed 158 people in Joplin, Missouri.

The National Weather Service is ratcheting up its efforts to combat complacency, with the help of graphic terms to ensure people find safe shelter. A tornado is confirmed, on average, only once for every four formal warnings.

Forecasters in the test area will continue issuing traditional tornado warnings, but for "significant" and "catastrophic" scenarios, they can add information at the bottom of the warnings issued to media outlets.

When a storm has the potential to cause "significant" damage, meteorologists may include terms such as "major house and building damage likely," "complete destruction possible" or "major power outages in path of tornado highly likely."

In a "catastrophic" outlook, descriptions may include "This is a life-threatening situation," "You could be killed if not underground or in a tornado shelter," or "complete destruction of entire neighborhoods likely."

CNN's Rob Marciano reported from Oklahoma and Kansas. CNN's Jacqui Jeras, Nick Valencia and Greg Morrison reported from Atlanta.

@highlight

NEW: A "confirmed large and extremely dangerous tornado" strikes Kansas

@highlight

The tornado is moving toward Wichita, Kansas

@highlight

A possible tornado hits hospital in Iowa; no serious injuries reported

@highlight

Kansas and Missouri forecasters are testing graphic warnings