(CNN) -- Some of the country's best firefighters matched wits Wednesday with a fiendish Colorado wildfire that has scorched structures and sent tens of thousands fleeing from Colorado Springs and other communities.

As predicted, erratic winds kicked up again in the afternoon, increasing the chance of embers jumping fire lines and creating more havoc, officials said.

"We are learning as we fight this fire some of its tricks," said incident commander Rich Harvey. "And one of its tricks is to run down these hills that way. You can fool us once, maybe, but not twice."

Officials said they had not completed an inventory of homes and other structures lost or damaged Tuesday by the Waldo Canyon Fire, which was only 5% contained.

They were making plans to schedule a meeting with affected residents.

"It really is a loss, and there is a grieving process that has to take place," said Steve Cox with the Colorado Springs mayor's executive team.

The FBI's Denver office, meanwhile, said it was working with other agencies to determine whether any of a dozen wildfires across the state resulted from criminal activity.

Nearly 1,000 firefighters tried to corral the 15,517-acre blaze that moved into Colorado Springs.

Gov. John Hickenlooper told CNN's "John King USA" that the number of evacuations grew Wednesday to 36,000.

"We're still fighting with everything we've got," he said.

Harvey said progress had been made in some portions of the Waldo Canyon Fire, and firefighters were taking an aggressive stance against hot spots.

"It's been house to house, door to door, street to street, hill to hill activity," he said of one location.

Higher humidity and cloud cover Wednesday night might aid firefighting efforts, but there was no guarantee conditions would not be similar to Tuesday's conflagration, Harvey told reporters.

Some rain did fall Wednesday on a separate fire burning near Boulder, Colorado, according to the National Weather Service.

President Barack Obama will travel to the Colorado Springs area Friday to survey the damage and thank responders battling the blaze, the White House said.

The Waldo Canyon Fire captured attention because of its proximity to landmarks such as Pikes Peak and the Air Force Academy, and also to Colorado Springs, a city of about 400,000, the state's second largest.

"We have rehearsed and practiced disasters," said Dave Rose, public information officer for El Paso County, which includes Colorado Springs. "We have never seen one like this before."

Winds gusting to 65 mph through mountain canyons blew the wildfire through containment lines into northwest Colorado Springs on Tuesday afternoon. It roared downhill, burning to the ground the Flying W Ranch, a popular Western-style tourist destination.

CNN meteorologist Dave Hennen likened conditions to a double-edged sword. While temperatures were down a bit Wednesday, high-based thunderstorms will be fed by rising air, wind and low humidity, he said.

Such storms produce lightning and rain, but dry air will suck up most of the precipitation before it hits the ground. Lightning can reach the parched soil and possibly ignite additional fires, according to Hennen.

Open Story: iReporters share their harrowing views of the western wildfires

Richard Brown, the Colorado Springs fire chief, on Tuesday described the Waldo Canyon Fire as a "firestorm of epic proportions."

Stan and Darlene Colbert were among the last families in the evacuation zone to pull out. They waited, hoping the fire would subside, but after watching the flames from their back porch, they knew it was time to go.

The first things the couple -- married 43 years -- packed were the family photos.

"Every one of them I could find. Every photo because I can't replace those," said Darlene Colbert.

Many residents waited anxiously to get word of whether their homes had been spared. Becky Schormann was one.

Her family managed to take some sentimental items with them when they left, but still had to leave behind a boat, a pair of ATVs, a china cabinet and an antique doll collection.

"I keep telling myself: It's going to be OK," she said.

Schormann told CNN that flames came to within 20 feet of their home but were beaten back.

"Our volunteer fire department is just awesome," she said.

The Schormanns are staying in an RV at their daughter's home. The family's two dogs, a pony and a donkey also came along for the ride.

The flames came dangerously close to the Air Force Academy's main campus, and an evacuation order was issued for about 700 residents in its Pine Valley Housing and 1,400 in Douglass Valley Housing, said public affairs officer John Van Winkle.

The facility was closed to visitors Wednesday, with only essential personnel asked to report.

Reactions: Monster fire terrorizes a Colorado city

The academy's powered flight, glider and parachuting operations have been called off since Saturday so that the U.S. Forest Service could use runways for helicopters used to fight fires along Colorado's Front Range, Van Winkle said.

The academy's Class of 2016 -- all 1,045 cadets -- is still scheduled to arrive Thursday, but officials are making contingency plans in case they have to report to a different location on the base.

Rose, the county information officer, said one in four callers to the joint information center are offering food for firefighters, shelter for displaced neighbors or to volunteer in some capacity.

"It is a somber resolve," Rose told CNN. "There's no doubt that we have a grim reality that we have lost a number of structures. Our western border mountain vista has dramatically altered."

Colorado wildfires had consumed 181,426 acres by Wednesday afternoon, according to the Colorado Division of Emergency Management.

The largest of the fires was the High Park Fire, which began June 9 and has now consumed 87,284 acres, the U.S. Forest Service said. It was 65% contained Wednesday. The total number of homes burned stood at 257. An estimated $33.1 million has been spent trying to contain the blaze.

The brotherhood of Disaster City

CNN's Jim Spellman contributed to this report.

@highlight

Winds kick up as firefighters tackle hot spots

@highlight

FBI is investigating the cause of the wildfires

@highlight

President Obama calls governor and will visit the state on Friday

@highlight

Colorado's governor describes the scene as "surreal"