Washington (CNN) -- Gaby Pacheco calls herself an aspiring U.S. citizen who is compiling the paperwork and trying to get the $465 needed to apply for a two-year reprieve from getting deported.

James D. Doebler says his superiors at U.S. Immigration and Customs Enforcement are threatening to suspend him for putting an arrested illegal immigrant into the hearing process that could lead to deportation.

The two are on opposite sides of a lawsuit filed this week by Doebler and nine other ICE agents that challenges a new Obama administration policy intended to remove the threat of deportation faced by young illegal immigrants who arrived in America as children and have good student or military records.

Doebler and his fellow complainants argue the new policy on immigration law enforcement exceeds the administration's authority and puts ICE agents in the position of facing disciplinary action for doing their jobs.

"They're in a position now that's just untenable," argued Roy Beck of NumbersUSA, an advocacy group for more restrictive immigration that is bankrolling the lawsuit.

The goal of the lawsuit is to force a court ruling on whether the new administration policy is legal, Beck told CNN on Friday. If so, then the ICE agents are protected; and if not, the case would halt what the former journalist called a harmful influx of illegal workers at a time when young Americans are struggling to find jobs.

"Obviously, we would not be pleased if they say this is a legal order," Beck said, adding: "We do believe strongly that the president doesn't have the right to do this."

Pacheco and others reject the premise of the lawsuit, calling it a politically motivated effort to undermine the "deferred action" directive by Homeland Security Secretary Janet Napolitano that went into full effect last week.

"I think they're using this as a political plan to rally the voters in election season," said Pacheco, the political director of United We Dream, an advocacy group for young illegal immigrants like herself.

A statement by AFL-CIO President Richard Trumka said the lawsuit lacked a sound legal basis, noting that "over 100 of the nation's top constitutional and immigration law scholars signed on to a letter" attesting to the constitutionality of the new administration policy.

Trumka's statement added that the suing agents "are working with some of the most anti-immigrant forces in the country; forces that have long sowed division and destruction."

The agents are represented by Kris Kobach, the Republican Kansas secretary of state who worked on Arizona's controversial immigration law and is an informal adviser to presumed Republican presidential nominee Mitt Romney, according to NumbersUSA.

CNN senior legal analyst Jeffrey Toobin said Friday that the lawsuit lacked legal merit.

"I can't imagine any judge would even give them standing to file the case, much less decide it on the merits," Toobin said. "I am unaware of any law that allows federal employees to challenge the legality of the actions of their superiors."

Filed Thursday in federal court in Dallas, the lawsuit challenges the two-year deferred action policy of the Obama administration, as well the policy of "prosecutorial discretion," in which ICE agents are supposed to focus their attention on dangerous criminals who are illegal immigrants.

In a nutshell, the agents involved do not want to obey the new policies and do not want to face any disciplinary actions or lawsuits if they continue to arrest any type of immigrant who is in the United States illegally.

"We are federal law enforcement officers who are being ordered to break the law," said Chris Crane, one of the agents filing suit and the president of the ICE agents and officers union. "This directive puts ICE agents and officers in a horrible position."

According to the lawsuit, Doebler "arrested an alien who was unlawfully present in the United States and issued the alien an NTA (notice to appear), contrary to the general directions of his supervisors that he should decline to issue NTAs to certain illegal aliens."

"Plaintiff Doebler was issued a Notice of Proposed Suspension," the lawsuit says. "Plaintiff Doebler is facing a three-day suspension for arresting and processing the alien for a hearing rather than exercising the 'prosecutorial discretion' commanded by his supervisors. Plaintiff Doebler requested a written directive ordering him not to issue the NTA. His supervisors have refused to give him a written directive and would not sign any paperwork authorizing the use of 'prosecutorial discretion.' "

Now, the lawsuit says, Doebler "reasonably fears, based on his past experience, that if he follows the requirements of federal law, contrary to the 'Directive,' and arrests an alien or issues the alien an NTA, he will be disciplined again. He reasonably fears that a second disciplinary action will result in the loss of his job."

Matt Chandler, a spokesman for the Department of Homeland Security, responded Thursday that the department "uses prosecutorial discretion to assist in focusing vigorously on the removal of individuals who are convicted criminals, repeat immigration law violators, and recent border-crossers."

In fiscal year 2011, ICE removed 216,000 criminal illegal immigrants, Chandler said, adding that it was the largest annual figure in history and an 89% increase over the administration of President George W. Bush.

The Deferred Action for Childhood Arrivals decision is a temporary measure until Congress takes action on reforming immigration policies, Chandler continued, adding that it "ensures that responsible young people, who are Americans in every way but on paper, have an opportunity to remain in the country and make their fullest contribution."

Pacheco, who came to America with her parents from Ecuador at the age of 8, described herself in similar terms. She graduated from Miami Dade College and now wants to get a master's degree, she said.

"We speak the language. We are part of the fabric of this nation," she said. "This is my home. They are telling me that I do not belong, that I am not American."

President Barack Obama made a similar point in announcing the policy change in June, calling the decision to halt deportations of people like Pacheco "the right thing to do."

Under the new policy, the Obama administration will give a two-year deferral from deportation to illegal immigrants who entered the United States as children if they are younger than 30, arrived in the country before the age of 16, pose no criminal or security threat, and were successful students or served in the military.

Supporters stress the plan does not grant immunity or provide a shortcut to citizenship, but instead affords undocumented immigrant children a chance to be productive workers while removing the threat of deportation for two years.

Opponents say the policy amounts to granting backdoor amnesty to people who came to America illegally and tightening an already poor job market for young Americans. As many as 1.7 million youths may qualify for the program, according to the Pew Hispanic Center, a project of the Pew Research Center.

The deferred deportation policy includes some of the provisions of a Democratic proposal called the DREAM Act that failed to win enough Republican support to become law.

Obama made clear that the new policy was intended to be a temporary step until Congress passes a more comprehensive immigration law that addresses the situation of young illegal immigrants who have essentially grown up as Americans.

Beck called such an approach misguided.

"We're going to do something that's not allowed by law in order to get Congress to pass something which they have defeated repeatedly," he said. "It's just such an abuse of power."

His group raised $100,000 for the lawsuit Thursday, Beck said, adding that he expected the case to cost "a few hundred thousand dollars."

"If it goes to the Supreme Court, who knows?" he added.

CNN's Carol Cratty and William Mears contributed to this report.

@highlight

Ten immigration agents challenge the administration over halting some deportations

@highlight

Legal analyst Jeffrey Toobin: The lawsuit has no legal standing

@highlight

At issue is a move to allow children of illegal immigrants to study and work in America

@highlight

Opponents of the policy call it backdoor amnesty