(CNN)If marrying design and engineering is a fine art, then who better for the job than sailing's answer to "David Hockney with an iPad?"

Like Hockney, this is man whose canvas is a tablet. His subject? Ultra-slick, quick racing boats.

Dirk Kramers, who counts Ted Turner among his former employers, has been tasked with designing a vessel capable of winning the 2017 America's Cup -- sailing's most prestigious race.

His new boss is a man who knows a thing or two about winning, multiple Olympic champion Ben Ainslie. The knight of the realm is behind a bold bid to bring the Auld Mug to British shores for the first time.

The competition is still two years away but at the temporary home of Ben Ainslie Racing HQ on an industrial estate just outside Portsmouth, they are plotting victory.

"Everyone wants to see the champagne flying at the finish -- that's the sound bites and visual bites that people live for," Kramers told CNN.

"But the main chapters of this are being written now. The America's Cup is being won now."

BAR's temporary base -- they will relocate to a bigger headquarters next May on Portsmouth's waterfront -- gives little indication of the expertise at work with its white, spartan interior.

Inside there are decades worth of experience among the 55-strong workforce, which will rise to near 100 by the time of the Cup.

Money and cutting-edge technology are key to this operation but, for Kramers, who modestly downplays himself as "the old guy on the team", the most valuable ingredient is far more simplistic.

"Most of the time it's not the biggest spender that wins," says the American. "The most expensive commodity is time. You're always learning and it's the person that learns the most that will have the fastest boat."

With every minute precious in the countdown to the big race, no wonder the pictorial greeting on the first flight of stairs from the entrance for any visitor to Team HQ is a quote from Muhammad Ali: "Don't count the days, make the days count."

"In terms of setting structure and design philosophy, that happens now," says Ainslie as he reflects on the process of filling key management roles before steadily expanding the sailing, design and on-shore workforce .

"If we get this bit wrong, we'll never recover. And unfortunately until we're on the start line, we won't know for sure how we've done."

Ainslie's first call was to Andy Claughton, the team's technical director. In Formula One terms, he is like an Adrian Newey, who has since signed up to the BAR project, to a Sebastian Vettel during their time together at Red Bull.

Claughton competed in the same era as Ainslie's coach Sid Howlett and has been involved in America's Cup racing since 1983.

He and Ainslie got to know each other during the 2007 America's Cup when Ainslie was part of the Team New Zealand set-up.

A keen engineer for as long as he can remember, Claughton likens the project to, "a Mecano set -- you have to make sure you pick all the right bits."

But, because of the sheer numbers involved, he admits "it's like playing rugby with 100 players."

Fortunately for Claughton, it's not a case of starting from scratch.

"The thing is that someone's always done something similar before so there are rules of thumb," he explains.

"A lot of projects aren't rocket science. We're not going to invent some new technology that will win us the Cup. What we will do is reassemble existing technology that can help us."

That starts with the simplicity of a Kramers sketch either on paper or more often an iPad, which he started to use to share his ideas more easily with his colleagues. This is then fed into a 3D computer model overseen by Francesco Azevedo.

Portugal's Azevedo is one of 11 nationalities currently represented on the design team, which also prides itself on a "best of British" approach.

A rarity on the team as an America's Cup debutant, the former architect explains: "I try to model the ideas from everybody and try to make it as a 3D model so everyone can sit around and discuss.

"Everyone feeds it into me and I try to give everyone feedback because sometimes ideas clash and you cannot physically fit them together so I try to come up with solutions and present solutions to everybody else and say 'this idea didn't really work - what about this?'"

How versatile the team can be with their design is curtailed by the America's Cup rule book. For example, it tells you the boat must have two hulls a certain length apart and be of a certain length and width.

"Under the rules, it quickly becomes clearer in a picture what the boat looks like," adds Claughton. "To the naked eye, all the boats will look similar. The disparity will come as these boats are fantastically difficult to sail. There's lots of opportunity to do things well and badly."

The designers may use a wind tunnel to test a certain part but the computational tools at their disposal are so accurate it is not always required.

So once sent through the 3D model, individual parts are sent to an external supplier with the touch of a button and, as Claughton says, "it turns up in a box at the end of the week."

Deciding how long to spend designing products while also minimizing manufacturing time is a balancing act.

The first testing boat (T1) is already out on the water, T2 is expected to be fully operational in May while the eventual boat on which Ainslie and his team will race for the Cup is set to be finalized in design terms by the end of next year's sailing season.

"There is an end point and that's the $64,000 question when that is," explains Claughton. "You're balancing pushing the design time but also the amount of time the guys can spend on the water."

A myriad of different organizations are on board with Ainslie's team from the British Ministry of Defence to big players in aerospace and engineering company Prodrive, which boasts a rich motorsport history.

And while the majority of the staff have been picked for their America's Cup pedigree, others have been headhunted from elsewhere.

James Roche is the boyfriend of British Olympic skeleton gold medallist Lizzy Yarnold and previously worked at UK Sport and latterly McLaren Applied Technologies.

He helped design the sleds that Yarnold and, before her, Amy Williams, drove to Olympic glory.

His role at Ben Ainslie Racing is simulation support and the once budding sailor is adamant his skills translate from ice to water.

"It's engineering and optimization and working with athletes with equipment so there are a lot of parallels," he says.

His job is to work on performance prediction programs and writing code to foresee how the boat will behave and react with sailors and new equipment.

But for all the brains and cutting-edge technology behind it, there is no guarantee this $130 million project will ultimately prove successful.

"That's the elephant in the room," admits Claughton, though the buzz through the open-plan office suggests a team brimming with confidence that it is currently on the right path.

Ultimately, Ainslie is a fiercely determined sailor and he is adamant the team can "bring back the Cup to Britain" for the first time in the event's history. Time will tell.

@highlight

We go inside Ben Ainslie Racing HQ to find out how exactly an America's Cup boat is built

@highlight

The $130m project currently has a workforce of 55 which is set to grow to 100 by the Cup

@highlight

Technical director Andy Claughton likens it to a Mecano set, slotting pieces together