A priest's flock is crowd-funding $35,000 to restore a renowned Lebanese library, which was set on fire a few weeks ago.

Between a quarter and a third of the 85,000 titles in the Maktabat al-Sa'eh (The Pilgrim's Bookshop) in the northern city of Tripoli were destroyed by the fire, according to reports, including a pair of 200-year-old Muslim manuscripts.

The 40-year-old antiquarian bookstore and library in the old city souk of the Serail neighborhood is the life's work of Ibrahim Sarrouj, a Greek Orthodox priest.

Since the attack by suspected Muslim extremists, hundreds of people have come out in support of Sarrouj, helping with the clean-up, donating books and  setting up an online crowd-funding effort to refurbish the library.

At the time of writing, almost $25,000 has been pledged.

Sarrouj says it is unexpected but he is thrilled by the way people of all religious backgrounds have joined together to help.

"(It was) a great source of joy for me that the burning of this library brought together Muslims and Christians, and especially clergy and Muslim sheiks," he said.

Social community support

Sarrouj is a popular figure in Sunni Muslim-majority Tripoli, well-known for preaching in favor of coexistence and religious tolerance. There are significant Christian and Alawite minority populations in the city.

Read more: The dangers of being an Arab cartoonist

But the city, which is just 30 kilometers (18 miles)  from the border with Syria, has seen intensified sectarian violence and growing extremism over the past two years, including battles between supporters and opponents of the regime in Lebanon's neighbor to the east.

In the days prior to the fire, Sarrouj says he received a threat via text message. It concerned a rumor that a pamphlet insulting the Prophet Mohammed had been found inside one of the library's books. The rumor was later discounted by authorities, according to Sarrouj.

According to local reports, around 9.30 p.m. on January 3, a group of men broke into the library and set it ablaze with petrol. Fire services arrived only a few minutes later and doused the flames quickly, saving the majority of the library's precious contents.

The day after the fire, Mu'taz Salloum, a 26-year-old filmmaker, together with a few friends decided to organize a sit-in protest and clean-up at the library. They created a Facebook event inviting people to "Say no! Stop cultural terrorism in our city."

By the afternoon, Salloum estimates that 600 people had gathered at the library.

"The reaction was very positive, it was not expected," said Salloum. "A lot of people from outside Tripoli (came) and I saw friends I hadn't seen for years, that hadn't participated in any civil society demonstration or activity."

That day, as people cleaned and discussed what else they could do, the Kafana Samtan ("Enough Silence") campaign was born.

"We said, 'We shouldn't stop at only cleaning the library. Why not create a campaign to restore the library and bring it back better than before," Salloum added.

Volunteers unite

The movement is powered by volunteers without any political or sectarian backing, according to Salloum.

Salloum has been working at the library every weekend since the fire and estimates that around 50 volunteers help out each Friday and Saturday.

One participant, Hrs Darwich wrote on the Facebook page: "This city will not kneel to terrorism and bigotry and extremism. Solidarity prevails, I'll be there."

Sarrouj says he has been inundated with telephone calls from all over the world pledging money, and tens of cartons of books are being sent to him from all over Lebanon by publishers, universities and the Lebanese Ministry of Culture.

Read more: Qatart gets its first World Heritage site

It's only been a few weeks since the fire and Sarrouj says it remains difficult to fully quantify the damage done. But Kafana Samtan has big plans for the library.

All the donated books will be put in a new public area where anyone can spend time reading and researching.

If they are successful in crowd-funding $35,000, they will spend it modernizing the library's crumbling interior, installing security equipment and buying back rare books.

Salloum says the people of Tripoli have had enough of the violence in their city -- and the library has become a symbol of that.

"Tripoli is the second largest city in Lebanon and deserves a better way of living ... this is going to be a really strong message to those who are behind the burning," he said.

Sarrouj, for his part, is less concerned with the books and donations.

"What's behind it, the movement of the heart, this is what counts for me ... I hope that with this movement that we can change our Arab world."

@highlight

Library and antique bookshop in Tripoli torched in early January

@highlight

Restoration is driven by community crowd-funding

@highlight

People from all faiths have contributed to the effort

@highlight

Many hope the project can be a focal point for better community relations