Accra, March 6 1957. Tens of thousands of rejoicing people flood the streets of the city center.  Shouts of "freedom, freedom" fill the air as men, women and children sing and dance, celebrating the birth of a new state and the beginning of a new era: an independent Ghana.

At midnight on that historic day, Britain's Union Jack was taken down above Parliament House in the capital, replaced by Ghana's new flag -- a black star at the heart of a red, gold and green tricolor.

At that moment, to the cheering of an ecstatic crowd, Ghana became the first African country south of the Sahara to break the chains of colonialism. The event triggered a liberation movement that was destined to sweep the entire continent and eventually lead to the demise of colonial rule in Africa.

In the years since independence Ghana has navigated tumultuous periods of army rule and political uncertainty.

However the West African country is hailed as one of the continent's success stories -- the international community has often lauded Ghana as a beacon of peace and stability while U.S. president Barack Obama called it a "model for democracy" in Africa.

Rich history

Located on the coast of the Gulf of Guinea, Ghana is a country of more than 25 million people, known for its rich history, cultural heritage and natural beauty.

The country is often described as "Africa for beginners," combining long stretches of sandy beaches, lush tropical forests and diverse wildlife.

The country takes its name from a great ancient kingdom, situated some 500 miles northwest of the modern-day state, which flourished until the 13th century.

Ghana was formerly known as the Gold Coast because of the abundance of the precious metal found there. The first contact with Europeans began in the late 15th century with the arrival of Portuguese sailors and the establishment of direct commercial sea routes with Europe -- mainly as a supplier of gold.

Over the following centuries, traders from Britain, the Netherlands and other Europeans countries also joined in, as the focus shifted to the lucrative export of slaves amid a growing demand for labor in the American and Caribbean plantations.

During that period, several stone forts and castles were erected along the coast, many of which dot Ghana's shores to this day. Slave forts like Elmina and Cape Coast have become significant historical monuments that attract many visitors, especially people of African descent from the United States

By the latter decades of the 19th century, the British and the Dutch were the only European traders still operating on the coast, while the union of the Ashanti states, centered in the city of Kumasi, became increasingly dominant.

In 1874, two years after the final withdrawal of the Dutch and following several hard-fought battles with the Ashanti, the Gold Coast was declared a British colony.

Rocky road

After gaining its independence from the UK, Ghana was proclaimed a republic in 1960. One of the first civil engineering projects of the new nation was the Akosombo Dam completed in 1965. It created Lake Volta, one of the world's largest man-made lakes and brought electricity to millions.

To this day hydroelectricity accounts for around 85% of the country's electricity generation, according to the U.S. Energy Information Administration.

However in the years that followed independence, the newborn state was hit by severe economic and political troubles.

Independence leader Kwame Nkrumah became known as the founding father of Pan-Africanism -- an ideology of African solidarity that spread across the continent and the wider world. He led the country as president until he was toppled by a military coup in 1966 amid growing dissatisfaction over corruption, declining living standards and spiraling foreign debts.

Although a general election was successfully held in 1969, Ghana was soon to enter a new period of political uncertainty and economic stagnation that lasted for more than a decade. A series of coups and countercoups began in 1972 and continued until the early 1980s when a former air force second lieutenant called Jerry Rawlings solidified power.

Gradually, economic and political conditions in the country improved and Rawlings went on to win two presidential elections in 1992 and 1996. He was replaced by John Kufuor in 2001, in what was the first peaceful transfer of power between democratically elected governments since 1957.

John Atta Mills won the 2008 elections and remained president until his death in June 2012. He was immediately replaced by John Dramani Mahama, formerly Ghana's vice president, who was sworn in as the country's new president -- a position he holds to this day after winning the elections on December 7, 2012.

Gold, cocoa and oil

Despite its relatively small size, Ghana is today one of Africa's leading countries and one of the few in the continent expected to meet the Millennium Development Goal of halving the poverty rate by 2015.

It has one of the fastest growing economies in the continent, driven largely by its rich natural resources and strong agricultural production.

Gold and cocoa are both traditionally major sources of foreign currency for the country, while in 2007 economic expectations were raised higher following the discovery of major offshore oil reserves.

@highlight

Ghana gained independence from Great Britain in March 1957; formerly named Gold Coast

@highlight

Nation's first few decades were witness to internal political upheaval

@highlight

Now the country is held up as a successful example of democracy in Africa

@highlight

Gold and cocoa are traditional exports; 2007 off-shore oil discovery could boost economy