Income inequality is going up, up, up in America. In Brazil, meanwhile, it's been dropping for years.

The likely outcome?

"Perhaps both countries will meet halfway," said Pedro Ferreira de Souza, a researcher at Brazil's Institute for Applied Economic Research.

Brazil, while still incredibly unequal, has realized something the United States hasn't: That wealth and income inequality are threats to democracy, and that smart policies can help narrow the gap between rich and poor. We would be wise to adopt the cash transfer programs and minimum wage policies that economists say have helped Brazil reduce its income inequality.

But many U.S. politicians are reluctant to deal with this issue.

"I think that is perhaps the most important lesson from Brazil ... that inequality IS a legitimate political matter," Ferreira de Souza wrote in an e-mail to me. "That it does affect people's lives and that at the end of the day, inequality begets inequality ..."

To deny that, he said, would be "ludicrous."

Related: You pick it, CNN will cover it

Here are five unexpected tips for how the United States can and should curb its rising income inequality, pulled from Brazil and other foreign shores, as well as our own history books. Adopting policies from other countries always raises eyebrows. None will be a perfect fit. But the bottom line is that we need to do something before we turn into a society where, as Ferreira de Souza put it, "rags-to-riches stories become increasingly unlikely."

1. Scandinavia: Equality is safer ... and skinnier

Sweden, Denmark, Finland and Norway are the gold standards for economic equality and justice. It's not that everyone is equal -- it's that the gap between rich and poor is small enough that it doesn't cause all sorts of other problems. Violence, mental illness ... even obesity. All of these are associated with economically split societies, according to decades of research that went into the book "The Spirit Level," by two epidemiologists.

Another outcome of income inequality is that it's harder to move up in a society. This has been proved by data, but it's also logical. When the gap is wider, a person has further to go.

"If you want to live the American Dream," said Kate Picket, one of the researchers, "you'd better go to Denmark or Finland."

Their rates of economic mobility are much higher. They achieve this with higher tax rates and better social services. Norway, for example, provides 10 weeks of paid paternity leave. College and health care are free in Denmark. When these tools exist and are available to everyone, it matters less how rich you are at birth. You have the same tools for success as everyone else.

2. Iceland: Publish the names of the rich

Economic inequalities are somewhat invisible in the United States. They're masked by credit, as Harvard's Michael Norton explained it to me, and we tend to surround ourselves with people from the same tax bracket. We also don't tell each other how much money we make. An Esquire writer tested this idea by running around the country asking people, "How much do you make?"

"You mean money?" one man responded.

Money isn't something Americans discuss. And maybe that's holding us back. Iceland clears up all mysteries about the size of the rich-poor gap by making individual income tax records public, said Stefán Ólafsson, a professor at the University of Iceland.

"It reveals the differences," he told me. In the lead up to the financial crisis, "people could see how the bankers earnings were galloping ahead of everybody else ..."

3. Australia: McDonald's pays $15 an hour

Fast-food workers in the United States have been protesting for a higher minimum wage. The federal minimum is $7.25 per hour, which is worth less than the minimum wage was in the late 1960s, when you adjust for inflation.

Australia, meanwhile, manages to pay all of its workers $15 per hour -- and the economy, fast-food and otherwise, hasn't collapsed. The country also maintains a lower level of income inequality.

4. Brazil: Income inequality isn't forever

In 2001, Brazil's Gini index rating, one measure of income inequality, was 59.4, according to a government source.

By 2009, it had dropped to 53.9.

A score of 100 means one person earns all income in the country.

Zero means income is perfectly distributed.

Related: Is class the new race?

Brazil is still more economically divided than the United States, which had a rating of 45 in 2007, according to data compiled by the CIA, but Brazil's downward trajectory is encouraging, and it's at least partly the result of policies designed to lift people out of extreme poverty and to encourage equality of opportunity.

One much-touted program, Bolsa Familia, provides direct cash transfers to poor families on the condition that their children attend school. The program only costs 0.5% of GDP per year, Ferreira de Souza said. "It certainly will not solve all our problems," he told me, "but it has played an important role in bringing down inequality."

The country also adjusts its minimum wage for inflation and pegs social support programs to that amount. The minimum wage has increased in recent years, making it possible for people to work their way out of poverty.

5. United States: Clues from a time capsule

Finally, we in the United States need look no further than our own history for tips about how to run a country where prosperity is broadly shared.

Former U.S. Labor Secretary Robert Reich told me he's often asked which countries the United States should try to emulate to try to narrow the rich-poor gap. He always says 1950s or 1960s America. Back then, unions gave workers a voice; college was affordable; CEO pay wasn't off the charts; and the minimum wage was higher in relative terms.

Reinstating some of those policies might stop America from becoming more unequal than it already is. We're (barely) beating Zimbabwe. Let's keep it that way.

@highlight

America has a higher level of income inequality than any developed country

@highlight

The income gap is also wider than Iran's or Nigeria's

@highlight

John Sutter: The U.S. should take cues from other places

@highlight

Brazil, Iceland, Australia and Scandinavia offer important lessons, he says