"Here we go again," I sigh, browsing news channels. Each one, leading with the chilling buzzwords: "Islamic State" and "Jihadist Murder."

Not since the weeks following the September 11, 2001 attacks in New York has turning on the TV been so demoralizing for Muslims across the globe.

I have that same sinking feeling whenever an atrocity takes place which is broadly placed at the feet of the "Muslim world." Because, "Hi, I am Lauren and I am a Muslim" -- should there be a new support group?

What's depressing as a "revert" (Muslims believe everyone is born into their faith) to Islam is to witness the casual sleepwalk towards the branding of all Muslims -- wherever we live and whatever our lives -- as the "same."

As the wider community watches this dangerous pantomime unfold, it is significant that the question asked (again) of Muslim Britons or Americans is not: "How do we tackle these challenges together?" but "what can be done about 'extremism' in your community?" This question pushes millions of us outside mainstream society, causing fissures where fault lines already exist.

Almost a decade ago, as the (Christian) head interviewer at the Islam Channel in the UK, my job put me into contact with some of the Muslim world's most prominent clerics, academics and leaders. My contact with many chilled-out, clean-living and gentle people -- offering me kindness, food and shelter -- led me to research the world's fastest growing faith. I came to embrace its central concept: the "Oneness of God."

During this time, I also visited Palestine as a reporter. My working life in the Western media had not prepared me for the experience. I realized that I had been misguided about Islam and its people by the political mantra, best summarized as: "You're either with us or against us."

One day, reporting from a refugee camp in Gaza, I was led by a group of shoeless children to a dark living room, lit only by candles due to a power cut. An elderly lady offered me tea and I found myself alone with a short-bearded young man in jeans and a t-shirt, with a serious expression.

"You are now in the house of Islamic Jihad," he said. My eyes took in the impoverished home. My hair was out, my arms on show, and I was in my usual London-style clothes.

"Why aren't you afraid?" The young man asked.

"Because your mum's making me tea," I said.

He went on to tell me that whether I was Christian, American, secular or Jewish, so long as I came to Palestine in peace, he and his colleagues would protect me with their lives and treat me (the sister in law of Tony Blair, former UK prime minister -- no friend of Islam) as their honored guest. For the best part of a decade, this has remained my professional experience. I have also interviewed members of Hamas, Hezbollah and the Al Aqsa Martyrs Brigades. The men I met expressed the same promise to protect my safety.

That particular young man in Gaza would no more recognize the aims or behavior of the so-called "Islamic State," in beheading journalists and threatening the mass murder of other faiths, than your own kids or, for that matter, your average Muslim teenager in Los Angeles, London or Lille would. Yet Muslims -- whether involved in genuine armed resistance in Gaza or simply preparing for college in the Midwest -- are labeled as sharing the values of groups I can confidently say do not represent our faith, our many cultures, or much less our hopes and aspirations.

In response to Israeli Prime Minister Benjamin Netanyahu's attempt to link all resistance groups' aims to those of ISIS, Al Falistinya TV in Palestine aired a film clip that better reflects the way ISIS is viewed by most Muslims in the region.

It is pertinent to remind ourselves that despite the abject horror of Western journalists being murdered, ISIS, like all extremist jihadist groups, has focused its killing on Muslims first and foremost.

The NCTC Report on Terrorism (2012) found that "In cases where the religious affiliation of terrorism casualties could be determined, Muslims suffered between 82 and 97% of terrorism-related fatalities over the past five years."

So, do you really think we don't care about extremism? That it's divorced from our reality, or unimportant to our community?

There is an experience that wannabe members of chilling al Qaeda offshoots and people like me share: the inevitable hurried, ill-thought out policy-on-the-run that politicians in the U.S., UK and France will now make off the back of the regular appearance of murder videos.

Every day, Muslims in market places from Kabul to Mosul are more likely to be blown up by "jihadists." And in the West, it is everyday Muslims like me who hold our breaths waiting for the next raft of CIA and British intelligence "measures," which will target citizens based solely on the basis of our religion or ethnicity.

In the U.S., databases showing where Muslims live, where we shop, what Internet cafes we use and even where we like to watch sport are now accepted practices.

Informants -- aptly nicknamed "mosque crawlers" by the CIA -- are sent to our Friday services, pretending to share our faith, then reporting back to the secret service. Unsurprisingly as a result, government bodies are viewed as a hostile entity by Muslim voters who are not radicalized -- simply frustrated. A 2012 survey by the Arab American Institute found that 55% of Arab American Muslims experienced discrimination, while 71% were afraid of expected future increases in discrimination.

Meanwhile in Britain, as Prime Minister David Cameron grandstands using phrases that inflame tensions on the streets here, mosques have been burned and vandalized. Muslims are the target of countless and increasing hate crimes across cities in the UK and Europe.

Those headlines -- the ones that may reassure you -- about "deradicalization" and "crackdowns," mean that your quiet, non-drinking Muslim neighbors and I must now prepare for more phone spying, more friends receiving alarming visits from secret agents and more hassle at the airport.

For those young men whose inner confusion, drug addiction, mental health problems or yes, even extremist grooming, makes them want to join some murderous group, one of the biggest recruiting lines is "the West vilifies you and your community."

So why do politicians think more mass surveillance and persecution is the answer?

One ingredient for a long-term solution to the brainwashing of a small number of young people is one that is missing from this week's political rhetoric -- yet again. This is the ideal of "fairness," at home and abroad, for Muslims.

This may be shocking to read at a time when "Muslims" are shown wearing bonnets and carrying long knives for slaughter videos. Yet the answer is staring us all in the face and has been since 9/11 first made Muslims in the West afraid to turn on the TV. Millions felt the same horror watching footage of Bagram and Guantanamo Bay. Are we all humans with rights or are we not?

The U.S. and its allies are preparing to re-enter Iraq again by air and perhaps eventually by land. Now is the time to propose a coherent strategy abroad that does not, and will never again, name the mass slaughter of Muslim civilians as "collateral damage" in a war they want no part in. A strategy should be proposed at home that includes honest, free debate between the Muslim community and the government on issues such as foreign policy and anti-terror measures, without prompting fear for our own freedom and security.

Now that really would be radical. In a good way.

MAPS: Where do jihadis come from?

@highlight

It's depressing to witness the branding of all Muslims as the "same," writes Lauren Booth

@highlight

Booth: Muslims are labeled as sharing the values of groups that do not represent our faith

@highlight

Extremist jihadist groups have focused its killing on Muslims first and foremost, she writes

@highlight

One ingredient for a long-term solution is the ideal of "fairness," she says