(CNN) -- For those who didn't know much about Shirley Temple, her passing this week revealed two surprises. First, that her post-Hollywood career was dominated by public service. She ran (unsuccessfully) for Congress in 1967, served as a representative to the United Nations and was ambassador to Ghana and Czechoslovakia. And second, she was a Republican. She was that rarest of things nowadays: a Hollywood star who admitted to voting for the GOP.

Today, Hollywood appears uniformly liberal. But once upon a time, things were different. While researching my forthcoming book on Hollywood and politics, I was surprised to discover how many vocal conservatives there were in Hollywood well into the 1970s - and that many of them enjoyed the company of Richard Nixon.

John Wayne narrated a Nixon biographical documentary at the 1972 GOP convention, where Clint Eastwood was a highly visible guest. Bob Hope toured the country with Jack Benny and country pop star Glenn Campbell to drum up support for the troops in Vietnam. Hope closed his 1970 Christmas TV special with a plea for viewers to get behind the President. James Stewart once told reporters, "All you have to do is go to Vietnam to see that the kids are still patriotic," and suggested that antiwar Hollywood actors were just eaten up with bitterness at Nixon's popularity.

Yet in 21st century America, the only public Hollywood support Republicans can get (look at Romney's pitiful donations) tends to come from faded action heroes like Arnold Schwarzenegger and Chuck Norris. Yes, Eastwood is still a fan of the GOP, as is Jon Voight, and Vince Vaughn is close to the Paul family. But the acting contingent of conservatism has shrunk. The reason is recent political dynamics. Hollywood has moved to the left; the Republicans have moved to the right.

When Shirley Temple Black was a child star, Hollywood was dominated by powerful Republican moguls. The movies she tap danced and sang through for Fox might have earned the praise of Franklin D Roosevelt (he once said, "It is a splendid thing that for just 15 cents an American can go to a movie and look at the smiling face of a baby and forget his troubles"), but the industry that produced them was anti-union, anti-communist, and typically anti-Democrat.

There was, for example, near unanimity between the otherwise inharmonious studio chiefs in opposing Upton Sinclair's 1934 ultra-liberal campaign for governor of California. (Sinclair wanted to introduce a graduated income tax.) The moguls actually made their staff donate a week's salary to Sinclair's Republican opponent.

But the moguls lost their power when the studios were undone by trust-busting and TV. In the 1960s, a new generation of stars defined themselves artistically by their revolt against the studio machine and "square" middle-American culture. These were the beautiful people like Jane Fonda, Warren Beatty and Shirley MacLaine. They began as political outsiders, but their activism slowly professionalized and grew into PACs that raised millions of dollars for almost exclusively Democrat campaigns.

Men like Steven Spielberg, Jeffrey Katzenberg and David Geffen became the new kingmakers. In one month of the 2012 election season, Spielberg and Katzenberg each gave $1 million to President Obama's super PAC Priorities USA. Hollywood money is an indispensable part of the modern Democrat machine.

Of course, movie makers might consider themselves socially progressive, but, as their disposable income attests, they are still ambitious capitalists -- ones that might have remained more open to the Republican Party if it had only stuck to its old theme of limited, small tax government. But the GOP viscerally repelled the new Hollywood with its social conservatism.

The actor Ronald Reagan's election as president ought to have represented the pinnacle of Hollywood conservatism, but, ironically, it actually represented the beginning of its post-Nixon decline. Reagan's willingness to reach out to the religious right meant that while he was certainly a product of the movie industry, he had effectively divorced himself from its libertine culture.

Throughout his time in office, his Hollywood support base whittled down to the last surviving members of the Shirley Temple generation. When the Gipper threw a televised charity function in 1985, the guests were Frank Sinatra, Charlton Heston and Dean Martin. The only real contemporary 80s star was Burt Reynolds.

In other words, as Hollywood moved left and the Republicans moved right, they passed each other on the political spectrum. One wonders whether Shirley Temple would have felt as comfortable identifying herself with the GOP today as she did in the 1960s and 1970s. My guess is yes. After all, her Republicanism persisted (she was still campaigning for George H.W. Bush in 1992) and, as a child rather than an adult star, she had nothing to lose in terms of Hollywood clout by going public with her conservatism.

For all those moderate Republicans (and, yes, they really do exist) out there in Hollywood, things are a lot harder. If they come out as conservative, they risk never getting invited to any forthcoming benefits George Clooney might be throwing to liberate the Elgin Marbles. That's a serious problem, because Hollywood is a business in which who you know is as important as what you know. Therefore, if stars admit their Republicanism, they risk losing friends, parts and a steady income. No wonder so few do it.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley: Shirley Temple was American's sweetheart and a committed conservative

@highlight

Conservatism in Hollywood today is a rarity today

@highlight

Reagan, as president, wooed religious right; Hollywood conservatism declined, he says

@highlight

He says studios' political kingmakers now come from the left