(CNN) -- After many years of euphoria over China's rapid growth and the country's apparently inevitable rise to global economic dominance, the China story has taken a serious turn for the worse. China, it now seems, is about to collapse, and along the way it may well bring the world economy down with it.

Fortunately, the new story may be as muddled as the old one.

China's economic model has relied heavily on investment and debt. It shouldn't be a surprise that after many years of tremendous growth driven at first by badly needed investments, Chinese spending on infrastructure and manufacturing capacity is slowing down.

During the same period, debt levels surged as borrowed money poured into more highways, airports, steel mills, shipyards, high-speed railways, and apartment and office buildings than the country could productively use.

A few economists predicted as far back as 2006 that China would face a serious debt problem. By 2010, it became obvious even to the most excited of China bulls that this was indeed happening.

To protect itself from the risk of a debt crisis, China must bring spending to a halt. Beijing now wants to rebalance the economy away from its excessive reliance on investment and debt, and to increase the role of consumption as a driver of growth.

But this cannot happen except at lower growth rates.

So what happens next -- will China collapse? Probably not. A financial collapse is effectively a kind of bank run, and as long as government credibility remains high, banks are guaranteed and capital controls are maintained, it is unlikely that China will experience anything like a bank run.

What is far more likely is that in the coming years, China's gross domestic product growth rate will continue to decline as the country focuses on stimulating consumption.

Growth rates during the administration of President Xi Jinping are unlikely to exceed 3% to 4% on average if the economic rebalancing is managed well.

Will the slower growth rate be a disaster for China? Certainly, it would be huge departure from the growth rate of roughly 10% a year for nearly three decades. Would much lower growth rates create high unemployment and huge dislocations for the economy? Some are worried about such scenarios. But the Chinese economy has so far shown a lot of resilience despite passing storms such as the global financial crisis.

Beijing has huge challenges ahead. China's growth has been a boon to large businesses, the state, the powerful and the wealthy elite. What the Chinese government needs to do is recalibrate growth so that average household incomes can rise and consumers have more money to spend.

This will not be easy to pull off, but there are positive signs. Xi's government seems determined to make the necessary changes, even at the expense of much slower growth.

Even if GDP growth declines but average Chinese household income grows at 5% to 6% a year, it would put China in the right direction.

As for the rest of the world, there's no reason to panic over China's economic slowdown. Contrary to popular beliefs, China is not the global engine of growth; it is merely the largest arithmetic component of global growth. What drives global growth is demand. China, with a large trade surplus, is not a net provider of demand to the world.

What matters to the world, in other words, is not how fast China grows but rather, how its trade with foreign partners evolves. If China rebalances in an orderly way, its imports of manufactured goods and services should rise faster than its exports. This will be good for the world.

What's more, manufacturing industries around the world that lost out to China in the export business will benefit. When wages rise for Chinese workers -- so that they have more money to buy goods and services at home -- it means other developing countries will have a chance to compete for exports if they offer lower labor wages.

There is no doubt that Beijing has a long road ahead in terms of managing a huge economy, but as of now there should be nothing surprising or unexpected about the slowing growth of China. It will probably benefit the Chinese people and the global economy.

The opinions expressed in this commentary are solely those of Michael Pettis.

@highlight

Michael Pettis: Some experts think that China's economy is in big trouble

@highlight

Pettis: Most likely, China's growth rate will decline in the coming years

@highlight

He says the country needs to shift from investment to consumption model

@highlight

Pettis: If China recalibrates its economy in the right way, everyone will benefit