Venice, Louisiana (CNN) -- On day 46 of the Gulf of Mexico oil spill, BP began to siphon oil from the ruptured undersea well to the surface, where it was flowing onto the awaiting drill ship Discover Enterprise.

As the recovery process started Friday, BP said it would shut four vents on top of a containment cap from which oil was still escaping into the ocean. The company hoped that closing the vents would greatly reduce the amount of gushing crude, though there was still enormous uncertainty about the ultimate success of BP's latest effort to contain and recover the oil.

U.S. Coast Guard Adm. Thad Allen, the federal government's response manager, said estimates of how much oil is being captured or whether any leaks develop will be determined later Friday.

President Obama, who said he was "furious at this entire situation," arrived in Louisiana on Friday afternoon to get another firsthand look at the environmental damage and speak with political and business leaders.

Obama did not provide details about attempts to seal the well, but said "it does appear that the cap -- at least for now -- is holding." He quickly added, however, that it is "way too early to be optimistic." Officials should know more about the success or failure of the effort in next 24 to 48 hours, he said.

Researchers at the University of South Florida have completed laboratory tests confirming that the oil gushing into the Gulf of Mexico has collected into more than one oil plume beneath the surface. The plumes are as wide as 6 miles, though their lengths are unclear, researchers said.

In the past, BP has denied that such large amounts of oil, which can choke fish and harm their eggs, have formed into underwater plumes.

However, on Tuesday, BP Managing Director Bob Dudley said, "The science of the plumes hanging in the water doesn't feel right. What happens is dispersant breaks the drops down into small drops and they move around and break down."

Last month, Dudley told NPR that the plumes likely would not remain. "Oil by nature, in its own specific gravity, isn't going to stay in a plume like that," he said. "It should rise to the surface, and then we'll be able to attack the spill in that way."

The university, which recently discovered a second oil plume in the Gulf, concluded that microscopic oil droplets are forming deepwater oil plumes.

"These hydrocarbons are from depth and not associated with sinking, degraded oil, but associated with the source of the Deep Horizon well head," said David Hollander, a professor of chemical oceanography at USF.

On Thursday, Allen acknowledged "some anecdotal reports from research vessels from universities that have found dense plumes or what they believe to be plumes under the water."

"We're in the process of taking samples and trying to figure out what they are," he said. "They're denser than the water, but we're not sure whether it's oil or not."

The cost of the federal response effort to the spill totaled $93 million as of June 1, according to a Friday letter from Secretary of Homeland Security Janet Napolitano and Allen to congressional leadership.

They are requesting Congress approve a proposed provision that would make available up to an additional $100 million to the Coast Guard.

The Obama administration has also sent a $69 million bill to BP for the government's efforts to help deal with the spill. The bill accounts for 75 percent of what BP owes to date, and the company has until July 1 to pay the full amount, an administration official said.

Oil that has already affected Louisiana, Mississippi and Alabama is drifting steadily toward Florida. A new trajectory from the National Oceanic and Atmospheric Administration issued Friday forecast oil onshore as far east as Destin, Florida, by Saturday afternoon.

Tar balls, tar patties and sheen were confirmed 10 miles from the Escambia County shoreline, and the primary oil plume, according to NOAA, was 30 miles from Pensacola, Florida.

Escambia County Commission Chairman Grover Robinson, whose district covers Pensacola, said he found tar balls the size of silver dollars and smaller while walking on the beach Friday morning.

He added that BP didn't send cleanup crews until hours later in the afternoon. However, he said there was nothing unusual about the water, and that the beach remained open to tourists.

"You can't help but be passionate about Florida," Gov. Charlie Crist said Friday about the state's natural beauty and the importance of tourism. What was needed now, he said, was strong leadership to get through the crisis.

"You've got to keep a cool head in order to win a hot game," he said.

BP remained optimistic but again warned that the containment cap had been positioned on a ruptured well head a mile below the ocean's surface. In a statement, the British oil giant said that the system's ability to contain oil or its continued operation "cannot be assured."

On Thursday night, BP completed a complex underwater maneuver. After mixed success with cutting off a damaged pipe, BP positioned a cap over the ruptured well head, though the company was uncertain whether the cap's seal would be snug enough to prevent oil from leaking out.

Even so, Doug Suttles, BP's chief operating officer, was hopeful. "I think it should work," he said.

Undersea images Friday showed a great deal of oil still spewing from the well.

Allen said the vents in the cap were designed to let oil escape to prevent cold water from entering and forming icy hydrates that could block the flow to the surface.

Only when the vents are closed will BP be able to determine whether the seal on the cap is snug enough to keep massive amounts of oil from gushing into the ocean.

BP's progress was received with tempered applause.

"The placement of the containment cap is another positive development in BP's most recent attempt to contain the leak. However, it will be some time before we can confirm that this method will work," said Coast Guard Lt. Cmdr. Tony Russell. "Even if successful, this is only a temporary and partial fix, and we must continue our aggressive response."

The well may not be completely sealed off until at least until August, when BP hopes to finish drilling two relief wells.

"Our task is to contain the oil, ultimately to eliminate the leaking well and, most importantly, to clean up the oil, defend the shoreline and restore the shoreline where the oil comes ashore, so we return it to the original state," said Tony Hayward, BP's chief executive officer.

Hayward appears this week in television ads launched as part of a national campaign to restore the British oil company's tarnished reputation. In them, Hayward apologizes and promises to "make this right."

However, state and local leaders said they are fed up with the way BP has approached the response.

Louisiana Gov. Bobby Jindal said he told Obama Friday that "BP still hasn't given the state a dime" to pay for its efforts in cleanup. "We are moving forward with or without BP."

He also blasted the company for not quickly compensating those who are out of work because of the spill.

"Our people deserve to be fully compensated for their losses," Jindal said. "Instead of BP shelling out $50 million on an ad campaign that promises to do good work in responding to this spill, BP should just focus on actually doing a good job and spend the $50 million on assistance to our people, our industries and our communities that are suffering as a result of this ongoing spill."

A BP spokesman wouldn't put a price on the ad campaign, but said "not a cent is being diverted from the oil spill response."

Protests against the oil company that sprouted this week are set to continue in several cities through the weekend. And anger continued to fester in coastal communities.

Hayward said Friday that the company will establish a separate division to manage its response to the crisis. BP has said that it has spent $1 billion so far but that it was too early to predict the ultimate financial blow.

"We've got considerable firepower to deal with the costs," said Chief Financial Officer Byron Grote, referring to $5 billion in available cash, $5 billion in bank credit lines and an additional $5 billion in standby credit facilities.

The BP well erupted after an explosion and fire on the leased Deepwater Horizon drilling rig on April 20 that killed 11 people. The rig sank two days later, leaving up to 19,000 barrels (798,000 gallons) of oil pouring into the Gulf daily, according to federal estimates. BP, rig owner Transocean and oilfield services contractor Halliburton have all pointed fingers at one another for the disaster.

A crew of scientists who just returned from an eight-day mission researching the underwater oil impact of the spill has found life forms near the breached well head, officials with the National Oceanic and Atmospheric Administration said Friday.

The researchers aboard the 224-foot Gordon Gunter found "ample evidence of a lot of zooplankton," said NOAA Administrator Jane Lubchenco. "It's not a dead zone. There's still a lot of life there."

Zooplankton are organisms that drift through bodies of water, and many of them are not visible to the naked eye.

The question, she said, is how much of an impact the oil from the Deepwater Horizon disaster will ultimately have. The researchers took underwater samples from within 3 nautical miles (3.45 miles) of the well head.

The scientist are trying to determine how much oil is out there, in what concentrations and where it came from, Lubchenco said, adding that they "can't assume all the oil that is out there is from the Deepwater Horizon -- some of it may be from other sources."

@highlight

Researchers confirm existence of oil plumes beneath the surface

@highlight

Cost of federal response effort to the spill totals $93 million as of June 1

@highlight

President arrives in Louisiana on Friday to see spreading oil slick firsthand

@highlight

Estimates of how much oil is being captured expected to be determined later Friday