(CNN)Aviation website AirlineRatings.com has just released its annual list of the world's 10 safest airlines.

Once again, Australian airline Qantas grabs the top spot.

"Qantas continues to lead the industry with safety innovations and its fleet is now the youngest -- 7.9 years -- it has been since the airline was privatized in 1995," AirlineRatings.com editor Geoffrey Thomas tells CNN.

He says the airline is an industry benchmark for best practice and has taken the lead in virtually every major advancement in airline safety over the past 60 years.

Rounding out the rest of the top 10 in alphabetical order are: Air New Zealand,  British Airways, Cathay Pacific Airways, Emirates, Etihad Airways, EVA Air, Finnair, Lufthansa and Singapore Airlines.

"Our top 10 safest airlines are always at the forefront of safety innovation and launching new planes," says Thomas.

AirlineRatings.com's rating system takes into account audits from aviation's governing bodies and lead associations as well as government audits and the airlines' fatality records.

It also examines airlines' operational histories, incident records and operational excellence.

Of the the 449 airlines it monitors, 149 have the top seven-star safety ranking.

This year, the site also included a list of the top 10 safest low cost airlines for 2015.

These are, in alphabetical order:  Aer Lingus (Ireland), Alaska Airlines (U.S), Icelandair (Iceland), Jetblue (U.S.), Jetstar (Australia), Kulula.com (South Africa), Monarch Airlines (UK), Thomas Cook (UK), TUIfly (Germany) and WestJet (Canada).

"Unlike a number of low cost carriers these airlines have all passed the stringent International Air Transport Association Operational Safety Audit audit and have excellent safety records," says Thomas.

"Low cost does not mean low safety."

One fatal accident for every 1.3 million flights

The release of the AirlineRatings.com list comes at a particularly sensitive time for fliers.

While 2013 was one of the safest years in global aviation history, 2014 is considered one of the worst in recent years in terms of fatalities, due to several high-profile air incidents.

AirlineRatings.com says there were 21 fatal accidents with 986 fatalities in 2014 -- higher than the 10-year average.

However, looking to the positive there were only 111 crashes in 2014, the lowest number in more than 80 years says the Geneva-based Bureau of Aircraft Accidents Archives, or BAAA.

The last time the world had 111 crashes was in 1927.

"If you consider sheer numbers of aircraft crashes, flying today is safer," says Kane Ray, an analyst with the International Bureau of Aviation, a global aviation consulting group.

"However, there are more aircraft in the sky, so naturally the overall number may appear similar to previous decades and, in some categories of disaster, higher."

According to a report on AirlineRatings.com, the world's airlines carried a record 3.3 billion passengers on 27 million flights in 2014.

"Flashback 50 years and there were a staggering 87 crashes killing 1,597 when airlines carried only 141 million passengers -- 5% of today's number," says the website.

"Another twist is that fatal accidents for 2014 were at a record low 21 -- one for every 1.3 million flights. Two of the crashes last year -- MH370 and MH17 -- were unprecedented in modern times and claimed 537 lives."

In March, Malaysia Airlines Flight 370 disappeared en route from Kuala Lumpur to Beijing with 239 aboard.

Officials believe that plane is somewhere in the Indian Ocean. But, nearly 10 months later, MH370 hasn't been found.

In July, Malaysia Airlines Flight 17 was shot down over eastern Ukraine, killing all 298 aboard.

Malaysia Airlines has a five out of seven ranking on AirlineRatings.com.

AirAsia Indonesia -- still reeling from the crash of Flight QZ8501, which went down over the Java Sea on December 28 with 162 people on board -- has a four out of seven star ranking.

Prior to December, AirAsia had a near flawless safety record, with no previous fatal accidents.

World's unsafest airlines

AirlineRatings.com says if an airline has a crash that involves the death of a passenger and/or crew members it will automatically receive a deduction of one star, giving it a lower safety rating.

"A crash involving fatalities carries with it a one star deduction for 10 years from the date of the incident," says the website on a page explaining its ratings system.

Of the 449 airlines surveyed by AirlineRatings.com, nearly 50 have just three stars or less.

Four airlines only achieved one star for safety.

Two are from Nepal -- Tara Air and Nepal Airlines -- joining Kazakhstan's Scat Airlines and Afghanistan's Kam Air.

All four are on a list of airlines banned from flying within the European Union.

The United States doesn't blacklist individual airlines, but it does make public a list of countries it judges to fall short of international aviation safety standards.

CNN's Holly Yan contributed to this report.

@highlight

Aviation site AirlineRatings.com says Qantas remains the world's safest airline

@highlight

Of the the 449 airlines the website monitors, 149 have the top seven-star safety ranking

@highlight

The world's airlines reportedly carried a record 3.3 billion passengers on 27 million flights in 2014