(CNN) -- Retail stores across Colorado sold nonmedical marijuana to adults for the first time Wednesday. As someone who has worked on reforming marijuana laws for nearly three years, I decided to take part as a customer and get in line.

Advocates, industry members and media stayed away from partying New Year's Eve to get up early to commemorate the historic day. We began at 3D cannabis dispensary at 7 a.m. with a press conference. We joined city and state representatives at Medicine Man dispensary later in the morning.

The atmosphere was reminiscent of a concert or sporting event. People who braved the cold stood in line and made small talk. A lot of people, particularly those over 50, said "It's about time," and told stories about arrests spanning decades for using marijuana. It was like a wedding or Election Night, with lots of picture-taking, hugs and congratulatory wishes -- except it was 7 a.m. and coffee and cocoa took the place of beer and wine.

I waited alongside three fairly young men who drove nine hours from Nebraska to take part. Behind them was a couple from Chicago who insisted their decision to go to Denver was not solely based on buying state-regulated marijuana -- but it played a significant role. Many others were local marijuana users looking forward to experiencing what only medical marijuana patients had been accustomed to in Colorado.

Once in earshot of the "budtenders," the conversation was fairly surreal. I asked for a strain perfect for after work, something to make me relax and help me sleep -- a Marijuana Merlot. I was told two Indica strains are solid sellers for this purpose: Tahoe Triangle and Ogre. Tahoe Triangle had a light pine smell; Ogre was more musty and pungent like you might imagine a hairy monster would be. I went with the Ogre with thoughts of Shrek in my mind.

The stores are fully backed by the state and local governments, and have been given a cautious green light by the federal government to proceed as planned.

Colorado voters approved Amendment 64, which legalized pot for recreational use, because they believe marijuana prohibition is more harmful than good and wastes resources. Colorado's previous efforts to decriminalize the plant -- remove criminal penalties for possession of small amounts of marijuana while it still remained technically illegal -- have already proven cost effective, practical and safe. According to the Colorado Center on Law and Policy, the amendment's decriminalization alone would save the state $12 million in 2012.

In the last decade, the state has averaged more than 10,000 arrests and citations per year for minor marijuana possession. The number of arrests has dropped over the last year to below 4,500, but this number represents high increases in arrests for public consumption.

Public consumption is a primary issue ahead of us. Using marijuana in public is still illegal in Colorado, and the Denver City Council has been engaging in a long back and forth to define "open and public use." The current definition isn't specific enough for the post- Amendment 64 era.

The proposed law in Denver would allow for open and public use as long as it's on private property with permission of the owner or lessee. Smoking is not allowed on city sidewalks, parks or the downtown mall.

Law enforcement rarely arrested anyone for public use before Amendment 64, when possession charges were the primary prohibition. We expect this number to stabilize and decline as law enforcement, decision-makers and users establish a culture of responsible use. Fortunately, use and consumption laws will soon be a civil issue in Denver, not a criminal one.

On the way back to the car after making my first fully legal and regulated marijuana purchase, I saw the guys from Nebraska again. I handed them educational brochures created by local reform advocates that provide various resources, address the effects and caution for consuming potent edibles, and generally explain the law. The young men thanked me, jumped in their Jeep with Nebraska license plates and Denver Bronco covers and took off.

The state is addressing potential harms of using marijuana with public education, safety and health outreach efforts. It felt good to put this new reality in action with cautionary discussions with the Nebraskans and others throughout the day.

Colorado is leading the nation in a new way to control marijuana, focusing scarce law enforcement resources away from arresting responsible users. It is satisfying to be part of that process, and it feels incredible to be in a position to promote safety and positive experiences for adults who are now law-abiding. They are pioneering an end to prohibition just by being regular people, standing in line, and behaving with friendly cheer and good spirits on the first day of 2014. The sky didn't fall in the Mile High City.

The opinions expressed in this commentary are solely those of Art Way.

@highlight

Art Way bought marijuana at a store in Colorado on first day of legal pot for adults

@highlight

Way: In line, the mood was celebratory, with people saying "it's about time"

@highlight

Way: Arrests for possession have plummeted, but you can get arrested for public use

@highlight

He says Colorado is leading the nation in a new way to control marijuana and save money