(CNN) -- His name is Abdullah X. His slogan: "Mind of a Scholar, Heart of a Warrior." But the star of this new animated show isn't a caped crusader battling bad guys in the streets of Gotham -- he's fighting for the hearts and minds of young Muslims everywhere.

"Abdullah X," the new Web-only cartoon series, is the tale of a young Muslim man in London who is struggling with his identity and his faith. It is a story that its creator, a former extremist who spoke to CNN on condition of anonymity, knows all too well.

"I was struggling with my own identity and sense of belonging when I was growing up -- issues around self-esteem and confidence, and where you fit in with regards to your Britishness or your Muslimness," Ahmed, as he asked to be called for this story, told CNN.

Ahmed said he spent years helping to spread and vocalize "extreme and harsh" worldviews in Britain. He saw efforts by governments and organizations to understand what was fueling anti-Western extremism as often "piecemeal and simplistic."

"Young people -- the most vulnerable groups in society -- were caught between government policy perspectives on how you combat terrorism and extremism, and this wall of shame and denial from within communities. I felt that we needed something that was going to be innovative and engaging."

So he created Abdullah X, the eponymous star of the series and an animated alter-ego that mirrors Ahmed's own journey from former extremist to someone who now hopes to steer young Muslims away from violence and extreme views.

Inspired by the superhero comics of his childhood, Ahmed used his own money to create "Abdullah X" and post it online, specifically to grab the attention of a generation raised on computer games and social media.

The series, which includes episodes such as "Five Considerations for a Muslim on Syria" and "Don't Try and Justify your Anger with Islam," is intended to be a counterpoint to the flashy, gore-filled videos posted on YouTube by groups like ISIS -- the Islamist militant group that has seized large chunks of Syria and Iraq and rallied hundreds of Western recruits to its cause.

In a "soundbite age," as he describes it, Ahmed says his goal was to create a robust narrative in order to give viewers pause to reflect -- and to prevent vulnerable minds from succumbing to ISIS' radical ideology.

"There's no point sermonizing, there's no point creating three-hour videos and campaigns [where] young people can see [a] potential propaganda element of it. If we're going to tackle extremism effectively, or tackle the narrative, you have to understand that narrative very well and then package that in a way that rivals the extremist material that a lot of young people find online," Ahmed said.

"Abdullah X is potentially any particular young Muslim from any particular walk of life, in any given time," Ahmed said. "His story and the development of his character suggest that he's built resilience and an element of willpower, and housed that within a kind of critical framework where he's able to judge sources on their merit rather than just believe what is put in front of him."

Ahmed's videos, which he posts on YouTube and Facebook, have already had tens of thousands of views -- and there are plans for an app that lets users directly interact with "Abdullah X."

"We're trying to tackle the keyboard warrior mentality. We're trying to tackle the 'Call of Duty,' PlayStation mentality and the 'jihobbyist' mentality -- those people who are allowing their grievances to sometimes put them at risk or in harm without knowing it."

Ahmed says he'll have achieved the project's objective "if we can save one person from going to die in some foreign land, or attempting to do something in his homeland or her homeland."

In the meantime, Ahmed hopes that "Abdullah X" will keep winning young Muslim viewers over, one YouTube click at a time.

CNN's Nick Thompson contributed to this report.

@highlight

New animated series "Abdullah X" aims to steer young Muslim minds away from extremism

@highlight

Cartoon was created by a British former extremist who spoke to CNN on condition of anonymity

@highlight

The series is aimed at countering the online propaganda of groups like ISIS

@highlight

ISIS, the group that controls parts of Syria and Iraq, has rallied hundreds of Western recruits to its cause