Bujumbura, Burundi (CNN) -- They're lonely and hungry, condemned to a life of daily hardship with little to hope for. Deprived of food, wearing old clothes, countless homeless children are living on the dusty streets of Bujumbura, the lakeside capital of Burundi, victims of a bloody civil war that wreaked havoc on the tiny east central African country.

Scared and neglected, the children's lives are fraught with great danger; some of them suffer from abuse while others resort to a life of crime to survive, earning the name "kirobezo," which means bad child.

But not everyone sees them like that. One woman is responding to these young children not with anger but with love -- and a whole lot of food.

Affectionately known as "Mama Dimanche," which means "Mama Sunday," Burundian radio presenter and longtime children's advocate Christine Ntahe has made it her duty to feed as many homeless street kids as possible. Every single week, she opens her house on Sundays, providing free meals to Bujumbura's vulnerable youngsters.

"Street children do not get enough to eat, they can spend two days without eating," says Ntahe. "They don't have clothes and mostly they are not loved -- they are hopeless that's why we find them joining armed groups," she continues.

"They can steal, they can rob, they can kill," she says. "They can do any bad thing, living that kind of life, I hate it. That's why I invite them every Sunday -- so that we can share food and have a time to discuss."

Read this: War orphans turn tragedy into triumph

No child is turned away. Instead, everyone is made to feel welcome. Before the meal, one teenager says a prayer for the group and then Ntahe hands out large bowls full of flavorful beans and rice. She pays out of her own pocket and, at one point, she even went into debt in order to feed and provide for these children.

Civil war

Burundi is one of the smallest countries in Africa and one of the poorest in the world. It gained independence from Belgium in 1962, but after years of tension and coups it descended into a vicious civil war that lasted from 1993 to 2005.

The armed conflict left hundreds of thousands dead and many more displaced. Everyone in the country suffered in some way because of the war, but especially children.

Half of Burundi's population is under the age of 18, while an estimated half a million children were orphaned by the civil war and HIV/AIDS, with many of them living on the streets.

Read this: From the streets to break beats

Nearly 60% of Burundi's children under five suffer from malnutrition, a primary factor behind their desperation and move toward crime, according to Ntahe.

"I have children who are in prison because they have stolen and they do it to get something to eat," she says. "That's why I do my best to protect them so that they don't end up in prison or in armed groups -- they go because they are without hope."

Giving children a voice

Ntahe, 58, has been an outspoken advocate for Burundi's children for several decades now.

Back in the late 1970s she began working at the only radio station in the country. After realizing how conflict was pushing children into violent crime, she decided to give them a voice by creating a show about young people and possibly convince them of a better life.

During the war, when thousands of people were displaced to refugee camps in neighboring countries, Ntahe used her radio program "Parlons Avec Les Enfants" -- or "Speaking With Children" -- to comfort those fleeing to Rwanda, Tanzania and DR Congo.

Today she still invites a selection of homeless children to join her on her program and discuss anything they want.

The more fortunate ones speak about the importance of an education, children's rights and mutual support for one another. Kids can even call in and ask anything they want.

Amongst those participating are Ntahe's success stories -- young people like Adrian, a 17-year-old boy who is doing his best in high school, for which Ntahe is paying.

"There are many good stories," says Ntahe. "There are many children who have succeeded; there is a story of one child whose job was to steal -- he was caught and put into prison but now he's an artist, a singer; there is another one who now is taking care of other street children -- he has an education center; there is another one who is now in Canada; another one is in South Africa. There are many stories that make me happy."

It's because of all this work that the U.S. embassy in Bujambura decided in March to honor Ntahe by naming her the 2013 "Woman of Courage" for exemplifying strength and leadership.

"She is a generous, warm person who has committed her life to the betterment of children without asking for anything in return," U.S. ambassador Dawn Liberi said at the time.

Since the award some small donations have started rolling in, but Ntahe says she's not worried about finances.

"The riches I have are in my heart," she says. "You can have a lot of (material) things, but not help anyone -- the best riches are in the heart."

Ntahe says what motivates her are the children who've grown up, avoided violence and improved their lives.

"I say that the young people are the Burundi for tomorrow, but tomorrow is impossible if we don't live well today," she says. "Tomorrow starts today, that's why we hug the children so that they can feel loved and never go back to do bad things. So Burundi has a good future, surely."

@highlight

"Mama Dimanche" is committed to helping homeless street children

@highlight

She runs a weekly food program and hosts a radio show giving children a voice

@highlight

Ntahe was named the 2013 "Woman of Courage" award by the U.S. embassy in Burundi