(CNN) -- The emergence of a purported statement from al Qaeda leader Osama bin Laden about U.S. policy in Pakistan as the U.S. president embarks on a major trip to Muslim countries is no coincidence, the White House spokesman and a counterterrorism official say.

Osama bin Laden is seen in an image taken from a videotape that aired on Al-Jazeera in September 2003.

"I think the reports we've seen are consistent with messages we've seen in the past from al Qaeda threatening the U.S. and other countries that are involved in counter-terrorism efforts," White House spokesman Robert Gibbs told reporters Wednesday.

"But I don't think it's surprising that al Qaeda would want to shift attention away from the president's historic efforts and continued efforts to reach out and have an open dialogue with the Muslim world."

A U.S. counterterrorism official, asked about the statement, said bin Laden "has timed the release of tapes to major events so it is not surprising that he picked this particular week."

Al Jazeera, the Arabic-language TV network that aired the message on Wednesday, said the statement was "a voice recording by bin Laden." As for the tape's authenticity, a CNN analysis said the voice does indeed sound like the leader of the terrorist network that attacked the United States on September 11, 2001. The counterterrorism official said "there has never been a fake Bin Laden tape."

The message comes as Obama begins his trip to the Middle East, visiting Saudi Arabia on Wednesday and, in Egypt on Thursday, making a major speech to the Muslim world.

Zeroing in on the conflict in Pakistan's Swat Valley, where Pakistan's troops are taking on Taliban militants, the message asserts that Obama is proving that he is "walking the same road of his predecessors to build enmity against Muslims and increasing the number of fighters, and establishing more lasting wars."

The message said U.S. policy in Pakistan has generated "new seeds of hatred and revenge against America."

The remarks -- which would be bin Laden's first assessment of Obama's policy -- were believed to have been recorded several weeks ago at the start of a mass civilian exodus because of fighting in northwestern Pakistan.

The speaker cites strikes, destruction, and Obama's "order" to Pakistani President Asif Ali Zardari "to prevent the people of Swat from implementing sharia law."

"All this led to the displacement of about a million Muslim elders, women and children from their villages and homes. They became refugees in tents after they were honored in their own homes," the message says.

"This basically means that Obama and his administration put new seeds of hatred and revenge against America. The number of these seeds is the same as the number of those victims and refugees in Swat and the tribal area in northern and southern Waziristan."

And, the message says, "the American people need to prepare to only gain what those seeds bring up."  Watch what the speaker says on the tape »

The speaker also says Zardari and Pakistan's military chief, Ashfaq Pervez Kayani, continue to divert the army's main role from protecting the nation to fighting Islam and its followers. He says the war is also hurting Pakistan's economy, endangering the country's religion and security and "fulfilling an American, Jewish and Indian plot."

"Most of the Pakistani people reject this unjust war. Zardari did this in response to the ones paying him in the White House -- not 10 percent but multiple folds of that," the message says.

The message points to India's aspirations, saying it is "easy for India to subject the disassembled territories of Pakistan, one after another, for its own benefit, like the case of eastern Pakistan before, or even worse."

"This way, America eases its worry towards Pakistan's nuclear weapons," the message says.

Eastern Pakistan is a reference to Bangladesh, which had been part of Pakistan until it became an independent country in 1971. Pakistan and India have also been at odds over the disputed territory of Kashmir, and pro-bin Laden jihadis have opposed Indian rule there.

Richard Holbrooke, the Obama administration's special envoy to Pakistan and India, said he hadn't listened to the message but commented on what he had heard about it.

"The idea that anyone is responsible for the refugee crisis other than al Qaeda and the Taliban and the other people who have caused such tragedy in western Pakistan is ludicrous," he said. "This entire problem begins with al Qaeda and its associates, and everybody in the world knows that, and it's silly to even respond to such a ludicrous charge."

Al Jazeera aired three separate segments totaling just over four minutes long from what it said is a new bin Laden audiotape aired over an old still picture of the terrorist leader. The network's anchors took part in describing each of the segments before they ran them.

Since the message was not posted on the radical Islamist Web sites that usually carry statements from al Qaeda, it is believed that this latest message was hand-delivered to the TV network, based in Doha, Qatar.

In other purported bin Laden messages issued in March, he called for Somalia's new president to be overthrown and called Israel's recent offensive in Gaza a "holocaust."

Bin Laden has delivered many messages over the years, but the last video message from him was in early September 2007.

In that video message, he criticized U.S. Democrats for failing to stop the war in Iraq; spoke of the anniversary of the U.S. bombing of Hiroshima and Nagasaki during World War II; the troop surge in Iraq; and world leaders such as French President Nicolas Sarkozy and British Prime Minister Gordon Brown.

On that tape, bin Laden's appearance was artificially changed for the first time. He dyed his beard from grayish white to black, leading analysts to believe that he has switched to sending only audio messages because he is altering his looks and doesn't want people to know what he looks like. Analysts also believe that bin Laden hasn't made videos lately because they are more labor-intensive to produce.

There have been gaps between videos from bin Laden, with many audio messages in between, each time prompting analysts to theorize he might be dead. The last two videos of bin Laden himself delivering an address were the 2007 tape and another in 2004.  See a timeline of bin Laden messages »

The U.S. counterterrorism official said of the latest purported bin Laden tape that "while the words are different" from other messages, this statement "recycles the broad themes of messages past."

"While we are still looking at the message closely, there is no reason to believe any specific or credible threat is contained in it," the official said.

Al Qaeda's second in command issued an audio statement Tuesday saying Obama is not welcome in Egypt.

Ayman al-Zawahiri said relations with the United States cannot be mended so long as the administration maintains its alliance with Israel.

In a message called "Tyrants of Egypt and America's agents welcome Obama" that was posted on Islamist Web sites, al-Zawahiri once again lashed out at the United States. Obama's message to the Muslim world, he said, has already been delivered with his support for "Zionist aggression."

In the 10-minute audio message, al-Zawahiri said Obama had already made himself an enemy of Muslims by sending more soldiers to Afghanistan, ordering bombings in the tribal areas of Pakistan and administering a "bloody campaign against Muslims" in Pakistan's Swat Valley.

CNN's Octavia Nasr and Jeanne Meserve contributed to this report.

@highlight

NEW: White House says timing of tape is not a coincidence

@highlight

Analysis of tape indicates that voice sounds like Osama bin Laden's

@highlight

Purported tape from terror leader surfaces as President Obama visits Mideast

@highlight

Message says U.S. policy on Pakistan has generated "seeds of hatred"