(CNN) -- Killing the man proved easier than killing his ideology.

Following a decade-long hunt, Osama bin Laden was finally run to ground in Pakistan two years ago.

Bin Laden did not die on the bloody battlefield of a holy war but in a suburban compound in the comfortable city of Abbottabad in northern Pakistan, surrounded by three of his wives and a dozen of his children and grandchildren.

The anti-heroic death of the al Qaeda leader was greeted by only small protests in the Muslim world. And worries that bin Laden's "martyrdom" would unleash a new wave of terrorist attacks have proved unfounded.

At the time of bin Laden's death on May 1, 2011, core al Qaeda had already been severely degraded by CIA drone strikes. Drones have killed at least 30 leaders of al Qaeda in Pakistan, according to a count by the New America Foundation. Some of the most senior al Qaeda leaders had also been arrested in Pakistan.

As Marty Martin, who headed CIA operations against al Qaeda in the years after 9/11, puts it in the HBO documentary "Manhunt": "Congratulations, Abu Butthead, you're now the No. 3 in al Qaeda; that's the good news. The bad news is, you're now the No. 3 in al Qaeda. Get ready. Buckle your chinstrap, because your career path is probably going to be short-lived."

As a result of CIA operations, the al Qaeda core is now on life support. Simultaneously, bin Laden's overall strategy has failed. Instead of forcing the United States to pull out of the Middle East as bin Laden had predicted would happen after the 9/11 attacks, the United States, together with its allies, largely destroyed al Qaeda in Afghanistan and later invaded Iraq while building up massive American military bases in Muslim countries such as Kuwait, Qatar and Bahrain.

Bergen: Agencies often miss warning signs of attacks

If bin Laden's strategy of attacking the United States was a failure, his ideas, unfortunately, may have more lasting currency, at least among a small minority in the Muslim world.

Like many of history's most effective leaders, bin Laden told a simple story about the world that his followers around the globe found easy to grasp. In his telling, there was a conspiracy by the West and its puppet allies in the Muslim world to destroy true Islam, a conspiracy led by the United States. As a result of this purported conspiracy, violence against the United States was a necessity.

Bin Laden's single narrative of a war on Islam by the West also purports to explain all the problems of the Muslim world: for example, that the long-running war between Russia and the Chechens is not a centuries-old imperialist land grab by the Russians but is rather a Western war against Islam.

So, too, are the U.S.-led wars in Afghanistan and Iraq, which Dzhokhar Tsarnaev has told investigators were among the reasons he and his brother carried out the bombings that targeted the Boston Marathon, according to a U.S. government official who briefed CNN.

Al Qaeda, the organization that bin Laden created during the late 1980s, has now morphed into a loose jihadist ideological movement. That movement spawned the most spectacular terrorist attacks in the United States since 9/11 in the form of the Tsarnaev brothers, who authorities said killed four and injured some 250 others during the course of a five-day killing spree in Boston this month.

This is bin Laden's most toxic legacy: "Binladenism."

It is an ideological movement that is supported by an entire jihadist ecosystem in which the Tsarnaev brothers and other militants can easily swim.

Bergen: Who really killed bin Laden?

The widely available English language webzine Inspire is produced by al Qaeda's Yemeni affiliate and teaches recruits in the West how to build bombs. Password-protected jihadist forums allow militants to "meet" electronically and clandestinely. Firebrand clerics preach hate in colloquial English on the Internet, and shadowy overseas militant groups allied to al Qaeda or influenced by its ideology have recruited and trained many thousands of militants during the past decade, including dozens of Americans.

The most effective of these militant groups today is the Nusrah Front in Syria, which is essentially a rebranded franchise of al Qaeda's Iraq affiliate.

Nusrah is the most effective force fighting the Bashar al-Assad regime and is widely regarded as the most disciplined of the hundreds of opposition groups now fighting in Syria.

Nusrah seems to have learned from the mistakes of al Qaeda in Iraq, which wantonly killed fellow Muslims and imposed Taliban-style rule on Iraq's Sunni population, provoking a tribal rebellion against al Qaeda known as the Sunni Awakening that began in 2006 and devastated al Qaeda in Iraq.

Nusrah is avoiding these kinds of mistakes and is actually providing services in a systematic way to the populated area it controls, something of a first for an al Qaeda affiliate. Nusrah makes large quantities of much-needed bread for the desperate Syrian population and even controls some of Syria's oil fields.

In the documents that were picked up by the U.S. Navy SEAL team that raided bin Laden's compound in Abbottabad are many examples of bin Laden and other al Qaeda leaders urging fellow militants to avoid causing Muslim civilian casualties and to learn from the mistakes of al Qaeda in Iraq.

In Syria, these lessons, for the moment, seem to be being heeded, while the tragedy in Boston shows that the death of bin Laden did not lead to the death of his ideas.

Bergen: Should we still fear al Qaeda?

This is underlined by a poll conducted by the Pew Research Center in spring 2012, a year after bin Laden was killed, finding that in Pakistan, 13% of Muslims held a favorable view of al Qaeda. In Jordan, 15% expressed a positive opinion, and the group received its highest ratings in Egypt, where 21% held a favorable view.

These favorable numbers are, of course, far outweighed by the unfavorable views that al Qaeda enjoys in the same countries. For most Muslims, whatever fleeting attraction al Qaeda's ideology may once have enjoyed has largely evaporated, in particular because al Qaeda and it allies have killed so many Muslim civilians around the Islamic world.

But Binladenism continues to excite a small but not insignificant minority of Muslims. We will be living with this ideology for many years to come until it is finally consigned to "history's unmarked grave of discarded lies," as President George W. Bush eloquently put it in a speech to Congress 10 days after 9/11.

@highlight

Peter Bergen: It was easier for the U.S. to kill bin Laden than to kill his ideology

@highlight

The Boston bombing is one case in which bin Laden's ideology may have played a role, he says

@highlight

The majority of Muslims reject bin Ladenism, but there are still some adherents, he says

@highlight

Bergen: Syrian conflict is another arena in which bin Ladenism is active