(CNN) -- Police reports that the suspects in the deadly Boston bombings were planning to extend the killing spree to New York barely qualifies as news in our city. New Yorkers have lived through too much, too often, to get jumpy at the prospect of a failed attack by a pair of isolated maniacs.

That might seem strange to outsiders, but New York has come to accept its status as the world's No.1 terrorist target -- and defiantly refused to cower or collapse.

This is the place, remember, that recently marked the 20-year anniversary of the awful day when Kuwaiti-born Ramzi Yousef drove a rented truck into a parking lot beneath the World Trade Center and exploded a bomb. Six people were murdered, and more than 1,000 injured.

With the hindsight of history, we now know the 1993 bombing was, in the words of the FBI, "something of a deadly dress rehearsal"  for the terrible attack of 9/11 that destroyed the twin towers. But it was also a wake-up call to federal investigators, who uncovered a vast, frightening plot to wreak havoc in the city.

In 1995, a jury convicted 10 men -- led by blind, Egyptian-born Omar Abdel Rahman -- of conspiring to bomb the United Nations, two major tunnels and a bridge, along with a federal office building. Had the plot succeeded, it could have killed countless thousands of innocent people.

Ever since then, New York and federal authorities have been on a high alert that has never relaxed. New York is where the first Joint Terrorism Task Force was created in the 1980s; it combines personnel from different federal, state and local law enforcement agencies under the same roof to minimize conflicts and confusion in the effort.

Year after year, New Yorkers have grown accustomed to press conferences featuring the FBI, customs officials, New York police and other agencies revealing startling plots to bomb bridges, subways, airports, banks, synagogues and other targets.

In 2009, a tip to the task force broke up a ring that was planning to bomb the subways. In 2010, Faisal Shahzad was arrested less than three days after trying to explode a car bomb in the middle of Times Square. In 2011, a man named Jose Pimentel was arrested on terrorism charges in a plot to bomb various sites around the city (his trial is pending), and in 2012 a Bangladeshi-born student named Quazi Nafis tried to detonate a bomb in front of the New York Federal Reserve Bank (he pleaded guilty and now faces a life sentence).

But even with one scary plot after another, New York has set record high numbers for tourism and residents. One of the most thriving neighborhoods, in fact, is the area near the World Trade Center, where a new, taller tower is nearly complete.

One reason for the confidence of New Yorkers is the extraordinary visibility and ingenuity of the New York Police Department. For example, officers are permanently stationed at the entrances of the city's major bridges and tunnels, and police frogmen dive into city rivers every day, checking the bases of the bridges for bombs.

Police regularly stage anti-terrorism drills in which dozens of officers from all over the city are directed to converge quickly on a central spot, a practice run to minimize confusion if they need to swarm into an area during a real attack.

And the New York police have officers stationed in 11 cities around the world, tasked with tracking international anti-terrorism efforts and going to the scene of terrorist attacks. Their job, in the words of Police Commissioner Ray Kelly, is to ask "the New York question": What can we learn that will shed light on possible dangers in the city? The international team also directly relays information back to the New York Police Department intelligence division.

So when Kelly and Mayor Michael Bloomberg held a press conference to announce that the Boston Marathon bombing suspects were planning to travel to Times Square to cause further mayhem, New Yorkers pretty much shrugged it off. To an extraordinary extent -- and with good reason -- the city considers itself on permanent alert, with a high level of vigilance that is our best protection.

The opinions expressed in this commentary are solely those of Errol Louis.

@highlight

Errol Louis: Police say Boston bombing suspects planning to strike in Times Square

@highlight

He says news didn't faze New Yorkers used to constant vigilance, police presence

@highlight

He says plots since 1993 have made city build mighty, far-flung security infrastructure