Idlib Province, Syria (CNN) -- At first glance, it looked like movie night at the neighborhood mosque. Dozens of teenage boys sat mesmerized on the carpeted floor, staring at a screen mounted on the wall.

But the show wasn't a comedy, a cartoon or a Hollywood action film. Instead, the boys' attention was captured by a locally produced instructional video demonstrating how to provide first aid to people who had abdominal injuries and appeared to be shot.

"You have to check for entry and exit points," a narrator explained in Arabic, as a medic used gauze to wipe away fake blood from a volunteer's bare stomach.

Not all of the demonstrations were simulations. In one segment, a male nurse narrated as he cleaned and stitched the hole in a man's scalp, the result of being grazed by a soldier's bullet.

"I have operated on six similar cases [over the past year]," said the nurse, who asked not to be identified for his own safety. "In my 30 years as a nurse, I've never seen injuries like this."

The video was part of a first-aid course that activists and local medical workers have provided for free to hundreds of men, women and children in this opposition-controlled town in Idlib Province. (In order to protect people interviewed for this story from reprisals, the exact location is not being identified).

In between lessons on how to bandage wounds and carry unconscious victims, the presentation included snippets of amateur activist video, showing bleeding, badly wounded demonstrators being carried down Syrian streets.

According to the Local Coordination Committees of Syria, a network of opposition activists, more than 8,000 people have been killed since the Syrian security forces began their crackdown on anti-government protests 11 months ago.

The cycle of violence in Syria has been so deadly for so long that opposition activists have taken matters into their own hands. In addition to trauma treatment lessons, they have established what could be described as a parallel shadow system of health care for their communities. Several doctors told CNN they operated secret clinics to treat patients wounded in clashes with security forces along with invalids suffering from common ailments.

Doctors in Homs struggle to save wounded children

The underground medical networks sprang up because many residents deemed it too dangerous to travel through government checkpoints to the main provincial hospital in the nearby city of Idlib. That contested city periodically echoes with bursts of heavy gunfire as rebels and government forces engage in deadly skirmishes.

But doctors and residents also say they have seen a pattern of government reprisals that seemed to target health workers.

"I have to hide my medical bag because what if they (Syrian authorities) find them? They would shoot me," said a Syrian dentist in another town in Idlib province.

He had ample reason to be scared. As the number of protests and subsequent casualties grew last year, the dentist began using his small dental clinic as a first-aid station for wounded activists and bystanders. Instead of drilling teeth, he struggled to save men suffering from gunshots to the stomach.

Then, one day last summer, he said Syrian soldiers knocked at the door of his clinic.

"As soon as I opened the door, the soldier took a Kalashnikov [rifle] and hit me in the face with it," the dentist said. He said he was beaten, blindfolded and dragged out to the street, where three other doctors were being beaten.

Later, captives were dragged to a car, where the dentist said a soldier sat on top of three doctors and put out cigarettes on the prisoners' hands and backs.

"I thought, they must be from another country. They couldn't treat their own people this way," the dentist recalled.

The dentist spent the next 45 days in a prison unit built for 60 people but crammed full of 130 prisoners. Every couple of days, he said, he was taken in for interrogation and torture, which included beatings, near-drownings in buckets of toilet water, and electric shocks to his genitals.

"They started beating me and asked me, "Who did you help?'" he recounted. "I said, 'I helped an old lady.' Then they started beating me even harder."

According to a recent report by the humanitarian organization Medecins Sans Frontieres (Doctors Without Borders), the dentist's case is not an isolated one.

"The Syrian regime is conducting a campaign of unrelenting repression against people wounded in demonstrations and the medical workers trying to treat them," the report concluded, adding, "Medicine is being used as a weapon of persecution."

The Syrian government has repeatedly denied accusations that it is targeting civilians. It insists that its forces are fighting in self-defense against "armed terrorists."

But doctors who have seen their colleagues arrested and tortured for treating wounded people disagree.

"The regime knows no humanity. Bashar [al-Assad] is a doctor in name only," said one young doctor, who volunteered as a quick responder with the Syrian Red Crescent. He was referring to the Syrian president, who trained as an ophthalmologist in Britain before being propelled into the presidency by the death of his father, Hafez al-Assad, in 2000.

Aid group calls for cease-fire to treat wounded

In the case of the dentist, 45 days of detention and torture in prison appeared to have only pushed him further into the Syrian opposition movement.

"When I was released, the whole town was waiting for me in the street -- children, adults and old people," he said in an interview with CNN. "I immediately forgot all about the torture. And that confirmed one thing for me: that I have to help the people even more."

He no longer uses his dentist's chair to treat the wounded. Now, the dentist was working with a small, secretive network of other health-care professionals to set up a network of underground field hospitals in their town in the event of a military assault.

They also had gathered hundreds of first-aid kits equipped with serum, gauze and bandages and quietly distributed them to hundreds of homes in their town.

"We are preparing for the threat of a battle," said the Red Crescent doctor. "This is something natural after what we saw in Homs."

Rebels in Idlib province fear that after the Syrian military destroys rebel neighborhoods in Homs, the regime could turn its attention to opposition enclaves in the north of the country.

Videographer killed in Homs

One group of doctors told CNN they were preparing for such an emergency by setting up their own underground blood bank.

They have little other choice. According to Doctors Without Borders, all of Syria's blood banks are under the control of the Ministry of Defense.

So in one rebel enclave, activists have compensated by compiling a list of potential blood donors, who have all been tested for blood types and to ensure they carry no blood diseases.

Even the most careful planning, however, ran up against the obstacle of shortage of medical supplies. The activists had only succeeded in securing 100 blood container bags for a community of tens of thousands.

"There's not enough medicine," said the dentist. "I've been trying to stockpile medicine. But when I treat one sick person I use almost all of it up. ... if there is a battle here and 100 people are wounded, what will we do?"

@highlight

Opposition has effectively set up a parallel shadow health care system

@highlight

Doctors Without Borders: "Medicine is being used as a weapon of persecution"

@highlight

Dentist in one town tells of reprisal and torture he and other doctors endured

@highlight

Despite ingenious preparations, shortages of supplies remain severe