Islamabad, Pakistan (CNN) -- A Pakistani court on Tuesday dismissed blasphemy charges against Rimsha Masih, a Christian teenager whose case prompted international outrage.

"She is a free woman, like any ordinary citizen," said Abdul Hameed Rana, one of Rimsha's lawyers. The high court in the Pakistani capital of Islamabad found that the accusations against her were legally unsound, he said.

Read more: Setback for Pakistani teen facing blasphemy charges

The court's decision follows weeks of uncertainty for Rimsha and her family, who were forced to go into hiding because of the furor surrounding the case.

"We welcome the courts ruling made under considerable pressure and international scrutiny," said Mustafa Qadri, Amnesty International's Pakistan researcher. "This shows that law enforcement and justice officials in Pakistan are capable of dealing with high profile and dangerous cases when they show the will to do so."

Pakistan's blasphemy laws "don't help protect religious harmony," he said. "The problem is that in law and in practice, this is a threat to all Pakistanis, not just Christians, not just minorities groups."

Rimsha's ordeal began in August when she was arrested over allegations she had burned pages of the Quran, Islam's holy book, for cooking fuel. She denied the charges, which carried the possible sentence of life in prison.

Confusion still surrounds the events of the day when Rimsha was arrested. The accusations against her were made by a neighbor, who shouted in protest, drawing a crowd that grew angry over the allegations that pages of the Quran had been burned.

Read more: Muslim cleric framed girl in Pakistan blasphemy case

Some residents of the Islamabad neighborhood said the teenager was beaten. Others said she ran back home and locked herself inside. When police arrived, they arrested her.

Her detention stirred up religious tensions in the predominantly Muslim country. It also generated fierce criticism of Pakistani authorities and renewed debate over the nation's blasphemy laws.

Human rights activists attacked the decision to put Rimsha into the adult criminal justice system, noting she was believed to be around 14 years old. She was later released on bail and her case was transferred to a juvenile court.

The situation took a dramatic twist in September when police arrested a local imam over allegations he had framed Rimsha. According to police, witnesses said they had seen the Muslim cleric, Khalid Jadoon Chishti, tear pages out of a copy of the Quran and add them to the bag of ashes being cited as evidence against Rimsha.

That case became more complicated last month when Chishti's lawyers said that three of the witnesses had recanted their statements at a bail hearing. The case against Chishti will continue in district court following the high court ruling Tuesday, according to Rana, the lawyer for Rimsha.

Explainer: Pakistan's blasphemy laws

Pakistan's blasphemy laws were first instituted to keep peace between religions. But they have been criticized by human rights advocates, who say the laws enable legal discrimination against religious minorities.

There have been about 1,400 blasphemy cases since the laws were first enacted in 1986, according to Human Rights Watch. There are more than 15 cases of people on death row for blasphemy in Pakistan, and 52 people have been killed while facing trial for the charge, according to the organization.

Rimsha and her family spoke to CNN in September from an undisclosed location after she was released on bail.

The teen denied that she defiled the Quran. She said she was happy to be with her family, but feared for her life.

"I'm scared," she said by phone. "I'm afraid of anyone who might kill us."

Now that her case has been dismissed, it still remains unclear what kind of life she might be able to have, given the accusations she faced.

Aid groups in the United States, Italy and Canada have offered the teen and her family a home outside Pakistan, a family representative said.

But she has said she wants to stay in her home country.

CNN's Elizabeth Joseph in Hong Kong contributed to this report.

@highlight

"She is a free woman, like any ordinary citizen," Rimsha Masih's lawyer says

@highlight

The high court in Islamabad finds the accusations to be legally unsound

@highlight

She was accused of burning pages of the Quran for cooking fuel

@highlight

The case against an imam accused of framing her will continue in district court