(CNN) -- Want a hot tip about how to make a financial killing this year?

Die.

That's right. It sounds like a distasteful joke, but courtesy of the United States Congress, it's a gruesome reality.

Because of a hiccup in the convoluted tax laws, Americans who have done exceptionally well for themselves during their lives will be able to preserve an enormously greater percentage of their money, and thus be able to pass it on to their heirs, if they die before midnight on December 31.

The federal estate tax, for this calendar year only, is zero percent; at the stroke of midnight on New Year's Eve it immediately goes to a potential 55 percent for people who have managed to build up a considerable nest egg for their families. The 55 percent rate will apply to everything after the first $1 million in assets, if the current law stands. (Congress still has the beat-the-clock option to step in and change the rules for next year, but so far has not.)

The details of the back-and-forth in Congress that has led to this are enough to give you a headache, and those mice-trapped-in-a-maze legislative machinations have been exhaustively reported on and analyzed. Suffice it to say that the smart people in the world of money and investments -- the ones who always seem to know when it's time to move to municipal bonds, or to roll their cash over into some exotic derivative, or to switch to real estate -- are now saying that dying this year is a sound financial strategy.

As the Wall Street Journal recently put it: "It has come to this: Congress, quite by accident, is incentivizing death."

No one is kidding about the basic facts of this. The Bernie Madoff scheme may have been unspeakably cruel, and the tricks played by the big investment banks may have been infuriating, but at least no one was telling people that they'd better die quickly if they'd like to let their families hang on to their money.

The Journal ran a photo gallery of six prominent men who beat the system by dying this year: former TV host Art Linkletter, actor Dennis Hopper, Taco Bell founder Glen Bell, novelist Louis Auchincloss, real estate developer Walter Shorenstein and author J.D. Salinger.

The most-talked about beneficiary -- if you can call it that, which you probably shouldn't -- of this tax weirdness is George Steinbrenner, the late owner of the New York Yankees who died last month. Under the headline "Why Now Is a Great Time to Die," financial journalist Lauren Drell, who writes for AOL, calculated that by dying this year instead of next, Steinbrenner saved his relatives approximately $600 million.

What do you call a system that allows such a thing to happen? "Grisly" is the word that tax expert Barbara Weltman used when she spoke to Drell: "There's talk about pulling the plug on people on life support ... [It is] just horrible to think that taxes should play any role in life-and-death decisions."

But the same people who knew how to play all the angles to build an enviable financial life for themselves are now coming face to face with the ultimate angle. As attorney and estate planner Jack Nuckolls told The Associated Press: "If you're super-wealthy, it's a good year to die. It really is."

Last year, when the estate tax was 45 percent, people in ill health faced a different kind of challenge: If they could just hold on until the first few seconds of 2010, then they could die knowing that their money had made it into the freakish one-year holiday from estate taxes. But as sadistic as that setup was -- imagine having to fight for a few more breaths because if you made it to New Year's Day, you could do a better job of providing for your children -- at least it put a premium on living.

What's scheduled to happen in a little more than four months is the opposite. Those who die are the fiscal winners. There doesn't seem much to be done about it, except engage in dark wit. Eugene Sukup, 81, of Sheffield, Iowa, who founded a grain-bin manufacturing firm with $15,000 in 1963 and who has presided over it with such skill that today it provides jobs for 450 Iowans, told the Wall Street Journal that if he were to die this year he would not have to pay a penny in estate taxes. But if he were to live until the dawning moments of next year and then pass away, his bill could be $15 million.

He seems to have a sense of humor about this insanity (unless he's not kidding). He said:

"You don't know whether to commit suicide or just go on living and working."

That's what is so Alice-through-the-looking-glass about all of this, and that is why, in its nonsensical way, the tax situation is a parable for the financial madness of our times.

If you've been fortunate in your life, and have accumulated a sizeable amount of money and property to leave to your children and grandchildren, and your health is starting to fail, you can hope for one more springtime with your family, and a seat in front of the television set to watch the 2011 Super Bowl, and a chance to gaze upon the fireworks and the community parade next Fourth of July.

But if you do, will you feel like a sucker? Will you feel like you've wished for something foolish?

Will you weigh the joy of one more year against the empty feeling of having your pocket picked by the lunacy of this particular law?

"Happy new year," for some people, may soon enough sound like a taunt.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Tax law eliminates estate tax this year, but restores it in 2011

@highlight

Bob Greene says some very wealthy people could save heirs millions if they die this year

@highlight

Greene: Will those who make it past December 31st feel that their families got cheated?