Refusing to buckle to violent protests demanding more action, Turkey's foreign minister insisted Thursday his nation "is on Kobani's side" -- referring to the Syrian border town in imminent danger of falling to ISIS -- but still won't unilaterally send ground troops to save it.

Time may be running out. Smoke rose over Kobani, a Kurdish enclave in Syria that's a stone's throw from the Turkish border, as U.S. warplanes pounded ISIS targets from above while Kurdish fighters tried to fend off the Islamist extremist group from below.

But ISIS isn't backing down. It seems to have wrested control of one-third of Kobani, said the Syrian Observatory for Human Rights, a London-based monitoring group.

Speaking alongside visiting NATO Secretary General Jens Stoltenberg, Turkish Foreign Minister Mevlut Cavusoglu stressed his country vehemently opposed ISIS and its actions in Kobani and elsewhere.

Like it or not, Turkey is already knee deep in the regional unrest, having taken in more than 1.5 million people from Syria and Iraq, including some 200,000 Syrians from the Kobani region in the past two weeks.

Cavusoglu said Turkey supports the U.S.-led airstrikes against ISIS, though he stated these can only be so effective.

"Maybe you can stop them for a short period but you cannot clean the whole region from ISIS or some other terrorist organizations," the foreign minister said. "You need to take into consideration all options, including an operation on the ground."

The group that could help beat ISIS

That's what protesters around Turkey and outside of it have demanded, warning innocent people will be killed in mass -- much like what ISIS has been accused of in many other communities around Syria and Iraq, since it stepped up its armed campaign to take over territory amid Syria's yearslong civil war -- if something drastic isn't done.

There are ongoing talks about what the international approach to the crisis could look like. "Once there is a (common) decision, Turkey will not be reluctant to do its part," Cavusoglu said.

"It is not realistic to expect Turkey to conduct a ground operation on its own," Cavusoglu said.

Who's doing what in the coalition battle

Erdogan lashes out against protests calling for action

This position won't satisfy those who have hit the streets around Turkey in recent days.

They've chanted, marched and clashed with authorities using tear gas and other means.

"We want more airstrikes, we want a clear message," said Rebar Hajo, a Syrian Kurdish politician. "... The massacre is about to happen, and we have to act very ... promptly and intensify our attacks on them."

According to Anadolu, the nation's semiofficial news agency, 30 people have been killed since Wednesday across eight locations during what it calls the "illegal protests." This figure does not include six killed Thursday in Bingol, including two police officers shot while "doing damage assessment from the protests."

Dozens more have been injured in the protests nationwide, including at least three police officers in Istanbul alone.

Agriculture Minister Mehdi Eker said 116 people had been arrested in connection with the violence and another 294 face charges for curfew violations.

President Recep Erdogan criticized the demonstrations, claiming they were tied to connected to the outlawed Kurdistan Workers Party and aimed to "manipulate perceptions of Turkey's policies," according to another Anadolu story. In a statement, he vowed that Turkish authorities will go after those behind "these acts of violence, vandalism and looting."

Turkey's tough choice: Take on ISIS or the PKK?

"Turkey will never tolerate any traps against our peace, stability or sense of brotherhood," Erdogan said.

At the same time, the Turkish government says it stands with Kurds on both sides of the Syrian border unnerved by ISIS' advance.

Cavusoglu rejected the suggestion that Turkey had hung back, saying it has "never acted reluctantly on this issue. "

He also denied "discrimination on a sectarian basis" -- i.e., not choosing to act because Kurds were the primary victims in Kobani -- was in play in Turkey's decisions.

Last week, Parliament passed a resolution last week authorizing action against the terrorist group. The main opposition party, the Republican People's Party, said it will back this motion to authorize the army's ground operations as long as it is limited to rescuing Kobani and repelling ISIS.

Witnesses: ISIS' gets reinforced, situation 'very bad'

If ISIS manages to take Kobani, it will control a complete swath of land between its self-declared capital of Raqqa, Syria, and Turkey -- a stretch of more than 100 kilometers (62 miles).

The United States wants Turkey to do more, U.S. administration officials said, and is urging Turkey to at least fire artillery at ISIS targets across the border.

Witnesses inside Kobani told CNN that airstrikes Wednesday had been welcome but that the situation worsened Thursday.

One fighter said that the situation was "very bad" and that ISIS had received reinforcements, in the form of a "large" number of fighters and vehicles, overnight.

The fighter said ISIS troops have re-entered the eastern side of the city and called for the U.S.-led coalition to launch airstrikes there, where the onslaught is greatest. He said there had been only two strikes Thursday morning.

A media activist also in the town described intense street-to-street fighting around the Kurdish security forces' headquarters, near the center of Kobani, as well as in the south of the town.

He also called for more airstrikes against ISIS, saying the two so far Thursday were not enough.

The U.S. military announced Thursday that it had launched six airstrikes south of Kobani, destroying two buildings, one tank, one heavy machine gun, as well as hitting one large and two small groups of ISIS fighters. Another three airstrikes north of Kobani hit two small ISIS groups and destroyed two buildings.

This was on top of other coalition efforts to go after the Islamist extremist group, including a pair of U.S. airstrikes near Sinjar in Iraq.

Oil and crime make ISIS rich

@highlight

Report: 30 die amid protests; 2 police assessing protest sites also killed

@highlight

Group: ISIS controls about one-third of Kobani, a Kurdish enclave near the Turkish border

@highlight

Syrian Kurd: "The massacre is about to happen, and we have to act very ... promptly"

@highlight

Minister: Turkey will do "its part" against ISIS, but won't dispatch ground troops solo