(CNN) -- Over the past year I've revisited a host of Southeast Asian countries I first began traveling in more than a decade ago. The region's progress has been remarkable both in terms of overall economic growth and the promising opening of formerly isolated nations like Myanmar. With China's slowing growth and rising wages, investors and exporters are searching for new long-term opportunities and sites of production. The time of the Association of Southeast Asian Nations (ASEAN) has come.

Last month in Laos, I met a Malay-Laotian couple with modest backgrounds who met while on fellowships in Japan. After their respective graduate degrees, they reunited in Vientiane where they advise government agencies, donors and NGOs. Their cross-border mobility is a symbol of an entire new generation of upwardly progressive Southeast Asians who view their success as intimately connected to the broader region rather than their smaller home nations alone. While much attention is paid to President Xi Jinping's articulation of a "China Dream," quietly an "ASEAN Dream" is also being born.

Read more: ASEAN 'cornerstone' of Japan's Asian diplomacy

While obviously far from integrated in the ways the European Union is, ASEAN now has a momentum that Europe's regional project lacks. Despite their historical differences and rivalries, ASEAN countries have been pushing forward rapidly with cross-border investments, commercial integration, and intra-regional trade that has kept them growing fast -- averaging more than 5% -- even as the major export markets like Europe lose steam. With about 600 million people, ASEAN has only half of India's population but already a larger GDP. Research firm IHS projects that ASEAN's GDP will reach $4.7 trillion in 2020, not far off where Japan is today.

Strategic location

ASEAN countries have strategic geography on their side as well. The region forms the crossroads of China and India, with deep infrastructural links re-emerging gradually through Myanmar. It is also the main conduit, via the Straits of Malacca, for most of the world's oil flows between the Near East and Far East.

Now is the time for ASEAN to move from size to coherence. Over the past 50 years, Southeast Asia has experienced colonial liberation, the traumatic Vietnam War, internal rivalries between Indonesia and Malaysia, various forms of strongman rule, and diplomatic self-isolation through non-alignment. Today the region can be considered largely stable save for the simmering South China Sea dispute.

This is ASEAN's chance to assert its collective voice, with American backing, vis-Ã -vis China and ensure that no single power dominates these crucial waters. The same applies to the issue of China's rampant upstream damming of the Mekong River, which threatens the stability of downstream flows on which ASEAN's heavily agricultural nations depend.

Read more: ASEAN chief: South China risks becoming 'Asia's Palestine'

Continued economic integration is also a strategic imperative. ASEAN is expected to launch an Economic Community (EAC) by 2015 that can either boost the region's growth potential or reveal deeper protectionist firewalls in both strong and weak economies. As much as Vietnam and Thailand stand to gain from even greater access to Myanmar, Cambodia, and Laos, a community worth its name needs a vision to help develop its poorest members.

The top priority both to promote integration and assist weaker ASEAN nations must be infrastructure investment. Besides Singapore, which has already become a first world city-state, only Vietnam and Malaysia have significantly invested in nationwide infrastructure. Coupled with significant political and regulatory reforms, their second wave is under way. Other major ASEAN countries such as Indonesia, Thailand and the Philippines are finally ramping up in terms of allocating greater shares of the national budget and overall GDP to infrastructure.

Crucial gateway

Far too often flooding and other mishaps take critical sectors of their economies offline. Indonesia is now focused on roads, Thailand on railways, and the Philippines on ports. If they execute on these critical projects, the current growth rates will be far more resilient in the years ahead. Furthermore, with their high savings rates, dynamic private sectors, and growing interest from international markets, much more indigenous and foreign capital can be allocated towards public-private investment pools that can finance long-term infrastructure needs.

We should remember that ASEAN's integration and development is as fundamentally a social as an economic or political issue. Around the world, urbanization is bringing never-before-imagined opportunities to more than 50 million people per year who move into cities -- but it has also exacerbated inequality, fueling unrest from Sao Paulo to Istanbul.

For inclusive growth to occur, urbanization must be strategically conceived as a vehicle for employing -- and training -- tens of millions of youth in construction, hospitality, healthcare, education, and other services. Furthermore, the large rural poor populations of Myanmar, Cambodia and Indonesia need the basic health and education systems, as well as more advanced agricultural equipment that open borders can bring.

For decades ASEAN has been thought of as a second-tier regional body. Now it has a chance to be the crucial gateway between powerful regions, a network of sustainable cities, and a thriving pillar of the century of Asia.

@highlight

ASEAN economies have been growing at an average of more than 5%, Parag Khanna says

@highlight

With a shared population of just half India's, ASEAN already has a larger GDP, he says

@highlight

Research firm IHS projects that ASEAN's GDP will reach $4.7 trillion in 2020

@highlight

ASEAN nations' top priority must be infrastructure investment, Khanna says