(Health.com) -- Recent headlines about contaminated foods, from peanut butter and salad to turkey and eggs, are enough to make even the most intrepid eater a little bit paranoid.

But before you commit to a life of vitamins and astronaut ice cream, take comfort in the fact that you'll likely be OK eating as you always have: "We have a very safe food system," says Shelley Feist, executive director of the Partnership for Food Safety Education.

There are only three foods so risky that you should avoid them altogether. Here's the red-light list:

Raw milk

Fans of raw milk (meaning milk that hasn't been pasteurized or homogenized) credit it with having more beneficial bacteria and enzymes than its processed counterpart, but science hasn't proven any of these claims. And raw milk can become contaminated in a number of ways: by coming into contact with cow feces or bacteria living on the skin of cows, from an infection of the cow's udder, or from dirty equipment, among others.

The special heating process we know as pasteurization is the only effective way of killing most, if not all, harmful bacteria -- which can include listeria, salmonella, and E. coli.

Health.com: 10 types of food that can make you sick

According to the Centers for Disease Control (CDC), there were 86 reported food poisoning outbreaks from raw milk between 1998 and 2008, resulting in 1,676 illnesses, 191 hospitalizations, and two deaths.

Raw milk is responsible for nearly three times more hospitalizations than any other foodborne disease outbreak, says Hannah Gould, Ph.D., senior epidemiologist with the CDC's Enteric Diseases Epidemiology Branch.

It's no wonder selling raw milk to consumers is illegal in about half of U.S. states.

"We have two people, in California and Pennsylvania, who developed Guillain-BarrÃ© syndrome [which can cause paralysis and respiratory failure] after contracting a bacterial infection called campylobacteriosis from drinking raw milk," says John Sheehan, head of dairy safety at the U.S. Food and Drug Administration (FDA). "These were healthy, active people who came down with debilitating, lifelong diseases."

Health.com: How to practice food safety in your home kitchen

Raw sprouts

When sprouts were identified as the culprit in the food poisoning outbreak that killed at least 50 people in Europe this past summer, you probably wondered: What could be so bad about innocent, vegan-friendly sprouts?

But food-safety experts weren't surprised. According to the CDC, there have been at least 30 reported outbreaks of foodborne illness in the U.S. from raw or lightly cooked sprouts since 1996. All types of sprouts -- from the alfalfas you get on a sandwich to the mung bean sprouts garnishing your Thai food -- can be dangerous when not thoroughly cooked.

This is largely because of how they're grown, explains Michelle Smith, Ph.D., senior policy analyst at the FDA: The warm, moist environment necessary for growing sprouts provides the perfect conditions for bacteria (such as salmonella or E. coli) to multiply.

Health.com: How can you tell if food poisoning is harmless, or life-threatening?

Ask for restaurant and take-out meals to be sprout-free, since you can't know how well they've been cooked. And if you just can't live without sprouts, try getting used to giving them a hot bath before you eat them: Research has shown that you can kill salmonella by immersing contaminated sprouts in boiling water for five seconds.

Raw oysters from the Gulf of Mexico

Everyone knows that eating raw shellfish can be dicey (and in fact the CDC advises against it entirely), but bivalves from the Gulf of Mexico take it to a whole new level. Waters in the Gulf are warmer than those in the Pacific Northwest and other popular oystering spots, making it possible for a bacterium called Vibrio vulnificus to thrive.

"Oysters are filter feeders, which means they concentrate any contaminants in the water," explains William E. Keene, Ph.D., a senior epidemiologist at the Oregon Public Health Division. "A number of toxins can get into an oyster, but none are remotely as bad as Vibrio vulnificus."

Health.com: 10 states where rare and exotic diseases lurk

Healthy people who ingest a V. vulnificus--ridden oyster might have vomiting, diarrhea, and abdominal pain, but for anyone with a compromised immune system, the bug can infiltrate the bloodstream, causing a severe and life-threatening illness called septicemia, which is fatal in one-third of cases. And while having a pre-existing medical condition puts you at particular risk, "anyone at all can get horrifically sick," Keene says.

The good news is that several big seafood purchasers, like Legal Sea Foods and Costco, require that Gulf oysters be pasteurized before being served, as does the state of California -- so in these places the risk is far lower.

Pasteurized or not, "the simplest tactic here is to avoid raw Gulf oysters altogether," says Sarah Klein, staff attorney at the Center for Science in the Public Interest. That can go a long way toward keeping you safer.

Copyright Health Magazine 2011

@highlight

Pasteurization is the only effective way of killing harmful bacteria in milk

@highlight

There have been 30 reported outbreaks of foodborne illness from sprouts

@highlight

Eating raw shellfish from the Gulf of Mexico is particularly dicey