(CNN) -- Once upon a time, the Latino presence in the United States was largely a regional phenomenon, and outside the Southwest, a big-city one. Mexicans and Mexican-Americans were concentrated in the border and Western states, with an outpost in the Great Lakes states; Cubans in South Florida and the Northeast; Puerto Ricans in New York and its suburbs. Certainly not exclusively, but the pattern was largely in place by World War II and remained that way for decades.

Then, a couple of things happened. As any student of history can tell you, events don't pass in some orderly procession, but happen in bunches and ricochet around the country.

The immigration laws were rewritten, swinging the axis of new arrivals away from Europe -- after more than a century of enormous human flows from that continent -- to Latin America, Asia and Africa. New suburbs sprang up on America's urban peripheries, the national economy grew rapidly, and Latin America suffered both economic stagnation and Cold War-accelerated political turmoil.

Whew! Dominicans poured into the Northeast, mostly to New York, escaping instability and poverty back home. Puerto Ricans saw their fortunes sink with those of their mainland capital of New York, and headed to Connecticut, New Jersey and Pennsylvania looking for a better life, while new arrivals from the island increasingly headed for booming Florida. Miami shifted from being a Cuban home away from home to becoming a financial and cultural capital of Latin America.

And Mexicans, the largest of Latin America's constituent groups, spread everywhere, establishing new beachheads in cities large and small, in fading industrial towns and agricultural centers.

They grew in places that had long been home, like Los Angeles and San Antonio, while tiny settlements became bustling communities in places as disparate as Washington state's Yakima Valley; Dalton, Georgia; and the Caribbean stronghold of New York City.

Big things are happening both in the raw numbers of Latinos inside the United States, zooming past 50 million in the 2010 Census, and inside those numbers in distinct communities.

Cubans are no longer a majority among the Latinos of Florida, as large numbers of Puerto Ricans concentrate in midstate counties around Orlando, and Caribbeans and South and Central Americans continue to flock to Miami-Dade. As Puerto Ricans continue to disperse through the Northeast, Dominicans may soon come to outnumber them in a place where Boricuas once lived in numbers that rivaled San Juan.

This story is perhaps most stunning in the Southeast, in the states of the Confederacy. Through most of American history, the states from Texas to Virginia were among the most uniformly native-born places in the U.S.

There was no southern Ellis Island era, no great wave of arrivals crowding ethnic ghettoes in Richmond, Birmingham, and Atlanta. Now the increases in the Latino population are being measured in hundreds of percentage points. The governor of Georgia appoints a commission on Latino affairs. School districts that never did so in their history now must hire teachers of English as a second language.

Latinos are unique among American immigrants. Unlike the Italians, Irish, and Poles, and the Jews of Eastern Europe, they were already long-settled inhabitants of what would become the United States when the Declaration of Independence was written. America came to them in the form of purchase, invasion, and annexation.

Then, later, when the modern borders of the continent-spanning superpower were established, Latinos came from their own countries too. It gave Latinos a unique cultural deposit in this country as it was forming, and a role to play in defining the culture in 2013 and for generations to come.

Understanding the last 500 years will help you understand your country and your country's history better, and it is indispensable for making sense of what's to come.

The opinions expressed in this commentary are solely those of Ray Suarez.

@highlight

Latinos were already living in what would become the U.S. before the nation existed

@highlight

U.S. Latino population is growing fast, and traditional demographic patterns are shifting

@highlight

Once, Latino presence was mainly in a few regions, but that has changed dramatically

@highlight

The Southeast, once uniformly native-born, now has large Latino communities