What if war is triggered by accident or some kind of miscalculation on the Korean peninsula?

This is a possibility that has provoked worry, analysis and preparations for more than 50 years. The recent bellicose rhetoric from the young, unproven leader of North Korea raises this possibility to a new height. What precisely is the risk, and what should be done about it?

The angry rhetoric of Kim Jong Un has set a record for extremism.  And yet, going all the way back to the negotiating tactics used in the Korean War, the North has used an extreme, abusive and contradictory style.

Anything conceded to them was taken, but they conceded nothing.  Anything up for negotiation was met with ever heightening demands. Every offer of compromise was met with an angry rhetoric of denial. Repeated rounds or negotiations over the succeeding decades have seen little change. And their public rhetoric has always been harsh and hyperbolic.

Opinion: North Korea is far from suicidal

But it hasn't been only rhetoric over the years.  In the 1960s, U.S. soldiers serving in Korea were authorized to wear their division's insignia on the right shoulder, the so-called combat patch. A U.S. Navy ship was attacked, boarded and seized with its crew held captive in 1968. A U.S. Army major and another soldier were beaten to death in the Korean Demilitarized Zone in 1976.

Again and again, North Korea has defied international accords, laws and common sense, creating and exporting long-range missiles, building nuclear capabilities and engaging in kidnappings, sabotage and cyberattack.

But there has been no war.

We attribute this to three factors. First, we believe the overwhelming power of the United States guarantees that any North Korean attack would, eventually, result in the utter destruction of the regime.  Second, the South Korean leadership has shown remarkable restraint in the face of humiliating North Korean provocations.  Third, the North Koreans may not have ever intended to attack, though we have no way of knowing, or they understand that the combined U.S.-South Korean forces would destroy North Korea should war begin.

The U.S. and South Korean deterrent remains strong -- in both rhetoric and deployable, effective military power.

But what about miscalculation?

Yes, it is always possible that Kim may doubt that the United States would act, despite all the evidence to the contrary.  Or, perhaps he miscalculates how far he can push the South Koreans. It is possible that a North provocation could be so extreme that the South would be compelled by its own domestic politics to respond militarily -- say a tit-for-tat ship-sinking. Or maybe such an incident occurs by accident, if overzealous commanders make a wrong move.

Opinion: Does North Korea think U.S. going soft?

And then Kim, fearing that his own associates would mistake forbearance for weakness, would escalate in turn, thus initiating a cycle of intensifying moves that could spread conflict and turn into a war that neither side could back away from.

The risk is higher now than before because Kim's bellicose rhetoric may mask real weaknesses in his authority or in his understanding.

The rising rhetoric raises tensions (as it is probably designed to do). These tensions increase the risks of fear or pride, which could lead to an inadvertent incident. Should an incident occur, there will be pressure on leaders of both sides to retaliate and even escalate hostility. The consequences of conflict are higher than before, given the North's nuclear and missile capabilities.

What should be done?

First, ensure that the U.S. deterrent is capable and credible.  This requires that we have the capability to both defend ourselves and strike back, and that we make it as clear as possible to the North Koreans our resolve to use these capabilities if challenged.

Second, assure our South Korean allies that we will stand with them, so they can afford politically to be restrained.

Third, strike a balance between demonstrating resolve in public and, simultaneously, working to reduce tensions.  North Korea must always be given an "out" from the box of escalating threats it has constructed, but the out must not involve U.S.-South Korean concessions, apologies or any signs of hesitancy, weakness or lack of resolve.  This requires artful balancing of military demonstrations, deployments, statements and behind-the-scenes dialogue with China and others in the region.

Opinion: Kim Jong Un is not crazy

The odds are that there will be no conflict. Good odds.  The U.S. and South Korean leadership is experienced.  And so are those behind the young leader in the North.  This is a familiar game, but one whose risks far outweigh any actual benefits to the North.

Why is the world fascinated by North Korea?

@highlight

Wesley Clark: What if war is triggered by accident or some kind of miscalculation?

@highlight

Clark: The recent bellicose rhetoric from North Korea raises the possibility

@highlight

However, North Korea has a history of using extreme words to scare opponents

@highlight

Clark: The U.S. and South Korean deterrent remains strong; odds are there won't be war