(CNN) -- Bordered by Thailand, Indonesia and Brunei, and with a heritage of diverse influences including a long period of British colonial rule and an economically powerful Chinese community, Malaysia is one of the most multicultural nations in southeast Asia.

Comprised of two regions separated by 640 miles of the South China Sea, with Peninsular Malaysia to the west and Malaysian Borneo to the east, the country is a federation of 13 states that is home to an estimated population of 25.7 million people.

From the 18th until to the 20th century, the region formed part of what was loosely known as British Malay -- a divided collection of colonized states.

By 1948, these British-ruled territories were bought together under a single administration called the Federation of Malaya, which gained independence in 1957. Malaysia was formed in 1963 when the former British colonies of Singapore and the states of Sabah and Sarawak on the northern coast of neighboring Borneo also joined.

The country's infancy was dogged by Communist insurgency, Indonesian confrontation with Malaysia over claims to the island of Borneo, Philippine claims to Sabah, and Singapore's secession from the Federation in 1965.

With a strictly neutral attitude towards foreign affairs, Malaysia has since enjoyed a sustained period of relatively untroubled international relations. However, the multi-religious, multi-ethnic nation has still had to contend with its own internal tensions.

Ethnic Malays make up 50 percent of the population, Chinese a further 23 percent, with Indians and indigenous peoples forming the remainder, according to the CIA World Factbook.

In 1969 anti-Chinese riots took place amidst growing frustration over the economic success of ethnic Chinese in Malaysia.

This led to a controversial policy of positive discrimination, which saw minimum quotas introduced for Malays in business, education and the civil service.

During the 22-year term of Prime Minister Mathathir bin Mohamad -- between 1981 and 2003 -- the country diversified from dependence on exports of raw materials such as palm oil, tin, petroleum and gas, to expansion in manufacturing, services, and tourism.

Today the bustling capital of Kuala Lumpur, a former tin-mining town, is dominated by gleaming skyscrapers. Among them are the tallest twin buildings in the world -- the Petronas Twin Towers -- a potent symbol of Malaysia's development.

Although the country's export trade was hit hard by the loss of demand accompanying the global downturn, Malaysia remains one of Asia's "most vibrant economies," according to the CIA World Factbook.

Having won every election since independence, The Barisan National coalition dominates the political landscape -- which operates under a constitutional monarchy based on the British parliamentary model.

After winning the 2004 general election by a landslide, however, the coalition was returned to power in 2008 with a significantly reduced majority. For the first time since 1957, the ruling alliance lost its two-thirds majority of the seats in Parliament (required to amend the Federal Constitution), and five of 13 federal states to the three opposition parties, which together form the Paktan Rakyat coalition.

Despite this apparent political sea-change, a series of defections from other parties and by-election results since 2008 have left the Barisan National coalition just five seats short of regaining their two-thirds majority.

Malaysia's large Muslim population live alongside people of other religions including Buddhists, Christians and Hindus.

The rich mix of ethnicity, religions and historical influences is most vividly displayed in the nation's lively and animated culture.

The self-styled "Land of the Festivals", Malaysia boasts hundreds of colorful celebrations throughout the year, ranging from religious holidays like "Deepavli" to secular parades such as the "Flora Festival".

Malaysia is home to a UNESCO cultural world heritage site covering two towns. Melaka and George Town, in Penang state, are "exceptional examples of multi-cultural trading towns in Southeast Asia," says the prestigious UN body. "[They are] forged from the mercantile exchanges of Malay, Chinese, and Indian cultures and three successive European colonial powers for almost 500 years, each with its imprints on the architecture and urban form, technology and monumental art."

Displaying the same fertile blend of influences, Malaysia has "one of the best assortments of delicious cuisines in the world," according to the Lonely Planet travel guide.

A smorgasbord of Asian flavors, with dishes that include beef rendang (richly spiced dry beef curry) and nasi goreng (spicy, stir-fried rice), Malaysia's trade commission hopes that the national cuisine will eventually become one of the world's most sought after.

Malaysia's natural habitat is even more diverse than its culture. According to the World Conservation Moderating Center, it is one of the 17 "megadiverse" countries which together harbor more than 70 percent of the earth's species.

Over 58 percent of the land is occupied by tropical rainforests, that include long stretches of peat swamps and mangroves.

Tourism is booming in Malaysia and, as the Word Travel Guide sums up, it's not difficult to understand why:

"Tropical island resorts and endless white, sandy beaches offer a taste of paradise, while beneath warm coral seas, world-class dive sites await exploration. Orang-utans, the oldest rainforest in the world, city skyscrapers and majestic mosques and temples, plus a gorgeous coastline are enough to tempt even the most jaded visitor."

@highlight

With range of cultural influences, Malaysia is among most diverse countries in Asia

@highlight

Despite global downturn, nation remains "one of Asia's most vibrant economies"

@highlight

National cuisine, exotic wildlife and colorful festivals make it a tourist favorite