More than 80% of children in Puerto Rico live in high-poverty areas, according to a recent report. That's a sharp difference from national figures measured by the same study, which indicates that 11% of minors across the United States live in high-poverty areas.

"What this implies is that the children of Puerto Rico are facing really great difficulties in order to have the appropriate resources to develop. Whether it is because in their homes there are not enough resources or because in the community where they live there are not enough resources," said Nayda Rivera-Hernandez, senior research analyst at the National Council of La Raza.

The study, released last week by the Annie E. Casey Foundation and the National Council of La Raza using data from the U.S. Census American Community Survey, showed that the percentage of Puerto Rico's teenagers who are not in school or working is higher than in any U.S. state; at 18%, the rate is twice as high as the national U.S. figure, according to the National Council of La Raza.

The report says 56% of Puerto Rican children live in poverty, compared with 22% for the entire United States.

For the leaders of the communities along the Martin Pena Canal in San Juan, these statistics give a glimpse what their children live every day.

Of the communities' 26,000 residents, 23% are minors. Many of them go to school without supplies. And according to their directors, sometimes the schools themselves don't have the necessary materials for basic studies. But this isn't the greatest problem.

One of the most worrying issues here is public health, community leaders say, because the community does not have a sewage system. On rainy days, water flows into the canal, forcing wastewater back into pipes and causing floods that sometimes reach inside homes.

"What keeps impacting us is the problem of polluted water. ... Our children have to put their feet in polluted water. The kids sometimes see little turtles that come out of the canal and they want to pick them up," said Lucy Cruz, a community leader.

The canal community has more than 80 leaders who say they are actively working to improve the lives of residents -- and their children -- with or without the help of the island's government.

According to the American Community Survey, Puerto Rico's poverty rate is about 45% -- three times the national U.S. figure.

Puerto Rican government statistics indicate 640,000 families on the island receive food stamps.

Rivera-Hernandez, of the National Council of La Raza civil rights group, said officials should devote more resources to helping families on the island.

"When a large majority of our children live in high-poverty areas, in single-parent families, and with parents who lack secure employment, we cannot ignore the threats to their well-being," she said. "If we focus on helping families, then our children will do better. We must target our limited resources to strengthen our children's prospects and help prepare them for the future."

@highlight

Researcher: "The children of Puerto Rico are facing really great difficulties"

@highlight

Community leaders say children face poverty, pollution

@highlight

640,000 families in Puerto Rico receive food stamps, according to the government

@highlight

Puerto Rico's poverty rate is about 45%, three times the national U.S. figure