Kiev, Ukraine (CNN) -- The grisly search for human remains from Malaysia Airlines Flight 17 entered a new phase Friday, as the largest group yet of international experts scoured the crash site in eastern Ukraine.

In total, 70 Dutch and Australian experts reached the scene, many more than had made it there previously in the two weeks since the crash, in which 298 people lost their lives.

The Organization for Security and Co-operation in Europe, whose monitors escorted the experts on their difficult mission, said via Twitter that "substantial recovery efforts" had been made.

"We are happy that we can make sure that these corpses can now be transported to the Netherlands," said Pieter-Jaap Aalbersberg, head of the Dutch recovery mission.

"We hope that this will bring some solace for the next of kin. It is a relief for our people that they have now started their work."

Friday's visit to the site has been completed and all human remains found will be brought back, the Dutch Ministry of Security and Justice said in a statement. The Netherlands is leading the international investigation.

Over the past two days, the international team has taken a different route to reach the crash site, after days of fighting between Ukraine's military and pro-Russia rebels prevented their access.

High-level negotiations with both sides made it possible for the experts' convoy of vehicles to cross and recross the front lines to approach from the north, helped by a brief break in the hostilities in the area.

Aalbersberg said the recovery team is now on its way to a new base in the town of Soledar, to the northwest of the rural location in eastern Ukraine where MH17 came down on July 17, strewing debris across a huge area.

The mission will still have personnel in the cities of Kharkiv and Donetsk, the latter a rebel stronghold that has seen fighting this week.

Second victim identified

On Thursday, when just four experts made it to the site alongside eight monitors, they marked locations where they spotted human remains, OSCE spokesman Michael Bociurkiw said.

He said then that they might use cadaver dogs and aerial surveillance to search the scene when they returned Friday.

"This all goes back to time is of the essence," he told CNN's Anderson Cooper late Thursday. "Everyone realizes that time is no longer on our side, that this investigation has to kick-start into high gear right away."

Many coffins holding remains -- collected in the first week after the disaster -- already have been flown to the Netherlands, where the Malaysia Airlines flight originated.

There, in the city of Hilversum, more than 200 forensic specialists are working to identify the individual victims from the remains found.

The Dutch Ministry of Security and Justice said Friday that the identity of a second victim had been confirmed. The relatives of the victim, a Dutch citizen, have been informed, as has victim's local mayor, the statement said.

The painstaking and heartbreaking task of identifying every victim could take months, the Dutch authorities have warned. About two-thirds of those killed were Dutch, with Malaysians and Australians making up a large proportion of the others.

As many as 80 bodies could still be lying in the fields of eastern Ukraine where the passenger jet crashed, Australia's Foreign Minister Julie Bishop told CNN on Thursday.

"But we won't know until our investigative teams are on the site and combing the crash site for remains," Bishop said. "And that's the grisly and sobering task that they must undertake from now on."

Ukraine's parliament approved agreements Thursday that allow international personnel from countries that had citizens on Flight 17 to work at the crash site. Up to 700 of them can be armed.

Talks on crisis held in Belarus

A one-day cease-fire declared by the Ukrainian military ended Friday morning, but Ukrainian Deputy Prime Minister Volodymyr Groysman said it would seek to maintain a halt in hostilities on the route to the crash site.

Overnight, 10 Ukrainian paratroopers were killed near Shakhtarsk, less than 25 kilometers (15 miles) from the crash area, when their convoy came under attack from pro-Russia rebel forces, according to the Facebook page of Ukraine's Counter-Terrorist Operation.

Eight bodies have been evacuated so far, and the troops have been pulled out to a safer area, the Facebook post said. The militants have prevented recovery of two other bodies by constantly firing at the site, it added.

Ukrainian National Security and Defense Council spokesman Andriy Lysenko said at a briefing Friday that Russia was "actively preparing firing positions for shelling Ukrainian territory" and has positioned 17 Grad rocket systems in its Bryansk region, about three miles from the border with Ukraine, according to Ukraine's Ukrinform news agency.

Senior representatives of Ukraine, Russia and OSCE, known as the Trilateral Contact Group, held talks on the crisis Thursday in Belarus with representatives of the eastern Ukraine rebel groups.

The participants "committed to securing further safe access to international investigators to the crash site until the investigation activities on the spot are completed," a statement from the Trilateral Contact Group said.

They also discussed the situation of hostages taken during the three-month-long conflict and agreed to the release "of a sizable number of persons deprived of freedom," it said.

Former Ukrainian President Leonid Kuchma told the news agency Interfax-Ukraine on Friday that 20 people would be freed "in the near future."

He was also quoted as saying a promise had been made to transfer the personal belongings of those killed on Flight 17, currently still strewn across the crash area.

The rebels and Trilateral Contact Group agreed to continue the talks -- held at the initiative of Ukrainian President Petro Poroshenko -- next week.

Russian remains defiant

U.S. and Ukrainian officials have alleged that a Russian-made missile system downed the plane from rebel-held territory; Russia and the rebel fighters deny involvement.

Ukrainian and Western leaders also accuse Russia of continuing to arm and support the rebels since the plane's downing, an allegation Moscow rejects.

In a bid to crank up pressure on Russia to rein in the rebels, Europe and the United States imposed new sanctions this week aimed at disrupting activity in Moscow's banking, oil and arms industries.

But Russia, while warning that the sanctions will harm relations and damage the European economy as much as its own, has remained defiant.

Russian state news agency Itar-Tass cited Vladimir Chizhov, Russia's EU ambassador, as saying Friday that his country's banking sector "will face certain difficulties" but that its economy "has sufficient resources to tackle these problems."

U.S. concerns

Obama spoke Friday with Putin and underscored "his deep concerns about Russia's increased support for the separatists in Ukraine," the White House said.

"The President reinforced his preference for a diplomatic solution to the crisis in Ukraine, and the two leaders agreed to keep open their channels of communication. The President also reiterated his concerns about Russia's compliance with its obligations under the INF Treaty," the White House said.

The Kremlin said Putin and Obama agreed on the need for an immediate end to hostilities in eastern Ukraine and the need to continue dialogue. Sanctions against Russia are counterproductive, Putin told Obama during a telephone conversation initiated by the United States on Friday, the Kremlin said in a statement.

U.S. Vice President Joe Biden spoke Friday with Poroshenko.

Biden announced about $8 million in new assistance to the Ukrainian State Border Guard Service. It includes "engineering equipment for improving infrastructure along Ukraine's borders, transport and patrol vehicles, surveillance equipment to extend the visual range of border security patrols, and small boats to conduct maritime patrol and interdiction operations."

CNN's Ivan Watson reported from Kiev, and Laura Smith-Spark wrote and reported in London. CNN's Mick Krever, Alexander Felton and Lindsay Isaac and journalist Victoria Butenko contributed to this report.

@highlight

NEW: Obama, Putin speak about Ukraine

@highlight

Biggest group yet of 70 Dutch and Australian experts spends day at crash site

@highlight

Dutch officials say all remains found Friday will be taken to the Netherlands

@highlight

"We hope that this will bring some solace for the next of kin," says Dutch official