(CNN) -- A large part of northern and central Nigeria is now at the mercy of intensified attacks by Boko Haram, and the group seems to be embarking on a new phase of its campaign against the Nigerian state -- piling further pressure on the government of President Goodluck Jonathan.

The last four days have seen devastating bomb attacks in Jos, in central Nigeria, as well as a suicide bombing in Kano - the largest city in the north. Two more villages in the state of Borno, Boko Haram's stronghold in the northeast, came under attack, with at least 30 civilians killed. There have also been two bomb attacks in the federal capital, Abuja, in the last five weeks.

What alarms analysts is the way Boko Haram and its supporters are able to carry out multiple attacks on targets far apart, all within days of each other. Jos and Kano are more than 300 miles from Borno.

The double car-bomb attack against a market in Jos on Tuesday, which killed 118 people, according to the National Emergency Management Agency, is typical of its strategy beyond Borno: to strike soft targets in places where sectarian tensions are already high, with massive force. The use of two bombs some 30 minutes apart copied an al Qaeda tactic.

Jacob Zenn, a long-time observer of Boko Haram, says its aim is likely to stretch Nigeria's beleaguered security forces, possibly by combining with another Islamic militant group: Ansaru.

"In 2012, one of Boko Haram's goals was to launch attacks in the Middle Belt and southern Nigeria via the Ansaru networks - in order to spread Nigerian forces thin in Borno," Zenn told CNN. "We may be seeing a similar tactic employed now."

Zenn says Ansaru networks carried out more than 15 bombings in Jos, Kaduna and Abuja between 2010 and 2012, even though the attacks were attributed to Boko Haram. Those networks, he believes, have now been reactivated.

Zenn, an analyst at the Jamestown Foundation in Washington, says Boko Haram recruits who have trained in Borno - disaffected young Muslims from across the Middle Belt region - may be returning home to "carry out attacks against their enemies -- whether rival Christians or the government."

John Campbell, a former U.S. Ambassador to Nigeria and now a Senior Fellow at the Council on Foreign Relations, agrees that Ansaru seems to be reappearing but adds that little is known about the group and its leadership.

What is known is that Boko Haram and Ansaru have plenty of money to recruit and finance operatives -- through bank robberies and kidnappings.

Campbell says Boko Haram has become adept at bank robberies and stealing weapons from government armories.

Zenn believes Ansaru's connections to al Qaeda in the Islamic Maghreb (AQIM) have helped fill its coffers. In 2012 it kidnapped a French engineer, Francis Collomp. AQIM also held four French hostages - who were freed in late 2013 - reportedly for a ransom payment of $27 million. A few weeks later Collomp escaped, or perhaps was allowed to escape, provoking speculation that Ansaru had been in on the deal and shared the ransom money. Last year, Zenn says, Ansaru received part of a $3 million ransom paid to secure the release of a French family kidnapped by Boko Haram in northern Cameroon.

The challenge for the Nigerian security forces grows by the day. According to locals quoted in the Nigerian media, Boko Haram fighters were able to spend several hours unchallenged looting and killing in the village of Alagano early Wednesday. The village is only a few miles from the school where the girls were abducted in April, and supposedly in an area where there is a heightened military presence.

One option to squeeze Boko Haram would be better military coordination with neighboring states, where the group takes refuge and resupplies itself. On Tuesday, President Jonathan announced plans to bolster a Joint Task Force - with a battalion each from Nigeria, Chad, Niger and Cameroon. But Zenn says that "thus far all initiatives of this sort have absolutely flunked. It's supposed to exist already in the Multinational Joint Task Force but, because of language issues, mistrust and lack of funding, doesn't really work."

There is also a larger question looming in a country that has had military rule for more than half its life as an independent state. Nigeria has had civilian rule since 1999, but Zenn says there is now a risk that "the still less than 20-year old democracy experiment in Nigeria may be coming to an end, since there are increasing reports of military defections and mutinies."

"With the potential for instability ahead of the elections [due in February next year], the military may step in in one way or another," he adds.

Campbell says the surprise is that the military hasn't moved before now, given the deteriorating situation. But he says it is a much smaller and weaker organization than 10 or 15 years ago; the top brass has been thoroughly politicized and is close to the Presidency. The nightmare scenario, he says, is a mutiny by junior officers. But Campbell cautions that the Nigerian military is little understood by outsiders, which incidentally makes foreign assistance to improve its performance more difficult to deliver.

There is another larger danger for Nigeria stoked by the Boko Haram campaign: a version of ethnic cleansing. Thousands of Christians have already fled areas like Gwoza in Borno, and Campbell says that sectarian divisions and violence have divided the city of Jos into predominantly Muslim and Christian districts. After Tuesday's bombings, which were likely calculated to inflame religious tension, Christian youths began setting up roadblocks around their neighborhoods. The Kano attack was also in a Christian neighborhood.

In another sign that sectarian tensions are spreading, some Christian groups have demanded that the next Governor of Lagos - the country's commercial capital and the city least prone to religious conflict - be a Christian.

For now, Campbell says, Boko Haram has the wind in its sails, after a series of devastating attacks in recent months that have humiliated the government and military. The abduction of the schoolgirls has brought it international notoriety and attention.

Far from seizing the opportunity to outline demands for greater autonomy and resources for northern Nigeria, Boko Haram seems set on two goals: the destruction of the Nigerian state and what it -- and it alone -- sees as creating God's Kingdom on Earth.

@highlight

Boko Haram seems intent on destroying Nigeria

@highlight

Attacks have shown it can coordinate operations

@highlight

Boko Haram is also forcing thousands of Christians from hotspot areas

@highlight

Its ultimate ambition could now be creating its twisted version of God's Kingdom on Earth.