(CNN)  -- A study by the Organization of American States concluded last month that many of the buildings in Haiti were so shoddily constructed that they were unlikely to survive any disaster, let alone an earthquake like the one that devastated Port-au-Prince on Tuesday, the man who supervised the report said Wednesday.

"You could tell very easily that these buildings were not going to survive even a [magnitude] 2 earthquake," said Cletus Springer, director of the Department of Sustainable Development at OAS in Washington.

Structures were built on slopes without proper foundations or containment structures, using improper building practices, insufficient steel and insufficient attention to development control, the urban planner said.

Much of the poor-quality work can be traced to the grinding poverty pervasive in Haiti, he said. "As we know, the poverty in Haiti lends itself to people building where they want, how they can," he said. "It was our experience, especially coming out of Grenada, that in the poorer countries the construction quality standards are pretty lax,"

"Unfortunately, the earthquake yesterday has revealed that."

After Hurricane Ivan flattened much of Grenada in September 2004, the OAS carried out a similar research effort, then helped the island nation strengthen its building practices, Springer said.

Within three years, artisans and engineers had been trained to strengthen that island's building-control systems and procedures, he said. Even financing was addressed. "We worked with the banks to be sure we could properly vet applications for mortgages."

But much of the Caribbean, including Haiti, has no building codes, he said. "So now we need to work with the Haitian authorities to develop a building code that is suited to Haiti and its peculiar conditions." Those peculiarities include its location on a fault line and in the path of hurricanes.

Springer said the country must work with the private sector and the banking sector to devise a low-income building ethic for Haiti. "Because of the poverty levels, not everybody's going to be able to build to the exacting standards that a building code would require," Springer said.

Tuesday's earthquake showed that even those buildings that should have been constructed to the highest standards -- hospitals, schools, the presidential palace -- collapsed, he said.

"Schools, hospitals, all government facilities should be safe so that, in the event of catastrophes like these, these buildings can withstand these things so there can be some continuity in the operations of government and the private sector," he said.

"Going forward, we need to help Haiti to build back better." That means building safer homes that can withstand hurricane-force winds and earthquakes of 7 magnitude, he said.

But any such effort will require a great deal of support from the international community and collaboration with universities so that they can train the next generation of engineers, construction workers and masons to help Port-au-Prince rebuild safely.

The report -- funded by the OAS and more than 100 pages in length -- has not been made public, he said. "It was not produced for external consumption," he said, adding that he did not know when parts of it might be released.

@highlight

Organization of American States study says buildings couldn't take disaster

@highlight

Poor-quality work can be traced to the grinding poverty, OAS official says

@highlight

Building code needs to be developed in Haiti, he says

@highlight

November study has not been made public