Washington (CNN) -- Aviation authorities around the world ordered airlines to stop flying their Boeing 787 Dreamliners over fire risk associated with battery failures aboard the highly touted aircraft.

Groundings that extended globally on Thursday stemmed from a U.S. Federal Aviation Administration directive on Wednesday night that planes should not fly until the problems are resolved.

The action resulted from recent mechanical and other glitches culminating with a severe battery related fire aboard an empty Dreamliner in Boston 10 days ago and an emergency landing in Japan this week prompted by an alarm indicating smoke in an electrical compartment.

"The battery failures resulted in release of flammable electrolytes, heat damage, and smoke on two Model 787 airplanes," the FAA said in a statement.

"The root cause of these failures is currently under investigation. These conditions, if not corrected, could result in damage to critical systems and structures, and the potential for fire in the electrical compartment," the FAA said.

In all, authorities in Europe, Japan and India have grounded the planes while the battery problem is investigated. Carriers in Chile and Ethiopia also set down their 787s until further notice.

United Airlines is the only U.S. carrier to operate the Dreamliner. The carrier said it would work with the FAA on its directive. It inspected its fleet of six 787s after the Boston fire.

The marquee and technologically advanced 787 is widely viewed as crucial to the future of the world's biggest aircraft manufacturer.

The Dreamliner order book is very strong even though the plane had years of embarrassing setbacks and cost overruns during development.

The first commercial Dreamliner flight took off in October 2011, flying from Tokyo to Hong Kong, and the planes flew without major problems for months.

But Boeing's most recent problems with the plane extended beyond battery technology, global safety regulators, canceled service and a steady stream of negative publicity. The company's shares on Wall Street are sharply lower as well.

Growing list of problems

Most problems have been considered fixable and described as growing pains for a new airliner. But these experts say any battery system design problem would raise larger issues for the manufacturer, carriers and travelers.

Dreamliners fly 150 flights daily worldwide, Boeing said.

Q&A: Dreamliner problems explained

Since July, the growing list of reported troubles aboard the planes include a fuel leak, an oil leak, two cracked engines, a damaged cockpit window and a battery problem.

The FAA announced a safety review of the aircraft last week before taking stricter action on Wednesday.

In the most serious incident so far, an All Nippon Airlines (ANA) 787 with 129 people aboard made an emergency landing after a battery alarm on Wednesday. Those aboard reported a burning smell in the cabin, and an alarm indicated smoke in a forward electrical compartment.

Hours later, ANA and Japan Airlines announced that they were grounding their Dreamliners -- a total of 24 planes -- pending an investigation. Japanese authorities followed suit, saying the planes should stay on the ground until battery safety could be assured.

The head of India's civil aviation regulator, Arun Mishra, also asked Air India to halt operation of its six Dreamliners for the time being. The European Aviation Safety Agency said it, too, had adopted the FAA directive, which applies to the two 787s flown by the Polish carrier LOT.

Ethiopian Airlines also announced it was temporarily grounding four Dreamliners, according to regional manager Yohannes Teklu.

It has had no issues with its 787s but is following the FAA directive as "an extra precautionary safety measure and in line with its commitment of putting safety above all else," the company later said in a statement.

Chile-based LAN Airlines said it was temporarily grounding its three Boeing 787 aircraft and Qatar Airways was also putting down its fleet of five Dreamliners.

Boeing confident planes are safe

Boeing Chief Executive Officer Jim McNerney said in a statement on Wednesday the manufacturing giant is confident that the planes are safe and is working with authorities to get them flying again.

"Boeing is committed to supporting the FAA and finding answers as quickly as possible," the statement said.

McNerney did not mention specifics about the recent incidents, but said the company "deeply regrets the impact that recent events have had on the operating schedules of our customers and the inconvenience to them and their passengers."

The batteries are critical to the plane because the 787 is thirsty for electrical power.

The Dreamliner uses electricity to run more systems than any other Boeing airliner, said University of Dayton professor Raul Ordonez, an aircraft electrical and computer engineer who spent time observing Dreamliner development at Boeing's Seattle headquarters.

The 787 is unique because its batteries are lithium-ion batteries. These hold more energy for longer periods than the standard nickel cadmium airliner batteries.

"These kinds of batteries," Ordonez says, "are slightly more likely to cause problems."

Although lithium batteries heat up quickly because of their structure, they have systems and circuits in place to prevent overheating, said Tsutomu Nishijima, a spokesman for GS Yuasa.

The Japanese company supplies batteries for Dreamliners.

Investigation expected to take weeks

The investigation will take several weeks, the company said.

Boeing has delivered 50 Dreamliners so far and has more than 800 additional orders from airlines around the world.

Carriers who have ordered planes but are still awaiting delivery, like Qantas of Australia and Etihad in the United Arab Emirates, expressed confidence that the problems would be sorted out by the time they received the planes.

Boeing's shares, which had previously been resilient in the face of this month's negative publicity over the Dreamliner, sank another 2% on Thursday.

After last week's incident in Boston, Boeing chief engineer Mike Sinnett expressed confidence in the aircraft's battery system.

"I am 100% convinced the airplane is safe to fly," he said. "I fly on it all the time."

Longtime commercial pilot and industry analyst Patrick Smith said the battery issue did not appear to be a major problem, but called the FAA order "a positive and pro-active step."

"I don't think that it was dangerous for the plane to be flying, but it probably wasn't the best thing to be flying it on the heels of this latest emergency landing in Japan," Smith said.

"All airplanes have their teething problems, and this was trending in a bad direction," he added. "Now the authorities have said, 'Stop,' and that's a good thing."

CNN's Mike M. Ahlers, Thom Patterson, Harmeet Shah Singh, Pamela Boykoff, Junko Ogura, Marilia Brocchetto and Ayesha Durgahee contributed to this report. CNNMoney's Charles Riley and journalist Chie Kobayashi also contributed to this report.

@highlight

Governments, airlines ground their Dreamliners over fire risk

@highlight

Action follows directive from U.S. authorities to not fly plane pending investigation

@highlight

Boeing says the company is confident that the planes are safe

@highlight

The moves follow an emergency landing in Japan and fire aboard a 787 in Boston