Editor's note: Abigail Thernstrom is the author of "Voting Rights -- and Wrongs: The Elusive Quest for Racially Fair Elections," published this month by the AEI Press. She is the vice-chairwoman of the U.S. Commission on Civil Rights and an adjunct scholar at the American Enterprise Institute. Her writing can be found at http://www.thernstrom.com/.

Abigail Thernstrom says ethnic and racial politics haven't faded away with the election of Barack Obama.

(CNN) -- Some of us thought the election of Barack Obama as president might signal a fading away of the old identity politics.

The assumption that fundamental lines of division in politics are set by race and ethnicity would seem to be a bit passé when 43 percent of white voters cast their ballots for a proudly "post-racial" African-American.

But the president himself has made identity politics front-page news with his selection of Judge Sonia Sotomayor as his Supreme Court nominee. She played an important role in the New Haven firefighters' case (Ricci v. DeStefano) now awaiting decision by the Supreme Court.

Sotomayor and two colleagues simply brushed aside the important constitutional and statutory questions raised by the city's decision to discard the results of a race-neutral test given to applicants for promotions within the department. Too many men of the "wrong" color had passed it -- that is, all of those who scored highest were white except for one Hispanic.

Those firefighters had worked hard to get the test results they did; the lead plaintiff, Frank Ricci, is dyslexic, but he had been on the force for 11 years and was determined to become a lieutenant, so he paid an acquaintance more than $1,000 to read textbooks onto audiotapes and make flash cards. Ricci gave up his second job in order to study long hours -- and aced the test.

President Obama, in his famous Philadelphia, Pennsylvania, race speech during the campaign, said that when whites hear "that an African-American is getting an advantage in landing a good job or a spot in a good college because of an injustice that they themselves never committed ... resentment builds over time." Yes. And when firefighters are denied promotions they earned simply because they are white, resentment builds. Discarding that test has struck many as an instance of racial preferences run amok.

Will the real Barack Obama please stand up? Did he mean to imply in that Philadelphia speech that the "empathy" he claims to celebrate extends not only to minority victims of injustice, but also to whites? And is he a man who remains eager to move beyond identity politics, as he suggested numerous times in the course of his campaign -- or not?

Questions abound. He has tried to downplay Sotomayor's now infamous declaration that "I would hope that a wise Latina woman with the richness of her experiences would more often than not reach a better conclusion than a white male who hasn't lived that life," suggesting that it was nothing more than a poor choice of words.

But in the same speech, Sotomayor wondered "whether by ignoring our differences as women or men of color we do a disservice both to the law and society." And, most remarkably, she stated: "Whether born from experience or inherent physiological or cultural differences ... our gender and national origins may and will make a difference in our judging."

"Inherent physiological or cultural differences"? Can the president possibly believe that Latina women -- and indeed minority women in general -- are born to see questions of law in a different and better light than white men or even men of color? It's in their physiological and cultural makeup. A fact of nature. If indeed the president believes in such disturbing racial determinism, weep for our nation.

Either the president is a man of many parts, untroubled by his own conflicting views, or he is an immensely skilled and coldly calculating politician who is eager to court the Latino vote and knows that few senators are likely to vote against a "first."

Identity politics is on the line in Ricci and also in another forthcoming Supreme Court decision, a key case involving minority voting rights. Later this month, the Supreme Court will decide whether in 2009, black candidates for public office can win running in majority-white settings.

At issue in "Northwest Austin Municipal Utility District No. 1 v. Holder" is the constitutionality of a key, temporary provision of the 1965 Voting Rights Act that was renewed for the fourth time in 2006 on the theory that voting discrimination had just become "more subtle" than it was four decades earlier.

The renewal meant that the Justice Department could continue to insist on districting maps that were carefully racially gerrymandered to elect black and Hispanic candidates. Legislative quotas have been the remedy for persistent racial exclusion -- seats reserved for candidates who are the choice of minority voters.

But is America still a nation steeped in the muck of old-fashioned racism -- the results of the 2008 election notwithstanding? Are we condemned to identity politics in choosing firefighters for promotion, in drawing districting maps for legislative bodies (from school boards all the way up to congressional delegations), and in a multitude of other spheres into the indefinite future?

Sonia Sotomayor's nomination suggests that the answer will be yes. A sad thought.

The opinions expressed in this commentary are solely those of Abigail Thernstrom.

@highlight

Abigail Thernstrom: There were hopes ethnic politics would fade after Obama's win

@highlight

She says nomination of Sonia Sotomayor rekindled racial and ethnic debate

@highlight

Thernstrom: Two pending Supreme Court cases also raise identity politics issues