Lisa and Joe's marriage was all but over.

After his return from Iraq, they optimistically went about forging a life together. They married in 2009, got good jobs and moved into a nice house on Long Island, New York.

For Lisa, the war was the past. But for Joe, it never faded away. Even as the years went by and he left the Marine Corps, his mind drifted back and the awful memories grew more intense. They took control of his dreams and gradually replaced his gentle demeanor with rage. He drank heavily.

Lisa didn't know what was wrong with her husband. But his struggle resulted in her own painful memories. One is especially vivid. Reaching for something in their freezer one day, she dropped a bowl of spaghetti sauce on the kitchen floor. Her husband exploded. Mistakes can't be made, he angrily warned her. In Iraq, mistakes could get someone killed.

"It was startling. It was shocking to see that something falling could cause so much panic in him," she said. "Why did he react this way? Where were all these feelings coming from? I didn't really have an answer for any of it."

In November, Lisa and Joe sat down with me in their Long Island home. They've come a long way since that tense night in their kitchen. Still, they insisted their real names not be used in this story and asked CNN to obscure their faces in a video interview because of the stigma associated with post-traumatic stress. They were afraid his boss and co-workers might recognize them.

But they wanted to tell their story so that more people would know about a first-of-its-kind clinic they credit for saving their marriage.

In January 2013, the couple began getting therapy at the Unified Behavioral Health Center for Military Veterans and their Families in Bay Shore, on Long Island's South Shore. A counselor at the local VA told Joe that he should check out this clinic that opened in December 2012.

Civilians and veteran clinicians work together

The center's concept sounds simple. But it's revolutionary.

Typically, the VA does not treat family members unless the veteran asks for it. But at the center, family members are equally empowered to get treatment, and they can get it with their soldiers in a single, shared space.

Here's how it works: When a veteran or a family member walks through the front door, the family member turns to the left and is seen by a civilian clinician. The service member or veteran turns to the right and is seen by a VA therapist. They also have the option to be treated together.

Dr. Charlene Thomesen, a psychiatrist and the associate chief of staff for Mental Health Services at the VA Medical Center in Northport, was among a small group that came up with the idea.

Thomesen and her colleagues made sure the private side of the clinic was staffed with counselors trained to treat children, she told me.

"There's the issue of newly returning service members being younger and having young families -- the VA does not have expertise to treat children," she said. "I always saw that as a need."

With their patients' permission, the VA and private clinicians meet regularly to share details of their respective sessions and devise the best way to treat the family as a whole.

For example, a veteran who is on a sobriety plan may say in therapy that he isn't drinking but the wife tells her therapist otherwise. Or perhaps one partner reveals there's physical abuse in the home. Knowing more allows therapists to get to the heart of their patients' problems.

Joe and Lisa believe this full-circle approach is exactly what they needed. After the first session together with a therapist, Joe wasn't sure he wanted to continue. "One of my biggest fears was that this guy was going to dismantle my marriage," he said. "He was going to show me that it wasn't worth it or we weren't meant for each other."

Lisa had her fears, too. She assumed that by being completely honest about her feelings, she was burdening her husband when he'd already been burdened enough by war.

Therapy emboldened her to tell him how she felt, and he reassured her.

"It really touched me to know that while I worried about him," she said, "he was worried about me."

So Lisa kept gently pressing, making their appointments because, at this clinic, she could.

Iraqi war veteran encourages patients to get help

Iraq veteran Andrew Roberts can empathize with Lisa and Joe. As director of the Office of Military and Veterans Liaison Services for the clinic's parent health system, North Shore LIJ, it's his job to get out into the community and encourage veterans, service members and their families to come to the center.

The job also helps him continue to heal.

When the 38-year-old came home in 2004, he was constantly anxious and arguing with his father. "He told me that it hurt him and I needed to see somebody," Roberts recalled. "I was angry. I was thinking he should go see a therapist. Finally, after getting pretty worked up about it, I thought, 'Oh God, maybe I should go talk to somebody.' "

Counseling helped Roberts ease back into civilian life, and it strengthened his relationship with his dad. He turned to veterans groups for extra help, and that in turn made him confident enough to pursue a career in veterans affairs. Those jobs led him to his position with the clinic.

"For these veterans, they feel like I did; like you're the first person to ask for help," he said. "I try to say to every one of them who comes in here -- a lot of our peers didn't make it home. I know that they would want us to live the best life possible. You can't live a good life, for some of us, without some professional help."

There is no cost for treatment, Roberts said, because the clinic is supported by a grant from the Robert Wood Johnson Foundation and local partners.

The average length of time for treatment is three months, he said, but that depends on the individual's needs. Some patients may drop in whenever they feel they need to talk.

By the end of 2013, the VA  had treated 499 patients on its side, according to Roberts, and the civilian side had treated 92 family members.

The center tracks patients' progress in many ways, said its program director, psychologist Mayer Bellehsen. When a patient or couple begins treatment, a therapist measures their symptoms using nationally set standards for mental health. A patient could be assessed for PTSD, depression and anxiety. Couples answer questions about their circumstances and how they feel based on a nationally accepted model for couples' therapy. Families seeking treatment do the same.

At various intervals throughout treatment, these symptoms are re-evaluated. Patients also fill out surveys, with most showing "a high degree of satisfaction with the services we offer," Bellehsen said.

Because the center is new, he added, it's still gathering enough data to conduct a statistical analysis that would demonstrate, in concrete ways, its successes.

For Joe and Lisa, the center has proved its effectiveness. They hold hands and talk, finally calm after years of chaos.

Every chance he gets, Joe tells the friends he served with that they should do anything they can to get help.

"I let them know," he said, "without a doubt it saved my marriage."

@highlight

The VA does not typically treat family members unless the veterans ask for it

@highlight

New York clinic empowers both a family and warrior to get treatment separate or together

@highlight

Civilian and VA therapists meet to devise best way to treat family as a whole