(CNN) -- The massacre at Sandy Hook Elementary School has prompted the Obama administration to consider new gun laws, like banning high-capacity magazines. Up until now, this -- along with other policy changes -- has in part been hindered by the National Rifle Association, which has fought to keep gun laws lax despite the fact that most of the American public support reasonable gun legislation.

While this time might be different, there are reasons to suspect this tragedy could end like the others -- with nothing changed. However, if gun control proponents were clever they could use new insights from behavioral economics to get the best of the NRA.

The core reason the NRA seems to have a stranglehold on American politics is known in economics and political science as the "collective action problem." A majority of the public supports common-sense restrictions on firearms. But because the numerous gun control supporters do not care as deeply as the much smaller share of gun control opponents, they are far less mobilized.

One of us has seen firsthand what it's like to go around testifying at legislative bodies about gun policy. Over the years, the stands are filled with gun control opponents. Gun control supporters are largely absent.

Highly visible tragedies periodically inspire what former President Richard Nixon would call the "silent majority" to act. The problem is that action is difficult to sustain over the long run by a large number of people who also care about other things as well.

Just look at the Million Mom March. On Mother's Day in 2000, an estimated 750,000 people marched on the National Mall in Washington to call for tougher gun laws. The rally was in reaction to the tragic shootings at the Los Angeles Jewish Community Center and Columbine High School, which both occurred the year before. The grass-roots reaction was supposed to usher in an era of common sense policies to curb gun violence.

But then people got busy and distracted, and things fizzled. In 2001, the rally attracted only about 100 supporters. Today, federal gun laws are actually weaker than a decade ago. For example, the federal ban on assault weapons expired in 2004 and Congress has not renewed it.

Right now there is a brief window of opportunity for people who feel passionately about gun control to do something. The key for gun control proponents is to figure out how to turn people's willingness to take a single action in a moment into an effortless and sustainable long-term commitment.

Here's one way to defeat the NRA: Ask people who are upset about this recent shooting to go online and sign up for automatic, monthly deductions to a fund devoted to breaking the grip of the NRA.

For every dollar the NRA spends in helping a political candidate, this new fund would spend $2 to help the opponent (whether in a primary race or general election). Many politicians are currently afraid that opposing the NRA would lead the organization to stop providing their campaigns with either cash contributions or in-kind support (such as advertisements and other forms of advocacy). Creating a fund that guaranteed a two-to-one match of NRA support -- but for the other side, ideally who supports stronger gun control -- would weaken the NRA's political clout.

And how much should gun control proponents ask people to pledge? According to the Center for Responsive Politics, the NRA spent about $20 million on political activities in the 2012 election cycle; including a little more than $1 million on direct campaign contributions and around $8.5 million on independent campaigns in support of congressional candidates.

This might sound like a lot of money, but it is equal to only about 2% of what Obama raised in 2012 and less than one-tenth of one percent of the net worth of the NRA's most vocal critic: New York City Mayor Michael Bloomberg.

Suppose Bloomberg agreed to give one-tenth of one percent of his net worth each year, and gun control groups asked people to pledge the same percentage of their net worth. The cost to most people to match would be not more than $10 or $20 per month. While people could opt out any time, most people would never even notice this small automatic deduction. This strategy will work because it changes the default behavior of busy people from political passivity to activism.

A few election cycles might be needed for the NRA and politicians to see the consequences of such a pledge. But when it happens -- when the NRA's grip is weakened significantly -- then perhaps America will see true policy changes on gun control through the active support of its public.

The opinions expressed in this commentary are solely those of Ethan Bueno de Mesquita and Jens Ludwig.

@highlight

Ethan Bueno de Mesquita, Jens Ludwig: Use behavioral economics to fight the NRA

@highlight

Mesquita, Ludwig: The key is to turn a single action into a long-term commitment

@highlight

One way is for people to sign up for automatic deductions to a fund that reduces NRA's clout

@highlight

Mesquita, Ludwig: Through such an action, America may see true policy changes on gun control