Washington (CNN) -- President Barack Obama faces a long list of issues when he steps to the podium in the White House East Room on Friday for a news conference.

The last time he took questions from reporters was June 30, during his trip to Africa.

Since then, the White House has embarked on a campaign-style tour pushing its economic agenda, while unforeseen issues like the recent unprecedented embassy closures because of a terror threat and the strained relationship with Russia over NSA leaker Edward Snowden have taken center stage.

With all those as possible topics for reporters to press the president on -- here are some questions that could come up.

1. The administration recently made the decision to close embassies around the world, evacuate diplomatic staff in Yemen and Pakistan and elevate the terror alert. Does the fact al Qaeda is capable of causing such a reaction contradict your administration's claim that it has been decimated?

The State Department this week closed nearly two dozen embassies and consulates in the Middle East and Africa amid fears of an al Qaeda attack.

Many in the diplomatic and intelligence community called the decision, which was sparked by an intercepted message among senior al Qaeda operatives, unprecedented.

In an interview on Tuesday on the "Tonight Show" with Jay Leno, Obama called the threat "significant enough that we are taking every precaution."

Just before Election Day in 2012, Obama made an impassioned speech in Green Bay, Wisconsin, in which he said, "The war in Afghanistan is winding down. Al Qaeda has been decimated." This latest revelation that a message from al Qaeda led to the closures has called the assessment into question.

White House press secretary Jay Carney said the White House stood by that idea this week.

"It's leadership decimated and there's no question it's on the run," Carney said, drawing a distinction from the terrorist group's leadership and splinter groups. "There's no question that core al Qaeda in Afghanistan and Pakistan has been severely diminished."

2. Long before admitted NSA leaker Edward Snowden entered the picture, relations between the United States and Russia were deteriorating. Your administration said that your planned summit with Russian leader Vladimir Putin would probably have been canceled even with Russia granting Snowden asylum because there would be little to talk about. How does the United States improve relations with Russia with so many issues between the two countries?

On Wednesday, the White House officially announced what many in the media had been speculating: Obama would not meet Putin in September ahead of the G-20 summit in St. Petersburg.

The White House cited a lack of progress on a number of bilateral issues, but admitted that Russia's decision to grant temporary asylum to Snowden, the former government contractor who leaked classified documents, was a factor in the decision.

In the past, Obama has been dismissive of Snowden.

While on his trip through Africa, Obama said he wasn't "going to be scrambling jets to get a 29-year-old hacker" and in the "Tonight Show" interview, Obama said he wanted to see Snowden back in the U.S. to face trial "with a lawyer and due process."

A senior administration official told CNN on Wednesday that "we just hadn't gotten any traction" on issues that the summit would have addressed, including missile-defense and a reduction in nuclear missiles. Attempts to find common ground on economic and trade agreements as well as differing approaches on Syria also were problematic.

3. Your campaign and other Democrats leveled a number of hard "War on Women" charges against Mitt Romney and Republicans. Yet, in the past month, three Democratic politicians -- Anthony Weiner and Eliot Spitzer in New York and Bob Filner in San Diego -- have put their issues with women front and center and are asking for support. As the leader of the Democratic Party, how do you feel that these three men represent your party? And would you vote for them if you were able to?

During the 2012 campaign, Democrats and the Obama campaign regularly hit GOP presidential nominee Mitt Romney for some of his socially conservative positions.

In July 2012, the Obama campaign released an ad attacking Romney's stance on women's issues. "I've never felt this way before, but it's a scary time to be a woman," a woman, staring directly at the camera, said. "Mitt Romney is just so out of touch."

But in the past few months, Weiner, Spitzer and Filner have made headlines for their issues with women.

Eleven women have accused Filner, the mayor San Diego, of sexual harassment while he was mayor or a congressman from California.

Weiner -- whose "sexting" scandal forced his resignation from Congress in 2011 -- is now running for mayor of New York, all while being dogged by new revelations around the same issue.

And Spitzer, who resigned as New York governer in 2008 after it was revealed he had an solicited prostitutes, is now running for New York comptroller.

Obama has yet to comment on the issue, but Carney told reporters last month that the president was more focused on economic growth, and that the White House would not comment on Weiner or Filner.

4.) The state exchanges and marketplaces for Obamacare will go into effect in a few months and some states have already begun publishing their new premium costs. What are your thoughts about the increased premiums? Do you think the fact that some states will experience such high increases discredits the law? Will it make it more difficult to meet enrollment goals?

Although enrollment in Obamacare state exchanges begins on October 1, with the coverage the plans provide actually kicking in at the start of 2014, many states have been preparing for the health care changes by releasing preliminary plans and rates.

In some states, insurances purchasers wouldn't be blamed for suffering from a bit of sticker shock.

According to Florida officials, premiums for the mid-level insurance plan will rise between 7.6% and 58.8%, depending on the insurer. The average increase in the state would be 35%.

Ohio officials, meanwhile, compared trade association's report of premiums available today with the average premiums expected for the exchange and found the price would increase 41%.

Earlier this week, Carney said the implementation of Obamacare "is very much a high priority of the president's, and he is engaged in discussions about progress being made on implementation, as you would expect, and certainly the rest of the administration is."

5.) You told Democrats on Capitol Hill last week that you wouldn't negotiate on the debt ceiling when Congress returns in September. Why did you choose to take such a hard line so early? And you have been in these congressional negotiations before -- what have you learned from past debt negotiations that many have said did not go well?

When Obama met with Capitol Hill Democrats last week, a senior Democrat told CNN that the president told legislators that he is "not negotiating on debt ceiling," but that he will "look at a reasonable plan if the Republicans have one."

Jack Lew, Obama's treasury secretary, backed up those comments on multiple Sunday show appearances, including with CNN.

"Congress has to do its work," Lew told Fox News Sunday.

One of the first things lawmakers must do in September is fund the government past September 30, when the 2013 fiscal year ends. On top of that, according to estimates by economists and budget experts, the nation's borrowing authority, or debt ceiling, will need to be raised sometime before mid-November.

Obama has been here before. In 2011, he and House Speaker John Boehner negotiated with one another over the debt ceiling. Those negotiations eventually collapsed -- ultimately ending in acrimony.

"If I look back over the year and a half or so that I've been speaker, my greatest disappointment was that the president and I couldn't come to an agreement in solving our debt crisis," Boehner told CNN White House Correspondent Jessica Yellin in a 2012 interview.

@highlight

Long list of questions Obama could be asked -- from terror threats to U.S.-Russia relations, to the economy

@highlight

Obama's last news conference was in June during Africa trip; last at White House was in April

@highlight

Since last news conference, Russia has taken in NSA leaker and terror threat has been elevated