(CNN) -- Last week, while most of the western world was focused on the approaching presidential election in the United States and a potentially disastrous hurricane making landfall in New Orleans, a group of seemingly small nations gathered on the Island of Rarotonga and changed the world.

At the Pacific Islands Forum in the Cook Islands, 16 countries that when combined make up a tiny fraction of the world's land, came together and made some of the largest ocean commitments in history towards the sustainable management of their oceans, which conversely make up an immense 10% of the world's ocean area.

In the last day of proceedings, United States Secretary of State Hillary Clinton, an observer at the forum, pledged to deepen the U.S. relationship in the region by strengthening its conservation commitment between the Phoenix Islands Protected Area (PIPA) and the Pacific Remote Islands Marine National Monument (PRIMNM).

Just before that news broke; the government of New Caledonia announced their intention to establish a 540,500 square mile marine protected area in their portion of the Coral Sea. But the most immediate and groundbreaking announcement came from the host country, the Cook Islands that unveiled a brand new marine park. At 386,000 square miles, it is equal in size to Egypt, is half of the nation's territory, and the largest marine park in the world.

Such a marine park is even more incredible when you consider the relative scale of the commitment; the Cook Islands have a population of only 15,000 people, but an exclusive economic zone half the size of India. Imagine any other country setting aside a full half of their sovereign territory for conservation, recovery and sustainable development. It's unprecedented.

This immense ocean-to-land ratio is shared by most "small island nations" in the Pacific â€” which should more accurately be called "large ocean states." This has been a stance and mentality that the leaders in the Pacific Islands have been cultivating.

Two years ago, the forum leaders recognized the need to create a framework to unite their approach and their voice to manage their vital ocean resources. They unanimously agreed upon the concept of the Pacific Oceanscape, an unprecedented collaborative initiative encompassing nearly 40 million square miles of the Pacific Ocean and its islands.

The Pacific Oceanscape hosts the world's largest remaining stocks of tuna, providing approximately one third of the world's catch, and is also the region that is first to see the environmental impacts on the ocean.

The Pacific people are counting on developed nations to come together to reverse the threats of climate change and rising seas, which are already impacting these low-lying islands and vibrant cultures.

I have been involved in conservation in this region for more than a decade. I first visited the Phoenix Islands with an expeditionary team to survey the islands in 2000 and returned in 2002 to conduct a second survey of the islands.

The condition of the reefs and the quantities of fish and invertebrates mesmerized us. The most remarkable element for me was the large numbers of sharks, indicative of a healthy reef system. The experience left me in awe -- and gave us the inspiration to work to protect such a remarkable place.

In 2006, I was proud to work with the government of Kiribati to establish the Phoenix Island Protected Area. With Conservation International's support PIPA was officially declared that year, codified by parliamentary law in 2008 and inscribed as the world's largest World Heritage Site in 2009.

A few years later I joined Conservation International full time and have been able to continue its near two-decade-old efforts to support societies as they move forward on this sustainable development path and to help push forward the expansion of commitments to the Pacific Oceanscape.

We have been fortunate to work closely with leaders and regional institutions to develop the Pacific Oceanscape initiative and are proud to have the global marine pioneer and innovator President Anote Tong of Kiribati as a Member of Conservation International's Board. We've also acted as advisors to the development of the Cook Islands Marine Park, the influence of which will be felt far beyond the Cook Islands. The park is the largest commitment ever made to the Pacific Oceanscape and as such will be a central feature of the framework.

Every year for the past three years the Pacific Islands Forum has yielded further commitments to the management and protection of the natural resources the Pacific provides.

After its close, I can see that the 2012 forum has provided the most ambitious international measures for ocean conservation the world has ever seen. I hope the waves of these monumental commitments are felt around the world and inspire other nations and regions towards such great goals. I can't wait to see how they top it in 2013.

The opinions expressed in this commentary are solely those of Dr. Greg Stone

@highlight

Pacific Islands Forum saw new commitments to ocean protection

@highlight

Cook Islands created marine park the size of Egypt

@highlight

New Caledonia protected its portion of the Coral Sea

@highlight

16 Pacific island nations manage 10% of world's oceans