Washington (CNN) -- The new Congress is still a month and a half away from being seated, but the battle for the next Congress is already heating up.

And the fight for the 2014 Senate may end up being the most compelling storyline as the dawn of the midterm campaign approaches.

After failing to take advantage of a golden opportunity to win back control of the chamber this year, the GOP gets another chance in 2014. The Democrats, with big victories in the 2008 election, will be defending 20 of the 33 Senate seats up for grabs in 2014.

If it sounds familiar, it is.

Thanks to their success in the 2006 midterms, the Democrats defended 23 of the 33 seats up for grabs last week. In fact, they expanded their majority by at least one seat and probably two -- depending on which party Independent Angus King, the senator-elect from Maine, caucuses with -- from their current 53-47 majority.

Analysis: It's never too early to talk about 2016

"It would be easy for someone to say the Democrats 'were on the defensive in 2012 and they did just fine,' but I don't think any two election cycles are exactly the same. We have to see what the political environment looks like; we have to see what candidates and nominees emerge; we have to see what kind of retirements we have. Those are the factors that play into how successful a party will ultimately be in the upcoming election," says Nathan Gonzales, deputy editor of the non-partisan Rothenberg Political Report.

And the current lame-duck session between now and the end of the year could also impact the next election. Difficult votes on avoiding the fiscal cliff in 2012 could come back to haunt some senators facing difficult primary or general election challenges in 2014.

Among the most vulnerable Democratic senators up for re-election in 2014 are (in alphabetical order): Mark Begich of Alaska, Max Baucus of Montana, Kay Hagan of North Carolina, Tim Johnson of South Dakota, Mary Landrieu of Louisiana and Mark Pryor of Arkansas.

Democrats may also have some open seats to defend. Sen. Frank Lautenberg of New Jersey is an obvious candidate to retire. He'll be 90 by November 2014. And Jay Rockefeller of West Virginia will be 77 by the midterms.

Republicans and Democrats proclaim optimism on fiscal cliff deal

"There are some vulnerabilities on the Democratic side, but a lot of it depends on how popular the president is in the midterms and the quality of the Republican challengers against these Democratic senators," adds Gonzales.

A senior GOP strategist argues that President Barack Obama's victory last week makes it tougher for some of those Senate Democrats facing challenging re-elections.

"The irony of this past election is that if you're Mary Landrieu, Mark Pryor, Tim Johnson or other targeted Democrats, it would have been easier for each of them politically if President Obama had not been re-elected. Because the president's liberal, big government agenda, and their longtime support for it, will undoubtedly play an even greater role in each of their races next cycle," says the strategist, who spoke to CNN on the condition of anonymity.

But the Democratic Senatorial Campaign Committee, the group that focuses on getting Democrats elected to the Senate, disagrees.

"Last week's results proved that conventional wisdom is often wrong, especially two years out from Election Day. We've proven we can win in red states, we can overcome steep spending deficits, and we can defy the odds even when the map is tilted against us. Remember only two Democratic incumbents have lost reelection in eight years," DSCC Communications Director Matt Canter tells CNN.

Opinion: Conservatives, don't despair

The 2014 geography seems friendlier to the GOP. Of the 13 Republican seats up for grabs next November, only Susan Collins of Maine comes from a state that's not solidly red. The moderate Republican senator hasn't said if she'll retire or run for another term in 2014. Some of the Republicans up for re-election, including Minority Leader Mitch McConnell, could face potential primary challenges. Regardless, just holding onto their seats won't be enough for the National Republican Senatorial Committee.

A big problem, of course, is that the last GOP primaries resulted in some extreme, combustible or un-electable Senate candidates, who have arguably cost the Republicans five Senate seats over the past two cycles. That includes controversial comments about rape by Rep. Todd Akin of Missouri and Indiana State Treasurer Richard Mourdock, who both lost their contests last week.

"Republicans openly acknowledge that they have a lot of soul searching to do right now. The party is at war with itself. Even in more conservative areas of the country, voters reject the extremism and tea party ideology that has taken over the Republican Party," suggests Canter.

The key for the Republicans is if stronger, less controversial and more generally acceptable nominees emerge from their 2014 primary process.

People 'unliking' Romney on Facebook

"I think you can find common-sense conservative candidates who can appeal to primary and general election voters," says another Republican strategist, adding this needs to come without the downside of those candidates saying some stupid things.

For the GOP, the simple math of the next Senate means winning back the majority will be a tougher proposition in 2014 than it was this year. But Republicans do have one thing in their favor: A midterm electorate.

"If 2014 is similar to past midterm elections, the demographics of the people who turn out to vote will be very different from the electorate in the presidential elections of 2008 or 2012," says CNN Polling Director Keating Holland.

"In midterms dating back to the 1990s, voters under the age of 30 represented 11%-13% of all voters, compared to 19% this year. African-Americans in past midterms have represented 9%-11% of all voters, compared to 13% in 2012. So if history is any guide, the 2014 midterm electorate will be older and a bit whiter than this year, which could easily benefit Republican candidates," adds Holland.

Just like last cycle, we may not have to wait until Election Day for the first Senate contest of 2014 and if that's the case, we'll have Massachusetts to thank.

The 2009 death of Democratic Sen. Ted Kennedy forced a January 2010 special election, which Republican state Sen. Scott Brown won, in an upset. If Massachusetts' senior senator, Foreign Relations chairman John Kerry, is nominated as Obama's defense secretary or secretary of state for his second term, there would be another special election in that state.

And that could provide an opening for Brown, who was just defeated last week, to make a comeback.

Moderate Senate Democrats eye midterms warily

@highlight

The race for the 2014 U.S. Senate is already starting

@highlight

Democrats actually gained at least one Senate seat in last week's election

@highlight

Republicans have one thing in their favor in 2014 - a midterm electorate