(CNN) -- It's happening again.

Moments after the jury in the "loud music trial" returned with its verdict against Michael Dunn -- guilty on three counts of attempted murder and a mistrial on charges of murdering teenager Jordan Davis -- a rash of commentaries began popping up.

Writers are now expressing the kind of trepidation and angst that would have us believe that black children are not safe because a white man is lurking around every corner, waiting to shoot down a young man minding his own business.

One of the first to weigh in was The Atlantic's Ta-Nehisi Coates, who equated Davis' murder to the selling away of slave children, a daily occurrence in the antebellum South.

"Jordan Davis had a mother and a father. It did not save him," Coates wrote. "Trayvon Martin had a mother and a father. They could not save him. My son has a father and mother. We cannot protect him from our country, which is our aegis and our assailant.

We cannot protect our children because racism in America is not merely a belief system but a heritage, and the inability of black parents to protect their children is an ancient tradition."

O'Mara: It's not about 'stand your ground'

Does Coates really believe this? More important, does he want his son to internalize this, like one child in a photo taken outside the Duval County Courthouse, holding over his face a sign reading "I Could Be Next" with checked boxes next to the words "loud music," "Skittles" and "hoodies."

I'm not sure if these public voices reflect or inspire the outrage, sadness and fear resounding among black people on social media and article comments. What I do know is that African-Americans' fear that black boys are being hunted down at every turn by white men is just as toxic as the fear white people have of the black boogeyman.

Such histrionics create an irrational, unproductive fear for those mainly interested in driving up news ratings, tilting elections and increasing donations to special interest groups.

Indeed, John Roman, a senior fellow at the Urban Institute's Justice Policy Center, found (PDF) that of the 53,019 homicides from 2005 through 2010, white-on-black homicides accounted for only 3.9%, while black-on-white homicides were 8.77%. White-on-white and black-on-black homicides accounted for 44.14% and 43.18%, respectively.

Still, this narrative has been in high drive since the public first learned how Trayvon Martin was killed by neighborhood watch volunteer George Zimmerman. In the two years since, black parents have added "beware white gunman" to the long list warnings they issue to their black sons.

"The talk" dates to 1863, according to The Boston Globe's James H. Burnett III. That year, the Emancipation Proclamation freed slaves who then had to figure out how to navigate a world of Southern whites still seething over the Civil War.

Unlike the hyperbole of today, freedman warnings really were a matter of life and death. In "A Festival of Violence: An Analysis of Southern Lynchings, 1882-1930," Stewart E. Tolnay and E.M. Beck documented 2,805 victims of lynch mobs killed in 10 Southern states.

"The scale of this carnage means that, on the average, a black man, woman, or child was murdered nearly once a week, every week, between 1882 and 1930 by a hate-driven white mob," their report says.

After Dunn mistrial, misgivings about Florida law

From this most deadly period, the survival conversation evolved to meet the challenges of Jim Crow, the civil rights movement, the war on drugs and police profiling.

Much of modern-day talk centers on the reality that store clerks, police and people generally do view black men with suspicion, says analyst Corey Dade. But the headline of his NPR essay "Florida Teen's Killing: A Parent's Greatest Fear" is overwrought.

So too was Jeannine Amber's piece in Time magazine after Zimmerman's acquittal.

"We may never know exactly what happened the night Zimmerman shot Martin, but black parents know this: A neighborhood-watch man saw a brown-skinned teenager -- a boy who could have been one of ours -- wearing a hoodie pulled up against the rain and assumed he was up to no good," Amber wrote.

"That suspicion set into motion a chain of events that left the boy dead. How do we protect against that?"

We can't.

What happened to Davis and Martin were freak incidents, not unlike a plane crash, rare disease or natural disaster.

Starting the discussion with a presumption that such an event is a probability carries its own dangers. It presupposes white people -- men in particular -- have a pathology as great as the one put on black men: that they are violent beasts.

We can't justify feeling imperiled by the idea that white men are gunning us down while rejecting sweeping generalizations regarding black men, some of whom are responsible for many of the murders in urban cities.

These fears only work to further polarize our communities when we need to work together to alleviate the mistrust we have of one another.

Instead, we must begin to peel away centuries of the conscious and subconscious uneasiness that allows white jurors to believe that a skinny kid can make a grown man fear for his life.

Black parents have long balanced cautioning kids without having those concerns become full-blown paranoia.

I fear we are losing this balance.

The opinions expressed in this commentary are solely those of Yolanda Young.

@highlight

Yolanda Young argues that reaction to the Michael Dunn verdict inaccurately blames race

@highlight

Young: Reaction creates irrational fear for those wanting to drive up news ratings

@highlight

Young calls the shootings of Jordan Davis and Trayvon Martin "freak incidents"