(CNN) -- When disaster strikes, it seems someone has to take the blame.

Writing to a colleague in 1879, British Prime Minister Benjamin Disraeli expressed his fear that another bad harvest would lead to his political party losing the general election. True enough, after a fifth poor crop season, Disraeli's party lost office the following year.

Democracy has moved on since then, and it's hard to imagine that an event like Superstorm Sandy would have much of a bearing on who will be sitting in the White House come January. But studies show natural disasters can still have an impact on how people vote.

More: Will Superstorm Sandy impact U.S. election?

Political scientists found that while incumbent politicians can be punished at the polls following a natural disaster, voters are much more likely to turn against leaders if they are seen to have botched the response effort.

But voters' instincts to punish leaders for bad events is "more than made up for if they receive aid and adequate help," according to John T. Gasper of the Carnegie Mellon University, who carried out the study, published in the American Journal of Political Science in 2011, with Andrew Reeves of Boston University.

Leaders also have a better chance of being re-elected for having been seen to do a good job rebuilding after a disaster.

More: World weighs in on U.S. election

In 1965, Hurricane Betsy killed 75 people in the New Orleans area, just as the city was due to elect a mayor. The incumbent mayor Victor Shiro was able to boost his public image in the aftermath of the storm. With his shirt sleeves rolled up, joining in for the clean-up operation and flying into Washington to campaign for more funds, he showed himself to be a powerful leader prepared to help his people. He subsequently won the election, holding office for another five years.

The social and political context in which a natural disaster happens can have far-reaching political implications, according to Professor Mark Pelling of King's College London in a 2008 study on the politics of disasters. He says President Barack Obama and his Republican challenger, Mitt Romney, could gain from Hurricane Sandy at this crucial time in the election cycle.

Pelling told CNN: "So long as they roll up their shirt-sleeves and are seen to be personally involved in the reconstruction, it will normally be very good for [a politician's] popularity."

More: How to look presidential during a disaster

Recalling the criticism aimed at George W. Bush's handling of Hurricane Katrina, Pelling says that because Bush took several days to get down to the site of the disaster in New Orleans he was accused of being "too arm's length" in his response to the storm.

Pelling and Kathleen Dill studied the impact of natural disasters on political action around the world, and found that leaders in both democratic and authoritarian regimes will try to manipulate the recovery process after a disaster to boost their popularity.

A 1985 earthquake in Mexico City that left roughly 10,000 dead was also viewed as a contributing factor in the ruling party losing its 70-year hold on the capital city. Many of the opposition members had entered politics after being key activists in the reconstruction effort.

Ten years later on the other side of the world, the Indian "Onion Crisis" played a crucial part in the losses of the Bharatiya Janata Party (BJP) in the 1998 Delhi election, according to a 2012 study conducted by researchers at Harvard Business School and Loyola Marymount University.

New Jersey's Christie: I won't play politics with Sandy

The price of onions -- a staple crop of the Indian economy and staple ingredient of the Indian household -- skyrocketed after several seasons of drought. While voters didn't blame the government for the drought itself, the study reports, they did hold them accountable for the perceived poor handling of the crisis and hit back at the polls.

In China, Mao's successor Hua Guofeng was so buoyed by popular approval after the 1976 Tangshan earthquake that he took power from the leading Communist Party faction the "Gang of Four." Visiting the affected areas and expressing his sorrows to victims, Hua capitalized on the disaster and used it to help him successfully dismantle the political elite which had seen the country through the decade-long Cultural Revolution.

The sense of camaraderie and positive feeling that is associated with the clean-up period following a disaster, when local services and community groups are out in force, usually lasts for around a week, according to Pelling. In this sense, the timing would seem to benefit Obama.

More: Get latest news at CNN Election HQ

Gasper says Superstorm Sandy's proximity to election day makes its impact more unpredictable - and that the fortunes of Romney and Obama are likely to be swayed more by how they are seen to respond to the crisis than by the realities of the situation.

"It's a great PR event to show your constituents that you are there to help them," he told CNN.

Though neither candidate wants to be seen playing politics with this storm, if there's any advice for Obama and Romney in their final week, it's surely: roll your sleeves up and smile for the camera.

@highlight

Studies show natural disaster can impact how people vote

@highlight

Voters more likely to turn against leaders if they are seen to have botched relief effort

@highlight

Romney and Obama reluctant to be seen as trying to capitalize politically off of Sandy