(CNN) -- By Friday, more than 70 million people had viewed "KONY 2012" or clips of it. Uganda was trending on Twitter and the blogosphere teemed with attacks and defenses of Invisible Children, the San Diego-based nonprofit group that produced the half-hour documentary about the notorious Ugandan warlord.

Invisible Children aimed to make Joseph Kony a household name and drum up global support to end the murders, rapes, abuses and abductions committed by the Lord's Resistance Army.

But with the popularity of the video and kudos to the filmmakers for raising awareness of an African tragedy came a flurry of questions about Invisible Children's intentions, its transparency and whether the social media frenzy was too little, too late.

"It is the right message but it's 15 years too late, " said Col. Felix Kulayige, a Ugandan military spokesman. "If people cared 15 years ago, then thousands of lives would have been saved and thousands of children would have stayed at home and not been kidnapped."

Evelyn Apoko, who was abducted by the LRA in 2001 and spent three harrowing years in captivity, said Kony needs to face justice and she hoped the documentary would help make that happen.

But she worried that a military campaign against Kony might bring more injury to children who have suffered enough and that government forces need to adopt strict policies to ensure the safety of the abducted children. Apoko was severely disfigured in a military bombing targeting the LRA.

"It hurts a lot of young innocent kids," she said. "They don't know how to protect themselves."

Now a fellow for Strongheart, an international organization that provides opportunities for young people who have survived conflict, Apoko said the crisis goes beyond Kony.

"They should open their eyes more on the people affected by the war," she said. "And the children -- they need to find a way to protect them. They have no hope, no way to escape."

Kony has unleashed his fury in eastern Africa for two decades and is wanted for crimes against humanity by the International criminal Court. Last October, the United States sent 100 combat-equipped troops on a mission to kill or capture Kony.

Invisible Children says it wants Kony's name to become so familiar that it will pressure the United States and other governments to stay on the chase. On April 20, the group plans to paper cities with Kony posters.

But the media attention on Kony may actually hamper efforts to catch Kony, said Peter Pham of the Atlantic Council.

"All I can say is, it couldn't have happened at a more unhelpful moment when you look at it strategically and operationally," said Pham, a civilian adviser to the military command that sent the U.S. troops.

The film comes after a regional -- and covert -- military operation has been under way for several months. The attention could prompt Kony to go on the move again and seriously set back African and U.S. efforts to catch Kony once and for all.

The LRA terrorized Uganda for years in a failed attempt to overthrow the government. But since 2006, when it was pushed out of northern Uganda, it has largely operated the Democratic Republic of Congo and Central African Republic.

The United Nations refugee agency said this week that 3,000 people were recently displaced after fresh LRA attacks in Congo's Orientale province. The agency reported 20 new attacks since the start of the year, with one person killed and 17 abducted.

The cultish rebel group stands accused of using vicious tactics to recruit and force thousands of children into taking up arms. There are reports of child soldiers brainwashed into killing their own parents.

The film follows an alleged former Ugandan child soldier and calls for action against Kony.

But several observers are urging caution, saying that Invisible Children has manipulated facts in the past and advised viewers to watch the documentary with that in mind.

Others warned that calling for military campaigns against Kony would only bring more harm to the LRA's victims.

A student blog called "Visible Children" linked to a photograph of Invisible Children's founders -- Bobby Bailey, Laren Poole, and Jason Russell -- posing with hardcore weaponry with members of the Sudan People's Liberation Army, who have battled the LRA.

"The group is in favor of direct military intervention, and their money supports the Ugandan government's army and various other military forces," the Visible Children blog post said. "Both the Ugandan army and Sudan People's Liberation Army are riddled with accusations of rape and looting, but Invisible Children defends them."

Bloggers debated the merit of arming one group to fight another and questioned why only about 30% of Invisible Children's budget was used to help children in Uganda.

"We're an unorthodox organization," Russell told CNN. "We work outside of the traditional box of what you think about charity and nonprofit."

He said a third of fund-raising dollars were spent on the film, another third on film-related advocacy and the rest on a mission to end the war and rehabilitate war-affected children.

"So that's our model," he said. "That's who we are. We're not World Vision. We are not these other organizations that do amazing work on the ground. If you want to fund a cow or you want to help someone in a village in that component, you can do that. That's a third of what we do."

On its website, Invisible Children said it spent 80.46% on programs in 2011; 16.24% on administration and management costs; and 3.22% on direct fundraising.

Invisible Children spokeswoman Noelle Jouglet said any money generated from the film will go to Invisible Children, which builds schools in Uganda. Money will also go to support a high-frequency radio station that Invisible Children operates, which broadcasts anti-LRA messages to fighters urging them to defect. CNN is unable to immediately verify this information or any of Invisible Children's activities in African nations.

Actress Mia Farrow, a goodwill ambassador for UNICEF who has visited LRA-attacked areas, commended Invisible Children for bringing "unprecedented focus" to a horrific situation but urged people to donate money to agencies like the Red Cross and UNICEF that work to help LRA victims.

Ugandan government spokesman Fred Opolot said Invisible Children's campaign reflected Africa as a dark continent of incessant trouble.

"Invisible Children, if it is using such images to dupe the international community into, into ensuring that they contribute financially into its works, I'm afraid to say it is a wrong approach," he said, "and indeed its activities in northern Uganda will be further questioned, in as far as the amount of money they receive vis-a-vis the actual interventions that they make in northern Uganda where he thinks he is concerned about."

"KONY 2012" skyrocketed to popularity on YouTube propelled by thousands of posts on Twitter and Facebook, especially by celebrities.

Invisible Children sent Twitter messages about the documentary to 20 celebrities, including Bono, Angelina Jolie, Jay Z, Ryan Seacrest and Rihanna. Many of the tweets about the film appear to be from fans who follow those celebrities.

"The celebrity strategy is simply, you have a voice," Russell said. "Some people have a larger voice than others. We're not obsessed with celebrities. We're not celebrities ourselves. We're human beings. That is what this is about."

Over the past decade, Invisible Children has been one of the most influential advocacy groups, putting pressure on the George W. Bush and Obama administrations, imploring the U.S. government to take a side in the fight between the LRA and the Ugandan government, according to a November 11 article in Foreign Affairs, a publication by the nonpartisan Council on Foreign Relations.

It said Invisible Children and other advocacy groups "have manipulated facts for strategic purposes, exaggerating the scale of LRA abductions and murders and emphasizing the LRA's use of innocent children as soldiers."

"They rarely refer to the Ugandan atrocities or those of Sudan's People's Liberation Army, such as attacks against civilians or looting of civilian homes and businesses, or the complicated regional politics fueling the conflict."

Invisible Children addressed the criticisms on its website, saying it simplified a complex crisis.

"KONY 2012 portrays, in no uncertain terms, the image of a madman who manipulates children spiritually for his own tactical gains," it said.

"In our quest to garner wide public support of nuanced policy, Invisible Children has sought to explain the conflict in an easily understandable format, focusing on the core attributes of LRA leadership that infringe upon the most basic of human rights. In a 30-minute film, however, many nuances of the 26-year conflict are admittedly lost or overlooked. The film is a first entry point to this conflict for many."

Richard Downie, a fellow and deputy director of the Africa Program at the Center for Strategic and International Studies, took issue with an approach he said was focused on the white Westerner's ability to parachute in and resolve a problem that Africans are unable to deal with themselves.

"I think by portraying Westerners as the only people who can crack this problem of Joseph Kony -- it's simplistic, it's naive, and it's a little bit condescending as well," he said.

Criticism aside, "KONY 2012" is turning out to be the fastest growing social media video campaign, according to Visible Measures, a company that tracks measures online movements.

For perspective, the firm's blog compared "KONY 2012" to former video champ Susan Boyle, who has 480 million views.

"It took Boyle six days to reach 70 million views. Kony is tracking a day faster. Even the Old Spice Guy can't keep up. His legendary Responses campaign generated 35 million views in its first week, but it didn't top 70 million views until Christmas 2010, five months after it launched," Visible Measures said.

"Crazy," said Russell of the video going viral.

He's hoping for a billion views.

CNN's David McKenzie, Libby Lewis, Brian Todd and Ashley Fantz contributed to this report.

@highlight

70 million people have viewed 'KONY 2012'

@highlight

But questions surface about the anti-LRA campaign and the nonprofit behind it

@highlight

A Ugandan military spokesman says the video is 15 years too late

@highlight

Invisible Children admits it simplified a complex issue