(CNN) -- Bringing together an army of creative writers, photographers and illustrators from all around Africa and beyond, Cameroonian journalist Ntone Edjabe has set up an exciting media platform that mixes culture and politics to present an unconventional portrayal of the continent.

Dubbed Chimurenga, which means "revolutionary struggle" in Zimbabwe's Shona language, Edjabe's creation is an award-winning, pan African literary magazine that addresses and embraces the continent's diversity, with a focus on "the complexity of life."

"Discourse on Africa is geared towards simplicity," explains Edjabe. "Everything must be simple, 'he's a poor black man, he's a victim,' like there has to be a simple story, in a way this is what signifies Africa and global consciousness," he adds.

"The moment you bring a degree of complexity to it, it kind of throws people off, they just don't know where to look anymore, it's like, 'what's going on?' So Chimurenga in a way does not try to maintain the superficiality of this narrative -- we engage with life, we try to present life as complex as it really is."

The pages of the literary magazine, which has more than 100 contributors, offer its readers a variety of thoughtful content, ranging from in-depth investigation stories and analyses to poetry and photographic essays. The journal is available online, while hard copies are distributed throughout Africa, Europe, the United States and India.

Read more: Bringing joy to refugees with dance

Chimurenga, which was first published in 2002, is produced roughly once a year, only when there are available funds to do so. The only constants are its provocative content, its creative packaging and, to many, its refreshing reflection of all things African. It was recently described by a writer in the UK's Financial Times as "better than The New Yorker."

"There's a feeling about writing something, sharing something that is beautiful and truthful from one's perspective, of course, and important, urgent almost that we demand from the contributors," says Edjabe.

"We ask them to put themselves on the line, so to speak, as if it really matters -- not for the check that may arrive or may not, but because he matters and because he cares about what he's writing, whether it's music, boxing, theory, analysis, does matter, to them at least."

Chimurenga recently received a much needed cash injection after winning the prestigious Prince Claus Award, given annually to individuals, groups and organizations for their outstanding achievements in the field of culture and development.

The judges praised it for challenging established ideas and stimulating pan-African culture with intellect, freedom and diversity.

For a publication whose survival is wholly dependent on funding, the 100,000 euro prize money was a welcome bonus.

"I take that of course with great honor," says Edjabe. "I also take the check that comes with it because it's very useful to be able to plan a little bit ahead. But ... we're trying to develop our own measuring stick for excellence -- at the moment this kind of validation, and we appreciate it and we take it, we're part of a world, but it's very important that we develop our own measure for excellence."

Read more: Spreading African spirit through song

Born in Douala, Cameroon, Edjabe moved to Lagos, Nigeria to study before arriving in South Africa on the eve of democracy in 1993. Three years later he established in Cape Town the Pan African Market, a cultural center for African immigrants.

More recently, Edjabe, who is also a DJ, created the Pan African Space Station, a music platform that brings together diverse African genres both online and in venues across the continent. Its radio station PASS streams music, shows and interviews live around the clock.

Edjabe believes firmly that music cannot be divorced from politics.

"At some point music was a vehicle recognized by people for ideas, for subversive ideas, for revolutionary ideas, it wasn't just produced for entertainment, it had a very important role in the struggle," he says. "In this country, that's very well known, how not just music, but creativity as a whole, arts as a whole, was used as a tool for liberation."

South Africa's struggle and transition from apartheid to democracy are often a central theme in Edjabe's Chimurenga. The magazine also takes a critical look at the country's relationship with the rest of continent.

Its latest edition is fashioned as a back-dated newspaper -- a mock-up of a May 2008 broadsheet, addressing that month's unforgettable events in South Africa.

Read more: S. Africa's dean teaches reconciliation

A series of attacks on migrants from other parts of the continent, left 62 people dead as South Africans turned on their fellow Africans creating an explosion of xenophobic violence.

As an African who's lived away from home for decades now, this is a topic close to Edjabe's heart.

He says it was important to re-tell the story to fill the historical gaps while re-examining the context and complexity of xenophobic violence.

"I think that the raw emotion that brings about this kind of violence to turn against your neighbor is more than what's written on a piece of paper and I feel that that sentiment, what ever it is and whatever brings it about, I think it is still there," says Edjabe.

@highlight

Cameroonian Ntone Edjabe is the founder of the pan-African magazine Chimurenga

@highlight

He's received international recognition for his unconventional portrayal of Africa

@highlight

The S.Africa-based award-winning journal has more than 100 contributors

@highlight

Its latest edition re-tells 2008's xenophobic attacks in South Africa