It may seem an academic argument when you're wiping sulphate-saturated tears from your eyes or coughing up a lung while sightseeing at the Forbidden City or the Red Fort, but a new study says New Delhi has outstripped Beijing and gained the inglorious title of the world's most polluted major city.

At its worst, air pollution in New Delhi this winter was 60 times higher than the level considered safe, the research from India's Center for Science and Environment (CSE) reveals.

The most harmful airborne pollutants, categorized innocuously enough as PM2.5, averaged 575 micrograms per cubic meter in the Indian capital from November to January.

That compared with a -- still dangerous -- concentration of 400 micrograms at peak levels in Beijing over the same period.

Airborne danger

PM2.5 refers to the diameter in microns of nasties such as ammonia, carbon, nitrates and sulfate -- particulates small enough to pass into the bloodstream and cause diseases such as emphysema and cancer.

A city such as London has an average PM2.5 level of 20 micrograms, which is considered safe.

Beijing looks as though it could permanently lose lose its mantle as the world's smoggiest big city if it keeps up the good work the CSE report describes.

The Chinese capital has made "consistent and aggressive efforts" to improve air quality, the CSE says, including limiting annual car sales, banning odd or even number-plated vehicles during "red alert" pollution periods and fining local governments for failing to curb smog.

New Delhi, by contrast, is marked by "weak ... stringency ... and enforcement" of pollution controls.

Killer cities

"Originally designed as compact entities to reduce the length of travel ... [Indian cities] are becoming victims of killer pollution, congestion ... and a crippling car-dependent infrastructure," the CSE says.

It's a quote New Delhi worthies must hope doesn't make it into the next Lonely Planet.

It is, however, a decent snapshot of the aghast impression your average neophyte India traveler receives after stepping out of Indira Gandhi International Airport when she thought she'd come to the land of peace, love and really full-on yoga.

The number of cars on New Delhi streets grows by 1,400 a day, with Indian manufacturers obliged to fit only basic emission-cutting apparatus to their vehicles.

Smoke from the burning of rubbish, industrial emissions and pollutants from the country's predominantly coal-fired power stations add to the dangerous and noisome atmosphere, the Times reports.

Delhi's report card

New Delhi buses and some taxis might be running on natural gas, and 15-year-old commercial vehicles have been taken off the road (although that must in some cases include India's ubiquitous, hallucinogenically decorated trucks -- a bitter-sweet result) but such measures aren't enough to stop many of the city's inhabitants -- and the odd tourist -- from becoming seriously ill, the CSE report says.

Medical studies point to the toxic risk of smog in the wide prevalence of acute lung diseases, eye disorders and Vitamin D deficiency leading to rickets among new Delhi inhabitants.

Of particular concern to tourists, a University of California, Berkeley, study cited in the CSE report showed that pollution levels inside vehicles traveling in the Indian capital could be eight times worse than outside.

As if riding in a New Delhi rickshaw wasn't stressful enough.

And, just to divine the origin of that metallic taste you can't rid from your mouth when sightseeing in Delhi, the CSE study notes that "exposure to vehicular fume in [the Indian capital] is among the highest in the world."

Would you still go?

Forewarned is forearmed.

It's up to the individual traveler whether Delhi's world-beating air pollution is enough reason not to see world-beating sights such as the Red Fort or chaotically creative -- and quintessentially Indian -- Chandni Chowk street market.

On the other hand, it seems, you now have more reasons not to be afraid of trying Beijing roast duck on location or venturing into the Forbidden City.

The 'dirty 10'

And the dirtiest cities of all in the world, not just the big metropolises?

New Delhi -- and Beijing -- were missing from such a list published in 2013 by the online business publication Quartz.

With almost one-third more toxic airborne particulates than the next most polluted city, Ahwaz, pop. 3 million -- capital of Iran's main oil producing province -- was the dirtiest city on the planet.

Other smog-bound centers in the ranking of 10 were Ulaanbaatar, Mongolia; Ludhiana, India; Peshawar, Pakistan and Gaborone, Botswana.

Intrepid travelers: watch out.

Would air pollution put you off visiting New Delhi, Beijing or Ahwaz, for that matter? Tell us in the comments field below.

@highlight

Beijing loses "dirty crown" as major city with worst air pollution

@highlight

At worst, pollutants in New Delhi air are 60 times higher than safe

@highlight

Would smog stop you traveling to a city?