Peter Kassig first went to the Middle East as a U.S. soldier and returned as a medical worker, feeling compelled to help victims of war.

"We each get one life and that's it. We get one shot at this and we don't get any do-overs, and for me, it was time to put up or shut up," he said in a 2012 interview with CNN.

Now Kassig, 26, is being held hostage by ISIS.

His life was threatened Friday in an ISIS video that showed the apparent beheading of British aid worker Alan Henning.

In a statement Friday, Kassig's parents, Ed and Paula Kassig of Indianapolis confirmed that he was being held hostage by ISIS but provided no other details. They had maintained silence about his capture since he was taken hostage in 2013.

"The Kassig family extends our concern for the family of Alan Henning," Kassig's parents said. "We ask everyone around the world to pray for the Henning family, for our son, and for the release of all innocent people being held hostage in the Middle East and around the globe."

Joined the Army in 2006

Kassig's journey began when he joined the U.S. Army Rangers in 2006 and deployed to Iraq in 2007. He was honorably discharged for medical reasons after a brief tour  and returned to the United States to study political science and train for 1,500-meter races.  But something wasn't right.

"I was going to school with kids who look the same, were the same age as me, but we weren't the same," he said.  "I wanted more of a challenge, a sense of purpose."

Portraits of conflict: Can an image stop the bloodshed?

In 2010, Kassig took time off and began his certification as an emergency medical technician.

In the two years that followed, he fell in love, got married and quickly divorced. Devastated and heartbroken, he went back to school, but he couldn't shake his depression.

"I needed a game changer," he said.

He decided he would head to Beirut, follow the situation in Syria and try to help. So, on his spring break this year he packed his medical kit and flew into the Lebanese capital.

The next two weeks were filled with eye-opening misadventures as Kassig began to scratch the surface of the complexities of the Syrian conflict and the Middle East as a whole.

Founded a humanitarian aid organization

"I had learned enough to know that I didn't know anything," he said.

After finishing the semester back in the United States, he returned to Lebanon, only this time with a plan.

"The way I saw it, I didn't have a choice. This is what I was put here to do. I guess I am just a hopeless romantic, and I am an idealist, and I believe in hopeless causes."

Kassig founded SERA (Special Emergency Response and Assistance), a nongovernmental organization. In summer 2013 he moved its base of operations to Gaziantep, Turkey.

Kassig's family said SERA was dedicated to providing first-response humanitarian aid for refugees fleeing the widening civil war in Syria. Kassig found and delivered food and medical supplies to the growing camps on both sides of the Syrian border, his family said, and provided primary trauma care and trauma care training to civilian casualties inside Syria.

"I am not a doctor. I am not a nurse," he said in the 2012 interview. "But I am a guy who can clean up bandages, help clean up patients, swap out bandages, help run IVs, make people's quality of life a little bit better. This is something for me that has meaning, that has purpose."

He was undertaking a project for SERA when he was "detained" on October 1, 2013, on his way to Deir Ezzor in eastern Syria, according to his family's statement.

"For the past year, the Kassig family has maintained silence at the wish of those who have held their son," the family statement said. "His family, along with friends and colleagues inside and outside Syria, have worked tirelessly, and quietly, to secure his release."

Converted to Islam

Kassig's family said he converted to Islam while being held hostage and now goes by Abdul-Rahman.

The family said it "understands from speaking to former hostages that Kassig's faith has provided him comfort during his long captivity."

While working in hospitals, some of those Kassig helped treat were rebel fighters, all who vowed they would return to the battlefield as soon as they could.

Others were the innocent victims of a spiraling conflict.

One patient,  24-year-old Louliya, said she and her three children were run over by a military jeep as they tried to escape the Syrian military siege of their village.  Her spinal cord was crushed, leaving her unable to move from the neck down.  She was smuggled across the border to Lebanon for surgery.

She smiled bravely but was unable to stop the tears from rolling down her face.

"All I want is to be able to hold my children in my arms again," she  said softly, trying but failing to imitate the cradling of a child.

Despite dangers, doctors honor oath in a secret Syrian field hospital

He bonded with doctors, patients

Kassig  said his direct exposure to what was something of an alien conflict and culture before  transformed his perspective.

"There is this mentality from where I come from back home that I have a little bit of a problem with," he  said. "I don't want to get on a political soap box, but at the same time we have to think about why as a country we choose to help certain people and not others.

"We have to think about why we just chalk up the Middle East [as] this complex enigma that we will never understand because they are so different from us.  But at the end of the day, they are really not. It's just about whether or not you're willing to go out on a limb and understand something," he said.

"Peter can tell the American people who we are,"  said Marwan, a Syrian nurse he worked with. "We are not what the regime says we are -- terrorists and al Qaeda. Peter knows we are good people, who love joking and laughter. We just want to live."

Kassig was struck by the resilience of the Syrians he met, by their ability to smile and somehow joke even in the darkest of circumstances.

"This is real, and it's scary stuff, and it's sad what is happening to people here," he  said. "People back home need to know about it, they need to know. Sometimes you gotta take a stand, you gotta draw a line somewhere."

@highlight

American Peter Kassig, 26, helped treat wounded Syrians

@highlight

He served in the U.S. military in Iraq  but looked for a "game changer" after returning home

@highlight

His parents in Indianapolis, Indiana, confirmed he'd been taken hostage

@highlight

Kassig converted to Islam while being held hostage, family says