(CNN) -- We have all succumbed to city noise: A 5 a.m. call to prayer courtesy of a mosque after a lengthy flight, a late-night New York bar crowd living it up in the wee hours, a raucous Carnival scene in Rio during an important business trip.

Whatever the scenario, even the loftiest skyscraper accommodations can't always escape the din.

Thankfully, the age of ultra-quiet hotels -- tranquil urban cocoons that are ideal for guests in search of an escape or simply a space to rest and concentrate -- is upon us.

The party hotels of the 1990s gave rise to the sleep-friendly accommodations of the 2000s, which prioritized high-end amenities for comfort.

Money-saving hotel tips

But there is a more scientific approach that involves innovations you don't necessarily see, like triple-paned windows, extra-thick walls and cork floor layers.

The true measure of a hotel room's soundproofing is evaluated by how well it deflects its cacophonous surroundings.

Yet few major booking sites offer visitors the opportunity to single out quiet hotels in notoriously noisy cities like Cairo and Tokyo, relying instead on user-generated feedback.

This is where brand recognition comes in. Soundproofing styles have become proprietary secrets among hoteliers.

Lavish hotel breakfasts start the day out right

All Four Seasons hotels must meet the approval of an acoustics consultant. Some properties rely on white-noise removal systems, like the Sound+Sleep machines found in rooms at several Fairmont properties, including the Heritage Place in San Francisco's Ghirardelli Square. Others, such as the Tribeca Grand in New York, outsource soundproofing to companies like K.R. Moeller Associates, which has installed LogiSon sound-masking devices in rooms.

"In the J.D. Power Hotel Guest Satisfaction Index, guest-room noise has repeatedly topped the list of complaints," says Niklas Moeller, K.R. Moeller Associates vice president. "But noise complaints are rarely resolved to the guest's satisfaction, and new approaches are definitely needed that tackle the problem from a different angle."

Technology aside, one of those angles can be as simple as choosing a quiet neighborhood, like those where several of our top choices reside.

Consider it the ultimate do-not-disturb sign.

Departures: Memorable hotel arrivals

Casa Gangotena, Quito, Ecuador

Quito is home to hundreds of colonial churches, many with bell towers that clang and echo across the bowl-shaped valley in which the city sits.

Finding a soundless refuge for a mid-afternoon nap or business briefing can be tricky, but the double- and triple-glazed windows in the 31 rooms at Casa Gangotena, a converted 1920s mansion that opened in 2012 in the city's Plaza San Francisco, make it easier.

Luxury Rooms and the garden-view Junior Suite are the quietest, but thick Egyptian marble and dense leather also help absorb noise in the plaza-facing accommodations.

The Tokyo Station Hotel

This Tokyo landmark hotel, which closed for six years during an extensive renovation before reopening in October 2012, resides in the Tokyo Station Marunouchi Building, which was designed by Meiji-period architect Kingo Tatsuno.

It sits near the Shinkansen bullet-train lines of Tokyo Station, but not a sound is heard from the plush goose-down-swaddled beds in each room.

Two layers of double-paned windows and thick blackout curtains keep out the Marunouchi street noise, while steel-framed concrete walls, exterior brick-wall claddings and rubber seismic-isolation units allow guests to put Tokyo on mute as they listen to the clink of ice cubes in Schott Zwiesel Tritan crystal glasses filled with Hibiki Japanese whiskey.

The Dorchester, London

Draft-free windows and soundproofed walls constructed with reinforced concrete and terracotta tiles were part of what made this property such a bastion of tranquility when it first opened in 1931.

Several renovations later, guest rooms feature solid mahogany doors, dense triple curtains and thick luxurious fabrics, all of which absorb sound.

Triple-glazed windows in bedrooms and suites facing busy Park Lane block any additional noises.

Departures: World's top walking cities

Green T. House Living, Beijing

China's buzzy, crane-lined capital city sees new skyscraping hotels climb high nearly every month.

But situated in a lush walled garden in the suburbs of Beijing, the Green T. House bucks the city's sky-rise tendencies.

Its 9,000-square-foot Bath House Residence (which sleeps eight guests) is inspired by a Tang Dynasty emperor's bathhouse and is flanked with nearly inch-thick glass windows.

It is also home to an open fireplace and a large, granite spoon-shaped bath, which is filled with green tea at night.

Peninsula, Shanghai

This elegant Shanghai newcomer is a favorite of visiting noise-sensitive musicians because of its intensely soundproofed rooms, each -- whether facing the interior gardens of the former British consulate or the bustling Bund -- featuring thick curtains and triple-glazed windows.

The property takes things a step further by adding discreet bed-and-bath-side buttons, which dim the lights and activate the do-not-disturb function on the phone and doorbell, and a signature valet box that allows housekeeping to quietly pick up and deliver shoes, laundry and dry cleaning without entering.

Departures: 10 outdoor dining destinations

Hôtel de Nell, Paris

Location, as we know, can make all the difference. And while many luxury hotels in Paris are adjacent to the sirens and traffic of the Champs-Élysées, this Design Hotel newcomer is nestled on the especially quiet Rue du Conservatoire in the Ninth Arrondissement.

It features triple-glazed windows, weighty 175-pound doors, wood floors topped with thick carpets, dense velvet blinds and wood ceilings with micro holes that absorb noise.

The Prestige Room's Japanese tubs made of marble and Oregon myrtle wood are an excellent way to capitalize on the silence.

Departures: Top Italian hotel suites

Hôtel Americano, New York

Hôtel Americano, Mexican hotelier Grupo Habita's first foray into New York, ditched its usual Latin party hotel atmosphere for a relaxing "urban ryokan" vibe on a quiet side street in Chelsea's extreme west end.

Some of the property's 56 rooms feature double-glazed windows, deep soaking tubs, hanging fireplaces and low platform beds placed inside large wooden cubbies that create a thick sound shield.

The rooftop pool doubles as a hot tub in the winter.

Departures: Las Vegas boutique hotels

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Triple-paned windows, extra-thick walls and cork floor layers keep sound out

@highlight

Soundproofing styles have become proprietary secrets among hoteliers

@highlight

Four Seasons hotels must meet the approval of an acoustics consultant

@highlight

Consider choosing a quiet neighborhood as the ultimate do-not-disturb sign