(CNN)Could clues that police found in a hideaway outside Paris lead investigators to the lone remaining suspect in last week's terror attacks?

Investigators discovered ISIS flags, automatic weapons, detonators and cash in an apartment, France's RTL Radio reported Sunday, citing authorities.

They say the apartment had been rented by Amedi Coulibaly, who was killed during a police rescue operation to end his siege at a kosher grocery store in Paris, where authorities say he killed four hostages on Friday. But police say his partner -- and alleged co-conspirator -- Hayat Boumeddiene -- is still on the run. The last place authorities spotted her was somewhere near Turkey's border with Syria.

And forensics teams have been examining the apartment in the Paris suburb of Gentilly to determine whether Boumeddiene, 26, might have stayed there before her escape, RTL reported.

Coulibaly had rented the apartment from January 4 to January 11, police said, according to  RTL.

Police began looking into the apartment after the Thursday slaying of a policewoman in the Paris district of Montrouge, the station reported. Coulibaly was also behind that attack, authorities say. And the car in which he allegedly fled the crime scene was ditched in Arcueil, near the hideout, RTL said. After abandoning the car, Coulibaly boarded a train, police told RTL.

The details about the hideout came as millions gathered at a massive rally Sunday in France, where world leaders, dignitaries and everyday citizens alike joined "unity rallies" in defiance of the terror rampage. Up to 3.7 million people marched throughout France Sunday, the spokesman for the country's mission to the United Nations said, describing it as the largest mobilization in his nation's history.

Beyond France's borders, demonstrators showed their support with rallies around the world. At the Golden Globe Awards in Beverly Hills, California, audience members gave the president of the Hollywood Foreign Press Association a standing ovation when he referenced the attacks, vowing to stand against "anyone who would repress free speech anywhere from North Korea to Paris."

As he received a lifetime achievement award, actor George Clooney described Sunday's demonstrations and their rallying cry.

"Today was an extraordinary day," he said. "There were millions of people that marched -- not just in Paris, but around the world. And they were Christians and Jews and Muslims. They were leaders of countries all over the world. And they didn't march in protest. They marched in support of the idea that we will not walk in fear. We won't do it. So, je suis Charlie."

In Paris, police said no incidents had been reported despite the record number of people involved in the march there.

France remained on high alert as authorities pieced together who was behind last week's attacks -- and warned of the threat of more violence.

French law enforcement officers have been told to erase their social media presence and carry weapons at all times because terror sleeper cells have been activated in the country, a police source said.

The source told CNN that the cells were activated in the past 24 hours.

And it's not just French police that are concerned.

Officials in the New York City Police Department and other law enforcement personnel across the United States responded to a  threat from ISIS after someone re-released a September 2014 message that tells followers to  "rise up and kill intelligence officers, police officers, soldiers, and civilians," specifically naming the United States, France, Australia and Canada as targets.

According to an NYPD memo obtained by CNN, department employees were told to "remain alert and consider tactics at all times while on patrol," especially in light of the attacks in France last week. The FBI and Department of Homeland Security issued a similar bulletin to law enforcement across the United States.

Meanwhile, French investigators continued efforts to delve into the attackers' backgrounds and track down Boumeddiene, the lone remaining suspect wanted in the terrorism rampage that left 17 people dead in three days last week.

The clues from his apparent hideaway aren't the only information authorities have about Coulibaly.

A video circulating on jihadist websites shows him pledging allegiance to ISIS leader Abu Bakr al-Baghdadi. Weapons including a rifle serve as a backdrop for the video, and an ISIS flag is prominently displayed during portions of the video.

Coulibaly identifies himself as "Abou Bassir AbdAllah al-Irfiqi" and a "soldier of the Caliphate," while warning the West, "You attack the Caliph, you attack ISIS, we attack you. You can't attack and not get back anything in return.​"  It's unclear when all the video was shot.

"The U.S. intelligence community is aware of the video and is reviewing it to determine its authenticity," said Brian Hale, spokesman for the U.S. director of national intelligence, James Clapper.

According to a source, Coulibaly made several phone calls about targeting police officers in France.

Long before they stormed into the offices of the Charlie Hebdo satirical magazine last week and killed 12 people, French authorities were watching Said and Cherif Kouachi.

But despite red flags, authorities lost interest in them, L'Express magazine reported.

Tipped off by U.S. intelligence agencies that Said Kouachi may have traveled to Yemen, France placed him under surveillance in November 2011 but terminated the scrutiny last year when it deemed him no longer dangerous, according to L'Express national security reporter Eric Pelletier, who said he talked to multiple French officials.

The surveillance of his brother Cherif terminated at the end of 2013 when his phone calls suggested he had disengaged from violent extremism and was focused on counterfeiting clothing and shoes.

U.S. Attorney General Eric Holder, responding to a reported claim of responsibility by al Qaeda in the Arabian Peninsula in the Charlie Hebdo attack, told CNN there was no "credible information" on who sponsored the violence.

And U.S. officials Sunday said American authorities don't have evidence yet directly linking al Qaeda in the Arabian Peninsula (AQAP) to ordering the attack. But they're assuming that Said Kouachi met American terrorist cleric Anwar al-Awlaki at some point in Yemen and received orders from AQAP to carry out an attack, a U.S. official told CNN.

The official said Kouachi's motivation for waiting so long to launch the attack was not clear.

The Kouachi brothers were killed Friday in a shootout with French security forces outside of Paris.

And investigators are still trying to track down their ties that may have helped them before last week's rampage.

On Sunday, a spokeswoman for Pitie Salpetriere Hospital in Paris said Farid Benyettou, a well-known spiritual leader believed to have radicalized Cherif Kouachi, had been working as a nurse trainee at the hospital until last Friday.

Meanwhile, an incendiary device was hurled at a German newspaper that reprinted the Charlie Hebdo cartoons. No one was in the building at the time of the attack early Sunday.

The arson attack at the Hamburger Morgenpost occurred about 2 a.m., the newspaper said on its website.

The device was thrown into the archive section of the building, setting it on fire. It's unclear whether the arson attack is connected to the Charlie Hebdo attack.

The German paper reprinted Charlie Hebdo cartoons depicting the Prophet Mohammed after the attack on the satirical magazine's offices in Paris.

The Anonymous hacking collective has vowed to retaliate for the Charlie Hebdo attack.

"We intend to take revenge in their name, we are going to survey your activities on the net, we are going to shut down your accounts on all social networks," a video from the group said Friday.

In online forums Sunday, they said they claimed to have blocked at least one jihadist website.

CNN's Catherine E. Shoichet, Eliott C. McLaughlin, Faith Karimi and Radina Gigova reported from Atlanta, while journalist Hakim Almasmari reported from Sanaa. CNN's Ray Sanchez, Gloria Borger, Barbara Starr, Nic Robertson, Al Goodman, Tim Lister, Margot Haddad, Dominique Dodley, Lorenzo Ferrigno, Laurie Segall and Evan Perez and translator Eric King contributed to this report.

@highlight

George Clooney's Golden Globes speech describes Paris demonstration as "extraordinary"

@highlight

Automatic weapons, detonators, cash and ISIS flags found in hideout, radio station reports

@highlight

Official: 3.7 million people march in demonstrations throughout France