(CNN) -- If you think television is like junk food, then binging on it is not for you. But there are many people not like you who love pixelated brain candy and think binge-viewing is the only way to devour a season (or more) of TV programming properly -- and networks are slowly beginning to take note.

More and more viewers are turning on to elaborately scripted shows, tuning in via digitized devices and not dropping out: They're watching marathons of their own making.

Instead of watching live each week by "appointment," viewers are taking a full day (or weekend or even week) to watch a show's entire season or a series from beginning to end. This may sound gluttonous and monotonous, but bingers see it differently -- a richer and more contemplative form of TV watching in which every nuance is savored and analyzed.

Providers are adapting to this craving for deeper, heartier, 22-course meals. Netflix recently premiered, all at once, the entire first season of its new political thriller "House of Cards," and the TV streaming apps HBOGo and HuluPlus have salad-bar layouts that make it easier than ever for viewers to immerse themselves fully in an entire series.

The commercial reasons that once encouraged channels to sacrifice narrative quality for episodic quantity are fading, especially as many viewers turn away from monthly subscriptions in favor of the per-episode (or per-season) prix fixe to be found, say, at Amazon.com, which dabbles both in online streaming and DVD sales.

My friends who binge-watch don't collapse into their couches, they commit to them, and this makes them demand a little more from programmers. Shows such as "Mad Men," "Game of Thrones" and "Arrested Development" are richer in lengthy doses: The more time spent in those worlds, the deeper your appreciation for the changing times in the offices of Sterling Cooper Draper Pryce, the intricate history and tenuous alliances between the Baratheons and Starks, and the subtle, recurring jokes of the Bluth family.

Watching, reading or listening to anything creative requires a suspension of disbelief, an investment of our reality in theirs. Every commercial break erodes that thin and personal connection a little; weeklong gaps between episodes stretch us closer and closer to the point at which our attention snaps and moves elsewhere. Viewership declines, sometimes before a show has an opportunity to catch on, as with the often-discussed "Firefly" or the more recent "Last Resort," which struggled to find the hook that would keep audiences coming back.

The pacing of some shows hardly even works on an individual level: Though he wouldn't dare to tell you how to watch it, creator David Simon would probably agree that binging on the entirety of "The Wire" at once, letting the bigger picture wash over you, would bring you closer to his vision for the show.

Binge-watching can make for good TV. The actors on any number of indistinguishable cop shows are entertaining, affable, gruff or quirky, but I'd turn to "The Good Wife's" long-term development any day ... and the only reason I got hooked on it is because I spent a flu-ridden week catching up on the first two seasons. And that's just network television: Several of the friends whom I introduced to "Breaking Bad" chose not to watch the first half of the final season, preferring to get it later in one high-intensity dose.

These friends picked up on subtle cues I hadn't noticed late in that fourth season, were better able to get inside Walter White's head, and became more a part of the series than I ever had: They'd fully fallen down that serialized rabbit hole, and now I was the one who seemed like the dilettante, merely putting in an hour each week, scraping the icing off the top of the seven-layered cake.

More critically, when another friend recently took a one-week safari through "Lost," he could clearly distinguish its shark-jumping moment, whereas those of us who had watched live were suckered in, fond memories of the past overshadowing the tainted present.

The more we change our viewing habits, the more the networks will adapt to fit them, and the higher the level of long-term programming networks will have to provide, no longer spider-webbing up plots on the fly in an attempt to deceptively tangle us into tuning in next week.

The shift from casual couch-surfing to brisk binging also encourages television to be bolder in its storytelling, to develop characters and settings as opposed to just plots: the difference between literature and pulp, not that you can't have both. Producing for the binger might also ease the stress of syndication, in which characters so often reset to the status quo that they might as well be contortionists on "The Simpsons." And wouldn't advertising targeted at the people who would raptly sit through 10 hours of "Battlestar Galactica" be more effective than scatter-shot rounds of the generic stuff?

Appointment television is dying, supplanted by On Demand features that allow viewers to set the schedules. As each generation grows older and decides it is not writing the Great American Novel, perhaps we'll choose to watch the Great American Television Show, and realize it's better when we don't have to break the illusion and set down the book for a week after every chapter.

The opinions expressed in this commentary are solely those of Aaron Riccio.

@highlight

Aaron Riccio: Many people are binge-watching TV series, devouring seasons in a sitting

@highlight

Trend challenges "appointment" TV, he says, and providers are adapting

@highlight

Riccio: Lengthy doses place narrative demands on programmers

@highlight

As viewers move away from "appointment" TV, networks will adapt, improve shows, he says