There's a scene in my satirical film "Dear White People" in which social misfit Lionel Higgins is asked to write a black culture piece by the editor of a campus newspaper staffed with mostly white people.

Lionel accepts the assignment with some trepidation. Despite the benefit of being black, large Afro and all, he feels underqualified, because he has yet to find a pocket of culture he identifies with at the fictional Winchester University.

Lionel's dilemma is one many black Americans share: a deep desire to have an identity rooted in black culture coupled with the knowledge that what's seen as "authentically black" in popular culture doesn't reflect our actual experience.

We're left in a sort of no-man's land, because we don't often see ourselves reflected in mainstream culture, nor in popular "Black Culture."

In making the film and engaging in debates about the state of "black film," here are five things I've come to know about black culture now:

1. There is a difference between black culture and "Black Culture"

Black culture, sans quotes, is the sum total of cultural contributions to the mainstream by the black subculture. It's a fluid and a multifaceted, often contradictory thing.

Meanwhile "Black Culture" is a lifestyle standard made of assumptions about black identity, often used successfully by marketers, studio heads, fashion brands and music labels to make money.

It can be the "cool factor" that makes kids line up for hours to spend their last dime on brand new Michael Jordan sneakers. Or the thing that makes white people call me "brotha" and blast 2 Chainz when I hop in the car.

It's what people assume about black people and how they should sound, live and act.

Black culture may have been born in black communities, or created by black Americans. But when appropriated for commerce, there is a danger of mistaking "Black Culture" for actual cultural EXPERIENCE. That's where the myth begins, and it can devalue real human experiences.

2.  "Black Culture" oftentimes employs, but is not always defined by, actual black people

Often by the time "Black Culture" is being used to sell a product or idea, it's already been reinterpreted by white people.

This isn't necessarily malicious, but it's something to note. We are often told what being black is by people who aren't. Up and coming black hip hop artists are molded to appeal to the masses by white label executives. Television shows with black characters might have no black writers or directors.

I'm reminded of a time in college when a white roommate insisted he was "blacker" than I was, by showing me he could successfully "crip walk."  It was a feat I could not do, nor cared to match.

But in that moment I was made to wonder if I was indeed "black" enough, despite being the only actual black person present. In that moment,  I felt alienated by a culture I had a need to be rooted in.

The black experience can sometimes be so concretely defined in the mainstream that it feels suffocating. The reality of being black is much more nuanced and fluid.

3. Black culture is multicultural

Black culture draws from a variety of influences born both in and outside black communities.

Janelle Monae's album "Electric Lady" demonstrates this: It is a brilliant amalgamation of artistic references as disparate as Motown and Fritz Lang's Metropolis.

Being black in America involves a process of moving through and adopting from many different cultures. To define what's authentically black is virtually impossible, as there are as many ways to be black as there are black people.

4. Black culture is not proprietary to black people

Many observers had a tough time when rapper Macklemore & Ryan Lewis won the Grammy for best rap album over Kendrick Lamar.

There is similar discontent over the lack of black artists being recognized or rotated on radio in categories once "owned" by black musicians, like R&B or hip hop.

But this is not new. Once communities of black artists birth something to the mass culture, in many ways it is no longer ours. For every Dizzy Gillespie there is a Dave Brubeck.

It can be a tough pill to swallow. Particularly when a culture we feel ownership over reaches new heights of success in more mainstream, i.e. whiter, hands.

There is something unsettling about the fact that black artists doing things associated with "Black Culture" (rapping, twerking,) doesn't seem to capture the mainstream's attention as potently as when white artists do it. (See: Miley Cyrus).

Personally, I happen to enjoy both Kendrick Lamar and Macklemore -- Brubeck and Gillespie -- and even a couple of Hall & Oates jams from time to time. But I don't define my black experience in something as transient as music or fashion.

I get much more infuriated when presented with an overtly defined and limited depiction of what being black represents. Like being told I "talk white" in school. Or McRibs commercials. Or, more egregiously, seeing white kids in college dress as black stereotypes and post pictures of it on Facebook on a day meant to honor a civil rights icon.

5. Black culture is a starting point

Culture of any kind can be grounding and comforting, creating a home for nourishment and rules for understanding ourselves.

But at a certain point a cultural identity too tightly defined keeps us from growing.

I'm grounded in, but not limited by, my blackness.

When I began trying to get my film made, the confines of "Black Culture" seemed to suggest that if a black movie wasn't broadly comedic, a historical epic tragedy or a street story, there would be no audience for it.

But I made it anyway.

After millions of YouTube views for the trailer, and several sold-out screenings at Sundance, my quirky rumination on race and identity has been warmly received by audiences and critics of all races.

And that is really the genesis of any culture: Ultimately, it's created by individuals and communities with the courage to do something different and unexpected.

Like be themselves.

@highlight

Director of satirical film "Dear White People" shares 5 things to know about black culture

@highlight

Author: Many blacks have a desire to have an identity rooted in black culture

@highlight

We don't often see ourselves reflected in popular "Black Culture," he writes