(CNN) -- It was described by evangelical pastor Jerry Falwell as "obscene trash."

High schools and public libraries banned it, while teenagers -- male and female -- hid it under their beds like a dirty magazine.

Women across the country passed it to their friends, their sisters, their neighbors. They read chapters about rape in closets with flashlights. They gaped in dorm rooms at the photos of childbirth.

The landmark women's health handbook was filled with sometimes graphic information about the most intimate aspects of women's lives. It was revolutionary in its candid discussions -- and depictions -- of the specifics of sex, birth control, childbirth, lesbianism and other formerly taboo topics.

In 1971, the first "Our Bodies, Ourselves" book sold 250,000 copies. Today, it is available in 25 languages and has sold more than 4 million copies.

It's hard to believe it all began in Boston with just 12 women.

They met during a women's liberation conference in 1969. At the time, fewer than 10% of doctors were women, and topics like sexuality, pregnancy and abortion were rarely discussed. But a long conversation after a workshop on women and their bodies prompted this small group to launch the beginning of the women's health care movement.

"Many of them had had very bad experiences around their health and medical care, around their encounters with physicians," "Our Bodies, Ourselves" executive director Judy Norsigian remembered. "You lived in an era then where, if you went to a physician, and you were a married woman, and you (were diagnosed with) gonorrhea, your physician would tell your husband and not you."

The next year, their work came to fruition: a 193-page booklet printed on newsprint titled "Women and Their Bodies" that sold for just 75 cents.

"Part of why (the booklet) got off the ground is because women wanted to change this kind of environment in which what women had to say, where what women reported about their own experiences, could be so readily discarded," Norsigian said.

In August, Time magazine named "Our Bodies, Ourselves" one of the best nonfiction books since 1923. This year, the organization behind the book, the Boston Women's Health Book Collective, celebrates its 40th anniversary with a new edition.

Norsigian was the youngest member of the 1971 editing team and still plays a big part in editing the text. Norsigian spoke with CNN about the controversial book, the strides in women's health care since then and the one thing she hopes readers take away. The following is an edited version of that interview:

CNN: Describe yourself in the early 1970s. What were you doing, and what were you wearing?

Norsigian: In the early '70s, I was just out of college. The year after I graduated ... I lived on a farm as part of a small commune and learned a tremendous amount about organic gardening. This is before it came in vogue.

I met through mutual friends the women who had produced the newsprint edition of "Our Bodies, Ourselves." I was acutely aware of the lack of good information out there for women of all ages, so I was very excited about being a part of this effort.

You can't ask me what I wore, because I can't remember. ... I probably had a bell bottom or two in those days.

CNN: What were some of the most controversial issues covered in the first book?

Norsigian: Well, there's no question about that. I would say there were three things that drew fire from various sources. One is the lesbian chapter; it was called then "In Amerika they call us dykes." That was obviously going to be very controversial because there was huge resistance to the idea of homosexuality. When people tried to ban the book in schools, they often pointed to this chapter as "filthy trash."

The second, of course, is the abortion chapter (which was still illegal at the time) ... and the third -- can you guess? -- it's masturbation. That was singled out in the sexuality chapter as one of the sections that was inappropriate, pornographic, you name it.

CNN: "Our Bodies, Ourselves" was definitely known as a feminist book in the 1970s. Do you still identify with that ideology?

Norsigian: There is no question in our minds that it's a feminist book. But one of the problems that has emerged over the last several years or so is that members of the media have failed to educate themselves about what feminism means, so there's been a lot of distortion. (The term) has different definitions depending on who you talk to.

One of the things we hope is that by having people read a book like this, which is feminist but is not anti-male ... is that they'll adjust their thinking about what feminism consists of.

CNN: How has society's view on women's health changed since the first book came out?

Norsigian: There were three things that kept hitting us between the eyes: sexism, paternalism, condescension -- things that really interfered with getting good health and medical care. There was also a lack of good data. Much medical care was driven by convention. ... There are many, many examples of where the medical care was not good or appropriate for the situation. (To get where we are today) has taken better research, it's taken a strong advocacy community, and it's taken reaching out to the general public.

CNN: What are the biggest issues facing women today?

Norsigian: We still have a long way to go. If you don't deal with things like education and housing, access to health care, these are critical issues that ultimately have a profound impact on women's health and well-being. The single greatest influence on a woman's health and well-being is her poverty status. ... If you look at surveys across the globe, many women identify violence as the biggest threat. So that's not often fully appreciated.

Most of the issues we write about are not just about a single person dealing with an individual choice; it's really connected to a larger reality where we can, if we take action, do something to reduce the problem to begin with.

CNN: What's new in this year's edition of the book?

Norsigian: The new book has a focus on sexual and reproductive health across the lifespan. There's a whole chapter on gender identity and sexual orientation. Many chapters are totally redone incorporating new awareness, new activism. The perimenopause chapter is totally different. The politics chapter is totally different ... with a much more in-depth discussion of health care reform. The sexuality chapter includes a wiki conversation; I think more than 200 people contributed to a several month-long conversation that was then synthesized into this fabulous collection of insights and exchanges.

CNN: Why did you decide to focus on just sexual and reproductive health?

Norsigian: Well, you're going to laugh. The book was becoming too encyclopedic, and we also wanted to return to earlier versions where we had more space for women's experiences and stories. So that was one of the reasons. But in the end, we got so much good content. ... It ended up being longer than the last book in 2005. It's not something you're going to carry around with you; it's more than 3 pounds.

CNN: With so much information out there and varying opinions on almost everything, how do you edit the book to ensure that it's unbiased?

Norsigian: Well, everybody has a point of view, and everybody has a bias. There's no question that that exists, whether we try hard to keep it out or not. One of the ways we (try) is by having people with different biases go at the same text, making their case with one another.

CNN: With all the Internet resources out there, what's the purpose of owning a comprehensive book like this?

Norsigian: I talk on about 60 college campuses a year, and you won't believe the misinformation young people have. This is one of the ironies that we face now. There are more and more sources of information. ... It's out there to find, but you have to know where to look. There's tremendous amounts of misinformation, distorted information. That's one of things about this book: It's probably the most trustworthy source about women and health out there.

CNN: What's one thing you hope women take away from the book?

Norsigian: I would say that we can all make more intelligent decisions about personal health and medical care as well as the policies we want to see in our communities. The key is finding reliable sources of information that will guide those kinds of decisions.

@highlight

In 1971, the first "Our Bodies, Ourselves" book sold 250,000 copies

@highlight

At the time, fewer than 10% of doctors were women, and many topics were taboo

@highlight

Time magazine named "Our Bodies, Ourselves" one of the best nonfiction books since 1923