(CNN) -- The past few weeks have seen North Korea become increasingly belligerent toward the United States and South Korea, with Pyongyang threatening to "mercilessly strike" its enemies.

But does the reclusive nation, led by Kim Jong Un, have the capability to back up its threats? Realistically, who's at risk of attack and where?

Most observers say North Korea is years away from having the technology to deliver a nuclear warhead. However, it still has plenty of conventional firepower, including medium-range missiles.

North Korea: Our global fear and fascination

Here's a look at some of North Korea's possible targets and whether they might be in range:

South Korea

The two Koreas technically are still at war because their conflict in the 1950s ended in a truce, not a peace treaty. But in March, the North declared that truce invalid.

South Korea's close proximity to the north puts it easily within range of the North's missiles -- not to mention the heavy artillery that's built up at the Demilitarized Zone separating the two countries.

The North also has a military force of 1.1 million -- nearly double the South Korean military and the 28,000 American troops stationed in the South. Its numbers advantage offsets an aging air force, which has suffered fuel shortages in the past, and a navy that's smaller than South Korea's.

People in South Korea's capital don't seem too concerned with the North's latest rhetoric -- they've been hearing it for decades. But it's different on Yeongpyeong Island, a two-hour ferry trip from the South Korean mainland, where people have fresh memories of North Korea's shelling in 2010.

Guam

In addition to South Korea, North Korea has threatened to strike U.S. bases in the Pacific, specifically those in Hawaii and Guam.

The United States recently announced that it would be sending a land-based missile defense system to Guam, an island in the Western Pacific about 2,000 miles from North Korea, to defend against a possible attack.

North Korea says U.S. bases in Guam are in "striking range," but at least one analyst says he's doubtful of a legitimate threat.

"Unless there has been a miraculous turnaround among North Korea's strategic forces, there is little chance that it could successfully land a missile on Guam, Hawaii or anywhere else outside the Korean Peninsula that U.S. forces may be stationed," wrote James Hardy, Asia-Pacific editor of IHS Jane's Defence Weekly, in an opinion column for CNN.com.

Still, the U.S. is taking no chances.

"It only takes being wrong once, and I don't want to be the secretary of defense who was wrong once," U.S. Defense Secretary Chuck Hagel said.

Japan

While there may be some doubt about whether North Korea could strike Guam, the same cannot be said for Japan.

Only a few hundred miles separate North Korea and Japan, which also hosts U.S. military bases.

With North Korea allegedly transferring missile components to its east coast, Japan faces the threat of a missile hitting its shores or flying over its air.

Continental United States

State media in North Korea reported in March that it had rockets on standby, ready to fire at U.S. targets on the mainland. That report came with a photo of Kim featuring a map behind him that appeared to show straight lines stretching to the continental United States.

Officials have said they do not believe North Korea has the capability to reach Hawaii, much less the U.S mainland. But the Obama administration nevertheless announced plans to deploy additional ground-based missile interceptors on the West Coast.

In a March interview with ABC News, President Barack Obama said he does not think North Korea can carry out a missile attack on the United States.

"They probably can't, but we don't like the margin of error," Obama said.

@highlight

North Korea has threatened pre-emptive strikes against U.S., but how realistic are these threats?

@highlight

South Korea and Japan, both with U.S. military bases, are well within striking distance

@highlight

Experts doubt Guam could be hit, and the U.S. mainland appears to be well out of range