(CNN) -- Amid all the jockeying of the primary debates, President Barack Obama's 2013 budget was a breath of fresh air that underscored the priorities we should have as a nation. Sure, politicos may call it a campaign document, but even if you view it as only that, it is a much needed reminder of just what we should be focusing on.

For Latinos, there is plenty in this budget, especially coming on the heels of the president's State of the Union speech a couple of weeks ago, to remind us that there is still reason to be hopeful. Obama's call for greater income equality on taxes, his focus on job creation, including focusing on key elements of his American Jobs Act (supported by 78% of Latinos), his renewed call for DREAM Act legislation in the State of the Union, and yes, his commitment to environmental and public health protections, as well as for the expansion of a clean energy economy.

While not a "typical" Latino statement, the plan to create more clean energy jobs and more responsible energy development is just what the doctor ordered, as far as they are concerned. Although it is down in the latest jobs numbers, Latino unemployment continues to hover near 11%, and with many of the Latino community's job losses stemming from the slowdown in the housing market, they need this boost now.

Interestingly enough, even just a few years ago, environmental issues did not register with Latinos as top concerns for their families. That has changed. Majorities of Latinos support strong environmental protections, especially since many communities happen to be in historically unsafe and polluted environs. So the president's statement -- "We don't have to choose between our environment and our economy" -- which is reflected in his budget, really hits home for Latinos. And that's not what we've been hearing in the news these days. We hear an unrepentant tirade from GOP pundits that regulations are nothing but "job killers." But Obama is telling us they save lives and create jobs?

Well, that not only happens to be the case, but GOP pundits also conveniently disregard the fact that there were fewer regulations put in place in the first three years of the Obama administration than in the first three years of the George W. Bush presidency.

But let's look at the facts that underscore why Latinos care about this issue. Hundreds of thousands of Americans are already at work in clean energy jobs. More than 100,000 people already work in the solar industry, according to the National Solar Jobs Census. Installing solar panels cannot be outsourced and fits the bill for many construction workers struggling to get by, and is a tremendous opportunity for many Latino entrepreneurs, who already have a strong foothold in the construction industry.

The president has also spoken of jobs that Latinos might get on farms -- wind farms, that is - thanks to the growth of wind power, which the Bureau of Labor Statistics says now employs 85,000 Americans.

More than 150,000 jobs are already out there in the clean car industry â€” for workers making parts and assembling hybrid and electric cars. And the shift to more advanced vehicles means more opportunity in the coming years.

We keep hearing about these "job killing regulations," but for millions of Americans and especially minority and low income communities, clean air protections are "life-saving regulations." This is another big reason environmental issues are registering on the minds of many Latino families, especially Latina mothers, a key swing vote group in the upcoming elections. Low income communities overwhelmingly suffer the worst impacts of pollution nationally. Cleaning up our communities means protecting our health and creating jobs (after all, someone needs to build and install the equipment necessary to protect us from polluters).

Clean air safeguards generated approximately $1.3 trillion in public health and environmental benefits in 2010 alone for a cost of $50 billion. For Latino families, who often lack health insurance even if they are employed full time, these savings can make the difference between home ownership and foreclosure.

So as you listen to the politicians shouting at each other in Washington, they are drawing a very bright line and letting you know what really matters to them. Ask yourself, "Who has my and my family's best interests in mind?" The folks looking out for public health or the folks representing polluters who don't want to invest in America, or in their employees â€” not to mention the facilities that are now finally being forced to live up to the law? The folks who see opportunities to bring manufacturing back to America as we shift to cleaner energy or those working to keep things just the way they are â€” no matter the price? The answer is pretty clear. And that is what we need right now.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Maria Cardona.

@highlight

Maria Cardona says Obama's committment to environment resonates wtih Latinos

@highlight

She says jobs and clean energy are linked for Latinos, whose unemployment is high

@highlight

She says pollution important issue to Latino mothers, who often live in poor communities

@highlight

Cardona: Ask yourself: Which politicians are protecting the environment and public health?