(CNN) -- It's hard for today's generation to imagine watching TV in the 1960s -- there was no TiVo or DVR (or even VCR). You watched what the networks put on and that was it.

And oh yeah, there were only three channels.

Yet television made some groundbreaking advancements in this decade as we learned from this week's episode of "The Sixties," and here are a few of them:

1. Television becomes a political force

By 1960, most American households had a television, and that year's Nixon/Kennedy debate was the first televised presidential debate. For many Americans, it was their first introduction to John F. Kennedy. When Kennedy was approached about the idea of debating his political opponent on television, he agreed immediately.

Kennedy was comfortable on-camera and sure he'd win. Nixon, however, began to sweat during the televised debate, and the American people began to doubt him.

No one realized just how much TV mattered until after those 1960 debates.

Later that election season, Kennedy appeared as a guest on NBC's "The Jack Parr Tonight Show"; and when Nixon ran for president again in 1968, he made a brief appearance on the sketch comedy show "Rowan & Martin's Laugh-In" and uttered the show's famous catchphrase, "Sock it to me." It was the first time a presidential candidate had appeared on a comedy show.

For the rest of his life, Nixon maintained that his appearance on "Laugh-In" won him the 1968 election.

So while TV arguably cost Nixon the election once, it may very well have snagged him the election the second time around.

If you enjoyed President Barack Obama's appearances on "The Tonight Show" and Letterman, you can thank Richard Nixon.

From "The Sixties: Television Comes of Age" episode: Watch infamous "Tonight Show" tomahawk demo

2. The rise of TV journalism

Before the Kennedy presidency, television was far behind print journalism in terms of sources audiences relied upon for news. But soon, people relied on TV news for the day's headlines as well as information on American troops in Vietnam, particularly the numbers of those killed or wounded.

When something major happened on TV, it affected the whole country at the same exact time.

TV news was the polar opposite of entertainment TV. The civil rights era, the JFK assassination and the space race all unfolded on TV.

As David Brinkley stated, "Television showed the American people TO the American people."

During the 1968 Democratic National Convention, 83 million Americans were glued to their television sets as 10,000 antiwar protesters outside the Chicago Hilton chanted, "The whole world is watching! The whole world is watching!" over and over as police pushed the crowd off Chicago's Balbo Drive.

3. TV reaches a broader audience

"The TV was the center of the house," recalled Tom Hanks, one of the executive producers of CNN's "The Sixties" series. "I don't remember a time without TV."

Remember, there were only three channels (CBS, NBC and ABC) during the decade, and usually only one TV set per household. There were no "for mature audiences only" warnings.

The syrupy sitcoms of the 1950s made way for shows such as "The Dick van Dyke Show" and "The Andy Griffith Show." These showcased more realistic situations, although there were still the same idealized versions of humanity as the previous decade.

Griffith has stated that he put the best parts of himself and the people in his life into the inhabitants of the fictional town of Mayberry to achieve a blend of emotional honesty and laughs. That blueprint served as the benchmark for sitcoms for decades to come.

"Leave It to Beaver," which aired from 1957 to 1963, was the first show shot from the perspective of a child, bringing to life those universal embarrassing moments from childhood that kids were certain they'd never overcome, such as bringing home a bad grade or approaching the object of one's affection.

Related: Archive of CNN's May 29th Facebook Q&A with Jerry Mathers

That kid-centric model was later replicated in TV shows such as "The Wonder Years" and, more recently, "The Goldbergs."

Eventually, shows began blending that "reality" with fantasy, which led to copycats: "The Addams Family" and "The Munsters," "Bewitched" and "I Dream of Jeannie," and "The Beverly Hillbillies" and "Green Acres."

4. The advent of the variety show

During the '60s, there were 18 variety shows going on three networks!

It's safe to say that television went "variety show crazy" for a while. Sunday night at 8 meant Ed Sullivan; but Dean Martin, Danny Kaye, Danny Thomas and Carol Burnett, to name a few, had eponymous variety-hour programs, too.

Beatles + Sullivan = Revolution: Why Beatlemania could never happen today

Variety was considered a man's game at the time, but Burnett broke down a lot of walls with her three-wall sketch show. She and her cast mates sang, danced and did pratfalls -- often breaking character and cracking one another up in the process. Kind of a precursor to SNL's Debbie Downer sketch or most of Jimmy Fallon's SNL sketches.

Burnett felt that if she was having fun, her audience would, too.

From "The Sixties: Television Comes of Age" episode: Carol Burnett's pratfalls

5. Television begins to tackle serious issues

Through a fantasy/sci-fi lens, "The Twilight Zone" creator Rod Serling often told stories of racism and fascism. Similarly, "Star Trek" addressed the notion of a time where social evolution has eradicated prejudice and mankind possesses no bias whatsoever. The space age series even featured TV's first interracial kiss, in which Capt. James Kirk tells Lt. Uhura, a black woman, "Where I come from, size, shape, or color makes no difference."

What you might not know about the 1964 Civil Rights Act

When Bill Cosby won the Emmy Award for male lead in "I Spy" in 1968, he stated in his acceptance speech, "We need more people in this industry to ... let it be known to the bigots and the racists that they don't count."

Incidentally, race was a nonissue in "I Spy." Cosby and actor Robert Culp, who was white, were equals in the series in which they played intelligence officers.

BONUS: There actually IS a legit reason why The Flying Nun can "fly"

The explanation: She weighs 90 pounds and the combination of her cornet and the wind lifts her. Totally makes sense. Now if only someone could explain how The Professor made all those nifty contraptions -- usually out of coconuts -- but couldn't cobble together a (coconut) raft to get the gang off "Gilligan's Island."

Related: How Sally Field's 'Gidget' broke the rules

Related: Television today is much better, right?

Related: 20 groundbreaking moments from '60s TV

@highlight

In the '60s, Americans came to rely on TV for information and entertainment

@highlight

With the Kennedy-Nixon debate, TV changed political campaigns

@highlight

Shows, like "The Twilight Zone," tackled hot-button issues like racism