(CNN) -- The question is not just whether Jim Thorpe, in death, will ever be allowed to rest in peace.

The question is whether he ever managed to find true peace while he was alive.

Thorpe, the Native American from rural Oklahoma who in the early years of the 20th century became the greatest athlete in the world, died in 1953. He is back in the news because one of his sons, Jack Thorpe, 73, is waging a legal battle to have his body removed from where it is buried in Pennsylvania and sent back to Oklahoma.

"I want to see him put away properly," the son recently told reporter John Branch of The New York Times. "I want him put where he wanted to be."

Jim Thorpe is buried in the town of Jim Thorpe, Pennsylvania, and the way that happened is a story in itself.

Thorpe, the son of a Sac and Fox Indian blacksmith in Oklahoma, grew up with athletic ability so incandescent that the scope of his accomplishments mesmerized the world. He won two gold medals in the 1912 Olympic Games, for the decathlon and the pentathlon. He was a professional football star and is a member of the Pro Football Hall of Fame. He played baseball in the major leagues for six seasons.

His heart was broken after newspapers reported that, before going to the Olympics, he had received small amounts of money for playing semi-pro baseball. Today, of course, the idea of professional athletes competing in the Olympics doesn't even warrant a public yawn; think of all the NBA players on the United States Olympic basketball team, or all the NHL players on various Olympic hockey teams. But back then there was an assumed purity to the idea of amateurism, and Thorpe was shamed by having his Olympic medals taken from him and his achievements nullified. (The medals were reinstated in 1983, 30 years too late for him to know about it.)

His post-sports life was rugged. Beset by alcoholism, he died in a California trailer home at age 64 in 1953. Various communities around the country offered to provide burial and a monument, in the hopes of attracting tourists.

The Pennsylvania towns of Mauch Chunk and East Mauch Chunk made the most attractive offer to Thorpe's third wife, Patricia: If they could have the body of the world's greatest athlete, they would rename their towns. So it is that Thorpe, for more than half a century, has been buried in Jim Thorpe.

He had eight children; I got to know one of them, his daughter Grace, when she was 70. She has since died, but some of the things she told me about her late dad have stayed with me, because they show a decent man who seemed lost in a lifetime blizzard of great fame and utter confusion.

"When Dad was too old to play sports anymore, he had to make a living," she said. "He had no money. There were no pension benefits or anything. He didn't know quite what to do. When he was in his 40s, he took a job out in California digging ditches. He didn't say much about that to me. He dug ditches because he had to make a buck."

Once hailed by kings and presidents for his athletic skills, Thorpe's life, she said, became an almost constant struggle. She sensed his quiet sorrow about his medals being taken from him: "I think he was bitter, but I don't really know, because he didn't talk much about himself, good or bad."

His losing battle with alcohol haunted her. "He was always so graceful," she said. "When I was very young I didn't understand what a great athlete he was, but I knew what a graceful person he was. He taught me how to ballroom dance. He took me in his arms and taught me how to dance."

Later in his life, she said, "Sometimes he would come home after he had been drinking, and he wouldn't be physically graceful. He would slur his words and he would walk unsteadily, and it was a sad thing for me to see."

Whether Thorpe's body will be taken out of its Pennsylvania resting place and shipped to Oklahoma is something the courts will decide. It is one more melancholy act in a once-glorious life that was blindsided by the fates.

Grace Thorpe told me about a fleeting moment on one of the last days she ever spent with her dad. She was living in the small town of Pearl River, New York, near the New Jersey line, and in 1951 he came to visit her.

"Dad stayed with me, and he had to go to New York City for something, and I drove him to the bus stop," she said. "In Pearl River, the bus stop was right underneath the marquee of the movie theater.

"Years before, when he needed money, Dad had sold the rights to make a movie of his life to Warner Brothers. He had only been paid $1,500 for it. In 1951 Dad was 63 years old, and the movie had finally been made and had just come out. It starred Burt Lancaster, playing my dad. And it was showing at the Pearl River Theater that day.

"So Dad was standing underneath the marquee, and the marquee had the title on it: 'Jim Thorpe, All-American.' I dropped him at the bus stop, and I looked back, and there he was. Dad was wearing his old suede jacket and a broad-brimmed hat, and he was carrying the same old suitcase he always carried. He was standing there kind of quiet, just waiting for the bus."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Jim Thorpe was an Olympic medallist, a Hall of Fame football player and a baseball player

@highlight

Bob Greene says the life of the "world's greatest athlete" was difficult

@highlight

He says towns vied to host his grave and the winner changed the name of the town to honor Thorpe

@highlight

Now Thorpe's son is seeking to return his remains to Oklahoma