(CNN) -- Sunday is National Grandparents Day. If you go to your local greeting card store, you can probably find plenty of cards to appreciate your grandmother, your grandfather, both your grandparents, your stepgrandparents, maybe even your two grandmothers who are a couple. What's missing? A card to thank the professional home care workers who help our grandparents survive and thrive in their old age.

More than 90% of Americans agree that senior citizens should be able to age in their homes and communities. You don't want to visit your grandparents in a nursing home any more than they want to live there. But for the stay-at-home elderly to have so-called "independent living" they must be highly dependent on the home care aides who look after medication schedules, cook meals, assist with bathing and generally keep them happy and healthy.

And yet these workers are anything but well cared for. The vast majority are dreadfully overworked and woefully underpaid. The average hourly wage of a home care worker in the United States is less than $10. In addition, most of these workers aren't professionalized health care aides with workplace benefits and protections, but are low-income African-American and immigrant women hired to fill in the gaps in our strained senior care system.

That strain is only getting worse. Today in America, every eight seconds someone turns 65. This year alone, an estimated 4 million Americans will become senior citizens. The unprecedented wave of aging baby boomers is quickly multiplying the existing challenges of elder care. To meet the needs of tomorrow's seniors, we will need to add at least 1.6 million new trained and qualified care worker jobs by 2020. In a struggling economy with persistently high unemployment, the immediate need for 1.6 million new workers could be seen as an opportunity. But if all those jobs come with low wages and no benefits and rights, the graying of America will darken our economy even more.

National Grandparents Day was started in 1978, not as an excuse to sell greeting cards but because community organizers wanted to encourage young people to value and care for senior citizens. In fact, the idea wasn't just to send loving thoughts on one day out of each year to your own grandparents but to "adopt a grandparent" year-round, very much in the spirit of caring for everyone in our communities, not just our own kin. National Grandparents Day is a reminder of the values of compassion, kindness and generosity that we sadly violate in the way we treat elder care and home care workers in America today.

Last month, lawmakers in the California State Senate passed the Domestic Worker Bill of Rights, which would ensure that caregivers as well as housekeepers and nannies are paid overtime and have access to meal and rest breaks and other basic rights. Similar legislation was enacted in New York state in 2010. These laws only begin to reflect the new needs of our new moment: increasing the quality of care for this generation of senior citizens by increasing the quality of life for the hardworking home care aides on which they rely.

When a stroke paralyzed the right side of my grandfather's body, my grandmother couldn't care for him all on her own. She hired Mrs. Sun, a home care worker, who helped my grandfather bathe, get dressed and meet his basic daily needs. Because of the important support and care Mrs. Sun provided, my grandparents were able to live together at home for four more years. While I want to describe Mrs. Sun as a saint for what she did for my grandfather, she is also a worker, a worker who deserves to be paid fairly.

My grandparents literally helped give me life, the same as yours. The least we can do is make sure the people who care for them make a livelihood.

The opinions expressed in this commentary are solely those of Ai-jen Poo.

@highlight

Ai-jen Poo: National Grandparents Day a good day to appreciate home care workers

@highlight

She says elderly should be able to stay in their homes, but we underpay those who help them

@highlight

She says fair pay, benefits needed as aging boomers boost demand for home care workers

@highlight

Poo: More states must make laws for adequate pay, benefits to those who care for elderly