Haifa, Israel (CNN) -- On a cool January morning, Israeli ambulances sped to the site of a simulated terrorist attack in Haifa, the country's largest port city. In keeping with the script for the long-planned civil defense exercise, emergency workers responded to a suicide car bomb with one element the country has not experienced in the dozens of real terrorist bombings over the years: this simulated attack dispersed nuclear materials, a "dirty bomb" laced with radioactive Cesium 137.

While life went on around them in an otherwise normal day, paramedics rushed the "victims" to area hospitals, where doctors and nurses in protective gear moved to decontaminate and treat their injuries. Elsewhere, authorities assessed the public health effects and the psychological impact on the public of hearing the words "nuclear" and "bomb" used in the same sentence referring to an attack close to home.

It was not a simulation of an atomic bomb, but of a "radiological dispersal device," a much less destructive conventional weapon with some nuclear materials in the mix -- enough to spread a small amount of radiation and a great deal of panic.

Nobody talked about Iran during the event. But, as with so much of what goes on in Israel these days, thoughts of how the conflict over Iran's nuclear program might ultimately unfold lurked in people's minds.

For all those involved in the exercise, it was an opportunity to prepare for another one of the many disturbing scenarios that come up whenever Israelis ponder what the future may bring. Dr. Lion Poles, one of the organizers from the Ministry of Health, called it "a hypothetical but plausible scenario."

When word came out months ago that the Israeli military was preparing the exercise code-named "Dark Cloud" -- the first ever drill for nuclear terrorism in the country -- authorities tried to downplay its significance. Perhaps that's why Dark Cloud received so little media attention. But Defense Minister Ehud Barak has often said that the greatest risk from Iran's nuclear program is not that Tehran will launch an atomic bomb against Israel, but that it might send a dirty bomb to explode through cargo arriving at a crowded port.

After years of worrying about Iran -- and about other threats in the neighborhood -- Israelis have developed a cool and tense fatalistic attitude. Conversations with every day people show a mix of resignation, bravado, fear and a suspicion that there may not be good options.

In Jerusalem, Uri Margalit, a 57-year-old salesman, says he doesn't think Israel will attack Iran, but concedes that the uncertainty of what might happen has made him and his friends nervous. "Everybody's a little afraid," he admits. Others, like Hanna Ofner, are less pessimistic. "I count on the government to do the right thing," she says, adding that she believes Europe and the U.S. understand just how risky a nuclear-armed Iran would be for the entire Middle East and the rest of the world.

Polls show the public is divided about whether or not Israel should attack Iran to keep nuclear weapons out of its hands. Given that Iran's leaders have openly proclaimed their wish to see Israel destroyed, most Israelis believe a war will happen. Some Israelis tellingly confess they have restocked their bomb shelters with fresh water and other supplies.

The January 18 radiological drill barely made the news in a country where national exercises to prepare for conventional missile attacks, in addition to biological and chemical weapons, have become routine in recent years.

The need to prepare more actively became clear after the 2006 war with Lebanon's Hezbollah, when Hezbollah's rockets -- many of them made in Iran -- hit a greater portion of Israel than ever before, forcing more than 300,000 Israelis to evacuate their hometowns and sending about a million of them into bomb shelters. Lebanon was also affected: at least a million people were displaced during the 34 days of fighting.

If the conflict with Iran does escalate into open warfare, the widespread expectation is that Hezbollah, a close ally of Iran, will attack Israel from Lebanon, while Hamas, another friend of Tehran, will do the same from Gaza. The U.S. believes Hezbollah alone has an arsenal of about 50,000 rockets and missiles, some capable of reaching practically all of Israel.

While the radiological drill did not garner a lot of attention, there was another exercise -- one that did not happen -- which made large headlines.

The U.S. and Israel has been preparing to hold their largest joint military maneuvers in the history of their alliance, a missile defense drill code-named "Austere Challenge 12," in April. As military officials on both sides were busy arranging for thousands of American soldiers to deploy to Israel, word came out that the war games had been postponed.

The circumstances behind the sudden change of plans remain something of a mystery, with officials offering reassurances that there is no reason for concern. For Israelis, however, one of the greatest fears is that they will be abandoned to face Iran without international support.

It came as some comfort that President Obama just told Time Magazine that he "will take every step available to prevent Iran from obtaining a nuclear weapon." Israelis hope that will be achieved without the need for war, but they believe it is a near certainty that a military operation against Iran would result in attacks against Israel by Iran's allies. Just in case, they are preparing for any conceivable scenario while carrying on with their daily lives and hoping for the best.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Israel has been exercising drills that simulate "dirty bomb" attacks

@highlight

Frida Ghitis: Many ordinary Israelis are worried about a nuclear attack from Iran

@highlight

Obama said he "will take every step available to prevent Iran" from getting nuclear weapon

@highlight

Ghitis: Israelis continue to prepare for possible scenarios just in case