Compared with the Japanese kimono and Chinese cheongsam, Korea's traditional dress -- known as hanbok, and worn by women and men -- has remained under the international fashion radar.

So much so that when Lee Young Hee, among South Korea's most renowned hanbok designers, showed her collection in Paris for the first time in 1993, most of the fashion press alluded to her silhouettes as "kimonos" -- to the horror of both the designer herself and everyone back in Seoul.

It's only relatively recently that hanbok has been gaining widespread attention, with top foreign designers looking to hanbok for inspiration in the past few years.

Dior and Carolina Herrera both had heavily hanbok-influenced designs in their 2011 spring collections.

Giorgio Armani and Miuccia Prada are also fans, with the latter often stopping by Lee Young Hee's hanbok atelier in Seoul for fabric and design inspiration when she's in town.

Made to wear

For hanbok, the concept of off-the-rack doesn't really exist. Every hanbok is customized to fit the wearer's body.

Women's hanbok consists of only two primary pieces. The chima is a full, high skirt, made even fuller with a mujigi (petticoat). The jeogori is a long-sleeved top with two goreum (long ties).

Nevertheless, hanbok is a complicated garment.

There's also the binyeo (traditional headpiece) and embroidered footwear.

Men's hanbok is simpler.

Variation tends to be limited to the overcoat, while the jeogori and pants stay fairly uniform.

Men also have a headpiece -- the gat is a traditional hat.

Men can also add a jjoki (vest).

From the first visit for an initial fitting, the total production time usually ranges from one to three weeks, with more intricate hanbok taking longer.

Color as design

Rather than embroidery, which was reserved for royal wear, color is the most important element.

"Hanbok is all about color," says Lee Young Hee. "The color is the design. It's not about what's stuck on it.

"And we need to know where they're going, and for what occasion they're wearing it. Our clothes are more difficult to wear than Western clothing."

Lee uses natural dyes for her hanbok to create beautiful, traditional colors, even though, as a pioneer of modern hanbok design, her hanbok can also be unconventional, as her "wind dresses" in the gallery above.

Other designers tend to stick closer to the original design.

"I am a fan of the traditional silhouette, which is what I stick to," says designer Lee Il Soon, whose celebrated store Kumdanje celebrates its 20th anniversary this year.

Lee Il Soon, who showed a small fashion show of hanbok in New York this August, is passionate about bringing the Korean silhouette to overseas audiences.

Her wedding line of white hanbok (unusual in modern times) is a nod to the 1870s, when Western influences came to Korean clothing for the first time and brides modified their hanbok in the Western bridal style, wearing them with veils and lace.

Significance of color

These days, Koreans themselves tend to break out the hanbok only for special occasions such as weddings, funerals, first birthdays and major family gatherings.

While in the past, hanbok colors carried important implications, such as class, these days the choice of color is more about what suits the wearer and the wearer's situation the best, rather than reflecting status.

Still, some rules apply.

Although both Britney Spears and Paris Hilton brought international attention to hanbok during their trips to Korea by wearing pink hanbok, they actually committed fashion faux pas in doing so -- pink is rarely worn beyond childhood, with the exception of perhaps engagement ceremonies.

"Natural dyes are the most beautiful," says Lee. "The colors come out more subdued and the natural dyes can also be used to go darker to make a point.

"Our ancestors truly made hanbok as works of art. The colors are most beautiful when natural."

According to the design team at Kumdanje, lighter, pastel colors are best suited for warmer months, while deeper colors are more popular during colder months.

Special dress

"The designer has to propose the design to the customer, so it's best to talk to the designer a lot," says Kim Young Jin, director of Tchai Kim Young Jin boutique, who designs contemporary (gaeryang) rather than traditional (jeontong) hanbok.

"What I hear from my [Korean] customers is that there's nowhere to wear hanbok," says Kim.

"But I don't think there's a need for us to think of hanbok as everyday wear, because we already have everyday clothes that we're used to, and instead Koreans should think of them as outfits for special occasions."

In recent years, there's been more of a foreign demand for the Korean traditional dress.

According to the staff at Maison de Lee Young Hee, more than 30% of their customers are foreign, ranging from foreign brides of Korean grooms to fashion designers and artists to tourists looking for interesting souvenirs of their trip to Korea.

Where to buy

The finest custom-made hanbok can be found at the following shops.

Prices start around ₩1,200,000 ($1,100).

Kumdanje, 665-1 Sinsa-dong Gangnam-gu, Seoul; +82 2 517 7243

Maison de Lee Young Hee, 665-5 Sinsa-dong, Gangnam-gu, Seoul; +82 2 545 0689

Tchai Kim Young Jin, 272-8 Hannam-dong Yongsan-gu, Seoul; +82 2 333 6692

For inexpensive versions ranging from ₩150,000-₩800,000 ($140-$750), a good choice is Dongdaemun Shopping Complex, 2/F 289-3 1A-dong, Jongno 6-ga, Jongno-gu, Seoul; +82 2 2262 0114

@highlight

Hanbok, Korean traditional dress, is always customized

@highlight

From measurements to fittings, final production takes around two weeks

@highlight

Carolina Herrera, Giorgio Armani and Miuccia Prada are hanbok fans