WASHINGTON (CNN) -- All major indicators of violence in Iraq have dropped by between 40 and 80 percent since February 2007, when President Bush committed an additional 30,000 troops to the war there, the Pentagon reported Monday.

The quarterly report to Congress noted that the military, political and economic gains made in the five-year-old war remain "fragile, reversible and uneven," and that Islamic jihadists loyal to al Qaeda in Iraq remain capable of high-profile attacks.

But civilian deaths have dropped from a peak of nearly 4,000 a month from December 2006 to January 2007 to about 500 a month as of May, and U.S. troop deaths have dropped from 126 in May 2007 to an all-time low of 19 in May 2008.

The report cited the emergence of the Sons of Iraq as a major reason for the downturn in civilian-oriented violence and deaths. The groups are made up of an estimated 90,000 Iraqis, often former insurgents, paid by U.S. commanders to help protect neighborhoods and provide intelligence on extremists.

U.S. troop deaths and civilian deaths spiked in March, when Iraqis battled militia forces loyal to Shiite cleric Muqtada al-Sadr in Basra. At the end of March, an operation in Sadr City by U.S. and Iraqi forces to clear out insurgents firing rockets into the Green Zone also kept the death toll up, according to the report.

But while the death toll went up in March, it remained lower than the numbers that prevailed before the "surge" campaign began in early 2007. The next April and May saw a sharp downturn in deaths across the board, the report found.

The fighting in Basra and Baghdad was a major test for Iraqi troops. Military officials said the Iraqi operation in Basra initially looked like a failure, but has turned out to be a success as Iraqi troops continue to hold and stabilize the southern city.

In ongoing operations in the northern city of Mosul to drive out al Qaeda, Iraqi forces are showing clear signs of independent operational capability with little to no U.S. help, U.S. military officials said. The report suggested those successes are bolstering the ranks: More than 27,000 Iraqis have joined the country's security forces since the last Pentagon report, in March, bringing the total number of Iraqi soldiers and police to about 560,000.

Since the March report, the Iraqi government focused on resolving conflicts from Basra and Sadr City that dominated the political and security landscape over the past three months, the report said. The report also said increasing oil export revenues are putting more money into the country for development, reconciliation programs and security.

Insurgents continue to strike, however. An attack by a female suicide bomber Sunday in Baquba, which killed a reported 15 people, is one example of instability in regions with a heavy insurgent presence.

While death tolls are down, the report highlighted the negative influence Iran is having inside Iraq. The report said Iraq's neighbor "continues to fund, train, arm and guide" anti-American "special groups," the U.S. term for splinter factions of al-Sadr's Mehdi Army and other Shiite militants.

Iran has denied U.S. allegations it is supporting insurgent factions within Iraq. But U.S. and Iraqi troops have discovered Iranian weapons inside Iraq, including Iranian made roadside bombs -- and during the fighting in Basra, large stashes of Iranian-made weapons were found with manufacture dates on them as recent as this year, according to U.S. military officials.

The report said the Iraqi government continues to press the Iranians, who deny blame.

May 2008 marked a sharp drop in high-profile attacks from al Qaeda, according to the report. Attacks in May hit a two-year low, about 70 percent lower than the peak in March 2007.

The U.S. military said the drop is connected to U.S. and Iraqi operations directed at al Qaeda, but pointed out that in a single day -- April 15 -- a high-profile attack killed more than 150 people.

@highlight

Pentagon's quarterly report to Congress notes violence reduction

@highlight

It also notes that jihadists loyal to al Qaeda in Iraq are still a threat

@highlight

Report credits Sons of Iraq, former insurgents who are now being paid by U.S.

@highlight

Increasing oil export revenues are putting more money into Iraq, report says