Baghdad (CNN) -- Every day that Abu Yaqoub opens his Baghdad liquor store, he believes it may be his last.

It's a fear that began months ago for 45-year-old Yaqoub, when insurgents began bombing primarily minority-owned liquor stores in the Iraqi capital after officials rescinded a law banning the sale of alcohol.

But in recent weeks as the attacks have mounted in both scope and ferocity, so, too, has Yaqoub's fear.

It's not clear who is attacking the stores, though the reasons invoked by stores owners, authorities and lawmakers are as varied as the problems facing Iraq: from political to social, from religious to secular.

"It's the most dangerous job to have a liquor store in Baghdad because there are many groups against this kind of business, either within the government or outside it," said Yaqoub, a Yazidi minority that has been a target of insurgents in recent years.

Ashur Essa knows Yaqoub's fear. He, too, owns a liquor store in central Baghdad that sits a short distance from a police checkpoint.

"It's painful to see this happening to our country, " said 46-year-old Essa, a Christian. "All Iraqis used to live together, and it didn't matter who was Sunni or who was Shiite, who was Muslim or who was Christian."

Essa believes the attacks are not really about liquor stores so much as it is about a struggle to balance a fledgling democracy with a conservative religious tradition.

"It's about the new democracy that Americans promised us," he said.

Under Islamic tradition, Muslims do not drink alcohol. But in many parts of Baghdad, it is not uncommon to see people drinking alcohol at outdoor cafes and restaurants.

Within months of the 2003 U.S.-led invasion that toppled Saddam Hussein, liquor stores in Baghdad and elsewhere were bombed and shot up.

Store owners blamed the attacks on al Qaeda or Shiite militias, such as radical cleric Muqtada al-Sadr's Mahdi army.

Despite the attacks, the number of liquor stores and nightclubs in Baghdad flourished.

But elsewhere, outright bans or laws aimed at curbing the availability of alcohol were put in place or enforced in primarily conservative Shiite communities.

Last year, with a Shiite-majority government, local officials in Baghdad reintroduced a Saddam Hussein-era law that banned Muslims from selling alcohol and required anyone selling alcohol to have a liquor license -- essentially banning the sale of alcohol.

At the time, officials said the crackdown was aimed at regulating alcohol sales, much like other countries.

But in January the head of the Baghdad Provincial Council, Kamil al-Zaidi told The New York Times, "We are a Muslim country, and everyone must respect that."

During the same period, al-Sadr -- an ally of Prime Minister Nuri al-Maliki's Shiite-dominated government -- railed against liquor stores and nightclubs, going so far as to issue a fatwa, a religious opinion, asking his followers to support the ban and stand against those who want to be "immoral like the West."

But when tens of thousands of demonstrators, inspired by popular uprisings in Egypt and Tunisia, took to the streets across Iraq to protest corruption and lack of personal freedoms, Baghdad officials rolled back the law.

Within weeks, attacks began against liquor stores.

Since March, at least 25 stores in Baghdad have been bombed, an interior ministry official told CNN. The official spoke on condition of anonymity because he is not authorized to speak to the media.

Most of the liquor stores targeted were owned by Christians or Yazidis, the official said.

Religious minorities, such as Christians and Yazidis, make up less than five percent of Iraq's population, according to the U.N. High Commissioner for Refugees.

Since 2003, attacks against these minorities by insurgents and religious extremists have driven more than half of these minorities out of the country, according to UNHCR statistics.

Yazidis, among Iraq's smallest minorities, are of Kurdish descent, and their religion is considered a pre-Islamic sect that draws from Christianity, Judaism and Zoroastrism.

On a recent day, a liquor store owner swept up debris left after a roadside bomb planted outside his store exploded.

The owner, who would only identify himself as Khalil, said he was hopeful when Iraq's Ministry of Tourism granted him a license that allowed him to reopen his store after the law was rescinded.

But two weeks later, his store was bombed during the daily overnight curfew in Baghdad.

It's a time, Khalil says, when only Iraqi security forces are supposed to be on the streets.

"If the Iraqi army and police cannot stop such simple attacks, then what is the point of a curfew?" said Khalil, a Yazidi.

Khalil, 28, said he was considering closing his store and leaving Baghdad for the Kurdish north, an area he considered safer than the Iraqi capital.

"I'm telling you, there is no safe place in Baghdad," he said, "and I'm thinking I will have to leave."

He stopped sweeping and stared silently at the cars driving past his damaged store. Then he shuffled back inside to continue cleaning.

CNN's Mohammed Tawfeeq reported from Baghdad; Chelsea J. Carter from Atlanta

@highlight

Iraqi officials says 25 liquor stores have been bombed

@highlight

Most of the stores are owned by Iraqi minorities, officials say

@highlight

It's not clear who is responsible for the attacks

@highlight

Store owner: "It's not about liquor stores. It's about the new democracy"