(CNN) -- Miles of sun-kissed beaches, breathtaking mountains and lush rainforests bathed in ethereal lights -- South Africa's varied and dramatic landscape has provided a photogenic backdrop for an increasing number of Hollywood productions in recent years.

Global blockbusters like "Blood Diamond," "Lord of War" and "Mandela: Long Walk to Freedom" have all been shot at least partly in the country -- but could there be more hits on the horizon?

That could well be the case, as a group of influential film executives from the United States are currently on a 10-day tour across South Africa, having been invited to explore possible set locations for movies and TV productions.

As part of their scouting expedition, leading executives from Disney, Paramount, Warner Bros and the Producers Guild will be traveling around the country until March 1, holding meetings with government representatives and industry players, as well as visiting local production houses and facilities, including a stop on the set of the new "Avengers" movie, scenes for which are currently being shot in Johannesburg.

"Our visit has been very productive in exploring and analyzing benefits of bringing motion picture and TV productions to South Africa," Vance van Petten, executive director of the Producers Guild, told CNN.

Different South African entities collaborated to arrange the visit. "We hope that we will win the hearts and minds of these film executives," said Cyril Ndaba, the South African consul-general based in Los Angeles, "and when they come back they will view South Africa as an alternative filmmaking and film production destination."

Ndaba says the country's diverse scenery, coupled with the experience of talented local crews who've already taken part in major productions, and the fact that South Africa is an English-speaking nation, are all major attractions for big-budget productions.

"South Africa has got a lot to offer," he says. "The sights and sounds of South Africa are so rich; the tapestry of culture; and that's the reason why they will be going to see places around the country," he adds. "South Africa has come of age and it warrants the attention of the whole world."

Incentives and opportunities

The visit comes as South Africa steps up its efforts to promote itself as a premier set location for major productions and boost its image as an emerging force in international filmmaking.

According to a 2013 study commissioned by South Africa' National Film and Video Foundation and conducted by Deloitte, the film industry created more than 25,000 jobs in 2012 and contributed over $437 million to the country's economy, directly and indirectly,

In a country like South Africa, troubled by high unemployment and sluggish economic growth, a booming film industry could hold a significant opportunity. In recent years, the country's government has recognized the sector's promise by announcing a string of measures aiming to attract international productions to help stimulate growth, boost employment and generate revenues.

Among the incentives are an uncapped 20% rebate for foreign productions shot on location in the country, as well as a 22.5% break if they are also post-produced in South Africa.

Van Petten said: "Government, industry and trade officials ... have been very interested in discussing South Africa's tax incentives and producers' realities in assessing benefits and challenges of producing in the various and diverse regions of South Africa."

Besides van Petten, the film executives currently visiting South Africa are Mary Ann Hughes, vice president, Film and Television Production Planning at Disney, Sara Spring, senior vice president of Feature Production at Paramount and Kate Beyda, senior vice-president of Physical Production at Warner Bros.

Click through the gallery above to find out which Hollywood productions have had scenes shot in South Africa.

READ THIS: The meteoric rise of Lupita Nyong'o

READ THIS: Secrets of a Hollywood filmmaker revealed

@highlight

Top film executives are touring South Africa, exploring possible set locations

@highlight

South Africa is stepping up efforts to promote itself as an attractive filming destination

@highlight

A number of major Hollywood productions have been shot in the country in the past