(CNN) -- When tragedies occur, such as the one at the Navy Yard in Washington this week, all Americans are deeply affected.

They include the one in four American adults who experience mental health problems. That's approximately 60 million Americans. Their first reaction is much like that of anyone else: feelings of anger and anguish and wanting to know when such events will ever stop.

But there's another, secondary impact to this community if a history of mental illness is suspected. Tragically, in the case with the Navy Yard gunman, mental illness appears to be a factor. But in too many cases, people simply assume that it is, no matter how much we caution that it's best not to attempt to diagnose any medical condition speculatively through the news media.

Unfortunately, stigma surrounds mental illness. It's most associated with a violent stereotype. The result has always been fear, prejudice and discrimination toward anyone struggling with a mental health problem.

The stereotype endures despite the fact that the U.S. surgeon general has found that the likelihood of violence from people with mental illness is low. In fact, "the overall contribution of mental disorders to the total level of violence in society is exceptionally small."

Despite the impact of the Navy Yard tragedy and those of Newtown, Aurora and Virginia Tech on perceptions, a much greater, different reality exists. Many thousands of veterans experience post-traumatic stress disorder. Civilian employees of the military seek help for depression; teachers live with anxiety disorders. Students succeed academically while managing bipolar disorder.

People living with schizophrenia may be psychologists, professors, peer counselors or businesspersons. They are all members of their communities. Few are violent.

In the face of violence, people may simply be unable to fathom how an event could occur other than through mental illness, thought of often in non-medical terms such as "madness" or "insanity." Their perceptions also are conditioned by headlines that largely overshadow the greater reality.

Stigma perpetuated by the Navy Yard tragedy will be internalized by many people living with mental health problems, causing them to stay silent and withdraw from others. This will impede their recovery in many ways.

Stigma will remain a major barrier that keeps people reaching out for help when they need it.

In the wake of such tragedies, some will call for persons with mental health problem to be "screened out" by employers in the hiring process or to deny them security clearances. In the first case, the Americans with Disabilities Act provides some protection against discrimination, but it is not always followed or easily enforced.

With top secret security clearances, just ask any member of the military or government official or contractor about the anxiety they often feel if they need to see a psychiatrist and then needing to disclose it as part of a security clearance application or review.

Many issues need to be addressed in the case of the Navy Yard tragedy and the tragedies before it. They include what happened -- or didn't happen -- in the military and veterans mental health care systems, particularly when the gunman allegedly sought help from the Veterans Health Administration. Was there effective engagement?

The response of law enforcement should also be addressed. In theory, had the police both arrested and charged the gunman in past incidents involving a gun or disorderly conduct, he would have been put into the National Instant Criminal Background Check System database and prohibited from buying a gun, regardless of his mental health status. It is also possible that his case might have been handled by a mental health court, leading to supervision and treatment.

Had Rhode Island police who responded to the gunman's 911 call for help in August been trained for crisis intervention and worked with a mobile crisis unit to have him medically evaluated, then perhaps this past week's horrors could have been averted.

Those are issues that must be pursued. But in the haste to respond, let's not stigmatize or discriminate against the millions of American who live productively with mental illness and who share the anguish and anger of other Americans in response to tragic horrors.

If stigma wins, things won't get better.

The opinions expressed in this commentary are solely those of Michael J. Fitzpatrick.

@highlight

Approximately 60 million American adults experience mental health problems

@highlight

The likelihood of violence with mental illness is "exceptionally small," surgeon general says

@highlight

Author: Stigma perpetuated by this tragedy will keep people from reaching out for help