(CNN) -- The January monthly jobs report numbers released by the federal government could at best be described as tepid, adding to an already gloomy picture of the state of the economy for America's workers. And that's just the latest cloud in an increasingly dark forecast for the middle class.

In New York, the reliably middle-class retailer Loehmann's is shutting its doors and will be replaced by the high-end store Barneys. Middle-class restaurants such as Red Lobster are struggling while the high-end, artisanal foodie scene is still going strong.

General Electric reports that sales for its most expensive appliances are increasing while sales for midrange models are plummeting. Taken as a whole, these developments are about more than our consumption, reflecting the profound economic inequality in America today. Our new economic reality is a final nail in the coffin of conservative economics.

Supply-side economics was developed in the 1970s as a direct response to the Keynesian analysis dominant in the decades since the Great Depression.

The organizing principle for conservative fiscal policy in the 40 years since, supply-side economics holds that the best way to stimulate economic growth is by lessening obstacles that inhibit people or companies from supplying goods or services. Conservatives supply-siders argue that if we cut taxes and reduce regulations for business and those who own businesses (i.e., the rich), they'll invest more in producing goods and therefore increase employment. Also more supply means lower prices, which conservatives also believe is good for growth.

But if it wasn't bad enough that decades of supply-side deregulation and tax cuts had created levels of economic inequality not seen in America since the 1920s, as a New York Times report now suggests, not only did supply-side economics fail to spur demand but it reduced and stratified demand to match patterns of inequality more broadly.

The top marginal tax rate, which was raised to 79% at the time of the New Deal and was 91% under Eisenhower, was cut to 70% under Nixon, then 50% under Reagan, then an abysmally low 35% under George W. Bush. According to supply-side theory, these and other extreme tax cuts for big business and the rich should have led to an extreme flourishing of investment in business, including creating more jobs that would, metaphorically speaking, lift all boats.

Instead the rich pocketed much of those tax cuts, adding to their net worth and spending more heavily on luxury goods. The good news is that The New York Times article confirms that consumer demand -- not business-side supply -- is the essential driving force in our economy, with that demand directing how businesses invest in producing goods and services.

The bad news is that, thanks to failed supply-side economics, we increasingly have only two kinds of demand in America -- for cheap mass-market goods and for incredibly pricey high-end commodities.

Conservative economics did not lift all boats. Middle-class jobs lost in the recession have been disproportionately replaced with low-wage jobs in the recovery. Poverty is on the rise. And yet yacht sales are buoyant. The number and cost of luxury yachts sold in America is steadily rising. And don't expect those yachts to "trickle-down" magically and create housing for the millions of Americans who faced foreclosures in the last several years.

According to conservative economic theory, increased corporate profits and income for the top 1% should have translated directly into higher wages for everyone else. But the fact is even though worker productivity is up in America, wages for most people have either stagnated or declined. Ask any conservative thinker or leader to explain this discrepancy. They simply can't. Because their entire economic worldview has backfired and hurt the middle class.

One might think in the face of overwhelming evidence that their economic theories simply don't work, conservatives would try something new. Like supporting an increase in the federal minimum wage or temporarily expanding unemployment benefits or investing federal dollars (at currently ridiculously low borrowing rates) to rebuild infrastructure while creating jobs -- all of which puts money in folks' pockets and spurs demand. Which, in turn, drives up economic growth and increases tax revenue.

But no. Leading Republicans still insist that the answer to America's economic problems is more tax cuts and fewer regulations on business -- in other words, precisely more of what created extreme inequality and stifled economic demand in the first place.

Incidentally, consumption as a whole isn't down. In fact, even though average incomes are flat, consumption in general has risen. And yet to the extent that ordinary Americans continue to fuel their consumption with more debt and reduced rates of savings -- and to the extent that structural inequalities in the economy remain unaddressed -- their spending is unsustainable.

Meanwhile, a dollar in the hand of a billionaire doesn't create the same economic demand as a dollar in the hand of someone else -- because the rich are more likely to save, not spend, their money.

So behind the sad, immediate tale of disappointing job growth and the disappearing middle-class market for goods and services is the profoundly unsettling reality that the pursuit of supply-side economics was not only wrong but may have fundamentally broken our economy -- and undermined any potential for diversely driven demand and broadly shared prosperity.

Congratulations, conservatives. This may not be the economy you wanted, but it's the economy your policies have definitely created. No refunds. No exchanges.

The opinions expressed in this commentary are solely those of Sally Kohn.

@highlight

Sally Kohn: Jobs report for January shows tepid growth

@highlight

She says divide between rich and poor shows failure of supply-side economic theory

@highlight

Tax cuts for wealthy haven't led to a surge in investment, more middle-class jobs, she says

@highlight

Kohn: Spending and saving by the rich flourish, while the 99% find it harder to thrive