(CNN) -- A just-released report from the Institute of Medicine and National Research Council is making news by clearly illustrating that Americans have "shorter lives and poorer health." This is somewhat shocking, given how much we spend on health care each year â€” more than any of the 16 other rich countries surveyed in the study. What's even more upsetting is that this report focused quite heavily on people who are young. In the United States, even that group fared poorly.

Why is this?

Some of the reasons involve choices make at a personal level. We eat too much, abuse drugs too often, wear seat belts too rarely and commit violence against each other to often.

Systemic issues are also to blame. We have higher levels of poverty than comparable countries, and our safety net programs are less capable of catching people when they fall. And too many also have too much trouble accessing the health care system, resulting in inefficient, ineffective and often absent care.

It's far too easy to let these dreadful statistics become obscured in a politically charged argument. Let's avoid that. This report is so stark that it's going to take a concerted effort on the part of the government, the media, the health care system and everyday citizens to turn things around. Our personal choices are bad. Our safety nets are bad. Our health care system is bad. It's all bad. How bad?

When compared with peer countries, the United States was the absolute worst with respect to still births, infant mortality and low birth weight. Some have tried to blame this on "coding" differences. In other words, they will claim that other countries will refuse to define a premature birth as we do, resulting in artificially high numbers in the United States. But when this report recalculated the rates to exclude such births equally in all countries, we still ranked last.

Things don't get better after birth. The chance that a child in the United States will die before age 5 is higher than in any of the other 16 peer countries. Injuries are the most common cause of death, but the United States also has the highest rate of deaths caused by negligence or abuse.

And violence is decidedly an American problem. Homicide is the third most common cause of death in children age 1-4.

From age 5-19, the trend continues. Kids this age in the United States have the worst health ranking of the 17 studied countries. More than one-third of U.S. children age 5-17 are obese or overweight, the highest of any peer country. The adolescent pregnancy rate in the United States is about 3.5 times the average of others. Additionally, the rates of sexually transmitted infections, including syphilis, gonorrhea and chlamydia are the worst compared to peer countries.

Nor are these children exempt from death. Injury deaths are more common in 15- to 19-year-olds in the United States than in any other studied country. Homicide claims the second highest number of lives in 15- to -24-year-olds, and 4 in 5 of those deaths involve guns. Males between the ages of 15 and 19 are five times as likely to die from violence in the United States than in other countries.

Even as young adults, ages 25-34, mortality remains consistently upsetting and preventable. Unintentional injuries remain the No. 1 cause of death. The risk of dying by violence remains seven times higher for males in the United States ages 20-24 than in other countries.

We have to work together to make these numbers better. Some of them can be improved with public health measures. We need to help Americans be less obese, to have fewer accidents and to commit less violence. There are lots of local studies and initiatives that propose ways to fix these things, but our public health system is woefully underfunded, and translating any promising findings to meaningful societal change poses a huge challenge.

We also need to improve our safety nets to help children at the lowest end of the socioeconomic ladder do better, even before they are born. Pregnant women, babies and children suffer from hunger and malnutrition far too often in the richest country in the world. Yet we still debate the merits of the federally funded WIC (Womens, Infants and Children) program, school lunches and food assistance to needy families.

Finally, we need to find a way to improve access to the health care system. The Medicaid program covers one in every three births and one in every three children in the United States, and it's still not enough. As some states balk at expanding Medicaid to cover many of the poorest uninsured, some are still talking about reducing funding to the already stretched program. There's no question that we have the capability, the knowledge and the resources to care for people. It's just a matter of doing it better.

There will be some who deny these results. Others will try to use them for political gain. That would be a mistake. We have to accept these findings and begin to work holistically to improve them. Being last just isn't the American way.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Aaron Carroll: New study shows U.S. health and lifespan worst of 17 rich countries

@highlight

He says it's because of personal choices, systemic woes. Poverty high, health care uneven

@highlight

He says this particularly affects youth, plagued by sickness, violence, high mortality

@highlight

Carroll: Don't make it political. The richest country in the world must improve public health