(CNN) -- As the April 15 income tax filing deadline approaches, the top tax expert at the National Association for the Self-Employed offers his best advice for business people who work for themselves.

Keith Hall, a national tax adviser at the association, answers the tax question he is asked most often and talks about changes in tax rules for small-business owners. He also offers advice about how the self-employed can best avoid being audited by the Internal Revenue Service.

CNN: What should self-employed taxpayers keep at the top of their minds this year?

Keith Hall: I think the most important thing to remember is that you have resources. The IRS is always changing information -- from automobile deductions, to alternative minimum tax limits, to net operating loss carry-forwards.

It's tough to keep up with, but you don't have to remember it, because it's all out there on the IRS Web site for you.

Don't forget, you've got resources to go out and look for.

CNN: What's different this year for self-employed taxpayers?

Hall: Perhaps the most important thing unique to this year is there are so many businesses which were affected by the downturn in the economy, that the IRS has expanded opportunities for loss carrybacks.

The definition of a loss carryback is if you had losses from your business in 2009, then you may have the opportunity to then take those losses and offset income from previous years.

That's certainly something to look into if you had a tough year for 2009, because it may give you the ability to recover taxes in more years -- namely five -- than you used to be able to, which is just two. So if that's the situation that you find yourself in, certainly look into options for those loss carrybacks.

It certainly can help you with the tax impact. More particularly, for those new to being self-employed or maybe even their first year filing a Schedule C, make sure you look for deductions that don't appear in your business checkbook.

It's very easy to overlook deductions like the deduction for the home office that you use, deduction for the business use of your automobile -- those typically don't show up in your business checkbook, so if you don't know to look for them, they're very easily overlooked, and that's basically just leaving money on the table.

CNN: What can self-employed workers do to avoid an IRS audit?

Hall: The No. 1 reason a small business gets audited or asked for additional information by the IRS is simple math errors -- the numbers simply don't add up correctly on the form.

Whether you use TurboTax or TaxCut or the IRS online filing, it's a great idea -- particularly for the new small business -- to make sure you use that software package -- if nothing else -- just to make sure those math errors are eliminated.

Don't be too afraid of an IRS audit. Obviously, when people think in terms of the IRS, they get a little bit antsy. Nobody likes to get that letter in the mailbox on Saturday morning that's got an IRS return address in the upper left-hand corner.

But if you do, the best thing to keep in mind is pay attention to your tax return. Do the due diligence that you need to to avoid the little shortcuts of filling in numbers that you don't have support for.

If you just take the time to pay attention to the business and do the tax return the way you should, there's nothing to be afraid of with that audit.

So at a very minimum -- just to ease the stress of that potential letter you're going to get form the IRS -- just make sure you take the extra time to use resources like nase.org, like the IRS Web site at irs.gov, and just make sure you dot your I's and cross your Ts. And then, if you do get a request from the IRS, it won't be stressful.

CNN: What are some important tax law changes for tax year 2009?

Hall: Always be aware that every year, the IRS changes something.

For example, automobile mileage: The new rate for 2009 is 55 cents. Make sure you get that one correct.

The IRS always changes the adjusted limits for alternative minimum tax. For the standard itemized deductions, all those levels are adjusted for inflation.

Make sure that you get those right numbers. Using an automated software program -- having that system in place -- will help you keep up with any of those changes that occur as a matter of course with the IRS every year.

CNN: What's the most frequent tax question you get asked?

Hall: The first question we typically get, particularly at tax return time, is "What can I do right now to save money on last year's tax return?"

Most tax planning ideas really end with the New Year's Eve party. But the one thing you can do today to save money on your taxes for last year is to consider making a retirement plan contribution -- whether it's a traditional IRA contribution, a self-employed pension plan contribution, lots of different ways to put money away for your own future.

The IRS recognizes how important that is, and they'll even give you a tax deduction for it.

So you can actually reduce the taxes you have to pay right now, just by putting money away for your own future. That's certainly something that should be considered.

CNN: Should we expect future tax breaks for small businesses?

Hall: The current administration and both sides of the House and Senate all promote the growth of jobs through small business.

The influences of small business in generating jobs -- which are more and more important these days -- is only going to increase the influence of small business.

Whether it's legislation for a standard home office deduction, which is pending, legislation for additional health credits and concentration on affordability for health care for the self-employed, which is also pending, there's lots of legislation out there to benefit small business.

The more and more small businesses we have, I think more emphasis in Washington and at the state level will focus on benefits for the self-employed.

@highlight

Use IRS.gov to avoid mistakes, says top tax expert at advocacy group for self-employed

@highlight

How to save tax money right now? Consider retirement contributions

@highlight

Look for deductions that don't appear in your business checkbook

@highlight

Automobile mileage: The new deduction rate is 55 cents/mile