(CNN) -- I was stunned.

We were deep into the fall semester at the University of North Carolina journalism school, where I taught feature writing. I was showing the students an example of a travel article, one I had written for The New York Times about Plymouth, Massachusetts.

I read a few paragraphs from the opening scene, with U.S. 44 winding through cranberry bogs, a billboard coming into view with images of Gov. William Bradford and Elder Brewster, the greeting in boldface letters: Welcome to Plymouth -- America's Hometown, and a black Pilgrim hat that conjured up memories of all those Thanksgiving pageants in grade school when Priscilla said: "Speak for yourself, John."

A student in the second row said, "Who's John? And ... this Priscilla?"

A student in front of her said, "I've never heard of these people."

That's when a young woman in the front row said, "Yeah, I kept wondering, who are these dudes?"

I felt sheer incredulity now. "Capt. Myles Standish?!"

The no was in the silence.

A silence that morphed into sympathy. They hadn't meant to make me feel so bad.

A student at the other end of the second row squinted in deep thought, admitting that Myles Standish sort of rang a bell. "Wasn't he the captain of the ship?"

I didn't know you could get through grade school without those Thanksgiving pageants and the Priscilla-John Alden-Myles Standish triangle immortalized by Henry Wadsworth Longfellow. Nor did I think you could get through the American history courses that follow or become a student at one of the top public universities in the land without encountering those names. Or Gov. William Bradford. Or Elder Brewster.

Publishers of textbooks have pretty much dropped the Pilgrims. Maybe they are sensitive to separation of church and state, or don't want to jeopardize their sales to schools and school boards. It's true, too, that lots of more recent history has had to be added to textbooks, for World War II and the Cold War, not to mention Vietnam, the space race, the civil rights movement and the too many assassinations and assassination attempts. That leaves little or no room for the Pilgrims and what they did.

But I say no more.

Opinion: Some uncomfortable truths about Thanksgiving

No more forgetting, casting Priscilla and John Alden, Capt. Myles Standish, Bradford and Elder Brewster aside -- left in the ditch of history.

Let's hear it for the Pilgrims!

I say this not for personal reasons -- I am a member of the General Society of Mayflower Descendants -- but because their story is an important part of this country's history.

When they boarded the Mayflower in Plymouth, England, in 1620, it was not because they didn't have anything better to do.

They did not sail across the Atlantic, still a great unknown, simply to see what was on the other side.

They came aboard the ship -- a very small ship for such a big ocean, all the more evident if you have stepped aboard the replica Mayflower II -- and sailed west because they had a deep and abiding desire to worship their God as they saw fit.

There were 102 of them.

The Pilgrims did not occupy passenger cabins, however small those cabins might have been back then. They were considered the cargo for the voyage, and so crossed in the cargo space, the deck -- a dark deck -- below the crew's quarters.

Halfway across, the ship was damaged by a bad storm. In another storm, John Howland was swept off the deck of the ship into the ocean; he managed to grab a rope and was pulled back on deck.

Oceanus Hopkins was born at sea. Peregrine White was born after they reached Cape Cod.

The Mayflower dropped anchor in Provincetown Harbor on November 22, 1620. (Some historians give the date as November 11.)

Later that day 41 men gathered in a cabin to draw up the rules of governance for their colony -- a document that has come to be known as the Mayflower Compact. Those 41 men then affixed their signatures to one of the great liberty documents of history. It would become the keystone for the U.S. Constitution.

It took almost a month for the search party to find a suitable place for their settlement, but they finally found it: an abandoned Wampanoag village with a plentiful water supply, good harbor, cleared fields and a hill on which to build a fort for protection. The Mayflower pulled up anchor in Provincetown Harbor and dropped anchor in Plymouth Harbor December 21. The dead of winter. No Holiday Inn. Just cold, bleak shoreline, with only the trees and hills to offer shelter.

The first passengers went ashore December 21 -- whether on Plymouth Rock is subject to debate. Richard Pickering, deputy executive director of Plimoth Plantation, points out that, as the naval historian Samuel Eliot Morison has noted, men in boats tend to avoid big rocks.

Whatever the truth of the landing, the captain of the Mayflower did not simply put the Pilgrims ashore and return to England. Capt. Christopher Jones -- not Standish -- kept the ship in the harbor so the men could go ashore each day to build homes -- simple, one-room cottages the size of suburban garden sheds today -- then return to the safety of the ship.

For future safety, a large gun was mounted on a platform atop the hill that overlooked the harbor.

But the enemy that first winter was the "general sickness," the near plague of colds, coughs and fevers.

"Because only five to seven men were well enough to tend the sick and bury the dead," Pickering said, "a common burial was used."

In mid-March 1621, as the sickness was abating, Massasoit, chief of the Wampanoag tribe, appeared and befriended them. Squanto, who had been captured by English sailors and lived briefly in London, showed them how to plant corn.

Come spring, when Jones prepared to set sail for the return voyage -- a voyage delayed by the loss of members of his crew to the "general sickness" that had claimed so many of his passengers -- he invited any of the Pilgrims who wished to do so, to return.

Half of them had died.

Yet not one single one went.

"By the standards of that day or by the amphibious doctrine of any day," historian Morison wrote, "the leaders of Plymouth Colony took incommensurate risks, yet they came through marvelously well. They attributed that success to Almighty God .... But the Lord helps those who help themselves, and these people were valiant in the face of danger, resourceful in difficulties, and possessed of an innate common sense, not only in dealing with the fools and rascals among themselves but with the enemy on our coasts, the American Indian."

The following autumn, to give thanks for the bounty of their crops and well-being, the Pilgrims -- 16 men, four women, 23 children and nine hired seamen or servants -- held a harvest festival. The record shows that the bounty included wild fowl, codfish, bass and "a great store of wild turkeys."

Massasoit, the chief, arrived with 90 of his men to be "entertained and feasted" in a three-day celebration of the harvest.

"During the course of the event," Pickering said, "they went out and killed five deer, which they presented ceremonially to the men they perceived as the important men in the colony -- an honorific gift."

Our Thanksgiving has its roots in that gathering, though -- the wish to give thanks and the gathering to eat.

As does Thanksgiving dinner.

Cranberries, a native berry the Indians introduced them to, apparently got their name from the Pilgrims. The stem so resembled a crane they called them "crane-berries," shortened over the years to cranberries.

And pumpkins were such a staple the Pilgrims had a verse:

We have pumpkins at morning, and pumpkins at noon

If it were not for pumpkins, we should soon be undone.

Thanksgiving by the numbers

So, welcome your family -- or make the trip "to grandmother's house" -- enjoy the Thanksgiving football games, carve the turkey, add the dollop of cranberry sauce, save room for the pumpkin pie ... and remember the Pilgrims.

As I hope the students in my class do too, now, with their families and possibly their children.

@highlight

Val Lauder: Many people don't know roots of Thanksgiving, story of Pilgrims in 1620

@highlight

She says 102 people sailed from England to New World seeking religious freedom

@highlight

They landed, drew up Mayflower Compact, built colony at barren, wintry Plymouth Harbor

@highlight

Lauder: To celebrate harvest next fall, they had Thanksgiving meal with Native Americans