Venezuelan President Hugo Chavez vowed to press forward with his socialist reforms after winning another six-year term at the helm of the oil-rich South American country.

"Today a new cycle of the Bolivarian government begins," he told a crowd of cheering supporters after election results were announced. "I promise to be a better president every day."

Chavez won more than 54% of the vote to defeat Henrique Capriles Radonski in Sunday's closely watched election. It was the fourth presidential election victory for Chavez, who has been in office since 1999.

After Chavez's triumph, the answers to key questions about the South American's future were unclear: Will opposition forces lose momentum or gain strength after Sunday's defeat? Will Chavez's health affect his ability to govern? And who could succeed him within his powerful political movement?

Venezuelan elections about more than Hugo Chavez's legacy

Chavez's vision of 21st century socialism emphasizes the use of state oil windfalls to fund social programs. On the campaign trail, he pointed to accomplishments in housing, education and health initiatives and acknowledged he needs to do more on crime and government bureaucracy.

The ebullient leader is 58 years old and has been visibly weakened by two surgeries for cancer. He has kept secret the kind of cancer he has and his prognosis.

In May, speculation intensified over who would succeed Chavez when he named 10 people to the highest circle of advisers to the president. But in July, he said he was cancer free.

Share your images from the Venezuela election

Chavez's victory gives him "the opportunity to consolidate his policies" and also reaffirms the approach his government has taken to international relations, said Miguel Tinker Salas, a Latin American history professor at Pomona College in California.

Chavez's influence over Latin America's left-leaning governments has often rankled the United States, Venezuela's largest trading partner. Venezuela is the fourth-largest exporter of oil to the United States.

Despite that tight economic relationship, the two countries are far from close: Chavez often rails against the United States and its allies as "imperialists" and has supported controversial world leaders such as President Mahmoud Ahmadinejad of Iran.

The election result Sunday means the U.S. government will have to continue to deal with Chavez's provocatively independent brand of diplomacy.

"I think Washington will have to start getting used to the fact that countries in Latin America, especially South America, are charting their own course," said Tinker Salas.

Chavez, a vocal U.S. critic

In a triumphant speech from the balcony of the presidential palace Sunday, Chavez described his election victory as "a perfect battle, and totally democratic."

Fireworks peppered the sky over Caracas after the provisional results were announced.

"Today we have demonstrated -- comrades, compatriots -- that our democracy is one of the best in the world," Chavez told thousands of supporters who cheered and waved flags.

He thanked those who had voted for him and acknowledged those who had voted against him, applauding their "democratic attitude."

Observers had said Capriles, 40, represented a moderate alternative to Chavez, the charismatic standard-bearer of the Latin American left. Capriles had vowed not to end the social programs that Chavez had set up, and he had promised to fight corruption that had grown in the public sector.

He appeared to have mounted one of the strongest challenges so far in Chavez's 13 years in power. But his efforts ultimately proved insufficient to unseat the incumbent.

Henrique Capriles Radonski: The candidate challenging Hugo Chavez

With 90% of the ballots counted, Chavez had more than 54% of votes, with nearly 45% for Capriles, Venezuela's National Electoral Council said Sunday night.

Chavez had secured 7.4 million votes and Capriles 6.1 million votes, election officials said.

Capriles' supporters made a significant showing, bringing the opposition candidate the closest any presidential election opponent has come to defeating Chavez. But the high turnout wasn't enough to win for Capriles' campaign, which had criticized the Chavez administration for inefficiencies, infrastructure shortcomings and corruption.

"We began the construction of a path," the opposition coalition candidate told supporters after conceding his defeat. Capriles congratulated Chavez on his victory and urged him to take into account the different views expressed by voters.

"Being a good president means working for the vision of all Venezuelans," he said.

For Venezuela's president, a year of health struggles

The opposition will now have to try to maintain a unified front for regional elections scheduled to take place in December, Tinker Salas said. That may prove difficult, he said, since "the one thing that brought them together was the figure of Chavez."

"There was great sadness," said journalist Alberto Echegaray, who watched as the results were announced at Capriles' campaign headquarters Sunday night, "but on the other hand happiness, because we have 6 million votes in Venezuela, we have a new leader in the region who is only 40 years old, and really, we are prepared to continue forward with the proposal we have."

The country saw one of its high participation rates in decades Sunday, with almost 81% of voters going to the polls, according to Tibisay Lucena, president of the National Electoral Council.

In fact, some polling places were kept open two hours after their scheduled closing because of lines of voters waiting for ballots.

Nearly 140,000 troops were deployed throughout the country to guard polling places and keep the peace, state-run VTV reported.

Chavez: Venezuela arrests U.S. 'mercenary'

@highlight

Chavez, president since 1999, is re-elected to a six-year term

@highlight

His defeated challenger urges him to govern for all Venezuelans

@highlight

Hugo Chavez thanks his supporters and acknowledges the opposition

@highlight

With 90% of ballots counted, he has 54% of the vote, officials say