Kiev, Ukraine (CNN) -- President Barack Obama's strategy for the Ukraine crisis reflects his internationalist foreign policy while adhering to the age-old maxim that money talks.

He sent Secretary of State John Kerry to Kiev on Tuesday to forcefully condemn Russia for seizing effective military control of the Crimea region.

At the same time, Kerry announced $1 billion in loan guarantees to help insulate the Ukrainian economy from the effects of reduced energy subsidies from Russia.

It all is part of the still simmering breakup of the old Soviet Union more than two decades ago, with Russian President Vladimir Putin seeking to maintain Russia's influence and economic ties in a region being wooed by the European Union and Washington for increased trade and other links.

On Tuesday, both Obama and Kerry warned Putin of possible international sanctions and other steps to isolate Russia diplomatically and economically if he escalates the Ukraine crisis by sending in more troops.

The goal of such an approach would be to hit Putin where it hurts by weakening the ruble and Russia's economy while avoiding the possibility of igniting an already volatile crisis to a new level of confrontation and possible violence.

Isolation, not confrontation, is the goal

"It is diplomacy and respect for sovereignty, not unilateral force, that can best solve disputes like this in the 21st century," Kerry told reporters to wrap up his one-day stop in Ukraine's capital. "President Obama and I want to make it clear to Russia and to everybody in the world that we are not seeking confrontation."

However, he continued, "if Russia does not choose to de-escalate, if it is not willing to work directly with the government of Ukraine, as we hope they will be, then our partners will have absolutely no choice but to join us to continue to expand upon steps we have taken in recent days in order to isolate Russia politically, diplomatically and economically."

What are U.S. options?

One possible move, hinted at by Kerry, would be to kick Russia out of the G8 group of industrial powers that also includes the United States, Britain, France, Germany, Italy, Japan and Canada. Those nations already are skipping a preparatory meeting for the next G8 summit set to be hosted by Putin in June in Sochi.

"It is not appropriate to invade a country and, at the end of a barrel of a gun, dictate what you are trying to achieve," Kerry said. "That is not 21st century G8, major nation behavior."

The United States "will stand by the Ukrainian people," he said after accusing Russia of making up reasons for further military intervention in Ukraine based on alleged persecution of Russian speakers and native Russians.

"Not a single piece of credible evidence supports any one of these claims," he said, adding that it was clear "that Russia has been working hard to create a pretext to invade further."

Told by a reporter that Putin had earlier indicated no Russian troops were in Crimea, Kerry shook his head with disbelief and asked: "He really denied there were troops in Crimea?"

Putin decision near?

A U.S. official familiar with the latest administration assessment said Tuesday that national security agencies believe Putin will decide in the next few days whether to send more troops into Ukraine. According to the official, the diplomatic pressure by Obama and Kerry sought to influence Putin's decision.

In remarks Tuesday, Obama said Putin realized that the United States and its European allies consider the Russian military buildup in Ukraine a violation of international law.

"There have been some reports that President Putin is pausing for a moment and reflecting on what's happened," Obama said.

"I know President Putin seems to have a different set of lawyers making a different set of interpretations but I don't think that's fooling anybody," Obama continued. "I think everybody recognizes that although Russia has legitimate interests in what happens in a neighboring state, that does not give it the right to use force as a means of exerting influence inside of that state."

U.S. moving fast on possible sanctions

In another sign of increasing pressure on Putin, a Chinese government statement Tuesday quoted President Xi Jinping as calling for a diplomatic solution.

"The situation is highly complicated and sensitive, affecting both regional and entire global situations," said the statement attributed to Xi. "I believe Russia can coordinate with all sides, use political means to resolve the issue, and maintain peace and stability for the region and the world. China supports conciliatory measures from the international community that help mitigate the situation."

Critics want a more robust U.S. response

No one calls for a U.S. military response in Ukraine, and polls show strong public opposition to the United States assuming the role of global policeman by taking the lead in international conflicts.

During his presidency, Obama has sought a more international approach to crises, as exemplified by the NATO coalition that imposed a "no-fly" zone on Libya with logistical help from the United States.

However, his inability to build an international coalition to attack Syria for its use of chemical weapons resulted in criticism that Obama failed to fulfill his earlier threat to act.

Hawkish U.S. politicians want a more robust response by the Obama administration to the Russian aggression, calling for tough economic sanctions and reviving plans to build a missile-defense shield in Poland that Putin opposed.

Republican Rep. Ed Royce of California, the chairman of the House Foreign Affairs Committee, called for pursuing aggressive sanctions that would undermine the ruble and Russia's state-owned banks.

"We should do it, frankly," he told CNN, but adding that Russia should be offered an "exit ramp" out of the crisis through negotiations.

Jim Walsh, an international security analyst with the MIT Security Studies Program, told CNN that any sanctions must be in concert with European allies to be effective. So far, Walsh noted, there has been little sign of support from key allies Britain and Germany for tough economic sanctions against Russia.

Meanwhile, House Speaker John Boehner called for Obama to speed up government approval of U.S. natural gas exports to the Ukraine.

"We should not force our allies to remain dependent on Putin for their energy needs," Boehner said, describing the current approval process as a "de facto ban."

"Expediting approval of natural gas exports is one clear step the U.S. can take to stand by our allies and stand up to Russian aggression, while creating American jobs at the same time," he said.

Putin: Russia has no plans to annex Crimea

To Obama and his supporters pursuing what they consider to be a 21st Century world order, the Russian military moves would arouse the suspicions of other countries in the region.

"If anything, it will push many countries further away from Russia," Obama said. "There is the ability for Ukraine to be a friend of the West and a friend of Russia's as long as none of us are in Ukraine trying to meddle and intervene, certainly not militarily, with decisions that properly belong to the Ukrainian people."

Loan guarantees

The loan guarantees announced Tuesday will help Ukraine move forward with an assistance package from the International Monetary Fund, which is calling for the country to raise energy prices.

Obama administration officials traveling with Kerry said Treasury Department technical advisers would travel to Ukraine to help its national bank and finance ministry deal with economic challenges and implement energy sector reforms.

The United States also will train observers for the May 25 elections, and is sending a team of experts to help identify stolen assets and support anti-corruption measures.

With Ukraine looking to reduce dependence on Russian energy, the United States also will provide assistance and financing to help businesses find new export markets and will offer technical advice to the government on Ukraine's World Trade Organization rights with respect to Russia.

Obama and Kerry both urged Russia to pull its forces back into their barracks and agree to international observers in Ukraine to monitor the situation.

The Organization for Security and Cooperation in Europe, a regional security bloc, sent in 10 monitors Monday, and Kerry called for a larger mission.

"These are the people who could actually identify legitimate threats, and we are asking, together with the government of Ukraine, together with the European community, for large numbers of observers to be able to come in here and monitor the situation and be the arbiters of truth versus fiction," he said, alluding to the Russian claims of persecution.

CNN Foreign Affairs Reporter Elise Labott reported from Kiev and Tom Cohen from Washington, and CNN's Paul Steinhauser contributed to this report.

@highlight

NEW: Analyst says European allies must join U.S. in sanctions effort

@highlight

President Obama says most nations believe Russia violated international law

@highlight

$1 billion aid package announced as U.S. considers sanctions against Russia

@highlight

Secretary Kerry says Russia tries to create a false pretext to further invade Ukraine