Among the targets of U.S. strikes across Syria early Tuesday was the Khorasan Group -- a collection of senior al Qaeda members who have moved into Syria.

President Obama called them "seasoned al Qaeda operatives."

"Once again, it must be clear to anyone who would plot against America and try to do Americans harm that we will not tolerate safe havens for terrorists who threaten our people," Obama said.

The strikes targeted "training camps, an explosives and munitions production facility, a communication building and command and control facilities," the military said in a statement.

The group was actively plotting against a U.S. homeland target and Western targets, a senior U.S. official told CNN on Tuesday. The United States hoped to surprise the group by mixing strikes against it with strikes against ISIS targets.

The official said the group posed an "imminent" threat. Another U.S. official later said the threat was not imminent in the sense that there were no known targets or attacks expected in the next few weeks.

The plots were believed to be in an advanced stage, the second U.S. official said. There were indications that the militants had obtained materials and were working on new improvised explosive devices that would be hard to detect, including common hand-held electronic devices and airplane carry-on items such as toiletries.

The intelligence community discovered Khorasan plots against the United States within the past week, an intelligence source with knowledge of the matter told CNN. The intelligence source did not give an intended target but said the plots potentially involved a bomb made of a nonmetallic device like a toothpaste container or clothes dipped in explosive material.

A plot involving concealed bombs on airplanes "was just one option they were looking at" a U.S. official briefed on the matter told CNN's Pamela Brown.

Social media video posted Tuesday purported to show the aftermath of strikes in the small town of Kafr Deryan, some 25 miles (40 kilometers) west of Aleppo, in an area controlled by Jabhat al Nusra, the al Qaeda affiliate in Syria.

'Yet another threat to the homeland'

Khorasan's existence was publicly acknowledged only last week, when U.S. Director of National Intelligence James Clapper said it was operating in Iraq and Syria, with a focus on exporting terror to the West.

"There is potentially yet another threat to the homeland, yes," he told an intelligence conference in Washington.

CENTCOM's statement spoke of "action to disrupt the imminent attack plotting against the United States and Western interests" by al Qaeda veterans in Khorasan, who had "established a safe haven in Syria to develop external attacks, construct and test improvised explosive devices and recruit Westerners to conduct operations."

One of those veterans is believed to be Muhsin al Fadhli, a short and slight Kuwaiti who is 33 years old. A security source in the Middle East tells CNN that al Fadhli arrived in Syria in April 2013 and began working with Jabhat al Nusra. Nine months later, Clapper sounded the first warning about al Nusra's goals beyond Syria, saying it "does have aspirations for attacks on the homeland."

At some point, al Fadhli appears to have parted company with al Nusra -- perhaps, according to the source, because it saw him as in league with Iran, where he had been based as al Qaeda's senior representative. The source says al Fadhli's new focus on "external operations" was revealed by one of his bodyguards, named as Abu Rama, who was recently arrested by the regime of Syrian President Bashar al-Assad.

Train abroad, take the terror back home

The source says al Fadhli is trying to emulate the success of ISIS in using social media to recruit Westerners -- people who could be trained and then sent home to launch terror attacks. To this end, al Fadhli has been able to recruit a member of ISIS' media team to help with recruitment for Khorasan.

Another key figure in Khorasan appears to be a Saudi national: Abd Al-Rahman Muhammad al Juhni.

Soon after al Fadhli arrived in Syria, so did al Juhni -- "accompanied by several individuals to participate in the fighting there," according to a U.S. Treasury Department designation. He was described as "part of a group of senior al Qaeda members in Syria formed to conduct external operations against Western targets."

Al Juhni is also experienced at moving funds and had a senior position in al Qaeda in Pakistan, running its communications courier network. According to his U.S. designation, al Juhni later became al Qaeda's chief of security responsible for counterintelligence.

Now on Saudi Arabia's list of its 47 most wanted terror suspects, al Juhni's skill set would be well-suited to Khorasan's purported goals.

U.S. intelligence officials are concerned that the Khorasan cell may include operatives who have learned from Ibrahim al Asiri, the master bombmaker of al Qaeda in the Arabian Peninsula, who has twice come close to bringing down Western airliners with ingeniously devised bombs. Counterterrorism sources have frequently told CNN in recent years of their fears that al Asiri has passed on his skills to apprentice bombmakers.

Troubling ties on the Arabian Peninsula

U.S. Rep. Mike Rogers of Michigan, chairman of the House Intelligence Committee, has also described Khorasan as "forward-deployed al Qaeda operatives who were engaging with al Qaeda in the Arabian Peninsula to develop a terror plot to bring down airplanes."

AQAP is based in Yemen, where al Fadhli has had contacts in the past. When he was scarcely 20, according to U.S. officials, he was involved in financing a suicide attack in October 2002 against on an oil tanker, the MV Limburg, in the Red Sea, an attack carried out by Yemenis from the city of Taiz. He also plotted an attack on a hotel in the Yemeni capital, Sanaa, where American officials were known to stay.

Before that, he had fought as a teenager with the Taliban and al Qaeda in Afghanistan and was also "reported to have been among the few trusted al Qaeda operatives who received advance notification" of the 9/11 attacks, according to his designation by the U.S. Treasury Department.

Al Fadhli was designated as a terrorist by the United States in 2005 as "a major facilitator" for al Qaeda and Abu Musab al Zarqawi, then terrorizing Iraq. He had access to plenty of money from private donors in Kuwait. According to court testimony, he had been involved in a group called the Peninsula Lions in Kuwait and had experimented with explosives while planning an attack on U.S. troops at the Arifjan Camp in Kuwait.

Al Fadhli escaped. Wanted in Saudi Arabia and convicted in absentia in Kuwait, he vanished for a while before resurfacing in Iran as al Qaeda's most senior representative there.

In 2012, the U.S. State Department said al Fadhli was moving fighters and money through Turkey to Syria, leveraging his extensive network of Kuwaiti jihadist donors.

He also gained what may prove to be invaluable experience "moving multiple operatives from Pakistan via Iran and Turkey to destinations in Europe, North Africa, and Syria," the State Department said.

Just why he left Iran last year is unclear, but about the same time, other al Qaeda figures, including Osama bin Laden's son-in-law, Suleiman Abu Ghaith, also began leaving Iran -- perhaps not entirely willingly.

A good way for al Qaeda to counter ISIS

For al Qaeda, locked in a battle with ISIS for the crown of leading global jihad, the creation of Khorasan makes perfect sense.

Just last week, a spokesman for al Qaeda confronted the group's critics in an audio message. "So how then can al Qaeda have shrunken greatly and lost many of its senior leaders at a time when it is expanding horizontally and opening new fronts dependent on it?" asked spokesman Hossam Abdul Raouf.

He also quoted a U.S. terror analyst, Katherine Zimmerman: "Al Qaeda affiliates have evolved and now threaten the United States as much as (if not more than) the core group; they can no longer be dismissed as mere local al Qaeda franchises."

Now -- with extensive contacts throughout the region and experience in raising funds and moving people -- al Fadhli and al Juhni have embarked on the next phase of their careers in terrorism, one that may be the most dangerous to the West.

The U.S. Central Command's use of the phrase "imminent attack planning" may explain why the group was a first wave target. The Middle Eastern security source told CNN Sunday that al Fadhli was believed to be operating near the town of Binnish in Idlib province -- which would have put him in the general area of the airstrikes.   Still unknown: whether al Fadhli and al Juhni survived to continue that planning.

@highlight

Official: Khorasan plot involving concealed bombs on airplanes "was just one option"

@highlight

The threat from the Khorasan Group was not imminent, a U.S. official says

@highlight

One feared operative is Muhsin al Fadhli, a Kuwaiti with a disturbing resume

@highlight

A source says al Fadhli and Khorasan are taking cues from the recruiting success of ISIS