(CNN) -- Several years ago, Martha and Dennis Disberger and their three kids found themselves running desperately through a busy airport. "Mom, are we late?" asks one of the children. "I have no idea, just keep running," says Martha. "But don't lose Dad, because I have no idea what our connecting flight is!"

That family story pretty much sums up the Disbergers of Morton, Illinois, who arguably rank among America's most traveling families.

Over the past two decades, the Disbergers have turned the airline getaway into an art form. The three children have virtually grown up as international travelers. Joel was 5 when the family started its flying lifestyle; Kara was a year old and Monica wasn't even born yet. Seriously, how many toddlers have their own frequent flier accounts?

While perfecting their travel techniques, [tips below] all this globetrotting has opened their minds, widened their experience and bonded them as a family.

Their intangible treasure: a lifetime's worth of indestructible family memories -- like the time they met an Irish "leprechaun," or when one of them got lost in China, or that weekend trip to Australia.

Unimpressed? Maybe we should start with some eye-opening stats:

--Since 1990, the Disbergers have journeyed on 243 family trips, including an estimated 850 flight segments for each family member -- traveling more than 7.5 million miles total, according to United Airlines. That averages out to about 11 family trips per year over two decades.

--Their destinations have been as far-flung as Moscow, Dubai, Sydney and Bangkok.

--Here's a fun fact: In two months, they flew through Japan's Narita airport on six different days.

This is a family who "has grown up and together on our flights," says United Airlines' Joe Micucci. "Some people have a cottage or lake house as a second home, the Disbergers have the world."

30 hours in Australia

If anybody's to blame for all this it's Dennis Disberger.

"It all started with a simple ad that showed some promotional deals," he explained. A $238 ticket offered triple miles on a particular route. "Boom! We were on the plane -- and we had such a priceless experience we said, 'wow let's do that again.'"

So they did. Again. And again and again -- using their miles for passenger upgrades and to book free trips for extended family members.

As the Disbergers racked up frequent flier miles, they were collecting airline ticket stubs for destinations in Asia, the Middle East and Europe.

In Ireland, at a stoplight between Dublin and the Ring of Kerry, "this guy comes to my side of the car banging on the window," Martha remembers. "In a way, he reminded us of a little leprechaun, saying, 'are ya goin' to Killarney? Oh follow me I'll show you how to get there.' "

Hopping into a car ahead, "he was so excited and funny. As we followed him we were trying to figure out his angle."

Faith and begorrah! It turns out the leprechaun's sister owns a bed and breakfast! "Guess where we stayed that night?"

The Disbergers have even popped across the Pacific to enjoy a weekend in Australia.

That's right, 30 hours on the ground in Sydney sandwiched between 50 hours of total flight time.

"We walked around Sydney and we actually did see plenty of stuff," says Monica, who is turning 20 this year. "I felt like I got a fairly good feel of the city, just in that weekend trip. So it didn't feel like a waste. I still enjoyed myself."

The secret to fun family travel, say the Disbergers, is making the best of time at airports and in the air. Monica says, "We've played Hearts all around the world."

Monica's misadventure in Beijing when she was 10 is another family travel story. She got separated from her parents briefly in one of the city's giant, crowded public squares. Eventually Dennis and Martha found her safe nearby -- with a Chinese family who had become fascinated with her long, blond hair and were busy snapping photos of her.

'You just budget'

By now, you may be wondering how a middle-class family affords this jet-setter lifestyle.

"This is something that's within the means of a lot of folks," says Dennis, a manager at a company that makes construction and mining equipment. "You just budget." Martha's job as a registered nurse offers her a schedule that's flexible for travel.

This frugal family watches its spending. They avoid pricey things like new cars. When possible, they keep their travel plans flexible. When their flight is overbooked, they sometimes volunteer to give up their seats in exchange for freebies.

Martha offers this bit of advice: "Excedrin and deep breathing work. Wine helps. No -- I'm teasing."

Monica has another tip for Americans traveling in groups: If your companions start embarrassing you, pretend to be Canadian or Australian. "Our family can be pretty loud," says Monica. "We don't want America to look bad."

But seriously, here are a few more tips courtesy of the Disbergers:

--Plan for the worst, says Dennis. Have contingencies for missed connections. Then when something happens, execute your options.

--If you need to book new flights after missed connections, don't wait in line for an airline counter representative. Use the airline customer phone service.

--Always keep your keys and cell phone and charger with you. Don't pack them in your luggage. You might lose them.

Disberger tips for traveling with toddlers:

--During flights, air pressure changes can turn kids crabby. Solution: give them lollipops. Toddlers will stay focused on the pops instead of the uncomfortable shifts in air pressure.

--Introduce your toddlers to the flight attendants.

-- Give toddlers something to look forward to. The Disbergers gave their toddlers gifts when their flights reached the ocean. These "over-the-water" gifts have become a beloved Disberger tradition that extended from the kids' childhood into adulthood.

Traveling with teens:

--Let them be in charge of some of the decisions, including where to go next, what to do or where to eat, says Dennis. Give them time to enjoy themselves with their iPods or a book. Dennis says he would pay his traveling teens from $2-$5 per each 500 miles to ride in coach. It allowed mom and dad the luxury of first class. It also offered their teens some time alone, while giving them a chance to earn a little money.

Saving on hotel rooms:

--Cash in hard on hotel promotions. The Disbergers are loyal customers of Hyatt and Hilton. One promotion offers a free room after checking in two times. "Stay at hotels in business locations on the weekend when occupancy levels are really low -- and the price is commensurately low," says Dennis. Add an AAA discount and then move to another Hyatt Place for night No. 2. After a couple of weekend trips "you've just earned a couple of free nights in the Park Hyatt Paris." When Hyatt's not available, "We do the same thing with Hilton."

--In some markets, a second set of rooms for the kids can be inexpensive. "When the kids were younger, we used the Hyatt 'family plan' set of connecting rooms," says Disberger. "Then when we check in we offer to let the hotel take back both rooms for a suite upgrade."

Families change and the Disbergers are no exception.

As the children move into their 20s, Dennis says they're still as interested as ever in traveling as a family, although college schedules have made travel planning more complicated.

And now that Joel has a career of his own as an oil industry field engineer, Dennis says he'll expect "more participation financially" from him and his sisters as they advance into their working lives.

But hey, thanks to their airborne childhoods, the younger Disbergers already are million-milers getting double miles with lifetime gold airline status.

Do you come from a traveling family? Share your tips for international travel with kids below.

@highlight

The Disberger family of Morton, Illinois, has flown 7.5 million miles since 1990

@highlight

Five-member tribe offers tips on how they pulled off 243 family trips

@highlight

Travel has opened their minds, widened their experience and bonded them