(CNN)Since 1996, photographer Marja Pirila has been working on her "Interior/Exterior" project, using an old technique that is the basis of all photography to create complex, layered works.

Pirila puts her subjects in a dark space, covering the windows while leaving a small hole for the outside light to feed in.

An inverted landscape -- with colors and depth preserved -- fills the room.

This is the camera obscura technique, and it uses a naturally occurring phenomenon that led to the modern-day camera. Most cameras, however, have an internal mirror that flips the image back to the position it appears in real life.

Pirila has used the technique for almost 20 years, taking photos of people in Finland, Norway, Italy and France.

"They all have a documentary basis, i.e. they show how/where people live, how their interiors look and what they see from their windows," Pirila said. "But besides this ... because of the two worlds merging down to each other, a third 'reality' is created and made visible. That reflects perhaps mostly my mental landscape, but I feel, at least a bit, (it reflects) also the landscape of the model's mind."

Before working with the technique, Pirila had worked with pinhole cameras, which are essentially camera obscura on a smaller scale. Light and color slide through a small hole to create an inverted image that is absorbed by light-sensitive paper.

"Both techniques are slow and unpredictable and compel one to slow down and stop amid the daily routine," Pirila said. "Moreover, the actual process is crucial in both. They present a challenge to experiment and extend conventional photography."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Pirila decided to explore camera obscura after seeing black-and-white images by Abelardo Morell in a magazine. She couldn't find much information on this technique, and she had many trials before success. Pirila now has about 70 images in her project.

Pirila chose models she knew -- students, friends, neighbors or random acquaintances -- though always "they are people who touch me in one way or other," she said.

Pirila sets up a room alone, then invites the model into the space. Together they find a place for the subject to pose that is comfortable for the model and aesthetically satisfying for Pirila.

"It is a big pleasure for me to show and share this light phenomena with my model," she said.

Pirila used color film when she first started the project and has since switched to digital. Film exposures vary from minutes to hours, and digital exposures last anywhere from seconds to minutes, she said. Regardless, models must hold a pose for a relatively long time for a picture to be taken in this space with low light.

"Darkness and long exposures create the contemplative atmosphere and let us enjoy and be inside the magic world which appears in an ordinary room for a while," Pirila said.

Light is the most important factor in photography, Pirila said, and camera obscura attracted her because of its play with light.

"I feel that the light is my home," she said. "That is why I am a photographer."

Marja Pirila is a photographer based in Finland.

@highlight

Marja Pirila used the camera obscura technique for her "Interior/Exterior" photo project

@highlight

The technique uses a naturally occurring phenomenon that is the basis for the modern-day camera

@highlight

The subjects are in a dark room, but what's outside is reflected on them via a small hole in the window