(CNN) -- The Bluefin-21's initial search is nearing its end. As the underwater sonar device plunged into the Indian Ocean, kicking off its 14th mission, authorities are focusing on what they will do if it comes up empty. That outcome would seem likely.

The Bluefin has slowly scoured 95% of the ocean floor that searchers had narrowed down for it. So far, it has found no trace of Malaysia Airlines Flight 370.

Anticipation is growing as this phase of the search nears its end, but experts say factors like the depth and terrain of the search area mean that the mission's completion could be a day to weeks away.

If nothing is found, the first step, Australian officials said, may be to expand the search area where the submersible was looking.

The underwater search so far has focused on a circle with a 10-kilometer (6.2-mile) radius around the location of a detected "ping," the Joint Agency Coordination Center said.

If the Bluefin-21 searches 100% of the area with nothing to show for it, the underwater search may expand to outside that radius.

"We are currently consulting very closely with our international partners on the best way to continue the search into the future," the Australian-based center coordinating the search said in a statement.

Forty-nine days since the plane vanished, Malaysian and Australian authorities are mapping out a strategy for a long-term search that could expand to cover a massive area.

A U.S. Navy source told CNN on Friday that the current search area is expected to move slightly north if the Bluefin doesn't find any wreckage. Specifically, it might shift to encompass a 6-mile radius around where another "ping" was detected.

And it's possible the search for the plane -- which disappeared March 8 after leaving Kuala Lumpur, Malaysia, for Beijing -- could balloon. Ocean search specialist Rob McCallum thinks it may end up including all 370 miles (595 kilometers) of what authorities believe was the plane's flight path.

"If the idea is to go more strategic and investigate the entire aircraft flight path, maybe 15 miles or so either side, then you need a more strategic tool. And something like a deep-towed sonar that can provide a very large range indeed -- at the expense of resolution."

The use of a deep-towed submersible device called the Orion is overdue, said Geoffrey Thomas, managing director of AirlineRatings.com.

"That should be brought in as quickly as possible, again, from the United States."

Early into mission 13, Bluefin-21 encountered a software issue which required resetting. The problem was resolved, the Joint Agency Coordination Centre announced.

Malaysia's report

Facing anger from families of Flight 370 passengers, Malaysia's Prime Minister said Thursday his government will release its preliminary report on the plane's disappearance.

In a TV exclusive with CNN aviation correspondent Richard Quest, Prime Minister Najib Razak told CNN the report will be available to the public next week.

He also asked an internal investigation team to look into what other information may be released publicly next week, his office said.

Najib discussed why he is not yet officially declaring the flight -- and the 239 people on board -- lost.

The report has been sent to the International Civil Aviation Organization, the U.N. body for global aviation, but not yet made available to the public.

The U.N. organization said among the safety recommendations in the report is a suggestion by Malaysia that the aviation world needs to look at real-time tracking of commercial aircraft.

It's the same recommendation that was made after the Air France Flight 447 went down in the Atlantic Ocean in 2009.

Skeptical relatives

The Prime Minister's comments didn't convince Sarah Bajc, whose partner, Philip Wood, was a passenger on the plane. She accused Najib of "political maneuvering," shirking responsibility and deflecting blame.

"I spent most of the morning with my jaw basically scraping the floor," Bajc told CNN's "AC360Â°."

Malaysian authorities need to do a better job of communicating with the families and answering their questions during briefings, she said, rather than treating passengers' loved ones "as if we are the enemy, as opposed to an interested party in helping to solve this mystery."

"Actions speak louder than words," she said. "The briefings are a joke. ...The patience level of the families group is just gone."

The husband of passenger Chandrika Sharma said he appreciated that the Prime Minister is avoiding declaring the plane lost and admitted that mistakes were made.

But he wants to see more from officials.

"At least one can hope this is the beginning of the next few weeks where we can see a lot more transparency, a lot more directness," K.S. Narendran told CNN's "New Day."

A committee representing some of the Chinese families have posted 26 questions about the plane's disappearance on the Chinese social media site Weibo.

Malaysia has insisted it has nothing to hide and is working to find answers.

The country has not been known as a model of transparency. The same political party has ruled for 50 years, and the media are not completely free.

The Malaysian Cabinet has agreed to have an international team investigate the disappearance of Flight 370, acting Transportation Minister Hishammuddin Hussein said.

He also said the team will not be looking into the criminal aspects of the investigation, which remain under the Royal Malaysia Police.

Turning to Boeing?

Angry families dissatisfied with responses from Malaysian authorities could turn their attention to the Boeing 777's manufacturer.

Some of the questions the families have, including technical questions, "we will be bringing directly to Boeing," Bajc said.

"Boeing is a publicly traded company in the United States, and that puts them in a position of a little bit more fiduciary responsibility," she said.

Asked for a response, Boeing sent CNN a statement: "Our thoughts and deepest sympathies continue to be with the families and loved ones of those aboard Malaysia Airlines Flight 370. Boeing continues to serve as a technical adviser to the U.S. National Transportation (Safety) Board, and in that role we have been an active and engaged party to the investigation."

"Boeing has a shareholders meeting next week," Bajc said, adding it might be worth trying to get some answers there.

What if Flight 370 is never found?

Inside a black box investigation lab

Sad, angry relatives in agonizing limbo

CNN's Elizabeth Joseph, Mike Ahlers, Sumnima Udas, David Molko, Catherine E. Shoichet and John Berman contributed to this report.

@highlight

U.S. Navy source: The search should shift slightly north if no wreckage is found

@highlight

Bluefin-21 may expand search area if it doesn't make any findings in current search radius

@highlight

Submersible has combed 95% of a search area with no significant results

@highlight

Malaysia says it will make its report on the missing plane public next week