WASHINGTON (CNN) -- Two Supreme Court justices on opposite sides of the ideological aisle exchanged tough words Monday over the fate of a Florida murderer who has been on death row for 32 years.

Siding with the court's majority, Justice Clarence Thomas described brutal details of a Florida slaying.

The high court has refused to hear the appeal of William Thompson, who had plead guilty twice in the March 1976 kidnapping and torture-murder of a woman. His case and subsequent appeals have been litigated since, but a new execution date has not been set.

A key part of his request to be spared lethal injection is that three decades as a capital inmate constitutes cruel and unusual punishment.

"Our experience during the past three decades has demonstrated that delays in state-sponsored killings are inescapable and that executing defendants after such is unacceptably cruel," said Justice John Paul Stevens, who disagreed with the court's decision to allow the execution to proceed. He was supported by Justice Stephen Breyer in his objection to the court's ruling on Monday in the case, Thompson v. McNeil (08-7369).

But Justice Clarence Thomas took issue with his colleagues' conclusions. "It is the crime and not the punishment imposed by the jury or the delay in execution that was 'unacceptably cruel,'" he responded.

Thomas took time in his concurrence to detail the graphic crime that led to the conviction of Thompson and his co-defendant.

The men had held Sally Ivester and another woman in a motel room and were demanding money from the victim's families. Ivester had promised she could raise hundreds of dollars but was only able to secure $25. That enraged the men who savagely beat the woman with a belt, chair leg and nightstick, causing internal injuries. She was also burned with cigarettes.

The other woman witnessed the murder and said she feared for her life if she tried to leave.

Thompson and his co-defendant both pleaded guilty but the state's high court initially tossed out Thompson's sentence. The man's lawyer had told the defendant if he accepted responsibility for the crime, he would not get the death penalty, a crucial mistake.

Thompson later pleaded guilty a second time and again received a capital sentence. Then he began a series of appeals, claiming ineffective counsel, trial errors, limited mental capacity and a dysfunctional childhood. All those factors were ultimately rejected by state and federal courts.

Stevens noted that during a third penalty hearing, five members of a state advisory jury recommended against lethal injection, but the court again imposed death.

The circumstances of his current imprisonment, said Stevens, no longer justify such a sentence.

"As he awaits execution, petitioner has endured especially severe conditions of confinement," said Stevens, "spending up to 23 hours per day in isolation in a 6- by 9-foot cell. Two death warrants have been signed against him and stayed only shortly before he was scheduled to die. The dehumanizing effects of such treatment are undeniable."

But Thomas said all such inmates are subjected to a "restricted confinement" because of the security risks they pose. And the prisoner had only himself to blame for his prolonged imprisonment on death row.

Quoting his conclusions from a similar 1999 capital case, Thomas said, "I remain unaware of any support in the American constitutional tradition of this Court's precedence for the proposition that a defendant can avail himself of the panoply of appellate and collateral procedures and then complain when his execution is delayed."

Thomas has long backed the right of states to impose death sentences. Stevens, who as a newly seated justice cast a key 1976 vote upholding the death penalty, has since grown increasingly frustrated with how it its carried out. Last April, he declared his open opposition to it.

"I have relied on my own experience in reaching the conclusion that the imposition of the death penalty represents the pointless and needless extinction of life with only marginal contributions to any discernible social or public purposes," he wrote. "A penalty with such negligible returns to the state (is) patently excessive and cruel and unusual punishment violative of the Eighth Amendment."

The 88-year-old justice was supported by three of his more liberal colleagues. But Stevens also said he would respect court precedents in favor of capital punishment.

@highlight

Florida killer says 32 years on death row is cruel and unusual punishment

@highlight

William Thompson faces execution for 1976 torture killing

@highlight

Justice Clarence Thomas cites details of brutal crime

@highlight

Court rejects Thompson's appeal