(CNN) -- Although somewhat unexpected, the election of Cardinal Jorge Mario Bergoglio to succeed Benedict XVI has the air of a safe, compromise decision.

At age 76, he does not have the physical vibrancy and personal dynamism that a younger man might have brought to Rome. Vatican watchers did not consider Bergoglio a front-runner and his name was not considered in speculation, even as the previously unimaginable selection of an American was widely discussed in the Italian media.

Pope Francis, as Cardinal Bergoglio, was known as a doctrinal conservative. His emphasis on solidarity with the poor is in line with a turning away in some respects from structural criticism, favored by some in the church.

His selection represents an obvious reorientation of the church to the global south, but it does not signify the possibility of doctrinal change related to contraception, abortion or same-sex marriage -- and within the church itself on matters of priestly celibacy or women's ordination. These issues have increasingly set the church in conflict with a rapidly secularizing West.

Opinion: Argentina a complex crucible for Pope

Pope Francis hails from the church's growth regions in the developing world, and he can be expected to be attuned to the concerns of developing nations and their problems of inequity and human deprivation. Pope Francis is of Italian stock and was raised in a thoroughly Europeanized culture. That should put some of the cardinals, fearful of an overly thorough reform, at ease, despite the widespread feeling that "something" dramatic had to be done to reform the management of the Vatican and reduce the opacity of its financial infrastructure and sputtering bureaucracy.

During his papacy, Pope Benedict urged the establishment of a global governing institution that could mitigate the worst excesses of economic and political globalization. The choice of the name "Francis," after St. Francis of Assisi, suggests this pope will make it a priority to attend to the crying need of the global poor, those left behind by the free market's genius for wealth creation and its unfortunate tendency to deposit that wealth in a diminishing number of hands. No fan of Latin America's experiments with liberation theology, he has nonetheless proven to be a staunch defender of Latin American poor against the powerful economic and political forces that have assailed them.

He'll likely offer a more pastoral face to the papacy even as, based on his past criticism of the global economic order, he is likely to continue Pope Benedict's skepticism of unrestrained free market policies.

"We live in the most unequal part of the world, which has grown the most, yet reduced misery the least," Bergoglio said during a gathering of Latin American bishops in 2007. "The unjust distribution of goods persists, creating a situation of social sin that cries out to heaven and limits the possibilities of a fuller life for so many of our brothers."

Opinion: Pope Francis - A conservative who sides with the poor

Despite his reputation as an austere intellectual, as cardinal, Pope Francis showed a deft personal touch, visiting with the Argentine church's most vulnerable people, the poor and people suffering from AIDS. He has called for more pastoral care of divorced Catholics, and he memorably castigated Argentine priests who refused baptism to the child of an unwed mother as "today's hypocrites."

"Those who clericalize the church," he said, "Those who separate the people of God from salvation. And this poor girl, who, rather than returning the child to sender, had the courage to carry it into the world, must wander from parish to parish so that it's baptized!"

Many will be watching to see how Pope Francis addresses the problem of clerical sexual abuse, scandals which have troubled the church all over the world and have yet to be adequately confronted in Latin America and other parts of the developing world.

His past is more complicated than the pastoral face he has so far offered the world and Pope Francis may soon be asked to answer for positions and decisions during Argentina's "dirty war." Those positions have already created divisions among members of his order in South America.

He has been accused of not speaking out sufficiently against the murders and "disappearances" during that awful period when as many as 30,000 perished. He has denied the allegations and defenders say he negotiated behind the scenes to help victims. Respected Brazilian theologian Leonardo Boff said Thursday he did not believe that Pope Francis, acting in his capacity then as Jesuit provincial, could be implicated in connection to the acts of the Argentine junta, and that he in fact assisted some of the junta's intended victims.

Whatever the truth behind the allegations, the stories themselves are damaging and Pope Francis would be wise to confront them forthrightly and soon so they do not become a lingering source of speculation throughout his papacy.

Otherwise, the emerging narrative of a down-to-earth man, thrust into power but mostly indifferent to the trappings of his position, driven by a special concern for the poor has proved especially encouraging to many frazzled Catholics, especially as, in a cynical time, it just may turn out to be the tale closest to the truth.

The opinions expressed in this commentary are solely those of Kevin Clarke.

@highlight

Kevin Clarke: The choice of Cardinal Bergoglio as pope seems to be a safe compromise

@highlight

It reorients the church to Latin America, he says, but doesn't mean much doctrinal change

@highlight

Clarke: The pope, a champion of the poor before, is likely to keep his focus on global poverty

@highlight

Clarke: Pope Francis must confront accusations he stood by during Argentina's "dirty war"