(CNN) -- In October 1985, the Formula One circus arrived in South Africa to race at Kayalami. Apartheid -- which had put an end to almost all other sporting events in the country -- didn't deter F1, even if both the Ligier and Renault teams refused to race. Marlboro removed its sponsorship from the McLaren cars of Niki Lauda and Alain Prost, and various governments tried to stop their drivers racing.

Sound familiar? Although South Africa during apartheid and Bahrain now are two completely different political situations, you can't help but wonder whether F1 has moved on at all in the last 27 years. The view of Formula One Management's chief Bernie Ecclestone that the elite division of motorsport doesn't do politics seems somewhat out of kilter.

The civil unrest in Bahrain -- and the political implications of F1 racing there -- has led to UK politicians asking for the race to be canceled. On April 13 the sport's governing body -- the FIA -- announced that the race would go ahead despite continuing conflict between Shia protesters and the Sunni government. The decision was met with shock from F1 fans around the world.

"Imagine we said, 'No way are we going,' - would the problems stop?" Ecclestone told the BBC at last weekend's Chinese Grand Prix. "The answer is no because they are not protesting about F1 and that's why we are going to Bahrain."

Ecclestone -- never one to kowtow to convention -- may have missed the Shia protesters carrying toy machine guns and wearing motor racing overalls. He may also have missed the banner reading "Stop racing on our blood" and the government's "UniF1ed" campaign.

No, there is not political unrest because of F1, but the sport is being used as a political tool and could be used as a stage upon which to be heard. Ask any F1 sponsor why they are in the sport and they will tell you about the amazing global platform that it provides. The same argument, understandably, applies to protesters who want to make a point.

"I don't see lots of protests throughout the country," economist and former Bahraini politician Jasim Husain told the UK Press Association. "But yes, the fear is there that we could see some casualties. So it's now a challenge for the security forces who have to handle things properly. They should avoid using force."

In a press conference on Friday, Bahrain's Crown Prince Salman bin Hamad bin Isa Al Ahalifa expressed his reasoning behind the race going ahead.

"I think canceling just empowers extremists," he said. "I think for those of us that are trying to navigate a way out of this political problem, having a race allows us to build bridges across communities and get people working together."

Three-time F1 world champion Jackie Stewart is a firm believer that sport can unite people. That may be so, but only if the sport in question is neutral. F1 most certainly isn't in this case. The Bahraini government not only owns the Sakhir track, but it also invested millions to build the circuit before the first race there in 2004. It also owns a stake in Britain's McLaren, one of the participating teams, so it's clear why many Shia protesters are so against the event taking place.

The FIA has had people in Bahrain monitoring the situation for some time now, and the teams and drivers have said that they trust its decision to race in the Middle East kingdom, even if some teams have taken extra security with them.

But, with four Force India team members being close to a petrol bomb after leaving the track on Thursday, it's clear that the extra security is not enough. Indeed, two members of the team have since requested to return home. There are also reports that a Williams employee has quit over the situation.

Of course, nowhere is safe -- a mad priest managed to run onto the track during the 2003 British Grand Prix -- but surely a sport should not be competing in a country where its participants are anywhere near a petrol bomb? The safety of the teams and the island's citizens should be put before a sporting event.

"It is obviously not right that this sort of stuff happens," Force India driver Nico Hulkenberg told reporters on Thursday. "We are here to race. The F1 business is about entertainment, and these sort of things should not really be happening to us. Whether it is right or not I don't really know. I am not a politician, I am a Formula One driver."

Other drivers have remained quiet -- and very neutral -- on the subject.

As many will remember, the 2011 Bahrain Grand Prix was at first postponed and then canceled due to riots and the much-publicized "Day of Rage" on February 14. So what has changed this year? And why is Formula One able to race?

Last year the British foreign office raised its evaluation of the threat level in the country and with that came insurance problems for the teams. There was pressure from the FIA and FOM to cancel the race, which the Bahraini government duly did. By doing so it missed out on an estimated $480-800 million of investment that would have come from hosting it.

The race looks as though it will go ahead and, with the circuit being based in the desert, it should be easier than some to keep secure. However, if something does go wrong then it is going to be extremely hard for F1 to recover its integrity.

The South African Grand Prix was canceled immediately after that 1985 race by the FIA's then-president Jean-Marie Balestre. It didn't return until 1992, once apartheid had ended.

F1 did learn from its mistakes all those years ago, even if it was too late for many. The fact that it seems to have forgotten that lesson now is baffling many fans around the world.

The opinions expressed in this commentary are solely those of Ed Foster.

@highlight

Sunday's Bahrain Grand Prix will take place amid a backdrop of anti-government protests

@highlight

The Formula One race was canceled last year due to a civil uprising in the Gulf island

@highlight

The situation mirrors what happened in 1985 with a race in apartheid-era South Africa

@highlight

Foster: F1 chief is wrong when he says that sport and politics do not mix