Washington (CNN) -- You want close? We've got close!

Seven of the eight national polls released since Sunday indicate the race for the White House is in a dead heat, like most have shown for weeks.

More importantly, it's a similar story in the key battleground states that will decide whether President Barack Obama or Republican nominee Mitt Romney will be victorious on Tuesday.

According to the final CNN/ORC International poll released before the election on Sunday night, 49% of likely voters questioned in the survey say they support the president, with an equal amount saying they back the former Massachusetts governor.

What to watch for

But it's not just the horse-race numbers that show how equally divided American voters are over the two candidates.

According to the CNN poll, the president's favorable rating stands at 52% in the poll, with Romney at 51%; 51% say they agree with Obama on important issues and 50% say the same thing about Romney; 56% say that Obama has the personal qualities a president should have, with 55% feeling the same about the Republican nominee.

Does either party have an edge on enthusiasm?

"The CNN survey indicates the answer is no. Seventy percent of registered voters who describe themselves as Democrats say they are extremely or very enthusiastic about voting, with an equal amount of self-described Republicans saying the same thing," said CNN Polling Director Keating Holland.

Margin of error: Two candidates, two journeys, one race of lost dreams

And the survey indicated that 49% say they will vote for the GOP candidate for Congress in their district; with 48% saying they will choose the Democrat.

That's where the similarities end. There are also some stark differences.

When it comes to the racial breakdown, 40% of white voters questioned in the CNN poll said they are supporting Obama, with 57% backing Romney. The vote by race could be crucial to determining which candidate wins the White House.

"The formula for victory for Obama is to win at least 80% of minorities and around 40% of whites, if minorities represent the 26% of voters that they constituted last time," said CNN Senior Political Analyst and National Journal Editorial Director Ron Brownstein.

Poll of Polls: Margin is thin in New Hampshire, Iowa

"The final wave of public polls all show Obama running right around that tipping point, among both whites and minorities, which means nothing looms larger than the racial composition of the electorate."

Obama obviously benefits if the minority share of the vote increases even by a point or two. The flip side is that if the minority share declines at all, the math gets better for the GOP challenger.

"And if it remains unchanged, we're on the knife's edge," Brownstein added. "But just remember, the minority share of the vote has increased, and the white share has decreased, in every presidential election since 1992. Just holding the minority share steady, much less seeing it decline, will require a huge turnout among older and conservative whites, which is the last hope for Republicans looking at most public polls showing Obama holding a narrow, but steady, edge, especially in the battleground states."

CNN Poll of Polls: Ohio a close contest on eve of election

The CNN poll was one of seven national nonpartisan, live operator surveys released Sunday and Monday to indicate the battle for the presidency either a dead heat or virtually tied. A Politico/George Washington University survey has it tied at 48%; an NBC News/Wall Street Journal poll indicates Obama at 48% and Romney at 47%; the latest ABC News/Washington Post tracking poll puts Obama at 49% and Romney at 48%; Gallup's latest daily tracking poll had Romney at 49% and Obama at 48%; American Research Group had it deadlocked at 49% and Monmouth University had it all tied upat 48%.

A Pew Research Center survey released Sunday indicates the president at 50% and the GOP challenger at 47%, which is within the survey's sampling error.

While the national polls are revealing, the battleground state surveys are what matter most, since the race for the White House is a battle for electoral votes. And it's the eight swing states that will end up determining which candidate comes out on top on Tuesday.

Of all the toss-up states, Ohio and it's 18 electoral votes has gotten the most attention because many scenarios see the election being decided there. Both the president and the former Massachusetts governor hold campaign rallies in Columbus, the state's capital, on Monday, the final day of campaigning.

Provisional ballots could be key if Ohio margin razor thin

A new CNN Poll of Polls compiled and released Monday show Obama at 50% and Romney at 47% among likely voters in the Buckeye State. The CNN Poll of Polls is an average of three Ohio polls of likely voters conducted in the last week: Ohio Poll/University of Cincinnati; CNN/ORC International and NBC/Wall Street Journal/Marist. The Poll of Polls does not have a sampling error.

Florida, where 29 electoral votes are up for grabs, is also getting outsized attention and two polls released on Friday tell very different stories.

An NBC News/Wall Street Journal/Marist survey gave the president a razor-thin 49%-47% edge, within the poll's sampling error. But a Mason-Dixon survey conducted for many of the Sunshine State's major newspapers indicated Romeny ahead 51%-45%.

Four years ago Obama become the first Democrat to capture Virginia in a presidential election since 1964. The battle for the state's 13 electoral votes appears to be extremely close this time around. An NBC/WSJ/Marist survey released early Monday morning indicated Obama at 48% and Romney at 47%.

The president closes his campaign on Monday night in Iowa. Then-Sen. Obama's victory in the 2008 Iowa Democratic caucuses launched him towards the White House. The Hawkeye State is also a general election battleground, and a new CNN Poll of Polls that averages all three non-partisan, live operator surveys conducted over the past week indicates Obama with a 48%-45% edge.

Romney closes his campaign Monday night in New Hampshire, the state were he officially launched his bid for the White House nearly a year and a half ago. Besides holding the first in the nation primary, the Granite State is also a general election battleground, and a new CNN Poll of Polls that averages all three non-partisan, live operator surveys conducted over the past week indicates Obama with a 50%-38% edge.

In the two Western battlegrounds, the most recent polls in Colorado (by CNN/ORC and American Research Group) indicated the race all knotted up. And in Nevada, an NBC/WSJ/Marist survey indicated the president with the edge and an ARG poll gave Romney a slight advantage.

The only state where the president appears to have a solid single digit advantage according to public opinion polls is Wisconsin, home to GOP running mate Rep. Paul Ryan. A CNN Poll of Polls of the three most recent surveys indicates the president with a seven point advantage in Wisconsin.

Of course the only numbers that really matter are the numbers we'll get on Tuesday.

Romney breaks tradition with Election Day campaigning

@highlight

Seven of eight national polls show race is in a dead heat

@highlight

Others including issues, favorable ratings polls, show a razor-thin margin

@highlight

Polls diverge by race, with 40% of white voters for Obama and 57% for Romney

@highlight

Polls in battleground states -- where candidates are finishing their campaigns -- also are close