(CNN) -- Since 9/11, the United States has increasingly relied on drones to kill its enemies and to chip away at terrorism around the globe. Drone warfare has always been controversial. But it became virtually sensational during the heated discussion over John Brennan's nomination to be CIA chief.

Responding to a question stemming from that discussion, Attorney General Eric Holder said this week that he wouldn't rule out the possibility of a drone strike against Americans on U.S. soil. But he said the administration wasn't planning on such a strike and would use the option only under extreme circumstances.

Holder futher clarified the administration's stance Thursday with a brief letter to Sen. Rand Paul, R-Kentucky, who had staged a 13-hour filibuster of Brennan's confirmation.

"It has come to my attention that you have now asked an additional question: 'Does the President have the authority to use a weaponized drone to kill an American not engaged in combat on American soil?' " Holder wrote. "The answer to that question is no."

A to Z: The drone program

That satisfied Paul, who had ended his filibuster and allowed Brennan's confirmation to go on. But it hasn't ended the discussion about the use of drones over the United States.

What's President Obama's argument?

For some time, the administration has fervently defended the drone program in general, boasting that it has helped decimate al Qaeda and saved the lives of troops that might otherwise be involved in ground attacks.

The United States has carried out 349 "CIA drone strikes" in Pakistan and 61 in Yemen, according to Washington-based nonpartisan think tank The New America Foundation.

When it comes to drone strikes in Indiana or New York, the administration insists the unmanned machines could be used when an imminent threat to the United States is clear. Drone strikes on U.S. soil could be necessary when capture isn't feasible, the administration says. Dealing with a 9/11 or a Pearl Harbor-style attack -- or one that seems very likely -- could justify a domestic drone strike, Holder said.

What law or precedent might support their argument?

CNN legal analyst Jeffrey Toobin said there is no law on drone strikes. "Police officers use weapons on American citizens all the time," he said. "This is just another weapon."

The Supreme Court has held that the military may constitutionally use force against a U.S. citizen who is a part of enemy forces. But that's not in the United States.

Again, there is other documentation about drone use against U.S. citizens abroad. Consider a Justice Department memo, given to select members of Congress last year, that says the U.S. government can use lethal force against American citizens overseas who are operational leaders of al Qaeda or its affiliates.

One high-profile example of a U.S. citizen killed in a strike overseas is Anwar al-Awlaki, a radical cleric born and educated in the United States. A drone killed him in Yemen in 2011.

Who are the most vocal opponents?

The pushback against the administration has united unlikely bedfellows.

Republicans and Democrats are both dubious of drones hovering over Americans.

But while Paul stopped the Senate's work cold to express his displeasure, the GOP isn't standing as one over anti-terrorism tactics. Sens. John McCain and Lindsey Graham assailed Paul's filibuster.

"All I can say is that I don't think that what happened yesterday is helpful to the American people," McCain, R-Arizona, said on the Senate floor Thursday.

At one point in his filibuster, Paul said there would be nothing stopping the United States from dropping a missile on Jane Fonda, who actively protested the Vietnam War in the 1970s.

McCain, who admitted that Fonda wasn't his "favorite American," was peeved by Paul's argument.

"Somehow to allege that the United States of America -- our government -- will drop a drone Hellfire missile on Jane Fonda, that brings the conversation from a serious discussion about U.S. policy to the realm of the ridiculous," he sniped.

An American Civil Liberties Union lawyer called Obama the "judge, jury and executioner" in the matter, and said he agreed with Paul.

What are the political overtones here?

The debate, in a larger way, is about the struggle between the executive and legislative branches and which wields authority in such matters.

There are also questions about how the issue might affect the next presidential election, when Obama's two terms will be up. Paul has hinted that he may run in 2016. The next president will probably, at least until challenged, assume the same authority Obama has regarding drone strikes.

But Micah Zenko with the Council on Foreign Relations, an expert on drones and terrorism, cautions against too many predictions.

"This is such a fast-moving issue, and many parts are still being decided," he said.

"But I would add that if you look at how the topic played out in the last election, there was one question on drones in the third debate, and both candidates thought about it for 10 seconds and agreed they were great," he said. "Maybe next time, it will take 20 seconds before they say that."

What's the larger issue at stake?

Drones are becoming more common in general, and technology cannot be stopped, experts say. Controlling the technology and its capabilities will be incredibly difficult. So that will make the idea of transparency even more important.

There has been "a means of dealing with imminent threat in this country -- it's the police, a time-honored way of dealing with the guy who comes into Congress with a grenade launcher," said Tom Junod, an Esquire magazine writer who has written about Obama and the drone program. "We wouldn't be talking about this if we didn't suddenly have this technology ability of taking out anybody we wish.

"It's the technology that has extended the arm of the law and executive attention."

The question for Americans is how far they want the president's arm to reach.

@highlight

What is the administration's argument for targeting U.S. citizens on U.S. soil?

@highlight

There is no drone law, or precedent, CNN legal analyst says

@highlight

Debate has united strange bedfellows -- Democrats, Republicans, ACLU