(Matador) -- Summer in the U.S. and Canada is all about road tripping. Here are 7 of our favorites, some well known, others following country roads that only locals usually travel. All of them have plenty of room for improvisation.

Pacific Northwest to Montana

This big loop is all about National Parks, National Forests and some of the most unique terrain and wildlife anywhere in the world. Taking anywhere from 2 to 4 + weeks, you can go from the coastal rainforest of the Olympic Peninsula all the way to the alpine montane, geysers, and hot springs of the Greater Yellowstone Ecosystem.

*STARTING POINT: Seattle, Washington or Portland, Oregon *Follow Highway 101 to the Olympic Peninsula *Try camping along the Wild Coast *Special stops: La Push, Washington (for good camping, hotels and a classic Washington surf spot), Hoh Rainforest *Take the ferry from Kingston to Edmonds, Washington, and back to Seattle *From Seattle, take I-90 East to the Missoula, Montana area (7 hours) with good camping along Clark Fork River near Alberton *Go from Missoula to Yellowstone National Park via Livingston ( Highway 89)*On the return trip, head back from Yellowstone via 287 along the Madison River

Matador: Road trip planning -- staying sane, well-fed and entertained

Nova Scotia Loop

This trip is a great choice for people who don't like long driving days. All the stops are close to one another, and the loop features local towns and roads as opposed to interstates.

Nova Scotia is "Canada's ocean playground" -- a land of salty old towns, friendly locals and stretches of wilderness coastline along the North Atlantic.

*STARTING/ENDING POINT: Halifax *Take Coastal Highway 3 to Peggy's Cove *Stop in Mahone Bay. Check out the LaHave Bakery, which also doubles as a hostel in peak season *Visit the port town ofLunenburg, a UNESCO World Heritage Site. Outstanding folk art galleries and veggie-friendly cafes are scattered between the seafood restaurants and tiny B&Bs. *From Lunenburg, cut inland via Bridgewater to Kejimkujik National Park for world-class canoeing and camping *Follow Highway 8 north from Keji to Annapolis Royal *Detour west along the Annapolis Basin to Bear River *Head east on Highway 1 to Kentville and then north to Cape Split for a classic day hike *Highway 1 will take you back east and south to Halifax

Notes: This loop could be extended by following Highway 3 west from Lunenburg all the way to Yarmouth, on the western tip of the peninsula, where it connects to Highway 1.

Tourism Nova Scotia offers further detail about both routes -- check out The Lighthouse Route (south shore) and The Evangeline Trail (Fundy shore).

Southern Appalachia to the Sea

The south starts warming up nicely come May. You can also find sweet tea and chefs that know how to cook collard greens and black eyed peas. This loop has a good mix of local towns / culture as well as varied terrain and wilderness from the coast to the sea.

*STARTING/ENDING POINT: Atlanta, Georgia *Special restaurant mention: Greenwoods in Roswell. Fuel up for your trip at this Southern eatery *Take 85 N to 316 to Athens *Follow 441N from Athens through Clayton, Georgia to Franklin, North Carolina *The Nantahala National Forest offers excellent camping options  *Continue to Asheville via 74 / US 40 (Special brewery mention in Asheville: Pisgah Brewing) *Take the Blue Ridge Parkway north from Asheville  *Stop at Linville Falls (there's outstanding backpacking in Linville Gorge)*Continue North via Skyline Drive into Shenandoah National Park or take I-64 East to Charlottesville, Virginia *Head back south through Richmond to Raleigh. The coastal North Carolina city of Wilmington is just a couple of hours from Raleigh on I-40. *For another coastal drive, head south to Charleston, South Carolina

Notes: For an alternative loop that leaves out Athens but takes you through Nashville, Tennessee, and moves faster, take I-75 North from Atlanta through Chattanooga to Nashville, then reconnect to Asheville via I-40.

Vancouver, British Columbia

Canada's wild western frontier offers some of the most intense but still accessible wilderness on the planet. It's also among the coolest road trips, temperature-wise, during the summertime.

From the innumerable coves off the coast, to the high peaks of the coastal range, a summer BC road trip is all about exploring the pacific northwestern terrain.

*STARTING/ENDING POINT: Vancouver

*Take Highway 99 to Horseshoe Bay ferry terminal, then hop a ferry to Vancouver Island *Head west until you reach the coast, then head up Hwy 4 until you hit the surf town of Tofino. Spend a day on the waves (bring your wetsuit) *Horseshoe Bay. Head east to the ferry terminal and ride it back to Vancouver *Whistler. Drive north again on Hwy 99 until you hit Whistler, home to some of the best trails in the world for mountain biking, hiking and camping *Head north from Whistler on Hwy 97 *The mountains will give way to gold miner's country in Cache Creek, followed by Kamloops (the tournament capital of Canada) *Stop in Kelowna, the center of Okanagan wine country. Special Mention: tour of Summerhill Pyramid Winery. Props if you can spot the mysterious Ogopogo, BC's version of the Loch Ness monster, said to live in Lake Okanagan *From Kelowna, head west. Don't miss Hell's Gate for a tram ride over the abyss *Continue until you join up with Hwy 1 (Trans-Canada) and make your way back to Vancouver

Matador: Top 20 microbreweries in America

Front Range to Montana

The high passes of the Rockies fill up during the summer with RVs, motorcycles and everyone else enjoying the mountains, rivers and open stretches of highway.

This loop features two major National Parks and true cowboy towns.

*STARTING/ENDING POINT: Denver metro area  (including Boulder, Ft. Collins)*Take 287 N. through Wyoming (Chief Joseph Highway) *Check out some truly off the beaten path exploration options (backpacking) in Wind River range *Near Lander, Wyoming, Sinks Canyon is an excellent campground / first night's place to stop if making a big push to Yellowstone or the Tetons *Continue on 287 N to Tetons *Special Mention: Dubois -- a true cowboy town. See if you can spot a local who isn't driving a pickup truck *Teton National Park *Yellowstone National Park *Drive Bear Tooth Scenic Highway -- Hwy 212 winds its way over the spine of the Rocky Mountains at 10,970 feet, linking Red Lodge to Cooke City at Yellowstone National Park's Northeast Entrance *Stop at Little Bighorn Battlefield for a reenactment of Custer's last stand

Notes: Additionally, Jackson, Wyoming (known by non-locals as "Jackson Hole") -- is less than an hour south of Teton National Park, and totally worth the detour.

Jackson is one of the most unique towns in America, and has some of the most hardcore communities of skiers, snowboarders and adventure athletes in the world. Check the local terrain and you'll know why.

Best of the Southwest

This road trip is one of the hottest on the map, but visitors will be surprised how much the temperatures cool off in the desert southwest, especially at high elevation. Bring layers.

More than any other loop, the Best of the Southwest has a high concentration of National Parks. Give yourself several extra days for camping / local options around the Grand Canyon. This loop could easily be extended for an entire month or more.

*STARTING/ENDING POINT: Phoenix, Arizona *Head north on I-17 through Flagstaff on to the Grand Canyon *Follow 89 N to the North Rim and Marble Canyon *Various loops are possible using 89 and 191 to visit Glen Canyon, Canyonlands, Archesnational parks and recreation areas *To visit Mesa Verdetake 491 South to 160 East into southern Colorado via Durango *Stop at Pagosa Springs for an excellent family hot springs experience *Head south into New Mexico via Chama, to Santa Fe *Drive south on 285 through Roswell to Carlsbad Caverns *Head south into Texas through Guadalupe Mountains National Park and farther south to Big Bend National Park *Then go northwest through El Paso to White Sands National Monument *To get back, head west on 10 to Tucson, then back up to Phoenix

Northern New England Loop

The Northern New England Loop is all about cooler temps, short driving days on winding country roads and local hiking in the Appalachians. This is a great choice for families with young kids or those looking for an easier road trip.

*STARTING/ENDING POINT: Burlington, VT (or surrounding area) *Take 89 south through Waterbury, Vermont *Take Route 100, a great winding country road, south past Warren Falls swimming hole *Go east on 4 through Woodstock and cross into New Hampshire at Hanover, where Dartmouth College is located *Drive east to New Hampshire's Lake Winnipesaukee and continue to Portland, Maine *Follow Route 1 along the coast past beaches and art towns, through Camden, to Acadia National Park *Then head north through Bangor and up to Baxter State Park *Turn west through nowhere-land to the Moosehead Lake Region *Cross back into New Hampshire after Grafton Notch State Park *Continue into Northeast Kingdom, Vermont and back to Burlington via Stowe

Matador: Green guide to Halifax

Read the full story on MatadorNetwork.com

© 2011 Matador Network, Matador Ventures, LLC.

@highlight

Highways and little country roads lead the way for great US and Canadian road trips

@highlight

Great trips: Pacific Northwest to Montana and Southern Appalachia to the sea

@highlight

Road trips through Nova Scotia and Vancouver expose much of Canada's natural beauty