(CNN) -- Jena Johnson's profession is not one that people go to college for. It's also not work that gets easier with time.

Her job is to help you die a "good death."

Her definition of "good" goes like this: a death in which a person's wishes for the end of his or her life are respected and carriecd out. No matter what those wishes are.

She found herself in this role because of what she perceives as a great need in America to make discussions about death more a part of life. Because no one likes to talk about this stuff.

More than a quarter of Americans said they have given no thought or not very much thought to their wishes for dying, a 2013 Pew Research Center survey found. Only a third said they have put their wishes in writing, something that Johnson knows to be vital in the middle of the most excruciating circumstances.

From 9 to 5, in the Portland, Oregon, offices of the end-of-life advocacy group Compassion & Choices, Johnson and her staff field up to 100 calls a day. The number of those calls has swollen after the death last week of Brittany Maynard, who had terminal brain cancer and chose to end her life with a fatal dose of barbiturates at age 29.

Maynard was very public about why she chose to end her life.

"Because the rest of my body is young and healthy, I am likely to physically hang on for a long time even though cancer is eating my mind," she wrote in a CNN Opinion piece. "I probably would have suffered in hospice care for weeks or even months. And my family would have had to watch that.

"I did not want this nightmare scenario for my family, so I started researching death with dignity."

Compassion & Choices partnered with Maynard and issued a statement saying that she "died as she intended -- peacefully in her bedroom, in the arms of her loved ones."

Others choose not to die like that. And that's OK with Johnson.

She's had people tell her that they have the best benefits in the world, and they want to keep trying everything medically possible until the very end.

Johnson, 58, previously was a mental health counselor and educator and has been an end-of-life consultant for the last seven years. Her goal is to make people aware of their options.

She became more keenly aware of how tough things can get when her mother was dying of lung cancer in 1990.

"We took our cue from her," Johnson says. "She had very pronounced ideas of how she wanted to go."

Much of it was generational. Johnson's mother was from an era when people rarely listened to anything but doctor's orders.

She entered a hospice and in the end, she suffered a great deal.

Johnson says that had she known then what she knows now, she might have brought up other options for her mother.

"Most people say, 'I'm not afraid to die. I am afraid to suffer,' " she says. "Or they say, 'I've had a good life but I don't want my illness to compromise my loved one's memories.' It's very well thought out for these people."

Johnson has a list of questions she asks her clients, which she prefers to call them rather than patients.

Do you have an advance directive? That's a legal document that outlines a person's wishes at the end of life.

One of her clients told her that she wanted very much to discuss her choices with her children but they refused to talk about their mom's death. So her client invited the whole family for Thanksgiving and when they sat down to dinner, each one found her advanced directive sitting on their plates.

"No one eats," said the client, "until you've read this."

Johnson first assesses a client's situation -- mobility, support system, treatment -- and then continues with tough questions.

Do you want to have a feeding tube? Do you want to be kept on a ventilator? Do you want chemotherapy? Do you want to be put into a medical coma if no amount of medication can relieve your pain? Do you realize that one outcome of a medical coma could be your death?

Are your family members supportive of your wishes?

Sometimes a client will say that one of her children opposes her wish to die on religious or moral grounds. Johnson lets those clients know that they can specify which relatives will have the right to carry out end-of-life decisions.

One of her colleagues currently is counseling a client with Lou Gehrig's disease, also called amyotrophic lateral sclerosis, or ALS, which affects nerve cells in the brain and spinal cord. The client's only way of communication is using one finger to text. His spouse conducts conference calls with their children and with the end-of-life counselor who acts as a subjective third party.

Recently, the counselor discovered that the family had put her client on a feeding tube, even though an advanced directive underscored: "No feeding tube."

"My colleague asked the very question the family did not want to ask the patient: 'Do you really want this feeding tube? According to everything you have declared up to this point, you don't want this. Have you changed your mind?' "

The client said, "No."

"It was a difficult conversation but a necessary one," Johnson says. "They all knew what the answer was but it was so hard in their hearts."

Another time, a client called Johnson to say her doctor had recommended radiation.

"Tell me again how old you are," Johnson said.

"97," the client replied.

"Wait. You are 97 and the doctor told you to go through this?"

That's when she advised her client of other options, though she never tells anyone what they ought to do.

"My job is to educate, to empower," Johnson says. "I am glad the conversation has been elevated in the public consciousness."

Brittany Maynard moved with her husband to Portland because Oregon is one of five states that recognize aid in dying as lawful medical practice. Among the 40 other states that are addressing "assisted suicide," 38 criminalize it.

Johnson takes issue with the term "assisted suicide." Many people who commit suicide are physically healthy, she says, while her clients are terminally ill people taking control of their death.

Polls show that most Americans support Maynard's decision and favor a full consideration of end-of-life options.

About six in 10 Americans believe people suffering a great deal of pain with no hope of getting better have a moral right to end their lives, according to Pew. That's up from 55% in 1990.

And most adults in America said there are at least some situations in which they, personally, would want to halt medical treatment and be allowed to die, according to Pew. But about a third responded that they would tell their doctors to do everything possible to keep them alive.

Pew found that personal preferences are linked to religious affiliations. Many people believe that no one but God has the right to make a life or death decision. The Catholic Church, for instance, has guidelines on end-of-life decisions and forbids actions that are considered immoral by the church, including euthanasia and doctor-assisted death.

Others believe feeling pain can be spiritually cleansing and redemptive, Johnson says.

"I don't get this, but some people think suffering is character building and they really want to suffer," she says.

And that, too, can be a good death.

Follow CNN's Moni Basu on Twitter

HOW WOULD YOU WISH TO DIE?

Read about families from California to India who were forced, by unlucky fate or divine providence, not only to articulate an answer, but to carry it out.

@highlight

Jena Johnson works as an end-of-life counselor

@highlight

She wants to make sure people know they have choices at the end of their lives

@highlight

Study: More than a quarter of Americans have given little or no thought about wishes for dying

@highlight

Brittany Maynard's death has helped spark a national conversation