Johannesburg, South Africa (CNN) -- If the opening game of the 2010 World Cup was anything to go by, in which South Africa played out a compelling 1-1 draw with their Group A opponents Mexico, the power of soccer has managed to pull off an early victory.

Football -- known locally as Diski -- has traditionally been a "black" sport in this region, so it was remarkable that of the 84,490 people that attended the match played on the outskirts of Soweto, so many were non-colored and, more specifically, white.

Prior to kick-off, organizers had been vocal about their primary goal; to leave a legacy of greater unity between a people that had been divided for so much of their shared history.

Historical paranoia and mistrust between racial groups had been rekindled in the republic as recently as April, when white supremacist leader Eugene Terreblanche was murdered in his farmhouse home.

Mo Allie, a freelance football expert who writes for The Sowetan newspaper, told CNN: "After the Terreblanche murder, people were predicting a civil war and bloodshed -- but that just hasn't materialized.

"People have put aside their differences, people on the streets are just smiling a lot more and the economic problems and racial divisions have been forgotten."

Ferial Haffajee, editor of City Press newspaper in South Africa, agreed with Allie's analysis: "I think over the past month we've seen a crossing of racial boundaries that people did not think was possible after the murder of Terreblanche put us on the edge of a race war. People have really shown the enormous human capacity of reaching out to find what is common."

Though the organizers seemingly have reason to be pleased with the early progress made towards their goals, Haffajee told CNN the credit should not fall at the feet of world football's governing body FIFA or the South African government.

"I wouldn't attribute this to the organizers at all. What surprises me is this really does seem to have come from the ground. Forced attempts to make us reconcile -- where we're told to hold hands, to cross racial boundaries -- never work. But people have taken this World Cup into their own hands and made it their own."

Such views held by those in the domestic media certainly seemed to hold weight with the views of fans that spoke to CNN as they left the Soccer City Stadium after the game.

Kate Oakley (white), 24, who works as a buyer in Johannesburg said: "The World Cup has united South Africa because normally we think that white people don't come to see soccer -- but today it was everyone together.

"Rugby is normally white and soccer black, but a couple of weeks a go an Afrikaans rugby team from Pretoria played at the [Orlando] Pirates Stadium [in Soweto]-- and they had their vuvuzelas! It has been amazing some of the things that have happened."

Rob Matthews, a 59-year-old white office worker added: "This was my first football game in South Africa. We came by train, which is traditionally transport for the black community but it was superb, we had an absolute ball and I would come again definitely.

"I think the community will mingle after the World Cup a bit more after this. I think that is far more important than economic benefit. A debt can be paid off but a community spirit is priceless."

Forty-one-year-old attorney, Chandesh Britlaw (Indian) added: "Nights like tonight help to bring us together, from a people aspect the World Cup has been a big plus. I'm an Indian, but I'm a South African first."

Nboniseni Mathivha (black), a 35-year-old senior manager at Gauteng department of finance was already a regular spectator at domestic league games prior to the World Cup. He too welcomed a soccer crowd that better reflected South Africa's diverse population.

"The crowd [for the first game] had far more whites and Indians, it was very multiracial unlike the normal crowd which is mostly black. Most non-black football fans in South Africa worry about the security."

For Mathivha, the key to maintaining the momentum created in the build up to the World Cup is for football, as a sport, to be more proactive in its promotion; an action that could have benefits for the society more widely.

"We have to sell soccer in all communities, we need the white fans to go back and promote football in the white schools so that we can have more white players coming through to play.

"We have to progress -- I saw apartheid -- but my generation will fade away the new generations will come the stadiums together in the future," he told CNN.

Ever since the "Rainbow Nation" was announced as the hosts of FIFA's showpiece in 2004, skeptics argued that areas in desperate need of investment and their resources were forsaken for the tournament.

New stadiums were built at vast expense for a nation where over 40 percent of the population lives on two dollars a day. For many the key to creating a legacy will be how the good start to the World Cup is built on.

"I think it's unrealistic to expect more than a feel-good factor. Once the World Cup is done and when the "white-elephant" stadiums are left I don't think you can expect sport to unite the people on a permanent basis," Allie told CNN.

"You're still going to have people dissatisfied about living in poor conditions, the massive disparity between bosses and workers, and racial divides."

Haffajee added: "Our national statistics show that black ownership of key levers of the economy and presence in management layers still has a long way to go. The income gap has still two generations to work on becoming closer.

"[However] the value of events that can bring the nation together, it is hard to put a price on that. It's the first time we've felt this kind of nationhood since 1994.

"But I would caution against building miracle moments because -- when you look at how feudal some parts of South Africa still is, when there is another murder of a farmer, or a farmer kills his workers -- it is easy for this to turn to a failure.

"Better to look at the small things, where people are reaching out to be friends, to fall in love and to marry -- this is the key progress. The hard work starts in July when the tournament packs up."

@highlight

The FIFA World Cup is bridging traditional racial divides in South Africa

@highlight

Many South African whites are attending football matches -- traditionally a "black" sport

@highlight

Racial unity allays fears recent killing of Eugene Terreblanche would rekindle clashes