New Orleans, Louisiana (CNN) -- Of all the terrifying moments during Hurricane Katrina, one of the worst was when word came that the roof of the Louisiana Superdome was tearing away.

During the storm and for days after, the dome was a refuge of last resort for people who had nowhere else to go.   It was an iconic image of the city itself, and it became a symbol of all that went wrong with the evacuation.

The Superdome suffered severe damage -- 70 percent of its 10-acre roof was ripped away, revealing the metal framework underneath, and allowing oceans of water to flow inside.   Over 70,000 stadium seats were soaked, and water poured down over 2 million square feet of walls, electronics and furniture.

Doug Thornton, senior vice president of SMG, a managing company in charge of the Superdome, watched as the city's crown jewel was shredded.

"There were projectiles that had actually been driven into the aluminum skin of the Superdome," he says. "We were very concerned about debris falling from the roof. We had no water pressure. We had no ability to remove trash and debris, and we were taking on more and more and more people. The Superdome was literally the poster child for misery and suffering."

As the last of the storm's refugees were finally evacuated from the area days later, Thornton flew out in a helicopter and looked back across his own neighborhood to the Superdome, seeing an ocean of water the whole way. "I didn't think there would be any way to come back ... not to the city, not to the dome, not to my home."

Still, within days, he and his staff returned, called in architects, and began examining the Dome to see if it might be saved. For a month, they crawled through the framework, studied structural components, and finally decided that a restoration could be attempted. Maybe a long shot, but possible.

So mounds of debris were cleared. Anything that had been damaged beyond repair was removed, and the expensive process of replacing everything that had been lost began. The cost was staggering. A new sound system was put in for $7 million. Concession stands: $3 million.

Video systems: $8 million. Phones: $8 million more. And on and on it went.

All of this was happening under enormous time pressure. The NFL wanted the Saints to open their 2006 season in the Superdome, and that game was slated for little more than a year after Katrina. Work would have to proceed seven days a week.

So Thornton is grateful for every break that came his way. The crews replacing the roof hoisted a "No Hurricanes" flag as a joke to stave off any storms that would delay their efforts. It worked. They finished more than a month ahead of schedule.

Inside, all those soaked stadium seats were molding. They could not afford to replace them all, so they cleaned them, covered them in plastic, and for two months blew hot air beneath the plastic to thoroughly dry them and kill off any residual mold. That worked too. Only 20,000 were beyond saving.

Thornton stands far up in the stands looking over the vast expanse of seats and shakes his head in wonder. "If we would have had to replace 72,000 seats we wouldn't have made it."

But they did make it. Much remained to be done, but the Dome was declared "football ready" and filled with fans to see New Orleans' beloved Saints beat the Atlanta Falcons in the home opener. Since then, the Saints have, of course, won the championship of the NFL, making the whole comeback seem as if it were fated.

Thornton knows better.   The work has continued nonstop for five years, and it goes on still.

This is the largest stadium restoration project ever attempted in this country on one of the largest rooms in the world. When it is all done, it will have cost more than $300 million.

And yet it is the small moments that Thornton remembers most as he walks the hallways, tending to this landmark of a beleaguered city.   Near one stadium gate, he points out a spot where every day during the crisis he saw an old woman crouching, helping tend to some children.   He says he still wonders, almost every time he passes, what happened to her.

But just as he did with the Superdome itself, he hopes for the best, and works on.

@highlight

Katrina ripped roof of NFL Superdome stadium as people sought shelter inside

@highlight

Superdome restoration largest stadium project of its kind in U.S. history

@highlight

72,000 stadium seats were damaged; all but 20,000 seats were saved

@highlight

After stadium re-opened, NFL's Saints won their first game and later, the Super Bowl