WASHINGTON (CNN) -- Newly released documents from Supreme Court nominee Sonia Sotomayor's service on the board of a Puerto Rican civil rights organization show the group opposed Robert Bork's nomination to the high court more than two decades ago.

Judge Sonia Sotomayor is set to face Supreme Court confirmation hearings.

Sotomayor, a judge on the New York-based U.S. Court of Appeals for the 2nd Circuit, was nominated by President Obama in May to fill the vacancy of retiring Justice David Souter. Her confirmation hearings are set to begin July 13.

She served as a board member of the Puerto Rican Legal Defense and Education Fund from 1980-92, leaving when she became a federal judge.

During her years on the PRLDEF board, the group opposed President Reagan's 1987 nomination of the conservative Bork -- then a federal appeals judge -- "because of the threat he poses to the civil rights of the Latino community," according to the documents.

The group's attorneys prepared press releases and "worked on numerous efforts to build coalitions against the nominee," according to the documents. Bork was ultimately rejected by the Senate.

The Fund also met in 1987 with staff at the New York Daily News to address what it called "negative images of Puerto Ricans presented by the News' staff," including well-known columnist Jimmy Breslin.

Republicans are challenging Sotomayor's record on affirmative action, and the newly released documents on her work at the Fund will likely be a centerpiece of debate at the upcoming confirmation hearings.

The 350 pages of documents released Wednesday by the Senate Judiciary Committee show the Fund filed hundreds of discrimination lawsuits over the years on behalf of Hispanics. The documents do not reveal whether Sotomayor was directly involved in them. She was a private attorney at the time, and was volunteering for the group.

However, they reflect the Fund's strong push to establish a precedent of cases that would establish legal authority to uphold workplace quotas for minorities.

One case dealt with promotions in the New York City Police Department. A May 1992 memo on "litigation highlights" noted, "We obtained quota promotions for Latinos and African Americans to the rank of sergeant."

A PRLDEF class-action lawsuit filed on behalf of minority applicants claimed advancement exams were "discriminatory and not job related." The city settled, agreeing to promotions that reflected the percentage of Hispanic test-takers. Backpay and retroactive seniority were also provided.

"As a result," said the memo, "almost 100 Hispanics were promoted, over twice the number that would have been promoted without the settlement."

Fast forward 17 years to a case Sotomayor heard as an appeals judge. She and her colleagues rejected a lawsuit by white firefighters in New Haven, Connecticut, after the city threw out the results of promotional exams because too few minorities qualified for advancement.

In the case, one Hispanic and 19 white firefighters who scored high on the exams and would have gained captain and lieutenant positions claimed "reverse" discrimination.

Last week, the Supreme Court ruled in favor of the so-called "New Haven 20," concluding "the city rejected the test results solely because the higher scoring candidates were white." Justice Anthony Kennedy, writing for the majority said, "No individual should face workplace discrimination based on race."

The high court said municipalities would now have to establish "a strong basis of evidence" that promotion tests were unfairly designed or administered before nullifying them, and not simply because too many minorities did poorly.

Sotomayor's views in the case have been criticized by some conservatives, saying it shows she supports racial preferences for Hispanic and other minorities.

The high court dissent, however, criticized the ruling for reinterpreting what Congress intended.

"Congress endeavored to promote equal opportunity in fact, and not simply in form," wrote Justice Ruth Bader Ginsburg. "The damage today's decision does to that objective is untold."

Supporters also contend the PRLDEF documents add nothing to the nomination debate.

"Documents that Judge Sotomayor did not write, or approve -- many of them more than two decades old -- are irrelevant to her nomination," according to a White House statement. "The Senate should judge her on her own record -- especially her judicial record -- not on briefs that other lawyers wrote 20 years ago."

Opponents, however, claim Sotomayor's prior work for PRLDEF, and her off-the-bench comments reveal doubts about her fairness and impartiality as a judge.

In addition, some Republicans on the committee expressed concern the material was released only 12 days before the hearings begin.

"This has all the hallmarks of a deliberate delay and an attempt to frustrate a thorough review of this important information," said Stephen Boyd, a spokesman for Sen. Jeff Sessions of Alabama, ranking Republican on the committee. "If these dilatory tactics continue, it will be increasingly more difficult for the hearing to go forward on July 13."

Sotomayor supporters point out a similar "document dump" by the Bush White House in the days before Chief Justice John Roberts testified before the Senate in September 2005. And the Bush administration also refused to turn over material from Justice Samuel Alito's prior service in the Reagan and Bush Justice Departments in the 1980s, arguing his subsequent judicial record was sufficient to determine his qualifications to sit on the high court.

@highlight

Sotomayor once served on the Puerto Rican Legal Defense and Education Fund

@highlight

Group opposed the 1987 nomination of Robert Bork to the high court

@highlight

Supporters: PRLDEF documents add nothing to the nomination debate

@highlight

Republicans are challenging Sotomayor's record on affirmative action