(CNN) -- Can the "birthers" ever be convinced that Barack Obama was born in America and is eligible to serve as president?

Probably not, according to one prominent psychology professor and other political observers.

Since Obama launched his bid for the White House, a sizable minority of Americans has expressed strong doubts about whether he was actually born in the United States. Over the past few years, the allegation that he was born overseas -- in Kenya or perhaps Indonesia -- has taken on a life of its own, despite a mountain of evidence to the contrary.

A recent CNN/Opinion Research Corp. poll showed that roughly 25% of Americans -- including over four in 10 Republicans -- believe Obama was definitely or probably not born in the United States.

Earlier this week, CNN released the results of its own investigation into the controversy. Documents and statements from numerous public officials and childhood friends made clear that the president was born in Hawaii on August 4, 1961.

On Wednesday, Obama himself addressed the issue, pleading for an end to the distractions of "sideshows" and "carnival barkers."

The president yielded to demands from his critics that he release his original long-form birth certificate, filing a special legal request with Hawaiian authorities to release a document that is no longer used for official purposes and ordinarily remains buried in the basement archives of the state health department.

Obama's 2008 release of the more common "live birth certification" -- a short computer-generated form typically used for documentation purposes -- did little to silence the chorus of skeptics.

It remains to be seen whether Wednesday's release will be received any differently. But the early reaction wasn't exactly positive.

One of the main websites pushing the birther claims -- birthers.org -- declared that "forgery or not, now we can debate the true meaning of a natural born citizen."

The U.S. Constitution says only "natural born" citizens can become president -- a vague clause that some members of the birther movement contend disqualifies Obama if he was born outside the United States.

Joseph Farah, editor-in-chief of the conservative website WorldNetDaily.com, said that "we know (Obama's) father was a Kenyan citizen, and that he would therefore confer Kenyan or U.K. citizenship on his son, which would at best make him a dual citizen."

Dual citizenship, Farah asserted, "is not what the Founders had in mind when they coined the phrase 'natural born citizen.'"

Sharon Guthrie, the legislative director for a Texas state representative backing a bill requiring proof of citizenship for presidential ballot access, told the website Slate.com that she was still suspicious.

"What they produced today ... still says certificate of live birth across the top," she said. "We want to see a 'birth certificate.' ... The one that we have that says 'birth certificate' is from Mombassa, Kenya, with his footprint on it. He has still not produced an American birth certificate."

Why the unrelenting skepticism?

Emory University's Drew Westen, author of the "The Political Brain" and an informal advisor to Obama's 2008 campaign, chalked up much of it to Obama's reluctance to immediately rebut the charge more quickly in the presidential race.

"The right wing was attempting to make him 'one of them' as opposed to 'one of us,'" he claimed.

Westen, a professor of psychology and psychiatry, cited what psychologists call the "sleeper effect."

"If you present negative information about someone and it initially goes unchallenged, you might alter some people's conscious beliefs by challenging it later," he asserted. "But they are left with a negative gut-level feeling that doesn't go away."

"Political feelings, once they are strongly held, tend to be resistant to facts. It's just the result of the way our brains work," he said.

Westen mentioned the so-called "Swift Boat" attacks against Democratic presidential nominee John Kerry in 2004, which called into question the senator's service in Vietnam.

Kerry "allowed his honor to be challenged and didn't respond for weeks," Westen said. "When finally he did respond and had definitive evidence that the attacks were untrue, it was too late. People's feelings towards him had already changed. They wouldn't change back by that point."

Along similar lines, Westen told CNN that if staunch Democrats or Republicans are presented with clear evidence of wrongdoing on the part of their party's nominee shortly before an election, they'll come up with "every kind of rationalization to explain it away."

"We fight off information that makes us feel bad and gravitate toward information that makes us comfortable," he said.

Westen also brought up the explosive issue of race, one of the biggest political lightning rods in U.S. history. He insisted the birther movement never would have taken hold with a white president.

It's not fair to call a large segment of today's electorate "1950s-style racists," he said. But some people are "unconsciously prejudiced in a way that predisposes them to not believing that a black man with a funny name could have really been legitimately elected president of the United States."

But Bill Mayer, a Northeastern University political scientist, took issue with the notion of race as the critical component of the birther movement.

"The fact that Obama is black may affect the form of the conspiracy, but probably not the fact that there is a following for this rumor," he told CNN. "Conspiracy beliefs have a long history in American politics."

Mayer cited a range of political conspiracy theories, including claims regarding the Kennedy assassination, involvement on the part of the Clintons in alleged murders, and George W. Bush's supposed knowledge of the 9/11 terror attacks.

Presidential historian Douglas Brinkley noted that, back in the 19th century, questions were raised over the American roots of Andrew Jackson and Chester Arthur.

But it was "nothing like this," he told CNN. "We are now in the age of electronic journalism. ... This has become a ghastly scenario (over) the last month."

Mayer suggested that Obama's release of the long-form birth certificate will "further marginalize those who insist (the matter of his birth) is an open question." Still, he added, "I don't understand why the White House took so long" to put out the document.

Just how long will the controversy drag on? Westen claimed the birther issue will continue to be political fodder until a critical mass of Republican leaders decide it's making the GOP look "foolish" and hurting the party among independent voters.

A spokesman for House Speaker John Boehner, R-Ohio, released a statement Wednesday claiming that the controversy "has long been a settled issue."

History suggests otherwise.

CNN's Brian Todd and Shannon Travis contributed to this report

@highlight

A significant portion of the electorate continues to believe Obama wasn't born in America

@highlight

There is overwhelming evidence that Obama was born in Hawaii in 1961

@highlight

Emory's Drew Westen says race is a key factor, and that people often block out facts they dislike

@highlight

Northeastern's Bill Mayer notes the long history of conspiracy theories in U.S. politics