Istanbul (CNN) -- The United States now recognizes the main opposition group in Libya "as the legitimate governing authority" in a country that Moammar Gadhafi has long ruled with an iron first, Secretary of State Hillary Clinton said Friday.

U.S. recognition of the Transitional National Council is a major diplomatic policy shift that could give the rebels access to Libyan regime assets that have been frozen by the United States.

Clinton announced the change in Istanbul at a meeting of the Libya Contact Group, the alliance of nations working to deal with the Libyan crisis. Applause rippled through the audience as she spoke.

Clinton said the Transitional National Council, also known as the TNC, "continues to gain legitimacy as the representative of the Libyan people" and conducts "high-level diplomacy with governments worldwide."

"So I am announcing today that, until an interim authority is in place, the United States will recognize the TNC as the legitimate governing authority for Libya, and we will deal with it on that basis."

The United States had previously stopped short of giving this recognition to the council, but Clinton said the body, based in Benghazi, Libya, "has offered important assurances today."

They include "the promise to pursue a process of democratic reform that is inclusive both geographically and politically, to uphold Libya's international obligations and to disburse funds in a transparent manner to address the humanitarian and other needs of the Libyan people."

The United States "appreciates these assurances from the TNC, which reinforce our confidence that it is the appropriate interlocutor for us in dealing with Libya's present and addressing Libya's future."

In Zintan, rebel military commander Hajj Ousama Jwaili, a commander in the western mountains, said Friday that he considers the announcement "another indication of support by the international community toward the rebel fighters." He added, "This is an appreciated move by the U.S., and more countries should do the same."

Gadhafi reacted with derision to the U.S. announcement.

"Their decisions, meetings, recognitions and their statements are all under your feet -- trample on them," he said Friday in an audio message, purportedly taped in Zlitan and broadcast on state-run television. "This is our answer to all the decisions they took against the Libyan people."

The Libyan leader urged the NATO powers and others to take heed of what he said was his continuing popularity in Libya.

"You in America, Europe, Russia and everywhere, look! Look at the millions. Look at the Libyan people. More than 5 million people carrying the pictures of Gadhafi are ready for jihad and for martyrdom."

He called for "traitors" to give up their effort to overthrow his regime, warning that failure to comply will have consequences.

"They must abandon their weapons and turn themselves in from Benghazi to Misrata to Zintan," he said. "We will not hold anyone who turns in his weapons accountable. If this does not happen, the march of millions will take place."

The Libyan uprising began in February, when opposition forces began fighting to oust Gadhafi and his regime.

NATO forces have been operating under a U.N. mandate in Libya to protect people from aggression by Gadhafi forces.

Clinton said the United States "will help the TNC sustain its commitment to the sovereignty, independence, territorial integrity and national unity of Libya, and we will look to it to remain steadfast in its commitment to human rights and fundamental freedoms."

"In contrast, the United States views the Gadhafi regime as no longer having any legitimate authority in Libya," she said.

Diplomatic efforts have been ongoing to end the crisis, and Clinton said Libyans are "looking past Gadhafi."

"They know, as we all know, that it is no longer a question of whether Gadhafi will leave power but when."

Clinton said the coalition will continue to target Gadhafi's command and control if he keeps threatening the citizenry.

"The terms of a cease-fire are clear. Gadhafi must stop attacks or the threat of attacks, remove his troops from all of the places they have forcibly entered and facilitate the delivery of humanitarian assistance.

"The terms of a political process that will produce a cease-fire and pave the way to a democratic Libya are also clear. It must involve Gadhafi's departure and an inclusive effort to build a new constitutional framework that redeems the democratic aspirations of all the Libyan people."

As for the recognition step, a senior State Department official reiterated that the rebel council's political and economic assurances "turned the tide" in their favor.

"We sent a very clear signal ... to the TNC that we recognize them as the future of Libya," State Department spokesman Mark Toner said. "As such, we're going to take steps to make sure that they're able to carry out their functions."

A final statement issued by the Contact Group raised a range of points, including an agreement by the participants "to deal" with the Transitional National Council "as the legitimate governing authority" in the country "until an interim authority is in place." It also welcomed monetary pledges and encouraged financial help.

"Noting that the unfolding situation in Libya since mid-February has disrupted the operations of foreign companies and contractors, the Contact Group welcomed the commitment of the (Transitional National Council) to open up Libya to foreign investment as soon as possible and its commitment to honor any existing legal contracts signed under the Gadhafi regime," it said.

It also cited "the need for establishment of a genuine cease-fire and provision of safe humanitarian access remain as urgent as ever."

The group "urged all relevant parties to explore ways and means of paving the way for the formation of an interim government to ensure a smooth and peaceful transition of power with the widest popular support possible," it said.

CNN's Elise Labott and Kareem Khadder contributed to this report.

@highlight

Gadhafi asks Libyans to "trample" on the U.S. announcement

@highlight

He says he's wildly popular in Libya and derides "traitors"

@highlight

Hillary Clinton states the new policy at Libya Contact Group meeting in Turkey

@highlight

The Transitional National Council is a main organization for the opposition