(CNN) -- The consumption of NFL football, America's most popular sport, is built on game-day traditions.

This week fans will dress head-to-toe in team colors and try out new tailgate recipes in parking lots before filing into 16 NFL stadiums to cheer on their team -- which, thanks to the league's parity, will likely still be in the playoff hunt come December.

But a game-day ritual of the digital age -- tracking scores, highlights and social-media chatter on a mobile device -- isn't possible inside many NFL venues because the crush of fans with smartphones can overload cellular networks.

The improved home-viewing experience -- high-def TV, watching multiple games at once, real-time fantasy-football updates and interaction via social media -- has left some NFL stadiums scrambling to catch up. It's one of the reasons why, before rebounding last year, the NFL lost attendance between 2008 and 2011, forcing the league to alter television-blackout rules.

In May 2012, NFL Commissioner Roger Goodell announced an initiative to outfit all 31 NFL stadiums with Wi-Fi. But with the start of the 2013 regular season just days away, less than half of the NFL's venues are Wi-Fi enabled and no stadiums have launched new Wi-Fi systems this year.

Part of the reason for the delay is some stadium operators are waiting for the next generation of increased Wi-Fi speed before installing networks, said Paul Kapustka, editor in chief for Mobile Sports Report.

Another reason, Kapustka said, is that the cost of installing Wi-Fi will come out of the pockets of venue owners and operators who have traditionally not needed to invest in such costly projects. Instead, they receive public money to help build stadiums and television money for the right to broadcast games.

"Stadium owners and operators need to get their hands on the fact that they need to put in Wi-Fi like they need to put in plumbing," Kapustka said.

Brian Lafemina, the NFL's vice president of club business development, said the league is still searching for a telecommunications partner that can help tackle challenges of stadium location, design and tens of thousands of fans all trying to access the network at the same time.

"Yes, we are working on it as hard as we can," he said. "But the technology just isn't where it needs to be to deliver what we want to deliver."

The league is unveiling a variety of technological enhancements at stadiums in 2013, including cameras in locker rooms, massive video boards that will show replays of every play, a "fantasy football lounge" with sleek technological amenities, the ability to listen to audio of other games from inside the stadium, team specific fantasy games and free access to the league's NFL Red Zone cable channel for season ticket holders.

Lafemina emphasized the league's role as a storyteller and said it is striving to use technology to provide fans in stadiums with unique content.

"The most important people in that stadium are the 70,000 paying customers," he said.

Jonathan Kraft, president of the New England Patriots and co-chair of the NFL's digital media committee, told CNN Money in January that he hopes to have all stadiums equipped with Wi-Fi for the start of the 2015 season.

The Patriots helped lead the way last year by offering fans free Wi-Fi throughout Gillette Stadium in Foxboro, Massachusetts. The network was built by New Hampshire-based Enterasys Networks.

"We certainly encourage that any club would invest the way they have," said Lafemina.

Eleven other stadiums currently have Wi-Fi capability: MetLife Stadium in northern New Jersey, the Georgia Dome in Atlanta, Lucas Oil Stadium in Indianapolis, Raymond James Stadium in Tampa, the Mercedes-Benz Superdome in New Orleans, Bank of America Stadium in Charlotte, Sun Life Stadium in Miami, AT&T Stadium in suburban Dallas, University of Phoenix Stadium in suburban Phoenix, Ford Field in Detroit and Soldier Field in Chicago.

The 20 other stadiums have Wi-Fi in certain areas, but mostly operate on wireless service provided by Verizon and/or AT&T. Many of these venues have installed distributed antenna systems (DAS) to increase wireless connectivity while they seek answers to the challenges of enabling stadiums with Wi-Fi.

DAS connects cellular antennas to a common source, allowing wireless access in large buildings like stadiums.

Mobile Sports Report published its inaugural State of the Stadium Technology Survey this year, based on responses from more than 50 NFL, MLB, NBA, NHL, university, pro soccer, pro golf and car racing sites. The survey concluded DAS is currently more popular at venues because it boosts connectivity to mobile devices while dividing costs between carriers and the facility.

Cleveland Browns fans will benefit from a new DAS tower, installed by Verizon, and an upgraded AT&T tower this year at FirstEnergy Stadium, Browns President Alec Scheiner said the improved technology will serve as a test case for whether to install Wi-Fi in the future.

"If you are a consumer or a fan, you really just care about being able to get on your mobile device, and that's what we're trying to tackle," he said during a July press conference.

Kapustka said DAS is a quick fix and is not a long-term strategy, especially when it comes to fans watching TV replays on their mobile devices.

"The video angle is the big thing for Wi-Fi," he said. "Cellular just simply won't be able to handle the bandwidth."

He also pointed out that it is not in the best business interest of cellphone carriers to install Wi-Fi, as it would take customers off their networks.

Also complicating Kraft's 2015 goal is the lack of league consensus about who will build Wi-Fi networks in all of its stadiums, and when.

By contrast, Major League Baseball named wireless-tech company Qualcomm its official technology partner in April, launching a two-year study to solve mobile-connectivity issues in its 30 stadiums. Kapustka said MLB was in a position to strike the overarching deal with Qualcomm because team owners made the league responsible for digital properties during the 1990s.

The NFL has a variety of rights deals, including Direct TV and Verizon, which make it more difficult for the league to agree on a single Wi-Fi plan, he said.

"My opinion is they (the NFL) will eventually have something more like MLB," Kapustka said. "MLB has shown it is a great way to make money."

@highlight

Despite efforts of commissioner Roger Goodell, less than half NFL stadiums have Wi-Fi

@highlight

At games, the crush of fans with smartphones can overload cellular networks

@highlight

The improved home-viewing experience may have caused a recent dip in NFL attendance

@highlight

Some stadium operators are waiting for a faster version of Wi-Fi to be developed