(CNN) -- If there is one clear emotion emerging before November's U.S. congressional elections, it is that citizens across the political spectrum are  worried about  government spending and a perceived lack of government accountability regarding where tax dollars are spent.

Oddly, the government's approach to the illegal drug problem -- which has cost U.S. taxpayers more than $2.5 trillion since former President Richard Nixon first declared America's "war on drugs" -- has been largely immune from this concern.

CNN iReport: You tell us whether it's time to legalize pot

One dramatic exception is California, where Proposition 19, which proposes to "regulate, control and tax cannabis," will be on the statewide ballot on November 2. In California alone, the illegal market for cannabis, or marijuana, has been estimated to be worth about $14 billion per year, and the legalization initiative aims to redirect the flow of these massive profits from violent drug cartels toward government coffers.

Although the full financial impact of legalization cannot be known, cannabis law enforcement in California is estimated to cost taxpayers anywhere between $200 million and $1.9 billion each year, whereas the State Board of Equalization has estimated that taxation could generate $1.4 billion a year in new tax revenue.

As the vote approaches, a clear division in political support for Proposition 19 has emerged, with a recent Reuters-Ipsos poll showing that 54 percent of Democrats support legalization as Republican support sits at 33 percent. This division is curious, given that cannabis prohibition takes its biggest toll on the traditional conservative wish list of fiscal discipline, low crime rates and strong families.

In fact, as detailed in a report published this month by my organization, the International Centre for Science in Drug Policy, research funded by none other than the U.S. government clearly demonstrates the failure of marijuna prohibition. For instance, government reports demonstrate that even as federal funding for anti-drug efforts has increased from $1.5 billion in 1981 to more than $20 billion today, surveillance systems show that marijuana's estimated potency has increased by 145 percent and its price has declined by 58 percent since 1990.

At a 1991 lecture titled "The Drug War as a Socialist Enterprise," conservative economist Milton Friedman noted: "There are some general features of a socialist enterprise, whether it's the post office, schools or the war on drugs. The enterprise is inefficient, expensive, very advantageous to a small group of people and harmful to a lot of people."

Friedman, who won the Nobel Prize in 1976 for his achievements in the fields of "consumption analysis," had strong views about the certain failure of the war on drugs, which are shared by most economists who stress that costly efforts to remove the drug supply by building prisons and locking up drug dealers have the perverse effect of making it much more profitable for new drug dealers to get into the market.

This explains why surveillance systems funded by the U.S. National Institutes of Health concluded that over the last 30 years, cannabis has remained "almost universally available to American 12th-graders," with between 80 percent and 90 percent  saying the drug is "very easy" or "fairly easy" to obtain.

Friedman was also vocal about the unintended consequences of the war on drugs, including the enrichment of organized crime and drug market violence. As he wrote in The New York Times: "The young are not dissuaded by the bullets that fly so freely in disputes between competing drug dealers -- bullets that fly only because dealing drugs is illegal. Al Capone epitomizes our earlier attempt at Prohibition; the Crips and Bloods epitomize this one."

In this context, consider that about 28,000 people have died in drug market violence in Mexico since 2006, when Mexican President Felipe Calderón declared a war on drugs in that country, and that the U.S. government once estimated that Mexican drug trafficking organizations derive 60 percent of their revenue from cannabis exports to the United States.

The war on drugs has also had a devastating impact on families. Primarily as a result of drug law enforcement, one in nine African-American males in the 25-to-29 age group is incarcerated on any given day in the U.S., despite statistics that show ethnic minorities consume illicit drugs at rates comparable to those of other ethnic groups in the U.S.

In California, where the government spends more on prisons than post-secondary education, a recent report estimated that the cannabis possession arrest rate for African-Americans in Los Angeles County is more than 300 percent higher than that for whites. This disparity has emerged despite data from the U.S. Department of Health and Human Services, which has consistently shown that young African-Americans are less likely to use cannabis than whites.

In addition to both the racial and budgetary implications of this failed experiment, sociologists and criminologists are decrying the intergenerational effects of these policies on low-income families, as children left behind by incarcerated parents turn to gangs and the cycle continues.

One explanation for the persistently high support for cannabis prohibition is the concern that ending the war on cannabis will result in increased use. Interestingly, comparisons between the U.S. and the Netherlands, where cannabis is de facto legalized, indicate that despite the U.S.'s record rates of anti-drug enforcement expenditures, 42 percent of U.S. adults report that they have used cannabis, which is more than twice as high as that observed in the Netherlands, where only 20 percent report a history of cannabis use.

While some U.S. economists predict that rates of cannabis use could increase in California under legalization, they have generally ignored the potential benefits of the broad range of strict regulatory tools -- including licensing systems for vendors, purchasing controls and sales restrictions -- that have all proved effective at reducing rates of use and related harms of tobacco and alcohol.

As described earlier this month in an article published in the influential British Medical Journal, Robin Room stressed the need for an urgent consideration of the benefits of cannabis regulatory systems, especially given that successful government lobbying by the tobacco and alcohol industries have slowly eroded or eliminated many of these effective regulatory mechanisms in the U.S.

As Friedman said, "If you look at the drug war from a purely economic point of view, the role of the government is to protect the drug cartel." Recent estimates suggest that national regulation of cannabis in the United States would result in savings of more than $44 billion a year on enforcement expenditures alone.

Conservatives should look at the ongoing legacy of the failed war on drugs, in light of their traditional commitment to stronger families, economies and societies, and reconsider supporting drug policies that only serve to weaken American society.

The opinions expressed in this commentary are solely those of Evan Wood.

@highlight

Evan Wood: Conservatives concerned by spending ignore cost of failed war on drugs

@highlight

$2.5 trillion spent on war on drugs; crime, violence, drug use are the result, he says

@highlight

Taxation on marijuana could generate $1.4 billion a year in  tax revenue, writes Wood

@highlight

Americans more likely to report marijuana use than people in Netherlands, he says, where it's legal