Washington (CNN) -- Turkey's foreign minister called for a new international initiative for Syria to protect civilians and increase pressure on President Bashar al-Assad to stop his bloody crackdown, saying his country would not remain indifferent to a "massacre in its back yard."

In the wake of the U.N. Security Council's failure to pass a resolution, Ahmet Davutoglu says like-minded countries should look for ways outside the United Nations system to end the killing and deliver aid to civilians under artillery attack from government forces, particularly in the besieged city of Homs.

"Now we need to revitalize a new international initiative," Davutoglu told reporters Friday. "We hope that with such a strong message those who are supporting Bashar al-Assad or (the) regime at this moment, they will have to make a reassessment," Davutoglu said, referring to Russia and China, which vetoed the resolution.

"What we need today is to send a strong message to the Syrian people that they are not alone," he added.

Al-Assad, Davutoglu said, has lost all credibility both inside Syria and around the world. He pointed to the increasing number of defections from the Syrian army, estimating that about 40,000 soldiers had abandoned their posts following orders to attack civilians.

Turkey is NATO's most important Muslim member state and has emerged as a key diplomatic troubleshooter in the Middle East in recent years, working closely with the Arab League to help formulate the Security Council resolution on Syria that was vetoed last week by Russia and China.

Ankara also has tried to broker the nuclear standoff between Iran and world powers. Davutoglu told reporters he believes that Iran is ready for talks about its nuclear program.

Davutoglu said Turkey had talks with Assad and then worked with the Arab League, but Ankara's hopes faded when President Assad failed to implement a road map for reforms.

"We wanted Assad to be Gorbachev, but he chose to be Syria's Milosevic said Davutoglu, comparing the parallels between the events in Syria and the massacres carried out by the former Serbian leader, Slobodan Milosevic, in Bosnia during the '90s.

While Turkey has long maintained it is against foreign military intervention, Davutoglu said his country cannot stand idly by while regimes open attack against their people.

"If there is an oppression by an autocratic leader against the people, nobody can expect us or the international community to be silent," Davutoglu said later Friday during a speech to the Center for Strategic and International Studies. "When I went to Damascus last August, I made it very clear to [al-Assad], I said Mr. President if there is any foreign attack against you we will be siding with you, but if you fight against your own people and force us to decide to be either with you or with the people, we will be with the people."

Davutoglu said he would propose new ways to turn up the heat on the Assad regime when he meets Monday with Secretary of State Hillary Clinton, but declined to provide specifics.

Last week in Bulgaria, after the UN resolution failed to pass, Clinton pledged to work with the the "Friends of a Democratic Syria" worldwide to support the Syrian opposition's peaceful plans for change. Senior State Department officials said the evolving coalition of like-minded countries will discuss ways to bolster the opposition,strengthen existing sanctions against Damascus and seek further ones to block funding and arms shipments to the Assad regime.

The State Department is also trying to find a way to provide humanitarian aid to Syrian civilians, which Davutoglu called a "must."

"It is time for humanitarian access to these cities," he said, particularly referencing cities like Homs that are being shelled by Syrian forces. There must be some international initiatives for this humanitarian access."

He said Turkey was currently providing refuge for some 12,000 Syrians who have fled the fighting and would host as many as needed, but said those civilians left behind were in dire need, although he didn't specify how it could be delivered.

"If Russia and China want to help to Syria, they must be helpful for this humanitarian access. This is not foreign intervention," he said, alluding to Russian fears the West will back a Libya-style foreign military campaign.

On Iran, Davutoglu said previous efforts to reach agreement between Tehran and the so-called "P5 plus one" failed because of a lack of trust on both sides. But he said Iran now seems more willing to discuss a deal that would curb its ability to produce weapons-grade uranium.

"I think this time, Iran has seen that there is a need for negotiation," he said. "This time, I am more optimistic."

But Davatoglu was unequivocal when it came to where Turkey stands over the possibility of an Israeli military strike on Iran's nuclear program.

"A military strike is a disaster," he said at Center for Strategic and International Studies. "It is not reasonable, it is not feasible, and we will be against it, we will never, never endorse any military strike," Davutoglu said.

@highlight

Turkish foreign minister says efforts could be outside United Nations

@highlight

Al-Assad, the minister says, has lost all credibility

@highlight

Ahmet Davutoglu is meeting with Clinton on Monday

@highlight

He is more optimistic over talks with Iran on nuclear issues