Washington (CNN) -- Depending on whom you ask, either Democratic efforts to force big-dollar donors out of the shadows are a smokescreen that hides union clout, or Republicans opposing the efforts are just blowing smoke in an attempt to ensure well-heeled donors stay anonymous.

"Right around an election, when the campaigns start rolling in the money, we're going to hear about disclosure from whichever side is getting less," said Lisa Rosenberg, a government affairs consultant who lobbies for financial transparency for the Sunlight Foundation. "Whichever party is feeling beaten up is going to say, 'We need to fix it.'"

Keenly aware that Republican presidential candidate Mitt Romney has out-raised President Barack Obama in direct contributions for the past two months, Democrats twice brought a Senate bill to the floor aimed at unmasking wealthy, secret donors to outside groups -- the kind that have thrown their weight behind Republican candidates this election cycle.

Nearly 700 independent political groups have poured more than $187 million into 2012 campaigns nationwide so far, according to FEC records compiled by the Center for Responsive Politics. More than $41 million of that has come from groups that disclose only a limited amount of information about their donors, or none at all.

CNN Money: Top super PAC donors

About $140 million of the total has been spent by conservative groups, with most of that laid out during the Republican presidential primary battles, according to the group, which runs the campaign-finance website OpenSecrets.org.

It's Democratic concerns about that kind of money that led to two votes this week on a bill called the Disclose Act, which would have required organizations that spend money on politics to name donors who give more than $10,000. Republicans successfully filibustered the measure both times, with Senate Minority Leader Mitch McConnell accusing Democrats of seeking to cow President Barack Obama's opponents into submission by making activist groups name their high-dollar donors.

"Democrats can call this bill whatever they want, but they cannot conceal its true intent, which is to encourage their allies and discourage their critics from exercising their first amendment right to speak their mind," McConnell said.

Republicans also complained that the measure gave an unfair break to labor unions, which typically contribute to Democrats. Unions have to disclose their expenditures, but individual members' dues would most likely fall below the $10,000 threshold for disclosure.

"What is the final difference between one $10,000 check and 1,000 $10 checks?," asked Sen. John McCain, R-Arizona, co-author of a bipartisan 2002 campaign finance law. "Other than the impact on trees, very little. So why should one be free from having to disclose its origin?"

Senate Republicans block DISCLOSE Act for second straight day

Sheila Krumholz, executive director of the Center for Responsive Politics, says the power of unions is "incontrovertible." But unions already disclose the amount they spend, and its source -- members' dues -- is a known quantity, she said.

"What we don't know is who is bankrolling these patriotic-sounding but vague and unfamiliar groups which are funded to the tune of hundreds of millions of dollars by individuals, by corporations and trade associations," she said. "... We don't have good enough and routine enough information about union spending to these outside groups, but we have no information from the other side."

Labor groups now have to report political expenditures of more than $5,000, though they don't have to disclose individual members whose dues are pooled to provide that money. Philadelphia labor lawyer Richard Poulson told CNN that's not a break for the unions, just a reflection of the comparative wealth involved.

Opinion: Why Democrats need labor unions

"The Republicans are essentially crying foul because individual union members are not wealthy enough," said Poulson, whose firm of Willig, Williams and Davidson has represented several public- and private-sector unions.

"If we were to go back to square one, I don't think anyone on labor's side of the fence is particularly happy the floodgates have been opened with respect to political spending," Poulson said. But he added, "Workers are never going to have as much money as the bosses, and that's just a fact. And you shouldn't punish workers for banding together to get some sort of a voice in the process."

Democrats say legislation is necessary to stanch the tide of money that has been pouring into American politics since the 2010 Supreme Court decision in the Citizen United case. That ruling struck down some long-standing limits on campaign spending by corporations, unions and other groups. A previous version passed the House of Representatives in 2010, but also fell to a GOP filibuster.

Reid: "...there is nothing free about an election purchased by a handful of billionaires for their own self-interest."

"Instead of standing up for the American people, Republicans stood with big banks and oil companiesâ€”special interests that certainly don't need more clout in Washington," President Obama said Monday in a statement released after Republicans successfully blocked the Disclose Act.

And Senate Majority Leader Harry Reid said the $10,000 limit was added at the request of the National Rifle Association, the GOP-leaning gun-rights lobby.

"We thought that perhaps with the NRA having so much power on the Republicans, that we would raise that to $10,000, which we were told would make them happy," the Nevada Democrat said before Tuesday's vote on the legislation. "But it didn't make any difference to the Republicans."

A longtime foe of any campaign finance legislation, McConnell has argued that full disclosure of campaign donations is "the best disinfectant," as he told NBC in 1997 -- but he's also qualified that call by saying it should be limited to groups directly involved in politics, not "issue advocacy" groups like those unleashed by the court's ruling in the Citizens United case.

But the opposition had some high-profile opponents on the left as well. The American Civil Liberties Union opposed both the 2010 and 2012 versions, noting that some features it supported in the previous bill -- such as making corporations disclose their political spending to shareholders and requiring broadcaster to provide low-cost airtime -- weren't included this year.

"Measures intended to root out corruption should not interfere with freedom of expression by those wishing to make their voices heard, and disclosure requirements should not have a chilling effect on the exercise of rights of expression and association, especially in the case of controversial political groups," several of the ACLU's top lawyers wrote in March.

And Maine Sen. Susan Collins, a moderate Republican who has supported earlier overhauls of campaign-finance law, dismissed the Disclose Act as an election-year stunt by Democrats.

"I have long believed that Americans have the right to know who is contributing to political campaigns, and I share the serious concerns of so many who believe that outside, third party groups, should not be allowed to raise and spend unlimited amounts of money without revealing the names of donors," Collins said in a statement to CNN. "That is why it is so frustrating that we find ourselves, once again, being asked to consider a partisan bill that would not fix the real problem."

Meanwhile, Obama and Romney have benefited from the deluge of campaign cash pouring in from the "super PACs" spawned by the Citizens United decision.

Pro-Obama super PAC raises $6.1 million in June

The pro-Romney Restore Our Future Fund has raised more than $61 million, according to OpenSecrets and spent $53 million of that. The Obama-allied Priorities USA Action has raised nearly $15 million and spent about $10 million, while during the GOP primaries, the super PAC that backed former House Speaker Newt Gingrich's failed campaign raised nearly $24 million and spent all but a few hundred thousand.

Pro-Romney super PAC brings in $20 million in June

All unions combined have put about $52 million into the 2012 elections so far, according to OpenSecrets. About $30 million of that has gone to Democrats, roughly $4 million to Republicans and the rest to independent groups.

Rarely do big-dollar donors to either candidate rush forward to give their names and declare how much they've contributed.

"Money is never going to run short in our political system," the Sunlight Foundation's Rosenberg said. "Where it does run short is (what's fair) for the average voter and the average citizen ... if you are a voter and you're being bombarded with negative ads and you don't know whose behind them."

Does big money spell big trouble in campaigns?

CNN's Joe Johns and Ted Metzger contributed

@highlight

Democrat and Republican leaders are battling over disclosing big-dollar donors

@highlight

The fight is fueled in part by a huge influx of cash by anonymous donors and unions

@highlight

Voters are the ultimate losers in this fight over transparency, some politicos say