(CNN) -- Hail stones the size of fists pummel the small sailboat lurching violently in the Pacific Ocean. Blanketed in darkness, Nik Brbora desperately tries to steer his 18-strong crew through 50-knot hurricane winds and waves three-storeys high.

As dawn approaches, a monster wave flips the yacht, ripping out the steering and smashing Brbora against the deck. Falling in and out of consciousness, the 29-year-old is rescued by U.S. coast guards who take him to the closest hospital -- 900 kilometers away in San Francisco.

It's a terrifying and ultimately death-defying moment for the IT engineer from London. Yet now, as he looks back three months after completing the year-long Clipper Round the World Yacht Race, Brbora says the journey was also the greatest experience of his life.

He was one of 500 amateur sailors racing ten yachts 64,500 kilometers across the globe, battling everything from hurricanes in the Caribbean to the dreaded doldrums of South East Asia.

It may seem like the sort of grand adventure only the most hardened sailor would be capable of. But in an unusual twist, the majority of people on board have never sailed a boat in their lives.

The event organizers are now recruiting for next year's clipper race. Those who enter face the prospect of saying goodbye to their jobs, family and friends for a 12-month voyage on the high seas.

Setting sail in July 2013 from Southampton in the UK, the 70-ft yachts will visit 15 ports on all six continents. The journey is made up of eight legs, with sailors able to join for one of these, or the full circumnavigation.

Founded in 1996 by Sir Robin Knox-Johnston -- the first person to sail solo, non-stop, around the world in 1969 -- the Clipper Race revolves around the notion anyone can circumnavigate the globe, regardless of their experience.

The only selection criteria is people must be over 18, pass a three-week sailing course and be physically fit enough to complete the epic voyage.

At Â£43,000 ($69,000) per person for a full year-long voyage, it's not simply a huge physical undertaking, but a significant financial one.

"A lot of people thought I was crazy. They said: 'You could be using that money to put a deposit on a house or a luxury holiday around the world,'" said Brbora.

"But they're such boring, standard options. I saw this as a personal investment."

Australian Lisa Blair, who also completed the full circumnavigation on a different yacht, raised part of the money for her trip through a sponsored 1,300 kilometer cycle ride from Sydney to the Sunshine Coast.

After being selected from almost 800 applicants, the 27-year-old novice sailor quit her retail assistant job, packed up her house and moved to Britain for an intensive sailing course.

Within months she was bunking down with 17 other strangers in a clipper headed for their first stop -- Rio de Janeiro in Brazil.

"You're living with guys and girls in an open room with two rows of bunks on either side," Blair said.

"Shifts are four hours long, so when you're up on deck you're steering the boat, dealing with rigging, making repairs. By the time you get into bed you might only have two hours sleep," she added.

With limited access to phones and internet, the crew is essentially cut off from the outside world. "We only heard about the volcanic ash which shut down airports in Mexico because we were sailing past it," added Blair.

"Instead, you learn a lot about the people on board -- it's human interaction on a really deep level," she said.

Throughout last year's race, participants ranged from 18 to 73-years-old, hailing from 40 countries across the world. They included a NASA scientist, ballet teacher, TV weather girl, farmer, undertaker and London cabbie driver.

For Brbora, the biggest challenge came just two months before the end of the race when his vessel was almost destroyed in a storm 900 kilometer off the coast of San Francisco.

Brbora was flung against metal railing in the accident, suffering a strained hip, while fellow crew member Jane Hitchens, 50, also from Britain, broke her ribs.

"The deck looked like a warzone. There was no steering left and everyone's life jackets had popped open," Brbora said.

"I had a sharp pain in my hip -- I thought 'this is what it must feel like to be hit by a car.' They initially tried to airlift me and Jane out with a helicopter but it was too dangerous with the mast swinging about."

The boat, still miraculously in one piece, was repaired in San Francisco, and the crew went on to finish sixth in a field of 10.

But along with the challenges came moments of joy. "You might be sitting up on deck and hear this whistling sound and it's a pod of dolphins or whales or giant sea turtles," Brbora said.

For self-confessed "ballsy" sailor Blair, her favorite memory was of gliding down waves the size of four-storey buildings in the Southern Ocean. "It's agony because it's so cold; around 3 degrees Celsius (37 Farenheit). But here you are surfing down the face of these mountains of water," she reminisced.

The clipper race was a life-changing adventure for both Blair and Brbora. After all, why stress about a late train or rainy weather when you've survived the most brutal waves on the planet?

"Not many people can say they've sailed around the world," Brbora said. "It's made me realize you shouldn't be afraid of things and it's definitely given me more confidence."

Blair, whose boat won the race, now teaches sailing professionally and hopes to again sail around the world -- this time on her own.

"I've started living my life by the quote: 'Just do, because the world is changed by doers,'" she said. "You're not going to change the world by sitting on the couch watching TV."

@highlight

500 sailors, majority with no previous experience, will circumnavigate world

@highlight

Part of Clipper Round the World race, 12 yachts compete in year-long voyage

@highlight

Last year's competitors tell of harrowing rescues and heartwarming moments

@highlight

"A life-changing experience" for sailors who learn to face fears