(CNN) -- Is it ever acceptable to stand by and let people drown? European leaders seem to think so; in fact it's their new policy.

This week Mare Nostrum, the search and rescue operation in the Mediterranean Sea deployed to help those who get into difficulty while trying to reach the safety of Europe, is due to end.

Since it began last year, the Italian naval operation has rescued 150,000 people from death at sea. Tragically, it has also pulled 3,343 bodies from the waves.

The Italians have now decided that Mare Nostrum is too costly to bear alone and have asked the rest of Europe for help. But the other European governments have declined, finding it politically expedient to turn their backs on the mothers, fathers and children drowning in the Mediterranean. After all, they're someone else's family; some other country's problem.

Mare Nostrum will be replaced by Operation Triton, run by EU border agency Frontex, from November 1. Frontex has said the exclusive focus of Triton will be on border control. There will be no search and rescue function.

The justification is a classic example of self-serving doublespeak, disingenuously expressed by the UK Foreign Office Minister Baroness Anelay earlier this month when she told Britain's parliament: "We do not support planned search and rescue operations in the Mediterranean.

"We believe that they create an unintended 'pull factor', encouraging more migrants to attempt the dangerous sea crossing and thereby leading to more tragic and unnecessary deaths."

The British Government's contention that search and rescue operations are a pull factor is an affront to basic humanity: The suggestion is that if we allow people to drown at sea, it will deter others from setting sail.

This is macabre logic. Do liver transplants encourage people to drink more alcohol? Do seatbelts encourage dangerous driving?

The argument is as flawed as it is chilling. The current increase in boat journeys across the Mediterranean began after Muammar Gaddafi was overthrown in Libya, and reached a peak last summer, when Mare Nostrum was established as a response. People weren't embarking then because they expected to be rescued, and it's not why they're embarking now.

Our leaders act as if oblivious to the fact that the world is in the grip of the greatest refugee crisis since World War II. Over 50 million people around the world have been forcibly displaced, with the Syrian conflict alone spawning more than 3 million refugees.

Those fleeing atrocities will not stop seeking safety in Europe if we stop throwing them life rings. Putting your life in the hands of unscrupulous people smugglers and boarding a rickety, overcrowded boat in Libya will remain a rational decision if your country is in flames and you're scared for your life.

The perversity of the European Union's inhumane stance is further exposed by the fact that many of those who set sail from North Africa are granted refugee status in EU if they arrive safely, as the majority are Syrians, Eritreans or Somalis.

We know these people are likely to need our protection, so why do we make them undertake a deadly journey before we provide it?

The answer is not higher walls around Fortress Europe -- it is to provide more safe and legal channels for people to access protection. People are forced to risk their lives in order to reach safety because they have no other choice. We must provide them with alternatives, and there are plenty of options.

We could loosen restrictions on family reunification, establish temporary humanitarian admission programs and offer protected entry visas. Or we could heed the UNHCR's call for European countries to accept more refugees for resettlement.

The majority of the world's refugees who flee persecution and conflict are unable to travel far beyond the borders of their home country. Developing countries host 86% of the world's refugees, with thousands forced to live in refugee camps for years.

A resettlement place is a lifeline. It offers the chance of sleeping in a real bed; of ensuring children have a decent education; of accessing running water; of hope.

UNHCR estimates that, today, 691,000 refugees around the world are in urgent need of resettlement. These people will never be able to go home, and are unable to rebuild their lives in the poor countries to which they have fled.

Currently, the number of resettlement places offered by EU countries is pitiful: emergency programs aside, only 5,500 resettlement places are available annually. The UK's contribution is a meager 750.

EU leaders must not close their eyes or turn their backs to this refugee crisis. More can and should be done to help.

Pulling up the drawbridge to Fortress Europe will only consign more desperate, scared people to death by drowning, with their bodies washing up on the beaches of Southern Europe.

READ MORE: 40,000 migrant deaths since 2000: Report
READ MORE: 'Laughing' traffickers ram boat, kill 500
READ MORE: Italy's navy rescues 6,000 migrants in four days

@highlight

Italy's search and rescue operation for migrants crossing Mediterranean Sea to end

@highlight

Politicians claim it encourages more people to try and make their way to Europe by sea

@highlight

Refugee advocate Maurice Wren insists their "argument is as flawed as it is chilling"

@highlight

"Those fleeing atrocities will not stop seeking safety in Europe if we stop throwing them life rings"