(CNN) -- Like every political animal, I will be paying close attention to U.S. Senate elections this Tuesday because they will tell us a lot about the next two years. But I will also have a special eye on a few particular races that may tell us more about our long-term future.

Whether we can lift our national politics out of the ditch increasingly depends on whether we can transform our political culture, electing more candidates who want to restore old-fashioned standards of civility, bipartisan respect and putting country first. Sadly, the generation of politicians now in power -- baby boomers for the most part -- are so divided by ideology and a poisonous partisanship that they have lost their way.

And the vast majority of Americans are turned off. A CNN poll this past week found that over 60% of Americans are now angry about politics; other surveys show that 9 out of 10 Americans think we have a crisis in leadership. A Harvard Institute of Politics survey out this week finds that young people -- once the optimists in a pessimistic country -- are now as distrustful of our national leadership as everyone else.

Perhaps in elections this year and in 2016, leaders will emerge from the baby boom generation who can get us back on track. I sure hope so.

But given the track record so far, we also have to start looking and nurturing a new wave of leaders who will bring fresh perspectives and fresh idealism to politics. That's why I will be watching two races in Massachusetts and Georgia so closely Tuesday night. In each, there are candidates who could be on the cutting edge of a new politics.

In both cases, they come out of the national service movement -- rising leaders who are promoting an ethic of voluntary service by every young person. One candidate comes out of military service, the other out of civic service here at home. In both we see qualities sorely missing in our national debates -- humility and a deep sense of nonpartisan duty.

Full disclosure: I have known and been a mentor to one of them, Seth Moulton, for nearly 15 years; I am actively supporting him now.

For Seth, the call to service came from the U.S. Marine Corps, where he signed up as an infantry officer -- "it's a good way to give back," he told me, "and very good leadership training." As America went to war in the Middle East, off he went with his troops on the first wave into Iraq (an invasion he disagreed with). Then a second and third tours, all in danger zones.

Thankfully, he came home safely and was preparing to pursue concurrent degrees at the Harvard Business School and Kennedy School. His days in uniform seemed over. But Gen. David Petraeus was then named commander of all forces in Iraq and appealed to him to put his uniform back on: he wanted Seth for the surge. Off he went to a fourth tour -- not in the safety of the Green Zone but south of Baghdad amid more danger.

Moulton did eventually come home and earned those two additional Harvard degrees. Investment banks tried to recruit him after business school; he went instead to a start-up in Texas trying to build high-speed rail between Dallas and Houston. Then calls started up from Democrats, asking him to run for Congress back home on the North Shore of Massachusetts against an incumbent Democrat dogged by controversies.

He took up the challenge and against all odds -- he started with virtually no name recognition and no money -- he won a huge upset victory this September. No one had unseated a Democratic incumbent in Massachusetts for more than 20 years.

He is now locked in what may be a very close race this Tuesday -- Republicans have poured in buckets full of money in closing days. But out of the blue, the Boston Globe broke a story that has everyone buzzing: the Globe had repeatedly demanded copies of his military record from his campaign to see if he had been lying about his service, as so many other candidates have. Finally, the paper forced the campaign to fork over the records: lo and behold it turned out Moulton had downplayed his record, never telling voters he had won two military medals for heroism. He hadn't even told his parents! Marines don't like to brag, he said.

Is that the hint of a new chapter opening in American politics? One can only wish.

Meanwhile, another worthy candidate from the national service movement has come from behind and is now in a thriller in Georgia, facing a strong Republican in a red state. Michelle Nunn is widely known in Georgia as the daughter of the venerable former senator, Sam Nunn. That has certainly helped her.

But to those who have worked in the trenches trying to extend a helping hand to the millions who need it, Michelle Nunn has earned a reputation as one of the best non-profit leaders in the country. She started a community volunteerism organization called Hands On Atlanta, grew it until it became the national Hands On Network and then merged with an organization created by President George H.W. Bush, becoming CEO of the new Points of Light Foundation.

For those in the national service movement, Michelle's election would be a huge breakthrough: social entrepreneurs -- so crucial to bringing energy and innovation to solve pressing social issues -- would finally have a champion from within their ranks in the halls of national power.

In these two cases, the candidates who represent a new wave of leaders happen to be Democrats. Fortunately, there are also stirrings among very promising Republicans as well. Keep your eye out for Eric Greitens, for example: he is the rising star who studied philosophy in college, became an amateur boxer, won a Rhodes scholarship, worked with war refugees in Bosnia and Rowanda, served tours overseas as a Navy SEAL and built a deeply impactful organization for wounded veterans, The Mission Continues (Disclosure: I am on his board). Republicans are urging him to run for statewide office in his native Missouri -- and I hope he does.

To their credit, there are some individuals and political organizations stepping up to identify and support other candidates who promise to bring a new, more bipartisan spirit to politics. Former New York Mayor Michael Bloomberg has selected a formidable list of moderates he is supporting in this cycle through large TV ad buys totaling tens of millions of dollars.

Harvard Law professor Lawrence Lessig and Republican strategist Mark McKinnon have crowd-raised over $10 million to support candidates open to reforming campaign finance laws. And several smaller organizations are helping to encourage civilian and military service alumni to run for office.

So far, of course, the number of new generation candidates elected to office remains small. Yet, we can already see their good works in a couple of states: Louisiana and Colorado. In both, alumni of Teach for America -- Kira Orange Jones and Mike Johnston, respectively -- ran as education reformers within the states and have delivered impressive results.

The takeaway is this: Our politics are broken and they have been for years. No matter which party wins the Senate this Tuesday, the next few years could be as stagnant as the last. Even as we put pressure on Washington to change -- and change soon -- wisdom says we must also persuade and inspire a new generation of servant leaders to step forward.

Fortunately, they are out there in growing numbers among social entrepreneurs, veterans and others, eager to change the country. This coming Tuesday voters can sign up two of the best for national duty.

@highlight

David Gergen: American politics needs new perspectives and a new generation of leaders

@highlight

Two candidates epitomize the new style of leadership aiming to solve problems, he says

@highlight

Gergen: Can we transform our political culture and lift America out of the ditch?