(CNN) -- Making a video game espousing the virtues of compassion, sacrifice and spirituality doesn't sound like a winner in today's battle-happy gaming environment. But 27 years ago, it was exactly the type of game that caught the imagination and spurred excitement in gamers.

Developers at Bioware are hoping to catch that same virtual lightning in a bottle with "Ultima Forever: Quest for the Avatar," the next chapter in the search for the Avatar of Britannia.

In it, the hero must achieve the highest levels in eight virtues: Valor, Justice, Honor, Compassion, Honestly, Humility, Sacrifice and Spirituality. Through actions in the game, players strive to become a shining example of good for the population.

The new title is based off "Ultima IV," a computer game dating all the way to 1985. It is considered one of the most innovative games ever because of its divergence from the typical hack-and-slash approach. Lead designer Kate Flack said "Ultima Forever" hopes to bring back the appeal of being a good person in a video game.

"Games are a cultural artifact. They are affected by all the things around them," Flack said. The developers of "Ultima IV" "were saying games can be about being a good person. At the time, it was in reaction to a backlash against the violence and things in video games.

"I think the parallel nowadays is that we are almost frightened of high fantasy. If it's not covered in blood, we don't believe it. I'm going to be as subversive as 'Ultima IV' was at the time."

"Ultima Forever" picks up 21 years after "Ultima IV" left off. Players can join up to three friends, as each works toward the goal of becoming the virtuous "avatar" of the land.

While the graphics, look and feel have obviously been upgraded due to advancements in technology over the years, Flack said the concept still remains true to what it was nearly three decades ago.

"It's about mastering yourself, not mastering the world," she said. "When (a non-player character) asks you a question ... you are forced to pause and ask yourself, 'What do I think is the right thing to do? Do I want to be kind, or do I want to be fair? What kind of person am I?' "

Rather than seeing how many creatures a player can kill or how much gold they can accumulate, Flack is more interested in getting inside the player's head. She says the game is almost like a personality test, giving players choices in the attempt to be a good person. How they get there is up to them.

"It's not like the game is going to grab you by the throat and make you make these choices. It is a slow drip-drip-drip. And maybe they will start to recognize these same choices in their real life and become better people," she said.

As players progress, choices need to be made about questions that don't always have black-and-white answers.

You find a bag of gold, which you know was stolen. Do you give it to the authorities (Honesty), donate it to the church (Spirituality) or hand it over to a starving family (Compassion)? Keeping it, which would be the likely choice in most of today's games, doesn't help you win this one.

Bioware designer Alec Fisher-Lasky was a former Arlington County, Virginia, police officer before deciding to get into video games. He says the decisions made in "Ultima Forever" are similar to the types of decisions he had to make while on the force -- just at a much slower pace.

"When I found out they were working on the 'Ultima' series, I was really excited about it. It ties into what I had done as a police officer facing these kinds of moral decisions every day," Fisher-Lasky said. "I wanted to give that experience to players. What do I do in this situation? What are the consequences? Why would I do this one thing over another?"

He said it was a challenge to make the player feel like their choices truly matter. If designers have done their job well, he thinks, people will care about their in-game decisions and really examine what kind of person outside of the game they are to make those choices.

"Ultima Forever" will be released free-to-play for PCs and the iPad this year, with more character classes, content and platforms announced later. Flack said Bioware's experience with massively multiplayer online games allowed it to stuff a lot of detail into the mobile version without sacrificing its look on more powerful PCs.

Fans are already reacting to the early news of a new "Ultima" game. Players who played "IV" in their youth have said on the "Ultima Forever" Facebook page that they are looking forward to sharing a similar experience with their kids. Diehard fans of the franchise are also very excited.

"'Ultima IV' is the game that all modern (role-playing games) flow from, but it's also kind of the impossible platonic ideal of a (computer role-playing game)," said retro-gamer Ben Lesnick, 31, of Washington. "It came at this incredibly special time in game development history where that kind of game could exist. Really, if 'Ultima Forever' is one-tenth as engrossing as 'Ultima IV,' then we'll have a pretty fantastic game that's worth playing on its own merits."

Flack said she tried to be respectful while working on this project. She understands the history and emotion tied into the franchise and didn't want to override people's memories of the game.

"It's not going to suit everybody," she said. "And in fact, making a game that does suit everybody is going to let the fans down more, in a way. It's bland. It's insipid. It's the worst possible thing you can do with 'Ultima.' I'd rather try and make a statement than not."

Players may sign up now to be involved in the "Ultima Forever" beta test.

@highlight

"Ultima Forever" challenges players to gain virtue, not hack and slash

@highlight

The game is a followup to 1985's "Ultima IV"

@highlight

Designers say questions in the game have no black-and-white answers

@highlight

It will be released late this year for PC, iPad