Bangkok, Thailand (CNN) -- A humanitarian crisis looms in Thailand after the worst floods in decades left parts of Bangkok and other areas of the country submerged, relief agencies warned Sunday.

Bangkok's central business district has so far avoided major flooding, but many of the areas nearby are chest- or waist-deep in water, forcing residents to flee their homes. The Thai government has set up more than 1,700 shelters across the country, where more than 113,000 people have taken refuge since flooding began in July after heavy monsoon rains.

More than 370 people have died, and charities working in the country have warned of the risk of water- and insect-borne diseases such as diarrhea, dengue fever and malaria in the coming days and weeks. Thai officials warned residents in the capital to be vigilant and expect disruptions with electricity and tap water.

"There are places on the outskirts of Bangkok and in other parts of the country which have been flooded for nearly two weeks," Matthew Cochrane, of the International Federation of Red Cross and Red Crescent Societies.

"The country's prime minister has said that the city has 'dodged a bullet' -- the economic impact of central Bangkok being flooded would have been huge, and thankfully that did not happen -- but a huge part of the country is still under water.

"Outside the city it is certainly a humanitarian crisis, because there are people who have been cut off for weeks without any aid, supplies or food."

UNICEF said it was providing 20,000 mosquito nets, and handing out 20,000 pamphlets explaining how to stay safe and healthy in flood-hit regions.

Overall damage from the floods could exceed $6 billion, the Thai Finance Ministry has said.

Meanwhile, Prime Minister Yingluck Shinawatra has urged stores not to stockpile goods, amid concerns that panic buying was leading to a shortage of essential items.

Officials in the capital have warned residents to expect interruptions to electricity and tap water supplies. The Metropolitan Waterworks Authority said it had reduced the amount of tap water processed for residents from 900,000 to 400,000 cubic meters per day, because of high algae counts at one of its plants.

The prime minister said authorities would speed up the process of draining water into Bangkok's canals and into the sea, raising hopes that water levels in the city could start to sink. However, the government has warned it may take more than a month for the floods to recede.

Cochrane said the country still faced a variety of threats, including strong currents, disease and even crocodile and snake attacks. But he said it was vital that authorities and charities also start to look beyond the immediate dangers.

"In addition to emergency services, I feel we must start working on getting resources available to help people get back on their feet and live a life after the floods," he told CNN.

CNN's Bryony Jones and Aliza Kassim contributed to this report.

@highlight

"A huge part of the country is still under water," an official says

@highlight

Relief agencies say water- and insect-borne diseases could break out

@highlight

The prime minister says the flood won't abate until early November

@highlight

The flooding in Thailand is the worst since 1942 and has killed more than 370 people