(CNN) -- For most people, keeping fit involves an established exercise routine built around a regular weekly schedule. But what if your job involves large amounts of travel?

Many people come back from trips away carrying extra pounds from disruption to regular exercise, as well as an increased tendency to overindulge on business dinners paid for on the company card.

According to the World Health Organisation, lack of exercise not only impairs your waistline, but can also reduce energy and concentration levels -- the exact qualities that are required when conducting business abroad.

Shani Anderson is a personal trainer and managing director of Anderson Fitness Consultants. The British former Olympian says that with the right foresight, it's possible to incorporate a healthy regime wherever and however you travel.

1) Don't treat business travel as a "holiday" from your health regime

There's a temptation to regard exercise as a means to looking good on holiday, rather than as an ongoing strategy for health and well-being.

"A lot of people diet or work out to go on holiday. And for me that's a problem, because you have short-term goals," says Anderson. "You switch off when you reach the goal, and your body goes 'great, I'm done' - and in two weeks you're back the way you were before."

According to Anderson, this exemplifies the most common obstacle to keeping fit while traveling: Attitude. People tend to perceive trips away from home as in some way separate from the rest of their lives and that therefore the same rules no longer apply.

2) Prepare and do research

Before you travel, investigate the best locations for your preferred form of exercise. If you're into cycling, see if there's a local bike hire company nearby; if you're a jogger, plan the most scenic route to get the most of your new environment.

Anderson's motto is "plan, plan, plan." She says that a common trap during hectic business trips is failing to schedule and prioritise your adapted exercise regime before you leave.

"It should be exactly the same process as planning a meeting. You put it in your diary. If you had a meeting at work you would have to be there, it's the same thing" instructs Anderson. "It's a mental battle more than anything else."

3) Bring portable fitness equipment

Sometimes there simply won't be an opportunity to access a gym. If so, there is an extensive range of portable exercise equipment, from simple skip ropes to more sophisticated gadgets -- such as the magnetic tension mini-bike.

For Anderson's money, the tiny TRX suspension system is hard to beat. "It's basically using gravity against your ankle, it's a nice idea. It's completely portable. You can even put it in your handbag. I use it a lot."

4) Don't overindulge at business dinners

There's no getting away from it -- maintaining a healthy diet during a business trip is a challenge. There's little or no opportunity to prepare your own meals and the most delicious eat-out options will rarely flatter your physique the following day.

This, combined with a generous expenses card, is a recipe for disaster.

Anderson, though, has a few simple tricks:

"Instead of using calories, you look at your plate, and put your fist next to your carbohydrate section and it should be the same size," she says. "The size and thickness of your palm is the amount of protein you can eat. So it would be the size of a chicken fillet or turkey."

Additionally, you can prevent yourself gorging out at the end of a long day by making sure you eat small amounts at regular intervals.

'It's all about not getting hungry. People starve themselves thinking it's going help, but it really doesn't, especially if you're travelling," explains Anderson.

5) Take advantage of hotel fitness services

Malcolm Hendry is general manager of London's prestigious Hotel 41. They have introduced a "sports buddy" program, whereby staff with particular sporting skills are teamed-up with guests keen to keep fit during their stay.

"It came along about seven years ago," he says. "We had two guests that were very keen sports people. But they were single travellers -- and things like playing tennis and squash, you need another person to play with."

His hotel reflects a growing trend within the hospitality industry to provide high quality, bespoke fitness options.

"We think a bit more about the health and fitness of our guests than we did 30 years ago," he notes. "We got a great gym and we got great relationships with local places... and I have about a dozen people on my team who play sports from golf, through horse riding, squash, tennis to cycling."

So, if Hendry has his way, trips abroad will no longer be occasions where you escape from exercise, but where you go especially to keep fit.

@highlight

Many people come back from trips abroad carrying a few extra pounds

@highlight

Disruption of regular exercise regime and extra business dinners partly to blame

@highlight

Fitness consultant Shani Anderson offers her tips for keeping fit on the road

@highlight

Careful preparation, portable fitness equipment and extra discipline are key