Northern Nigeria (CNN)Charred ground and cinders mark the sites where once thousands of homes stood. That's according to a series of satellite images released Thursday by Amnesty International, which the rights group said shows the "horrific scale" of the devastation wrought by Boko Haram militants.

As they've trickled out, accounts of the bloody attacks on the northern Nigerian town of Baga and surrounding villages have shocked even those all too used to reports of violence by Boko Haram militants.

Witnesses told how the attackers sped into the town on January 3 with grenade launchers -- their gunfire and explosions shattering the early morning calm. Some terrified residents fled, while others took refuge in their homes -- and were torched with them.

Local officials reported death tolls ranging from hundreds to as many as 2,000 people. But authorities have yet to access the remote area near the border with Chad to get a full picture.

Amnesty International said that satellite images taken on January 2 and five days later "provide indisputable and shocking evidence" of the extent of the destruction in Baga and neighboring village of Doron Baga, also known as Doro Gowon.

The before-and-after images demonstrate that the attacks left more than 3,700 structures damaged or destroyed, the rights group said.

More than 3,100 of those were in Doron Baga, which was "nearly wiped off the map," it said.

Other nearby towns and villages in Borno state were also targeted in the series of attacks that started on January 3.

"These detailed images show devastation of catastrophic proportions in two towns, one of which was almost wiped off the map in the space of four days," said Daniel Eyre, Nigeria researcher for Amnesty International.

"Of all Boko Haram assaults analysed by Amnesty International, this is the largest and most destructive yet. It represents a deliberate attack on civilians whose homes, clinics and schools are now burnt out ruins."

Many of the wooden fishing boats that can be seen along the shoreline in the images of Doron Baga from January 2 are gone in the later images, the group said.

This agrees with witness accounts of desperate residents fleeing by boat across Lake Chad.

Another rights group, Human Rights Watch, has also published satellite imagery that it said showed the results of fires set by Boko Haram. The rights group said 11% of Baga and 57% of Doro Gowon were scarred by the flames.

Asked by CNN about the Amnesty satellite images, Mike Omeri, coordinator of Nigeria's National Information Center, said, "This is a government that analyzes any and all sources of information."

Amnesty International last week described the massacre as possibly Boko Haram's "deadliest act" yet.

The Nigerian military said that description was "quite valid."

"The attack on the town by the bloodhounds and their activities since January 3 should convince well meaning people all over the world that Boko Haram is the evil all must collaborate to end," it said.

Nigeria's government has called for Boko Haram to be seen as a problem requiring a concerted international response, as seen after the terrorist attacks in Paris last week.

On Wednesday, a new message surfaced from Boko Haram's leader, Abubakar Shekau, in which he praised again and again the deadly rampage at the Charlie Hebdo offices in France.

"Nigeria has always said this is a global challenge and viewed as such requires global military action," said Omeri.

"The combatants we capture are often not even Nigerian. They don't even speak our languages. What started as copycat attacks is now a newly devised network."

The government has come under fire from critics who say President Goodluck Jonathan is more interested in campaigning for the presidential election next month than in dealing with the problem of Boko Haram.

Soldiers who spoke to CNN in northern Nigeria painted a troubling picture when asked about their efforts to take on the Islamist extremist group. They said Boko Haram outgunned and outnumbered the military on the battlefield.

While the militants are equipped with anti-aircraft guns on the backs of trucks that have a range of three-quarters of a mile, they have only AK-47 weapons, with a range of a few hundred yards, the soldiers said.

Adding to their difficulties, they are issued only 60 bullets when they go into battle, they said, while the Boko Haram fighters have many more. Many soldiers also have to buy their own uniforms and lack protective gear, they said.

Morale is low, and this is one of the reasons that Boko Haram is making gains on the battlefield, they said.

Responding to the claims that the military is outgunned, Omeri said: "Nigeria is in the process of acquiring new equipment and we will continue to intensify those efforts."

In a rare piece of good news, Nigerian soldiers thwarted a Boko Haram attack Wednesday in the town of Biu, in southern Borno state, the military said.

The Nigerian Defense Headquarters said five terrorists and two anti-aircraft guns were captured.

Officials gave no casualty tolls, but residents told CNN that at least 40 Boko Haram fighters were killed when Nigerian soldiers surprised them and fought a lengthy gun battle.

Omeri said, "We've always said this is an ongoing process. We're happy that this success has come in quick succession to Baga. We hope more will be achieved."

The continuing violence has displaced many people from their homes.

Of the 30,000 people displaced during the attacks around Baga, 20,000 camped in Maiduguri city, capital of Borno state, while another 10,000 headed to Monguno town, nearer Baga. Others were stranded on Kangala Island on Lake Chad.

"These people are adding to the hundreds of thousands of internally displaced people and refugees, who have already stretched the capacity of host communities and government authorities," Amnesty International said.

"Amnesty International is calling on the governments of Nigeria and Chad to ensure these displaced people are protected and provided with adequate humanitarian assistance."

Boko Haram has terrorized northern Nigeria regularly since 2009, attacking police, schools, churches and civilians, and bombing government buildings.

It has also kidnapped students, including more than 200 schoolgirls who were abducted in April -- and remain missing.

The Islamist group has said its aim is to impose a stricter form of Sharia law across Nigeria, which is split between a majority Muslim north and a mostly Christian south.

CNN's Nic Robertson reported from northern Nigeria, and Laura Smith-Spark reported and wrote from London. CNN's Brent Swails, Faith Karimi and Aminu Abubakar contributed to this report.

@highlight

Satellite images from before and after a Boko Haram attack show the scale of damage

@highlight

Amnesty International: More than 3,700 structures were burned in two communities