(CNN) -- Lady Gaga announced that she's going to sing in space. Everyone is raving about "Gravity," the new movie starring Sandra Bullock and George Clooney as astronauts in orbit. And India just launched its first Mars mission on Thursday.

Clearly, we Earthlings are still madly in love with space. But what about the moon?

It's sad how far America has fallen in our space aspirations. So far that we can't even get into Earth orbit without help from the Russians, let alone get back to the moon.

But NASA is trying to get back in the game. Two months after launch, its Lunar Atmosphere and Dust Environment Explorer -- LADEE, pronounced "laddie" -- has finished its looping journey and it is gathering important information about the moon's dust and thin atmosphere.

Already, this modular spacecraft has tested a new system for interplanetary communication using pulsed lasers, delivering a blistering 622 megabits per second. Try getting that from your Internet service provider.

LADEE is a worthy mission, but it's a far cry from the romance and ambition of space exploration 50 years ago. When Frank Sinatra released a swing version of "Fly Me to the Moon" in 1964, the song captured the optimism of the U.S. space program. President John Kennedy had challenged the country to a manned moon landing three years earlier and NASA's budget rose by a factor of five to accomplish the goal.

The moon landings were a phenomenal achievement. Even knowing that they were motivated by a rivalry with the Soviets and fueled by an unsustainable budget didn't tarnish their luster. The Saturn V was the largest and most powerful rocket ever built, and the Apollo program was the most technically complex human undertaking in history. Two dozen brave and daring astronauts reached their target with computer processors less powerful than those inside our modern-day smartphones. The 12 who loped across the lunar soil are the only people to set foot on another world.

Today, the Apollo moon shots fade and flicker in the public consciousness, like the grainy black-and-white TV images that many of us recall from just over 44 years ago. About 6% of the American public thought the moon landings were a hoax, despite high resolution images that show the landers and tracks left by the rovers, and ongoing scientific experiments using the hardware we left behind.

I used to get annoyed at the Apollo deniers. (Buzz Aldrin at least managed to get even; YouTube videos where he decks conspiracy theorist and filmmaker Bart Sibrel have been watched more than half a million times). Then I realized that a list of things that one in 10 Americans believes would include some pretty outrageous things. But willful cultural ignorance is sad.

New players are stepping into the vacuum. Google announced the Lunar X Prize in 2007, riffing off the successful Ansari XPRIZE, where private teams were challenged to build a reusable spacecraft to reach the boundary of outer space. A $20 million prize will go to the first team to land a robot on the moon that can travel 500 meters and transmit images and video. Twenty teams are still in the running. The competition expires when all the prizes have been claimed or at the end of 2015, whichever comes first.

China is likely to beat all these teams to the punch. A few weeks ago the Chinese announced that the Chang'e 3 lunar rover will be launched by the end of the year. If successful, it would be the first soft landing on the moon since the Russian Luna 24 in 1976. Less than a decade old, China's space program is well-funded and aggressive. China has put 15 astronauts in orbit and plans to complete a 60-ton space station by 2020. Following Chang'e 3, they plan sample return by 2020 and a manned landing by 2025. So, more than half a century after Eugene Cernan left the last human footprint on the moon, the next may be made by someone who speaks Mandarin.

Meanwhile, other countries are getting into the act. The European Space Agency has long-term plans to send robots and astronauts to the moon. Japan and India also have advanced plans for lunar rovers. The United States led the world in space but NASA is cooling its heels, with a vision that has shrunk along with its budget.

America's space program would be best served by continuing the mission started 50 years ago. The moon still has much to teach us about how the solar system and the Earth formed. It's not the sterile place we once thought; there's enough water and oxygen in the soil to easily sustain a base. It's the perfect place for learning how to live and work beyond the Earth.

When Sinatra performed "Fly Me to the Moon" on his TV show in 1969 he dedicated it to the Apollo astronauts "who made the impossible possible."

LADEE was designed to characterize the lunar environment in preparation for future human missions. But the Constellation Program that would have gotten us back to the Moon was canceled in 2010. LADEE will set the table but no one's coming to dinner.

By partnering with other countries or private sector companies, NASA can rekindle the dream and fulfill our destiny to explore beyond our planet.

The opinions expressed in this commentary are solely those of Chris Impey.

@highlight

Chris Impey: It's sad how far America has fallen in our moon aspirations

@highlight

Impey: NASA is trying to get back in the game with the launch of LADEE

@highlight

He says other countries and private companies are more ambitious in exploring

@highlight

Impey: The moon has much to teach us, let's continue the mission started 50 years ago