Jinan, China (CNN) -- Calling his former deputy a "liar with extremely bad character," fallen high-flying politician Bo Xilai on Sunday rebutted the testimony of the prosecution's star witness as his increasingly dramatic trial stretched into a fourth day.

The former Communist Party chief of the sprawling southwestern metropolis of Chongqing has denied abusing his power -- the third and final charge being heard in court in Jinan, eastern China, long after he was stripped of his posts and expelled from the party.

Prosecutors accuse Bo of threatening and improperly firing his former police chief Wang Lijun after learning about a murder investigation involving Bo's wife Gu Kailai, who is currently serving a suspended death sentence for killing British businessman Neil Heywood.

On Sunday, Bo insisted that Wang was lying throughout his court appearance, and said his words lacked any credibility or legal standing.

Wang took the witness stand Saturday, providing the first opportunity for the two former allies to confront each other since Wang's attempted defection to the United States in early February 2012.

Analysis: How, why Chinese politician veered off script

Wang told the court he fled to the U.S. consulate in Chengdu because he feared for his safety following a tense encounter in Bo's office, just one day after Wang told Bo about his wife's suspected involvement in murder.

"He started verbally assaulting me... and about three minutes later, he walked around the left side of his desk and stood in front me. He suddenly attacked me with his fist, hitting on my left ear -- it was not just a slap," Wang recalled, according to a court transcript.

On Sunday, Bo said: "He said I didn't just slap him but punched him. I never practiced martial arts -- I don't possess such striking power," according to a transcript released by the Jinan Intermediate People's court.

Bo added: "After being convicted for abuse of power and defection, he still argued that he didn't defect but engaged in diplomacy in accordance with regulations.

"All this shows this man has extremely bad character and lies on the spot."

The trial was adjourned after the Sunday morning session and will resume Monday morning.

During trial, Xilai keeps up his counterattack

The story behind the 'slap'

On Saturday, Bo conceded he had made mistakes but denied he broke the law to protect his wife.

"I have made mistakes. I feel regret and I'm willing to take responsibility," Bo said. "But whether or not I've committed a crime is a different issue."

"I didn't bend the law to protect Gu Kailai," he said. "I didn't force Wang Lijun out or force him to defect to the United States."

Bo did acknowledge slapping Wang in the face -- a key moment long considered a turning point in the two men's relationship -- during the office confrontation, claiming he believed Wang was trumping up charges against Gu and thus furious at his "double-faced" deputy who had faked his loyalty to the Bo family.

According to a court transcript, Wang said it was more than a slap and that the blow had caused a "discharge" from his ear.

"My body shook a little... and I found blood at the corner of my mouth and discharge in my ear," he continued. "I wiped the blood off with a tissue, but when he heard me calmly tell him again that he had to face the reality, he threw a glass on the ground while saying 'I'll never accept it.'"

Wang told prosecutors that Bo's physical violence against him as well as the disappearance of his aides and investigators led to his decision to seek refuge in the U.S. diplomatic mission in Chengdu.

When Bo was allowed to question the witness, Wang revealed in an exchange that Gu had told him about her intention to kill a day before the murder. And when Bo asked Wang: "Did you think I was forcing you out in an attempt to cover up (my wife's murder) case?" Wang replied: "Yes."

The trial by social media

Embezzlement and corruption charges

Earlier Saturday, Bo kept up his vigorous defense against embezzlement charges and, as he did Friday on corruption charges, and dismissed testimony from his jailed wife as a desperate attempt to reduce her own sentencing.

Gu was sentenced last August for killing Heywood in a Chongqing hotel room in November 2011. She gave her testimony to the court via video and said that Bo was well aware of multi-million dollar dealings to fund their and their younger son's jet-setting lifestyle.

"I have feelings for Gu Kailai," Bo said Saturday morning, after admitting to an extramarital affair. "She is a vulnerable woman... and who else could she turn in? That's why all accusations against me originated from her."

Prosecutors allege that Bo received five million renminbi ($820,000) of public funds from a local urban planning official in Dalian, Liaoning Province, in the early 2000s when he was mayor and later the provincial governor.

Bo slammed the allegations as "contradictory" and denied that he needed to take the money as his wife earned millions of dollars from her five law firms.

Under the bribery indictment, prosecutors accuse Bo of using his political posts to secure influence for others. They say that between 2000 and 2012, Bo, Gu and their son, Bo Guagua, received about 22 million renminbi ($3.6 million) in bribes from businessmen in Dalian.

Bo Guagua hopes father can 'answer his critics'

Bo's fall from grace

Bo is a princeling, a term that refers to the children of revolutionary veterans who boast of political connections and influence. His late father, Bo Yibo, was a revolutionary contemporary of Chairman Mao Zedong and the late paramount leader Deng Xiaoping.

Over the past three decades, Bo rose to power as a city mayor, provincial governor, minister of commerce and member of the Politburo, the powerful policy-making body of the Communist Party.

A charismatic and urbane politician, Bo -- with the help of Wang -- was credited with a spectacular, albeit brutal, crackdown on organized crime during his time as the top party official of Chongqing.

Bo's glittering career, in which he drew admirers and detractors for his populist policies, fell apart last year amid a scandal involving murder, corruption and betrayal.

Wang's attempted defection precipitated Bo's political demise. After Gu's sentencing last August, Wang was convicted of bending the law for selfish ends, defection, abuse of power and bribe-taking. He received a 15-year prison sentence.

Bo's trial is seen as a potentially concluding chapter in the scandal.

His high profile and connections among the nation's ruling elite have made his case -- with its tales of greed and wrongdoing by a top official and his family -- an extremely delicate matter for Chinese authorities.

It's taken more than a year, during which time the Communist Party has undergone a major leadership change, to bring him to trial.

Many observers had expected proceedings to stick closely to a pre-planned script, seeing the trial's outcome as the result of a political deal struck between Bo and China's top leaders.

But as he often did in his political career, Bo has so far stolen the show, mounting a robust attack on the prosecution's case and ridiculing witness testimony. That has left China watchers trying to figure out how far he's veered off script.

Journalists from the international news media haven't been allowed inside the courtroom. But the court's official microblog account has delivered updates on developments inside, attracting more than half a million followers on Weibo, China's Twitter-like service.

CNN hasn't been able to verify how accurate and comprehensive the court's version of proceedings has been. But many observers have interpreted it as a reasonably close, albeit filtered, account.

Timeline: Bo Xilai scandal

CNN's Jethro Mullen, David McKenzie and Jaime FlorCruz contributed to this report.

@highlight

Bo Xilai slams his former police chief as a "liar with extremely bad character"

@highlight

Trial adjourned after half a day on Sunday, to resume for day 5 on Monday

@highlight

Bo facing trial for corruption, embezzlement and abuse of power

@highlight

Wang says he tried to seek U.S. asylum because he feared for his safety