Hong Kong (CNN) -- When North Korea conducts an underground nuclear test, a vast array of global sensors will detect the detonation almost immediately.

But key questions about the size of the explosion, the number of bombs tested, or whether plutonium or uranium was used, may never be answered conclusively, analysts say.

North Korea appears to have conducted an underground nuclear bomb test Tuesday, as the U.S. Geological Survey reported a seismic disturbance centered near the site of the secretive regime's two previous nuclear tests.

The area around the reported epicenter of the magnitude 4.9 disturbance has little or no history of earthquakes or natural seismic hazards, according to U.S. Geological Survey maps.

Despite international condemnation, North Korea has said it would conduct its third underground nuclear test.

A third nuclear test could enable North Korea the technical data needed to miniaturize a warhead, according to a recent paper in the "Bulletin of the Atomic Scientists."

Coming on the heels of December's successful launch of a satellite, the threat of an atomic test has raised concerns.

Pyongyang's efforts seemed hapless when a rocket launch failed earlier in 2012. But its spotty record changed in early December when North Korea launched the long-range Unha-3 rocket carrying a satellite, showing the world it had the technology to launch a long-range missile -- with analysts suggesting parts of the United States, Pyongyang's stated arch rival, were now within range.

Following the U.N. condemnation of the launch in January, Pyongyang says it plans a new nuclear test and further long-range rocket launches.

"An additional nuclear test or two would greatly increase the likelihood that Pyongyang could fashion warheads to fit at least some of its missiles -- a circumstance that would vastly increase the threat its nuclear program poses to the security of Northeast Asia," wrote analyst Frank Pabian and Siegfried Hecker, a Stanford University professor who visited North Korean nuclear sites in 2010.

How does an underground test work?

Satellite photos showed the preparation of a third tunnel in Punggye-ri area, located 232 kilometers northeast of Pyongyang near the Sea of Japan, where the two previous tests were located. Work appeared to begin in 2009 and now is largely completed. Analysts estimate the new tunnel is one kilometer long and 380 meters deep.

Tests are typically conducted in vertical shafts, according to the Preparatory Commission for the Comprehensive Nuclear-Test-Ban Treaty (CTBTO). Holes are cut 1 to 3 meters wide and up to a kilometer deep. The atomic devices are assembled on site and placed in the hole, usually accompanied by lead-protected diagnostic canister that contains sensors to record the explosion. The tunnel is then filled with layers of pea gravel, sand and other materials to prevent radioactive material from being released into the atmosphere.

During a test, the explosion energy is released in less than a millionth of a second, according to CTBTO. The temperature will reach about a million degrees within a few microseconds, and shockwaves from the blast, depending on the size, can be detected by seismographs around the planet.

Is underground testing dangerous?

Of the more than 2,000 nuclear detonations since 1945, 75% of the explosions have been tests conducted underground, largely by the major nuclear powers of the United States, the former Soviet Union (now Russia), Britain, France and China, according to the CTBTO.

Underground testing is much safer than above-ground testing. "With underground testing, you can contain the radiation," said Annika Thunborg, CTBTO spokesperson.

Still, nuclear particles can be accidentally released into the atmosphere. North Korea's first nuclear test in 2006 leaked radiation into the air which was picked up at a CTBTO monitoring station in Yellowknife, Canada -- more than 4,500 miles away.

There is always a danger of radiation seeping, hence the total test ban treaty, Thunborg said. "The U.S. tried to control radiation release with its underground tests, but in 150 cases radiation was released into the atmosphere," Thunborg said.

But if Pyongyang plans to explode an even larger device, risks elevate as well. "One of the risks Pyongyang takes in trying to demonstrate a test at a higher level is that they may produce fissures that allow radioactive seepage or possibly cause a major blowout from the tunnel," Hecker wrote in Foreign Policy on February 4. "The U.S. testing program experienced such problems even after having conducted hundreds of tests. Unrecognized complex geological conditions apparently led to a blowout during the 1970 underground Baneberry nuclear test at the Nevada Test Site. The blowout released a radioactive cloud nearly 10,000 feet high."

Such a blowout would also release a lot more data on the test to outside observers, but "spewing a radioactive cloud over the skies of Northeast Asia would create an enormous political storm from the nearby countries," Hecker wrote.

Why is underground testing controversial?

North Korea is the only country to have carried out atomic explosions on the planet since 1998, when Pyongyang conducted underground nuclear tests in 2006 and 2009. Before that, both India and Pakistan conducted underground tests in 1998, according to CTBTO.

The 1996 treaty, which has been signed by 183 nations, aims to ban all nuclear testing on the planet, whether in the atmosphere or underground.

While the comprehensive test ban treaty hasn't formally become law (it awaits ratification by China, Egypt, India, Iran Israel, North Korea, Pakistan and the U.S.), only North Korea, India and Pakistan have broken the moratorium on nuclear testing, according to the CTBTO.

Testing in the atmosphere and underwater was banned by the 1963 Partial Test Ban Treaty, after public concerns over radioactive fallout from tests. The U.S., the Soviet Union and Britain signed the treaty, but nuclear powers France and China did not. France conducted its last above ground nuclear test in 1974; China in 1980.

To develop the technology for its atomic weapons program, North Korea needs to conduct tests to perfect the ability to miniaturize a nuclear weapon so that it can be mounted on a missile, delivered without mishap and hit its intended target.

How will we know if North Korea carries out an underground test?

Once a nuclear device is exploded, seismographs around the world will detect the movement. "Manmade explosions have a very different signature than natural events," Thunborg said.

"Seismic technology is the core function of any monitoring system, and we are running the only international system that is dedicated to ensure that no nuclear explosion will go undetected in compliance with the comprehensive nuclear test ban treaty."

The CTBTO operates a global system of more than 300 monitors -- such as seismic, sonar or radiation sensors -- in 85 countries across the world. Even if no radiation escapes into the atmosphere, underground explosions leak noble gases into the atmosphere which CTBTO sensors can detect, Thunborg said.

@highlight

A vast array of global sensors will detect any North Korea nuclear detonation almost immediately

@highlight

Key questions about the size of explosion and the number of bombs tested may never be known

@highlight

Underground tests are used to help Pyongyang perfect technology to deploy a working atom bomb

@highlight

Tests "increase the likelihood that Pyongyang could fashion warheads to fit at least some of its missiles"