(CNN) -- Watching the Olympics, which kick off in earnest Friday with the opening ceremony in London, is more fun when you know the stories behind the Games.

No doubt, sports broadcasters will hammer on plenty of rags-to-riches, against-the-odds backstories about the Olympic athletes. (You can also find plenty of them on CNN's London 2012 page). And that's all good. But knowing the technological underpinnings of the Games is perhaps just as intriguing.

Here's a quick look at 10 of the most interesting tech stories to watch at the London Olympics:

Robotic cameras: Getty Images will install robotic cameras at a few locations at the Olympic Games. They can be controlled remotely and swivel 360 degrees. "The biggest help will come from cameras stashed in floodlights, rafters and scaffolding in and around Olympic venues to provide imagery from places inaccessible to human photographers due to space or security reasons," NBC News wrote. In a YouTube video about new photo tech, Getty says it will shoot some of the Olympics in 3-D.

Souped-up sound: If you like to believe in the Tooth Fairy, don't read the next sentence: Much of the sound you hear on TV during the Olympics isn't real -- well, at least in the sense that some of it wasn't recorded during the event being shown. Some of the audio is recorded in advance, in optimized conditions, and then superimposed on the TV broadcast, writes The Atlantic. The site gives the example of archery, which an Olympics audio engineer says is based on the sound he heard watching "Robin Hood." He captured it by putting a special mic on the ground between the archer and target, which, as Alexis Madrigal points out, creates a sound no person could actually experience at the event.

Two-part track: Look, Ma, no spikes! A new surface on the Olympic track in London means runners won't have to wear spiked shoes. "Unlike other track designs that combine traction and shock-absorption in an upper layer of rubber granules, the Mondo track separates these functions, with a cushion backing for shock absorption and a solid upper layer that optimizes slip resistance, traction and durability," the BBC writes. "This design cuts the need for the spikes on athletes' running shoes to penetrate the running surface."

Prosthetics: Called "Blade Runner" and "the fastest man with no legs," South African Oscar Pistorius will be the first person to compete in the able-bodied Olympics using prosthetic legs. After some controversy about whether prosthetics should be allowed in the Olympics, Pistorius will run the 400 meters and the 4x400 meter relay on specially made carbon-fiber prosthetics.

Data-head athletes: Some people are calling this the "Twitter Olympics." Others say it's the "Data Olympics." Many athletes are using sleep-tracking devices and motion-capture systems to understand, with a new level of precision, how their bodies work. According to the Financial Times, some biometric device companies are trading athletes their participation for data that they can use to improve their body-tracking gadgets.

Virtual cycling: Australian cyclists have been training on London's cycling course even thought it's thousands of miles away by using virtual reality. As the Australian Broadcast Corporation notes in a video package about the technology, the cyclists watch a screen that looks like a video game but actually is a "mile for mile, hill for hill recreation of the London Olympic road cycling course."

NASA treadmill: American runner Shannon Rowbury, meanwhile, has been training for London with a treadmill that simulates weightlessness. The AlterG treadmill uses anti-gravity technology developed by NASA to give runners the feeling that they are only 20% of their actual weight, the company says. In an interview posted on the company's website, Rowbury said the treadmill helped her start running much more quickly after a stress fracture.

Low-tech suits: We tend to think of the Olympics becoming higher-tech over time, but new technologies of course bring controversy and questions about how much help athletes should receive from space-age materials and equipment. High-tech Speedo swimsuits, called LZR Racer, are credited with helping swimmers shatter world records in 2008. But they will be banned at the London Olympics, leading to questions about how fast swimmers will go without this technological aid. At a news conference, Michael Phelps, who won eight gold medals in Beijing, said that records will fall in London even without the tech. "If somebody wants a record, it's going to be broken."

Electronic blocks: Omega, the official timekeeper of the games, is debuting new starting equipment for swimming and track-and-field events in London. The track starting blocks will be fully electronic for the first time. Previously, 1970s technology required athletes to push back the blocks 5 millimeters to register a start, according to Wired. The swimming starting blocks now will light up to indicate who placed first, second and third.

Jump-kick sensors: Taekwondo has been at risk for being eliminated from the Olympics, but technology that registers the strength and accuracy of kicks may save the sport. "I think taekwondo will really benefit from the technology because it will ensure the medals go to the best athletes, not to someone else because of a mistake from a referee or a judge," World Taekwondo Federation President Choue Chung-won told Reuters. "This is a wonderful opportunity for us to remain in the Olympics. Not many sports have this kind of technology. ... It will help eliminate human error in taekwondo."

@highlight

Technology is a controversial and exciting aspect of the Olympics

@highlight

High-tech swimsuits were banned from the London games

@highlight

Some athletes use data tracking devices to optimize performance

@highlight

Australian cyclists train for London on a virtual reality course