Washington (CNN) -- A day after a 75-minute session, talks will resume Monday to try to reach a deficit-reduction deal and pave the way for a hike in the nation's $14.3 trillion debt ceiling, a White House spokesman said Sunday.

White House communications director Dan Pfeiffer said on his Twitter account on Sunday night that congressional leaders will return to the White House for further negotiations on Monday. At 11 a.m. that same morning, President Barack Obama will hold a press conference in the White House briefing room, according to his official schedule.

These announcements are the first formal fall-out of Sunday's night talks on the subject, led by the president and involving top politicians from the House and Senate.

House Minority Leader Nancy Pelosi said afterward that Democrats are "still hopeful for a large bipartisan agreement," one that will do "no harm to the middle class or to economic growth (and) protect Medicare and Social Security beneficiaries."

Don Stewart, a spokesman for Senate Minority Leader Mitch McConnell, meanwhile said that he found it "baffling that the president and his party continue to insist on massive tax hikes in the middle of a jobs crisis."

Those comments echoed many others made by key figures in both parties, as they posture to try get a deal that cuts into the nation's debt.

Republicans initiated the fight when they demanded drastically reduced spending (but no tax hikes) before they agreed to raise the nation's debt ceiling. Obama responded by saying he backs an ambitious plan to reach $4 trillion, mostly through cuts but also with revenue increases.

If Congress doesn't act by August 2, the government could begin defaulting on its obligations. The president hinted at that sense of urgency Sunday. When asked before the meeting's start if a deal can be reached within 10 days, he told reporters, "We need to."

Meanwhile, a Democratic congressional aide said Sunday's talks produced "no breakthroughs yet," as the president pushed still for a "grand bargain-style deal that includes revenues, like getting rid of millionaire tax breaks, while Republicans argued it was time to lower sights to a smaller deal that relies on cuts alone."

A senior Obama administration official said the president continued to push  for a "big deal," saying he would not accept a short-term agreement or anything that in the White House's view is not balanced. As he has said previously, he challenged congressional leader to step up and do something substantial.

An aide to House Speaker John Boehner, meanwhile, said the Ohio Republican countered by saying he wanted a deal that was based on previously discussed budget cuts outlined by a bipartisan group led by Vice President Joe Biden.

Boehner had hinted at the GOP's strategy on Saturday evening, when he issued a statement saying that his party cohorts could not support a major deal as long as Obama and Democrats insist on increasing taxes. He said that any such revenue-raising initiative would prevent the bulk of Republicans from supporting a more ambitious deal, even if it was one including cutting spending and reforming entitlement programs such as Medicare.

The House speaker said, as a result, that the talks' parameters would be scaled back to focus on budget cuts alone.

The White House immediately pushed back, with a senior administration official saying Boehner had initially accepted the need to increase tax rates on wealthy Americans as part of a deal. But then, the official said, Republicans offered a different plan in the talks with Obama that began Thursday.

In the statement Sunday night, the Boehner aide insisted that Obama "agreed with the speaker that their previous talks did not produce any agreement."

Obama believes "it is time to solve this problem," White House Chief of Staff Bill Daley said on ABC's "This Week" program Sunday. He added that Obama's "call to the (congressional) leaders is to step up and be leaders."

The Treasury Department has warned that failure to raise the debt ceiling could lead to a default, which could push interest rates to skyrocket and cause the dollar to plummet. But Republicans, including those controlling the House, have said they'll block any such move without substantial budget cuts.

A U.S. default on its debt obligations would have "real nasty consequences" for the United States and the global economy, the new director of the International Monetary Fund said in an interview broadcast Sunday.

"It would jeopardize the stability at large," Christine Lagarde, who last week became the first woman to head the global financial institution, told ABC.

Still, such warnings didn't prevent party leaders on Sunday talk shows from reverting back to time-tested talking points that suggested the two sides were still far from an agreement.

"What is really appalling is to see our Republican colleagues essentially providing a form of extortion -- if you don't agree to deficit reduction the way we want it, we'll put all the jobs at risk, because we will allow the United States to default on its debt," said Rep. Chris Van Hollen, D-Maryland, on the CNN show "State of the Union." "That's irresponsible."

At the heart of the GOP resistance is a bedrock principle pushed by conservative crusader Grover Norquist against any kind of tax increase. A pledge pushed by Norquist's group, Americans for Tax Reform, has been signed by more than 230 House members and 40 senators, almost all of them Republicans.

After Sunday nights talks, Senate Majority Leader Harry Reid's spokesman Adam Jentleson said that the Nevada Democrat wants "an approach that is balanced between spending and revenues." However long it takes, he said that Reid is "firmly committed" to striking a deal.

"Sen. Reid believes the stakes are too high for Republicans to keep taking the easy way out, and he is committed to meeting every day until we forge a deal, however long it takes," said Jentleson.

CNN's Ted Barrett, Dan Lothian and Tom Cohen contributed to this report.

@highlight

NEW: An official says Obama said Sunday he won't accept a short-term deal

@highlight

NEW: A Boehner aide says there was never a framework for an agreement

@highlight

GOP continues to insist on no tax hikes, Dems push a "balanced" approach

@highlight

The U.S. must raise its $14.3 trillion debt ceiling by August 2 or risk a default