(CNN) -- I was 17 when my mother died of breast cancer. She was 42. It seemed old to me then. As a middle-aged mother myself now, I see it differently. Forty-two was impossibly young.

I've spent more than half my life without my mother. Does it sound odd to hear that I still miss her, even after 33 years? I used to think that feeling sad two years, five years, even 10 years after her death meant I'd somehow grieved wrong. But now I know differently. Mourning is a lifelong process, especially for children who lose a mother young.

When a child loses a mother, maturity often follows quickly. "Normal" is irrevocably redefined. Over the years, milestones that bring joy to others may trigger a range of mixed emotions in the motherless. Graduations, weddings, childbirth, new jobs: These are all times of transition when we long for a mother's support, encouragement or celebration. But when we look over our shoulders for reassurance, a mother isn't there.

This can lead to a new mourning cycle, where the pain feels fresh and raw. It explains why, upon the birth of my first child, I was relieved to have a healthy child, overjoyed to have a daughter; and also terribly, terribly sad, because my mother would never meet her.

Some transitions are one-time events, like reaching a mother's age at time of death. This is a profound turning point for a motherless woman, who often carries the fear that she'll die at the same age. Forty-two was an emotionally charged year for me, but 43 was even stranger. I'm now seven years older than my mother got to be. How does an adult daughter even begin to make sense of that?

In the 20 years since the publication of "Motherless Daughters" I've met thousands of motherless women, all around the globe. Many of them have found mother substitutes in grandmothers, aunts, sisters or good friends. That was never true for me. My greatest source of comfort has come from other women like myself. We "get" each other, right away. We cry in the back of school concerts because we're equally proud and sad.

We raise our children to be independent just in case we, too, die young. And we understand, whether we're mothers or not, how Mother's Day weekend can be a double-edged sword.

Motherless women -- as well as daughters who have estranged or difficult relationships with their mothers -- really have no culturally sanctioned way to recognize their mothers on Mother's Day.

So we're free to create our own. Here are some ideas from two decades of interviews with motherless women and 33 years of spending Mother's Day without my own:

Attend a local Motherless Daughters Day luncheon. More than two dozen groups of women throughout the country, from Orange County, California, to Chicago to New Orleans plan luncheons on the day before Mother's Day (or soon after) to honor mothers no longer living. During a Circle of Remembrance women say their names and their mothers' names out loud.

Make your mother part of the day. If she liked to cook, make one of her recipes. Put her picture on your mantel. Tell your children or nieces and nephews a story about her. Recognizing her will feel better than trying to push the memory away.

If you have a strained or nonexistent relationship with your mother, use the day to celebrate life instead, in honor of the life she gave you. Get your hands into the earth and plant seedlings. Volunteer at an animal shelter. Do what nurtures and inspires you most.

This year marks the 100th anniversary of Mother's Day as an official, national holiday. Let's remember, too, Anna Jarvis, the woman responsible for lobbying President Wilson to create the national holiday -- and herself a motherless daughter.

I'll be celebrating the same as usual: having brunch with my husband and daughters, enjoying a low-key afternoon at home and searching for a way to honor my mother, as I've done every Mother's Day since 1982, the first I spent without her.

@highlight

Hope Edelman's mother died when she was 17. She still grieves her 33 years later

@highlight

She says kids mature quick when mom dies; life's milestones renew mourning cycle

@highlight

She says Mother's Day can be disorienting; she's comforted by people who've lost moms

@highlight

Edelman: Recall your mom by life-affirming acts, cooking what she cooked, honoring her memory