(CNN) -- The transition of science-fiction gadgets into scientific reality is seldom a simple process.

More than 20 years on from the Back to the Future trilogy and a breakthrough in hoverboard technology is still eagerly anticipated -- not to mention anything close to "Doc" Brown's time-traveling DeLorean car.

But a new research body at Arizona State University is aiming to bridge the gap between the lab and the most evocative inventions of the sci-fi genre.

The Center for Science and the Imagination (CSI), which opened last month, will bring sci-fi writers into collaboration with inventors, engineers and technologists.

See also: How search for aliens can sustain life on earth

The goal is to create a network hub for so-called "moon shot" ideas, where scientists and artists can meet, converse and potentially put their ideas into practice.

Corporations, including computer-tech behemoth, Intel, and publisher, HarperCollins are already involved with the group's early endeavors.

"It's an unusual thing for a university to do because it brings together a variety of different people who wouldn't usually work together," says CSI director, Ed Finn.

"We want to create conversations that cut across all these different boundaries and get people thinking in a more expansive way about their own work."

One of the center's first projects has pitched acclaimed sci-fi writer, Neal Stephenson, with ASU professor and structural engineer, Keith Hjelmstad.

Stephenson is a chief proponent of the dark sci-fi genre, Cyberpunk, and has spoken publicly and passionately about arresting the malaise he believes has stunted the imagination of American science and science fiction.

The pair have so far probed the viability of a 20-kilometer tall steel tower that could launch vehicles into space more efficiently.

While this may not be a project that can instantly deliver practical results, the hope is it will encourage scientists and sci-fi writers to think big and pose each other challenging questions.

"This is really what the whole Center for Science and the Imagination is all about," says Hjelmstad.

"The writers of science fiction or any writers for that matter are very different from the usual crowd that I hang with."

See also: Scientists to stimulate human brain inside supercomputer

"People from outside engineering will toss in very basic questions that specialists will often forget to ask, in this case 'how high is the tallest structure you can build?'"

"It was incredibly interesting for me to consider the open question: 'what can you do with structures?' which I hadn't really done before."

As it turns out, Hjelmstad's concludes that a 20-kilometer tall tower is possible but would likely never be built due to the resources required (some 55 million tons of steel, he says) and financial costs involved.

For companies such as Intel however, solutions that can be immediately put into practice are not as important as the dialogues and ideas these inter-disciplinary interactions encourage -- for now at least.

The technology giant is working with the CSI to create the Tomorrow Project USA, a new website designed to engender expert conversation on the future of subjects such as sustainability, energy and education.

"In science fiction writing and the conversations, you can explore how the technology can impact in both positive and negatives ... showing us the kinds of future we want and [just] as importantly the kind we don't want," says Steve Brown, Intel's mystically titled technology evangelist.

"It also allows [us to play] with the moral and ethical consequences for the technologies as well," Brown adds.

Other projects in the pipeline at the center include a plan to design the ideal city of the future, drawing contributions from writers, engineers and urban designers.

In the coming years meanwhile, the talents of other artists including musicians, painters, actors, dancers and those in the performance arts will be harnessed, predicts Finn.

See also: $1 billion project to reach Earth's mantle

But as scientists, engineers and tech corporations benefit from opening their disciplines to exciting new ways of thinking, what's in it for the writers and artists?

According to Kathryn Cramer, a sci-fi author and editor of Hieroglyph -- an anthology project that will compile conversations of scientists and authors at ASU for publication by HarperCollins -- the center will help inform a more realistic and artistically rich genre of sci-fi.

"For authors, having the contact with [scientists] allows for further refinement of their ideas into something that is potentially more workable," says Cramer.

Some writers may already undertake such processes by themselves but by formalizing this relationship, Cramer believes a more fluent and rewarding conversation between science and sci-fi will arise.

Like Hjelmstad, Brown and Finn before her however, Cramer tempers expectations by stating that the practical implementation of these ideas will likely have to wait.

"I don't think you can guarantee that the project will come up with ideas that can be put towards venture capitalists and off we go tomorrow. But science fiction has a proven ability to inspire scientists and start technological innovation," Cramer explains.

"It's worth doing but one should bear in mind that, in the past, where there have been ideas that have worked there has also been a sea of ideas that didn't work."

See also: Where data meet diction -- science and science fiction's dialogue

@highlight

New research body at Arizona State University aims to bridge gap between the lab and sci-fi inventions

@highlight

Center for Science and the Imagination (CSI) brings creative thinkers into collaboration with scientists

@highlight

Academic, private corporations and non-profit stakeholders involved in the project

@highlight

"Science fiction has a proven ability to inspire scientists and start technological innovation," sci-fi author says