London (CNN)The discovery of the remains of Richard III beneath a car parking lot in the English city of Leicester in 2012 sparked excitement around the world. Now those bones are to be reburied following a series of commemorations full of the pomp and circumstance befitting of a royal farewell.

In the years since it was exhumed, the King's skeleton has given up plenty of secrets -- and research continues to find out more.

Say the name Richard III to most people, and the image that will spring to mind is of Shakespeare's villain, a cruel, conniving figure whose nasty character is reflected in his physical abnormalities, a "poisonous bunch-backed toad."

History, they say, is written by the victors, and according to the Tudors and their most famous playwright, Richard was hunchbacked, with a withered hand and limping gait, "deformed, unfinished ... and that so lamely and unfashionable that dogs bark at me as I halt by them."

For the archaeologists searching for Richard's remains, the sight of the freshly-uncovered skeleton's twisted spine was the moment the hairs began to stand up on the back of their necks; tests later revealed the King suffered from idiopathic adolescent-onset scoliosis.

But while the skeleton's curved vertebrae are striking, experts say the resulting disability would not have been obvious in Richard III when he was alive. It would have meant his right shoulder was slightly higher than the other, but this was likely disguised by clothing, and so only apparent to the King's closest family and confidantes.

READ MORE: Richard III's spine twisted, not hunched

The most famous portraits of Richard III depict him as dark-haired and steely eyed, but they were painted some 25 to 30 years after his death, and DNA tests on the remains suggest they are far from accurate.

Genetic specialist Turi King, from the University of Leicester, said analysis of various genetic markers offered clues to the King's appearance, suggesting he was actually fair haired and had blue eyes.

"[There are] genes that we know are involved in coding for hair and eye color," she told CNN in December 2014. "The genetic evidence shows he had a 96% probability of having blue eyes, and a 77% probability of having blond hair, though this can darken with age."

This would mean that the painting of Richard III held by the Society of Antiquaries of London is the closest approximation we have to his real appearance: It shows him with grey-blue eyes and lighter brown hair than other portraits.

READ MORE: DNA clue to Richard III's appearanceREAD MORE: Is this the face of Richard III?

It is perhaps not surprising that a monarch would have a taste for the finer things in life, but heron -- really? Well yes -- in the medieval period wildfowl such as heron, egret and even swan would have featured heavily on the high-protein menus of the aristocracy.

Scientists at the British Geological Survey measured the levels of isotopes including oxygen, strontium, nitrogen and carbon in Richard III's remains, revealing clues to what he ate and drank. They spotted a dramatic change in the last few years of his life -- suggesting his dietary habits became markedly richer once he became King.

"Obviously, Richard was a nobleman beforehand, and so his diet would be reasonably rich already," explained isotope geochemist Angela Lamb, who led the study. "But once he became king we would expect him to be wining and dining more, banqueting more.

"We have the menu from his coronation banquet and it was very elaborate -- lots of wildfowl, including real 'delicacies' such as peacock and swan, and fish -- carp, pike and so on."

READ MORE:  King's bones reveal luxury lifestyle

Something in that rich diet made Richard III sick: Scientists from the University of Cambridge and the University of Leicester found evidence the King was suffering from a roundworm infection when he died.

Researchers examining soil samples from the pelvis and skull of the skeleton spotted roundworm eggs in the area where the dead monarch's intestines would have been. Roundworm eggs -- in this case Ascaris lumbricoides -- are ingested via contaminated food, water or soil; once hatched and matured, the worms can grow up to a foot long.

"Despite Richard's noble background, it appears that his lifestyle did not completely protect him from intestinal parasite infection, which would have been very common at the time," said Dr Jo Appleby, from the University of Leicester, who exhumed the King's remains.

"We would expect nobles of this period to have eaten meats such as beef, pork and fish regularly, but there was no evidence for the eggs of the beef, pork or fish tapeworm," said Dr Piers Mitchell of the University of Cambridge, adding that the lack of tapeworms suggested the food Richard III ate was thoroughly cooked.

READ MORE: Richard III had roundworm infection

Richard III was the last English King to die in battle, at Bosworth on August 22, 1485. In his "Anglica Historia," the Italian Polydore Vergil, recorded that: "King Richard alone was killed fighting manfully in the thickest press of his enemies."

When archaeologists studied the remains unearthed in Leicester, they found evidence of 11 of wounds inflicted at or around the time of his death: Nine to his skull and two to other parts of his body. The position of the injuries suggest that Richard had lost both his horse and his helmet when he was set upon by opposition troops.

"The most likely injuries to have caused the king's death are the two to the inferior aspect of the skull -- a large sharp force trauma possibly from a sword or staff weapon, such as a halberd or bill, and a penetrating injury from the tip of an edged weapon," said Professor Guy Rutty, who said the wounds were consistent with accounts of what happened to him at Bosworth.

Tests also found an injury to the inside of Richard III's pelvis which supports contemporary reports that his body was subjected to acts of ritual humiliation after his death.

READ MORE: Richard III's fatal wounds revealed

@highlight

Skeleton of Richard III found under English parking lot in August 2012

@highlight

Remains have been examined and researched, yielding some surprising discoveries

@highlight

The king -- the last English monarch to die in battle -- will be reburied in Leicester