WASHINGTON (CNN) -- Barack Obama's presidential transition, already disrupted by the sudden withdrawal of New Mexico Gov. Bill Richardson, may face another challenge in the confirmation hearings of his pick for attorney general.

Eric Holder likely will face a grueling round of questions from Republicans during his confirmation hearings.

While the Senate is expected to easily confirm the majority of the president-elect's Cabinet appointments, it increasingly appears that attorney general designate Eric Holder could face a grueling round of questions next week from Senate Republicans who are already emboldened by charges of "pay-to-play" politics against Illinois Gov. Rod Blagojevich and a federal investigation into Richardson, who Obama picked as his commerce secretary.

"Republicans are seeing enough different stories in the taints of possible corruption around Democratic politicians lately," said Alexander Keyssar, a professor of history and social policy at the Harvard University Kennedy School of Government. "Where they can score some political points around this corruption issue, they will try to do it."

Holder has drawn heavy criticism from Republicans over his involvement in former President Bill Clinton's last-minute pardon of Mark Rich, a major Democratic donor and billionaire financier charged with federal tax evasion.

Clinton pardoned Rich in the final hours of his administration on January 20, 2001. Holder was a deputy attorney general at the time.

Senate Democrats have long braced for a tough committee hearing over Holder, especially after Republicans successfully delayed its start to obtain more time to review his lengthy record in both the public and private sector.

But after Pennsylvania Sen. Arlen Specter, the judiciary committee's ranking Republican, unexpectedly took to the Senate floor Tuesday to castigate Holder over a wide range of issues -- even comparing him to Attorney General Alberto Gonzales who was forced to resign -- Democrats may have to brace for a tougher fight than they expected.

"President-elect Obama chose not to seek my advice or even to give me advance notice in my capacity as ranking Republican on the Judiciary Committee," Specter said. "Had he done so, I could have given him some facts about Mr. Holder's background that he might not have known."

Stephen Hess, a presidential scholar at the Brookings Institution, said it's not surprising Republicans are targeting a particular appointment.

"There always seems to be one appointee where the Senate opposition directs its firepower," Hess said. "This year the designated fall guy seems to be Eric Holder. He's going to be made to grovel."

Holder played a significant role in the heavily criticized Rich pardon, having communicated with Rich's lawyers frequently before it was issued, according to the New York Times.

Critics have charged that the Justice Department should have blocked the pardon, and Holder later said he wished he had handled the matter differently.

Supporters of Holder say his role in the pardon was limited, but Senate Republicans, seemingly eager for at least one high-profile fight with the incoming president, are set to put the Rich pardon front-and-center when his Judiciary Committee hearing kicks off next week.

For a Republican Party still reeling from a demoralizing Election Day, Holder's hearing will likely be the GOP's first chance to put heat on the president-elect in a very public way, and in the process demonstrate that it intends to stand up to the new administration despite its minority status.

"With Holder they are going to look to score some points on the evening news," Keyssar said.

But the Rich matter is only one issue on which Republicans plan to grill Holder. Also at issue, according to Republicans, will be Holder's involvement with the Elian Gonzalez case and potential conflicts of interests with his work over the past eight years with a corporate law firm.

"There are going to be some tough questions that Holder will have to answer," a Senate Republican aide said. "We want to have a fair, open discussion for his qualifications for the job."

Republicans say they are not specifically looking to block Holder's nomination, and the GOP would be unable to do so even if it tried given the Democrats' overwhelming majority in the Senate.

"We don't want to be obstructionist. It's not a partisan thing, it's about examining his qualifications to be No. 1 at Justice," the Republican aide said.

Still, the opposition party often claims victory when it mounts a sizeable resistance to a particular nominee, as 42 Democrats did in 2001 to President Bush's first attorney general, John Ashcroft.

But Obama can ultimately take solace in the fact that a new president's Cabinet appointments are rarely held up in the Senate, no matter which party controls the chamber. According to the U.S. Senate Web site, the Senate has confirmed 98 percent of all Cabinet appointments since 1798.

In fact, the Senate hasn't rejected any cabinet pick for nearly 20 years. It last rejected John Tower, former President George H.W. Bush's pick for defense secretary, in 1989.

Republicans also know that at a time when Americans expect Congress to confront the country's ongoing financial crisis and recent flare-ups abroad, it might be in their interest not to delay confirmation of several important posts or appear overly partisan when it comes to confirming the majority of the president-elect's appointments.

"When these things get bad, it delays the whole process," Hess said. "By the time the person finally gets the person he wants it's March. Republicans don't want this to happen."

@highlight

Confirmation hearings for attorney general-designate Eric Holder begin next week

@highlight

Republicans criticize Holder for his role in Clinton pardon of Marc Rich in 2001

@highlight

GOP unlikely to block Holder from becoming Obama's attorney general