(CNN) -- In a poll published last week by the American magazine Consumer Reports, 71% of adults polled confessed to being very concerned about Internet companies abusing their personal information. But what this poll failed to ask was whether we fear governmental abuse of our online data as much as abuse from private companies.

So who do you fear more taking advantage of your online information: private Internet companies or the government?

Forget Orwell. Forget the totalitarian Big Brother in "Nineteen Eighty-Four." For a more prescient glimpse of our electronically networked future, read "Surveillance," Jonathan Raban's chilling 2007 novel about a paranoid society where everybody, particularly the snooping government, has become a voyeur of other people's lives.

"We're all spooks now," one character tells another. "Look at the way people Google their prospective dates. Everybody does it. Everybody's trying to spy on everybody else."

Yes, in our creepy social media world of Facebook, Google + and Twitter, we can all become spooks. Indeed, as Wikileaks founder, Julian Assange noted, Facebook -- with its nearly billion members spewing out massive amounts of personal data -- "is the most appalling spying machine that has been ever invented."

But, in today's radically transparent networked world where even spookery has been democratized, nobody does surveillance quite as effectively as the government. And in a contemporaneous political culture shaped by paranoia about crime and terrorism, governmental surveillance may be threatening to undermine our intrinsic individual rights to privacy.

Raban's "Surveillance" is permeated by this paranoia. "It's the t-t-t-talk of terrorism that t-terrorizes me," one character in the novel confesses. Yes, and it's this t-t-t-talk of terrorism, I'm afraid, that is now being used by the paranoid British government to justify its creation of an electronic surveillance state.

Described by critics as the online "snooping" plan, the British government is trying to give the Home Office's monitoring agency, Government Communications Headquarters (GCHQ), new powers to "in certain circumstances" monitor our Skype calls, instant-messages, emails and other online communications.

The intended legislation requires "communications service providers" (ISPs and email providers) to install "Deep Packet Inspection" (DPI) technology hardware which would give GCHQ the ability, without a warrant, to monitor and intercept the times, dates, frequency and addresses (but not the actual content) of our online calls, emails and instant-messaging communications.

So why? How is the British government justifying such a flagrant disregard of its citizens' basic right to privacy by giving GCHQ the right to inspect the details of our private online correspondence?

It's the t-t-t-talk of terrorism. As CNN reported last week, the British Home Office argued that these intended laws were vital "in certain circumstances to investigate serious crime and terrorism and to protect the public." And, a "highly placed source" told The Telegraph about its fear of losing terrorists on the Internet, "we need to take action to maintain the continued availability of communications data to the police and other agencies investigating criminality."

It's not just Britain, however, where government surveillance is threatening to undermine our right to private online communications. As The New York Times noted last week, GCHQ is run "in close collaboration with the National Security Agency (NSA) in the United States". And as The Telegraph notes, both the NSA and the US department of Defense are already using Deep Packet Inspection technology -- in the name, of course, of the war against terrorism - to monitor Internet traffic in the US.

Worse still, a privacy group called Privacy International has identified British, American, German and Israeli companies who are exporting spooky technologies like DPI hardware and equally sophisticated software products like "optical cyber solutions" that enable mass surveillance of large scale populations, to repressive regimes in the Middle East such as Yemen, Egypt, Syria and Iran.

As Jo Glanville, the editor of Index on Censorship, asks, "how can Western democracies back the fight for freedom in the Middle East while Western companies supply surveillance equipment to authoritarian governments in the same region?"

The use of surveillance technology by authoritarian regimes isn't, of course, only limited to the Middle East. In China, for example, dissidents like the artist Ai Weiwei are under constant state surveillance 24 hours a day. Indeed, last week, the Chinese authorities shut down a website, www.weiweicam.com, through which Weiwei was streaming live video of his own home via four webcams as a satirical statement against the surveillance regime in Beijing.

"Byebye to all voyeurs," Weiwei tweeted after his self-surveillance cameras were switched off.

If only we could really bid adieu to all voyeurs. But the truth is that digital technologies such as DPI are enabling governments -- in the name of investigating criminals or terrorists -- to snoop more and more intimately upon us. And this is only going to get worse as we invent more and more invasive technologies that capture our most personal data. Take, for example, Google's augmented reality glasses which, with their ability to follow us everywhere we go, the Forbes columnist Kashmir Hill suggests, could "make a persistent, pervasive surveillance state inevitable."

I'm not so sure about the inevitability of this surveillance state. But just as we need laws to protect us from Internet companies that seek to abuse our personal data, so we also need protection from today's snooping state.

The EU commissioner of Justice, Viviane Reding is pressing for the European Parliament to establish "right to be forgotten" legislation that would establish strict rules for how private companies use our data. "Worries about online privacy are one of the most frequent reasons for why people don't buy goods and services on the Web," Reding wrote in February. "Our confidence in a digital future will depend on whether we know that our data will be safely protected."

Yes, Reding is correct. There is definitely a need to regulate private companies like Facebook and Google whose appetite for our most intimate data appears insatiable. But as we begin to worry about the snooping state, perhaps we need to consider the idea of broader "right to be forgotten" legislation directed against intelligence services like GCHQ or NSA, that would protect our private data in a digitally networked age where everyone, especially the government, is becoming a spook.

The opinions expressed in this commentary are solely those of Andrew Keen.

@highlight

The UK government has suggested new powers for monitoring of digital communications "in certain circumstances."

@highlight

Keen: Such surveillance is threatening to undermine citizens' rights to private online communications.

@highlight

The use of surveillance technology now extends beyond authoritarian regimes, says Keen.

@highlight

Keen backs digital "right to be forgotten" legislation proposed by some legislators