Every day, 22 veterans take their own lives. That's a suicide every 65 minutes. As shocking as the number is, it may actually be higher.

The figure, released by the Department of Veterans Affairs in February, is based on the agency's own data and numbers reported by 21 states from 1999 through 2011. Those states represent about 40% of the U.S. population. The other states, including the two largest (California and Texas) and the fifth-largest (Illinois), did not make data available.

Who wasn't counted?

People like Levi Derby, who hanged himself in his grandfather's garage in Illinois on April 5, 2007. He was haunted, says his mother, Judy Casper, by an Afghan child's death. He had handed the girl a bottle of water, and when she came forward to take it, she stepped on a land mine.

When Derby returned home, he locked himself in a motel room for days. Casper saw a vacant stare in her son's eyes. A while later, Derby was called up for a tour of Iraq. He didn't want to kill again. He went AWOL and finally agreed to an "other than honorable" discharge.

Derby was not in the VA system, and Illinois did not send in data on veteran suicides to the VA.

Experts have no doubt that people are being missed in the national counting of veteran suicides. Luana Ritch, the veterans and military families coordinator in Nevada, helped publish an extensive report on that state's veteran suicides.

Veteran confronts rape and suicide

Part of the problem, she says, is that there is no uniform reporting system for deaths in America. It's usually up to a funeral director or a coroner to enter veteran status and suicide on a death certificate. Veteran status is a single question on the death report, and there is no verification of it from the Defense Department or the VA.

"Birth and death certificates are only as good as the information that is entered," Ritch says. "There is underreporting. How much, I don't know."

Who else might not be counted?

A homeless person who has no one who can vouch that he or she is a veteran, or others whose families don't want to divulge a suicide because of the stigma associated with mental illness; they may pressure a state coroner to not list the death as suicide

If a veteran intentionally crashes a car or dies of a drug overdose and leaves no note, that death may not be counted as suicide.

An investigation by the Austin American-Statesman newspaper last year revealed an alarmingly high percentage of veterans who died in this manner in Texas, a state that did not send in data for the VA report.

"It's very hard to capture that information," says Barbara van Dahlen, a psychologist who founded Give an Hour, a nonprofit group that pairs volunteer mental-health professionals with combat veterans.

Nikkolas Lookabill had been home about four months from Iraq when he was shot to death by police in Vancouver, Washington, in September 2010. The prosecutor's office said Lookabill told officers "he wanted them to shoot him." The case is one of many considered "suicide by cop" and not counted in suicide data.

Carri Leigh Goodwin enlisted in the Marine Corps in 2007. She said she was raped by a fellow Marine at Camp Pendleton and eventually was forced out of the Corps with a personality disorder diagnosis. She did not tell her family that she was raped or that she had thought about suicide. She also did not tell them she was taking Zoloft, a drug prescribed for anxiety.

Her father, Gary Noling, noticed that Goodwin was drinking heavily when she returned home. Five days later, she went drinking with her sister, who left her intoxicated in a parked car. The Zoloft interacted with the alcohol, and she died in the back seat of the car. Her blood alcohol content was six times the legal limit.

Police charged her sister and a friend in Goodwin's death for furnishing alcohol to an underaged woman: Goodwin was 20. Noling says his daughter intended to drink herself to death. Later, Noling went through Goodwin's journals and learned about her rape and suicidal thoughts.

A recent analysis by News21, an investigative multimedia program for journalism students, found that the annual suicide rate among veterans is about 30 for every 100,000 of the population, compared with the civilian rate of 14 per 100,000. The analysis of records from 48 states found that the suicide rate for veterans increased an average of 2.6% a year from 2005 to 2011 -- more than double the rate of  increase for civilian suicide.

Nearly one in five suicides nationally is a veteran, even though veterans make up about 10% of the U.S. population, the News21 analysis found.

The authors of the VA study, Janet Kemp and Robert Bossarte, included many cautions about the interpretation of their data, though they stand by the reliability of their findings. Bossarte said there was a consistency in the samples that allowed them to comfortably project the national figure of 22.

But more than 34,000 suicides from the 21 states that reported data to the VA were discarded because the state death records failed to indicate whether the deceased was a veteran. That's 23% of the recorded suicides from those states. So the study looked at 77% of the recorded suicides in 40% of the U.S. population.

The VA report itself acknowledged "significant limitations" of the available data and identified flaws in its report. "The ability of death certificates to fully capture female veterans was particularly low; only 67% of true female veterans were identified. Younger or unmarried veterans and those with lower levels of education were also more likely to be missed on the death certificate."

"We think that all suicides are underreported. There is uncertainty in the check box," says Steve Elkins, the state registrar in Minnesota, which has one of the best suicide data recording systems in the country.

Websites become tool for stopping suicide

VA Secretary Eric Shinseki requested collaboration from all 50 states to improve timeliness and accuracy of suicide reporting, key to improving suicide prevention. At the time the VA released its last suicide report, at least 11 states had not made a decision on data collaboration.

Combat stress is just one reason why veterans attempt suicide. Military sexual assaults are another. Psychologist Craig Bryan says his research is finding that military victims of violent assault or rape are six times more likely to attempt suicide than military non-victims.

More than 69% of all veteran suicides were among those 50 and older. Mental-health professionals said one reason could be that these men give up on life after their children are out of the house or a longtime marriage falls apart. They are also likely to be Vietnam veterans, who returned from war to a hostile public and an unresponsive VA. Combat stress was chalked up to being crazy, and many Vietnam veterans lived with ghosts in their heads without seeking help.

Even though more older veterans are committing suicide, it's difficult to predict what the toll of America's newest wars will be. A survey by the Iraq and Afghanistan Veterans of America showed that 30% of service members have considered taking their own life, and 45% said they know an Iraq or Afghanistan veteran who has attempted suicide.

"There's probably a tidal wave of suicides coming," says Brian Kinsella, an Iraq war veteran who started Stop Soldier Suicide, a nonprofit group that works to raise awareness of suicide. Between October 2006 and June 2013, the Veterans Crisis Line received more than 890,000 calls. That number does not include chats and texts.

President Barack Obama says there is a need to "end this epidemic of suicide among our veterans and troops." In August 2012, he signed an executive order calling for stronger suicide prevention efforts.  A year later, he announced $107 million in new funding for better mental health treatment for veterans with post-traumatic stress and traumatic brain injury, signature injuries of the wars in Afghanistan and Iraq.

@highlight

The data the suicide rate is based on are incomplete

@highlight

Examples of uncounted: "suicide by cop," by overdoses and by vehicle crashes

@highlight

"There's probably a tidal wave of suicides coming"

@highlight

VA makes appeal for more uniform reporting of suicide data