(CNN) -- The secret election to pick a new pope has yet to begin. But whoever is picked may already be mulling over his choice of name -- and what it means.

In the long history of popes, stretching back two millennia to St. Peter, some names have picked up negative associations, while others have come to signify conservatism or a desire for change.

So what the new pontiff chooses may be one of the first clues to the course he intends to steer for the world's 1.2 billion Roman Catholics.

For example, Pius XII, who served from 1939 to 1958, was very conservative, said eminent Italian church historian Alberto Melloni.

"If the new pope was to call himself Pius XIII, it would be a very ideological choice," he said.

On the other side of the coin, a new pope that named himself John XXIV would be signaling an openness to reform.

John XXIII was famed for calling the Second Vatican Council in 1962, which ushered in great changes in the Roman Catholic Church's relationship with the modern world.

He was brave to pick the name John at all, says Melloni, since the last man to hold the name is viewed as an "antipope" because he was elected pontiff during a schism in the church in the 15th Century.

John XXIII got away with it because he said it was in deference to his parish saint, John the Baptist, Melloni said.

Benedict XVI, who gets to keep his name in rather than reverting to Joseph Ratzinger in his unprecedented position as pope emeritus, meant his choice to be unifying.

In his first general audience after taking office in 2005, he told the crowds gathered in St. Peter's Square that he wished to follow in the steps of Benedict XV, who led the church through the turbulent years of the First World War.

"He was a true and courageous prophet of peace who struggled strenuously and bravely, first to avoid the drama of war and then to limit its terrible consequences," Benedict XVI said. "In his footsteps I place my ministry, in the service of reconciliation and harmony between peoples."

The choice also evoked St. Benedict, founder of the Benedictine order of monks, who helped spread Christianity throughout Europe and was particularly venerated in Ratzinger's homeland, Germany.

For the early popes, the choice of a name wasn't an issue. It wasn't until the end of the 10th Century that the head of the church started taking a different name to the one he was born with, said Melloni.

But since then only one, Adrian VI in the 16th Century, has kept his baptismal name.

Some were monks from countries other than Italy who wanted to create a link through their names to the great saints of Rome. This was the start of the long list of popes named Leo, Gregory and Benedict, said Melloni.

In fact, he added, the practice can be seen as typical of a dynasty without sons and daughters -- creating a sense of succession and a link to the earliest names in the church.

In the 20th Century, John Paul I was the first to create a composite name, in tribute to the two popes who had led the church through the Second Vatican Council, which closed under Paul VI following John XXIII's death.

He died barely more than a month later, putting him among the shortest-lived of popes.

John Paul II, born Karol Wojtyla in Poland -- making him the first non-Italian pope since the 16th Century -- in turn wanted to show homage to that brief pontificate through carrying on the name, said Melloni.

As the 115 cardinal-electors prepare to meet in the conclave, for the secret election to pick a new pope almost certainly from within their number, the sense of intrigue will only grow.

"What you may find in the next few days will be the tendency not to try to guess who will be elected and and what name he will take, but to try to define the kind of pope they may hope for," said Melloni.

"There is a very conservative party within the cardinals who are hoping for Pius XIII or Benedict XVII," he said.

Others look to someone like Archbishop Luis Antonio Tagle, of Manila, as a possible John Paul III, he said, while some of the Italians who want to see the papacy returned to one of their number talk about Paul VII.

In any case, any cardinal who's in with a shot of the papacy would do well to do his homework.

Whoever first gains the two-thirds plus one share of the vote and is named pope won't have long to think about it.

Once all the votes are counted, the dean of the College of Cardinals will ask the newly elected head of the church on the spot if he accepts the role and what he wants to be called.

While we wait to hear, we can be sure of only one thing, according to Melloni: the new pope won't be called Peter.

This is out of respect for the first St. Peter, the Apostle -- but perhaps also reflects a centuries' old prophecy that a Peter II will be the very last pope to serve.

CNN's Hada Messia contributed to this report.

@highlight

The name chosen by the new pope could signal his outlook for the papacy

@highlight

Past names can carry a message of conservatism or openness to reform

@highlight

Benedict XVI meant his choice of name to be unifying

@highlight

No pope is likely to pick Peter -- in part because of a centuries' old prophecy