(CNN) -- Famed tenor Luciano Pavarotti, who died on Thursday at the age of 71, was one of opera's most adaptable and ebullient performers, appearing on stage with singers as varied as Dame Joan Sutherland, U2's Bono and Liza Minnelli.

Much as the star power of Rudolf Nureyev and Mikhail Baryshnikov revived widespread interest in classical ballet in the 1970s and 1980s, Pavarotti's beaming charisma and bravura style captured the attention of the late-20th-century audience for opera.

Widely considered the greatest tenor of his time, Pavarotti began his life modestly in Modena, the son of Fernando, a baker and amateur singer, and Adele, who worked at the local tobacco factory.

"I dreamed to become a singer when I was four and I hear my father singing in the church with a beautiful tenor voice," he told CNN in a 1991 interview. "And I say to myself, well, let's try to do something."

The young Pavarotti -- who played soccer with his town's junior team -- joined the church choir with his father and traveled with him to Wales, where the singing group won first prize at the Llangollen International singing competition.

Although the experience left Pavarotti enthralled with singing, he graduated from the local teaching institute in 1955 and taught elementary school for two years, then worked as an insurance salesman. He continued his vocal studies, however, working first with with Arrigo Pola and then with Ettore Campogalliani.

Then, in 1961, Pavarotti won the prestigious Concorso Internazionale and made his operatic debut at the Reggio Emilia Theater as Rodolfo in Giacomo Puccini's "La Boheme."

His fame spread throughout Italy and then throughout the European continent as he made his international debut in Giuseppe Verdi's "La Traviata" in Belgrade.

When Dame Joan Sutherland brought him on-stage with her during a performance of Gaetano Donizetti's "Lucia di Lammermoor" with the Greater Miami Opera in 1965, Pavarotti began his American career.

He debuted at New York's Metropolitan Opera House three years later, and eventually marked 379 performances there, including his final opera, Puccini's "Tosca" in 2004, in which he performed as the painter Mario Cavaradossi.

In between Pavarotti sold millions of records and raised millions of dollars for charity through benefit concerts, often sharing the stage with pop stars as well as other opera singers.

Of his recordings, 1990's "The Essential Pavarotti" was the first classical album to reach No. 1 on Britain's pop charts, where it remained for five weeks. 1994's "The Three Tenors in Concert," with Placido Domingo and Jose Carreras, remains the best selling classical album of all time.

Pavarotti joined with Domingo and Carreras in 1990, and although critics complained that Pavarotti's vocal skills were waning, the trio performed together for 14 years.

Among his charities were a 1995 "Concert for Bosnia" that raised $8.5 million and other concerts that raised $3.3 million for refugees from Afghanistan and $1 million for refugees from Kosovo.

In artistic terms, Pavarotti brought to the stage a voice neatly suited to the traditional bel canto, or "beautiful singing" style, essential to 17th-century Italian opera. As much about intensity as pitch, bel canto focuses the voice, concentrating the sound with both outstanding warmth and agility.

So demanding is this work even of the best singers that Pavarotti in concert recital could be seen rising to the balls of his feet during the most challenging passages.

A long, white handkerchief always hung from one hand as he sang, his eyebrows arched high in the effort, forming an expression seemingly of surprise at his own success.

From his small beginnings, Pavarotti rose to great heights, performing in front of 500,000 people in New York's Central Park -- a concert seen by millions on television -- and before another 300,000 at Paris' Eiffel Tower.

He won countless awards and honors -- including five Grammies -- and was named United Nations Messenger for Peace by then-Secretary-General Kofi Annan. He launched an international competition, The Pavarotti International Voice Competition, in 1982. He even founded a teaching facility for young singers in his home town.

His signature aria, Puccini's "Nessun Dorma" from "Turandot," was chosen as the theme music for the 1990 soccer World Cup, hosted by Italy. He also performed the aria at the opening ceremony of the 2006 Winter Olympics in Turin.

The great singer was also known as an equestrian expert, organizing one of the international show jumping circuit's most important competitions, the Pavarotti International, in Modena. Coinciding with that event, Pavarotti also staged an annual charity concert, Pavarotti and Friends.

The portly singer retired from staged opera in 2004, but was on a "farewell tour" of concerts when he was diagnosed with pancreatic cancer in 2006 and underwent emergency surgery to remove the tumor.

Although the remaining concerts of his tour were canceled, his management said that he hoped to resume the tour in 2007.

When cancer finally stopped Pavarotti from singing, it was only the second interruption of his career.

"I think I just stopped for one year when from a kid I become a man and the voice is changing," he said in 1991.

"I was an alto and became a tenor and that is the only time I think I remember to have stopped singing. Otherwise I have sung all my life." E-mail to a friend

CNN's Porter Anderson contributed to this report.

@highlight

Luciano Pavarotti widely considered the greatest tenor of his time

@highlight

The Italian's charisma and bravura style attracted a new audience to opera

@highlight

Singer retired from staged opera in 2004; diagnosed with cancer in 2006