(CNN) -- Euro 2012 is beginning to resemble the eurozone -- a case of sport imitating economics.

It may be early days at the quadrennial football tournament that fixates tens of millions of Europeans from the Urals to the Atlantic, but there are worrying signs that some teams are mimicking national roles in the evolving Euro crisis.

The evidence so far: Germany have been austere and unforgiving compared to their expansive play in the last World Cup. One can almost hear Chancellor Angel Merkel in the locker room wagging her finger and demanding: "Don't give anything away." Against Portugal they didn't, eking out victory with a utilitarian efficiency that echoes German leadership on the European stage.

Speaking of Portugal, they may yet wake up in time to reach the next stage of the tournament, but like the other European bail-out countries they looked uncertain and have a lot of work to do to stay in the eurozone Euro 2012.

Denmark stun Dutch as Germany beat Portugal

Ireland, another country that had to seek help from the European Union and IMF, were humbled by Croatia in their first game. Perhaps Europe's center of economic gravity is, as some have speculated, shifting eastward -- if not its sense of humor. Some Irish fans held aloft a banner proclaiming: "Angela Merkel Thinks We're Working."

There was a bad start for another of the bail-out nations. After games against Poland and the Czech Republic, Greece had amassed just one point (if only their interest rates were the same, rather than 29% on the 10-year bond.) They had one player red-carded (an omen for a disorderly exit from the eurozone?) And their defensive formation was less than convincing -- vulnerable to attacks from the left- and right-wings. Cue Sunday's election.

New Greek woes at Euro 2012

Spain and Italy -- the two countries that might be most affected by the contagion of a disorderly Greek exit (from the eurozone rather than from Euro 2012) -- played out a somewhat cautious 1-1 draw in their opening match. Maybe they were thinking that one day they might need each other in asking for help from Europe and in arguing for more growth-oriented policies. A cut-away in the TV coverage of the match of an Italian and Spanish fan kissing gave it all away.

Cesc Fabregas rescues point for Spain

Apparently some investment analysts have also sought light relief from their day jobs in predicting the winners and losers at Euro 2012, using all those sophisticated computer models that have served us so well in the past few years.

Researchers at Dutch bank ABN Amro justified time on the project by saying "football is the most important of all unimportant things." Which is plainly ridiculous, as most people know it's not just a game but a way of life.

Anyway, ABN Amro compared countries' footballing pedigree with their credit-rating, and (surprise) concluded Germany would lift the trophy on July 1. They also said that as the euro crisis is largely one of confidence, "we believe it would be best if one of the eurozone countries won Euro 2012. A victory for one of the opt-out countries (Denmark, England, Sweden) would not be welcome because it would only encourage the eurosceptics."

Who will win Euro 2012?

This is just the sort of special pleading that has got Europe into its current state. And an immediate riposte came from the Danish team, who dispatched the much-favored Dutch 1-0 in their opening game.

The Danes have got quite good at this. They won the European championships in 1992, a month after voting against the Maastricht Treaty on European integration. After Denmark beat Germany in a memorable final, Foreign Minister Uffe Elleman-Jensen, surely one of the most affable European politicians ever, quipped 'If you can't join them, beat them."

The Danish approach this year was layers of disciplined defense. The English formation against France was similar -- a sort of bulldog defiance characteristic of a nation that's never been quite sure of its European destiny.

Stoic England hold French as Sweden lose

At Italian bank UniCredit, the experts took a rigorously financial approach to football (though they might be better employed investigating the fragility of some Italian banks.) They calculated the worth of each team based on the transfer market value of their players and predicted this semi-final line-up:

"Portugal (338 million euros) against Spain (658 million euros); and Germany (459 million euros) against England (392 million euros).

Of course these values are declining every day as the euro sinks against the dollar and the pound.

In what might be bad news for Germany's chances, there could be an inverse relationship (economic jargon) between financial health and sporting prowess. Greece won Euro 2004 and Italy lifted the World Cup in 2006; Spain won both Euro 2008 and the World Cup in 2010. Or it may be that these countries are in an economic mess precisely because their men-folk are outside playing football all the time.

That football explains the world is well known. Franklin Foer, author of "How Football Explains the World: An Unlikely Theory of Globalization," wrote that "wandering among lunatic fans, gangster owners and crazed Bulgarian strikers, I kept noticing the ways that globalization had failed to diminish the game's local cultures, local blood feuds and even local corruption." In other words, football is Exhibit A in the argument that national pride will never be subsumed by the worthy but essentially dull goal of European integration. One look at the Polish fans belting out their national anthem Tuesday before the game against Russia (surely no historic animosity there) would confirm that.

Should players know their anthems?

In fact Europeans may become so consumed by the tournament that the markets will simply forget to mark down the euro or price Spanish debt at record highs. The Market Monetarist blog uncovered research by economists at the Dutch Central Bank from the last World Cup in 2010. Using minute-by-minute trading data for fifteen stock exchanges, they found that when the national team was playing, the number of trades dropped by 45%.

The Spanish Prime Minister is doing his best to use Euro 2012 as a way of playing down his country's debt crisis. Hours after his government was offered 100 billion euros to help its indebted banks, Rajoy jetted off to Poland to watch Spain's first game.

"I am going because the Spanish team are world champions and I think it is good that the head of government be at this inaugural game," he said. No hint of escapism.

But now I feel bad. Many Europeans couldn't wait for the Euro 2012 championships to begin just to escape the barrage of negative headlines about their continent's future. The last thing they wanted was the competition becoming a metaphor (albeit a less than convincing one) for their problems. Sorry.

*Tim Lister did not watch any of the games mentioned during working hours. Honestly.

@highlight

Lister: Worrying signs that some teams are mimicking national roles in the evolving euro crisis

@highlight

European bail-out countries looking uncertain and have work to do to stay in the eurozone Euro 2012

@highlight

Dutch bank ABN Amro has compared countries' footballing pedigree with their credit-rating

@highlight

As euro crisis is largely one of confidence, ABN says it would be better if a eurozone nation won Euro 2012