Atlanta (CNN) -- In another summer, when Liz McLaughlin was younger and insulated, she took a long train ride from her native Edinburgh, Scotland, down to London for a very important concert. Excitement bubbled because of the marquee names -- U2, Madonna, Eric Clapton, B.B. King.

Famine was not a familiar term to McLaughlin then but Live Aid, organized by Irish musician Bob Geldof to raise money and awareness of hunger in Ethiopia, opened her eyes to human suffering.

So much so that a few years later she left her stockbroker job in Chicago to help shuttle aid supplies into war-ravaged Bosnia. Before she knew it, she was driving a truck into Sarajevo.

She's been in the aid business now for 18 long years, but McLaughlin was shocked when she visited Kenya and Ethiopia in the last few weeks. Shocked, even after previously seeing the suffering in Sarajevo, Darfur and Haiti.

"I didn't think I'd see any surprises," she said at a forum Thursday at CARE's U.S. headquarters in Atlanta. "I've never seen anything like it in my life."

Her first stop was the Dadaab refugee complex, where CARE has been operating for 20 years. The massive food shortages have swelled Dadaab's population to about 400,000. That's the size of the city of Minneapolis.

Desperate, women have walked for 50 miles to reach Dadaab. Some started with three children but arrived with only one still alive. The lines are 15,000-people long just to register for the camp.

The United Nations estimates that 600,000 children could die in the next few months in the region. Think about it this way: If famine were declared in the United States, that would translate to 3,000 or more children dying every day from lack of food and water.

Impact Your World: How you can help

In an earthquake or tsunami, things are worst in the immediate aftermath. No matter what, aid workers can hope to look forward to things getting better, however measured.

But famine is like a creeping monster -- this one first appeared on the horizon many months ago but largely went unnoticed by the world until it began devouring thousands of lives.

Burying a child: A mother's unending grief

McLaughlin's colleague Bob Laprade, director of CARE's emergency programs, said that with the rainy season still a few months away, things will get worse before they get better.

He showed a map Thursday of the Horn of Africa. The five regions of southern Somalia, where the United Nations has declared famine, appeared in dark brown.

Then he showed the projection for the next few months. The dark brown patch grows twice as large.

High-res photos: Desperation in Somalia

While Somalia fares the worst largely because of internal conflict and insecurity, Ethiopia, Kenya, Djibouti and a sliver of South Sudan are also reeling in catastrophe. McLaughlin and Laprade visited areas in Ethiopia that are teetering on famine but are still off the international radar.

Not many journalists visit these areas and the world sees little of what is happening there, McLaughlin said.

She ran across piles of animal carcasses and bones littering the parched landscape. It has not rained in the Borena region of Ethiopia in nearly a year.

"At first I did not connect the carcasses to starvation," she said.

But when she arrived at the clinics treating children reduced to skin and ribs, she realized they had no meat to eat.

"This month, it's cattle," an elder cattle herder told McLaughlin. "Next month, it's the people."

At a stabilization center in Haraghe, Laprade watched children curl up in their mothers' arms and look vacantly into their faces. Please save me, they said with their stares.

Laprade got back in his jeep, and cried.

He, too, in all his 25 years as an aid worker, was struck by the enormity of the crisis. Even for the hardiest aid worker, this was difficult beyond words.

Starvation is slow and painful.

"It's really pretty terrible," he said. "These kids will die unless they get immediate assistance."

McLaughlin and Laprade -- who came down with typhoid fever on his plane journey back -- returned to Atlanta with a mission to raise awareness of the famine. They could not let down the people they had met who begged them to tell their tale.

There is nothing man can do to avert the worst drought in 60 years. But part of the discussion at CARE Thursday focused on how the international community can help stabilize skyrocketing food prices by looking at agricultural production capacities and trade policies.

Food prices fuel hunger in Kenya

In Kenya, for instance, the price of a 90-kilogram bag of maize, which is the main food source for most Kenyans, soared from about $16 in June 2010 to about $44 in July 2011 -- an increase of 160%, according to the Kenya Bureau of Statistics.

Laprade and McLaughlin appealed to the world for help in what the United Nations has deemed the worst ongoing humanitarian crisis.

McLaughlin said donations for the Horn of Africa total only a fraction of what was collected after the earthquake in Haiti or the tsunami in Japan.

Musicians and actors have a lot of pull, she said. Why not another celebrity event to draw the world together?

U.N. Secretary-General Ban Ki-moon spoke Thursday with U2 frontman Bono on the need to mobilize international resources. The rock star leads Campaign ONE, which fights extreme poverty, and told CNN that people must act to prevent more suffering.

"People seem to prefer watching people on the high streets of London fighting policemen rather than watching children of Somalia fight for their lives," Bono said. "People watch their stock values crumble while I think of our own sense of values tumbling because (the famine) will define who we are."

"This is outrageous," he said. "This can't be happening. It must be stopped."

Relief groups urge action in East Africa

McLaughlin is hoping the efforts of people like Bono will help bring relief to the 12 million people affected by the acute shortages of food.

She recalled how the entire world stopped to watch Live Aid in 1985. The event raised hundreds of millions of dollars for Ethiopia and gave her brand new global insight.

"Why not now? We need that again," she said.

There are young people in the world's richest nations, she said, who could be touched as she was all those years ago. Maybe, they, too, would then be drawn to act.

@highlight

Two longtime CARE staffers have just returned from Ethiopia and Kenya

@highlight

They say they were taken aback by the enormity of the suffering

@highlight

Liz McLaughlin was inspired by 1985 Live Aid concert to get involved

@highlight

She says she hopes the world will come together again to help combat famine in Horn of Africa