(CNN) -- The choice of mobile as the medium for CNN's Africa-wide survey of Mandela-related opinion shows how much has changed across the continent in the two decades between Mandela's presidency, and his death.

Imagine attempting to do a phone survey in 1994, when a country like Nigeria -- Africa's most populous -- had fewer than half-a-million landlines for its more than 100 million people, and mobile phones were mostly unheard of. (At this time of course land-lines were a staple across the developed world.)

The dire state of technology was of course a reflection of wider -- political -- dysfunction. While multi-party democracy was taking root in South Africa, only about five of Africa's 54 countries were not being ruled by dictators, most of whom did little more than loot the treasury and kill everyone perceived to be an enemy.

Indeed the circumstances of most African countries shared nothing in common with the peace and reconciliation and prospects of prosperity that the election of Nelson Mandela symbolized in 1994.

1994 was the year that Robert Kaplan's dystopian essay, "The Coming Anarchy," appeared in the Atlantic Monthly.

In it Kaplan wrote: '"West Africa is reverting to the Africa of the Victorian Atlas. It consists now of a series of coastal trading posts, such as Freetown and Conakry, and an interior that, owing to violence, volatility and disease, is again becoming, as Graham Greene once observed, 'blank' and 'unexplored'."

1994 was also the year that Rwanda fell apart -- almost a million people hacked to death in a matter of months.

Fast forward to 2013, and a lot has changed. A semblance of democracy has taken root in most of those places that were once a byword for anarchy. Many of those wars have ended, and the same continent in which negative economic growth was a badge of honor now boasts of more countries on the list of fastest-growing economies in the world than any other.

Where once the continent was defined by its AK-47s -- the Economist's famous Hopeless Continent cover in 2000 featured a child soldier clutching a rifle -- it is now more likely to be defined by those mobile phones that have made this survey possible.

Perhaps it is then easy to see why the majority of respondents in the survey -- 64 percent -- are more optimistic about the future than they were when Mandela became President in 1994.

Then again it's important to note that only a tenth of the surveyed population is older than 30. Which means that most were not even teenagers yet when Mandela became President.

And you should know that across the world, the Millennial generation (as those born post-1980 are known), armed with their mobile phones and social networking, seem to be an unshakably optimistic lot.

Why that is so, is up for debate -- there are any number of articles on the Internet asking the question: "Why are Millennials so optimistic?"

A 2013 Gallup poll found that only a quarter of American 18 to 29 year olds believe their standard of living is declining. In the CNN-Jana poll, even fewer -- 15 percent -- failed to succumb to optimism.

Overwhelming as it is, however, that optimism fails to mask the depth of Africa's subsisting problems: The facts of jobless growth and rising inequality; that democracy is still largely a theoretical principle and government accountability mostly a mirage.

It's a good thing the poll asks what respondents think is the biggest challenge their country is dealing with. The predictability of the responses -- 37 percent of respondents think corruption is Africa's biggest challenge, 23 percent think its rising inequality, 16 percent think its poverty -- paints, in my opinion, a truer picture than the confident optimism about the future.

Not much has happened in the last few years to inspire much confidence that there will be a marked improvement in the coming years. Youth unemployment in Mandela's South Africa is one of the highest in the world.

And it's a similar story across the continent: Fantastic economic growth jostling with technological revolutions everywhere you turn, but very little benefit trickling down to the lives of ordinary people.

In truth Mandela being alive or dead will mean very little to the daily realities of most people.

He will of course continue to be a towering icon of moral strength, the face of one of the most outstanding feats of political freedom in recent human history.

But for economic freedom, the battle continues, in South Africa and elsewhere, and the end is nowhere in sight.

Which is perhaps why citizens will be needing all the optimism they can lay their minds on.

The opinions expressed in this commentary are solely those of Tolu Ogunlesi.

@highlight

The choice of mobile as a medium for CNN's survey shows how things have changed, says Ogunlesi

@highlight

A semblance of democracy has taken root in many places that were once a byword for anarchy

@highlight

The fact that 37 percent think corruption is Africa's biggest challenge is more telling that general optimism

@highlight

Mandela will remain a towering icon of moral strength, but for economic freedom, the battle continues