(CNN)Recently, my younger daughter left her class project, a time capsule, at the door so I would see it the minute I got home.

Her project wasn't due for a month, and she took it upon herself to start it and finish it. I beamed at her great work ethic.

If the story ended here, I would proudly say I am one of those parents who is totally comfortable with the whole "letting my kids fail" concept, but alas, there is more.

You see, even though my daughter worked hard to create a unique time capsule -- complete with a slipper, miniature soccer and basketball, chess set, Pokemon cards and cordless phone -- I worried that the other kids, probably with help from their parents, would have much more elaborate and highly constructed time capsules. Plus, I thought my daughter didn't quite complete the assignment.

She wanted to bring the project in the following morning. "I put my heart into it," she told me.

'Brutally Honest': Is it OK to spy on your kids?

No-brainer, right? But no, I was torn between not wanting to crush her spirit and making sure her project was viewed positively by her teacher and peers.

I think you can probably guess which feeling won out. She brought the project in after the weekend -- and only after I had her re-read the assignment and add decorations and information.

There is no doubt in my mind she was prouder of her work before I meddled. Why on earth did I do such a thing?

Many of us good, well-meaning parents are scared of our children "not being right all the time" and are motivated by a desire to buck up our kids' self-esteem when we're actually doing more harm than good, according to Jessica Lahey, author of the upcoming book "The Gift of Failure: How the Best Parents Learn to Let Go So Their Children Can Succeed," which will be released in August.

Lahey, who has spent more than a decade teaching middle and high school students, has become somewhat of an expert in this area, after her article "Why Parents Need to Let Their Children Fail" in The Atlantic back in January 2013 went viral.

'Brutally Honest': Is it OK to be naked in front of your kids?

The article included an unforgettable anecdote: Lahey called a parent to inform her that her child would be punished for plagiarism only to learn from the mother that she, not her daughter, wrote the entire paper.

Sure, an extreme case, but an example of what many parents do, thinking they are actually helping their children.

"Every single time we turn around and say, 'I'll just do that for you' or 'Here let me help you with that,' we are saying to them, 'I don't think you can do that for yourself,' " said Lahey, who is also a columnist for The New York Times and a contributor to The Atlantic and Vermont Public Radio.

"And that is really damaging over time. We create a really helpless culture of kids so that now when I talk to college professors, they say these kids show up to college unable to handle anything on their own."

The research backs up just how dangerous our inability to let our children stumble and figure things out on their own can be for them as young adults.

A 2013 study in the Journal of Child and Family Studies found that helicopter parenting can lead to anxiety and depression in college students, and decreased feelings of autonomy and competence.

'Brutally Honest': When is to OK to leave your teen home alone overnight?

Another investigation, this one led by the University of Arizona, found that adults who were overparented have an exaggerated sense of entitlement, and more doubt about their ability to overcome challenges.

The study also found that helicopter parents have dependent and neurotic kids.

Why do we do it?

Part of the reason we step in, says Lahey, is because we want our kids to love us.

"We want to feel needed and so when we take that homework assignment to school for them and rescue them, we feel we get to check that box off today. 'I was a good parent,'" said Lahey.

She writes in the book about her own struggles, how one morning, her younger child, who is now 11, worked really hard on his homework assignment and then left it on the coffee table.

"And I took to Facebook (and wrote) 'Just for those of you who think this is easy for me, that homework assignment is sitting there on the table.'"

'Brutally Honest': What if you don't like your kids' friends?

She did not take the homework to school, as at least one member of her Facebook community suggested she do, and was on "tenterhooks" all day, she said.

"But he came home at the end of the day and he's like, 'It's fine. I talked to my teacher,'" said Lahey. "Giving kids the opportunity to problem solve when something goes wrong, there's nothing better than that and when we take that away from them, it's a real tragedy."

'Brutally Honest': Mean girls are getting younger

Debate over what 'fail' means

In conversations with parents across the country, there was definite disagreement over just what letting a child fail means and just how far a parent can take it.

"I think when you use the word 'fail' you alienate a lot of people," said the children's television host Miss Lori, a mom of three. "I believe in allowing my children to stumble."

Teaching them how to get up again is enormously important, said the social media strategist and Babble.com contributor. "But fail, not so much, especially in school. Our education system is already failing them in most cities. Their school resume is too important and they have too few years to amass it."

Allowing kids to "fail" has different meanings to parents, says Vicki Hoefle, author of "Duct Tape Parenting: A Less is More Approach to Raising Respectful, Responsible, and Resilient Kids."

"And this is where some of the confusion comes in. Allowing your first-grader to fail a spelling test because they did study is much easier for a parent to deal with than allowing your eight-grader to fail science because he chose not to study and will have to repeat the class over the summer," said Hoefle, whose newest book, "The Straight Talk on Parenting," will be released in April.

Why Facebook parenting can backfire

Balance is key, says Avital Norman Nathman, a mom of an 8-year-old in Northhampton, Massachusetts, who blogs at The Mamafesto. We shouldn't always let our kids "hang out to dry," but we also need to realize part of our desire to see our kids succeed is our own ego.

"We see our successes in our own children so when we allow them to fail, that also kind of reflects on us ... and so it's uncomfortable but we need to get there because otherwise we're going to have these helpless kids who either feel incredibly entitled and who would want that, or helpless, they don't know how to do things for themselves," said Norman Nathman, editor of the motherhood anthology "The Good Mother Myth: Redefining Motherhood to Fit Reality."

If we're hurting our kids, how do we stop doing it?

In many ways, it's so much easier not to let our kids fail, parents say.

Cecily Kellogg of Philadelphia remembers when her 8-year-old joined their local Junior Roller Derby team. In the middle of the first practice, she skated over to her mom shaking and crying because she felt she was slower than everyone and didn't know the moves. She wanted to leave immediately, but her mom refused to take her home.

Her daughter was clinging to her, but Kellogg pried herself away and left her to her coaches.

The next practice her daughter still felt embarrassed and ashamed she wasn't an expert but agreed to go inside the rink only after her mother left.

"Boy oh boy, did I want her to quit. Both times I walked away from her, it was one of the hardest things I've ever done," said Kellogg. "Now? She's absolutely crazy about roller derby and loves it. Can't wait to go each week."

Kellogg says the experience was not just about allowing her daughter to "fail" and learning the "hard way she wasn't going to be the very best at what she did without practice." It was also about "pushing her to keep going without letting her quit."

Lahey says her biggest piece of advice for parents is to move away from any focus on the end results, namely grades and test scores.

Let your kids make up their short-term goals, she suggests, which could include everything from making more friends at school to cleaning their room seven days in a row to making the roller derby team.

"If ... they don't achieve them, that's OK, yes, they failed at something. They failed to achieve their goals, but what are the consequences? It's nothing."

Do you think it's OK to let children fail? Share your thoughts with Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

In 'Brutally Honest' series, Kelly Wallace tackles provocative parenting questions

@highlight

An article on why parents should let their children fail went viral in January 2013

@highlight

Studies: Helicopter parenting can lead to more depressed and less confident adults