New Delhi, India (CNN)There's no shortage of politicians in India. But the capital of the world's largest democracy appears set to hand over the reins of power to an activist.

New Delhi votes this weekend to elect a new state administration. In the race for the city state's top job are two anti-corruption protesters — Kiran Bedi and Arvind Kejriwal.

Both were comrades-in-arms some four years ago when a massive anti-graft movement swept the country. They also share a common background as civil servants.

Now, the two stand as rivals to rule the state of New Delhi, the center of India's politics.

Prime minister Narendra Modi's Bharatiya Janata Party (BJP) has handpicked Bedi, a former policewoman, as its candidate for the city's chief minister. In this, it sidestepped old, political loyalists.

The move, analysts say, was calculated.

In New Delhi, the BJP is faced with stiff competition not from career politicians but from Kejriwal's two-year-old Aam Aadmi (Common Man's) Party or AAP. The upstart group of activists stunned the country's politics when it surged to a close second place in city elections in 2013.

Kejriwal, a former tax official, became the capital's chief minister after he struck a coalition deal with the Congress party that his AAP had pushed to the third spot in the legislature. With that, the BJP lost the opportunity to govern New Delhi despite winning the largest number of seats.

"This time, it has taken the pulse of voters. It has fielded Bedi, an activist without a political record, as its face in the capital. This completes the setting by pitting an activist against an activist. One of them is going to make it," said K.G. Suresh, a New Delhi-based political commentator.

Kejriwal's stint as New Delhi's chief minister lasted 49 days, when he resigned after New Delhi lawmakers from other parties rejected an anti-corruption bill his government proposed last year. His short term was marked by his trademark activist-type sit-ins and run-ins with electricity and water utilities over tariffs.

Critics labeled him a quitter for resigning prematurely. And his party flopped in last year's national elections.

Still, Kejriwal remains a darling of a large section of New Delhi voters divided along layers of economic classes facing day-to-day problems in the congested city, observers say.

Known for his populism, the 46-year-old maverick is seen to be successfully tapping into his constituency of lower-income groups.

His AAP has promised 500 new schools, 20 new colleges, greater investment in public transport and tens of thousands of new public toilets in the city of more than 17 million people.

"His support base among the middle-class and the elite may have eroded for quitting office abruptly last time, but he appears to have the backing of economically-weaker communities because of his promises," says Suresh.

Kejriwal and Bedi were two of the main strategists of the 2011 anti-corruption agitation that rattled the then federal government of India's oldest Congress party.

During those demonstrations, Bedi rose to prominence after her scathing attacks on politicians and flag-waving made her a central figure. Then, hundreds of thousands of Indians hit the streets to protest endemic graft and called for cleansing the nation's political system.

A winner of Asia's premier Magsaysay award, Bedi has a history of courting public attention, which has made her a household name in India. As a young traffic officer, she was nicknamed "Crane Bedi" for her clampdown on wrongly-parked cars. She also received international acclaim for reforming Tihar jail, India's largest prison complex, after taking over as its inspector-general in 1993.

As the candidate for BJP, Bedi faces a close contest against Kejriwal.

But the Congress party appears out of the picture and headed for its worst-ever defeat in New Delhi, according to opinion polls released this week.

As front-runners for chief minister, both Kejriwal and Bedi have vowed to make the city safer. The fatal attack and rape of a student in a moving bus in 2012 brought international spotlight on New Delhi and its public safety.

In its election manifesto, AAP has promised a million CCTV cameras across New Delhi and free wifi.

The upcoming election in India's capital megacity is also billed as a popularity test for prime minister Modi. His grand rise to national power last May is often called the Modi wave. The prime minister has received praise for his reform-minded initiatives and impressive oratory.

At the same time, his BJP and affiliate Hindu groups have come under fire for sporadic Hindu-Muslim clashes over the past few months in parts of the country.

Also, Modi's party is in a minority in the Rajya Sabha, the upper house of the Indian parliament. That limits his efforts to push his economic agenda.

Winning states in the coming years is therefore crucial for Modi's government as regional lawmakers play a key role in electing the upper parliament members.

@highlight

Two activists vie for New Delhi's top job

@highlight

Both were comrades-in-arms some four years ago during massive anti-graft movement

@highlight

Election also tests India's PM Narendra Modi's influence