(CNN) -- In 1916, British polar explorer Ernest Shackleton managed to save his entire crew after they had been stranded in the Antarctic for almost two years. Now, nearly a century later, Australian explorer Tim Jarvis and his team of five adventurers have set sail Thursday on a voyage to emulate Shackleton's epic survival journey, using almost exactly the same equipment and rations.

During the original, grandly titled "Imperial Trans-Antarctic Expedition", Shackleton had attempted to cross the Antarctic and reach the South Pole with a crew of 27 men on his ship, the Endurance.

But, after little more than a month, temperatures dropped so dramatically that the ship froze solid in the ice and eventually sunk. So began the long mission to survive, culminating in what is regarded by many to be one of the most astonishing rescue journeys in history.

After abandoning ship and finding land on the inhospitable and remote Elephant Island, Shackleton set out with just five of his men in a small open lifeboat to seek help for the rest of his crew.

Braving 20 meter-high waves, they rowed for two weeks across 800 nautical miles (1,482 kilometers) of icy ocean to the island of South Georgia. There they trekked 32 miles along the island's mountainous interior, eventually securing vital assistance at a manned whaling outpost.

Attempts to repeat Shackleton's rescue mission have been done before, but Jarvis' journey has a special twist. In the name of authenticity, they will reenact the whole thing on a replica of the original lifeboat and use only equipment and rations available in the early 20th century.

"Nobody has managed to do it the way Shackleton did it -- with the same gear and the same boat," said Jarvis, who believes it's the most challenging expedition of his life.

"It's not to be taken lightly," he added.

The only modern adjustments on board are the emergency gear and radios. Apart from that, the crew are facing exactly the same privations as their predecessors -- right down to the handmade reindeer skin sleeping bags, unpalatable but nutritious Pemmican (a concentrated mixture of fat and protein) and Shackleton's favorite whiskey "Whyte & Mackay".

Jarvis and his crew have just left Elephant Island and are now sailing the rough Southern Ocean in their replica of the James Caird, a wooden lifeboat only 6.85 meters (22 feet) long; the size of a typical six-seated mini bus.

They will then attempt the climb using only one small section of rope and a carpenter's adze -- just as Shackleton did.

As the centenary of Shackleton's journey approaches, the motivation for this expedition is in large part to honor the great explorer's legacy, even if it means risking life and limb and overcoming some enormous challenges.

"There is a certain amount of luck involved, as well as the skill of the crew and the preparation of the boat," explained Jarvis, in an interview before he left for the Antarctic.

The team's skipper Nick Bubb is concerned about the technical difficulties of operating an antiquated yacht.

"The boat doesn't have a keel, which means it will capsize easily. And since we are relying on celestial navigation, a cloudy sky will make it more difficult knowing where we are," he said.

For the worst case scenario, there is a modern boat trailing them, ready to pick them up if disaster strikes. And, unlike Shackleton and his men, this crew hasn't already spent over 500 days abandoned in the Antarctic.

Polar historian and author Dr Huw Lewis-Jones thinks this reenactment is an excellent way of resussitating interested in the early 20th century period known as the "Heroic Age of Antarctic Exploration".

"We need people like Tim Jarvis to do things like this that bring history alive," Lewis-Jones said. "Anyone who has ever been to the Southern Ocean knows how awesome Shackleton's journey was. It's quite rightly called an epic," he added.

"The human will to survive is strong and in Shackleton it found its perfect exponent. The man was a legend," Lewis-Jones said.

As an environmental scientist, Jarvis also wants to draw attention to the climate change affecting Antarctica since Shackleton's time, which he attributes to global warming.

Most of all, however, he wishes to honor the spirit of Shackleton's philosophy.

"One of his key messages was the importance of team work," Jarvis said. "We need to all act together in this world today, to overcome our problems."

@highlight

Adventurers set to re-enact polar explorer Ernest Shackleton's epic journey.

@highlight

The team will only use equipment and clothes available during early 20th century.

@highlight

No one has yet managed to replicate Shackleton's entire rescue voyage.

@highlight

Australian explorer Tim Jarvis will be the expedition leader.