Editor's note: The n-word appears in this piece because CNN feels the context in which it is used is pertinent to the story of James "Little Man" Presley.

James "Little Man" Presley has worked in the cotton fields of Sledge, Mississippi, since he was just 6 years old.

SLEDGE, Mississippi (CNN) -- James Presley stands amid chopped cotton, the thick Mississippi mud caked on his well-worn boots. A smile spreads across his face when he talks about voting for Barack Obama and what that might mean for generations to come. His voice picks up a notch. He holds his head up a bit higher.

"There's a heap of pride in voting for a black man," he says.

At 78, Presley is a legend of the past living in the present and now hopeful for the future. A grandson of slaves, he's one of the few men left in America so closely tied to his slave past, still farming cotton on the same land as his ancestors. He's picked cotton since he was just 6 years old.

He and his wife of 57 years, Eva May, raised 13 children and six grandchildren in a cypress-sided house in the middle of cotton fields in northwestern Mississippi. He was a sharecropper most his life, but rarely qualified for food stamps.  Watch "Obama, he come up like" »

His father died in 1935 when he was 5, and he had to step up and be the "Little Man" of the house, a nickname that has stuck seven decades later.

He's lived a raw-knuckled life where hope moved at a molasses-slow pace. The last time he had hope for a better future was four decades ago -- first with President John F. Kennedy and then with the Rev. Martin Luther King Jr.

Obama has changed everything to the poor in these parts. iReport.com: What does Obama's presidency mean to you?

"I'm a church man," he says. "And I kind of figured this here is about like it was with Moses with the children of Israel. On that day, when he gets to be president, we're all going to be rejoicing."

Does he have plans to celebrate on Inauguration Day?

"Oh man, it's gonna be nice. I believe we're gonna have a good time," he says. "I never thought one would get there."  See photos of the weather-beaten home where Little Man raised so many children »

As the nation prepares for Obama's inauguration on January 20, CNN.com traveled to Sledge, Mississippi, a forgotten town of about 500 people in the heart of the Mississippi Delta that some consider to be the birthplace of blues in America.

Nearly 20 percent of residents over the age of 60 live below the poverty line, according to the 2000 census. That number nearly doubles, to 37.5 percent, for residents under the age of 19. About three-quarters of the population are black. Two-thirds of the people here make less than $35,000 a year.

Presley says the fact the nation will have a black president will have a ripple effect in poor communities like his. For the first time ever, he says, black parents and grandparents can tell youngsters in rural America that through education, anything is possible -- that the White House isn't just for white folks.

Three of his children graduated from college. Two have died -- one as a youth, one as an adult. It never gets easier, he says, no matter what age they die. Obama has already brought inspiration to future generations of his own family.

"I might be dead and gone, but it's going to be a good thing to me, because I know that they ain't gotta go through what I went through. They'll have a better time, a more joyous time, than what I had when I come along. It is gonna be grand to them and to me, too."

"He knows what it is to come up without a father and what it is to come up for what you work for," Presley says. "Me and the poor man coming up, we had to work for what bread I got."

Presley shifts back and forth on his feet as he speaks. His flannel shirt and oil-stained jeans seem befitting of his life on the farm. He peers out from a camouflage hat, the fuzzy ear flaps pulled up over his head. He speaks in an accent as thick as the mud on his boots.

His hands speak to decades of hard labor. His fingers appear swollen with overworked muscles. The skin seems about a quarter-inch thick. If his hands could speak, he says, "They'd be crying, instead of talking, for what they've been through."

"You see how rusty and rough they are. They've been through something, ain't they?"

At 6-foot, 2-inches and 214 pounds, Presley has what seems an odd nickname. "They call me Little Man," he says.

He wears the nickname with pride. The youngest of three sisters and four brothers, he says that after his father died in 1935, he became the "Little Man" of the house. "I was tall, but I was small. So they called me Little Man," he says.

He doesn't remember much about his father. He can't recall the day he died or the sound of his voice. He was too young. He never met his slave grandparents either. They died long before he was born. But the fact they were slaves still stings.

"That doesn't make you feel too good, you know, to be sold like a cow. But back then, they couldn't help it. So I reckon I'm just glad that things come out better like it is now."

A thick fog hangs over the fields on this day. Presley pauses. He scans the fields and says, "I think about the good times and the hard times."

"When I started farming, we planted with hands ... and hauled it to the gin by wagon, a mule and a wagon. One bale at a time," he says.

He worked the fields when he was 6, the age of a typical kindergartner these days. "I was making 50 cents a day, from sunup to sundown."

"Back then, you know, I didn't get no schooling. I had to get out, come home and break the land, cut the stalks, plow the land and get it ready for the crop."

Presley has a total of four years of education, classes that he took in between growing seasons. His mother taught him to read and write, but he admits even to this day he struggles with both.

When it comes to life as a black man -- a sharecropper -- in Mississippi, he says it's tough to explain how difficult it was. He points to a nearby bluff and says that when he was just a boy, a black man was lynched from a tree. "I never saw him hanging up there," he says. "All I seen was the tree."

Blacks were segregated from whites. They couldn't go to the same schools. They had separate water fountains. Blacks couldn't go in the front doors of businesses. And just about everywhere you went, he says, racism was rampant.

"You go into a place, and they say, 'Nigger, get outta here.' You don't want nobody telling you that. You're a citizen around town. If you're a citizen, I'm a citizen like you," he says. "It makes you feel mighty bad."

"When I was a young boy, they was bad about that, calling you that."

He registered to vote for the first time in 1959 and cast his first presidential ballot for Kennedy. He says he's voted in every presidential election ever since.

"We felt like we were moving on up when we voted for him," he says. When Kennedy was assassinated, "everybody was kind of sad on that day, because he looked like the first president that had come in and was trying to help the poor folks."

King brought hope, too. "He was the only hope that we were looking for -- to bring us out," Presley says. But when King was killed on April 4, 1968, he says, it "put us right back where we was."

"It was pitiful that day," he says. "Everybody around here was in mourning."

He says Obama has brought inspiration to blacks in these parts, the likes of which hasn't been seen since 1968.

"With Obama coming in, it's gonna be another Martin Luther King helping us," he says. "Maybe in the next 40 years, we'll be better off."

He says Americans should never take their voting rights for granted. He was 30 years old before he first voted. "It means a lot to me, because I can put in for who I want to be president and who not to be president," he says. "So I just feel proud that I can vote."

Before parting on this day, Presley gives a tour of the weather-beaten, four-bedroom house where he raised his 13 children and six grandkids. The wood-framed house was the first home he ever lived in with running water, a bathroom and electric stove. The now-abandoned house is dilapidated, many of its windows broken, its doors barely hanging on hinges.

"I've had a good life, despite the hard times. I sure did," says Presley, who is retiring after 72 years of working the fields.

What's his message to the world?

"The important thing in life is to try to live and do the best you can," he says. "We done had it bad. Let us help give our children a better life, our grandchildren, our great-grandchildren. Let's try to give them a better life than we had. But anyway, just keep the good work going, is all I say."

@highlight

James "Little Man" Presley, 78, has worked cotton fields since he was 6 years old

@highlight

"There's a heap of pride in voting for a black man," says the grandson of slaves

@highlight

His dad died when he was 5; Obama "knows what it is to come up without a father"

@highlight

His message: "The important thing in life is to try to live and do the best you can"