(CNN) -- As scores of people head to the National Mall this week commemorating 50 years since the March on Washington, some corners of the media are still featuring passionate debate over whether African-Americans have ignored "a culture of violence" in their midst.

The finger pointing this time comes after the senseless killing of Australian baseball player and college student Christopher Lane, shot dead August 16 while jogging on a street in Duncan, Oklahoma.

From the moment three teenagers were arrested in the crime -- first misidentified as three black youths, later found to be two African-Americans and one white guy -- some media outlets tried to draw comparisons to the killing last year of black teenager Trayvon Martin by neighborhood watch captain George Zimmerman.

But if Lane's death has anything in common with Martin's -- besides the sad fact that both killings seemed avoidable and were possibly committed by people of a different race from the victim's -- it's the sometimes sloppy reporting used to make points about race that deserve subtler, more precise treatment.

Random killings spark laments, but reality shows long slide in crime

In the early days of reporting on Martin's death, Zimmerman was identified as white because police in Sanford, Florida, listed him that way on the incident report. Those early reports about a white man killing an unarmed black teen fit an easy black-and-white narrative about racial profiling in America, while the truth was that Zimmerman identified as Hispanic, but still could have profiled Martin.

Similarly, CNN aired a report suggesting that Zimmerman might have used a racial slur to describe Martin during his 911 call to police just before the shooting. But later, CNN aired another story with a different audio analyst who disputed that conclusion, and no allegations of a racial slur on the call surfaced at his trial.

LZ Granderson: Negligent parents, lawbreaking kids

This past week, Fox News Channel's "Fox and Friends" and The Daily Caller website both reported the three teens who killed Lane were black. The Daily Caller also published a photo featuring a different, dark-skinned black youth identified as Michael Jones, the white teenager police believe drove the car during the shooting.

Both outlets also criticized President Obama and activists such as the Rev. Al Sharpton for not making an issue of Lane's death in the way they spoke on Martin's killing.

The mistake with Jones' photo recalls a similar error made as some media outlets began publishing material reportedly discovered on Trayvon Martin's closed social media accounts, in an attempt to show he wasn't the innocent teen his family and supporters described.

Both Twitchy.com and Business Insider published photos of a shirtless, young black man facing the camera and providing a middle finger salute with both hands, identifying him as Trayvon.

That person was not the dead teen Trayvon Martin, but a different young black man. About a year later, Zimmerman's defense team released images taken from Martin's cellphone which did show him shirtless, making a similar gesture to the camera, but it's tough to know what that revealed other than a teen with a typical rebellious streak.

Still, an unspoken argument seems to be wrapped up in these stories. It's the conflict over institutional prejudice and racism.

In the Trayvon Martin case, police knew who killed the teen and resisted arresting him for 44 days. That fueled concerns that laws such as Florida's stand your ground legislation were making it easier to profile and kill African-Americans. That seems a long way from a presumed thrill killing in which suspects were arrested within days, saying they shot Lane because they were "bored."

Teen arrested in beating death of WWII vet

Even news that one of the teens involved in Lane's murder posted anti-white statements on Twitter months ago seems a different point. But some media outlets, committed to the idea that American institutions such as the criminal justice system are mostly fair, have focused on more personal explanations for such tragedies, emphasizing the criminality of some black people in ways that evoke old stereotypes about people of color and crime.

It seems obvious that real-life incidents rarely fit neat categories and the need to explain senseless deaths can lead to a lot of jumped-to conclusions.

But if the Chris Lane and Trayvon Martin cases teach anything, it's that cherry-picking facts to fit a preconceived narrative can be a road to inaccuracy and unfairness.

Here's hoping somebody is taking time to soak up the lesson.

The opinions expressed in this commentary are solely those of Eric Deggans.

@highlight

Eric Deggans: Lane, Martin killings being compared to make points about race

@highlight

Races of some in both cases were misreported, false images posted online

@highlight

Deggans: The errors fit into preconceived racial notions when real story is more complex

@highlight

Cherry-picking facts, jumping to conclusions inflames more hatred, he writes