Porter Holder vividly remembers the day in 1998 when he left a U.S. Department of Agriculture loan office in Oklahoma empty-handed.

He had applied for a low-interest USDA loan to help keep a farm in family ownership. He says he expected his application to be accepted. He had kept his debt at a minimum and developed a plan for supplementing his income. He believes he was turned down because he's Native American, a member of the Choctaw tribe.

"The day I walked out of there, I knew why he denied me," Holder said.

In 1999, He joined other Native Americans in a class-action lawsuit that accused the USDA of discriminatory lending over a 25-year period. USDA loans can be used for purchasing land, livestock, equipment and other operational items.

The lending practices of USDA regional offices have cost Native American farmers hundreds of millions of dollars in potential revenue, their lawyers said, although they added that it's a hard number to estimate because of how many farmers may have been affected. The attorneys say their expert witness, agricultural economist Patrick O'Brien, estimated that over 18 years, Native American farmers received only half the loans they could have expected to obtain.

As a result, many saw their farms foreclosed on and their fields lying fallow.

A recent settlement on behalf of African-American farmers gave Native Americans hope that their case will also be resolved in their favor. Individual black farmers could receive $50,000 each as a result of the case, known as Pigford II.

According to the 2007 Census of Agriculture, there are about 60,000 Native American farmers in the United States -- double the number of African-American farmers. The vast majority of Native American farmers work on family-operated farms.

Holder lives on 320 gently rolling acres in Oklahoma, where he raises cattle. His primary source of income is work as a blacksmith, shoeing horses in his community. With the right amount of financial help, he said, his life could have been different.

"I could have been a rancher," he said. "That's what I wanted to do."

Holder said regional USDA offices repeatedly denied him access to loans. In one instance, he said he was told to "go see [his] tribe."

After the regional office denied him a loan at 4 percent interest, Porter said he received an 8 percent interest loan through a private bank. He purchased the acres he lives on now, but he said the high interest has put a strain on his finances.

"If it was fair, I would be in a different place," he said. "I am thankful to be where I am, don't get me wrong, but I would be in a different place."

The Native Americans' lead counsel, Joseph Sellers, said the USDA loans are vital to the existence of Native American farmers.

"The precondition to getting these kinds of loans is the USDA is regarded as the lender of last resort," he said. "So the people who get these loans have already demonstrated that they can't get loans at two commercial lending institutions. So if they don't get credit from the USDA, they get credit from no one."

O'Brien, formerly with the USDA research service, agreed, saying that USDA loan programs were "limited to operators who cannot obtain sufficient credit at reasonable rates elsewhere but who would be able to operate viable farm businesses if USDA made the loan(s) in question."

Claryca Mandan says farming is in her blood. Her family was named its county's Farming Family of the Year in 1968. She says credit became almost impossible to get around the time she married her husband, Keith, in 1979. Like Holder, she is Native American and said she remembers when the loan practices of her local USDA office took what she called "an aggressive stance."

Mandan, who was a borrower from the USDA for years, is now a plaintiff in the lawsuit against it.

"It became apparent we were receiving different treatment," she said. "We were given loan amounts that were lesser than we already requested, and we were encouraged to buy the oldest machinery instead of stuff adequate and [the] equivalent to white farmers. We started to receive a lot of resistance from the local county staff."

Mandan said the regional office's stance toward lending was aimed not only at putting Native American farmers at a disadvantage, but at benefiting their non-Native American counterparts. Many Native American farms are on land -- usually in reservations -- that the federal government holds in trusts for the benefit of future generations. The land falls under tribal government authority, but Mandan charged that as more Native American farms defaulted on loans from the government, more farms were offered by the federal government for purchase to farmers who were not Native Americans.

A 1997 report from a civil rights action team to the USDA on the treatment of minority farmers generally, cited in the lawsuit, said that as minority farmers were unable to afford their lands, "The land is lost finally and sold at auction, where it is bought by someone else at half the price being asked of the minority farmer. Often it is alleged that the person was a friend or relative of one of [the USDA's Farm Service Administration] county officials."

The Mandans are members of the Mandan, Hidatsa and Arikara Nation, also known as Three Affiliated Tribes. The couple still resides on land that was allocated by the Dawes General Allotment Act of 1887, which aimed at settling Native American tribes and turning them into farmers and ranchers.

Mandan, who now works as a Native American credit outreach counselor, said she and her family struggled without access to affordable credit. After she failed to secure a USDA loan, the Mandans raised four children in a two-bedroom mobile home for 12 years. Without proper loans, she said, she couldn't afford a larger home. It wasn't until 2007 that she moved her family into what she felt was adequate housing, purchased through a local housing authority.

Ultimately, Mandan said, they won't be able to hand down working farms to their children.

"We aren't able to pass on farms with buildings and irrigation. A lot of us just have the bare land with fences. Many of us don't even have buildings," she said. "Many of us just finally achieved standard housing. For this to be happening in the U.S. today, with an agency that was supposed to fund us equally, is just wrong."

Agriculture Secretary Tom Vilsack said in a recent statement to CNN that the USDA is "committed to resolving allegations of past discrimination because we are intent on ensuring every farmer and rancher is treated equally and fairly. We have made significant progress on addressing USDA's civil rights record to close this chapter in the department's history."

USDA officials told CNN that they are in settlement discussions with Native American farmers and that they are putting the final touches on a plan that would turn the page on the discrimination claims by Hispanic and women farmers, as well.

"We want to put this behind us and focus on the future," a USDA official said. "We want to make sure we have a strong foundation moving forward."

Farmers such as George Keepseagle, for whom the case is named, have seen the years pass since the lawsuit was filed. In the 12 years that he and his wife, Marilyn, have been plaintiffs in the case, his health has deteriorated significantly because of stress, he said. Keepseagle, who is 70, was forced to sell his farm years ago. The couple now lives on the Standing Rock Reservation in North Dakota and said they want to change the way the USDA services loans to minority communities. They said they are optimistic, but Marilyn admits that George has misgivings.

"He worries a lot. He worries more than I do," she said. "I support him, I encourage him, I tell him it's not the end of the world and something good should come out of this."

For Porter Holder, the lawsuit isn't about the money; it's about the future for his four young daughters.

"I hope to see fairness in Oklahoma," he said. "I hope to see that it doesn't matter, the color of your skin, or nationality, if you're trying to make a productive living. This goes back to 1700; some things just don't change -- it's time."

@highlight

Native American farmers say USDA loan practices were discriminatory

@highlight

Recent African-American farmers' settlement gives them hope their lawsuit will be settled

@highlight

Lawyers say Native American farmers need government loans to sustain their businesses

@highlight

USDA official: "We want to put this behind us and focus on the future"