(CNN) -- Google's Eric Schmidt isn't naive.

The tech exec has been bopping all around the world lately -- like the nerdy version of Carmen Sandiego -- talking to people in completely unconnected places like Myanmar and North Korea about the benefits of a future powered by the Internet.

He's seen the statistics -- that only 2.7 billion people, or 39% of the global population, are online; that only 7% of households in Africa have Internet access; and that countries like East Timor, Ethiopia and Burundi have Internet penetration rates of near zero.

Yet in spite of that, or maybe because of it, Schmidt claimed over the weekend that everyone in the world (capital "Everyone") will be connected to the Internet by 2020.

"For every person online, there are two who are not," he wrote on his Google+ page. "By the end of the decade, everyone on Earth will be connected."

That's 6 years, 8 months and 15-some days from now.

Pretty soon, huh?

It is. And it probably won't happen that fast. As countless bloggers and Twitter users have pointed out in the past 24 hours, we live in a world where only 63% have access to "improved sanitation facilities," i.e. toilets. Universal anything is difficult to achieve.

But instead of bemoaning the boldness of his prediction, we should take Schmidt's words as a challenge.

Information access is a human right. And until someone invents a version of that "Star Trek" computer, the Internet -- both on smartphones and on the pre-smartphone dinosaurs that sit on our desks -- is the best tool we have for spreading it.

Everyone should get Internet access by 2020.

And if not, then soon after.

Mobile phones no doubt will pull the date closer.

Still, nothing is assured.

It's somewhat annoying and self-serving that Schmidt is the one rallying people behind this cause. Google sorta runs the Internet. The company's executive chairman clearly stands to profit (even more) from the rapid expansion of digital communication technologies. And he also is promoting a new book on the subject, which comes out at the end of the month. So the timing of this fortune-telling is suspect.

But someone needed to set a date for the world to rally around. And Schmidt and co. may be in a unique position to actually help create a future where everyone can be online.

Meanwhile, his own travels provide an interesting template for why this matters -- and why getting anywhere near universal and open access by 2020 will be difficult.

Take North Korea, which Schmidt visited in January.

"Ordinary North Koreans live in a near-total information bubble, without any true frame of reference," wrote Schmidt's daughter, Sophie, who accompanied him on the trip. "I can't think of any reaction to that except absolute sympathy. My understanding is that North Koreans are taught to believe they are lucky to be in North Korea, so why would they ever want to leave? They're hostages in their own country, without any real consciousness of it."

It's easy to see how that could change with access to the world's information -- and how the current war of rhetoric between North and South Korea could be ratcheted down if either of the countries had full and unfiltered access to information about the other side.

But it's also clear that technological access is only one part of the battle. Governments around the world must peel back censorship laws and, in many cases, stop actively using the Internet to spy on their citizens. That's likely to be trickier than building infrastructure.

Schmidt's March trip to Myanmar also was instructive.

"A mobile phone costs $1,000 per year and doesn't really work anyway, and a tiny number of the 60 (million) Burmese have Internet access," he wrote on Google+. "There is no data service on their mobile network and no international roaming ... Myanmar is one of the last countries to get connected to the Internet, and it will not be a smooth path."

He goes on to question whether cultural trends will influence whether the Internet will be used for good or bad as it does expand in that country.

"Because of the phenomenon of 'anchoring,' where people believe the first thing they hear and anchor from that point," he writes, "will the Internet be used to inflame special interests after 60 years of silence, or will the essential good nature of Burmese citizens prevail and will the transition be smoother than many think?"

I hope it's the smoother transition -- and that it comes soon(ish).

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Google's Eric Schmidt says everyone will be online by 2020

@highlight

John Sutter: That date is unlikely, but the challenge is worthy

@highlight

He says access to free and open information is a human right

@highlight

Sutter: In addition to infrastructure, government must roll back censorship