(CNN)If the 20th century was the century of the skyscraper, then the 21st century is shaping up as the century of the "plyscaper."

Despite its historical reputation for great city fires -- London in 1666, the Great Chicago fire of 1871 and San Francisco in 1906 -- wood is making a comeback as a construction material.

Next year in Vienna, construction will begin on a 275-foot building made almost entirely of wood, while Stockholm may build a 34-story wooden apartment by 2023. Others are in the pipeline from Canada to Australia to Europe.

With faster construction times and a softer environmental impact, could the building material of the past be the future of construction?

Vancouver-based architect Michael Green says the momentum is gaining as new engineered woods allow for greater strength and heights in buildings.

His firm MGA recently completed a 29.5m (97 feet) wooden building, the Wood Innovation and Design Center in Prince George, Northern British Columbia.

But he said news of taller wooden structures is sprouting up all the time.

"There seems to be a new announcement every two or  three weeks," Green said. "We've got one in Vancouver for 18 stories and in Vienna there's one for more than 20 stories.

"We've done research in high earthquake zones that show 30 stories is feasible; we certainly think we can go to 40 and higher."

He said new developments in engineered woods -- small wood components that are glued together to make large panels for building -- are a game-changer for construction.

Mass timber panels, in particular, cross-laminated timber (known in the industry simply as CLT) are becoming established as a quicker, greener and eventually cheaper alternative to concrete and steel.

One great bonus of the material is the speed of construction; panels can be made to measure in the factory complete with openings, windows and doors.

While the main advantages of working in wood are manifold -- it's flexible, robust and easily worked -- Green says wood may be the only material to address the growing problems of urbanization.

"Wood has not been an urban material so we looked at how it could be a contributor to urban environments," he said. "There are a whole host of advantages.

"Steel and concrete have huge carbon footprints. Concrete accounts for about 6-8% of man's greenhouse gas emissions, whereas wood stores carbon dioxide and gives us a vehicle to create carbon-neutral buildings."

The energy used to harvest wood, he said, is much less than the enormous amount required to produce concrete and steel.

"There is no other building material that is grown by the Sun," he said. "We've calculated that the North American forests grow enough wood for a 20-story wood building every 8-10 minutes."

Ultimately, building in wood, Green argues, creates an economic incentive to plant more forests.

"The climate story is really happening at both ends of the argument -- by using more wood we encourage countries around the world to plant more trees.

"About 20% of man's carbon footprint comes from deforestation, this creates an important incentive for reforestation," he said.

In terms of carbon footprint, a 20-story plyscraper put against its counterpart in concrete and steel is the equivalent of taking 900 cars off the road for a year, MGA estimates.

But the established nature of concrete and steel means that CLT will not replace urban building materials overnight.

Concerns over fire and inherent problems with its acoustic qualities (apartments need additional acoustic measures to keep noise from traveling) have meant that the construction establishment has been slow to come to the party.

In Vienna, for example, the Austrian fire services are working with architects to test their plans.

"The main factor is that everyone wants to build higher and higher buildings. An 84-meter-high building in Europe is not usual and there are a lot of necessities that have to be realized," fire service spokesman Christian Wegner told The Guardian newspaper. "A few of us were upset because it was crazy to present an idea like this that has not been discussed with everyone yet.

"They have to carry out special tests on the correct combination of concrete and wood. We also want to develop a more fail-safe sprinkler system. I expect they will pass the tests but if they develop the building as they say they will, it will be a serious project."

Green counters that CLT is as fire resistant as other new-builds made by traditional means and likens its ability to burn to trying to set a redwood on fire with a lit match, with any charring creating an insulation layer that protects the wood underneath.

Even so, the industry remains largely skeptical of a process that -- while having obvious advantages in terms of speed -- is still on par with steel and concrete construction in terms of cost.

"It will become cheaper but it's too new to be significantly less expensive," Green said, adding that the difficulty lies in competing with a well-honed and century-old system of designing, building and budgeting for concrete and steel.

"The culture of building and the culture of developing buildings is very conservative," he said.

"The hardest part of my job is not the engineering and the design or the innovation, it's really about changing the public's perception of what's possible."

Ultimately, buildings of the future are likely to be a mixture of wooden components and concrete and steel; combining the stability of concrete with the flexibility and speed of wood.

Leading timber specialist at the engineering group ARUP, Andrew Lawrence, said that shear walls -- the core of tall buildings which provide stability against the lateral force of the wind or seismic activity -- are likely to continue to be made from concrete and steel.

However, the real savings from wood come when all the cost elements of making a tall building are taken into account.

"Clients are missing a trick with wood," he said, adding that dollar-for-dollar as a pure construction material wood can still struggle to be cheaper than concrete.

"What you need to do if you want an economic wood solution is to think about all the aspects from outset.

"You will save on the program because it's all dry and is quick to erect and potentially, if you're making an office building, you can leave a lot of the wood exposed, saving on the cost and time of installing finishes."

Apart from having a sustainable solution, Lawrence says, clients will gain a building that looks good too.

"If you leave the wood exposed, you can have a really nice environment inside the building," he says. "There are studies that show that people are happier inside wood structures."

@highlight

Wood is making a comeback as a construction material

@highlight

New engineered woods allow for greater strength and heights in buildings