(CNN) -- At his official post-election press conference, President Obama told reporters that he's serious about fighting climate change while creating jobs. "We can shape an agenda that says we can create jobs, advance growth and make a serious dent in climate change and be an international leader," he said, "I think that's something that the American people would support."

We have just the answer. It's not a new idea, but as the two parties face off over the federal budget, it could be the path forward. There's a tool we can use to answer the public's call for more jobs -- without cuts to Medicare, Medicaid and Social Security: a carbon tax.

One analysis by the Congressional Budget Office says a moderate, $20-per-ton tax on carbon emissions could raise $1.25 trillion over 10 years. And the savings don't stop there. For decades, the oil and coal industries have passed along their costs to the rest of us, in the form of asthma treatment, emergency room visits, doctor bills and missed days of school and work. Combined with droughts, wildfires, hurricanes and severe weather events like Superstorm Sandy, rising levels of carbon in the atmosphere cost our nation an estimated $70 billion each year.

That's real money. And unlike cutting Medicare and Social Security, a carbon tax is a political winner. A large and growing super-majority of Americans -- 70% -- believe climate change is a real problem. A Yale University national survey found overwhelming majorities in favor of bold action like a carbon tax. Even the far-right American Enterprise Institute has been willing to talk about the benefits of a carbon tax, and anti-tax activist Grover Norquist has flirted with the idea.

Yes, polluters will fight a carbon tax tooth and nail, just like tobacco companies raged against cigarette taxes. But far from costing jobs, a carbon tax will provide a net benefit to our economy, especially if we start the carbon tax conversation by making sure miners and other coal industry workers -- the people who have sacrificed their lungs, and in some instances even their lives, so that we can keep the lights on -- are among the biggest winners.

Experts anticipate that the $500 billion in scheduled federal budget cuts will cost us nearly one million jobs. The $1.25 trillion from a carbon tax would allow us to avoid these cuts with money to spare to pay down the deficit, and to maintain clean energy investments that create 3.2 times as many jobs per dollar than subsidies for fossil fuels. A carbon tax would also reduce barriers to market entry for clean-energy startups facing an entrenched fossil fuel industry. There are already 3.1 million green jobs in America -- imagine how many more there would be if we leveled the playing field instead of subsidizing oil and coal companies.

Finally, one study by the Center for American Progress and the Political Economy Research institute found that we could create up to 1.7 million jobs simply by putting a price on carbon. The fact is, our economy will only be stronger and our communities healthier if we tax pollution instead of subsidizing it -- and invest in the new industries of tomorrow.

A carbon tax is really that rarest of ideas, a win-win-win solution that solves multiple problems at once. Tax polluters so we can pay down our debt without slashing the safety net? Win. Spur investment in new technologies and spark the creation of clean-energy manufacturing jobs right here in America? Win. And take a long-overdue step toward solving the climate crisis that already costs so much, and will only get worse? Win.

The question isn't whether this vision is right for America -- nearly everyone wants to breathe fresh air, drink clean water, bring home a decent paycheck and retire with security.

The only question is if Washington has the courage to seize this opportunity. If they do, this moment won't be remembered as a drawn-out partisan showdown over spending, but as the launching pad from which we began to sail into a healthier, more prosperous future.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Jones and Ellis-Lamkins: A tax on carbon emissions could raise $1.25 trillion over 10 years

@highlight

Carbon in the atmosphere costs U.S. an estimated $70 billion each year, they say

@highlight

Unlike cutting Medicare and Social Security, a carbon tax is a political winner, they say

@highlight

One study found the U.S. could create up to 1.7 million jobs with a carbon tax, they say