(CNN) -- On Sunday, 49 decapitated bodies were found on a major highway outside Monterrey, Mexico, which is about 80 miles southwest of the U.S. border.

A large banner draped over the corpses had a threatening message from one cartel to another, in an area of Mexico where the Zetas and the Gulf Cartel have been fighting for some time. "100 percent Zeta" was painted in black graffiti on a wall at the entrance of a nearby town, indicating Mexico's paramilitary-trained cartel had committed another atrocity on a stunningly large scale.

A day after the massacre, banners purportedly signed by the Zetas appeared in various parts of the area, denying they were the killers.

Four days later, no information about the victims has been released. It's a mystery who killed them and why.

The only thing that's clear is that the people who live near the crime scene seem detached, said Mexico-based journalist Ioan Grillo. He has covered the drug war for more than a decade. That's increasingly how many Mexicans act, he said, an understandable coping mechanism when you live in a country battling a drug war that has killed more than 47,500 people in six years.

Opinion: Mexico must look inward

CNN talked with Grillo to get his observations and impressions of what's going on. Parts of this interview have been edited for clarity and length:

CNN: You were in Monterrey and went to the town, Cadereyta Jimenez, near the crime scene. Tell me about that.

Grillo: The frightening thing about this incident is the lack of reaction from Mexican society and Mexican authorities. You would expect that for an incident of this scale, that the military would be all over the place. Two days afterward, in the center of [Cadereyta], there were no soldiers I could see. There was cartel graffiti in front of the town hall. All around the town, you see graffiti names of CDG (Cartel del Golfo). It's blatant. And you don't see the authorities around.

CNN: The people in Cadereyta, what did they say to you?

Grillo: The people I talked to are saying, 'Why is this happening? It doesn't have anything to do with Cadereyta. This has nothing to do with us,' which seems like a rejection of responsibility, a kind of denial. Some psychologists say that repeated exposure to trauma causes denial and apathy, a rejection of what has happened. In Monterrey people are quite numb.

Perhaps parts of Mexico feel that collectively. When you had the Monterrey casino fire which killed 52 people in 2011, there was an emotional reaction to that. When 72 migrants were found slain [on a Tamaulipas farm in 2010], there was a reaction.

CNN: What does this latest mass killing say about the drug war in the bigger picture?

Grillo: I don't think you can say this incident is a turning point. The drug war escalated significantly in 2008 to levels we'd not seen before, and in 2010 to levels we'd not seen before. We've had several more years of horrific atrocities. So this just seems like one more among so many.

CNN: What about efforts to identify the bodies? [On Wednesday Mexican authorities said they're asking for DNA samples to help with this.]

Grillo: It has been worryingly slow. I mean, 49 people just disappearing? Don't they have families? Aren't there people out there missing them? There are no reports of mass disappearances. Perhaps they were related to trafficking but maybe they weren't.

Were they migrants [victims of previous cartel violence]? We don't know anything about the physicality of the victims. Did they have any tattoos that could help answer those questions? You'd think there'd be some physical space where [the killers] decapitated and dismembered these people. They must have left trails.

CNN: Logistically, it's incredible to think about how 49 people were killed and then transported out to a major highway. You said this area where the bodies were found is considered dangerous but what specifically is it like?

Grillo: This happened in the Plaza de Cadereyta in an industrial area of Monterrey. The bodies were left directly on a major highway that runs toward Reynosa and the U.S. border. The area has been under dispute between the Zetas and the Gulf Cartel, and it's dangerous for that reason. A lot of journalists are fearful to go to the outskirts of the area.

CNN: You went to the crime scene, and you've been to hundreds of other crime scenes covering the drug war. How do police secure crime scenes in Mexico, and in particular, how does one secure a crime scene in which 49 bodies have been decapitated?

Grillo: In many cases, Mexican authorities do not secure crime scenes well. You can get close to the bodies in many cases.

In this case, the military and the police secured the area and covered it. The first calls came around 2:30 a.m. in the morning Sunday. The press in Monterrey first became aware of it around 4 a.m. Because it's a dangerous place to go and because it was the middle of the night, the press wanted to get five or six vehicles to go there in a convoy because of the danger of driving into a hostile area at night.

So by the time the press got there, it was 5 a.m., the area was covered and the road was blocked. Cameramen could not see the corpses or verify information about the corpses. It took until about 9 or 10 p.m. [to process the bodies and remove them] ...The only thing we saw was a video that seems to show the killers, which appears to be authentic.

CNN: You're talking about a video posted on the Web that you viewed and you say appears to be authentic. Why do you say that?

Grillo: Because if you look at a photograph of a pile of human corpses, [you know when] it looks real. It corresponds to this incident. If you watch the video -- some of it is very dark -- you can see it appears to be authentic. As a journalist, you can't [be] 100 percent or know who put it there [on the Web].

CNN: Mexican President Felipe Calderon belongs to a party called the PAN and was elected in 2006. He declared war on the cartels and sent the military fanning out across the country, and he fired hundreds of corrupt police officers.

Some say that his actions fueled the violence with the cartels fighting back harder and more creatively. In July, Mexico will hold a presidential election. Calderon cannot run again because of term limits. The party opposite Calderon's -- the PRI -- could take power. How would the PRI in power change the drug war?

Grillo: Unless something extraordinary happens, the PRI are overwhelmingly in front in polls and are going to win. So far, the PRI have signaled some quite positive signs for the drug war by having concrete goals of reducing rates of homicide, kidnapping and extortion.

So they are doing something other than having a broad goal of defeating the cartels and reconquering territory. The PRI has said these are the anti-social crimes we want to reduce. It's also possible that the PRI could have a majority in Congress.

If that happens you could have a more powerful government that could bring together different police forces. One huge problem in Calderon's administration is that you had different police forces in different states fighting each other rather than working together.

@highlight

People in town near massacre seemed numb, detached from violence, journalist says

@highlight

Ioan Grillo: There has been little emotional reaction to weekend massacre of 49 people

@highlight

Crime likely won't mean a turning point in Mexico's drug war, reporter suspects