Over the Indian Ocean (CNN) -- The P8 Poseidon dips to the marked spot on the right, tipping closer towards the newly set search zone in the southern Indian Ocean.

The entire right window of the spotter's seat is filled with azure blue, zooming by at 302 mph. We're 500 feet above the ocean, but to my untrained eye, it looks so close it's as if I'm on a high diving board skimming a swirling sea.

"We saw a couple of things on our way in," explains U.S. Navy Lt. Josh Mize, the tactical coordinator of Rescue 74, the call sign for Friday's mission to seek out debris from missing Malaysia Airlines Flight 370.

The P8 is a Boeing 737 souped up with classified U.S. government electronics and intelligence, powered by jets that move it more nimbly than any consumer plane on the civilian market. I'd love to show you a picture of it, but the State Department forbids any pictures by civilians, ordering me to leave all electronic equipment on the ground.

Petty Officer 1st class Robert Pillars called for the "mark on top," the signal for the P8 crew to immediately mark the coordinates on the map. Pillars spotted white objects floating in the distance.

I'm one of three reporters on this embed to the new search area. Just hours before, the Australian government said credible evidence supported moving the search 680 miles northeast of the prior search zone. I'm clutching the military green life vest on this tilting jet, wondering if this might just be the debris of Flight 370.

We make a second pass over the mark.

The 360-degree rotation camera positioned just behind the front landing gear spins around, capturing something in the water.

Lt. Clayton Hunt, the patrol plane commander, calls in three items to the regional communications center: the white objects spotted by Pillars, an orange rope and a blue-green bag. The P8 requests that a boat head to the objects and check on them. But the items don't appear important enough to drop a tracking buoy.

Four other planes will report similar debris to the Australians from the new search area.

The P8 continues on, in the hunt to find debris from the missing plane.

"Mowing the ocean"

The two-hour, 20-minute flight to the new search zone is casual and lighthearted, as the Navy crew adjusts to journalists peppering them with questions. The P8, described by Boeing as the world's most advanced anti-submarine, anti-surface warfare aircraft, flies along a bright fuchsia line on the radar screen.

The flight plan estimates a 3,000-mile trip. Once in the search zone, the fuchsia line forms a rectangle, with the plane crossing a horizontal path of about 200 miles, heading north 13 miles, then back across the 200 miles. It repeats the pattern twice. The plane will fly low to surface, at 500 feet.

Lt. Kyle Atakturk, the P8's patrol plane pilot, calls it "mowing the ocean."

At the search area, the chatter stops. The crew's voices lower to a whisper over their closed communications on headsets.

This is the ninth trip to the Indian Ocean for the Kadena-deployed naval crew. On half of those trips, says Lt. Clayton Hunt, the team has spotted something.

Today's weather is in stark contrast to yesterday because "visibility's been awesome, one of the best two days we've had," says Hunt, the commander. The current is so calm that the plane's shadow follows on the water's surface, perfect and zooming below. If something's out there, Hunt says, "Oh yeah, we'd see it."

But finding something and finding the plane's debris are two very different discoveries.

"Every mission we see dolphins and seaweed," says Petty Officer Pillars, shaking his head. "Every time, I get like that. See it it in the distance, then get excited. And then find out its seaweed. We want to find something."

Pillars' near-boyish enthusiasm about the mission is infectious, in stark contrast to the seriousness of his eyes as they track a pattern across his spotter's window. You can tell Pillars wants to sit at the window as long as he can, rotating out only when his judgment tells him he needs to rest his eyes.

Farther down what the crew calls "the rail," because of the side-by-side radar monitors and chairs, sits Mize, the tactical coordinator. He's in charge of the operation outside the cockpit.

"Our mission is to find it," says Mize, his Southern drawl curling around his serious words. "Do I feel it? Yeah. I want to give them answers."

By "them" he means the families of the Malaysia Airlines passengers. The P8 crew, all pilots and crew aboard a plane, feel a kinship with the lives lost in the sky and the families left wondering.

"I think if I was in their shoes, I'd want proof," says Lt. Nick Horton who, along with Atakturk and Hunt, is one of three patrol plane pilots on this mission. "Not knowing is the hard thing, right?"

Silence

The P8 continues quietly. The crew chat into their headphones, inaudible above the noise of the jet. Beyond the one sighting early into the search, there's been only vast, calm sea.

About 1,500 miles into the trip, halfway through the search, the crew prepares to drop a "sonobuoy." The P8 is equipped with these devices, which it ejects into the ocean to establish drift rate by transmitting a radio frequency signal to the aircraft. The last search zone was so dynamic that it had no pattern and moved 150 yards in three minutes.

With a muted "whoop" sound, the sonobuoy is ejected. I can see a faint white parachute from the plane's video camera for a second and then it's gone into the endless blue of the ocean.

The light fading on the day, Pillars is in his final shift at his spotter's window.

The infrared camera comes on; the blue sea is green and black on the grainy screen.

The pilots announce the P8 is climbing to 37,000 feet, lifting out of the search zone and returning to Perth Airport.

The team has had one spotting -- at best, a possible lead.

It returns to the airport, greeted by another P8 that now joins the mission, more air power to try to bring the pieces of this puzzle home.

Hopes dashed as orange objects turn out to be fishing equipment

Get up to speed on the latest developments

A flight attendant's husband wants to give children answers, but has none

@highlight

CNN reporter Kyung Lah travels with a U.S. Navy search team over the Indian Ocean

@highlight

The P8 is a Boeing 737 souped up with classified electronics and intelligence

@highlight

Patrol plane scours vast area at 500 feet above the water

@highlight

New search area is based on what Australian government said was credible evidence