The abduction of a French family, including four children, in a remote part of Cameroon has fueled fears that Western civilians living and working in parts of Africa are becoming targets of Islamist militant groups -- especially in the wake of France's military intervention in Mali.

The family spent Monday at Waza National Park -- a thickly-forested area popular with tourists close to the borders with Nigeria and Chad.  Tuesday morning, they began the drive south when they were ambushed and abducted by several armed men on motorbikes, officials said.

The children's father is an employee of the French company GDF Suez and is based in Yaounde, in the south of Cameroon.

GDF Suez, which is developing a natural gas liquefaction project in Cameroon, expressed its concern and said it was working closely with the French Foreign Ministry.

Waza is in a remote part of the country where the borders are porous and criminal and terrorist groups are able to operate freely, according to regional analysts.

French officials immediately pointed the finger at the Nigerian group Boko Haram, which has waged a three-year terror campaign against Christians in northern Nigeria as well as attacking police stations and more moderate Muslims in authority.

It has also been able to take advantage of porous borders with Chad and Cameroon.

French President Francois Hollande said during a visit to Athens on Tuesday: "I am aware of the presence of Boko Haram in that part of Cameroon, and that's worrying enough."

Hollande said he does not believe that the kidnapping took place because of his country's intervention in Mali. "There is a great danger of terrorism in a big part of west Africa, including as far as Cameroon," said Hollande, calling on French nationals to exercise caution in West Africa.

Hollande said it was likely the kidnappers planned to take the family of seven across the border into Nigeria and said France would do everything possible to prevent that.

But, in this remote area, French options are limited.

Throughout West Africa and the Sahel, Westerners have become targets for both militant groups and criminal gangs, which are sometimes indistinguishable.

Altogether, 15 French citizens are now being held by various groups in the region, six of them by groups aligned with al Qaeda in the Islamic Maghreb.

Some 6,000 French citizens live in Cameroon, part of which was once a French colony.

In December, Francis Collomp, a French engineer working in the northern Nigerian state of Katsina, was kidnapped by a jihadist group calling itself Ansar al-Muslimeen. And on Sunday, Ansaru, as it's also known, launched a much more ambitious operation in Bauchi state,  kidnapping seven foreign contractors working on a construction project in response to the "transgression and atrocities done to the religion of Allah by European countries in places such as Afghanistan and Mali."

Boko Haram has links with some of the Islamist militant factions in Mali, and there have been persistent reports that fighters from the group had joined jihadist camps around the city of Gao, which until this month was under the control of a group associated with al Qaeda in the Islamic Maghreb (AQIM).

Last year, Gen.Carter Ham, who leads the U.S.Africa Command. said "linkages between AQIM and Boko Haram are probably the most worrisome in terms of the indications we have that they are likely sharing funds, training and explosive materials."

More recently, Ham said the U.S. Defense Department had begun feeding intelligence about the group to the Nigerian military.

John Campbell, a former U.S. ambassador in Nigeria now with the Council on Foreign Relations, said last month that if Boko Haram really had developed links with al Qaeda "it would seem likely that Boko Haram will escalate their attacks in northern Nigeria in solidarity with their Islamic brothers. If that happens, there will be yet more pressure on the already overstretched Nigerian forces."

Nigeria is leading a group of West African countries supporting the French mission in Nigeria, further straining its ability to deal with Islamic extremism at home.

Campbell told CNN on Tuesday that until there was some claim of responsibility, it was difficult to be sure that the abduction in Cameroon had a political dimension.

Kidnapping has become a lucrative business in parts of West Africa.

Campbell also noted that while Ansaru has been quick to claim responsibility for its previous actions, Boko Haram had been largely silent in recent months. The relationship between the two is unclear, according to analysts of jihadist groups in West Africa.

Both Boko Haram and Ansaru first emerged in the northern Nigerian city of Maiduguri.

Andrew Lebovich, who has followed the evolution of both groups, says Ansaru broke away from Boko Haram a year ago and "has since become known for its similarities and suspected links to AQIM and allied groups such as the Movement for Tawhid and Jihad in West Africa (MUJAO)."

Ansaru has taken a more hostile attitude toward France. It said the abduction of Collomp was in response to the French government's stance on Islam -- including the ban on the wearing of the veil in public and in French schools.

Boko Haram is more focused on what it sees as discrimination against Muslims in Nigeria.

Recently,  like the Pakistani Taliban,  it has extended its attacks to target doctors and health workers involved in polio vaccinations.

The emergence of two apparently resilient terror groups in northern Nigeria, and the surge in attacks on foreigners, pose growing challenges for a government and military already struggling to exert their authority across large areas of Africa's most populous nation.

@highlight

Seven French family members abducted in Cameroon

@highlight

Westerners are targets for militants, criminal groups

@highlight

Militants groups Boko Haram,  Ansaru emerged in northern Nigeria