Washington (CNN) -- It was his breakout moment on the national political stage.

"(T)here's not a liberal America and a conservative America; there's the United States of America," a little-known Illinois state senator named Barack Obama declared as he gave the keynote address at the 2004 Democratic National Convention in Boston. "There's not a black America and white America and Latino America and Asian America; there's the United States of America."

Obama's rousing speech helped to introduce him to Democratic loyalists and lay the groundwork for his long-shot bid for the White House in 2008.

With both parties set to hold their conventions in the next few weeks, the political world will be watching to see who, if anyone, breaks out to become the next rising Democratic or Republican star.

Drama is rare in modern conventions

Will it be the high profile Cuban-American senator from Florida who was on Mitt Romney's vice presidential short list? Could the law professor-turned-consumer-rights-advocate-turned-Senate-candidate in Massachusetts break out? And what about the young, Latino mayor of San Antonio or the senator from Kentucky who is the son of Rep. Ron Paul?

'We need (a) Moses now because we're in the desert'

Republican strategist Alex Castellanos says the next breakout GOP star should be a speaker who focuses not so much on policy but on vision, conviction, leadership, an orientation toward the future, and the establishment of an emotional connection with the audience. In other words, the next big GOP star must have what pundits frequently call "the vision thing."

Rare opportunity for speakers at GOP convention

Castellanos, a CNN contributor who was also the chief media consultant for Mitt Romney's 2008 presidential campaign, says the GOP is longing for someone who can paint a vision of a brighter future built on Republican principles -- someone who, in Castellanos' words, can compellingly deliver the message, "Follow me. There's a better place."

"We need (a) Moses now because we are in the desert," the GOP strategist says. "We're stuck. We don't know where we're going."

REPUBLICANS

Sen. Marco Rubio of Florida: Even though he already has a substantial national profile, Rubio is the best bet to have an Obama-like performance at the GOP convention, Castellanos says. Elected with support from the tea party movement, a Latino and a fluent Spanish speaker, Rubio is from an important battleground state and the son of immigrant parents. He seems tailor-made to help the GOP speak to the nation about a brighter future under Republican stewardship.

"He's the future of the party," Castellanos says. "I'd keep an eye on him. ... He's the real thing. He has that gift."

Sen. Rand Paul of Kentucky: A fiscal conservative who is beloved by the tea party movement and the son of Ron Paul, Rand Paul also has potential to make a splash on the national stage, according to Castellanos. In particular, the freshman senator appeals to conservatives and libertarians who want to shrink the size, scope and power of the federal government.

Sen. Kelly Ayotte of New Hampshire: Another tea party favorite from a battleground state, Ayotte was one of the few women believed to be on Romney's short list of vice presidential prospects. "She has tremendous potential," Castellanos says, "She could be your dark horse."

Congressional candidate Mia Love: Black, Mormon and fiscally conservative, Love is an unlikely candidate to be the new face of the Grand Old Party. But the mayor of Saratoga Springs, Utah, is greatly loved by tea party activists and by conservative women. Love is running to represent Utah's 4th Congressional District. If elected, she'd be the first black Republican woman in Congress' lower chamber. Love is aware but resolute about her unique status in the GOP.

"There are a lot of people who have tried to define me as a person," Love, the daughter of Haitian immigrants, told CNN in May. "I'm not a victim, and I don't allow anybody to put me in a box."

'Someone who can electrify the hall'

Raw political talent is the first and most important criterion in picking a keynote speaker and doling out other prime-time speaking slots during a convention, according to Democratic strategist Paul Begala.

"You're looking for someone who can electrify the hall and speak to the people back home," says Begala, a CNN contributor.

Begala also highlighted a speaker's ability to address important themes.

"I want someone who can stand up there and talk about the middle-class American dream and how that dream persists because of the Democratic Party," Begala says, adding that the November election could well be decided based on whom voters believe is doing the most to support the middle class.

DEMOCRATS

Senate candidate Elizabeth Warren: The Democratic Senate candidate in Massachusetts would seem to be the perfect messenger to deliver her party's message about tackling income inequality. "Nobody fought harder for Wall Street reform, the reform that is now law and protecting consumers all across the country, than Elizabeth," Obama said after Warren introduced him at a June campaign event. "She has been a fierce advocate since before I knew her for the middle class, and she has been advocating on core issues that matter to families her entire career."

Begala says, "What she has is, I think, a very deep sense of how real people are affected by the economy. She's not just talking about abstractions."

San Antonio Mayor Julian Castro: Castro has been tapped to give the keynote address at the Democratic convention. Although he isn't well-known nationally, fellow Texan Begala says the mayor is known back in the Lone Star State. "Everybody's been talking about him for a while," Begala says of Castro's reputation in Texas. Castro is the first Latino to deliver the Democratic keynote, according to convention organizers.

Colorado Gov. John Hickenlooper: Before the recent Colorado wildfires and the mass shooting in Aurora, Colorado, the state's Democratic governor was already one to watch. Hickenlooper is the highly regarded governor of a battleground state with a background as a small business owner.

Colorado governor: Questions about Romney taxes 'almost visceral'

California Attorney General Kamala Harris: California's chief law enforcement official is another one to watch, according to Begala.

"I've been really impressed with her," the Democratic strategist says, adding that Harris has the needed combination of raw political talent and substantive knowledge to become a figure on the national political scene.

@highlight

President Barack Obama broke onto national political scene after 2004 convention speech

@highlight

GOP strategist: Party longing for a vision of a brighter future built on Republican principles

@highlight

Democrat: Speakers should have raw political talent and address important themes

@highlight

Senators and mayors among those who could have standout performances at conventions