(CNN) -- As the United States gears up for possible airstrikes inside Syria, it should remember one thing: No matter how much planning has gone into U.S. military plans to counter the Islamic State in Iraq and Syria, the Arab public isn't convinced that anything will change.

Indeed, a look at Arab social and online media reveals something quite different: The more blistering the rhetoric from Washington, the more the region's bloggers and Facebook users burst into laughter.

This week, diplomats and leaders met in Paris to discuss the ISIS threat, a meeting that came a week after President Barack Obama's speech outlining the U.S. strategy to defeat the group. The prevailing view in the Arab world seems to be that the President's address was long on rhetoric and short on ideas for constructive action. Why this conclusion?

More than three years into Syria's civil war, the United States has lost credibility after standing by as Syrian President Bashar al-Assad bombed and killed his own people, including the widely believed use of chemical weapons. After drawing a red line, Obama stepped back from military action, saying he needed the approval of Congress. He used similar rhetoric in his speech last week.

In the newspaper Asharq al-Awsat, Abdulrahman al-Rashed spoke for many when he wrote: "Truth be told, regional states have been calling on the international community -- particularly the United States -- for two years, asking them to cooperate in confronting these dangerous groups. Unfortunately, the White House has rejected these appeals. ... (T)he U.S. president was eventually forced to act following international pressure and after the atrocities committed by (ISIS) became too much to ignore."

Arab intellectuals recognize that over the last 30 years Islamist groups have been defeated only after local populations rejected their ideologies and violence. They understand that conventional military intervention and drone strikes are unlikely to eradicate ISIS, and that although ISIS has made enemies, it also could not have made its dramatic gains without at least tacit support from local populations.

The United States exacerbated the problem of not winning over locals by upping and leaving before the political task had been completed.

"ISIS would not have become such a strong and widespread entity if the U.S. hadn't pulled its troops from Iraq prior to addressing certain issues: Sunnis regaining their rights and dignity, limiting Iran's interference, and completely eradicating al Qaeda," commentator Saleh Al Qalab wrote.

He is far from alone in this thinking. Many Sunni Arabs blame the United States not only for invading Iraq and creating fertile ground for extremism in the first place, but then making things worse by throwing its support behind the Shiite-led government of Nuri al-Maliki, whose sectarian leadership marginalized Sunnis. Remember, the earlier iteration of ISIS was al Qaeda in Iraq, which was responsible for a considerable share of the sectarian violence that swept the country after the U.S. invasion.

"Only idiots cannot see that ISIS was created by the Americans," Omar Dhahir argued in the Arab Times. "It was the only way for it to regain the strength and influence it had lost in the Middle East. A closer look at the media indicates that ISIS is present everywhere, in countries where the U.S. has vested interests, but not in the U.S. itself. ... U.S. policy was never ethical or humane but it has now reached unprecedented levels of lack of shame."

Such condemnation has also found its voice through cartoonists and satirists who believe world powers are, quite frankly, impotent in the face of the militant group. Karl Sharro, a London-based Syrian commentator, came up with some humorous takes on the warnings emanating from leaders in Berlin and Paris -- "We will hit ISIS on the nose with a big sausage and laugh loudly," he mused as an apt quote for German Chancellor Angela Merkel, and, "We will smack ISIS on the head and then push them in a puddle of mud," for French President FranÃ§ois Hollande.

Cartoons in the Arabic media have been just as scathing. One of the most popular shows Obama reaching his hand out to an injured Arab, telling him he wants to cooperate with the Islamic world. But the Arab in the cartoon is unable to shake hands because one arm has been severed at the elbow and his other arm is in a sling due to an injury sustained in Iraq. The message is clear: The United States has created so much violence in the region that there is no longer anyone still standing with whom it could effectively work.

True -- officially at least -- some Arab governments have been a little more enthusiastic about the U.S. cause. Ten Arab nations signed up last week to join the fight against ISIS. But such vows are likely to meet a weary shrug of the shoulders among much of the public. As far as many are concerned, ISIS isn't go anywhere soon.

@highlight

Arab public doesn't have faith in U.S. military strategy for countering ISIS, authors say

@highlight

View is that President Obama's speech on ISIS was long on rhetoric, short on ideas, they say

@highlight

Bloggers and commentators have been scathing about Western actions, writers say