(CNN) -- They're not just constant characters on a television screen, these candidates who every four years seek the presidency. They're not present only to give us something to talk about for months on end.

"What you feel like on certain days is a slow-moving target," said George Herbert Walker Bush, reflecting on the unsuccessful campaign when he sought reelection to the White House.

They grin and wave at crowds, asking for our votes while implying eternal sunniness. To reveal that they are vulnerable to hurt would seem to be an admission of weakness.

"I didn't like it," Gerald Ford said, speaking of being defeated when he ran on his own for president. "I was sad. But I never let my feelings be reflected publicly. ... Inwardly, inwardly. I never let it out. It's not my nature."

The candidates know that only one person can win a presidential election, and that the loser, no matter how accomplished, will forever be associated with the fact of his defeat. Sometimes it is the incumbent; sometimes it is a challenger. The feeling of emptiness is the same, although the men who have lived in the White House and have then been denied a second term understand especially well just what it is they will be leaving behind.

News: Polling center--down to the wire

"I think when I lost the reelection campaign for the presidency," Jimmy Carter said, "I think I did my best, and although Rosalynn was pretty -- well, bitter -- after the loss, I was not. I had to spend a long time assuaging her disappointment -- I'm sure she would agree with this if she was here in the room right now -- and I said to her, 'Rosalynn, we have a good life ahead of us.'"

In my conversations over the decades with men who have served as president of the United States and who have had to leave office before they wanted to, we have spent significant time talking about the emotions that accompany the leave-taking. These are men who have reached a pinnacle the rest of us will never come close to achieving. Yet when they are turned away, their past accomplishments cannot fully soothe the sting.

On Tuesday night, two men of considerable talent, soaring ambition and lifetimes full of triumphs will find out which one of them has been selected for a job they each covet, and which one has been rejected. Either Barack Obama or Mitt Romney is certain to be wounded to his core, even while the other man is celebrating to wild cheers.

News: If Obama wins a second term...

Very few people have known what it is like, on that highest of levels, to be seen as having failed.

"If I had feelings," Richard Nixon said, "I probably wouldn't have even survived."

His own final leave-taking, of course, was different from an election-night defeat. He had lost the presidency on a November night in 1960, then won it on November nights in 1968 and 1972. He might well have assumed that the defeats of his life were all past tense. And then came the resignation at the height of the Watergate crisis in August of 1974.

He was defiant -- proudly so -- in not wanting to be seen as actively seeking sympathy. "I never wanted to be buddy-buddy," he said. "Not only with the press. Even with close friends. I don't believe in letting your hair down, confessing this and that and the other thing -- saying, 'Gee, I couldn't sleep, because I was worrying about this or that.' I believe you should keep your troubles to yourself.

News: If Romney wins...

"That's just the way I am. Some people are different. Some people think it's good therapy to sit with a close friend and, you know, just spill your guts ... so perhaps the younger generation should go in every time they are asked how they feel about this or that, and they should reveal their inner psyche -- whether they were breast-fed, or bottle-fed.

"Not me. No way."

The first President Bush, in talking about the pain of losing to Bill Clinton in 1992, also bristled at the memory of being expected to reveal to the public his private feelings: "I didn't feel comfortable with all this 'Larry King Live' and MTV," he said. He imitated the voice of a hard-bitten political adviser: "'Everybody else has been on MTV, you gotta show 'em you can communicate with the youth.' I kept being told ... "

He let his voice trail off.

Carter, recalling his 1980 loss to Ronald Reagan, told me: "So, yeah -- I think there is a lot of misapprehension about who a person is, even when he's being looked at all the time. ... A lot of the reporters who almost sort of condemned everything I'd done and said, and they were insinuating that I didn't have any intelligence, I didn't have any judgment, I didn't have any moral convictions ... I mean, it wasn't unanimous, but it was there. And even the reporters who were most negative about me, in my post-presidential years they have said, 'Wow, this guy has finally listened to what I said about him as president, and he's changed his ways now, he's got a little bit of sense, a little bit of judgment. ...'"

Opinion: Stand up for centrist candidates

Carter laughed, with more than a hint of harshness. "I don't think I've changed," he said.

On Tuesday night, the man who loses will have to assure his supporters that he and his family will be just fine. Betty Ford told me that her husband, after his defeat, did his level best to give that impression.

"He really did try to be very stoic in his face," she said. "He told us that there always has to be a winner and there always has to be a loser, and that you shouldn't be in politics if you aren't aware of that. We didn't talk a lot about it, because there was no sense in dwelling on it. We both felt pretty terrible. But we couldn't change it."

The real anguish Tuesday night will take place behind closed doors. Few will bear witness.

In the 1972 election, George McGovern, who died last month at the age of 90, was wiped out by Richard Nixon. McGovern's press secretary, a novelist and former Los Angeles Times reporter named Dick Dougherty, later recalled what it was like to be in McGovern's hotel room that evening as McGovern was, line by line, editing his concession speech:

"His eyes welled over and a tear fell that was so large it splashed when it struck the top of his hand. A terrible sound came from him that was like a giggle except that it was as much a sob as a giggle. He got up. He said: 'I don't know why I do that when I'm sad -- why I laugh.' He moved quickly toward the bathroom. [McGovern's wife] Eleanor, beginning to cry again, said: 'George always does that. He always laughs when he feels most badly. ...'"

They are not just names and moving images on millions upon millions of smart phone screens, these people who ask us to make them our president.

And one of them, on one November night every four years, finds out what it is like to be told: Sorry. We've decided to go with someone else.

Opinion: Crowley -- It's the losing campaigns I remember most

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Candidates who lose a presidential race have deep, if unexpressed, feelings

@highlight

He says many challengers lose, but losing incumbents he's talked to also had complex emotions

@highlight

Ford said it wasn't his nature to outwardly lament defeat; Nixon defiant, not seeking sympathy

@highlight

Greene: Someone wins, someone loses; it's painful to be told by voters: you're not the one