(CNN) -- This month, Britain's deputy prime minister squared up to the leader of the country's euroskeptic Independence Party to advocate the merits of his nation's membership of the EU.

So did Nick Clegg convince the electorate in this televised debate that Britain was better off inside the union?

In short, no.

For all Clegg's passion for Europe, polls showed two thirds of those asked thought his opponent, Nigel Farage, had won the day by suggesting the UK's future was brighter outside the bloc -- not in.

As an island nation with its own regional identity politics to consider, Britain knows what it's like having ambivalent bedfellows.

The eurozone crisis has prompted Brussels to advocate closer cooperation within the bloc, but the UK hasn't just been swimming against the tide on that topic -- it's also been trying to prevent Scotland from leaving its own union.

Farage, a member of the European Parliament and staunch europhobe, paints a controversial figure among eurocrat circles. He has suggested that the EU will end in tears, with people taking to the streets if countries see their democracy further eroded.

Clegg, by contrast, points to the massive advantage the common market awards British manufacturers and the stability the EU has brought this once war-torn region.

Both claims may be exaggerated and the truth probably lies somewhere in the middle.

One thing is certain -- the discussion highlights how Europe's union needs to be more receptive to its members' changing needs.

Britain was never a member of the original "Inner Six" nations that laid the foundations for what the EU has become today.

Yet UK's recent and very public soul-searching has become a source of exasperation for pro-Europe leaders like the German Chancellor Angela Merkel.

UK Prime Minister David Cameron has promised his people a referendum on the subject if his Conservative Party is reelected next year and has lobbied Brussels hard on the need for reform and cumbersome treaty change.

The incontrovertible fact is that as the EU has become bigger and its bureaucracy has ballooned, it hasn't kept pace with some of its members changing economies -- in particular Britain's.

Some might argue that what started out as an economic bloc has also overplayed its hand, drifting into notoriously torpid areas like justice and foreign policy.

While the single market undoubtedly has myriad benefits for the exports of British goods, it hasn't helped the nation's services sector anywhere near as much.

A report by Open Europe written in 2012 found that although nearly three quarters of the UK's GDP comes from services, just 3.2% of that is generated by intra-EU trade.

Reels of bureaucratic red tape and grandiose pronouncements about regulating the financial services industry -- the jewel in its capital's crown -- have left Britain feeling singled out in the single market. This comes just as the other goal of the EU -- the free movement of people -- has made immigration soar.

Add to this edicts from the European Court of Human Rights and increasingly protectionist economic directives, jarring with a UK which sees a bright future in trade with other partners like the U.S. and China.

The net result: Britain has been left feeling its sovereignty has been eroded, shackled by laws made elsewhere.

There are a few options for the UK should it wish to surrender its membership card.

It could emulate models followed by Switzerland, Norway and Turkey, becoming part of the European Economic Area or signing individual ad hoc cooperation agreements with individual countries over which it has more control. It could even make a clean break and just be part of a (now increasingly irrelevant) World Trade Organisation.

None of these would be good for Britain or the world economy. They would require major upheaval and sour its investment climate considerably.

Britain's potential exit may also throw a spanner in the works as the EU and the U.S. negotiate the world's largest free trade agreement -- one which would open up each other's goods to a 700 million-strong consumer market.

Yet the UK economy is growing much faster than its EU neighbors and as the nation rebounds the confidence of its convictions has also strengthened.

Monty Python, one of Britain's most successful comedy exports, once asked: "What have the Romans ever done for us?" Now a whole nation is asking the same of Europe.

And whether they are right to do so or not, Brussels better take note.

Read more from Nina dos Santos: EU should leave trade alone
U.S. - EU trade pact key to rebuilding trans-Atlantic ties
Scotland and England: Better together or more affluent apart?

@highlight

Nina dos Santos analyzes British debate on the country's relationship with the EU

@highlight

She says the EU needs to be more receptive to its members' changing needs

@highlight

Britain has been left feeling its sovereignty has been eroded, she writes