A real protest, a fake Google employee, a viral video and some shiny buses have brought attention to the growing tensions between San Francisco's moneyed tech-sector workers and the city's working poor and middle class.

Private bus lines snake through San Francisco, transporting employees in climate-controlled, Wi-Fi-enabled, cushioned comfort to their jobs at large Silicon Valley companies. Offered as a free employee perk by Google, Facebook, Apple, Yahoo and other companies, the large buses have become a symbol of income inequality here and a lightning rod for resentment.

On Monday, organizers staged a protest at a Google bus stop in San Francisco with signs that read "Warning: Two-Tier System" and "Public $$$$, Private Gains."  A video taken at the scene showed a confrontation between what seemed to be a protester and a Google employee who yelled, "Why don't you go to a city that can afford it? This is a city for the right people who can afford it."

Only, in a very San Francisco twist, the Google employee was a fake, played by union organizer and sometime Occupy protester Max Alper, who described the stunt later as "political theater to demonstrate what is happening to the city."

Some skeptics on Twitter immediately detected that something was off about the confrontation, saying the so-called Google employee's rants were too perfectly aligned with the stereotype of the spoiled, overpaid techie. But the clumsy stunt spread online has called national attention to the issue.

Critics claim that the buses block bike lanes and traffic, and frequently squat in existing public bus stops. They also say the money that companies sink into the lines could be spent on improving existing public transportation for everyone.

It's similar to the private-vs.-public school argument in many cities. People who can afford to segregate themselves do so at the expense of the public institutions that depend on the support of people from all income levels.

Residents who don't work for cash-rich tech companies are left to take San Francisco's less-reliable 101-year-old public transit system, MUNI, with its mix of older buses, trains and trollies that link up with the BART and Caltrain train networks.

As rents rise, people who can't afford to stay in the city are pushed farther out, and their dependance on reliable public transportation to get to their jobs increases.

That's no small percentage of the city's population. In San Francisco, 23.4% of residents are below the poverty threshold, according to the Public Policy Institute of California and the Stanford Center on Poverty and Inequality.

In fairness, the buses are not evil on wheels: They're meant to keep cars off the road to minimize congestion and pollution.

"The private shuttle buses are a visible symbol of economic inequality, so they are a convenient place for people to vent their frustration. But they are not the problem," said Gabriel Metcalf, executive director at Bay Area urban policy organization SPUR. "The problem is that our public transit system isn't good enough and that, for historical reasons, many of the tech companies are located in suburban campuses that don't have transit."

Google actually has showed a great interest in solving transportation problems and is working on a driverless car that also aims to reduce traffic. But, like with private buses, the technology will mostly benefit those who can afford it.

Transportation is just one of a number of issues related to the tech industry that have inflamed tensions in the city. Soaring housing prices and gentrification, also blamed on the influx of high-paying tech jobs, have longtime residents worried that the city will be overtaken by the newly wealthy, pushing out middle- and working-class residents.

They worry that without its communities of artists, activists and immigrants, San Francisco's unique character and history will be paved over for new condos with perks like dog-washing areas and music rehearsal rooms.

"A city without its nurses, its teachers, its artists, its waiters, its bus drivers, its cops, its musicians and writers and grandmothers as residents is a monoculture -- as sterile as a forest of a single commercial tree species," Timothy Egan wrote in a recent New York Times opinion piece.

San Francisco's potential for growth is stunted by bodies of water on three sides. According to the U.S. Census Bureau, 825,863 people live in San Francisco County, compared with 8.3 million in all of New York City, which has about twice the landmass.

Low vacancy rates and surging demand have increased the median rental rate in San Francisco to $3,414. Home prices in the area have risen 22% in the past three years.

The recent demand for housing is heavily fueled by the influx of high-paid technology employees. Software engineers make an average of $127,143 a year at Google, $121,507 at Facebook and $124,630 at Apple, according to Glassdoor.com.

These young workers need someplace to live, and many choose to reside in vibrant San Francisco and commute to their sleepy company headquarters farther south on the peninsula.

Matters are made worse when people associated with the industry voice controversial opinions about the class divides.

A couple of days after the bus protest, the masses got the blabbermouth, tone-deaf techie they craved when Silicon Valley entrepreneur Greg Gopman posted his thoughts on the city's homeless population to Facebook.

"There is nothing more grotesque than walking down market st in San Francisco. Why the heart of our city has to be overrun by crazy, homeless, drug dealers, dropouts, and trash I have no clue," he wrote in the rant.

Gopman went on to compare the homeless to hyenas and call them a disgrace.

"There is an area of town for degenerates and an area of town for the working class. There is nothing positive gained from having them so close to us," he said. He has since taken to his Facebook page to apologize.

These types of outbursts happen every so often on social media and blogging platforms like Medium. In August, entrepreneur Peter Shih included the homeless in his list of 10 things he hates about San Francisco, along with unattractive women and bad public transit.

Obviously, these individual entrepreneurs do not speak for the Bay Area's entire population of tech workers. But their outbursts are the sort of attitude Silicon Valley would prefer not to be associated with.

The buses may be the most visible and convenient targets for anti-gentrification activists, but the underlying problem won't be fixed if buses stop blocking traffic.

Some potential solutions include getting tech companies to relocate nearer to public transit and getting the city to invest in improving the current transportation system, according to Metcalf. Other improvements he suggests include raising the minimum wage, adding housing for all income levels and improving education so the people growing up in the city can compete for those big-money jobs nearby.

Metcalf is optimistic that the fast-growing economy can benefit all of San Francisco.

"We just need to take the next steps and make sure we do everything possible to connect everyone with this growing economy and to make a new round of investments in infrastructure, which will lay the foundations for the future," he said.

@highlight

A staged protest of private buses brings attention to income inequality

@highlight

Many Bay Area tech companies offer private bus rides to employees as a perk

@highlight

Critics says the buses block traffic and deprive public transportation of income

@highlight

Well-paid tech workers have also contributed to the soaring cost of living in San Francisco