Tokyo (CNN) -- OK, so Chinese President Xi Jinping and Japanese Prime Minister Shinzo Abe's brief summit featured all the enthusiasm of two unhappy schoolboys forced to make up after a schoolyard dust-up.

In stark contrast, the meeting between South Korean President Park Geun-hye and Xi was all smiles and banter.

But even if they remain reluctant reconcilers, Abe and Xi have started the process of mending fences.

While that "want to be anywhere else" look in their press photo sparked skepticism about the potential for any improvement in relations, the fact they met at all exceeded expectations. Xi went far beyond the call of obligatory hospitality as APEC host in agreeing to a meeting that Abe has been requesting for almost two years.

Agreed to disagree

This face time was facilitated by a joint communiquÃ© released last Friday in which the two sides agreed to disagree and extended each other a ladder to climb down from their uncompromising positions. The statement is a diplomatic papering over of very real differences over a range of issues extending from history to territorial sovereignty.

It is thus predictably ambiguous and more about face-saving than substance. It says something about the miserable state of East Asian relations that it took this long to hammer out mutually acceptable language that seems to put the nations closer to the status quo ante when Japan nationalized the Senkaku/Diaoyu Islands in September 2012 and sent relations into a tailspin.

Since then there have been incidents of saber rattling, radar locking, jet scrambles, incursions by flotillas of trawlers, and Beijing's sudden declaration of an Air Defense Identification Zone. The escalating tensions led to speculation about the possibility of a grave miscalculation at sea or in the air that could provoke war. A hundred years after WWI, more than a few pundits have openly wondered whether it was dÃ©jÃ  vu all over again -- two powers bound by such strong economic relations, making the thought of war so unlikely that they might sleepwalk towards the abyss.

Cooler heads

The APEC meeting is the "cooler heads prevail" scenario. Both leaders have come to the conclusion that it's time to be pragmatic and try to work on the various problems that divide the leading Asian economies. Nobody can accuse Xi or Abe of pandering to public opinion, although the frostiness on display may have appeased hardliners in both countries. More than 90% of Chinese and Japanese have a negative opinion of each other, with the Japanese recently surging ahead in the animosity sweepstakes.

The media has played a key role in this.

Anti-Chinese sentiment in newspapers and on television in Japan is amplified on the Internet where armchair nationalists spew their vitriol. In China, wartime depredations by the Japanese are endlessly dramatized, reminding audiences about who the enemy is. I met students in Nanjing and Chengdu who had a wildly warped understanding of Japanese attitudes towards history, assuming that extremist views are the norm. They frequently reminded me that they hate Japan, but when I asked these students if they would like to study in Japan if offered a scholarship, an overwhelming majority told me yes.

One suspects that deft public diplomacy can rapidly shift public opinion in both nations. A charm offensive, high level exchanges and a shift in the tenor of media reporting could work wonders. Xi's recently announced "Asia-Pacific Dream" probably doesn't apply to Sino-Japanese relations but Monday's brief summit could generate some positive momentum in a relationship that has deteriorated badly in the past few years.

Self-righteous nationalism

Both leaders have engaged in counterproductive grandstanding and gestures, embracing a masochistic and self-righteous nationalism that has undermined national interests. But hopefully both men understand that there is too much at stake to continue along this path.

Economic relations are the ties that bind, and both nations need each other to maximize their growth potential. To some extent economic ties have been insulated from diplomatic rows and political animus, but there are dispiriting signs that a new generation has come to age in both nations that bear the scars of angry antagonism.

Xi and Abe have launched a very fragile process that could easily be derailed or flounder for a lack of political support or a public backlash. It is essential that both sides keep the rhetoric dialed down and shift hot button issues on to the backburner where they can simmer. They also need to move forward with crisis management protocols and mechanisms.

They have broken the ice, but it is difficult to anticipate tangible results on divisive issues anytime soon. But to the extent that substance is sacrificed to optics, any thaw will remain limited. While expectations are thus muted, and progress may be slow and fitful, talking is better than some of the alternatives.

OPINION: Japanese PM Abe scores another own goal on history

@highlight

Chinese President Xi Jinping held talks with Japanese Prime Minister Shinzo Abe

@highlight

Their meeting was frosty but it was progress, says Jeff Kingston

@highlight

Relations have been severely strained between the two countries in recent years

@highlight

At the heart of the tensions is a bitter territorial dispute