The Hague, Netherlands (CNN) -- Ratko Mladic, who is accused of orchestrating a horrific campaign of ethnic cleansing during the bloody civil war that ripped apart Yugoslavia, showed no remorse as his war crimes trial opened Wednesday, at one point even appearing to threaten victims in the court.

The former general drew his hand across his neck as if cutting a throat while staring at victims of the war that introduced the phrase "ethnic cleansing."

At other times, the man accused of being "the Butcher of Bosnia" stared at them, fire in his eyes, and he once growled at the survivors.

The 70-year-old former Bosnian Serb general has been indicted on 11 counts of genocide, war crimes and crimes against humanity in the 1992-95 war.

His trial is taking place at the International Criminal Tribunal for the former Yugoslavia in The Hague, Netherlands, a special court established to try those responsible for atrocities during the war.

Prosecutors say Mladic's campaign included the massacre of 8,000 Muslims in the Bosnian town of Srebrenica.

On Wednesday, prosecutor Dermot Groome laid out details of the case against Mladic, saying that ethnic cleansing was not a byproduct of the war, but a specific aim of the Bosnian Serb leadership.

He will set out to show that Mladic was directly responsible for atrocities carried out by his forces, who were fighting for control of land in ethnically mixed Bosnia.

Sexual violence was a weapon of war, Groome said, describing a woman who said she had been raped more than 50 times, and women who were forced by Bosnian Serb forces to perform sex acts on members of their own families.

Prosecutors will use survivor testimonies and video clips to make their case at a trial that is likely to last for months or years.

Among those in the courtroom were the families of Srebrenica victims.

"Victims have waited nearly two decades to see Ratko Mladic in the dock," Param-Preet Singh, senior counsel in the International Justice Program at Human Rights Watch, said ahead of the trial. "His trial should lay to rest the notion that those accused of atrocity crimes can run out the clock on justice."

2011: Ratko Mladic captured

Mladic's trial begins after a landmark war crimes ruling last month, when another international tribunal found former Liberian President Charles Taylor guilty of aiding and abetting war crimes in neighboring Sierra Leone's notoriously brutal civil war.

Taylor got a final chance to address his court Wednesday as Mladic's trial opened, and he said he was "saddened" by a verdict that he portrayed as unfair.

"Both trials are evidence of the growing international trend to hold perpetrators of atrocities to account, no matter how senior their position," Human Rights Watch said.

Mladic eluded authorities for nearly 16 years until his capture in May 2011, when police burst into the garden of a small house in northern Serbia.

Europe's highest-ranking war crimes suspect was discovered standing against a wall in a utility room normally used for storing farm equipment, according to a government minister.

Though he was carrying two handguns, he surrendered without a fight. He was extradited for trial in the Netherlands.

But from day one in custody, he has exhibited defiance and appears not to have relinquished his visceral antagonism toward his enemies. Before the trial that started Wednesday, he also drew a finger across his throat in court, a gesture aimed at some of the Srebrenica widows. At other times, he disrupted proceedings by putting on a hat in the courtroom and refusing to enter a plea.

He has sought delays in his trial and said he is in failing health.

In July 1995, Mladic was in command of the Bosnian Serb army and led his soldiers into the town of Srebrenica. In the days that followed, the soldiers systematically slaughtered nearly 8,000 Muslim men and boys.

Bosnia peace negotiator Richard Holbrooke once described Mladic as "one of those lethal combinations that history thrusts up occasionally -- a charismatic murderer."

In the three decades leading up to the violent splintering of Yugoslavia, Mladic rose rapidly through the ranks of the Yugoslav army. In 1991, he served as a front-line commander spearheading Serb forces in a yearlong war with Croatia.

By the time he took to Bosnia's battlefields, he had become a hero to many Serbs, seen as a defender of their dwindling fortunes.

In May 1992, Bosnia's Serbian political leaders picked him to lead the assault on their Muslim enemies who clamored for independence.

Robertson: Bosnia's future is tied to justice

Mladic wasted no time galvanizing his heavily armed forces in a siege of Sarajevo, cutting the city off from the outside world. Serb forces pounded the city every day from higher ground positions, trapping Sarajevo's ill-prepared residents in the valley below. More than 10,000 people, mostly civilians, perished.

Some observers conjured images of Sarajevo in describing Syrian attacks on the besieged city of Homs earlier this year.

As the war ended in the fall of 1995, Mladic went on the run.

Shortly after Mladic was sent to The Hague last year, authorities nabbed former Croatian Serb rebel leader Goran Hadzic. He was the last Yugoslav war crimes suspect at large.

Bosnian Serb wartime leader Radovan Karadzic was arrested in 2008. And Serbian President Slobodan Milosevic was arrested in 2001 but died before his trial could be completed.

@highlight

NEW: Alleged war criminal Ratko Mladic gestures an apparent threat to victims in court

@highlight

NEW: Prosecutors accuse him of setting out to drive people from their homes

@highlight

The ex-general faces 11 counts of genocide, war crimes and crimes against humanity

@highlight

Nearly 8,000 Muslim men and boys were slaughtered in Srebrenica