MUMBAI, India (CNN) -- Every day the fate of 200,000 Mumbai residents' lunches lie in the hands, and on the heads, of the city's lunch delivery men, the dabbawalas.

Lunch is served: The dabbawalas have been serving up lunch to Mumbai residents for 118 years.

A corp of around 5,000 tiffin lunch box dabbawalas have been supplying the city's hungry workers with hot home-made lunches since Mahatma Gandhi was a 21-year-old law student.

From Monday to Saturday, regardless of monsoon rains or sweltering heat, they can be seen across the city balancing up to 40 metal lunch pails on their heads or pushing fully laden hand carts

"The world is advancing and people are taking outside food, but maybe only once in a week. People still like to take homemade food, usually every day, so that's why we're in demand," says 33-year-old dabbawala Manish Tripathi from his apartment in Borivali, a suburb of Mumbai.

Not only providing a necessary and recession-proof service -- even in tough economic times, people will always need lunch -- the dabbawalas are a cooperative that can boast a business record of reliability that would have any operation salivating with envy.

In a city of 18 million people living cheek by jowl, most of them appearing on the move at the same time, the chances of a lamb biryani ending up in the place of a tarka dahl would seem to be high

However according to Tripathi, for every 16 million deliveries only one will go AWOL.

"Really it is magic," he said, perhaps revealing the unexpected secret of success of the dabbawalas.

The six sigma rating the dabbawalas received by Forbes magazine precipitated a rush of interest from management supply companies and business schools searching for the secrets of its success. The rating means that the dabbawalas have a 99.9 percent efficiency rate.

The "magic" Tripathi goes on to explain has less to do with an intangible mysticism and more to do with the tight-knit group of dabbawalas and the unique delivery system.  Watch Manish Tripathi explain how the dabbawalas work »

A typical day for a dabbawala starts at around 8 am when the cylindrical metal tiffin boxes are collected from homes and taken to the nearest railway station where they are loaded onto crates and transported by train to downtown Mumbai.

Tripathi and his group of dabbawalas work along the city's Marine railway line and begin to gather at Churchgate station at 11.30 am. Each wearing a white Gandhi topi hat, the dabbawalas have time to chat and organize the tiffin boxes between them, before taking up to 40 tiffin boxes each, slung over bicycle handlebars, loaded onto hand carts or carried on long trays balanced on top of heads.

On average one tiffin box will change hands four times in its journey from a home kitchen to a hungry office worker.

So far, so simple.

However, the majority of the dabbawalas are illiterate and the sorting is done mostly by a system of color coding handles and tiffin box covers that has hardly changed since the first tiffin was delivered in 1890.

As well as the long-practiced delivery system, and the cheap, extensive and reliable rail network of the city, it's the unity of the dabbawalas that Tripathi credits with being a key factor in their longevity.

The dabbawalas belong to the Vakari sect and have roots to the simple farming community of Pune outside Mumbai in Maharashtra state.

"They are a single DNA," he says.

"Everyone is a Marathi, they are made from the same cloth, speak the same language, everyone's lunch is the same, everyone's god is the same. So there's a high degree or coordination and commitment.

"When you have organizations with people with different backgrounds, different castes, different languages, there's bound to be disagreement and a problem among them."

Despite the growing social mobility of India's middle classes, caste then still has a central place in the lives and options open to millions more in India.

For Tripathi and the other dabbawalas their success and longevity is source of pride in their heritage.

If the delivery system of the dabbawalas and hiring system is archaic, Tripathi can be credited with bringing the collective into at least the 20th century. He set up a dabbawala web site five years ago and in 2006 started a text message ordering service for dabba customers, which 5 to 10 people use every day.

Companies haven't been slow to tap into the dabbawalas network or reputation of reliability and trustworthiness. The Bank of India, and India's booming mobile phone and Internet providers including Airtel and Reliance and have used the dabbawalas to distribute flyers for their services with the tiffin boxes.

"Once in a while the customers don't mind, but if this is happening every day the customer will get annoyed, so we keep it to a minimum," says Tripathi.

While small groups of dabbawalas operate individually of other groups in different areas of the city -- sharing the months taking equally between all; an average dabbawala wage is around $100 a month -- there is an informal hierarchy.

A board of directors is made up of around five senior dabbawalas who in their dotage don't have to carry the lunch boxes until they kick the can, but are on hand to resolve any disputes.

Expansion of the network of dabbawalas is limited, however, the extra revenue from associations with the likes of Airtel, lectures and media operations goes to the Dabbawala Foundation, a social security fund for the dabbawalas and their families, a well as a means to buy new carts for bicycles.

As well as delivering the tiffin boxes, English-speaking Tripathi is the chairman of the Dabbawala Foundation, who clearly enjoys his extra role as patron.

"I get the money from various sources," he says. "I can't talk about where the money is from," he continues, his eyes dropping to the floor, " but I can say that money is never a problem. If you're intentions are good, money will come automatically," he smiles the twinkle returning to his eye.

By finding a way through the network of unmapable Mumbai streets and latterly discovering ways in which to tap into new revenue streams the dabbawalas appear future-proof, their unique system more than capable standing up to and economic downturn or personal changes in taste.

@highlight

Mumbai's dabbawalas have been delivering lunches in the city for 118 years

@highlight

Extensive network of delivery men and unique system for delivery

@highlight

Supply chain studies say dabbawalas have a 99.9 percent success rate

@highlight

Despite little change in 100 years, dabbawalas now have web site and text service