(CNN) -- The student debt fight is back -- with a vengeance.

Once again, current students are facing the possibility of interest rates on Stafford Federal student loans doubling.

Once again, we are asking what our leaders are doing about a crisis that gets worse every year.

Once again, the answer is: Not much.

That is a huge problem -- and not just for millennials, or young people born between 1980 and 2000. The approximately $1.1 trillion in student debt out there already constitutes a crisis for every one of us.

It is the only form of household debt that has continued to rise during the Great Recession. It is also the only form of debt that cannot be discharged under bankruptcy or even death, as parents who have lost children have discovered to their horror. It is preventing young people from buying homes and starting businesses.

In short, student debt is a $1.1 trillion anvil dragging down the entire U.S. economy.

Unfortunately, the conversation in Washington is not about big fixes, but simply how to avoid making matters worse by letting interest rates rise.

Last year, the interest rate on federal Stafford student loans was set to double from 3.4% to 6.8%. There was a massive outcry from students and organizations like my own, Rebuild the Dream. Perhaps fearing young people's electoral clout, Congress kicked the can down the road a year.

So here we go again: Last week, President Obama waded back into fight, urging Congress to prevent the rate hike scheduled for July 1.

But this year, something is different: Sen. Elizabeth Warren. A few weeks ago, Warren, D-Massachusetts, proposed groundbreaking legislation that would give students the same deal that big Wall Street banks get. This bill is good policy, and even better politics.

After all, why are we loaning money to mega-profitable international financial institutions at 0.75%, but demanding up to nine times more from our own young people?

By comparison, the otherwise ideal Harkin-Reid proposal for a two-year extension of the current 3.4% rate is simply not as ambitious.

Unfortunately, the proposals with the most energy behind them are worse than both these options. House Republicans, the Obama administration, and a number of senators are all pushing to permanently tie the rate for student loans to the government's borrowing costs.

It may seem commonsense, but the devil is in the details.

For instance, the Republican plan passed recently is just plain bad for students. Interest rates on July 1 would actually be higher than 6.8% for some borrowers, and vary wildly and unpredictably over the lifetime of the loan. The government would mark up the costs 2.5% to 4.5%, based on the type of loan. The profit would pay down a deficit young people did not create, instead of funding education.

The Obama plan, by contrast, has better terms for borrowers and would offer fixed-rate loans that will not suddenly spike in cost. But it lacks any cap on how high interest rates can go, and continues the worrying practice of the government profiting off student loans.

As for borrowers who already have loans? Sen. Kirsten Gillibrand, D-New York, has proposed allowing students to simply refinance their old loans at today's historically low rates. It is almost shocking that you cannot do this already. California Democratic Rep. Karen Bass' Student Loan Fairness Act would make repayment fairer and easier.

Young people should be rallying behind the Warren, Bass, and Gillibrand bills. But they can and should demand a whole lot more.

The problem is not just that the cost of borrowing could go up. The real problem is the skyrocketing cost of tuition that is forcing students to take on unmanageable levels of debt in the first place. It is in our leaders' own best interests to do something about that.

After all, millennials will make up one-third of eligible voters in 2020. It is no accident that the two best Senate bills were introduced by senators -- Warren and Gillibrand -- who have been rumored as future presidential candidates.

But at the end of the day, this is not a student issue. It is not a youth issue. This is a corrosive crisis that touches your life whether you know it or not. If you live in the United States of America, this is your issue.

The student debt fight is back -- and it is not going away any time soon.

The opinions expressed in this commentary are solely those of Van Jones.

@highlight

Interest rates on Stafford Loans issued after July 1 are set to double to 6.8%

@highlight

Van Jones: The $1.1 trillion in student debt out there already creates a crisis for all of us

@highlight

He says, unfortunately, Congress is not looking at big fixes but rather Band-Aid fixes

@highlight

Jones: Sen. Elizabeth Warren's proposal to give students lower interest rate is good policy