(CNN) -- The execution of Najiba, an Afghan woman in her 20's, shot 13 times in front of a cheering crowed in Parwan province -- and seen widely online in a grainy cell phone video -- is a show of confidence by the Taliban.

It's unclear why she was shot, but local officials offer various reasons for her execution.

She was reportedly executed last month for adultery, a crime that is indeed punishable in Islam. But for an adultery charge to be proved, Islam requires four eyewitness accounts that match precisely.

This is nearly impossible in cultures like Najiba's, where sexual acts are extremely discrete. But that religious requirement is irrelevant in any case to the Taliban, whose fanatic view of Islam has been nothing but a violation of the spirit of the religion itself.

Manhunt under way for Taliban who shot woman in public execution amid cheers

After an hour-long trial, Najiba was shot either by her Taliban husband or someone else. (One version of the story is she had affairs with two Taliban members.) But this case is less about Najiba and more about the Taliban demonstrating its power, even as the United States and Afghanistan attempt negotiations with the Taliban.

You see, women are like the canary in the coal mine: What happens to them is an indicator of a larger political direction for the society.

The Taliban has consistently used women to demonstrate its power. When it first took over much of Afghanistan in 1996, it imposed the harshest seclusion and prosecution of women in modern history. Afghan women suffered under house imprisonments. They were forbidden education and any form of mobility, to name only a few of its brutal prohibitions.

But when the international community entered Afghanistan in 2001 and started introducing laws to protect women's rights, albeit in very basic ways, the Taliban retreated as its political and military power was weakened. In the past two years, however, and particularly since the international community started talking about withdrawal from Afghanistan, the Taliban began boldly resuming its own rules in provinces where they have recently regained control, such as Parwan province. And this has been reflected in one act of violence toward women after another.

Through such public acts -- sometimes recorded, as this one was -- the Taliban is demonstrating its complete disregard of the Afghan government and the national rule of law.

Women's rights cannot be taken lightly, nor can they be seen as a marginal issue separate from the political process of a country. The international community entered Afghanistan with a clear promise to protect women's rights and invest in creating opportunities for women to stand up on their feet.

Afghan women took advantage of the opportunities that were presented. They ran for and took political offices, they sent their daughters to school, they took loans from microcredit entities and started new business, and they worked in factories all at personal risks.

They are now asking whether the international community is planning to abandon them as forces prepare to depart Afghanistan in 2014, and they are worried, very worried indeed.

Educated and uneducated women working in all sectors in the country are asking the same question: "Is the international community going to sacrifice its promise to protect us from the rule of the Taliban in order to reach political settlement with it?"

If it is, then all the efforts of every soldier, every taxpayer, every humanitarian worker who has worked -- and in some cases, died -- in Afghanistan will have been in vain.

To abandon the protection of women's rights to seek political agreement with a force of repression is to risk a return not only to insecurity in Afghanistan, but I'd dare say to the world.

The Taliban only started its acts of violence with women. We have to remember that it did not stop there. That violence eventually affected every Afghan man and child, and it eventually came to America and impacted the world.

Saving Face: The struggle and survival of Afghan women

The taping of Najiba's execution is the Taliban's message that it is confident. What's going to be the message back to them from the Afghan government and the international community? Will it be to demonstrate that women's rights and protections are valued in actions, in addition to the political statements already made condemning the execution? We all are responsible for the answer to that question.

The opinions expressed in this commentary are solely those of Zainab Salbi.

@highlight

Zainab Salbi: Execution of woman in Afghanistan is show of Taliban's confidence

@highlight

She says killing woman for alleged adultery flouted Afghan legal system, spirit of Islam

@highlight

She says Taliban uses force to repress women first; world must react, not just denounce

@highlight

Salbi: It's short step between Taliban brutality toward women, aggression to rest of world