(CNN) -- When Dr. Danielle Ofri first read the headlines, she was horrified: Doctors were prescribing placebos to their patients instead of real medicine. How awful, she thought. How deceptive.

Study: Doctors are prescribing placebos, such as vitamins, antibiotics, pain-killers and sedatives to patients

But then, as Ofri read on, she thought, "Wait a second. By the definitions of this study, I've prescribed placebos."

Ofri, an assistant professor of medicine at New York University Medical School, says when patients complain about being tired, for example, she'll sometimes suggest they take a multivitamin, even though there's no proof they work against fatigue.

"First, I'll do the million-dollar workup on the patient," Ofri says. "I check them out for anemia, diabetes, cancer, asthma, depression, and other sorts of other things. When I can't find anything wrong, I'll explain vitamins have worked for some of my patients, and there's no downside. I don't think that's being deceptive."

Last week's study on placebos published in the British Medical Journal has sparked debate: What precisely is a placebo, and might you, the patient, actually in some cases benefit from one?  Watch more about doctors prescribing placebos »

Placebos, it turns out, are in the eye of the beholder. Dr. Ezekiel Emmanuel, one of the study authors and director of the department of bioethics at the National Institutes of Health, says it's unethical for a doctor to suggest a medication that hasn't been proven to work. Other doctors say it's OK -- and sometimes beneficial -- to prescribe something that hasn't been shown to work in studies, as long as it's not harmful.

Perhaps, they reason, the treatment -- say a vitamin, or an aspirin -- could have a physiological effect not yet found in studies. Or maybe a treatment will have "a placebo effect," meaning it will make you feel better just because you have confidence it will make you feel better.

So how would you even know if your doctor's prescribing you a placebo? And should you take it? "Not all placebos are created equal," says Dr. Christiane Northrup. Below are four placebos that the NIH study found are commonly prescribed, with advice on questions to ask about each of them.

Vitamins

Vitamins have several proven purposes. "If you're a young woman about to become pregnant, it's important you take folate. And Vitamin B12 is necessary to prevent certain medical conditions like anemia," Emanuel says.

Beyond a few solid examples like these, some doctors think vitamins might help for certain conditions, such as fatigue, while others think they don't.

The solution: Ask your doctor if the vitamin has been proven to help your problem. If it hasn't, ask her if she has any reason to think it will work (perhaps, as with Ofri, she's had anecdotal success among her patients). Finally, ask if there's any downside to taking the vitamin, then make your decision.

Over-the-counter painkillers

You've heard of the saying "take two aspirin and call me in the morning"? The most commonly prescribed placebo in Emanuel's study was over-the-counter analgesics, such as aspirin.

In Emanuel's view, these doctors were prescribing aspirin without any reason other than that that it might elicit the "placebo effect."

But Northrup disagrees. "Why would an over-the-counter analgesic be a placebo? Aspirin's a powerful anti-inflammatory, and inflammation is an important part of many diseases."

The advice here is similar to the advice with vitamins. If your doctor suggests you take aspirin for what ails you, ask if there's any proof the aspirin will work. Even if there is proof, ask if the pain reliever could harm you in any way.

Antibiotics

Everyone agrees there are cases where doctors prescribe antibiotics when they shouldn't, often because the patient insists on them.

In the NIH study, 13 percent of doctors reported using antibiotics as placebos. "Antibiotics for a viral illness may be dangerous, and it's not a good idea," Emanuel says. "If your doctor prescribes an antibiotic, ask if you actually have a bacterial infection."

Ofri adds there's not always a clear answer to that question. "If I had a patient who's had bronchitis for two weeks, it's probably because of a virus. But it's not out of the realm of reasonableness that it could be bacterial," She says it can tough to detect bacterial infections when someone has bronchitis, so sometimes she'll prescribe an antibiotic.

Sedatives

In the study, 13 percent of doctors also said they'd prescribed a sedative as a placebo.

This is the only "placebo" our doctors agreed on: Sedatives can be addictive, and you want to take them only if you have a condition, such as an anxiety disorder, where they're clearly indicated.

"If your doctor prescribes you a sedative, ask them why, and ask if there's some other treatment, something that's not addictive, that you could do instead," Northrup says.

@highlight

Study in British Medical Journal sparks debate about placebos

@highlight

Author says it's unethical for doctors to suggest medication not proven to work

@highlight

Doctors often prescribe vitamins, antibiotics, aspirin or sedatives