(CNN) -- Algerian troops ended a hostage crisis at a remote gas facility Saturday with one last, bloody assault, Algerian and Western officials said, after three days of chaos and confusion left dozens dead and fanned fears of a new terror front in Africa.

At least 23 hostages and 32 "terrorists" were killed around the sprawling facility in eastern Algeria's desert, the Algerian interior ministry said Saturday. Some 685 Algerian workers and 107 foreigners have been freed, it said.

It is not clear just how many people are still unaccounted for. A senior U.S. official said two Americans were among that number.

The saga closed after a "final" assault, which itself contributed to the deaths of seven hostages and 11 militants, according to Algerian state media reports.

An Algerian Radio report did not specify the nationalities of those killed. CNN is unable to verify the state media figures on the deaths.

Afterward, Algeria's military continued to clear mines planted by militants, the official Algerian Press Service reported, citing the country's state-owned oil and gas company.

"While the site is still dangerous and there may be explosives that will need to be dealt with, the terrorist incident is now over," said British Prime Minister David Cameron, citing his conversation with his Algerian counterpart.

The militant siege caught the world's attention as it ensnared citizens from several nations and dragged on for days.

Algerian authorities said they believe the attack was revenge for allowing France to use Algerian airspace for an offensive against Islamist militants in neighboring Mali.

Whatever the rationale, the scale and gore of the terror has stirred world leaders to press for action beyond Algeria, especially with Islamic extremists asserting themselves more and more in recent weeks.

"Let me be clear: There is no justification for taking innocent life in this way," Cameron said. "Our determination is stronger than ever to work with allies ... around the world to root out and defeat this terrorist scourge and those who encourage it."

British Foreign Secretary William Hague said Algerian authorities "certainly worked very hard to try to save the lives of people from other countries.Â I think it's actually too early to pass judgment on (the Algerian military operation)."

U.S. President Barack Obama said his administration would work with other countries to "combat the scourge of terrorism in the region, which has claimed too many innocent lives. This attack is another reminder of the threat posed by al Qaeda and other violent extremist groups in North Africa."

In a statement, Obama said the United States will work with Algeria to prevent future such incidents.

Crisis highlights pressure, potential on Algeria

Algerian special forces moved in because the terrorists wanted to flee for Mali -- apparently to pressure France and others who have recently intervened in that country -- Algerian state TV reported Saturday.

The Islamic extremists also planned to blow up the gas installation, a threat that initially prompted Algeria to halt its military operation. The location was rigged to explode, with mines planted throughout, according to the senior U.S. official.

Algeria's status as Africa's largest natural gas producer, and as a major supplier of the product to Europe, heightens its importance to other nations and businesses who want to invest there. Yet that interest is coupled with pressure to make sure foreign nationals, and their business ventures, are safe.

The targeted plant in In Amenas, which is just 50 kilometers (30 miles) west of the Libyan border, is run by Algeria's state oil company, in cooperation with foreign firms such as Norway's Statoil and Britain's BP.

Saturday's last push there follows another one two days earlier, which spurred criticism from some countries that Algeria had unnecessarily endangered hostages' lives.

British Defense Secretary Philip Hammond said Britain was still pressing the Algerian government for full details, while confirming the Saturday assault resulted in more deaths. He called the loss of life "appalling and unacceptable," laying blame solely on the terrorists.

Like Cameron, Norwegian foreign ministry spokesman Svein Michelsen confirmed that the Algerian military offensive was over, but did not offer further details.

Nations scramble to account for missing

The overall death toll could rise, Algerian state TV reports, as authorities are still combing the area.

Amid the uncertainty, individual nations are scrambling to find out what happened to their citizens. It is not clear how many hostages were seized by the Islamist militants in the first place.

Five Norwegians are missing while "eight are now safe," Norwegian Prime Minister Jens Stoltenberg said.

Five British nationals and one UK resident are missing or feared dead in Algeria, Hague told reporters. This is in addition to one Briton, whose death was previously announced.

Colombia's president said a citizen was presumed dead.

The Scottish government said eight of its residents are safe.

There are no known French hostages unaccounted for, a Defense Minister Jean-Yves Le Drian said Saturday.

Three French nationals who were at the site are safe, the foreign ministry has said. One man -- identified as Yann Desjeux -- died after telling the French newspaper Sud Ouest on Thursday that he and 34 other hostages of nine different nationalities were well-treated.

Of the BP employees, 14 are safe, and four BP employees are still missing in Algeria, BP Chief Executive Bob Dudley said.

At least one American, identified as Frederick Buttaccio, is among the dead, U.S. State Department spokeswoman Victoria Nuland said. The senior U.S. official told CNN that six freed Americans left Algeria and one remained.

One Romanian lost his life, a spokeswoman for the Romanian Ministry of Foreign Affairs told CNN on Saturday. Four other Romanians were freed.

And there are 14 Japanese unaccounted for, Chief Cabinet Secretary Yoshihide Suga said.

Malaysia's state-run news agency reported Thursday that two of its citizens were held captive.

Dramatic tales of escape from terror

When the crisis began Wednesday, militants gathered the Westerners into a group and tied them up, survivors said. The kidnappers wielded AK-47 rifles and put explosive-laden vests on some hostages, according to a U.S. State Department official.

Some survivors described their harrowing escapes by rigging up disguises, sneaking to safety with locals, and in at least one case, running for his life with plastic explosives strapped around his neck.

That man was Stephen McFaul, who -- according to his brother Brian -- was among a group of hostages who had been blindfolded, gagged and then packed into five Jeeps on Thursday, during Algerian forces' first offensive.

An explosion "wiped out" four of the vehicles, while McFaul's vehicle crashed. He was able to get out and, eventually, contact his family.

"I haven't seen my mother move as fast in all my life, and my mother smile as much, hugging each other," Brian McFaul of Belfast, Northern Ireland, said upon his family hearing his brother was safe. "... You couldn't describe the feeling."

Al Qaeda-linked group offered prisoner-hostage exchange

A spokesman for Moktar Belmoktar, a longtime jihadist who leads the Brigade of the Masked Ones -- a militant group associated with al Qaeda in the Islamic Maghreb -- reportedly offered to free U.S. hostages in exchange for two prisoners.

Behind the group claiming responsibility for the attack and kidnappings, he is known for seizing hostages and has long been targeted by French counterterrorism forces.

The prisoners are Sheikh Omar Abdel Rahman, who orchestrated the 1993 World Trade Center bombing, and Aafia Siddiqui, a Pakistani woman jailed in the United States on terrorism charges, the spokesman said in an interview with a private Mauritanian news agency.

Nuland rejected the offer, restating U.S. policy of not negotiating with terrorists.

Opinion: Algeria situation is a wake-up call for the U.S.

CNN's Barbara Starr, Per Nyberg, Dan Rivers, Greg Botelho, Tricia Escobedo, Josh Rubin, Joe Sutton, Mitra Mobasherat, Saskya Vandoorne, Laura Perez Maestro, Saad Abedine, Elise Labott and Tim Lister contributed to this report, as did journalists Peter Taggart from Belfast and Said Ben Ali from Algiers.

@highlight

Two Americans unaccounted for, senior U.S. official says

@highlight

Obama says "scourge of terrorism" must be fought

@highlight

Algerian state news: At least 55 people, including hostages and militants, have died

@highlight

The militants targeted an eastern Algerian gas facility where many foreigners workers