(CNN) -- The individual mandate might prove to be the death knell for President Barack Obama's health care reform.

Politically, the polls have been clear. While most parts of the Affordable Care Act are immensely popular with the public, as recent data from the Kaiser Foundation has shown, the individual mandate is unpopular. (A CNN poll found that a bare majority of Americans oppose the mandate to buy health insurance.)

The Supreme Court heard arguments last week over whether the mandate is constitutional, and the administration is now waiting to see if the court will dismantle this key part of the program -- or possibly throw out the entire health care law.

Although the individual mandate was born out of conservative proposals in the 1990s -- an effort to lower costs by requiring people to buy into the private market rather than creating a government program -- the presence of the mandate is also a product of the timidity liberals have displayed about their ideas since the 1990s.

As Princeton sociologist Paul Starr has written in the New Republic, during the 1990s the mandate was perceived as the "conservative alternative to the Democrats' proposed mandate on employers to pay for a share of health insurance. The Republican proposal was thought to represent a more individualistic, market-friendly approach."

Whereas liberals were once willing to defend the role of the federal government in American life and, even more importantly, defend the costs that federal programs imposed on the citizenry, liberals since the Age of Clinton have relied on developing jerry-built solutions to domestic programs that are often unpalatable politically -- and don't accomplish their goals.

For much of the 20th century, liberals argued that government was an essential part of national life and that Americans would have to live up to certain obligations to support social programs that came with the privileges of citizenry. During the New Deal, President Franklin Roosevelt was not bashful about defending the value of government.

In 1935, for instance, Congress passed the Social Security Act in which the federal government took over the role of providing old age insurance to the elderly.

To finance the benefits, Roosevelt and Congress created a payroll tax paid by workers and businesses.

During World War II, as government spending skyrocketed as a result of defense needs, the Roosevelt administration supported a massive expansion of the income tax.

When the war started, only 4 million people paid income taxes. When the war ended, 44 million people were paying and taxes were withheld directly from paychecks.

The Treasury conducted a public relations campaign to sell the tax to Americans that emphasized that these were "Taxes to beat the Axis." At the movies, Americans saw short films where a voice explained to Donald Duck just how his money was being used (and how he could take as exemptions Huey, Louie, and Dewey).

This liberal ethic flourished for decades, even as liberals remained leery of the power of conservatism and aware of the long tradition of resistance to government in America.

During the 1960s, Lyndon Johnson, who avoided proposing any tax increases until 1967, did talk to citizens about how a wealthy nation could afford to pay for programs that dealt with issues such as poverty and urban decay.

With civil and voting rights, he called on the government to do what the private sector would not do on its own. On health care, Johnson and Congress created Medicare, which provided for a government takeover of the insurance costs of hospital stays for the elderly, funded through higher payroll taxes.

When Ted Kennedy championed health care, his vision was still very much akin to the "single- payer" model of other countries where the government would be the insurer of first resort.

But during the 1980s, after Ronald Reagan entered the White House and the modern conservative era began, liberals retreated into a defensive stance.

After Democratic candidate Walter Mondale suffered at the polls in the 1984 campaign when he admitted that he would call for higher taxes, most Democrats were resistant to proposing any kind of revenue increase. The shift could be seen with health care.

When President Bill Clinton proposed health care reform in 1993, he avoided the single-payer model that had been favored by older liberals like Kennedy for decades and instead opted for a complex system that aimed to create new mechanisms for offering and purchasing health insurance and stronger regulations to lower costs.

The complexity of Clinton's plan, which involved an employer mandate, left his program vulnerable to attack from Republicans who characterized it as a Frankenstein monster that would result in massive deficits.

Obama fell into a similar trap with health care. Although he was more open than many of his predecessors to championing an active government, he acted from a defensive posture. His health care proposal was even less ambitious than that of Clinton. He essentially chose a path that regulated the existing system and required all Americans to be part of it.

Obama was not enthusiastic about any kind of single-payer option to compete with private markets and he allowed Congress to drop the public option that would create an alternative to private insurance.

The result was an extraordinarily complex system, which depended on a mandate requiring the purchase of private insurance to make sure that costs were covered. The government intervention was indirect; the financing mechanisms were murky.

It is not surprising that the individual mandate has caused so many problems. At its core, the mandate constitutes a conservative solution to the problem of costs and part of an effort by liberals to ensure health care coverage without resorting to the kinds of government interventions that liberals once championed.

Obama ultimately promoted the health care bill as a cost-cutting measure that would create greater efficiency in markets. He did not focus as much as his predecessors on the right to affordable health care that is implicit in the name of the bill.

While conservatives have attacked the program -- focusing on the mandate -- with great clarity, the president's hesitant defense of this complex system has done little to rally the public behind it. Now he must wait to see if the Supreme Court offers his critics justification that he overreached with his agenda.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Zelizer: Since Reagan, liberals have been cautious about expanding government

@highlight

Conservatives first backed a private health care mandate in the 1990s

@highlight

Obama touted efficiency in his bill, not the right to affordable care, Zelizer says

@highlight

Obama's hesitant defense of a complex bill hasn't inspired support, he says