(CNN) -- On a breezy spring day in 1835, a 13-year-old boy from the Jura region of eastern France set out for the glittering metropolis of Paris to seek his fortune.

He traveled the 292 mile road on foot, sleeping wherever he could find shelter and taking odd jobs to survive. It took him two years to reach the city, where he promptly became an apprentice to a box maker, and ultimately opened his own chest-making workshop.

His name was Louis Vuitton.

LVMH CEO Bernard Arnault tells CNN's Isa Soares what's the secret of Louis Vuitton's longevity.

A century and a half later, the eponymous company he founded is among the most recognizable luxury brands in the world and, according to Forbes, is worth nearly $30 billion.

It's part of the LVMH consortium whose CEO (and France's richest man), Bernard Arnault, spoke exclusively to CNN about the firm's heritage, and the spirit of adventure which, he says, defined it from the start: "The history of Louis Vuitton is linked to travel. We created luggage for explorers, and during the 20th century our products gradually evolved to reflect the lifestyle of the customer."

Louis Vuitton was one of the first luxury retailers to open boutiques in China and Mongolia and now the label is seeking new frontiers -- looking towards unexplored markets in Indonesia and South America.

"When I went to China in 1991 for the opening of the first Louis Vuitton shop, you hardly saw any cars on the streets of Beijing, only bicycles. In spite of that we opened a luxury boutique, and now we have more than 20 across the country" says Arnault.

The company is ever keen to trumpet its craftsmanship ethos. Indeed, many items are still hand-made in its French factories - with some workers being trained between 18 months and two years. Mr Arnault credits this attention to detail with Louis Vuitton's longevity on the luxury market.

Paris vs New York: Who wins in clash of the culture capitals?

The brand's well-known LV monogram was introduced in 1896 in an effort to combat counterfeits, but Arnault says that it doesn't take a logo to recognize the company's signature handicraft: "What made Louis Vuitton famous was the quality. We don't do marketing, we just create products which are exceptional in their design and craftsmanship."

Flamboyant flair

In 1997 the company hired Marc Jacobs as the creative director, initiating a long-standing and successful partnership that come to an end in 2013. Jacobs designed Louis Vuitton's first ready-to-wear clothing line which premiered at Paris Fashion Week to both critical and commercial success, and the brand has since become known for its theatrical and flamboyant fashion shows.

"It's very important that when you have a designer like Marc Jacobs, who is a genius, you give him complete freedom. So what you see as theatrical scenery is in fact his creativity poured into the fashion show" says Arnault.

Staging a runway presentation remains crucial when it comes to capturing the imagination of customers and the media, even if some of the more outlandish designs don't make it from the catwalk to the stores: "Fashion week is a moment in which designers can show their ideas to the world. On the catwalk you see pieces which are innovative and trigger the desire of the customer. From these ideas you can then create products which follow that direction, but in a more accessible way."

Spirit of entrepreneurship

Louis Vuitton's parent company LVMH also owns French luxury giants Christian Dior, Givenchy and Dom Perignon, and Arnault travels the world at the helm of the consortium much like an ambassador of Gallic style.

Is Paris still cool? Hell yeah! (But not for the reasons you think)

However, he also looks beyond the world of traditional, large companies, and is eager to apply the entrepreneurial spirit of Silicon Valley to fashion establishments in Paris and London.

"Today everybody, including myself, is interested in internet start-ups. But you also have start-ups in the designer world, and it's fascinating to see how we can transform a small company into something very successful on a global scale" he says.

And when it comes to his goals for the future? "We want Louis Vuitton to still be the number one brand in ten years. In our business, the most important word is desire, so we want to continue creating desire."

Watch: Why is Paris Fashion Week so important?

@highlight

Louis Vuitton started as a trunk maker for the French elite, including Empress Eugenie, wife of Napoleon III

@highlight

The company has always had a spirit of adventure at its core

@highlight

Today, it is one of the most valuable luxury brands in the world