Philadelphia, Pennsylvania (CNN) -- They were roaming the halls of South Philadelphia High School looking for a fight. Their target, according to police: Asian students.

By the end of the school day, as many as 30 students of Asian descent had been physically attacked and many were sent to the hospital for treatment, according to school and law enforcement officials.

Wei Chen, who was a senior at the time, remembers December 3, 2009, like it was yesterday.

"They were sitting along the wall," he recalled. "I saw the one student, his whole T-shirt [was bloody] because his nose is broken."

Wei was not injured in last year's melee, but he said the violence was racial tension between black and Asian immigrant students reaching its breaking point.

After being attacked as a freshman and witnessing other attacks on Asian students, Wei founded the Chinese Student Association to help new Chinese students -- many who recently immigrated to the country -- adjust to life at South Philly High. He also kept track of the incidents of violence against Asian students.

Last year's altercation was the final straw.

Wei and 50 other students organized an eight-day boycott of the school. They wanted to draw attention to what they felt was an inadequate response by the school staff to the ongoing harassment and violence leading up to the December 3 incident.

"School should be safe," he said. "The school should be responsible for students' safety. This is important."

Bach Tong, a native of Vietnam, was one of the students who participated in the boycott. He said standing up for what he believed in helped him find his voice.

"You know, I see not everyone speak up, so I need to stand up for myself 'cause I see myself in there, I see trouble in there," said Tong, who was a sophomore at the time of the incident.

"I cannot be selfish and stay aside to watch other people fixing stuff for me. I mean, I need to stand up and [fix] stuff for myself."

During those eight days, Wei, Tong and the other students met in Philadelphia's Chinatown neighborhood during school hours, doing their schoolwork, holding rallies, and talking about ways to deal with violence at the school.

Despite taking a stand, Tong transferred out of South Philly High a year later, fearing for his safety and concerned about his education.

Nevertheless, the boycott helped trigger nationwide attention to the violence against Asian students at South Philly High. Months later, a federal investigation was launched following a formal civil rights complaint filed by the Asian American Legal Defense Fund.

"It's huge," said Cecilia Chen, staff attorney for the Asian American Legal Defense Fund.

"It's basically the federal government coming in and saying that the school district has failed to protect the constitutional rights of its students, which they have an obligation to do," Chen said.

According to the complaint, "the District and the School acted with 'deliberate indifference' to the harassment against Asian students and 'intentional disregard for the welfare of Asian students'" at the school.

The Justice Department, which announced its investigation in August, has instructed the school system to improve the treatment of Asian students.

And today, the perception among students and their families is that things are slowly changing.

The school's principal resigned in May, security has been increased, and the school district has said there have been fewer reports of student assaults.

The superintendent of schools did not return CNN's calls for a comment, but the school's new principal, Otis Hackney, says security at South Philly High is his top priority.

"There is no room for bullying at school," Hackney said in a recent phone interview. "As principal, my No. 1 priority is to make sure my building is safe."

Hackney is the fifth principal in six years at South Philly High.

A West Philadelphia native, Hackney wants his school off the state's "persistently dangerous" list, as well as meeting the Adequate Yearly Progress requirements, something his school has not achieved, he said.

Hackney used education "to change his situation," he said. "I care because I was built this way," he said. "I just truly see education as the way."

Next month, South Philly High students will launch a campaign for nonviolent schools with the help of the city's youth-led Philadelphia Student Union.

The campaign seeks to improve school climate and enhance the trust between students and staff.

Student Union member Shania Morris was in the eighth grade when last December's violence erupted at South Philly.

Moved by the boycott, she wanted to make a difference in schools.

"We just want to fight to make a change in our schools so that they're nonviolent," said Morris, now a high school freshman. "What we believe is that nonviolence is power that helps people rather than hurts."

While things have improved, it is a bittersweet accomplishment, says advocate Helen Gym, a board member for Asian Americans United.

"For all the wonderful students that we've worked with who stood up around the issue, we've lost dozens more," said Gym, who helped many Asian students document their experiences.

"Kids who just dropped out, kids who just gave up, kids who are lost. You know this is some small consolation, but ... we lost a generation of kids."

But for Wei Chen, who now attends Community College of Philadelphia, speaking out helped him find his inner strength.

"We have the power to change; we can do something," he said. "It's not only adults who can do something, we can do something. I trust this."

@highlight

Last December, as many as 30 Asian students were attacked at South Philly High

@highlight

Asian students boycotted the school to protest what they felt was a lack of response

@highlight

The Justice Department has instructed the school to better protect Asian students

@highlight

New principal Otis Hackney says security is his "No. 1 priority"