(CNN) -- It was just after lunchtime, and 17 kindergartners huddled around a table marked with paint. Teacher Lindy Shoemaker held a vase covered in small objects: an "I <3 Tennis" keychain, a LEGO flag and other goodies the students brought from home.

It might seem like any art class, but the students' piece was inspired by the work of folk artist Howard Finster. The children knew about his colorful, eclectic art because they'd seen them up close that day at the High Museum of Art in Atlanta.

This, their teachers said, is the kind of learning that happens only when schools cut out the classroom and take learning on the road.

In late February, students from the independent, private Galloway School in Atlanta spent the entire school day inside the museum. It was closed to the public but wide open to Galloway's 750 students, ages 3 to 18, for a day of "school without walls."

This was no ordinary field trip, school leaders said. A museum visit typically means a bus ride, a few hours for students to observe the same exhibit, and a lot of reminders to stay quiet and not touch anything.

On this day, hundreds of students, teachers and staff members flooded the museum, wearing white T-shirts with red logos that read "HIGH Energy." Movement and noise filled the wings as teachers and students explored lessons in art, music, history, geometry, physics -- all of them designed by teachers in collaboration with the museum's education department.

The experience pushed the boundaries of the usual field trip, Galloway Head of School Suzanna Jemsby said, even in an era when many schools are cutting trips entirely.

The school was "rethinking about it as a carnival of learning," Jemsby said. "There will be chaos, and that belongs to experiential learning, and that is what we're looking for. We're looking for a hubbub of activity and student inquiry."

Teaching from reality

The idea for the "school without walls" started simply, with a meeting of the Galloway School leader and the museum director. By allowing students to visit on a Monday, when the museum is typically closed, they could assure more freedom and security for students while still relying on the education and catering staff, they decided.

Teachers visited during a professional development day and worked with the museum's education department to design courses that paired existing exhibits with lessons their students would need even in their regular classrooms.

The final schedule spanned 87 sessions for students in pre-K through high school, far more than could be offered during a standard school day, sometimes allowing teachers to break out of their typical subject matter.

At the museum, Galloway health and physical education teacher Denny Beatty led a session about the civil rights movement called "Walking in Someone Else's Shoes." Bayless Fleming's students searched for shapes in the museum and wrote riddles that incorporated math vocabulary. Jemsby, the school leader, explored the color blue with young students.

Museum workers pitched in, too: Director Michael Shapiro analyzed work by Western bronze artist Frederic Remington while Rhonda Matheison explained the business model for museums.

"Teachers had to think outside the box, teach from real things, teach in different ways than they have before, so it's a big growth experience for them," said Virginia Shearer, director of education at the High Museum. "The difference is that students get to see the real thing up close and personal, and they get to connect all of that background learning to the real thing."

READ: Students, say goodbye to snow days

It didn't take long for teachers to zero in on unique learning opportunities or for students to break out of a desk-and-classroom mindset.

"They're much more excited by the learning, so it'll stick with them more," teacher Susan O'Shields said.

The hardest part, some teachers said, was to remember what to pack: Without their usual classroom supplies available, they had to plan ahead.

"We kept being like, 'Oh, we need to get this. Oh, we need to pack that,' " Fleming said.

The value of a field trip

Gas costs, budget cuts and jam-packed school days loaded with tests have all cut back on field trips that used to dot educational calendars. But if schools find a willing partner, they could easily replicate the idea behind the "school with no walls," Shearer said.

Some schools are turning to technology, using Google Glass or Skype to take students to faraway places they couldn't otherwise go. But even visits to local cultural institutions can hold tangible educational value, said Brian Kisida, an education reform researcher at the University of Arkansas' College of Education and Health Professions.

In a recent study involving nearly 11,000 students from 123 schools, he found that students who visited the Crystal Bridges Museum of American Art in Bentonville, Arkansas, demonstrated stronger critical thinking skills, higher levels of social tolerance and greater historical empathy than those who didn't. They also developed a taste for art museums and cultural institutions.

He found that benefits were even greater for students who came from high poverty or rural schools, minority students and those who had never before visited a museum. Those students are especially reliant on their schools to provide those experiences, he said.

Some have come to see field trips and time in cultural institutions as "unnecessary frills," Kisida said, that slice away at time needed to maximize test scores. He says they're not.

"Schools certainly have to deal with tight budgets, but they also have to prioritize different ways of spending their resources," Kisida said. "If school leaders are able to see the benefits of these types of trips, they might be able to prioritize them."

Kisida hadn't heard of other schools hosting entire days of school at museums, but some programs are trying to emphasize learning outside the classroom, like the Isabella Stewart Gardner Museum School Partnership Program in Boston and Embarc in Chicago, he said.

"It's a great thing that should be replicated and serve as a model for other institutions and schools looking to expand the types of learning that they're doing for their students," he said.

READ: Would you want Google Glass in your child's school?

Sherri Breunig, a former public school teacher who's now the director of communications for the Galloway School, said she can understand why some schools would be reluctant to try an entire school day away from the classroom: Worry about "what-ifs" can get in the way of experiments, she said.

"There's an element of fear, whether it's an independent or a public school, that they have to stay within the lines when working with kids," she said. "You don't have to be bound by these artificial lines when it comes to educating kids."

Nourishing the learning process

Throughout the day, the museum was busy not with the usual crowds but with fifth-graders stretching in their movement class, sixth-graders pounding drums and first-graders painting polygons on T-shirts.

Cutting out the classroom took some getting used to for some students.

First-grader Jake Isenberg commented that he liked the size and variety of shapes inside the museum, while his classmate Nate Oertell said he preferred their regular classroom because it "feels like more time at school."

Sixth-graders Vivi Malkonian and Lily Siegel, who went to sessions about African-American art, music and photography, agreed that the museum took them outside their comfort zones.

"At school, we've been there forever, and we know it like the back of our hand, but here you get to explore and see new things you've never seen before," Malkonian said.

"I got to see a lot of new students I haven't worked with and their outlooks on the art," Siegel said.

READ: How one teacher is innovating his classroom

Some high school students enjoyed the environment, but with their minds already geared toward college, a day in the museum didn't always help much.

High school freshman Alexander Nieves said he saw some limitations to the event. He and his classmates are used to to the speed of laptops and other technology to move them efficiently through material, and with some students minds' already on college, they struggled to connect with the offerings. Personally, he enjoyed the challenge.

"In school, you're really just sitting down in a chair getting exercises drilled into your head, but this really allowed creative flow," said Nieves, 15.

"The main idea of school is to prepare someone for life, and the best way to do that is to not have the same environment. Experimenting with different environments gives students a sense of a new area and working and learning in different ways."

"Variety," he said, "nourishes the learning process."

Has your school cut back on field trips, or found new ways to give students hands-on experiences? Share your thoughts in the comments, on Twitter @CNNschools or on CNN Living's Facebook page!

@highlight

Gas costs, budget cuts and test pressures have led some schools to cut field trips

@highlight

One Atlanta school took all its 750 students to a museum as a one-day learning experiment

@highlight

Researcher: Some field trips aid critical thinking, social tolerance and historical empathy