(CNN) -- Jill Thacker was dying for a cup of coffee when she recently ran into a 7-Eleven convenience store. To her pleasant surprise, the coffee was free -- as long as she would commit to drinking it in either a red Mitt Romney cup or a blue Barack Obama cup.

"Which are you going to choose, Mom?" her son asked.

Which, indeed. A gun-owning, big-government-hating Republican, Thacker's every instinct told her to buy a Romney cup. But Thacker, 56, and her daughter have asthma -- a pre-existing condition -- and with Obama as president they'll be guaranteed the ability to buy insurance.

Thacker stood in the 7-Eleven and stared at the red and blue cups, stymied by the choice they represented.

7-Eleven tries to predict presidential election winner

A concrete issue

Perhaps no other election has posed such a difficult personal decision for some conservatives: How do you vote if you're ideologically conservative, but you're benefiting, or stand to benefit, from the Affordable Care Act, often referred to as "Obamacare"?

"In 2008, health care was a very conceptual, a very theoretical issue," said Michael Traugott, a professor of political science and communication at the University of Michigan. "This year it's very concrete and real."

Some Republicans told CNN they would never vote Democrat, even though they might benefit from Obamacare, while others said they will switch their vote because of health issues.

"The real question is: Could defections in this group make a difference in states where the race is close, such as Virginia, Ohio or North Carolina?" Traugott said. "I think in those states it's so tight they could make a difference."

Several groups of people would fare very differently under Romney's health care plan than they do under Obamacare, such as those with preexisting conditions, which can range from anything from back pain to cancer. Between 20% and 50% of all Americans have a preexisting condition, according to the Department of Health and Human Services.

Obamacare tells insurance companies they can't say no to people with preexisting conditions, or charge them more because of their health issues. According to his website, Romney's health plan calls for "preventing discrimination" against people with preexisting conditions as long as they've maintained continuous insurance coverage in the past, but does not define what "continuous coverage" means.

Young Republicans could also fare differently under Romney's plan. According to the Department of Health and Human Services, some 3.1 million young adults now have health insurance because of Obamacare, which requires insurance companies to allow young adults to stay on their parents' policies up until the age of 26. Before Obamacare, insurance companies in many states took young people off their parents' policies at age 18 or 19.

Romney has vowed to repeal Obamacare. In the presidential debate, the former Massachusetts governor said the "private marketplace" is already taking care of young adults who want to stay on their parents' plans so the United States doesn't need a government mandate.

However, it's not clear that insurance companies will allow young adults to stay on their parents' insurance up until age 26 without a mandate. If Obamacare is reversed, insurance companies "will make their own decisions about the coverage options they provide," according to a statement from America's Health Insurance Plans.

The undecided: What will sway them?

'I feel torn'

Jon Campbell may become one of the Republican "defectors" Traugott says could make a difference in battleground states.

Campbell, 49, has voted Republican in nearly every presidential election since he cast his vote for Ronald Reagan in 1980, but this year might be different. For two years his 22-year-old stepdaughter, a self-employed dog trainer, didn't have health insurance. Then Obamacare kicked in and she was allowed onto her father's insurance.

"If something had happened to her during those two years it would have been a disaster," Campbell says.

The Olathe, Kansas, resident is leaning toward Obama, but not just because of his stepdaughter. Campbell's wife, Barbara, has diabetes and is in the final stages of breast cancer treatment. She's now on his insurance, but if he ever lost his job, his wife would be faced with trying to buy insurance on her own and would surely be rejected.

"I'm really torn," he said. "Because of Obama, I now have a wife who can get covered. But really, at heart, I'm a limited-government kind of guy."

Campbell said if the election were held today, he'd vote for Obama, but not without a lot of reservations.

"It's really an intriguing conundrum," he said.

Photos: From the campaign trail

'I'm born to be a Republican'

Like Campbell, Sara Nicastro feels conflicted about her vote. A popular diabetes blogger, Nicastro, 31, knew a woman who stopped taking her insulin regularly when she lost her insurance, and Nicastro thinks it might have contributed to her death. Nicastro said she herself would be "in a pickle" if she were ever laid off because insurance companies don't want to offer policies to diabetics.

Still, Nicastro, a lifelong Republican who lives in south Florida, will vote for Romney in November. She cares about other issues besides health -- most notably the economy -- and she's voted Republican in every election. She even remembers the excitement she felt when she shook Bob Dole's hand at a rally at her high school 16 years ago.

"The Republican party most closely matches the things I value and the beliefs I have," she said. "I'm pretty passionate about it."

Katherine Weaver, who also has diabetes, hasn't considered voting for Obama for even a minute.

"I'm born to be a Republican," she said.

Weaver, 52, knows it would be difficult if not impossible to buy insurance on her own because of her disease, but she said she's not worried because she has good insurance through her job as a public school teacher in Dallas, where she's worked for 20 years.

"It's very hard to get rid of teachers," she said. "I'm very protective of my job. I document everything I do."

Voter issues

A choice to make

Jill Thacker felt "weird" as she stood there in the 7-11 in Sanford, Florida, thinking about which cup to take.

She thought about her insurance, which covers her only if "I get hit by a bus." It's the only insurance she can afford given her preexisting condition.

She thought about how she's still paying off a $22,000 emergency room bill from last year.

She thought about her 25-year-old daughter, who's on her father's insurance only because of Obamacare.

But she also thought about how, in many fundamental ways, she just doesn't like Obama.

Then she reached for the blue cup with Obama's name on it.

"I really do feel conflicted," she said. "But for me, it's all about health care. It's my number one thing."

Did debate make undecided voters more decided?

CNN's William Hudson contributed to this story.

@highlight

Republicans benefiting from 'Obamacare' face a tough choice in November

@highlight

People with pre-existing conditions, youth might fare differently under Romney's plan

@highlight

Some Republicans will switch vote; others are still voting for Romney