(CNN) -- The Organization for the Prohibition of Chemical Weapons says it has approved a road map to destroy Syria's chemical weapons by the middle of next year.

A joint OPCW-United Nations team charged with overseeing the destruction of the weapons began inspecting sites in October. The U.N. Security Council resolution that authorized the mission set a deadline of mid-2014 for Syria to destroy its chemical weapons or face consequences.

The OPCW's executive council met Friday at its headquarters in The Hague to finalize a detailed plan.

In a statement, the council said chemical weapons would be transported outside Syria to be destroyed "to ensure their destruction in the safest and soonest manner and no later than June 30, 2014."

Under the plan, all declared chemical substances and precursors except for isopropanol will be removed from Syria no later than February 5.

Isoproponal is a chemical used in the manufacture of the nerve gas sarin, but it is also widely used as a solvent.

The OPCW said it was envisaged that "the most critical chemicals" would be removed from Syria by the end of 2013.

It said destruction of Syria's declared chemical weapons facilities would take place between December 15 and March 15 "according to a risk-based criterion."

OPCW Director General Ahmet Umzucu said the plan provided a "clear road map" and set ambitious milestones to be met by Syria's government. November 15 was the deadline for the council to approve a plan for the destruction of Syria's chemical weapons stockpile.

"This next phase will be the most challenging, and its timely execution will require the existence of a secure environment for the verification and transport of chemical weapons. Continuing international support and assistance for this endeavor will remain crucial," Umzucu said.

The government of Norway on Thursday offered to provide a commercial cargo ship and a military escort to pick up the Syrian weapons stockpile and deliver it to a destination to be destroyed.

However, the OPCW statement did not state which countries would host the weapons destruction, and Albania announced Friday it was rejecting a U.S.-backed plan for it to take the stockpile.

Albania rejects plan

In a televised address, Albania's Prime Minister Edi Rama said the country had "no capacity of any kind pertaining to the transport and technological processes involved."

Crowds of protesters erupted in cheers outside the address, where hundreds were demonstrating against the request, which they claimed would put Albania at risk of pollution or accidents.

Rama had originally been in favor of the plan, which would have had the roughly 1,300 metric tons of sarin, mustard gas and other chemical weapons from Syria shipped to NATO-member Albania for destruction.

"There was an inclination to say 'yes' initially as an obligation to our big allies, but how can the U.S. take the chemical weapons from the hands of a killer only to kill other people on the planet," said Rama, the new prime minister of the normally stalwart U.S. ally.

"We respect the prime minister's decision," the U.S. Embassy in Tirana said in a statement. "We remain confident that we will complete elimination of the program within the timeline agreed upon."

'Reaching out'

A spokeswoman for the U.S. Department of State told media Friday there had been "extensive discussions" with several countries relating to finding a location.

"Several countries have seriously -- are seriously -- considering and have seriously considered hosting the destruction efforts," spokeswoman Jen Psaki said.

OPCW-UN Joint Mission special coordinator Sigrid Kaag told the OPCW's executive council she was "reaching out to others to consider joining this international effort, which is key to the successful implementation of the executive council's decision."

The statement said that Umzucu would present a specific plan for the destruction of chemicals outside Syrian territory. "The director general is also requested to establish a special trust fund for this purpose," it said.

Sarin allegations

The U.N. resolution on Syria's chemical weapons was based on a deal struck between the United States and Russia that averted an American military strike over allegations the Syrian government used sarin nerve gas in an August 21 attack on a Damascus suburb. U.S. officials said at least 1,400 people died in the attack. Syria denied responsibility, blaming rebel forces.

In Friday's update, the OPCW said its mission in Syria had verified that more than 60% of Syria's declared unfilled munitions had been destroyed. Syria had committed to destroy all unfilled warheads and bombs by January 31, it said.

It follows its announcement on October 31 that Syria had destroyed all its declared chemical weapons mixing, filing and production facilities and that all of the chemical weapons at inspected sites were under seal.

Read more: Syria meets first chemical weapons destruction deadline

The mission had visited 21 out of 23 sites, the OPCW statement said, and 39 of the 41 facilities at those sites. The remaining two sites were too dangerous for the inspectors to go to, it said, but Syria had declared those sites as abandoned. The chemical weapons equipment there was moved to other sites, which were inspected.

The Syrian conflict began in March 2011 after government forces cracked down on peaceful protesters during the Arab Spring movement and is now a full-blown civil war.

The United Nations estimates that more than 100,000 people have died in the conflict.

@highlight

OPCW says it has approved a detailed plan to destroy Syria's chemical weapons by mid-2014

@highlight

A U.N. resolution authorized a mission to oversee weapons destruction

@highlight

Weapons inspectors began checking chemical sites in the war-torn country in October

@highlight

A location for destruction of weapons outside Syria has not yet been announced