Berlin (CNN) -- Twenty-five years on from the fall of the Berlin Wall, much has changed. But former Soviet leader Mikhail Gorbachev says the lessons learned back then could help restore calm to today's increasingly volatile world.

Speaking to CNN in Berlin, where he is attending anniversary celebrations, Gorbachev called for efforts to rebuild trust between East and West and for leaders to again work together for the common good.

"A lot depends on America, Europe, Russia -- they have to work together more productively," he said.

"We have to reestablish the cooperation and the trust that has been destroyed. We must start by dialogue -- we must meet and not just talk past each other."

Gorbachev, now 83, is often praised for his decision to avoid using force to quell uprisings in Eastern Europe, helping pave the way for Berlin Wall to fall in 1989.

While Soviet leader -- from 1985 until his resignation in 1991 -- he embarked on a process of change and increased openness to the West that became known as "perestroika." He was awarded the Nobel Peace Prize in 1990 for helping end the Cold War.

Now, with the conflict in Ukraine plunging East-West relations to their lowest point since then, many wonder what might happen next, as a bullish Russia seems determined to forge its own course despite pressure from the West.

Leaders today 'looking askance at each other'

While the nuclear weapon reduction agreements signed at the end of the Cold War still have a positive influence, Gorbachev said, current events in Europe could undermine the situation.

"Straight after the end of the Cold War, when we signed those important agreements, we used to be more peaceful, people trusted more. People trusted that things got better," he said.

"Now is a troublesome time. Let us not engage in mutual accusations, let us rebuild the trust that has been wrecked and let us cooperate, let us look for ways out of any difficult situation," he said.

Defeating radical groups like ISIS "requires a common effort on our part," he said. But while the possibilities and the resources are there, leading countries have been looking to serve their own advantage. This is wrong, he said, and the first steps to correct it must include political decision making and dialogue.

Some people's impression that things have moved backward today is correct, he said, adding, "this is because the common approach has been destroyed."

When leaders took decisions on nuclear disarmament or on ending the Cold War, he said, "with all these things we were meeting each other halfway, we cooperated. But now we are just looking askance at each other."

Report: Ex-Soviet leader Gorbachev leaves hospital

Media 'sow division and mistrust'

Gorbachev said some irresponsible media outlets were fueling international tensions.

The media should convey the truth, he said, rather than taking part in "information warfare" that "sows division and mistrust."

He characterized recent reports of Russia sending tanks and troops into Ukraine as examples of dangerously irresponsible reporting.

Gorbachev called for those who benefit from manipulating media coverage to be revealed, even if that carries some risk to those doing the revealing.

He did not single out any media outlets, but said it is up to politicians to prevent "information warfare" while also defending freedom of the press and civil institutions.

Asked what lesson people should draw from the historic events of 25 years ago, Gorbachev said: "We made the right choice. We made the right decision, these decisions required courage, these decisions required a lot of work -- and this is the only right approach, acting responsibly, acting with a view to common efforts."

No one can single-handedly solve the problems of the world today, he said, even America.

Gorbachev: Obama must stand firm

As for President Barack Obama, the former Soviet leader had some positive words -- and encouragement for the difficult days ahead for the President's Democratic Party, which was hammered in the midterm elections.

His election in 2008 was a response to the American people's desire for change and reform -- their own perestroika, Gorbachev said.

"At first he showed himself as a person who could be trusted, a smart person, an intelligent person, and his first term I would say he was quite satisfactory," Gorbachev said.

Now, with both the House and Senate in Republican hands and a raft of other problems stacking up, Obama must "stand firm," he said.

"It's not the most important thing to be in power. It's important to withstand the pressure of those who would like to bend your knees."

CNN's Jim Clancy reported from Berlin and Laura Smith-Spark wrote in London.

@highlight

Mikhail Gorbachev: America, Europe, Russia must work together more productively

@highlight

"We have to reestablish the cooperation and the trust that has been destroyed," he says

@highlight

Gorbachev is in Berlin to mark the 25th anniversary of the fall of the Berlin Wall

@highlight

Former Soviet leader says leaders must work for the common good, not their own benefit