(CNN) -- This is getting ridiculous.

While the threat of Ebola is very real in Africa, the paranoia it's generated in the United States is unreal.

You can count the number of documented cases in America on two hands -- and still have fingers to spare.

There are eight confirmed cases. And in each one, the patient was either infected in Liberia or Sierra Leone, or had contact with Thomas Eric Duncan, the Liberian returnee who's the sole fatality of the disease in the U.S.

Health care professionals, both within the government and those with little reason to parrot a party line, insist that the chances of any of us catching the virus are minuscule.

If we really need something to worry about, they say, worry about getting your flu shots. From 1976 through 2007, flu-related causes killed between 3,000 and 49,000 people in the U.S.

And yet, the disproportionate hysteria over Ebola multiplies contagiously.

Mel Robbins, a CNN commentator and legal analyst, has given it a name: Fear-bola.

"Fear-bola attacks the part of the brain responsible for rational thinking," she says. "It starts with a low-grade concern about the two health care workers diagnosed with Ebola in Dallas and slowly builds into fear of a widespread epidemic in the United States."

Complete coverage of the Ebola outbreak

How bad is it?

So bad that nearly two thirds of those queried in a Washington Post/ABC News poll said they're concerned about an epidemic in the U.S.

So bad that the Centers for Disease Control, in the first week of October, fielded 800 calls from concerned Americans.

So bad that even after a Dallas lab worker -- who isolated herself in her cabin during a Carnival Cruise because she may have possibly handled Duncan's clinical specimen -- was cleared, the Moore, Oklahoma, Public Schools asked students and faculty who were on the same cruise not to come to school.

Here are some more examples of our overreaction:

From Nigeria? Not this year

Navarro College, a two-year college about 60 miles from Dallas, sent out rejection letters to some applicants from Nigeria because the country had a few Ebola cases.

"With sincere regret, I must report that Navarro College is not able to offer you acceptance for the Spring 2015 term," the letter read. "Unfortunately, Navarro College is not accepting international students from countries with confirmed Ebola cases."

The college called it "the responsible thing to do."

"At this time, we believe it is the responsible thing to do to postpone our recruitment in those nations that the Center for Disease Control and the U.S. State Department have identified as at risk."

Incidentally, Nigeria had 19 cases, but none in the last 43 days. In fact, the World Health Organization declared it Ebola-free on Monday.

Who shouts 'Ebola' on a plane?

Get sick in a parking lot, force a shutdown

A woman boarded a shuttle bus in a Pentagon parking lot Thursday, got off and vomited. A hazmat team responded, the area was cordoned off, military officials going to a Marine Corps ceremony were temporarily quarantined, the woman was put into isolation.

A Pentagon spokesman said it was "out of an abundance of caution."

The woman didn't have Ebola.

Get sick on a plane, stay in the bathroom

A passenger who vomited in the aisle of an American Airlines plane from Dallas to Chicago was allegedly told to stay in the lavatory for the rest of the flight. "They told her to stay in the bathroom, and she stayed in the bathroom," Martha Selby, a University of Texas professor who was on the flight, told the Houston Chronicle. "They said, 'We can't let you out.'"

The airlines told the paper that the woman wanted to stay in the bathroom, and that "there were no concerns related to Ebola."

The woman didn't have Ebola.

Go to a conference, go on leave

An elementary school teacher in Maine was put on 21 days' leave - the incubation period for Ebola -- because she went to Dallas for an education conference. While there, she stayed at a hotel about 10 miles from Texas Health Presbyterian Hospital, where a patient died of the disease.

Still, parents were concerned, and the school district said it obliged.

Here's how the Portland Press Herald put it into perspective: About 5 million Americans passed through Dallas-Fort Worth International Airport in August, the latest month for which statistics are available.

The woman, of course, didn't have Ebola.

What's more contagious than Ebola? Concern about its spread

Go to a funeral, go on vacation

A middle school principal in Hazelhurst, Mississippi, who went to his brother's funeral in Africa is now on a weeklong paid vacation. Why? Because parents pulled their kids out of school Friday once they learned of the trip. And where in Africa did the principal go? Zambia, which has reported a total of zero Ebola cases.

The principal didn't have ... you know the rest.

Don't like the team, taunt the player

A West African high school soccer player in Nazareth, Pennsylvania, was taunted with chants of "Ebola" by players of the opposing team during a game earlier this month. The opposing team's head coach and assistant coach resigned the next day.

The player ... so on and so forth.

What's more disturbing than Ebola? The outrageous commentary

Yell 'Ebola,' trigger panic

Last week, a masked man in a Los Angeles public bus yelled, "Don't mess with me, I have Ebola!" The bus driver was quarantined and the bus taken out of service.

The man disappeared. But officials doubt he has Ebola.

Pat down = paid leave

A TSA agent at Cleveland Hopkins International Airport is now on paid administrative leave because he/she pat down Amber Vinson. She's one of the nurses who contracted Ebola after treating Duncan. And before her illness was apparent, she took a Frontier Airlines flight to Cleveland, then a flight back to Dallas.

The agent wore gloves during the pat down, the TSA told Newsnet5 in Cleveland. And yet, the leave was "out of an abundance of caution."

Never mind that Ebola is only spread through direct contact with blood, sweat, feces, vomit, semen and saliva. And the uninfected person would have to have a break in the skin that would allow entry of the virus.

The agent hasn't shown signs of Ebola.

Game the system, stoke hysteria

A newly booked inmate in the Clark County Detention Center in Las Vegas hit on a novel way to be spared the gen pop: Tell the guards you just got back from Africa and you're experiencing Ebola-like symptoms.

He was taken away from other inmates to a hospital, the staff put on protective gear, the area was decontaminated, CNN affiliate News 3 reported Sunday.

Turns out, the guy not only didn't have Ebola, he's never been out of the U.S., let alone to Africa.

------

The examples go on and on, and each new day brings a couple of fresh ones.

And with flu season coming up -- with its symptoms of fever, ache and fatigue that are very similar to Ebola's -- expect the hysteria to ramp up.

"All we've known of Ebola is that it's some exotic disease in a faraway land that kills people in a very gruesome way. That's all we knew about it -- most Americans did -- until a couple of months ago," says CNN's Dr. Sanjay Gupta.

"So, it's going to take some time to reset some of that thinking."

Until then, perhaps we'll all benefit from this handy quiz:

.

@highlight

A college sends rejection letters to applicants from Nigeria

@highlight

A teacher who went to a conference in Dallas is put on leave

@highlight

A principal who went to his brother's funeral in Africa is now on vacation

@highlight

A TSA agent who patted down Amber Vinson is sent home