(CNN) -- Elson Kambalu doesn't like to be shoehorned as an artist.

Even in his early days, he refused to paint the usual "traditional" watercolors of African horizons and indigenous animal kingdom that attract tourists. Instead, he followed his own artistic path and today is one of Malawi's most revered abstract artists.

The 40-year-old dreamer has become a champion of the artistic landscape in Malawi, but has also founded Art House Africa, an artistic collective that connects painters and prospective clients.

CNN sat down with the passionate artist and entrepreneur to discuss his roots and how he is inspiring enthusiastic creatives in his homeland.

CNN: So how did you take that first step into the art world?

EK: I decided at the age of 28 to try my luck with a gallerist who was in the vicinity. I presented my works to him and he said: 'No, Elson, I don't think this will sell in this gallery ... Most of the artists, they paint about the Lake, Lake Malawi, they paint about our highest mountain, they paint about our wildlife, because this is what the tourists want to take back when they are going home.' And I said, we could try something different. And that's what we did. Three days later he calls me and says that your work is gone. So that's how it began, I never looked back.

CNN: But you continued working as a loan officer until you were 31. Was there a moment when you finally said: 'I want to be an artist?'

EK: My break came one day. It was early morning in a toilet when this idea fell on my lap -- To create an art company that would work as a hub for artists. A company that would act as a link between artists and the corporate world. I had the business experience and the land was virgin.

There were no art managers on the land and so I felt it would be good to work in that niche. My contract was coming to an end and I was being offered a new contract that would take me to another city. I declined and chose to take my own direction.

CNN: How would you describe your artistic style?

EK: I am very contemporary, and versatile. I am not a conformist. I am able to move from one medium to another. I am a painter, I am a sculptor, I am a fashion designer, I am a graphic designer, I am a writer, I am a poet, I am a filmmaker. I am a conceptual artist, am an abstract expressionist. I don't want to be identified with one form of art style.

CNN: Are there any particular themes you like to showcase?

EK: As a visual artist, my past has had a strong bearing on me. Growing up in a big family equaled to lack of resources. The levels of want were quite disturbing, much more especially as I was approaching my teens. Suddenly I discovered that we were poorer than some families. I could not have or eat what I wanted. Those stories of poverty, of want, of freedom, of wanting to survive, have always been part of my subjects.

I'm interested in stories of fellow Africans before me who had much harder life. These stories inspire me to create art. I want to create a podium for discussions, in the process hoping to change mindsets and make life better for our future generations.

CNN: Who are your artistic heroes?

EK: I think I've been inspired by all these great artists. I've been inspired by Salvador Dali, looking at his work. I've been inspired by Pablo Picasso, I've looked at the work of Jackson Pollock, quite beautiful. Rofko, wonderful, and even the young British artists of the 90's. If you look at Damien Hurst, I've seen works by Tracey Emming, and it's all had a bearing on me as an artist.

CNN: So what is the Malawian art scene like?

EK: I discovered that most of the artists were poorly managed. There were no managers in the arts sector. There is no art school in the country. So what was normally happening is they had the skill, they had this great talent amongst the artist, but they didn't know how to organize themselves.

CNN: So you founded Art House Africa and then a few years later you opened a kids studio...

EK: We don't have formal art schools and I thought well, this could be a very good avenue for the kids to come in and just prepare them.

I think the most important thing in Malawi is the art education. It doesn't necessarily mean that whoever enters an art class will be an artist. But they will make a good audience, or make a good client, because they know the kind of strenuous process artists go through to create whatever they are going to create. If we have the art education in our systems, then we have a community that would appreciate the arts.

Learn more about Kambalu's Art House Africa and find out what the versatile creative is moving on to next

@highlight

Elson Kambalu is a Malawian abstract artist

@highlight

As well as being a prolific local artist, he has tried to foster the country's artistic landscape

@highlight

At 31, he founded Art House Africa, a collective bringing artists and clients together

@highlight

He has also opened a children's art studio and art journal to inspire his fellow countrymen