Fort Hood, Texas (CNN) -- Maj. Nidal Malik Hasan, the accused Fort Hood gunman, is paralyzed from the waist down, his lawyer said Friday.

"It appears he won't be able to walk in the future," said Hasan's civilian attorney, retired Army Col. John Galligan.

Hasan also has severe pain in his hands, the attorney said.

Authorities say Hasan, a U.S. Army psychiatrist, opened fire at a military processing center at Fort Hood on November 5, killing 13 people. Two civilian officers engaged Hasan, wounding him. One officer was wounded.

Two heroes emerge in shooting

Army officials announced Thursday that Hasan is charged with 13 counts of premeditated murder, making him eligible for the death penalty.

Galligan said he spent an hour Thursday with Hasan at Brooke Army Medical Center in San Antonio, Texas, where he is being treated. A family member whom he did not identify was also present during the hourlong meeting.

As investigators explore what may have led to the shooting rampage, the U.S. State Department's top counterterrorism official said Thursday there appears to be no operational link between Hasan and any outside group, citing investigators who looked into Hasan's communications with a radical Islamic cleric.

Daniel Benjamin, the department's counterterrorism coordinator, told CNN's Christiane Amanpour that Hasan and Imam Anwar al-Awlaki had communicated through e-mails, but their content raised no red flags to investigators.

Watch Amanpour, Benjamin discuss the case

"I believe that the various investigating bureaus have said that they have seen these e-mail messages to a radical cleric, but that they were not a sufficient concern to open up an investigation, and there doesn't appear to be any linkage to any outside group in terms of the operation itself," Benjamin said in his first television interview since taking up his post.

Counterterrorism investigators monitoring al-Awlaki came across the e-mails with Hasan during their investigation last year.

In a separate development, President Obama ordered an immediate inventory and review of intelligence related to the shooting and Hasan, and whether information was properly shared between government agencies.

Those who knew Hasan before he was a major in the Army say he was long known for militant Islamist views.

Doctors who crossed paths with Hasan in medical programs paint a picture of a subpar student who wore his religious views on his sleeve.

Several doctors who knew Hasan spoke to CNN, but only on the condition of anonymity because of the ongoing investigation.

Hasan "was clearly espousing Islamist ideology" during his time as a medical student at the Uniformed Services University of the Health Sciences in Bethesda, Maryland, one of his former classmates said.

After the shooting, Hasan's family revealed little about him, saying in media interviews that Hasan was a "good American" and a lifelong Muslim who complained that he was harassed in the Army because of his religion.

His former classmates describe a much more militant man.

His presentations for school were often laced with extremist Muslim views, one source said.

"Is your allegiance to Sharia [Islamic] law or the United States?" students once challenged Hasan, the source said.

"Sharia law," the source says Hasan responded.

The incident was corroborated by another doctor who was present.

The source also recalled an instance in which Hasan was asked if the U.S. Constitution was a brilliant document, to which Hasan replied, "No, not particularly."

The former classmate told CNN that he voiced concerns about Hasan to supervisors at the school.

A second former medical school colleague of Hasan said that several people raised concerns about Hasan's overall competence.

Even though Hasan earned his medical degree and residency, some of his fellow students believed that he "didn't have the intellect" to be in the program and was not academically rigorous in his coursework.

Hasan "was not fit to be in the military, let alone in the mental health profession," this classmate told CNN. "No one in class would ever have referred a patient to him, or trusted him with anything."

The first classmate echoed this sentiment.

Hasan was "coddled, accommodated and pushed through that masters of public health despite substandard performance," the classmate said. He was "put in the fellowship program because they didn't know what to do with him."

The second classmate said he witnessed at least two of Hasan's PowerPoint discussions that included what he described as extremist views.

In these presentations, which were supposed to be about health, the source said that Hasan justified suicide bombings and spoke about the persecution of Muslims in the Middle East, in the United States and in the U.S. military.

Some in the crowd rolled their eyes or muttered under their breath, he said, and others were clearly uncomfortable.

Those in the audience, which included program supervisors, did not loudly object to Hasan's presentations, but did complain to their higher-ups afterward.

The supervisors expressed "appreciation, understanding and agreement" that the complaints would be discussed, but the source said it was unclear what action, if any, came.

Despite the controversy that his schoolwork created, classmates did not view Hasan as mentally unstable or psychotic, the source said.

Questions remain over how much Hasan's behavior and actions in school were reflected in his personnel files.

Col. Kimberly Kesling, deputy commander of clinical services for Darnell Medical Center at Fort Hood and Hasan's supervisor at the post, told reporters last week that Hasan was doing a good job in Texas.

"As a supervisor, I am aware of the job performance of people coming into our organization, that is part of our credentialing process," Kesling said. "The types of things that were reported to me via his evaluation report were things that concerned me, but did not raise red flags toward this [the shootings] in any way, shape or form."

"His evaluation reports said that he had some difficulties in his residency, fitting into his residency, and we worked very hard to integrate him into our practice and into our organization, and he adapted very well, was doing a really good job for us," she said.

Prompted by reports of former classmates, however, Army investigators would like to speak with people who have had contact with Hasan over the years and who may have information about his activities and behavior, said Maj. Gen Kevin Bergner, head of U.S. Army public affairs.

And Defense Secretary Robert Gates weighed in on the bits and pieces of information surfacing about Hasan.

"I deplore the leaks that have taken place," he said on a trip to Oshkosh, Wisconsin. People are talking about "what they know, which is one small piece of the puzzle."

"They don't know whether or not what they're leaking might jeopardize a potential criminal investigation and trial," he said.

Hasan came under investigation when his contacts with al-Awlaki were intercepted by terrorism investigators monitoring the cleric's communications, a federal law enforcement official told CNN.

An employee of the Defense Department's Criminal Investigative Services, assigned to the Joint Terrorism Task Force, ultimately decided to drop the investigation after reviewing the intercepted communications and Hasan's personnel files.

CNN's Brian Todd and Ed Lavandera contributed to this report.

@highlight

"It appears he won't be able to walk in the future," Nidal Malik Hasan's attorney says

@highlight

Lawyer, retired Army Col. John Galligan, said he spent an hour with Hasan on Thursday

@highlight

A family member whom Galligan did not identify was also present during the meeting