(CNN) -- The Rev. Mark Whitlock's church practices what he calls the 11th commandment: "Thou shalt not be boring."

Christ Our Redeemer African Methodist Episcopal Church in Orange County, California, also practices something many other black churches don't: integration.

"We're fully integrated in the workplace, schools, public restaurants everywhere, except the church," Whitlock told CNN. "It's still the most segregated place on Sunday in the United States. Our goal is to do what heaven has already done. Heaven is fully integrated."

But most churches aren't. Nine of 10 churches are segregated, according to an analysis by Christopher P. Scheitle and Kevin D. Dougherty published in the August addition of the journal Socialogical Inquiry. For the purposes of the paper, "segregated" meant 80 percent of a church's members were of one race.

"People choose churches where they feel comfortable. Maybe they get challenges there, but they're going for the comfort," says Dougherty, a sociology professor at Baylor University in Texas.

Titled "Race, Diversity, and Membership Duration in Religious Congregations," the analysis concluded that even when people join a church as minority members, they are less likely to stay as long as the majority. This, the paper's abstract says, "can create a constant pull toward homogeneity despite congregational efforts to diversify."

Some argue that diversification is in the best interest of Christ Our Redeemer because African-Americans make just 2 percent of the 3.2 million people in Orange County, while more than 78 percent of the people in the county are white.

Whitlock argues integration should be happening at every church, because he says most of the issues that blacks, whites and everyone else struggle with are the same.

"We have problems with our kids. We have problems with bills. We have problems on the job."

But some African-American commentators disagree.

"The black church is our best institution," says Michael Reel, co-editor for reelurbannews.com and former managing editor of the Baptist Voice.

"It's ours -- it's the one last place in the world that we can call our own." On his website, Reel says many African-Americans are changing from historically black churches to religious houses that are predominantly white.

But Pastor Bobby T. Newman of Citizens of Zion Missionary Baptist Church in Compton, California, says black churches can't afford to lose members to other churches. Newman said it creates a great burden on the church financially and leaves a void for younger African-Americans culturally. He thinks the church needs to adapt to make more people more comfortable attending black churches.

Interracial churches can be the scene of internal battles, as CNN has reported previously. Some of those tug-of-wars can be over preaching styles or music. Differing views on interracial dating and the appropriate racial mix of church leaders can also cause tension.

Dougherty and co-author Christopher P. Scheitle, a senior research assistant at Penn State University discovered that many church minority members feel they have no say in church affairs, though this starts to change when a minority reaches 40 percent of the church population.

More than 3,000 people attend Christ Our Redeemer. Ron Guyer has been attending for 10 years, said he's never felt uncomfortable there. Other churches could learn a lesson from his worship community, he says.

"I think as other black churches are beginning to see what's happening and just the burgeoning growth of Christ Our Redeemer, I think they may take a different look at their agenda and say maybe we should kind of open up our churches."

CNN's Ted Rowlands contributed to this report.

@highlight

Church in Orange County seeks members of all races

@highlight

Pastor says all races share many problems of daily life

@highlight

Not all people think segregated churches are a bad idea

@highlight

Churches need to adapt to make all races feel more comfortable, experts say