(CNN)Greece is so closely linked to summer vacations that it rarely features in winter escape plans.

That's a shame, because while it rules the Mediterranean in the heat of July and August, it's also got some pretty cool moves in the dead of December.

Falling temperatures sprinkle new magic on stone-built villages lost in deep forests and medieval castles built into that beautiful Greek coastline.

Throw vibrant cities into the mix, along with buzzing ski resorts -- yes, ski resorts -- and a whole new perspective of the country opens up.

Here are six classy places to consider for a Greek winter getaway.

For romantic escapes: Aristi Mountain Resort Hotel & Spa (Zagorochoria, Aristi)

A hidden mountainous treasure in the Epirus region of northwestern Greece, Zagorochoria is a complex of 46 stone-built villages.

This parkland ecosystem is where locals take special guests to illustrate their ideals of natural beauty.

Scenic mountain roads and traditional arched stone bridges interconnect tiny villages filled with guesthouses and little cafes.

Aristi Mountain Resort, in the village of Aristi, is ideal for exploring the region.

Located atop the village, the resort enjoys grand views of the "Towers of Astraka," the striking rock cliffs that dominate the skyline.

Accommodation includes rooms scattered around a complex of stone buildings and three newly built villas.

Its spa facilities feature an indoor heated pool with stunning views of the surrounding area, while its Salvia restaurant serves local specialties and fine Greek wines.

Aristi Mountain Resort Hotel & Spa, Aristi, Zagorochoria, Epirus; +30 26530 41330; winter prices from $136 per standard double room per night with breakfast

For city breaks: The Excelsior Luxury Boutique Hotel (Thessaloniki)

The main hub for northern Greece, Thessaloniki is an all-year round destination.

A hotspot, compact in size, the city's Tsimiski, Mitropoleos and Proksenou Koromila streets are filled with fashionable boutiques.

There are fancy bars along Valaoritou Street, and many restaurants in between.

Its many engaging museums, important archaeological sites and byzantine monuments are an ideal winter cultural fix.

Thessaloniki's art deco Excelsior hotel is a destination in itself, housed in a historic building right in the heart of the city, a few steps from the main Aristotelous Square.

An opulent marble staircase leads upstairs to 34 rooms individually designed by a team of well known architects and featuring original art by young and emerging Greek artists.

The Excelsior Luxury Boutique Hotel, 10 Komninon St./23 Mitropoleos Ave. 546 24, Thessaloniki; +30 2310 021 020/+30 2310 021 000; winter prices from $175 per standard double room per night with breakfast

For mountains and sea: Sakali Mansion (Pelion, Pinakates)

Hiking trails, villages and ski slopes with panoramic views of the Aegean Sea and the Pagasetic Gulf make Pelion a strong winter destination.

The mythical mountain of Centaurs lies in the southeast part of the Thessaly region, forming a peninsula surrounded by water.

Pinakates village, in west Pelion, looks like a scene from a painting, with stunning mansions and photogenic cobbled streets.

One of them, Sakali mansion, is a stylishly renovated 18th-century building converted into an immaculate guest house. It features a heady blend of traditional architecture and warm hospitality, with a dash of chic.

Its rooms feature original artwork, restored antiques, handmade rugs and fancy toiletries.

Some also include fireplaces.

The highlight is an antique-filled two-room suite with a king-size bed and wooden ceiling.

It's rich, burgundy interior looks out over great views of the surrounding area.

Sakali Mansion Luxury Guesthouse, Pinakates, Pelion; +30 6932 429150/+30 24230 86560/+30 210 9657584; winter prices from $125 per standard double room per night with breakfast

For snowy scenery: Anerada Inn (Evritania, Megalo Horio)

Located in the heart of Greece, the Evritania region has traditional villages, stunning gorges, heavily forested mountains and historic monasteries.

There's plenty to do outdoors, including snow-fueled fun at Velouhi Ski Resort, on the slopes of Mount Tymfristos, followed by apres ski in the lively regional capital, Karpenisi.

Nearby, plenty of attractive villages offer traditional guesthouses and boutique hotels.

In Megalo Horio ("big village"), the Anerada Inn boutique hotel serves as an ideal base to explore the area.

Both the interior and exterior of this getaway feature romantic country-style decor.

The Garden Cottage is a two-story garden house with a fireplace that'll come in handy on cold, winter nights.

There's also a well thought out wine selection.

Anerada Inn boutique hotel, Megalo Horio, 360 75, Karpenissi, Evritania; +30 6944-505045/+30 22370-41479; winter prices from $120 per standard double room per night with breakfast

For year-round seaside escapes: Kyrimai Hotel (Mani, Gerolimenas)

Located on the middle of the three peninsulas of southern mainland Greece's historic Peloponnese region, Mani stands at the meeting point of the Ionian and Aegean Seas.

Home to more than 96 traditional villages, Mani is dotted with traditional tower houses, Byzantine churches, sheltered coves, gorges and a coastline that provides a dramatic backdrop for any winter road trip.

There's a local saying: "You need three lives to fully understand Mani's soul: one for its sea, one for its mountains and one for its people."

The Kyrimai Hotel helps visitors make a start on all of these.

Built in 1870 on the small bay of Gerolimenas to give the area a commercial boost, the Kyrimai started life as a residence, an old shop, a warehouse and an imposing tower.

Today, its been carefully restored and converted into a luxurious hotel run by the Kyrimis family.

Protected by the Greek government, the building is listed as a unique historic monument of traditional Maniot architecture.

Its tastefully decorated rooms, 23 in total, are all different in style.

Kyrimai Hotel, Gerolimenas, Mani; +30 27330 54288; winter prices from $100 per classic standard room per night with breakfast

For dramatic scenery: Moni Emvasis Luxury Suites (Monemvasia)

In the southern Peloponnese, the old town of Monemvasia is one of Greece's best-preserved Byzantine citadels.

It's a fairy tale-style castle, off limits to cars, located on a small islet linked to the mainland by a bridge.

It looks as if it's floating on the Myrtoon Sea.

It's surrounded by aristocratic mansions, churches, hammams, fountains and winding paths.

Monemvasia's important role during the Byzantine period is still evident in the walls that dive into the deep blue sea.

Just 50 meters inside the castle town's entrance, Moni Emvasis Luxury Suites features a restored complex of private, stone-built suites with views over the sea.

Suites here feature limestone domed arches, vaulted and wooden beamed ceilings and handcrafted stone masonry.

There are also amazonian showers with chromotherapy and spa bathtubs.

Furnished, private balconies look out over the fortress, the town and Aegean Sea.

Moni Emvasis Luxury Suites, Castle of Monemvasia, Laconia; +30 27320 62122; winter prices from $207 per night

Rania Margari is a freelance journalist with an interest in travel, food and lifestyle stories. Based in Lausanne, Switzerland, she's been writing for Greek and international publications since 2004.

@highlight

Falling temperatures bring out a different side of Greece

@highlight

There are lively ski resorts and sleepy villages, as well as year-round coastal attractions to visit

@highlight

Thessaloniki, Greece's northern hub, has hip bars and restaurants that make it ideal for city breaks