(CNN) -- Many trials in recent years have implicated our ongoing national struggles with race. But few have gotten as much attention as that of George Zimmerman, who shot and killed young Trayvon Martin 17 months ago in Sanford, Florida. Perhaps the uncertainty of what really happened that night is part of what drew us: Since only two people knew exactly what transpired and one of them is dead, we're free to speculate and argue to our heart's content.

It may also be the fact that this young black man wasn't killed by the police, but by an ordinary citizen. So anybody could put himself or herself in the place of Zimmerman or Martin.

The verdict by itself says very little about race in America. Juries don't ponder such things; their job is to answer particular legal questions (in this case: Did Zimmerman kill Martin in self defense?)-- which may not be the ones the rest of us are asking. And so Zimmerman's acquittal wasn't much of a surprise.

Opinion: When blacks killed by non-blacks, justice rarely served

Trayvon Martin couldn't give his side of the story, leaving ample room for reasonable doubt. More importantly, under Florida law, it's perfectly legal to follow someone for even the worst of reasons, confront them, and even start a fight with them. Then when you lose the advantage to the point where you believe you're in danger of "great bodily harm," you can shoot the other person dead. The law forgives, whether forgiveness is deserved or not. Zimmerman could have had the soul of Martin Luther King or Bull Connor, and it wouldn't have made a difference to whether he was innocent or guilty under this law.

Social media erupts in anger, sadness over Zimmerman verdict

That's "standing your ground," the legal world that gun advocates have created and this case has highlighted. Gun rights supporters have a Hollywood fantasy in which a brave homeowner uses his gun to fight off a vicious criminal gang intent on killing his family, but this case showed a far less romantic reality: A nebbishy neighborhood watch volunteer with a never-to-be fulfilled dream of becoming a cop chased down a kid who just wanted to get his Skittles back to his dad's house to watch a basketball game.

The state laws governing who you're allowed to shoot and when may not have been built with race in mind, but out in the real world, our perception of what's threatening is still colored profoundly by race. Bill O'Reilly wondered the other day if, after an acquittal, people would "run out and cause trouble." After all, you know how those people are. The head of the Miami-Dade police went to a black church to warn, "Riots are not acceptable and riots are not expected."

Well, if they aren't expected, why was the warning necessary?

There were warnings of riots from many corners, just as there were those who saw in this case an excuse to pick at race like a scab, for no reason other than sending their audiences to greater heights of resentment. Rush Limbaugh, for instance, read a story about the Justice Department sending mediators to Sanford to help local officials defuse tensions, and saw a conspiracy from a White House practically taken over by Black Panthers.

Opinion: Doing what's right not just about law

"Stoking the racial stuff is the way Obama was raised," said Limbaugh, the most prominent race-baiter in America. "He's got a chip on his shoulder about it, and he's here to square the deal. And (Attorney General Eric) Holder too. I think all of these guys have an anger about them."

Even as we scorn repellent hate-mongers like Limbaugh, it's good to remind ourselves that we all make assumptions about other people, and we'd all benefit from examining them. Much of our reaction to cases like this one is built on what we assume other people are like, regardless of what we know about them as individuals. That's what turns a kid walking down the street with candy in his pocket into a threat that should be met with a gun at the ready.

The opinions expressed in this commentary are solely those of Paul Waldman.

@highlight

Paul Waldman: Zimmerman trial reflected much of U.S. struggle with race; verdict did not

@highlight

He says reasonable doubt and Florida law made acquittal unsurprising

@highlight

He says it may not have been law's intent, but the threat it addresses is colored by race

@highlight

Waldman: O'Reilly, Limbaugh, others are race-baiting when they warn of unrest after verdict