Cairo (CNN) -- The trial of deposed Egyptian President Mohamed Morsy got off to a raucous start Monday, with a judge twice pausing what was supposed to be a brief opening hearing as Morsy and his co-defendants loudly spoke over him, rejecting the charges and claiming Morsy still is the rightful ruler.

And the recesses were hardly calmer -- while the judge was away, journalists who were calling for Morsy's execution argued with defense lawyers. A fight appeared to break out at one point.

In the end, the judge adjourned the trial until January 8 so that lawyers could meet with their clients and sift through more than 5,000 pages of recently filed documents. But not before several wild scenes in the court, where more than 100 observers looked on.

Morsy helped set a tone of defiance when he walked in, wearing a suit as opposed to the white uniforms of his co-defendants. Throughout, he refused to recognize the court's legitimacy and made it clear he still considers himself President.

"I warn everyone that what's happening is a cover for the military coup," he said shortly after the judge entered the room the first time. "I don't want the great Egyptian judiciary to ever serve as a cover for the standing military coup."

The charges

Morsy appeared with seven co-defendants; seven others are being tried in absentia. The charges stem from protests last December 5 over a constitution he shepherded into effect. Egyptian authorities have accused Morsy and his staff of ordering supporters to attack protesters after guards and members of the Interior Ministry refused to do it.

Morsy, whom the military removed from office in a coup on July 3, and four others are charged with inciting violence, but they are not accused of using force. The 11 others are charged with killing three men, torturing 54 people, using force and possessing weapons.

Defendants chant: 'Down with military rule'

Monday's proceeding was unruly even before it began. Before Morsy and the judge entered the room, some of his seven co-defendants chanted "down with military rule" and "Morsy is my President" from the dock.

Even some of the defense lawyers, who numbered more than 20, chanted, "the people support the resilience of the President."

Morsy became Egypt's first freely elected President in 2012 after the overthrow of longtime strongman Hosni Mubarak.

The military deposed him in July, with detractors saying he was a tyrant trying to impose conservative values. Supporters, including the Muslim Brotherhood, have said the coup was a power grab by the military and elements of the old Mubarak regime.

After Morsy made his statement at the start of Monday's proceeding, the judge asked if the defendants were present -- and they didn't answer. When the judge addressed the defense lawyers, Morsy spoke up again and things broke down.

"I am Dr. Mohamed Morsy, the President of the republic," Morsy said. "The coup is a crime and ... treason."

This led to chaos, with a number of people -- lawyers, journalists, the judge -- trying to speak at once, and Morsy repeating himself to make sure he was heard.

With no one able to hear anyone clearly, the judge called a recess for more than an hour. Upon returning, the judge let the prosecutor present the charges. Several defendants responded to the charges by proclaiming they rejected the court.

The second recess came after more commotion, after Morsy alleged the court wasn't properly specialized to charge Egypt's President.

The judge never returned to the courtroom: He sent a court official after the second recess to announce the adjournment until January 8.

Pro-Morsy demonstrators outside court

Outside the police academy where the trial was being held, more than 100 pro-Morsy demonstrators faced a cordon of security forces behind barbed wire.

The demonstrators waved flags and chanted loudly against the military, which deposed Morsy four months ago, and against Egypt's interim government.

Some protesters attacked television news crews they claimed were not reporting the truth, but that incident was brief.

Several hundred people have died in clashes between pro-Morsy demonstrators and security forces since the military removed him.

Authorities have warned they will crack down on any violent protests tied to the trial.

Constitutional claim

Defense lawyer Mohamed El-Damaty told CNN that Morsy's team will argue that it is illegal under the constitution approved under Morsy to try a President without approval of two-thirds of the members of the parliament. The military suspended that constitution, but the court could honor it, El-Damaty said.

Morsy had been held at an undisclosed location since the coup. Amnesty International has described his detention as an "enforced disappearance." After Monday's hearing, Morsy will be taken to the Borg El-Arab prison in Alexandria, state-run TV reported.

State-run Al Masriya TV reported that Morsy was transported by military plane to the court. The other defendants were transported by military armored vehicles.

Who represents Morsy?

It wasn't immediately clear after Monday's proceedings whether Morsy will accept the lawyer provided to him, as accepting legal representation could be perceived as acceptance of the court and the trial.

Morsy's Islamist Freedom and Justice Party, the political wing of the Muslim Brotherhood, assigned lawyer Mohamed Selim El-Awa to him. El-Awa argued Monday that the court doesn't have jurisdiction to try Morsy, and that Morsy is illegally held -- asserting that anything gleaned during his detention would be null and void.

Lawyer Rajia Omran, who represents victims of the December clashes, repeatedly argued that this isn't a political trial -- saying she'd been working on the case since December, months before Morsy's ouster.

CNN's Sarah Sirgany and Ian Lee reported from Cairo; Jason Hanna wrote from Atlanta. CNN's David Simpson, Yousuf Basil and Christine Theodorou contributed to this report.

@highlight

"What's happening is a cover for the military coup," Morsy says in court

@highlight

Trial adjourned until January after opening hearing interrupted twice

@highlight

Outside court, protesters chant and briefly attack news crews

@highlight

Morsy is accused of inciting violence against protesters in December 2012