(CNN) -- President Goodluck Jonathan's response to the Boko Haram insurgency, including his recently declared state of emergency in three northern Nigerian states, is eerily reminiscent of previous approaches to sectarian violence in that region.

The Maitatsine uprising of 1980 is perhaps the single most important precedent-setting example. In December 1980, the confrontation between the Al-Masifu Islamic sect -- which advocated purity in the practice of Islam -- and the people of Kano came to a head. The Nigerian army and air force mounted a campaign against the sect. In the end, more than 4,000 people were dead with double this number injured alongside massive destruction of property.

Times have certainly changed. Nigeria's population has doubled since the Maitatsine uprising. Nigeria continues to experience the "youth bulge" -- a growing youth population -- that was not planned for. The resulting pressure on socio-economic systems is evident in limited education and health and dwindling economic opportunities for young people.

Poor policies and bad planning have produced youth vulnerability and exclusion from mainstream life. This is doubly so in northern Nigeria, where class divides have further created a community of people with nothing to lose.

Read this: Nigerians ask, are we at war?

The global environment has also changed amid growing transnational threats. Al Qaeda continues to lurk in the neighborhood. Excluded groups in the region with affinity for Boko Haram are potential support networks amid an ever-rising flow of illicit weapons into the region.

One thing has hardly changed: elite behavior. Nigeria's power elite remains far removed from the realities of life experienced by ordinary citizens.

The ruling elite's framing of the Boko Haram challenge lends itself easily to just one set of responses -- the use of force to rout Boko Haram, although more recently the federal government of Nigeria proposed an amnesty for Boko Haram.

To be certain, a military approach is only part of the solution. It is by no means a panacea. This military campaign, coupled with amnesty, rings hollow. It does not offer much hope for dealing comprehensively with the underlying causes of the Boko Haram phenomenon.

It is no wonder Boko Haram has treated the offer of amnesty by the Jonathan-led government with disdain. For one, it may be worth holding out for a greater prize, knowing that it probably has this regime by the jugular. Besides, how could it trust that the offer of amnesty -- which will unveil Boko Haram -- is not a ploy by the regime to round them up and execute them? The allegedly extra-judicial killing of the sect's late leader, Mohammed Yusuf, serves as a constant warning.

Watch this: Who are Boko Haram?

Perhaps more importantly, this military solution and current state of emergency is potentially damaging for the military. The Nigerian military only recently managed to repair its image, winning accolades abroad for its peacekeeping role. Asking it to employ maximum force in internal operations -- causing casualties in the process among the very people it is meant to protect -- has repercussions. Surely, this will diminish its stature abroad and reduce citizens' confidence in the military at home, while drawing more support to Boko Haram and weakening troops' morale.

That said, it is also the case that Nigerians far removed from the locus of the crisis may not see the military's role in such negative terms.

This crisis will potentially deepen religious and regional cleavages. Perhaps the country's saving grace is that for the time being, Nigeria's youth population mostly buys into these divides. They do not yet have a common narrative about who their "real enemy" is. Barring a small number of states, where genuine effort is being made to confront serious governance deficits, the picture of elite marginalization and widening inequality is consistent countrywide.

Boko Haram commands the loyalty of the excluded at several levels. At this moment, Boko Haram is obviously asserting influence, and that assertion of influence is accepted by a significant number of people who see no change in their primary condition.

This factor partly attracted large crowds to the preaching of Boko Haram's late leader, Yusuf. His narratives about the ills of Western education were enriched by evident gaps in governance. The breakdown of the education system, growing youth unemployment and insecurity amid rampant corruption swelled the ranks of Boko Haram. When the sense of "nothing to lose" is mixed with these strong narratives, the issue is not whether or not they are true but that there are no strong counter-narratives or genuine counter actions.

A lasting solution to the crisis in northern Nigeria might lie in a missing trinity: a meaningful but powerful narrative to counter Boko Haram's narrative; an action plan akin to a "Marshal Plan" for northern Nigeria; and isolation of what Jonathan has described as Boko Haram sympathizers in the government and security forces.

Developing a powerful counter narrative will demand a measure of sincerity and consistency among the country's ruling elite. Such a narrative must stand up to the seeming lure of Boko Haram and have the ability to hold a young population captive for the foreseeable future.

An action plan akin to a Marshal Plan for northern Nigeria must be developed to suit the context. The federal government's investment in regeneration of northern Nigeria, with a focus on youth sensitization, education and development of social and economic entrepreneurship, will be key. This might entail deliberate forms of youth cantonment, census-based planning, community-based programs, and innovative education schemes to kick start regeneration.

To be sure, an action plan for northern Nigeria will not be sustainable in an environment where youth exclusion is a countrywide problem even if it is more chronic in the north. Expressed intention to do this nationally in due course might persuade a captive youth audience.

The question remains as to whether alleged Boko Haram sympathizers among the elite can be dislodged from this process. This might be the single most important obstacle in a situation where retaining political power in 2015 seems more valuable to the regime than the welfare of a few million disposable citizens.

In the immediate term, we can expect the Nigerian military to record successes against the Boko Haram sect. But the victory will be hollow. Without the trinity of measures earlier described, Jonathan's government risks sacrificing the ordinary people of northern Nigeria, the military's reputation, and innocent bloodshed.

The opinions expressed in this commentary are solely those of 'Funmi Olonisakin.

@highlight

Response to Boko Haram insurgency has echoes of the past, says 'Funmi Olonisakin

@highlight

She says Boko Haram commands loyalty of the excluded

@highlight

Northern Nigeria needs a "Marshal Plan," she argues