You probably think your tweets aren't of any interest to the government. After all, most 140-character posts are public, often detailing nothing more interesting than snarky jokes or links to adorable cat videos on YouTube.

However, courts are increasingly subpoenaing Twitter for data on its users that can be used in criminal and civil cases.

That's what happened to editor Malcolm Harris. On Monday, New York Criminal Court Judge Matthew A. Sciarrino ordered Twitter to turn over Harris' tweets and data from a three-and-a-half-month period, striking down the company's request to quash a subpoena from the Manhattan district attorney.

Twitter claimed that complying with the request would violate United States privacy laws.

The case itself is over a minor charge that normally wouldn't draw much attention. Brooklyn resident Harris was arrested along with 700 other people during an Occupy Wall Street march on the Brooklyn Bridge's roadway on October 1, 2011, and charged with disorderly conduct.

If Twitter complies with the request, prosecutors wouldn't just gain access to Harris' tweets (which were public but have since been deleted), they would get a host of other information stored by Twitter that could be used as evidence in the case, such as Harris' IP address, e-mail address and location information at the time of the incident.

Monday's decision could have far-reaching implications for the many other requests for tweets and other data Twitter receives on a regular basis, as well as users' rights to challenge such requests themselves.

"We are disappointed in the judge's decision and are considering our options," a Twitter representative said in a statement released to news organizations. "Twitter's Terms of Service have long made it absolutely clear that its users *own* their content. We continue to have a steadfast commitment to our users and their rights."

The ruling also dismayed online privacy advocates.

"The court continued to fail to grapple with one of the key issues underlying this case: do individuals give up their ability to go to court to try to protect their free speech and privacy rights when they use the Internet? As we explained in our friend-of-the-court brief last month, the answer has to be no," Aden Fine, a staff attorney for the American Civil Liberties Union, wrote in a blog post.

Fine later added: "The government shouldn't be able to get this sensitive and constitutionally protected information without a warrant and without first satisfying First Amendment scrutiny."

In his ruling, Sciarrino speculated that the founding fathers would have quite enjoyed expressing themselves on today's social networks. But while freedom of speech applies to Twitter, "that is not the same as arguing that those public tweets are protected."

"There can be no reasonable expectation of privacy in a tweet sent around the world," wrote the judge, who went on to compare information posted on a public network to an eyewitness's account of a crime on the street.

In a smart bit of timing, Twitter on Monday released its first Twitter Transparency Report, detailing requests from governments around the world to get user information or suppress tweets during the first half of 2012. There have been 849 requests for information so far this year (for 1,181 individual Twitter accounts) -- more than during all of 2011, the report said.

The United States leads the charge, with 679 requests for information, and Twitter says it provided at least some of the requested data 75% of the time. Japan comes in second place with 98 information requests, and the UK and Canada tied for third with 11 requests each. Twitter is still banned in a number of countries, including China, Iran and Pakistan.

When Twitter receives one of these requests, it automatically informs the user before taking any steps, unless prohibited by law, which is what it did with Harris. However, this is more of an admirable courtesy than a set-in-stone policy, since all users have already been informed that Twitter reserves the right to "access, read, preserve, and disclose any information as we reasonably believe is necessary to (i) satisfy any applicable law, regulation, legal process or governmental request."

A key issue in the Harris case that could affect similar subpoenas is determining who really owns a tweet. Harris originally filed a motion to quash the DA's subpoena himself, but Judge Sciarrino dismissed it in April because he said Harris didn't own the information being requested -- Twitter did.

According to Twitter's terms of service, the user gives Twitter a "worldwide, nonexclusive, royalty-free license" to distribute tweets in any medium, even those that don't exist yet. In May, Twitter added a line to its terms of service clarifying that users retain their rights to their content.

@highlight

A New York judge rules that tweets are public information

@highlight

Judge orders Twitter to turn over deleted tweets of Occupy Wall Street protester

@highlight

Twitter also releases its "Transparency Report" of governments' requests for info

@highlight

The United States makes the most requests for user information, followed by Japan