(CNN) -- For Airbnb hosts who want to keep tabs on their homes, a full home security system might be overkill. They're expensive, and live cameras and motion detectors invade guests' privacy. So how do they make sure guests keep the volume down, aren't smoking inside and don't ransack their home?

A new device called Point combines microphones with environmental sensors to detect anything out of the ordinary in your home while you are away. A broken window while you're at work, the sound of your teenagers throwing a raging party, Grandad sneaking an unauthorized after-dinner cigar.

"They want to have peace of mind and know that everything is fine, but they don't want or need full security systems," said Nils Mattisson, co-founder of Form Devices, the start-up that makes Point.

Small, round and plastic, Point looks like a traditional smoke alarm crossed with a speaker. Sounds are matched with data from the other sensors to figure out what might have happened -- a loud crash followed by a drop in temperature might mean a window was broken. It hears when an existing smoke detector goes off and sends an alert, though it's not certified as an official smoke detector on its own.

It has a microphone that can detect sounds outside that the human ear could pick up. Environmental sensors pick up temperature; the particle sensor can tell what's in the air.

When Point detects any notable changes, it sends an alert to the owner's smartphone. The mobile app also shows a timeline of all events, so someone can quickly scroll through the day to see when people were in the home. All the computation takes place on the device; there is no live-streaming audio, no way to eavesdrop on your home and no overwhelming amount of data to sort through.

Mattisson worked in the Exploratory Design Group at Apple for seven years, where he helped build prototypes for early, experimental product ideas. He left the company last year to start Form with co-founders Marcus Ljungblad, Fredrik Ahlberg and Martin LÃ¶Ã¶f.

Together, they wanted to create a new genre of smart-home device. The original idea started with Airbnb hosts, but it's for anyone who wants a lightweight security option for their home or office. It's meant for anyone who doesn't need a complex security system, or who isn't comfortable with images from inside their home being stored on the cloud.

Internet-connected cameras like Dropcam are a popular alternative to full security systems, but images and videos stored in the cloud can be vulnerable to hackers. For example, a Russian website is hosting hacked streams of strangers' video cameras. Point doesn't store audio information, processing it all directly on the device.

Form has raised $150,000 on Kickstarter and is working with a manufacturer in China on the first production run, though it has tested early prototype devices. Early next year, the Finland-based company will ship the device to its first pilot customer, a management company that rents offices for short periods. Form hopes to test it with a hotel soon after that, and make it available to consumers by next summer for around $100 each.

Tech companies including Apple and Google, and traditional home stores like Lowe's and Home Depot, are all pushing smart-home products as the next big thing. Mattisson saw that big companies were taking existing products like thermostats and refrigerators and adding Internet.

"We felt there was a need for something that was simple," said Mattisson. "And we don't have to make products that are in the same mold."

@highlight

Point is a new kind of home security gadget that listens constantly for unusual sounds

@highlight

It can pick up a window breaking or loud talking and send an alert to a smartphone

@highlight

Co-founder Nils Mattisson spent 7 years in Apple's Exploratory Design Group