(CNN)The debate over health care reform once again blooms in D.C., but this time Democrats and the President whose legacy rests on the Affordable Care Act are tending a garden challenged by some rather invasive species.

The GOP has kicked off its season by pulling Obamacare up by the roots in its proposed 2016 House budget. But this budget will not become law.

And so Republicans are also preparing strategic plays if the Supreme Court rules in their favor this summer, or if a Republican wins the White House next year backed by complementary majorities in the House and Senate.

Either scenario would mortally wound Obamacare. But this isn't a zero sum game.

Smart Republicans already know they don't win just because the other side loses.  Upending Obamacare may poison the GOP's standing with 16.4 million Americans who will face adverse, even dire consequences without legislative patches to the law, or a swift switch to a solid alternative health care policy.

This week, the conservative weekly The Washington Examiner aimed to mark Obamacare's fifth anniversary by asking a panel whether to "reform, replace or restart" the law. A gas leak scuttled the event.

Once they've regrouped for their next panel, Republicans should instead entertain a different R: Revise.

So far every plan Republicans are offering strikes out any mandate to purchase insurance, which, oddly for a party celebrating self-reliance, encourages some people to continue shifting their adult responsibilities onto others. Many of the GOP plans replace the subsidies that make exchange plans affordable for low-income Americans with tax credits. Tax credits don't make much sense when you don't have a lot of taxes to pay in the first place.

These alternatives appear to be thinly veiled transitions away from the key Obamacare principle of providing guaranteed access. To date the law has reduced the rates of uninsured Americans by a whopping 35%.  Sen. Ted Cruz, R-Texas, lifted his veil even during his own plan's debut by insisting "every last word of Obamacare must be repealed" while promoting his own Health Care Choices Act that ditches subsidies and the mandate.

Republican presidential front-runner Jeb Bush shares Cruz's preference to dismantle the "monstrosity" altogether, describing his preference for cheaper catastrophic insurance that helps people with massive bills but leaves poor Americans to fend for themselves when it comes to needless perks -- like insulin and blood pressure pills.

And besides repealing the ACA, House Budget Committee Chairman Tom Price, R-Georgia, wants to tear into President Lyndon Johnson's Great Society achievements as well.  His budget proposal dismantles the federal Medicaid program by slashing its funding and devolving it to the states, while asking seniors on Medicare to try their luck with a voucher-discounted private insurance.

What these approaches don't get is that we live in a country entirely populated by citizens who want and expect to receive medical care when they need it, yet not all of these citizens want to pay anything for the privilege. The beating heart of Obamacare is its mandate to purchase health insurance, which keeps costs down for everyone, makes it fiscally feasible to cover patients with pre-existing conditions, and makes government subsidies possible for those who can't afford any insurance without them.

If Republicans shift their focus to revising Obamacare, there are an array of spots to trim and weeds to pull, and they can expect many Democrats to join in the work. But after dealing with a withering onslaught of over 60 Republican attempts to kill the bill, Democrats can't make even the most basic fixes for fear of losing everything.

But there are some places to look. Even ACA supporters can acknowledge some specific anti-competitive features in the law.  This should interest Republicans. The ACA's push toward offloading risk onto hospitals rather than insurers is encouraging hospital consolidation, with large hospital corporations seeking to build economies of scale to offset future risk  This trend may drive up costs as hospitals face less competition. Meanwhile consumers shopping the exchange plans can select from few in-network hospitals and physicians, again making the health care marketplace less competitive.

The United States may be graced with institutions offering stellar care in complex conditions that attract patients across state lines as well as across the world, centers that contribute to medicine generally through their research and training. But going out of state to seek such care isn't an option for many patients on exchange plans.  Cruz proposes opening up health insurance markets nationally, an idea that we should build on.

Years of a rough economy have left many consumers without the income or savings to pay the high copays, deductibles, and out-of-pocket maximums that Obamacare uses as a cost-control measure. Among families making 250% to 400% over the federal poverty line, 55% to 68% can't make their deductible, depending on their plan.

The numbers are considerably worse for families under that threshold, and even for families making over 400% of the poverty line, 25% to 38% can't pay the out of pocket maximum if they become seriously ill. Despite these costs, the ACA penalizes responsible consumers further by capping flexible spending accounts.

Furthermore, Obamacare is in part more expensive than it might be because it takes a gamble covering preventive testing for people with no sign of disease for "free," yet makes patients with chronic conditions pay deductibles even when we know their care will save money in the long run.

That's not the most rational distribution of funds if we're trying to do the greatest good for the greatest number at the lowest cost. Since Jeb Bush is interested in focusing on the big-ticket items and not sweating the small stuff, perhaps this is an area where he can throw his support.

Obamacare isn't a work of art by any means. It's a messy, pragmatic attempt to reach a goal the majority of Americans want: access to affordable health care when it's needed. Some rather fundamental revisions lie ahead, like a forthcoming administrative decision on whether to continue allowing state variability among the prescribed Essential Health Benefits it covers.

So, my advice to Republicans is that they pick one or two specific aspects of Obamacare they'd like to improve, let's have the policy debate, then introduce your legislative fix to the existing law, leaving its beating heart intact.

Show you're open to constructively improving the ACA and I'm sure we'll see Democrats start coming to the table with their own pet peeves about the law. 2016 doesn't have to be a hyperbolic, hyperventilating contest for the fate of 16.4 million Americans.

@highlight

Ford Vox: With its budget proposal to kill Obamacare, or hopes the Supreme Court will do the same, the GOP makes a mistake

@highlight

He says 16.4 million Americans benefiting. Smart Republicans know this; should instead tease out problematic parts of ACA to revise