(CNN) -- "The last couple of weeks I've been at home have been murder with the traffic," bemoans Monte Carlo resident Jenson Button.

Like most Formula One protagonists, the McLaren man loves the thrill of racing in the Monaco Grand Prix -- it's just that he is less keen on Monte Carlo's traffic jams in the build-up to the race.

"It's been a nightmare," the English driver, who recently moved back to the principality from the British island of Guernsey, told CNN.

"Putting up the grandstands takes a long time so the city does change quite a bit.

"In the winter it's pretty quiet. You see a lot of people that you know and I train with the same people. Monte Carlo is like a quiet, peaceful village really. There's also a new Irish pub that I like -- there's a good pint of Guinness there!"

Button, Ferrari's Felipe Massa and Mercedes' Lewis Hamilton are just a handful of F1 racers who have mixed business with pleasure by calling Monaco their home. Mercedes driver Nico Rosberg, son of Finland's 1982 world champion Keke Rosberg, can boast that he grew up there.

It makes sense for wealthy drivers to live in Monaco -- after all, the independent state on the French Riviera has thrived on its reputation as a playground for the rich and famous since the late 1800s. Just as importantly its tax laws are favorable compared to its European neighbors.

But for one weekend in May the streets of Monte Carlo are not just for the well-heeled -- they are for racing on.

The precipitous, winding roads have evolved into a thrilling street circuit ready to host this weekend's grand prix.

The most famous race in Formula One -- a fixture on the calendar since 1950 -- brings a change of pace to Monaco's Mediterranean idyll.

The metamorphosis, overseen by the Automobile Club de Monaco (ACM), takes two months to complete and calls on the expertise of 200 construction workers to build 1,100 tonnes of grandstands, 900 tonnes of pit garages and 21 miles of safety barriers.

The street circuit has one of the smallest capacities on F1's calendar, with a total of 200,000 fans expected to watch the cars from the grandstands, hotel balconies and terraces -- not forgetting the yachts moored in the harbor -- over the weekend.

A crowd of 200,000 may sound small but when the pocketsize principality is less than two square kilometers -- half the size of New York's Central Park -- that is quite a crowd to pack in.

"The place is a little quieter the rest of the year," says Carol Olivié-Etiévant, deputy manager of the Hotel Hermitage, which overlooks the F1 circuit in the heart of Monte Carlo.

"During these four days people are living day and night. There are parties in the harbor, on every terrace, so as Monte Carlo is a tiny place, every place is crowded," she told CNN.

"There are other busy weekends in Monaco such as the open tennis tournament, the boat show in September and the Red Cross Ball but for this weekend of the grand prix it is very unusual.

"Thousands of people come for the day to Monaco, all the hotels are full, the restaurants are packed and we have many yachts in the harbor. This is most definitely the busiest one.

"For the month of May, Monaco is completely dedicated to Formula One. We have stands in the streets, paddocks in the harbor, and the configuration of the city is different because we close the roads. Monte Carlo is a completely different place."

The locals, known as Monegasques, are prepared to put up with a month or two of disruption because the grand prix is very good for business -- and, perhaps more importantly, for Monaco's global brand.

"The grand prix is one of the things that helps distinguish Monaco from other Mediterranean destinations and gives it an additional layer of glamor which its rivals lack," Christian Sylt of Formula One Money told CNN.

"The race keeps the principality in the public eye, which in turn attracts tourists and business conventions. The race itself directly brings around $120 million into the principality, with the bordering towns, such as Menton in France and Ventimiglia in Italy, taking a total of $12 million annually."

Kissing the barriers

For businesses like Olivié-Etiévant's five-star hotel, the allure of the grand prix adds extra cache for its clients all-year-round -- and the race weekend enables it to raise its prices, with a four-day package starting at $10,400.

The Monaco GP -- the brainchild of local Anthony Noghes and first run in 1929 -- is also important to the global money-making juggernaut that is F1.

While other countries have spent millions and millions of dollars on new circuits in Abu Dhabi and Austin, Texas, for example, the Monaco race is so intrinsic to the image of F1 that race organizers the ACM have a special arrangement with the sport's promoters.

"Monaco is the only race on the calendar that doesn't pay a race hosting fee to the Formula One Group," explained Sylt. "With some rival circuits paying more than $60 million, it's a big saving.

Tech guru Lowe back in the fast lane

"Monaco's history and glamor make it a very important part of the F1 calendar. The race is well-known around the world and is a magnet to the rich and famous. This is great publicity for F1 and also means that there are many potential sponsors and investors in attendance, making it a once-a-year opportunity for F1 and the teams."

Although money and glamor grease the wheels at the Monaco GP, it does not necessarily follow that the event is a profitable enterprise for Prince Albert II's sovereign city-state.

"The total budget for the race is around $35 million and the state provides a subsidy of $7 million towards this," Sylt added. "However, the cost of preparing the circuit for the grand prix means that even without paying a hosting fee the race rarely makes a profit."

With so much as stake at this weekend's GP -- including the small matter of the 2013 drivers' championship -- it also helps that the quality of racing around the streets of Monte Carlo remains undiminished.

Apart from modifications to improve safety, the two-mile loop through the narrow, winding streets, past the majestic Casino, through the tunnel and along the harbor brimming with boats has presented the world's fastest racers with the same rollercoaster challenge for the last 70 years.

It is the slowest and shortest race on F1's calendar but for many drivers it is the most thrilling. Brazil's late triple world champion Ayrton Senna -- winner of a record six Monaco grands prix -- said he entered a trance-like state when racing on the limit between Monte Carlo's narrow barriers.

"Monaco is unlike any other racetrack in Formula One," said Button, who triumphed there in 2009 on the way to winning the world title.

"A qualifying lap around here is an exhilarating experience for a driver; you turn into corners on the limit and you kiss every barrier at the exit. It's a great challenge."

For the month of May, Monaco hums with the rhythm of F1, and the drivers, fans and Monegasques alike anticipate the high-octane pleasures to come at this race.

"I was born in Monaco and in my life I've missed one grand prix," recalled Olivié-Etiévant. "I was very sad when I missed it.

"We are very proud. Very. This is a legendary event and is really very important. It's an atmosphere that you feel, an incredible excitement. As a Monegasque I also enjoy it very much."

@highlight

It takes two months to transform Monte Carlo into a racetrack for the Formula One race

@highlight

Monaco residents like McLaren driver Jenson Button say the Principality is normally peaceful

@highlight

200,000 fans will come to Monaco to watch the legendary Monaco Grand Prix

@highlight

Organizers of the race do not pay a race fee but the GP rarely makes a profit