(CNN) -- A lot of Americans probably look at the teachers strike in Chicago and think that this is just another labor dispute with workers making demands and causing a work stoppage until they get what they want.

But the Chicago teachers strike, which is causing turmoil in the nation's third-largest school system by shutting out of the public schools more than 350,000 students, is about a lot more than that.

It's not really about money. The deal on the table isn't too shabby. City officials are offering teachers a 16% salary increase over the next four years. Chicago teachers already earn an average annual salary of $74,236, according to a study by Northern Illinois University in DeKalb. These aren't exactly blue-collar workers in hardhats trying to scratch out an existence. Even Chicago Teachers Union President Karen Lewis has said that the city's offer is "not far apart" from what the union is seeking.

This strike is about teachers unions testing their boundaries with Chicago Mayor Rahm Emanuel. They're hitting back at him for what they perceive to be the anti-union hardline position he took shortly after assuming office last year.

More importantly, the strike is about something that isn't often discussed in the media or in politics: Democrats are divided on education reform.

In one camp, you have reformers who believe that all children can learn and that teachers and schools have to be held accountable for making sure that happens.

In the other camp, you have teachers unions, whose job it is to protect their members but who now interpret that mandate to mean that they should protect teachers from public demands for greater accountability, higher standards and a better education for our children.

The strike is testing the relationship between unions and the Obama administration, with which Emanuel is closely aligned having served as White House chief of staff.

These days, support for Obama from organized labor is lukewarm at best. Labor unions did not spend as much money as they typically do in support of the Democratic National Convention in Charlotte. This was in part because union officials were angry that the event was held in the right-to-work state of North Carolina. Plus many of them do not think that Obama has been responsive to their concerns.

Teachers unions are especially angry with Obama, and with Education Secretary Arne Duncan, for adopting a policy that closely resembles that of their nemesis. George W. Bush had "No Child Left Behind." Obama has "Race to the Top." Both advocate high-stakes testing where teachers and schools are evaluated based largely on the academic performance of students and rewarded accordingly. (By the way, judging producers by their products happens all the time in the private sector. Only in a public school system where mediocrity and low expectations are the new normal would that be considered a radical concept.)

The Chicago Teachers Union has never gotten over its resentment for Duncan, who served as Chicago superintendent of schools from 2001 to 2009 and implemented many of the same accountability measures that Bush and Obama embraced.

That's why Lewis this week said this at a rally in downtown Chicago, "The revolution will not be standardized. The assault on public education started here. It needs to end here." And, as Lewis sees it, who started the "assault" on public education? Arne Duncan.

With the strike, the Chicago Teachers Union is sending a strong message to Washington -- to both Obama and Duncan -- that it is in charge of what goes on in the public schools, and it won't be dictated to by politicians in Chicago or Washington. And not even Democrats, especially not Democrats to whom teachers unions have given tons of money over the years.

The teachers unions want politicians to know that the teachers they represent are sick and tired of standardized tests, merit pay and attempts to lengthen the school day. Maybe they just want to be paid more and more while less and less is expected of them. After all, tragically, that's the modern American Way.

So will the strike affect the presidential election at all?

Mitt Romney wasted no time in criticizing the Chicago strike. That was a low-hanging fruit. His Republican base does not look favorably on unions and strikes anyway, and they know the score -- that the money that unions pour into elections on the side of Democrats often makes it harder for them to elect Republicans.

For Obama, the strike could turn into a headache. He would clearly love to stay out of it, but that might not be possible if the work stoppage drags on much longer. Obama will have to do something that he is often reluctant to do when it could alienate supporters -- show leadership.

Obviously, when it comes to education, Chicago Democrats are one big dysfunctional family that is feuding.

Well, it's time to put a stop to it.

Emanuel needs to assert control over this situation. The strike has gone on for a full school week. That's long enough, especially since it isn't really about achieving a better deal for members as much as it is sending messages and settling scores. If the teachers aren't back in their classrooms on Monday, the mayor needs to decertify the union, fire the teachers and hire replacements.

It's been done before. In February 2009, at Central Falls High School in Rhode Island, the school board voted to dismiss the entire faculty -- including more than 70 teachers -- as part of a dramatic turnaround plan. The school had a graduation rate of less than 50%. The teachers were hired back a few months later after they agreed to certain concessions. At the time, Obama and Duncan supported the firing, which is another reason why teachers unions don't like this administration.

"Rahm-bo" has a reputation as a tough guy in standing up to Republicans. Now, if he wants to be a public servant and not just a partisan, it's time for him to be just as tough in standing up to members of his party.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Chicago teachers strike is affecting more than 350,000 students

@highlight

Ruben Navarrette: Strike reveals Democrats are divided about education reform

@highlight

He says strike also tests the relationship between unions and the Obama administration

@highlight

Navarrette: For Obama, the strike could turn into a headache if it isn't resolved soon