Port-au-Prince, Haiti -- Horror has given way to acceptance; it can be seen on people's faces. But desperation surfaces everywhere:

In the rubble still strewn about the streets, in the steadily rising piles of garbage, in the 1,300 makeshift camps that still house so many people.

Four months on, the tragedy of the massive January 12 earthquake is fresh.

Relief operations thwarted widespread hunger here and so far, there have been no reports of killer disease outbreaks. But Port-au-Prince is very much running in emergency mode. Still.

No humanitarian worker will argue with that sad fact.

Despite the efforts and good intentions of a host of foreigners and a government that got a wake-up call, progress has been timidly slow.

The future has a different meaning now for Haitians such as Edline Pierre, who worries not about where to enroll her three daughters in school but how to get them up off the floor fast enough when the rains start falling.

Haiti earthquake special

She poured cement around her shack in the city's central Champs de Mars plaza. But that doesn't keep the water out or her girls safe at night.

The future means getting through the night and when the sun comes back out, scrounging together a meal.

On the streets, a bright spot: the sight of schoolchildren in uniforms. But only 700 of the 5,000 or so schools around the Haitian capital have opened. Some were destroyed; others are occupied by the displaced.

Another welcomed sight: Hundreds of street vendors, many of whom are women, sit under a rainbow of umbrellas to sell mangoes, plantains and coconuts. Or they display a collision of goods in one basket -- shoe polish, spaghetti, shampoo, cigarettes and molasses.

These are snippets of life as it was once, before that fatal day.

Give us work -- not handouts

In the aftermath of what most Haitians refer to as "the catastrophe," people asked for food. They patiently lined up for hours to receive a sack of rice, a quart of oil.

The lines are gone, along with the massive aid drops. International agencies are wary that too much help could stymie the local economy.

Now the two million Haitians living in squalid makeshift camps -- and countless others living in the homes of generous family and friends -- need jobs.

They don't want handouts; they just want money so they can feed themselves. "We are willing to work -- work hard -- for money, but we need jobs," said Joseph Cangas, a coordinator at a new camp in Corail.

Some earn a few dollars here and there through work-for-cash programs. They clear debris off the streets or clean latrines in the camps. These are hardly high-quality jobs, but being employed anywhere will earn you envy.

More than 100,000 Haitians found work this way. But that's only a sliver of the population. Almost four million people live in Port-au-Prince, a city designed for 250,000. Haitians lived in congested neighborhoods and shanties before the quake.

Imagine those conditions compounded -- a family of six eating, sitting and sleeping in a space that's hardly bigger than the sofa in your den.

When home is a place of last resort

To shield people from the potential danger of the rainy season, aid agencies have started building transitional homes and have relocated thousands to new camps on the city's perimeter.

Almost 5,000 went to Corail, a stark place that evokes images of a military base in the Iraqi desert. Void of trees, the tropical sun beats down hard, and soaring temperatures make furnaces of the tents.

It's not a place residents say they would choose. But this is where the government had access to land, so this is where people were brought to ride out the rains. Here, at least, they are not at risk of being washed away by torrents of water or in mudslides down steep, denuded hills.

Corail has its own problems. It's far from the city, and it can cost a camp resident an astronomical $1.25 to take tap-taps, the colorful shared taxis, to central Port-au-Prince.

No one at Corail could afford that journey. But they said they had to figure out a way to go where the jobs were. "We help each other. We share food," said Cangas, the camp coordinator. "But the situation is getting more tense. People have nothing so they resort to stealing sometimes."

He complained about the lack of services and schools at Corail. But aid agencies don't want people to get too comfortable here. Eventually, people have to try and regain their livelihoods in the neighborhoods where they were established.

"You want people to go home," said Mark Turner, spokesman for the International Organization for Migration. "The last resort is a place like Corail."

Turner said camp managers have been asking Haiti's homeless this question: What will it take for you to move out of a camp?

The answers are varied, and the problems aren't easily resolved.

Not even the safe places feel safe

All over the city, buildings are being marked green, yellow and red. Some already say: "To demolish."

But even after an engineer has marked a home green for "safe," people are reluctant to return. The United Nations estimates only 9 percent of those with green houses have gone back.

What if there is another earthquake?

Gerald-Emile Brun, an architect working with the government on relocation, said incentives for people to go home -- $50 and a few provisions -- are being created. But so far, nothing has been doled out.

For many, Brun recognized, it's impossible to go back to the spot where their house once stood because there is no place to dispose of the rubble. In this city of renters, landlords are refusing to accept people who cannot pay the back rent for the four months they have been gone. Many of the displaced can no longer even afford the monthly amount they were paying before.

And as time marches on, many landowners want to evict displaced people so the buildings can be used as intended. What if your child could not go to school because the classrooms were occupied by the homeless? What if you were homeless and had no place to shelter your children except at the neighborhood school?

It's a tough call, especially for humanitarian workers who don't believe in forced evictions. But at the same time, Turner said, "we recognize the landowners have legitimate concerns."

These are municipal issues that will have to be dealt with by the local government, Turner said.

But it won't be easy.

Ask Jacques Pablito Chardavoire, who helps manage a camp in front of the city's main cathedral. Chardavoire's response was simple but to the point:

Why would you leave an encampment that offers you a toilet, a shower, emergency food rations and, yes, even an outdoor movie screen when you have no place to go and no money in your pockets?

He said almost 2,000 people were resettled in February from Champs de Mars to the cathedral. But within days, that many more people from elsewhere had flocked to Champ de Mars.

"Every time we move people, more come because they need services," he said.

Much is shattered, but not hope

Haitians, who have lived through political turmoil, extreme violence and grinding poverty, will tell you the earthquake was the worst experience of their lives.

Whether a new city can rise from the rubble of Port-au-Prince remains in question, though Haitians are hopeful something good must come out of an event this tragic. They have to be. They have nothing left but hope. And faith.

That's why if you peek down lanes on a steamy afternoon, you'll see a gathering of people under a tent, their arms stretched skyward, their eyes closed. And you'll hear the Lord's Prayer.

You'll hear it, too, every Sunday morning, before the sun gets hot, at Notre Dame, the main cathedral in Port-au-Prince. The building is shattered, but not the congregation's faith. They still come to the place where, every week, they are re-energized by their belief in Christ.

Several Haitians said they feared the world's goodwill would quickly fade now that the throngs of media have left and the spotlight has turned elsewhere. Edna Dunrod was one of them.

She worried she was forgotten, lying on a smelly mattress under three tattered bed sheets that serve as a roof in the Champs de Mars tent city. Last month, she gave birth to Marvins, asleep in a plastic tub under a foldable umbrella.

Life with a newborn in this congested camp, she said, was unbearable.

"I want to go somewhere else," she said. But where, she worried. And who would help her reclaim her life?

@highlight

Four months after massive quake, progress in Haiti is painfully slow

@highlight

People are afraid to return to their homes, even if they've been deemed safe

@highlight

Life in camps is difficult, but for many, it's the best option they have

@highlight

Despite their tremendous suffering, many Haitians hang onto the hope of a better future