Washington (CNN) -- The U.S. House on Wednesday narrowly defeated a proposal to sharply restrict the National Security Agency's phone surveillance program that was exposed by Edward Snowden.

The Obama administration and House Speaker John Boehner, unlikely allies in the sharp partisan climate in Washington, joined forces to reject the limit offered as an amendment to a defense spending bill, 217-205.

A coalition of libertarian, liberal and conservative lawmakers pushed for curbs on the blanket collection of those records, arguing that it was too broad and intrusive.

Snowden, a former NSA contractor, revealed details of the bulk phone tracking effort and a companion e-mail collection initiative through leaks of classified information to media outlets last month. He has been charged with espionage.

Since then, a number of lawmakers from both sides of the aisle have been highly critical of the sweeping way in which the government applies telephone surveillance that is overseen by a secret court.

They and privacy groups concluded the government had reached too far into the personal lives of Americans in the interests of national security.

Rep. James Sensenbrenner, a Wisconsin Republican who sits on the Judiciary Committee, said during debate on the amendment that the NSA had exceeded its mandate. He said the measure would have halted surveillance of people not under direct investigation by authorities.

"The time has come to stop it," he said.

But Rep. Tom Cotton said approval would have effectively killed the program, which he said has been found constitutional and approved by bipartisan majorities.

"Folks, we are at war," said Cotton, an Arkansas Republican and Iraq War veteran who urged his colleagues not to undermine the surveillance tool he said was critical for troops in the field in counterterrorism operations.

Unusual alliances

The proposal forged alliances among bitter political rivals on Capitol Hill. It even prompted an unusual tactical move by the White House to weigh in on an amendment vote before debate, saying the proposal was hasty and blunt and would dismantle a counterterrorism tool.

House Republican leaders tried several ways to stave off a vote, but agreed under pressure from many conservatives eager for public debate.

A breakdown of the tally showed 134 Republicans voting with 83 Democrats to reject the measure offered by the Michigan odd couple of sophomore Republican Rep. Justin Amash and 25-term Democratic Rep John Conyers.

Boehner, who as speaker rarely votes on the House floor, opposed it as did House Democratic Leader Nancy Pelosi.

But 94 Republicans and 111 Democrats supported it.

Amash told reporters his amendment was "about the American people versus the elites in Washington."

He maintained that NSA program represented "a clear violation" of Fourth Amendment protections regarding warrants.

Amash said he was simply working to ensure the government was following the original intent of the Patriot Act, the anti-terror law that authorized increased government surveillance powers after 9/11.

Top Republicans argued against the measure, with chairs of the House Intelligence, Judiciary, and Appropriations committees circulating a letter saying it would have "unintended consequences for the intelligence and law enforcement communities."

National security pressure

National security officials personally appealed to House members, hoping to derail the vote. They have said phone and e-mail surveillance have helped thwart terror plots.

President Barack Obama also has stressed that the NSA was not using the surveillance program to listen in on phone calls; that it only collected metadata, including numbers, times of calls and dates.

James Clapper, the nation's top intelligence official, released a statement before the vote noting that he had joined others in opposing the measure.

New York Democratic Rep Jerry Nadler, a critic of the original provisions on data collection in the Patriot Act, said he wasn't persuaded by the warnings from the administration. He voted for the amendment.

"I never dreamed it would ever be used for dragnet surveillance of every American phone call, even if only for metadata. And frankly that's way beyond what Congress intended," he said.

The Heritage Foundation, a conservative think tank often cited by Republicans, released an analysis that warned the amendment would "increase the risks of terrorist attacks by limiting the scope of court-ordered foreign intelligence collection and thereby depriving the U.S. of valuable intelligence it currently collects."

But at a monthly forum sponsored by Heritage that features some of the House's most conservative members, that argument didn't sway many members. Eight of the nine lawmakers on the Wednesday panel, which included Amash, said they planned to vote for it.

Rep Michele Bachmann, a leader of the tea party movement on Capitol Hill, broke with fellow conservative lawmakers, saying the NSA program collects phone records from telecommunications companies not individuals, so there is "no expectation of privacy."

A member of the House Intelligence Committee, Bachmann warned that "if we take this program and remove from the United States the distinct advantage we have versus any other country it would be those that would be seeking to achieve the goals of Islamic Jihad who will benefit from by putting the United States at risk."

The defense spending bill now moves to the Senate, but that chamber has not considered its version yet in committee or scheduled a floor vote. But in the Senate, there is little support for making major changes to the NSA program.

Before the vote Nadler said even this amendment failed he and other opponents of the program would continue to press for changes.

"It simply will not be renewed when it expires in 2015. It's going to end - now or later. The only question is when and on what terms."

Court renews secret U.S. surveillance program

Silicon Valley to feds: Disclose your data requests

@highlight

Lawmakers were outraged by sweeping way in which phone surveillance applied

@highlight

Proposal attached to defense funding measure was defeated 217-205

@highlight

Former NSA contractor Edward Snowden leaked records of the program in June