(CNN) -- As protests sweep through Iran, a handful of Web sites -- Twitter, Facebook, and YouTube in particular -- are once again widely credited for their crucial role in the process. But before we swallow yet another dose of cyber-utopianism, a more critical look at how the Internet has abetted both sides is in order.

The current protests very well may be a Twitter revolution, but only future historians would be able to say so conclusively. At the moment we simply do not know if Twitter and Facebook have helped boost the turnout at demonstrations.

Iran-related discussions on the Internet have undeniably spiked, but it's impossible to tell how such messages, many written by foreign observers, influence Iranians' eagerness to risk their lives in the streets of Tehran or Isfahan.

Moreover, virtually all recent protests in Iran have been tied to some important political, religious or historical occasion. For example, people turning out for two symbolic anniversaries on November 4, the religious holiday of Ashura and the death of Great Ayatollah Montazeri, were not spontaneous outbursts organized and publicized by the Twitterati. Such protests would have been well-attended even if the Internet did not exist.

This is not to deny that both Twitter and Facebook have played an important role in publicizing videos and photos of police brutality, most of them snapped and distributed with mobile phones.

Extraordinary as they are, we should not overestimate the usefulness of such materials. The Iranian regime has proved remarkably immune to getting a bad rap in the international press, not to mention the United Nations. Given the formidable risks that Iran's "citizen journalists" go through to record such videos, we in the West should be more cautious in encouraging them to capture the zeitgeist of the barricades.

Also, in the absence of independent review by professional reporters working on the ground -- and those who were banned from Iran a long time ago --  many videos have to carry a host of disclaimers.

Fake clips, usually made to provoke and split the opposition, are becoming a staple of the Iranian Internet. One such video, which portrayed someone burning a poster of the country's supreme leader Ayatollah Ali Khamenei before a crowd of cheering people, circulated on foreign and Iranian Web sites in early December.

Luckily, closer examination by Iranian and foreign bloggers showed that it was probably a skillful montage. But can thousands of similar videos be fact-checked as thoroughly?

The proliferation of fake videos suggests that the Iranian government may, directly or indirectly, benefit from using digital space for propaganda. Even Twitter could become a potent tool of brainwashing: In early July, The Wall Street Journal reported that after two weeks of protests the number of pro-government messages on Twitter increased 200-fold compared with the period immediately after the election.

Flooding Twitter with fake and pro-government updates is one way to make Twitter unusable for the Western audiences. How, after all, should we know what updates we can trust, if many of them are written by the government and its loyalists? It turns the Internet into the "Spinternet."

That propaganda is displacing censorship as a primary means of controlling the Internet is quite remarkable. In the past, the Iranian government would have simply blocked access to dissenting sites. But blocking Twitter is impractical: Not only would it be very expensive, but it would also disconnect the Iranian secret police from a valuable channel of gathering intelligence.

Such intelligence reports come in very handy when protests fizzle out and repressions commence. The very first wave of post-election protests in the summer of 2009 left the Iranian authorities with a massive log of anti-government messages, all stored on Twitter and Facebook for posterity to process, analyze and act upon.

What many cheerleaders of Iran's Twitter revolution fail to understand is that the easy availability of such information allows the regime to explore how various anti-government activists are connected to each other and to their foreign supporters. All it takes is looking up their Facebook profiles.

It's hardly surprising, then, that many Iranian-Americans traveling to Iran after the summer protests complained they were asked if they had Facebook accounts. Passport control officials at Tehran's Imam Khomeini International Airport even forced some of them log into them.

But even those Iranians abroad who did not travel anywhere and stayed at home complained of being harassed about their online activism.

One could only guess what fate awaits those who stayed in the country.

Making our way through billions of Twitter and Facebook updates, we should not lose sight of one critical feature of the digital age: The wealth of information trails generated by digital activists has also provided authoritarian governments with better means to identify and squash emerging threats to their hegemony.

Even if the Iranian protests eventually succeed, it will be thanks to a combination of political, social and religious factors. Putting all our chips on information technology alone can have catastrophic consequences for the future of democracy in that country.

The opinions expressed in the commentary are solely those of Evgeny Morozov. For more, read his article in Design Mind magazine here.

@highlight

Evgeny Morozov: Facebook, Twitter help publicize Iran's brutality during a news blackout

@highlight

Morozov: But regimes like Iran's are getting savvy about using the Internet for their own ends

@highlight

Authorities use fake bloggers, doctored videos to spread propaganda, he says

@highlight

Secret police collect Web messages to follow up on anti-government forces, activists