DAVIS, California (CNN) -- If every scientist hopes to make at least one important discovery in her career, then University of California-Davis professor Pamela Ronald and her colleagues may have hit the jackpot.

Scientists have bred a new strain of flood-tolerant rice that could help feed millions.

Ronald's team works with rice, a grain most Americans take for granted, but which is a matter of life and death to much of the world. Thanks to their efforts to breed a new, hardier variety of rice, millions of people may not go hungry.

About half the world's population eats rice as a staple. Two-thirds of the diet of subsistence farmers in India and Bangladesh is made up entirely of rice. If rice crops suffer, it can mean starvation for millions.

"People [in the United States] think, well, if I don't have enough rice, I'll go to the store," said Ronald, a professor of plant pathology at UC-Davis. "That's not the situation in these villages. They're mostly subsistence farmers. They don't have cars."

As sea levels rise and world weather patterns worsen, flooding has become a major cause of rice crop loss. Scientists estimate 4 million tons of rice are lost every year because of flooding. That's enough rice to feed 30 million people.

Rice is grown in flooded fields, usually to kill weeds. But rice plants do not like it when they are submerged in water for long periods, Ronald said.

"They don't get enough carbon dioxide, they don't get enough light and their entire metabolic processes are thrown off. The rice plant tries to grow out of the flood, but when it does, it depletes its sugar reserves. It starts to break down its chlorophyll, important for photosynthesis. It grows really quickly, and then when the flood recedes, it just dies. It's out of gas."

Normal rice dies after three days of complete flooding. Researchers know of at least one rice variety that can tolerate flooding for longer periods, but conventional breeding failed to create a strain that was acceptable to farmers.

So Ronald and her colleagues -- David Mackill, senior scientist at the International Rice Research Institute in the Philippines and Julia Bailey-Serres, professor of genetics at the University of California-Riverside -- spent the last decade working to find a rice strain that could survive flooding for longer periods.

Mackill identified a flood-resistant gene 13 years ago in a low-yielding traditional Indian rice variety. He passed along the information to Ronald, who isolated the gene, called Sub1, and introduced it into normal rice varieties, generating rice that could withstand being submerged in water for 17 days.

The team relied on something called precision breeding, the ability to introduce very specific genes into plants without the associated baggage of other genes that might tag along in conventional breeding.

"This can be a problem for farmers," Ronald said. "The varieties that were developed from conventional breeding were rejected by farmers because they didn't yield well or taste good."

Using precision breeding, scientists introduced the Sub1 gene three years ago into test fields in Bangladesh and India. The subsequent rice harvests were a resounding success.

"The results were really terrific," said Ronald. "The farmers found three- to five-fold increases in yield due to flood tolerance. They can plant the normal way. They can harvest the normal way and it tastes the same. Farmers had more food for their families and they also had additional rice they could sell to bring a little bit of money into the household."

"The potential for impact is huge," agreed Mackill in a statement on the IRRI Web site. "In Bangladesh, for example, 20 percent of the rice land is flood prone and the country typically suffers several major floods each year. Submergence-tolerant varieties could make major inroads into Bangladesh's annual rice shortfall."

The researchers anticipate that the flood-tolerant rice plants will be available to farmers in Bangladesh and India within two years. Because the plants are the product of precision breeding, rather than genetic modification, they are not subject to the same regulatory testing that can delay release of genetically modified crops.

The U.S. Department of Agriculture conferred one of its highest research awards last December on Ronald, Mackill and Bailey-Serres for their work on submergence-tolerant rice.

But Ronald has no plans to rest on her laurels.

"I feel a great sense of gratitude that I was able to contribute in this way," she said. "But the farmers have asked us, 'Can you develop varieties that are drought tolerant, salt tolerant? Can you develop varieties that are insect resistant?' There are always more things to work on."

CNN.com's Brandon Griggs contributed to this story.

@highlight

Scientists breed a new strain of flood-tolerant rice

@highlight

Normal rice dies after three days of complete flooding; this rice can survive 17 days

@highlight

New rice was successfully field-tested by farmers in India and Bangladesh

@highlight

About half of the world's population eats rice as a staple of its diet