Santo Domingo, Dominican Republic (CNN) -- Trapped beneath his collapsed home in Port-au-Prince, rescuers had to amputate Georges Exantus' right leg in order to free him.

He was one of the survivors from Haiti's January 12 earthquake that killed more than 200,000 people. Exantus, 29, was quickly rushed to a hospital in neighboring Dominican Republic, where he spent over two months recovering.

Now, he is waiting at a bus stop in Santo Domingo, heading back to Haiti. Back to uncertainty. Back to zero.

"Staying in the Dominican Republic is not an option," he said.

That's because the Dominican Republic's government is forcing Haitian refugees to return home after they have received medical treatment there.

But it is unclear where Exantus and others like him will go. It could take more than a decade to rebuild Haiti's capital, Port-au-Prince, which was devastated by the 7.0 magnitude temblor.  Read more about Haiti's recovery efforts

"We share one island, but it is probably easier to find refuge for Haitians in France than in the Dominican Republic", said Hode Hyppolite, a family friend who accompanied Exantus back to Port-au-Prince.

Haiti and Dominican Republic are united by geography, sharing the island of Hispaniola, both former sugar colonies under France and Spain respectively.

However, Haitians and Dominicans have had tense relations dating back as far as the mid-19th century, when Haiti occupied Dominican Republic for more than 20 years.

Following this year's earthquake, Dominican Republic offered its hospitals and medical services to Haitians.  That solidarity gave hope to some Haitians inside the Dominican Republic that their status may change.

"This is a double standard policy: Haitian immigrants are needed in the Dominican Republic but not wanted," said Bridget Wooding, who analyzes migration on Hispaniola.

Dominican Republic has always relied heavily on Haitian workers for its agriculture and construction industries. A flood of Haitian workers poured into the country after the overthrow of Haitian dictator Jean-Claude "Baby Doc" Duvalier in 1986.

Research conducted before the January 12 quake showed that Haitians made up nearly 80 percent of Dominican Republic's agricultural labor force, according to the Latin American Faculty of Social Sciences in Santo Domingo and the International Organization for Migration.

That is a reverse of the government's required ratio of 80 percent native workers to 20 percent foreign workers. While there are no official government statistics, analysts estimate that up to one million unauthorized Haitian workers live in Dominican Republic.

Although the Dominican Republic's government says it has beefed up its border security, experts say the border remains porous.

"Daily there are more than 100 trips carried out from the different places [along the border] loading Haitian immigrants," analyst Jose Luis Fernandez said.

Fernandez analyzes refugee and immigration patterns for the Jesuit Refugee Services in Dajabon, Dominican Republic, on the border with Haiti.  There are no exact figures, but based on his observations, Fernandez believes the number of illegal Haitian workers has quadrupled since the January 12 quake.

Marie Noel, a Haitian who gives massages to tourists at the Boca Chica beach near Santo Domingo, knows how easy it is to cross.

"You pay 5,000 Pesos [around $140] to an agent and if you have problems at the border you pay a little extra," she explained.

Many Haitians usually arrive in the Dominican Republic to work on the sugar plantations for about $2 a day. Like most illegal immigrants with no papers, they face discrimination and live in constant fear of deportation.

Amy Serrano has documented the labor conditions of Haitians and their children in Dominican sugar plants in her 2007 film, "The Sugar Babies."

"People who are promised a better life end up on sugar plantations with no identification and no rights," she said.

Further complicating the immigration issue, Dominican Republic's new constitution took effect just two weeks after the January earthquake. It restricts citizenship for the children of Haitian immigrants.

The relationship between Haiti and the Dominican Republic is a "work in progress," according to José Achécar, who monitors poverty data for the government in Santo Domingo.

"There is a lot of xenophobia against Haitians," he said. "We are like oil and water, we don't mix. But we may get closer through this catastrophe. We need each other. We share one island."

Those sentiments mean little for Georges Exantus, who had to be lifted onto the bus that took him back to Haiti.

"I want to return to Haiti, it is my home," he said. "But there is nothing for me now."

@highlight

Haitians still illegally entering Dominican Republic, months after deadly quake

@highlight

One analyst says the number of illegal Haitians has quadrupled

@highlight

Dominican Republic wants all quake survivors to return home after receiving medical care