(CNN) -- The subject of erotica has a way of making people uncomfortable.

Some might break into schoolboy titters in the face of mature art -- a harmless enough response when you stop to think that in the past, artists with a penchant for sexual depictions have actually been killed (or very nearly).

Reverend Ted McIlvenna -- who, with 28 warehouses storing more than three million pieces of erotica, may own the world's largest collection -- recalls the life of Alexander Szekely, a Hungarian artist and collector who was ultimately put to death for his racy sketches.

"His work was hidden away for 30 years, and it's absolutely gorgeous stuff," says McIlvenna.

In more recent history, there was the attempted shooting of pornography kingpin Larry Flynt, which left him paralyzed from the waist down.

"Erotic art hasn't had an easy route," admits McIlvenna, whose own trajectory has been anything but ordinary.

An ordained Methodist minister, McIlvenna became a purveyor of the art form during the sexual revolution of the 1960s and 70s, when he was often called in as an expert witness in a series of obscenity trials directed at the porn industry.

In 1976, he founded the Institute for Advanced Study of Human Sexuality, where he currently houses some of his collection, and offers degrees in subjects of public health and sexological research.

His interest, McIlvenna claims, is mainly academic, and while such a statement might draw ridicule in some circles (like claiming to read Playboy for the articles), he maintains that open access to erotica is pivotal not only in fostering an open society, but in education as well.

"I believe sex education through the arts is incredibly important. As I see it, the arts are a good way to help people to be less judgmental. It also helps give people an idea of what they can and can't do sexually, and I believe that everybody deserves a good sex life," he says.

Over the years, a handful of sex-themed museums have popped up globally, aimed at forging a more open conversation on the topic.

Here are some of the more unique offerings around the world.

Harry Mahoney's Erotic Heritage Museum (Las Vegas)

Formerly the Erotic Heritage Museum, this 24,000-square-foot space dedicated to all things sex closed its doors in February due to a falling out between the museum's founder and McIlvenna -- who loaned a good share of his collection.

The good news is, the space reopened a couple months ago and, in addition to some of McIllvena's pieces, it will also exhibit examples of sexual hypocrisy in politics, religion and entertainment, strange sexual practices, insect genitalia and the history of sexology.

Harry Mahoney's Erotic Heritage Museum, 3275 Industrial Rd, Las Vegas; +1 702 794 4000

The Icelandic Phallological Museum (Reykjavik)

Didn't know phallology was a real thing?

That's because it wasn't, until Sigurdur Hjartarson coined the term (which, incidentally, refers to the study of penises).

Hjartarson founded the Icelandic Phallological Museum in 1997, a one-of-a-kind institution dedicated to the collection of mammal phalluses.

Today his son Hjortur, who has grown the offerings to include 283 pieces, including a human specimen and a 165-pound, 5.5-foot long sperm whale penis, runs the museum.

"The museum's role is to display mammalian penises in an informative and educational way, and to lift the taboo surrounding this part of the mammal anatomy," says Hjortur.

The Icelandic Phallological Museum, Laugavegur 116, Reykjavik, Iceland; +354 561 6663

Venustempel (aka, Sexmuseum Amsterdam) and Red Light Secrets (Amsterdam)

It's hardly surprising that Amsterdam, often deemed one of Europe's freest cities due to legalized prostitution, is home to two sex-themed museums.

Venustempel (Temple of Venus) has the honor of being the world's oldest and longest-running institution of this type.

It's a small space, often crammed with tourists, and the collection remains fairly modest, with an assortment of Victorian pornography the main highlight.

Red Light Secrets Museum of Prostitution opened earlier this year in a former brothel.

The space offers a fascinating look into the everyday lives of prostitutes and offers a history of the profession, which was legalized in Amsterdam in 2000.

Venustempel, Damrak 18, Amsterdam; +31 20 622 8376

Red Light Secrets, Oudezijds Achterburgwal 60-62, Amsterdam

Museum of Sex (New York City)

New York City's Museum of Sex has a gift for combining the academic with the just plain silly.

In addition to a permanent collection of 15,000 erotic artifacts, the museum regularly hosts exhibits that can range from the informative (The Sex Lives of Animals) to the bizarre (a recent show, "Funland: Pleasures & Perils of the Erotic Fairground," featured a breast-themed inflatable).

The museum also features Play, a bar serving up bawdily named cocktails.

Museum of Sex, 233 5th Ave., New York; +1 212 689 6337

World Erotic Art Museum (Miami)

Miami's World Erotic Art Museum (WEAM) hosts some of the most respectable erotica around.

In addition to the curiosities that litter the 4,000-strong collection (a Karma Sutra-themed four-poster bed, a six-foot carved wood phallus) are works by Rembrandt van Rijn and Pablo Picasso.

The museum's octogenarian owner, Naomi Wilzing, is invested in showing that there is more to erotic art than pornography; it can be fine art, and it can represent a window into different cultures.

As a result, the museum showcases a range of art spanning both the globe and the ages.

World Erotic Art Museum, 1205 Washington Ave., Miami Beach; +1 305 532 9336

Tochka G (Moscow)

The Russian capital may seem a strange spot for a sex museum, given the country's track record both with free speech and gay rights.

But then again, museum founder and curator Alexander Donskoi doesn't much care for the current government.

Some pieces on display are clearly aimed to provoke (the main attraction -- a painting by artist Vera Donskaya-Khilko that depicts Russian President Vladimir Putin doing naked battle with Barack Obama -- is a case in point).

Other items -- such as Soviet-era condoms and pamphlets on VD -- offer onlookers a glimpse of what sex was like behind the Iron Curtain.

On site is also a sex shop (Russia's largest), which sells everything from naughty-themed matryoshka dolls to sexy Aeroflot uniforms.

Tochka G, Ul Novy Arbat 15, Moscow; +7 495 695 44 30

Sex Machines Museum (Prague)

As it happens, inventors have long been obsessed with tools to improve sex (or, inversely, abstain from it).

Prague's Sex Machines Museum has a range of such gadgets on display, from 16th century chastity belts, to copulation tables (predecessors to the blow-up doll).

There's also a cinema that shows early pornographic films.

If nothing else, the space is tribute to the inventiveness of the human mind -- particularly when it comes to sex.

Sex Machines Museum, Melantrichova 476/18, Prague; +420 227 186 260

MusEros (St Petersburg, Russia)

St. Petersburg's MusEros made headlines in 2004 when it acquired a 12-inch human penis supposedly belonging to the "Mad Monk," Grigori Rasputin (the claim has not been verified).

Either way, Russia's first erotic museum houses a great collection of historical paraphernalia, with particular focus on the sex lives of former Russian rulers.

They even have a "naughty chair" that supposedly belonged to Catherine the Great.

In addition to lifting the veil on sex, the curators hope to provide visitors with a fresh perspective on how sexual practices differ from culture to culture, and ultimately evolve over time.

MusEros, Ligovsky Avenue 43/45, St. Petersburg; +7 812 905 03 94

El Museu de L'Erotica (Barcelona)

Barcelona's El Museu de L'Erotica takes an artistic and historic approach by including work by some of the great masters (Picasso made enough erotic art to go around), as well as a historic look at Spanish pornography.

A particular highlight is the institution's collection of banned Japanese art.

El Museo del Erotica, La Rambla 96, Barcelona, Spain; +34 933 189 865

Secret cabinet, National Archeological Museum (Naples, Italy)

The Roman Empire had an acute appreciation for erotic art.

Such was made evident during a 19th-century excavation of the ruins at Pompeii and Herculaneum in Italy.

Alas, the freewheeling art that was uncovered proved too much for the socially conservative mores of the Victorian era.

Well-endowed statues depicting various gods, sexually explicit oil lamps and a sculpture of Pan co-mingling with a goat were all moved to Naples' National Archaeological Museum, where they were eventually locked up inside a secret cabinet, opened only for the purview of well-educated gentlemen.

The cabinet was frequently opened and closed to the public, depending on the conservatism of the regime in charge.

In 2000, the collection was again opened, this time to women as well.

19 Piazza Museo (+39 081 442 2149), Naples, Italy; +39 081 442 2149

@highlight

In recent years, several museums dedicated to erotica have popped up around the world

@highlight

Erotica aficionados argue the educational merits of the saucy art form

@highlight

Perhaps the world's largest erotica collection belongs to Rev. Ted McIlvenna

@highlight

McIlvenna owns 3 million pieces, spread through 28 warehouses