The New York Times says Chinese hackers have carried out sustained attacks on its computer systems, breaking in and stealing the passwords of high-profile reporters and other staff members.

According to The Times, one of the biggest and most respected U.S. newspapers, the cyberassaults took place over the past four months, beginning during an investigation by the newspaper into the wealth reportedly accumulated by relatives of the Chinese premier, Wen Jiabao.

The Wall Street Journal reported on Thursday that its computer systems also had been infiltrated by Chinese hackers. The hackers were monitoring the newspaper's China coverage, according to a written statement from Paula Keve, chief communications officer for parent company Dow Jones & Co.

"Evidence shows that infiltration efforts target the monitoring of the Journal's coverage of China, and are not an attempt to gain commercial advantage or to misappropriate customer information," the statement read, according to The Journal.

The Times's reports on Wen's family members, alleging they had amassed financial holdings worth billions of dollars through business transactions, infuriated Chinese authorities, who responded by blocking access to The Times' website in mainland China.

The Times said in an extensive article dated Wednesday that it had worked with computer security experts to monitor, study and then eject the attackers. It said that by following their movements, it aimed to "erect better defenses to block them" in the future.

The newspaper said that the security experts it used to counter the attacks had accumulated "digital evidence that Chinese hackers, using methods that some consultants have associated with the Chinese military in the past, breached The Times's network."

Asked about The Times's allegations on Thursday, a spokesman for the Chinese Foreign Ministry said that "all such alleged attacks are groundless, irresponsible accusations lacking solid proof or reliable research results."

China has been the victim of cyberattacks and "has laws and regulations prohibiting such actions," the spokesman, Hong Lei, said at a regular news briefing.

A separate statement from the Chinese Ministry of National Defense said the country's military "has never supported any hacker activities."

The U.S. State Department said that The Times's experience with Chinese hackers is similar to those of other businesses and individuals and that the department has expressed its concerns to Chinese officials.

"The United States has substantial and growing concern about the threats to economic and national security posed by cyberintrusions, including the theft of commercial information," department spokesman Peter Velasco said in a statement. "We have repeatedly raised our concerns with senior Chinese officials, including military officials, and we will continue to do so."

On Thursday, it appeared that television censors in China were blacking out CNN's reporting of the hacking story.

China-focused journalists targeted

According to The Times, the intruders hacked into the e-mail accounts of its Shanghai bureau chief, David Barboza, the reporter on the controversial articles about Wen's relatives' wealth, and Jim Yardley, the New Delhi bureau chief who had previously covered China.

"What they appeared to be looking for," the Times article said, "were the names of people who might have provided information to Mr. Barboza."

But the security experts hired by the newspaper "found no evidence that sensitive emails or files from the reporting of our articles about the Wen family were accessed, downloaded or copied," said Jill Abramson, executive editor of The Times.

The investigators gathered evidence that the hackers obtained the corporate passwords for every Times employee, using them to break into the personal computers of 53 employees, most of them outside the newsroom.

With the level of access the intruders had gained, senior editors at the newspaper were reportedly worried that they might attempt to disrupt the news organization's publishing systems, notably on the night of the U.S. presidential election in November, when it said the attackers were especially active.

"They could have wreaked havoc on our systems," Marc Frons, the Times' chief information officer, said in the newspaper's report. "But that was not what they were after."

There was no evidence the hackers used the passwords they obtained to pursue information not connected to the Wen family investigation, The Times said, adding that no customer data were stolen.

The Times said it informed and "voluntarily briefed" the FBI about the attacks.

An angry reaction last year

At the time of the publication of the initial Times report on Wen's family in October, Chinese authorities called it an attempt "to blacken China's image," saying it had "ulterior motives."

It came at a particularly sensitive time in China, a matter of weeks before the start of the ruling Communist Party's 18th National Congress, at which the country's next set of leaders was announced.

The Times' English- and Chinese-language websites remain blocked in mainland China, as do those of Bloomberg News, which in June published a report on the business interests of relatives of Xi Jinping, who is now the country's top leader.

The Chinese government tries aggressively to control the flow of information inside its borders about sensitive topics like unrest in Tibetan areas and criticism of senior officials. It strictly manages the output of domestic news media outlets and has a history of shutting off access to international news websites.

Chinese authorities have blacked out the broadcast signal for international television stations like CNN and the BBC when they have aired sensitive reports about the country.

@highlight

The Wall Street Journal says Chinese hackers entered its computer system too

@highlight

Chinese defense ministry says the military has never supported hackers

@highlight

NYT attacks reportedly began during a controversial investigation in China

@highlight

Hackers obtained the company passwords of every Times employee