(CNN) -- Over the past few days, politicians and experts have been debating the merits of the Obama administration's strategy in Iraq -- or whether there is in fact a strategy.

The debate generally ignores a key underlying fact: The United States no longer has the ability or the will to shape the outcome in Iraq to the degree that American policy makers would like.

At the same time, politicians on both sides of the aisle appear constrained in their ability to talk candidly about U.S. foreign policy objectives and strategy because of concerns about domestic public opinion and so they often default to partisan sound bites.

In an ideal world, U.S. strategy would be carefully calibrated and aimed at a number of political, military and economic goals for the country and the region.

Yet the dynamics of the U.S. relationship with Iraq is similar to most dysfunctional relationships in which problematic patterns repeat and persist over time.

One party may in fact be able to change the entrenched dysfunctional behavior of another person at the margins, but at the end of the day, countries -- as do people -- need to take responsibility for their behavior, their mistakes and their future.

How religion could complicate U.S. intervention in Iraq

Unfortunately, the reality is that after more than 10 years of trying to shape outcomes in Iraq, the United States is forced to acknowledge it doesn't have the leverage we expected. The next best option is to find a solution that encompasses our values but doesn't err on the side of unrealistic idealism.

America's greatest failure has perhaps been our unwavering belief that we are always able to positively influence and shape the behavior of others through rhetoric, coercion, force and diplomacy. Leverage, as the United States has historically defined it, is not as relevant in today's conflicts. However, the conditions are not ripe for the United States to pull Iraq out of this quagmire given the lack of interest in America after over a decade of war and the political gridlock here and in Iraq.

In our time as analysts at the CIA, we were asked to present the opposite of what political punditry and partisan speeches tend to do. We were often asked to outline worst-case scenarios, speak truth to power and accurately assess dynamics on the ground. We were not supposed to sugarcoat our analysis to make it more palatable or to cater to the audience with empty words or false optimism. We were trained to try to objectively assess and analyze the veracity of reporting to help inform policymakers' decisions.

So, while it may not be politically popular for a leader or a president to say that "we can't influence longer-term outcomes to the degree that we'd like in Iraq, so we are adopting a strategy to avert worst-case scenarios and contain catastrophe," this is precisely the strategy we believe ought to be adopted right now.

We need an honest strategy based on containing catastrophe. In other words, our strategy at this point ought to be designed to thwart the worst outcomes from occurring and it should focus on preventing moral, humanitarian and security catastrophes.

The United States can make a significant difference in the lives of Iraqis and in the realm of our own national security even if the future of Iraq ultimately rests in hands of Iraqis.

The Islamic State, known by the acronym ISIS, is on a rampage to take over and control territory. The United States must degrade ISIS capabilities so that it is unable to launch a significant terrorist attack on U.S. interests (or a large mass casualty attack anywhere in the world).

ISIS is a product of Abu Musab al-Zarqawi's organization dating back to the invasion of Iraq in 2003. After Zarqawi was killed in 2006, the Islamic State of Iraq emerged from his original organization and began to flourish.

ISIS has capitalized on (former) Prime Minister Nuri al-Maliki's unwillingness to work with the local Sunni populations and the power vacuum left by Bashar al-Assad's regime in Syria.

ISIS and Zarqawi's organization have thrived on sectarian violence, but ISIS has managed to professionalize military and humanitarian aid. As ISIS disperses and embeds in populated areas, it will become more difficult to root out.

Its possible Achilles heel is the eventual erosion of local support from Sunnis while ISIS asserts control to govern and maintain territory. This gives the U.S. an opening to work with the Iraq and Kurdish government, in addition to regional allies, by helping to resolve a humanitarian crisis and limiting the group's ability to acquire new territory for safe haven.

The U.S. ought to continue targeted airstrikes with cooperation from Iraqi security forces and allies -- whether that takes days, weeks or months.

Second, we can and should prevent the potential for genocide or ethnic cleansing in Iraq. Arguing that the United States hasn't acted in other areas of the world or can't act in every single case of violence is not an argument against acting when we are able to make a difference.

And, we are able to make a difference right now in northern Iraq at a moment of crisis -- such as the operation underway assisting those stranded and dying on Mount Sinjar -- and we should also turn our eyes to the humanitarian crisis in Syria, where the U.S. can also make difference.

If the U.S. can support the local population and help to bolster local governments, ISIS will have a much more difficult time recruiting and controlling territory. Jabhat al-Nusra is an example of how successfully terrorist organizations can galvanize support and generate influence among local populations through charitable efforts.

Third, we must prevent terrorist groups operating in Iraq and Syria from acquiring biological or chemical weapons that they would be able to use in a mass casualty attack. From a national security perspective, it's important to remember Syria's al-Assad has not relinquished all of his chemical and biological weapons. The last thing we want is for these to fall in the hands of ISIS.

Why does the U.S. intervene militarily in Iraq but not in Syria?

Fourth, ISIS has attracted young fighters who understand how to talk to prospective recruits through all forms of media. Some of those recruits are Western passport holders and they are possibly the largest number of Western citizens identified fighting alongside a terrorist organization.

Not only do they pose a threat in the region, individuals can also be difficult to track from the war theater when returning home.

Lastly, the United States should work to maintain the security of its embassies and consulates. The recent evacuations and relocations of staff are a troublesome trend (albeit for the safety and security of diplomatic personnel). Ensuring that our diplomats are able to safely operate and function in foreign countries, especially Iraq, is critical.

Any type of serious attack on an embassy or U.S. personnel working in the country would make it increasingly difficult for the United States to address the issues we discuss above. In addition, maintaining a functioning embassy is important for information collection, assessing progress and being able to work with Iraqis -- particularly on the political side of the equation.

A foreign policy strategy speech predicated on containing catastrophe might not be a speech that inspires the American public, but it is an honest strategy that would be based on a realistic approach to our foreign policy in Iraq.

Such an approach is good for America's national security and for addressing the humanitarian concerns of those suffering during crisis.

Join us on Facebook.com/CNNOpinion.

@highlight

Former CIA analysts: After 10 years, U.S. has limited ability to change things in Iraq

@highlight

They say the U.S. goal should be to contain the problem and prevent catastrophe

@highlight

Analysts: U.S. is right to address humanitarian crisis on Mount Sinjar

@highlight

America must ensure that ISIS doesn't acquire chemical, biological weapons, they say