(CNN) -- Shortly after Salwa Bugaighis posted the names of three security force members killed in Benghazi on Wednesday on her Facebook page, she became the fourth person to die in the Libyan city that day.

Bugaighis, one of the most prominent faces of Libya's 2011 revolution, was shot in the head in her own home. Local media reported she had also been stabbed several times.

Bugaighis' husband, Issam, was thought to have been with her in the house and is reported missing. Friends and family believe he was abducted by the attackers.

Bugaighis was a lawyer, a human rights and women's rights activist, and one of the first Libyans to take to the streets of Benghazi in February 2011 to protest against the regime of Moammar Gadhafi.

Her assassination came hours after she cast her ballot in the country's second parliamentary election since the revolution. Photos of her voting were circulated on social media within moments of the news of her death.

"The shocking, ruthless killing of Salwa Bugaighis robs Libyan civil society of one of its most courageous and esteemed figures. But sadly she is by no means the first activist struck down during the political violence that has plagued the country since the uprising and in its aftermath," said Hassiba Hadj Sahraoui, Amnesty International's Middle East and North Africa deputy director.

"The Libyan authorities must do everything possible to ensure that Salwa Bugaighis' death is fully, independently and impartially investigated and that anyone responsible is held to account -- something they have patently failed to do in previous political killings."

'True Libyan patriot'

Messages of support and mourning came from around the world.

"Outraged by senseless murder of Salwa Bugaighis. She was a courageous and inspiring leader. We join the Libyan people in mourning her loss," White House national security adviser Susan Rice said in a tweet.

Deborah K. Jones, the current U.S. Ambassador to Libya, wrote on her Twitter account: "A cowardly, despicable, shameful act against a courageous woman and true Libyan patriot. Heartbreaking."

British Foreign Secretary William Hague also tweeted: "Shocked and saddened by the killing of Salwa Bugaighis who was a passionate campaigner for the ideals of the revolution in Libya."

In a moving tribute, Human Rights Watch's Peter Bouckaert said: "On Wednesday, following countless threats against her and her family, Salwa was assassinated, shortly after she voted in Libya's parliamentary election. With Salwa's death, the original idealism of the 2011 uprising that overthrew Gadhafi's tyranny has received another crushing blow, and many Libyan women have lost a role model."

Campaign of violence

Over the past two years, the security situation in Benghazi -- the cradle of Libya's revolution -- has seriously deteriorated.

Bombings, kidnappings and killings have become near daily in a campaign of violence that has mainly targeted members of the security forces. Judges, activists and journalists have also been attacked.

No group has claimed these attacks, but officials and Benghazi residents blame the violence on Islamist extremist groups that have grown in size and influence since the fall of the regime.

Last month, Libyans mourned another known figure, an outspoken critic of extremist groups, newspaper editor Muftah Buzeid was shot dead in broad daylight while driving in Benghazi.

Three years after being one of the first voices of the uprising and a founding member of the country's first governing body -- the National Transitional Council -- Bugaighis had continued to work to establish a better country and achieve the goals of the revolution.

More recently, she had been a member of the preparatory committee for national dialogue, working to bring together Libyans divided along regional, tribal and ideological lines.

Despite the increasing threat from radical groups, Bugaighis continued her activism and remained unveiled in a city where only a few dared to.

"We believe that Salwa Bugaighis may have been targeted for both her political activism and her role in promoting women's rights," said Hassiba Hadj Sahraoui.

Libyans across the country took to social media, sharing their shock, grief, and anger. An online petition was started calling for the perpetrators to be brought to justice.

"Salwa was always present, at those early demonstrations where she would march at the front and whisper to me, we're not going to let them put us (women) at the back or in separate lines " said Huda Abuzeid, a friend of Bugaighis.

"She was always present, working tirelessly to support national dialogue and rule of law and still marching. An original leader of the revolution, a proud mother, an inspiring woman and supportive generous friend, she was charismatic, outspoken and fearless and she was always here."

Election day

In a tragic postscript, Bugaighis plotted her final hours on her Facebook page. She began the day urging her fellow Libyans to go out that day and vote.

"The blood of our martyrs will not prevent us from exercising our constitutional duty for the nation," she wrote. She then posted three photographs of herself voting at a polling station in Benghazi.

The country's new parliament is to be based in Benghazi despite the recent uptick in violence after a retired military general and his loyalist forces reclaimed the city from Islamist militants.

Benghazi was also the city where U.S. Ambassador Chris Stevens was killed by suspected Islamists in the U.S. Consulate in September, 2012.

Election day in Benghazi bought more violence, with Bugaighis posting photographs from her roof showing smoke rising in the distance from what she thought was a nearby international school after being hit by gunfire.

She later rang in to Libya TV and described the sound of fighting near her home as militants fought with the military. Gunfire could be heard in the background.

'More than just words'

Family members and friends said Bugaighis and her family moved overseas early this year. She and her husband only returned recently to the city.

"What now? Does she become just another poster to carry? Another name lost? Another death that we owe a debt to? That's all I will hold onto now ... we have a responsibility that those who murdered her, in her own home will not be the winners," Abuzeid said in a Facebook post.

"Because we will not, cannot, let those murdering cowardly scum write the end of this story ... That's what we owe Salwa, Salwa who went back to Benghazi and amidst the fighting went out and took part and voted, who spoke out, who worried about those being killed, who did more than just talk," Abuzeid wrote.

"She did her part and however much it pains us, anything other than carrying on and doing our part is a betrayal to her and all those who have died ... her family, Libya and she deserve more from us than just words ..."

Libyan communities overseas are planning several memorial events this weekend.

@highlight

Lawyer and activist Salwa Bugaighis was shot, stabbed in her Benghazi home June 25

@highlight

Bugaighis' husband is thought to have been at home during the attack and is now listed missing

@highlight

Libyans from across the country took to social media, sharing their shock, grief, and anger

@highlight

Bugaighis had earlier urged Libyans to vote in their second parliamentary poll since 2011