(CNN) -- Detroit's recent bankruptcy draws attention to a festering problem in America -- many of our cities are in trouble.

According to Moody's, more than half of the 50 largest U.S. cities have expenses and liabilities that overwhelm their tax revenues -- the same fiscal stress that bankrupted Detroit. The average poverty rate in the poorest half of our 50 largest cities is now nearly 26%, up from just over 21% in 2000.

Smaller cities are also struggling. Connecticut, where we are from, has five cities with a population between 100,000 and 150,000. Three of those five have poverty rates above 25%, despite the state's overall wealth. Hartford, once the wealthiest city in the country in 1870, is now one of the poorest, with a poverty rate of 38%.

Cities develop as centers of trade, industry, government or learning that create opportunity and prosperity as their population and economy expand. But if the economic forces driving that expansion go away, a city's tax base can disappear while the costs of its infrastructure and a concentrated population remain. These cities end up with a lot of bills and no one to pay them.

Their residents, who experience the American Dream when the city is growing, experience the American Nightmare when things turn down -- no job opportunity, underperforming schools, deteriorating housing stock, high crime rates and overextended social services.

The market forces that make and break cities are powerful and probably cannot -- and should not -- be controlled. Forcing the car industry to remain in Detroit would not have been the answer to Detroit's problems. But market forces can be coaxed, and smart policy and good leadership make a difference.

Pittsburgh, a city that arose around steel as Detroit did around cars, has been repurposed.

With steel largely gone, Pittsburgh remains a smaller but thriving and financially healthy city with 125,000 net new jobs since 1990 and an unemployment rate below the national rate. Pittsburgh's recovery was helped by good policy that included eliminating regulatory impediments to redevelopment of old industrial sites, replacing abandoned factories on the city's riverfront with a 13-mile continuous loop of parks and supporting some of the country's earliest small-business incubators.

San Diego, a city developed around the defense industry, lost tens of thousands of jobs when the Cold War ended. As jobs left, crime rates rose to record highs, and the city faced a Detroit-like downward spiral. But good crime-fighting policies, including community policing and the early adoption of new forensic technologies, resulted in violent crime dropping from over nine crimes per thousand residents in 1993 to under four by 2011.

The Connecticut Policy Institute recently published its Urban Policy Project, a compendium of policy recommendations for preserving jobs, improving schools and housing, and reducing crime in struggling cities based on successful strategies from around the country.

In addition to the strategies that worked in Pittsburgh and San Diego, these recommendations include education reform initiatives such as public school choice and "money follows the child" approach to school funding, where dollars for charter and magnet schools go directly to those schools, rather than shared with the student's school district overall.

They also include crime reduction initiatives such as reducing recidivism with swift, certain and short punishment for probation violators and housing initiatives such as reforming the low-income tax credit so that it doesn't force low-income families to remain in distressed neighborhoods.

The "money follows the child" concept of school funding helped San Francisco nearly double the number of students scoring "proficient" or "advanced" on the California Standards Test from 2002 to 2008. Hawaii's Opportunity Probation with Enforcement program, which immediately jails any probation or parole violator for up to four days, led to a 55% decline in recidivism and a 72% decline in parolee/probationer drug use from 2004 to 2010.

Without smart policy and strong leadership to counter the weakening of a city's economic foundation, its residents endure very real human suffering and displacement. Fairness and opportunity for everyone are essential premises and promises of America. Both can disappear in a decaying city.

There was a heavy focus on urban problems in the 1960s and 1970s. Booming economies -- beginning in the 1980s and continuing through 2007 -- reduced and masked those problems, but most were not fixed. Political dialogue now emphasizes the needs of the "middle class" and "working families" rather than the urban poor.

It is time to re-engage in an effort to help our most challenged citizens and ensure that fairness and opportunity extend to everyone. The impact of our declining cities is the most compelling equity issue today.

Let's add fixing struggling cities to the national agenda.

Join us on Facebook.com/CNNOpinion.

@highlight

Foley and Zimmer are concerned that U.S. cities big and small are failing to keep up with change

@highlight

Economic opportunity, education and poverty issues are growing, they say

@highlight

Detroit, Hartford, San Diego and Pittsburgh have different problems with different solutions