Washington (CNN) -- Mitt Romney seemed to channel his inner CEO on Thursday when he sketched out a chart on entitlements on a whiteboard.

There he stood, hair slicked down, white shirt sleeves rolled up to his elbows, listing differences between his and President Barack Obama's Medicare plans.

If the scene seemed better suited to a corporate boardroom than the campaign trail, it is because the presumptive Republican presidential nominee is far more comfortable throwing out ideas than with having them challenged, experts say.

"It speaks to some of the issues he's been having," said Trevor Parry-Giles, a political communication professor at the University of Maryland. "There are a number of ways in which businesses operate that are not analogous to the campaign context."

The challenge for Romney is making the case to voters that his business acumen is exactly the skill set needed to pull the country out of its economic slump.

"That's what he needs to sell the public so the public can be comfortable with a President Romney," said John Geer, chairman of Vanderbilt University's political science department.

So far, it is an effort that has met with mixed results.

In a CNN/ORC International poll of likely voters released last week, 45% of those polled said that the economy would get better if Romney were elected -- two percentage points below Obama's number. Considering Romney's success as a business leader and the poor state of the economy, Romney should have higher poll numbers, CNN senior political analyst David Gergen said recently.

Then there was Romney's impromptu news conference on Thursday on Medicare which steered off course from the economy, arguably a topic that should be Romney's strong suit. The candidate found himself once again discussing his taxes in an attempt to put to rest previous questions by reporters on whether he would re-examine his returns.

"I did go back and look at my taxes and over the past ten years. I never paid less than 13%. I think the most recent year is 13.6 or something like that. I paid taxes every single year," Romney said in a response aimed at quelling criticism from Senate Majority Leader Harry Reid that the former Massachusetts governor did not pay taxes for a decade.

At times on the trail, Romney has appeared frustrated with constant questions about his taxes and calls for him to release more returns.

That type of umbrage could speak to Romney's discomfort in such a public sphere, Parry-Giles said.

Romney is a Harvard law and Business School graduate and led Boston's Bain Capital, a private equity firm.

He served one term as governor, the only public office he has held. As someone who has spent most of his life in the private sector, constant questions about tax returns could feel like an invasion of privacy.

Questions about his taxes "do seem small-minded to someone with his worldview," Parry-Giles said. "His personal communication style comes out of that (business) background. To be relentlessly asked about those questions is probably bothersome."

Tom Smith, an assistant finance professor at Emory University put it more bluntly.

"That is somebody who is used standing in front of a boardroom and not being challenged. 'I don't have to provide you evidence, that's beneath me'," he said of Romney's attitude on releasing more tax returns.

However, there are areas where Romney's business background has helped him steer clear of potential political pitfalls.

His search for a running mate was handled with corporate-like precision.

Conversations about who topped the list were treated as trade secrets. Documents about the search were kept in a safe and the selection process was only discussed among key people who sat in a room at campaign headquarters.

Romney was also reportedly very methodical in his process. He solicited the advice of trusted advisers, carefully weighed his decision and then unveiled his choice in a showy roll out worthy of a brand launch.

Romney's chief executive background was evident in his choice of Wisconsin Republican and conservative budget hawk Rep. Paul Ryan as a running mate, Smith said

Smith said Romney likely reasoned "'People are already basing their opinions on me based on what I have or have not said, but if I choose a good number two then I look more like a good boss'," Smith said. "A good CEO would choose managers around them that would challenge them in order to make the whole company better."

Ryan and Romney's budget plans diverge in the level of detail â€” Ryan's has more in the way of specifics â€” and offering a time line of when the federal budget would balance. Romney acknowledged the differences and suggested room to use his running mate's ideas to help make his own plans stronger.

"I'm sure there are places that my budget is different than his, but we're on the same page as I said before," Romney said on the trail on Monday. "We'll look at the differences. Well, the items we agree on I think outweigh any differences there may be. We haven't gone through piece by piece. ... I can't imagine any two people even in the same party who have exactly the same positions on all issues."

Romney's CEO background will also help him in other ways.

Some people erroneously think that the government can be run like a corporation and will give Romney greater benefit of the doubt on his ability to right the economy because he was a CEO, Smith said.

He'll also benefit from a cultural tradition of not questioning the boss.

"Because he is a CEO there is a large share of people who are willing to just give him a pass," Smith said.

But government doesn't function like a board of directors meeting, Smith said. As president, Romney would have to contend with Congress and all of the checks and balances that come with governing.

"You can't exactly have an executive president," Smith said. "What a CEO might bring to the Oval Office gets eliminated immediately because you can't have that kind of power."

During the upcoming nominating convention and debates Romney will have to prove to the broader electorate that he has the ability to not only run a successful business but also successfully run the country, political experts say.

Romney's ready for the challenge, said Keith Appell, a Republican strategist and senior vice president at CRC Public Relations.

"A CEO delegates a lot," Appell said, noting that Romney has been out in front during the campaign and taking the tough questions. As president, Appell said he could see him running the government like a CEO and delegating offices and responsibilities

@highlight

Mitt Romney's experience as a CEO both helps and hurts his campaign

@highlight

Political experts say Romney seems unused to tough tax questions

@highlight

Romney's choice of Paul Ryan as a veep was a solid CEO-worthy move

@highlight

Romney will have to work to prove his business skills will translate to Oval Office