(CNN) -- Is ballet dying?

Isabella Boylston, the 27-year-old new principal dancer at the American Ballet Theatre, says it's not. Born in Idaho, she started dancing at 3 even though no one in her family knew anything about it. Her love for ballet has taken her touring around the world.

While ballet is still very much admired, this classical and rigorous art form is no longer enjoying the popularity it once had in its glory heydays. "For most of the 20th century, including the entire post-war period, ballet was central to our cultural life. Now more than ever before it needs to be connected to the culture and the direction we're heading," says Jennifer Homans, a dance critic who has written about the history of ballet.

Homans says the tremendous social changes that occurred after the 1990s affected ballet's cultural prominence. The important question now is: What is the place of ballet in a rapidly changing and high-tech society where people like to watch three-minute YouTube videos or check text messages constantly?

To help revitalize ballet in the 21st century, New York University is opening the Center for Ballet and the Arts on September 22. "The big issue is the future of ballet. It is being reinvented as we speak -- and that takes time, talent and resources," says Homans, who is the heading the center.

With this new ballet think tank, and with dancers like Boylston who is full of optimism, will ballet leap gracefully into the 22nd century? Time will tell. CNN spoke with Boylston about what it's like to live and breathe ballet today.

Why should we care about ballet?

Ballet is such a unique art form. You can say things through dance that you could never express in words, and ballet has the ability to touch people on a deep, abstract level. In some ways, ballet is more valuable now than ever. Everything today is so fast-paced and technologically overloaded -- people are constantly staring into computers or their phone screens for entertainment. But going to the theater to see a ballet is unique in that it's completely live and in the moment -- unfiltered and unedited. It's a real and tangible meditation.

What sparked your passion for dance?

I was about 11 when I completely fell in love with ballet. I was going to this little ballet school situated above a tavern, and we had live piano music, which is really rare for ballet class at that age. My teacher would bring a bag full of silk scarves and at the end of each class we would each take one and dance around and improvise to the music. It felt so free and was the perfect outlet for my creativity. I also loved watching dance movies. I loved "Center Stage" and "The Turning Point."

Do you have a favorite character?

So far, it's been Giselle. It's about a girl who falls in love for the first time and she's on this incredible high, then she gets betrayed and everything comes crashing down. She goes completely mad in front of everyone onstage and dies. In the second act she comes back as a spirit and finds forgiveness within herself. When I performed it this past season, I felt like I became her. It was so emotional, and I could feel so much support from the other dancers onstage. Everyone was invested in the story. Another favorite role is Odette/Odile in "Swan Lake." The Tchaikovsky score is incredible, and I love the animalistic swan imagery. It's a fun challenge to play up the contrast between White Swan and the Black Swan.

What are the 3 most painful things you've ever had to do?

Most people don't realize how athletic ballet is -- you have to be so mentally strong to be a dancer.

One of the toughest things I had to do was Act 2 of "Swan Lake" when I was in the Corps de Ballet. You have to stand very still on one leg in a position called b plus for what seems like an eternity, after jumping and doing hard dancing. Your feet cramp and everything hurts. When I first performed it as a teenager, I think I had tears streaming down my face. But then you learn how to pace yourself and it becomes more enjoyable.

Another ballet is "Theme and Variations," by George Balanchine. It's definitely one of the hardest things I've done. You get unbelievably tired, to the point that it feels almost impossible to get through. I've seen people throw up in the wings from exhaustion after it.

It's the same with Black Swan Pas de Deux from "Swan Lake". But, I don't focus on the pain. We love what we do. And it's the best feeling when you get through something really physically hard and the curtain comes down and you've given it your all physically and emotionally.

How many hours do your dance every day?

On average, I probably dance for 7 to 9 hours a day. We start every day with ballet "class," which is a series of exercises you do to maintain strength and warm up. That's followed by rehearsals and sometimes a performance at night.

What do you say to people who say ballet is boring?

They've probably never seen a great ballet with great dancers. For instance, if you watch a bad football game it can be boring, too. Ballet has something for everyone to admire. If you don't like the choreography, you can listen to the music, and if you hate that too, then at least there are beautiful people onstage. There are some young choreographers working today like Justin Peck, who make ballets that are the farthest thing from boring. We are making a dance film together that will come out later this year. Stay tuned!

Do your feet hurt all the time?

Actually, no. Your feet become accustomed to being en pointe and our pointe shoes are surprisingly supportive, taking the stress off your toes. Other parts of my body hurt though. Ironically, the harder I'm working the less pain I have, because your body gets into crazy shape.

Any indulgences?

I've been pretty lucky and can eat pretty much whatever I want, especially when we are in season. On a show day I always have a bacon egg and cheese sandwich for breakfast. I don't eat a lot of sweets. My favorite food is pasta, specifically bucatini all'amatriciana, which I discovered when I was performing in Rome. And I love having a glass of wine after a show.

@highlight

Isabella Boylston is a principal dancer at the American Ballet Theatre in New York City

@highlight

CNN spoke with Boylston about what it's like to dance and why we should care about ballet

@highlight

Some in the dance community ask what is the place of ballet in a fast-paced, high-tech society

@highlight

New York University is opening Center for Ballet and the Arts to explore questions about ballet