(CNN) -- I grew up about 30 minutes north of Boston in a town that was a virtual melting pot — I was exposed to all different backgrounds, cultures, and religions, fueling my personal interests in global issues. My teenage years were dotted by regular interactions with people like me from all around the world — people I could connect with about these issues.

I was lucky to be able to expand my understanding of the world in this way. Now, with the arrival of Facebook, YouTube and other social media, young people everywhere in the United States have an incredible opportunity to learn from their peers in other countries and partner to make a huge impact in addressing global health issues.

I know how hard it can be for young people in high school, college, or just starting out, to balance schoolwork, relationships and other activities. But today is World AIDS Day, and we should each find a way to use the moment to raise awareness about this global pandemic and unite in the fight against HIV.

That's why this weekend I participated in an event with young reproductive health advocates from New York who got up early to tune into a live webcast from Johannesburg, South Africa. The webcast featured young leaders in the fight against HIV/AIDS responding to questions from the youth in New York and around the world.

The conversation focused on how young people are leading the charge in HIV advocacy and prevention, and it was a part of Planned Parenthood Global's and the Global Youth Coalition on HIV/AIDS' efforts to mark World AIDS Day on Saturday.

Those young people include folks like Brandon, 17, and Lena, 19, who work with their peers at Planned Parenthood Metro Washington's Ophelia Egypt Center. The Egypt Center is a community program that helps educate young people about reproductive health. Brandon and Lena are both giving back to their community and making sure their peers have accurate and comprehensive information about their health care.

That's how we're going to fight HIV/AIDS -- by engaging and empowering young people to help themselves and their peers stay HIV free. This is the demographic that is most vulnerable to unintended pregnancy, STDs and HIV/AIDS. In fact, worldwide, young people still make up about 40 percent of all new HIV infections.

While we've made a lot of progress in fighting HIV, we know there is great room for improvement. In many countries around the world, young people are still often unable to access quality health care. Testing and treatment can be problematic where resources and geography make it difficult.

In the United States, the situation isn't much better, especially for young people. A recent Centers for Disease Control and Prevention report finds that more than half of people infected with HIV in the U.S. aged 13 to 24 don't know they have it. That same age group is responsible for more than a quarter of new U.S. infections each year.

On "Glee," we often tackle the tough topics that young people face — in fact, my recurring character, Wade "Unique" Adams, is a transgender teenager who finds herself navigating a lot of the same problems many young people face around the globe.

While these challenges are different everywhere, young people now see themselves connected to the world beyond our borders. The Internet, mobile technology, the 24-hour news cycle and immigration have all helped contribute to this new global identity. We are living in a world that is increasingly without borders.

That's why events like the one I participated in this weekend are so important — they help open a dialogue between young health advocates in the United States and the rest of the world on what programs and policies need to be put in place. We need these global conversations if we are going to win the battle against HIV, because there is so much we can learn from one another's successes and continued challenges.

Of course, it won't all rest on our shoulders. Some of our leaders already know just how important this issue is for young people.

Thanks to President Barack Obama, under the Affordable Care Act, millions more people will be eligible for health insurance, including many people with HIV. In November, the U.S. Preventive Services Task Force also recommended that all Americans aged 15-65 receive routine HIV testing, not just those most at risk. If finalized, this would mean insurers would have to cover HIV screening without a co-pay, saving young people some much-needed money.

With new investments in medically accurate sex education and the evolution of health technology as a means to educate and communicate with more people than ever before, we have new tools to address the HIV epidemic.

On World AIDS Day and every day, there is much to be done. Talk to your friends, schoolmates and family — face to face or online — about this global problem, ensure your loved ones get the information and care they need and deserve, and let your legislators know that you support policies that help young people get the care they need.

It will be impossible for us to eradicate HIV as long as any corner of the world is cut off from the education and services that we know helps stop the spread of this disease.

The opinions expressed in this commentary are solely those of Alex Newell.

@highlight

Alex Newell says he grew up in a melting pot near Boston, exposed to diverse humanity

@highlight

Social media mirrors that globally, crucial to AIDS education for youth

@highlight

He says young people globally make up 40% of new infections, many have little health care

@highlight

Newell: Especially on World AIDS Day, reach out to ensure others educated about AIDS