Washington (CNN) -- President Barack Obama's abrupt change of course and decision to ask Congress to authorize a strike on Syria won praise from some who have bitterly opposed his foreign policy. But in his surprise decision, did Obama cede presidential power?

Over the last 50 years, presidents have successfully consolidated power when it comes to foreign affairs, especially when use of the U.S. military is concerned. Some say the concession to Congress sets a new precedent that bodes well for future Congresses and not so well for future presidents.

"This is a big deal and will tie the hands of future presidents," said Peter Spiro, law professor at Temple University.

Spiro said this is the first time a president has sought authorization from Congress for a limited military mission. He said it will limit the flexibility of future presidents to make quick decisions, potentially putting U.S. national security at risk.

Draft resolution on Syria would limit strike to 60 days

"That kind of decision-making doesn't work when you have 535 Monday morning quarterbacks," Spiro said, referring to the number of lawmakers who will have a vote on Syria intervention as early as next week.

Obama maintains, however, that he is not ceding his authority, but made the decision because "the country will be stronger" if Congress is on board. Obama insists he still has the authority to act unilaterally. "[I] believe I have the authority to carry out this military action without specific congressional authorization," he said Saturday when he announced he would seek Congress' support.

Obama and unilateralism

Other legal analysts disagree, however, with Spiro's assessment that the president is diluting the power of the office.

On the legal blog Lawfare, Harvard Law professor Jack Goldsmith wrote: "What would have been unprecedented, and a huge development for separation of powers, is a unilateral strike in Syria."

Oona Hathaway, a Yale Law School professor, agreed. She argued that the president had to seek Congress' approval because he didn't have support from the United Nations Security Council.

Obama looks to Congress to bolster legal case for Syria strike

"Going to war under these circumstances (without congressional or Security Council support) would have put him out on a limb politically and legally," Hathaway said.

Ari Fleischer, who was press secretary for President George W. Bush, sided with Obama. He said on CNN's "New Day" that this is "a voluntary exercise where the executive has said to the legislature, 'I want you to act.' "

A return to precedent?

Presidential historian Robert Dallek said the president "returned to a central part of the country's history" of power-sharing that has "a complicated history."

He said Presidents Woodrow Wilson and Franklin Delano Roosevelt would never have considered sidestepping Congress in the lead-up to World War I or World War II respectively.

Presidents moved away from asking Congress' permission in the 1950s, starting with the Korean War, when President Harry Truman declined to seek congressional authorization. Library of Congress historian Louis Fisher called the move "the single most important precedent for the executive use of military force without Congressional authority." Instead, Truman gained support from the U.N. Security Council and Congress did not object.

President John F. Kennedy further consolidated power by authorizing the CIA to carry out the Bay of Pigs invasion of Cuba and by his actions in the 1962 standoff with the Soviet Union over the U.S. blockade of Cuba. President Lyndon B. Johnson boxed out Congress with the 1964 Gulf of Tonkin Resolution, which gave Johnson broad authority without forcing him to declare war. He used the law to unilaterally decide to commit 100,000 troops in the first stage of the war against North Vietnam.

As a result, Congress passed the War Powers Resolution of 1973 to rein in presidents' war declarations. The law says the president must "consult" with Congress before U.S. forces are committed in an overseas conflict or within 60 days of U.S. involvement.

Congress' use of the War Powers Act is mixed, however. While President George W. Bush sought congressional approval for wars in Iraq and Afghanistan, presidents have often failed to ask Congress for support for smaller incursions. President Ronald Reagan didn't seek authorization for Grenada and Panama, President Bill Clinton avoided Congress over military action in Haiti and Kosovo, and Obama sidestepped the legislative branch for an expanded war in Afghanistan and intervention in Libya.

Opinion: Obama, ignore the polls on Syria

What if Congress turns down the president?

The most immediate risk for the president is that the Congress says no, as Great Britain's Parliament did to Prime Minister David Cameron last week. Fleischer warned that Obama "has to prevail on the vote."

Dallek said it would be "rare" that Congress would not defer to the president on an issue of war. He pointed to one instance in 1939, in the lead-up to World War II, when the president failed to gain Congress' support to aid the British and French against Nazi Germany. Shortly after, Congress reversed course and gave Roosevelt the resources he wanted.

Syria war resolution faces tough challenge in Congress

While Obama's decision will be debated for years, Congress' response could be the real precedent-setter.

During testimony before the Senate Foreign Relations Committee on Tuesday, Secretary of State John Kerry said congressional rejection would harm U.S. standing among its allies while emboldening its enemies.

As of now, Congress isn't completely sold on intervention in Syria. If a failed vote falls along party lines, Hathaway said "partisan squabbling would make future presidents nervous" about seeking congressional authority.

Dallek quoted Dutch historian Pieter Geyl, who said, "History is an argument without end." In other words, future Congresses and presidents (and observers) are likely to use Obama's action and Congress' response as evidence bolstering a position.

Opinion: On Syria, Obama must show strong grip

CNN's Tom Cohen contributed to this report.

@highlight

Past presidents have successfully taken military action without Congress' approval

@highlight

One expert says decision will result in "535 Monday morning quarterbacks" in Congress

@highlight

Other legal scholars say Obama going it alone would put him on limb legally and politically