(CNN) -- Within weeks of British student Meredith Kercher's death in the vibrant college town of Perugia, Italy, prosecutors and police declared the case closed.

They'd seized two knives in their search for the murder weapon. They took DNA from the room where Kercher was killed. And at least one suspect had confessed to being at the murder scene. Or so they said.

Kercher had been stabbed in a sexual misadventure, officials said. And they knew the killers.

American Amanda Knox, Kercher's roommate; Italian Raffaele Sollecito, Knox's boyfriend; and Ivory Coast native Rudy Guede, a drifter known in the area, had their pictures splattered across the world's media.

Knox's photo was even hung in the police plaza alongside Italy's most infamous mobsters and criminals.

The prosecution case seemed a sensational slam-dunk, almost too good to be true.

Knox's supporters say that's because it is.

"In the beginning, all of this supposed evidence was being leaked, showing what sounded like a pretty convincing case," Anne Bremner, a lawyer and former prosecutor working with the group Friends of Amanda, told CNN.

The case couldn't look more different depending on where you stand.

Knox's murder trial is entering its final stages, with closing arguments beginning November 20. The jury will begin deliberating December 4. But there is still no agreement on the key pieces of evidence that prosecutors say convict her and the defense says clear her.

Behind the Scenes: How we examined the evidence

In Knox's corner: her friends and family from Seattle, Washington.

For them, she is the victim - railroaded by an overzealous Italian prosecutor, who faces charges of prosecutorial misconduct in another case. Knox's supporters say he's tried to force the evidence to fit his theory of what happened. And with negative and often false details about the case appearing in the press - all for the jury to read - Knox supporters fear she could be convicted regardless of the facts.

On the other side: Perugia's prosecutor Giuliano Mignini. For him and his colleagues, the answer is simple - Guede, Knox and Sollecito are all responsible for leaving Kercher partially clothed, strangled and with her throat cut on November 2, 2007.

See a timeline of the case

The knife

The crime scene was gruesome. The 21-year old British student was found under a duvet on the floor by her bed, covered in blood. A bloody handprint was streaked on the wall above her.

A source close to the prosecution says Kercher was held down while she was strangled and stabbed. The source says Sollecito's 6 ½-inch kitchen knife was used to slit her throat and then taken back to his apartment.

It is perhaps the biggest piece of evidence the prosecution has presented against Knox.

Knox's DNA is on the handle and that of Kercher is on the blade, said a source close to the prosecution who did not wish to be identified discussing an ongoing case.

Kercher had never been to Sollecito's apartment and wouldn't have come in contact with the knife, he said, yet there was her DNA. Those "unmistakable facts" show the knife played a role in the murder, the source said.

Bremner and experts testifying for the defense say there is no way the knife could be the murder weapon.

Dr. Carlo Torre, a leading forensics expert in Italy, testified that the knife taken from Sollecito's apartment wouldn't have made the wounds on Kercher's body.

"It doesn't match the size or shape [of the wounds,]" Bremner told CNN. "And Sollecito's knife also doesn't match a bloody outline of a knife left on the bedding."

Bremner, who offered her legal advice pro bono to the Knox family, questioned the validity of the DNA evidence, saying the knife had been "improperly transported in a shoe box."

Watch Amanda Knox's parents discuss the case

Furthermore, Bremner said the jury heard from defense expert Sarah Gino, a geneticist and private coroner in Italy, who said that the DNA sample was too small to be definitive. Bremner said the presence of Knox's DNA on the knife handle was no surprise, as the couple had dinner at his house occasionally.

Prosecutors say just because the knife doesn't match everything doesn't mean it wasn't used. The source close to the prosecution said it was possible, based on the wounds, that several different items made them.

Damning DNA or 'Fellini Forensics'

On the night Kercher was killed, Knox and her boyfriend say they were at his house watching a movie and smoking hashish.

Their recollection of events, they admitted, was hazy from the drugs, but both swore they went back to the house the next morning. Knox says she was unable to gain entry - and called police.

For their case, prosecutors had to prove that Knox and Sollecito - who had recently started dating - were lying and place them at the home when Kercher was killed.

Some reports spoke of a scurry of people - more than one - on the night of the murder around the house. It was a positive lead for prosecutor Mignini - but came to nothing in court.

But the prosecution had more evidence in the form of a bra clasp, one that fell to the floor after the murderer cut Kercher's bra in half before she was killed.

And on it was Sollecito's DNA.

Bremner says that evidence on the clasp is fundamentally flawed, like much from the crime scene collection, calling the work "Fellini forensics."

"In the [crime scene] video, you can see it went from being white in color to nearly black because it got so dirty being moved around," Bremner said of the clasp, noting that tainted the only evidence that placed Sollecito at the scene.

Bremner described other errors she saw on the crime scene video. "They were putting their fingers in Kercher's wound, they were shaking out evidence, picking up hairs and dropping them," she said. "Some people didn't wear gloves or had their hair draping on the floor, they crashed into a window at one point and threw aside evidence. It was just wrong on all levels."

The prosecution source maintains the crime scene was handled properly, and the evidence shows what it shows. The source says it's up to the defense to prove otherwise.

Biggest case for Italy or the 'greatest travesty' ever?

Knox's introduction to the world came in a whirlwind of tabloid headlines.

The prosecution touted hard evidence early that they said unquestionably showed they had their killers.

There was a footprint in Knox and Kercher's bathroom that was attributed to Sollecito - though later analysts admitted it belonged to Guede, who was convicted of Kercher's murder in 2008.

The prosecution also presented what they called a confession by Knox, but Knox later said any apparent admission she was at the scene was made when investigators told her to imagine what she might have seen if she had been there.

The argument became moot when a higher court ruled the alleged confession could not be used because the statement was made without an attorney or translator present.

The tabloid headlines continue as the trial closes.

Media around the world focus on Knox's sexual history, what clothes she wears to court and whether a bump on her lip means the girl they dubbed "Foxy Knoxy" has herpes.

It's all a distraction from the lack of evidence, Bremner said.

"It's the greatest travesty of a prosecution ever," Bremner said. "It's so ludicrous. You've got to have a theory, or a motive, but the theory has to fit the facts somehow. And in this case, there's no solid evidence, no motive and no match whatsoever."

Knox's supporters maintain that the prosecution did get one thing right - putting Guede behind bars. He chose a fast-track trial, separate from Sollecito and Knox, and was convicted of murder and attempted sexual assault and sentenced to 30 years. They believe he was Kercher's sole killer. He is appealing the verdict.

They believe Knox and Sollecito are only being prosecuted because they were flaunted so publicly as the killers, and it would look bad for officials to admit they got it wrong.

The prosecution source rejects that, and portrays Knox, Sollecito and Guede as three people who together ended the life of the young British woman. And they say the way Knox originally pointed the finger at another man - who was cleared with an alibi - shows she had something to hide.

Both sides agree the truth is in the evidence, and it will soon be for the jury to decide which version they believe.

CNN's Hada Messia and Amy Sahba contributed to this report.

@highlight

Trial of Amanda Knox, accused of murdering fellow student in Italy, is nearing end

@highlight

Key pieces of evidence that once seemed to signal closed case are disputed by defense

@highlight

Opposing sides argues over what is revealed by alleged murder weapon, DNA evidence