President Barack Obama said Wednesday that the world set a red line against chemical weapons use that he now seeks to apply to Syria, while a Senate committee approved a resolution authorizing the U.S. military attack that he is planning.

By a 10-7 vote, the Senate Foreign Relations Committee passed the resolution that authorizes a limited military response, giving Obama an initial victory in his push to win congressional approval.

The measure now goes to the full Senate for debate next week. The Democratic-led chamber is expected to pass it, but the outcome is less clear in the Republican-led House where top diplomatic and military officials made their case on Wednesday for action.

Liberal Democrats, tea party libertarians and moderates from both sides questioned Secretary of State John Kerry, Defense Secretary Chuck Hagel and Joint Chiefs Chairman Gen. Martin Dempsey about whether limited military attacks can change anything and if they will lead to U.S. involvement in another war.

"What are the chances of escalation? Are different scenarios accounted for? If our credibility is on the line now as is argued what about if Assad retaliates?" asked GOP Rep. Ed Royce of California, the chairman of the House Foreign Affairs Committee.

In Sweden on the first of a three-day overseas trip that includes the G-20 summit in Russia, Obama told reporters that the red line he spoke of last year regarding Syria's use of chemical weapons came from international treaties and past congressional action, rather than something he "made up."

Obama also insisted he had the authority to order attacks -- expected to be cruise missile strikes on Syrian military command targets -- even if Congress rejects his request for authorization.

America "recognizes that if the international community fails to maintain certain norms, standards, laws, governing how countries interact and how people are treated, that over time this world becomes less safe," Obama said. "It becomes more dangerous not only for those people who are subjected to these horrible crimes, but to all of humanity."

He cited World War II as an example, saying "the people of Europe are certainly familiar with what happens when the international community finds excuses not to act." At the same time, "as commander in chief, I always preserve the right and the responsibility to act on behalf of America's national security," Obama said.

Conservative critics have said Obama painted himself into a corner with his statement last year that Syria's use of chemical weapons was a red line that would change his approach to its civil war.

Obama: It is the world's red line

"A red line for us is we start seeing a whole bunch of chemical weapons moving around or being utilized," Obama said in August 2012. "That would change my calculus."

Now, critics on the right say, he must respond to an alleged chemical weapons attack outside Damascus by the Syrian regime that Kerry said killed more than 1,400 people or lose credibility.

The administration and top congressional leaders attempted to blunt that criticism on Tuesday during debate on Capitol Hill. Even House Majority Leader Eric Cantor, the chamber's No. 2 Republican, said any president would have drawn that red line based on international norms.

Obama made that same argument on Wednesday, saying: "I didn't set a red line. The world set a red line."

"The world set a red line when governments representing 98 percent of the world's population said the use of chemical weapons are abhorrent and passed a treaty forbidding their use, even when countries are engaged in war," he said at a joint news conference with Swedish Prime Minister Fredrik Reinfeldt on the first day of a four-day trip that includes the G-20 summit in Russia.

"Congress set a red line when it ratified that treaty," Obama continued. "Congress set a red line when it indicated that in a piece of legislation entitled the 'Syria Accountability Act' that some of the horrendous things that are happening on the ground there need to be answered for."

Sounding exasperated, Obama added: "That wasn't something I just kind of made up. I didn't pluck it out of thin air. There's a reason for it."

Obama prods international community to act

Asked about whether he was seeking to save face, Obama insisted that "my credibility is not on the line -- the international community's credibility is on the line."

He framed the question for the United Nations and the global community at large as: "Are we going to try to find a reason not to act? And if that's the case, then I think the (world) community should admit it."

Opposition by Russia, a Syrian ally, has scuttled U.S. and British efforts to get the U.N. Security Council to authorize a military response against Syrian President Bashar al-Assad's regime.

U.N. inspectors returned from Syria last week from their mission to confirm if chemical weapons were used, but Kerry said Wednesday it would take three weeks for samples collected to analyzed and results announced.

"I respect the U.N. process," Obama said while standing next to Reinfeldt, who opposes military intervention without U.N. approval.

"We agree that the international community cannot be silent," Obama added, saying also that the U.N. investigators had done "heroic work."

Noting the U.N. team's mandate was only to determine the use of chemical weapons, and not identify who used them, Obama repeated past statements that U.S. intelligence has confirmed chemical weapons use beyond any reasonable doubt and has further confirmed that al-Assad's regime "was the source."

"I do think that we have to act, because if we don't, we are effectively saying that even though we may condemn it and issue resolutions and so forth and so on, somebody who is not shamed by resolutions can continue to act with impunity," Obama said.

International norms then "begin to erode," he added, and "other despots and authoritarian regimes can start looking and say, 'that's something we can get away with.'"

He described the intended U.S. response as "limited in time and in scope, targeted at the specific task of degrading (al-Assad's) capabilities, and deterring the use of those weapons, again."

More than 100,000 killed in Syrian conflict

The United Nations has said more than 100,000 people -- including many civilians -- have been killed since the popular uprising spiraled into a civil war in 2011.

In Washington, the resolution passed by the Senate Foreign Relations Committee set a 60-day deadline for use of force in Syria, with an option for an additional 30 days.

An amendment accepted by the panel from Republican Sen. John McCain of Arizona and Democratic Sen. Christopher Coons of Delaware added language to say the military response was intended to reverse Assad's battlefield momentum, a stronger objective than degrading the Syrian regime's chemical weapons capabilities as Hagel told the committee on Tuesday.

If Assad "remains in an advantageous position, he will never leave Syria," said McCain, who has been pushing for a more robust U.S. response. "He has to know that he is losing and that way you get a negotiated settlement for his departure."

The resolution also makes clear there would be no U.S. boots on the ground as part of a response in Syria.

A White House statement welcomed the panel's vote, saying "the military action authorized in the resolution would uphold America's national security interests by degrading Assad's chemical weapons capability and deterring the future use of these weapons, even as we pursue a broader strategy of strengthening the opposition to hasten a political transition in Syria."

After the vote, senators on the panel made statements that explained their thinking, with some calling for more efforts to build an international coalition before any attack takes place.

"Vietnam started with U.S. advisers and a limited Naval presence. It led to an all-out war," noted Democratic Sen. Tom Udall of New Mexico, who opposed the resolution.

Kerry, Hagel and Dempsey appeared before the Senate panel on Tuesday to press for approval of authorization.

Tough questioning by House panel

The same trio then faced questions on Wednesday before the House Foreign Affairs Committee, with Royce saying the administration's Syria policy had been adrift for two years.

At the same time, Royce acknowledged there were "no easy answers" on Syria, and attempting to deter chemical weapons use was worth considering despite public skepticism for U.S. military involvement.

Kerry said Obama sought authorization for a response to the use of banned weapons, not a full military intervention.

"We are not asking America to go to war," he said. "We all agree, there will be no American boots on the ground."

In response to a question, Hagel put the cost of the limited response under consideration at "tens of millions" of dollars.

Most of the focus of administration lobbying has been on the House, where opposition by liberal Democrats and libertarian conservatives, as well as the bitterly partisan political environment of the Republican-led chamber, make passage of Obama's authorization proposal uncertain.

House Speaker John Boehner and Cantor, the No. 2 Republican, both have endorsed a U.S. military response, but Wednesday's hearing showed widespread concerns and outside opposition from across the political spectrum.

Polls also show that a majority of Americans oppose a U.S. military strike on Syria.

In the Senate, a Democratic source familiar with Majority Leader Harry Reid's thinking told CNN that Reid is confident any authorization measure will pass his chamber. The source said it is likely 60 votes will be needed to overcome a filibuster, and Reid thinks the votes are there.

Before that, however, lawmakers will hear from the Russian government, which is moving ahead with its efforts to lobby Congress in an attempt to undercut Obama on Syria. Moscow has sent an official request to congressional leaders to meet with them.

"We're planning the visit," a Russian Embassy spokesman told CNN, "We can't tell you the exact time but it will be next week."

Boehner will not meet with the Russians, his spokesman said.

@highlight

The White House welcomes Senate panel's support for a limited Syria strike

@highlight

A House committee questions top administration officials

@highlight

President Obama calls on the international community to act on Syria

@highlight

Obama kicks off a trip to Sweden and Russia as Congress debates Syria