(CNN) -- I carry in my mind a picture of the Rev. Martin Luther King Jr. at the beginning of the Selma to Montgomery voting rights march on March 21, 1965. What makes that picture so vivid to me 48 years later, as we prepare to celebrate his 84th birthday this month, is that voting rights issues I once imagined were over have resurfaced on a national scale.

The biggest difference between then and now is that today's voter suppression operations are highly sophisticated, compared with the crude, racist ones conducted by Southern sheriffs and voter registrars through the middle 1960s.

Before the 2012 elections, well-funded efforts in state after state tried to curtail the participation of poor and minority voters by introducing burdensome voter ID requirements, despite a record showing individual voter fraud is virtually nonexistent in the United States.

A five-year, nationwide investigation into voter fraud by the George W. Bush administration resulted in just 86 convictions.

At the end of the Selma to Montgomery march, King delivered one of his most memorable speeches before a crowd of 25,000 on the steps of the capitol. "Our whole campaign in Alabama has been centered on the right to vote," he declared. "We are on the move now, and no wave of racism can stop us."

The beginnings of the march, which came about after violent clashes that pitted Alabama police and state troopers against civil rights protesters and black Alabamans trying to get on the voter rolls, were more uncertain. By current demonstration standards, those of us gathered at Selma, a hard town to reach for anyone who didn't live nearby, were few -- 3,200 by most estimates.

As he moved to the front of the line, King seemed eager to get started. He gave no indication he was worried about his own safety. When the march moved down U.S. Highway 80, he appeared unperturbed by the counterprotest that seemed jolting to me: a "Coonsville USA" sign, young kids carrying BB guns screaming "white nigger."

King had, I realized, accepted such hatred as part of his lot in life. He could not know that by August 6, 1965, the Voting Rights Act would be signed into law by President Johnson. He could only hope the Selma march changed more minds than were in the rows of us walking behind him.

The voter suppression efforts that were aimed at preventing President Obama from being re-elected in 2012 are a reminder that the decisive victory the 1965 Voting Rights Act provided can be undermined if we are not vigilant.

The Supreme Court already has on its calendar a case, Shelby County v. Holder, that tests the constitutionality of Section 5 of the Voting Rights Act, which requires state and local governments, primarily in the Deep South, with a history of discrimination to obtain "pre-clearance" from the Justice Department before making any changes affecting voting.

Motivating the Republican politicians, who in recent years have sought to suppress voting with tighter ID requirements, is their fear that the demographic tide is running against them.

We have come 180 degrees from 1968, when Kevin Phillips in his landmark political study of that election, "The Emerging Republican Majority," noted that by virtue of capturing the loyalty of the anti-civil rights whites of the South along with a majority of voters from the nation's heartland, Republicans put themselves in a position to be the dominant party in the country after decades of Democratic rule.

In 2012 the tide has shifted again. Despite taking 59% of the white vote, Mitt Romney could not win an election in which the votes of minorities and new immigrants make up such an important share of the electorate. Republicans, aware that their hostility to such issues as future citizenship for undocumented immigrants and affirmative action has put the majority of nonwhite voters beyond their reach, have sought to do what white Southerners did before 1965 -- erect voting barriers to preserve their power.

The voting barriers that King and the civil rights movement battled in the 1960s had their historic origins in such 19th century measures as the Mississippi Plan of 1890, in which the state instituted the poll tax as well as the requirement that a voter be able to read or interpret any section of the new Mississippi State Constitution.

The emphasis on photo IDs, which so many poor and minority voters lack because they do not own a car and cannot afford to fly, is a variation of this past Southern strategy, as Georgia's Democratic Rep. John Lewis, who was badly beaten at Selma during the "Bloody Sunday" protest of March 7, has pointed out.

The rhetoric of the Old South and the present can even sound alike when it comes to voter registration. We need only compare Judge R. H. Thompson bragging about how the Mississippi State Constitution of 1890 preserved the white vote "by Anglo-Saxon ingenuity" and Pennsylvania GOP House majority leader Mike Turzai telling a Republican State Convention this June, "Voter ID, which is going to allow Gov. Romney to win the state of Pennsylvania, done." (That Pennsylvania law ran into trouble with a judge and voter IDs were not required in the November election.)

It is easy to imagine King being dismayed by these historical regressive links, but it is hard to imagine him being moved to silence or inaction by them.

The opinions in this commentary are solely those of Nicolaus Mills.

@highlight

Nicolaus Mills remembers MLK's march from Selma to Montgomery for voting rights

@highlight

King was fighting for voting rights, he says, 48 years later, voting issues are re-emerging

@highlight

Mills: Today's voter suppression is subtle compared with the past's crude, racist attempts

@highlight

Mills: As we honor MLK, we should fight voter ID laws and attempts to erode voting rights