Military veterans are dying needlessly because of long waits and delayed care at U.S. veterans hospitals, a CNN investigation has found.

What's worse, the U.S. Department of Veterans Affairs is aware of the problems and has done almost nothing to effectively prevent veterans dying from delays in care, according to documents obtained by CNN and interviews with numerous experts.

The problem has been especially dire at the Williams Jennings Bryan Dorn Veterans Medical Center in Columbia, South Carolina. There, veterans waiting months for simple gastrointestinal procedures -- such as a colonoscopy or endoscopy -- have been dying because their cancers aren't caught in time.

The VA has confirmed six deaths at Dorn tied to delays.  But sources close to the investigation say the number of veterans dead or dying of cancer because they had to wait too long for diagnosis or treatment at this facility could be more than 20.

"It's very sad, because people died," said Dr. Stephen Lloyd, a private physician specializing in colonoscopies in Columbia.

Lloyd and other physicians across South Carolina's capital city are being affected by the delays at Dorn as veterans seek treatment or diagnoses outside the VA hospital.

Lloyd is one of the few doctors in the area willing to speak on the record about the situation at Dorn.

"(Veterans) paid the ultimate price," he said. "People that had appointments had their appointments canceled and rescheduled much later. ... In some cases, that made an impact where they went into a later stage (of illness) and therefore lost the battle to live."

Oneal Sessions, a 63-year-old Vietnam veteran, said he was told by staff members at Dorn Medical Center this year that he didn't need a colonoscopy.  Instead, he said, they gave him a routine test that would show whether he had polyps that are cancerous or in danger of becoming cancerous.

Sessions said the VA told him to return in several years.

Thanks for your service, vets! Now try finding a job

But he ignored that advice and had a colonoscopy in the office of his private physician, Lloyd. In that procedure, Lloyd found and removed four polyps. Two of those polyps were pre-cancerous, the physician said.

Had Sessions waited another few years, Lloyd said, he could have had colon cancer.

"There is a little problem that the VA had," Sessions said.  "My feeling is, the VA is not doing their 'pre-stuff' that they should do to protect the veterans."

What happened at the Dorn hospital, however, was not just an oversight by the hospital.  Government documents obtained exclusively by CNN and not made public show that the hospital knew that its growing waiting list and delays in care were having deadly consequences.

Medical investigators reviewed the cases of 280 gastrointestinal cancer patients at Dorn and found that 52 were "associated with a delay in diagnosis and treatment."

The government documents CNN obtained illustrate just how bad delays at Dorn got:

• In May 2011, a patient was brought into the emergency room needing urgent care after suffering multiple delays, and the documents state "that was the facility's first realization that patients were 'falling through the cracks.' "

• Another veteran had to wait nine months for a colonoscopy -- "a significant delay," according to VA records, that "would have impacted the stage at which he was diagnosed." The record indicates that by the time this veteran had surgery, his cancer was at stage 3.

• Still another patient recommended for possible disease of the esophagus had to wait four months for an appointment and 11 months for an endoscopy, at which time he learned that he had later-stage esophageal cancer.  The internal VA report says that without the delay, "his cancer would have been diagnosed much earlier."  And though the report doesn't not say whether the veteran died, it does say that an earlier screening would have provided earlier detection "with better survival."

• In July 2011, a hospital physician sent a warning to administrators that the backlog for Dorn patients' gastrointestinal appointments had reached 2,500, and patients were waiting eight months -- until February 2012 --  for appointments.

• By December 2011, the documents show, the backlog at Dorn had grown to 3,800 patients, according to another warning e-mail from a physician.

Read the full VA investigation board report (PDF)

Little was done to effectively resolve the problems, according to expert sources and documents.

In September 2013, the VA's inspector general affirmed details of the delays at Dorn in stark language, stating that 700 of the delays for appointments or care were "critical."

Read the full IG report on Dorn (PDF)

Perhaps most troubling of all is that the problem at the Dorn facility had been identified, and taxpayer money was given to fix the problem in September 2011.

"We appropriated a million dollars (to Dorn) because VA asked for it," said Rep. Jeff Miller, R-Florida, chairman of the House Committee on Veterans' Affairs.

The documents obtained by CNN show that only a third of that $1 million from Congress was used for its intended purpose at Dorn: to pay for care for veterans on a waiting list.

The VA "will say, 'we redirected those dollars to go somewhere it was needed,' " Miller said. "Where would it be more needed than to prevent the deaths of veterans?"

At the same time, the documents show, the waiting list at Dorn kept growing to 3,800 patients in December 2011.

"These are real people that we're talking about, that are being harmed -- either made sick, will be sick in the future or have died," Miller said.

Documents and interviews show that the problem goes beyond delayed colonoscopies and other gastrointestinal procedures at Dorn.

CNN has learned from documents and interviews that other VA facilities have been under scrutiny by officials over possible delays in treatment or diagnoses.

Shortly before CNN published this report, the VA acknowledged that there have been concerns about delay of care at some of its facilities.

At the Charlie Norwood VA Medical Center in Augusta, Georgia, the VA said three veterans died as a result of delayed care.  Internal documents at that facility showed a waiting list of 4,500 patients.

The VA also acknowledged that it investigated delays at facilities in Atlanta, North Texas and Jackson, Mississippi. The VA said no "adverse outcomes" because of delays were found at the VA centers in Texas and Mississippi.

Homeless vet in makeover video has long road ahead

CNN also has learned that, though little publicized, the problem is not new.

"Long wait times and a weak scheduling policy and process have been persistent problems for the VA, and both the GAO and the VA's (inspector general) have been reporting on these issues for more than a decade," said Debra Draper of the Government Accountability Office.

Draper's office has been reporting to Congress on the delays in care at the VA for years. It is so bad, she said, that she and her staff have found evidence that VA hospitals have tried to cover up wait times, fudge numbers and backdate delayed appointments in an effort to make things appear better than they are.

She says that just getting someone to pick up the phone to make an appointment at a VA hospital can be difficult. And getting a detailed picture of the problem is nearly impossible, she said.

"It's unclear how long it is being delayed, because no one can really give you accurate information," Draper said.

Despite numerous reports and subsequent recommendations by the GAO, the problems with delays persist at VA hospitals, Draper and other experts say.

What veterans want you to know about military service

"Nothing has been implemented that we know of at this point," Draper said. "We've reported similar things, as well as the inspector general has reported similar findings ... for over a decade."

In fact, time and time again, even at hospitals where veterans died waiting for care, administrators got bonuses, not demotions, according to congressional investigators.

The House Committee on Veterans' Affairs has created a website devoted to what investigators say shows ongoing problems at the VA, but the rewards system that Miller says is in place seems to encourage those problems.

CNN's repeated requests for interviews with the VA have been denied. Even Congress has had its requests for information ignored, Miller said.

"But unfortunately, if they treat members of Congress ... this way, imagine how they treat the average veteran out there," said Miller. "I can imagine the grief they may be going through."

The VA said in a statement to CNN, "The Department of Veterans Affairs is committed to providing the best quality, safe and effective health care our Veterans have earned and deserve. We take seriously any issue that occurs at one of the more than 1,700 health care facilities across the country.  The consult delay at Dorn VAMC has been resolved."

The statement added that cases are now tracked daily, and additional staff members were hired.

But sources at Dorn -- both patients and medical staff -- tell CNN that's just not true. The problems continue, and veterans are still facing delays that could be killing them.

9 simple ways you can help veterans

@highlight

America's war veterans are dying because of long waits and delayed care, CNN has found

@highlight

The VA is aware of the problems and has done little to address it, documents show

@highlight

More than 20 are believed to have died or are dying because of waits at one VA facility