(CNN) -- Suddenly, Europe is talking about growth and not just austerity.

The French and the Greeks have followed voters in a series of other European countries in rejecting a pro-austerity government. The Greeks just denied their ruling parties a majority vote in the parliamentary elections, throwing into question the country's commitment to structural and fiscal reform. And the French elected Francois Hollande, who will be France's first Socialist president in 17 years.

America has a large stake in European prosperity. Twenty-two percent of U.S. exports are sent to Europe and the two economies are stitched together with cross-border investments, interdependent capital markets and a shared view of global economic governance. Our mutual dependence has grown to the point that when either economy catches cold the other one risks more than a mild sniffle.

The European elections add a degree of uncertainty for American companies thinking about investing in slow growth economies. But the impact is likely to be short-lived. As Europe goes through the process of finding a way to combine some growth with long-term deficit reduction, U.S. exports are likely to suffer.

As expected, the Hollande victory and the political upheaval in Greece triggered strong reaction from markets around the world. European banks that have been harboring reserves are likely to be even more cautious going forward. And again, there is talk of Greece having to leave the eurozone.

But for some time now, calls for growth have been heard from Ireland to Italy. The Dutch government suffered recently as it failed to heed calls for policies to foster growth. The new emphasis on growth reflects both a political and economic necessity. Greece has already plunged into high rates of unemployment. In Spain, the overall unemployment rate is approaching 25%. Almost half of younger Spaniards are out of work. Adding austerity to the mix is simply politically unsustainable in mature democracies, as the election results in France and Greece demonstrate.

Moreover, short-term austerity policy does not revive economic growth. Just take a look at Britain. There, the fiscal deficits have grown rather than shrink.

The French government will be looked over carefully by international investors. If France was to adopt short-term tax cuts or increases in spending, it will likely be met by investors demanding higher interest rates on government bonds, which would constrain the government in its ability to promote growth. If France pursues a stimulus package, investors will want to see not only how much money is spent but also how the money is spent. For example, investments in infrastructure, technical education and scientific research should produce very different results than traditional policies of tax cuts and added unemployment compensation.

What the struggling European countries should really do is learn some lessons from Germany, which has extended the retirement age, made adjustments to the social safety net and kept a tight rein on fiscal deficits. But it's not easy to emulate the Germans.

As France and its neighbors craft out new policies, slow growth in Europe will reduce some pressure on global commodity markets, particularly oil. That could be a plus for the United States. But, a decline in U.S. exports to Europe will drag down an already anemic job market at home.

Economic and financial trouble in Europe is not good for the American economy. Neither is the political turmoil caused by too much austerity imposed too quickly. Traders will do well with a period of volatility caused by the changes in governments. Longer-term investors in Europe or the United States will be fine as long as they keep their eyes on economic and corporate fundamentals.

The leaders of France and Germany are expected to meet next week, shortly after Hollande takes office. They have every reason to pursue reasonable policies that will benefit everyone.

The opinions expressed in this commentary are solely those of Kent H. Hughes.

@highlight

French and Greeks reject their pro-austerity governments in elections

@highlight

Kent Hughes: America has a large stake in European prosperity

@highlight

He says that short-term austerity policies do not revive economic growth

@highlight

Hughes: Traders will benefit from market volatility, long-term investors will do fine