(WIRED)Screens are rectangles. Even the 3-year-old playing with your iPad could tell you that. But what would the digital world look like through a different sort of frame? Say... a circular one?

Monohm, a startup based in Berkeley, California, was founded around this very idea. For the last year, the three-person team has been working a circular, palm-sized device dubbed Runcible.

They cheekily refer to it as the "anti-smartphone," a description that goes for both its form factor and its value system.

The round device is meant to be the antidote to our feed-obsessed, notification-saturated digital existence. It's a challenge to the rectangular status quo and everything it represents. That's a quixotic dream, but an interesting one.

Display technologies have a long and rectangular history. Before smartphones there were movie screens, TVs, and computers, not to mention paintings and pages of print. And then of course there are windows—in some ways the original glass rectangles.

In each case, the rectangle's prominence can be attributed in large part to practicality. Whether you're talking about film or glass or stone, rectangles are easy to make. They don't leave much wasted material.

As frames for shaping the world, however, different types of rectangles can produce vastly different effects.

14 of the Best Architecture Photos From the Past Year

In her book The Virtual Window, which traces the rectangular frame from Renaissance painting up through Microsoft Windows, media theorist Anne Friedberg offers an example from the history of architecture, centering on a public feud between French builder August Perret and the preeminent modernist architect Le Corbusier.

Perret was a strong advocate of the traditional French casement window, which was oriented vertically. Its main function, he said, was to let light into a room. Le Corbusier, making use of new manufacturing techniques, designed his buildings around long, horizontal windows, which were as much about framing the outside world as illuminating the space within. The disagreement influenced architecture for decades to come. The simple act of turning a rectangle on its side gave us entirely new ways to think about space.

Rectangles are still subtly dictating our behavior today. Movie screens, chased by TVs, have gotten bigger and wider, encouraging us to sit back and lose ourselves in the spectacle. (In 1930, Russian filmmaker Sergei Eisenstein lamented how the cinema's "passive horizontalism." He wanted the screen to be square.)

Smartphones, with their slender, touch-controlled displays, have become a distinctly more active rectangle. Paired with the never-ending vertical feeds that fill apps like Facebook, Instagram, and Twitter, they've become an irresistible, inexhaustible diversion.

The point is this: Frames matter. They suggest certain things about how we should approach them. They shape the type of stuff that's made for them. And if just turning a rectangle on its side can make such a big difference, imagine all the interesting things that might happen if you left the rectangle behind altogether.

Runcible isn't meant to be a smartphone replacement so much as an alternative. "I think we've become really, really good at getting interrupted and creating conduits for interruption," says Monohm CEO Aubrey Anderson, who met his co-founders during a stint at Apple. "It's time now to use technology to get a little quieter."

If miniaturizing the computer is what got us the smartphone, Runcible asks what a gizmo might look like if you started by souping up a pocket watch. And the shape of the device is central to that thinking. A circular frame, after all, is no good for browsing a Twitter feed.

12 Most Ancient and Magnificent Trees From Around the World

So what is it good for? That's the question. At this point, Runcible as much a provocation as an actual product.

The three-person team, which has been working with the San Francisco design studio Box Clever on the concept for nearly a year, has some prototype hardware and a crude sketch of an operating system, but they've still got a long way to go.

They've got a few vague ideas for applications. One is a sort of dashboard that gives you an overview of activity on your social media accounts. Another is a compass-style mapping system that encourages wandering instead of pure A-to-B efficiency. But they're more enthusiastic about the philosophy behind it all: They want to see applications that distill information and streamline interaction, software that constrains the smartphone experience as it exists today.

All this is easier said than done, of course. Throwing out centuries of rectangular thinking and starting from scratch ain't easy. Plus, it's not clear that people really want constraint to begin with. Smartphones are distracting, sure, but they're also incredibly useful and immensely entertaining and maybe a little distraction is a fair price to pay for all the good stuff.

Still, even as a hint of a possible device, Runcible is compelling. For one thing, the company's hardware model feels great in the hand (The team's hardware guy, George Arriola, came from Sony, where he helped design the PlayStation 4.) The model's curved back brings to mind the very first iPhone—and makes you consider how each successive generation has become a little bit harder to hold. And though unformed, the vision for the software is interesting too.

If today's interactive rectangles and infinite feeds signal that there's always more stuff just outside the frame, circles could offer something more self-contained, more complete. Maybe even something actively inefficient. Rectangles are beautiful and functional. Circles are zen.

A circular device would sever the link to the printed page, the TV and the computer, and invite developers to look elsewhere for metaphor and inspiration. Pocket watches and compasses. Microscopes and telescopes. Peep holes, port holes, and wormholes. Dials, buttons, and other circular controls.

15 Incredible Photos That'll Remind You to Be Awed by Planet Earth

If nothing else, the concept could be valuable simply for helping us identify some of the assumptions and habits that underlie our existing devices.

Maybe thinking about circles could help us make our rectangles better.

Runcible is just one scrappy, literal attempt to abandon the rectangle. But similar thinking is happening elsewhere. Android Wear, Google's smartwatch operating system, reconsiders what apps should look like on a tiny circular display.

Apple Watch is in some ways another rectangle, but its real estate is limited enough that it will also encourage new, less rectangular thinking. (Note how its home screen ditches iPhone's grid of icons for a blob of circular ones. Also note the recent rise of circular avatars over the traditional square ones in apps and interfaces of all kinds).

We've seen how sensors can be harnessed to choreograph experiences that happen outside of the frame entirely, as with Disney's Magic Bands, which usher you through the company's parks. And then of course there are technologies like augmented reality and virtual reality, where your nose is effectively pressed so close to the glass that the frame disappears entirely.

Here, the screen is less of a window, more of a lens. The only frame is your field of vision.

Rectangles will endure. They're easy, they're efficient. But as new components and manufacturing techniques make it easier to experiment with other forms, we'll likely find people exploring the unique effects they can produce. Just recently, in fact, we saw an instance of a tech industry giant leaving the glass rectangle behind in a very big way.

In a 10 minute video, Google proposed a new headquarters that would leaves boxy buildings behind in favor of tent-like structures draped in glass. These buildings don't have vertical windows or horizontal windows. They're nothing but windows, or maybe they're so radical that the concept of "window" doesn't even really apply.

Whatever the case, there's nothing rectangular about them, and Google's convinced they're the future.

Read more from WIRED:

There's a Super-Fast Method for Boarding Planes, But Airlines Aren't Using It

21 Awesomely Well-Designed Products We're Dying to Own

What Cities Would Look Like if Lit Only by the Stars

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

A Californian startup has developed a circular smartphone called "Runcible"

@highlight

The provocative anti-phone is meant to be an antidote to our obsession for digital devices