(CNN)Selma, it seems, is everywhere.

The Ava DuVernay film of that name continues to draw audiences and plaudits, while this month marks the 50th anniversary of three pivotal civil rights marches from the Alabama city -- the first two stopped by brute force, the third a triumphant procession to the state capital of Montgomery led by Martin Luther King Jr., Ralph Bunche, Maurice Davis and other activists.

Now, the events that seared those marches into the American consciousness are the subject of a photography show at the Steven Kasher Gallery in New York. "Selma March 1965" brings together -- for the first time, anywhere -- pictures by three essential witnesses of the civil rights era: James Barker, Spider Martin and the man Kasher calls "the single greatest civil rights photographer" -- Charles Moore.

The pictures in the gallery above include Moore's work in Selma and from other parts of the South, including some of the riveting, award-winning photos he made in Birmingham, Alabama, in 1963. (Two weeks after his Birmingham pictures appeared in a landmark issue of Life magazine, a letter to the editor succinctly captured the elemental power of Moore's work. The Birmingham pictures, wrote a reader from Indiana, were "superb and bone-chilling.")

"The quality, the depth, the sense of reality that he brings to the work is unparalleled," Kasher said of Moore's civil rights shots. Kasher's own bona fides on the topic, meanwhile, are well-established: He's mounted photography shows on the civil rights movement in 30 different public venues since the mid-1990s.

"It's important to remember that Charles was a white Alabaman," Kasher said. "He was the photographer at the Montgomery Advertiser -- hardly a bastion of integration -- who became very sympathetic to the movement. I knew Charles pretty well, and he had many sides to him -- sides he was able to reconcile and that allowed him to shoot with a deep understanding of so many different points of view. He was not parachuting into these marches and protests in the South. He had roots there and was fully engaged.

"Of course, there are lots of really good pictures of the era by, say, Bruce Davidson, Bob Adelman and others, but they're Northerners -- and I think that shows. There's a sense in many of the photos made in the South by Northern photographers that what they were capturing was somehow exotic. For Charles, this was home."

At his very best, Moore invested his pictures with an unsettling intimacy. Whether he was chronicling the overt, graphic suppression of human rights or framing a profoundly human moment -- as in his unforgettable shot of bloodied poet Galway Kinnell in Selma -- Moore's photographs often feel as if he was shooting with Robert Capa's famous dictum ringing in his ears: "If your photographs aren't good enough, you're not close enough."

Moore was always, always close enough.

John Loengard, who was a staff photographer at Life and later the founding picture editor for People magazine and for Life, the monthly, in the late '70s and '80s, calls Selma "a not particularly dramatic event, photographically." He does, however, have high praise for Moore's Birmingham work, specifically, and his legacy in general.

"There's no question that Charlie made some phenomenal pictures," said Loengard -- who, incidentally, took one of the most memorable photos of the civil rights era: a Life cover of Medgar Evers' weeping widow and son at the slain activist's funeral in June 1963. "And he did a terrific job, for example, on a cover story on (Alabama Gov.) George Wallace in the first few months of People."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Whatever else Moore might have shot, and however routinely excellent his output over the course of his long career, there's little doubt he'll always be remembered and honored for his work during those fraught years of the early and mid-1960s.

"What's especially significant to me about Charles' civil rights work," Kasher said, "is his clear affinity with nonviolence at the same time that he's depicting the irrationality and brutality of the segregationists.

"In his famous picture of a police dog attacking a black man in Birmingham in '63, for example, the figure in the photo is a perfect symbol of nonviolence. You know, the man is standing there, taking it, not fighting back, amid this incredible rush of hatred and violence and as another dog is charging right at Moore's -- at the viewer's -- face. It's a terribly complex image, swirling with information, but in the middle of it is this unmistakable emblem of the movement -- an emblem of the power and bravery of civil disobedience."

Charles Moore was an American photographer known for his images documenting the civil rights movement in the 1960s. Some of his photos are included in "Selma March 1965," a photography show taking place at New York's Steven Kasher Gallery from March 5 to April 18.

@highlight

The Steven Kasher Gallery will be showing powerful photos from the 1965 Selma marches

@highlight

Included are images from the late Charles Moore, whose civil rights work is legendary