(CNN)Half of the players in Monday night's inaugural College Football Playoff National Championship will walk away with the title of best in their game, but the averages foretell that fewer than 2% will make it in the pros.

For the rest, their futures lie elsewhere, and while most of the players taking the field Monday are on scholarship and all of them were given an opportunity for an education, whether that opportunity is realized is another matter.

A recent poll shows that American sports fans are not surprised that many athletes will squander their shot at education -- because they or someone else has decided that football should be the No. 1 priority while they are in school, because their classes must fit into practice schedules or because their goals are set by athletic departments rather than academic advisers.

The poll also suggests that most fans have lost faith in the notion of the student-athlete.

In last week's Monmouth University poll of 1,008 adults, 67% said they thought universities put too much emphasis on their athletic programs, and only 24% thought colleges with big-time programs -- such as the Oregon Ducks and Ohio State Buckeyes, which are taking the field in Arlington, Texas, on Monday -- find the right academic-athletic balance.

"Americans are in love with big-time college sports, but as the Monmouth poll makes clear, they also recognize that many institutes of higher education are not properly balancing the important mix of athletics and academics," Monmouth President Paul Brown said in a news release.

The NCAA could not be reached for comment on the polling data.

Fans feel they know why the balance is off and who's to blame, according to the poll: Three out of four said the pressure of competition in big-time college athletics warps a school's priorities, while 42% of respondents said the NCAA does a poor job of emphasizing the right balance.

"I think the poll has it right. I think America has a pretty good pulse on what's going on," said Ramogi Huma, president of the National College Players Association, which strives for NCAA reform.

Consider the disparity in the numbers. While the average in-state public school scholarship is worth about $15,000 a year and the average private university scholarship is worth about $35,000 annually, according to the NCAA, top-notch football programs stand to make millions by shipping their teams off to bowl games.

The SEC and ACC, two of the Power Five football conferences, are projected to reel in more than $80 million each from bowl season, which they'll distribute to their member institutions.

A lot of the money comes from TV rights, and the College Football Playoff promises to make those rights even more lucrative, as the two playoff games leading up to Monday's showdown -- the Rose and Sugar bowls -- drew 28.2 million and 28.3 million viewers, respectively, making them the most-watched shows in cable history, according to ESPN, which aired the games.

By comparison, last year's Bowl Championship Series final between Auburn and Florida State, also on ESPN, recorded an audience of 25.6 million. The record for viewership in a championship game, 35.6 million, is the 2006 Rose Bowl between Texas and the University of Southern California, which aired on ABC.

"When you're a player, everything tells you that you are there for athletics first," Huma said. "You schedule classes around practice, you have to find a major that you can succeed at around that."

Quarterback Cardale Jones, who will be starting for Ohio State on Monday, apparently received that message when he infamously tweeted as a freshman two years ago, "Why should we have to go to class if we came here to play FOOTBALL. We ain't come to play SCHOOL classes are POINTLESS." He was suspended and has since called the tweet "just a stupid thing to do at that time."

Last year, when football players at Northwestern University -- a school with one of the more admirable academic-athletic reputations -- went to the National Labor Relations Board in an attempt to unionize, it was discovered that during the season, athletes devoted 50 hours a week to their sport.

That's well above the NCAA's 20-hour rule, which mandates that student-athletes may engage in "countable athletically related activities" for only four hours a day and 20 hours a week during the season, and eight hours a week the rest of the year.

Included in those activities are games, practices, film sessions, conditioning, meetings called by coaches and workouts with coaches present, according to the NCAA.

When Northwestern's daily football schedule was entered into the record during the labor board hearing, it showed that much of the week was about athletics. The board later ruled in favor of Northwestern football, citing the demanding hours.

Commissioner Bob Bowlsby of the Big 12, another Power Five conference, said in 2013 that the 20-hour rule "is a joke" because there were "too many exemptions, too much falsification of records."

Among the activities that do not count toward the 20-hour rule are voluntary workouts, voluntary sports-related activities with no coach present, recruitment activities, traveling to competitions, training room activities, rehabilitation, medical exams and public appearances, the NCAA states.

Huma cited basketball's March Madness as a clear example. A team that makes it to the Final Four, the semifinals of the three-week-long tournament, could miss huge chunks of class, he said.

Kain Colter, the Northwestern player who started the labor union movement, testified during the March 2014 hearing that he was forced to change his major from pre-med because it didn't fit into his practice schedule.

That's something athletes at universities across the country echo, Huma said.

"Ultimately, you can see it in the graduation rates," he said. "Significant time demands are a significant contributor to the poor graduation rates among football and basketball players."

You can also see it in the scandals. There have been 37 academic fraud scandals since 1990, according to research done by the University of Oklahoma's Gerald Gurney and Eric Snyder and Ohio University's David Ridpath, professors working on academic reform.

That includes the latest and largest scandal at the University of North Carolina, which was once revered for its ability to produce talented athletes who also succeeded in the classroom.

Much of that success has now been called into question, as an independent investigation uncovered an 18-year cheating scandal last year.

The investigation, conducted by former Prosecutor Ken Wainstein, found that thousands of athletes who were underprepared or too busy with athletics were funneled into "paper classes" where a one-time paper was accepted for an easy grade. Many of those papers were plagiarized, and administrators often knew it, the investigation found.

"I think the UNC example stands as a testimony to what little opportunity these athletes have for a real education," said Gurney, who is current president of the Drake Group for academic integrity in collegiate sport.

"The NCAA and (its president) Mark Emmert, specifically Mark Emmert, promise athletes a world-class education, and that simply is not true and a boldface lie when it pertains to football and men's basketball players in Division I."

CNN's Eliott C. McLaughlin contributed to this report.

@highlight

Poll: Only 24% feel programs like Oregon, Ohio State find academic-athletic balance

@highlight

3 of 4 of those polled say competitive pressure of sports warps school priorities

@highlight

Scandals, graduation rates indicate American fans understand reality, expert says