When Pieter Franken visited Hong Kong one of the first things he did was measure the level of radiation in his hotel room.

A Geiger counter is not usually packed by a business traveller, but well as having a banking industry day job Franken is part of a Tokyo-based citizen action group set up to map the radiation levels of cities across the world.

Called Safecast, the group was founded as a response to the dearth of accurate, comprehensive data on the radioactive fall-out from Fukushima's stricken nuclear reactors.

Read more about Japan's recovery from the Fukushima nuclear disaster

"The whole idea is to measure everything (rather than only performing spot checks)," said Franken.

Hong Kong lies just 50 kilometers from a nuclear power station located in Daya Bay in Guangdong province, but its 12 permanent radiation monitoring stations are not in heavily populated urban areas.

On a six-hour drive around the city's major commercial and residential, Franken mapped radiation levels with a portable monitoring kit devised by Safecast.  All the data is publicly viewable as interactive heat maps on Safecast's website.

The drive revealed that Hong Kong had a constant level of radiation that hovered around 0.2 microsievert per hour for an annualized dose of 2 millisieverts.  This was slightly higher than the 0.1 microsievert per hour that Safecast mapped in the major urban centres of Tokyo and Beijing.

One millisievert per year is an internationally-recognized nuclear factory guideline for exposure to radiation by the general public, according to Dr. John Leung, radiation expert and physics professor at the University of Hong Kong.

"Your risk of having cancer is increased for 4 to 5% per sievert of radiation your body absorbs," explained Leung.  "The way to control it is to receive as little as possible."

On his drive around Hong Kong Franken wanted to see how localized the radiation was, "but it seems to be all over," he said.  "In Tokyo, you will come across hotspots, sudden spikes in readings, but here you don't have that kind of concentrated source."

More on Rebuilding Japan

Much of the radiation we are exposed to everyday is naturally-occurring—produced by the sun, soil, water and rock.  The World Health Organization estimates that on average, people are exposed to 2.4 millisieverts per year from natural background radiation.

However this natural background radiation did not explain the uniformity of Safecast's Hong Kong findings or the spikes in radioactivity in tunnels.

It led Franken to believe that the common denominator throughout the city, concrete, was a key source of the radiation. Or more specifically, the locally-sourced granite aggregates used in place of pricier cement to make the concrete.

"Hong Kong is lying on a high-background radiation level because the radionuclide content in the granite in this region of the country is a bit higher than the world average," said Leung.  "There is more uranium and thorium in our granite.  It's natural."

A study conducted by Leung and his colleagues in 1990 found that the gamma radiation dose rate of local soil to be 1.8 times the world average.

Hong Kong's concrete infrastructure poses no immediate harm to residents' health, but some wonder if more attention should be given to how buildings are made in the city.

"When we make concrete, we don't pay attention to the mineral content of the rock, so long as it is strong enough," said University of Hong Kong structural engineering professor, Albert Kwan.  "If it's really is the case (that local granite has elevated radioactivity), perhaps we should import our granite from elsewhere."

The everyday doses of radiation we encounter are far from being fatal in one shot, but it is the accumulated exposure that may be cause for concern.

According to the United Nations Scientific Committee on the Effects of Atomic Radiation (UNSCEAR), there is no direct evidence of ill effects on human health up to an accumulated dose of 10 millisieverts.  For comparison, a typical dose from a one-hour flight is 0.003 millisieverts per hour, while a 10-second chest X-ray would expose you to 0.05 millisieverts.

An accumulated exposure of 10 to 1000 millisieverts may result in an "increased incidence of certain types of cancer, years to decades later...The incidence of cancer in a population increases with the radiation dose received," according to UNSCEAR.

In 2006, the World Health Organization estimated that up to 4,000 cancer deaths would occur among over 500,000 clean-up workers, evacuees, and residents remaining in highly-contaminated areas near Chernobyl, many of whom were exposed to doses exceeding 100 millisieverts.

To reduce everyday levels of radiation Safecast suggests opening doors and windows to ventilate rooms. This minimizes the accumulation of radon - a radioactive gas produced by the decay of naturally occurring uranium and thorium. Inhaling radon - one of the leading sources of human exposure to natural radiation - in the home and workplace causes tens of thousands of deaths from lung cancer annually, according to the World Health Organization.

"What Safecast is doing provides a context for people to understand radiation," said Franken, producing two photos he planned to contribute to an online photography magazine. One was of a snow-covered Kyoto and the other of his seven-year-old daughter.

"The first photo shows where my family went after the crisis hit Tokyo, and the second shows the purpose of what we're doing all this for."

@highlight

Hong Kong's natural background radiation comes from local granite

@highlight

Rock aggregate used in cement for local buildings

@highlight

Radiation was monitored by Tokyo-based citizen action group

@highlight

Levels of radiation in city are not harmful