(CNN) -- Love that chocolate Haagen-Dazs ice-cream? But what about the way its makers treat their farmers? How about KitKat and the way its production impacts the environment?

In a campaign to push big companies towards more ethical sourcing, international development group Oxfam is asking people to think about food producers' attitudes towards issues such as climate change and workers' rights the next time they dig into their favorite treat.

Oxfam's "Behind the Brands" scorecard compares the way the 10 largest global food and drink companies do business.

The report, first compiled last year, looks at transparency, women's rights, farmers' rights and land, water and climate sustainability.

It relies on a "naming and shaming" strategy which asks people to share their concerns about the industry on social networks.

According to Oxfam, users asked companies to change their practices nearly 400,000 times since the campaign was first launched last February -- making their requests by sharing information on social media or printing out an information poster.

A year after its launch, the campaign is now looking at how these companies have improved their business practices.

Of the 10 biggest food and drink companies, nine made improvements to their policies in the last 12 months and improved their scores, Oxfam says.

General Mills, the seller of Haagen-Dazs and Yoplait, was the only one to see their score drop.

Oxfam's assessment is not favorable. "General Mills doesn't recognize key issues like the right to earn a living wage," the report said about the company that sells Betty Crocker, Cheerios, Haagen-Dazs or Old El Paso.

General Mills, like other low-performing companies, blames Oxfam's methodology for its poor scores.

"We do feel our efforts merit a stronger score," the company's spokesperson said.

"General Mills is strongly focused on sustainability," a spokesperson for the company said in a statement to CNN.

"We regularly report our progress in our annual Global Responsibility Report. Our report tends not to mirror the Oxfam scorecard, and because the scorecard is based only on publicly available information, that may be a key factor in their ranking," the statement said.

Associated British Food, the brand behind Jordans cereals and global tea business Twinings, improved its score slightly compared to last year when it finished last -- but in this year's report, Oxfam still highlights its lack of ethical sourcing policies.

"In reality, the group's policies are much, much more effective than Oxfam gives it credit for," a spokesperson for ABF, which finished second to last, told CNN.

"At ABF, we believe we have policies and practices in place to deliver a genuinely effective corporate responsibility strategy," ABF said in a statement.

At the other end of the spectrum are the companies Oxfam praises for their drive to change their sourcing attitudes.

"Nestle, Unilever and Coca-Cola have joined a race to the top on policies that help address issues like hunger, poverty, women's rights, land grabs and climate change in their supply chains," the report said.

Nestle scored the highest marks on the issues of climate change and water usage, while Coca-Cola came top of the table at supporting women's rights.

Unilever, the owner of Ben & Jerry's and Lipton got thumbs up from Oxfam for their support of small-scale farmers.

But Oxfam says even the top-ranking companies still have a long way to go.

"It will take time for them to reverse a 100-year history of relying on cheap land and labor to make mass products at huge profits but at high social and environmental costs. The race to the top is under way and there are clear leaders and laggards," Byanyima added.

Read more: Unwrapping the chocolate industry
Read more: Do you put your ethics where your mouth is?

@highlight

Oxfam's new "Behind the Brands" scorecard ranks the policies of the world's 10 biggest food and drink companies

@highlight

The report looks at transparency, women's rights, farmers' rights, and land, water and climate sustainability

@highlight

Nestle, Unilever and Coca-Cola finished top, with General Mills and ABF at the bottom