(CNN) -- Thailand is no stranger to civil unrest -- just four years ago the same emergency laws brought in this week were used to end political protests that left scores dead and thousands injured.

While this year's state of emergency may not differ in substance, it is being projected by the government of Yingluck Shinawatra as different in style.

The 60-day clampdown gives the government the power to implement curfews, censor the news media, disperse gatherings and use military force to "secure order."

Analysts say in this respect it is no different to the law that Suthep Thaugsuban -- a former deputy prime minister who is now leading anti-government protests -- used in 2010 to bring a violent end to months of protests in the capital Bangkok.

But this time, the government says it has no plans to crack down on the protesters that have disrupted the capital Bangkok for weeks.

Labor Minister Chalerm Yoobamrung, who will oversee the joint operation between the military and the police, told a press conference this week the government would not use weapons and would not attempt to disperse protesters at night.

In 2010, the military's attempt to clear protester encampments at night was widely held to have been responsible for the high death toll of around 80 people.

The use of the police as a stabilizing force in the deadlock has been widely seen as an attempt by the government to inject a civilian element into the state of emergency. In recent weeks, the government has been praised by foreign governments, including the United States, for its restraint in handling the protests.

Despite this, human rights groups fear the state of emergency could boil over if protesters -- who aim to disrupt elections scheduled for February 2 and want to institute an unelected "people's council" to run the country ahead of a political overhaul -- ratchet up the pressure.

"This is the same piece of legislation with the same powers," Phil Robertson of Human Rights Watch told CNN. "Her (Yingluck Shinawatra) powers are not limited by this."

"While she says she will not use these powers immediately, it will very much depend on the situation," he said. "If she felt that the protesters were instigating violence to stop the elections, she might use some of these powers.

"Our view is that we're concerned that this (the state of emergency) will be viewed as an escalation by the protesters, but on the other hand governments do have a responsibility to maintain some sense of law and order.

"As long as they do this in a rights-friendly way, I don't think people will complain about it. Everything will swing on what happens next."

While Thailand has said it remains open for business despite the state of emergency, the US State Department issued a travel alert for Thailand this week, warning U.S. citizens of the "unpredictable and ongoing demonstration activity" ahead of the elections.

According to the Tourism Authority of Thailand, a total of 34 countries and regions have issued travel warnings for Thailand, including China, France, Australia and Japan.

The protests have already rattled the nerves of some of Thailand's biggest investors. On Monday, the president of Toyota's Thailand unit Kyoichi Tanada told a press conference the company may reconsider up to 20 billion baht ($609 million) in investment -- and could even cut production -- if political unrest continues.

"For new foreign investors, the political situation may force them to look for opportunity elsewhere. For those that have already invested, like Toyota, we will not go away. But whether we will invest (further) or not, we are not sure."

Thailand is the biggest auto market in Southeast Asia and is a production and export hub for car manufacturers such as Honda Motor Company and Ford.

Despite political instability, Thailand has shown formidable economic growth over the past decade and is still attracting foreign investment from small to medium-sized enterprises.

In 2010, the medium-sized design company Design World Partnership decided to remain in Bangkok despite having its office windows shot out during the crackdown.

"We have to take the long view. If you look at the view over the past five to ten years the growth in Thailand has been phenomenal," Brenton Mauriello, DWP Chief Executive Officer, told CNN.

"Of course it would be better if it wasn't there and in the short-term our business has been affected but it's not catastrophic," he said. "You don't come to a country like Thailand and invest over a three or four-month period -- it's a long-term commitment."

He said that his company was expecting the situation to resolve itself and that by April or May it would be business as usual.

"We are now starting to invest back into Australia," said Mauriello, whose company began in Australia, established itself in Thailand in 1994 and and now has nine offices and 450 staff worldwide. "I think that shows that if we can do it, anyone can."

@highlight

Thailand has a long history of civil unrest, with dozens of governments since 1946

@highlight

The state of emergency invokes the same powers that were used in the bloody crackdown of 2010

@highlight

The 60-day clampdown gives the government wide-ranging powers to maintain public order

@highlight

Large investors such as Toyota have said continuing unrest could damage the Thai economy