(CNN) -- In a dusty corner of southern Chad's Moula refugee camp, the pounding beat of a skin drum drives a group of young men through a cluster of brick-made huts and into a makeshift soccer field.

They're summoned here, however, not to kick a football but to engage in an uplifting activity that can help them forget the tough conditions they live in: dancing

Organized by Chadian dancer and choreographer Taïgue Ahmed, these dance workshops are helping scores of displaced people to regain their self-confidence, while having fun and and finding a way of expressing themselves.

"The first time that I was at the refugee camps, the people were all quiet and in their tents. And now with the dance project, everyone came out, I think it has also changed their outlook," says Ahmed, an acclaimed dancer in his own right who has graced stages across Africa and internationally.

Landlocked in north central Africa, the Republic of Chad is one of the poorest countries in the world. Along with poverty and drought in the Sahara desert, hundreds of thousands of people have been uprooted, due to violence, corruption and civil war.

Chad's migrant workers pay price for Libya conflict

In 2005, Ahmed, who began dancing at the age of 13, created the dance company "Ndam Se Na," which means "dance together" in Ngambaye, a local language in southern Chad.

He initially launched a project where he used dance sessions as an educational tool to help children abstain from violent activities while at school. The success of the sessions prompted him to take his dance workshops to refugee camps along the border with the Central African Republic, introducing the joy of dance to its traumatized residents.

"The idea came to me after reading articles about refugees in Darfur," he says. "The children were exposed to war -- seeing weapons, nothing but war, the kids are traumatized. And the idea I had was, why can't I adapt this dance workshop for the refugee camps, to give the children an outlet, a way to have fun and to have a life."

According to the United Nations, Chad has been affected by a humanitarian crisis since 2001. Statistics reveal an alarming picture as the country had more than 300,000 refugees in 2010, according to the United Nations High Commissioner for Refugees.

S. Africa's first black dean teaches 'reconciliation over revenge'

In 2006 Ahmed reached out to the UN refugee agency for help with his dance workshops in the camps. He was then told to launch a pilot project in Gore, an area with two large refugee camps sheltering thousands of people.

"I was asked to test the project and that there weren't any resources for it but that I had to go try and see how it could work. So when my pilot project launched, the refugees were curious, they wanted to know what I was planning on teaching them," says Ahmed.

The project was a quick success: in the Gondje refugee camp 181 people of all ages signed up to Ahmed's dance workshops, followed by 76 refugees at the Ambucu camp.

After the sessions ended, the refugees demanded Ahmed's return to the camp to continue teaching them how to dance.

"I see there is hope because this dance that I am doing will help me earn an income," says 19-year-old refugee Bienvenue Ndubabe who has lived in a refugee camp for the past four years. "It will enable me to carry on with my studies," adds Ndubabe, who attends school in the local village and has every intention of furthering his studies next year.

Last October, Ahmed also teamed up with friend and colleague Jean Michel Champault -- director of the African Artists for Development foundation -- to start a project together called "Refugees on the Move."

The goal is to create a chain reaction and extend Ahmed's dance workshops to other countries in sub-Saharan Africa.

"Through dance we are trying to bring hope to troubled youths and try to reduce violence and bring a sense of social interactions," says Champault.

Somali rapper K'naan makes songs in the key of love

Inside the camp, Ahmed's dance lessons are life lessons, teaching people of all ages important skills as well as encouraging hygiene and education. Ahmed also doesn't shy away from sensitive issues, raising awareness on HIV/AIDS, women's rights, hygiene and education.

"What makes me the proudest is to see them smile, dance and laugh," says Ahmed. "When I dance I see others who laugh and from time to time I laugh! I'm only interested in this."

Ahmed has succeeded in giving the refugees that they need as much as food and shelter -- their sense of humanity and belonging.

"I've always said that for me, dance is something magical, that doesn't have barriers. We can find ourselves in an open space like this one and dance together -- it's joy, sometimes people meet up and become partners forever."

Teo Kermeliotis contributed to this report

@highlight

Chadian Taïgue Ahmed is a professional dancer and choreographer

@highlight

He is making a difference by holding dancing workshops in refugee camps

@highlight

The Republic of Chad is one of the poorest countries in the world

@highlight

Ahmed also raises awareness about issues such HIV/AIDS and women's rights