CNN -- At first, no one seemed to notice the young man who walked into the hotel lobby at around 7:45 that Friday morning.

Boys (whose faces are blurred out in this photo) attend a "summer camp" sponsored by Hamas.

He wore a baseball cap, a backpack and dragged a wheeled suitcase behind him. He casually checked his watch as he calmly walked toward a hotel restaurant filled with Western business executives.

A hotel security camera caught what happened next. In a matter of moments, the lobby was engulfed in billowing white smoke and flying debris.

Another suspected suicide bomber had left his bloody mark. The bombing at the JW Marriott Hotel and the adjacent Ritz-Carlton in Jakarta, Indonesia, on July 17 killed nine people, including the presumed bombers. Investigators are looking at a link between the attacks and a Muslim terrorist group fighting a "holy war" against the West.

Terrorism is not confined to any faith or any culture. Terrorists are driven by varying impulses. Yet since the September 11, 2001, terrorist attacks on America, terrorism has often been associated with young Muslim men.  Watch as CNN's Christiane Amanpour investigates how one madrassa student is recruited to join the Taliban »

People often assume that Muslim youth who turn to violence are ill-educated fanatics inspired by visions of meeting virgins in paradise. But that portrait is rarely true, terror experts say.

"They are not crazy people," says James Jones, author of "Blood That Cries Out From the Earth," a book that examines the psychology of religious terrorism.

"They [terrorist groups] won't recruit psychotic people," Jones says. "Crazy people are unstable. That's exactly what you don't want."

Then who are these Muslim men and women who turn to violence? Terror experts say they are shaped by several common factors.

They see no way up or out

Fathali M. Moghaddam, director of the conflict resolution program at Georgetown University in Washington, says some Muslim youth may embrace violent causes because they believe they have no chance for upward mobility in their country.

"Imagine if you're a 20-year-old and you want to get on in Egypt or Saudi Arabia," Moghaddam says. "You better be connected by family or know somebody important."

Many don't view politics as a plausible vehicle for social change, Moghaddam says. Their countries are often run by dictators who crush secular opposition groups -- with the tacit support of the U .S. government, these youth believe, Moghaddam says.

The only opposition groups that these Middle East dictators dare not attack are those based in the mosque, Moghaddam says. Those mosque-based groups, though, tend to be open to the influence of fundamentalists.

"There's no opportunity for voice, no opportunity to express yourself," Moghaddam says. "Politics is out of the question for the secular opposition -- you're either dead or go to jail."

Politics, though, is part of the answer for Hamas, an Islamic fundamentalist group that rules Gaza. The group, which has admitted responsibility for attacks against Israel soldiers and civilians, won a landslide victory in the 2006 Palestinian legislative election.  Watch a young man who chooses to join the Hamas militia »

"Some young people are inevitably attracted to the more risky positions and actions taken by a group such as Hamas because Hamas is critical of corrupt and inept dictators in the Arab world," Moghaddam says. "This resonates with Arab youth."

They're driven by a sense of humiliation

Some Muslim youth may turn to violence for another reason: revenge.

Basel Saleh, an assistant economics professor at Radford University in Virginia, recently studied the socioeconomic factors that helped shape 82 Palestinian suicide bombers and 240 militants.

He says he knows those factors firsthand.

Saleh's father's village was razed by the Israelis in 1948 and is now an Israeli settlement. He says he grew up in the West Bank where he once considered using violence to vent his anger after a group of Israeli soldiers came to his family's home unannounced and interrogated him while his younger sister cried.

"But I was on the verge of getting there," he says. "I almost crossed that line."

Most Palestinian youth who did cross that line weren't driven by religion, Saleh says.

"Many weren't motivated by Islamic fundamentalism," Saleh says of the Palestinian militants in his study. "They were motivated primarily by personal grievances. They had been arrested, shot or seen family arrested."

Saleh says some Palestinian youth who believe Israeli soldiers have mistreated their family members may feel duty-bound to retaliate with violence. Protecting one's family against humiliation is important in Middle Eastern culture, he says.

"If anything is done to your family, it's personal," Saleh says. "It has to do with the honor of the family. Family is everything in the Middle East. Your honor is defined by your family."

Saleh says if Israel did more to help improve Palestinians' living conditions, fewer Palestinian youths would turn to violence.

"You have to open a new path for them [Palestinians]," he says. "They want freedom of movement. Give them an airport, a port. Don't demolish their schools and their universities. Pay attention to basic human rights."

The anger felt by some Palestinian youth is also stoked by propaganda, says Michael Jacobson, a senior fellow in The Washington Institute's Stein Program on Counterterrorism and Intelligence.

Hamas sponsors children television shows and summer camps that are designed to indoctrinate Palestinian children with the same message, Jacobson says.  Watch Amanpour go inside a Hamas boys summer camp »

"From an early age, they're taught that fighting the jihad against Israel and being a martyr are great things to be," says Jacobson, author of "The West at War: U.S. and European Counterterrorism Efforts Post-September 11."

Other extremist groups use another medium, the Internet, to radicalize Muslim youth, says Jones, author of "Blood That Cries Out From the Earth."

Muslim youth who spend time on the Internet are exposed to sophisticated videos from terrorist groups showing Muslims being killed in places such as the West Bank, Iraq and Chechnya, Jones says.

The sophisticated videos tell the life stories of young Muslims who have volunteered to be martyrs, Jones says.

"There's this constant message that Islam is under attack," Jones says. "Your brothers and sisters are being killed. It's your duty to do something for them."

They're driven by a need to join a cause

Jones says the appeal of terrorist groups taps into an even deeper yearning in many youth, no matter their religion or culture: the desire to give one's self to a transcendent cause.

Jones, who joined civil rights demonstrations in the South during the 1960s, says he knows how exhilarating it can be for young people to join a cause that they believe demands some form of sacrifice.

Any effort to turn Muslim youth away from violent groups must make a similar appeal, and come from fellow Muslims, Jones says.

"We need something that has an equal amount of passion and moral seriousness that makes them believe they are making the world better," he says. "We need something with those elements but something that's more constructive than blowing yourself up."

@highlight

Most assumptions about young Muslim terrorists are wrong, experts say

@highlight

They say those that turn to violence are shaped by several common factors

@highlight

Terror expert: 'They are not crazy people'