(CNN) -- As oil continues to pour into the Gulf of Mexico following the Deepwater Horizon oil rig explosion, comfort may come from an unusual direction: the largest oil spill in history.

Between five and 10 million barrels of oil poured into the Persian Gulf in 1991 when Iraqi troops, retreating from their occupation of Kuwait, set fire to desert oil wells and opened the valves on oil rigs and pipelines.

The spill -- at least five times the most recent estimate of that spilled in the Gulf of Mexico -- devastated marine wildlife and coastal habitats in Kuwait and Saudi Arabia.

Yet, against all the odds, the Persian Gulf appears to have shown amazing resilience in response to the ecological disaster.

Nicolas Pilcher is a marine specialist with the International Union for Conservation of Nature.

He was in neighboring Saudi Arabia as oil began washing ashore on the beaches. It had flowed south along the coast from Kuwait.

"It was huge," Pilcher told CNN. "It's hard to describe for people who weren't there but it was basically a coast of black."

By the time Saudi authorities and international contractors initiated clean-up efforts, pumping oil from the sea into holding areas, much of the oil had sunk, evaporated or washed up on beaches, according to Pilcher.

"You would see oil on the beach or along the shoreline in the water, but it wasn't there for more than about a month," he said.

But oil slicks had an immediate and catastrophic impact on local wildlife.

Christophe Tourenq, science and research manager at the World Wildlife Fund's UAE office told CNN that researchers estimate 30,000 water birds were killed by the oil.

Fish eggs and larvae were killed by slicks, which in turn reduced the breeding success of some bird species by 50 percent in the year after the spill, he said.

More on oil spills: Read about Spain's 'Coast of Death'

But, according to researchers, in the years following the spill the Gulf's ecosystem began to make a remarkable comeback.

A 2008 joint German-Saudi research paper on the effects of oil pollution in the Persian Gulf stated that by 1994, fish and bird populations had returned to pre-spill levels. Whale, dolphin and turtle populations were largely unaffected, according to the same study.

The fishing industry was decimated after the oil spill and Iraqi mines made the Gulf a no-go area for Kuwaiti and Saudi fishermen. But, it too, had started to show signs of improvement by 1994, the same study shows, and is widely considered to have made a full recovery from the after effects of the spill today.

"What they found, and they've found in other places in the world, is that nature does recover," said Pilcher.

Although a colossal amount of oil was released into the Gulf, Pilcher said up to half may have simply disappeared from the water by a combination of evaporation and degradation by bacteria in the sea.

In the Persian Gulf, the local climate -- very hot and humid for most of the year -- would have helped.

Abdul Nabi Al-Ghadban of Kuwait Institute for Scientific Research has studied the impact of the spill.

He told CNN: "If you have a higher air/water temperature the lighter fraction of the oil, which is more toxic, evaporates, and the heavy fraction, which is least toxic, goes to the bottom."

"That's why with an incident like the Exxon Valdez, although in terms of volume it was far less than the spill in the Arabian Gulf, in that part of the world, because of the colder water the impact can be stronger.

"The lighter fraction stays there for a longer period and can inflict a lot of damage compared with hot areas."

Nonetheless, the oil spill has left the Gulf with some scars that have not yet healed. Ghadban said coral reefs have been damaged, particularly off the coast of Saudi Arabia.

And the heavier oil fractions, which don't evaporate or dissolve, have sunk into coastal sediments.

A 2003 U.S. study found huge quantities of oil in the sediment of salt marshes, mudflats and mangroves on the coast of Saudi Arabia.

Laila Hayat, of Kuwaiti activists Green Line Environmental Group, told CNN she feared that oil buried in beach sands could be released by the erosive action of coastal currents. It's a fear shared by Ghadban, who said studies are being carried out to test the likelihood of that occurring.

So, can any lessons from the Persian Gulf spill be applied to the ongoing Gulf of Mexico spill?

According to the latest U.S. government estimates, up to 855,000 barrels of oil have spilled into the Gulf of Mexico since a 5,000-foot-deep well erupted after an explosion and fire aboard the Deepwater Horizon drilling rig on April 20.

Gulf Coast Oil Spill

"There are probably similarities [between the spills], although it's too early to tell," said Pilcher. "One issue in the Gulf of Mexico is the sunken oil -- whether that ever makes it up on the surface and on the shores, or will it just sink to the bottom.

"In terms of the clean up, I think some coastal habitats are just way too fragile to be touched.

"Some of those coastal marshes will probably be more damaged by clean-up activities than they would be if they were left to deal with the disaster on their own."

For Ghadban, the lessons from the 1991 oil spill are all too relevant to the Gulf of Mexico spill.

"If you have an offshore operation you need to have a good contingency plan in case of spillage, damage, earthquake, or a problem with the pipeline.

"We learned the lesson that we have to have an action plan -- you have to expect the unexpected."

@highlight

1991 oil spill in Persian Gulf was biggest in history

@highlight

30,000 birds were killed and fish populations suffered

@highlight

The Gulf appears to have made a remarkable recovery, although oil has sunk into sediment

@highlight

Nature can recover by itself, according to marine expert