Washington (CNN) -- The 17-year sentence given to convicted terrorist plotter Jose Padilla was ruled too lenient by a federal appeals court on Monday, a legal victory for the Obama administration.

A divided 2-1 panel of the 11th Circuit U.S. Court of Appeals said the federal judge presiding over the 2007 conspiracy trial did not properly take into account the former gang member's past criminal history when sentencing him.

Padilla and two others were found guilty of conspiracy to murder U.S. citizens and provide material support to terrorists.

"Padilla's sentence is substantively unreasonable because it ... does not adequately account for his risk of recidivism, was based partly on an impermissible comparison to sentences imposed in other terrorism cases, and was based in part on inappropriate factors," said the majority.

"First, the district court acknowledged that Padilla had a criminal history but then unreasonably discounted this criminal history when it imposed a sentence. The presentence investigation report classified Padilla as a career offender, pursuant to [federal law] because of his extensive criminal history, which included 17 arrests and a murder conviction."

Padilla was originally arrested nearly a decade ago on accusations he planned to set off radioactive "dirty bombs" in the United States.

He had been held for 3 Â½ years as an "enemy combatant" in military confinement, without being charged in that alleged plot. His later convictions were not related to those accusations, and prosecutors did not present the "dirty bomb" plot to the jury.

He and co-defendants Adham Hassoun and Kifan Jayyousi were also found guilty of the three counts charged: conspiracy to murder, kidnap, and maim people in a foreign country; conspiracy to provide material support for terrorists; and providing material support for terrorists.

The appeals panel upheld the convictions and sentences of the other two defendants but said Padilla's prison term was too light, ordering the trial judge to resentence him.

The judges supporting the tougher sentence were Chief Judge Joel Dubina -- a George H.W. Bush appointee -- and William Pryor, a George W. Bush appointee. The order did not include a deadline for resentencing.

A federal court jury in Miami in August 2007 had deliberated for just under two days before handing down the guilty verdicts.

Padilla received a "fair trial and a just verdict," the Bush White House said in a statement at the time, but the administration decided to appeal the sentence. The Obama administration picked up the case in 2009.

There was no immediate reaction to the appeals ruling from either Padilla's legal team or the Justice Department.

During the trial, prosecutors played more than 70 intercepted phone calls among the defendants for jurors, including seven that featured Padilla, now 40. He is a Brooklyn-born convert to Islam who also is referred to in court papers as Abu Abdullah al Mujahir.

FBI agent John Kavanaugh testified that the calls were made in code, which Padilla used to discuss traveling overseas to fight with Islamic militants, along with side trips to Saudi Arabia and Afghanistan. Padilla's lawyers had argued he never spoke in code. His voice is heard on only seven of 300,000 taped conversations.

In dissent in Monday's ruling, Judge Rosemary Barkett questioned Kavanaugh's testimony, saying his "opinion testimony should have been excluded because he was never qualified as an expert and did not have the requisite firsthand knowledge to offer his lay opinion." She also said the appeals court should not have questioned the trial judge's discretion over the sentence.

The Supreme Court in 2004 had heard Padilla's original appeal over his former enemy- combatant status, claiming he deserved a chance to contest his prior military detention on constitutional grounds.

He was arrested in May 2002 at Chicago's O'Hare International Airport as he returned from overseas, where he had been living. He was detained as a material witness in the September 11, 2001, attacks investigation.

President George W. Bush designated him an "enemy combatant" the following month and turned him over to the military. He was one of the few terror suspects designated by the U.S. as an enemy combatant since 9/11.

Padilla was held in a South Carolina naval brig for 3 1/2 years before the government brought criminal charges against him.

In November 2006, he was added to an existing indictment in south Florida, which said Padilla and his co-defendants belonged to a North American terrorist support cell and intended to carry out jihad, or holy war, in foreign countries.

He was originally accused of, but never charged with, being a potential "dirty bomber," allegedly plotting to detonate a crude explosive device laden with radioactive materials in the United States. Those allegations were not included in the criminal indictment.

Two other enemy combatants eventually were sent overseas to the custody of other nations. The Obama administration has since abandoned using the term "enemy combatant."

The current White House has been criticized for continuing many of the anti-terror policies of the Bush administration, including military prosecutions of high-value suspected terrorists held in Guantanamo Bay. But some conservatives have also slammed President Barack Obama for his previous desire to close the prison facility in Cuba and prosecute terrorists in civilian federal courts in the United States. That policy has since been abandoned."

Those three cases that include Padilla, as well as other appeals from foreign nationals held as enemy combatants overseas at a U.S. Navy base at Guantanamo Bay, Cuba, have tested the government's power to interrogate captives without allowing them regular access to a lawyer or the judicial system, on the grounds that they may pose a future threat or know about pending terrorist attacks.

The current ruling is U.S. v. Padilla (08-10494).

@highlight

17 years too little time for convicted terror plotter, federal appeals court rules

@highlight

Ruling: Federal judge in 2007 trial didn't weigh criminal history adequately

@highlight

Dissenter: Lower-court judge's sentencing discretion shouldn't be question

@highlight

Jose Padilla, 40, a former gang member, plotted to set off "dirty bombs"