More Russian aggression in Ukraine. More U.S. and European sanctions imposed on Moscow.

What seems like diplomatic tail-chasing so many months into the Ukraine conflict invites questions about how Western powers can defuse the worsening conflict in Eastern Europe.

U.S. President Barack Obama and the European Union raised the stakes on Tuesday, announcing long-threatened sanctions that target Russia's state-owned banks, weapons makers and oil companies, along with top cronies of President Vladimir Putin.

They want Putin to stop arming pro-Russian separatists fighting the Ukraine government and instead support a political process that entrenches President Petro Poroshenko's elected leadership.

A deeper concern is that Putin may be planning to grab more territory from the former Soviet satellite following Russia's annexation of Crimea earlier this year.

Russia denies such ambitions and criticizes sanctions as unproductive, with the Foreign Ministry saying Wednesday that the new penalties will harm relations with the United States and "create a poor environment in international affairs where the cooperation between our countries often plays a key role."

Here is a look at the latest sanctions and what might come next.

How did we get here?

The Ukraine crisis developed from huge protests in Kiev late last year that led to the February ouster of pro-Russian President Viktor Yanukovych.

In the ensuing political chaos, the pro-West Poroshenko got elected while Russia grabbed control of Crimea, an ethnic-Russian territory home to its Black Sea fleet.

U.S., EU hit Russia with more sanctions as Ukraine fighting continues

Obama and U.S. allies protested by suspending Putin from the G8 summit and imposing a series of limited sanctions, warning of tougher measures targeting specific economic sectors if Russia's aggression continued. It did, with the separatists armed and trained by Moscow rebelling in eastern Ukraine.

In response, Obama announced expanded U.S. sanctions on July 16 that targeted two Russian state-owned banks, two energy companies, eight weapons makers, along with some Putin associates and separatist leaders.

Europe's major economic ties with Russia -- about $500 billion in trade and investment per year -- caused the European Union to balk at joining Washington then.

The next day, a missile fired from separatist-held territory downed a Malaysia Airlines jet in the conflict  zone, killing all 298 people aboard.

Now the separatists are hindering access to the crash site amid fighting in the area, and Russia is sending heavy weaponry to them while deploying troops along the Ukraine border.

MH17 crash: Investigators must have full access, Malaysian PM says

What the European Union did

Almost two weeks after Obama initially expanded the U.S. sanctions, European leaders agreed Tuesday to coordinate similar steps.

In a major expansion signaling new resolve, they went after eight of Putin's top associates, along with Russia's finance, energy and weapons industries.

The new EU sanctions will restrict Russian state-owned banks from accessing European capital markets, and stop or slow the export of oil-related equipment and technology to Russia.

They also will stop new contracts for arms imports and exports between the European Union and Russia, and prohibit the export of goods and technology that can be used for both military and civilian purposes.

"It is meant as a strong warning: Illegal annexation of territory and deliberate destabilization of a neighboring sovereign country cannot be accepted in 21st century Europe," the EU said in a statement.

To punish Russia, Europe must be prepared to suffer

What Obama announced

Two hours later, Obama told reporters that the United States expanded its July 16 sanctions to include three more state-owned banks and another weapons company, while also targeting technology for deep-water, Arctic and shale oil production.

While expanding on the earlier moves, the latest sanctions include limits.

They don't affect Russia's current oil production, instead targeting the ability to develop new areas, senior administration officials told reporters on a background call. The European sanctions on weapons trade only involves future transactions, allowing France to complete an existing helicopter deal with Moscow.

However, Obama cited the joint action as significant, saying that "because we are closely coordinating our actions with Europe, the sanctions we are announcing today will have an even bigger bite."

"If Russia continues on its current path, the cost on Russia will continue to grow," he added, calling the moves "a reminder that the United States means what it says, and we will rally the international community in standing up for the rights and freedom of people around the world."

What is the impact?

The senior administration officials said the expanded sanctions prevent Russia's state-owned banks, which have all or most of their debt in U.S. dollars, from getting more medium- and long-term financing in America.

They noted the sanctions already have contributed to a downturn in the Russian economy, a flight of foreign capital and weakening of the ruble currency.

"Russia is not a very good bet right now for international investors," one of the officials said.

On Tuesday, shares in British oil giant BP fell by 2.5% after the company warned that it would suffer from the tougher EU sanctions. BP owns a significant stake in Rosneft, Russia's biggest oil company, which no longer can access long-term financing from U.S. sources.

Meanwhile, shares in French automotive manufacturer Renault slumped by 4.5% as the company warned about a sharp slowdown in emerging markets, including Russia. Russia is Renault's third largest market, based on sales.

Geopolitically, Obama denied that a new Cold War with Russia had started, but the head of the foreign affairs committee in Russia's State Duma -- the lower house of parliament -- disagreed.

Aleksey Pushkov tweeted Wednesday that Obama will make history as "the statesman who started a new Cold War."

To Gideon Rose, the editor of Foreign Affairs magazine, the expanded sanctions mean that "the temperature in the room has just dropped a few degrees."

"The fact that the Europeans have now finally recognized what they need to do and that the administration has been able to bring them on board" was a "positive development," Rose told CNN.

Map: Europe's thirst for Russian gas

Will it matter to Putin?

To the U.S. officials, the sanctions announced Tuesday are "the most significant tool we have to shape Russian decision-making."

Analysts questioned whether economic hardship would change Putin's thinking.

Steven Pifer, a former U.S. ambassador to Ukraine now with the Brookings Institution, told a congressional committee last month that Putin could use sanctions "as a scapegoat and attempt to put all the blame on the West for Russia's poor economic performance."

To fellow Brookings analysts Clifford Gaddy and Barry Ickes, Russia's economy can absorb the shocks of sanctions without deteriorating to the point of forcing Putin to change his overall goals and policies.

"For that, sanctions would have to reduce Russia to its condition of the 1990s, when it was simply too weak and dependent on the West to oppose the international order created by the West after the Cold War," they wrote in an article on the Brookings website. "It is clear to us that no feasible actions by the West today can recreate the weak and compliant Russia of the 1990s."

One reason: such a move would seriously harm the global economy, too, a step Washington and the European Union won't take, the pair said.

Opinion: Putin, just evil enough

Where do things stand?

Obama and EU leaders made clear that Putin could avoid the increasing international isolation Russia faces by working with Poroshenko's government in Ukraine, instead of helping the separatists fight against it.

The senior administration officials listed four conditions for getting sanctions eased: recognize Poroshenko's government as legitimately elected; stop arming the separatists; stop massing Russian forces at the border; and influence the separatists to enter an inclusive political process in Ukraine.

"It didn't have to come to this. It does not have to be this way," Obama said. "This is a choice that Russia and President Putin in particular has made."

The European statement specifically cited the annexation of Crimea as another grievance, while the U.S. officials did not mention it.

However, U.S. Secretary of State John Kerry warned Tuesday against any further expansionist ideas by Putin, such as invading eastern Ukraine.

"That would be taken, needless to say, as not just a violation of all notions of international law, but an exceedingly dangerous action which would wind up with, you know, the most severe possible kinds of isolation and sanctions possible," Kerry told reporters. "And Germany, France, other countries in Europe, would clearly join into that in ways that would have a profound, profound impact on the Russian economy."

Sanctions: Top 10 Russian targets

What if the sanctions don't work?

Obama and European leaders have repeatedly said the Ukraine crisis requires a diplomatic solution, which rules out military intervention -- at least for now.

Beyond sanctions, another idea floated by some European officials would be to move the 2018 soccer World Cup planned for Russia to somewhere else.

Such a move, considered premature at this point by major soccer nations and organizations, would deliver a bitter blow to Putin following Russia's successful hosting of the Sochi Olympics earlier this year.

Things to know about Russia and sanctions

@highlight

Russia says new sanctions will harm relations with Washington

@highlight

Expanded sanctions target Russian banks, arms industry, oil development

@highlight

EU joins Obama after initially balking due to economic concerns

@highlight

Another possible option: take the 2018 soccer World Cup from Russia