A diverse group of young emerging leaders from all across Africa and the diaspora has come together to promote a unified vision for the continent and devise ways to move it forward.

Dubbed Africa 2.0, the advocacy group recently met in Mombasa, Kenya, to bring together some 250 young businessmen, social entrepreneurs and opinion leaders from nearly 40 African countries to work toward a strategy that could help the continent leapfrog and accelerate its development.

"If you think about it, China has an agenda for Africa. India has an agenda, Europe, America. It's about time we Africans set an agenda for ourselves." says Mamadou Toure, founder of Africa 2.0.

The move comes as Africa undergoes a period of economic transformation, becoming increasingly attractive to international investors -- last year, the continent's economy grew by nearly 5% while six of the 10 fastest-growing economies in the world are currently from Africa.

Survey: Africa attractive to investors -- but the world still needs convincing

World Bank economist Vera Songwe says the initiative is bringing together young Africans who want their continent to achieve growth and are interested in spreading the message that "Africa is a different place to do business."

The group has set the target of achieving a prosperous and inspiring Africa within the next 20 years. It has marked 2020 as a key milestone and works on a manifesto to raise awareness of what needs to be done until then.

Toure calls Africa 2.0 a social contract between the private sector, civil society and governments. He says the strategy for the group's vision is based on four axis: uplifting Africans, creating and sharing the wealth, upgrading the infrastructure and setting up a growth-enabling environment.

The group's agenda includes pushing for the proposed Africa free trade area, a bloc that would span 26 countries, as well as a plan for better governance and boosting entrepreneurship.

"Ultimately, Vision Africa 2020 is the legacy of a generation on how they see the future of this continent and how they believe we can take it to the next level," says Toure.

"We view ourselves also as a voice from the people who will ultimately inherit this continent."

Toure, who is also an investment and development officer at the International Finance Corporation, says that one of the main challenges today is the willingness and acceptance of current decision makers to make a space for the youth. He adds that changing the mindset is crucial for the future prospects of the continent.

"It's about building an African 'can-do' attitude that would get Africans to take ownership of their own future and to start rolling their sleeves to actually face the challenge ahead," he says.

Toure says Africa 2.0, which will hold its next symposium in Nigeria next year, is not just another initiative that's hung up on endless discussions. Instead, he calls it a 'Dink Dank'-- a terminology coined to describe a think tank that does things -- which aims to get their ideas endorsed by government leaders and put plans in place to execute them.

"We are action-driven," he says. "We are committing to implement it and we invite whoever believes in that to step in -- it is the responsibility of all and the society we are entering now in this 21st century and it is a society where everyone can be a leader," he adds.

While there's still much to be improved before the group's goals are implemented, some say that change is on the way.

"We've now just seen good elections in a couple of countries. We saw in a couple of countries they've changed regulations. Many more are doing better on the Better Business Index, which means institutions are strengthening because in the end, that is what governance means," notes Songwe.

"Governance means building strong institutions that are sustainable and survive long after leaders that created them have left. I think in that case we are doing well," she adds.

@highlight

Africa 2.0 is an advocacy group that works toward a vision that could help the continent leapfrog

@highlight

Its target is to achieve a prosperous and inspiring Africa within the next 20 years

@highlight

Six of then 10 fastest-growing economies in the world are currently from Africa