Editor's note: CNN.com has a business partnership with CareerBuilder.com, which serves as the exclusive provider of job listings and services to CNN.com.

In a perfect world, C-level executives and employees on all rungs of the corporate ladder would communicate openly, honestly, conveniently and often. Companies, big and small, and their executives would boast of abilities to listen to feedback, answer questions and maintain close relationships with all employees.

Like I said -- in a perfect world.

While these relationships might exist in a few companies, it's virtually impossible with larger corporations. Lucky for them, that's why we have human resource (HR) professionals.

"Human resource employees used to strictly work behind-the-scenes of a company, handling the administration of areas such as payroll, hiring and benefits," says Rosemary Haefner, vice president of Human Resources with CareerBuilder.com. "Now, HR goes beyond the tactical aspects of these areas and acts as a strategic player. HR is the liaison between employees and top executives, helping executives understand what their workers really need and how to maximize their potential."

Overall HR employment is projected to grow by 17 percent between 2006 and 2016, estimating 1,015,000 jobs in 2016, according to the Bureau of Labor Statistics.

Plus, as the need for good HR specialists and executives increases, so does their annual compensation, according to a survey by Watson Wyatt, a global consulting firm, in association with the Society for Human Resource Management (SHRM). In 2007, the highest percentage increases in average salary were given to HR professionals with strong skills in knowledge of compensation, benefits, international HR and diversity.

Other skills and qualifications for HR professionals include interpersonal capabilities, as well as a college degree. Most entry-level jobs require a degree in human resources or a background in business or liberal arts. An advanced degree is required for some jobs, as well as specific certifications.

Think you've got what it takes to make a successful career in HR? Here are 10 common HR positions with increases in job growth, according to SHRM and the BLS.

1. Compensation supervisors oversee the pay practice area of compensation, including wage, salary, incentive and executive compensation.

Average salary in 2007: $78,700

2006 employment: 49,000

2016 projection: 55,000

2. Employee benefits planning analysts deal with the company's employee-benefits program, usually creating its health insurance and pension plans.

Average salary in 2007: $62,000

2006 employment: 110,000

2016 projection: 130,000

3. Professional and technical staff recruiters seek out potential job candidates, interviewing and screening them for job openings within the company.

Average salary in 2007: $62,100

2006 employment: 197,000

2016 projection: 233,000

4. Human resource assistants maintain records of the organization's employees, such as their name, address, job title, earnings, benefits and tax withholding. They also perform general administrative tasks.

Average salary in 2007: $36,600

2006 employment: 168,000

2016 projection: 187,000

5. Compensation analysts gather, analyze and prepare wage and salary data to smooth the compensation and management functions of the company. They also review and propose changes to salary structures and position classification.

Average salary in 2007: $62,400

2006 employment: 110,000

2016 projection: 130,000

6. Employee benefits managers supervise employee benefits programs for companies. They create programs to insure employees against loss of income due to illness, injury, layoff or retirement.

Average salary in 2007: $89,200

2006 employment: 49,000

2016 projection: 55,000

7. Human resources generalists handle tasks in all areas of HR; staffing, employee relations, compensation, training, employment, labor relations, safety, affirmative action and employment equity programs, and personnel research.

Average salary in 2007: $55,900

2006 employment: 214,000

2016 projection: 250,000

8. Employee training specialists organize training activities for employees to maintain and improve their skill sets.

Average salary in 2007: $55,500

2006 employment: 210,000

2016 projection: 249,000

9. Human resources managers oversee and contribute to planning, developing, recommending and implementing HR activities, policies and procedures for companies.

Average salary in 2007: $80,700

2006 employment: 58,000

2016 projection: 65,000

10. Top human resources executives usually include director positions. The director of HR typically supervises departments like benefits, compensation, training and labor relations, all of which are managed by other supervisors specific to a certain department.

Average salary in 2007: $170,000

2006 employment: 58,000

2016 projection: 65,000

Employment projections provided by the Bureau of Labor Statistics; Salary estimations provided by SHRM. E-mail to a friend

Copyright CareerBuilder.com 2009. All rights reserved. The information contained in this article may not be published, broadcast or otherwise distributed without the prior written authority

@highlight

Human resources jobs expected to grow by 17 percent over next decade

@highlight

HR supervisors overseeing salaries make on average $78,700

@highlight

HR staffers who train employees earn around $55,500

@highlight

Biggest pay jump for dealing with compensation, benefits, diversity