LONDON, England (CNN) -- It was against the terms of the Russia/Georgia cease-fire, brokered by France's President Nicolas Sarkozy. It was directly in contravention of the request not to do it from President George W. Bush of the United States. But Russia's President Dimitri Medvedev has gone and done it anyway. He has made Russia the first country to recognize the independence of South Ossetia and Abkhazia.

Russian President Dmitri Medvedev says it has recognized the independence of Abkhazia and South Ossetia.

So does that, as some of the more fevered commentators are suggesting, amount to a new Cold War? It certainly ratchets up the East-West tension still further. It breaks the terms of a cease-fire which insisted Georgia's territorial integrity should be respected. Russia's announcement that it will station troops in the two territories to ensure their "security", a word others might spell as "subservience", is a direct provocation.

It is, says Georgia, an illegal "annexation". Other European nations have hastened to condemn it as an unacceptable rewriting of borders by force. What do you think of Russian recognition?

U.S. Secretary of State Condoleezza Rice, currently in the Middle East, points out that it is in contravention of U.N. Security Council resolutions that the Russians have accepted. Sarkozy has called a meeting of EU leaders for Monday to look at Georgia and at future relations with Russia.

But before we start talking about a new Cold War -- and Western leaders from Bush down are being careful not to do so-- we should examine the context.

After the military action initiated by Georgia early in August, there never was a chance that South Ossetia and Abkhazia, which have in effect been independent since the early 1990s, would return to control by Tblisi. Applying a blowtorch isn't necessarily the best way of settling what had become known as "frozen conflicts". Russia has long been in a position to bully and has now been given the excuse to do so.

For years the two disputed territories have survived on Russian military and economic assistance. Although Abkhazia seeks fuller independence, a large number of South Ossetians, perhaps 70 or 80 per cent of them, have Russian passports and would vote for membership of the Russian Federation. Both disputed territories use the rouble.

But this isn't, and never has been, just about Georgia. It is about the reassertion of regional power by a country which had smarted for years over the collapse of the Soviet Union and the eastward march of NATO, swallowing up former members of the Warsaw Pact.

What we are seeing is a resurgent Russia currently prepared to strut the beach kicking sand in everybody's eyes and defying any affronted party to take them on.

When NATO leaders met in the wake of the invasion of Georgia and came up with nothing more concrete than the "suspension of normal relations", the weakness of a divided West was all too obvious to Putin and Medvedev. They have now taken the next step down the line of provocation. "Scrap the NATO-Russia Council altogether and see if we care!" is the message.

And, playing as the back-beat sub-theme through all this is the question of Kosovo, a question which looks very different according to whether you are seated in Moscow, Belgrade, Brussels or Washington.

"If it was right for the Kosovar Albanians to be given the right to declare independence from Serbia, then why shouldn't the people of South Ossetia be allowed to choose separation from Tblisi?" demand the Medvedev-Putin supporters in the Russian Parliament.

"Ah yes," some say, "but what about those threats from Moscow to turn Russian missiles against Poland now that the Poles have agreed to host the anti-missile batteries for the US missile defense plan? Isn't that a dangerous new escalation?"

Again, it depends where you are sitting.

"How would Washington like it if the Russians were to stage anti-missile batteries in Mexico?" is Moscow's answer.

What seems to be forgotten amid the current rhetorical battle is that the threats to make Poland a target for Russian missiles are nothing new. Before the G8 summit back in 2007, Putin got the world in a tizzy with precisely the same threats, at that stage being used to stir Polish domestic opposition to the idea of hosting the missile battery.

In October 2007, Putin said the missile plan risked becoming a new Cuban missile crisis, probably the closest the world ever came to a nuclear war. Then, during an election, he threatened to point missiles at western Europe, walk away from a 1980s treaty limiting missiles and scrap a treaty limiting conventional forces in Europe (which Russia has since done).

First Deputy Prime Minister Sergei Ivanov, then seen as Putin's potential successor, threatened to site cruise missiles in Kaliningrad, the Russian enclave between Poland and Lithuania. General Nikolai Saltsov, then in charge of Russia's ballistic arsenal, said last December: "I do not exclude the missile defense shield sites in Poland and the Czech Republic being chosen as targets for our intercontinental ballistic missiles."

The big problem for the West (and especially next Monday's meeting of EU leaders, who need to make a more effective job of it than NATO's foreign ministers did last week), is just how to respond to Russia's current bout of strutting without making things worse-- and how to do it without cutting off their own noses in the process.

They could agree to make it harder for Russia to join the World Trade Organisation. They could even threaten to eject Russia from the G8. But what do they gain by doing so, especially those of them in the EU who depend on Russia for a hefty chunk of their energy supplies?

For years the West has been trying to draw Russia in, not push it further out into the cold. They need Russia's cooperation on climate change, on fighting terrorism, on achieving peace in the Middle East and on curbing Iran's nuclear ambitions. And, let it not be forgotten, in keeping open NATO's supply routes for its mission in Afghanistan.

The West is not ready to go to war over Russia's neighbors (or "near abroad" as Moscow terms it) but it does still have a role to play in the Russian economy. The EU may be dependent on Russian energy but it is also Russia's biggest customer.

It should use the economic levers it has, refuse to allow the Russians to pick off individual members with bilateral deals and learn to use its collective strength in demanding common standards of its fellow G8 member.

The worst thing it could do is to utter threats which it will not, or cannot, follow through.

@highlight

Russian president signs order recognizing independence of Georgian territories

@highlight

West opposes the decision, says that it impinges on Georgian international borders

@highlight

Overshadowing the issue is the West's recognition of Kosovo independence

@highlight

Analysis: The worst the West could do is to utter threats it does not follow through