United Nations (CNN) -- Suksma Ratri separated from her husband after suffering ongoing domestic violence. But four years ago, the young mother from Indonesia found out her ex-husband had become extremely ill, and possibly had AIDS.

Ratri immediately went to her doctor to be tested. The results were what she says she largely expected at that point -- she was HIV-positive.

Ratri told her story to a gathering of journalists at the United Nations Tuesday, in a press conference to announce the launch of a new campaign by UNAIDS, the U.N.'s joint program on HIV/AIDS.

The organization is launching a five-year program to help fight the growing number of issues surrounding women becoming infected with HIV/AIDS.

Their initiatives include curbing violence against women, increasing available preventative care and treatment, and better enforcing human rights on an international scale. By focusing on those issues, the campaign hopes to effectively battle to the high rate of HIV infection among females around the world.

Like many women, Ratri became a victim in a global epidemic that is the leading cause of death and disease among those between the ages of 15 to 49 worldwide. The disease has been disproportionately affecting women for several years, a change in the trend that once applied to men when the virus became well-known in the early 1980s.

Now separated from her husband, Ratri serves as an activist for the rights of migrants in Asia to reduce their vulnerabilities to HIV. She lives openly with her disease, a decision she says allows her to overcome the stigma concerning people who are HIV-positive.

Ratri says she was lucky to be able to accept her status as HIV-positive as quickly as she did.

"I needed to fight the stigma," she said. "I needed to be open."

She is well aware that people are taken aback when they find out she has HIV. She often hears people comment on the fact that she seems "normal" despite the presence of infection.

"It's just I have the virus and you don't," said Ratri. "That's the only difference between us."

UNAIDS is also receiving some star-studded support for the program.

Internationally renowned singer Annie Lennox was on hand at the United Nations to voice her support. At the invitation of former President Nelson Mandela, she visited South Africa, where HIV prevalence among women ages 15 to 24 years is three times higher than that of men of the same age.

The high rate of sexual violence against women in that country is believed to contribute to the growing number of HIV/AIDS cases. Every ten minutes, a woman is raped in the country, totaling more than 54,000 attacks per year, according to authorities.

After witnessing the effects of HIV/AIDS on South African women for herself, Lennox says she was moved to help the dire situation.

"There were not enough things being done to address a very urgent chronic endemic situation," said Lennox. "Many mothers who could have been alive to take care of their children were not there anymore."

Lennox released her fourth solo album, "Songs of Mass Destruction," in October 2007, including a song that launched a campaign to raise awareness and support South African women affected by the HIV virus and AIDS pandemic.

"Women are the face (of HIV/AIDS) now. Stigma runs from the very top echelons of society, all the way down to the poor," said Lennox. "(The women) have to be able to come out of the shadows, and we must represent them," she said.

@highlight

UNAIDS launched a five-year program to battle the high rate of HIV infection among women

@highlight

Initiatives include increasing available preventative care and treatment

@highlight

Singer Annie Lennox is supporting the new women-focused campaign