ATLANTA, Georgia (CNN) -- Most of us have them -- the personal ritual to deal with the "ick" of a public bathroom: wiping the seat with toilet paper, using a paper seat cover or even rolling up several pieces of toilet paper to create a thicker barrier between the skin and ... the unknown.

Public bathrooms may be teeming with bacteria, but the toilet seat is probably safe for sitting.

But the toilet seat is actually the cleanest part of the bathroom, one expert says.

Charles Gerba, a microbiologist at the University of Arizona who has studied restrooms and other germ-infested environments for more than 20 years, says that because of the care people take when they're about to sit, other parts of the bathroom are much more prone to delivering bacterial infections.

"One of the cleanest things in the bathrooms we find are the toilet seats," Gerba said. "I'd put my fanny on it any time -- unless it's wet; then you'd want to wipe it first."  Avoiding bathroom 'hot spots' »

The Internet has come through for people who just want a clean place to go. New tools like MizPee (nationwide) and Diaroogle (New York only) will point you to the nearest public restroom and display extensive comments about those facilities from users, even delivering the information to your mobile phone. (Warning: CNN makes no promises about the cleanliness of the language in these bathroom locators.)

MizPee launched a year ago for people in San Francisco, California, after co-founder Peter Olfe saw that the city's public library bathroom was "so disgusting," said Dhana Pawar, vice president and co-founder of Yojo Mobile, which created MizPee. "Unfortunately, [MizPee] was inspired by that trip."

Fueled by demand, MizPee has expanded to more than 22 cities in America and six in Europe, and has had more than 300,000 unique visitors. Users rate toilets on a scale from one to five toilet paper rolls and nominate the best and worst toilets for the Flush of the Year award. The site also gives users information on deals at restaurants, shops and services nearby, in addition to toilet trivia called "looisms."

Women tend to have higher standards for bathroom cleanliness than men, often rating any given unisex bathroom lower than men, Pawar said. In general, many more women than men use the site, but male bikers and older men, especially colitis patients, also come to MizPee.

Women are also particularly concerned about finding clean bathrooms with changing stations, Pawar said. "You'd be surprised how few there are."

Pawar said she herself is "really paranoid" when it comes to the restroom.

"I'm one of those really anal people who have to have a clean bathroom," she said.

For many people, public bathrooms generate feelings of anxiety, fear and disgust.   "Basically, everybody is fearful of public restrooms," said Dr. Lisa Bernstein, assistant professor at Emory University School of Medicine, who admitted that her mother always told her that she should never make direct contact with a toilet seat.

Research indicates that fear of the commode itself may be misdirected.

Public bathrooms may contain several kinds of harmful bacteria, including E. coli, salmonella, coliform, rotavirus, cold virus and the potentially deadly form of staph known as MRSA, experts say. But people are more likely to pick up these nasty bugs through touching things in the bathroom with their hands, not their behinds.

"I don't think anyone would voluntarily sit on a seat with urine, but, in reality, urine touching intact skin on the tush won't do anything," Bernstein said.

More concerning, however, is a child who steadies himself or herself on a toilet seat by holding onto it and then leaving without washing hands, she said. Those germs could lead to an infection once the child's hands touch the nose, mouth or eyes.

And don't forget that unwashed hands have handled everything from the door knob to the lock to the flusher. Again, if you touch one of these objects and then rub your eye, nose or mouth, you're apt to transmit that bacteria.

But there is hope. Here are hygiene helpers:  Wash your hands

Yes, it's basic. But, in general, washing your hands is the most effective action you can take to prevent bacterial infections from a public bathroom, experts say.

"You can remove all gastrointestinal and respiratory infection bacteria by washing hands," said Judy Daly, clinical microbiologist at the University of Utah and spokesperson for the Clean Hands Campaign. "Seventeen seconds of a little bit of friction, water and soap will really mediate bacteria."

The American Society for Microbiology, which sponsors the Clean Hands Campaign, found in a study last year that about 77 percent of men and women washed their hands in public restrooms, down 6 percent from 2005. The observational study also found that women washed their hands more than men.

"It's such an easy intervention," Daly said. "If you get it to be a habit for a 30-day period, it's something you do automatically."

Use automatic devices

Recent bathroom additions like automatic hands-free faucets and paper towel dispensers diminish contact between your hands and bathroom items that may bear bacteria, Bernstein said.

Don't let your belongings touch the floor

Gerba's research found that the highest concentration of germs in a public bathroom are on the floor, the outside of the sanitary napkin disposal and the sink and water taps.

When Gerba looked at women's purses, he found that one-third of them had fecal bacteria on the bottom. Make sure you hang your shoulder bag on a hook. If none is available, some people swear by hanging the strap around their necks.

Use the first stall

The middle stall of a public restroom usually has the most bacteria because people use it the most. "I guess people like company," Gerba said. The first stall will probably be cleaner.

Recognize the best and the worst

As a rule, the cleanest toilets are usually in hospitals, because they use disinfectants heavily, but the worst are in airports and airplanes, Gerba said. The small size of airplane bathrooms, including the sinks themselves, make it hard for people to wash their hands -- in fact, Gerba's study found a thin layer of E. coli in an airplane bathroom.   As for the airports themselves, "In the men's room at Chicago O'Hare, I don't think the toilet seat ever gets cold," Gerba said.

Don't hold back

It's fine for a woman to hover over the toilet seat if she doesn't want to sit down, but if she doesn't empty her bladder completely, she's at risk for a urinary infection, Bernstein said.

"You may be doing yourself more harm than good," she said.  Along the same lines, you can develop urinary infections from "holding it in" too long just because you don't want to use a particular facility. Better in a public stall than not at all.

Put it in perspective

Although the bathroom seems like a nasty place, the possible infections from the dreaded stall are no different from the ones you can get anywhere else in public.

"They're the same bugs we transmit shaking hands," Bernstein said. "People are more freaked out about restrooms, but the same thing applies anywhere in public."

After all that research -- he's had the cops called on him while prowling around bathroom floors -- Gerba has no problem with sitting down on public toilets. But Bernstein still uses one or two seat covers, "because of what my mother taught me," she said.

@highlight

New Web sites help find nearby public restrooms in the U.S. and abroad

@highlight

Washing your hands is crucial to preventing the spread of bacteria

@highlight

The first stall is likely to be cleaner than the middle stall

@highlight

Don't put your purse on the floor, which has the highest concentration of germs