(CNN) -- Growing up, Joshua Paul Hawkins didn't have many role models.

Hawkins lived in what he calls a "very broken home" as a child in Las Vegas. His parents got divorced when he was 8, and he described the atmosphere in the house as filled with "anger and sadness." However, he knew there was one thing he could count on: Batman.

He felt a bit like a loner, just like the character of Bruce Wayne, whose alter ego Batman first appeared on newsstands in "Detective Comics" #27 on March 30, 1939, and would be reinvented through countless movies, TV shows and books for the next 75 years.

(Time Warner is the parent company of DC Comics, the same as CNN.)

Readers were captivated by the story of how Bruce, heir to a vast fortune, witnessed his parents' murder at the hands of a mugger. As he grew older, Bruce was driven by vengeance and decided one night to take on the form of a bat to "strike terror" in the hearts of criminals.

"Being a child that young and watching your parents split up is a very harrowing experience," said Hawkins, now 26 and living in Seattle. "And in my head, the only way I could make any sense of it was likening it to being like Bruce Wayne when he lost his parents to something senseless and tried to find something good to bring out of it."

Despite the chaos at home, he could always rely on the 1989 "Batman" film making it all better. And after the 1992 animated series premiered, he came home every day, eagerly awaiting the show.

"It was a pure joy with me after every episode feeling inspired to keep going on the path I was going even if those around me didn't understand my way of doing things."

An inspiration to generations of people

In the 75 years since it began, the character of Batman has inspired many fans, young and old, in some cases because of a strong identification with the character.

Hawkins says he would have been a very different person if not for Batman, and that those emotions could have manifested themselves another way. He is a writer, creating stories that he hopes will inspire others just as Batman's did.

"Had Batman not given me the compass of justice, I may have been nothing more than a punk kid who bullied kids for how they looked or what they did or for whatever I fancied at the time," he said. "I wouldn't have gotten such good grades because I wouldn't have cared about school. And I may have even fallen into that dark place of feeling so angry and taking an unsavory means of trying to end what plagued me."

There is truly something universal to how people identify with Batman, said producer Michael Uslan, who has been involved in every "Batman" movie since 1989.

Uslan describes Batman's superpower as "his humanity": "When you see a young boy whose parents are murdered before his eyes ... he sacrifices his childhood in the belief that one person can make a difference, that he will get all the bad guys even if he has to walk through hell for the rest of his life," he explained. "That is an origin story that not only transcends borders but transcends cultures."

"Batman" comic book writer Scott Snyder put it this way: "He suffers a tragedy as a boy, and uses that tragedy as motivation to become a hero capable of preventing the same thing from happening to another child in Gotham City. There's something deeply inspiring in that."

Young people identify with the Caped Crusader

Andrea Letamendi, Ph.D., a clinical psychologist and scientist, has studied Batman for years and notes that many young people can identify with his problems.

"Nearly three-quarters of youths have been exposed to at least one trauma by the time they hit adolescence," she said. "Childhood resiliency is also quite impressive -- only a fraction of youths who experience traumatic stress actually develop long-lasting mental health problems. We don't all put on a cape and cowl, but we are amazingly strong in the face of adversity."

Feelings of isolation and intense loneliness have plagued retail worker Dusty Lane for his whole life.

The Nashville resident said he often keeps people at a distance and has problems letting them get close. He finds himself deep in thought on many occasions, much like Bruce Wayne, but he also channels it into something positive.

"He's encouraged me to become a deep thinker, sharpen my wits, and truly believe in strong moral principles," Lane said.

He remembers a dramatic scene from the 1990s "Batman" animated series in which Robin confronts his parents' killer and attempts to kill him. Batman tells him not to let his emotions get the best of him.

"Before I ever make a decision out of anger that I would come to regret, I always hear that voice in the back of my head saying 'You can't let your emotions get the best of you.' "

Lane firmly believes that role models can have a major influence over how one lives their life, and he says he picked the right one in Batman.

'Batman helped me find my voice'

Eli Vizcaino's problems growing up were quite different, but Batman helped him as well.

He grew up with a speech impediment. As a child, he had to practice with a speech therapist in the mornings, then practiced reading in the afternoons after school. Once he opened up a Batman comic book, he immediately became a fan and became more interested in reading out loud.

"Batman helped me find my voice," he said.

The character continued to be a big part of Vizcaino's life when he would move to different parts of the United States and switch schools.

"During these periods of transition, I would always have a period of intense loneliness before I would make friends and during this time, Batman would be there to help through that time," said the Austin, Texas, resident.

It's no wonder that children battling adversity -- such as cancer survivor Miles Scott, who got to be "Batkid" in San Francisco in November as part of his Make-a-wish project -- see the brave and fearless Batman as their favorite hero.

"Batman turns weakness into strength," said Travis Langley, a professor of psychology at Henderson State University in Arkansas and a fellow Bat-fan. "Bruce Wayne took his own childhood fears and made something better out of them."

Hawkins could not agree more.

"Batman really touched me. He inspired me. He helped me. And to this day I have a sense of justice and decency."

@highlight

Batman celebrates his 75th birthday on Sunday

@highlight

Fans of the character can identify with his humanity and overcoming trauma to do good

@highlight

Joshua Paul Hawkins dealt with growing up in a broken home through emulating Batman

@highlight

Fans shared their stories of identifying with Batman through CNN iReport