(CNN) -- The Hong Kong Sevens rugby tournament is universally acclaimed as the premier event of its kind and if you've been lucky enough to attend, you'll know why.

Arguably the biggest event on the Hong Kong sports and social calendar, the tournament is renowned for the standard of rugby and also for the vibrant, carefree ambiance in the stands. Hong Kong Stadium hosts the event every spring and the 40,000 seats are always sold out.

It was founded by the Hong Kong Football Club in 1976 and for the first six years the event was played at a more modest venue, tucked inside the racehorse track at Happy Valley.

The tournament's pioneers were way ahead of their time.

Back in the '70s, rugby was an amateur sport but this was one of the first tournaments to attract major sponsorship. It was an international, cosmopolitan, rugby competition, played more than a decade before the sport's first World Cup.

These days, the football club's main involvement with the sevens weekend is to provide hundreds of fans who'll drink up the action

But on the eve of the tournament, their home ground at Happy Valley plays host to a more sombre occasion, one borne from the tragedy of Hong Kong rugby's darkest hour.

PT McGee used to be a prop forward for the club and he now proudly serves as a committee member.

"Usually the worst thing that happens on a tour is an arrest or maybe a broken bone," he told CNN, "but something happened to this club that hasn't happened to any other rugby club in the history of the sport."

In 2002, HKFC's touring side "The Vandals" was playing in a social tournament in Indonesia, the Bali 10s.

Having competed in the opening day of the tournament, the team -- and many other players -- headed to the popular nightspot of Kuta for refreshment.

It was October 12, exactly one year, one month and one day after the 9/11 attacks in the United States.

Unbeknown to the rugby players, a violent Islamic group -- Jemaah Islamiyah -- had targeted the tourist district for another major atrocity.

Anson Bailey had also traveled from Hong Kong for the 10s. He was playing for "The Pot Bellied Pigs," an invitational touring team made up of players from various sides including Kowloon rugby club. He was walking towards the Sari Club when he heard a bang.

"Within a minute there was another explosion, a really painful blast that stopped you in your tracks," he said.

Bailey will never forget what he then experienced.

"The sound wave came up the street, smashing the shop windows and buckling shutters. Up ahead was a huge orange mushroom cloud, hysterical people were running towards us."

Anson ran away too, but he soon realized that he needed to help, not least because he knew that many of his friends would have already been at the scene of the blast. When he returned, he found the blackened figure of Andy Douglas, a player that Bailey knew from the Singapore Cricket Club.

"He was black from head-to-toe, his clothes were burnt, his skin was peeling, his ears were bleeding."

Douglas thinks he was knocked unconscious by the first blast in Paddy's Bar and was wondering why all his friends had left him when the second fireball erupted outside.

He later learned that eight teammates had died. "My first thought was that I had to get out of here, everything's on fire. I have to get to the beach because I know that can't burn down."

Carnage

Douglas was fortunate to run into Bailey, who vowed to care for him on that fateful night.

Together, they toured the island's medical facilities in a taxi, trying to find help. Bailey vividly recalls the driver apologizing profusely for the carnage.

They waded through pools of blood on white tiled floors, they found friends with horrific shrapnel wounds, everywhere they witnessed death.

Douglas has made a remarkable recovery since then and is eternally grateful.

"I will forever be indebted to Anson for saving my life, he gave me the courage to pull through in the first 24 hours. We'll always have a special bond. He's a great man."

They were the lucky ones. In all, 202 people were killed by the bombs and in some cases their remains were unidentifiable.

Four different rugby teams were in the path of the carnage, clubs from Taiwan, Indonesia, Singapore and Hong Kong were devastated, losing 27 players and supporters between them. The HKFC spent the next few weeks mourning 11 of their own.

Twelve years later, those clubs are very different. Many of the players involved at the time of Bali have finished playing or moved on to other cities. But the tragedy will never be forgotten.

McGee estimates that only 20% of the players remain from 2002, but the tragedy is embedded in the club's DNA.

"For every new member, it is instilled upon them that Bali is a part of our legacy. We deal with it and honor it every year, at the time of the anniversary and throughout the season as well."

It wasn't just the HKFC that was scarred by Bali.

Two other teams from Hong Kong, who narrowly avoided the carnage, spent the days afterward assisting with the search for survivors and ultimately the grim task of identifying the dead; players from rival teams but friends from the tight-knit rugby community.

On the eve of the sevens in Hong Kong, these sides commemorate the tragedy with a memorial game. Last Friday, Bailey and Douglas lined up alongside each other in the bright colors of Bailey's team, "The Pot Bellied Pigs." It has become an annual occasion.

Bali proved to be a life-changing experience for Bailey.

"I'd like to think that I'm a better person because I had a second chance and I was damn sure that I was going to make the most of it."

Since the attack, he's spent some of his time organizing the annual "Fatboy 10s" tournament in the Philippines, a benevolent event which has been well supported by some of the biggest names in the rugby community.

The HKFC also tours annually with an altruistic purpose, previously visiting Nepal and Kolkata and this month, Laos. Sean Purdie -- a teammate of those lost in Bali -- is the driving force behind it.

"We certainly wanted to keep the name of 'The Vandals' going," he said. "It was the name of the team which represented the football club in Bali. We continued touring, but we thought about doing a bit more."

Purdie is credited by others at his club for lifting some of the gloom in the wake of the disaster and the annual tours have become one of the most popular events in the calendar.

It may only be for a brief amount of time, but the tours have a big impact on everyone involved.

Senseless act

Fundraising activities benefit the under-privileged communities being visited, fatherless children are exposed to positive male role models and for some of the players, it is an enlightening experience.

Purdie said some of the players return home as changed men, vowing to do more to improve the world around them.

Rugby players have always believed their game can make a difference, but for those touched by the tragedy of Bali, it has now become very clear.

"If they [the terrorists] had embraced the spirit of the game, they would never have committed such a senseless act," said Douglas. "It's a game of togetherness in which you embrace your opponent as much as your teammate at the end of the game."

As Bailey put it: "There's a lot of compassion, there's a lot of heart. We all try to do the right thing."

@highlight

The Bali bombings of October 12, 2002 claimed the lives of 202 people

@highlight

"The Vandals" rugby team from Hong Kong was on the island playing in a tournament

@highlight

Four separate rugby teams from Taiwan, Indonesia, Singapore and Hong Kong lost 27 players

@highlight

The Vandals hold an annual memorial to honor the players who died that day