(CNN) -- When making a big decision, how aware are you of the underlying brain processes informing your choices? When you go with your gut instinct, are you aware of the bodily signals that have informed your actions?

While it may seem that there is no time for the close inspection of the body and mind at these critical times, enlightened leaders are turning towards mindfulness training as a way to reprogram their mind in a bid to stay sane and pull ahead in today's challenging business environment.

Not only does this allow individuals to clearly see the intentions and reactions underlying each and every action-- learning when an action is arising out of fear of uncertainty or rejection and becoming better able to detect a "sure thing" via bodily signals.

By repeatedly training the mind to pay attention to the sensations of the body as they enter the brain, mindfulness training uses this information to build up an exquisitely sensitive understanding of our reactions and responses in the world -- both at work and elsewhere in our lives.

The term mindfulness refers to a particular state of mind, one that is alert, aware and fully present to what is unfolding on a moment by moment basis in the mental and physical landscape. Importantly, this awareness includes an element of acceptance, not judging whatever you discover in the process.

The route to mindfulness is through attention training. In our general understanding, attention is something we direct outwards into the environment -- something pleasant catches our attention and we turn to look, something annoying distracts us and our mind wanders.

This process changes the neural connectivity between regions of the brain related to attention and concentration. Sounds great, but what's the catch?

The catch is that you need to train to get these benefits. Similar to visiting the gym and repeatedly lifting weights to develop muscles, to improve focus, concentration, and build emotional resilience you need to train your brain.

An in-depth understanding of mindfulness from reading about it does not count as it is not training the neural networks. Bringing your attention in a sustained way to the breath and the body is the starting point of these practices.

To obtain the best results, this training in done in a quiet dedicated environment. For example, 20 minutes of mindfulness practice in the morning will radically change how you experience your working day and relate to others.

In the early stages of training, similar to when we first go to the gym, there is frustration and annoyance with our inability to stay focused and the effort required.

This is because we are training these neural networks for the first time and the wetware of the brain is floppy and the mind undisciplined.

The mind gets easily bored and distracted and thinks of a million other things it should be doing. We might also be alarmed when we see the quantity of mental activity that we weren't aware of at all!

With practice however, the ability to stay focused becomes easier, productivity increases, there is less distraction from emails and phone calls and memory improves.

One study has shown that mindfulness training helps reduce the age-related decline in the number of neurons in the hippocampus -- a region of the brain vital for memory. Perhaps most importantly, we can learn to be really present and attentive with those who really matter -- our loved ones.

Where is your mind when your phone beeps and vibrates during a family dinner?

High pressure situations, those involving emotions such as fear and anxiety, are when reactive mental habits are most likely to be triggered.

Mindfulness allows us to see more clearly how draining this is in terms of our brain's energy reserves and how this clogs up our ability to problem solve in a creative way.

Fear creates constriction in the mind, meaning we tend to stick with what we know and lose the ability to think flexibly.

This happens at the level of the individual and in a wider sense in organizations. Precisely at the time when we need to be creative, the conditions of uncertainty about our economic future leads to behaviors that are constricted and conservative and more likely to keep us stuck.

Engaging with the bodily sensations related to these negative emotions is at the heart of mindfulness.

Improvements in attention are a happy side effect of mindfulness but the real changes occur when we are able to embrace fear in an accepting way.

Those who are willing to fail, and can sit with the uncertainty of not knowing will be those who ultimately succeed because their mental resources have been freed up in a way that allows creativity and flexible thinking to emerge.

Mindfulness training is found in sectors as diverse as health, sport, military, education, and in the boardroom.

Tomorrow's leaders know that it will take more than technical expertise and access to facts and figures to remain competitive.

Hence giants such as Google and General Mills now include mindfulness training within their organizations.

The ability to communicate, to really listen, to be flexible in responding, and to be creative and courageous in decision making are the so-called "soft" skills that leaders are realizing are essential for the health and growth of their talent and business.

The opinions expressed in this commentary are solely those of Dr Tamara Russell.

@highlight

Business leaders are taking up mindfulness training to make better decisions, says Dr Tamara Russell

@highlight

Studies show the training can help reduce the age-related decline in the brain

@highlight

Google and General Mills are just some businesses using mindfulness training