(CNN)Not many streets have been home to a Nobel Laureate -- and even fewer have been home to two. Yet, Vilakazi Street in the heart of bustling Soweto has been exactly that, housing both South African leaders Archbishop Desmond Tutu and Nelson Mandela. And this claim to fame is paying dividends for current residents -- helping transform the area into a thriving business community.

Here, visitors from all over the world walk past traditional dancers, hawkers and waiting taxis to visit the building that was Mandela's home when he walked free from prison on Robben Island in 1990. With its restaurants, boutiques and bars, this buzzing boulevard is no ordinary residential road.

Surviving legacy

For local entrepreneur Sakhumzi Maqubela, it was words spoken by the iconic freedom fighter that inspired him to open a restaurant in the area -- and provide employment for people in his community.

"Mandela used to fight with people that ever since there is black government people are complaining unemployment is high, the crime is high," Maqubela remembers. "Mandela was saying, 'what are you doing in your own capacity to create jobs?'"

Maqubela left his job at a major bank to start the business in 2001. Back then, he had four employees, but now he employs 75 people to serve traditional local dishes and burgers to approximately 400 customers a day.

"Tourism business has grown a lot here," he says, "especially after the 2010 World Cup -- we get tourists almost every day."

Indeed, the number of visitors to Johannesburg as a whole has increased by 300,000 since 2010, according to the Mastercard Global Destination Cities Index. And the growth in visitors has led to more money being spent. The 4.3 million people who visited the city in 2014 spent $3.2 billion, up from the $3.1 billion tourists spent in 2012.

Such economic realities are changing perceptions of Soweto, which has a poor and violent past.

During the struggle against the brutal policies of apartheid, students and residents took to the township's streets in June 1976 to protest against the use of Afrikaans as the main teaching language in schools. Some estimates say over 560 people were killed during the countrywide unrest which followed. The episode shocked the world, and caused international governments to impose sanctions against South Africa.

Among the dead was 12-year-old Hector Pieterson, who was shot by police in Soweto. A museum dedicated to the memory of the uprising, named after Pieterson, now stands close to the spot where the child was fatally injured.

More recently, violence caused by other social issues has threatened to spoil Soweto's appeal. In January, a teenager accused of stealing died after being shot by a Somali shop owner. In the looting spree which followed, businesses owned by foreigners were targeted and police arrested at least 83 people and confiscated weapons.

Emerging middle class

Despite these issues, businesses like Maqubela's restaurant are seeing success on the back of a rising middle class. House prices have surged by as much as 300% since 2009, with certain areas becoming sought after.

"I was actually a little surprised by how nice (Soweto) is," says American tourist Annette Watley. "I've done a township tour in Cape Town before, in Langa, so for me I was surprised by the number of restaurants and the industry that is going on. It feels like it is a separate city than Johannesburg."

In April, local entrepreneurs will host the area's first technology conference, the Soweto Innovation Week, which is expected to attract over 400 attendees.

"There are many tech and digital innovators in the townships who just need that extra bit of inspiration," says Tefo Mohapi who has helped organize the event. "We believe Soweto specifically has been ready [to host such an event] for years now."

Businessman Thabo Modise is part of this emerging middle class and agrees with Mohapi. After opening his Shova Lifestyle Boutique on Vilakazi Street a year ago he says the future is bright.

"The location is a prime spot. Vilakazi as you know we are in local and international markets. It's an exposure to us even when we are looking forward to expand," he says. "Shova means pushing, so we are pushing towards greatness, with a simple vision of transforming township into an upmarket economic powerhouse."

'Pockets and niches'

But, while some are doing well, not all of Soweto's residents are so positive.

"The tourist stretch around the Mandela house is thriving, but it is one of the few areas that is doing well. There are pockets and niches," says local activist Trevor Ngwane who works with the grassroots group Soweto Electricity Crisis Committee. "Overall in the township we are looking at a 30-40% rate of unemployment. It's quite uneven and even contradictory."

Boutiques, restaurants and museums which tell the story of Soweto's apartheid struggle form the economic back bone of Vilakazi Street, but informal traders are also keeping busy. Brightly colored trinkets and souvenirs draw in tourists and help to grow a smaller economy.

Their sales may be pennies for some, but it means international dreams for street performers like Eric Matshidiso and Thulo Medi.

"What we are willing is to see ourselves in overseas, promoting our music and dance," says Matshidiso. "Maybe if we can go overseas we will get something that will put us up. So that people must recognize us."

More from Marketplace AfricaRead this: Johannesburg's crime hotspot transformed Read this: Cycling Soweto: 5 things you won't see from a car

@highlight

Business-owners in Soweto say tourism is helping the area transform

@highlight

Both Archbishop Desmond Tutu and Nelson Mandela have lived in the area

@highlight

4.3 million people visited Johannesburg in 2014

@highlight

As businesses grow more Soweto residents are joining the middle class