(CNN) -- When Mitt Romney asked his staff why all the applicants for cabinet positions seemed to be men, as he recounted in the presidential debate Tuesday night, he was apparently told that only men had "the qualifications." That is obviously not true.

But this story, as well as, of course, the infamous "binders" comment, provide a good opportunity to talk about women's issues beyond the two perennials, abortion and contraception. As we near the end of 2012, our society still struggles with women's full integration into the workforce and men's full participation on the home front. Indeed, Romney's comments illustrate the continued superficial treatment these issues receive, not only by many political leaders, but also by society as a whole.

Let's look at, for example, some basic -- yet wrong -- assumptions about women's qualifications for high-level positions.

Women's college graduation rates now surpass those of men. For the past decade, women have outnumbered men in law school admissions. More than 50% of those in management and professional specialties are women. And similar trends are evident in secondary education, the professoriate, and college and university administrations. Many Massachusetts women held appropriate credentials.

Politics: Obama, Romney equal on gender pay inequality

So, why didn't these women appear on Romney's radar screen until after the organizers of MassGap supplied the now-derided binders? Perhaps the administration held the common view that women suitable for leadership positions are exceptional or rare. Maybe they thought that women have so many competing obligations that they would not be available for high-level political jobs. Maybe the Romney inner circle recruited only from its own male-dominated ranks. Whatever the reasons, women's full integration into the workforce was an afterthought.

The "binders" comment also touched on the stickiness of traditional gender roles. Romney said he "recognized that if you're going to have women in the workforce that sometimes you need to be more flexible." His example of flexibility, however, was allowing his chief of staff to "get home at 5" to make dinner for her family and be with her children. He stopped short of saying it directly, but Romney appears to hold a common belief that women can best be integrated into the workforce if they are still able to fulfill their duties as wives and mothers.

Women's rights organizations fought for decades to dismantle laws that limited women's abilities to compete for jobs. And they succeeded. But informal restrictions still limit women's success, because the progress in the workplace has not been met by any similar shift on the home front.

Politics: Romney in a bind over 'binders of women' comment

A 2011 national survey of thousands of lawyers, business leaders, educators and political activists, for example, revealed that women and men tend to assume traditional gender roles. The report showed that in families where both adults worked (generally in high-level careers), women were roughly six times more likely than men to handle most household tasks, and about 10 times more likely to be the primary childcare provider.

As long as workplace flexibility is viewed as a "female thing," then it's likely that cooking dinner will be viewed that way, too. Romney's casual comment reflects an assumption that women who work outside the home do so as an "add on" to family responsibilities. The "second shift" that characterized the distribution of household labor for women in the 1990s is obviously still alive and well.

In fact, a substantial, multidisciplinary literature affirms the challenges of work/family balance that professional women face. Hundreds of studies have analyzed the programs and policies that work best to ameliorate these difficult circumstances. The mere existence of this burgeoning literature shows that balancing family roles with professional responsibilities is part of the bargain for contemporary women. It's simply the new normal. And it doesn't involve any shift in behavior by men.

Opinion: Romney's empty 'binders full of women'

Finally, Romney's comments embody the faulty assumption that adding some female faces to a group or organization is all you need for full integration and representation. But it's only the first step. Leaders must continue to develop and promote policies that allow women equal access to the workplace.

That a presidential candidate in 2012 can utter such superficial answers to a serious question about women's economic equity and autonomy reveals a lack of serious thought about issues of substantive importance to women. It also demonstrates a lack of commitment to the change necessary to allow women and men to lead fully integrated professional and personal lives.

Poll: What are the most important women's issues?

The opinions expressed in this commentary are solely those of Kathleen Dolan and Jennifer L. Lawless.

@highlight

Writers: Romney's story about finding qualified women shows old ideas on working women

@highlight

Women are ahead in college degrees, many fields. Why not on Romney's radar?

@highlight

They say his view of 'workplace flexibility' is for women to get home to "second shift"

@highlight

Writers: Comments show little understanding, serious thought on workplace equity for women