Washington (CNN) -- CNN has reported President Obama has personally met with four leading candidates for the upcoming Supreme Court vacancy.

The president is expected to announce his nominee in coming days so the Senate can complete the confirmation process in time for the new Supreme Court session in the fall.

Justice John Paul Stevens, who turned 90 last month, announced that he will retire shortly after the Supreme Court's term ends in late June.

Here are summaries of the four people believed to be finalists for the Stevens seat, and a list of arguments for and against their nominations:

Elena Kagan

U.S. Solicitor General

Year born: 1960

Hometown: New York (Manhattan)

Experience: Solicitor general; Harvard Law School dean; White House associate counsel

Education: Princeton University; Oxford University; J.D., Harvard Law School

Fun fact: Former law clerk for Justice Thurgood Marshall, who nicknamed her "Shorty"

Top cases argued as solicitor general (in support of federal laws or executive action):

• Campaign finance reform (Citizens United v. FEC, 2009): Congressional efforts to restrict "independent spending" by corporations and unions in federal political campaigns. Supreme Court ruled against the government in January.

•  Terror support (Holder v. Humanitarian Law Project, 2010): Whether the government's power to criminalize "material support" of a terrorist organization goes too far in restricting civil liberties. Supreme Court ruling pending.

•  Religious monuments (Salazar v. Buono, 2009): Can a war memorial shaped like a cross remain on government parkland, or does it violate the constitutional separation of church and state? Justices ruled for the government, saying the cross should remain.

Why she may be chosen: Her lack of a substantive paper trail on hot-button issues may blunt initial conservative criticism over where she stands on these topics. She has a reputation as a political pragmatist and consensus-builder who enjoys the support of liberal and conservative academics. That perceived ability to reach across the aisle could help Kagan on a divided high court. Her relative youth (she would be the youngest member of the court) could give Obama a longer judicial legacy. She also would provide greater gender diversity to the bench.

Why she may be passed over: That lack of judicial experience may raise concerns about whether she would be a "reliable" vote on the left. Some liberal groups have also raised concerns that Kagan -- as solicitor general -- has articulated a more robust defense of executive power by the White House than many civil rights and human rights groups would like.

Judge Diane Wood

7th U.S. Circuit Court of Appeals, Chicago, Illinois

Year born: 1950

Hometowns: Plainfield, New Jersey; Houston, Texas

Experience: Federal appeals judge; University of Chicago law professor; government lawyer in the Carter, Reagan and Clinton administrations

Education: B.A., J.D., University of Texas

Fun fact: Talented oboe player who plays in local orchestras

Top cases as federal appeals judge:

• Abortion protests (National Organization for Women vs. Scheidler, 2001): Wrote the opinion allowing extortion and anti-racketeering (RICO) laws to be used against a group of anti-abortion protesters. The case was reversed twice by the Supreme Court, 8-1 and 8-0.

• First Amendment (Doe v. Lafayette, 2004) -- Dissented in a case that ruled a convicted sex offender could be banned from an Indiana city's parks. The offender admitted observing minors there but left without molesting them.

• Religious displays (Bloch v. Frischolz and Shoreline Towers Condominium Association, 2008): Disagreed in a ruling allowing a condominium association to prevent a Chicago family from putting up a Jewish decoration on their doorpost. Her strong dissent prompted Wood's entire court to reconsider, which then reversed and adopted her views on the issue.

Why she may be chosen: Sharp intellect and consensus-building skills have served her well on a court dominated by conservative judges. Her gender, Midwest base, non-Ivy league education and long academic record would bring diversity to the high court. She also would be the only Protestant on the bench. Wood's working mother status would be seen as a political plus for a White House courting female voters.

Why she may be passed over: Her judicial record on abortion, religion and immigration cases could present serious roadblocks. Conservatives have privately said she would be the least acceptable of the top contenders, and vow a political fight over her nomination. Her age (she turns 60 on July 4) also could hurt her chances.

Judge Merrick Garland

D.C. Circuit, U.S. Court of Appeals, Washington

Year born: 1952

Hometown: Chicago

Experience: Federal appeals judge; Justice Department lawyer in the George H.W. Bush and Clinton administrations

Education: B.A., J.D., Harvard University Law School

Fun facts: Met President Richard Nixon as a 17-year-old high school student as part of Presidential Scholars program. Later, as a top government lawyer, supervised the prosecution of the Oklahoma City bombing and Unabomber defendants.

Top cases as federal appeals judge:

• Terror detentions (Parhat v. Gates, 2008): Wrote opinion that concluded the government improperly classified a Guantanamo detainee as an enemy combatant.

• Discrimination (Barbour v. WMATA, 2004): Allowed a Washington, D.C., government worker to sue for disability discrimination. He was supported in the ruling by then-colleague and good friend John Roberts, now chief justice.

• Environment (Rancho Viejo v. Norton, 2003): Parted ways with Roberts by refusing to rehear a case over federal protection for the rare arroyo toad, and sided against a California developer who challenged the Endangered Species Act.

Why he may be chosen: Little controversy is noted in his personal and professional lives. Colleagues call him a brilliant legal mind, well-respected by nearly everyone. He is viewed as a liberal moderate, and many conservative activists say they could support his nomination. That tacit endorsement could erase any protracted political fight, if the White House seeks a smooth, swift confirmation.

Why he may be passed over: Many liberals question his ideological credentials, and fear that as the replacement for the left-leaning Stevens, Garland could move the court incrementally to the right on a number of key issues. He would add little diversity to the court, being a white male with an Ivy League background.

Judge Sidney Thomas

9th U.S. Circuit Court of Appeals, San Francisco, California; he is based in Billings, Montana

Year born: 1953

Hometown: Bozeman, Montana

Experience: Federal appeals judge; private attorney

Education: Montana State University; J.D., University of Montana Law School

Fun fact: Enjoys skiing and hiking with his wife and two sons, friends say

Top cases as federal appeals judge:

•  Strip searches (Bull v. City and County of San Francisco, 2006): Wrote opinion striking down San Francisco's body-cavity strip search policy for all newly arrested inmates. Full appeals court later reversed.

•  Student rights (Harper v. Poway Unified School District, 2006): Supported a San Diego high school that banned a student from wearing a T-shirt reading "Homosexuality is Shameful," saying such expressions are disruptive and that gay students and school personnel have a right to be free of such messages, especially in school campus settings.

•  Terror prevention (Public Citizen v. Nuclear Regulatory Commission, 2009): Dissented in this national security case, where the majority said federal regulators could not be ordered to require greater safety measures at nuclear power plants.

The commission "owes the public a rational and reasonable explanation why it would exclude from its [safety] rule consideration of terrorist air attacks," Thomas said.

Why he may be chosen: Western roots would add real regional diversity to the court, and his home-state education may be seen as a plus for a bench dominated by Ivy leaguers. Little is known about him inside the Beltway, but colleagues praise his low-key demeanor, plain-talking intelligence and quiet sense of humor.

Why he may be passed over: On a court with a majority of five white males, Thomas would not add much diversity, if the president deems that an important quality. His low profile may not give him many strong supporters among the president's closest aides. Friends privately say Thomas himself is downplaying his chances, and that he is surprised just to be considered among the finalists and to have had a personal meeting with Obama on the vacancy.

CNN Political Research Director Robert Yoon contributed to this report.

@highlight

Elena Kagan known as a political pragmatist, but lacks judicial record

@highlight

Confirmation battle for Diane Wood might be tough

@highlight

Merrick Garland viewed as a liberal moderate

@highlight

Sidney Thomas' Western roots would add regional diversity to the court