(CNN)It's been called "the sacred place where life begins."

Yet, until a surprising announcement from the Obama administration on Sunday, that's rarely what the public has heard about Alaska's highly politicized Arctic National Wildlife Refuge.

We heard that it was full of oil. Or it wasn't.

That it would create a bunch of jobs. Or it wouldn't.

That it would solve the energy crisis.

Or, you know, maybe not.

A former U.S. rep actually said "there's no wildlife" there.

But after decades of fighting over data and political talking points, the refuge -- also called ANWR -- started to emerge for me this week as an actual, living-breathing place. The shift came in how the White House announced that it would now treat the refuge as wilderness, which has infuriated Alaska Republicans since it could prevent oil and gas drilling on a contentious piece of land, at least for now.

The administration asked Congress to give a disputed part of the refuge a wilderness designation. And the Interior Department released a new conservation plan that aims to protect the area.

Instead of arguing the demerits of drilling, the White House basically turned the old Sarah Palin argument on its head. "The Coastal Plain of the Arctic Refuge, one of the few remaining places in the country as pristine today as it was when the oldest Alaska Native communities first set eyes on it, is too precious to put at risk," John Podesta, a counselor to Obama, and Mike Boots, head of the Council on Environmental Quality, wrote at WhiteHouse.gov.

"By designating the area as wilderness, Congress could preserve the Coastal Plain in perpetuity -- ensuring that this wild, free, beautiful, and bountiful place remains in trust for Alaska Natives and for all Americans."

Instead of "Drill baby, drill," it's "protect, baby, protect."

Or maybe Jamie Williams, president of the Wilderness Society, put it better: "Some places are simply too special to drill," he said in a statement.

That's a sorta new -- or at least very retro -- way of talking about the refuge, said Cindy Shogan, executive director of the Alaska Wilderness League. The go-to arguments for environmentalists, she said, have concerned a lack of economic impact from drilling. "The most compelling arguments are the ones we forget about using -- and that is the beauty and the special nature and the wildness of the place," she told me.

"It's not everybody's cup of tea, but the fact of the matter is it is unique. It truly is the last great wilderness. A lot of people like the idea that there's a place like that that's still left, and they want it to be left for future generations.

"It sounds corny, but it really is the last place we have left to do this."

It's a throwback to John Muir, the Sierra Club founder, who wrote, according to that group's website, that "our bodies were made to thrive only in pure air, and the scenes in which pure air is found."

To underscore the rhetorical shift, the White House released a nature video about the refuge in which President Barack Obama says he hopes this "amazing wonder can be preserved for future generations."

The administration is proposing that 12.3 million acres of the refuge be protected as wilderness. Now, about 7 million of the far-north Alaska refuge's 19.8 million acres are managed in that way. "If Congress chooses to act, it would be the largest ever wilderness designation since Congress passed the visionary Wilderness Act over 50 years ago," the U.S. Department of Interior said in a news release.

If the administration wanted to take this a step further, it could argue that the Arctic Refuge is not just threatened by oil and gas development in its backyard, but also by oil and gas development worldwide.

The Arctic is warming twice as fast as the rest of the Earth, according to the National Oceanic and Atmospheric Administration.

Already, substantial changes are being seen.

"(The Arctic and Antarctic) are kind of the canary in a coal mine of global warming," says Walt Meier, a research scientist with NASA's Goddard Space Flight Center, in this video about climate change and the melting of the Arctic sea ice. Another scientist in the video says the Arctic is warming twice as fast as the rest of the planet.

But back to the central argument here: I tend to get overwhelmed by sweeping generalizations about the grandness and wonderment of nature. I mean, how wonderful is it? Or in what way? Why should we all be happy it's there?

So I asked Shogan, from the Alaska Wilderness League, to give me a little more detail about what's actually going on in this epic wilderness. What lives there, and why is it unique?

She told me about the porcupine caribou, of course, which migrate along the Porcupine River and are somewhat analogous to the migratory animals of the Serengeti. That's a parallel that hadn't occurred to me before and really puts it in context.

"Like antlered gypsies, barren ground caribou are always on the move," the U.S. Fish and Wildlife Service says on its website. "Exactly when and where they go is impossible to predict. Most herds, however, are drawn to a specific calving area. The 169,000 member Porcupine caribou herd has such a connection with the Arctic National Wildlife Refuge."

Shogan told me about the birds, such as the lesser yellow legs and the plovers, which migrate into the "Lower 48." She told me how this is "the only place that all three kinds of bears hang out" -- polar, black and grizzly.

But the factoid that made me most love this refuge was also the strangest and most apocalyptic: There are so many mosquitoes in the Arctic National Wildlife Refuge in the summer that they literally can swarm and kill large mammals, such as caribou. They get in their noses and jab their backs. It's so brutal, so panic-inducing, that the caribou retreat to the ocean.

"It's really awful, but that's the wilderness right? That's wildlife," she said.

Well, at least it's wild.

So much of the United States has been carved up by people -- from the farmers' plows on the Great Plains to the mountain-blasting miners in Appalachia -- that it's comforting to know this place is left.

Bears, caribou -- and, yeah, mosquitoes.

But maybe I'm too swept up in this. I'm curious what you think of the President's framing of the Arctic Refuge -- and his request that Congress protect it more permanently. Do those arguments convince you, especially at a time when oil and gas prices are low and when the United States is already, without ANWR, the top oil and natural gas producer in the world?

Or do you agree with Sen. Lisa Murkowski, R-Alaska, who said called the move a "stunning attack on our sovereignty and our ability to develop a strong economy that allows us, our children and our grandchildren to thrive."

Let me know in the comments or by writing me on Twitter. I'm @jdsutter.

@highlight

The Obama administration asks Congress to protect the Arctic National Wildlife Refuge

@highlight

John Sutter says the way the administration made the request is important

@highlight

The White House is arguing, essentially, that the refuge is "too pristine" for drilling