(CNN) -- Just as "Y2K" and its batch of predictions about the year 2000 have become a distant memory, here comes "Twenty-twelve."

The sun shines through the door of the Seven Dolls Temple, in the Maya ruins of Dzibilchaltun in Mexico.

Fueled by a crop of books, Web sites with countdown clocks, and claims about ancient timekeepers, interest is growing in what some see as the dawn of a new era, and others as an expiration date for Earth: December 21, 2012.

The date marks the end of a 5,126-year cycle on the Long Count calendar developed by the Maya, the ancient civilization known for its advanced understanding of astronomy and for the great cities it left behind in Mexico and Central America.

(Some scholars believe the cycle ends a bit later -- on December 23, 2012.)

Speculation in some circles about whether the Maya chose this particular time because they thought something ominous would happen has sparked a number of doomsday theories.

The hype also has mainstream Maya scholars shaking their heads.

"There's going to be a whole generation of people who, when they think of the Maya, think of 2012, and to me that's just criminal," said David Stuart, director of the Mesoamerica Center at the University of Texas at Austin.

"There is no serious scholar who puts any stock in the idea that the Maya said anything meaningful about 2012."  Find out more about the history and culture of the Maya »

But take the fact that December 21, 2012, coincides with the winter solstice, add claims the Maya picked the time period because it also marks an alignment of the sun with the center of the Milky Way galaxy, and you have the makings of an online sensation.

Type "2012" into an Internet search engine and you'll find survival guides, survival schools, predictions and "official stuff" to wear, including T-shirts with slogans such as "2012 The End" and "Doomsday 2012."

Theories about what might happen range from solar storms triggering volcano eruptions to a polar reversal that will make the Earth spin in the opposite direction.

If you think all of this would make a great sci-fi disaster movie, Hollywood is already one step ahead.

"2012," a special-effects flick starring John Cusack and directed by Roland Emmerich, of "The Day After Tomorrow" fame, is scheduled to be released this fall. The trailer shows a monk running to a bell tower on a mountaintop to sound the alarm as a huge wall of water washes over what appear to be the peaks of the Himalayas.

'Promoting a hoax'

One barometer of the interest in 2012 may be the "Ask an Astrobiologist" section of NASA's Web site, where senior scientist David Morrison answers questions from the public. On a recent visit, more than half of the inquiries on the most popular list were related to 2012.

"The purveyors of doom are promoting a hoax," Morrison wrote earlier this month in response to a question from a person who expressed fear about the date.

A scholar who has studied the Maya for 35 years said there is nothing ominous about 2012, despite the hype surrounding claims to the contrary.

"I think that the popular books... about what the Maya say is going to happen are really fabricated on the basis of very little evidence," said Anthony Aveni, a professor of astronomy, anthropology and Native American studies at Colgate University.

Aveni and Stuart are both writing their own books explaining the Mayan calendar and 2012, but Stuart said he's pessimistic that people will be interested in the real story when so many other books are making sensational claims.

Dozens of titles about 2012 have been published and more are scheduled to go on sale in the coming months. Current offerings include "Apocalypse 2012," in which author Lawrence Joseph outlines "terrible possibilities," such as the potential for natural disaster.

But Joseph admits he doesn't think the world is going to end.

"I do, however, believe that 2012 will prove to be... a very dramatic and probably transformative year," Joseph said.

The author acknowledged he's worried his book's title might scare people, but said he wanted to alert the public about possible dangers ahead.

He added that his publisher controls the book's title, though he had no issue with the final choice.

"If it had been called 'Serious Threats 2012' or 'Profound Considerations for 2012,' it would have never gotten published," Joseph said.

Growing interest

Another author said the doom and gloom approach is a great misunderstanding of 2012.

"The trendy doomsday people... should be treated for what they are: under-informed opportunists and alarmists who will move onto other things in 2013," said John Major Jenkins, whose books include "Galactic Alignment" and who describes himself as a self-taught independent Maya scholar.

Jenkins said that cycle endings were all about transformation and renewal -- not catastrophe -- for the Maya. He also makes the case that the period they chose coincides with an alignment of the December solstice sun with the center of the Milky Way, as viewed from Earth.

"Two thousand years ago the Maya believed that the world would be going through a great transformation when this alignment happened," Jenkins said.

But Aveni said there is no evidence that the Maya cared about this concept of the Milky Way, adding that the galactic center was not defined until the 1950s.

"What you have here is a modern age influence [and] modern concepts trying to garb the ancient Maya in modern clothing, and it just doesn't wash for me," Aveni said.

Meanwhile, he and other scholars are bracing for growing interest as the date approaches.

"The whole year leading up to it is going to be just crazy, I'm sorry to say," Stuart said.

"I just think it's sad, it really just frustrates me. People are really misunderstanding this really cool culture by focusing on this 2012 thing. It means more about us than it does about the Maya."

@highlight

December 21, 2012, marks the end of a 5,126-year cycle on a Mayan calendar

@highlight

Some think the date is ominous, others say it may signal the dawn of a new era

@highlight

Theories are fabricated on the basis of very little evidence, Maya scholar says

@highlight

"The whole year leading up to it is going to be just crazy," another scholar warns