(CNN) -- Biomedical research is complicated. For patients, the pace of progress can be frustratingly slow. Two announcements last month -- one about biomarkers, the other about stem cell research -- left many of us feeling that for every promising discovery, there are even greater setbacks.

We started August with good news about the discovery of an Alzheimer's biological marker in spinal fluid that will allow earlier diagnosis of patients who are experiencing some memory loss. It may not sound sexy. But for Alzheimer's patients and their loved ones, the significance of this finding is hard to overstate.

Biomarkers, which are substances or characteristics in our bodies that are associated with the risk or presence of disease, are critical tools in the quest for therapies that can slow or stop the progression of neurodegenerative diseases. Until now, Alzheimer's researchers, like those in the Parkinson's field, have not had the benefit of a biomarker to guide their discovery.

This major breakthrough was the result of an unprecedented data sharing and collaboration. A consortium of scientists and executives across academia, government, industry, and the nonprofit world pooled their collective interests into one larger, collaborative platform, the Alzheimer's Disease Neuroimaging Initiative (ADNI). In just six years -- a relatively short time in biomedical research -- they announced success.

But with this one step forward came two steps backward two weeks ago when a U.S. judge granted a preliminary injunction to halt federal funding for embryonic stem cell research.

This ruling, which is even more restrictive than President Bush's stem cell research policies, goes against the beliefs of the majority of Americans (in an August 2010 poll conducted by Research!America, 70 percent of respondents said they favor expanded funding for stem cell research) and wastes more precious time for the millions of people suffering from chronic diseases.

As a person with Parkinson's, it's hugely frustrating to think that one decision can actively hold back research that holds promise to transform lives. Patients with neurodegenerative diseases dream of the day when disease-modifying treatments are found, instead of therapies that simply mask symptoms. Disease-modifying therapies create the possibility of newly diagnosed patients never having to experience full-blown disease.

The Michael J. Fox Foundation has long championed the scientific freedom to pursue all promising paths to finding these treatments. Biomarker discovery and stem cell science are among the innovative areas of biomedical research that hold potential to speed progress.

So while our foundation gears up to launch its most ambitious biomarker discovery project to date, the Parkinson's Progression Markers Initiative, with ADNI as a precedent, we'll also be standing with Parkinson's patients, their loved ones and the majority of Americans who want us to move beyond political agendas and advance the promise of stem cell research.

The opinions expressed in this commentary are solely those of Michael J. Fox.

@highlight

Michael J. Fox says August brought good news, bad news for research on chronic disease

@highlight

He says new collaboration helped scientists find biomarker for Alzheimer's

@highlight

Later, Judge ruled to stop fed funds for stem cell research, bringing programs to halt

@highlight

Fox: Parkinson's Foundation backs moving past politics, advancing stem cell research