(CNN) -- Ethan Fisher is small for his age. The 8-year-old looks 6, though his natural athleticism aids him on the baseball field. He's outgoing and spontaneous -- a bundle of energy with big blue eyes and a welcoming smile.

You'd never guess from looking at him that Ethan has Fanconi Anemia, a rare blood disorder that may one day kill him.

"He's the ask-for-forgiveness child," his dad, Florida State University head football coach Jimbo Fisher, says with a laugh.

The FSU Seminoles have had an outstanding year. They're undefeated at 13-0. Their quarterback, Jameis Winston, recently won the 2013 Heisman trophy. The team is set to play Auburn in the BCS National Championship Game on January 6.

Basically, Jimbo Fisher is on fire.

"I love what I do," he says. "The more success I have, the more awareness I can bring to this disease."

In December 2010, Ethan fell ill with the flu. The Fishers were visiting family in Alabama, so his mom took Ethan to an urgent care clinic. A blood test revealed his platelet count was low.

Probably nothing to worry about, the doctors told Candi Fisher. Just follow up on it when you get home.

A few months later, Ethan was diagnosed with Fanconi Anemia.

"All we knew about the disease was what we looked up online," Jimbo says. "It was all the worse-case scenario. We thought it was a complete death sentence.

"That day was..."

After a moment, he finds the word: "devastation."

Fanconi Anemia is an inherited blood disorder that affects about 1 in every 130,000 people, says Dr. Margaret MacMillan, a pediatric hematologist oncologist at University of Minnesota Amplatz Children's Hospital.

Patients with Fanconi Anemia can't repair their DNA. When their bodies make new cells, they come with mistakes -- big ones that can lead to birth defects, bone marrow failure and cancer.

Acute myelogenous leukemia is seen 15,000 times more often in FA patients than it's seen in children in the general population. FA patients are also more at risk for head and neck, breast, and brain cancers. Close to 100% need bone marrow transplants before they reach adulthood.

Other than stunted growth, Ethan didn't show any external signs of Fanconi Anemia, MacMillan says. About 60% of cases present with a birth defect, such as a shortened thumb. But the average pediatrician will see only one or two cases in a career, and it's difficult to diagnose.

"Most patients go into full bone marrow failure before they ever find out," she says.

When he was diagnosed in 2011, doctors estimated Ethan would need a bone marrow transplant in three to five years. His blood is tested every few months, and once a year the family travels to Minnesota to get a bone marrow biopsy.

"It's hard ... for the parents, because he's a ticking time bomb," MacMillan says.

A bone marrow transplant will buy Ethan more time, but it's not a cure. And the procedure itself is dangerous, requiring up to a year of recovery.

"Time isn't really on our side, or anybody's side, with this disease," Candi says.

The prognosis for Fanconi Anemia patients is difficult to predict, MacMillan says. Research suggests the average lifespan is between 20 and 30 years, but the data are based on past success rates for bone marrow transplants.

When MacMillan started at the Minnesota hospital 16 years ago, the survival rate after a bone marrow transplant was about 20%, she says. Now it's 85%.

The Fishers created the nonprofit Kidz1stFund shortly after Ethan's diagnosis to increase awareness and raise money for research about Fanconi Anemia.

In September, Jimbo joined forces with Paul Chryst, head coach at the University of Pittsburgh, to promote his cause. Players from both teams wore "I fight Fanconi" decals on the backs of their helmets during the televised Labor Day game.

"We thought, we can go private with this and keep it within, or we can go out publicly and not only help Ethan, but help all those kids who don't have a voice -- whose dads aren't the head football coach," Jimbo says.

To date, Kidz1stFund has given more than $1.5 million to MacMillan's program.

Donations stream in from all over the country. Most are in $100 or $200 amounts from fans who hear about Ethan and want to help.

But the donation Candi remembers best came from former FSU player Andrew Datko, who gave $5 the night the foundation's PayPal account was set up.

"Five dollars to him was a lot of money because those players rely on their program money heavily," she says. "It touched my heart."

The FSU players have been "unbelievable," Jimbo says. They've all signed up for the bone marrow donor registry. Several have already donated bone marrow to help another child in need.

And they're great with Ethan, who is doing his best to live life as a normal kid. His parents have told him about his Fanconi Anemia, but haven't explained the seriousness of the disease.

"He's very aware that all of these people have come together and are trying to help," Candi says. "He has the rest of his life to worry."

Through the foundation, the Fishers have met other families who've been through similar struggles.

A 15-year-old who hasn't yet gone into bone marrow failure gave Candi hope that Ethan could hold out a few more years.

A practicing attorney named Christopher showed the Fishers that FA patients can live well into their 30s if the bone marrow transplant is successful.

And Logan Stevenson, the 2-year-old who served as his parents' best man before passing away in August, cemented their resolve to do everything they can to fight Fanconi Anemia.

"God put us on this path for a reason," Candi says, "And I don't feel he's going to let us down."

For Jimbo, that means winning as many football games as possible to keep FSU -- and Kidz1stFund -- in the spotlight.

"Oh, we're definitely going to try to win the championship."

@highlight

FSU head coach Jimbo Fisher's son has Fanconi Anemia, a rare blood disorder

@highlight

Fanconi Anemia affects 1 in every 130,000 people

@highlight

Almost all FA patients need bone marrow transplants before they reach adulthood

@highlight

The prognosis for Ethan Fisher is hard to predict, due to old data