Columbia, South Carolina (CNN) -- Choose your adjective: Hardball. Bare-knuckle. Down-and-dirty.

South Carolina has a rich and storied history of tough political tactics.

There's the stooge third-party candidate allegedly recruited by legendary Republican operative Lee Atwater to deliver anti-Semitic attacks against Democratic congressional candidate Max Heller in 1978 or the shadowy "push polls" about black babies that helped undercut Arizona Sen. John McCain's renegade presidential bid here in 2000.

It's the fun and easy topic for pundits to chew on when they drop in to the first-in-the-South primary state after frigid tours of duty in Iowa and New Hampshire.

But are South Carolina politics as nasty as advertised?

Few here question that the state has a permissive political culture that sometimes celebrates mischief and mudslinging.

In a Republican-dominated state where primary campaigns tend to be decided more on personality than major differences on issues, "dirty tricks" seem to bubble up in South Carolina more frequently than elsewhere.

But the reality is that it's been more than a decade since devious tactics like unidentified robocalls or suspicious mailers have derailed a statewide candidacy.

"I think people have become sort of jaundiced about the whole dirty-trick thing," said state Sen. Tom Davis. "They see some of that ambush stuff, and they take it with a giant grain of salt."

The last time an orchestrated sneak attack seriously damaged the fate of a campaign was 2000, when anonymous George W. Bush supporters carried out a sinister assault on McCain's character, questioning his patriotism and the race of his adopted daughter in a wave of anonymous phone calls.

But the most recent Republican presidential primary fight in South Carolina told a different story.

While there were plenty of shady stunts and headline-grabbers during the 2008 Republican primary -- several of them perpetrated by the Mitt Romney campaign -- none had a major impact.

Wesley Donehue, a Romney consultant during the 2008 race in South Carolina, was caught red-handed after creating a Web site called "Phony Fred" that impugned then-candidate Fred Thompson's conservative bona fides.

The Romney staff in Columbia also had a penchant for dressing up interns in masks and dispatching them to protest at rival events.

In one case, when Mike Huckabee was taking fire in late 2007 for his parole record in Arkansas, Romney aides convinced two interns to dress up in prison stripes and protest several Huckabee rallies.

The most craven hit actually came against Romney: Just after Christmas 2007, someone sent anonymous postcards to South Carolina mailboxes calling attention to the former Massachusetts governor's Mormon faith.

The effort, though, had little impact. Romney was already trending down in the polls when the postcards landed.

Ploys like those are a surefire way to generate media attention. But strategists in South Carolina these days wonder if they actually work.

In 2010, then-gubernatorial candidate Nikki Haley was called a "raghead" and subjected to a series of unproven claims that she had committed adultery -- but the attacks backfired and Haley was next to untouchable on her way to the governor's mansion.

Though the practice of dirty politics may always have a place in South Carolina -- and might still rear its head in this presidential race -- times have changed since the Atwater era.

The harsh attacks that are consuming the primary race as it opens -- Romney is being painted as a corporate raider who fired workers for a better bottom line, and Rick Santorum as a pork-barrel politician extraordinaire -- are neither sneaky nor underhanded.

They are straightforward and on the record, delivered straight from the candidate's mouths or in the form of television ads from the campaigns or cash-flush super PACs.

Anonymous political attacks, meanwhile, often take the form of YouTube videos or unsourced document dumps to web sites like FITS News, the popular Columbia-based political blog run by Will Folks, the first of two accusers in the Haley affair story.

Meanwhile, master practitioners of the so-called "dark arts" are no longer the central players in South Carolina's always entertaining political dramas.

"After Lee Atwater died, there was an entire generation of consultants who looked in the mirror every day and said, 'I'm going to be the next Lee Atwater,'" one South Carolina Republican strategist told CNN. "And those folks are all moving on and moving out."

One of the Palmetto State's most famous and colorful political tricksters, Rod Shealy, died last year after a long battle with brain cancer.

Two renowned political consultants in South Carolina who famously battled on opposite sides of the Bush-McCain trenches in 2000, Warren Tompkins and Richard Quinn, are still kicking.

Tompkins works for Romney. Quinn advises former Utah Gov. Jon Huntsman.

Both men still do campaigns and political strategy but now retain side businesses as well, and their rivalry has long since waned.

"We don't have an ax to grind against each other," said Tompkins. "We are too old for that."

There remains a small crop of political operatives who make a living getting inside the heads of rival campaigns.

They are largely unknown outside of the political class in Columbia, and they universally refuse to go on the record to discuss their tactics -- for legal reasons, in some cases.

And crucially, most of them are sitting on the sidelines in this presidential cycle.

"I am just not being paid to screw with anybody this time," one of them told CNN. "The super PACs are doing that ... It's a shame. I know exactly what I would do to two or three of them."

Political campaigns are now being run by a younger and newer generation of operatives, many of them with no ties to South Carolina other than their candidates.

The last three successful gubernatorial races in South Carolina -- Mark Sanford's in 2002 and 2006, and Haley's in 2010 -- were steered by Maryland-based consultant Jon Lerner.

And the day-to-day operations of Haley's campaign were managed by Connecticut native Tim Pearson, then a 27-year-old.

Pearson, now Haley's chief of staff, argued that storylines about the state's grimy political culture generate media hype but only matter to reporters and the behind-the-times political operatives who talk to them.

"It's a narrative driven by political consultants, for political consultants," Pearson told CNN. "If Nikki's election proved anything, it's that message and a connection with the people matters more than sideshow political nonsense, and that the voters of this state are far smarter than they're given credit for."

Still, McCain's presidential campaign in 2008 demonstrated how easy it is to bait the media into talking about South Carolina's bare-knuckle reputation.

In a bid to generate sympathetic coverage about their candidate, McCain aides circulated to reporters a scanned version of an anonymous flier that they claimed to have uncovered in a far corner of the state.

The crude-looking flier, which existed only in e-mail form, mocked McCain's prisoner-of-war experience in Vietnam.

No one in the media was able to verify that the fliers were distributed to anyone other than journalists.

But cable news and the Web were abuzz for several days with stories about how McCain was once again under attack by nefarious forces.

It worked: McCain's won the primary and went on to capture the Republican nomination.

"The fact is that the only real dirty trick that happened last time was John McCain claiming there were dirty tricks against John McCain," groused one Republican who worked for an opposing campaign at the time.

@highlight

"Dirty tricks" seem to bubble up in South Carolina politics more frequently than elsewhere

@highlight

But it's been more than a decade since such tactics have derailed a statewide candidacy

@highlight

S.C. Gov. Nikki Haley was subjected to unproven adultery claims during her 2010 campaign

@highlight

New generation of political operatives not using ploys of the past