For the first time in human history, more than half the world's population is living in cities, which now produce approximately 70 percent of global greenhouse gas emissions. That puts cities on the frontlines of the battle against climate change -- and more and more cities are leading the charge.

In New York, we began a frontal attack on climate change in 2007 with the release of our sustainability blueprint, PlaNYC -- and since then we've made major progress. For instance, we are well on our way to meeting our goal of reducing our greenhouse gas emissions by 30 percent by 2030.

For coastal cities like New York, the risks of climate change are especially serious: sea levels are expected to rise by another two and a half feet in the next 40 years, making storm surges even more powerful and dangerous. And intense storms are likely to increase as the ocean's temperatures continue to rise. But it's not just storms. Droughts and heat waves may be longer and more intense for urban populations everywhere in the years to come.

Around the world, city leaders are not wasting time debating the science of climate change or waiting around for international treaties to be signed; we are taking action. There's simply too much to do and too much at stake.

For the past two years, I have been chairman of the C40 Cities Climate Leadership Group, which includes some of the biggest and most innovative cities in the world. Thanks to C40's research, we know that C40 Cities have taken more than 4,700 actions to reduce greenhouse gas emissions and adapt to the possible effects of climate change.

In fact, C40 has the potential to reduce emissions by more than one billion tons a year by 2030 — which is equivalent to making both Canada and Mexico entirely carbon-neutral.

In New York City, our actions to reduce our carbon footprint include planting more than a half-million new trees; banning the use of the most polluting forms of heating oil; and launching a major bike sharing initiative.

The strict codes we've adopted for energy-efficiency in major commercial and residential buildings have the potential to reduce our greenhouse gas emissions by at least five percent and save New Yorkers more than $750 million per year in energy costs. But our work to make our city more energy efficient is only half the battle.

Last fall, Hurricane Sandy made all too clear how vitally important it is to build stronger and more sustainable infrastructure that can withstand extreme weather events. That's why in June, we launched a long-term plan specifically focused on protecting our city from the effects of climate change.e

For instance, we're working to strengthen dune systems and beaches across the city. Our plan includes surge barriers to prevent flooding and a strong network of bulkheads, floodwalls, levies, and other protections in vulnerable places along the waterfront.

We are working with private companies and regulators to strengthen critical infrastructure against severe weather -- including our power, telecommunications, and transportation systems. And we're also raising construction standards to ensure new buildings can withstand extreme weather.

In developing this plan, we looked around the world to identify best practices and innovative new solutions -- and that's the power of the C40 network.  It creates a forum for cities to share best practices and resources -- and even to collaborate with other cities and institutions.

For instance, C40 has now formed partnerships with the World Bank and other international organizations that have expertise and resources, which are helping cities take bolder actions more quickly.

In addition, C40 has focused on the research and data collection necessary to assess our progress, because I firmly believe in the maxim: If you can't measure it, you can't manage it.

Mayors are pragmatists, not partisans; innovators, not ideologues.  We are responsible for delivering results, not debating politics.  And as the world becomes increasingly more urban, the importance of bold local action -- particularly on climate change -- will continue to grow.

@highlight

New York City Mayor Bloomberg is chairman of C40 Cities Climate Leadership Group

@highlight

City leaders are taking action, not debating climate science, says Mayor

@highlight

Hurricane Sandy emphasized importance of stronger infrastructure

@highlight

New York is prepping for future storms and cutting emissions