(CNN) -- Reports of yet another outbreak on a cruise ship this week have some imminent cruisers asking the unpleasant question: What are the chances of spending my vacation in the bathroom?

"My mother, who is a first-time cruiser, is seriously reconsidering our choice for our family vacation," wrote CNN reader Monica Mancera in an e-mail. The University of Texas at Austin student is booked on a Carnival cruise with her family in March.

The Centers for Disease Control and Prevention is investigating two recent norovirus outbreaks  at sea. One outbreak hit Royal Caribbean's Explorer of the Seas, infecting more 600 passengers and crew. The other struck a Princess Cruises ship, which cut short its seven-day Caribbean itinerary after more than 180 passengers and crew members fell ill. The cause has not yet been determined.

Not exactly tropical drinks by the cruise ship's pool, lovely walks by the moonlight and port visits to exotic climes. And just the thought of wasting precious vacation time has worker-bee bystanders riled up: So glad it's not me! Poor suckers! And cruise skeptics who have never been on cruises have another opportunity to ask: What were they thinking?

"I think they are floating germ kingdoms. Disgusting," wrote Matt Dryden of Newport, North Carolina, via e-mail. "Never been on a cruise because of that exact reason."

Cruising represents one of travel's deeper divides. Love it or hate it, most of the keenest objections are only half true -- or false, depending on how you look at it.

Floating petri dishes?

Cruise ships are ripe for spreading illness. Outbreaks of norovirus, the leading cause of acute gastroenteritis in the United States, occur most frequently in close quarters, according to the CDC. Nursing homes, dormitories and cruise ships are common transmission grounds.

In 2013, the CDC's Vessel Sanitation Program logged nine gastroenteritis outbreaks aboard ships, seven of which had a confirmed cause of norovirus. About 1,200 cruise passengers were affected by those norovirus cases.

To put those figures in perspective, the industry's Cruise Lines International Association says more than 10 million passengers embarked on CLIA-member cruise ships from a U.S. port in 2012. Meanwhile, nationwide, norovirus sickens an estimated 21 million people in the United States every year, according to the CDC.

Bottom line: More people are getting sick on land. (Granted, that's little comfort if you're vomiting violently at sea).

More outbreaks of gastroenteritis have been reported aboard cruise ships since 2001, according to CDC statistics. The government agency says the spike is tied to an increase in both passengers and ships sailing the seas as well as an overall increase in norovirus outbreaks.

"There are attempts to control these types of outbreaks, but it's hard to guarantee that it's not going to happen for any particular cruise," said Dr. Lin Chen, director of the Travel Medicine Center at Mount Auburn Hospital in Cambridge, Massachusetts.

So yes, the threat of illness is real. Yet the number of reported outbreaks among thousands of annual sailings has ranged in recent years from less than a dozen affected sailings to about three dozen.

Who's responsible for the outbreak?

"Though the cruise lines may get the bad rap for an outbreak of gastrointestinal illness, cruise lines typically do a masterful job of cleaning and disinfecting the ships before, during, and after passengers set sail," said Robert Kwortnik, marketing professor at Cornell University's School of Hotel Administration.

That's because the stakes are so high. "It's more likely that the cause of these outbreaks is us -- or what technology professionals refer to as "'user error,'" he said. "We might not be feeling tip-top when we board the ship and instead bring illness on-board with us rather than saying, 'Maybe I should do this another time.' No one wants to cancel a vacation, especially if it's nonrefundable."

Kwortnik's solution: Buy travel insurance, which is intended for just this kind of problem, and stay home if you're sick.

The recent outbreaks aren't scaring away some travelers.

"I feel for the people who are suffering through it, but for the number of cruises per year and the sheer number of people on them, outbreaks like this are just too small for me to worry about," wrote Christina M. Stetler of Manchester, Pennsylvania, via e-mail, who took a cruise in September.

Are ships or passengers unsanitary?

Norovirus, the most common cruise ship outbreak offender, spreads quickly from person to person but can also be transmitted through contaminated food or water or from contaminated surfaces.

The CDC's Vessel Sanitation Program conducts regular unannounced inspections of cruise ships. Explorer of the Seas, the Royal Caribbean ship currently experiencing an outbreak, scored a 98 out of 100 on its last inspection in July 2013.

"Something like this is not representative of an unclean ship," said Colleen McDaniel, managing editor of CruiseCritic.com. "It doesn't mean this particular vessel was unclean. It just means there was an outbreak on board. They're ending the cruise two days early and doing a really deep cleaning of the ship. It's not likely to happen on the same ship again."

Unlikely, but not unheard of: Princess Cruises' Crown Princess had norovirus outbreaks on two consecutive sailings in 2012. In 2010, the CDC issued a four-day no-sail recommendation for a Celebrity Cruises ship after three consecutive outbreaks of gastrointestinal illness.

The deep cleaning upon Explorer of the Seas' return to port "will be the third aggressive sanitizing procedure the ship has undertaken since we became aware of the issue," Royal Caribbean said.

Wash your hands!

Cruise lines activate CDC-monitored response plans when outbreaks are detected. Measures include increasing the frequency of cleaning and disinfection, isolating ill people, distributing information about proper hand-washing and hygiene as well as illness updates and regular reporting to CDC Vessel Sanitation Program officials.

Hygiene is extremely important when outbreaks occur. Proper hand washing, avoiding contact with ill passengers and direct contact with public surfaces such as restroom door handles can help stem the spread of highly contagious illness. The CDC offers health tips for cruisers on its website.

Avid cruiser Marcy Webster and her husband won't be changing their plans for an upcoming sailing on Royal Caribbean's Allure of the Seas.

Norovirus: The most common stomach bug

"It is not the cruise line's fault. It is a passenger who came onboard sick and spread the virus everywhere. On every cruise I have been on, the crew is diligent in keeping things clean and making passengers use hand sanitizer," Webster, of Keller, Texas, wrote in an e-mail.

"Bad things happen. If you stop your life for fear of what could be, you never experience anything."

That's not good enough for Cheryl King, who decided not to take a cruise with her family after learning about the outbreak on the Royal Caribbean ship.

"We were in the process of looking for a cruise when this story came on," King wrote CNN ,via e-mail. "We have decided our money will serve us much better by keeping both feet on terra firma, where we can walk away if something goes sideways.

"We will not be going on any cruises. Ever."

@highlight

Some travelers hesitant to cruise due to gastrointestinal outbreaks aboard cruise ships

@highlight

In 2013, about 1,200 passengers were sickened by norovirus on cruise ships

@highlight

More than 10 million passengers embarked cruise ships from a U.S. port in 2012

@highlight

Each year, norovirus affects an estimated 21 million people in the United States