LONDON, England (CNN) -- Picture this: you're sat down for the Football World Cup final, or a long-awaited sequel to the "Sex and the City" movie and you're watching all the action unfold in 3-D on your coffee table.

The future of television? This image is an impression of what 3D holographic television may look like.

It sounds a lot like a wacky dream, but don't be surprised if within our lifetime you find yourself discarding your plasma and LCD sets in exchange for a holographic 3-D television that can put Cristiano Ronaldo in your living room or bring you face-to-face with life-sized versions of your gaming heroes.

The reason for renewed optimism in three-dimensional technology is a breakthrough in rewritable and erasable holographic systems made earlier this year by researchers at the University of Arizona.

Dr Nasser Peyghambarian, chair of photonics and lasers at the university's Optical Sciences department, told CNN that scientists have broken a barrier by making the first updatable three-dimensional displays with memory.

"This is a prerequisite for any type of moving holographic technology. The way it works presently is not suitable for 3-D images," he said.

The researchers produced displays that can be erased and rewritten in a matter of minutes.

To create television sets the images would need to be changing multiple times each second -- but Peyghambarian is very optimistic this can happen.

He said the University of Arizona team, which is now ten-strong, has been working on advancing hologram technology since 1990 -- so this is a major step forward. He believes that much of the difficulty in creating a holographic set has now been overcome.

"It took us a while to make that first breakthrough, but as soon as you have the first element of it working the rest often comes more rapidly," he said. "What we are doing now is trying to make the model better. What we showed is just one color, what we are doing now is trying to use three colors. The original display was four inches by four inches and now we're going for something at least as big as a computer screen."

There are no more great barriers to overcome now, he said.

The breakthrough has made some long-time researchers of the technology believe that it could now come to fruition.

Tung H. Jeong, a retired physics professor at Lake Forest College outside Chicago who had studied holography since the 1960s told NJ.com; "When we start talking about erasable and rewritable holograms, we are moving toward the possibility of holographic TV ... It has now been shown that physically, it's possible."

And what might these holographic televisions look like?

According to Peyghambarian, they could be constructed as a screen on the wall (like flat panel displays) that shows 3-D images, with all the image writing lasers behind the wall; or it could be like a horizontal panel on a table with holographic writing apparatus underneath.

So, if this project is realized, you really could have a football match on your coffee table, or horror-movie villains jumping out of your wall.

Peyghambarian is also optimistic that the technology could reach the market within five to ten years. He said progress towards a final product should be made much more quickly now that a rewriting method had been found.

However, it is fair to say not everyone is as positive about this prospect as Peyghambarian.

Justin Lawrence, a lecturer in Electronic Engineering at Bangor University in Wales, told CNN that small steps are being made on technology like 3-D holograms, but, he can't see it being ready for the market in the next ten years.

"It's one thing to demonstrate something in a lab but it's another thing to be able to produce it cheaply and efficiently enough to distribute it to the mass market," Lawrence said.

Yet, there are reasons to be optimistic that more resources will be channeled into developing this technology more quickly.

The Japanese Government is pushing huge financial and technical weight into the development of three-dimensional, virtual-reality television, and the country's Communications Ministry is aiming at having such technology available by 2020.

Peyghambarian said there are no major sponsors of the technology at present, but as the breakthroughs continued, he hopes that will change.

Even if no major electronics company commit themselves, there is hope that backers could come from outside of the consumer electronics industry, he said.

"It could have some other applications. In training it's useful to show people three-dimensional displays. Also it would be good to show things in 3-D for defense command and control and for surgery," he said.

@highlight

Researchers have created the first rewritable and erasable holographic images

@highlight

Holographic televisions could come out of the wall or up from a table

@highlight

The 3-D hologram technology could have uses in surgery or in the military