(CNN) -- Strategically located in the eastern Mediterranean, Cyprus has stood at one of the geographical, cultural and economic fault-lines between East and West since ancient times.

In mythology, it was the birthplace of the Ancient Greek goddess of love, Aphrodite, however the island has seen plenty of conflict throughout its history.

When the Roman Empire divided in the 4th century, Cyprus came under the rule of the Byzantine Empire, developing the Hellenistic-Christian culture that remains the hallmark of Greek Cypriots today.

But for the next 1,500 years, Cyprus remained at the mercy of successive waves of foreign invaders.

During the Arab-Byzantine wars between the 7th and 11th century, Cyprus was subject to everything from small piratical raids to full-scale assaults in which thousands were slaughtered.

The cycle of invasion and foreign rule continued to the mid-20th century as Cyprus fell variously to Richard I of England during the Third Crusade, the French under the Lusignans and the Venetians in the 15th century.

Read more: What's Cyprus' connection to wine and the crusades?

When the Ottoman Empire launched a successful full-scale attack in 1570, the scene was set for the divisions between Turkish and Greek Cypriots that exist on the Mediterranean island until today.

Cyprus in the 20th century

By the time Cyprus came under British administration in 1878, Greek Cypriots were already agitating for union with Greece. A referendum in 1950 that was boycotted by Turkish Cypriots came out heavily in favor of union with Greece.

Inter-communal violence fractured the Turkish and Greek Cypriot communities after the country gained independence in 1960 and Turkey threatened to invade in a series of events that became a Cold War flashpoint in 1963 and 1964.

Only the involvement of U.S. President Lyndon B. Johnson halted a Turkish invasion when he stated that the U.S. would not stand beside the NATO member in the event of a Soviet invasion of Turkish territory.

In July 1974, the Greek military junta backed a coup d'etat in Cyprus. In response Turkey launched military intervention and by August it had landed thousands of troops and successfully partitioned the island along what is known as the "Green Line."

Around 180,000 Greek Cypriots were forced south and some 50,000 Turkish Cypriots moved into vacant properties in the northern Turkish occupied zone.

Cyprus has existed as a de-facto divided country ever since and the events of the bloody summer of 1974 still dominate, not just the politics of the island, but Greco-Turkish relations in general.

In 1983, the administration in northern Cyprus declared the "Turkish Republic of Northern Cyprus (TRNC)"; an entity that is not recognized internationally by any country other than Turkey.

Efforts to resolve the conflict have ended in failure.

Attempts at reconciliation

In 2004, the Annan Plan, named after then U.N. Secretary General Kofi Annan, led to a referendum on reunification which was supported by Turkish Cypriots but rejected by the Greek side as being too heavily weighted in favor of the Turkish side.

Despite this setback, Cypriots have been chipping away at partition.

In 2008, Greek Cypriots demolished a key section of the barrier dividing the island's capital city Nicosia. Ledra Street -- a pedestrianized shopping area -- became the sixth crossing point on the divided island. At the time, the move was welcomed by then leader of the Turkish north Ferdi Sabit Soyer who was reported as calling it "a positive development."

In 2004, Cyprus gained accession to the European Union which recognized its entry as a whole but suspended its legislation in the Turkish north, saying that "these areas are outside of the customs and fiscal territory of the EU. But the EU notes that this does not affect the personal rights of Turkish Cypriots as EU citizens."

Economic ups and downs

Erratic growth in the 1990s -- largely due to fluctuations in tourist arrivals that reflected the island's political instability -- gave way to stronger growth. The Republic of Cyprus was first listed as an advanced economy by the International Monetary Fund in 2001.

According to the IMF, Cypriots are among the most prosperous people in in the Mediterranean region with GDP per capita surpassing $26,000 in 2012.

Economists say the turnaround was made all the more spectacular when partition is taken into account. After 1974, Cypriots in the south lost 65% of their hotel and tourist accommodation, 46% of its industrial sector and 56% of its mining and quarrying production.

Read more on Cyprus: Betting on an off-shore gas bonanza

The Republic of Cyprus experienced rapid economic growth as it rebuilt its tourism industry after losing much of its infrastructure in the north after the invasion of 1974.

In the north, however, the economy struggles.

According to the CIA World Factbook, its GDP remains one quarter the size of the south and, with Turkey its primary public and private investor, its per capita GDP is around half that of the south.

Meanwhile, Cyprus has successfully parlayed its role as a hub between East and West, rising as a significant business center in the region and becoming a haven for the assets of many wealthy Russians

In 2012, however, the growth story faltered and Russian bank accounts along with those of Cypriots and EU citizens with unsecured funds were badly hit.

In a major economic crisis, Cypriot banks exposed to local property companies, the Greek Debt Crisis and hammered by a junk rating downgrade by international ratings agencies, Cypriot banks teetered on the verge of collapse.

Only a â‚¬10 billion ($13.7 billion) EU bailout package, which included those losses for depositors, averted a financial disaster that threatened to drag the Mediterranean financial sector down with it.

Ironically for partitioned Cyprus, the solution from the Eurogroup was to split the country's second largest bank - the Cyprus Popular Bank - into two banks; one "bad" which would be wound down over time and one "good" that would be absorbed by the Bank of Cyprus.

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Island on the eastern edges of the Mediterranean Sea has had a long history of conquest

@highlight

It has been conquered by Arab armies, the Venetians and the Ottomans and was a British colony

@highlight

In 1974, Turkish forces invaded Cyprus partitioning the north into a zone for Turkish Cypriots

@highlight

Until recent the recent banking crisis the Republic of Cyprus has grown to have one of the most successful economies in the region