London (CNN) -- A bobsled guided by mind power, guns fired by blowing into a headset, desert waves created by nanobots -- the world of disabled athletes could be very different in the near future.

A new exhibition of prototypes aimed at making sport more accessible has opened in the British capital, featuring innovative ideas from young designers.

Taking this year's London Paralympic games as their inspiration, students from Imperial College, London and the Royal College of Art have come up with 11 ingenious ideas that dream up new equipment and, in some cases, entirely new sports.

The goal was to create a much more even playing field for athletes of different levels of ability, says David Keech, a tutor on the Innovation Design Engineering postgraduate course

"When we started the project we said to the students: 'It can't be Marvel (comics), it can't be Quidditch (a game in the Harry Potter films), but it has to have something of that in there.' It's all about imagination, and for the students here, that is their currency," Keech, a course tutor at Imperial College, told CNN.

"Headshot" -- a new take on clay-pigeon shooting for both the able-bodied and disabled -- is a good example.

Competitors don a special headset which translates head movements (up, down and side to side) into movements on a powered platform below. Firing the gun is activated by blowing into a sensor on the headset.

"It maintains the physicality of the sport and the man/machine connection," says co-designer Jeff Gough.

"There is a strong sense of thrill as the gun is mounted on the body. We played with a few different ideas but we wanted to mimic the fine motor skills involved in shooting."

Another prototype, "Brainsled," utilizes existing gaming headgear to let athletes steer a bobsled by the power of thought, allowing able-bodied and disabled athletes to pit their reflexes and powers of concentration against each other.

The challenge has been sponsored by Rio Tinto (provider of the metal for medals at London Olympics and Paralympics) which awarded a Â£5,000 ($8,000) development prize to the most promising design.

That honor went to "Ghost," a haptic device mounted on the wrist and elbow which uses sounds and vibrations to tell the wearer when they are performing a particular motion correctly.

The students imagine it helping to hone a swimming stroke, and Keech thinks it has "wonderful possibilities."

Iain Dawson, a visually-impaired parathlete who advised the students on the four-week project, was impressed with their efforts.

"It's not an easy thing to make work in such a short space of time, but it has a wide application and it's exactly what we talked about," he said.

Dawson, a former world and European paratriathlon champion who suffers from X-rated retinoschisis, also praised "Rainbow Touch" -- an idea which uses panels of color and textures on sports clothing to help visually-impaired athletes identify teammates.

Other stars of disabled sports were also on hand during the task including British Paralympians Tanni Grey-Thompson (winner of 11 gold medals) and javelin thrower Scott Moorhouse, who helped out with a new adjustable knee socket for a prosthetic leg.

"It was really a meeting of minds," Keech said. "The best design students in the world meeting the best athletes in the world."

Other designs peered a little further into the future.

"Mind Surfer" imagines waves created by "self-replicating nanobots" and "Sky Ball" imagines athletes wearing prosthetic wings, while "Cannonball" is the name given to "a fast and furious wheelchair team sport."

@highlight

New design exhibition imagines new sports for future Paralympics

@highlight

Eleven ideas for new sports and training equipment devised by UK students

@highlight

Design for haptic training device called "Ghost" wins $8,000 prize from sponsor Rio Tinto

@highlight

British parathletes helped students think about the unique challenges disabled sport presents