(CNN) -- When I moved to Washington almost 20 years ago, I subscribed to four daily newspapers. Printed newspapers, that is: on paper, with ink. In the mid-1990s, network news was already a fading phenomenon. But the Washington media elite booked time to watch programs such as "Crossfire" at the time they were broadcast.

For special events, one might fire up the VCR. But the technology was inconvenient and annoying, and the tapes were awkward to store. E-mail had existed for some time, as had online discussion groups, and other innovative communications technologies. But it was still new that major media companies had ventured online: 1996 was the year that The New York Times and The Washington Post launched their websites.

Longer form journalism, the kind published by magazines, still arrived in the mailbox via the U.S. Postal Service. We already had cell phones, of course. We used them to make phone calls.

Offline, the past 20 years have not been a period of remarkable technology progress, not when compared with say 1894-1914 (invention of the radio, the vacuum cleaner, the safety razor, the first plastic and propelled aviation, and diffusion of the telephone, the automobile, electric light, the phonograph and motion pictures) or 1935-1955 (penicillin, radar, the first freeway, the first supermarket, the first home freezer, commercial aviation, credit cards and the birth-control pill).

As compared to the mid-1990s, we haven't seen much progress in the way we get to work or travel to different countries. We heat and light our homes more or less as we did then. Treatments have radically improved for HIV/AIDS, but otherwise transformative medical breakthroughs have arrived only slowly.

What did arrive, of course, was the revolution in creating and sharing digital information. In most respects, this revolution has proven a thrilling force for human emancipation. Yet nothing, no matter how beneficial, comes unattended by negative side effects.

The digital revolution has played havoc with the profitability of media companies. The troubles of newspapers are notorious, but life is not a lot more comfortable for radio and television companies.

The most successful business model yet discovered in this new environment is to reinvent the news organization as a news community. At a time when people are less inclined to join institutions, new kinds of media can offer a community substitute: an environment in which users can have their identities ratified and their beliefs validated.

The fastest way to generate such a sense of community is to conjure up threats: health scares, crime waves, wars on Christmas. Isolated in self-selected communities, these threats won't be tested very hard against contrary realities. As every roller-coaster owner knows, people like to be scared. Unreal fears are the best of all, since nobody in the end really gets hurt. The faster today's fears evanesce, the more compulsively must the audience return tomorrow for more.

Information has never been more accessible and abundant. And yet so much of that information turns out not be true. And whereas in early terms it was the least informed people who were vulnerable to the grossest inaccuracies, today it is very often the nominally best informed.

How you assess economic conditions, for example, turns out be less connected to actual economic events than how you feel about the party of the president. Better education seems actually to enhance one's vulnerability to partisan distortion: A 2008 Pew study found that Republicans who had completed college were more likely to reject the scientific consensus on climate change than Republicans who had not done so.

More sophisticated news consumers turn out to use this sophistication to do a better job of filtering out what they don't want to hear.

This is the environment that made conservatives vulnerable to Cliven Bundy -- and that will, as surely as hucksters follow money, expose liberals to Bundy's opposite number the week after next, or maybe the week after that.

The digital revolution offers the most stirring new possibilities to the human intellect since the invention of the printing press. But as Albert Einstein said after the nuclear revolution: Everything seems to have changed except our modes of thinking.

***

This will be my last column for CNN.com. I am truly grateful for the magnificent opportunity to interact with this vast audience. From here onward, my written work will all be found at my new media home, TheAtlantic.com -- where I'll do my best to counteract the disturbing trend described above.

@highlight

Frum: In 20 years, the media scene in America has changed radically

@highlight

Digital media have grown, while traditional media shrank

@highlight

He says people such as Cliven Bundy help media rally partisans, stoking fears

@highlight

Frum: Even highly educated people are susceptible to partisan falsehoods