Syria has crossed a "red line" with its use of chemical weapons, including the nerve agent sarin gas, against rebels, a move that is prompting the United States to increase the "scale and scope" of its support for the opposition, the White House said Thursday.

The acknowledgment is the first time President Barack Obama's administration has definitively said what it has long suspected -- that President Bashar al-Assad's forces have used chemical weapons in the ongoing civil war.

"The intelligence community estimates that 100 to 150 people have died from detected chemical weapons attacks in Syria to date; however, casualty data is likely incomplete," Ben Rhodes, the deputy national security adviser for strategic communications, said in a statement released by the White House.

"While the lethality of these attacks make up only a small portion of the catastrophic loss of life in Syria, which now stands at more than 90,000 deaths, the use of chemical weapons violates international norms and crosses clear red lines that have existed within the international community for decades," Rhodes added.

The administration also appeared to indicate that it was stepping up its support of the rebels, who have been calling for the United States and others to provide arms needed to battle al-Assad's forces.

"Put simply, the Assad regime should know that its actions have led us to increase the scope and scale of assistance that we provide to the opposition, including direct support to the (rebel Supreme Military Council). These efforts will increase going forward," Rhodes' statement said.

'Our own timeline'

Rhodes later told reporters on a conference call that the president has made a decision about military support for the rebels but stopped short of saying the U.S. government would put weapons in the hands of rebels.

The president has previously said he did not foresee a scenario with "American boots on the ground in Syria."

Rhodes also said no decision has been made by Obama over whether to institute a no-fly zone in Syria, something rebel forces have said is needed to halt al-Assad's aerial bombardment of their strongholds.

The administration plans to share its findings with Congress and its allies, and it will make a decision about how to proceed "on our own timeline," Rhodes said.

Syria will be among the chief topics for Obama at the Group of Eight summit in Northern Ireland next week, where Rhodes said the president will share the U.S. findings on al-Assad's use of chemical weapons.

"We'll be consulting at the G8 and the United Nations about what might be necessary," Rhodes said.

Syria has long maintained that rebels, not government forces, are behind the use of chemical weapons. It also asked the United Nations to investigate its claims, but it didn't allow inspectors into the country after the United Nations demanded that its teams be given unrestricted access to the country.

The administration believes that al-Assad's government maintains control of the chemical weapons and that there is "no reliable, corroborated reporting to indicate that the opposition in Syria has acquired or used chemical weapons," Rhodes statement said.

Rhodes gave no indication of how many times al-Assad's forces used chemical weapons, but a U.S. Senate source briefed on the matter said the administration believes Syria used such weapons on at least eight occasions.

No 'half measures'

The White House announcement comes at a critical time for the Syrian opposition, which has suffered a series of significant losses in recent weeks.

The setbacks in large part have coincided with the arrival of thousands of Hezbollah Shiite fighters, backed by Lebanon and Iran, to reinforce al-Assad's forces battling the mainly Sunni uprising.

After months of gaining ground, the rebels this month lost Qusayr -- one of its strongholds near the Lebanese border -- that was considered essential for its supply route.

U.S. Sen. John McCain, who has repeatedly called on the administration to step up its support of the rebels, said on CNN's Situation Room that the rebels need anti-tank and anti-aircraft weapons.

"They need a lot more military assistance," McCain, an Arizona Republican, said, adding that the United States and its allies also need to "establish a 'no-fly' zone to create a safe area" within Syria.

"You can't do it with half measures. You can't do it with just supplying weapons," he said.

McCain said the options were not ideal and a response will not be easy. But doing nothing, he said, would be catastrophic.

Until now, the United States has limited its aid to rebels, providing communications equipment, medical supplies and food.

What complicates any U.S. military support for the opposition is that many of the rebel fighters are militants with pro-al Qaeda sympathies, the same stripe of militants America has battled in Iraq and Afghanistan.

They include an group called the al-Nusra Front, a rebel group that the United States says has links to al Qaeda.

Earlier this year, the United States said its intelligence analysts had concluded "with varying degrees of confidence" that chemical weapons had been used in the Syrian civil war. But Obama said then that "intelligence assessments alone are not sufficient."

Syria's stockpile

As recently as last week, France's foreign minister said sarin gas had been used several times in the Syrian civil war, citing results from test samples in France's possession.

In early May, the head of the U.N. Independent International Commission of Inquiry on Syria said that evidence points to the use of sarin by Syrian rebel forces. But the commission later issued a news release saying it "has not reached conclusive findings as to the use of chemical weapons in Syria by any parties to the conflict."

In April, the head of the Israeli military's intelligence research said the Syrian government is using chemical weapons against rebel forces.

Sarin gas can be hard to detect because it is colorless, odorless and tasteless. It can cause severe injuries, including blurred vision, convulsions, paralysis and death, to those exposed to it.

Analysts believe the Syrian government may have one of the largest stockpiles of chemical weapons in the world. Specifically, the supply is believed to include sarin, mustard and VX gases, which are banned under international law. Syria has denied the allegation.

The Chemical Weapons Convention prohibits the production, stockpiling and use of chemical and biological weapons. Syria is not one of the 188 signatories to the convention.

In recent months, reports have repeatedly surfaced that Syrian forces have moved some of the chemical weapons inventories possibly because of deteriorating security in the country, raising fears the stockpile could fall into the hands of al Qaeda-linked groups working with the opposition should al-Assad's government fall.

As a result, the United States has been talking with neighboring countries about the steps needed to secure the weapons should al-Assad be forced from office.

The U.N. estimates that more than 92,000 people have been killed since the conflict began in March 2011, when a brutal government crackdown on Arab Spring-inspired protests devolved into an armed conflict.

@highlight

The White House says it plans to share the findings with Congress and U.S. allies

@highlight

Sen. John McCain says the rebels need anti-tank and anti-aircraft weapons

@highlight

Between 100 to 150 people are believed to have died in Sarin gas attacks, the White House says

@highlight

The United States plans to step up its military support of the rebels, the White House says