(CNN) -- Evidence is mounting against camels as leading suspects in a deadly mystery that's claimed more than 100 lives in the Middle East.

The biological supervillain is the virus causing MERS-coV, short for Middle East Respiratory Syndrome, a type of coronavirus.

Since the first documented cases in spring 2012, MERS has sickened at least 339 people in Saudi Arabia alone and killed nearly a third of them, according to the country's Ministry of Health.

A recent surge in reported cases -- including 26 new ones this past weekend -- has fanned concern the outbreak might be shifting into a more dangerous phase.

With any newly recognized virus, disease detectives start with a few key questions. What kind of illness does it cause? How is it spread? And where does it come from?

With regard to that last question, a new paper leaves little doubt that at least one answer is camels.

Researchers from Columbia University, King Saud University and the New York-based EcoHealth Alliance managed to isolate live MERS virus from two single-humped camels, known as dromedaries.

Should I be concerned about new virus?

A genetic analysis found numerous substrains in the camel viruses, including one that perfectly matches a substrain isolated from a human patient. The findings are published in mBio, the open-access journal of the American Society for Microbiology.

The attention on camels isn't new; in February, the same group published a finding that nearly three-quarters of camels in Saudi Arabia tested positive for past exposure to the MERS coronavirus.

The new paper still leaves many questions unanswered: For example, what other animals might harbor the virus? Could it be bats, as some have suggested?

"There might be another animal, but we don't know," says Dr. Ian Lipkin, who organized the research as director of the Center for Infection and Immunity at Columbia's Mailman School of Public Health. "We need more in terms of surveillance."

Does the virus make camels sick? Researchers don't know, says Peter Daszak, another study author and president of the EcoHealth Alliance, which researches links between animal health and human disease.

Perhaps most urgent: Has something recently changed to make MERS-coV more dangerous?

Here, some of the evidence is reassuring. Any avid mystery reader knows that a watchdog who doesn't bark can be an important clue. With MERS, there is a lack of alarm bells from the laboratory; so far there is no evidence that the virus is changing to attack people more aggressively or to spread more easily.

There isn't enough evidence to draw a firm conclusion, says Dr. Mark Denison, a leading expert on coronaviruses and a professor of pediatrics at Vanderbilt University. It also remains to be seen whether humans are being infected by more than one of the substrains found in camels. "There's a lot more work that would need to be done" to prove it, he says.

Those who study MERS-coV says it's crucial to pin down just how the virus is transmitted.

"We need to know what people are most at risk," Daszak says. "We don't know if they're involved in camel racing, camel breeding, camel slaughter -- that's really critical right now."

Lipkin says the virus likely spreads in a variety of ways, but he'd like to see more aggressive steps taken to prevent the possibility of people being infected by eating camel meat or drinking raw, unpasteurized camel milk -- both of which are common in Saudi Arabia.

He says the Saudis will face special concerns again this fall when millions descend on the holy cities of Mecca and Medina for the Hajj pilgrimage. As part of the ritual, animals are sacrificed, and their meat shipped all over the world to help feed the hungry.

Saudis: More deaths from respiratory syndrome

"The butchery will begin in three or four months' time, and we have to have measures in place to ensure that the animals aren't infected," Lipkin says. For example, he says, officials could decide to forbid the slaughter of young camels for food since younger animals are more likely to carry the MERS virus.

Dr. David Swerdlow, who heads the team responsible for tracking MERS at the U.S. Centers for Disease Control and Prevention, says the Saudi government took steps to discourage the spread of the virus during last year's Hajj, including posting warnings to discourage people older than 65, pregnant women or those who were immune-compromised from making the pilgrimage.

Health authorities have not yet decided what steps to take this year, Swerdlow says, but the United States is watching the situation closely.

"Any time you have an emerging infection that has a high case fatality rate, that's been around for over a year, that has caused illness in multiple countries, that's caused illness in travelers and health care workers, and for which there is no treatment or vaccine, we're concerned. We've been concerned for a year and a half, and we remain concerned."

@highlight

The MERS coronavirus has sickened more than 330 people in Saudi Arabia

@highlight

Twenty-six new cases were reported last weekend

@highlight

Researchers have found the live virus in camels