The Obama administration asked the Supreme Court on Friday to keep in place an Obamacare requirement that certain religious-affiliated groups cover birth control and other reproductive health services in their employee insurance plans.

The high court was poised to decide whether to grant a temporary injunction sought by a Catholic charity of nuns to delay the mandate, which carries fines for non-compliance.

The Denver-based Little Sisters of the Poor and other non-profits had filed a lawsuit against the federal government, saying the contraception coverage requirement violates their moral beliefs and their religious liberty.

Justice Sonia Sotomayor issued an emergency injunction on Tuesday for the charity that cares for the elderly poor and sought a response from the Obama administration.

The Catholic-affiliated group submitted a rebuttal after the Justice Department submitted its brief.

It is not clear how Sotomayor will handle the matter ultimately, but one option would be to ask the broader court to weigh in.

The appeal again thrusts the politically charged Affordable Care Act, also known as Obamacare, into the national legal spotlight.

President Barack Obama's signature domestic initiative, ruled constitutional by the court in 2012, became even more controversial this past fall during its flawed public rollout.

The current case spotlights a major sticking point in the law over contraception coverage.

The mandate was designed by the administration to give women employed at nonprofit, religious-based organizations -- such as certain hospitals and private faith-based universities -- the ability to receive contraception through separate health policies with no co-pay.

5 things: Obamacare and contraception

A court ruling on this matter could ultimately impact dozens of religious groups and businesses that have mounted legal challenges in recent months.

Church and state

The church and state issue now in the spotlight involves rules negotiated last year between the Obama administration and various outside groups to address the controversy over contraception.

Under the law, churches and houses of worships are exempt from the mandate.

But other nonprofit religious-affiliated groups, such as church-run hospitals, parochial schools and certain charities must either provide no-cost contraception coverage or have a third-party insurer provide separate benefits without the employer's direct involvement.

Organizations that choose to opt-out of direct coverage must sign a document certifying their religious objections, and the government would then require the outside insurer pick up the costs.

"At that point, the employer-applicants will have satisfied all their obligations under the contraceptive coverage provision," the Justice Department said in its brief with the Supreme Court.

The Catholic charity has "no legal basis to challenge the self-certification requirement or to complain that it involves them in the process of providing contraceptive coverage," the government said.

But the Little Sisters of the Poor and the entity that administers its insurance plans, Christian Brothers Services, both qualify for exemptions under the conditions in the law, the Justice Department said.

But the groups raised objections in their appeal to the Supreme Court that an exemption ultimately amounts to tacit approval of something that violates their religious and moral beliefs. Contraception coverage would be provided by someone in the future -- and they oppose that.

"The government demands that the Little Sisters of the Poor sign a permission slip for abortion drugs and contraceptives, or pay of millions in fines" for non-compliance, said Mark Rienzi, senior counsel for the Becket Fund for Religious Liberty, the group representing the nuns.

"The sisters believe that doing that violates their faith, and that they shouldn't be forced to divert funds from the poor elderly and dying people they've devoted their lives to serve," Rienzi said.

The Supreme Court in March will take up a related challenge to the birth control mandate, when it hears arguments over whether some for-profit corporations should be exempt, again on religious liberty grounds.

Supreme Court to take up contraception case

@highlight

Supreme Court Justice Soniya Sotomayor issued emergency injunction on Tuesday

@highlight

The case again puts Obamacare in legal spotlight

@highlight

Case prompted by suit from Denver-based charity run by nuns

@highlight

Ruling could impact dozens of religious groups and businesses