Washington (CNN) -- The state-led push to legalize pot is a "chronic" problem for the Obama administration.

Marijuana is not only legal in Colorado and Washington, but cannabis has become a cottage industry complete with 420 sampler tours and shops where customers can buy pot brownies or candy in those two states.

And New York and Florida could soon join the 20 states and the District of Columbia where medical marijuana is legal, according to the National Conference of State Legislatures.

The administration has taken a fuzzy stance on the matter: in states where it's legal to puff, the government will pass on punishment.

"We're going to see what happens in the experiments in Colorado and Washington," President Barack Obama said in a recent interview with CNN's Jake Tapper. "The Department of Justice ... has said that we are going to continue to enforce federal laws. But in those states, we recognize that ... the federal government doesn't have the resources to police whether somebody is smoking a joint on a corner."

That approach frustrates some in state and federal law enforcement â€” including the head of the Drug Enforcement Agency, Michele Leonhart, who according to several media reports, blasted the administration's approach during an annual sheriffs meeting last month.

Jon Gettman, an assistant professor of criminal justice at Shenandoah University, said it is "politically convenient" for the administration to allow the states to tackle pot policy rather than change the federal approach.

"They see social change happening and they're caught between a rock and a hard place," Gettman said.

That social change includes a sea change in the way Americans view pot use.

A CNN/ORC International poll last month showed that just over half the country â€” 55% â€”supports marijuana legalization. This is up from the 16% who felt that way a quarter century ago.

Nearly three-quarters of those polled say alcohol is more dangerous than marijuana.

Where pot is legal

It's a sentiment the president shares.

"As has been well documented, I smoked pot as a kid, and I view it as a bad habit and a vice, not very different from the cigarettes that I smoked as a young person up through a big chunk of my adult life," the President told the New Yorker in a recent interview. "I don't think it is more dangerous than alcohol."

Shortly after the interview was published, the administration rushed to clarify the President's position. It said the White House opposes a national move to decriminalize pot despite Obama's personal views on marijuana use.

Marijuana is currently classified under the Controlled Substances Act as "Schedule I," much like heroin or cocaine, with a high likelihood for abuse and no medical value.

"What is and isn't a Schedule I narcotic is a job for Congress," Obama told Tapper during the CNN interview. However, the President did not say during the interview whether he would urge Congress to move to reclassify marijuana.

Rep. Earl Blumenauer, D-Oregon, has been working to gather lawmaker signatures on a letter to Obama in support of reclassifying marijuana. The administration has previously indicated that it is unlikely to reclassify marijuana under a less stringent category of drugs.

Frustration with what some lawmakers see as the administration's mixed messaging on marijuana was evident during a House Government Operations Subcommittee hearing on Tuesday.

When Michael Botticelli, deputy director of the Office of National Drug Control Policy, hedged on answering whether cocaine, methamphetamine or marijuana is more dangerous and addictive Blumenauer pounced.

"If a professional like you cannot answer clearly that meth is more dangerous than marijuana which every kid on the street knows, which every parent knows -- if you can't answer that maybe that's why you are failing to educate people about the dangers," he said.

"I don't want kids smoking marijuana. ... But if the deputy director of the office of drug policy can't answer that question how do you expect high school kids to take you seriously?"

Feds working on new pot banking rules

The administration has "a bad political problem" when it comes to pot, said Kevin Sabet, an assistant professor at the University of Florida's Drug Policy Institute.

"I think this is a very difficult position for them and they see it as a lose-lose," said Sabet, who served as a drug policy adviser to both Republican and Democratic administrations and is on the board of directors of Smart Approaches to Marijuana, an anti-pot legalization group. "They don't want to alienate a voting bloc in favor of legalization."

Obama's views so incensed the DEA director that Leonhart blew off a little steam about the topic during the annual meeting of the country's sheriffs late last month, according to the Boston Herald.

Sheriffs who were present told the paper she expressed frustration over Obama comparing smoking pot to consuming alcohol.

"Her comments are not necessarily unexpected," said Dan Riffle, director of federal policies for the Marijuana Policy Project, a pro pot legalization group. There are a lot of folks who have spent the last 20 to 30 years fighting the war on drugs. It's natural for them to revolt."

Still, the nation's attitudes and laws regarding marijuana are changing.

During a drug policy debate at the World Economic Forum in Davos, Switzerland, in January, Texas Gov. Rick Perry said he advocated decriminalizing marijuana. But he stopped short of pushing for legalization. However, the stance, coming from a Republican who once ran for President seems to offer further evidence of a change toward views on marijuana even in conservative corners.

"As the governor of the second-largest state in the country, what I can do is start us on policies that can start us on the road towards decriminalization," Perry said, adding that he views Colorado's marijuana laws as constitutional but he opposes a federal mandate.

The politics of pot even hovered over this year's so-called "Stoner Bowl" as teams from Colorado and Washington faced off in New Jersey, a state where it's illegal to toke.

As Super Bowl traffic curled through the Garden State toward Met Life Stadium, drivers had front row seats to an off-field battle of the billboards by pro and anti-marijuana legalization forces.

"Marijuana. Safer than alcohol ... and football," boasted a billboard by the Marijuana Policy Project. "Marijuana kills your drive. Don't lose in the game of life," read the counter by Smart Approaches to Marijuana.

Pot and the Super Bowl

Eventually though, both marijuana legalization advocates and opponents say, the federal government will have to clear the smoke.

"The real issue is: are we going to have a system where 25 states have legalization and 25 states don't?" Gettman said, adding, "Things are going to change dramatically after the next two elections in 2014 and 2016 when more states pass this."

The direction of federal pot policy could be determined by upcoming midterms and the 2016 presidential election as states weigh whether to legalize marijuana.

There's big money at stake.

Billionaire hedge fund manager George Soros gave $1 million in 2010 to help legalize marijuana in California, a vote which ultimately failed. He and fellow billionaires John Sperling and former Progressive Insurance chairman Peter Lewis, who died late last year, have donated millions to the pot legalization causes in a number of states.

"The long-hair, tie-dye types cut their hair and put on Armani suits and got very serious about pot," Sabet said adding that opponents worry marijuana could become "the next big tobacco" with billions of dollars at stake for a product they feel has serious health concerns.

A slate of anti-government regulation, pro-states rights, GOP potential presidential candidates such as Florida Sen. Marco Rubio, Kentucky Sen. Rand Paul and Perry will find their positions on marijuana tested by factions within their party that oppose legalization.

Rubio opposes legalizing or decriminalizing marijuana for recreational use but recently told the Tampa Bay Times that he is open to learning more about medical marijuana. Last year, during an interview with the Hoover Institution, Paul said he is opposed to legalization but does support decriminalization.

One place for common ground might be in efforts to decriminalize the penalties for marijuana-related crimes, opponents and advocates say.

The push to decriminalize pot has made for some unlikely partnerships.

Obama on the problem of criminalizing marijuana use

For example, liberal Democrat Sen. Patrick Leahy of Vermont teamed up with Paul, a tea party backed conservative on a measure aimed at changing mandatory minimum sentences for some crimes such like marijuana possession. The measure also has the support of Sen. Dick Durbin, D-Illinois, and Republican Sen. Mike Lee of Utah.

Tea party backed Republican Rep. Raul Labrador, R-Idaho and Congressional Black Caucus member Rep. Robert Scott, D-Virginia have joined forces on a similar measure that would judges more wiggle room in sentencing.

Obama, civil rights organizations and both pro and anti-marijuana legalization groups all acknowledge that minorities are often disproportionately incarcerated for pot-related crimes.

"My concern is when you end up having very heavy criminal penalties for individual users that have been applied unevenly and in some cases with a racial disparity," Obama told Tapper during the CNN interview. "I think that is a problem."

@highlight

Obama administration largely taking a pass on bumper crop of state pot laws

@highlight

State and federal lawmen frustrated by patchwork of pot laws, Obama administration attitude

@highlight

Midterm and 2016 elections could herald a change on nation's marijuana policies

@highlight

Experts say the federal government will eventually have to step in