(CNN) -- After two years of debate, the constitutional challenges to President Barack Obama's health care law finally reached the U.S. Supreme Court this week. While the intensity of the debate suggests the law is vulnerable to being overturned, 70 years of judicial precedents provide strong grounds for upholding the law.

On Monday, the opening day of oral arguments did little to address the core constitutional questions. Rather, the nine justices were asked to consider whether an arcane rule of tax law would require the court to postpone its decision on the constitutionality of the individual mandate to purchase health care. Under a federal statute, people cannot challenge a tax until the Internal Revenue Service tries to collect it.

According to this line of reasoning, people who object to the individual mandate are objecting to the tax that they will have to pay if they do not purchase insurance. Since no one will have to pay a penalty until 2015, one of the courts of appeals had dismissed the constitutional challenge.

However, there was little sentiment among the justices to postpone a decision until 2015. The only real uncertainty is how they will explain why the appellate court was wrong. Is it because the penalty for not purchasing insurance is not a "tax"? Is it because the government wants the case to go forward and can permit people to challenge a tax even before it is imposed?

There's another tax argument that the court is likely to reject based on clues given on the first day. The government is claiming that the individual mandate is authorized by the power of Congress to tax Americans. The justices seemed skeptical about this point. Justice Stephen Breyer, for example, expressed doubt that the penalty for not purchasing insurance could be viewed as a tax. And none of the lower courts have bought the taxing power argument.

On Day Two, the government's more important constitutional argument will be brought up. The government will make a case that the individual mandate is authorized by the power of Congress to regulate commerce. Based on their past statements, the four liberal-leaning justices on the court are expected to agree. Legal experts therefore will pay close attention to the questions asked by Chief Justice John Roberts and Justices Anthony Kennedy and Antonin Scalia for signs on their views about the commerce power.

Critics of the health care law say the commerce power allows Congress to regulate people who are voluntarily engaged in economic transactions, but Congress cannot require people to buy a good or service solely because they are living in the United States.

The government will respond that under the new health care law, insurers no longer will be able to deny people affordable coverage because they have had a heart attack, cancer diagnosis or other medical problem. Starting in 2014, "pre-existing medical conditions" cannot serve as a basis for raising premiums or refusing to offer insurance. And there is no question that the commerce power permits this new rule.

But there is a cost to protecting the public from pre-existing conditions fees. Insurers can be asked to charge the same rates for everyone only if the public is required to purchase coverage. Otherwise, many people would wait until they suffer an illness or injury to buy their policy. In other words, the individual mandate is simply designed to prevent freeloading that would cause the pre-existing conditions provision to fail, and the Constitution gives Congress the power to make sure its laws can be implemented effectively.

For argument, the government will cite the court's medical marijuana decision, and it will be interesting to see how Scalia discusses his position in that case. There, he sided with the majority in recognizing a broad federal power to regulate commerce, even when an individual is cultivating marijuana for personal medical use and not for any commercial purposes. If Congress can apply its drug laws to someone not engaged in any commercial activity, why can't it apply its health care laws to someone not engaged in any commercial activity?

Expect the justices to ask about the implications of individual mandate for future laws. If Congress can make people buy health care insurance, can it also make people purchase other products, such as broccoli?

The answer is no. Insurance is different from all other products. If Congress wants to improve people's diets, it can require dairies to add vitamin D to their milk or bakers to add fiber to their bread. The government can regulate the food we eat by regulating our voluntary transactions. There is no need to force us to go out and buy foods we don't want to buy.

Opponents of the health care law make arguments that sound plausible and that once reflected the constitutional interpretations of the Supreme Court. But decisions since the 1940s provide ample support for the court to uphold the law. How the justices will ultimately rule, it's hard to say. But Tuesday's hearings should tell us more about their inclinations.

The opinions expressed in this commentary are solely those of David Orentlicher.

@highlight

Oral arguments on the Affordable Care Act have begun before the high court

@highlight

David Orentlicher: Justices on Monday seemed skeptical about tax arguments

@highlight

Orentlicher says Tuesday's arguments about commerce power is more important

@highlight

Seventy years of precedents provide strong grounds for upholding health law, he says