(CNN) -- The Penn State child sex abuse scandal once again demonstrates how easily organizations, facing bad news that is not yet public, adopt a "circle the wagons" strategy to protect the institution, and convince themselves -- contrary to all evidence -- that the problem is not really very serious.

It is an unavoidable fact that institutions act this way. It's a rare organization that has the integrity or the confidence to deal openly with embarrassment or scandal. It is much easier for leaders -- and crowds of disillusioned students in the Penn State case -- to flatly say the accusations are untrue. "I can't believe Jerry would do such a thing," they say. "The media has always wanted to bring down Penn State football."

In the nearly 40 years I have been counseling organizations and their leaders about such incidents, their first reaction is almost always surprise and disbelief. These leaders often believe, naively, that everyone in their organization is ethical. Faced with allegations of wrongdoing among their co-workers or employees, they adopt denial as an institutional and psychological defense.

If evidence piles up that the charges are true, too many leaders, recognizing their own failure to create and sustain an ethical environment, conclude there was no way to prevent the events. "This was an aberration," some leaders argue, "I am certain this person will never do anything like this again." "He only did it because he had serious financial troubles at home" or "She was going through a divorce." This can lead to the decision to ignore or sweep this case under the rug.

Other leaders conclude that although the misbehavior is true, the media frenzy or the government response will be so overblown that they have a twisted sort of obligation to hide it.

"You can't stop the occasional bad apple," one chief executive told me. "I would not be doing my organization any favors by revealing every one of these. The public would completely overreact."

Once the initial decision is made that it's best not to come clean, it becomes much harder to come clean later. The original charges are compounded by accusations of a cover-up. Many leaders decide they have no alternative but to hunker down and hope the incident never comes to public attention. When it does, of course, the institution and all involved suffer much more damage than they would have by addressing the original charge.

Looking back, we ask how they could have had so little regard for the victims of the behavior -- be they children who were raped or the community whose water supply was poisoned. The sad reality is that leaders, swept up in denial and concern about embarrassing themselves and their organizations, don't think first about the victims or the future victims -- they think about how to contain the damage.

Penn State is neither the first nor will it be the last organization to demonstrate this pattern. In just the past few months we have at least three other tragic examples of allegations of abuse left unreported by respected organizations: the esteemed Citadel, and the Catholic Archbishops of Philadelphia and Kansas City, Missouri.

Stories of businesses that stonewall are too numerous to count. The tobacco industry and its leaders have been pilloried for denying the harmful effects of cigarettes for decades. Chemical companies -- including W.R. Grace, which was portrayed in the book and movie "A Civil Action" -- denied and covered up the health effects of chemical spills.

Banks today, particularly Bank of America, are assailed for not admitting how badly they handled mortgage modifications. I wish we had more positive examples to cite, but even now we have to reach back 30 years for a role model: Johnson & Johnson's decision in the 1980s to tell the public everything it knew about the poisonings of Tylenol capsules, a case study we still hail and teach today.

There are legal and other mechanisms that try to force better reporting: states with "mandated reporter" laws; Sarbanes-Oxley and Dodd Frank laws for business gatekeepers; even U.S. Sentencing Guidelines, where offending companies get credit for having strong reporting or investigative policies. And we hope that in a few cases at least, enlightened leadership will create a culture where incidents are openly investigated.

None of this eliminates the need for individuals in organizations to exercise the basic moral obligation to report abusive behavior. Joe Paterno and Mike McQueary at Penn State have been accused of moral failure in the case of Jerry Sandusky because they allegedly failed to follow up sufficiently to prevent more children from being harmed.

Although it may satisfy a legal obligation to report a suspicion to a supervisor, the more fundamental moral duty is to prevent harm to others, even if an institution decides to withhold information. This can take great moral courage and a healthy dose of independent perspective. But we all have a stake in the moral integrity of our organizations, and a sacred duty to protect the vulnerable.

The opinions in this commentary are solely those of Kirk Hanson.

@highlight

Kirk Hanson: Institutions initially deny, hush up scandals to protect themselves

@highlight

Hanson: Denial, secrecy is an institutional and psychological defense that backfires

@highlight

Hiding makes it seem victims come last, he says: Think Catholic Church, The Citadel

@highlight

Reporting takes courage, he says, and enlightened leaders foster openness