Presidential historian Doris Kearns Goodwin notes that one of the things that's so special about the State of the Union address is the spectacle of the entire government -- the heads of all three branches -- gathering in one room at the same time.

"There is something about that ritual and the hunger we all have for that oneness that makes it really unique," Goodwin tells CNN. "And there is a sense in which the ceremony -- the excitement of seeing the Supreme Court justices, seeing the Congress, seeing the president -- reminds us of some of the pageantry that we all look for in our government."

Here are eight State of the Union address moments that Goodwin finds particularly memorable:

2010: Obama and Alito clash over campaign finance

When President Barack Obama criticized the Supreme Court decision in Citizens United, the camera showed Justice Samuel Alito shaking his head and suggesting what Obama was saying was not true. It became a big thing.

Some people thought it was rude of the president to say that. Others wondered whether Alito's reaction had to do with the fact that Obama had been a leader against his nomination.

Before television, obviously you didn't have to worry if you looked bored or if you were shaking your head or whether you looked like you were disdainful. But now, especially after that moment, everybody realized, "I'd better watch my face, as well as what I'm saying, because the camera is there and the audio is there."

By the numbers: State of the Union addresses

2002: "Axis of evil"

In the aftermath of the attacks of September 11, 2001, President George W. Bush went before the Congress and defined the "axis of evil," meaning Iran, Iraq and North Korea. In a sense, "axis" was such a loaded term, because the Axis powers of Italy, Germany and Japan aligned against the U.S. and its allies in World War II.

So the idea that the world was now divided into "axis" powers and "allied" powers seemed to suggest a war coming on, which indeed was the truth.

1996: Clinton declares an end to big government

When Bill Clinton said the era of big government is over, he was referring to the Democrats' big midterm congressional losses in 1994, blamed in part on the failure of the big government health care bill that he sponsored.

What he was signaling: "I'm moving to the center, (and) the Democratic Party is moving to the center."  He then went on that year to pass welfare reform, a Republican-sponsored idea. That made some liberals mad but ensuring in some ways his re-election.

To go or not to go: Supreme Court at the address

1986: A delay caused by tragedy

The 1986 State of the Union, delivered by Ronald Reagan, was the first one to be postponed as the Space Shuttle Challenger blew up shortly after lift-off on the day for which the speech was scheduled.

Reagan had such a good sense of timing that he realized it was more important was to directly address the Challenger problem than to deliver the State of the Union. He gave a masterful, emotional and classy speech from the Oval Office that allowed him to become healer-in-chief, yet another role for the president of the United States.

1982: Lenny Skutnik steals the show

When Ronald Reagan turned to the House Gallery and recognized Lenny Skutnik as a hero for jumping into the waters of the Potomac River to help rescue the survivors of an airplane crash, it began a tradition that continues to this day. The first lady's box is now regularly peopled by ordinary citizens who have done extraordinary things.

Sometimes the presidents use it as a human touch on their policies or sometimes as an emotional moment that makes the House and the Senate come together. These people are generally not partisan and are somebody that people can look up to at the same time.

CNN's John King: Little will change in D.C. after speech

1974: Defiant Nixon

Here was Nixon's approval rating at only 26%, and the House was already considering impeaching him for Watergate, and his voice was trembling. At one point, he meant to say that "we must replace the discredited welfare system," but instead says that "we must replace the discredited president."  Then he declares one year of Watergate is enough.

Some people said at the time that what was so incredible about that State of the Union address was that it was less about the state of the union and more about the state of the president -- here he is facing down the people who are beginning to think about his impeachment, and he has to stand before them in that assembly.

State of the Union firsts

1964: LBJ declares war on poverty

In Lyndon B. Johnson's first State of the Union, only two months after the assassination of JFK, he called for an unconditional war on poverty, a whole set of interrelated programs involving health care, urban centers Appalachia and more.

What he said at the time was that he wanted something to be his own program, something that hadn't been started by any other president. Poverty was the thing that hit him emotionally, that he always wanted to do something about, so this became his signature program.

It's incredible that within such short time of JFK's assassination, he came up with a vision or a whole series of legislative programs that would eventually become fact.

Highlights from past addresses

1941: FDR's Four Freedoms

One of the best remembered moments is the declaration of the "Four Freedoms" in Franklin Roosevelt's 1941 State of the Union -- the freedom from want, the freedom from fear, the freedom of speech and the freedom of worship. It became memorialized in Norman Rockwell's famous paintings and offered a standard by which other countries would be judged.  It still provides hope for those countries where those freedoms are not assured.

Another important note from that State of the Union is that FDR called for the Lend-Lease act for Britain, which was then at war with Germany. At a time when our country was still isolationist, eventually Lend-Lease passed, proving that we had educated the country to the need to do something even before Pearl Harbor brought us into the war.

Eleanor Roosevelt, in a very rare lapse of judgment, was upset that during the discussion of the Four Freedoms and Lend-Lease, the Republicans did not clap and  sat on their hands.

She said she felt that they were just little kids, saying, "I don't want to play in your yard.  I don't love you anymore." She then got roundly criticized -- and rightly so -- by Republicans, who said, "What does she think she is, the queen?  And he is the king?  And we are not allowed to criticize them?"

Photos: Past presidential guests at State of the Union

@highlight

Justice Alito caused a stir when he shook his head at Obama line on campaign finance ruling

@highlight

George W. Bush's term "axis of evil" suggested to American people that was was coming

@highlight

Clinton almost reassured re-election when he signaled a shift to the center in 1996 address

@highlight

Nixon was defiant even as some in Congress were considering impeachment