(CNN) -- Intense black smoke billowing from the flames of an oil fire blocks out the sun. A teenage mom with a one-day-old baby seeks shelter in a dimly-lit basement from a barrage of missiles and shells.

Incoming fire smashes through the wall of a house being used as an unofficial media center in Homs, the city that is the focus of anti-regime protests and Syrian efforts to silence them.

The horror of enduring the all-out assault by the Syrian military is brought vividly to life in a CNN documentary airing this weekend.

With the help of local activists, a CNN crew was smuggled into Homs, moving from house to house as the Syrian army fired missiles and tank shells.

For more than a year President Bashar al-Assad's military had used brutal force to put down the uprising.

Across Syria, protesters demanded change -- chanting "down with the regime" but it was Homs -- and especially the neighborhood of Baba Amr -- that became the epicenter.

Even CNN correspondent Arwa Damon, with her vast experience of reporting from war zones, had reservations about the high-risk job. She said: "I actually wrote a letter home the first time, to my family. And I went to see some very close friends as well, just in case."

She was joined by Neil Hallsworth, a veteran cameraman who has worked in Iraq, Afghanistan and Israel, and Tim Crockett, a former special forces officer to handle security and who would also become an unofficial stills photographer.

Just getting into Homs was an ordeal that took five days for what would normally be a two-hour drive.

Damon said: "It involves a fairly elaborate process of being moved through farmlands, back roads, trying to avoid the government, ending up in various safe houses. And at every single leg, every single stop, you have a different person who's responsible to move you on to the next one, someone who knows the details of the lay of the land around you to ensure that they can actually get you through from one point to another."

For the thousands trapped in Baba Amr, the route was their only lifeline and CNN agreed to keep it secret.

In Homs, there was no frontline meaning there was also nowhere that could be called safe.

Damon said: "It [seems] mostly deserted, most of the buildings have sustained some sort of damage. And then you'll see a kid peek their head out from a doorway, or you'll see a man walking in the street carrying an A.K."

Some of the most constant fire has been on Baba Amr where people are killed or wounded daily, and where two doctors -- and one of those was a dentist -- are fighting against the odds to help the casualties.

In a makeshift clinic there was a man with head injuries from shrapnel, another whose leg injury was most likely going to lead to an amputation.

The medics say the Syrian military regards the clinic as a target so they have set up in numerous temporary houses around Baba Amr, each with patients and with the doctors moving between them.

But snipers posted on rooftops above the rubble-littered streets made even the shortest of trips treacherous.

Mosques put out messages before the bombardment started, telling people to not live on the upper floors, to try to stay away from windows, and to try to find protective rooms, inside their homes.

In basements used as bunkers, civilians pray the next bomb will miss their home and their loved ones. In one of these bunkers, the CNN crew met a teenager who had given birth the day before.

Her daughter Fatimah was the face of innocence amid the hell of Homs. Her father does not know she's been born. He left the shelter to get supplies a month ago and has not made it back. And her gran trembled as she explained how two other relatives died.

Virtually everyone in the shelter -- about 300 people -- had similar horrific stories of violent death.

And it was easy to learn how death could come arbitrarily and suddenly in Homs and how survival was as much luck as anything else.

Working in a home that had become an unofficial media center for the few Western journalists that have made it into Homs, a rocket slammed into the building just two floors up.

Also in Baba Amr was Sunday Times correspondent Marie Colvin who would be killed alongside French photographer Remi Ochlik just a few days later.

Throughout Baba Amr, word was spreading that a ground offensive by the Syrian military was imminent.

And for CNN it was becoming too dangerous to let Damon, Hallsworth and Crockett stay.

Damon said: "It is fundamentally unfair that we live in a world where we can go film this, report on it, and leave, knowing that the people we've left behind's suffering is going to continue. Feeling as if we should've done more, we could've done more."

Hundreds of civilians are believed to have died in the siege of Baba Amr. At least three activists involved in getting video out of Baba Amr have been killed.

At the end of February, the Syrian military broke the resistance of Baba Amr. Opposition activists claim the military carried out summary executions.

Regime forces continue to bombard other areas that oppose Assad's rule.

@highlight

CNN crew explains how they were smuggled into Homs, Syria, to witness a brutal crackdown on regime opponents

@highlight

After a year of protests across Syria, Homs was the focus of a military effort to quash the uprising

@highlight

Women live in basements, snipers kill from rooftops, medics battle the odds in chaos

@highlight

A home being used as a media center was targeted by the Syrian military surrounding the city