(CNN) -- From the tsunami in Japan to famine in East Africa to the deadly tornado outbreaks in the United States, 2011 has been a historic year for natural disasters.

A dozen weather-related disasters in the United States alone have caused more than $1 billion in damages each, breaking the record of nine billion-dollar disasters set in 2008, according to the National Oceanic and Atmospheric Administration. Altogether, the damage from these events exceeds $50 billion.

"In many ways, 2011 rewrote the record books. From crippling snowstorms to the second deadliest tornado year on record to epic floods, drought and heat, and the third busiest hurricane season on record, we've witnessed the extreme of nearly every weather category," said NOAA spokesman Christopher Vaccaro.

Dynamic 2011 events to shape world for years to come

Relief organizations have been working year-round to provide emergency aid when disaster strikes and long-term assistance in the months and years that follow. Oftentimes, help is needed long after the media attention subsides.

"Recovery is a very long process. People are so grateful for that temporary place to stay, that hot meal," said Jeff Jellets, territorial disaster coordinator for The Salvation Army. "But we really look at how we can restore families back to their predisaster condition.

"Until those communities are rebuilt, the job just isn't done."

This year, there have been more than 1,000 weather-related fatalities in the United States, according to NOAA. Many of those occurred when deadly tornadoes ripped through the Southeast and Midwest this spring and summer.

Vote for the top stories of 2011

In late April, an estimated 343 tornadoes ripped through central and Southern states, killing 321 people, 240 of which were in Alabama. Tuscaloosa, Alabama, was particularly devastated. Then, less than a month later, 160 people were killed when a tornado with 200 mph winds struck Joplin, Missouri, making it the deadliest single tornado to strike the United States since modern tornado record-keeping began.

Months later, many of these communities are still in need.

"People are starting the process of rebuilding, so we're helping them with things like appliances and rebuilding materials so they can get back in their homes," Jellets said. "But then there are a number of people in places like Hackleburg, Alabama, which was really significantly damaged by a tornado, where people are still in the emergency assistance phase."

In August, Hurricane Irene made landfall over coastal North Carolina and headed north, killing 45 people and causing torrential rainfall and flooding across the Northeast.

"The real damage was inland flooding, particularly in places like upstate New York and Vermont. The Salvation Army still has distribution centers where we're handing out cleaning supplies and food boxes," Jellets said. "But some of those communities were away from the media spotlight. What we can do is going to be very difficult over the long haul unless more donations come in for those events."

The American Red Cross has responded to 131 disaster relief operations in 44 separate states so far this year.

"We opened more than 1,000 shelters across the nation for disasters such as Hurricane Irene and the tornadoes," said Laura Howe, American Red Cross spokesperson. "That's in comparison to 37 shelters that we opened across the nation in 2010."

Outside the United States, there have been several major disasters, including the massive earthquake and tsunami in Japan and the ensuing nuclear catastrophe, famine in East Africa and flooding in Thailand.

The American Red Cross and other U.S.-based aid organizations joined international efforts to help Japan after the March 11 earthquake and tsunami killed 15,840 people, according to the most recent death toll, and set off a nuclear crisis at the Fukushima Daiichi power plant.

"A lot of the donations the American Red Cross has provided are supporting the rebuilding of hospitals and medical centers and providing social welfare programs for elderly and children," Howe said. "Any time you have a large disaster, the recovery process is going to take a number of years."

The Salvation Army is helping Japanese fishermen get back to work.

"Just recently we provided funding to help many of the fishermen there get their boats and their wares back together so they can get back to the business that they know, which is commercial fishing," said Salvation Army spokesman Maj. George Hood.

In the Horn of Africa, some regions are slowly recovering five months after the United Nations declared a famine in much of Somalia. The disaster has killed tens of thousands of people and 250,000 are still at risk of starvation.

The World Food Programme is aiming to feed 11 million people in East Africa. The organization is currently reaching almost 8 million.

"It's crucially important that especially the children and nursing mothers get highly fortified supplementary foods. For $10 you can feed a woman or a child for three weeks," said WFP spokeswoman Bettina Luescher. "Hunger is the biggest solvable global problem we have. For very little, you really can help change a life."

Ways to help

As relief organizations continue to provide aid to victims around the world, here are a few ways you can help.

To donate to the American Red Cross, go online or text "REDCROSS" to 90999 in the midst of a disaster or to make a donation to the general disaster relief fund.

During the holiday season, browse the Holiday Giving Catalog to buy a gift in someone's honor like five blankets for disaster victims at home or emergency water containers for people in other countries.

You can also visit the International Federation of Red Cross and Red Crescent Societies' website to donate to a national society in a specific country.

To donate to The Salvation Army, go online, text "GIVE" to 80888, or drop some spare change in one of the red kettles you see around town during the holidays.

When you donate online or through the mail, you can designate your gift to a specific disaster.

To help feed people in the Horn of Africa, donations can be made to the World Food Programme from various countries online or via text.

To donate $10 from the United States, text "AID" to 27722; to donate $5 from Canada, text "RELIEF" to 45678; to donate Â£3 from the United Kingdom text "AID" to 70303.

Or you can test your knowledge by taking the Horn of Africa quiz. For every person who participates, a child will receive a warm meal thanks to an anonymous donor.

@highlight

12 billion-dollar weather related disasters have been recorded in the U.S.

@highlight

The total cost of these events exceeds $50 billion

@highlight

Relief organizations are providing long-term aid for victims

@highlight

If you want to help, donations can be as simple as sending a text