(CNN)  -- In his essay "The Myth of Sisyphus," Albert Camus writes, "Judging whether life is or is not worth living amounts to answering the fundamental question of philosophy." It is not a question we like to think about.

The default assumption is that life is always worth living, that it is sacred and should be treated as such. When that assumption is challenged, we find ourselves confused, afraid and -- in some cases -- angry.

The new HBO film "You Don't Know Jack" probably won't spur serious investigation of the fundamental question. This biopic of Jack Kevorkian, the infamous "Dr. Death," may not add anything new to the physician-assisted suicide argument, but it does remind us of a time not too long ago when we were forced to consider where we stand on the matter. And for many of us, where we stand is anything but firm ground.

We believe in choice. We believe in self-determination. In fact, we prize them; we promote them; we preach about them. There aren't a lot of situations in which we're willing to take choice away from people, even if they would benefit from it.

My research suggests that Americans hold on tighter to choice than just about anyone else.

In one study, my collaborators Simona Botti and Kristina Orfali and I interviewed French and American parents who were coping with a tragic loss. Each couple had recently lost a severely ill baby after life support had been removed. In France, the doctors made the decision to remove life support; in America, the parents had the final say. The outcome was the same for all the parents, so did they have similar reactions?

Even up to a year later, the American parents expressed a great deal more negative emotion than the French parents. The French made statements like this: "Noah was here for so little time, but he gave us so much, a new perspective on life."

American parents, by contrast, said things like, "I keep thinking to myself,  'What if I had chosen differently?' I feel as though I've played a role in an execution."

Although the American parents were more miserable having made the choice themselves, they would not contemplate doing otherwise. When they were asked whether they would have preferred to have the doctor make the decision, they all said no. They felt trapped by choice, and yet they insisted on it.

If we can choose to take others off life support, choose to forgo medical treatment for ourselves, choose not to be resuscitated, and if these are choices we passionately defend, why do we balk at the choice of assisted suicide? There is legitimate concern about the potential for abuse, but we're tripped up by more than just the practical problems. We ask, "Doesn't assisted suicide devalue life?" We express what we can't quite articulate by saying that it feels wrong.

In an interview with Barbara Walters, as shown in the film, Kevorkian argues that medical practices often seem wrong before they become right. He says that ether wasn't used as an anesthetic for hundreds of years, that patients remained awake during surgery, "because of the foolish notion that there's a God Almighty who wills us to suffer." Whether this is a fact or not, there is truth in it; we want our suffering to have purpose.

According to Camus, "Living, naturally, is never easy. You continue making the gestures commanded by existence for many reasons, the first of which is habit. Dying voluntarily implies that you have recognized, even instinctively, the ridiculous character of that habit, the absence of any profound reason for living, the insane character of that daily agitation, and the uselessness of suffering."

When we reject assisted suicide, we reject that "recognition." We need the habit of life to have meaning, we need suffering to have meaning, and we certainly need death to have meaning. And we think of choice as a way of making meaning, not taking it away.

Actively choosing to die -- leaving no part of it to chance or other forces -- strikes us as not only devaluing life but devaluing death and devaluing choice. In order to have a serious conversation about assisted suicide, we may need to accept that sometimes choice, death and the choice of death don't lead to or reveal anything greater. I don't know if we're ready for that. I don't know if we should be.

The opinions expressed in this commentary are solely those of Sheena Iyengar.

@highlight

Sheena Iyengar: Most of us think life is always worth living; assisted suicide challenges that

@highlight

HBO film "You Don't Know Jack," about Jack Kevorkian, shows people choosing to die

@highlight

Americans believe in choice and self-determination more than anyone else, Iyengar says

@highlight

She writes that Americans see choosing to die as devaluing choice and life