Beijing (CNN) -- China on Thursday launched its first space laboratory module, marking another step upward for its space program.

"We must soberly recognize that China's space-station technology is still in its initial stage, compared to those of the U.S. and Russia," said a commentary from the state-run Xinhua News Agency.

"But the launch of Tiangong-1 is the beginning of China's efforts to narrow the gap."

China-watchers agree.

"The test reflects China's technological advances, funded by its rapid economic growth and facilitated by the military's ballistic missile program," says Taylor Fravel, associate professor at the Massachusetts Institute of Technology (MIT).

The unmanned space-lab is an 8-ton module named Tiangong-1, or "Heavenly Palace." That's what the Chinese called outer space in ancient times.

Tiangong-1 is designed to stay in space for two years and is expected to dock with an unmanned spacecraft in November.

China launches first space docking mission

The rendezvous next month will be the true test of the mission, experts say. "Docking is necessary for the development of a space station, which is China's long-term objective," says Fravel.

China needs to master this docking technique to be able to build its own manned space station by around 2020.

It also hopes to send a man to the moon and even explore Mars, bringing it in the same league as the United States as a superpower in space.

For Beijing, this week's launch is more than a space mission. It is meant to boost national pride and prestige.

"It is no coincidence that the launch of Tiangong-1 occurs just before October 1," says MIT's Fravel, referring to China's National Day holiday, when the People's Republic was officially established in 1949.

"I am very proud of our space program," exudes a visitor at Beijing Planetarium. "Spending on the space program is very necessary to advance science and technology in our country," says another.

China also hopes to reap other benefits. Space missions, experts say, spur technological and scientific breakthroughs in such fields as electronics, computer, engineering, materials and other industries. There are military and electronic-intelligence applications too.

And of course, the economic dividends are lucrative. Glitch-less space launches are a publicity bonanza for China's satellite-launch industry, which is already a huge money-making business.

China's modern-day space ambitions date back to 1970, when it catapulted the country's first satellite into orbit. I remember how over the years the Chinese proudly spoke of that breakthrough, bragging that the small space module even transmitted the revolutionary tune "East Is Red" as it circled the Earth.

But hardly anyone considered China as a serious player in space exploration.

Over the years, China has been catching up, pumping enormous sums of money and resources into research and training.

"In the early 1990s, President Jiang Zemin gave the go-ahead for a manned space program and the decision set off a tremendous construction boom that was in some ways as impressive as NASA's buildup for the Apollo project in the 1960s," writes James Oberg in his book "China's Great Leap Upward".

In 2003, China's first astronaut, Colonel Yang Liwei, orbited the Earth in a Chinese-made Shenzhou capsule before landing to a hero's welcome.

Yang's voyage into space -- called "taikong" in Chinese -- gave birth to the new word "taikonaut."

Only China, Russia and the United States have sent men into space.

In 2004, I joined a group of journalists visiting the Jiuquan Space Center, where taikonaut Yang and the Tiangong-1 blasted off. It was the first time Chinese officials had allowed international journalists into the sprawling top-secret launch center.

China's equivalent of Cape Canaveral is an unpretentious cluster of white buildings and towers, tucked in northwestern China's vast Gobi desert.

We were forbidden from taking pictures of the command-and-control center but we were shown around the center's facilities, including the launch towers and silos, an Olympic-sized swimming pool and the taikonauts' austere apartments.

Might the Chinese become the new space leaders of the 21st century?

They just might. China is forging ahead to build its own space station, even though the costs would be enormous, while the U.S. and other space powers have apparently discarded that option.

China is not part of the International Space Station (ISS), which currently orbits the Earth while space experts and astronauts conduct experiments in a range of fields, from physics to astronomy.

The ISS is a consortium among NASA, Russia's RKA space agency, Japan's Aerospace Exploration Agency, the European Space Agency and the Canadian CSA. The ISS is expected to be phased out in the future.

China is now on track to build its own space station. "This is not to say that China will never cooperate with others in space, but it would prefer to do so from a position of strength once it has developed a more capable and robust space program," says MIT's Fravel, who specializes in China's military affairs.

Should China's competitors worry about its steady strides? "The U.S. should not be too worried, at least not yet," Fravel says. "Tiangong has been likened to the Gemini program conducted by the U.S. 50 years ago."

Still, the upward trajectory of China's space program seems to point in its favor.

@highlight

China launches space lab module Tiangong-1, which means "heavenly palace"

@highlight

Designed to stay in space for two years, to dock with an unmanned spacecraft in November

@highlight

China needs to master docking technique to be able to build its own space station

@highlight

China has been pumping enormous sums of money and resources into research