(CNN) -- U.S. military leaders are "angry" and "ashamed" over sexual assaults plaguing the armed forces, President Barack Obama said Thursday after ordering top Pentagon officials to "leave no stone unturned" in the effort to stop the abuse.

The president's comments came the same day legislation was introduced in Congress to ease the victims' quest for justice, a move that followed news this month of two high-profile cases involving sexual assault in the military -- allegedly by the very service members tasked with preventing such crimes.

Obama summoned Defense Secretary Chuck Hagel and Army Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff. He told the two that it was imperative they find a solution to the abuse that is undermining trust in the military.

"Not only is it a crime. Not only is it shameful and disgraceful. But it is also going to make our military less effective than it can be," Obama told reporters after the meeting.

"As such, it is dangerous to our national security. So this is not a sideshow. ... This goes to the heart and core of who we are and how effective we're going to be."

During the meeting, Obama heard from Hagel, Dempsey and other Pentagon leaders: "They care about this. They're angry about it. I heard directly from all of them that they're ashamed by some of what's happened."

Survey shows troubling trend in military sexual assault

The military has been hit hard over the issue of sexual assault among its ranks, with the Defense Department this month releasing results of a survey that found there were an estimated 26,000 cases of unwanted sexual contact, which ranged from rape to groping, among troops in 2012.

The findings were a 35% jump from the estimated 19,300 cases in the 2010 report, the Defense Department said.

The alarming figures were released as two cases under investigation brought the problem to front and center in media reports.

An Army sergeant first class assigned to the sexual assault prevention unit at Fort Hood, Texas, is being investigated for alleged sexual assault, pandering, abusive sexual contact and maltreatment of subordinates.

The military has not identified the soldier, but said he has been relieved of duty while investigators look in to the allegations.

After officer charged, military officials face tough questioning

In early May, an Air Force officer who worked with an assault prevention unit was charged with sexual battery and removed from duty. He is accused of grabbing a woman and groping her buttocks and breasts in an Arlington County parking lot not far from his Washington office.

On Thursday, the head of the sexual harassment prevention unit for the 101st Airborne Division at Fort Campbell, Kentucky, was relieved of duty after he was arrested in a domestic dispute.

"This is a domestic matter between a man and wife," said Army spokesman George Wright.

Lt. Col. Darin Haas turned himself in to Clarksville, Tennessee, police on allegations of violating an order of protection and stalking, police spokesman Charles Gill said.

Hagel has said he's disgusted over the most recent allegations and has called for a re-evaluation of how service members are chosen to work in sexual assault prevention units.

He's ordered that everyone who currently works in those units be retrained and rescreened, and that they have to earn their credentials again.

What are the sexual assault prevention units?

The president's order came as Democratic Sen. Kirsten E. Gillibrand of New York introduced legislation Thursday that would remove what is known as chain of command from a process that victims have to go through to get their claims heard.

Gillibrand wants to give military prosecutors the power to decide whether cases are investigated.

The current system of reporting often works like this: When someone wants to report that they've been violated, that person typically goes to commanders who decide whether the claim is legitimate and can be passed along for further investigation.

The system, the senator asserts, opens the victim up to retaliation. Gillibrand and others feel that a commander cannot be an impartial figure and may be inclined to protect not just the victim but the perpetrator who is also his or her subordinate.

"When we just talk (to victims) informally, they tell us they don't report because they are afraid of retaliation, being marginalized, having their careers end or being blamed," she said on CNN's The Lead with Jake Tapper. "And so what we have to do is create a different dynamic so they feel more comfortable reporting."

The military defines unwanted sexual contact as sexual crimes prohibited by military law, from rape to abusive sexual contact.

Of those estimated 26,000 cases in the Pentagon survey, only 3,374 came forward to report an alleged sexual crime in 2012. While that disparity is clear; the lower number still marks a 6% increase in the report of alleged sexual crimes compared with 2011, the report showed.

At a Thursday press conference, survivors of sexual assault spoke about the hell they've been through and how difficult it was to have their cases investigated.

Retired Air Force Technical Sgt. Jennifer Norris said she thought it was a better option to "suck it up" than to report being assaulted.

"I did not want to be stigmatized for reporting my assaults as I tried to move forward in my career," she said. "Instead the best option for me was to try and endure it, to suck it up, and try and make it till I could get transferred somewhere else only to have it happen over and over again like a recurring nightmare."

Norris began to weep.

Former Navy Petty Officer Third Class Brian Lewis was stationed in Guam when he was raped, he told reporters.

"After the rape, I was told by my command not to file a formal report with the Naval Criminal Investigative Service," he said. "When I was reassigned to seek medical help, my psychiatrist told me that I was lying about my rape and diagnosed me with a personality disorder."

Lewis was discharged in August 2001.

"I have been fighting to correct my record ever since," he said.

CNN Radio: Listening to two victims

CNN's Barbara Starr, Jake Tapper, Mayra Cuevas and Stephanie Googans contributed to this report.

@highlight

President Barack Obama summons the nation's top defense officials

@highlight

Obama orders Pentagon to leave ''no stone unturned' in effort to quash assaults

@highlight

Two cases in May allege service members who worked in prevention committed abuse

@highlight

U.S. senators offer legislation they say will help victims of military sexual assault