Boston (CNN) -- If you lived in South Boston from the late 1970s through the mid-1990s, you either loved or loathed Whitey Bulger.

He could be colorful and generous, or, if you were his enemy, it is said he could be cutthroat and cruel.

In a federal courtroom in Boston on Wednesday, James "Whitey" Bulger, who spent more than 16 years in hiding, finally faced the judicial system.

Charged with murder in the killings of 19 people, Bulger, wearing jeans and a green, long-sleeved T-shirt, listened intently as prosecutors and his lawyers gave opening statements.

With references to Robert Kennedy, La Cosa Nostra and the "Troubles" in Northern Ireland, the trial of Boston's most famous fugitive got under way.

Bulger, 83, who prosecutors said was the head of the Irish mob in Boston for nearly two decades, sat slightly hunched, watching grainy black-and-white surveillance videos of him as he appeared more than 30 years ago, trimmer and only slightly balding. In one of the clips, Bulger punches the air and uses his fingers as guns as he animatedly talks to several mob associates.

Describing Bulger as a "hands-on killer," prosecutor Brian Kelly told the jury Bulger "did the dirty work himself." He described how Bulger ruthlessly shot one mob associate after attempts to strangle him failed because the rope he was using was too thick.

"You want one to the head?" Bulger reportedly said. "Yes, please," the victim was said to have answered.

Describing another killing, Kelly said, "Death came calling in the form of Whitey Bulger," who allegedly lured his victim to a phone booth and then opened fire, along with partner Steve "The Rifleman" Flemmi.

The trial is expected to take up to three months and has the potential to reveal sensational details about the mob and FBI corruption, especially if Bulger chooses to testify.

His attorney, J.W. Carney, portrayed Bulger not as a killer but as the head of a successful criminal enterprise of drug trafficking, extortion and loan sharking that brought in "millions upon millions of dollars." His client would not leave his "comfort zone" to kill someone in another state, as prosecutors allege.

Carney took aim at rogue FBI agents and police who were on "Bulger's payroll," both to protect him and to alert him to impending wiretaps, surveillance efforts and indictments.

The government will try to show that Bulger committed crimes while working as an informant for the FBI, revealing to the feds the mafia's secrets and corrupting them in the process to ignore his crimes.

Bulger never worked as an informant, Carney said, adding that "the worst thing" a person of Irish descent could do would be to inform.

But the defense acknowledged for the first time that Bulger was involved in drug trafficking and that he made millions of dollars from it.

The defense blamed the cooperating witnesses for the killings, saying they are falsely blaming Bulger for their own acts.

Carney urged the jurors to be skeptical about the credibility of the government's planned witnesses.

"Would you believe them beyond a reasonable doubt when you add the unbelievable incentives the government has given them?" he asked.

Bulger rose to the top of the notorious Winter Hill gang, prosecutors say, before he went into hiding for more than 16 years after an FBI agent told him in December 1994 that he was about to be indicted on federal racketeering charges.

But Carney claimed Bulger fled not because he was given the heads up on an impending indictment, but because he heard on the radio that federal agents were rounding up mobsters, an account heard for the first time ever.

Bulger was captured in Santa Monica, California, two years ago, living under a false name with his girlfriend in an apartment in the oceanside city.

At his July 2011 arraignment, he pleaded not guilty to the 19 murder charges and 13 other counts.

In the pretrial hearings, Bulger had argued he was given immunity by the FBI and a former prosecutor. A judge dismissed the claim, saying any purported immunity was not a defense against the crimes Bulger faces.

Besides the slayings, Bulger is accused of using violence, force and threats to shake down South Boston's bookmakers, loan sharks and drug dealers. The Irish mob allegedly laundered its ill-gotten gains through liquor stores, bars and other property it owned in South Boston.

"The guy is a sociopathic killer," Tom Foley, the organized crime investigator who spent most of his career with the Massachusetts State Police trying to put Bulger behind bars, told CNN in 2011. "He loved that type of life. He's one of the hardest and cruelest individuals that operated in the Boston area. He's a bad, bad, bad guy."

Tracking suspects down: Some landmark U.S. manhunts

Former Boston Globe reporter Dick Lehr, who wrote a book about Bulger, described him as a coldblooded killer whose gang went to lengths to avoid detection.

"When they killed someone -- this is pre-DNA -- they pulled the teeth out, cut the fingers off, tried to make it so the victims, if they were discovered from their graves, couldn't be identified. There's just no bottom. It doesn't get much uglier than someone like Whitey Bulger," Lehr said.

Few people knew Bulger was a rat.

FBI agent John Connolly, who was raised in the same housing projects as Bulger, cut a deal with the alleged mob figure in 1975. Bulger would give information about the Italian mob -- the FBI's prime target -- authorities said.

Protected by the rogue FBI agent, Bulger got names of other informants who had dirt on him and rival gang members, people he is accused of killing.

He knew when police were watching, knew when they were moving in.

After he fled Boston, he spent more than a decade on the FBI's Top 10 Most Wanted Fugitives list before his 2011 capture.

His girlfriend, Catherine Greig, was sentenced to eight years in prison last summer for helping him evade capture.

Connolly is serving a 50-year sentence for second-degree murder and racketeering.

Prosecutors plan to call as many as 80 witnesses. Among them will be Connolly and Flemmi, who was also an informant for the FBI. He is serving life terms without parole but avoided a possible death sentence by cooperating in the hunt for Bulger.

On Wednesday, Carney called Flemmi "a psychopath without a conscience."

Other former Bulger associates are expected to be called by the prosecution.

Last August, Carney said his client planned to testify.

"At this point in his life, his goal is to have the truth come out regarding how he was able to act with impunity for so long in the city of Boston," Carney told CNN affiliate WCVB-TV.

CNN's Ross Levitt and Deborah Feyerick reported from Boston, Almasy reported and wrote from Atlanta, Ann O'Neil and Michael Martinez contributed to this report.

@highlight

NEW: James "Whitey" Bulger was a "hands-on" killer, prosecutor says

@highlight

NEW: Defense attorney says he was a criminal but not a killer

@highlight

He has pleaded not guilty to 19 murder charges, other counts

@highlight

The 83-year-old was captured in 2011 after 16 years in hiding