(CNN) -- When the verdict came, it was as dramatic as anyone could have imagined.

A late Saturday night, a courtroom of breathless people, the accused man standing, and finally the words: "We, the jury, find George Zimmerman not guilty."

Zimmerman blinked and shook hands with his legal team. His mother smiled. His wife cried. It was over.

Zimmerman fears for life

But outside, the reaction was just beginning. In the crowd milling near the court, some chanted, "No justice, no peace," while others spoke about the disappointment they had dreaded.

An African-American man in a white shirt and gray vest stood with his arm around his young son's shoulders.

"I believe that there is a family whose heart was broken, who probably believes once again the system has failed them," he told CNN's David Mattingly.

"We've been praying for both families because we know that it has been a hard time for everybody that's been involved. But as far as justice ... personally, I think that the system failed the Martin family."

Common theme

Twitter erupted in disbelief.

Cover Drive wrote, "What kind of world do we live in where an innocent is killed, and the killer is found innocent?" Scotty tweeted, "America has given a free pass to murder Black Youth."

A Twitter user by the name Sam Is Dead echoed a common theme among those frustrated with the decision, "Casey Anthony innocent ... Zimmerman innocent ... Mike Vick guilty... Racism."

Suspected racism in the justice system, deep-seated, secretive and historic, was the crux of the case for millions.

That was what made it a national story, instead of merely a local tragedy.

What led jurors to this verdict

They did not believe it was just about a 17-year-old named Trayvon Martin being shot on a rainy night.

They believed it was about generations of young black men targeted, stalked, suspected and brutalized by police, security guards, neighborhood watches and courts.

"It's something bigger because Trayvon Martin is all of our sons. He's the son of all people who are African-American and of those who are conscious of what it means to be black in America," said Maurice Jackson, a Georgetown University associate professor of history and African-American studies.

After the verdict, his message was somber.

"I feel for his parents," Jackson said. "This is a sad day for democracy and for justice."

A much harsher statement came around the same time from another professor who studies race at Drexel University in Philadelphia.

"This verdict was prepared from day one," George Ciccariello-Maher said. "From the media campaign of demonizing Martin, to the selection of a nonblack jury, to the instruction not to refer to race ... his was the chronicle of an acquittal foretold."

On and on the outrage went.

'Tragedy for black families'

Reaction was swift, and varied.

Zimmerman could still be held responsible for Martin's death

ColorOfChange.org, an online civil rights group, said it highlighted a deep-seated issue.

"This is another tragedy for black families. .. the verdict sends a clear message about the minimal value place on the lives of young black men and boys everywhere," the group said.

Rev. Al Sharpton also weighed in.

"The acquittal of George Zimmerman is a slap in the face to the American people," he said.

Not all agree

Despite the fury and frustration on one side of the verdict, others approved the jury's decision.

"The actual case against Zimmerman was weak. Jurors should be commended for making the right call," Chicago Sun-Times columnist and author, Richard Roeper, wrote on Twitter.

Doesn't mean Zimmerman is 'innocent.'" CaptYonah tweeted, "Fact is, the evidence PROVED Zimmerman not guilty." GreeneBri wrote, "There is a reasonable doubt and I think our justice system did what it's supposed to do."

Many trial watchers, who suspected it would end this way, argued this case should never have been about race.

It would be unfair to make George Zimmerman pay for generations of racial inequalities, no matter how real or painful those troubles may be, some said.

Some suggested it was Zimmerman who was being pilloried to placate angry African-American voters and others who rallied to make the killing a cause.

Trayvon's dad: My heart is broken, my faith is not

Two narratives

Defense attorney Mark O'Mara, even while speaking highly of the civil rights movement, said if his client had been black, "he never would have been charged with a crime. It certainly would never have happened if he were black because those people who decided they were going to make him the scapegoat would not have."

His partner at the defense table, attorney Don West said, "I think the prosecution of George Zimmerman was disgraceful. It makes me sad ... that it took this long under these circumstances to finally get justice."

Reconciling the two wildly disparate views of this trial is not easy.

As legal analysts noted in the months leading up to the testimony, so many people made it so clear they saw the killing in substantially different ways.

To one side, Zimmerman was at worst an overzealous citizen just trying to make sure his neighborhood was safe. To the other, he was a gun-toting predator, hunting, harassing and provoking a fatal fight with an innocent teen.

To one side, Martin was little more than a child returning home after getting a snack. To the other, he was a hulking young man who could have gone inside, talked with Zimmerman or called the police, but instead decided to attack with his fists and paid with his life.

A recap of the trial, verdict

And since people on both sides seemed to have decided the case before the testimony was heard, the verdict was bound to be disturbing no matter how it tilted. Simply put, preconceived notions effectively had people watching two different trials, with every bit of testimony and evidence producing different, and often opposing, reactions in those dueling audiences.

Florida State Attorney Angela Corey, while standing with the disappointed prosecution team, seemed to tip her hat to that reality.

"I never could quite understand people, even people with law degrees, who had not read all of the police reports, who had not read all of the witness statements, yet who came up with opinions one way or the other," she said.

But that is what happened.

IT director who raised questions about case is fired

"A race war in America is sadly alive and well," conservative radio host Ben Ferguson says. He's frustrated with the many celebrities, sports figures, and activists expressing outrage.

"These people do not care about the facts or respect the law. They want their form of justice and, more importantly, added fame that commenting on this case can bring. These 'professionals' are race baiting to gain a more loyal following."

With the verdict, the winning side felt that justice was served. And the other? Georgetown's Jackson summed up his thoughts.

"Like Trayvon Martin's father, my heart is broken. I am sad to say that I expected this verdict," he said. "There is much to love about our country, but there are also things that happen to black people every day that make you want to put your head down and cry."

Verdict doesn't end debate in Martin's death

@highlight

NEW: "A race war in America is sadly alive and well," radio host Ben Ferguson says

@highlight

The race factor propelled it into a national story

@highlight

Without the race issue, it would have been merely a local tragedy

@highlight

Despite the frustration on one side of the verdict, others approved of the jury's decision