President Barack Obama and his certain Republican opponent in November, Mitt Romney, shifted to full general election mode Wednesday, portraying each other as threats to future American progress as their campaigns engaged in a "war over women" indicative of what to expect for the next seven months.

A day after his path to the GOP nomination cleared by chief rival Rick Santorum's withdrawal, Romney sought to reverse a gender gap problem by attacking Obama's economic policies as bad for women.

According to a Washington Post/ABC News poll released Tuesday, Romney trails well behind Obama among women voters -- a result also seen in recent Gallup and CNN/ORC polls. Obama had the support of 57% of women, compared with 38% who said they backed Romney, while Romney had the backing of 52% of men, compared with 44% who backed Obama, the survey found.

In a speech in Delaware at a woman-owned small business, Romney referred Wednesday to a Democratic attack line that Republicans were waging a "war on women" through socially conservative policies involving abortion, health care and other issues by saying: "The real war on women is being waged by the president's failed economic policies."

"Now the president says, 'Oh I didn't cause this recession.' That's true," Romney said. "He just made it worse, and made it last longer. And because it lasted longer, more and more women lost jobs, such that in his three-and-a-half years, 92.3% of the people who lost jobs have been women. His failures have hurt women."

However, the nonpartisan website PolitiFact.com rated the 92.3% job loss statement "mostly false," saying it included figures from the beginning of the Obama administration, before his policies could take effect.

In addition, PolitiFact.com said the figure failed to reflect a historical pattern of recessions first causing unemployment in traditionally male-dominated industries such as construction, and then later affecting fields with larger percentages of female workers.

The Romney campaign later provided a copy of a letter it sent to PolitiFact.com that challenged the "mostly false" rating.

An analysis of federal labor statistics shows that the Romney claim is technically true but lacks important context.

The number of nonfarm-employed women from January 2009, when Obama took office, to March 2012 fell far more than the number of employed men in that period. The total job loss for the period for both men and women combined was 740,000. The number of women who lost nonfarm jobs in that time span was 683,000, according to figures from the Bureau of Labor Statistics.

That amounts to 92.3% -- the figure Romney cited. However, the statistic does not reflect that men constituted a much larger chunk of the job loss pie in the year leading up to Obama's inauguration.

In the 2008 calendar year, men lost a total of 2.7 million nonfarm jobs, compared with 895,000 jobs lost for women. Men made up 75.4% of the 3.6 million jobs lost that year.

Romney's claim also does not reflect that the job losses for women began in March 2008, almost a full year before Obama took office. At that point, women held a total of 67.3 million nonfarm payroll jobs, the highest level of female employment of the Bush administration.

From that high point, the number of women with nonfarm payroll jobs fell for 23 consecutive months, spanning from the final 10 months of the Bush administration and first 13 months of the Obama administration. Since February 2010, women have actually gained 863,000 jobs.

Meanwhile, a Romney adviser initially hesitated when asked if Romney supported the Lilly Ledbetter Fair Pay Restoration Act that expands workers' rights to sue in the event of a pay discrepancy between a man and a woman.

"We'll get back to you on that," Romney Campaign Policy Director Lanhee Chen told reporters. A Romney campaign statement afterward said the candidate supported pay equity for women, but it did not specifically say he backed the 2009 Ledbetter law.

The Obama campaign immediately fired back, issuing a statement from Ledbetter that criticized Romney for failing to "stand up for women and their families."

"Anyone who wants to be president of the United States shouldn't have to think about whether they support pursuing every possible avenue to ensuring women get the same pay for the same work as men," Ledbetter said in the statement.

A Romney campaign official later said that  the candidate had no plans to change the current pay equity laws if elected.

David Axelrod, the senior adviser to Obama's campaign, called it a "tough day" for Romney's efforts to repair damage with women voters stemming from the Republican primary campaign. Axelrod dubbed the those efforts the "Mitt Rehab with Women Tour" in a Twitter post.

Obama, meanwhile, continued his push for Congress to pass a tax measure that would ensure that millionaires -- like Romney -- pay a higher tax rate than middle-class workers.

"It's just plain wrong that middle-class Americans pay a higher share of their income in taxes than some millionaires and billionaires," Obama told a White House event, flanked by millionaires who support the proposed measure.

Republicans want to cut taxes for the wealthy, which would mean cutting spending on programs that spur economic growth and benefit the middle class, senior citizens and the poor, Obama argued.

"They want to double down on some of the inequities that already exist in the tax code," he said, adding that such a step means "either you've got to borrow more money to pay down a deeper deficit, or you've got to demand deeper sacrifices from the middle class and you've got to cut investments that help us grow as an economy."

Citing "significant" deficits and the need to be competitive in the 21st century's "technologically integrated economy," Obama said: "We can't afford to keep spending more money on tax cuts for wealthy Americans who don't need them and weren't even asking for them."

In a swipe at GOP economic policy, Obama added: "In America, prosperity has never just trickled down from the wealthy few."

Also Wednesday, the Obama campaign released a video highlighting Romney's conservative stances on issues such as abortion rights, health care reform and immigration reform. The video concludes with Romney's declaration on the campaign trail that he was "a severely conservative Republican governor."

The competing messages were attempts by both sides to frame what is expected to be a close and vicious general election campaign in a favorable perspective.

Obama portrays Romney and Republicans as protectors of the wealthy at the expense of the middle class, while Romney and his party say Obama has stifled economic recovery and failed to effectively tackle deficit reduction.

Romney still needs to win several hundred delegates to clinch the GOP nomination, but Santorum was his top remaining challenger, and Tuesday's announcement that Santorum suspended his campaign leaves Romney's path free of obstacles.

However, Romney's campaign still struggles to generate enthusiasm among the GOP conservative base, which questions his more moderate stances as Massachusetts governor.

Sources said Romney wants Santorum -- who had strong support among social conservatives, including Christian evangelicals -- to quickly endorse his campaign. While Romney and Santorum aides said the former U.S. senator from Pennsylvania will work to defeat Obama, it was unclear when or if Santorum would offer a full-throated endorsement for Romney.

In his announcement Tuesday that he was suspending his campaign, Santorum never mentioned Romney.

"I expect when I finally become the nominee, and I hope that happens soon, that we'll be campaigning together, we'll be working together," Romney said Wednesday. "We share very much the same beliefs about the course the nation must take and the fact that under this president, America is not going in the right direction."

Santorum has consistently said Republicans needed a true conservative candidate -- himself -- to defeat Obama, and he has relentlessly attacked Romney's support for health care reforms in Massachusetts that included a mandate for coverage similar to the 2010 federal health care law despised by conservatives.

Romney said he would try to attract Santorum's evangelical and socially conservative supporters by leveraging appearances with the former candidate.

"We campaign together and make sure we see these people and get a chance to talk to them about issues that all Americans care about," Romney said. "I think you see our party, and you will see our party more united than it's been in a long, long time, in part because President Obama has taken America in such a different course than we have ever gone as a nation before."

Former House Speaker Newt Gingrich and Texas Rep. Ron Paul, the other Republican challengers who trail far back, said they intended to stay in the race to the GOP convention in August.

The Obama campaign immediately took aim at Romney after Santorum's announcement, with campaign manager Jim Messina saying it was "no surprise that Mitt Romney finally was able to grind down his opponents under an avalanche of negative ads."

"The more the American people see of Mitt Romney, the less they like him and the less they trust him," Messina said in a statement. "While calling himself the 'ideal candidate' for the tea party, he has promised to return to the same policies that created the economic crisis and has alienated women, middle-class families and Hispanic Americans."

CNN's latest estimate of the GOP delegate tally shows Romney with 659, Santorum with 275, Gingrich with 140 and Paul with 71. It takes 1,144 delegates to clinch the nomination.

New York, Connecticut, Rhode Island and Delaware vote on April 24, in addition to Pennsylvania. In all, 231 delegates are up for grabs in the five states.

The goal now for Gingrich and Paul is to prevent Romney from reaching the 1,144-delegate threshold before the convention. On Wednesday, though, Gingrich spent time explaining how a technical glitch caused his campaign to bounce a $500 check for Utah primary election fees.

@highlight

Mitt Romney seeks to fix his gender gap problem against President Obama

@highlight

With Rick Santorum's withdrawal, the campaign shifts to general election mode

@highlight

Obama continues his push for millionaires to pay higher taxes

@highlight

An Obama campaign video highlights Romney's conservative stances