(CNN) -- Health care reform is proceeding toward the president's desk, likely to become law in the new year.

Supporters promise the bill will cut costs and extend coverage.

But here's the real test: What will the trillion-dollar expense of this bill actually buy? Will it improve America's health? My guess: No.

For all the money Americans spend on health care (60 percent more per person than any other advanced country), Americans are not an especially healthy people.

Life expectancy at 50 in the U.S. ranks 29th in the world, three years behind world leader Japan, one and a half years behind Canada. Other indicators -- infant mortality, life expectancy at birth -- look even worse.

This poor performance is often blamed on the fact that millions of Americans lack health insurance. But as a recent paper for the National Bureau of Economic Research found, the U.S. -- despite its kludgy health insurance system -- does a remarkably good job of extending disease-fighting treatment to all.

Authors Samuel Preston and Jessica Ho observe:

• The U.S. screens a higher percentage of women for cervical cancer than any other country in a sample of 15 advanced countries.

• Americans have the highest survival rates for breast, lung, colon or rectal cancer in a sample of 20 advanced countries.

• Compared with Australia, Canada, Denmark, Finland, Sweden and Great Britain, the U.S. had the third-lowest fatality rate for male heart attack victims ages 40-64, the second-lowest for men ages 85-89 and the best for women aged 85-89.

• Americans 50 and older with heart disease are more likely to receive medication than similarly aged Europeans. Ditto stroke. Ditto high cholesterol.

Cancer and heart disease are not any old ailments. These are the leading causes of death for people 50 and older.

So if the U.S. health system does such a good job saving its middle-aged and elderly sick, why do Americans die comparatively young?

Answer: because Americans are much more likely to get sick in the first place.

And that likelihood owes very little to the health care system and a great deal to the bad choices American individuals make.

If you eat too much, exercise too little, drink too much, smoke, take drugs, fail to wear a seat belt or ignore gun safety, there is only so much a doctor or hospital can do for you.

And Americans do all those things, more than other people.

One-third of Americans are overweight. That one single fact accounts for almost 10 percent of all health care spending. At any given moment, one out of six motorists is unbelted. American children are nine times more likely to be injured in a gun accident than children in other developed countries.

If all Americans quit smoking, if everybody wore a seat belt, if gun owners consistently secured their weapons, if we all drank in moderation and abjured illegal drugs and if the one-third of the country that is overweight would drop the extra pounds, those individual actions would do more to improve health and extend lives than any contemplated by Congress or the president.

Acting on this information won't be easy: It violates too many taboos. Americans understandably treasure their right to make their own choices, including the choice to super-size it. And many are uncomfortably aware that self-destructive behavior is most often found among the poor and among minorities: Black women are more than three times as likely as white women to be severely obese.

In the near term, public policy can achieve only a limited impact against these problems. There is evidence that youth obesity can be reduced by zoning rules that forbid fast-food restaurants to be sited within 200 yards of a school. More and better gym classes, better cafeteria menus and a ban on soda in schools would all help too.

Over the longer term, we will have to rethink the deeper structure of American food policy: subsidies to corn and soybean growers, the paving over of exurban land that might provide nearby cities with less expensive fruits and vegetables.

Ultimately, though, these are decisions that individuals must make for themselves. In this respect, the present concept of medicalized health care sends some unwelcome messages. By "outsourcing" the concept of health as something that doctors, hospitals and now government do for you -- rather than something that depends considerably on your own choices and efforts -- we ask the medical system to do more than any medical system can do.

As you consider your new year's resolutions, remember: better habits will benefit not only your family and yourself -- but all your neighbors and countrymen as well.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Americans' poor health, relative to other countries, is cited as a reason for health reform

@highlight

David Frum says there's little evidence health bill will improve U.S. life expectancy

@highlight

He says research shows unhealthy habits explain why Americans get sick more often

@highlight

Individual choices to adopt healthy lifestyles would have more impact, he says