Washington (CNN) -- President Obama said Tuesday that U.S. intelligence has had considerable success, but that the botched Christmas Day attack shows "the system has failed" in a major way.

"When a suspected terrorist is able to board a plane with explosives on Christmas Day, the system has failed in a potentially disastrous way," Obama said at the White House in a statement to reporters.

The president used even stronger language in a private meeting in the Situation Room with top aides, a senior administration official said.

"This was a screw-up that could have been disastrous," he said, according to the official. "We dodged a bullet, but just barely."

Tragedy was averted "by brave individuals, not because the system worked, and that is not acceptable. While there will be a tendency for finger pointing, I will not tolerate it," the senior official quoted Obama as saying.

In his public comments, the president said that U.S. intelligence had uncovered numerous "red flags" prior to the attack.

"The U.S. government had sufficient information to have uncovered this plot and potentially disrupt the Christmas Day attack, but our intelligence community failed to connect those dots, which would have placed the suspect on the no-fly list," Obama said.

"In other words, this was not a failure to collect intelligence; it was a failure to integrate and understand the intelligence that we already had," the president said. "The information was there, agencies and analysts who needed it had access to it, and our professionals were trained to look for it and to bring it all together."

Obama said he could accept the imperfect nature of intelligence work, "but it is increasingly clear that intelligence was not fully analyzed or fully leveraged," he said, adding: "That's not acceptable, and I will not tolerate it."

According to authorities, Nigerian-born Umar Farouk AbdulMutallab tried to detonate explosives hidden in his underwear as a Northwest Airlines flight from Amsterdam, Netherlands, made its approach to Detroit, Michigan, on December 25. He faces federal charges.

AbdulMutallab had a multiple-entry U.S. visa. His father, a leading banker in Nigeria, warned U.S. authorities before the attack that his son might be involved with Islamic extremists, but the information failed to prompt a response such as canceling the visa.

In his address, the president listed steps so far to enhance security, including more airport screening and tighter monitoring of U.S. visa holders.

In one step, senior State Department officials told CNN on Tuesday that new criteria for information collected on possible terrorists would make it easier to ban them from U.S.-bound flights. Speaking on condition of anonymity because of the sensitive nature of the material, the officials said the United States has lowered the threshold for information considered important enough to put suspicious individuals on a no-fly list or revoke their visas.

If the new criteria had been in place before Christmas, AbdulMutallab would have been added to the no-fly list, the officials said.

Obama said he ordered his national security team to complete preliminary reviews of the situation this week so that suggested reforms can be implemented right way.

"Time and again we've learned that quickly piecing together information and taking swift action is critical to staying one step ahead of a nimble adversary," Obama said. "So we have to do better, and we will do better, and we have to do it quickly. American lives are on the line."

Obama reiterated, however, his intention to close the detention facility at Guantanamo Bay, Cuba.

"We will close Guantanamo prison, which has damaged our national security interests and become a tremendous recruiting tool for al Qaeda," Obama said. "In fact, that was an explicit rationale for the formation of al Qaeda in the Arabian Peninsula."

Critics of the Guantanamo transfers have raised concerns over political instability in Yemen and the presence of al Qaeda on the Arabian Peninsula, noting that some previous detainees released to Yemen by the Bush administration have renewed their terrorist ties.

Obama repeated an earlier statement by his spokesman that transferring Yemeni detainees at Guantanamo back to Yemen would be halted for now.

"Given the unsettled situation, I've spoken to the attorney general and we've agreed that we will not be transferring additional detainees back to Yemen at this time," Obama said.

Earlier in the day, the president met with FBI Director Robert Mueller, Attorney General Eric Holder and Secretary of Homeland Security Janet Napolitano, an administration official said.

The group was to have discussed possible changes to terror watch lists, as well as accountability by responsible authorities.

The president met with Deputy National Security Adviser John Brennan for 90 minutes on Monday and was scheduled to meet with him again Tuesday, the official said.

Brennan gave Obama an update on his review of the terror watch listing system.

Tuesday's meetings were held just hours after the reopening of the U.S. Embassy in Yemen. It had been closed after intelligence suggested that four al Qaeda operatives could have been planning an attack on the compound, a senior administration official said Monday.

Authorities say AbdulMutallab may have received training in Yemen from the terrorist group al Qaeda in the Arabian Peninsula.

A statement posted on the Embassy's Web site said "successful counterterrorism operations" conducted by Yemeni security forces Monday north of the capital, Sanaa, addressed "a specific area of concern and have contributed to the Embassy's decision to resume operations."

Yemen's state-run news agency, SABA, reported Monday that two al Qaeda suspects were killed and two others were injured in clashes with a Yemeni anti-terrorism unit.

FBI investigators "gleaned usable, actionable intelligence" from AbdulMutallab in the hours after his arrest, White House Press Secretary Robert Gibbs said Tuesday. Gibbs declined to elaborate on the nature of the intelligence.

CNN's Dan Lothian and Suzanne Malveaux contributed to this report.

@highlight

"We dodged a bullet, but just barely," official quotes Obama as saying

@highlight

President made comments during and after meeting with security officials on alleged terror plot

@highlight

Obama calls for preliminary reviews this week, then immediate reforms