(CNN) -- Forty years ago this week, Egyptian and Syrian troops attacked the state of Israel.

To enhance the surprise of their attack, the invading armies struck on Yom Kippur, the holiest day of the Jewish calendar. Egypt enjoyed three days of tactical success, Syria less than that. The war ended with Israeli troops approaching Damascus and an entire Egyptian army surrounded.

Despite Israel's ultimate military success, the war was interpreted by many as something close to a defeat for the Jewish state. Israel's two previous wars -- in 1956 against Egypt alone and in 1967 against an alliance of all its neighbors -- had terminated in lightning Israeli victories. The Yom Kippur War lasted 19 days, longer than 1956 and 1967 combined. Israel suffered more than 2,500 killed in action. Hundreds more Israelis were captured in the first days of fighting; dozens of these captives were gruesomely tortured and killed.

Israel's enemies also seemed to have succeeded in upending the region's balance of economic and political power. The Arab members of the Organization of the Petroleum Exporting Countries cut production and imposed an embargo on two Israeli allies: the United States and the Netherlands. A similar embargo had fizzled in 1967. This time, however, the embargo coincided with a surge in global commodity and energy prices. The whole Western world plunged into severe recession in 1974-75.

Altogether, many analysts drew a grim conclusion from 1973 about the future of the Jewish state: Israeli military supremacy had come to an end. The world would have to adjust to the new power of Israel's oil-rich enemies.

How wrong they were.

In 1973, Israel's enemies scored their first battlefield successes since the foundation of the Jewish state. They also scored their last battlefield successes. In 1982, Israel and Syria battled once more, this time in the air over Lebanon.

Syria lost 82 planes, a quarter of its air force; Israel lost not a single one. In the decades since 1973, Israel has suffered repeated terrorist atrocities. Iraq, Syria and now Iran have all sought to develop nuclear weapons. But none of Israel's enemies would ever again dare wage a conventional military campaign against the country that had looked so weak on the morning of October 6, 1973.

The war waged against Israel has come to look downright puny compared with the savage wars that have ripped apart the Middle East beyond Israel's borders: the Lebanese civil war that erupted in 1975, the Iran-Iraq War of the 1980s, the Algerian civil war of the 1990s, the Iraqi invasion of Kuwait in 1990 followed by the Gulf War of 1991, the civil war after the U.S. invasion of Iraq, and now the civil war in Syria and the violence inside Egypt.

Back in 1973, Israel seemed -- if nothing else -- at least the center of the story in the Middle East.

First the struggle between Israel and its neighbors, and later the struggle between Israel and the Palestinian population, were represented as the master key that would determine the future of the region -- and the price of oil for the world.

That representation has proved signally false. A kind of peace has come to Israel's borders. Egypt and Jordan have signed peace treaties with Israel, and Syria has given up the military struggle.

Meanwhile, the Palestinian problem has settled into seething stalemate, with governments in Gaza and the West Bank more or less at war with each other and neither able to say "yes" to anything Israel proposes. And yet ... none of this seems to make a difference to any of the larger problems of the region.

The Palestinians could sign a treaty tomorrow, and Saudi Arabia and Iran would continue their proxy war inside Syria. Direct rail service could commence between Tel Aviv and Amman, and it would not change the fact that Egypt's population is growing faster than its economy.

As Israel has become stronger and richer since 1973, it has also curiously become less important to its region.

"Peace in the Middle East" seems as remote as ever, not because of animosity between Israel and its neighbors but because of internal hatreds within those neighbors.

In October 1973, many wondered whether time was not running out for the little state with too little oil and too many enemies. On this 40th anniversary of the 1973 war, Israel is the only state in the region we can feel confident will still be there, under its present system of government, on the occasion of 50th.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

40 years ago, Egypt and Syria attacked Israel on Yom Kippur

@highlight

David Frum says the betting after the war was that Israel was endangered

@highlight

Yet the military and economic threats to Israel haven't materialized, he says

@highlight

Frum: Today's conflicts are largely internal battles in Syria, Egypt, other nations