The Supreme Court gave limited approval on Monday to public prayers at a New York town's board meetings, citing the country's history of religious acknowledgment in the legislature.

The 5-4 ruling came in yet another contentious case over the intersection of faith and the civic arena. It was confined to the specific circumstances and offered few bright-line rules on how other communities should offer civic prayers without violating the Constitution.

Two local women sued officials in Greece, New York, objecting to invocations at monthly public sessions on government property. The invocations, according to the plaintiffs, have been overwhelmingly Christian in nature over the years.

"The town of Greece does not violate the First Amendment by opening its meetings with prayer that comports with our tradition," Justice Anthony Kennedy said, "and does not coerce participation by nonadherents."

Just moments before the opinion was announced from the bench, the high court began its public session as it has for decades: with the marshal invoking a traditional statement that ends, "God save the United States and this honorable court." The several hundred people in attendance, along with the justices, stood for the brief ceremony.

The conservative majority offered varying interpretations of when such "ceremonial" prayers would be permissible. Kennedy, along with Chief Justice John Roberts and Justice Samuel Alito, focused on the specifics of the Greece case and did not offer a broad expansion of legislative prayer.

Fellow conservative Justices Clarence Thomas and Antonin Scalia went further, suggesting that even any "subtle pressure" that local citizens might feel would not be enough to ban such prayers.

In dissent, Justice Elena Kagan said, "When the citizens of this country approach their government, they do so only as Americans, not as members of one faith or another. And that means that even in a partly legislative body, they should not confront government-sponsored worship that divides them along religious lines."

'It's just not appropriate'

The town of about 94,000 residents outside Rochester began allowing prayers to start its meetings in 1999, after years of having a "moment of silence."

Co-plaintiffs Linda Stephens and Susan Galloway challenged the revised policy, saying officials repeatedly ignored their requests to modify or eliminate the practice, or at least make it more inclusive.

"It's very divisive when you bring government into religion," Stephens told CNN from her home. "I don't believe in God, and Susan is Jewish, so to hear these ministers talk about Jesus and even have some of them who personally question our motives, it's just not appropriate."

The town government counters that after concerns from the two women and others, it sought diverse voices, including a Wiccan priestess, to offer invocations. Officials say they do not review the content of the remarks, nor censor any language.

"The faith of the prayer giver does not matter at all," said John Auberger, Greece's board supervisor, who began the practice shortly after taking office. "We accept anyone who wants to come in and volunteer to give the prayer to open up our town meetings."

A federal appeals court in New York found the board's policy to be a violation of the Constitution's Establishment Clause, which forbids any government "endorsement" of religion. Those judges said it had the effect of "affiliating the town with Christianity."

Congress and state legislatures regularly open their sessions with a prayer. The question in part before the court is whether local government bodies are different, in that there might be more active involvement with local residents, who may want to personally petition the town in zoning, tax and other matters.

Kagan suggested the court's ruling could lead to sectarian prayers at such government venues as trials, polling places, and naturalization ceremonies.

But Alito expressed concern "some readers will take these hypotheticals as a warning that this is where today's decision leads -- to a country in which religious minorities are denied the equal benefits of citizenship."

"Nothing could be further from the truth," added Alito. "All that the court does today is to allow a town to follow a practice that we have previously held is permissible for Congress and state legislatures."

Widely varying interpretations

Nearly 120 members of Congress, mostly Republicans, along with 18 state attorneys general, filed supporting legal briefs backing the city. The Obama administration did the same.

The high court has generally taken a case-by-case approach on determining just when the state intrudes unconstitutionally into religion, while generally allowing faith to be acknowledged in a limited basis in a public forum.

"In God We Trust" remains on currency; the Pledge of Allegiance and oaths of office mention a creator; and menorah and crèche displays are permitted in local parks.

But the justices, in their widely varying interpretations of this case, acknowledged the tricky line they must walk -- politically, socially, legally-- when deciding Establishment Clause appeals. It was Kennedy's views that ultimately controlled.

"By inviting ministers to serve as chaplain for the month, and welcoming them to the front of the room alongside civic leaders, the town is acknowledging the central place that religion, and religious institutions, hold in the lives of those present," he said. "Indeed, some congregations are not simply spiritual homes for town residents but also the provider of social services for citizens regardless of their beliefs."

The Alliance Defending Freedom, which represented the town in court, agreed.

"The Supreme Court has again affirmed that Americans are free to pray," said the group's senior counsel David Cortman. "In America, we tolerate a diversity of opinions and beliefs; we don't silence people or try to separate what they say from what they believe."

But the ACLU said it was disappointed. "Official religious favoritism should be off-limits under the Constitution," said the group's Daniel Mach. "Town-sponsored sectarian prayer violates the basic rule requiring the government to stay neutral on matters of faith."

The case of Town of Greece, NY v. Galloway (12-696).

Belief blog: Do religious minorities have a prayer?

In November: Top court not likely to block town prayers

@highlight

Two residents of Greece, New York, objected to invocations at town board meetings

@highlight

Opening meetings with traditional prayer doesn't violate First Amendment, high court says

@highlight

Dissent warns of "government-sponsored worship that divides" citizens "along religious lines"

@highlight

Ruling offers little on how other communities should offer civic prayers