(CNN)After landing a probe on an icy comet and possibly shedding new light on the origins of life on Earth, the European Space Agency (ESA) is now looking at scorching-hot Mercury for its next mission.

The innermost planet of our solar system orbits so close to the Sun that, in some instances, surface temperature surpasses 400 °C. Areas of the planet without sunlight, on the other hand, can become as cold as -170 °C.

No other planet has variations in temperature so severe.

The reason for this is the absence of any significant atmosphere, which Mercury is too hot and too small to retain. With a diameter of just over 3,000 miles, it's just a third larger than the Moon, and smaller than two other moons in the solar system -- Saturn's Titan and Jupiter's Ganymede.

ESA's mission to Mercury will tentatively launch on 21 July 2016, to reach Mercury's orbit seven and a half years later, in 2024. The spacecraft is called BepiColombo -- in honor of Italian space pioneer Giuseppe "Bepi" Colombo.

Mercury is the least studied of the inner planets, but it has many peculiarities.

"Mercury is special," said Johannes Benkhoff, the project scientist in charge of the BepiColombo mission, "It's the densest planet in our solar system, even denser than Earth - if we consider uncompressed density - and has a magnetic field, like Earth, that no one expected before, so I guess it's a cool planet to go to."

There are many challenging aspects to a mission to Mercury, most prominently its proximity to the Sun, with its mighty gravitational pull and intense radiation.

The planet's high orbital velocity of 48 kilometers per second -- compared to Earth's 30 kilometers per second -- is also an issue. Any probe en route to Mercury must not only cover an average linear distance of 48 million miles, but carefully gauge its velocity so that it can catch the fast planet's orbit without getting sucked into the Sun's gravitational well.

As a result, only two missions have visited Mercury so far.

The first was NASA's Mariner 10, launched in 1973. This was  the first spacecraft to use the "gravitational slingshot" technique, which uses a planet's gravity to affect the trajectory and the speed of a spacecraft, saving on fuel and time.

Bepi Colombo's calculations were used to plot Mariner 10's trip to Mercury, in a maneuver that has been widely used in space exploration ever since.

The second mission is still underway: it's called Messenger and it was launched -- again by NASA -- in 2004. It is currently orbiting the planet and will continue to study it well into 2015.

Nevertheless, ESA feels that there is enough mystery about Mercury to warrant a third mission.

"Messenger found so many surprising, unexpected results that we have a lot of good reasons to follow-up on what they did," Benkhoff told CNN, "It's a huge benefit that we have this mission in that stage, because only ten years later we will be at Mercury, follow-up on what Messenger did and get a huge, wonderful exploration of this planet."

The mission will, once again, use gravity assists to reach its destination: it will first complete a fly-by of Earth, essentially returning to our planet two years after launch. Then it will perform two fly-bys of Venus, before finally heading toward Mercury.

Upon arrival, a module called Mercury Planet Orbiter (MPO) will separate from the rest of the spacecraft and perform a detailed study of the Mercury system. This module is designed by the Japan Aerospace Exploration Agency, which jointly conducts the mission along with ESA.

BepiColombo will help us understand how planets can form so close to their parent star, and will analyze Mercury's geology and magnetic field.

It will also provide further confirmation of Einstein's general theory of relativity.

Mercury's strange orbital pattern first puzzled physicists in 1845, when it was discovered that it did not conform to Newton's theory of gravity. This was later explained by relativity, which revealed that Mercury's warped orbit was due to curved space and not some unseen object.

BepiColombo will be in an optimal position to gather extremely precise data about the planet's dance around the Sun, offering the ultimate validation to Einstein's idea.

Read more from Make, Create, Innovate:

Are obese crash test dummies to key to preventing road deaths?

Turn your kitchen into an orchestra with this magic device

An end to all airport security lines?

@highlight

ESA's next mission, BepiColombo, will explore the planet closest to the Sun, Mercury

@highlight

The probe will launch in 2016 and reach Mercury in 2024

@highlight

It will endure temperatures of 350 degrees Celsius and observe Mercury from orbit

@highlight

The data will be used, among other things, to confirm Einstein's theory of relativity