New York (CNN) -- It's primary day in New York City, where a whole lot of Democrats and not that many Republicans will select their nominees for mayor and a slate of other city offices.

Given the city's liberal bent, the primary serves as a de facto general election. Most of Tuesday's Democratic winners will sail to victory in November against token Republican opposition.

But New York hasn't elected a Democratic mayor since 1989, when David Dinkins became the city's first African-American mayor. This is shaping up to be the year that streak ends.

Mayor Michael Bloomberg has presided over more than a decade of economic expansion in the city, but his tenure has left a sour taste in the mouths of rank-and-file Democrats, who say the mayor cares more about wealthy Manhattan elites than the outer borough middle class.

The issues flaring this election season all seem to come back to Bloomberg: affordable housing, income inequality, education, a city council vote that handed the mayor a third term, and the controversial New York Police Department tactic known as stop-and-frisk.

Bloomberg fatigue is the prime reason that Bill de Blasio, the city's public advocate, has surged into the lead in a crowded field of underwhelming Democratic candidates.

De Blasio is promising a "clean break" from the Bloomberg years. He's running as an unabashed liberal, pledging to raise taxes on the wealthy and end stop-and-frisk. De Blasio, who is white, also happens to be leading his opponents among African-American voters, in part because of his telegenic mixed-race family, which has been at his side throughout the campaign.

Polls suggest De Blasio is certain to win Tuesday's primary. The main question is whether he can run up the score high enough to avoid a runoff against one of his two main challengers: City Council Speaker Christine Quinn, a lesbian who would be New York's first female mayor, and Bill Thompson, the city's former comptroller.

Former U.S. Rep. Anthony Weiner, whose campaign imploded in July after he admitted to sending another round of lewd online chats well after he resigned from Congress, is running in a distant fourth place.

Here are five things to watch in Tuesday's election, which will also determine whether former New York Gov. Eliot Spitzer can make a political comeback after a prostitution scandal forced him from office five years ago:

1. Can de Blasio avoid a runoff?

De Blasio was handed a big fat gift over the weekend when New York Magazine posted a buzzy new interview with Bloomberg in which the mayor described de Blasio's campaign, which has showcased his interracial family in a bid to win African-American support, as "racist."

The New York City Public Advocate promptly put his family in front of television news cameras to hit back against the mayor, who has steadfastly backed the NYPD's stop-and-frisk policy, a deeply unpopular practice in the city's black community.

A former political operative and onetime city councilman from Brooklyn, de Blasio was already surging before the comments hit the Web on Saturday morning.

Now de Blasio might be able to reach the crucial 40% threshold needed to avoid a three-week runoff campaign, a once unthinkable scenario given the number of Democrats in the race.

A Marist poll released Monday by NBC 4 New York and the Wall Street Journal pegged de Blasio's support among Democrats at 36%. With all the political wind in the race at his back, it's possible he might win the nomination outright on Tuesday.

2. Where do African-American voters go?

The most influential person in the mayor's race isn't even on the ballot.

That would be de Blasio's 15-year old son Dante, who starred in a memorable television ad that vaulted his father to the top of the polls in August. He hasn't looked back since.

In the ad, Dante, who boasts an impressive Afro, looks into the camera and pledges that his father is "the only Democrat with the guts to really break from the Bloomberg years" and "end a stop-and-frisk era that unfairly targets people of color."

The Dante spot, produced by former Obama campaign media consultant John del Cecato, sparked one of the most intriguing developments of the primary: de Blasio has steadily been growing his support among African-American voters -- even against Bill Thompson, the lone black candidate in the field.

De Blasio now leads Thompson among black voters by a 39-25 margin, the Marist poll showed. He's also identified as the candidate most likely to end stop-and-frisk.

Thompson was the 2009 Democratic nominee for mayor and bucked conventional wisdom -- and many polls -- by coming within five points of defeating Bloomberg that November. If Thompson is to have any chance of making the runoff and beating de Blasio, he better hope the polls are wrong again.

3. Chelsea and the Village

Quinn's city council district encompasses Chelsea and stretches of Greenwich Village, which represent the historic heart of New York City's gay and lesbian community. The Moonstruck Diner, on the corner of 23rd Street and Ninth Avenue, serves as Quinn's second office. Last Friday evening, Quinn rallied hundreds of gay and lesbian supporters outside the Stonewall Inn, site of the historic 1969 gay rights demonstrations against the New York Police Department.

But disgruntled Quinn supporters have faulted her for not drawing more attention to the history-making nature of her candidacy. Quinn, once the front-runner, now desperately needs her West Side base to show up if she has any hope of making a runoff.

There are hints her support could be fracturing under the weight of her complicated relationship with Bloomberg in the city council, and de Blasio's late burst of momentum.

When de Blasio showed up late last week to campaign in Quinn's backyard, on the corner of 23rd Street and Eighth Avenue, he was mobbed by photo-seeking supporters and held court for nearly an hour, jamming up foot traffic and putting the City Council speaker on notice. On Monday night, Quinn's campaign added a last-minute campaign swing through Chelsea to shore up her base.

4. Can Spitzer make a comeback?

Spitzer, who resigned from office in a 2008 prostitution scandal that roiled Albany, surprised pretty much everyone in politics in July when he suddenly jumped into the Democratic race for city comptroller, the city's chief fiscal officer.

With the help of his real estate fortune, his unabashed anti-Wall Street rhetoric and his near universal name recognition, Spitzer led his Democratic primary opponent, Manhattan Borough President Scott Stringer, for most of the summer.

But Stringer has worked overtime to remind voters of Spitzer's baggage, attacking him in debates, in the mail and on the television airwaves. Spitzer has returned fire, accusing Stringer of being a lifelong member of the political establishment who accomplished little during his public career. The race is the most intriguing head-to-head match-up on Tuesday.

Recent polls paint a mixed picture but suggest the race is something of a toss-up, though Spitzer may have a slight edge thanks to his steady 2-1 edge among African-American voters. If he wins the nomination, he's a sure bet to become comptroller against nominal Republican opposition and see his name bandied about as a potential future mayor, attorney general or governor. A win Tuesday would be his first step toward political redemption.

5. The end of "Cats"

The Republican primary contest has been largely overlooked given the city's Democratic leanings. Roughly 700,000 Democrats are expected to cast ballots in Tuesday's primary, while Republican turnout may be as low as 60,000.

Joe Lhota, a fedora-wearing veteran of Rudy Giuliani's administration, is expected to win the GOP nod. If the liberal de Blasio wins the Democratic primary as expected, Lhota might have an outside shot in the general election if he's able to enlist Bloomberg allies and the business community, no fans of de Blasio's tax-the-rich agenda, to help defeat him.

But a Lhota win would also be the political death knell for John Catsimatidis, arguably the most colorful figure of the 2013 election cycle. Catsimatidis, the Greek-born billionaire founder of the Gristedes grocery store chain and a longtime Republican donor, poured millions of dollars of his own money into the race, blanketing the television airwaves with quirky television ads.

According to The New York Times, "He has even created his own eight-page newspaper, The Cats Chronicle, which includes no fewer than 27 photographs of Mr. Catsimatidis."

Politically incorrect, often disheveled and definitely overweight, Catsimatidis has some regular guy appeal but is nevertheless prone to missteps and cringe-worthy statements that make him hard to take seriously. He even fell asleep in the middle of an interview with a New York public radio reporter, who recorded him snoring and used the sound in her story.

Russell Schaffer, a New York Democrat who tweets prolifically under the handle @RussOnPolitics, spoke for political junkies everywhere on Sunday when he mourned Catsimatidis' imminent demise:

"I'll never let @JCats2013 go, even after he loses the GOP primary for NYC mayor on Tuesday," he tweeted. "He is a treasure to behold and quote."

@highlight

Mayoral race will mark the end of Bloomberg's decade of control of mayor's office

@highlight

Disgraced former U.S. Rep. Andrew Weiner is running a distant fourth in Democratic race

@highlight

Biggest question on Tuesday will be whether front-runner can avoid runoff