(CNN) -- Rough seas are delaying the connection of the vessel Helix Producer to the ruptured oil well in the Gulf of Mexico, a spokesman at the oil cleanup command center in Louisiana said Wednesday. The linkup "may be in place by Saturday," he said.

Officials have said that the hookup is partially completed despite the bad weather, but once it is done it could draw up to 53,000 barrels of oil a day. But Charles Gaiennie of the Unified Command's Joint Information Center in Houma, Louisiana, says the current "sea state" is delaying the operation and that many Louisiana cleanup activities, such as skimming and flights delivering aerial dispersants, have been "stood down" because of the rough weather.

He said that if there's is "a window of opportunity to deploy [resources], we will do so."

Newly retired Coast Guard Adm. Thad Allen told reporters Wednesday it will be 24 to 48 hours before the sea calms enough to finish the linkup.

Allen also told reporters that relief wells must be drilled an estimated 200 to 225 feet farther before they intercept the leaking well bore. He said that officials still expect that the relief wells will not be completed until August.

Meanwhile, the number of cleanup workers reporting adverse health effects continues to rise. CNN's Dr. Sanjay Gupta sat down Wednesday for an exclusive interview with the man in charge of BP's medical response, Dr. Kevin O'Shea. He said more than 1,500 workers have sought medical care through BP, a significant increase from previously reported numbers.

On Wednesday, the advocacy group "Alliance for Justice" released a report on oil industry ties among 5th Circuit Judges.  The report comes ahead of oral arguments set to begin Thursday in Hornbeck Offshore Services v. Salazar, the case that challenged the Obama administration's six-month ban on deep-water drilling.

AJR's 9-page report claims that many Appellate Court judges have extensive ties to the oil industry, including Jerry Edwin Smith, William Eugene Davis and James L. Dennis, the three judges who will hear the administration's appeal of the drilling moratorium. The group also says District Judge Martin Feldman, who issued the order prohibiting the drilling moratorium, has financial interests in oil drilling companies.

Oral arguments for Hornbeck v. Salazar will begin Thursday afternoon at the U.S. Court of Appeals in New Orleans.

Meanwhile, Louisiana Gov. Bobby Jindall joined Navy Secretary Ray Mabus and U.S. Sen. Mary Landrieu on a flyover of affected areas, including the barrier islands, Port Fouchan, Grand Isle and the Mississippi River. The tour lasted about 90 minutes.

And in Mississippi, state authorities report that they've received eight of the nine skimmers produced in France. Officials have closed more beaches in Hancock County and continue to press cleanup efforts. Officials say 550 bags -- amounting to 8,250 pounds of oil-related debris -- have been cleaned from a mile-long stretch of beach in Waveland.

Federal estimates say between 35,000 and 60,000 barrels (about 1.5 million to 2.5 million gallons) of oil have been gushing into the Gulf daily since April 22, when the Deepwater Horizon sank two days after an explosion aboard the drilling rig.

In early June, during an exclusive 48-hour embed with Allen, CNN's Kyra Phillips visited the site of the oil disaster and gained access to the Development Driller III -- the rig that is drilling the primary relief well some 16,000 to 18,000 feet below the sea floor.

"The intention is to intercept the well bore, well down below the surface near the reservoir, then pump heavy mud in to counteract the pressure of the oil coming up," Allen said. "That will allow them to basically plug or kill the well. Once that's done, you could do things like remove the blowout preventer, bring it to the surface and try to find out what happened."

Also, a massive airship, or blimp, and a sea vessel that can suck oil out of the ruptured well are expected to arrive in the Gulf region at the end of the week to aid in oil disaster response efforts. Their arrival is being delayed because of rough weather, said Stephanie Hebert, spokeswoman for the cleanup effort.

The U.S. Navy airship will be used to detect oil, direct skimming ships and look for wildlife that may be threatened by oil, the Coast Guard says. It had been scheduled to reach the Gulf on Tuesday. The 178-foot-long blimp, known as the MZ-3A, can carry a crew of up to 10. It will fly slowly over the region to track where the oil is flowing and how it is coming ashore.

The Navy says the advantage of the blimp over current helicopter surveillance operations is that it can stay aloft longer, with lower fuel costs, and can survey a wider area.

The Coast Guard has already been pinpointing traveling pools of oil from the sky.

"The aircraft get on top of the oil. They can identify what type of oil it is and they can vector in the skimmer vessels right to the spot," Coast Guard Capt. Brian Kelley said.

But the problem since June 30 has been the ability to clean it up before it approaches land. Bad weather has made that task more difficult.

Fears over the spill now extend all the way to Florida's Atlantic shores. Small tar balls continued to wash ashore Wednesday at Cocoa Beach, just south of Cape Canaveral.

The U.S. Coast Guard collected samples that will be tested for any connection to BP's Deepwater Horizon oil spill, according to Brevard County spokeswoman Kimberly Prosser. Tar balls that washed ashore two weeks ago were not found to be connected to BP's oil spill, she said.

Officials told CNN the test results from the samples collected would not be available for seven to 10 days.

Meanwhile, Bob Grantham, spokesman for TMT Offshore Group, said progress has been made in testing the company's A Whale oil skimmer, the world's largest.

The delay from high seas "has allowed us to make valuable observations and to develop some additional technological innovations designed to improve the channeling of oily water into the ship's large capacity tanks," Grantham said in a statement issued Tuesday. "Over the next few days, we will have our first real opportunity to test the new technology under conditions that we hope will maximize the effectiveness of collection and ultimately decanting."

Earlier, officials said A Whale's abilities so far are "inconclusive," meaning the massive converted oil tanker -- which is 3.5 football fields long -- has yet to prove its Taiwanese owner's claim that it can skim between 15,000 and 50,000 barrels of oil off the sea in a day.

The Coast Guard said the testing period for the A Whale has been extended through Thursday.

Meanwhile, interfaith leaders prayed for restoration and renewal for the Gulf of Mexico as they prepared for a tour of the oil-soaked marshes, wetlands and rookeries of the Louisiana coast Wednesday.

The Christian, Jewish and Muslim clergy joined "in prayer and commitment to the communities most affected by the BP oil disaster," Tuesday night, a Sierra Club statement said.

Wives of current and former major league baseball players also fanned out across southern Louisiana to draw attention to the people and creatures affected by the disaster.

The members of the Baseball Wives Charitable Foundation -- many of them from the Gulf -- toured beaches hit by oil and spoke with fishing and oil industry workers in Grand Isle on Tuesday

"The initial point of this trip was to raise awareness," said Megan Thomas, wife of ex-big league slugger Frank Thomas.  "We want to take things we've seen here firsthand home with us and create our own fundraisers and keep the awareness out there."

Jamie Buehrle, wife of Chicago White Sox pitcher Mark Buehrle, said she was struck by Gulf residents who now fear their finances are in ruins.

"Just seeing the people today who are so scared of the unknown," Buehrle said.  "Not knowing if they are going to get another check, if they are going to work again."

The wives will attend a minor league baseball game between the New Orleans Zephyrs and the Omaha Royals on Wednesday. The team is selling discount tickets for $5 for fishing industry workers and others affected by the disaster.

Jessica Maholm, wife of Pittsburgh Pirates pitcher Paul Maholm, is from Ocean Springs, Mississippi, and will throw out the ceremonial first pitch.

"This (oil disaster) is something that's not going to affect just the Gulf coastal areas," she said. "It's going to affect the whole country with the seafood, the animals and the ecosystem."

CNN's Allan Chernoff, Paul Vercammen and Sanjay Gupta contributed to this report.

@highlight

NEW: BP doctor says up to 1,500 cleanup workers sickened

@highlight

NEW: Oral arguments on drilling ban begin Thursday

@highlight

Saturday is new target for linking surface vessel to ruptured well

@highlight

Rough weather continues to be a challenge in cleanup