West Point, New York (CNN) -- President Obama said Tuesday that the deployment of 30,000 additional U.S. troops to Afghanistan is part of a strategy to reverse the Taliban's momentum and stabilize the country's government.

"There is no imminent threat of the government being overthrown, but the Taliban has gained momentum," Obama said at the U.S. Military Academy. "Al Qaeda has not re-emerged in Afghanistan in the same numbers as before 9/11, but they retain their safe-havens along the border.

"And our forces lack the full support they need to effectively train and partner with Afghan security forces and better secure the population. ... In short, the status quo is not sustainable."

Obama said he'd begin sending the additional troops "at the fastest pace possible" starting in early 2010 "with a goal of starting to withdraw forces from the country in July 2011."

The president said additional U.S. forces bolstered by NATO troops "will allow us to accelerate handing over responsibility to Afghan forces."

Senior administration officials said Tuesday that Obama has a goal of withdrawing most U.S. forces by the end of his current term, which ends in January 2013.

Watch what the new troops will do in Afghanistan

It will be the second increase of U.S. forces in the war-torn Islamic country ordered by Obama since he took office in January.

In his speech Tuesday, Obama said his strategy had three objectives:

• Deny al Qaeda a safe haven

• Reverse the Taliban's momentum and deny it the ability to overthrow Afghanistan's government

• Strengthen Afghanistan's security forces and government

The additional troops was one way to achieve these, he said. Other strategies will include holding Afghan government leaders accountable for corruption, focus assistance on areas that could help the lives of Afghans, and securing the country's border with Pakistan.

"We are in Afghanistan to prevent a cancer from once again spreading through that country. But this same cancer has also taken root in the border region of Pakistan. That is why we need a strategy that works on both sides of the border," Obama said.

The president said he rejected the option of committing more forces for an undefined mission of nation-building without any deadlines.

"I reject this course because it sets goals that are beyond what we can achieve at a reasonable cost, and what we need to achieve to secure our interests," Obama said. "Furthermore, the absence of a timeframe for transition would deny us any sense of urgency in working with the Afghan government. It must be clear that Afghans will have to take responsibility for their security, and that America has no interest in fighting an endless war in Afghanistan."

Obama rejected analogies with the war in Vietnam that divided America in the 1960s and 1970s.

"Unlike Vietnam, we are joined by a broad coalition of 43 nations that recognizes the legitimacy of our action," Obama said. "Unlike Vietnam, we are not facing a broad-based popular insurgency. And most importantly, unlike Vietnam, the American people were viciously attacked from Afghanistan, and remain a target for those same extremists who are plotting along its border."

Obama said the U.S. has no interest in occupying Afghanistan.

"We will support efforts by the Afghan government to open the door to those Taliban who abandon violence and respect the human rights of their fellow citizens," Obama said. "And we will seek a partnership with Afghanistan grounded in mutual respect -- to isolate those who destroy; to strengthen those who build; to hasten the day when our troops will leave; and to forge a lasting friendship in which America is your partner, and never your patron."

Obama spoke to an audience of West Point cadets, staff and guests in outlining his strategy that he has deliberated for months, meeting several times with his national security team.

He recognized that some in the audience had fought in Afghanistan, and some would be deployed in the future.

"As your commander in chief, I owe you a mission that is clearly defined, and worthy of your service," he said.

The additional U.S. forces "will increase our ability to train competent Afghan security forces, and to partner with them so that more Afghans can get into the fight," Obama said.

"And they will help create the conditions for the United States to transfer responsibility to the Afghans."

Obama also said he is asking NATO allies to provide more troops, and that he is "confident that there will be further contributions in the days ahead."

"Our friends have fought and bled and died alongside us in Afghanistan," he said. "Now, we must come together to end this war successfully. For what's at stake is not simply a test of NATO's credibility -- what's at stake is the security of our allies, and the common security of the world."

The new troop deployment would increase the total U.S. commitment to roughly 100,000 troops in Afghanistan, bolstered by more than 40,000 NATO forces.

Obama, whom Republicans had accused of "dithering" over the decision, concluded the deployment needs to be accelerated to knock back the Taliban, the senior officials said.

The push for a speedy deployment is surprising because White House officials who defended Obama's slow pace of coming to a decision had said the Pentagon wouldn't be able to get new troops to Afghanistan that quickly.

A Pentagon official noted that, under the new strategy, Obama is "trying to do it faster" than the 12-month timeline initially requested by Gen. Stanley McChrystal, the top U.S. commander in Afghanistan.

McChrystal wrote in a report in August that a "failure to gain the initiative and reverse insurgent momentum in the near-term (next 12 months) -- while Afghan security capacity matures -- risks an outcome where defeating the insurgency is no longer possible."

The Pentagon official said Obama's six-month timeline for sending the new troops is "very aggressive" and will be challenging for the military to fulfill. The official expressed confidence, however, that the military would successfully carry out the order.

Opponents of an increased U.S. troop deployment complain that the government of Afghan President Hamid Karzai is corrupt and an unreliable partner.

Obama spoke to Karzai for an hour by videoconference Tuesday to discuss the deployment decision, according to a White House statement.

"The president also emphasized that U.S. and international efforts in Afghanistan are not open-ended and must be evaluated toward measurable and achievable goals within the next 18 to 24 months," the statement said.

Share your views on Obama's Afghanistan decision

The decision to send the troops carries significant political risk for Obama, who will announce it nine days before he travels to Oslo, Norway, to accept the Nobel Peace Prize.

His liberal base, which helped him win last year's presidential election, opposes another troop deployment to Afghanistan.

In addition, the deployment, expected to cost an extra $30 billion a year, comes amid high unemployment as the economy emerges from a recession. That concerns Democrats and Republicans faced with competing domestic priorities such as health care reform and job creation.

U.S.-led troops first invaded Afghanistan in response to the al Qaeda terrorist network's September 11, 2001, attacks on New York and Washington. The invasion overthrew the ruling Taliban, which had allowed al Qaeda to operate from its territory, but most of the top al Qaeda and Taliban leadership escaped the onslaught.

Taliban fighters have since regrouped in the mountainous region along Afghanistan's border with Pakistan, battling U.S. and Afghan government forces on one side and Pakistani troops on the other. Al Qaeda's top leaders, Osama bin Laden and Ayman al-Zawahiri, remain at large and are suspected to be hiding in the same region.

The conflict has so far claimed the lives of more than 900 Americans and nearly 600 allied troops.

@highlight

30,000 troops to be deployed within six months, President Obama says

@highlight

Obama: More troops would quicken transfer of responsibility to Afghanistan

@highlight

Obama wants most U.S. troops out of Afghanistan in 3 years, officials say

@highlight

President: Goals are to deny al Qaeda a safe haven and reverse Taliban's momentum