(CNN) -- In an effort to stem gun violence across the United States, President Barack Obama on Wednesday signed 23 executive actions, which don't require congressional approval -- some of which called for tougher enforcement of existing laws and required federal agencies to provide data for background checks.

He also proposed background checks on all future gun sales, as recommended by a task force led by Vice President Joe Biden. But Congress would have to approve that policy.

The term "universal background checks," used by some gun control supporters, is code for closing federal loopholes so that such checks will be conducted at gun shows and other private sales.

U.S. law requires background checks for all people who try to buy firearms from federally licensed dealers. But federal law does not require background checks for "private transactions," such as sales at gun shows. Many states have their own statutes requiring such checks for private sales.

Across the country, more than 1 million people failed background checks to buy guns during the past 14 years because of criminal records, drug use or mental health issues, according to FBI figures. That figure, however, is a small fraction of overall gun sales.

The issue has risen high in the national conversation after the shock ignited by December's mass shooting of six adults and 20 children at an elementary school in Newtown, Connecticut.

Expanded background checks now enjoy the support of mayors in some of the largest cities in America. The idea has been embraced by gun violence survivor Gabrielle Giffords, a self-described gun owner.

"This may be the single most important gun violence prevention measure that the government could adopt," said Lindsay Nichols, an attorney with the Law Center to Prevent Gun Violence. "This loophole means that dangerous criminals and dangerously mentally ill individuals have a most unfettered access to firearms."

But National Rifle Association President David Keene suggested to CNN's Candy Crowley that he has little faith in universal background checks, saying they don't work.

Keene spoke a few days after sitting in on the Biden task force. He implied that the task force wasn't sincerely considering NRA positions on gun control issues, saying they were simply "checking the box. They were able to say, 'We've met with the NRA. We've met with the people that are strong Second Amendment supporters.' "

The NRA reiterated that concern on Wednesday after the president held a news conference and signed the executive action.

The group touted its "efforts to promote safety and responsible gun ownership," and its "focus on keeping our children safe and securing our schools, fixing our broken mental health system, and prosecuting violent criminals to the fullest extent of the law." But it also took a thinly veiled swipe at the president's moves.

"Attacking firearms and ignoring children is not a solution to the crisis we face as a nation. Only honest, law-abiding gun owners will be affected and our children will remain vulnerable to the inevitability of more tragedy," the NRA said.

What part of universal background checks does NRA support?

Keene did say he favored background checks to block people who may be mentally ill or potentially violent from buying guns.

But federal law already requires that, Nichols said.

Details of the president's proposals

One problem with the systems is that many states don't report the names of people who've been legally labeled dangerously mentally ill.

Improving the accuracy and availability of information about these people, Keene said, is one possible area for agreement. He suggested "tightening up on putting information in the database. It's school security. It's beefing up the way we deal with the mentally ill."

Nichols said "huge gaps" exist in the database, which is called the National Instant Criminal Background Check System, or NICS. For example, the Virginia Tech shooter, who killed 33 people and himself in 2007, had passed two background checks because Virginia didn't submit his mentally ill status to the database, Nichols said.

"As a result of that shooting, the federal government passed a law encouraging these states to submit these records, and a large number of states passed laws. So there's been significant improvement in reporting dangerously mentally ill persons to NICS," Nichols said. "But there are still about half of the states that report hardly any dangerously mentally ill people. They may not have the resources or the political will to enforce the law. Yeah, it's crazy."

How do background checks now work?

Anytime someone buys a gun from a federally licensed gun dealer, the dealer is required to run a check on the buyer by submitting the name to the federal database. That database consists of criminal records and mental health records as provided by federal and state courts and agencies.

Convicted felons, people convicted of violent domestic crimes, and those determined by the courts to be dangerously mentally ill are prohibited by federal law from buying firearms, Nichols said.

Also, states have added their own categories of who is prohibited from buying a gun, Nichols said. For example, California prohibits gun ownership for people convicted of any kind of violent crime, drug offenses, alcohol abuse and juvenile offenses while underage, Nichols said.

Vermont is the only state without such laws, Nichols said.

Just how many gun purchases don't require federal background checks, and how does that happen?

Forty percent of all firearms purchased in the United States are sold without background checks because the guns aren't purchased from a federally licensed firearms dealer, Nichols said.

Rather, those weapons are bought at gun shows, on street corners, over the Internet or from friends or neighbors, Nichols said.

These are the so-called loopholes in the current federal background check system.

The NRA disputes that characterization about the "gun show loophole" because federally licensed firearms dealers participate at gatherings and, of course, conduct background checks.

"Most of the guns that are purchased at a gun show are purchased from federal firearms-licensed holders," Keene said.

He challenged the 40% figure for gun sales without background checks -- particularly at gun shows.

"We don't know what (is the) percentage at gun shows. It may be 10%," Keene said. "It's not such a loophole at gun shows. But it's like if you sell me your shotgun, that's a private transaction. Just as if I sell you a car, I don't have a dealer's license."

Ten states and the District of Columbia have their own laws requiring background checks for any firearm sold at a gun show, Nichols said.

Six more states require background checks for gun-show sales of handguns, but not for rifles or shotguns, Nichols said.

In total, 16 states and the District of Columbia require background checks on handguns sold at gun shows, Nichols said.

These states that close loopholes, however, provide exemptions for gun transfers between immediate family members and between licensed dealers, Nichols said.

Are background checks effective?

From the time when the gun control measures of the Brady Act were enacted on March 1, 1994, through the end of 2008, the federal government processed more than 97 million applications for gun transfers or permits, the Justice Department says.

Almost 1.8 million applications were denied, the agency said.

On this matter, both sides are in agreement.

Said Keene: "Background checks are generally a good thing."

Added Nichols: "Background checks have a huge deterrent effect. People who are ineligible to buy a gun are unlikely to try if they know they are going to be subjected to a background check."

CNN's Tom Cohen contributed to this report from Washington and Mark Morgenstein updated this report from Atlanta.

@highlight

President proposes "universal background checks" on all gun sales

@highlight

"Universal background checks" refer to closing loopholes in federal gun sales laws

@highlight

Those loopholes apply to private gun sales that usually involve gun shows

@highlight

NRA challenges the "loophole" characterization