(CNN) -- In his speech Tuesday night, President Barack Obama hammered Syrian leader Bashar al-Assad for his alleged use of chemical weapons, made the case for a military intervention, and then said he'll let diplomacy play out -- for now.

The assertions Obama made weren't new ones. Both he and the White House have said them before. The difference? A majority of Americans who watched the prime time address said they favor the approach he spelled out.

Here are the five broad themes from the speech, and the counterpoints that opponents of his approach have made.

What's next on Obama's to-do list

POINT

Intervening is in the United States' national security interest.

The president said chemical weapons in Syria are a future threat to the U.S. and its allies. What's more, they flout international law. "This is not a world we should accept," Obama said. "This is what's at stake."

COUNTERPOINT

No it's not.

Former U.S. Sen. Rick Santorum says there's no reason for U.S. involvement. "The bottom line here is we have no national security interest," the 2012 Republican presidential candidate told CNN. "We have no moral obligation to use military force when it comes to a humanitarian situation."

---

POINT

Al-Assad must be held accountable.

The president is playing up the two Ds of a military strike: degrading and deterring. "Even a limited strike will send a message to Assad that no other nation can deliver," the president argues. "A targeted strike can make Assad, or any other dictator, think twice before using chemical weapons."

COUNTERPOINT

OK, but at what cost?

A U.S. strike could lead to a regional conflict, a weakened Syrian regime, and strengthened opposition forces made up of multiple terrorist factions who could hurt the U.S., said Democractic Rep. Tulsi Gabbard of Hawaii.

"Would it not be potentially irresponsible to take action against Syria just for the sake of saying we took action against Syria, when that action could lead to something far worse?" she told CNN.

---

POINT

A U.S. military action would be limited.

Obama said Syria is not Iraq, or Afghanistan for that matter. "I will not put American boots on the ground in Syria," the president said. "This would be a targeted strike to achieve a clear objective, deterring the use of chemical weapons and degrading Assad's capabilities."

COUNTERPOINT

There's no way to promise that.

Democratic Sen. Joe Manchin, who sits on the Armed Services Committee, put it simply: "There is no guarantee." The Pentagon estimates it would take 75,000 troops to secure Syria's chemical weapons stockpiles. It's not up to U.S. forces, of course, but someone will have to do it.

---

POINT

Diplomatic avenues must be pursued first.

The president made it clear: he prefers a peaceful solution. He did win the Nobel Peace Prize after all. Russia's diplomatic offer -- that Syria says it has accepted -- has Damascus putting its chemical weapons under international control. The potential is promising enough that Obama asked Congress to postpone a vote on military action. He said the U.S. will work with the U.N. Security Council on a resolution "requiring Assad to give up his chemical weapons, and to ultimately destroy them under international control."

COUNTERPOINT

This is just a Syrian stalling tactic.

The opposition Free Syria Army, echoing widespread skepticism, says al-Assad isn't serious. "Here we go again with the regime trying to buy more time in order to keep on the daily slaughter against our innocent civilians and to fool the world," said Louay al-Mokdad, a spokesman for the group. More than 100,000 people have died in Syria during its civil war.

---

POINT

The U.S. has moral responsibility.

The president called the United States "the anchor of global security" for the last 70 years and then posed the question: "America sees a dictator brazenly violate international law with poison gas and we choose to look the other way?"

COUNTERPOINT

The U.S. can't play global cop.

The president agrees with this point too. Yes, it's complicated. "America is not the world's policeman. Terrible things happen across the globe, and it is beyond our means to right every wrong."

But, he added, "When with modest effort and risk we can stop children from being gassed to death and thereby make our own children safer over the long run, I believe we should act."

Obama seeks support for attacking Syria while pursuing diplomacy

CNN's Martina Stewart also contributed to this report.

@highlight

The president treads the line between diplomacy and a possible military strike

@highlight

Obama says Syrian President Bashar al-Assad's regime must be held accountable

@highlight

Some fear the diplomatic path is just a stall tactic

@highlight

The United States can't look the other way in Syria, the president says