No troops to Iraq, but other options are being considered.

That was President Barack Obama's message Friday in response to the lightning advance by Sunni militant fighters in Iraq that could threaten the government of Shiite Prime Minister Nuri al-Maliki.

In a statement delivered from the White House South Lawn, Obama said the United States "will not be sending U.S. troops back into combat in Iraq," but that he would be reviewing a range of other options in coming days.

"This is not going to happen overnight," the President said, adding that unless Iraq fixes its internal political problems, short-term military help from the United States won't make much difference.

Critics blame Obama for Iraq crisis

Pressure for the United States to provide military support to Iraq's struggling government has increased, with conservative Republicans blaming Obama for creating a security vacuum in 2011 by pulling out U.S. troops.

GOP critics also say that Obama's unwillingness to provide significant military backing to opposition forces in Syria's civil war has contributed to the ability of the militant Islamic State in Iraq and Syria, or ISIS, to attack in Iraq.

Obama, however, resists getting drawn into another military engagement there after the ending the nine-year conflict started by his predecessor.

Now the conflict threatens to widen. Iranian officials denied reports Friday that some of its elite forces were in Iraq to help bolster al-Maliki, a fellow Shiite.

Syria connection

Taking questions from reporters after his statement, Obama acknowledged that the Syrian civil war has been spilling over into Iraq "for some time now," adding that the regional conflict "is going to be a long-term problem."

Perhaps sensitive to the criticism over the Syrian link, Obama and other government officials referred to the Sunni militant group by the acronym ISIL, which stands for Islamic State in Iraq and the Levant.

The President called on Iraq's neighbors to help out, too, but made clear the only guarantee of success involved political reforms by al-Maliki that promoted cooperation with Sunnis.

"In the absence of this type of political effort, short-term military action, including any assistance we might provide won't succeed," Obama said.

Obama also blamed Iraq's political dysfunction for the failure of its troops to fight off the ISIS advance from the north to within about 60 miles of Baghdad on Friday.

He noted the United States has given plenty of aid and training to Iraqi forces -- including $15 billion for items such as Hellfire missiles, assault rifles and helicopters, not to mention another $1 billion in arms now in a 30-day review period in Congress.

"The fact that they are not willing to stand and fight and defend their posts against admittedly hardened terrorists, but not terrorists who are overwhelming in numbers, indicates that there is a problem with morale, a problem in terms of commitment, and ultimately that is rooted in the political problems that have plagued the country for a very long time," Obama said.

Shia-Sunni divisions

James Rubin, a former senior State Department official in the Clinton administration, told CNN that "it's up to Maliki to change policy on how he treats with, how he deals with the Sunni community."

"I'm skeptical, because right now he's in a fight for his life," Rubin said.

Underlying the U.S. concern is the potential threat of an ISIS-controlled stronghold in the region that could serve as a staging ground for terrorist activity against American interests. ISIS fighters already have seized Iraq's second-largest city, Mosul, while gaining control of large parts of the country's north.

Rubin warned the conflict could result in Iraq dividing into three pieces -- a Sunni-controlled north, a Shia-controlled south and a Kurdish region.

Bob Baer, a former CIA official who is CNN's national security analyst, said ISIS could "sow chaos through the Middle East," and was "definitely" a threat to the United States.

Surprising speed

The speed of the deterioration of the situation in Iraq surprised even U.S. officials closely monitoring the country, a U.S. official closely involved with military decision-making told CNN's Kyra Phillips.

"We've been watching the intelligence continually and the fractures in Iraq that have grown as a result of the underlying political environment and lack of inclusive governance," the U.S. official said.  "If anything was surprising, it's only the speed at which the situation continued to deteriorate over the past few days and the apparent ease at which the (Iraqi security forces) abandoned their units and positions."

Meanwhile, a U.S. counterterrorism official noted the intelligence community had warned of a growing ISIS threat to Mosul and Baghdad.

The official told CNN that the group, consisting of a few thousand fighters, "couldn't have moved as rapidly as it has without the support of some nationalist Sunni groups and sympathetic tribes."

"As long as the support of these Sunni elements holds, ISIL looks well-positioned to keep the territory it has captured, absent a major counteroffensive," the official said, using the same acronym for the group as Obama.

The Pentagon is preparing options for Obama to consider that would halt the momentum of the ISIS advance, Defense Department spokesman Rear Adm. John Kirby told reporters.

Preparations?

A U.S. official told CNN on Friday that the United States plans to move the aircraft carrier George H.W. Bush into the Persian Gulf to provide Obama with options for possible airstrikes.

Calls for American airstrikes have increased in Washington, but U.S. military planners trying to find a way to help Iraq fend off the militant fighters are worried that such attacks could prove futile, several officials told CNN.

Among other complications, U.S. officials don't have good intelligence about where militants are. Even if they did, the militants don't have the type of targets -- command and control centers, air defense sites, military bases -- that lend themselves to aerial attacks, the officials said on condition of not being identified.

They also noted that ISIS fighters may be spread out inside population centers, which means airstrikes could risk civilian casualties and property destruction at the hands of the U.S. military.

So even if Obama decides on airstrikes, the U.S. doesn't currently have targets to hit, administration sources told CNN's Jake Tapper. Figuring out what to go after will take time.

The President appeared to allude to such challenges when he said: "We want to make sure that we've gathered all the intelligence that's necessary so that if, in fact, I do direct an order, any actions there (are) targeted, they're precise, and they're going to have an effect."

Air strikes 'not easy'

Republican Sen. John McCain of Arizona, a war veteran and critic of Obama administration policy in Iraq, also spoke to this point Friday, telling CNN that air strikes "are certainly something that should be considered, but I would point out that air strikes are not easy."

"You just don't say, 'hey, let's go hit something,'" said McCain, who lost to Obama in the 2008 presidential election. "It requires coordination, it requires intelligence; it requires a whole lot of things."

One U.S. official told CNN that short of sending ground troops, options under consideration included increasing U.S. surveillance flights over ISIS areas and potential airstrikes.

At the Pentagon, Kirby said the United States already had intensified its intelligence support in Iraq at the request of al-Maliki's government.

However, James Jeffrey, the U.S. ambassador to Iraq from 2010 to 2012 who is now a fellow at the Washington Institute for Near East Policy, characterized Iraq's military as "ill-trained, badly led and not particularly competent."

"They clearly cannot fire and maneuver," said Jeffrey, a U.S. Army veteran.

McCain called for Obama to fire his national security team, saying the decision to withdraw all U.S. troops from Iraq created a predictable vacuum that led to the current crisis.

To McCain, a residual force of U.S. troops should have remained in Iraq to provide stability, "the same kind of residual force that we have now in Bosnia, that we have in Germany, we have in Japan."

"That doesn't mean we're in combat. It means we are there as a stabilizing force," he said, adding that the ISIS advance represents "an existential threat" to America. He linked the Iraq situation to the administration's reluctance to strongly support opposition forces in Syria's civil war, a policy he called "one of the causative factors" for the Iraq crisis.

Secretary of State John Kerry, however, cited differences in U.S. relations and obligations with Iraq compared to Syria. The Iraq war that began with the 2003 invasion to oust Saddam Hussein eventually led to elections that brought al-Maliki to power, followed by the 2011 departure of U.S. forces.

"In Iraq, there is a government that we have been deeply involved in, that we support, that we have a military relationship with, that we have an ongoing memorandum of understanding regarding the military relationship which has invited us, asked us for help," he said.

Who is the ISIS?

5 predictions revisited: Iraq's troubles are years in the making

Recording: ISIS promises more fighting in more Iraqi cities

@highlight

Sources: U.S. doesn't even have airstrike targets, should Obama OK them

@highlight

President Obama says a decision on military help will take days

@highlight

Iraq militants look positioned to hold onto gains