Montreal (CNN) -- Home is the hardest place to find for children of immigrants, but for us, nothing hits closer to home than when a bomb goes off in Baghdad. Last week, just days after American troops pulled out of Iraq, 63 people died and 176 were wounded in Baghdad.

As the son of Iraqis who left home in the late '70s, I find fleeting moments of hope that seldom return to me. The withering memories of my last visit to Basra play like broken records in my mind. I remember our grandparents' home, my uncle's dog and the size of the tires on his Jeep. I remember the smell distinctly but I can't put it into words. I remember feeling small; after all I was only 5.

I have watched Iraq's tragedies only through television or the Internet for more than 20 years now. We make frantic fuzzy phone calls to Iraq, the voices on the other end are lost in reception; there is no awe in their shock. My aunt said that it felt like "hell opened loose" this past Thursday, heat lingering in the air as it rose from the rubble and twisted metal around Baghdad.

The violence follows Iraqis' sense of security like the ghost of Saddam past. As we hang up the phone with our families, we are all wondering: Where do we go from here? With troops reaching home in time for the holidays, many are asking why they were there in the first place? We should have asked ourselves these questions many years ago.

My cousin grew up with my grandparents in Iraq. As a child of the late eighties, he saw war for much of two decades coming out of their front door.

I had the privilege of a selfish teenage rebellion in Montreal, as a voyeur into the war, watching news on our television. In the process, we were both detached from each other's realities.

We spent some time together in the United Arab Emirates, after my maternal family had the rare opportunity to leave Iraq in 2005, drained by the successive wars pounding on their chests. The decades of bombings had taken its toll, far too often carrying bad news to those in the diaspora, sending ripples back through the hearts of all Iraqis.

Those same bombs did something to my cousin. One night, we sat down and watched a movie together, something I had never done with him before. As a car exploded on the screen, his immediate reflex was to cover his ears and close his eyes. We noticed different things. He was transported back home, and I was lost. The contrast in our perspectives on life riddled me with guilt. Some of us take so much for granted.

I switched the TV off.

In the Mashtal area of Baghdad, a local women's NGO is offering an awareness seminar for widows.

My sister-in-law returned from Baghdad last week, with pictures from the seminar.

Most of the mothers and daughters, sometimes both widowed, lost their husbands in violence in 2007 and 2008. What is left of their homes is a fragmented family structure, compounded with the damage from decades of sanctions and mass exodus, lack of infrastructure, broken education systems and bouts of political corruption. I couldn't help but think about the future of the forgotten children of Iraq.

That is what war is to me. War is the leftover pain in our hearts and souls. That detachment from home; trying to reach for safety. As Iraqis ran home from the violence and explosions in neighborhoods such as Karada, they couldn't cover their ears and eyes.

There is no remote control for Baghdad.

Most of your returning soldiers still feel that pain in their hearts.

Nothing good came out of this war. There is no victory in any violence. With staggering body counts surfacing, and a possible link to rising cancer and birth defect rates, where do you start looking for justice? Where do we stand as an international body of people, looking for a new, positive outlook on our future?

What a year. We've streamed so-called leaders' deaths in 3G on our cell phones, become obsessed with 3-D and our children are playing Battlefield 3 holding the fate of digital Iran in their little hands. Movies are being made about Iraq as the news unfolds, blurring the lines of reality. The problems this generation are facing feel so big, you start feeling powerless. Sometimes, I still feel small when I think of Iraq.

Where do Iraqis go next? Iraq's chance at a "spring" was robbed and their neighbors are losing balance. Whatever you do America, remember them in your prayers this Christmas season with your kids. As the children of Baghdad ask, "When will the war really be over?" There is always hope in our youth.

Peace to the East. Worldwide.

The opinions expressed in this commentary are solely those of Yassin Alsalman.

@highlight

Days after departure of U.S. troops, bombs killed and injured scores of people in Baghdad

@highlight

Yassin Alsalman, whose family is from Iraq, says the pain of the war is far from over

@highlight

He says his relatives live with the grieving, the memories and the loss every day