(CNN) -- After seven years in exile, former Haitian President Jean-Bertrand Aristide will be back in his homeland Friday, two days ahead of a highly anticipated election, his U.S. attorney said.

Aristide was at the privately-owned Lanseria International Airport in Johannesburg, South Africa on Thursday, said lawyer Ira Kurzban who is accompanying Aristide back to Port-au-Prince along with actor Danny Glover, an Aristide supporter and critic of U.S. objections to his return.

A diplomatic source who is not authorized to speak to the media confirmed to CNN that Aristide was boarding an outgoing jet from South Africa Thursday night.

A group of prominent U.S. lawyers sent a letter, meanwhile, to Cheryl Mills, chief of staff at the State Department, lashing out at what they said was American interference with Aristide's "constitutional and human right to return."

"The United States trying to control when any Haitian citizen -- especially a former president -- can enter Haiti is outrageous," said Bill Quigley, a New Orleans law professor and legal director of the Center for Constitutional Rights.

"It violates a stack of binding international human rights treaties," he said. "I felt compelled to speak out to defend both President Aristide's human rights and the American tradition of rule of law that I teach in my classroom."

The United States warned Monday that Aristide's presence in Haiti could disrupt Sunday's runoff vote that will decide Haiti's next leader. The office has been in dispute since a late November election ended with controversy and allegations of widespread fraud.

"Mr. Aristide has chosen to remain outside of Haiti for seven years," State Department spokesman Mark Toner said. "To return this week can only be seen as a conscious choice to impact Haiti's elections... Return prior to the election may potentially be destabilizing to the political process."

Kurzban said Aristide planned to get involved with educational projects and teach. He wants to return before Sunday's election, Kurzban said, because he had "genuine concerns that the next president may take a different view" and not allow Aristide to return.

"It is not to be involved in the elections, as the United States suggests," Kurzban said.

Aristide's supporters, including Glover, say that the former Roman Catholic priest and Haiti's first democratically elected president was shuttled out of Haiti by the United States after his second presidential term was aborted by a coup in 2004.

They say the White House wants to keep Aristide out of Haiti in favor of a leader more in line with its own views.

"I am going to South Africa to show our solidarity with the people of Haiti by standing at the side of the leader they elected twice with overwhelming support: President Jean-Bertrand Aristide," Glover said in a statement.

"People of good conscience cannot be idle while a former dictator is able to return unhindered while a democratic leader who peacefully handed over power to another elected president is restricted from returning to his country by external forces," Glover said, referring to Jean-Claude "Baby Doc" Duvalier, who fled into exile in France in 1986 after 15 years of iron-fisted rule.

Duvalier stunned the world by returning to Haiti in January. Shortly after, Aristide again aired his desire to go back home. The Haitian government issued him a new passport last month.

Aristide retains a following in Haiti, especially among the poorest of the poor, who first catapulted him to power in 1990 with more than 67 percent of the vote.

But Aristide's relationship with his homeland, as well as the international community, has been a complicated one.

He gained popularity in Haiti by giving the poor and disenfranchised a voice, but his critics accused him of corruption, greed and human rights abuses -- problems that have plagued the impoverished Caribbean nation under other leaders as well.

Last year, a massive earthquake devastated Haiti. Recovery efforts have been slow and have complicated the election process.

The United Nations voiced concerns this week over violence marring the campaign and called on "all candidates, especially those in the presidential run-off, to avoid threats, intimidation and harassment."

"Consolidation of democracy in Haiti depends largely on the will of politicians to adopt the principles of a peaceful transfer of power and to accept election results in accordance with mechanisms provided by the electoral law," said a statement from the U.N. Stabilization Mission in Haiti (MINUSTAH), which has been in Haiti since Aristide's departure.

The presidential vote pits former first lady Mirlande Manigat against popular musician Michel Martelly in a runoff that was delayed by two months because of unrest and charges of fraud.

CNN's Nkepile Mabuse contributed to this story from Cape Town, South Africa.

@highlight

Aristide is scheduled to fly to Haiti Thursday night

@highlight

The former president wants to return to Haiti after seven years in exile

@highlight

The White House has opposed his return before Sunday's election

@highlight

But Aristide's supporters say no one has the right to block his return