Boston (CNN) -- For more than a year, Ellen O'Donnell slept on the streets, where she was the target of theft, violence and cruelty. Her situation left her neglecting chronic health problems that threatened her survival.

"It was so difficult to access [medical] services. I was totally alienated and I just couldn't relate," O'Donnell said. "I would get things stolen from me. And ... two young women tried to set me on fire. Life was just this movie and I wasn't going to bother participating anymore."

Then O'Donnell stumbled upon someone she could relate to: Dr. Roseanna Means. Since 1999, Means and her team have set up clinics inside Boston shelters to offer direct, free medical care to thousands of homeless women and children.

"The women come into the shelters to get warm, to eat, to feel safe. And we're already there," said Means, 58. There's no registration or charge for the care.

Do you know a hero? Nominations are open for 2011 CNN Heroes

"The women learn to trust us as ambassadors of the health care system. And over time, we can teach them how to use [it] as it was intended," she said.

Means gave up a more lucrative medical career to work with Boston's homeless population. As a medical resident pursuing cardiology in 1982, she spent three months providing care in a Cambodian refugee camp and found a different calling.

"They had lost everything. And I was able to make a difference just by traveling 10,000 miles out of my comfort zone ... and lending a hand, some medicines, and talking to them and treating their wounds," Means said. "That made a huge impression on me."

She became a primary care physician and found she could make a difference with Boston's homeless population in a similar way.

"What I had to give them, more than anything, was just showing up, to listen and offer my services," she said.

Means started her nonprofit -- Women of Means -- after working for seven years with the city's established homeless health care programs. She found that, despite all of the quality medical resources for the homeless population, few women were actually using the services.

Female victims of domestic violence are often reluctant to use identification that could reveal their whereabouts, and vulnerable women often avoid clinic waiting rooms where they might encounter hostile members of the homeless community, Means said.

"For women who are poor, homeless or battered, to deal with a system of health care becomes overwhelming," she said. "There are lots of emotional issues, psychiatric issues ... I just didn't like the idea that they were falling through the cracks."

Q&A: Why homeless women have it worse than men

Women of Means works in 10 women's shelters and offers help to more than 2,000 homeless women counted in the city's latest census. The group consists of a part-time staff of nine nurses and 17 volunteer doctors representing all areas of care. Teams work out of old broom closets and stairwells, addressing health issues ranging from colds to life-threatening cancers and gunshot wounds.

The first challenge the group often faces in caring for the women is trust.

"[They] don't trust anyone. It's a side product of being homeless, of having to look over your shoulder, watch your back. So that makes it very difficult for them to approach life normally," she said.

For this reason, the group handles first encounters as vital steppingstones in building a relationship. Because they are not billing for services, staff are able to give whatever amount of time is needed to earn the clients' trust, ultimately helping them open up and engage in their own health.

"This is not just about a checkup or doling out antibiotics for an infection, but it's about giving these women the acceptance -- and love -- they deserve," Means said. "It's a process. It takes a long time. But we don't put any time limits on it 'cause we know that in some cases, it's literally life-saving."

The group functions entirely off grants and private and corporate donations. The physician and nurse teams work in the same shelter locations for at least one year, though most extend well beyond their initial commitment. The doctors together donate $500,000 in services annually, and everyone covers their own insurance and benefits.

Women of Means has had a waiting list of volunteer physicians for years because the group's current doctors "don't ever leave," said Means.

"We have people who have been here for nine years ... because doctors just want to be doctors. There's no managed-care rules. There's no regulations. There's no co-pays. We love taking care of these women. And frankly it's because that's all we do. It's just health care," Means said.

O'Donnell has benefited from the group's approach. When she met Means three years ago, she had a cataract that had gotten so bad, she said, that doctors weren't sure she had any sight in the eye. With Means' help, O'Donnell had surgery to correct it.

"Dr. Roseanna talked to my social worker and they literally held my hand and took me to the hospital," O'Donnell said. "I just took the leap because Dr. Roseanna was there."

Today, O'Donnell's newfound sight has lifted her depression and helped her take fewer medications. Recently, she secured a bed at a residential shelter and said she aspires to start a paralegal service from her next apartment. O'Donnell credits her improved vitality to Means.

"Because I knew she really cared, I started wanting to take care of myself," she said.

For Means, that's what her program is all about.

"I love these women no matter what. That eventually starts to get taken inside -- that if I matter to somebody else, maybe I matter to myself," she said. "We give women who are poor, homeless or battered the means to move ahead in their lives. ... This is what feeds my soul and I will do this until I'm no longer needed."

Want to get involved? Check out the Women of Means website at www.womenofmeans.org and see how to help.

@highlight

Dr. Roseanna Means' nonprofit offers direct, free medical care to homeless women and children

@highlight

She set up clinics in Boston shelters after discovering that many women weren't using existing services

@highlight

Her team of 17 volunteer doctors together donate $500,000 in services annually

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes