Hong Kong (CNN) -- Nyla was just two or three days old, no one really knows for sure, when she was found abandoned in the middle of a field in Rwanda. She was "black and blue," says her adoptive mother, Karen Brown. Her umbilical cord was still attached.

One year later, Nyla lives in a high-rise building in Hong Kong with American parents and a four-year-old sister who is Chinese. She just started walking and has "seven-and-a-half" teeth, though she's too shy to show them.

The bright-eyed baby is one of more than 35,000 children sent from Africa in a surge of adoptions in the last eight years, according to adoption expert Peter Selman from Newcastle University in the UK.

During that time, figures have risen three-fold at the same time as international adoptions from all countries have slumped to a 15-year low, Selman said.

A new report from The African Child Policy Forum (ACPF) entitled "Africa: The New Frontier for Intercountry Adoption," says the trend indicates that receiving countries are turning "en masse" to Africa to meet demand for adoptive children as other options close. It's a trend, they say, that needs to stop.

"It must at all costs be discouraged. It should be a last resort and an exception rather than the normal recourse to solving the situation of children in difficult circumstances, as it seems to have now become," said David Mugawe, executive director of the ACPF in a press statement.

The group says that the lack of regulation combined with the promise of money from abroad had turned children into "commodities in the graying and increasingly amoral world of intercountry adoption."

"Due to the illegal nature of these acts, it has been difficult to properly document them, but it is known that there have been cases of children sold by their parents, and children abducted and later trafficked or even placed for adoption because wrongly considered orphans," said Najat M'jid Maalla, U.N. Special Rapporteur on the sale of children, child prostitution and child pornography.

Children's rights advocates are meeting in Ethiopia this week to consider what needs to be done to protect the continent's children at the Fifth International Policy Conference on the African Child (IPC).

The ACPF is urging African leaders to seek family-based, national solutions to care for the estimated 58 million children on the continent who have been orphaned by war, famine and disease.

"Every child should have an inalienable right to be nurtured and reared in the country and culture in which they are born," Mugawe said.

See also: Should race be a factor in adoption?

In the eight years from 2003 to 2010, more than half of the children adopted from Africa came from Ethiopia (22,282), followed by South Africa (1,871), Liberia (1,355) and Madagascar (1,331) and Nigeria (1,118), according to Selman.

Of those, only South Africa and Madagascar have ratified the 1993 Hague Convention on the Protection of Children and Co-operation in Respect of Intercountry Adoption.

Compliance with the Convention typically leads to a fall in adoption from those countries as they work to satisfy demands for greater transparency, the ACPF said.

However, sharp increases in adoption rates from non-Hague Convention countries exposed a "deeply troubling" trend of shifting demand, according to a second report released by the group Tuesday, "Intercountry Adoption: An African Perspective."

"Demand transfers to other countries where Hague protections do not exist and where, all too often, the authorities are totally unprepared to cope with the sudden influx of applications and are unable to apply basic child protection safeguards," the report said.

Among other safeguards, the Convention dictates that a Central Authority must ensure that adoption is in the best interests of the child. Only 13 -- or less than one third of -- African countries have signed the Convention, according to the ACPF.

The majority of children adopted from Africa go to the United States or France, two of the world's biggest receiving countries, according to Selman.

They're also the two countries that have experienced the greatest falls in international adoption rates in the past year, mostly due to a drop in adoptions from Haiti after the 2010 earthquake.

Based on current but incomplete figures, Selman predicts international adoption rates will fall again in 2011, taking the total number to between 23,000 and 25,000 -- down about 50% since 2004.

"The general agreement is it's an issue of supply rather than demand. In other words, it's not that people don't want to adopt from abroad. It means that countries are less willing to send or we decide that they are operating so poorly that we don't want to receive them," he said.

Any further reduction from Africa would put further pressure on countries still open to adoptions and create longer waiting lists for potential parents.

"There are many frustrated singles and couples who have been approved for adoptions and are waiting longer than they expected and some are feeling as though they will never get a child," Selman said.

Nyla's parents Karen and Charlie Brown have just embarked on what they know will be a long campaign to adopt a third child. It has taken the couple seven years to adopt two children and as the number of adopting countries shrinks, so do their options.

Rwanda, Nyla's birthplace, has temporarily suspended new adoptions while it works to implement the Hague Convention.

Brown said she knows a lot of people who want to adopt who are now looking to Uganda and the Democratic Republic of Congo. Both have recorded sharp jumps in international adoption rates in recent years, according to Selman. Neither has ratified the Hague Convention.

Brown is not sure if Nyla would have survived had she remained in the Rwandan orphanage. She was five months old and malnourished when they gained custody.

"She had antibiotic-resistant salmonella poisoning in her entire body. Her head was covered in ring worm. She brought home other health issues, a lot of which we've been able to eradicate. She's a healthy little girl... now," she said.

As to the suggestion that the doors should be all but closed to international adoptions from Africa, Brown said it shouldn't matter where adoptive parents live.

"If there's a mum and dad and everybody knows your name and you have plenty of food and you get a great education and you're loved, I personally don't think it matters what country you're in," she said.

@highlight

African children's rights groups calls for cut in international adoptions

@highlight

Adoption abroad should be discouraged "at all costs,'" says African Child Policy Forum

@highlight

Experts are meeting in Ethiopia this week to discuss sharp rise in adoptions

@highlight

Adoptions from Africa have surged three-fold in 8 years as total adoptions have dropped