(This Old House) -- There are countless varieties of tomatoes available, each of which differs from the others in taste, the size, shape and ripening time of the fruit.

"There's only two things money can't buy. That's true love and homegrown tomatoes," songwriter Guy Clark says.

When deciding what to grow, choose varieties proven to perform well in your area.

Talk to neighbors and check with your extension service to learn the local favorites.

And, if you're a novice grower, choose at least a few varieties designated as All-America Selections winners.

This nonprofit group tests new varieties all across the country and awards only those with outstanding growth and flavor. Their logo appears with plant descriptions in most catalogs.

It's always a good idea to experiment with a few plants of several varieties to determine the ideal tomatoes for your garden and taste buds. What's more, growing different varieties is an insurance policy of sorts -- a disease that strikes one variety might not harm the others.

These are the qualities to consider when selecting tomatoes for your garden:

Growing basics

Start with healthy plants. Whether homegrown or store-bought, plants should be short and stocky (6 to 10 inches tall). Avoid plants with blossoms or fruit. You'll pay more for plants in individual 4-inch pots, but they usually have larger root systems than those growing in cell packs. As a result, they will grow faster after transplanting.

Choose the right site

Tomatoes grow best in full sun (at least 8 hours daily) and well-drained soil rich in organic matter. Work a couple inches of compost or decomposed manure into the upper 6 inches of soil prior to planting. If a soil test shows the pH is below 6.0, apply lime. This Old House: Testing soil

Plant right

Set plants in the garden after the danger of frost and when the soil temperatures are above 60 degrees Fahrenheit. (Experienced gardeners sometimes plant earlier and shelter plants to protect them from cold and frost.)

Space plants 1 ½ to 3 feet apart (closer for determinate varieties, which spread less). Wide spacing assures good air circulation, which discourages diseases.

Plant seedlings in the ground deeper than they were growing in their pots so the lowest leaves are just above the soil level. Roots will grow along the length of the buried stem, resulting in stronger plants. And, don't forget to water freshly planted seedlings.

Most experts recommend fertilizing at planting time. But go easy on the fertilizer. In this case, less is best because too much nitrogen fertilizer results in vigorous vines with few tomatoes. The recommendation from Clemson University Extension is fairly standard: Pour about 1 pint of starter solution (2 tablespoons of 10-10-10 or 5-10-5 fertilizer per gallon of water) around each plant. This Old House: Organic lawn care

Support plants

Stake or cage indeterminate plants (which develop long stems) at the time of transplanting. This keeps vines and tomatoes off the ground so the fruits will be larger, cleaner and less apt to rot. Supported plants are also easier to care for and tomatoes are easier to harvest.

The most common method is to support each plant with a single sturdy stake, 6 to 8 feet tall and at least 1 inch thick. Drive the stake into the ground, about 4 inches from the plant.

As the plant grows, attach its stems to the stake using commercial tomato ties, strips of soft fabric or old panty hose. Leave a little slack around the stems. The general idea with staking is to limit the vines to a couple of main stems, which requires regular pruning. Supporting tomatoes in wire cylinders or cages is also popular. This method requires more work initially, but there's no need to prune or train the plant.

Give them TLC

Tomatoes aren't one of those crops you can plant and forget. Check soil moisture and give plants 1 to 1 ½ inches of water weekly, if not supplied by rain. Try not to splash water on leaves.

About a month after planting -- once the soil has really warmed up -- apply a 3- to 4-inch layer of organic mulch, such as weed-free straw. If you mulch too soon, the soil will stay cool, delaying the harvest. This Old House: Mulching a tomato garden

If plants are staked, regularly pinch off the small suckers that sprout between the leafy branches and main stems. Don't cut a knife can spread disease.

Give all plants a boost during the growing season by applying a 5-10-5 or 5-10-10 fertilizer according to package directions. The best times to fertilize are when fruits are about golf ball-size and again when the first tomatoes are ripe.

And speaking of ripe, pick tomatoes when they are firm and fully colored. Taste one while it's still warm from the sun and you'll know why tomatoes rank No. 1 with home gardeners.

Get 2 Free Trial Issues

COPYRIGHT © 2009 THIS OLD HOUSE VENTURES, INC.

@highlight

All-America Selections tests new tomato varieties all across the country

@highlight

Tomatoes grow best in full sun and well-drained soil rich in organic matter

@highlight

Wide spaces between plants assure air circulation and discourage diseases

@highlight

Tomato plants need 1 to 1 ½ inches of water weekly, if not supplied by rain