(Health.com) -- Overweight people with a history of heart disease who take the prescription weight-loss drug Meridia may be at increased risk of heart attack or stroke, according to a study published this week in the New England Journal of Medicine.

The study confirms longstanding concerns about the safety of Meridia in people with heart disease and other heart problems, who are already warned against taking the drug.

A Food and Drug Administration (FDA) advisory committee is scheduled to meet later this month to discuss the possibility of increased regulation for Meridia. The meeting was prompted by the preliminary results from the study, known as SCOUT, which were released by the agency in November 2009.

Health.com: 9 surprising heart attack risks

In the study -- which was sponsored by the drug's maker, Abbott Laboratories -- researchers followed 10,744 overweight and obese people who had heart disease or type 2 diabetes and a risk factor for heart disease (such as high blood pressure) for about 3.5 years.

During that time, 4.1 percent and 2.6 percent of the people taking Meridia had a nonfatal heart attack or stroke, respectively, compared with 3.2 percent and 1.9 percent of the people taking a placebo pill. That translates into a 28 percent increased risk of heart attack and a 36 percent increased risk of stroke, according to the study.

However, Meridia did not appear to increase the risk of heart attack or stroke in diabetics with no history of heart disease. Nor did the researchers find any differences in the death rates from heart attack, stroke, or other causes in people taking Meridia versus placebo.

Health.com: Heart trouble? 30 herbal remedies to avoid

Lead researcher W. Philip T. James, M.D., an obesity expert at the London School of Hygiene and Tropical Medicine, in the U.K., says that the study underscores that Meridia should not be prescribed to people with existing heart problems.

But, he adds, "it does not prove that you should extrapolate the data to the normal population for which the drug is intended."

The active ingredient in Meridia, sibutramine, suppresses appetite by affecting levels of the brain chemicals serotonin and norepinephrine. The drug is designed to be used by overweight and obese people, not by people who are a bit chubby and are trying to slim down.

Health.com: 25 diet-busting foods you should never eat

Meridia has been shown to slightly raise blood pressure and heart rate, and the cardiovascular risk associated with the drug has been known for years.

Since being approved by the FDA in 1997, Meridia has carried a warning on its label that says the drug should not be used in people with a history of heart disease, heart failure, heart-rhythm problems, or stroke.

In January 2010, after reviewing the preliminary data from the SCOUT study, the FDA asked Abbott to strengthen the warning. The European Medicines Agency -- the European equivalent of the FDA -- chose to suspend sales of the drug in the European Union.

In an editorial accompanying the study, three New England Journal of Medicine editors suggest that the heart risk associated with Meridia is not justified by the weight loss seen in the study -- about 9.5 pounds (or 4.5 percent of initial body weight) after one year, on average.

"[I]t is difficult to discern a credible rationale for keeping this medication on the market," the editors write.

Health.com: Three new weight-loss drugs: will they work?

The FDA would be going too far if it pulled the drug from the market, says Donna H. Ryan, M.D., associate executive director for clinical research at the Pennington Biomedical Research Center, in Baton Rouge, Louisiana. She notes that the patients taking Meridia who were at greater risk for heart attack and stroke in the SCOUT study -- those with preexisting cardiovascular disease -- are already precluded from taking the drug.

The study should not be interpreted to mean that the drug shouldn't be used at all, says Ryan, who prior to 2008 served as a consultant for Abbott and other manufacturers of obesity drugs.

"The study doesn't really support that, and indeed, in the population where you didn't have preexisting cardiovascular disease...there is no increased risk," she says.

Sidney Wolfe, M.D., the director of the health research group at Public Citizen, a consumer advocacy organization that petitioned the FDA to ban Meridia for safety reasons in 2002, says that even people who haven't been diagnosed with heart disease should avoid Meridia. Some obese people have unrecognized heart problems that may be aggravated by the drug, he says.

Meridia "should never have been approved in the first place," Wolfe adds.

The FDA's advisory committee on endocrinologic and metabolic drugs will discuss Meridia on September 15. The agency is not required to follow the committee's recommendations, but it typically does.

Copyright Health Magazine 2011

@highlight

Those with a history of heart disease who take Meridia may be at high risk of heart attack

@highlight

The FDA is scheduled to meet this month to discuss increased regulation for Meridia

@highlight

The study showed a 28 percent increased heart attack risk and a 36 percent increased stroke risk