New York (CNN) -- Six picture frames hang inside a firehouse in Manhattan, each displaying a photograph of a man who died in the aftermath of the worst terrorist attack in U.S. history.

"We always say never forget," said one firefighter from New York's Engine 23.

The grizzled middle-aged man, who did not want to share his name, said President Barack Obama's visit to New York was an acknowledgement of "what we're going through."

After nearly a decade of war prompted by the horrific events of September 11, 2001, the president traveled to Manhattan Thursday to meet with 9/11 survivors and lay a wreath at ground zero, four days after the killing of al Qaeda leader Osama bin Laden.

"I wanted to just come up here to thank you," Obama said in prepared remarks, after eating lunch with firefighters and former New York City Mayor Rudy Giuliani. "This is a symbolic site of the extraordinary sacrifice that was made on that terrible day almost 10 years ago."

The president visited with members of Fire Engine 54, Battalion Nine, which lost 15 men after hijackers flew two fully-fueled commercial airliners into the World Trade Center's twin towers.

"Obviously we can't bring back your friends that were lost," the president said. "I know that each and every one of you not only grieve for them, but have also over the last 10 years dealt with their family."

The men of Engine 54 left behind 28 children.

Meetings with firefighters were private exchanges, White House officials said, during which the president sought to mark a clear end to a near decade-long hunt for the Qaeda leader.

"It was a wonderful gesture, based on the news that we got of Osama bin Laden's death," New York Fire Chief Edward Kilduff told reporters.

"For him to come here to see the faces of those killed in 9/11," Kilduff said, referring to photographs that hung inside the firehouse of the men who died, "I think it really meant something to him."

In a pre-dawn raid in Pakistan Monday, a U.S. Navy SEAL team fired two bullets that killed bin Laden, the al Qaeda leader behind the attacks in New York, Washington and Pennsylvania, which left nearly 3,000 people dead.

"When those guys took those extraordinary risks going into Pakistan ... they were doing it in the name of your brothers that were lost," the president told the firefighters.

White House press secretary Jay Carney said Thursday's visit to ground zero -- the former site of the World Trade Center -- was intended to "help New Yorkers and Americans everywhere achieve a sense of closure."

It included a moment of silence and a wreath-laying ceremony at the foot of the Survivor Tree, badly damaged during the attacks and replanted after it was discovered beneath piles of smoldering rubble.

The solemn ceremony evoked memories of previous presidents reaching out to the American public at emotional times -- Ronald Reagan after the space shuttle Challenger disaster in 1986, Bill Clinton after the Oklahoma City bombing in 1995, and George W. Bush at the same spot in the aftermath of the 9/11 attacks.

"He is trying to bring the country together. He is trying to rally spirits and show that when we do come together, we can do anything," said CNN Senior Political Analyst David Gergen, adding that Obama was "doing this with a quiet dignity" that "fits well with him" and "fits well with the moment."

In addition to Giuliani, the president was accompanied by New York Gov. Andrew Cuomo, New Jersey Gov. Chris Christie, New York Mayor Michael Bloomberg, and Port Authority Chairman David Samson.

Gergen noted that the presence of Giuliani helped "bring it back full circle, because he became the face of 9/11 of a defiant America, of an America that was courageous in the face of adversity."

In a separate moment Thursday, Obama walked over and hugged Payton Wall, a 14-year-old girl who wrote the president a letter explaining how she was handling the loss of her father, Glen James, who was killed in the attacks.

Behind the president's security detail -- a small army of secret service members clad in dark suits and sunglasses -- camera-wielding tourists and news crews snapped images of the motorcade as it rumbled through Manhattan, and later of Obama's meeting with the friends and family members of those killed during the attacks.

Onlookers meanwhile posed for photographs with firefighters in what appeared to be a day of mixed emotions -- satisfaction at bin Laden's death, but renewed grief for what was lost on 9/11.

Across the city, New Yorkers and visitors thought of where they were on that fateful Tuesday in September. Others more quietly remembered friends and family who died.

"My husband's here in spirit," said Monica Iken, whose husband, Michael Patrick, was a bond trader who worked in the World Trade Center. "We'll never forget what happened here."

"I'm proud today," she said.

Former President George W. Bush, who was in office at the time of the 9/11 attacks, did not appear alongside his successor during Thursday's visit to New York.

A spokesman for Bush said he turned down an invitation to attend, citing his desire to remain out of the public spotlight. The image of the former president beside firefighters at ground zero once became an emblem of America's resolve in the war on terror, a term the Obama administration has since tried to distance itself from.

Meanwhile, Obama's visit to the hallowed site nearly 10 years later left many New Yorkers eager to witness the closing chapter of a man once considered the world's most wanted terrorist.

@highlight

NEW: Obama follows tradition of other presidents with a personal appearance

@highlight

Obama met a 14-year-old girl who wrote him a letter about the loss of her father

@highlight

President Barack Obama went to New York to meet with 9/11 survivors

@highlight

The trip comes four days after a U.S. Navy SEAL team killed Osama bin Laden