Helping families build homes was a job that Jessica Vu excelled at. As a sales consultant in Bellbrook, Ohio, she walked people through buying homes, selecting floor plans and customizing everything from doors and windows to counters.

Then the housing market crashed in 2008, and she was laid off while she was eight weeks pregnant with her first child. Like many Americans who lost their income sources when employers cut more than 1.2 million jobs in the first 10 months of 2008, she struggled to find her footing.

As the ripple effects of the recession continue, with monthly unemployment claims up in July, people like Vu are seeking alternatives to traditional office jobs and gambling on their passions.

For Vu, that meant learning how to transform her childhood zeal for baking into profits.

"I wanted to know how to take what I loved doing and make it into a job," the 35-year-old mother of two said. "I was good at working in the housing market, and it was good to us. But being a baker, I am so much more creative now."

Vu thought she would go back into construction sales, but no jobs materialized. Instead, she divided her time among caring for her young children, baking and budgeting household expenses on a single income.

Amid the Excel spreadsheets and extreme couponing, she wondered what would come next.

To save money on holiday gifts, she started baking biscotti and realized she loved the process of creating the traditional Italian pastry, from dreaming up flavor combinations to kneading dough. She never thought baking biscotti was something she could actually do as a career. But looking back on her old job, she realizes it didn't stimulate her creative impulses like baking does.

"Every day at my current job, I am being challenged and inspired," she said. "When raspberries come into season, I might start thinking of new recipes. My wheels are always turning, and that is what I love."

A business without a storefront

Vu has been baking since she could climb onto a kitchen stool. Her fondest memories from childhood are sitting in her mother's kitchen, watching her pipe out elaborate icing designs onto towering wedding cakes and cookies.

Whipping up pumpkin chocolate bread for friends was easy for Vu. But she thought she couldn't have a successful business without a brick and mortar store.

When she started to calculate the cost of opening a kitchen and storefront, the price added up. "How do people do this on their own?" She wondered while visiting farmers' markets.

A simple Google search for "how to bake out of your own home" led her to an intriguing alternative: cottage bakeries, in which people cook, grow or make things in their homes to sell to consumers. But it didn't take long for her to discover that there was a lot of research, paperwork and technicalities involved.

Each state has its own laws for cottage food operations (PDF). Vu researched the rules and regulations of cottage bakery laws (PDF), taking out an insurance policy and a limited liability company certificate.

Then, she realized she needed customers. Her biscotti were already receiving praise from friends and family. That encouraged her to drop off three flavors at Dorothy Lane Market Store, a Dayton gourmet grocer, during a manager's meeting in January.

Within hours, she had her first order. Since then, she has rolled them out to all three of Dorothy Lane's in-store bakeries.

Since her first order in January, Vu's business and confidence have grown. She secured a spot at her local farmers' market and launched her business under the name Bites of Nostalgia. Her biscotti were even featured on the dessert menu at the Wine Gallery, an upscale restaurant in downtown Dayton.

Finding a niche

She attributes her success to finding a niche market. Most biscotti sold in stores are made in factories that produce the same typical flavors, like traditional Italian almond, anise, orange and pignoli.

"Surprisingly enough, there is little biscotti out there in bakeries," she said. "So it wasn't that hard to break into."

Vu came up with five flavors based on combinations that play on popular culinary trends, like sweet and savory. One of her best-sellers, chocolate-caramel pretzel, was inspired by her husband, who challenged her to re-create his favorite candy, salted caramel. For those who like to stick with tradition, she has a lemon poppy seed, a cranberry pistachio and a classic Italian almond-anise flavor.

With a recent order of 600 biscotti cookies for a wedding, Vu says, she is creating her own American dream. For years, her friends and family worked at and retired from the same companies.

"But for my generation, things are different," she said. "Life can be in stages."

For those in a new stage of life right now, Vu recommends doing what she tells herself each day: just keep looking forward. And if it's not the plan you came up with right out of college -- or even before college -- don't be scared.

"Sometimes, we get it wrong," she said. "And sometimes, you need to branch out if what you are doing isn't inspiring you."

@highlight

After losing job in 2008, Jessica Vu transformed passion for baking biscotti into business

@highlight

She built business using cottage bakery laws that let home bakers sell goods

@highlight

She attributes her success to finding a niche market

@highlight

"Sometimes, you need to branch out if what you are doing isn't inspiring you," Vu said