(CNN) -- The heady days of New York epitomized by Wall Street excess and rampant wealth may seem a far-flung memory, but the city still retains its buzz, its high-octane spirit that is the essence of its magical personality as a place where anything can happen.

The original 24 hour city, but still the best? You can turn a trip to NYC into anything you want it to be.

New York remains firmly in first place as the world's 24 hour city, with nearly anything accessible at any hour. There is a frustratingly vast number of sights to see, places to eat, shopping, partying and serious cultural gems dotted throughout the place.

So many films, books, television shows and musicians have personified New York that it's hard not to feel you already know it before you arrive. While many of those stereotypes ring true, entering the city -- whether the first or twentieth time -- with an open mind will make each visit seem an adventure.

At first, the glittering, noisy and even rude aspect of the city may send timid visitors running. Look below the surface and you may see more than just shimmering skyscrapers and neatly manicured inhabitants but a multifarious bunch of people somehow co-existing astonishing well within the city's grid structure. Despite their sometimes alarming candor, New Yorkers are as much a part of the city's entertainment as catching a Broadway show.

A starting point for 24 hours in the city should begin with breakfast or brunch New York style: eggs (however you'd like) and some good strong coffee to charge you up for the day. Almost every corner of Manhattan has a local diner, otherwise head downtown to breakfast stalwarts Bubby's or Kitchenette in Tribeca, or more recent favorite New French in the West Village.

Continue south to Lower Manhattan, with an excursion on the free, 25-minute (each way) Staten Island ferry. The views of downtown, the Statue of Liberty, and Ellis Island give a closer glimpse of what it must have been like to arrive in the city as an immigrant in days past.

Next head up to lively Chinatown to shop and bargain for knock-off designer handbags and various tat around Canal Street. If feeling peckish, have dim sum at New Green Bo Restaurant, known for its no-frills decor and delicious dumplings. Or continue on to Nolita (via Little Italy) to lunch at cool, low-key Café Gitane, or in SoHo at the beautiful French restaurant Balthazar (often a hangout of celebs). Shoppers will want to save time for the boutiques of Nolita and the higher-end designer shops in SoHo.

If strolling is your thing, don't miss the opportunity to wander the leafy, village-like streets of the West Village. Loads of tiny boutiques (many of which have gone high-end in years past), inviting sidewalk cafes and the general laid-back style of the place seem the perfect antidote to otherwise hectic areas of town.

Art enthusiasts should head straight to West Chelsea next, where there are enough galleries to spend several days. The Chelsea Gallery District is home to New York's contemporary art scene and sits over near the Hudson River, spanning several streets going north.

Outdoor lovers will also be enticed to the West Chelsea neighborhood as the New York High Line is opening in June 2009. The former elevated railroad has been converted into a park including floating ponds, sundecks and lookout spots over the Hudson River and Manhattan. One of the city's most exciting recent projects, the public park will span 22 blocks (once it's all open in 2010), a huge accomplishment after many locals fought for years to turn it into green space.

After a rest in the park, take in Midtown for its neck-wrenching skyscrapers. Admire the Chrysler Building, the city's homage to art deco, and gape up at the city's tallest building, the Empire State Building. Stop in Grand Central Terminal, taking note of its Beaux Arts beauty and its constellation-inspired ceiling, where you may have time to sneak a drink in the tucked away, wood-paneled Campbell Apartment bar. Then admire the nineteen buildings comprising Rockefeller Center, before glimpsing at St. Patrick's Cathedral across the street. (Shoppers beware: the temptations of Fifth Avenue shops and department stores may pull you off schedule here).

If your feet can still keep up the pace, stroll up to Central Park, for a glimpse of New Yorkers oasis of green. A variety of activities in the park will amuse you, from sporty rollerbladers dancing around to the peaceful Conservatory Gardens where you can rest.

Cultural buffs should head up the park's east side to the Metropolitan Museum of Art. It could easily command several hours if not days, but if short on time choose one section. All nearby, the Frick Collection, Guggenheim Museum and Whitney Museum are each possible on their own in an hour or two.

Time for a tea or coffee break? Visit the pretty Viennese Café Sabarsky inside the Neue Galerie, or stop in for a chi-chi cocktail at the Carlyle Hotel nearby.

For a classic New York dining experience in an elegant setting, end the perfect New York day at Gramercy Tavern before retiring to a nearby bar for a nightcap.

Otherwise, if a Broadway show is on the agenda, visit Times Square by night, taking in the dazzling lights and mayhem of New York's entertainment district. For cheap theater tickets, visit either the TKTS booth in Times Square at 47th Street and Broadway, or call ahead to the selected theater to see if last-minute "rush" tickets are available.

Another option, head downtown to hear some jazz in Greenwich Village at the Village Vanguard or the Blue Note, or take in some drinks in one of many of New York's watering holes. A few favorites include Simone Martini Bar in the East Village, Sunita in the Lower East Side or Epistrophy in Nolita.

@highlight

The original 24-hour city has plenty of offer for first- or tenth-time visitors

@highlight

Fuel up for the day with a typical NYC breakfast and head to lower Manhattan

@highlight

Mid-town sights and shopping can provide plenty to delight and distract

@highlight

It remains an international city where you can make your own adventures