Atlanta (CNN) -- Daniel Guadalupe stared at the passport application in front of him, dumbfounded.

His problem was not the questions asked, but the language they were written in.

"I don't speak Spanish very well," he said as he struggled to fill out the Mexican government form. "I'll have to call my mom."

The 18-year-old is one of more than a million people that U.S. officials estimate could benefit from the Obama administration's deferred deportation program aimed at illegal immigrants younger than 30 who came to the United States before the age of 16.

Details about how immigrants can apply for the program, which administration officials announced last month, have not been released. But already young people are flooding Mexican consular offices around the United States, trying to get the citizenship documents they'll need from their home country in order to ask for a reprieve from U.S. immigration officials.

For immigrants, recent policy changes are personal

This week, Guadalupe waited in a long line at the Mexican consulate in Atlanta before a clerk took his fingerprints, reviewed his documents and helped him fill out the passport form in a language he sometimes struggles to understand.

The high school senior was born in Mexico but brought illegally to the United States when he was 8 years old.

Most of the people he hangs out with speak English, the teen said, and he only speaks Spanish with his parents.

Getting a passport from a country he barely remembers is the first step to get into college, Guadalupe said. He hopes to study music somewhere in Georgia, the state where he's lived since arriving in the United States.

"I feel like I need this opportunity to become a U.S. citizen," he said.

But first, he must prove he is a Mexican.

The process is not always simple for young immigrants in the United States who don't have birth certificates or passports handy, said Abigail Calleja, consul for protection at the Mexican consulate in Atlanta.

Some of the hundreds of children who have lined up at the consulate over the past few weeks have no idea where their father is, Calleja said. That's a problem because Mexican law requires kids under 18 to have the signature and fingerprints from both parents.

"But let me assure you that nobody will lose (his or her) chance to apply for the program because of a passport. We will do what we need to help these kids," she said.

Mexican officials at consulates nationwide are preparing to help those who would qualify for the new U.S. program.

"We are asking them to stay alert to our websites and other places where official information is issued," she said.

All 50 consular offices in the United States have organized information sessions on the issue, and consular officials are also carefully reviewing documents to avoid fraudulent applications, she said.

The Obama administration's shift last month on the politically volatile issue of immigration policy prompted immediate praise from Latino leaders who have criticized Congress and the White House for inaction, while Republicans reacted with outrage, saying the move amounts to amnesty and usurps congressional authority.

Under the new policy, people younger than 30 who came to the United States before the age of 16, who pose no criminal or security threat and were successful students or served in the military can get a two-year deferral from deportation, Homeland Security Secretary Janet Napolitano said last month. It also will allow those meeting the requirements to apply for work permits, Napolitano said, adding that participants must be in the United States now and be able to prove they have been living in the country continuously for at least five years.

In Mexico, Central American immigrants under fire

Up to 1.2 million illegal immigrants could benefit from the program, according to U.S. government estimates.

More than 58% of the estimated 11.2 million illegal immigrants in the United States are Mexican, the Pew Hispanic Center said last year.

Calleja said she did not know how many Mexican citizens would require consular services associated with the new U.S. program. But those who qualify can come to the consulate without an appointment, receive assistance and have their request prioritized, she said.

This week, Karina Vasquez and her brother came to the Atlanta consulate to start processing their paperwork so they can apply for the U.S. deferral program.

"It will allow me to go to college, to get a job and feel safe here," the 18-year-old said as she waited in line to get her picture taken.

Her mother, Rocio Medina, said she brought her children to the United States 10 years ago to give them a better chance to succeed in life and to reunite their family.

"Their father was already here, and we didn't want to be apart," she said.

Now, Medina said she hopes the U.S. program will not only help her children, but also help lead to a change in her immigration status in the future.

When one passport isn't enough

CNN's Tom Cohen contributed to this report.

@highlight

U.S. officials have announced a deferred deportation program for young illegal immigrants

@highlight

Details about how immigrants can apply have not been released

@highlight

Youths are flooding consular offices, applying for Mexican passports

@highlight

"I feel like I need this opportunity to become a U.S. citizen," one teen says