(CNN) -- Visiting a particle accelerator is like a religious experience, at least for Nima Arkani-Hamed.

Nima Arkani-Hamed, a leading theoretical physicist, thinks the universe has at least 11 dimensions.

Immense detectors surround the areas where inconceivably small particles slam into one another at super-high energies, collisions that may confirm Arkani-Hamed's predictions about undiscovered properties of nature.

Arkani-Hamed is only in his mid-30s, but he has distinguished himself as one of the leading thinkers in the field of particle physics.

His revolutionary ideas about the way the universe works will finally be put to the test this year at Switzerland's Large Hadron Collider, which will be the world's most powerful particle accelerator.

The accelerator, estimated to cost between $5 billion and $10 billion, could provide answers to questions physicists have had for decades. Thousands of scientists from around the world are collaborating on the project at the European Organization for Nuclear Research, or CERN.

If the results confirm any of Arkani-Hamed's predictions, they would be the first extension of our notions of space-time since Albert Einstein.

"We're essentially guaranteed that there's going to be something surprising," Arkani-Hamed said of the Large Hadron Collider, which will operate inside a 17-mile circular tunnel.  See what's planned for the collider »

Regarded as a "gem," Arkani-Hamed is "opening our minds and creating a new world of ideas that challenge deep-grained preconceptions about spacetime," said Chris Tully, professor of physics at Princeton University, who is working on the Compact Muon Solenoid experiment at the Large Hadron Collider.

"From the point of view of the big experiments at the LHC, there is no amount of money or craftsmanship that would produce the kind of insight that comes from sharing LHC data with a true visionary like Nima Arkani-Hamed," Tully said.

Formerly a professor at Harvard, Arkani-Hamed currently sits on the faculty at the prestigious Institute for Advanced Study in Princeton, New Jersey, where Einstein served from 1933 until his death in 1955.

"He was lured from Harvard to the IAS; I'm sure that's considered quite a coup," said Daniel Marlow, a physics professor at Princeton who is also collaborating on the CMS experiment.

Arkani-Hamed has had a hand in explaining how the world can operate according to Einstein's theory of general relativity, which describes the universe on a very large scale, and at the same time follow quantum mechanics, laws that describe the universe on a scale smaller than the eye can see.

Some of the key mysteries that stem from these clashing theories include why gravity is so weak, relative to the other fundamental physical forces such as electromagnetism and why the universe is so large. These issues come up because on an inconceivably small scale, the particles that make up our world seem to behave completely differently than one might imagine.

For example, if you are driving a car, your GPS tells you where you are, and your speedometer tells you how fast you are moving. But on the scale of particles like electrons, it is impossible to know both position and speed at once; the very act of trying to find out requires incredible amounts of energy.

If it takes so much energy just to try to pin down a particle, then, in theory, all particles should have temporary energy changes around them called "quantum fluctuations." This energy translates into mass, since Einstein famously said that mass and energy are interchangeable through the equation E=mc2.

"It makes it extremely mysterious that the electron, or indeed, everything else that we know and love and are made of, isn't incredibly more massive than it is," Arkani-Hamed said.

A theory that has emerged in recent decades that claims to bring some relief to physics mysteries like these is called superstring theory, or string theory for short. Previously, scientists believed that the smallest, most indivisible building blocks of our world were particles, but string theory says the world is made of extremely small vibrating loops called strings.

In order for these strings to properly constitute our universe, they must vibrate in 11 dimensions, scientists say. Everyone observes three spatial dimensions and one for time, but theoretical models suggest at least seven others that we do not see.

Arkani-Hamed proposed, along with physicists Savas Dimopoulos and Gia Dvali, that some of these dimensions are larger than previously thought -- specifically, as large as a millimeter. Physicists call this the ADD model, after the first initials of the authors' last names. We haven't seen these extra dimensions because gravity is the only force that can wander around them, Arkani-Hamed said.

String theory has come under attack because some say it can never be tested; the strings are supposed to be smaller than any particle ever detected, after all. But Arkani-Hamed says the Large Hadron Collider could lead to the direct observation of strings, or at least indirect evidence of their existence.

In fact, by slamming particles into one another, the Large Hadron Collider may detect particles slipping in and out of the dimensions that Arkani-Hamed has worked on describing.

Particle collisions should begin at the Large Hadron Collider in August or September, according to the US/LHC Web site. Evidence of theories such as the ADD model could be discovered by 2009, Marlow said.

Data reflecting Arkani-Hamed's work on large extra dimensions "would really provide the first confirmation in this very profound way we might think about nature," Marlow said.

Arkani-Hamed always had a great love of the natural world as a child. Though his parents are also physicists, he considers it his "act of teenage rebellion to become one too," as his mother wanted him to become a doctor.

He remembers being impressed around age 14 that Newton's laws could enable him to calculate such things as the minimum speed that a space shuttle had to attain to escape the Earth's gravitational field. He'd wondered whether scientists had reached the figure of 11 kilometers per second by trial and error, shooting things in the air until the right speed emerged, until he could calculate it himself.

"When I figured out how to do that for myself, I just thought it was just the coolest thing, that little old me, scratching away on my piece of paper, could figure this out," he said. "From about 13 or 14, I knew that this is what I wanted to do."

@highlight

Nima Arkani-Hamed, a theoretical physicist, predicts large extra dimensions

@highlight

The Large Hadron Collider in Switzerland may confirm his ideas

@highlight

LHC results may change ideas of spacetime for the first time since Einstein

@highlight

String theory postulates that the building blocks of matter are vibrating strings