LOUISVILLE, Colorado (CNN) -- While the economy sputters here on Earth, space entrepreneurs in Colorado are looking to the heavens.

Diane Dimeff and Scott Tibbitts of eSpace, a not-for-profit that helps aerospace companies test space technology.

In a cavernous testing facility called the "Incubator," specialized equipment recreates the unique conditions of a journey into space -- from platforms that mimic the violent shaking at liftoff to chambers that replicate space's bitter cold and complete vacuum.

This is home to eSpace: The Center for Space Entrepreneurship, a not-for-profit partnership between SpaceDev, Inc., a private aerospace company, and the University of Colorado. Launched last month, eSpace helps fledgling aerospace companies try out new gadgetry and meet NASA specifications.

"One of the most important things in making space hardware is that it's going to [have to] work in space, because you can't repair it," said Scott Tibbitts, executive director of eSpace. "It's up there, it has to work."

Tibbitts believes that in the near future, NASA's programs will be supplemented more often by entrepreneurial space ventures. He thinks eSpace can help these companies work toward making space exploration more affordable and accessible to private citizens.

"Our goal is to help small aerospace companies to get off the ground," said eSpace director Diane Dimeff. eSpace will help entrepreneurs "to commercialize their technology and to help develop the work force that will fuel their growth."

The center's Incubator doubles as the headquarters of SpaceDev, which Tibbitts founded almost by accident more than a dozen years ago. He developed a paraffin actuator, a mechanism filled with a waxlike substance that melts when it reaches a certain temperature, flipping a switch.

The device worked on hot-water heaters, but Tibbitts thought it might have high-tech applications elsewhere.

"I ended up contacting NASA and they said yeah," Tibbitts said. "So we started building them for spacecraft instead of water heaters, and the business was built around that."

But it wasn't quite that simple. The first actuator for NASA cost $32,000 to make, and Tibbitts had to sell his Triumph sports car to raise the money.

Also, Tibbitts' specialty was hot water heaters, not spacecraft. Products for NASA have to go through rigorous testing and be made to strict specifications.

"I knew nothing about it," he said. "We'd ask NASA, 'Can we use Super Glue?' And they'd say, 'No, you can't use Super Glue.' "

Tibbitts' goal with eSpace is to help entrepreneurs avoid making the same mistakes. eSpace mentors new companies and helps guide them on the long journey from the workbench in the family garage to the launch pad.

A important part of the process is access to the sophisticated testing equipment at the Incubator, located in a suburb northwest of Denver.

"The people making the hardware can test the hardware in that chamber and see if it's going to work in the harsh conditions of space," said Tibbitts while leading a tour of the facility. "This is a half-a-million-dollar chamber. That's not something a small company can afford."

Dimeff hopes eSpace's collaboration with the University of Colorado will help guide young engineers into careers in space technology. To facilitate this, eSpace will fund three hands-on projects for graduate students to design aerospace technologies with commercial applications.

"They have great skills for the aerospace industry, and they would never have thought of going into the aerospace industry but for this program," Dimeff said.

A few miles down the road, another space hardware company is hoping to benefit from eSpace's programs.

"I think the eSpace concept is really a very important one," said Michael Tupper, executive vice president of Composite Technology Development Inc., which makes resins, thermal insulation and other products.

"We can be much more effective when we are working with other entrepreneurial companies and combining our capabilities and technologies," he added. "So eSpace will both create a network of companies and will also help with the educational basics."

Tupper sees huge growth ahead in space technologies and in technologies developed for space making their way back to Earth. High-temperature insulation his company developed for space is being repurposed for use in wind turbines and geothermal equipment.

In that way, eSpace could help prepare engineers for a variety of jobs beyond the aerospace field -- a key benefit in a battered economy.

"The space market is a vital market, and it does require a lot of jobs," Tupper told CNN. "But I think it's quite clear the terrestrial market has more jobs in larger industries. We're going to be needing to hire more and more people."

@highlight

The eSpace center helps fledgling aerospace companies try out new gadgetry

@highlight

eSpace boasts the "Incubator," which recreates the conditions of space

@highlight

Its equipment can mimic the violent shaking at liftoff and space's bitter cold

@highlight

eSpace director: "Our goal is to help small aerospace companies get off the ground"