(CNN) -- The Sri Lankan government should immediately release more than 280,000 displaced Tamil civilians living in detention camps, a leading human rights group said Wednesday.

Tamil civilians are at Menik Farm refugee camp on the outskirts of the northern town of Vavuniya, Sri Lanka.

Human Rights Watch said the displaced Sri Lankans were already victims of a protracted and bloody civil war. Now they are victims again, confined against their will, like criminals, the global watchdog group said.

"Keeping several hundred thousand civilians who had been caught in the middle of a war penned in these camps is outrageous," said Brad Adams, Asia director for Human Right Watch. "Haven't they been through enough?"

But a Sri Lankan Defense Ministry spokesman said the Human Rights Watch report is overstated, and he defended the government's handling of the displaced.

"Those are not detention camps," said the spokesman, Lakshman Hulugalle. "They are relief villages. All the basic facilities are being given to the people."

Sri Lanka declared victory in May in its 25-year battle with the Tamil Tiger rebels, but concerns remain about how the island nation can heal visceral war wounds.

The rebels -- formally known as the Liberation Tigers of Tamil Eelam (LTTE) -- waged war for an independent state for minority Tamils in Sri Lanka since July 1983. As many as 70,000 people were killed in the conflict.

With the cease-fire, the question of how to resettle Tamil refugees, many of whom were living among the rebels, has wrought intense criticism of the government from international humanitarian agencies.

The United Nations reported that as of July 19, Sri Lanka was detaining 281,621 people in 30 military guarded camps in the four northern districts of Vavuniya, Mannar, Jaffna and Trincomalee.

Human Rights Watch said humanitarian workers are prohibited from discussing abuses or the final months of the ethnic conflict and that camp residents are allowed to leave only for emergency medical care, often only with military escort.

In some camps, people have to register with the military twice a day, the rights group said. If they fail, they are subject to punitive measures such as being forced to stand still under the sun for extended periods of time.

The group reported health problems created by inconsistent water supply and a shortage of bathroom facilities.

But Hulugalle, the Defense Ministry spokesman, said barbed wire around the compounds is a common way to define barriers in Sri Lanka and that military guards were being utilized out of security concerns. The government fears that rebels are hiding in the camps and screening people living in them.

"These are people who were kept for months in LTTE clutches," Hulugalle said, referring to the displaced civilians.

He said the government has a 180-day plan to resettle most people but that a lot of work was needed in the northern districts as far as rebuilding infrastructure and basic services destroyed in the fighting.

The human rights activists say, however, that the government is not working fast enough.

Human Right Watch said Sri Lanka's goal now is only to resettle 60 percent of the refugees by the end of the year.

U.S. Assistant Secretary of State Eric Schwartz visited a camp this week in Vavuniya, after which he announced an additional $8 million in humanitarian aid for the northern districts.

But even in handing out dollars, Schwartz was critical of Sri Lanka's handling of the displaced.

In a statement, he acknowledged that providing food, shelter and medical care for the displaced people was a "formidable task." But Schwartz said the United States remains "deeply concerned" about the confinement of people to camps and the hardships they endure within those camps.

He also criticized the restrictions placed on humanitarian workers visiting the camps.

"The government of the United States believes the focus now must be on the prompt return of the displaced in safety and dignity, and we want to accelerate this process," Schwartz said.

In addition to global humanitarian aid, the International Monetary Fund has approved a $2.6 billion loan to Sri Lanka to mend the country.

Adams of Human Rights Watch said Sri Lanka, in need of global sympathy in its efforts to rebuild, could very well go the opposite way if the Tamil people, once subjugated by the rebels, keep waking up as prisoners of their own state.

@highlight

Group: More than 280,000 displaced Tamil civilians living in detention camps

@highlight

Sri Lanka says the Human Rights Watch report is overstated

@highlight

Human Rights Watch says aid workers are prohibited from discussing abuses

@highlight

Group reported health problems created by inconsistent water supply