Washington (CNN) -- Former British Prime Minister Margaret Thatcher and former President Ronald Reagan were, in the words of one close aide, "political soulmates."

Reagan, who was elected a year after Thatcher assumed office in 1979, found in her a fresh, conservative voice who he could align with on many international issues. And in nearly a decade of working together, she found in him a personal friend and an equal on the global stage.

He offered her stronger support than any previous American president in dealing with terrorism in Northern Ireland, said biographer Geoffrey Smith, author of "Reagan and Thatcher."

She was also one of the first leaders who spotted the potential for a new kind of leader in Mikhail Gorbachev and convinced Reagan that he could be trusted.

"I like Mr. Gorbachev. We can do business together," she said in December 1984, three months before he was chosen to lead the Soviet Union.

"Thatcher was a politician who had a strong voice," Gorbachev said in a statement that noted their relationship evolved gradually. "At the end, we were able to reach an understanding, and it was a contribution to the change in atmosphere between our country and the West and to the end of the Cold War."

Reagan left a similar impression on Thatcher.

U.S. political figures react to Lady Thatcher's death

"She certainly liked Reagan a lot from the moment he won office and he felt the same," said Julian Zelizer, a Princeton University historian and CNN contributor. "They had a deep respect, admiration and a friendship."

Thatcher said at his 2004 funeral that "we have lost a great president, a great American and a great man. And I have lost a dear friend."

Thatcher, called the "Iron Lady" for her personal and political toughness and the only woman to become British prime minister, died Monday at 87.

"It was closer ideologically and warmer personally than any relationship between any other British prime minister and any other American president," Smith said of Reagan and Thatcher's friendship.

Together, they came to epitomize what has been called the golden age of conservatism â€” an age where their policies changed the world map.

"They both thought that they were leading political revolutions at the same time in countries that were fundamentally liberal," Zelizer said.

Each believed in the strength of free markets, disdained communism and saw themselves and their countries as part of a transatlantic alliance, Zelizer said.

During her time at the helm of the British government, she emphasized moral absolutism, nationalism, and the rights of the individual versus those of the stateâ€”famously saying in 1987: "There is no such thing as society."

Fast facts on the Iron Lady

"Both took strong attacks against different types of regulations," Zelizer said. "Reagan worked on telecommunications, the environment and business. Thatcher took stands with health care. Both were tough with unions and believed unions posed a danger to people."

Thatcher and Reagan met years before either came to power, Smith said. They spent hours discussing their shared vision.

Eventually, their relationship evolved to the point where they felt comfortable speaking for the other.

"Thatcher would say, speaking for both of them, 'Ron and I think,'" Smith said.

Reagan initially urged British restraint in the days leading up to 1982 Falklands War with Argentina.

"The best chance for peace was before complete Argentine humiliation," Reagan said in a memo released 30 years later.

Thatcher was reportedly relieved when Reagan ultimately backed her. The British victory in the Falklands became a mainstay of her legacy.

Thatcher's most memorable quotes

The two had other differences, however.

Thatcher was troubled over the soaring U.S. budget deficit, but was unable to get Reagan to share her concerns, said former Thatcher press secretary, Martin Ingham.

"It went against her grain that such a huge debt was being piled up," he said.

Reagan struggled to convince Thatcher to agree to allow the 1986 U.S. raid on Libya to be launched from British bases. She was similarly troubled by the 1983 American invasion of Grenada.

"Mrs. Thatcher was heard to expostulate, not once, but many times 'How could (Reagan) do it without telling the Queen, i.e. without telling me so that I could inform the head of the commonwealth,'" Ingham said.

She gave the president a friendly "ear-bashing" over that and his attempt to make a nuclear disarmament deal with Gorbachev at Rejkyavik, Iceland, in 1986.

On the day of Reagan's funeral, Thatcher sat behind the former president's son, Ronald Prescott Reagan, looking sadly on as he comforted his mother, Nancy.

"Ronnie and I knew her as a dear and trusted friend," Mrs. Reagan said on Monday in a statement. "I will miss her."

Thatcher: Hero or villain?

CNN's Richard Allen Greene, Nic Robertson and Bill Schneider contributed to this report.

@highlight

Margaret Thatcher and Ronald Reagan were friends for decades

@highlight

They agreed on many issues, saw each other as "soulmates" in the conservative world

@highlight

Reagan initially disagreed with her on how she wanted to handle the Falklands War in 1982