(CNN) -- Linda Ross was instantly hooked the moment she received her first pair of Betsey Johnson earrings as a gift for her 16th birthday. The dangling, leopard-print hearts became her go-to accessory for adding oomph to any outfit.

Now, amid news that 67 Betsey Johnson retail stores in the U.S., Canada and the United Kingdom are liquidating and closing for good, this "Betsey Girl" from Brunswick, Georgia, is scrambling to acquire as much merchandise as she can.

Since the fashion house filed for Chapter 11 bankruptcy protection in April, Ross has driven to the nearest boutique in Jacksonville, Florida, for loot from the brand's high-end Betsey Johnson Collection.

"Her styles combine the young and girly elements -- like bows, floral patterns, excessive use of hot pink, and sparkles -- with mature and sexy elements, like corsets, high platform heels, lace, fishnets and lipstick," Ross said.

At 18, Ross embodies that "not a girl, not yet a woman" aesthetic at the heart of the designer's look for decades. An icon of the "Girls Just Wanna Have Fun" mentality, Johnson is known for her bold and flirty apparel and accessories that incorporate just about every motif of feminine style imaginable, from tulle and silk to pastels and sequins.

The brand itself isn't going away. The decision to shutter stores is part of a larger effort to focus on wholesale business, said a spokesman for Steve Madden, which has owned the brand's intellectual property rights since 2010. Sales will continue until July or until a store runs out of stock.

Nor is Johnson disappearing the industry scene. She will stay on as creative director of Betsey Johnson and continue working on the brand's less expensive line, which is sold in department stores and specialty boutiques across the country. She even attended the annual Council of Fashion Designers of America awards on Monday, suggesting that her days of cartwheeling down the runway are not quite over.

Yet, the prospect of her fading from the landscape provoked an outpouring of nostalgia from a generation of fans who connect moments in their lives with her designs.

"I remember first seeing Betsey's designs when I was a little girl in fashion magazines. Thought she was so cool and looked like she was having so much fun, surrounded by all that color & whimsey!" a fan wrote on Betsey Johnson's Facebook page. "She inspired me to become a jewelry designer, really gonna miss her, but I'm sure she won't just be sitting around, doing nothing, with all that energy & imagination! Best of luck to you & thanks!"

There's a lot of sentimental longing connected with her designs, said Leah Chernikoff, executive editor of fashion and style blog, Fashionista. For a lot of people, a Betsey Johnson was their first fancy dress.

"The reason she's so beloved is that she is sort of her own person and unique in the fashion landscape," she said. "She's effusive and energetic and positive so that even if young 20-somethings in Williamsburg aren't clamoring to wear Betsey Johnson, or maybe they are because it's ironic at this point, she's not someone who's seen as tired."

Much of her popularity stems from her industry longevity, not only as a businesswoman but as a vibrant personality known for ending her runway shows with a cartwheel, Chernikoff said.

Johnson's career began in 1964, when she officially entered the New York fashion scene by winning Mademoiselle magazine's Guest Editor Contest, her company biography says. One year later, she landed the top designer position for Paraphernalia, a clothing boutique that housed the hottest young designers. In 1978, after a decade of designing for other labels, Betsey decided to launch the Betsey Johnson label as it is known today.

In 1972, Johnson, along with Halston, won the Coty "Winnie" Award for outstanding designs. At the 1999 CFDA Awards, Betsey was presented the Timeless Talent Award, created especially for her, which recognized her influence on fashion throughout her career. In late 2002, Betsey was inducted into the Fashion Walk of Fame, honoring her contribution to American fashion.

The demise of her stores signals the end of an era. As customers gradually buy up the last of the stock inside her standalone stores, what were once pink-walled paradises, equal parts princess and punk, are now somber shells. A visit on Sunday to the store in Georgia's Perimeter Mall revealed lonely racks stripped bare of toile jumpers, sequin dolman tunics and crepe babydoll dresses. The elaborate displays of colorful purses were gone, leaving empty spaces in their place.

The pink flowered bench where customers used to try on funky bejeweled high-heeled platform shoes had a big 'SOLD' sign on it, as did the artwork in one of the dressing rooms. Only a few varieties of the celebrated shoes remained on the shelves. All of the furnishing and fixtures, including those shelves, were also for sale or sold already.

Yet, the poofy prom-style dresses still cost more than $100, even after storewide discounts from 30% to 60%, underscoring complaints that her goods were too expensive and ran too small for the general population.

"I bet if the prices were more reasonable this would not have happened," one fan wrote on the Betsey Johnson Facebook page.

"I love her clothes, but it's hard for me to fit in them. They are made for tiny women; I'm a 12. Maybe if she started making larger sizes she could stay open," another Facebook fan said.

It's a risky move for brands to bypass department stores and branch out into retail because then they have the costs of real estate and overhead to worry about, which usually requires a steep markup, said Vincent Quan, associate professor of fashion marketing management at New York's Fashion Institute of Technology.

"If your growth is anemic and someone else's growth is higher than yours, they're gaining the market share at your expense," Quan said.

It's tempting to blame the economy, he said, but the luxury goods market has experienced an upswing the past two years. The plain and simple truth is that customers simply stopped shopping at Betsey Johnson as other brands gained market share, he said.

"You need to think about your target customer and reason for being. She was fun and exciting but you need a product that sells. Your customer out there is looking for goods that are trendy and things you can wear. They're also looking at your competition," he said.

"When you talk to fans there's a loyalty element, she's hip and cool, but style changes and how does that change affect your purchasing decisions?"

This isn't goodbye forever, though. Through parent company Steve Madden, Betsey Johnson and Betseyville merchandise will still be available in department stores worldwide, which is good news for Janna Robles, who embraces Johnson's exaggerated girliness with a womanly edge.

"I love how she plays with loud colors, unique prints, and sparkly things. I also love the fact that even though her designs are girly and feminine, she makes sure that there's a twist to them, making girls stand out in any crowd," the 24-year-old said.

Robles, who lives in the Philippines, makes a stop at a Betsey Johnson boutique every time she visits relatives in the United States. That is, if she hasn't already convinced them to send her a little "surprise" in the mail.

Johnson even inspired Robles to start designing her shoes while in law school.

While some fans are raiding the shops to keep a bit of Betsey in their lives, one Kansas City fashionista has a unique connection to the iconic designer.

Betsy Wanless, 27, had always been a fan of Betsey Johnson, but when she got married in 2011, her brand loyalty was solidified by holy matrimony.

"I was always Betsy Wanless, and then in 2011 I married Matt Johnson and am now Betsy Johnson."

On her wedding day, the former Ms. Wanless sported sky-high Betsey Johnson red shoes to pay tribute to her new name.

While certainly no one can fill Johnson's shoes, Chernikoff of Fashionista doesn't think this is the end of Betsey Johnson.

"A lot of designers go (into) bankruptcy and bounce back. Her whole spirit is about being buoyant and resilient and seeing that translating to her business," she said. "Her brand will still be around, just not in the same way."

Are you a Betsey Johnson fan? Tell us about your favorite piece of clothing or accessories by her!

CNN's Elizabeth Landau contributed to this report.

@highlight

News that Betsey Johnson retail stores are closing prompts outpour of nostalgia from fans

@highlight

Many fans connect moments in their lives with a Betsey Johnson dress

@highlight

Retail stores conducting going-out-of-business sales until July

@highlight

Less expensive line of the brand will still be sold in department stores