Kuala Lumpur, Malaysia (CNN) -- New hope, more frustration.

As the search for Malaysia Airlines Flight 370 turned up fresh potential clues, dozens of anguished Chinese relatives on Sunday demanded that Malaysia provide them with evidence on the fate of their loved ones aboard the missing Boeing 777.

Ideal weather conditions gave one Australian aircraft crew the opportunity to detect many objects in the water west of Perth.

It spotted four orange items of interest, took photos and sent the coordinates, but Flight Lt. Russell Adams said the crew couldn't determine whether the objects were from the airliner, which officials believe went down in the southern Indian Ocean.

The items were more than 2 meters (6.5 feet) long, he said.

Authorities will analyze the images and then decide whether to send a ship to the debris location.

Adams called the discovery of the four objects one of the "most promising leads" searchers have come across.

The search resumed Monday, with 10 aircraft and 10 boats set to look for signs of the missing plane.

"We are searching a vast area of ocean, and we are working on quite limited information. Nevertheless, the best brains in the world are applying themselves to this task. ... If this mystery is solvable, we will solve it," Australian Prime Minister Tony Abbott told reporters Monday.

Speaking from the Royal Australian Air Force base where search teams have been headquartered, Abbott said he wouldn't set a time frame for how long the hunt for the missing plane could take.

"We can keep searching for quite some time to come. We will keep searching for quite some time to come. ... The intensity of our search and the magnitude of our operations is increasing, not decreasing," he said.

Search efforts Sunday ended with no confirmed sightings of debris from the plane, the Australian Maritime Safety Authority said.

Objects picked up by ships on Saturday turned out to be fishing equipment and other items, officials said.

'We want truth'

The family members arrived in Kuala Lumpur and held a news conference at their hotel, imploring officials to be more transparent.

"We want evidence, we want truth and we want our family," said Jiang Hui, the families' designated representative. The crowd chanted the same words.

"We are here to call for the following three things," he said. "First, the Malaysian side should provide us with timely and comprehensive evidence and answer the families' questions."

He also asked Malaysia to apologize for releasing confusing information and for announcing on March 24 that the plane had crashed even though there was no "direct evidence."

Relatives wore white T-Shirts with the words " Pray for MH370 ... return home safely." Some wept.

"We are here struck with sadness and urgency," Jiang said. "The meetings recently in China were not fruitful with (Malaysia Airlines) officials."

Mixed messages

Family members have accused Malaysian officials of withholding information since the plane vanished more than three weeks ago.

Of the 239 people aboard the doomed jetliner, 154 were Chinese.

Last week, relatives were told everyone aboard had died. But Hishammuddin Hussein, Malaysia's acting transportation minister, told reporters Saturday he had not closed the door on the hope that there could be survivors.

Flight attendant's husband wants to give children answers, but has none

Frustrating search

Beijing has publicly slammed Malaysia's efforts to find the Boeing 777, which went missing March 8 on a flight from Kuala Lumpur to Beijing.

And as the frustrating three-week search resumed Monday, China was among the countries scouring the choppy waters of the southern Indian Ocean for signs of the plane.

Ten aircraft were set to fly over the search area about 1,150 miles (1,850 kilometers) west of Perth, Australian officials said.

Ten ships were also involved in the search, including the Australian navy ship Ocean Shield, which was fitted with a "black box" detector and an autonomous underwater vehicle.

On Saturday, crew members aboard a Chinese plane dropped buoys to mark three suspected debris sites, China's state-run CCTV reported. It later said Sunday an orange "suspicious object" spotted by a Chinese plane Saturday turned out to be a dead jellyfish.

Amid the confusion, Malaysia said it has done its best with what it has.

"History will judge us as a country that has been very responsible," Hishammuddin said.

Relatives said they hope to meet the transport minister in Kuala Lumpur. They also asked Malaysia to plan meetings with the various companies involved, including Boeing, the plane's manufacturer.

Race against time

Experts said the clock is ticking.

The batteries on the flight data recorder, commonly referred to as the black box, are designed to last about 30 days. The plane disappeared March 8 -- 22 days ago.

"We certainly have our challenges in front of us," said Cmdr. Mark Matthews of the U.S. Navy.

"What we're trying to find is an acoustic emission from one of the pingers on the flight data recorder (and) the cockpit voice recorder. Typically these last, the batteries last about 30 days, usually they last a little bit longer, and that's what we're trying to find. But what is critical is that the teams that are out there searching for the surface debris, they get good position data on that and they feed it back to the oceanographers, to help us determine a probable point of impact for where the aircraft went in."

An American pinger locator and undersea search equipment were loaded onto the Ocean Shield. The ship is set to depart by Monday morning, and will take up to three days to reach the search area.

U.S. Navy Cmdr. William Marks told CNN's "State of the Union" that his team really needs a conclusive piece of debris to narrow down the search area, due to the range of the pinger locator.

"We have to be careful not to send it in the wrong place, but we also wanted to get it out there as close as we can to what we believe is the right place," he told CNN's Candy Crowley.

He said if the batteries on the recorders aboard the missing plane run out, the search would require side-scan sonar, one of which has been loaded on a search ship.

"But like I said, without good visual confirmation of debris, which we really have not had yet, it is tough to even go in the general direction," he said.

'They're still alive'

In Beijing on Saturday, some of the relatives of the missing vented their anguish in the streets.

"They're all still alive, my son and everyone on board!" yelled Wen Wancheng, 63, whose only son was among the passengers. "The plane is still there, too! They're hiding it."

He held aloft a banner that read: "Son, Mom and Dad's hearts are torn to pieces. Come home soon!"

Relatives implored Hishammuddin to redouble efforts to find the plane.

"What they want is a commitment on our part to continue the search, and that I have given," Hishammuddin said. "For me, as the minister responsible, this is the hardest part of my life, at the moment," he told reporters.

"Miracles do happen, remote or otherwise, and that is the hope that the families want me to convey -- not only to the Malaysian government, MAS (Malaysia Airlines), but also to the world at large," he said.

Sea objects

The latest data analysis shows Malaysia Airlines Flight 370 ended up in the southern Indian Ocean.

But officials have offered different assessments of exactly where it could have gone down.

Investigators shifted the search area Friday after concluding that the plane had been traveling faster and burning fuel faster than they previously had thought.

The new search area is closer to Australia's coast, so it takes less time to reach, meaning more area can be searched. It's also marked by calmer waters.

Your questions answered

CNN's Kyung Lah, Mitra Mobasherat,  Brian Walker, Yuli Yang and Paula Hancocks contributed to this report. KJ Kwon reported from Kuala Lumpur; and Steve Almasy and Faith Karimi wrote from Atlanta.

@highlight

NEW: Australian Prime Minister: "If this mystery is solvable, we will solve it"

@highlight

Search for plane resumes; 10 aircraft and 10 boats involved

@highlight

No confirmed plane debris sightings, though four interesting orange objects are seen

@highlight

Australian crew calls new objects one of their "most promising leads"