(CNN) -- I come from a place where the sky is always grey, where flowers are always grey, and where television is still in black and white.

I actually come from a world where color doesn't exist; I was born with achromatopsia, I was born completely colorblind. So I've never seen color, and don't know what it looks like. But since the age of 21, I can hear color.

In 2003, after studying fine arts and while studying music at Dartington College of Arts in England, I began a project with computer scientist Adam Montandon with the aim of extending my senses. The result, with further collaborations with Peter Kese and Matias Lizana, is an electronic eye: a color sensor between my eyes connected to a chip installed at the back of my head that transforms color frequencies into sound frequencies that I hear through my bone.

Watch Neil Harbisson's TED Talk

I've had the electronic eye permanently attached to my head and I've been listening to colors nonstop since 2004. So I find it completely normal now to hear colors all the time. At first, I had to memorize the sound of each color, but after some time this information became subliminal, I didn't have to think about the notes, color became a perception. And after some months, color became a feeling. I started to have favorite colors and I started to dream in color.

When I started to hear colors in my dreams, I noticed that my brain and the software had united and given me a new sense. My brain was creating electronic sounds in my dreams, not the device. That was the point when I started to feel no difference between the software and my brain: The cybernetic device had become an extension of my brain -- an extension of my senses. I started to feel like a cyborg: The cybernetic eye was no longer a device but a part of my body.

After some time it even became a part of my official image. You are not allowed to appear with any electronic equipment on the UK passport photo, but I insisted that what they were seeing was not a piece of electronic equipment but a new part of my body.

Since I started to hear color, my life has changed dramatically. Art galleries have become concert halls; I can hear a Picasso or a Rothko or an Andy Warhol. And supermarkets have become like night clubs. I love how they sound, especially the aisles with cleaning products.

TED.com: We are all cyborgs now

The way I dress has also changed. Before, I used to dress in a way that looked good, now I dress in a way that sounds good. If I'm happy I dress in a major chord. If I'm sad I dress in a minor chord. So if I need to go to a funeral, I might dress in B minor (that's turquoise, purple and orange).

My sense of beauty has also changed. Someone might look very beautiful but sound terrible, and someone might sound very harmonious but look awful. So I find it really exciting to create sound portraits of people. Instead of drawing the shape of someone's face I write down the different notes I hear when I look at them, and then I send them an mp3 of their face. Each face sounds different. I can even give face concerts now, concerts where I play the audience faces. The good thing about doing this is that if the concert doesn't sound good, it's their fault.

I also found out that things I thought were colorless are not colorless at all. Cities are not grey, Madrid is amber terracotta, Lisbon is yellow turquoise, London is very golden red... and humans are not black and white. Human skins range from light shades of orange to very dark shades of orange, we are never white or black. We are all orange.

After some time, an unexpected secondary effect appeared. I started to perceive normal sounds as color too. Telephone tones started to sound green, the BBC pips became turquoise, and listening to Mozart became a yellow experience, even people's voices had dominant colors. So I started to paint the colors of music and the colors of voices.

TED.com: Ray Kurzweil on the accelerating power of technology

There was a point when I was able to perceive 360 different colors, one for each degree of the color wheel. I was able to perceive colors just as well as people with color vision. Then I realized that the human visual system is not very impressive: you can't actually see many colors; there are many more colors around us that the human eye can't detect. So I just decided to continue extending my color perception and included infrared and ultraviolet into the color-to-sound scale.

So now I can also perceive infrared, which means I can hear if there are movement detectors in a room, or if someone is pointing at me with a remote control. The good thing about hearing ultraviolet is that you can hear if it's a good day or a bad day to sunbathe. Ultraviolet is a dangerous color, a color that can kill us, so it would be useful for all of us to be able to perceive it.

We should all have the wish to extend our senses. If we compare ourselves with other animals, our senses are very limited. Some birds can see ultraviolet, dogs can hear ultrasounds, rats can smell much better than us, sharks can detect electromagnetic fields, dolphins can hear through their bones, bats can see through sound.

TED.com: The rise of human-computer cooperation

By becoming cyborgs we have the chance to extend our perception to the level of other animal species. We focus so much on extending our knowledge and focus so little on extending our senses. No matter how much I knew about color, as long as I couldn't sense color, color made no sense to me. Knowledge comes from our senses: if we extend our senses, we extend our knowledge.

We are the first generation that doesn't need to wait for natural evolution to evolve; we can evolve during our lifetime.

There's no need to create new superpowers. Nature already has them. So becoming a cyborg is not about becoming like a machine. It's not about becoming less human; it's about bringing us closer to other animals and to nature. It's about awakening our senses, our instincts, our intuition ... qualities that we seem to have lost due to our constant use of technology as an external tool and not as part of our body.

Life will be much more exciting when we stop creating apps for our mobile phones and we start creating apps for our own body.

Become a cyborg. You won't be alone.

The opinions expressed in this commentary are solely those of Neil Harbisson.

@highlight

Neil Harbisson was born colorblind but now perceives color through hearing

@highlight

He wears a device that produces sounds based on frequencies of colors

@highlight

Harbisson says he's become a cyborg, with a color sense beyond the average

@highlight

He says we don't need evolution to increase our senses, technology can do it