Washington (CNN) -- The question of same-sex marriage went again before the U.S. Supreme Court on Wednesday in the last of two oral arguments this week in separate appeals.

This session dealt with the Defense of Marriage Act, passed by Congress in 1996. It said, in part, that legally married same-sex couples cannot enjoy the range of financial and other benefits enjoyed by heterosexual married couples.

Here are five things we learned from arguments in this case:

1. Opening the gateways

A Supreme Court justice is sometimes like a fussy 8-year-old. She must eat her peas before any dessert. The dessert, of course, in the same sex-marriage cases are the constitutional "equal protection questions" -- the ones that get to the heart of defining what marriage is all about, the ones the entire nation wants answered.

The second day of hearings: Majority of justices raise questions

But Wednesday's green vegetables are the gateway or the jurisdictional barriers that must first be confronted. The justices spent the first 50 minutes of their two-hour argument deciding whether they should even be there. Can House Republicans defend the Defense of Marriage Act when the president refuses to do so?

It's no small matter. The executive branch, by tradition and statute, is charged with defending acts of Congress. The Obama Justice Department was doing just that when DOMA was being adjudicated by a federal judge in New York. Then an abrupt about-face. So one house of Congress decided it had to step in.

"Let's not confuse the issue of DOMA and the administration's decision that it was unconstitutional," House Speaker John Boehner, R-Ohio, told CNN last week. "It is not their role to decide what's constitutional. DOMA was a law that was passed by the House and Senate and signed into law by President Clinton.

"In our system of government, the administration doesn't get to decide what's constitutional -- the Supreme Court does. ... Our financing the lawsuit was to make sure the proper forum was used to make sure that we know what's constitutional and what isn't."

Read and listen to two days' of arguments for yourself

Chief Justice John Roberts at argument seemed to agree, suggesting the White House was trying to have it both ways -- believing DOMA was unconstitutional but continuing to defend it anyway.

If Obama "has made a determination that executing the law by enforcing the terms is unconstitutional, I don't see why he doesn't have the courage of his convictions and execute not only the statute, but do it consistent with his view of the Constitution, rather than saying -- oh, we'll wait until the Supreme Court tells us we have no choice."

Opinion: Chief justice reveals he's fed up with Obama

2. The moment, courtesy of Kagan

Most hot-button Supreme Court cases have a "moment," a comment or heated exchange that leaves onlookers with mouths agape and reporters scribbling furiously to mine the gold. Wednesday's memorable remarks came from Justice Elena Kagan, about 68 minutes into the arguments.

Paul Clement, the attorney representing the House GOP, suggested that when DOMA was passed "in 1996, something was happening" -- states were considering whether to upset the "traditional" view of marriage and include gay and lesbian couples.

"In a sense," said Clement, "it was forcing Congress to choose between its historic practice of deferring to the states and its historic practice of preferring uniformity."

Pause.

Protesters pack Supreme Court grounds

"I'm going to quote from the House Report here," said Kagan firmly, referring to the official recommendation from various congressional committees on the law's intent. "That 'Congress decided to reflect an honor of collective moral judgment and to express moral disapproval of homosexuality.' Is that what happened in 1996?"

There were audible gasps in the courtroom. It deflated suggestions Congress merely wanted federal uniformity.

"When Congress targets a group that is not everybody's favorite group in the world, that we look at those cases -- even if they're not suspect -- with some rigor to say: Do we really think that Congress was doing this for uniformity reasons, or do we think that Congress' judgment was infected by dislike, by fear, by animus?" she asked. "And whether that sends up a pretty good red flag that that's what was going on."

It was a simple, direct and stunningly effective tactic by the so-called "junior" justice. She did not need to express her own personal judicial views on the law. She let Congress' own words speak for itself -- albeit in a 2013 political and social lens.

New members to the bench have their own internal "learning curve," where they try to navigate the complexities and rhythms of their new home -- oral argument, opinion writing and the personal dynamics between one's eight colleagues, all brilliant legal minds.

But Kagan has seemed to pick things up quickly, especially remarkable since she's the only current member of the Supreme Court never to have been a judge before. She is confident at oral argument and can write opinions quickly. She and Justice Sonia Sotomayor, who preceded Kagan by a year, have found their footing. In their own way, they have become forces unto themselves.

16 braves and humorous signs on same-sex marriage

3. Court's conservatives go tepid

As subdued as the more liberal justices were Tuesday over California's Proposition 8, the voter initiative banning same-sex marriage, so conservatives appeared Wednesday over DOMA.

Roberts and Justice Antonin Scalia have been known to dominate especially high-profile debates, by turns passionate, clever and funny. Much of their energy was missing when the debate turned to congressional authority.

Roberta Kaplan, attorney for key plaintiff Edith Windsor, made a bold statement in favor of gay rights, saying a "sea change" was happening in the country in favor of same-sex marriage. Such sweeping rhetoric from counsel is usually an invitation to a verbal smackdown from the justices. They like specifics, not speeches. Scalia had his chance for a tailor-made "moment" of his own but did not pounce.

By the numbers: Same-sex marriage

"Why are you so confident in that judgment?" he asked mildly. "How many states permit gay couples to marry?" When told just nine, all Scalia could retort was, "So there has been this sea change between now and 1996."

The conservative justices were not exactly sitting on their hands, but aside from Justice Clarence Thomas, who never speaks at argument, their energy was noticeably absent.

4. So is DOMA doomed?

It's an almost reflexive attitude among many legal and political experts to downplay the influence Justice Anthony Kennedy possesses as the so-called swing vote among the divided conservative-liberal bench. Giving any one person in Washington that much credit just doesn't seem right, in the view of some. He certainly has done everything in his power to dismiss it, calling his ability to make or break a hot-button appeal a "myth."

But it was hard to ignore remarks Kennedy made about an hour into the argument, which may give cheer to gay rights supporters.

He pointed out there are about 1100 various federal provisions that legally married same-sex couples cannot use because of DOMA -- everything from taxes to family medical leave.

"Which in our society means that the federal government is intertwined with the citizens' day-to-day life, you are at real risk of running in conflict with what has always been thought to be the essence of the state police power, which is to regulate marriage, divorce, custody," he said.

Woman at the center of the case

They were brief comments, delivered in the typical droll manner that is the low-key justice. He never dominates arguments, but when he talks, ears perk up. Even the justices on the bench were looking his way, absorbing the impact of what Kennedy was trying to convey.

Any real power would be felt behind the red velvet curtains of the courtroom, where all important opinions are written. That is where the court derives its power and authority and where the views of this 76-year-old Californian must be respected.

5. Waiting for the final act

So what's next? In short, the public waits while the justices write.

The members will meet privately later this week in a special conference room -- just the nine of them with no clerks, staff or reporters allowed.

There, the court is expected to vote -- at least preliminarily -- on the two same-sex marriage appeals. Opinion writing will commence, endless drafts will be exchanged among chambers and suggestions for changes will come flooding.

Bit by bit, the makings of legal opinion take shape. Justices are free to change their mind midstream -- and they do. Witness Roberts last year during the challenge to the health care reform law championed by Obama. Government sources confirm Roberts switched sides several weeks after an initial vote and was the controlling vote to uphold Obamacare.

The internal drama will play out over the next three months, unseen by the public. The court's high profile will re-emerge when their ruling is issued, but the guessing game has already begun.

Couple at the center of Prop 8 case

@highlight

Supreme Court hears a challenge to the Defense of Marriage Act

@highlight

A key legal question: Can House defend DOMA when executive branch won't?

@highlight

Justice Elena Kagan's reading from 1996 act provides Wednesday's "moment"

@highlight

The high court's conservatives were noticeably subdued