Oscar-winning director James Cameron resurfaced Monday after plunging to the deepest known point in the world's oceans in his one-man submersible.

His history-making solo venture to Challenger Deep, part of the Mariana Trench in the western Pacific Ocean, left him feeling "complete isolation from all of humanity," he said.

"I felt like I literally in the space of one day have gone to another planet and come back."

At more than 10,900 meters (about 35,800 feet), the Mariana Trench is deeper than Mount Everest is tall. It has had only two previous human visitors: U.S. Navy Lt. Don Walsh and the late Swiss explorer Jacques Piccard, who descended to that spot in 1960.

Map: Mariana Trench depth

Cameron is the first to make the trek alone. And he did so hours before he was due in London for the premiere of the 3-D version of his 1997 blockbuster movie, "Titanic."

The man who was also behind "Avatar" went down in a high-tech vessel, the Deepsea Challenger, which he and a group of scientists and engineers constructed in Australia over the past eight years.

The bottom was a "very soft, almost gelatinous, flat plane, almost featureless" and went as far as he could see, Cameron said, describing the "vast frontier down there."

"It's a completely alien world," he said.

But he did not see the kind of large life forms that some might dream up, he said.

"We'd all love to think there are giant squid and sea monsters down there. We can't rule it out, but my bet is there aren't. What you're going to find is these very, very interesting animals, the likes of which we've never seen before, that have adapted to this extreme environment."

Opinion: Philippe Cousteau on the importance of deep sea exploration

In a video feed afterward from a large ship, Cameron told reporters, "I had this idea that life would adapt, life would be able to adapt to the deepest place. But I don't think we're seeing that.  At a microbial level, yes, life is adapting."

He said he did not see fish at such depth.  "The only free swimmers I saw were these little ... shrimplike animals," scavengers that devour potential food that falls, such as dead fish or whales.

It's a cold, dark, "completely black world that's devoid of sunlight" and warmth, he said.

Animals that far down are usually white with no pigment, he said. Some have eyes to see bioluminescence, while others have no eyes.

The full trip took about seven hours, he said.

While the journey went well, one technical glitch caused a problem, he said.  The hydraulics prevented him from using a manipulator arm to collect samples to bring back to the surface. Cameron said he's confident it will be fixed for the next trip.

This trip is only the beginning, he said.

Horrific tsunamis originate in the depths of the ocean, he said, suggesting that a better understanding could ultimately help societies understand and prepare for such disasters.

And some believe life may have originated in what are now the oceans' lowest points, he said.  So the research could help answer some "fundamental questions."

In an era in which anyone can use Google maps to zoom in on a satellite image of any part of the world, "the last frontier that really exists" on Earth is the deep ocean, Cameron said.

Cameron reached the point near Guam at 7:52 a.m. Monday (5:52 p.m. ET Sunday), said Ellen Stanley, a spokeswoman for the National Geographic Society, which is working with Cameron on the project.

Outfitted with special cameras and robotic arms, Deepsea Challenger is able to dive vertically at speeds of 500 to 700 feet per minute and can withstand immense pressure -- up to 16,000 pounds per square inch.

The descent took 2 hours, 36 minutes.

"Just arrived at the ocean's deepest pt," he tweeted at the time. "Hitting bottom never felt so good."

It wasn't immediately clear how Cameron managed to update his Twitter feed from such depths. When astronauts sent tweets from space, they were e-mailed to mission control, where support staff posted them to the astronauts' Twitter accounts. (But that changed in 2010, when the International Space Station received a special software upgrade that NASA called "the ultimate wireless connection.")

It is estimated that more than 750,000 marine species have not been formally described in scientific literature over the centuries, triple the number of those that have been. The figures exclude microbes; a 2010 marine life census estimates there are up to 1 billion kinds of those.

At noon (10 p.m. ET Sunday), the sub broke through the surface after a quick 70-minute ascent.

Billionaire businessman and adventurer Richard Branson and Patrick Lahey, an experienced submarine pilot, had also sought to make the first solo trip to Challenger Deep.

The nonprofit X-Prize Foundation has announced it will award a $10 million prize to the first person to reach the bottom of the Mariana Trench. Cameron said he's not interested in competing for this prize, or any other, because his mission is purely about scientific research.

"You know, there's so much we don't know," Cameron recently told CNN. "I'm hopeful that we'll be able to study the ocean before we destroy it."

@highlight

It felt like another planet, director James Cameron says

@highlight

At a microbial level, life is adapting, Cameron says

@highlight

The hydraulic system did not work, so samples could not be brought back, Cameron says

@highlight

He is the first person to dive solo to that spot, the deepest in any of the world's oceans