(CNN) -- The popular protests in Tunisia that have caused upheaval in the government were sparked by Mohamed Bouazizi, a 26-year-old unemployed college graduate, who set himself on fire in protest. He later died. Now, reports are coming in from other countries in the region -- Egypt, Algeria, and Mauritania -- that other demonstrators are turning to self-immolation.

In Egypt, Abdo Abelmonem Gafr, a baker from a town outside Cairo, set himself on fire outside the parliament building in the capital on Monday, an Interior Ministry official said. Gafr has burns to his face but is alive and not badly hurt, ministry spokesman Alla Mahmood said. A police officer put the fire out. Gafr's motives and his age were not immediately known.

In Algeria, security officials said Sunday that three people set themselves on fire in protest. Riots and demonstrations have erupted in Algeria in recent days. Much like in Tunisia, Algerians are frustrated over the economy, rising food prices and what they feel is a government that's not responding to their needs.

New Tunisian government could be announced Monday

News reports out of Mauritania say a man set himself on fire Monday in front of the presidential palace. Reports identify the man as Yacoub Dahoud, who posted a Facebook message praising Bouazizi and vowing, "We will never forget you."

Mauritanian media said Dahoud started a Facebook group called "Stop the corruption and tyranny in Mauritania." In a statement on the page, Dahoud wrote, "Isn't it the time for the Mauritanian people to choose their freedom?"

"The Arab world's horrific new trend: self-immolation," wrote Blake Hounshell of the foreignpolicy.com blog on Monday.

"There is something horrifying and, in a way, moving about these suicide attempts. It's a shocking, desperate tactic that instantly attracts attention, revulsion, but also sympathy," Hounshell, Foreign Policy's managing editor, wrote.

Throughout the Tunisia protests, experts have been saying similar demonstrations could spread to other nations in the region.

Bouazizi, the man who triggered the Tunisia protests, had set himself ablaze outside a government building in the town of Sidi Bouzid after police confiscated his fruit cart, saying he was selling without a permit, according to Amnesty International.

In a country with a long-time president and a young, underemployed population, the incident became a symbol for millions. Other Arab nations face similar conditions -- large populations of young people, anger over the economy, and a government that many feel fails to represent them.

A 2008 study by doctors in Iran, titled "Self-immolation in Iran" and published in the Journal of Burn Care and Research, says, "Deliberate self-inflicted burn is rare in high-income countries, but is reported more frequently in low- and middle-income countries, especially in Asia and Africa."

The study, which has an abstract on PubMed.gov, adds, "Unemployment was a risk factor for self-immolation, while mental disorders and lack of access to health and treatment facilities did not play an important role for increasing the rate of self-immolation."

Buddhist monks famously took to self-immolation in protest against the Vietnam War. "Of all the dramatic photographs to come out of the Vietnam War, the first to shock the world was of a Buddhist monk in flames," journalist Tim Larimer wrote for Time magazine in 1999.

At Beijing's Tiananmen Square in 2001, five people lit themselves on fire in front of a CNN crew. One died. A police report identified them as members of the banned Falun Gong movement. But Falun Gong denied any connection to that incident, saying what transpired had "nothing to do with Falun Gong practitioners."

It is too soon to know whether the reports coming in of self-immolations are connected, and whether those lighting themselves on fire are hoping to spark protests in their countries.

But as the events in Tunisia show, leaders of other nations in the region who face anger from a young, frustrated, underemployed population have reason to be on guard.

-CNN's Saad Abedine contributed to this report.

@highlight

NEW: Mauritanian media say man praised Bouazizi on Facebook

@highlight

Reports of self-immolation have come in from four countries

@highlight

Foreignpolicy.com writer calls it Arab world's "horrific new trend"

@highlight

Study found unemployment a risk factor