Editor's note: Angelo Falcón, a political scientist, is president of the National Institute for Latino Policy, a nonprofit think tank on issues affecting the Latino community. He is co-editor of "Boricuas in Gotham: Puerto Ricans in the Making of Modern New York," and author of the "Atlas of Stateside Puerto Ricans."

Angelo Falcón says Sonia Sotomayor's identification as a Puerto Rican has caused her joy and a little grief.

NEW YORK (CNN) -- The nomination of Sonia Sotomayor for Associate Justice of the Supreme Court of the United States has raised the profile of Puerto Ricans in the American consciousness.

Her identification as a Puerto Rican has caused Judge Sotomayor both joy and a little grief during this stormy nomination process. But, being a Puerto Rican who also grew up in New York City, well, I can say that's par for the course for most of us.

Despite Puerto Rico being a possession of the United States since 1898, most Americans know very little about the island and Puerto Ricans -- except for tourism commercials. Many consider Puerto Ricans living in the United States outside of Puerto Rico (I called these "Stateside Puerto Ricans") another new immigrant group of Latinos.

But the reality is that we can trace Puerto Rican settlements in New Orleans to the 1860s and workers from Puerto Rico migrated to Hawaii around 1900. In 1917, through an act of the United States Congress (the Jones Act), the people of Puerto Rico were made United States citizens, enabling them to come to the United States freely and legally without passport or visa.

I grew up in the Williamsburg section of Brooklyn, New York, in an area known as "Los Sures" (The Southside). Born in San Juan, Puerto Rico, in 1951, my mother brought me to New York when I was only 6 months old.

Now, to point out how different we are from most Americans, check this out: Despite living 99 percent of my life in New York and being a U.S. citizen for 100 percent of my life, under some interpretations of the law, because I was not born in a state of the United States (nor were my parents), I may not even be eligible to run for president of the United States! I am not sure how this has affected my career development, but I am sure it has resulted in some deep psychological trauma that I have yet to understand.

Puerto Ricans have been migrating to the United  States since the 1800s, but it wasn't until World War II that this population movement peaked. At the time of this "Great Migration" over 80 percent of the Puerto Rican population in the United States lived in New York City. "West Side Story," "The Blackboard Jungle," Piri Thomas' book, "Down These Mean Streets," all tried to capture this experience. It was a time when we became social guinea pigs, the subjects of Oscar Lewis' "culture of poverty" experiments and the like.

Fast forward to today: The 800,000 Puerto Ricans in New York City represent about 20 percent of the more than 4 million Puerto Ricans living stateside. There are now more Puerto Ricans living stateside than in Puerto Rico. The fastest-growing Puerto Rican settlements in the States are in Florida and the South, not in the Northeast and Midwest where Puerto Ricans traditionally migrated.

While once seen as basically a very poor community, the stateside Puerto Rican community has become more economically, politically and culturally complex than ever. Alongside very poor Puerto Ricans in areas such as the South Bronx, there are growing middle-class Puerto Rican neighborhoods in the New York suburbs.

Settlements in states such as Florida, Texas and California are full of Puerto Rican professionals --- surgeons, engineers, lawyers. Where once this was seen as a very politically liberal community captured by the Democratic Party, in these newer settlements we are seeing a growing trend toward conservative politics.

Then there is Puerto Rico. There are about 4 million residents, 95 percent of whom identify as Puerto Rican. Puerto Rico is a territorial possession of the United States, which was formally defined a commonwealth after a vote by its residents in 1952. The U.S. Congress is currently debating its future political status -- whether it should remain a commonwealth, or become a state or an independent nation. And it appears Puerto Ricans living stateside are as divided on this question as those in Puerto Rico.

The U.S. Supreme Court once described Puerto Rico's relationship to the United States as "foreign in a domestic sense." Don't worry, I don't know what that means either. But it does point to a rather convoluted relationship embodied in a series of Supreme Court decisions called the Insular Cases.

The bottom line is Puerto Rico is an integral part of the United States. They use the same currency, follow the same laws and are subject to the same federal courts system. They even have the same fast food places -- so they are killing themselves dietarily just like the rest of the United States.

However, did you know that despite being U.S. citizens, the people of Puerto Rico can't vote for the U.S. president? And Puerto Rico is excluded when the U.S. Census Bureau reports its numbers on Hispanic population in the United States? So, next time you hear a report on U.S. Hispanic population, add 4 million to get it right!

As Judge Sotomayor's Puerto Rican heritage is discussed in reference to her nomination, it is clear that it is an experience that is thoroughly American. Exotic as we may sound to some, we are a people just trying to get by and as bewildered by American politics and jusiprudence as the next guy. Judge Sotomayor, as a Puerto Rican, is, well, as American as mango pie.

The opinions expressed in this commentary are solely those of Angelo Falcón.

@highlight

Angelo Falcón: Sonia Sotomayor is part of New York's large Puerto Rican community

@highlight

He says Puerto Ricans were granted U.S. citizenship in 1917

@highlight

He says Puerto Ricans in the states outnumber those on the island

@highlight

Falcón: Sotomayor's ethnic heritage is throughly American