(CNN) -- Great Britain can legitimately claim to have invented ice hockey, and even won gold at the 1936 Winter Olympics -- but its modern-day heroes are struggling to uphold that heritage in the face of adversity.

When some British solders first ventured on to the ice in Ontario, Canada in the mid-19th century to play a modified version of field hockey, they could never have dreamed a multibillion-dollar business would be the legacy.

However, while the sport has flourished in North America and other European nations, in the UK it battles a chronic lack of funding and fights for snippets of media coverage in a country where football dominates the back pages.

Team GB has not played in the Winter Games since 1948, and suffered another heartbreaking failure last week in the final round of qualifying in Riga.

Despite the setbacks, stalwart player David Clarke remains optimistic for the future of the sport.

"Great Britain isn't renowned for its ice hockey talent, but it's growing and we've made a great account for ourselves over the last four or five years," Clarke told CNN's Human to Hero series.

"So, I think gradually we are getting more respect but with that comes expectation."

A squad coached by Scotsman Tony Hand, who briefly played alongside Wayne Gretzky in the NHL, lost to 11th-ranked hosts Latvia, France and Kazakhstan, ending their hopes of going to Sochi in 2014.

"We gave a decent account of ourselves, but it would have been nice to have been able to get together as a team for more than just two days to properly prepare," said Clarke.

Andy French, general secretary of Ice Hockey UK, which now boasts over 10,000 registered players, is dismayed they receive no funding from the British sports authorities.

"Extra backing would create more revenue to enable all our teams from junior to senior level to have four international breaks per year to prepare for world championships, to bring on board a sports psychologist, team nutritionist, better preparation," he told CNN.

Clarke could have followed Hand over the Atlantic to try his hand in the toughest league of all, but decided to stay home after becoming a father at the age of 18.

He also had trials for his local professional football club Peterborough, but chose hockey.

Star player

If he has any regret at missing out on the possible riches in the NHL, or even the EPL, the 31-year-old does not show it.

He has forged a reputation as one of the star players in the British domestic league, being the all-time top scorer, and has helped Nottingham to a Playoffs and Challenge Cup double the past two seasons.

Matches are played in purpose-built arenas, with the capital cities of Wales, Northern Ireland and Scotland hosting the Cardiff Devils, Belfast Giants and Edinburgh Capitals before audiences of between 5,000 to 8,000 partisan fans.

London had a team, for which Clarke briefly played, run by the Anschutz Entertainment Group -- one of the world's largest sporting owners and investors. The London Knights were wound up in 2003 after only five years when the competition they played in folded and their home stadium was sold.

The NHL hosted two fixtures between the Anaheim Ducks and the Los Angeles Kings at London's 02 Arena in 2007, but French bemoans the fact the English capital is not represented in the GB professional league.

"I think having the NHL play here is great for the fans and also does encourage people to find out where their nearest ice rink is either to go and watch a game or for the youngsters to start playing," he said.

"But one big issue that we have is that we do not have a professional team playing in London. We used to have the London Knights but they finished a few years ago now."

But Clarke is encouraged by the rise of homegrown talent in a GB team which used to be packed with dual nationality players, often of Canadian and U.S. heritage.

So can a GB team make it to a future Olympics and take a short step towards emulating the 1936 heroes?

"Without a doubt," he said. "But if we don't start now we are going to miss the opportunity.

"It's a case of getting that talent to play to the best of their abilities. Slovenia, who we have beaten, came through the qualifying to make it to Sochi, and so can we at future Games."

Clarke shows no signs of hanging up his sticks, and playing for his country remains the ultimate goal.

"It's a massive honor. Any sport you're involved in, the pinnacle is to represent your country," he said.

That he has been able to survive at the top of the tree for that long is testament to Clarke's commitment and a fitness program that begins at 7 a.m. each morning.

He practices on the ice for about two hours, in the gym for an hour and a half followed by about 45 minutes of rehabilitation and stretching.

"We consume lots and lots of food, way over the recommended daily allowance," he said.

"Especially for me because I struggle to keep my weight on."

Physical sport

The world over, ice hockey is a tough and physical sport and Clarke has his tales of woe.

"Broken leg twice, a few knee ligament injuries, concussions. A few pucks, sticks in the head but we have good dentists and good doctors on hand."

He first picked up a stick at his local rink when only six years of age and, aside from the brief flirtation with football, was dead set on representing Britain at ice hockey.

He progressed through the under 18 and 20 ranks, eventually taking his place in a GB lineup with players he had considered "his idols" when watching as a youngster.

"When he first broke into the British squad at the turn of the century his talent was obvious," said Ice Hockey UK's media officer Chris Ellis.

Clarke's regular position is as an offensive forward "expected to contribute goals and in assists" and his standout abilities earned him a one-year contract with Alleghe in Italy in 2007.

"He is one of the few British players to play abroad at the top level," said Ellis.

But the lure of home proved too strong and he returned to Nottingham for another successful spell.

The Elite League has a heavy schedule, ending in April when Clarke will again hurriedly form up with the GB team as they bid to erase memories of their Latvian disappointment.

"We've got the world championship which is in Budapest this year and that will be our next focus ... we'll give it our all," he said.

Britain plays in the second tier of competition -- the top pool dominated by the likes of the United States, Canada and Russia -- but will be bidding to improve its 21st ranking.

It's a far cry from the days when a GB team took bronze in the 1924 Games in Chamonix, and capped that with gold in Germany 12 years later.

The sport's powerhouses Canada and the United States took the silver and bronze, but with the NHL going to strength to strength in North America the foundation for their later domination was forged.

The break-up of the Soviet Union also made it tougher for the likes of Britain to take a place at the top table, with countries such as Latvia and the Belarus forming strong national teams, with many of the players competing in the Russian league.

Early roots

After those early Olympic successes, the British influence at the highest levels faded fast, but it has been a popular spectator sport and in the late 1980s enjoyed a revival with top teams featured on national television.

Sadly, momentum was lost, and the likes of Clarke have the satisfaction of taking part in a sport with strong regional identity, but without the sponsorship to attract widespread TV coverage.

He is already looking to the future, and believes that in the junior group he coaches, there are players with potential to do "very big things" in the future.

Maybe one of his charges will find their way to the NHL, and if they show the dedication to the cause -- "never leave anything behind on the ice" is his motto -- that Clarke has displayed over his long career, then his predictions could prove spot on.

@highlight

Great Britain won Olympic gold medal in ice hockey in 1936

@highlight

GB has not qualified for the Winter Games since 1948

@highlight

Sport suffers from a lack of government backing and TV coverage

@highlight

David Clarke has been a stalwart of GB team for over 10 years