(CNN) -- We recently learned that U.S. intelligence agencies had at least three days' warning that Syrian President Bashar al-Assad was preparing to launch a chemical attack on his own people, but wasn't able to stop it. At least that's what an intelligence briefing from the White House reveals. With the combined abilities of our national intelligence apparatus -- the CIA, National Security Agency, National Reconnaissance Office and all the rest -- it's not surprising that we had advance notice. It's not known whether the U.S. shared what it knew.

More interestingly, the U.S. government did not choose to act on that knowledge (for example, launch a pre-emptive strike), which left some wondering why.

There are several possible explanations, all of which point to a fundamental problem with intelligence information and our national intelligence apparatuses.

The first possibility is that we may have had the data, but didn't fully understand what it meant. This is the proverbial connect-the-dots problem. As we've learned again and again, connecting the dots is hard. Our intelligence services collect billions of individual pieces of data every day. After the fact, it's easy to walk backward through the data and notice all the individual pieces that point to what actually happened. Before the fact, though, it's much more difficult. The overwhelming majority of those bits of data point in random directions, or nowhere at all. Almost all the dots don't connect to anything.

Rather than thinking of intelligence as a connect-the-dots picture, think of it as a million unnumbered pictures superimposed on top of each other. Which picture is the relevant one? We have no idea. Turning that data into actual information is an extraordinarily difficult problem, and one that the vast scope of our data-gathering programs makes even more difficult.

The second possible explanation is that while we had some information about al-Assad's plans, we didn't have enough confirmation to act on that information. This is probably the most likely explanation. We can't act on inklings, hunches, or possibilities. We probably can't even act on probabilities; we have to be sure. But when it comes to intelligence, it's hard to be sure. There could always be something else going on -- something we're not able to eavesdrop on, spy on, or see from our satellites. Again, our knowledge is most obvious after the fact.

The third is that while we were sure of our information, we couldn't act because that would reveal "sources and methods." This is probably the most frustrating explanation. Imagine we are able to eavesdrop on al-Assad's most private conversations with his generals and aides, and are absolutely sure of his plans. If we act on them, we reveal that we are eavesdropping. As a result, he's likely to change how he communicates, costing us our ability to eavesdrop. It might sound perverse, but often the fact that we are able to successfully spy on someone is a bigger secret than the information we learn from that spying.

This dynamic was vitally important during World War II. During the war, the British were able to break the German Enigma encryption machine and eavesdrop on German military communications. But while the Allies knew a lot, they would only act on information they learned when there was another plausible way they could have learned it. They even occasionally manufactured plausible explanations. It was just too risky to tip the Germans off that their encryption machines' code had been broken.

The fourth possibility is that there was nothing useful we could have done. And it is hard to imagine how we could have prevented the use of chemical weapons in Syria. We couldn't have launched a pre-emptive strike, and it's probable that it wouldn't have been effective. The only feasible action would be to alert the opposition -- and that, too, might not have accomplished anything. Or perhaps there wasn't sufficient agreement for any one course of action -- so, by default, nothing was done.

All of these explanations point out the limitations of intelligence. The NSA serves as an example. The agency measures its success by amount of data collected, not by information synthesized or knowledge gained. But it's knowledge that matters.

The NSA's belief that more data is always good, and that it's worth doing anything in order to collect it, is wrong. There are diminishing returns, and the NSA almost certainly passed that point long ago. But the idea of trade-offs does not seem to be part of its thinking.

The NSA missed the Boston Marathon bombers, even though the suspects left a really sloppy Internet trail and the older brother was on the terrorist watch list. With all the NSA is doing eavesdropping on the world, you would think the least it could manage would be keeping track of people on the terrorist watch list. Apparently not.

I don't know how the CIA measures its success, but it failed to predict the end of the Cold War.

More data does not necessarily mean better information. It's much easier to look backward than to predict. Information does not necessarily enable the government to act. Even when we know something, protecting the methods of collection can be more valuable than the possibility of taking action based on gathered information. But there's not a lot of value to intelligence that can't be used for action. These are the paradoxes of intelligence, and it's time we started remembering them.

Of course, we need organizations like the CIA, the NSA, the NRO and all the rest. Intelligence is a vital component of national security, and can be invaluable in both wartime and peacetime. But it is just one security tool among many, and there are significant costs and limitations.

We've just learned from the recently leaked "black budget" that we're spending $52 billion annually on national intelligence. We need to take a serious look at what kind of value we're getting for our money, and whether it's worth it.

The opinions expressed in this commentary are solely those of Bruce Schneier.

@highlight

U.S. intelligence agencies had some prior warnings about Syria's chemical attack

@highlight

Schneier: Despite the knowledge, the U.S. wasn't able to stop the attack

@highlight

He says having more data does not necessarily enable government to act meaningfully

@highlight

Schneier: The paradox is that a lot of valuable intelligence can't be used for action