(CNN)  -- Israeli soldiers routinely and intentionally put children in harm's way during their 22-day offensive against the Palestinians in Gaza, according to a United Nations report made public Monday.

On March 6, a Palestinian boy sits on the rubble of a building destroyed during Israel's 22-day Gaza offensive.

The report said a working group had documented and verified reports of violations "too numerous to list."

For example, on January 15, in a town southwest of Gaza City, Israel Defense Forces soldiers ordered an 11-year-old boy to open Palestinians' packages, presumably so that the soldiers would not be hurt if they turned out to contain explosives, the 43-page report said.

They then forced the boy to walk in front of them in the town, it said. When the soldiers came under fire, "the boy remained in front of the group," the report said.

It said the boy was later released.

Also cited were "credible reports" that accused Hamas, the militant Palestinian group that runs Gaza, of using human shields and placing civilians at risk.

But it singled out the Israelis for more sweeping criticism.

A spokesman for the Israeli prime minister called the report another example of the "one-sided and unfair" attitude of the U.N. Human Rights Council, which requested it.

The report cited two alleged incidents from January 3. In one, it said, after a tank round struck near a house, a father and his two sons -- both younger than 11 -- emerged to look at the damage.

"As they exited their home, IDF soldiers shot and killed them (at the entrance to their house), with the daughter witnessing," the report said.

In the second, it said, "Israeli soldiers entered a family house in the Zeitoun neighborhood of Gaza City. Standing at the doorstep, they asked the male head of the household to come out and shot him dead, without warning, while he was holding his ID, hands raised up in the air, and then started to fire indiscriminately and without warning into the room where the rest of the family was huddled together.

"The eldest son was shouting in vain the word 'Children' in Hebrew to warn the soldiers. The shooting did not stop until everyone was lying on the floor. The mother and four of the brothers, aged 2-12 years, had been wounded, one of them, aged 4, fatally."

The alleged instances occurred during Operation Cast Lead, which was launched December 27 to halt rocket attacks into southern Israel from Gaza and ended January 17 with a cease-fire.

The U.N. report called the response by Israel disproportionate.

Of the 1,453 people estimated killed in the conflict, 1,440 were Palestinian, including 431 children and 114 women, the report said.

The 13 Israelis killed included three civilians and six soldiers killed by Hamas, and four soldiers killed by friendly fire, it said.

The report said the Israeli operation resulted in "a dramatic deterioration of the living conditions of the civilian population."

It cited "targeted and indiscriminate" attacks on hospitals and clinics, water and sewage treatment facilities, government buildings, utilities and farming and said the offensive "intensified the already catastrophic humanitarian situation of the Palestinian people."

It said Israeli strikes damaged more than 200 schools and left more than 70,000 people homeless.

"There are strong and credible reports of war crimes and other violations of international norms," it said, adding that many observers have said war crimes investigations should be undertaken.

"The alternative is de facto impunity," it said.

It called for the end of Israel's blockade of Gaza and the free passage into the territory of food, medicine, fuel and construction supplies.

Mark Regev, a spokesman for Israeli Prime Minister Ehud Olmert, called the report "another example of the one-sided and unfair attitude of the rapporteur of the Human Rights Council, a council that has been criticized by current and previous secretaries-general for its unbalanced attitudes toward Israel."

He added, "The negative fixation on Israel by the council has done a disservice to the issue of human rights internationally as has been attested to by the leading NGO's [nongovernmental organizations] on human rights."

Another report issued Monday also was critical of the IDF. The report from Physicians for Human Rights said the Gaza incursion violated IDF's own code of ethics.

The report by the medical group, which shared the 1997 Nobel Peace Prize, cited instances where it said IDF forces did not evacuate injured civilians for days and prevented Palestinian teams from reaching the wounded, and said some of them died as a result.

It said 16 Palestinian medical personnel were killed by IDF fire and 25 were wounded during the IDF operation, and accused the IDF of attacking 34 medical centers in violation of the IDF's own "ethical code for fighting terror."

In response, the IDF accused Hamas of having used medical vehicles, facilities and uniforms to conceal its members' activity.

"Hamas used ambulances to 'rescue' terror activists from the battlefield and used hospitals and medical facilities as hiding places," the Israelis said in a written statement.

"Despite this, throughout the fighting, IDF forces were instructed to avoid firing at ambulances, even if they were being used by armed fighters. They were instructed only to shoot if there was fire towards our forces emanating from the direction of the ambulance."

Regarding the reported delays in casualty evacuations, "there existed real difficulties in evacuating the injured, due to the roadblocks, booby-trapped roads and dirt mounds placed by the Hamas as well as the considerable damage to the infrastructure," the statement said.

Nevertheless, it said, an IDF investigation is ongoing and its conclusions will be made public once it is complete.

But Dr. Dani Filc, PHR-Israel chairman, was skeptical that the investigation would prove useful. "There are considerable doubts that the IDF is the correct institution to investigate suspicions of these violations," he said.

"The IDF's repeated promises to the High Court to look into attacks on medical teams and medical centers have gone unfulfilled, and there are suspicions concerning its seriousness and readiness to carry out the matter."

The Israeli military did accept criticism Monday on another matter -- the practice of some Israeli soldiers of wearing T-shirts that appear to condone acts of violence against Palestinians.

The Israeli daily Haaretz newspaper reported that Israeli soldiers who had finished basic training ordered the shirts, one of which showed a pregnant Arab in the crosshairs of a gun sight with a caption reading "1 Shot 2 Kills." Another showing a small child in a gun's sight was captioned, "The smaller they are, the harder it is."

"The examples presented by The Haaretz reporter are not in accordance with IDF values and are simply tasteless," the Israeli military said in a written statement. "This type of humor is unbecoming and should be condemned."

Israeli soldiers said last week that Palestinian civilians were killed and Palestinian property intentionally destroyed during Israel's military campaign in Gaza, according to Haaretz.

The IDF has said it is investigating the claims, but its top general expressed skepticism Monday.

"I don't believe that soldiers serving in the IDF hurt civilians in cold blood, but we shall wait for the results of the investigation," Lt. Gen. Ashkenazi, the chief of staff, said in a speech.

"I tell you that this is a moral and ideological army."

He blamed Hamas for choosing "to fight in heavily populated areas.

"It (was) a complex atmosphere that includes civilians and we took every measure possible to reduce harm of the innocent," he said, according to an IDF statement.

@highlight

Israel: U.N. Human Rights Council has "one-sided and unfair" attitude

@highlight

Report says Israeli soldiers intentionally put children in harm's way during offensive

@highlight

U.N. report also said there was credible evidence Hamas used human shields

@highlight

Report called the Israeli response to Hamas rocket attacks disproportionate