(CNN) -- Sharia stood immobile in front of the television, transfixed by its images, unaware of the world around her. Her family called her name over and over again, but she did not respond. It was that moment when they knew something was wrong.

Initially, they thought it was a hearing problem. When they found nothing wrong, they decided to take 2-year-old Sharia to a specialist at an early detection center in 2009.

"Within five minutes of looking at Sharia, (the specialist) said that she has autism," said Sharia's father, Fawad Siddiqui. "A very clear case of it."

Siddiqui, 38, and his wife, Ayza Sheikh, were under the impression that Sharia was simply a late talker. Originally from Pakistan, the Siddiquis had no relatives to advise them on their first child.

Speech, occupational and behavior therapies helped some. But Sharia still struggled with communication.

Then, in 2010, Apple's iPad was released.

Siddiqui, a Columbia, Maryland, resident who shared his daughter's story on iReport, said that before having the iPad, Sharia's only way of communicating was crying. She was non-verbal and had no way of expressing what she wanted or how she was feeling.

Apple's touchscreen gadget wasn't the first tablet computer and isn't the only one now. But it quickly emerged as the overwhelming market leader, introducing millions of people worldwide to the concept of a computer that dwells somewhere between a smartphone and a laptop and offers a large screen full of images and icons with which the user can interact with a single touch.

"What the iPad has done has given her a sense of control that she never had before," Siddiqui said. "She knows when you touch it, something is supposed to happen. She knows she doesn't need to cry, she needs to point."

At first, Sharia enjoyed watching movies and playing games. However, through therapy and at home, she was introduced to apps such as Proloquo2Go, First Words, ABCs and Me and Puzzle Me, to name a handful. She soon learned to put together short sentences like "I want Dora" to express what she wanted.

A communications revolution

Proloquo2Go was Sharia's first app and the first real augmented communication app, released first for iPhones in 2009.

AAC, or augmentative and alternative communication, is a series of interventions used to help children with severe communication disorders communicate. Many apps are designed based on this method of therapy.

David Niemeijer, founder and CEO of Amsterdam-based AssistiveWare, creator of Proloquo2Go, said that 90% of AAC users use an iPad for communication, and more than 25% use an iPhone or iPod Touch, according to the company's surveys. About half of them reported improved speech abilities.

A search for "autism apps" for the iPad in Apple's App Store brings 764 hits. About 142 were released this year.

Similarly, dozens of assistance and education autism apps have sprung up on tablets and other devices running Google's Android operating system.

The accessibility of online stores as a platform for apps has opened a new avenue for parents. Those with the know-how are able to create apps based on their child's specific needs.

Tricia Estrada of San Diego has developed apps for her son, Evan. The app and website Wonkido has a series of animations, each about four to five minutes in length, depicting various social skills such as "asking to play" and "going potty." By watching, kids acquire a database of episodes to draw from for future social situations, she said.

Estrada said the most appealing facet of the iPad is its mobility. Before, when Evan needed to learn a new concept in the middle of soccer practice or while at a restaurant, she had no way of showing him until the therapist gave him a card or bought a DVD weeks later. With the iPad or iPhone, it's immediate.

"I think (the iPad) is revolutionizing the augmentative communication field," said Dr. Oliver Wendt, assistant professor of speech, language and hearing sciences at Purdue University. "It's a very cost-effective system. Before, we had these expensive, bulky items, which now can be replaced with an iPad."

The equipment that was used previously could cost $9,000 to $15,000.

iPads are now available for as little as $399. A majority of the apps on the iPad are paid apps that cost 99 cents to $299.99. Some of these prices may seem rather expensive for regular iPad users, but autism communities are thrilled.

iReport: Steve Jobs helped my autistic son speak

Wendt, who specializes in technological aspects of AAC solutions, collaborated with Purdue student group Engineering Projects in Community Service to develop a free app called SPEAKall! based on a widespread autism intervention known as Picture Exchange Communication System.

Traditionally, in a low-technology approach, children would hand laminated picture cards to their therapist or caretaker in order tell them what they want.

The app has two visible parts on the screen: a top row and a bottom row. The top has pictures and symbols, and the bottom is a storyboarding strip where kids can drag and drop the pictures to create sentences. These pictures can include objects, feelings or anything relevant to the child.

"It is very important to put symbols on that are truly reinforcing for the child, symbols that match something the child really wants," Wendt said. The app allows parents to take pictures on the spot and add them to the existing bank of symbols.

The child is then able to create sentences using the images, such as "I want apple" or "I feel sad." At the end, they can push the "Speak All" icon to hear the sentence.

Removing "extra baggage"

Martha Herbert, a pediatric neurologist and neuroscientist at Massachusetts General Hospital of Harvard Medical School in Boston, said the iPad allows individuals to bypass many difficulties they have in communicating.

Herbert explains that apraxia or dyspraxia is what makes communication difficult. Apraxia means that although your brain can develop an intention of doing something, it is physically difficult to do it. You may want to speak but can't move your lips.

"These apps allow you to do a shortcut around the neuromotor problems getting in the way of communication," Herbert said.

Communication is not just limited to speech. In order to understand and respond to an individual, you have to be able to decode their body language, facial expressions and lip movement as well. Using the iPad takes away this "extra baggage," Herbert said.

"I think it's opening a whole interesting way to be creative about giving people assistance," she said. "You can measure somebody's stress level and somebody can feed it back into their app and tell you if they're about to fall apart or have a meltdown."

Khengwah Koh is managing partner with Hearty SPIN, a new startup in Singapore that also recently released an app for low-functioning individuals with autism called Picture AAC.

The app is available in English as well as Mandarin and is used in more than 15 countries.

While Koh thinks his app and the iPad are great tools for these individuals, he thinks they should be used only as a supplement to other kinds of learning and therapy.

"For a child, it shouldn't be just given to them as a babysitting tool," Koh said. "When the app is introduced to the child, first train them how to use (it). ... It's not a game. It's something to be introduced in a systematic way."

Phoebe Tucker, a speech language pathologist in Bridgeport, Connecticut, has developed a center for autism called the Montano Assistive Technology Center, a division of United Cerebral Palsy, to integrate various forms of technology for therapy.

The center uses iPads along with other therapies.

Although Apple did not create the iPad with the intention of helping children with autism, the company does try to build in features for people with disabilities.

"Steve Jobs did not realize he was giving a voice to the voiceless," Tucker said.

That voice is exactly what Siddiqui feels has been given to Sharia. She is now able to speak in broken sentences and is aware of the world around her. Her family sees small triumphs every day.

For the first time in three years, the Siddiquis are thinking of taking Sharia to Pakistan to see their extended family. Sharia was diagnosed shortly after their first visit, and the family there only recently came to know of her diagnosis after watching Siddiqui's iReport video of Sharia.

The trip depends on whether therapists say Sharia is ready for such a change in environment. But Siddiqui is confident and looking forward to the trip.

"I often tell my wife I think of it as Sharia before the iPad and Sharia after the iPad," Siddiqui said. "It was that significant."

@highlight

Touchscreen iPads are giving voice to autistic children, adults

@highlight

Apps for it and other tablets aid those with trouble verbalizing their thoughts

@highlight

Education and therapy apps also help with other aspects

@highlight

Therapist: Apple's Steve Jobs gave a voice to the voiceless