(CNN) -- Much has been made in recent years about America's growing gap between rich and poor. I'm sure you feel beaten over the head with statistics comparing the struggling 99% with the top 1% of earners, those chosen few whose economic and political clout of rich few has increased to levels not seen since the Great Depression. So I'll spare you the stats and simply ask one question that's not considered nearly often enough in the post-Occupy era: Is America's current income distribution fair?

Forget about how we got here. Forget the Wall Street suits and the cardboard-holding protesters. Obama and Romney. Bloomberg and Buffett. Pretty much delete 2007 to 2013 from your brain.

Is the system fair?

And what information do you need in order to decide?

For intellectual guidance, I'm turning to the work of the late philosopher John Rawls, whose 1971 book "A Theory of Justice" was written about eight years before this rich-poor gap in the United States started to widen. Rawls argues, in a roundabout way, that a society is unfair if its citizens would not agree to be randomly reassigned to another income class. Michael Norton, an associate professor at Harvard, explained it to me this way: Imagine you're moving to a new country, but when you do, you will randomly be assigned to any income level that currently exists in that society.

Would you move? If so, it's fair.

If not? Well ...

This idea is great as far as thought experiments go, but how should I know whether I would make that gamble? Like most Americans, I tend to come into contact with people who are very much like me, economically at least. Most of my friends have gone to college. Many hold jobs in highly skilled industries. There's a range, and I do live in a neighborhood with a serious homelessness problem, but I don't engage the full spectrum of modern American wealth -- from the very poor to the extremely rich -- in my day to day life, and I bet that you don't either, if you're honest. It's hard to assess the state of inequality if it's partly invisible.

Would I play that John Rawls lottery? I'm not sure.

So I'm going to test this theory in real life. And I'm going to call it the Rawls Test, named for the philosopher whose work inspired this journey. This week, I'll be going to an undisclosed location, which happens to be the most unequal place* in America. I'm going to meet people from all five income brackets, spend time with them, trying to get a real understanding of the economic challenges they face. Step away from the statistics. And then I'll decide: Is this the America I want to live in? Do you? Does everyone in this country have a more or less equal chance of success if they work hard and want to get ahead, as politicians from both parties argue they should? Consider this a referendum not on this undisclosed place but on inequality in America writ large.

The Rawls Test and the stories that will follow originated with you. This summer, I asked readers of this column to vote on five stories you wanted me to cover as part of the Change the List project. Income inequality was the top pick, with 16,789 of 32,546 voters putting this issue in their top five.

This test is just the start of a big conversation on the topic.

I invite you to follow the journey on a Tumblr called "Rawls Test," or on Twitter. I'll be tweeting with the hashtag #rawlstest. If you have questions about the project or for the people I encounter, please ask.

At the end of the experiment, I'll ask you to consider this fairness question with me.

Then, if needed, we can get into the messy details about what would make our society better.

Until then, think about the Rawlsian lottery and whether you might play it. And wish me luck!

*Data note: There are many ways to measure the "most unequal place" in the United States. By one measure, which I'm not disclosing for fear of giving away the location, I'm in the most unequal place in the country. By others, I could be in New York.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Income inequality will be the focus of the next Change the List story

@highlight

16,789 of 32,546 CNN voters picked the topic; it was the top choice

@highlight

John Sutter is traveling to the most unequal place in America

@highlight

Follow the journey on this "Rawls Test" blog on Tumblr