The Gulf of Mexico's annual spring-summer "dead zone" is the size of Connecticut -- slightly smaller now than in recent years but nowhere near the trim scientists had sought, researchers said this week.

Scientists' annual survey found an area of 5,052 square miles of "low oxygen water," or hypoxia, off much of Louisiana's coast and part of Texas, the National Oceanic and Atmospheric Administration said Monday.

The zone is formed by nutrients that wash into the Gulf's waters -- largely agriculture fertilizer and wastewater coming down the Mississippi River. These boost algae blooms that suck up the oxygen in deep water, according to NOAA and the U.S. Geological Survey.

Marine life struggles to find enough oxygen to survive within the zone.

Fish and shrimp can migrate to areas with oxygen-rich water, but some life forms in the deep water and ocean floor -- including those that serve as food for the fish and shrimp -- can't get out of the zone and eventually die.

That hurts biodiversity and makes food hard to come by for the fish and shrimp when they return, said the survey's leader, Nancy Rabalais, executive director of the Louisiana Universities Marine Consortium.

Scientists first discovered a dead zone in these waters in 1972, and it has appeared ever spring and summer since, with varying sizes.

This year's dead zone, measured from July 27 to August 2, is smaller than the five-year average of 5,550 square miles, and well under 2002's record 8,481 square miles.

But scientists had set a goal of reducing the zone to 1,900 square miles by 2015 -- and this year's measurement likely means that target won't be met, Rabalais said.

"The average we're targeting against is three times the goal. ... There hasn't been any progress in reaching that goal," she said.

Ways to shrink the zone, she said, would include changing agricultural practices, including the timing of fertilization -- ideas that have worked well on the small scale but not, so far, on the large.

There's been no evidence to show that the Gulf of Mexico oil spill of 2010 had any contribution to that year's dead zone or any subsequent one, Rabalais said.

The survey is supported by NOAA and the Environmental Protection Agency.

The Gulf of Mexico dead zone is the world's second-largest caused by humans, Rabalais said. The largest is in the Baltic Sea.

"The number of dead zones throughout the world has been increasing in the last several decades and currently totals over 550," Rabalais said.

Dead zones amount to an expensive hit for America's fishing industry. NOAA estimates the annual cost of algae blooms to U.S. seafood and tourism industries at $82 million or more.

Can oxygen pump breathe life into ocean 'dead zone?'

@highlight

The Gulf of Mexico "dead zone" is caused by an algae blooms that suck up oxygen

@highlight

Scientists first discovered a dead zone in the Gulf in 1972

@highlight

The number of dead zones across the globe is growing

@highlight

They cost U.S. seafood and tourism industries $82 million a year, NOAA estimates