(CNN) -- It is by no accident that the AIDS Memorial Quilt -- which now measures more than 50 miles laid side by side and weighs 54 tons -- is gracing the National Mall in Washington this weekend as the global HIV and AIDS community gathers nearby for the XIX International AIDS Conference (AIDS 2012).

As scientists, doctors, and program experts articulate a new and hopeful AIDS narrative at the Walter E. Washington Convention Center, the Quilt will serve as a not-so-gentle reminder that this devastating disease continues to claim the lives of too many, too soon.

The Quilt lends voice and volume to the nearly 94,000 individuals whose names are lovingly sewn into panels by more than 100,000 friends and family members -- and symbolically to the 1.2 million people living with HIV/AIDS in this country alone. Due to its vastness, The Quilt blankets the national capital region, with sections of the tapestry on display in 50 other host venues throughout the area.

Today, worldwide, more than 34 million people now live with HIV/AIDS, and 3.4 million of them are under the age of 15. Every day more than 7,000 people contract HIVâ€”nearly 300 every hour. The global numbers are staggering, but so are some of the numbers in the hardest-hit cities in this country. Indeed, recent research shows some U.S. cities have HIV rates that rival Africa in their magnitude.

Opinion: End the HIV stigma

Yet behind the cold statistics, there are faces and stories with legacies. The faces on the Quilt are our fathers, mothers, brothers, and sisters. They are our aunts and uncles, grandparents, daughters, sons, neighbors, our doctors and ministers, our best friends, and co-workers. And, after the tears that are shed for them subside, they are celebrated with lace and mink and bubble wrap...with pearls and buttons, and their favorite T-shirt or logo stitched into the 3-by-6-foot panels, roughly the size of a human grave. These are the stories and lives that together make up the world's largest living work of folk art.

Throughout its 25-year history, this masterpiece created "by the people, for the people" has been used to fight prejudice, and to raise awareness and funding for direct service and advocacy groups. The Quilt is a catalyst and conduit, a tool for healing and grief therapy, a springboard for frank dialogue, both civic and private. It gives voice to far too many lives lost, telling us that never again should we ever leave a community in need and dying, ignored and uncared for. It is a stark reminder that we can never forget that we are all inextricably linked in life.

In America: A quilt displays an American tragedy

More than 20 million individuals around the world have attended displays and witnessed the extraordinary power, beauty, love, rage and sorrow of this multitude of voices. The Quilt's powerful lessons and poignant imagery provide compelling evidence that HIV/AIDS can happen to anyone, anywhere, at any age.

What started out as an activist action has become a powerful voice with artistic and cultural expression, now considered an American Treasure by an act of Congress. It is indeed difficult to walk away from the Quilt, whether a single panel, a block, or miles of expressions of love on material, unmoved.

And yet, unfortunately, almost every day, a new panel arrives at the NAMES Project Foundation, which curates, cares for and manages the Quilt. Each new panel is then added to the Quilt and helps to advance the cause of human rights and social justice.

In 1988, a lone panel was delivered quietly to the NAMES Project in Atlanta. Unlike any other panel among the tens of thousands of panels made at that time, this special panel arrived simply with a handwritten note that read: "I hope this quilt will find a permanent place and help mark the end of this devastating disease." The panel itself was stark in design, white letters on a black background, simply saying "The Last One."

In the decades since this panel was left on our doorstep, we have held on to it with hopeful anticipation that we would one day reach "The Last One." We unveiled this panel publicly for the first time on the National Mall during our opening ceremony Saturday. (It will remain on display until Wednesday.) We did so with heavy hearts, with hopeful hearts, but we still can't yet stitch it into the Quilt. Not until we see the last new infection, the last AIDS case, the last death from AIDS, the last one left orphaned, the last person to face discrimination for living with HIV.

In the meantime, as AIDS 2012 goes about its mission to push the boundaries of science and medicine to find an end to the HIV/AIDS epidemic, we will continue to preserve, care for, and use the AIDS Memorial Quilt to foster healing, to be a bully pulpit for social justice and, most important, to inspire action in the age of AIDS and beyond.

Everyone can help us live to honor "The Last One." Educate, help prevent infection, be an advocate, volunteer in the many communities around the country who host displays, donate to keep hope alive. Only then will we know our work -- like the work of our scientists and researchers the world over -- by our artists and advocates, communities and corporate partners, friends and family members was not in vain.

The opinions expressed in this commentary are solely those of Julie Rhoad.

@highlight

The AIDS Memorial Quilt is on display this weekend in the National Mall

@highlight

Julie Rhoad: Quilt serves as reminder that AIDS continues to claim lives

@highlight

She says one day in the battle against AIDS, we will reach "The Last One"

@highlight

Rhoad: In the meantime, we can work together to help prevent HIV infections