If you're like us, you eat out more than ever -- and, as nice as it is to not have to cook, those meals out can actually feel like work. How do you navigate the minefields of huge portions, hidden fats, and sky-high sodium levels?

Olive Garden's Venetian Apricot Chicken has 448 calories and 11 grams of fat.

You shouldn't have to resign yourself to paying for restaurant meals with a future cardiac risk. You just need to know where to go to find healthy, fresh food. To that end, we went out into the world of sit-down restaurants, looking to separate the (whole) wheat from the chaff.

Backed by an advisory panel of experts in healthy dining, we sifted through 43 chains with more than 75 locations across the country and, frankly, were astonished by how many restaurants made no nutritional information available. Health.com: Meet Health's experts

But judge we did those brave (and progressive) enough to share their numbers. What you hold in your hands are the 10 that stood at the top of the heap.

Uno's Chicago Grill

If you haven't been to your local Uno's recently, you're in for a great surprise. Sure, its famous deep-dish (read high-fat) pizzas still hold court, but nutrition has become the word of the day with a completely transfat-free menu and plenty of grilled entrees (including antibiotic-free chicken). Adding to the healthy variety: whole-grain pasta and brown rice, organic coffee and tea, and flatbread pizzas that have half the calories of deep-dish ones. Plus, you can add a salad to your pizza for half-price because, according to the menu, "We want you to get some greens in your diet." Now that's a blue-ribbon commitment to health. Another reason Uno's is at the top of our list: You know what you're eating. In the lobbies of most of the restaurant's locations, there are Nutrition Information Centers that detail ingredients, fat and sodium contents, and calories and fiber of every item, in addition to gluten-free options.  Dr. Sanjay Gupta takes a look at Health magazine's restaurant choices »

• Danger zone: Deep-dish pizzas can pile on the fat.

• We love: The Penne Bolognese -- just 16 grams of fat (well within the daily recommended max of 65 grams of fat for a 2,000-calorie-a-day diet).

Souplantation & Sweet Tomatoes

Can a buffet-style restaurant -- that symbol of American overindulgence --possibly be one of the healthiest restaurants in the country? It can in this case, because this salad-soup-and-bakery eatery (Southern California locations are named Souplantation, everywhere else they're called Sweet Tomatoes) uses produce so fresh that it's guaranteed to have been "in the ground" 24 hours before it's in a refrigerated truck on its way to the restaurant. At the salad bar you'll find seasonal vegetables like squash and bell peppers, freshly tossed and prepared salads, and a great range of nonfat dressings. San Marino Spinach With Pumpkin Seeds and Cranberries, anyone? This is paradise for vegetarians, vegans, and anyone who's looking for a low-sodium, low-fat, high-nutrient meal outside the home.

• Danger zone: Plate overload -- after all, it's all-you-can-eat.

• We love: The Tomato Spinach Whole Wheat pasta, a delicious combo of whole grains and veggies.

Mimi's Cafe

This cozy café-style restaurant transforms normally less-than-healthy foods into better -- and still tasty -- options: a half-pound cheeseburger wrapped in lettuce (that's right, no bun); the cutely named Naked French Market Onion Soup, served without cheese. Another thing to love is the way that Mimi's clearly steers you toward its healthy options. Its "Lifestyle Menu" points you to low-carb picks like the fish of the day served with fresh steamed veggies. Also, Mimi's keeps portions small, so you can get away with occasionally having one of their more indulgent entrees like the Sweet & Sour Coconut Shrimp (608 calories). Health.com: Healthiest fast-food restaurants

• Danger zone: The "Comfort Classics" page of the menu, with throwbacks like rich (super-high-fat) Chicken Cordon Bleu.

• We love: Chicken & Fruit -- grilled chicken and a garden salad, plus wedges of fresh orange, honeydew, watermelon, and cantaloupe.

P.F. Chang's China Bistro

Take the best aspects of Asian cuisine -- a combination of fresh vegetables and protein -- surround them with healthy influences such as whole-grain brown rice, wild-caught, sustainable Alaskan salmon, and all-natural chicken, and you have a recipe for delicious, healthy dining. Wok-based cooking (which requires less oil) using soybean oil keeps fat contents low, and less sodium in the sauces rounds out  P.F. Chang's healthy take on Chinese food.

Special credit goes to their nutritional information being based on the whole entrée, not a single serving like at most places. Health.com: Eat out, without gaining a pound

• Danger zone: Traditional, fat-dense items such as Lo Mein Beef.

• We love: Carb-free vegetarian lettuce wraps -- wok-seared tofu, red onions, and water chestnuts with mint and lime, set in lettuce cups.

Bob Evans Restaurants

You wouldn't think a restaurant that prides itself on sausage could muscle its way into the top five healthiest restaurants in the country. But Bob Evans scores high on its dinner menu, which has plenty of low-carb, low-fat entrees and alternatives for children and adults (chicken tenders that are grilled instead of fried, potato-crusted flounder, and salmon stir-fry). Look for sides like steamed broccoli florets and fresh fruit, and enjoy old-fashioned family meals in a modern, nutrition-forward way.

• Danger zone: Breakfast, where bacon and sausage are kings.

• We love: Healthy options on the kid's menu, like slow-roasted turkey with mashed potatoes and glazed baby carrots, and fruit and yogurt dippers for dessert.

Ruby Tuesday

If we'd done this survey in 2004, Ruby Tuesday might have won the blue ribbon for printing all its nutritional content right on the menu. It was revolutionary, and, frankly, it didn't last. But the healthy ethos survived in the chain's ingredients: organic greens, hormone-free chicken, transfat-free frying oil, and better-for-you beverages including Jones organic teas and made-to-order drinks like all natural lemonades (think real fruit and juice). It's easy to find the good stuff -- it's highlighted -- and the offerings range from a chicken wrap in a whole-wheat tortilla to broiled tilapia. Health.com: The best independent restaurants

• Danger zone: Comfort-food entrees like Gourmet Chicken Potpie, which piles more than half your daily calories on the plate.

• We love: That they've even healthied-up the burgers, offering veggie-and turkey-versions.

Romano's Macaroni Grill

This Italian eatery puts its entire menu's nutritional content online, so you know before you go what to steer clear of -- mainly, the massive baked pastas. But what pushed Macaroni Grill onto our best list is its "Sensible Fare" menu, with entrees like Simple Salmon, a grilled fillet sided by grilled asparagus and broccoli. Grazie for whole-wheat penne available as a substitute in any dish. And bravo for including a grilled skinless chicken breast with steamed broccoli and pasta on the kid's menu.

• Danger zone: Heavy entrees like spaghetti and meatballs with meat sauce.

• We love: The delicious Italian sorbetto and biscotti: just 330 calories and 4 grams of fat.

Chevy's Fresh Mex

Chevy's makes a big deal out of the "fresh" in its name, and with good reason -- no cans in the restaurant, fresh salsa blended every hour, fresh avocados smashed every day for guacamole, and watch-them-made tortillas. All oils are trans fat-free, and the Mexican-style fare has lots of healthy options including Grilled Fish Tacos. Health.com: America's not-so-healthiest restaurants

• Danger zone: Sodium counts. To get below 1,000 milligrams, you'll need to get those Chicken Fajitas with no tortillas, tomalito, rice, sour cream, or guacamole.

• We love: Fresh fish of the day, grilled and served on a skillet with homemade salsa.

Olive Garden

Like Macaroni Grill, this Italian eatery has great-for-you options, as long as you keep your wits about you (again, avoid the baked pastas!). Use the olive-branch icon on the menu to find low-fat "Garden Fare" items such as Venetian Apricot Chicken. Even the fries aren't a disaster, because they're done in trans fat-free oil. You can grab some whole-grain goodness, too, by choosing the whole-wheat linguine at dinner as a substitute for any pasta.

• Danger zone: The non-olive-branch entrees. Olive Garden provides no nutritional information on anything else on the menu.

• We love: The low-fat Capellini Pomodoro (644 calories and 14 grams fat).

Denny's

Yes, the home of the Lumberjack Slam and Moons Over My Hammy offers lots of skinny options to counter its fatty mainstays. "Fit-Fare" dishes such as the grilled-chicken-breast salad, and tilapia with rice and veggies, each have less than 15 grams of fat. Denny's also posts full nutritional information on its Web site. Its use of trans fats to cook its French fries kept it from landing higher on our list, but the rest of the fried food is trans fat-free.

• Danger zone: Breakfast specials, especially the Meat Lover's Scramble, which is as bad for you as it sounds.

• We love: The online nutritional chart has Weight Watchers Food Exchange Values. E-mail to a friend

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2007

Additional reporting by Brittani Tingle.

@highlight

Health magazine names Top 10 chain restaurants for fresh, healthy food

@highlight

Writers looked at 43 chains with more than 75 locations across the country

@highlight

Experts' favorite: Uno's Chicago Grill, with  trans fat-free menu, many grilled entrees