(CNN) -- Optimism is all the rage. The enthusiastic cheer of motivational speakers has now received a seal of approval from scientists. So, apparently it's confirmed: Optimism is good for you.

But before we rush full speed down the rah-rah route, let us pause for a moment and see exactly which road we take. We shouldn't confuse the power of positive thinking with the dangerous delusion of wishful thinking. They end at very different destinations.

It's a lesson for countries, politicians, business people and all of us. Optimism by itself can be dangerous. It must always travel in the company of action, common sense, resourcefulness and considered risk-taking.

"It's all good," that irritating, relatively new expression, seems to always come after a description of just how not good it all is; a desperate effort to make the truth go away. It's the new version of "don't worry, be happy."

In reality, a little worrying can lead to action, which is the principal way optimism bears fruit.

One of the most inspiring and even charming traits of the U.S. is its founding and enduring spirit of optimism. No doubt, it's a little less visible now, replaced by cynicism. But America was built on a philosophical foundation of not sitting back and accepting unacceptable outcomes, instead standing up to build a better world. That's the right kind of optimism. It's the one that leads to sensible risk-taking. It acknowledges that you don't always win, that when things don't turn out well, you try a different approach and then another until you find a solution, until you reach a new continent, until you write the right constitution, until you invent the right machine.

iReporter: DNC chair says she's 'pretty happy' with economy -- I'm appalled

It's the opposite of defeatism. And it's very different from denial or wishful thinking.

Optimism without thoughtful and determined action can lead to disaster. It's true for individuals, it's true for business, and it's true for nations. History is full of examples.

The poster boy for off-the-rails, disastrous optimism is Neville Chamberlain, the British prime minister who met with Hitler in 1938 and handed him a big chunk of Czechoslovakia in exchange for the Fuhrer's word. He didn't ask the Czech people what they thought, but he was giddy with excitement when he got off the plane from Munich waving a piece of paper he and "Herr Hitler" had signed. "I believe it is peace for our time," he immortally declared.

When appeasement was inevitably followed by a most horrific, brutal war, we saw a different kind of optimism, the kind that rolls up its sleeves, defies the odds and makes its own luck. Franklin Roosevelt, who presided over a country with a third-rate army, ordered an industrial transformation of the American economy on a scale that seemed simply out of reach, with the focused, urgent aim of defeating the Nazis.

He declared, "Let no man say it cannot be done. It must be done." Many muttered that it couldn't. But the country got to work. Everyone made sacrifices. Everyone pitched in. The U.S. met production goals that were almost inconceivably ambitious. And it turned the tide of war.

The first case (Chamberlain) was optimism supported by wishful thinking, as useful as buying a lottery ticket to fend off bankruptcy. The second (FDR) was optimism propelled by determined action and smart planning. This is the one that works.

Optimism can take the distasteful tone of arrogance, or it can sound like the sunny chirps of the brainwashed. Either one of these can lead to disaster. It's only the optimism that reasons, that considers courses of action and different potential outcomes, that pushes ahead, which truly leads to greatness.

Naked optimism is the currency of casinos in Las Vegas. It's the attitude of overgrown children raised on large servings of phony self-esteem. It's the view of the world -- or of one's own talents -- that ignores the fact that everyone gets it wrong sometimes; that no matter how smart you are, there are always events that will remain out of your control, that there are always things you do not know, and there are always some people who are smarter than you.

It's this kind of arrogance passing for self-confident optimism that gave us the economic mess we have had for the past five years. It's the optimism that falsely promised home prices could only go up, so we should borrow as much as possible, regardless of income; a confidence that boasted that complicated financial ideas and convoluted market hedging made for bulletproof Wall Street portfolios.

We know where all that optimism took us.

The ones who predicted disaster, the ones who saw a major collapse coming, were the ones who got it right. They were the ones who became superstars. Yes, sometimes the pessimists are right. But the optimists can learn from them. The action-oriented optimists, the ones who don't see life as a casino but as a place where one has to make the right decisions to obtain the desired outcomes -- to make the world a better place or our lives more worth living -- see disasters as occasions to learn, to find out what we should have done differently, to come up with new strategies.

Scientists tell us that scans show our brains are wired for optimism. We register positive lessons more than negative ones. And that's partly, they say, because optimism is good for our health.

Perhaps that's true. But science goes on, and scientists often change their minds. What is true now and always will be is that things don't always go the way we want. People don't always do what we would like. And life, like history, politics, the economy and the stock market, is full of surprises, including some very painful ones.

So, we can't simply sit back and wait optimistically for everything to work out. We need to do our part to make the stories have happy endings.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Scientists tell us optimism is good for us. Let's not be delusional

@highlight

She says "it's all good" ignores when things aren't; worrying leads us to fruitful action

@highlight

She says Chamberlain in WWII a good example of blind optimism; FDR example of useful optimism

@highlight

Ghitis: Optimism for suckers; pessimism often better. We need to work for happy endings