When U.S. forces toppled the Taliban government following the 9/11 attacks, there was a global wave of support from people horrified by the plight of Afghan women. Under the Taliban, women had been denied education, banned from medical treatment by male doctors, and publicly executed for "immorality."

The Taliban's fall promised women some basic freedoms and rights. Indeed, over the past 10 years there have been significant improvements for Afghan women and girls. Official restrictions ended on access to education, work, and health care. Millions of girls went to school for the first time. Women joined government, won elected office, and became police officers and even soldiers. A new constitution in 2004 guaranteed women equal rights, and a 2009 law made violence against women a crime.

Underneath the surface of these changes, however, deep seated problems persist. Women in public life have suffered harassment, threats, and sometimes murder. Forced marriage, underage marriage, and domestic violence are widespread and too widely accepted.

About 400 women and girls are imprisoned at present for the "moral crimes" of sex outside of marriage and simply running away from home, often to flee abuse. While education is more accessible, more than half of girls still don't go to school. Every two hours an Afghan woman dies of pregnancy-related causes.

As the announced departure of international forces in 2014 draws closer, many Afghan women look to the future with fear.  They worry that the troop pullout signals the end of interest in Afghanistan, and with it the international commitment to push the Afghan government to promote and protect women's rights. Also likely to decrease is the foreign aid that pays for schools and clinics that have changed many lives. Afghan women fear being abandoned again by the rest of the world, as they were during the Taliban era.

Plans for peace negotiations between the Taliban and the Afghan government raise the specter of women's rights being bargained away. If there are no women at the negotiating table, this is even more likely.

This week the fragility of women's rights in Afghanistan has been on full display. The Ulema Council, a government-supported body of religious leaders, issued a statement on several issues, including the recent burning of copies of the Quran at a U.S. military base. The longest part of the statement, however, gave religious guidance on how women should be treated and should behave.

The statement said some good things. It prohibited a traditional practice of giving a girl to another family to resolve a dispute ("baad"). It spoke against forced marriage. It confirmed women's rights to inherit and own property.

On women's duties, however, the statement took a turn for the worse:  Women should not travel without a male chaperone. Women should not mix with men while studying, or working, or in public. Women must wear the Islamic hijab. Women are secondary to men.

If this was just the view of conservative religious leaders, it would be discouraging, but just another in a long line of discriminatory statements about women from Afghanistan's male dominated institutions. What caused consternation, however, was the sense that President Hamid Karzai had embraced the statement. In a departure from usual practice, the statement was posted on the Presidential Palace website, distributed to the media by the Palace, and defended by President Karzai at a news conference.

President Karzai has a mixed record on women's rights. He committed Afghanistan to an international convention promising equal rights for women and pushed through by decree the 2009 law making violence against women a crime. He recently spoke out on two high-profile cases of violence against women.

On the other hand, in the run-up to the 2009 presidential election he curried favor with hard-liners by signing the Shia Personal Status Law, which, for Afghanistan's Shia minority, gives a husband the right to withdraw maintenance from his wife, including food, if she refuses to obey sexual demands, grants guardianship of children exclusively to men, and requires women to have permission from their husbands to work. Some women fear that Karzai is using the Ulema Council statement to send a message about what compromises he is ready to make with the Taliban.

With international interest in Afghanistan waning, negotiations with the Taliban in the offing, and Karzai's endorsement of the Ulema Council's statement, Afghan women are more vulnerable than at any time in the past 10 years. Now President Obama and other backers of the Afghan government should make it clear that they will not support any deals that sacrifice women's rights, and press Karzai to make his position clear. The risks for Afghan women are too high to do anything less.

@highlight

Afghan women's rights have improved in the last 10 years but problems persist

@highlight

Harassment, forced marriage and domestic violence are still widespread

@highlight

Religious leaders issued a statement this week on how women should behave

@highlight

They said that women shouldn't travel without a male chaperone or mix with men in public