(CNN) -- Ten years ago, international headlines were dominated by the shocking emergence of Severe Acute Respiratory Syndrome (SARS), a new and quick-spreading deadly virus that began in Southern China and took just weeks to spread to 37 different countries.

Perhaps the illness's biggest legacy though is illustrating the speed and ease with which a disease can traverse the global travel network and how frequent flyers can often be in the front line.

"They're more exposed because they're in contact with a higher number of (potentially infected) individuals," says Yamir Moreno of University of Zaragoza, an expert in the spreading patterns of epidemics.

"While traveling, they remain confined in a relatively small space, where they interact with other passengers that, again, might already be infected."

Though passengers often consider a plane pumping recycled air as an incubator for disease, such a viewpoint is inaccurate, according to Martin Fendt, a spokesman from plane manufacturing company Airbus. Only a portion of the air inside a plane is recirculated; the rest is fresh air sourced from outside. The recycled air is passed through High Efficiency Particulate Air (HEPA) filters, which removes viruses, bacteria and dust.

"Because air is circulated vertically around each row and drawn out through under-seat floor vents, it cannot move forward or aft. So the ability of viruses to transfer beyond a seat row is almost zero," he adds.

Read more: Is the travel industry prepared for the next epidemic?

Fortunately, many of the health risks faced by road warriors can be easily mitigated with a little education.

According to Gregory Hartl, a spokesman at the World Health Organization, "if frequent travelers are aware of the risks, and take the required precautions, they can minimize the risk of acquiring disease."

Phyllis Kozarsky, a medical consultant with the U.S. Centers for Disease Control and Prevention, confirms that reading up on an area before setting off is one of the best ways to safeguard one's health.

"People need to be alert to pubic health messages and what's emerging, be it SARS or H1N1," she says.

She adds that disease prevention isn't too different abroad as it is on the ground.

"Do the same things you would at home to avoid illness, mainly, wash your hands frequently. You can pick things up on your hands that you can transfer by rubbing your eyes, or touching your face."

While epidemics attract the headlines sexually transmitted infections and vector- and food-borne illnesses still top the charts when it comes to mortality rates.

"Sometimes, when people are going to exotic places, they focus on strange diseases that don't happen very often, like Ebola, that are strong media contenders, when actually, influenza or malaria might be the biggest risk," says Kozarsky.

Andy Tatem, a reader in the Geology and Environmental Science department at the University of Southampton is the developer of vbd-air.com, a web tool developed for the Transportation Research Board to help track the spread of mosquito-transmitted illnesses via air travel. He believes the most prevalent travel-related ailments are also avoidable.

"Most of the diseases people contract abroad are preventable. In some instances, it's just a matter of getting the right vaccine, or wearing insecticide and sleeping under a bed net," he says.

"Truthfully, outbreaks like SARS and H1N1 can be more difficult to avoid, because they can hit a city before you even know it. Whereas you can lower the risks of diarrhoeal diseases (which are among the most prevalent) simply by being careful with drinking water and making sure all the food you eat is cooked."

Kozarsky reiterates the point, adding that many traveler afflictions are also self-treatable.

"If you have the right medication with you, you can feel better in a matter of minutes, instead of days," she notes. She advises consulting a good travel doctor for a list of recommended vaccines and medications (the International Society of Travel Medicine has a global directory online). She also recommends venturing out to the drug store prior to travel.

"Go to your favorite pharmacy and walk up and down the aisles, and take the things off the shelf you'd like to have at home," she advises, adding that Imodium and antibiotics are essential additions to any travel medical kit.

Really, though, the biggest suitcase essential is common sense, "which most people forget to pack when they travel," she says.

@highlight

Frequent flyers in frontline of potential infectious diseases

@highlight

Only a small portion of plane cabin air is recycled

@highlight

Airbus spokesperson says chances of viruses being transferred is low

@highlight

Most travelers should take same health precautions they would at home