The first significant new museum of American art in nearly half a century debuted in 2011. But to view Crystal Bridges' collection—from a Gilbert Stuart portrait of George Washington to Jackson Pollock canvases—you don't travel to New York, Los Angeles or Chicago. You head down a forested ravine in a town in northwestern Arkansas.

As museum founder and Walmart heiress Alice Walton scooped up tens of millions of dollars' worth of art from across the country, thinly veiled snobbish rhetoric began to trickle out from the coasts. Most notably, when she purchased Asher B. Durand's 1849 Kindred Spirits from the New York Public Library for $35 million, some culturati bristled at the thought that this famed Hudson River School landscape would be leaving for Bentonville. The controversy raised the question: Who deserves access to great art?

Yet a small town is precisely the kind of place where a stellar art collection fits in. After all, coastal hamlets, mountaintop villages and desert whistle-stops have inspired American artists for generations, among them, the Impressionists of Connecticut's Old Lyme Colony and the minimalist installation artists who more recently gentrified Marfa. Where else can you find the mix of affordable rents, access to inspiring natural vistas and enough peace and quiet to actually get work done?

Many small towns also offer detour-worthy museums, some housed in spectacular historic spaces—old factories, former army bases, Beaux-Arts estates, Victorian mansions—and others built from scratch by internationally renowned architects like Zaha Hadid and Swiss firm Herzog & de Meuron. And with works inside just as varied, from landscape paintings at the Taos Art Museum to minimalist installations at Dia:Beacon to American folk art at the Shelburne, you're sure to find a small-town art museum to suit any artistic taste.

Travel+Leisure: America's best ice cream shops

Hill-Stead Museum, Farmington, Connecticut

When iron industrialist Alfred A. Pope began buying French Impressionist masterpieces, the movement was still stirring outrage across Europe for its radical departure from tradition. But you'd never know it from the intimate, even cozy, atmosphere at the Hill-Stead Museum, which places these works in the same context in which Pope would have enjoyed them—surrounded by antiques and period Federal-, Chippendale- and Empire-style furnishings in his hilltop estate outside of Hartford. Like the works you'll find inside, by Edgar Degas, Claude Monet, Mary Cassatt and Édouard Manet, the house itself now seems lovely and genteel. But it also comes with a radical back story: the Colonial Revival mansion, completed in 1901, was designed by Pope's own daughter, only the fourth registered female architect in American history. $15; hillstead.org.

Ohr-O'Keefe Museum, Biloxi, Mississippi

Biloxi's Ohr-O'Keefe Museum raises many questions. You might wonder what an avant-garde museum is doing in a Gulf Coast beach town known for its casinos and sunshine. Or how starchitect Frank Gehry got involved in a project dedicated to obscure 19th-century ceramicist George Ohr. Or how this place is even still standing. During construction, Hurricane Katrina slammed an unmoored casino barge directly into the unfinished buildings. Any lack of logic seems appropriate in honoring Ohr, a true eccentric who dubbed himself the Mad Potter of Biloxi and was known for his delightfully misshapen, brightly colored pottery. Opened in 2010 in a thicket of live oaks, the museum encompasses brick-and-steel pavilions, twisted egg-shaped pods and examples of 19th-century vernacular architecture, with galleries on African American art, ceramics and Gulf Coast history. $10; georgeohr.org.

The Huntington, San Marino, California

San Marino is named for the tiny republic on the Italian peninsula. And it's an appropriate connection for the Huntington, where the vibe is distinctly European, thanks to 120 manicured acres (reserve ahead for the Tea Room, surrounded by a rose garden) and a collection skewed to Old World classics. The Huntington Art Gallery has the largest collection of 18th- and 19th-century British art outside of London—including works by Thomas Gainsborough and John Constable. Other galleries within this Beaux-Arts estate cover Renaissance paintings and 18th-century sculpture as well as the furniture of Frank Lloyd Wright and paintings by Mary Cassatt and Edward Hopper. A Gutenberg Bible from the 1450s and an illuminated manuscript of Chaucer's Canterbury Tales are among the library's gems. $20.

Travel+Leisure: The best apps and websites for travelers

Eli and Edythe Broad Art Museum, East Lansing, Michigan

College towns offer more than beautiful campuses, tradition-rich bars and football. Many can also brag about world-class art collections. Case in point: Michigan State University's new Eli and Edythe Broad Art Museum. It's the first-ever university building designed by Pritzker Prize--winner Zaha Hadid and only her second project in North America. The corrugated stainless steel and glass facade juts sharply like a ship—or perhaps more accurately a spaceship—run aground. While the collection is primarily contemporary, the curators included some classic works to better contextualize the newer acquisitions. So you can expect Old Master paintings, 19th-century American paintings and 20th-century sculpture, along with artifacts from ancient Greece, Rome and the pre-Columbian Americas. Free; broadmuseum.msu.edu.

Parrish Art Museum, Water Mill, New York

Low-slung and shedlike, with its corrugated tin roof and parallel 615-foot slabs of poured concrete, Eastern Long Island's newest art museum features a style that might be called Modern Agricultural. Surrounded by a meadow of tall grasses on the long road to Montauk, the museum is a minimalist stunner that's perfectly suited to its surroundings: The long horizontal space speaks both to the uninterrupted horizons of the region's famed beaches and to the unfussy simplicity that first attracted artists like Jackson Pollock, Lee Krasner and Willem de Kooning. Inside, under an ever-changing glow from skylights above, the collection honors the generations of artists who called this area home, such as American Impressionist William Merritt Chase and mid-century realist Fairfield Porter. In 2014, it won Swiss firm Herzog & de Meuron a T+L Design Award for best museum. $10; parrishart.org.

Shelburne Museum, Shelburne, Vermont

Most art collectors limit purchases to what they can hang on the walls or set on their mantelpieces. But sugar heiress Electra Havemeyer Webb had grander plans. After amassing Hudson River School landscapes, quirky folk art, quilts, decoys, toys and circus posters, Webb decided she needed somewhere to put it all. So she set out doing what she did best: collecting. From across New England and New York, Webb gathered 18th- and 19th-century structures—houses, barns, a schoolhouse, a jail, a general store, a lighthouse and a steamboat—and set them up on 45 acres of farmland near Lake Champlain, where she founded the Shelburne Museum in 1947. More than 150,000 pieces are on display and more accessible than ever; The 2013 opening of the Pizzagalli Center for Art and Education allowed the formerly seasonal Shelburne to stay open year-round. $22.

Chinati Foundation, Marfa, Texas

The Chinati Foundation is massive by design. Fed up with the cramped galleries of New York City and the need to constantly rotate exhibits, minimalist sculptor Donald Judd decamped to this tiny former railroad stop in the Chihuahuan Desert in 1971. Nearly 200 miles from an airport and surrounded on all sides by scrub grasslands, Marfa is blessed, above all else, with space. Judd teamed with the Dia Foundation to transform a decommissioned army base into the 340-acre arts compound. Here and in a number of buildings downtown, works are given room to breathe. A hundred of Judd's trademark aluminum boxes fill two old brick artillery sheds; Dan Flavin's light installations occupy six barracks; Richard Long's volcanic stone pieces sit on an old tennis court; and John Chamberlain's painted steel sculptures are in the Marfa Wool and Mohair Building. $25, full collection tour.

Travel+Leisure: The world's coolest museum gift shops

Bainbridge Island Museum of Art, Bainbridge Island, Washington

Opened in June 2013 in the waterfront town of Bainbridge Island, BIMA is just a five-minute walk from the ferry terminal that brings passengers across Puget Sound from Seattle. But BIMA's curators aren't concerned with any big-city competition. They've honed in with a laser-like focus on contemporary fine arts and crafts from a very small radius: the Kitsap and Olympic peninsulas and the Western Puget Sound region. It's all on view in a dazzling glass building that reflects the region's eco-friendly spirit. With its rooftop garden, recycled-denim insulation, solar panels, geothermal wells and sustainable tigerwood siding, BIMA is on track to become the first LEED Gold--certified museum in the state—and among the first in the nation. Free; biartmuseum.org.

Crystal Bridges Museum of American Art, Bentonville, Arkansas

Casting her curatorial net (and considerable wealth) far and wide, Alice Walton gathered centuries of exceptional American art, from the Colonial era up to the present. The works by Gilbert Stuart, John Singer Sargent, Andy Warhol and Jackson Pollock, to name just a few, would make any big city proud. But Walton set her project in a place critically underserved by cultural institutions, the Ozarks town of Bentonville, where Sam Walton opened his first five and dime. Designed by Israeli-American architect Moshe Safdie with an eye toward connecting with the landscape, the museum is made up of eight interconnected galleries built in and around spring-fed pools, surrounded by forests, ravines and miles of hiking trails. It helped inspire the opening of 21c, a nearby art-filled boutique hotel with a locavore restaurant. Free; crystalbridges.org.

Mass MoCA, North Adams, Massachusetts

The repurposed 19th-century brick buildings that make up Mass MoCA's 13-acre campus are forever linked with northwestern Massachusetts' industrial heritage. These buildings housed textile manufacturers, then Sprague Electric Company, which produced parts for the atomic bomb and the Gemini spacecraft. When Sprague left in 1985, the site was historically significant but unwieldy—a superfund contamination site also listed on the National Register of Historic Places. The director of the Williams College Museum of Art came looking for a raw space for larger-than-life installations. After more than a decade of renovations, Mass MoCA opened in 1999. Now artist residencies mean that works of art—visual, music, dance, film, theater—are being created on the very same floors where forward-thinking advances have been developed for 150 years. $15.

See more of America's best small town museums here.

@highlight

Small towns are the very places that have inspired generations of artists

@highlight

Enjoy their art in museums located in small towns around the country

@highlight

An avant-garde museum calls a Gulf Coast beach town home

@highlight

Repurposed 19th-century brick buildings now display art in Massachusetts