(CNN) -- Durable, shock resistant and, most of all, growing in a ready-to-use tubular form, it's a wonder bamboo hasn't always been used to make bicycle frames.

While the prototype for a bamboo-framed bicycle was first developed as early as 1894 -- causing a minor sensation when it was unveiled at a London technology show at the time -- the idea never took off.

Now 120 years later and a small but determined outfit in Ghana is working hard to change all that.

"We can't keep (up) demand with the orders for our customized bicycles," explains Bernice Dapaah, the executive director of Ghana Bamboo Bikes Initiative. "We are hoping to go into mass production by June this year."

While mass production for a company that currently employs about 30 people means turning out just 60 to 100 of the beautiful handmade bicycles a month, Dapaah is confident of scaling up the operation.

Here the advent of a minimal amount of technology has made all the difference.

"We still do it by hand, but now we've got a construction jig and this makes manufacture that much faster," she told CNN from the small factory outside the capital Accra.

Using a method developed by American engineer Craig Calfee -- a renowned bicycle designer who first experimented with bamboo bicycles in 1995 -- the frames are lashed together with fiber and then coated with epoxy.

Sturdy, and with a greater weight-to-strength ratio than steel, the bikes are robust, make for a smooth ride and are gaining a small but devoted following in Europe.

Growing international attention

"We are getting a lot of interest from the United Kingdom where people are using them for touring," she said. "And they're popular with shops and exhibitors because people like the look of them."

Their first prototype came out of the factory more than four years ago and is still in operation. Dapaah said the bikes are remarkably durable and there's every indication that the first model will continue for many years to come.

With just two sticks of bamboo enough to make one bicycle, and six regions in Ghana where bamboo grows abundantly, the Ghana Bike Initiative is unlikely to run out of raw materials.

Last November the bicycle was the darling of the Warsaw Climate Change Conference (Conference of the Parties 19) where UN Secretary General Ban Ki Moon donned a crash helmet to take a shaky turn around the conference center on one of the Ghanaian bikes.

Christiana Figueres, the head of the United Nation's Framework Convention on Climate Change (UNFCCC), also entrusted herself to the bicycle's rigid pannier rack to hitch a ride around the center.

"They're made by women and these women are teaching other women to make these bamboo bikes and to sell them so that they have another income stream," Figueres said.

Building opportunities

As a vehicle for women's emancipation, the bicycle in history has been unrivalled.

During the bicycle craze in the United States and Europe of the late 19th century, it came to symbolize the new woman, not only giving them unprecedented mobility but launching reform movements such as the Rational Dress Society which advocated for a woman's right to dress appropriately for cycling.

For Dapaah -- who co-founded the company with school friends Kwame Kyei and Winnifred Selby -- the Ghana Bamboo Bikes Initiative proudly carries on that tradition.

"Currently we have about 20 to 25 women trained who are working in the factory but as we expand we hope to bring more on board," she said, adding that the initiative was launched as a way of using local renewable materials and satisfied local needs and created employment opportunities.

"Not only that but it looks cool and attractive," she said.

One customized model even comes emblazoned with Martin Luther King motifs rendered in distinctive Ghanaian folk-art style.

She said the prize the initiative won last year in Warsaw, the UNFCCC Momentum for Change Women for Results Award, was bringing with it more attention, more orders and greater ambitions for the company.

"Currently we don't manufacture many of the metal parts -- the chain and the forks we have to import but some of the metal parts for the frame are manufactured here.

"But we are hoping that if we find a collaborator in the medium to long-term, the tires, the wheels, the chain, and everything else could be made here in our factory."

CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

Bicycle manufacturing business in Ghana promotes use of sustainable bamboo

@highlight

Bikes are assembled in a small factory outside of the capital, Accra

@highlight

Company has been lauded by UN and attracted development awards

@highlight

Provides employment and training opportunities for local women