(CNN)While the professional game of golf gears up for 2015 in rude health, at grassroots level the sport finds itself in the rough.

With more prize money on offer for the stars than ever before -- 97 players won over $1 million on the PGA Tour last year -- and lucrative sponsorship deals, golf can rest safe in the knowledge that the future is bright for those competing at its top end.

At the opposite end of the spectrum, however, the sport stands at a crossroads, with recent years having brought about a major slump in popularity in its traditional heartlands of the U.S. and the UK and Ireland.

As golf continues to hemorrhage players, the steps it chooses to take next could prove crucial in turning its fortunes around.

Some 400,000 people reportedly left the sport in the past year in the U.S., although the National Golf Foundation (NGF) states: "The numbers quoted don't reconcile with NGF data and they're not something that we reported or would report."

NGF results do show that the sport in the U.S. has lost five million players in the last decade, with 20% of the existing 25 million golfers poised to quit in the next few years.

To compound that depressing statistic, the number of newcomers to the game in the U.S. fell by 20% last year, while according to Sport England, the amount of 16-25-year-olds playing the game regularly almost halved in England between 2009-10 and 2012-13.

Whether it is courses closing, merchandise sales falling or job losses on the rise, golf is being hit hard at grassroots level for its failure to attract new faces and keep hold of older ones.

Below par

But why are numbers falling and is a re-brand of sorts needed to rectify the decline?

As with any pastime or hobby, time and money are two key factors, as the game's greatest player, Jack Nicklaus, acknowledges.

"I'd like to play a game that can take place in three hours, I'd quite like to play a game that I can get some reasonable gratification out of very quickly and something that is not going to cost me an arm and a leg," Nicklaus told CNN.

The 18-time major champion's words reflect the mood of the wider public, many of whom are still struggling from the effects of the economic downturn and live in a world that offers an ever-increasing number of cheaper and less time-consuming alternatives.

To put it bluntly, the traditional concept of 18-hole golf is struggling to find its place in modern day lives.

Meanwhile, as would-be golfers continue to turn elsewhere to get their fix, the younger generation -- the very future of the sport -- have more distractions than ever in a world where technology holds sway.

"It's Twitter, cell phones, video games -- these are the activities that kids are involved in," former player-turned-commentator Brandel Chamblee tells CNN.

"Mum and dad are working, and kids are playing video games. That doesn't leave a whole load of time or people to populate these golf courses."

And its due to problems like these that, in 2014, more courses closed than opened in the U.S. for the eighth straight year.

Head in the sand?

For all its problems, though, golf can no longer be accused of complacency and being stuck in its ways -- it is, at least, sitting up and taking notice.

Ben Sharpe, CEO of golf equipment manufacturer, TaylorMade is keen to tackle the problem head on.

"As an industry we can't put our head into the sand, we have to evolve and continually modernize," Sharpe told CNN.

"What we want to do is get golf clubs in people's hands and get them hitting golf balls."

A variety of fresh ideas and innovative alternatives to the traditional game have also been formulated in recent years in an attempt to reinvigorate the sport.

Step out onto a golf course today and you could well see 15-inch holes instead of their smaller ancestors -- you would not be dreaming were you to come across golfers kicking a football around rather than hitting a golf ball with a club.

"A lot of people are getting involved and loving FootGolf," president of the Federation for International FootGolf, Mike O'Connor, told CNN in April. "It catches such a large demographic because it's such a low skill level to be able to play. You've just got to be able to kick a ball."

For FootGolf, also read the likes of Speedgolf and Golf Xtreme, while Hack Golf, an initiative aimed at crowdsourcing ideas to improve the game, is another example of how the sport is thinking outside the box.

But perhaps more important than such alternatives which, let it be said, are starting to have some impact, golf is beginning to understand it needs to redefine the way it has traditionally approached getting people to play the game.

Many potential players can be put off before they have even picked up a club by the length of time it takes to make their way around a course. Yet those that run golf are keen to get across the message that the 18-hole game is only one side to a multifaceted sport.

"What it means to play golf doesn't just need to be measured on how many rounds you've played," PGA CEO Pete Bevacqua told CNN.

"Did you have a golf lesson? Did you go to hit practice shots at a practice range? Did you play three holes with your wife, your spouse or your children? These are all golf experiences.

"Playing 18 holes with three friends on a beautiful golf course is the ultimate, but you can't always do that. And we'd rather see people just have a golf experience to get into the game. And once you get interested, the magic, the charm of the game, will keep you interested."

A 'smarter' approach

It is this type of change in attitude that was behind the PGA's decision to shift the focus for its Junior League Golf program to that of the enjoyment of recreation and playing with others, rather than an obsession with all-out competition.

"Golf is getting smarter and they're looking at the interests of kids and no longer assuming that golf can attract these kids with its traditional interests and traditional allurements," Chamblee says.

Golf's world No. 1 Rory McIlroy is in agreement, having called for a faster version of the game that will appeal to kids earlier this month.

Given his global status, McIlroy is in the perfect position to have a positive influence on future generations of players -- something he is more than aware of having taken on an ambassador role with PGA Junior League Golf.

"You've seen how iconic players in the game have affected people and some people transcend the game of golf which is really what we need," TaylorMade's Sharpe says.

"We had a good spell with Tiger Woods during the 1990s and 2000s and Rory is positioned to be another person who can do that."

With McIlroy taking his game to the next level in 2014 -- winning his third and fourth majors at the age of just 25 -- golf looks set to profit in 2015 as the Northern Irishman attempts to consolidate his spot as the sport's primary superstar.

Such dominance can only be of good for the grassroots game, and those tasked with increasing its popularity are confident enough in the work being done that they are refusing to hit the panic button just yet.

"We're realistic -- there's challenges, there's troubles, like there have always been," Bevacqua says. "They're different, but golf's resilient and will get through this if we're smart, and I think the industry is smart."

Sharpe also remains optimistic about golf's fortunes in the coming years, pointing to the growth of the game globally.

"There is still a very high participation around the world and it is growing in parts of the world," Sharpe says. "So I think we should be quietly confident that golf is going to be in a good spot going forward."

@highlight

Golf suffering a decline in popularity in its traditional heartlands of the U.S. and UK

@highlight

400,000 left the sport over past year in U.S., according to the NGF

@highlight

New ideas and initiatives introduced to change its fortunes

@highlight

"We have to evolve and continually modernize," TaylorMade CEO says