U.S. drone strikes in Pakistan have killed far more people than the United States has acknowledged, have traumatized innocent residents and largely been ineffective, according to a new study released Tuesday.

The study by Stanford Law School and New York University's School of Law calls for a re-evaluation of the practice, saying the number of "high-level" targets killed as a percentage of total casualties is extremely low -- about 2%.

The report accuses Washington of misrepresenting drone strikes as "a surgically precise and effective tool that makes the U.S. safer," saying that in reality, "there is significant evidence that U.S. drone strikes have injured and killed civilians."

It also casts doubts on Washington's claims that drone strikes produce zero to few civilian casualties and alleges that the United States makes "efforts to shield the drone program from democratic accountability."

The drone strike program has long been controversial, with conflicting reports on its impact from U.S. and Pakistani officials and independent organizations.

President Barack Obama told CNN last month that a target must meet "very tight and very strict standards," and John Brennan, the president's top counter-terrorism adviser, said in April that in "exceedingly rare" cases, civilians have been "accidentally injured, or worse, killed in these strikes."

In contrast to more conservative U.S. statements, the Stanford/NYU report -- titled "Living Under Drones" -- offers starker figures published by The Bureau of Investigative Journalism, an independent organization based at City University in London.

"TBIJ reports that from June 2004 through mid-September 2012, available data indicate that drone strikes killed 2,562 - 3,325 people in Pakistan, of whom 474 - 881 were civilians, including 176 children. TBIJ reports that these strikes also injured an additional 1,228 - 1,362 individuals," according to the Stanford/NYU study.

Based on interviews with witnesses, victims and experts, the report accuses the CIA of "double-striking" a target, moments after the initial hit, thereby killing first responders.

It also highlights harm "beyond death and physical injury," publishing accounts of psychological trauma experienced by people living in Pakistan's tribal northwest region, who it says hear drones hover 24 hours a day.

"Before this we were all very happy," the report quotes an anonymous resident as saying. "But after these drones attacks a lot of people are victims and have lost members of their family. A lot of them, they have mental illnesses."

People have to live with the fear that a strike could come down on them at any moment of the day or night, leaving behind dead whose "bodies are shattered to pieces," and survivors who must be desperately sped to a hospital.

The report concedes that "real threats to U.S. security and to Pakistani civilians exist in the Pakistani border areas now targeted by drones." And it acknowledges that drone strikes have "killed alleged combatants and disrupted armed actor networks."

But it concludes that drone strikes, which are conducted by the CIA in a country not at war with the United States, are too harmful to civilians, too sloppy, legally questionable and do more harm to U.S. interests than good.

"A significant rethinking of current U.S. targeted killing and drone strike policies is long overdue," it says. "U.S. policy-makers, and the American public, cannot continue to ignore evidence of the civilian harm and counter-productive impacts of U.S. targeted killings and drone strikes in Pakistan."

The study recommends that Washington undertake measures to rectify collateral damage -- including making public detailed legal justification for strikes, implementing mechanisms transparently to account for civilian casualties, ensuring independent investigations into drone strike deaths, prosecuting cases of civilian casualties and compensating civilians harmed by U.S. strikes in Pakistan.

Nine months of research went into the report, according to its authors, which included "two investigations in Pakistan, more than 130 interviews with victims, witnesses, and experts, and review of thousands of pages of documentation and media reporting."

U.S. authorities have largely kept quiet on the subject of drone strikes in Pakistan.

However, the use of armed drones to target and kill suspected terrorists has increased dramatically during the Obama administration, according to Peter Bergen, CNN's national security analyst and a director at the New America Foundation, a Washington-based think tank that monitors drone strikes.

Obama has already authorized 283 strikes in Pakistan, six times more than the number during President George W. Bush's eight years in office, Bergen wrote earlier this month. As a result, the number of estimated deaths from the Obama administration's drone strikes is more than four times what it was during the Bush administration -- somewhere between 1,494 and 2,618.

However, an analysis by the New America Foundation says that the civilian casualty rate from drone strikes has been dropping sharply since 2008 despite the rising death toll.

"The number of civilians plus those individuals whose precise status could not be determined from media reports -- labeled 'unknowns' by NAF -- reported killed by drones in Pakistan during Obama's tenure in office were 11% of fatalities," said Bergen. "So far in 2012 it is close to 2%. Under President Bush it was 33%."

The foundation's analysis relies on credible media outlets in Pakistan, which in turn rely on Pakistani officials and local villagers' accounts, Bergen said, rather than on U.S. figures.

The drone program is deeply unpopular in Pakistan, where the national parliament voted in April to end any authorization for it. This, however, was "a vote that the United States government has simply ignored," according to Bergen.

Obama told CNN's Jessica Yellin this month that the use of armed drones was "something that you have to struggle with."

"If you don't, then it's very easy to slip into a situation in which you end up bending rules thinking that the ends always justify the means," he continued. "That's not been our tradition. That's not who we are as a country."

Obama also addressed his criteria for lethal action in the interview, although he repeatedly declined to acknowledge any direct involvement in selecting targets.

"It has to be a target that is authorized by our laws. It has to be a threat that is serious and not speculative. It has to be a situation in which we can't capture the individual before they move forward on some sort of operational plot against the United States," Obama said.

His security adviser, Brennan, gave the Obama administration's first public justification for drone strikes in his April speech at the Woodrow Wilson Center, a Washington think-tank.

Such strikes are used when capture is not a feasible option and are conducted "in full accordance with the law," Brennan said.

"We only authorize a strike if we have a high degree of confidence that innocent civilians will not be injured or killed, except in the rarest of circumstances," he said.

Despite the "extraordinary precautions" taken by the United States, Brennan said, civilians "have been accidentally injured, or worse, killed in these strikes. It is exceedingly rare, but it has happened. When it does, it pains us, and we regret it deeply, as we do any time innocents are killed in war."

Brennan also cited the "the seriousness, the extraordinary care" taken by Obama and his national security team in deciding whether to use lethal force.

The London-based rights organization Reprieve, which with the help of a partner organization in Pakistan facilitated access to some of the people interviewed for the Stanford/NYU study, backed its finding that the drone program causes wider damage than is acknowledged by the U.S. government.

"This shows that drone strikes go much further than simply killing innocent civilians. An entire region is being terrorized by the constant threat of death from the skies," said Reprieve's director, Clive Stafford Smith.

"Their way of life is collapsing: kids are too terrified to go to school, adults are afraid to attend weddings, funerals, business meetings, or anything that involves gathering in groups. Yet there is no end in sight, and nowhere the ordinary men, women and children of North West Pakistan can go to feel safe."

@highlight

A study by Stanford and NYU claims only about 2% of killed targets are "high-level"

@highlight

Innocent civilians are killed, maimed and traumatized by drone strikes, the report says

@highlight

Drones in Pakistan killed 176 children from 2004 to 2012, an independent group says

@highlight

Obama has said a target must meet "very tight and very strict standards"