(CNN) -- A confession: I usually have a knee-jerk reaction when television goes into its extreme-weather mode.

All too often, I've seen the machinery clank into action -- team coverage, breathless anchors, intrepid correspondents getting soaked in the rain -- only to watch the heavily hyped storms peter out. What used to be the province of local eyewitless news, gearing up at the merest threat of thunderstorms or snowfall, long ago became a cable news specialty. It's a surefire way to goose the ratings.

When I was in Tampa for the Republican convention in August, the saturation coverage of Hurricane Isaac helped force organizers to cancel the first night. Then Isaac turned out to be a bust, but the storm coverage continued to compete with the convention right up until Clint Eastwood argued with his chair.

Hurricane Sandy was different. And I found myself grateful for the television coverage, as messy and chaotic as it often is. That is because the weaknesses of live, breaking news can sometimes be its strength.

When news organizations jump the gun in reporting, for example, a Supreme Court decision, or an ailing person's death, it's hard to understand why they couldn't wait a few more minutes to get it right -- why the rush to get it first can trump all else.

Watch: Why Do Crazy Reporters Stand Out in the Rain?

But when a monster storm is devastating the East Coast, the fragmentary reports and incremental information are both riveting and necessary. Even a mistake becomes more understandable in this context.

(A CNN meteorologist cited an erroneous posting from a National Weather Service bulletin board Monday night that the New York Stock Exchange was filled with three feet of water; the network quickly issued an on-air correction.)

The correspondents braving the elements seemed less like grandstanders and more like dogged fact-finders. Each development -- "Landfall near Atlantic City!" "Crane down in Manhattan!" "Flooding in Brooklyn-Battery Tunnel!" -- became part of a shared community experience. At least for those who still had power.

Watch: Is Hurricane Sandy's Dominant Coverage Hurting Mitt Romney?

And that, even in this age of media fragmentation, may be cable TV's greatest service. We watch and experience the highs and lows together, even those in parts of the country that are unaffected. It is the polar opposite of a presidential campaign, with its relentless hyper-partisanship. In fact, by upending the final week of the campaign, the hurricane and the media attention surrounding it provided a uniquely unifying moment.

Hurricane Hotties in D.C.: Still Stripping During Sandy

Social media played a key role as well. On Instagram, the photo-sharing app, users were posting 10 Sandy photos every second -- more than 244,000 tagged #sandy by Monday afternoon. No news organization could beat that. Twitter exploded with messages and updates about the hurricane, along with expressions of concern. For the 140-character generation, it was the online equivalent of gathering around the TV set in the pre-Internet days.

But the vulnerability of social media, with its lack of editors or grownup supervision, was on display as well. The web, especially Tumblr and Twitter, also were flooded with fake photos -- stock images that had been altered or were misrepresented as having been taken during Sandy. One picture, carried by the Washington Post, Daily Beast and NPR, showed sentinels guarding the Tomb of the Unknown Soldier; it turned out to be have been taken last month. Editors at London's Guardian asked readers to help them spot the bogus shots by using the Twitter hashtag #FakeSandy.

Watch: Many Americans Think Obama Is Jewish? Oy.

Journalism, to be sure, is better at quick snapshots than long-term probing. Since the candidates have scarcely talked about climate change, it has almost disappeared from the media radar screen. But the violent storms of recent years -- the Snowmaggeddon, the derecho, now the most far-ranging hurricane in modern memory -- suggest that we have plunged into a new and more dangerous era. Reporters need to be more aggressive in examining the role of environmental change in these superstorms.

I still think there is a tendency, in the wake of Katrina, to cast every storm as a potential Category 5 killer. But given the magnitude of Hurricane Sandy, which killed at least 33 people in the United States and knocked out power to more than 7.5 million, the media hype was more than justified.

The opinions expressed in this commentary are solely those of Howard Kurtz.

@highlight

Howard Kurtz: TV coverage of storms is sometimes overblown, designed to goose ratings

@highlight

He says TV news can jump gun, get facts wrong, but in weather disaster it's understandable

@highlight

Viewers ravenous for details, he says. Storm brought unifying moment in midst of campaign

@highlight

Kurtz: After Katrina, media cover every storm like it's huge; in this case that was justified