New York (CNN) -- Nearly 13 years after terrorists hijacked four airliners, crashed them and killed almost 3,000 people, a museum dedicated to the day that changed America will open in New York.

The National September 11 Memorial Museum will open to the general public on May 21, the museum and memorial group announced Monday.

The museum, located at the site of the original World Trade Center, will feature a core memorial exhibition that pays tribute to the 2,983 people killed in the September 11, 2001 attacks and in the February 26, 1993 bombing of the World Trade Center. A second historical exhibition, told through personal artifacts, photographs, audio and video footage and first-person testimonials, will explore what led up to the terror strikes, examine the aftermath and illustrate how 9/11 continues to shape our world, according to a statement from the museum.

"When the museum opens to the public on May 21, millions will come to further understand the experiences, courageous actions, and terrible losses that we saw on 9/11 and in the aftermath. The museum will forever remind us of the capacity we have to come together when the times require," 9/11 Memorial President Joe Daniels said.

The official opening will be preceded by a five day, 24-hour dedication period during which members of the 9/11 community will have exclusive access to the museum and memorial. During that time, family members of those lost on 9/11, rescue and recovery workers, active duty first responders from agencies that lost members in the attacks and survivors of the attacks -- as well as lower Manhattan residents and business owners -- will be able to visit the memorial and museum when it is best for them, the release said.

"We are honored that the first people to experience this museum will be the men and women who came to our aid and protected us on 9/11, the families of the innocent victims killed that day, and the survivors who lived to tell the tale of an unimaginable horror so that we may learn from the past. The museum is built upon their incredible stories," 9/11 Memorial chair and former New York City Mayor Michael Bloomberg said.

Family members of those killed on that day will not have to pay admission to the museum, nor will rescue and recovery workers who are registered with the Memorial. Tickets for the general public will be available beginning March 26 on the museum's website.

The museum will also house a repository of the 8,000 sets of remains that have yet to be identified from the 9/11 attacks.

The remains, which are in the custody of the Office of the Chief Medical Examiner, will be kept behind a wall in an area off-limits to the public, said 9/11 museum spokesman Michael Frazier.

The museum's website says the wall, which visitors will be able to view, will be inscribed with the words of Roman poet Virgil: "No day shall erase you from the memory of time."

Only medical examiners and victims' families will be given access to the repository, where DNA identifications of the unidentified remains will continue, according to representatives from the museum and the medical examiner's office.

The decision to house the remains in the museum repository has been controversial.

In 2011, 17 families of 9/11 victims filed a petition in court to force the museum to consult with victims' families before deciding what to do with the remains. They eventually asked for a congressional hearing. Both efforts were unsuccessful.

On its website, the museum said the decision to move the remains to the repository at the museum was due to the overwhelming feedback received from families after the attacks.

"You will never be able to please everyone. When it comes to human remains, we have to treat them with as much dignity and respect (as) they deserve," said Lee Ielpi, president and co-founder of 911 Tribute Center. Ielpi lost his son, a 29-year-old firefighter, on 9/11. "Now is the time to bring those remains back to where they have been murdered."

When hijacked American Airlines Flight 11 and United Airlines Flight 175 were intentionally crashed into the north and south towers of the World Trade Center on 9/11, 2,753 people were killed. On the same day, another 224 people died when hijacked planes crashed into the Pentagon and in a field outside Shanksville, Pennsylvania. A February 26, 1993 terror attack -- also at the World Trade Center -- left six people dead.

CNN's Adrienne Zulueta and Chris Kokenes contributed to this report.

@highlight

The National 9/11 Museum will open to the public on May 21

@highlight

A dedication period for families and community members will precede opening

@highlight

Remains of unidentified victims will be moved to a new resting place within the museum

@highlight

They will be kept behind a wall in an area off-limits to the public, officials tell CNN