(CNN) -- Thirty-nine years ago, Roe v. Wade was decided. With the passage of nearly four decades, the landscape of abortion has changed in a way that should trouble even those who consider themselves pro-choice.

Right now, 10 states and the District of Columbia have no statutory time limit on when abortions can be performed, while five more states allow abortion up to the end of the second trimester (about 27 or 28 weeks). Yet, we know that by 28 weeks, the great majority of fetuses would survive birth. In other words, we allow the killing of viable infants in our country. This is a fact that progressives (including me) would rather not address.

As two Maryland abortion doctors face murder charges for allegedly performing late-term abortions, the issue now has a pair of human faces.

Drs. Steven Brigham and Nicola Riley were arrested after the discovery of what are alleged to be several viable fetuses in a freezer chest. The story only got stranger on New Year's Day, when a clinic apparently owned by Brigham burned to the ground in Florida. Important facts are still unknown, and the doctors have asserted their innocence regarding any late-term abortions.

There has been relatively little discussion of this case in progressive circles. It's no wonder that we would rather look away. The abortion debate has largely devolved into professional activists screaming at each other on television and at street protests. We don't want to be like those people.

We are also haunted by the ragged remains of the Supreme Court opinion in Roe v. Wade. Despite being disavowed by subsequent opinions and some of the individual justices, one part of that precedent lives on in the statutes of some states and the practices of several doctors: The assertion in Roe's majority opinion that "viability is usually placed at about seven months (28 weeks)."

The scientific claim that viability (the ability of a fetus to live outside the womb) "usually" occurs at 28 weeks has been undermined by medical advances over the past 38 years.

Children who would have died if born late in the second trimester in 1973 would more than likely live if they were born now. A Swedish study in 2009 found that preterm babies born late in the second trimester who are given intensive care survive at surprising rates: 53% of those born at 23 weeks live, 67% at 24 weeks, and by 25 weeks, 82% of the babies survive. (Sweden's health care system makes it possible to reliably track survival rates, but the type of care provided there is similar to that available in the United States).

In the same way that the law had to change to accommodate advances in DNA evidence that can exonerate those on death row, state laws must change to accommodate that with modern medical care, a child born at 27 weeks is very likely not only going to live, but live a fairly normal life.

We progressives tend to revere science, and there are few scientific proofs more convincing than those former preterm infants who live and thrive all around us. Though late-term abortions are only a small fraction of the total number of terminated pregnancies, it remains a defining issue for our society.

As someone who works against the death penalty, trying to save the lives of people who have committed murder, I have a moral obligation to set my feet, breathe in deeply and honestly admit that prosecutors are morally in the right to pursue cases where they believe viable fetuses are being aborted in violation of the law. A life is ended, and that is murder, if the facts so prove.

Some will see any accommodation on abortion as "appeasement" of conservatives, but this attitude is nothing less than the adoption of hard-line evidence-ignoring tactics that progressives so often (and properly) decry in groups such as the National Rifle Association. We may disagree about whether life begins at conception, but it is now irrefutable that life is viable at 27 weeks. To deny this plainly observable fact is akin to denying the existence of evolution or global warming.

Much as Troy Davis (who was executed in Georgia last year despite troubling exculpatory evidence) and Hank Skinner (who received a stay of his execution in Texas to allow DNA testing to be pursued) personified the problems with the death penalty, there are those who do so just as starkly when we ponder late-term abortion.

For me, that person is named Rees. On a hot summer day in Waco, Texas, his proud grandfather carried him across the street for me to meet, months after his birth at about 24 weeks. His eyes were clear in the Texas sun, he was wrapped in a blue-and-white blanket, and he was surrounded by love.

He was, and is, a person, and that matters as much as Troy Davis and Hank Skinner.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Mark Osler.

@highlight

Mark Osler: 39 years after Roe v. Wade, time limits on abortion should be rethought

@highlight

Some states have no statutory time limit; others allow abortion up to the end of second trimester

@highlight

Osler says medical technology makes some fetuses viable in second trimester