(CNN) -- Two women in veils and voluminous white gowns kneel in front of a statue of the Buddha, exchanging vows and prayer beads to the languorous intonations of Buddhist chants.

This unconventional ceremony on Saturday was the first same-sex Buddhist wedding held in Taiwan, where a landmark bill to legalize same-sex marriage has been pending since 2003.

No countries in Asia have legalized same-sex marriages so far, although there have been signs of progress in some -- most recently in Vietnam and Nepal.

Germany's high court expands gay rights

Huang Mei-yu said she and her partner of seven years, Yu Ya-ting, decided to hold a Buddhist wedding to acknowledge their own faith, as well the predominant religion of the nation, according to the Taipei Times newspaper. They hoped the ceremony, which was performed by a renowned Buddhist master, would encourage Taiwanese society to accept same-sex marriage.

"Of course it helps (promote same-sex marriage), said Wu Hsiao-wen, Secretary of the Taiwan LGBT Family Rights Advocacy, saying that the ceremony set a strong example for the Buddhist community. She added that its legitimacy was bolstered in the public's eyes by its blessing from Shih Chao-hwei, a highly-respected Buddhist social activist, who presided over the ceremony. Shih founded the Hong-Shih Buddhist College and the Research Centre for Applied Ethics at Hsuan Chuang University.

The Buddhist ceremony followed a mass same-sex wedding extravaganza last August, where 80 lesbian couples participated in a "Barbie and Barbie's wedding" in the capital city of Taipei, attracting over 1,000 guests and curious onlookers.

Taiwan was the first nation in Asia to introduce a bill to legalize same-sex marriage and adoption by same-sex couples. Drafted in 2003 under former president Chen Shui-bian, it has made little headway in Taiwan's legislature, however.

Wu said the issue of same-sex marriage is often given lip service during electoral campaigns, but there is little effort to push the bill forward once the winning candidate takes office. At a gay rights awareness event in 2006, when the current president, Ma Ying-Jeou, was the mayor of Taipei, he said homosexuality was a "natural phenomenon" and "gay rights are part of human rights." Since taking office in 2008, he has been mostly silent on the issue.

Gay men, straight women: enduring bonds

The government is also under pressure from Christian groups -- who comprise a small but vocal religious minority in Taiwan â€” Wu said. Given the little political will at present, she said the pressure to push the bill through needs to come from the grassroots level.

She is optimistic that same-sex marriage legislation will be passed in the next few years, saying the "gay and lesbian community is getting stronger and stronger."

Taipei's annual gay pride parade has become Asia's largest since its inception in 2003, according to organizers, attracting 50,000 people last October. Wu said this year's parade will focus for the first time on same-sex marriage rights.

Elsewhere in the region, Vietnam held its first gay pride parade on August 5, attended by around 100 people in the capital of Hanoi. It followed inaugural gay pride parades in Myanmar and Laos in May and June, respectively.

In July, Vietnam's Justice Ministry announced it would consider including a provision for same-sex marriage rights in a proposal to the National Assembly next year, as part of an amendment to the country's marriage laws. While LGBT activists are unsure how far the government will truly take the matter, it appears the decision may stem from practicality.

"It's time for us to look at the reality," Justice Minister Ha Hung Cuong said in an online debate. "The number of homosexuals has mounted to hundreds of thousands. It's not a small figure. ... They may own property. We, of course, have to handle these issues legally."

In May, Nepal's Home Ministry announced it would include an "others" category to recognize the alternative gender identities of LGBT people on citizenship certificates and other official government and business documents.

Woman who had gay slurs carved in her body speaks out

Nepal's Supreme Court ruled in favour of granting full rights to LGBT people in 2008, including the right to marry. But the Nepalese LGBT community is still waiting for these rights to be written into the country's new permanent constitution, which has been dogged by repeated delays and protracted negotiations.

"I remember when I told my parents that we would get married, their first question was, 'Is this legal?'" Huang told reporters at her wedding. "I could only say to them that it would (become legal) soon, but I didn't know when would be considered soon. So we hope it will become legal. For us and for our families, it is very important."

@highlight

Taiwan's first same-sex Buddhist wedding ceremony held Saturday

@highlight

Couple hopes ceremony will promote same-sex marriage to predominantly Buddhist society

@highlight

Taiwan was first nation in Asia to introduce bill to legalize same-sex marriage, though it has stalled

@highlight

Vietnam and Nepal taking small steps to recognizing LGBT rights