(CNN) -- This week on the "Big Three" prodcast we talked with our special guest, CNN legal analyst Jeffrey Toobin, about the momentous upcoming week for the Supreme Court.

With 11 decisions left and just one week in the month of June to complete their rulings, the Supreme Court has held the most anticipated cases until the bitter end. Among these are rulings on gay rights, same sex marriage, the Voting Rights Act and affirmative action. This is the moment where the Supreme Court weighs in on the Culture Wars. Intense debate and some inevitable outrage seem sure to follow.

Toobin, author of "The Nine and the Oath" as well as a writer for The New Yorker, points out that Chief Justice John Roberts seems focused on building a more colorblind society as a core part of his court legacy. That means decisions regarding affirmative action and the special status of southern states in the Voting Rights Act could move in directions that would upset liberals and African-Americans in particular.

But Toobin cautions against buying into knee-jerk characterizations and politicizations of complex decisions. In particular, he points out that the Voting Rights Act will not be repealed or fundamentally gutted if conservative justices carry the day in the case brought by Shelby County, Alabama, arguing essentially that the requirements relevant to the 1960s desegregation no long apply.

On the court's return to the question of affirmative action, one Roberts quote from 2007 looms large over the decision: "The way to stop discrimination on the basis of race is to stop discriminating on the basis of race."

Perhaps the preeminent civil rights fight of our time is the gay rights movement, and two cases on this front promise to capture the most attention. The first is regarding the constitutionality of the Defense of Marriage Act, passed by Congress in the 1990s. The second concerns the constitutionality of California's Proposition 8, which banned same sex marriages at the ballot box. Many close court observers believe that DOMA will be repealed while Prop 8 might be punted on standing.

This means that Dean's hope for a broad Loving v. Virginia type decision -- which outlawed state laws banning interracial marriage in the late 1960s -- might be thwarted for the time being. Margaret has been actively following this court case from its inception in California, where legendary conservative jurist Ted OIson banded with legendary liberal lawyer David Boies to argue that marriage is a basic civil right for all Americans.

This kind of bipartisan partnership based on deep principles rather than politics is a model for how to end the Culture Wars, whatever the results of this specific Supreme Court decision.

Whatever your personal politics, listen to Toobin jam with us on the "Big Three" as a curtain-raiser for the pivotal week ahead. These cases will affect all Americans, and by listening to this podcast you'll get up to speed, ready to debate the issues and analyze the landmark decisions delivered by the highest court in the land.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

Jeffrey Toobin joins "Big Three" to discuss the week ahead for the Supreme Court

@highlight

Dean Obeidallah, John Avlon, Margaret Hoover weigh in on how the justices will rule

@highlight

Expect rulings on gay rights and marriage, the Voting Rights Act and affirmative action