(CNN) -- At the age of 12, Stephen Wolfram was reading college physics textbooks and toying around with a computer roughly "the size of a large desk. With 8K of 18-bit words of core memory. And programmed with paper tape."

By the age of 20, he had gotten his Ph.D. and was on his way to inventing his own computational system.

But last year, at the age of 50, Wolfram launched what may be his most ambitious effort -- Wolfram|Alpha, a knowledge engine that answers users' questions on the Web by computing answers in real time with the help of a vast collection of databases.

In a talk at the TED2010 conference in February, Wolfram outlined the potential of the Alpha engine and talked more broadly about using computing to understand physics and model the universe.

Learn more about Stephen Wolfram at TED.com

He talked in greater detail about the development of Wolfram|Alpha by videoconference at the 50 Years of Public Computing at the University of Illinois conference at Urbana-Champaign on April 15.

Here are excerpts from that talk: (A complete version is available here.)

"A year ago, we launched Wolfram|Alpha.

"It was quite tense. The culmination of about five years of work and 25 more years of previous development. An absurdly ambitious project that I hadn't been sure was going to be possible at all.

"Our long-term goal was -- and is -- to make all the world's systematic knowledge computable. To take all the data, and models, and methods that our civilization has accumulated -- and set it up so that it can immediately be used to compute answers to whatever questions people ask.

"There's a long, long history to this basic idea. [German mathematician Gottfried] Leibniz was talking about a version of it 300 years ago. And 50 years ago, when computers were young, it seemed like it wouldn't be long before it was possible.

"But people mostly thought that it'd happen by computers managing to emulate brains -- and pulling in knowledge and processing like we humans do. Well, I myself am right now 50 years old... and, as perhaps I'll show you later, I'd actually been thinking about globally systematizing knowledge since I was a kid.

"It was about 30 years ago when I first started thinking about making knowledge broadly computable. And at the time I concluded it'd require solving the whole problem of artificial intelligence -- and was way out of reach. But then I spent the next 25 years doing things that, as I'll explain, finally made me think: Maybe, just maybe this computable knowledge idea isn't so out of reach.

"I must say that at first I still didn't know if it was only not out of reach in the 50-year-type time frame. Or the 20-year. Or the five-year. But I decided that we should give it a try.

"It had all started with some abstract intellectual ideas. And now, in the end, it had turned into millions of lines of code, terabytes of data -- and 10,000 servers that we'd just been finishing assembling.

"Some news had come out about our project, so there was a lot of anticipation. And we knew there'd be a big spike in people wanting to try out what we'd done.

"We'd obviously done lots of testing. But we really didn't have any idea what would happen when millions of people actually started accessing our system.

"But we thought: Let's let as many people as possible share the experience of finding out.

"So we decided to do a live webcast of the moment when we actually made our system live to the world.

"Well, actually, the day of the event I was thinking: this is going to be such boring TV. All that's going to happen is that at some moment we'll push a virtual button, and everything will go live.

"Well, needless to say, it didn't stay boring long.

"Early in the day, we had finally finished assembling all our servers -- and were able to switch them all on. And... oh my gosh... lots of stuff didn't work.

"Well, at the appointed time we started the live webcast. And still things weren't working. There was a horrible networking and load-balancing problem.

"We'd advertised 9 p.m. as our go-live time. We figured at that time on Friday evening most people wouldn't be thinking about us... so we'd have a comparatively soft launch.

"Well, with perhaps 15 minutes to go, we'd finally solved the main technical problem.

"You know, some people had said when you look at other peoples' control rooms they often have television weather and news playing. Perhaps we should have that too. "I said bah, we won't need that. This is just a computer thing. We don't care if it's raining.

"Well, fortunately we did actually have good weather and news feeds. Because this was May in the Midwest. And as it turned out, with perhaps 30 minutes to go, there was another problem. Here, we can actually look at live Wolfram|Alpha to find out about it. [By typing in "weather champaign may 15 2009," a chart was generated of wind speed in Champaign, Illinois, for that date.]

"See that giant spike in wind speed just before 8pm? That was a tornado. Approaching our location. Well, we had backup generators -- and of course we had several remote co-location sites for our servers.

"But still, we had a tornado coming straight for us.

"Well, fortunately, at the last minute, it turned away. And the power didn't even go out. So at 9:33:50 p.m. central time on May 15, 2009, I pressed the button, and Wolfram|Alpha went live.

"And our giant project was launched -- out of the starting gate."

@highlight

Scientist Stephen Wolfram seeking to make world's knowledge computable

@highlight

He developed a Web site that provides instant computation relying on massive databases

@highlight

Wolfram is seeking to answer fundamental questions about the universe through computing