(CNN) -- One of the most dominant theories of this year's presidential election is that President Barack Obama's re-election prospects have been undermined by high unemployment levels.

Yet despite a dismal labor market, which saw a net increase of only 103,000 private-sector jobs for August, the president has been widening his lead over Mitt Romney in recent days. This raises the possibility that other factors are trumping high unemployment.

To be sure, the fact that the unemployment rate has remained above 8% throughout Obama's first term has greatly contributed to the sense among many that his economic agenda has been a failure. Perhaps the most memorable speech at the Democratic National Convention, by former President Bill Clinton, was devoted to defending the current president's job creation record, a clear sign that Democrats recognize it as their central vulnerability.

Opinion: Bill Clinton brings it for Obama

Yet one of the ironies of the 2012 presidential campaign is that the incumbent president has benefited from strong support among many of the constituencies that have been hardest-hit by high unemployment levels, particularly black Americans and Latino Americans. This has left the Romney campaign in the position of having to win over voters who've fared relatively well since 2008.

Unfortunately, we don't have reliable or consistent data on the political preferences of the unemployed. The numbers we do have are fragmentary.

For example, a recent survey of 18-to-29-year-old voters sponsored by the Youth Engagement Fund found that while only 14% of Romney voters were unemployed, almost a third of Obama voters were unemployed. Undecided voters fell somewhere in between, with 25% of them unemployed. This hardly settles the question, but the fact that the president fares so well with demographic groups that have experienced higher unemployment rates is nevertheless suggestive.

Perhaps the most obvious explanation is that voters interpret economic data through the lens of their cultural and political affiliations.

Voters who are disinclined to favor a Democratic incumbent will be more likely to interpret disappointing jobs numbers as an indictment of Obama while voters who are more favorably disposed towards Democrats will maintain that he is doing the best that can be expected of him in the face of powerful economic and political headwinds.

With that in mind, we can learn a great deal by taking a closer look at different groups in different states.

For example, of the three states with unemployment rates above 10%, two, California and Rhode Island, are heavily urban, coastal states that overwhelmingly support Obama.

The third, Nevada, is more closely contested, though most surveys find that the state is leaning toward backing the president. This is despite the fact that Nevada is one of the states that has been most adversely impacted by the housing bust. The state is also 27% Latino. And though its electorate is considerably less so, the fact that Latinos tend to favor Democrats more strongly than do white Anglos has given the president a significant boost.

Opinion: Three hurdles for Obama, Romney

The political configuration of states with unemployment levels from 8% to 10% is also quite interesting. Indiana, Kentucky, Tennessee, Mississippi, Georgia and South Carolina are all in the Romney column.

Several of these states are part of the cultural region political analyst Sean Trende has called "Greater Appalachia," a region that moved toward the GOP even as the rest of the country moved away from it between 2004 and 2008. Others, including Mississippi, Georgia and South Carolina, have electorates that are defined by racial polarization.

The large black minorities in these states tend to be strongly Democratic while the white majorities tend to be strongly Republican. Moreover, unemployment rates in the black population in these Deep South states tend to be much higher than unemployment rates in the white population. This implies that many of the president's strongest supporters in these states have been touched by unemployment, either directly or indirectly, while many of his staunchest critics have emerged unscathed.

Many of the unemployed and underemployed households in these states have benefited from the extension of unemployment benefits, the expansion of eligibility for the Supplemental Nutritional Assistance Program and other social transfer programs that the president and congressional Democrats fought for as part of the 2009 fiscal stimulus law and in subsequent budget battles with congressional Republicans.

The Obama-supporting states with unemployment levels between 8% and 10% -- such as New York, New Jersey and Connecticut in the northeastern United States, Illinois in the Midwest and Washington and Oregon in the Pacific Northwest -- are states in which college-educated voters, who've fared relatively well in the post-crisis economy, have shifted to the Democratic Party at least since the Clinton presidency.

These are in a sense the Obama voters who don't present much of a puzzle -- relatively insulated from the weak economy, they're more likely to vote on the basis of their socially liberal values. Less affluent voters in these states, meanwhile, disproportionately benefit from the aid programs championed by the president and his allies.

Opinion: Harsh realities for Democrats

Earlier this summer, John Hudak, a political scientist based at the Brookings Institution, shed light on this underlying dynamic by considering how Democratic and Republican officials at the state level have responded to Obama's health care reform, the Affordable Care Act. So while Democratic elected officials rely more heavily on the support of voters who are far more likely to be uninsured, e.g., black Americans (22% of whom are uninsured) and Latino Americans (32% of whom are uninsured). Republican elected officials, meanwhile, reply more heavily on white voters, only 14% of whom are uninsured.

There are a number of contested states in the 8% to 10% unemployment range, including Michigan, North Carolina, Florida, Colorado and Arizona.

Florida, Colorado and Arizona are all states in which a surging Latino population has given the Democrats a foothold. North Carolina has a large and politically engaged black population as well as a growing population of college-educated social liberals, the combination of which has made the state more politically competitive than neighboring South Carolina.

Michigan, which is still considered a swing state despite having voted for Democratic presidential candidates since 1992, is quite distinctive. It has a black population slightly larger than the national average and a high concentration of union members, many of whom are clustered in the politically important automotive industry. The Obama administration has frequently touted its support for the auto industry, the cost of which continues to climb.

As recently as last year, former auto czar Steve Rattner claimed that the ultimate cost to taxpayers of the $82 billion of government funds invested in the GM and Chrysler bailouts would be $14 billion. Earlier this month, the U.S. Treasury Department estimated that it would eventually cost the federal government $25.1 billion. Michigan voters have good reason to believe that an Obama administration would be more likely than a Romney administration to offer domestic automobile manufacturers future cash infusions.

Many states with unemployment levels between 6% and 8% are solidly in the Republican camp; for example, Alaska, Montana, Idaho, Utah, Kansas, Texas, Arkansas, Louisiana and West Virginia. These are states that have done reasonably well during the Obama years but nevertheless oppose his re-election.

The states in this tier that back the president include states with large numbers of affluent college-educated voters and large minority populations, such as Pennsylvania, Maryland, Massachusetts and Delaware, and also states with very distinctive demographic profiles, such as heavily Asian Hawaii, heavily Latino New Mexico and Maine, a state that is both very white and very poor. The swing states in this tier -- Wisconsin, Ohio and Missouri -- are states in which Mitt Romney will have to win over large numbers of employed white voters.

And that is also true of New Hampshire, Virginia and Iowa, swing states in which the unemployment rate is between 4% and 6%. New Hampshire is heavily white and socially liberal, and its economy has fared well in recent years. Romney will thus have to make an ideological appeal to tax-sensitive voters concerned about deficits and debt. A similar dynamic applies to Iowa as well. Virginia has a large minority population that is supportive of Obama, but it also contains a large number of tax-sensitive suburbanites who might be amenable to Romney's conservative message.

Romney has oil-and-gas-oriented low unemployment states such as South Dakota, Wyoming and Oklahoma locked up. But the incumbent is comfortably ahead in Minnesota and Vermont.

At a state-by-state level, at least, there doesn't appear to be a straight line between high unemployment levels and opposition to Obama. High unemployment does matter -- but judging by the state of the race right now, it seems to matter more because employed voters, including many who've fared relatively well in recent years, see it as a sign of economic failure than because unemployed voters will turn out against the president in droves.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

There's a widespread view that unemployment levels are hurting Obama's re-election chances

@highlight

Reihan Salam: It seems Obama has strong support from groups more likely to be jobless

@highlight

He says Romney is left in the position of having to appeal to those who have fared better

@highlight

Unemployment matters because even those who have done well see rate as a failure, he says