(CNN) -- President Barack Obama on Wednesday announced an initiative he said will give African-American students greater access "to a complete and competitive education from the time they're born all through the time they get a career."

Speaking Wednesday night at a National Urban League gathering in New Orleans, Obama said he has issued an executive order establishing the White House Initiative on Educational Excellence for African Americans, saying, "A higher education in a 21st century cannot be a luxury. It is a vital necessity that every American should be able to afford," he said.

He added that his administration is "pushing all colleges and universities" to cut their costs.

The president focused the bulk of his comments on the economy, saying his tax policies and economic plans aim to boost the middle class.

"We also believe that every entrepreneur should have a chance to start a business, no matter who you are, no matter what you look like," he said. "That's why we've helped African-American businesses and minority-owned businesses and women-owned businesses gain access to more than $7 billion in contracts and financing that allow them to grow and create jobs."

A spokeswoman for presumptive Republican presidential nominee Mitt Romney responded to the speech, saying Obama has "disappointed" African-Americans with his performance on the economy.

"As black Americans, we all take pride in Barack Obama's historic election," said Tara Wall, senior communications and coalition adviser for the Romney campaign, "but unfortunately his performance as president has not matched that enthusiasm. He's disappointed black small business owners, failed to address rising black unemployment -- which now stands at over 14%, and is double that among our youth -- and failed to address the widening economic disparity gap."

Obama's executive order comes in the wake of a new report by the National Urban League's Policy Institute that warned the president could lose three key battleground states -- Virginia, North Carolina and Ohio -- if African-American voters don't match their strong turnout of 2008 in this year's election.

"African-American voters tipped the outcome of the 2008 presidential election in several key states, and are poised to do so again in 2012," said the report, titled "The Hidden Swing Voters: Impact of African-Americans in 2012" by Madura Wijewardena and Valerie Wilson.

"How this will manifest will depend on many things, but one important factor will be whether the extraordinary growth in turnout by African-American voters in 2008 will be replicated in 2012," the report continued. "The 2008 voter turnout rate was driven by historic factors that may not necessarily apply in 2012."

The "historic factors" reference was to Obama being the nation's first African-American nominee of a major party, with voters having the opportunity in 2008 to make him the nation's first African-American president.

This time, an economy struggling to recover from a recession that hit African-Americans particularly hard has raised questions about whether Obama supporters will have the same fervor as they did four years ago.

A recent Gallup Poll showed the president with overwhelming support among registered African-American voters, with backing of 89%, compared with 5% for certain Republican nominee Mitt Romney. In 2008, Obama won 95% of the African-American vote, with 4% voting for GOP candidate John McCain.

About 2 million more African-Americans voted in the 2008 election than in 2004, according to U.S. Census Bureau figures. Voting by all minority groups accounted for nearly all the increase in turnout (5 million) between the two election cycles, as white non-Hispanic voting was virtually unchanged, the Census Bureau reported.

A decline in African-American voter turnout to the 2004 level of 60% from the 2008 level of 64.7% would cause Obama to lose in North Carolina and possibly lose in Ohio and Virginia, according to the National Urban League Policy Institute report.

Obama won all three states in 2008, and most scenarios for Obama's re-election depend on him winning at least two of them this time. Ohio has 18 electoral votes, while North Carolina has 15 and Virginia has 13.

A fierce start to the election campaign, with the candidates and their supporting super PACs launching bitter attacks, has made ensuring enthusiastic backing from traditional support bases a key to victory in November.

The president's speech Wednesday concluded a four-day, six-state swing that started earlier than planned Sunday so he could visit Aurora, Colorado, after last week's mass shooting at a movie theater.

During the speech, Obama made some of the most forceful statements of his presidency on the issue of gun violence, saying that while he respects the nation's hunting and gun-owning traditions, "We should leave no stone unturned and recognize that we have no greater mission as a country than keeping our young people safe."

CNN's Lesa Jansen, Tom Cohen and Paul Steinhauser contributed to this report.

@highlight

NEW: Executive order establishes African-American higher education initiative

@highlight

NEW: Higher education "is a vital necessity" that should be affordable, Obama says

@highlight

NEW: Obama has "disappointed" black Americans on economy, Romney spokeswoman says

@highlight

A report says a drop in African-American turnout could cost Obama in three key states