(CNN) -- Lawyers for Boston Marathon bombing suspect Dzhokhar Tsarnaev asked a federal court Thursday to strike his alleged "betrayal" of the United States as an aggravating factor for seeking the death penalty against him.

A defense motion accused prosecutors of trying to use the suspect's foreign birth and immigration to imply that Tsarnaev is "more blameworthy, and more deserving of severe punishment" than a native-born person who commits the identical crime.

"The 'betrayal' factor has no legally permissible role in this case, and can only serve to promote invidious discrimination based on national origin and immigration status," the defense motion said.

The Tsarnaev family originally came from Chechnya, a war-torn corner of southwestern Russia where Islamist guerrillas have been battling government forces for a decade and a half. Dzhokhar Tsarnaev and his older brother Tamerlan Tsarnaev were born in Kyrgyzstan. Dzhokhar had become an American citizen, while Tamerlan's application was still pending when the bombing occurred.

Dzhokhar Tsarnaev, 20, is accused of planting the bombs at the finish line of the 2013 race, along with Tamerlan, who was killed during the manhunt that paralyzed Boston.

The city marked the anniversary of the attacks on April 15, pausing to remember the three people who died and the more than 200 who were wounded, many of whom lost limbs.

The trial is set for early November, with the government seeking the death penalty. Defense lawyers are expected to argue that the younger Tsarnaev was under the "domination and control" of his brother.

"Resentment of Tsarnaev's immigration status and history is perhaps natural, given the nature of the crimes charged, and it is surely very widespread," Tsarnaev's lawyers said in the motion. "But the fact that he had only recently become a citizen, standing alone, does not increase his moral or legal guilt, and it should not be permitted."

In the notice to seek the death penalty, prosecutors said: "Dzhokhar Tsarnaev received asylum from the United States; obtained citizenship and enjoyed the freedoms of a United States citizen; and then betrayed his allegiance to the United States by killing and maiming people in the United States."

On Wednesday, federal prosecutors filed court papers asking that the family visits of the jailed suspect be monitored to ensure they are not used to convey hidden messages, according to court documents.

Prosecutors said Tsarnaev's conversations with his mother, now in the Russian republic of Dagestan, have raised the possibility that the defendant might use social visits "to communicate with third parties." In phone calls with him, his mother twice mentioned that she had contact with close friends of Tamerlan Tsarnaev, according to prosecutors.

In a hearing last month, U.S. District Judge George O'Toole appeared to side with the defense argument that visits between Tsarnaev and his sisters should not be monitored by the FBI.

Defense lawyer David Bruck argued that letting federal agents monitor the conversations intruded on the defense.

"The decision to take the most casual remarks, an ironic comment, and provide it to the prosecution ... becomes ammunition on the death penalty," Bruck said. If the charges against Tsarnaev are true, he said, "This is about a family," and lawyers should be allowed to observe the relationship between the siblings without interference.

In Wednesday's court filing, Assistant U.S. Attorney Nadine Pellegrini said some of Tsarnaev's telephone conversations while in prison "have raised the possibility he might seek to use social visits to communicate with third parties."

O'Toole has said he would make a decision after considering the prosecution's response.

Separately, Tsarnaev's defense team expressed concern about its ability to be "adequately prepared" for the November 3 trial date.

In another motion, defense attorneys said they need more information from the government's investigation into the explosive device and other forensic evidence.

"It cannot be ignored that the aggressive timeline for bringing this complicated and multifaceted case to trial dramatically compresses the time available for the defense to adequately prepare for trial," attorneys Judy Clarke and David Bruck wrote.

@highlight

Defense seeks to strike U.S. "betrayal" as reason for death penalty

@highlight

Prosecutors want to monitor Dzhokhar Tsarnaev's family visits

@highlight

Tsarnaev, 20, is accused of planting bombs at the finish line of the 2013 Boston Marathon

@highlight

His trial is set for early November, with the government seeking the death penalty