Cairo (CNN)A bleeding woman collapses on the ground. A police officer totes a weapon behind her.

It's an image that spread rapidly on social media -- and fueled furor among activists in Egypt who claimed it cast light on a devastating reality, four years after protests shaped a revolution that toppled Egypt's government.

Activists say the woman, Shaimaa El-Sabbagh, was peacefully participating in a small protest commemorating the revolution in Cairo's Tahrir Square on Saturday when she was shot dead.

Police deny using anything but tear gas as they quelled protests. But El-Sabbagh's colleagues at the Socialist Popular Alliance Party say police fired shots and killed her.

"If there were any attempts to hold security officers accountable over the past four years, Shaimaa wouldn't have been killed," said Khaled Dawood, a spokesman for the Constitution Party.

El-Sabbagh was one of at least 16 people killed in protests over the weekend at events marking the fourth anniversary of Egypt's revolution, officials say.

Fifteen were killed Sunday, including a police conscript, according to the Ministry of Health. Two of those killed were men trying to plant a bomb in Behira Province, ministry spokesman Hossam Abdel-Ghaffar said.

It was not clear Sunday night how many people had been arrested, because some were released on the spot or shortly afterward, the Interior Ministry said. Eight journalists covering the Sunday protests were among those detained, the Association for Freedom of Thought and Expression Reported.

Meanwhile, the prosecutor general has launched an investigation into El-Sabbagh's death and called policemen on duty that day in for questioning, along with six Socialist Popular Alliance Party members arrested at the Saturday march.

Elhamy El-Marghany, spokesman for the party, called El-Sabbagh's death an assassination that "sends a message against political and partisan life."

Four years ago on Police Day, a national holiday celebrated January 25, thousands of Egyptians marched to protest security violations. The protests quickly gained momentum as clashes with security forces left hundreds dead and culminated in the ouster of then-President Hosni Mubarak.

Almost all the police officers implicated in the 2011 violence were acquitted. Last November, a Cairo court dismissed charges against Mubarak and acquitted his interior minister and top security aides on charges related to the protesters' deaths.

Thousands have been killed and thousands more arrested since 2011 as local and international rights groups decried the impunity with which security forces operated. The toll dramatically increased in the summer of 2013 following the removal of ex-President Mohamed Morsy in the wake of another wave of mass protests. The crackdown on his supporters in August 2013 left at least 1,000 killed.

Many of the famous activists associated with the original January 25 demonstrations are now behind bars. Rights groups have scaled down operations as the government announced the activation of an old law that would restrict activities and funding.

Those who marched with El-Sabbagh on Saturday chose to demonstrate the day before January 25 "so they don't get confused or lumped with the Muslim Brotherhood protests," Dawood said.

Egypt's government has said a surge in terrorist attacks have forced stricter measures, as hundreds of army and police personnel were killed in bombings and shootings.

The Interior Ministry said in a statement to state media last December that it had arrested 10,000 rioters, saboteurs and terrorists in 2014 alone.

The opposition has consistently condemned these attacks but says the regime is using terrorism as an excuse to impose more restrictions.

On Sunday, Egyptian military armored personnel carriers closed Tahrir Square to traffic. State celebrations planned to mark the day were canceled to mourn the passing of Saudi Arabia's King Abdullah.

Secular political parties that now see demonstration as an ineffective and costly tool for change dissuaded youth members from protesting on the anniversary day.

"Today there's a new phase of revolutionary work. The coup has to realize that the revolution has taken a new turn," Muslim Brotherhood spokesman Mohamed Montaser tweeted. "Victory is inevitable."​

Sunday's demonstrations and marches took place away from the iconic square. The Anti-Coup Alliance, which was launched to support Morsy but has witnessed the departures of Islamist parties and movements seeking different strategies, posted photos and videos of marches and clashes with the police in and outside Cairo.

For Reda Hamed, a 47-year-old member of the leftist Bread and Liberty Party, this clampdown on political life is the battlefront. It was the killing of April 6 Movement's Sayed Weza during the demonstrations last January 25 that convinced Hamed to reconsider his belief that revolutionaries shouldn't legitimize the regime by political participation.

"I'm not ready to see another kid shot. I had to think about changing the mechanism of the revolution. Demonstrations and protests had to be changed to protect the youth of the revolution, so that no one else is shot dead. Enough with blood," he told CNN.

Hamed and fellow party members have an enduring goal: maintaining a place on the political scene until emerging parties are strong enough to mount a serious challenge.

Electoral campaigning would provide a state-sanctioned framework to reach out to people, network and organize in a bid to achieve the goals that fueled the revolution, he explained.

Days before the anniversary, Hamed was in Cairo's Salam City neighborhood telling potential voters about a revolution that hoped to make authorities accountable. "The revolution didn't give us anything," a man told him.

Others voiced numerous concerns about security, health care, unemployment and housing. They had little hope that Hamed or any elected official would bring about change.

In a televised speech Sunday, President Abdel Fattah el-Sisi struck an optimistic chord.

"The fourth anniversary represents to all of us a new flame of hope, development and action," he said. "There is no doubt that there are shortcomings that exist and will take time until we all overcome them. With the will to work and the will to change, we will be able to overcome these shortcomings and achieve our hopes."

Finance Minister Hany Kadry told CNN late last year that the government is working on multiple fronts: battling inflation, increasing spending on education and health care, increasing the minimum wage and backing a new smart card system to deliver subsidies more efficiently.

"So we are dealing with this while the most important thing is to rebuild confidence in the Egyptian economy to attract investors again and because we believe very much that having a job is your first line of protection against poverty and hardship," he said.

In addition to a megaproject developing the Suez Canal, Egypt is planning an international investment conference in March.

In the densely populated, low-income Salam City, Hamed echoed the chant so popular during the revolution: "Bread, freedom and social justice."

"When there is bread and freedom, social justice and human dignity will be achieved. For people, it begins with bread."

The debate on how to achieve these goals is still going on, with the voices that oppose contesting elections gaining momentum after El-Sabbagh's death.

"We can't imagine that elections supervised by the Interior Ministry, presided over by the minister killing our youth, can be fair elections," Bread and Liberty spokesman Mona Azab said at a joint press conference on Sunday.

"Political parties that claim to battle for democracy, social justice and a civilian system should take a unified stance," Constitution Party head Hala Shukrallah said at the press conference.

A Monday meeting will decide whether that means withdrawing from elections.

Despite the setbacks, Hamed was hopeful.

"The revolution didn't fail. The revolution is on the path typically taken by all revolutions in the world. Revolutions don't happen and succeed in three to four years. The revolution is accumulative," he said, "and we won't see results before 10 or 15 years at least."

CNN's Ian Lee and Sarah Sirgany reported and wrote from Cairo. CNN's Catherine E. Shoichet reported and wrote from Atlanta. CNN's Josh Levs and Samira Said contributed to this report.

@highlight

16 people were killed at protests marking the anniversary of Egypt's revolution

@highlight

Images of one protester killed Saturday have spread rapidly on social media

@highlight

Accounts of her death differ; some activists blame police