(CNN) -- As demand for the latest smartphones and other mobile devices soars to a fever pitch, more retailers are jockeying to snatch up older gadgets.

Electronics chain Best Buy, Web auction house eBay and most major cellular carriers have either launched or ramped up their trade-in programs in recent months. Each of them, along with myriad startups, wants a bite of the huge resale market.

How much you get for an old phone or other gadget depends on a variety of factors, including its age, its condition and how in demand the particular brand is. For example, a newer iPhone model will net you much more than a 3-year-old Windows Mobile smartphone.

Retailers have a word for this cultural trend toward perpetual buying of newer consumer technology: upgrades. And as these consumers look to upgrade their hardware every year or two -- even if their current handset works fine -- they tend to build up a trove of slightly outdated gadgets.

Retailers are offering incentives to reclaim these past-their-prime phones that can be refurbished and resold, or passed off to overseas merchants.

These buy-back retail services usually offer traders only store credit, rather than cash. Also, all of these companies will recycle a gadget that's too old to warrant payment.

This is an especially attractive business for cell providers, which are always at risk of losing out-of-contract customers to other carriers. Giving customers credit toward a new phone is an incentive for them to keep paying their subscriptions.

Cell carriers take phone trades

AT&T Mobility stores began letting customers trade in phones, including those from competitors, this month. The second-largest U.S. carrier by subscribers is partnering with a company called Flipswap, which specializes in trading phones.

To Flipswap, which carrier a phone is tied to isn't important. Most of the company's revenue comes from reselling used phones overseas. Hot markets include Asia, Africa and Latin America, where people aren't as willing to pay top dollar for the latest technology.

Being able to take other carriers' devices was a nice selling point for the AT&T partnership, said Flipswap CEO Dave Stritzinger.

"It's a great way to say, 'Hey, we're sorry you're on our competitor's network. Bring that phone in, and we'll give you some money for that.' "

Verizon Wireless, which launched its program in October, and Sprint Nextel stores both take competitors' phones as well. Since introducing its buyback program in 2001, Sprint has taken 23 million trade-in devices, said Chad Lander, a Sprint director overseeing the service.

Last year, Sprint began accepting competitors' phones. As a result, the program saw a 100% increase in trades last year compared with the year before, Lander said.

Best Buy, a newcomer to trade-ins

For the shopper who doesn't want a monogamous relationship with his cell carrier, Best Buy debuted the Buy Back program in January in all of its U.S. stores and mobile kiosks. It allows customers purchasing electronics to pay up front for the ability to trade them in for store credit later.

The big-box retailer publicized the program with a high-profile Super Bowl commercial featuring Ozzy Osbourne and Justin Bieber, in which the celebrities puzzle over "5G" and "6G" phones.

Best Buy has seen some blowback from critics who characterize the program as yet another "add-on" at checkout, that, like those product warranties, may not end up being a great deal for the consumer.

Last week, the company extended a promotion to offer Buy Back for free on purchases made by Sunday. After that, the program will cost $60 for most electronics people would want to insure. Best Buy pays consumers in store credit.

Trading a mint-condition product in the first six months after purchase nets 50% of the original price. Unlike the carriers that take only cell phones, Best Buy also covers laptops, tablets and televisions. With phones, that 50% applies to the unsubsidized price, which is much higher than what people pay when they get phones with two-year contracts.

"Consumers don't realize the real value of these devices," said Scott Moore, a Best Buy Mobile marketing executive. "They may be buying it for $199 right now and getting $265 back."

But how likely are you to turn around just six months later and buy a new phone? That's when the offer starts to look less attractive. Buy Back knocks off 10% of the value every six or eight months until, after two years, the $60 ticket is worthless.

The Buy Back program was birthed from a long trial in New York stores. Flipswap, the AT&T partner, manages Best Buy's trade-in service at its stores in Canada.

EBay simplifies resale process

Best Buy's offer works only in stores, but customers can check eligibility online. The Verizon and Sprint buy-back programs also apply online, and dozens of Web startups are popping up to offer similar services.

Feeling the pressure, eBay stepped in last year with a service called Instant Sale. The auction site partnered with a company called CExchange to handle the physical trades.

Transactions look a lot like an eBay seller listing, except for the annoyances of writing descriptions and uploading photos.

Once your phone is appraised through the listing process, the site lets you print a FedEx label granting free shipping. CExchange inspects the product, and if it works, the promised money appears in your PayPal account after a few days.

Creating a service to compete with the spirit of eBay, which has always been about letting the average person sell their old stuff online, can seem odd. Acknowledging shortcomings of the core business, Arnaud Collin, eBay's director of seller experience, said that with the old way, "nothing is guaranteed. You may not sell it at all if you're unlucky.

"You have to pack it, send it, pay for the shipping and everything," he added. "Most people don't have time."

Since launching a promotion around Verizon's launch of the iPhone 4, eBay's Instant Sale racked up 1 million trades in a week, Collin said.

Which store has the best prices?

Unsurprisingly, every trade-in retailer CNN talked to said it offers the most competitive prices.

Best Buy said its up-front fee ensures a good price later. Sprint said it constantly monitors competitors to offer an attractive price that doesn't constantly fluctuate. AT&T's Flipswap said it can offer good value because trading is its core business focus. EBay said most of these third-party resellers end up flipping their goods on eBay anyway, so it had the pick of the litter when it landed on CExchange.

Not everyone can be the best, except when it is.

When one retailer has a better price on a BlackBerry Bold, another will best the others on its payout for a BlackBerry Curve. In our tests, the prices were often close, with most offering between $110 to $140 for a 2-year-old iPhone, for example.

EBay asks subjective questions that noticeably affect price estimates. CNN wasn't able to test the evaluation process to see how stringent its hardware tests were. But eBay pays via PayPal, which can be deposited into a bank account, whereas most big competitors pay in store credit.

But the lesson is simple: "Never put a phone in a drawer, because they're losing value every day," Flipswap's Stritzinger said.

@highlight

AT&T launches a service in its stores for trading in old cell phones, including competitors'

@highlight

Verizon and Sprint have long offered buy-back programs

@highlight

Best Buy and eBay recently expanded their own gadget trade-in programs