Sydney, Australia (CNN) -- Some 100 probable asylum seekers have died in the past few weeks off Australian shores. But there's no way of knowing exact numbers because the vessels on which these people perish don't carry passenger logs.

Still, the boats keep sailing to Australia with desperate people believing that after a period of incarceration they'll begin new lives. Safe lives.

And still, there appears to be no end in sight to the political stalemate between the ruling Labor government and its coalition opponents on how to stop the boats and the people smuggling trade that parlays human misery into cold hard cash.

Detention facilities on Christmas Island, in the Indian Ocean, 2,600 km (1,615 miles) north west of Perth, are bursting beyond capacity as smugglers eye new destinations for their human cargo.

162 'asylum seekers' rescued by Australian Navy

Cocos Island, an Australian territory midway between the Australian mainland and Sri Lanka, has recently seen an upsurge on boat arrivals. This presents a new and more daunting prospect for the immigration and border authorities to deal with -- a significantly enlarged area of ocean that it must now keep under surveillance. Making the dilemma more acute, those who land on Cocos Island will be transported to Christmas Island for processing.

So critical is the problem, the Australian government is now asking ordinary Australians to help out by housing asylum seekers who have received health and security clearances and have been issued a bridging visa. If they so choose, these asylum seekers are placed with a family to await final clearance and that all important visa which will allow them to establish themselves in Australia and begin a new life.

Australian vote keeps question mark over asylum seekers

Host families receive a small stipend for their efforts. That, however, is not what has Australians opening their homes to people from such faraway countries and cultures.

At least not Ben, a Sydney truck driver. He lives in the outer suburbs of the city with his family and has opened his home to Ali, a 21-year-old Afghan asylum seeker. "These are people's lives and they are good people. I like to think people would do the same for me," he said.

Which countries take in most refugees?

Ali, who has been in Ben's care for the past six weeks while immigration authorities determine whether he will be granted permanent asylum, is anxious. His 46-year-old mother and two brothers are marooned in Pakistan, themselves waiting for Ali's case to be determined, hoping for asylum in Pakistan or Australia. But though Pakistan does its bit to take in asylum seekers, Ali tells me this is not a preferred option for his family. Too close to Afghanistan. Too close to the feared Taliban. Too precarious, lest Pakistan tires of them and sends them home.

"The Taliban have a long memory," he said.

Ali's family hail, generations back, from Mongolia. And this he tells me was the source of the persecution his family faced in Afghanistan.

"We look a bit different," he said.

Back home, in a small village in eastern Afghanistan, Ali was a tiler. His family owned several businesses -- a grocery store and a restaurant. They flourished in that small window of time during which the Taliban appeared to have been contained. As the Taliban slowly reasserted itself, Ali's family felt its racist wrath.

In late 2010, Ali's father was shot and killed by forces the young son identified as Taliban. Not long after, the same men caught up with Ali. His passport and identification papers were confiscated as he was bundled into a jeep and driven away. Friends who were with Ali at the time, but were later freed, alerted Afghan national police who gave chase. In an ensuing gunfight, several of the Taliban fighters were shot dead. Ali, his jaw broken in two places, managed to escape the jeep and ran for his life. But the Taliban fighters caught up with him. He was shot in the leg and passed out.

When Ali woke, he was in a Pakistani hospital, driven 10 hours across the border by Afghan police who had deemed this a safer place than an Afghan hospital where the Taliban might find him.

"Very big problem to stay in hospital in Afghanistan. There were Taliban," he said.

Ali knew he could not return to his family in Afghanistan. He knew he would be hunted down and killed. His brothers too, knew that they had to escape. Quickly, they sold all the family possessions and what remained of their businesses in Afghanistan and with the money they reaped, they too fled across the border to Pakistan.

Within weeks of his release from hospital, Ali had made contact with people smugglers -- "mafia," as he called them. He needed to get as far away from Afghanistan as possible. The Pakistani people smugglers told him they could help -- for US$17,000.

One month or so after paying the "mafia," Ali was flying to Bangkok en route to Indonesia, via Malaysia. From a small town in Indonesia, Ali and a cohort of 14 other Afghans were shuttled onto a rickety bus, to make their way via Jakarta, to a southern port. He can't name the port. No-one told him where he was being taken.

Within days of arriving in Indonesia, their journey to "who knows where" began. "It was a big boat, very fast," recalled Ali. "There were 185 people on the boat -- men, women and children.

"There was nowhere to sleep, nothing to eat. Can't go underneath the boat because of the bad smell ... so we stayed on top of the boat."

Uncomfortable and frightening as it no doubt was, this was one of the lucky journeys: there had been no sign the seas might engulf the travelers and inflict the cruelty it has on so many who have set out for Australia.

A full day later, as the boatload of human cargo approached Christmas Island on calm seas, they finally discovered how far from Afghanistan they were.

Intercepted by Australian authorities just before reaching Christmas Island, the bewildered and desperate travelers must nonetheless have breathed a sigh of relief.

Ali was questioned, albeit periodically, over a period of 10 months as he languished in detention centers on Christmas Island, Tasmania and in the Northern Territory capital of Darwin.

Still, he counts himself as lucky. Other asylum seekers have spent years in detention. But on June 12 this year, the Australian government granted Ali a health and security clearance along with a bridging visa and the right to work whilst he awaits final clearance. His was offered the choice of a homestay with an Australian family, or going it alone, perhaps with the support of the Afghan community.

His mother and brothers are also waiting. Ali speaks with them regularly on Skype: his uncle, they told him, had recently been shot and killed by the Taliban.

Pakistan might allow his family to remain there but that's not of much comfort to Ali. Would he ever see them again?

"I had a friend who got asylum here and went back to visit his family in Pakistan but he was killed," he said. "And I am a wanted person."

If Australia allows him to stay, reuniting with his mother and brothers would be the final lucky break. And little of it thanks to Australia's politicians who continue their squabbling and point-scoring.

*All names have been altered in this story at the request of the subjects. Ali fears for the safety of his family in Pakistan.

@highlight

Hundreds of potential asylum seekers risk lives trying to reach Australian territory by boat

@highlight

Many are feeling poverty and repression in countries such as Afghanistan and Pakistan

@highlight

With detention facilities full, Australian citizens are being asked to house some cases

@highlight

Ali, 21, from Afghanistan is being hosted by a family near Sydney until his case is heard