(CNN) -- "Less than human."

"Lost."

"Courageous."

"Unwanted."

Those are a just few of the dozens of responses CNN iReport got when we asked our online community how their incomes make them feel.

"My income makes me feel unwanted because I, like many people, have to rely on food assistance," said Marcus Kastler, a 31-year-old from Kansas. "There is a huge gap that is unfair and unrealistic. (Low) Minimum wage keeps this gap wide because you can't advance without higher education. We need to start more entry level jobs so that low income can work their way up. Lower the cost to go to college so we can afford to go."

iReport: My income makes me feel ...

Plenty of pundits this week are talking about America's "War on Poverty," which has lasted 50 years now. Somewhat missing from the conversation is the war that has emerged since the 1964 State of the Union address, when President Lyndon B. Johnson, as The Nation describes it, "slowly put on his black-framed reading glasses, looked around at the assembled dignitaries and immediately issued a call to action" on American poverty.

America's new war is on income inequality.

It's time we put our glasses on and saw this shift clearly.

I started reporting on income inequality last year because CNN readers wisely voted me to cover that topic as part of the Change the List project. I spent about two weeks reporting in East Carroll Parish, Louisiana, which has the largest rich-poor gap in the nation. There, I learned that the income gap can get so wide that people don't understand each other anymore.

That's what splits one America into two.

Related: The most unequal place in America

How to change course? That's something I've wrestled with in recent months. Anyone who says they have all of the answers is lying to you. But I do think one way we can start to knit our nation back together is to talk about income inequality -- to acknowledge how different America is today from the time of John F. Kennedy and Johnson, when the rich weren't so stratospherically different from the rest of us, and when the minimum wage was actually worth more in real dollars than it is now.

It's clear the nation has been diverging. Since the late 1970s, the United States went from being a relatively egalitarian country to one of the more unequal places in the world. America is more unequal than Russia, Kenya and Pakistan, according to the CIA World Factbook. And the 1% continues to do better than the rest: That group saw 86.1% real income growth from 1993 to 2012, according to a UC Berkeley analysis. The bottom 99% of the population only saw 6.6% growth in their incomes during that time.

Related: Is income inequality morally wrong?

It's not about the numbers, though -- it's about society. There's research to show more unequal countries tend to have problems with health, education, incarceration and infant mortality. There's an empathy gap, too, researchers have argued in books such as "The Spirit Level," which was written by two epidemiologists. People stop knowing each other.

That's why we decided to ask iReporters to submit essays, videos and photos about how their incomes make them feel. The goal was to initiate a conversation about the increasingly wide range of economic experiences in the United States.

Aimee Clark, a 30-year-old in Colorado, said her income makes her feel "lost."

"I feel lost because although we are not in poverty anymore, we are not financially safe," she said. "We still live paycheck to paycheck, just not as dire as years before. I feel lost because I can taste the 'American Dream,' but it's like a tease."

Related: War on poverty isn't over

I think many Americans can identify with that limbo.

The high cost of education -- a ladder out of poverty -- was another consistent theme.

"I feel like I'm living from paycheck to paycheck and owe more than I'm worth," said Nicole Lucas of Baltimore. She said she is struggling to pay down student loans while working a part-time job that has no benefits. "People say 'go to school, market yourself, cut back,' etc. However, the recession taught me that you can have a good job, have a 401(k) and have a degree, but still be the last to know your job is going to go under."

Recently, there has been much talk about what would increase "economic mobility" in the United States, which is the term academics use when they're talking about the American Dream. The United States has has fallen behind many European nations in that category. "If you want to live the American Dream," Kate Pickett, a researcher who studies income inequality, told me last year, "you'd better go to Denmark or Finland."

There, it's easier to get ahead.

Related: 5 things the world could teach America

So it's telling that Lucas, the woman in Baltimore, also said the American Dream, to her, is "not sustainable, let alone attainable." It feels out of reach.

Shifting attitudes like that should scare us all. Who wants to live in a country where people don't believe they can get ahead anymore?

Not all of the iReport responses to our query were negative, of course, but I didn't see any reports from the super-rich, either.

(Buffett? Bloomberg? There's still time ...)

Julie West of Columbus, Ohio, said her income makes her feel "grateful." She lost her job in 2008 but found a new, lower-paying gig in 2010.

"Many people that were hit with unemployment in 2008 lost homes, experienced many hardships just as I did," she said. "Many have never fully recovered. I feel like I had been given a chance to turn it around for myself. I will always be grateful."

Related: How to help Inequality, USA

That's pretty incredible, huh? Not just because West has managed to remain "grateful" in the face of hardship but because she's aware that others aren't so lucky.

She has empathy for other Americans.

That's something all of us, regardless of income, could take to heart.

It's not that the War on Poverty is over. It isn't, and it shouldn't be. But extreme poverty exists, now more than in recent decades, alongside extreme wealth.

It's time for "America's longest war" to evolve and expand.

The opinions expressed in this column are solely those of John D. Sutter. CNN iReport's Christina Zdanowicz contributed reporting.

@highlight

CNN iReport asks readers to say how their income makes them feel

@highlight

The assignment follows a series by John Sutter on income inequality

@highlight

Sutter reported on the "most unequal place in America"

@highlight

He says the war on poverty should morph into a war on inequality