(CNN) -- The women of the year helped bring the economy back from the brink, worked against tyranny, and championed equality, education and justice. Most of all, they helped open our eyes to how much remains to be done.

Malala Yousafzai

If 2012 was the year most of us first heard about the 14-year-old Pakistani girl, it was 2013 when we learned nobody could silence her, especially not the cowardly Taliban men who tried to kill her.

Malala had become a vocal advocate of the right of all girls to an education, a frightening prospect for the Taliban. In October 2012, machine-gun toting extremists walked onto a school van, asked for Malala, then shot her in the face.

Instead of intimidating her, the Taliban turned her into their own worst nightmare -- a powerful girl more admired and articulate than ever.

This year we found that Malala's impact is just beginning. As a leading candidate for the Nobel Peace Prize, her advocacy for girls inspires hope around the world. And she's just getting started.

Nadezhda Tolokonnikova of Pussy Riot

What is it about macho politicians who get so scared of brave women?

In Russia, President Vladimir Putin's suppression of the political opposition spurred an unlikely force, the defiantly named punk rock group Pussy Riot. The female band protested Putin's increasing authoritarianism. When five of them broke out into an anti-Putin song, "Punk Prayer," at Moscow's main Orthodox cathedral, two of them -- Nadezhda Tolokonnikova and Maria Alyokhina -- were arrested and put in prison.

Why did Putin decide to free them before their sentence was finished? Because Pussy Riot has become synonymous with the harshness of the Putin regime. The group's outspokenness raised an international outcry so strong that even the Russian president, normally impervious to global public opinion, started to feel the pressure.

Tolokonnikova sent out letters describing the brutality of prison life and went on a hunger strike. On her release from prison, Tolokonnikova fearlessly shouted, "Russia without Putin." She and Alyokhina dismissed the release as a public relations stunt by a president trying to improve his image ahead of the upcoming Olympic games in Sochi, Russia. That's exactly what it was.

Delhi rape victim

As 2012 was coming to an end, a horrific gang rape occurred in the Indian capital, capturing the world's attention over the following months and, more importantly, awakening the Indian people to the crisis of violence against women.

The Delhi rape victim, a 23-year-old physiotherapy student, was gravely injured, and she died of internal wounds in 2013. Her tragic case galvanized Indian women and men to fight the epidemic of rape in India, a battle that continues in the face of even more brutal attacks.

Angela Merkel

When the European Union nearly fell into the economic abyss, there was one leader who held it together, standing up to criticism and holding firm on a controversial austerity program despite vilification and recrimination. The policy may not have been the best route to recovery, but in the chaos it was Merkel who saved the Union. Forbes named her the world's most powerful woman, as it has for eight of the last 10 years. Germans re-elected her to a third term earlier this month.

She emerges from the crisis as the undisputed leader of the European Union, and a key player as the U.S. and Europe struggle to maintain their political and economic pre-eminence in the face of a rising China and a chaotic Middle East.

Hillary Clinton

When Malala spoke in the U.S. this fall, Hillary Clinton was sitting in the audience as the young activist declared, "Even in America people are waiting for a woman president."

Endless speculation about whether Clinton will run for president in 2016 is underpinned by the belief that she has a very good chance of becoming the next president of the United States. To a large extent, she stands as a symbol of the incomplete pursuit of equality. But if she becomes president, her impact would become more than symbolic. She would have more power than anyone on earth, and with it the opportunity to truly reshape the world.

Whatever she decides, nobody doubts her abilities. She has already answered the question, "Is a woman qualified to be president of the United States?" with an emphatic, "You are crazy to even ask!"

Michelle Bachelet

In 2006, voters in Chile elected Michelle Bachelet to a four-year term as president. This year, they voted her back into office. During the last few years, the former political prisoner and pediatrician became the first head of U.N. Woman, working for global gender equality.

Bachelet comes from Latin America, the land that gave us the word "machismo." But her tenure has proven to Latin America that charisma and skill have no gender. Can a woman be a good president? The voters have said yes twice.

Janet Yellen

Here's a name you're about to start hearing a lot more often: Janet Yellen. The brilliant economist was nominated by President Barack Obama to become the world's most powerful banker, heading the U.S. Federal Reserve. Yellen is uniquely qualified for the job. She has a slightly more growth-oriented approach than her predecessor, and that's good news for the unemployed, still struggling despite a booming stock market and modest economic growth.

The highly respected soon-to-be first female Fed chief will get to work and tackle some of the challenges facing America's economy. Lucky country!

Sheryl Sandberg

In what many people believe is a post-feminist era, women are pursuing careers and families and blazing their own trails without looking back. Sheryl Sandberg, the chief operating officer at one of the world's most successful social media companies, Facebook, took time to stop and examine the landscape.

It's time, she urged, for women to push a little harder. In her best-seller, "Lean In," she exhorted women to lean in to their ambitions. Equality is not yet here, she said, inspiring post-feminist women to break barriers.

Sandberg may yet make feminism cool once again.

Opinion: For women, missteps to learn from

Beyonce

There was a time when women artists were the playthings of businessmen and corporations. Today, many of the most successful women entertainers have taken control of their careers and carved their own paths.

There are many examples, but perhaps none as impressive as Beyonce, whose career continues to reach new heights. She has amassed a huge fortune -- estimated at $300 million -- delighted her fans, and managed to stage dazzling surprises.

At the end of 2013, the 32-year-old unveiled a "visual album," an online album recorded and filmed while she was traveling the world on an enormously successful concert tour. When major corporations decried the unorthodox marketing of the new release, she unabashedly took them on, shocking Walmart buyers by showing up in person and paying for their Christmas shopping.

Beyonce may be revolutionizing the music industry.

The Saudi drivers

Remember the Arab Spring? Much of it unraveled in 2013. It had never quite made it to the Kingdom of Saudi Arabia, where the concept of democracy is so distant that women are in many respects treated as children.

Among the many restrictions they face is the particularly crippling law that bans them from driving cars. Despite repeated arrests, Saudi women activists are doggedly demanding their right to drive, a symbolic and practical necessity. They have staged repeated acts of civil disobedience, and plan to keep doing it until they succeed.

They may yet start their own quiet revolution.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The women of the year helped open our eyes to how much remains to be done

@highlight

Ghitis: A candidate for the Nobel Peace Prize, Malala Yousafzai advocates for girls' rights

@highlight

She says punk rocker Nadezhda Tolokonnikova was brave to speak out against Putin regime

@highlight

Ghitis: Could Beyonce be revolutionizing the music industry?