(CNN) -- The increasingly convoluted scandal that led to the resignation of CIA Director David Petraeus has become an endless source of speculation, drama and surprising turns of events. There is much we don't know, but a few important facts have emerged with sharp clarity.

It's not too early to learn the first few lessons from this continuing saga, which promises to deliver many more for weeks, probably months. Here is some of what we have learned -- and relearned -- so far:

1. Powerful men, no matter how brilliant and accomplished, can suffer from a form of temporary insanity caused by the interaction of arrogance and libido.

Sadly, this is a lesson we see repeated time and time again, across national borders, destroying promising careers and even changing the course of history. Nothing, it seems, not even the highest IQs, the most exclusive security clearances, or the tangible risk of losing it all for the sake of a tryst will stop certain men from pursuing an illicit relationship. Yes, powerful women do it too, but the cases are rare.

On the other hand, the parade of men who have destroyed or very nearly killed their careers and their personal lives is endless.

News: The Petraeus scandal -- what we know so far

Gen. Petraeus, the most celebrated military officer of his generation, is the most recent addition to the list. We still don't know what's behind tens of thousands of pages of e-mails Gen. John Allen allegedly exchanged with a woman involved in the Petraeus scandal, and there's the curious case of the FBI agent who reportedly sent shirtless pictures of himself to that same woman. We can't say yet which of these characters will join the melancholy list that includes John Edwards, Eliot Spitzer, Dominique Strauss-Kahn, Tiger Woods, Mark Sanford, Anthony Weiner, and on and on and on, each with an accompanying cast of heartbroken relatives.

(And, by the way, when a powerful man pays a high price for his indiscretions, prepare to see efforts to blame it all on the woman. It's not surprising that the Petraeus case has included countless references to the clothing choices of the general's girlfriend, as if form-fitting outfits made it all seem logical and understandable.)

2. Anything you write in an e-mail can be used against you.

Nothing is private, especially not when it goes through Google (Gmail's) hands. If America's top spy, the head of the CIA, can get caught writing secret love letters to his girlfriend on Gmail, nobody's e-mails are safe. Petraeus and his clandestine girlfriend, Paula Broadwell, took some troubles to keep their illicit correspondence safe. They reportedly relied on a trick used by some al Qaeda operatives. They left messages to each other in the drafts folder of an account, the password to which they both knew, thinking they would remain for their eyes only. But it didn't work.

When the FBI came calling, Google opened up its shockingly large files, as it does with shocking regularity. Google knows everything about you, and it frequently shares with those who ask. Google's own reports say it passed information to authorities in response to 93 percent of government requests in the second half of 2011. Nothing in Google's hands is guaranteed to remain private.

3. The FBI can investigate practically anyone in the U.S., even the director of Central Intelligence.

That's a stunning notion to contemplate, and it says both good and bad things about America. First the good: No one is above reproach, not even a man whose power is vast and often elaborately concealed. In fact, if you ask the world's great conspiracy theorists, they will tell you the CIA can do anything, anywhere, at any time. But its boss got found out by his own country's law enforcement gumshoes. That's amazing.

Score a point for the rule of law in America, but subtract one for privacy and another for the randomness of FBI work. It seems rather strange that the FBI decided to pursue a case of harassing e-mails. I was once personally told by an FBI agent, in no uncertain terms, that the FBI had no time to spend on threats sent over the Internet, even if the messages included a threat to kill.

News: Is Petraeus pillow talk a security threat?

4. Americans are deeply torn about the question of private morality and the public sphere.

There is a nagging sense that the Petraeus case may have cost the United States the service of an uncommonly talented man for no good reason. We don't know all there is to know, and there is a possibility that this is a matter of compromised national security, in which case the invasion of privacy, the destruction of personal lives, and the painful intrusion into the deepest emotional recesses of several families' worlds, could ultimately prove justified.

Until more is known, the rest of the world is shaking its head at what could be another baffling case of American puritanism.

Zakaria: Why Petraeus will be missed

Americans, meanwhile, are already trying to work out whether it makes sense to even consider the sexual lives of public officials. There is the none-of-our-business crowd, which I believe is gaining strength, pitted against those who would like to keep aiming for strict ideals of morality, on the argument that personal dishonesty reflects a moral failing that will ultimately takes a toll on the work of a public servant; that if a man will lie to his wife, he will lie to his country. This is a questionable proposition.

In this case, with Petraeus having achieved such a high level of recognition for his public service, many people seem to almost hope that a genuine national security angle will be found, because it's too difficult to justify the sacrifice of a talented official, or perhaps more than one, over foolish peccadillos.

5. A salacious sex scandal will push everything off the top of the rundown or the front page, especially when the most immediate next challenge is the "fiscal cliff," a dry and arcane topic that will cause most people to change the channel or turn the page.

That's one reason we know this strange and twisting case, already involving such a complicated and unlikely cast of characters, will continue to garner enormous attention for a long, long time.

The least we can hope is to learn some useful lessons.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Petraeus scandal is far from clear, but we've learned some things anyway

@highlight

She says libido and arrogance continue to make accomplished men do stupid things

@highlight

She says anything you write in an e-mail is not really private; the FBI can look if it so chooses

@highlight

Ghitis: Americans torn about what's public, private; prefer a sex scandal to real issues