(CNN) -- Dividing up the newspapers on a recent weekend, my husband asked me if I wanted to see the Sports section. "No," I replied jokingly. "Reading the sports got me into a big argument once."

Big argument indeed. This week's Masters Golf Tournament marks the 10th and final round of the national brouhaha over admitting women to the Augusta National Golf Club.

Female members will be present for the first time. As leader of the National Council of Women's Organizations, I was the standard-bearer for the "girls team" in the controversy over a woman's place -- not only at Augusta National but in society as a whole -- that raged in the media and around kitchen tables alike for more than a year beginning in 2002. The dispute has continued to simmer, mostly out of the public eye, for the past decade.

Although not as loud as it was in 2003 when the council's petition to then-chairman Hootie Johnson to open the club culminated in a public protest, the argument never went away.

Confined by a sheriff's directive to a muddy field far from Augusta's entrance -- with promises of arrest if we moved -- and surrounded by more police than supporters, the protest was roundly ridiculed at the time as a failure. It's true that women did not walk through the gates as equal members that day. But the national dialogue during the preceding year, combined with legal action facilitated by the National Council of Women's Organizations in the following years, triggered change that took a decade to mature.

By the long-view standard, our action was most definitely not a failure. There is little doubt that if we had not raised the issue and kept it alive for a decade, women would still be barred from one of the highest profile "off-campus" business venues in the United States, if not the world.

Last summer the gates finally opened a crack and two women -- Darla Moore and Condoleezza Rice -- were allowed to slip through. During the 2012 Masters Tournament a few months earlier, the club and its major sponsor, IBM, had drawn their own share of public ridicule when Augusta National refused to grant membership to IBM's new CEO Virginia Rometty, though they had always invited her male predecessors. IBM had meekly acquiesced to the insult, bringing Rometty to the tournament to "entertain clients" and parading her around the grounds in a pink jacket.

Last year's IBM debacle was a public relations nightmare, but it was not the major reason the club opened to women. After all, the original controversy was also a public relations nightmare -- for both Augusta National and its sponsors -- and one that had stayed front and center in the media for a full year. Nor was current chairman Billy Payne responsible for the change, as some speculated. He had already been at the helm for six years, and it seems obvious he might not have been chosen without agreeing to continue the club's no-women policy. (The council and our attorneys asked Payne for a private meeting shortly after his election. He never responded.)

In the aftermath of the original controversy, the National Council of Women's Organizations, in partnership with a major civil rights law firm in Washington, helped bring lawsuits for sex discrimination in employment against major corporations whose CEOs were members of the club. We had been hearing from women who worked at these companies since we made the membership list public in 2002. It looked like a roster of the Fortune 500.

It seems that sex discrimination does not stop at CEO club memberships, but trickles down to front-line management.

Two of our lawsuits -- against Morgan Stanley and the Smith-Barney division of Citigroup -- netted nearly $80 million in settlements to the women. The price of membership in Augusta had just gone up.

More important, the suits resulted in agreements by the companies not to honor business expenses that are directly or indirectly related to male-only entertainment establishments. In effect, they can no longer entertain or hold events at venues that discriminate. Our project is ongoing, and there are many more companies still represented on the Augusta roster.

Were sex discrimination lawsuits the bulldozer that finally knocked down Augusta National's tree house? Perhaps not, though surely they contributed.

In the 10 years since that original protest, the council and our allies also continued to challenge exclusion of women not only at Augusta National Golf Club, but also everywhere women are left out when important business contacts and deals are made.

We changed the argument from one about the "rights" of so-called private clubs to one about the "wrongs" of a cadre of industry titans using the fig leaf of such memberships to exclude women, the standard this behavior sets in corporate America and damage it does to women at all levels. Public opinion followed, until by 2012 the position of the club and its members was not only indefensible, it was seen as antiquated and ridiculous.

Unfortunately, one action can't change ingrained corporate practices overnight. Women in the Fortune 500 have made some progress in the last 10 years as top earners, from 5% to 8%; but men still hold 96% of the CEO spots, from 98% a decade ago; and 86.5% of Fortune 1000 board seats, down from 90%.

On the lower rungs, adult women are still the majority of minimum wage earners and the majority of clerical support workers, and the pay gap between women and men working full time and year-round is just under 20%. Sex discrimination at work, not only in the executive suites but also up and down the line, is still rampant.

So, was a decade of struggle to open one golf club to women worth the effort? Was it worth the credible death threats, volumes of vile and vulgar hate mail, and my image on stickers at the bottom of urinals? For all it represented symbolically, the answer is an unequivocal "yes."

Backward beliefs about women's place in society can and must change, and that fight was one part of making it happen. Arguments like the one over Augusta National matter, because they shine a bright light on the ingrained attitudes that should be no longer acceptable in a civilized society. Without countless such confrontations -- large and small -- over "a woman's place" throughout our history, the ranks of women in executive suites, the U.S. Congress, courtrooms, surgical theaters, the military, and many other places in society would still be close to zero, and the idea of a female president would be as alien as a creature from Mars.

Let's hope the club does not make tokens out of its female members, as it appears to have done with its very few men of color. If more women follow Moore and Rice through those vaunted gates and are treated as truly equal with the men -- or more companies refuse to be associated with Augusta National if women aren't treated equally -- it will be the more lasting victory.

The big argument over female members at Augusta National was never about golf. It was about discrimination at the highest levels of American corporate power and the message that sends about where women belong in business and society. Until we're truly equal, we must all continue to fight to change the culture that let it happen in the first place.

The opinions expressed in this commentary are solely those of Martha Burk.

@highlight

Martha Burk: A decade of protests opened Augusta National Golf Club to women

@highlight

The fight wasn't about golf, she says, it was about women's "place" in the corridors of power

@highlight

Burk: Without such protests, women would not be judges, lawmakers, troops, doctors

@highlight

Burk: Let's hope more women will join Condi Rice and Darla Moore, and not as tokens