(CNN) -- My prized Penn State sweatshirt sits stuffed in the back of my closet.

The oversized "We Are Penn State" license plate that once perched above the door of my ESPN office, has been put away, along with photos of me as a proud, smiling cheerleader for the Nittany Lions.

And weeks ago when my son received his very first college acceptance letter from my alma mater, Penn State -- a moment I thought would be one of the pinnacles in my life -- we both tossed the letter aside and prayed that he'd get accepted into a "better school." (Our prayers were answered.)

I have Jerry Sandusky to thank for this change of heart.

Reaction to the Sandusky verdict

Friday night, Sandusky â€” the former Penn State assistant football coach -- was found guilty on 45 of 48 counts related to sexual abuse of boys over a 15-year period. The jury took just two days to untangle this horrendous story and make a decision. And though some felt Sandusky would walk, I could not imagine how 12 jurors could listen to the courageous, heartbreaking testimony of all of those victims and believe that it was all a conspiracy, that those young men had all lied about the abuse charges just so they could file civil suits against an innocent Sandusky, as his defense lawyer claimed.

Seeing this unimaginable story unfold for months has altered my perspective on sports forever. I've worked as a sports journalist for more than 15 years, but through all the steroid stories, the accounts of domestic abuse, the gambling and corruption cases, I never lost my joy for sports -- football coming first in my world order.

Then Jerry Sandusky happened and I felt sick.

Joe Paterno died and I felt heartbroken and betrayed.

Clearly, none of my emotions can ever compare to the pain and loss of innocence of Sandusky's victims and their families. But this story has taken away my unabashed enthusiasm as a sports fan. Maybe it's because I'm the mother of an athlete. Or that I attended Penn State and knew many of the people involved in the story. And, like so many others, I can now look back and realize that something was a little creepy about the vibe around the Second Mile program and coach Sandusky.

Jury finds Jerry Sandusky guilty on dozens of child sex abuse charges

Penn State's standout linebacker LaVar Arrington played for Sandusky. Arrington, who was mentioned many times in the trial by Victim Number 4, recalled in a column for Washingtonpost.com that he knew Victim Number 4 well, and that the young man always seemed "mad and distant."

"My preconceived notion was that he was part of Sandusky's Second Mile foundation, so he must live in a troubled home, and I chalked it up to that," Arrington wrote. "I would just tell him to smile every once in a while or laugh, that it would make him feel better. ... It's mind-blowing to realize that a kid I took an active interest in during my time at school was suffering right in front of me and I had no idea that the pain allegedly came from someone in my own football program," said Arrington.

LaVar is one of the most decent athletes I have had the pleasure of working with. And I share some of his guilt. I've seen the world of sports up close and have always known about stories like Sandusky. Mostly, those stories are treated as one-time events by wayward coaches, or viewed as one sports program gone wrong. We in the media never stay on these investigative stories for long. And reporters have a very difficult time pitching abuse stories to an editor.

Though most sports journalists will never admit this, the main goal in sports reporting is to celebrate and illuminate the games. Constantly uncovering ugly issues in sports does not make a sports reporter a superstar at the office. Sports media are just too close to the games financially and socially to fully examine the depths of sports culture.

Since Sandusky, each time I go to a game -- college, pro or high school - I can't help but wonder if any of those young men have ever been abused by a coach. At least one study indicates that one out of every six boys is sexually abused by the age of 14, a shocking statistic. Recently, I watched with happiness as LeBron and D-Wade won their first NBA Championship together. But I couldn't help but wonder if they, or their teammates, had ever been preyed upon by a coach when they were young boys.

Sandusky's son fits pattern of other alleged victims

And the loving bear hugs that my son's high school coach always gives players after a big win had me looking twice at him and the boys to see if I could detect any signs of unwanted behavior. And he knows why I'm looking twice. I'm not the only parent on high alert. Everything is suspect now.

Am I being overly sensitive? A bit too dramatic? Don't think so. This story has made me realize an important truth:

Sports are the perfect playground for pedophiles.

We will never be able to fully protect children from evil predators like Jerry Sandusky. But we don't have to be helpless.

Post-Sandusky, what have we learned? Will anything change after the headlines recede? What can we do to educate and protect our sons and daughters from the Sanduskys lurking among them?

It's time to pull back the curtains on the predatory culture in sports, for journalists to pay more attention to these types of stories. It's time for parents and schools, starting at least at a middle-school level, to talk to kids about inappropriate behavior and how predators operate. This doesn't have to be a sex education class, but certainly schools could begin incorporating into a curriculum instruction in how to recognize and report inappropriate words or touches by coaches and/or teachers.

In corporate America, nearly every Human Resources department has mandatory "Harassment Workshops" for employees. Even as adults these conversations are never comfortable.

By beginning to educate children about sexual abuse we can hopefully open up such conversations to help arm our kids as they grown into adults. We can make it easier for the next assistant coach like Mike McQueary, who testified that he witnessed a child being raped by Sandusky, to immediately take action and call the police instead of second-guessing himself and doing nothing to protect the child. We've learned that adults need to be educated as much as children about how to recognize and expose pedophiles.

A child who is abused needs to understand immediately that something is wrong and that her or she must tell somebody. If we don't teach them, they have no chance at all against pedophiles.

Telling our kids to stay away from sports or great college programs like Penn State isn't really the answer. This is not just a Penn State problem. It's a sports problem. I know that just as I also know that my love of sports will return.

But this time around, I'll be an older and much wiser cheerleader for the games I love.

The opinions expressed in this commentary are solely those of Roxanne Jones.

@highlight

Roxanne Jones says the Sandusky trial and verdict has affected her joy at sports

@highlight

She says in retrospect, Sandusky's Second Mile creepy; such things didn't get talked about

@highlight

She says sports media ignores abuse stories; this must stop. Kids, adults need education

@highlight

Jones: Kids sports can attract pedophiles; fight back by teaching kids about abuse