(CNN) -- Over its extensive history, 3-D entertainment has seen its share of successes and failures.

It started out small, with viewfinder-like devices that were exclusive novelty items for the wealthy. By the middle of the 20th century, 3-D was being marketed to everyone, as the movie industry tried to both capitalize on the technology and compete with television.

In recent years, 3-D has tried to invade the home, struggling to define itself as the new standard of digital entertainment. And some mobile gadgets are boasting 3-D screens as well.

It hasn't been a smooth journey. Three-dimensional technology has disappeared and reappeared countless times, and its fitful progress has been marked with both big hits and major misses.

Now comes news that Amazon on Wednesday is expected to introduce its first phone, possibly one with a 3-D screen that doesn't require special glasses. Will this be the next big thing in the ebb and flow that is 3-D advancement?

Maybe. But for some context, here's a look back at the rocky evolution of 3-D.

Modest roots

3-D technology has been around for 170 years, longer than most people realize. First used for photos, it transitioned to motion pictures in 1915 with the invention of anaglyph 3-D -- the process of viewing two differently filtered images through colored glasses to produce an integrated image that the brain interprets as three-dimensional.

The first public 3-D movie, a melodrama called "The Power of Love," screened for theater owners in 1922 in Los Angeles.

As was standard for movies of that era, it was in black and white and silent. It vanished without a trace.

During World War II, the military's use of 3-D photography monopolized the industry. But the technology had disappeared from movie screens.

The first rise and fall

As the popularity of television skyrocketed after World War II, 3-D movies made a brief splash in 1952 with the wildly successful movies "Bwana Devil" and "The House of Wax."

"The movie industry was throwing anything they could at the threat of television," said Robert Thompson, director of the Bleier Center for Television and Popular Culture at Syracuse University. "In order to keep people coming and paying, as opposed to staying at home for free, they had to give them something extra."

The creation of Polaroid filters and interlocking projectors enhanced the quality of 3-D films, but the viewing experience was still uncomfortable for the audience. The images needed to be perfectly aligned, which was difficult to do, and many people complained of sore eyes after 30 minutes.

Producers limited their 3-D output to horror movies, which played on viewers' discomfort.

But 3-D movies soon died again, as many theaters shifted back to 2-D with the invention of CinemaScope, which presented movies in an ultrawide format.

Cost was also a large factor in its decline, as two prints of a movie were needed to project the image over itself. Using the logic that two reels equaled two separate films, distributors charged theaters for both prints, but customers were unwilling to pay twice the cost for the movie.

Theaters abandoned the more expensive films, trying to draw back their audiences with more reasonably priced 2-D movies, and 3-D disappeared once again.

From 'The Stewardesses' to 'Avatar'

In the 1960s, a huge breakthrough in 3-D technology, Space-Vision 3D, removed the need for two cameras to project the movies, decreasing the cost for theater owners.

"The Stewardesses," a 1969 soft-core porn film, was the first movie to be released in Stereovision, using anamorphic lenses with a series of Polaroid filters to widen the picture. The movie became the most lucrative 3-D film of its time, costing only $100,000 to make and grossing more than $27 million in North America.

But 3-D movies tapered off again due to cost, lingering viewing discomfort and the public's disinterest in the antiquated 3-D glasses.

At the turn of a new century, 3-D successfully reintegrated into mainstream films, this time targeting a younger audience with big studio releases of "The Polar Express" and numerous other films. Once again, 3-D was back in the public's favor and has held a steady audience since.

The release of James Cameron's Oscar-winning film "Avatar" in 2009 blew the industry wide open. A huge influx of 3-D movies ensued in the following years, but "Avatar" still remains the highest grossing 3-D film so far, raking in over $760 million.

The production and box office success of 3-D movies continues today, with more than 50 movies scheduled for release in the next two years and most movie theaters offering at least one 3-D picture at all times.

Thompson said that 3-D won't ever be 100% of film production, because not all movies need it.

But, he said, "a movie that does 3-D really well just won't be as good without it."

No-glasses 3-D moves closer to reality

3-D moves into homes

Despite its successful return to movie theaters, 3-D entertainment hit another stumbling block in its efforts to take over consumers' living rooms.

Following the success of "Avatar," 3-D televisions were hyped as the next big thing at the 2010 Consumer Electronics Show. But they never caught on, and four years later, many consider the attempt to bring 3-D into the household a flop.

The industry sold 1.1 million 3-D TVs in the first year, and sales have increased slightly since. But there's still a shortage of 3-D content being produced for them, and the televisions were largely missing from this year's CES.

Why 3-D TV still hasn't caught on

The two main problems with 3-D TVs are content and equipment, said Paul O'Donovan, principal consumer electronics analyst with Gartner, a technology research and advisory firm.

"Over 50 percent of movies made in 3-D are animated children's movies," he said in an e-mail. "Although children are important in families, few affect the purchasing decisions of AV equipment in the home."

O'Donovan said the equipment issue is probably the biggest reason that 3-D TVs haven't been successful in the home. The cost of buying a Blu-ray player to go with the television or subscribing to a 3-D channel on cable or satellite adds to the already steep cost.

"Then there's those pesky glasses," O'Donovan said. "Most TVs come with a limited number of glasses, and extra active glasses are relatively expensive."

The glasses also remain persistently uncomfortable.

It's not over yet for 3-D TV, though, as prototypes of a glasses-free television are supposed to arrive within the next year.

"If 3-D movies are going to take off as a viable alternative to 2-D movies, the television must become standard equipment," Thompson said. "Movies spend a very brief time in theater release, but they spend the rest of their existence on televisions."

A 3-D TV you would actually want to buy

What the future holds

Although TV has seen mixed results, 3-D seems to have migrated successfully to mobile gadgets.

The initial release of the Nintendo 3DS handheld gaming system in 2011, although underwhelming, marked another turning point in the technology. The 3DS was the first glasses-free 3-D entertainment product.

After a slow start -- the device sold just over 100,000 units in its first quarter -- Nintendo reported sales of 4.5 million units at the end of its first year, and sales remain strong.

In 2014, the industry continues to pursue the potential and advancements of 3-D entertainment. If the predictions prove correct, and Amazon does unveil a 3-D phone, it might signal a new wave of possibilities.

"Smartphones will always be small," Thompson said. "Although a 3-D phone without glasses will be cool, it's nothing like the big screen."

But having 3-D graphics on a smartphone would still be better than not having them, he said. "If this (phone screen) looks great without glasses, it would be a huge breakthrough."

Or, if 3-D's history is any indicator of what's to come, an Amazon phone could be just another peak in the technology's long roller coaster ride.

@highlight

Amazon is expected to reveal a new phone at an event Wednesday

@highlight

Phone is rumored to have a 3-D screen that wouldn't require special glasses

@highlight

3-D entertainment has had a long history of mixed success

@highlight

3-D technology has migrated from movies to TV to mobile devices