(CNN) -- Images of repression and brutality against peaceful protesters demanding democracy and the elimination of corruption are not limited to Ukraine.

In our hemisphere, Venezuelans are suffering at the hands of their own government. Violence and systematic human rights abuses have resulted in 41 dead, hundreds injured, and thousands detained.

These rights violations in Venezuela were chronicled this month by Human Rights Watch in a 103-page report, entitled "Punished for Protesting: Rights Violations in Venezuela's Streets, Detention Centers, and Justice System."

The study pulls back the veil of President Nicolas Maduro's administration and shows its willingness to go to dangerous extremes to silence political dissent.

It depicts an unraveling situation in Venezuela far worse than suspected. The litany of rights violations is illustrated in graphic fashion: the unlawful use of force, violent mass arrests, crackdowns on free speech and press freedom, blanket denial of due process, and abuses in detention facilities, including electric shock torture.

Employing tactics perfected by the Cuban regime, marauding Venezuelan security forces are shown teaming up with armed gangs known as colectivos to beat unarmed demonstrators, firing live ammunition and tear gas canisters indiscriminately into crowds.

In one instance, according to the report, a member of the National Guard "stepped on (a young protester's) head and fired rubber bullets at point-blank range in his thigh. The shot struck a set of keys in his pocket, dispersing metal shards as well as rubber pellets into his leg." He was then taken to a military detention facility, denied medical treatment for hours, and lost so much blood that he was near death when finally permitted to see a doctor.

While pro-democracy protesters are not fault-free in the use of violence, the primary responsibility for the horrifying, unjustified use of force rests with Maduro and his band of apparatchiks.

Venezuela's alleged socialist paradise has morphed into a verifiable real-life nightmare.

At a time when many countries in the Americas are experiencing an economic ascent underpinned by growing middle classes, every indicator reveals that Venezuela is regressing at an alarming rate.

Frightening levels of criminal violence are coupled with economic freefall, punctuated by sky-high inflation and a scarcity of basic food items.

In Venezuela today, the rule of law is abandoned, the judiciary is hollowed out, freedom of the press is nonexistent, and corruption runs rampant. Drug traffickers collude regularly with government officials and the free flow of narcotics out of the country poses a threat to hemispheric security, as well as to the United States.

Last month, Maduro pleaded in The New York Times that "Venezuela needs peace and dialogue to move forward" -- but instead, he has delivered discord and suffering.

With no alternative recourse against the crisis consuming their country, Venezuelan citizens young and old have been turning out in mass demonstrations since early February. Their courage has been met with repression, and the images flooding social media networks induce an outpouring of sympathy, mixed with terror and grief.

Attempts by South American governments and the Vatican to mediate talks between the Venezuelan government and political opposition have collapsed and mass arrests continue. The Organization of American States must take a forceful position and demand respect for human rights and democratic inclusion in Venezuela.

As chairman of the Senate Foreign Relations Committee, playing the role of a bystander to this chaos is unacceptable.

My response to Maduro-inspired mayhem is authoring bipartisan legislation imposing targeted sanctions on those individuals responsible for violating the rights of peaceful demonstrators.

While designed to avoid hurting the Venezuelan people, these hard-hitting penalties include asset freezes and visa bans for high-ranking members of the Maduro administration who have terrorized large segments of the population with unflinching impunity.

The legislation also authorizes $15 million to defend human rights, support democratic civil society, and strengthen the rule of law.

The moment of action is upon us.

On Tuesday, the Senate Foreign Relations Committee will pass this legislation. As a nation of the Americas guided by principles of liberty and democracy, we are duty bound to respond when the light of freedom is threatened.

#SOSVenezuela is a constant refrain on social media networks, galvanizing international attention to the deteriorating situation in Venezuela.

The U.S. Congress hears your cries and stands in solidarity.

Join us on Facebook.com/CNNOpinion.

@highlight

Sen. Robert Menendez says violence against protesters has made Venezuela a nightmare

@highlight

In Venezuela, the rule of law is abandoned and corruption runs rampant, he says

@highlight

Menendez calls for sanctions on those responsible for violating the rights of demonstrators