(CNN) -- Tom Stuker jokes that his home is "in Row One in a nice, big plane."

The 57-year-old car dealership consultant is a mega-frequent flier who has racked up 9.7 million miles during 5,000 flights over the past three decades -- and he's got the stories to prove it.

"I've experienced aborted takeoffs, aborted landings, near misses and passenger deaths on three different flights."

Sure, his status as frequent-flier king earns him royal treatment. But the U.S. commercial airline system often leaves him stranded like millions of other travelers.

To deal with potential gridlock from the 1 billion U.S. air passengers expected to crowd the skies by 2021, the FAA is overhauling its traffic system, which has remained largely unchanged for 30 years.

The overhaul is called NextGen and components of the air traffic program are already in use or being tested at airports in several U.S. cities including Philadelphia, Houston, Seattle and Louisville, Kentucky.

That's none too soon if you ask Stuker, who like many travelers believes the current traffic infrastructure is showing signs of stress.

Stuker, who lives in Illinois and New Jersey, usually flies out of Chicago's O'Hare and Newark's Liberty airports bound for Los Angeles or Australia. He's spent countless hours on airport tarmacs waiting to take off -- only to return to the gate when the flight is canceled.

"When I'm sitting in first class, I can't complain," he said. But what really frustrates Stuker are flights that fail to arrive on time.

"It's the missing of connections which is so screwed up," said Stuker. "The airline on-time ratings are so low -- even since 9/11 when air traffic went down." In fact, from 1990 to 2008, the national average for all delayed flights increased from 41 minutes to an hour, according to the Brookings Institution.

Millions of consumers are so frustrated with the airline experience that they're avoiding it, and delays are part of the problem. Some 41 million potential fliers chose not to travel by air from May 2007 to May 2008, according to Geoff Freeman of the U.S. Travel Association. That translates into $26.5 billion in lost spending that could have boosted a recession-dogged economy.

"The result is less travel, less spending, fewer American jobs," he said. But as the nation emerges from recession, air passenger traffic will explode, say experts.

The NextGen overhaul is so complicated and massive that it's often compared to the space race of the 1960s. It will take until at least 2025 to complete and will have an estimated total price of $22 billion. However, long delays and additional costs are threatening to add hundreds of millions of dollars to the project, according to the Department of Transportation.

When it's done, technology and communication improvements in aircraft and at airports promise to save consumers time, money and headaches.

A major pillar of NextGen involves tracking aircraft. Currently, aircraft are tracked by radar, a technology that dates to before World War II.

NextGen aims to switch its tracking system to a technology that millions of travelers have had in their pockets for years: global satellite positioning, or GPS.

Tracking aircraft by satellite is more accurate than radar. Currently, planes must fly zig-zag routes to stay close to ground-based radar tracking stations. With GPS technology called ADS-B (automatic dependent surveillance-broadcast), planes can be tracked while flying in straight-line routes. These routes are shorter. They save thousands of hours of travel time, millions of gallons of fuel and millions of dollars.

"There are some estimates that flights could be 10% to 20% shorter in the short distances and a few percent better in the long distances," said air industry consultant Michael Miller of Miller Air Group. Shorter routes use less fuel, which could cut airline costs. "It could eventually bring down airfares, but not until the entire system is upgraded," Miller said.

Southwest Airlines has been using the technology about a year and expects to save $60 million in annual fuel costs by 2020, when ADS-B is mandated for use nationwide.

Alaska Airlines has been using GPS-based NextGen technology since the mid-'90s to enable planes to fly safely through mountainous terrain in low visibility weather. This technology, called Required Navigation Performance, allowed Alaska Airlines to avoid canceling low-visibility flights, saving it $15.8 million last year.

On the ground, NextGen calls for new cooperative systems between airports, traffic controllers and airlines. Airlines sharing precise information about where their flights are on the tarmac and exactly when aircraft are expected to depart their gates can save up to 4½ minutes per flight in delays, said Mike Romanowski, the FAA's top NextGen official.

Travelers may have more flights to choose from on certain routes because of NextGen. More accurate tracking with GPS technology ultimately would allow more aircraft to follow each other safely at closer range.

"But we're not just going to throw capacity where it doesn't make sense," warns the Air Transport Association's Tom Hendricks. "We will be much more able to respond to that consumer demand."

This all sounds like good news to a frequent flier like Stuker, but he knows dealing with congestion won't solve the whole problem.

"Whether a person travels once a year or 300 times a year, it will make their ongoing travel more seamless," Stuker speculated. "But you've still got the problems on the ground. You've still got the actual boarding of the plane and getting in line -- I mean, that's where the frustration comes from, you know?"

Stuker admitted he doesn't spend much time waiting in line these days, thanks to his mega-frequent flier status. When facing a tricky connection, he's greeted at the terminal by helpful golf-cart drivers who whisk him to his next flight. If the connection is really tight, the airline will actually escort Stuker directly from the plane to the tarmac where a vehicle will drive him to his next gate.

"They treat me like I own the airport," he said. But Stuker is quick to remind himself that he's not too disconnected from his coach-class traveler days.

Increased capacity and demand could affect even him.

Airports say they're watching developments carefully. Officials at the nation's busiest airport, Atlanta's Hartsfield-Jackson, don't know when the FAA plans to unveil NextGen there. But they don't expect to see it reduce aircraft delays for many years.

The clock is ticking. Takeoffs and landings at U.S. airports are expected to top 69 million in 20 years.

Stuker said he expects to cross the 10-million-mile mark sometime in August. When NextGen takes hold, he'll still be dreaming of his favorite destination in the entire world: "home."

If NextGen goes as planned, he'll get there quicker and arrive on time.

This is part one of a three-part series of stories surrounding the FAA's "NextGen" overhaul of the U.S. air traffic system. Check back on Wednesday for more on the technology involved and how it might be used in other fields.

CNN's Steve Kastenbaum, Patrick Oppmann and Sean O'Key contributed to this report.

@highlight

Mega-frequent flier: Better air tracking system needed

@highlight

Missing connections is "screwed up," says flier with 9.7 million miles

@highlight

Massive FAA overhaul aims to cut flight times, reduce late arrivals

@highlight

It's possible it might cut airfares within decades, expert says