Washington (CNN) -- A long-haul bus plying the nation's highways can carry as many passengers as a domestic airline flight and a crash could be equally catastrophic.

But key safety regulations and oversight for buses, especially for drivers behind the wheel of a coach with up to 80 people aboard, lag behind those for airlines and their pilots, according to a leading safety advocate and a trade group calling for action.

The issue has crystallized in recent weeks around different incidents involving the grounding of the vaunted 787 Dreamliner produced by the world's largest aircraft maker and deadly crashes involving buses owned by obscure private companies.

Although a battery fire aboard a Boeing Dreamliner in Boston and a related incident over the skies of Japan resulted in one minor injury, the case has received enormous public attention and robust investigative scrutiny over two continents.

Over roughly the same timeframe, 17 people were killed and more than 80 others hurt in West Coast crashes of two tour buses. Those generated a few headlines and little, if any, public outcry. Federal and state authorities are investigating both incidents.

The most recent crash east of Los Angeles last weekend killed eight people and attention has focused on the vehicle's brakes.

A December 30 accident in Oregon that killed nine people has raised questions about tired drivers.

The driver of that ill-fated bus had worked 92 hours in the seven days leading up to the crash -- far exceeding the allowable 70 hours, according to the Federal Motor Carrier Safety Administration (FMCSA), the government agency that regulates bus safety.

In both cases, regulators previously cited the private bus companies for violations and put them under increased surveillance. But the government let them continue operations.

Deborah Hersman, chairman of the National Transportation Safety Board, highlighted gaps in bus safety with a comparison to more rigorous rules for airlines.

"You would never see hours-of-service violations in aviation," she said in reference to the potential fatigue issue in the Oregon bus accident. "Pilots would not bust their hours, but (we) see it routinely on the highways."

Hersman said drivers are "asked to carry loads to places that they can't possibly get to within their hours of service" and "people driving longer" than they should and winding up tired behind the wheel.

"And so these are the same issues. We see them over and over again," Hersman said. "We've got to have regulations with teeth and the penalties have got to be a deterrent."

Commercial aviation has remained remarkably safe over the past decade following a push to improve safety.

The crash of a commuter jet near Buffalo that killed 50 people has been the lone major airline accident in the past four years.

The rapidly growing motor coach industry, which carries about as many passengers as domestic airlines annually -- 700 million -- has experienced several fatal accidents in recent years, including notable crashes in New York and Virginia.

The most recent federal government figures, in 2009, show roughly 300 people are killed annually in bus crashes, but the figures do not distinguish between mass transit and private motor coach accidents.

The head of a motorcoach industry association concurs that the government needs to focus on industry standards, and crack down on companies that don't measure up. Private bus lines have grown rapidly in recent years.

"At the end of the day we think the regulators need to focus as much attention on motorcoach travel as they do on the airlines and they should focus more attention on motorcoaches than on a truck," said Peter Pantuso, president and chief executive of the American Bus Association.
"We want a safe industry, plain and simple. There's nothing that can or should trump safety in our opinion," the trade group chief said.

ABA officials say responsible bus companies that uphold industry standards are being hurt by fly-by-night companies that violate those rules.

Hersman said truck and bus inspections show rampant violation of federal safety rules.

Approximately 20 percent of trucks and buses that are inspected are pulled out of service for mechanical issues, and 7 percent of drivers are pulled off the road because of hours-of-service, record-keeping or other issues, Hersman said.

"In the end we see companies that are not put out of service until after they have a fatal accident," she said.

The motor carrier safety agency prohibited the Canada-based bus company, Mi Joo Tour & Travel, from operating in the United States following the Oregon accident.

The agency, part of the Transportation Department, defended its practices. It said federal and state inspectors conduct more than 3.5 million truck and bus inspections across the United States each year.

"In any instance where the driver or the vehicle or both are found to be in serious violation of any federal safety regulation and thus pose an imminent hazard to public safety, the driver, the vehicle or both are immediately placed out-of-service by the inspector," the agency said in a statement.

"Even if a violation is not severe enough to place a company out of service immediately, companies are required to correct all violations for which they are cited, and minor violations can result in increased frequency of roadside inspections by state and local law enforcement," the statement added.

@highlight

Concerns raised about gaps in airline and tour bus safety

@highlight

Issue gains prominence with focus on 787 fires, two deadly bus crashes

@highlight

Leading U.S. safety advocate especially concerned about tired tour bus drivers

@highlight

Regulators defend bus safety oversight, say government acts when it uncovers problems