When a man tells me to "trust him," my typical reaction is to run.

When he tells me this while trying to get me to jump off a Swiss mountain with only a paragliding sail to stop me from plummeting to earth, I should run even faster -- even if he does look like Keanu Reeves.

Instead, I ignore my irrational fear of heights and rational fear of men using bad cliches, take a running leap then gasp as the sheer terror subsides and I find myself soaring into the Alpine air.

Below me the Swiss countryside unfolds like a map, with stunning views of the peaks of Eiger, Monch and Jungfrau, and the waters of Brienz and Thun lakes.

It turns out the worst part of my first-ever paragliding flight -- made in tandem with an instructor resembling the star of "The Matrix" -- was the apprehension beforehand.

It took me a while to build up the courage to even sign up for the flight, after but several hours of watching other people effortlessly winging their way over the glaciers from Beatenberg to Interlaken, I decided to do it.

Still nervous, I opted for the tamer version of the rides on offer.

Versions aimed at thrill seekers involve extreme aerobatics or high altitude James Bond-style takeoffs at Schilthorn, the 2,970 meter (9,700 feet) peak where "On Her Majesty's Secret Service" was filmed.

Stuffed penguin

There's even a ride that allows fliers to make a grand entrance at a mountaintop restaurant, but with my aeronautic jitters, I could see this ending in disaster.

Once aloft and floating serenely, I apparently can do no wrong, according to my instructor.

All I need to do is sit tight, he says, which is just as well considering I feel like a stuffed penguin thanks to the layers of padding I'm wearing.

I get a chance to catch my breath and take in the staggeringly huge panoramic vista, which is great as long as I don't look down too often.

During the flight, my instructor takes pictures with a wide angle camera attached to an extendable pole, all of which turn out the same thanks to the tortured smile plastered on my face.

He explains that the trick to staying for long periods is to find rising air currents known as thermals and circle around in them to gain height.

Early mornings, he says, are best as the weather is more predictable.

After that little tutorial, he offers to show off some nifty tricks.

We're in midair, dangling from a scrap of crescent-shaped nylon fabric. What could possibly go wrong?

We do a quick, sharp dip to the left, followed by another to the right.

Hit the ground running

Before my dislodged heart can creep back to its original lodgings, we do a 360-degree turn.

The pirouette is fantastic except that even when we stop spinning, my world doesn't.

This isn't an experience for the faint of heart or full of stomach, but we survive to glide peacefully over alpine pastures, tiny chocolate box houses, lakes and grazing sheep.

To land, we have to stand up in the harness and be prepared to hit the ground running, a fact that gets me panicking all over again.

"You can do it," deadpans Keanu. The worst that can happen, he says, is I'll graze a knee or break a leg.

We manage, though I spoil the effect somewhat by crumpling into a heap and doing an excellent imitation of a beached whale.

This isn't enough to dampen my spirits though, especially since I'm now the proud owner of a certificate proving my pluck.

The spectacular flight over Switzerland will always be a good reminder that one can overcome fear with willpower.

Within reason, of course, I'm not about to jump off anything attached to a flimsy parachute just yet.

Not even for anyone who looks like Keanu Reeves.

How to get in the air

There are several paragliding options involving scenic train rides, gondola rides and thematic flights.

The classic

Tandem flight with instructor from Beatenberg to Interlaken.

Skywings; +41 79 266 8228; CHF175 ($193)

Scenic railway/hiking route

Fliers can take the scenic Gornergrat railway or hike up to a route that overlooks the Monte Rosa and Theodul glaciers.

Alpine Adventures Zermatt; takeoff from Riffelberg; available until October 19, 2014; +41 79 643 6808; CHF150 ($166)

View of the National Ski Piste

From the top of the National Ski Piste, this flight heads out toward the Sunnegga restaurant, as skiers tear down the all-year runs below.

Alpine Adventures Zermatt; takeoff from Blauherd; available until October 5, 2014; +41 79 643 6808; CHF150 ($166)

Klein Matterhorn

Launching from the Klein Matterhorn (altitude 3,883 meters) involves taking the highest ski lift in Europe to one of the highest lift-accessible takeoff points in the world.

The reward isn't just a view of Switzerland but a chunk of northern Italy on a flight that soars above mighty glaciers, glacial ski runs and the Trockener Steg restaurant.

Alpine Adventures Zermatt; takeoff from Klein Matterhorn; available all year; +41 79 643 6808; CHF280 ($309)

The Breithorn experience

This experience involves a guided climb of two hours from Klein Matterhorn up to Breithorn (more than 4,000 meters).

Views of Switzerland and Italy, tumbling icefalls and glacial scenery guaranteed. Not for the unfit.

Alpine Adventures Zermatt; +41 79 643 6808

Romantic ride on a traditional cog railway

This evening flight starts with a ride on a traditional cog railway followed by a 20-minute hike.

Twin Paragliding; +41 79 622 5100; takeoff from Schynige Platte; CHF200 ($220)

The James Bond experience

This trip reaches Schilthorn via gondola, then flies through the mountains with an exceptionally close view of the Eiger, Monch and Jungfrau.

Offered by: Twin Paragliding; +41 9 622 51 00; Skywings; +41 79 266 8228; FlyStar, +41 79 354 5251; takeoff from Schilthorn

Valley of Waterfalls

This one starts at the top of the Valley of Waterfalls in the mountain village of Murren and takes in steep rock faces and cascading rivers.

Skywings; +41 79 266 8228; takeoff from Murren; available all year; CHF180 ($199)

Long Stairs flight

A cable car takes fliers to the top of Europe's longest stairs at Niesen. The flight path passes the castle of Spiez to land next to a vineyard on the edge of Lake Thun.

FlyStar; +41 79 266 8228; takeoff from Niesen; CHF260 ($287)

Paragliding courses

Verbier Summits, run by twin brothers and professional stunt pilots, offer courses ranging from taster to speed flying.

Verbier Summits; +41 79 710 9132; from CHF160 ($177)

@highlight

Paragliding adventures include James Bond-style takeoff at Schilthorn, where "On Her Majesty's Secret Service" was filmed

@highlight

Trick to staying in the air is to find and circle around air currents known as thermals

@highlight

Licensed paragliders looking to up the adrenaline can try speed flying, an extreme combination of paragliding and skiing