(Lonely Planet) -- The romance of long ocean and river voyages of history holds powerful sway over the dreams of many world travelers. But there's no need to relegate the great voyage to the realm of books and dreams -- many can still be done today in classic style.

The following ocean and river voyages rank among the most iconic and memorable travel experiences on or off water. So put on your best Poirot accent, and brush up on your Huck Finn river lingo, and climb aboard for the voyages of a lifetime.

1. The Nile

Sailing boat or time machine? The world's longest river feels like it's the oldest, and to board a vessel on the Nile is to peel back millennia and slow down to river speed as ancient temples, oxcarts and palm trees -- unaltered since Pharaohs ruled the roost -- pass by.

Essential experiences:

Docking at Luxor for Ancient Egypt's finest: the colossal columns of Karnak, Luxor Temple (best seen lit up after dark) and the Valley of the Kings.

Quaffing cocktails on the veranda of Aswan's grand Old Cataract Hotel.

Entering the tombs of Ramses II at Abu Simbel, relocated in the 1960s to avoid being covered by the waters of Lake Nasser.

Seeing the 'smoking water' of 45m-high Tis Issat (Blue Nile Falls) in Ethiopia.

Lonely Planet: The world's greatest historical journeys

2. The Northwest Passage

Sail through the most legendary shipping route on Earth, following in the wake of a host of Victorian-era explorers seeking the ocean's holy grail: safe boat passage across the frozen top of North America to the riches of Asia.

Essential experiences:

Wandering through the Northwest Passage Park and Interpretive Centre at Gjoa Haven, in Nunavut.

Stopping in at Beechey Island, a national historic site east of Cornwallis Island, where the Franklin expedition wintered before vanishing forever -- traces of the men and their unsuccessful rescuers remain.

Viewing the remains of Roald Amundsen's schooner Maud in the harbor of Cambridge Bay, where Northwest Passage explorers often took shelter.

3. Norway's fjords

Scoured and gouged by ancient glaciers, Norway's fjords are a veritable wonderland. These deep, sea-drowned valleys, scissored by impossibly rugged terrain, were recently voted by National Geographic Traveler magazine as the world's best travel destination.

Essential experiences:

Staring gobsmacked at the imposing cliffs of Geirangerfjord.

Taking the thrilling Flåmsbana railway trip between Hardangervidda and Flåm.

Appreciating art nouveau architecture in charming Ålesund.

Thrilling to the delights of Bergen, a beautiful, charming city, with a World Heritage-listed neighborhood, Bryggen, and buzzing harbor, ringed by seven hills and seven fjords.

4. Down the Mississippi to New Orleans

The Mississippi: America's most important river. It gave birth to the blues, Huckleberry Finn, Budweiser and much more. It witnessed the Civil War and the end of slavery. Follow it all the way down to New Orleans and bid it farewell as it leaves, seeping out into the Gulf of Mexico.

Essential experiences:

Visiting the Mark Twain Boyhood Home & Museum in Hannibal to bone up on your Huck Finn knowledge, and finding the places he transposed into his famous novel.

Exploring Memphis' Slave Haven Underground Railroad Museum to learn about the transportation of slaves down the river to freedom.

Making a pilgrimage to Elvis Presley's Graceland in Memphis, and getting a dose of the blues in Clarksdale.

Savoring river cuisine: slow-burning tamales and melt-off-the-bone ribs in Clarksdale; chili tamales and steaks in Greenville; and the full gamut of Cajun and Creole cuisine in New Orleans.

5. The River Ganges

Glacial teardrops gather into streams, cascading into navigable white water and eventually smoothing into a serene mocha river that cleanses sins, transports souls and irrigates productive farmland. It is the Mother Ganga, India's most sacred river.

Lonely Planet: How to travel like a kid

Essential experiences:

Trekking from Gangotri Temple to Gaumukh, the terminus for the hulking Gangotri Glacier, the source of the Ganges.

Meditating the ashrams of yoga-mecca Rishikesh, where the Fab Four got their Eastern fix in the 1960s.

Snapping photos and absorbing the devotional spirit of India in the overlooked city of Haridwar.

Exploring the tumbledown ghats on foot or by boat in Varanasi, as the pilgrims bathe in the holy river.

Lonely Planet: The very best time to visit a National Park is...

6. The Amazon River

The Amazon: Physically, it's immense and mythically it's the very same. A riverine Amazon journey never fails to evoke overlapping imagery: exotic, dense rain forest; indigenous tribes; abundant wildlife; enveloping mystery; sometimes even menace.

Essential experiences:

Canoeing through a flooded forest.

Dozing in a hammock on a slow boat to nowhere.

Listening to the song of a thousand birds and the eerie cry of howler monkeys.

Stopping at a riverside town and hiking through the lush rainforest.

7. Mekong River

One of the world's longest rivers, to follow it is to experience the great cultural and geographical diversity of a continent, to absorb its many refractions of Buddhism and to meet rural Asia at her most picturesque, almost always bathed in natural, mystical beauty.

Essential experiences:

Wandering along the headwaters in the unforgettable Tibetan Plateau where cultures collide in the shadow of the Himalayas.

Exploring China's mystical and enchanting Yunnan Province, dotted with limestone peaks and carved with deep river gorges.

Being seduced by the saffron-robed monks, shady streets, colonial buildings, handicrafts and patisseries of charming and delicious, Luang Prabang.

Exploring the vast, colorful water world that is the Mekong Delta.

8. The Yangtze by slow boat

A cruise down China's Yangtze, the world's third-longest river, is one of the most memorable water-borne journeys on earth. When the river threads through the Three Gorges, flowing between rock formations and stunning cliffs, it's nothing less than magical.

Essential experiences:

Watching the Three Gorges peek into view through a shroud of mist.

Changing boats at Wushan for the Little Three Gorges.

Enjoying the ancient town of Fèngjié overlooking Qutang Gorge, the entrance point to White King Town.

Taking it easy as the boat slowly wends its way.

© 2011 Lonely Planet. All rights reserved.

@highlight

Sail down the Nile to experience the Luxor Temple and the tombs of Ramses II at Abu Simbel

@highlight

Indulge in the savory cuisine found along the banks of the Mississippi

@highlight

China's Yangtze flows through the Three Gorges between rock formations and cliffs