(CNN) -- She grew up in one of the poorest spots on earth. She couldn't read or write. As a child, she scrounged for food each day for herself, her mother, and her brother.

But a chance encounter with a chess coach turned her into a rising international chess star, the subject of a book -- and the protagonist in a future Disney movie.

Ugandan teenager Phiona Mutesi is "the ultimate underdog," her biographer says.

Those who work with her believe she's 16. But since her birthday is unclear, she might still only be 15, they say.

Her father died from AIDS when Mutesi was around 3.

"I thought the life I was living, that everyone was living that life," the teenager told CNN, describing her childhood in Katwe, a slum in the Ugandan capital of Kampala.

Read more: Uganda's Little League team have a field of dreams

"I was living a hard life, where I was sleeping on the streets, and you couldn't have anything to eat at the streets. So that's when I decided for my brother to get a cup of porridge."

Robert Katende, a missionary and refugee of Uganda's civil war, had started a chess program in Katwe. He offered a bowl of porridge to any child who would show up and learn.

"It teaches you how to assess, how to make decisions, obstructive thinking, forecasts, endurance, problem solving, and looking at challenges as an opportunity in all cases -- and possibly not giving up," he told CNN. "The discipline, the patience ... anything to do with life, you can get it in that game."

Mutesi did not become a top player overnight. But from the time she first showed up in 2005, her aptitude was clear.

Her talent is "extraordinary," said Katende.

Mutesi liked chess, and started training and practicing regularly. "It took me like a year" to get very good, she said.

She walked about four miles a day to practice -- and to get that precious food.

Soon she found herself beating the older girls and boys in the program.

Read more: Doctor-turned-kayaker fights malaria in Uganda

Mutesi and her family faced pressure from some people in Uganda who insisted chess was a white man's game, or at least not something girls should be playing, according to her biographer, Tim Crothers.

But in her slum, so few people even knew what chess was that they didn't give her a hard time, Mutesi told CNN.

Eventually, she became her country's champion -- and represented Uganda at international tournaments. In 2009, she traveled to Sudan. Then, in 2010, she boarded an airplane to Siberia.

When the flight took off, "I thought that I was maybe in heaven," she wrote in a letter to her mother quoted in Crothers' book. "I asked God to protect me because who am I to fly to the europlane."

Mutesi had also never seen ice before.

Read more: Marathon man Kiprotich ends Uganda's long wait for Olympic gold

This year, she played in Istanbul.

Mutesi is not one of the world's top chess players. But she is the first titled female Ugandan player. She has a fighter's instinct to reach the top level -- and to achieve much more.

"Chess gave me hope, whereby now I'm having a hope of becoming a doctor and ... a grand master," she said.

A grant from a program called Sports Outreach has allowed her to go back to school. She's learning to read and write.

Meanwhile, Mutesi is becoming an inspiration to people all over the world.

Some learned about her through Crothers' article for ESPN, which went viral. Others have seen a brief documentary about her on YouTube.

Crothers' book about her, "The Queen of Katwe," was published this fall.

"That she's from Africa makes her an underdog in the world. The fact that she's from Uganda makes her sort of an underdog in Africa, because it's one of the poorer countries in Africa. The fact that she's in Katwe makes her an underdog in Uganda because it's the most impoverished slum in the entire country. And then to be a girl in Katwe -- girls are not treated as equals to the boys," said Crothers.

"Every hurdle that the world can place in front of her it has placed in front of her."

The extreme poverty and deprivation in Katwe is hard for many around the world to imagine. Crothers wrote that "human waste from downtown Kampala is dumped directly into the slum. There is no sanitation."

Mutesi wakes at 5 a.m. every morning to "begin a two-hour trek through Katwe to fill a jug with drinkable water, walking through lowland that is often so severely flooded by Uganda's torrential rains that many residents sleep in hammocks near their ceilings to avoid drowning," he wrote.

In the country of 34 million people, about one-fourth live below the poverty line, according to the CIA World Factbook. About three-quarters of the men in Uganda are literate; only 58% of women are.

Mutesi told CNN she's never heard of Idi Amin, the so-called butcher of Uganda, who helped plunge his country into economic chaos throughout the 1970s.

She does know the name Joseph Kony, a brutal Ugandan warlord who was the subject of a viral video earlier this year. Kids talk about him, Mutesi said.

"He was in northern Uganda torturing people and could kidnap children. That's what I know."

Chess could prove to be Mutesi's ticket out of a hard life -- particularly through a project that lies ahead.

Disney has optioned the rights to "The Queen of Katwe," and is starting work on a movie, Crothers said.

It's all too much for Mutesi to fathom.

"I feel happy," she said when asked about the growing attention. "I'm excited. I didn't have hope that one time, one day, I would be like someone who can encourage people, and they start playing chess," she told CNN.

As her world travels take off, she's in for more and more culture shock.

"I don't like New York because there's too much noise in it," the teenager said with a big smile.

But while it may be somewhat overwhelming for her, Mutesi's success at the game she loves is bringing joy to her family.

"Some of them cried. Years back we didn't have hope that ... one day it can happen," she said. "So they are very excited."

@highlight

Phiona Mutesi grew up in a slum in Uganda's capital

@highlight

To get a bowl of porridge, she went to a missionary's chess program

@highlight

She now travels the world as a rising chess star

@highlight

She's the subject of a book that Disney is turning into a movie