(CNN) -- President Barack Obama is promising a more aggressive approach to containing Ebola in the United States. A second worker with Ebola at Texas Health Presbyterian Hospital is identified as a 29-year-old nurse. The nurse flew on a Frontier Airlines flight Monday, before showing signs of the disease, and the CDC is trying to contact all passengers aboard the flight.

With multiple developments underway, here's what you need to know to get caught up on the latest in the Ebola outbreak:

U.S. DEVELOPMENTS

President Obama promises more aggressive approach

After the second Ebola infection at a Texas hospital, President Barack Obama announced Wednesday: "We're going to make sure that something like this is not repeated, and that we are monitoring, supervising, overseeing in a much more aggressive way exactly what's taking place in Dallas, initially, and then making sure that the lessons learned are then transmitted to hospitals all across the country." The President also said he's "absolutely confident that we can prevent a serious outbreak of the disease in the United States," but said it's harder to do as the disease rages out of control in Africa.

CDC forms Ebola response team

Obama said the Centers for Disease Control and Prevention's new rapid response team will help hospitals that don't have experience with Ebola. "I think what we've all learned over the last several weeks is that folks here in this country in a lot of nonspecialized hospitals and clinics don't have that much experience dealing with these issues. So we're going to have to push out that information as aggressively as possible," Obama said.

"We will put a team on the ground within hours," CDC Director Dr. Tom Frieden said earlier. Such a team, Frieden said, might have prevented Dallas nurse Nina Pham from contracting the disease.

Second Texas worker tests positive

A second health care worker at Texas Health Presbyterian Hospital in Dallas who provided care for Thomas Eric Duncan has tested positive for Ebola. The worker has been identified as nurse Amber Vinson, 29, according to officials at the CDC. Vinson was transferred Wednesday to Emory University Hospital in Atlanta for treatment and is "ill, but clinically stable," the CDC said.

Ebola patient flew on a Frontier Airlines flight

Vinson flew from Cleveland to Dallas on Monday on Frontier Airlines Flight 1143, the day before she was confirmed to have Ebola and in violation of a CDC order. Health care workers exposed to Duncan can travel, but not on a commercial airline, Frieden said. A statement from the airline said Vinson displayed no symptoms or sign of illness during the flight.

CDC is trying to contact passengers

The risk to passengers aboard the flight with Vinson is low, according to the CDC, because she wasn't showing any symptoms of Ebola, but officials want to interview all 132 passengers who were on the plane. The CDC said it wants to speak only with people aboard the Monday evening flight, and not the flight Vinson took to Cleveland on Friday, October 10.

Frontier Airlines Flight 1143 flying again

Frontier airlines removed Flight 1143 from service after learning about the Ebola patient. The plane was back in service Wednesday after undergoing a decontamination process, said Ricky Smith, Cleveland's director of Port Control.

Kent State University takes Ebola precautions

Three employees who work at Kent State University are related to Vinson, according to the university. The college, out of an abundance of caution, has asked Vinson's "family members to remain off campus for the next 21 days and self-monitor per CDC protocol, said Dr. Angela DeJulius, director of university health services at Kent State. DeJulius stressed Vinson, a Kent State graduate, "did not step foot on our campus" during her Ohio visit.

Recuperating nurse is doing better

The first Dallas health care worker with Ebola, Pham, is in "improved condition," Frieden said Wednesday. She is receiving treatment at Texas Health Presbyterian and it's unclear whether she may be moved to another facility.

Obama participates in international video conference

Obama stressed the need for "a faster and more robust international response to the Ebola epidemic and underscored the need to increase assistance and international contributions" to the West African nations at the epicenter of the outbreak: Liberia, Sierra Leone, and Guinea, according to a White House statement. Officials with Britain, France, Germany and Italy participated in the call Wednesday.

Major allegations against Texas hospital

The guidelines were constantly changing and "there were no protocols" at Texas Health Presbyterian, the co-president of National Nurses United said. It's here that Ebola patient Duncan died, and two nurses contracted the virus caring for him. Protective gear that nurses initially wore left their necks exposed, they felt unsupported and unprepared, and they received no hands-on training, nurses union co-president Deborah Burger said. The hospital said compliance and employee safety are its priorities.

Should Duncan have been moved?

Duncan should have been transferred immediately to either Emory University Hospital in Atlanta or Nebraska Medical Center in Omaha, an official close to the situation said. Those hospitals are among only four in the country that have biocontainment units and have been preparing for years. "If we knew then what we know now about this hospital's ability to safely care for these patients, then we would have transferred him to Emory or Nebraska," an official said.

Military reservists could be activated to fight Ebola

The Obama administration is expected to announce Thursday that it will authorize the Pentagon to call up reservists to help with the United States' effort at fighting Ebola in West Africa, according to an administration official. The Pentagon has the authority to send up to 4,000 troops to the region to help battle the crisis.

New York Police Department issues Ebola directive

New York police officers received a directive on how to identify potential Ebola patients and what to do if they come into contact with an infected person, an official with the New York Police Department told CNN. The instructions describe symptoms of the illness, how to interact with the potential victim, the importance of wearing protective gear and how to dispose of it.

Complete coverage of Ebola

WEST AFRICA DEVELOPMENTS

Expect 5,000 to 10,000 new cases

The World Health Organization estimated that there will be 5,000 to 10,000 new Ebola cases weekly in West Africa by the first week of December. As of Tuesday, there had been 8,914 cases and 4,447 deaths, but WHO said the total is underreported. The mortality rate in the outbreak is 70%, WHO said.

U.S. troops battle invisible enemy in Liberia

IN OTHER COUNTRIES

U.S. seeks use of Spanish bases

The United States is seeking permission to use Spanish bases to help in transport and logistics support for the U.S. military mission to help fight Ebola in West Africa. American transit and logistics flights have already been approved case-by-case by Madrid, but Washington hopes for a more blanket agreement.

A spokesman for Spain's Defense Ministry told CNN's Al Goodman that Spain has approved some flights from its Rota naval base and Moron air base to West Africa, but not yet any return flights from West Africa. The Spanish defense minister is scheduled to meet U.S. Defense Secretary Chuck Hagel in Washington on Friday.

Spanish nurse's assistant serious but better

Teresa Romero Ramos, a nurse's assistant in Spain who showed Ebola symptoms after treating an Ebola patient at her Madrid hospital, still is in serious condition, but doing better, officials said this week.

Romero spoke to her husband by phone for 10 minutes, family friend Teresa Mesa told reporters. Romero has been drinking water, and doctors are hopeful about her condition, Mesa said.

Spanish authorities are monitoring more than 80 potential Ebola cases: 15 in hospitals and the rest at home, according to the Spanish Ministry of Health. None of them is showing symptoms of Ebola, the ministry said Tuesday.

CNN's Dana Ford, Catherine E. Shoichet and Anna Maja Rappard contributed to this report.

@highlight

President Obama promises a more intensive response to the Ebola crisis

@highlight

New Texas Ebola patient identified as Dallas nurse Amber Vinson

@highlight

Vinson flew from Ohio to Texas aboard a commercial flight on Monday

@highlight

Centers for Disease Control and Prevention is trying to contact passengers