ORLANDO, Florida (CNN) -- Some Florida amusement park visitors may enjoy space-themed roller-coasters, but the first vehicle they board at Orlando International Airport may be the most futuristic ride of their vacation.

Four hydrogen shuttle buses are part of the fleet at the Orlando International Airport.

The airport is testing four Ford shuttle vans equipped with internal combustion engines modified to run on hydrogen instead of gasoline.

"It's quiet, it doesn't shake like diesel, it doesn't have that diesel smell," said Rafael Sanchez, who has been driving the vans for a year. The quieter engine makes conversation inside the bus easier than in conventional vehicles.

"Hydrogen is one of the many technologies we are exploring, trying to become more of a green airport," said Ronald Lewis, director of airport operations.

Vehicles powered with hydrogen engines are different from the many vehicles across the nation that run with the help of hydrogen fuel cells -- which are the gold standard of green machines.

The use of hydrogen in internal combustion engines is far less efficient than in the fuel cells.

The modified engines aboard the Ford E-450 shuttle buses are 6.8 liter V-10s. The airport's fleet also includes three gas-electric hybrid vehicles and 24 biodiesel buses. The facility also powers its maintenance equipment -- such as lawnmowers and tractors -- with biodiesel.

But like many experiments with alternative fuels, the price is very high and the long-term outcome is unknown. Proponents of hydrogen technology have long had a chicken-and-egg dilemma over whether to build million-dollar fueling facilities or to wait until more vehicles are in use.

Energy companies are reluctant to pour money into expensive fueling stations without a lot of hydrogen vehicles around, but consumers are not likely to buy a vehicle without adequate places to fill up.

"It is clear nothing is going to displace gasoline or diesel for 20, 30, maybe 40 years," said John Lapetz, who has been working on alternative fuels at Ford for more than 20 years.

The Orlando project has several goals: To get average consumers acquainted with hydrogen and to acquire data on the buses' performance in a setting where they are in use almost nonstop.

Lapetz said it's an effort to use a technology that customers take for granted (the internal combustion engine), while preparing for the day when drivers can complete the divorce from fossil fuels.

At the Boggy Creek Hydrogen Fueling Station in Orlando, the hydrogen is produced on-site. "We are doing a process called steam methane re-forming, which is natural gas to hydrogen," said Puneet Verma, manager of biofuels and hydrogen at Chevron Technology Ventures, one of the players involved in the project.

During a careful fueling process, technicians check for leaks of the highly flammable hydrogen -- leaks both in the bus and the fuel pump.

Because a fossil fuel, methane, is used to make the hydrogen, the buses are about 12 percent cleaner than gasoline or diesel when their entire carbon footprint is measured.

"We view the hydrogen efforts as a technical success," said Verma. "This is the first time we have been able to demonstrate actual production of hydrogen at the station. It's not necessarily an economic success yet."

"The ultimate goal is hydrogen fuel cell cars," Verma said. "The hydrogen internal combustion engine buses are much less expensive to manufacture, but they consume a lot more hydrogen."

Verma said the buses are "valid transition technology" aimed at quickly building significant demand for hydrogen, which would then justify an expensive infrastructure.

The hydrogen test project also includes the Greater Orlando Aviation Authority, Ford Motor Company, the Florida Department of Environmental Protection, Progress Energy and SeaWorld.

Hydrogen buses began shuttling SeaWorld employees in February from the park's outer parking lots to their workplaces.

"The environment is really an important part of SeaWorld's culture here," said Kelly Bernish, director of environmental health and safety at Busch theme parks SeaWorld, Discovery Cove and Aquatica.

Bernish described the venture as another opportunity for "employees to feel like they can impact the environment by using this kind of vehicle, that will lessen our footprint on the world."

SeaWorld's Discovery Cove animal training supervisor Jay Tacey said "somebody has to get the ball rolling. Until somebody takes that first step, there's always going to be the 'what if?' "

Airport Operations Director Lewis said being in on the hydrogen experiment early could pay off in the long run.

"We are hopeful that since they built the facility here, the only one in the southeast United States, that there will be a long-term usage for it."

@highlight

Orlando airport tests cleaner hydrogen-powered internal combustion engines

@highlight

Smoother, quieter engines require million-dollar fueling stations

@highlight

Testers hope to learn more by gathering data from nonstop shuttle usage

@highlight

Hydrogen engines cheaper than hydrogen fuel cells, but they use more hydrogen