(CNN) -- Hamas wants an end to Israel's long blockade of Gaza and raids on the territory in any cease-fire that might put a stop to five days of weaponry plummeting from the sky, a top Palestinian official said Sunday.

Hamas, the Palestinian militant group that has ruled Gaza since 2007, said an Israeli airstrike killed a family of 10 on Sunday. Israel, meanwhile, said Hamas had fired nearly 150 rockets into Israel in a single day, and that the strike was aimed at killing one of the leaders of the militant group's rocket corps -- but Israel was unsure whether he was among the dead.

It was the latest violence in what has become a daily nightmare for millions in the region, one that puts Gaza's 1.7 million residents and millions of Israelis in harm's way. But an Israeli special envoy was in Egypt for cease-fire talks late Sunday, the Egyptian government said, and a stream of Arab League, U.N. and European diplomats were darting in and out of the region on similar errands.

Nabil Sha'ath, a senior Palestinian negotiator, said Hamas is demanding an end to "the harassment and draconian siege of Gaza that prevents anything from coming in or going out, so that there will be a normal life for the people of Gaza." The territory has been under a crippling economic embargo since Hamas won control of the territory from the Fatah-led Palestinian Authority, which controls the West Bank.

U.S. fears escalation to ground invasion

But Palestinian Authority President Mahmoud Abbas said Sunday that he is in "continuing contact" with exiled Hamas leader Khaled Meshaal and called for Palestinian unity during the Israeli offensive. Sha'ath, also a Fatah leader, said Hamas wants Israel to stop targeting the leadership of Palestinian factions and to expand the waters Palestinian fishermen are allowed to trawl from three miles offshore to 30.

Sha'ath said the Palestinian goal was to reach not only an end to the latest fighting but a long-term cease-fire between Hamas and Israel.

"The attempt is to reach a real stable situation. That's why they are asking for commitment on Israeli typical aggression and periodic incursions and constant shooting and firing at the fishermen in the sea," he said.

But rockets continued to fall on Israel on Sunday, and airstrikes continued in Gaza. Fresh sirens sounded Sunday in Tel Aviv, but the Israel Defense Forces reported that it had intercepted at least two rockets headed for the city with its "Iron Dome" missile-defense system. A rocket struck a car in the Israeli town of Ofakim, while another hit a woman's carport while she was inside her house in Ashkelon.

Iron Dome is a game-changer, Israelis say

And in Gaza, Hamas-run al Aqsa television showed images of children's bodies being carried away from a house blown apart by an Israeli airstrike. They were among a family of 10 who died there, according to a Palestinian ambulance service.

On Twitter, the al Qassam Brigades -- Hamas' military wing -- called it a "massacre committed by Israeli occupation."

But Lt. Col. Avital Leibovich, the IDF's chief spokeswoman, told CNN that Yehya Bayaa -- a "senior Hamas member" -- was targeted in the strike. The IDF identified Bayaa as one of the leaders of the Hamas rocket-launching unit.

"When I say a senior Hamas member, I mean members that have Israeli blood on their hands -- members of Hamas that planned either the abduction of soldiers or are very much involved in targeting Israelis," she told CNN.

Q & A: What is Hamas?

Leibovitch said the house was Bayaa's home and suspected command center and that the Israeli military was examining video of the strike to look for signs of secondary explosions -- an indication that there were explosives inside. But late Sunday, she said she did not know for sure whether Bayaa had been killed.

Israel also said Sunday that it was not to blame for the death of a Palestinian child last week -- a 4-year-old boy whose lifeless body was kissed by Egyptian Prime Minister Hesham Kandil during his visit to a Gaza hospital Friday.

CNN visited the child's home, which neighbors said had been bombed five hours previously. Neighbors and family members told CNN they heard an aircraft before the explosion.

But the Israeli military told CNN on Sunday it did not carry out any airstrikes at the time of the child's death. The IDF said had stopped its attacks for Kandil's visit, raising questions about what caused the fatal blast. One possibility could be the misfire of a Hamas rocket intended for Israel, since CNN's crew in Gaza said it saw two such rockets passing overhead -- apparently fired not far from where the boy lived.

GPS: What does this all mean?

Israel launched its offensive on Wednesday in response to persistent rocket attacks from militants in Gaza. Early Monday, the Gaza health ministry said 76 people have been killed in Gaza during the ongoing hostilities. It was not clear how many of the dead were combatants. Earlier, the territory's interior ministry said 20 children and eight women were among the dead.

More than 660 people were injured, the interior ministry said.

The IDF said one Israeli was wounded Sunday. Three Israelis had been killed and 69 wounded over the course of the conflict.

Militants in Gaza had fired nearly 1,000 rockets at Israel, the IDF reported. More than 340 had been intercepted, including 41 of the 146 fired Sunday, the military said. Meanwhile, the IDF conducted 130 strikes during the day, it reported.

The IDF, which has been touting the "pinpoint" precision of its airstrikes via Twitter, said it had hit a slew of what it called "terrorist" sites while sparing other damage.

"Terrorists put an underground launch site next to a mosque. We targeted the site. The mosque was unharmed," the IDF said in one post, which was accompanied by military video of the raid.

The Israeli military has also said that nearly 100 rockets fired from Gaza in recent days have crashed back into the strip. "Hamas fires from civilian areas and hits its own people," it said on Twitter.

The Israeli government has called up 75,000 reservists and massed 30,000 troops across the border of the Palestinian territory, the IDF said. In Jerusalem, Israeli Prime Minister Benjamin Netanyahu told reporters that Israel is prepared to significantly escalate its operation against Palestinian militants in Gaza.

"We are exacting a heavy price from Hamas and the (other) terrorist organizations, and IDF is prepared for a significant expansion of its operations," Netanyahu said before his weekly Cabinet meeting.

The fighting has put new strains on Israel's relationship with Egypt, which is attempting to broker a cease-fire. The Muslim Brotherhood-led government that took power in June has pledged to maintain Egypt's peace treaty with Israel -- the cornerstone of what peace has been achieved in the turbulent region -- but sympathy for the Palestinians runs deep among Egyptians.

On Egypt's border with Gaza, about 500 Egyptian protesters crossed into the territory on Sunday in what their leader said was a show of solidarity with the Palestinians. They raised Palestinian flags and chanted, "We are the youth of January 25 revolution, Palestine will be free! Open the crossing, Israel is the enemy!"

"We have broken the siege," said Rami Shaath, the group's main organizer. "The Arab Spring has changed the region. We are happy to go in to support our Palestinian brothers, but it's sad to hear the explosions of the Israeli bombing of Gaza all the way on the Egyptian side. We brought in small amounts medical supplies, food, and water, but our main message is political support to the Gazans."

Arab League Secretary-General Nabil el-Araby and 16 foreign ministers from the league's member states will drive into Gaza on Tuesday for talks, a spokesman for the organization said. Meanwhile, Abbas will hold talks in the West Bank with Tony Blair, the envoy for the Mideast Quartet, and with U.N. Secretary-General Ban Ki-moon during their visits to the region in the coming days, said Saeb Erakat, a member of the PLO's executive committee and an Abbas ally.

The United States and several European countries have put the brunt of the blame for the current crisis on Hamas, an Islamic fundamentalist movement that has been branded a terrorist organization by the United States, Israel and the European Union. Those Western powers say Israel has a right to self-defense, while Arab and Muslim nations have accused Israel of being the aggressor.

Rocket attacks into Israel were the "precipitating event" for the fighting under way now, U.S. President Barack Obama said during a stop in Thailand on Sunday. "We are actively working with all the parties in the region to see if we can end those missiles being fired without further escalation of violence in the region."

Obama said he has spoken with Netanyahu, Egyptian President Mohamed Morsy, and Turkish Prime Minister Tayyip Erdogan. He emphasized that "those who champion the cause of the Palestinians should recognize that if we see a further escalation of the situation in Gaza, then the likelihood" of peace talks resuming that could lead to a two-state solution "is going to be pushed off way into the future," Obama said.

CNN's Sara Sidner reported from Gaza City; CNN's Fred Pleitgen reported from southern Israel; and CNN's Josh Levs from Atlanta. CNN's Chelsea J. Carter, Kindah Shair, Amir Ahmed, Jessica Yellin, Ben Wedeman and Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: The death toll in Gaza climbs to 76, says the Gaza health ministry

@highlight

Hamas demands an end to Gaza blockade, Israeli raids

@highlight

Israel says it conducted 130 strikes, intercepted 41 of 146 rockets

@highlight

Israeli envoy in Egypt for cease-fire talks