MOSCOW, Russia (CNN) -- As I raised my hands toward the ceiling and then pointed them toward my head, I had to wonder: How would the 19th-century Russian writer Nikolai Gogol feel if he knew that a bunch of foreigners were dancing the YMCA at a nightclub named after him?

The iconic St. Basil's Cathedral in Red Square takes on a brighter, more colorful look at night.

Gogol the man is considered the father of modern Russian realism, with works such as "Dead Souls." Gogol the cafe-club is considered a favorite hangout for Russians and expatriates alike, perfect for meals, coffee, fruity cocktails and music 'til everyone clears out around 2:30 a.m., when Moscow's "real" nightclubs heat up.

Since the Soviet Union fell in 1991, Russia's capital city has progressed in many ways, breaking free of old social structures while struggling to maintain its cultural heritage.

The city has preserved a lot of its old beauty, boasting monuments such as St. Basil's Cathedral and gorgeous landscapes such as Tsaritsino Park. At the same time, there are Internet cafes and 24-hour bookstores, and you'd be hard-pressed to meet someone who doesn't carry a cell phone.

But, as an American studying abroad at Moscow State University, I sometimes felt perplexed in this immense modern metropolis that still makes certain familiar conveniences inconvenient.

In Moscow, kiosks for adding money to your cell phone seem far more common than ATMs. Even nice restaurants with $40-minimum meals -- for example, the best beef stroganoff and fried cheese balls of your life -- accept only cash, no cards. After two weeks, I never figured out where to buy a nail clipper -- but I did see Vladimir Lenin's body, perfectly preserved since 1924.  View more photos of Moscow »

At the university, I had to present a special ID card to one set of guards at the entrance, a dorm pass to another crew, and then confront a third layer of hallway-based security before arriving at my room. I also needed written approval from my floor's "administrator" to take luggage out of the building.

Then, there's money. Moscow, or "Moskva" in Russian, holds the distinction of the world's most expensive city, according to Mercer's 2008 Worldwide Cost of Living Survey. Be prepared for fees from your bank and the Russian bank whenever you use an ATM. Try to stay away from touristy restaurants for meals, and do your souvenir shopping at Izmailovsky Market (Metro: Izmailovsky Park) instead of in stores.

The expatriates I encountered all echoed the sentiment that Moscow is a city of constant stress. Maybe that's why I will always love most the Moscow I experienced at night.

The monuments that look mildly impressive by day suddenly come to life with light against the onyx sky. You can look out over Sparrow Hills and see the endless glittering skyline, or settle down somewhere like Gogol (Metro: Tverskaya) for vodka-enhanced beverages and music from around the world. And, as long as you know "Mozhna?" ("May I?") and "Spasiba" ("Thank you)," it matters less that few people speak substantial English.

Café Bilingua (Metro: Chistye Prudy) is another cozy place to mingle with locals and ex-pats for hours on end -- you can have your coffee in the tiny two-story book shop, or take it up to the restaurant and performance section. Another bar I liked is Etage (Metro: Pushkinskaya), right off Pushkin's Square near a large neon-light sculpture of flowers (how would the great poet feel about that?).

Nightclubs dedicated to too-many-people-to-move dance floors don't start up until well after midnight. Propaganda (Metro: Lubyanka), conveniently located near the headquarters of the KGB, spins all kinds of dance music -- go on a Thursday evening for a less crowded experience.

Then there's The Real McCoy (Metro: Barrikadnaya), so packed with people that merely crossing the room to stand in the bathroom line requires bumping bodies to the beat. At first we couldn't even get in because the bouncer shook his head at my Swiss friend. But, as always, it's all about who you know -- my Spanish friend's Spanish friend had VIP status, so we went as his entourage to an upscale restaurant-like room in the back.   Part of my Moscow nightlife adventures included riding on an overnight train. For my trip from St. Petersburg to Moscow, I had been told at every ticket office that only seats were available. But upon boarding at midnight, I asked a crew member if I could have a bed. Five minutes and $80 later, the fleshy man who took my ticket had locked me into a less-than-closet-sized space with him.

I prepared to claw at the door with my untrimmed nails and scream.

"Close," he said. Then he unlocked it to demonstrate "open." He stepped out, gave me a stiff wave, and said, "See you in Moskva." I sighed and fell asleep on the child-sized mattress.

Among the plethora of Moscow's unspoken rules: Do not talk in the elevators or hallways of your student dorm. Accustomed to the silence, one night I was surprised to hear the glorious sound of a Frédéric Chopin nocturne coming from behind a security guard's desk. "Mozhna?" I asked, pointing to the door his chair blocked. He just shrugged, so I quietly ducked behind him and pulled the handle.

Behold, a secret two-story ballroom with tables and chairs and an upright piano in the corner, and a Russian student who abruptly lifted his hands from the piano keys when I sat down. We took turns playing (thus, my failed-love song "Sad Panda" debuted on a new continent) and, in broken but passionate  English, he told me how he wished he could sound like the Russian-American pianist Vladimir Horowitz, and said he often comes with his friend to play around 9 p.m.

As if it were the end of a great Russian novel, I never heard music in that hallway again.

@highlight

The preserved body of Vladimir Lenin is on display in Moscow's Red Square

@highlight

Moscow has been named the world's most expensive city

@highlight

Izmailovsky Market has the best souvenir shopping at reasonable prices

@highlight

iReport.com: Show us your travel snapshots