(CNN) -- President Obama renewed his call to improve the nation's "crumbling" infrastructure during his State of the Union address Tuesday, saying it will create jobs and help the nation compete in the global economy.

Singling out roads, bridges and railways, Obama said the U.S. "infrastructure used to be the best, but our lead has slipped."

"Countries in Europe and Russia invest more in their roads and railways than we do," the president said. "China is building faster trains and newer airports."

Obama hammered home its importance by comparing his proposal to famously successful infrastructure programs of the past: the transcontinental railroad, the interstate highway system and the spread of electricity to rural America.

"The jobs created by these projects didn't just come from laying down tracks or pavement," Obama said. "They came from businesses that opened near a town's new train station or the new offramp."

Obama set a goal of offering 80% of Americans access to faster railroad trains by 2036. He touted it as allowing passengers to "go places in half the time it takes to travel by car."

"For some trips, it will be faster than flying -- without the pat down," he joked, referring to recent public criticism of airport security procedures.

Perhaps in an attempt to ward off criticism about rising federal spending, Obama said the projects would be "fully paid for" and would "attract private investment."

Projects would be chosen "based on what's best for the economy, not politicians," he said.

But Washington's current high-speed rail proposal may have a fatal economic flaw, according to infrastructure expert R. Richard Geddes, of the American Enterprise Institute think tank.

Many of the high-speed passenger trains would run on existing rails, which are now used by the nation's freight train industry. Interruptions in freight traffic, Geddes said, could potentially cost tens of billions of dollars per year in lost value to the U.S. economy.

Building special rail lines dedicated to the 110-mph passenger trains could cost as much as $50 million per mile, he said. "Whatever we do with the passenger rail system, we cannot afford to mess up our freight train system in the United States," Geddes said.

The prohibitive cost makes it more economically feasible to limit high-speed rail to regions with high populations, like the Northeast, Geddes said.

Funding

Included in the White House statement were details about how public and private funds would be combined to pay for these projects, including "transformational investments such as an infrastructure bank that will revolutionize infrastructure finance" by "leveraging government resources through attracting private capital."

So far, the Department of Transportation has awarded $8 billion as a "down payment" to begin developing projects in at least a dozen states.

Newly elected governors in Wisconsin and Ohio have balked at the rail programs, prompting Transportation Secretary Ray LaHood to redirect Wisconsin's $810 million and Ohio's $400 million to other states.

California is getting the lion's share of the funds -- $624 million for its link between Los Angeles and San Francisco. About $342 million is going to Florida, and the remainder will be divided among Washington and 10 other states.

This was not the first time Obama has rallied the nation to renew its commitment to infrastructure. Last year, backed by a group of governors and mayors, the president proposed a six-year $50 billion infrastructure development plan.

Although he didn't specifically mention Obama's infrastructure initiative during the official GOP response to the State of the Union address, Rep. Paul Ryan, R-Wisconsin, did target White House spending proposals that he said cost too much.  "Since taking office, President Obama has signed into law spending increases of nearly 25% for domestic government agencies, an 84% increase when you include the failed stimulus," he said. "All of this new government spending was sold as 'investment.' Yet after two years, the unemployment rate remains above 9%, and government has added over $3 trillion to our debt."  Internet gap

This slipping U.S. infrastructure, Obama said, also includes the internet. Pointing out that South Korea enjoys greater internet access than the United States, the president called for a National Wireless Initiative, which aims to extend wireless internet coverage to 98% of the U.S. population.

South Korea has some of the fastest and most available broadband connections on the planet, according to a 2011 report from Akamai Technologies. The United States ranked ninth in fastest high-speed broadband connectivity, just below Belgium and above Canada.

Current internet usage by Americans is around 75%, said Jim Harper of the CATO Institute, a Washington-based conservative think tank.

"There are people -- who could very well get broadband -- who don't want it. Where there isn't demand, we shouldn't have government policies trying to push it there because that's just going to waste resources."

Federal officials should free up more of the airwaves' electromagnetic spectrum for use by private wireless internet providers as a way to increase broadband access and competition among businesses, said Harper. He agrees that internet access is directly related to a stronger economy.

"If you're able to access information more quickly, then that increases productivity -- especially in an economy like ours which is increasingly a knowledge-based economy," he said.

The White House, in a statement released Tuesday, said greater internet access "will enable businesses to grow faster, students to learn more, and public safety officials to access state-of-the-art, secure, nationwide, and interoperable mobile communications."

CNN's Steve Kastenbaum contributed to this report.

@highlight

Obama calls on Congress to redouble efforts to rebuild infrastructure

@highlight

He proposes high-speed rail; repairing roads and bridges; more internet access

@highlight

President: Projects will be "fully paid for" and will create jobs

@highlight

Critic: Using freight lines for high-speed rail could cost tens of billions per year