During the half century since President John F. Kennedy was assassinated, you may have heard about a few conspiracy theories.

Decades of investigations, hearings, documents, records, books and interviews have failed to satisfy conspiracy theorists with a definitive answer to The Question: Did Lee Harvey Oswald act alone when he shot the President?

At one time or another, doubters of the lone gunman theory "have accused 42 groups, 82 assassins and 214 people of being involved in the assassination," said author Vincent Bugliosi.

That's a lot of paranoia.

So, when reporters, producers, or amateur historians are looking to check out the latest JFK conspiracy theory, they call Dave Perry. "People think I'm an anti-conspiracy guy," Perry said recently at his Dallas-area home.

But there's one theory that he's not ruling out. We'll get to that in a minute.

Kennedy assassination conspiracy theorists, Perry said, come in all degrees of interest and levels of obsession. They may believe that the government was behind the 9/11 attacks or that the moon landings were fake. Those folks comprise the "off the wall" crowd. The others, he says, read the books, watch the documentaries and come to less extreme conclusions.

Related:  Secretary Kerry thinks JFK assassin had help

Ahead of last November's 50th anniversary of the assassination, a flood of books about the tragedy were re-released, along with the publication of new books examining various conspiracies. The king of Kennedy conspiracy films, Oliver Stone's "JFK," has also was re-released on disc.

Related: Why Oliver Stone thinks it was a conspiracy

Conspiracy theorists have been gathering to compare notes at special symposiums, like one last year at Pittsburgh's Duquesne University.  The event, which included Stone as a panelist, seemed more like a revival meeting at a Sunday house of worship than an academic conference, according to a reporter who was there.  "Replace 'Amen' for 'That's right!' and it would have basically been a church," recalled Rebecca Nuttall.

Nuttall said the crowd ranged from those who believed the government was involved in some kind of cover-up, to extremists who appeared to think "everything the government tells you is a lie."

She said many still blame the media for failing to uncover the truth.

And Perry, a 70-year-old retired former insurance claims adjuster from Massachusetts, has been digging through JFK assassination records since 1976 to address those skeptics.

Doubters ask him to check out the odd stories that pop up: Somebody claimed to be the Grassy Knoll shooter. Nope, he wasn't. Perry says he located and verified the authenticity of Oswald's long-lost wedding ring.

"I don't do the sexy stuff," Perry said. "I don't come out and say, 'I know who the Grassy Knoll assassin is!' I'm the guy that goes into the county records building and looks up deed records. Most people don't get too wound up over that."

Related: Still paranoid after all these years

Over the years he's come to know several people who found themselves embroiled in the investigation, including ex-Dallas detective Jim Leavelle and Oswald's co-worker Buell Frazier.

Perry guesses he spends a "couple hundred hours" each October and November doing research and consulting. After all that, you can imagine he's heard a lot of theories.

The School Book Depository where Oswald shot Kennedy is now the Sixth Floor Museum, featuring exhibits surrounding the tragedy. "The conspiracy theories are still around because people don't know what to believe," said museum curator Gary Mack, who admits he's "not satisfied with the official story."

If Oswald didn't act alone, who was behind the shooting in Dallas's Dealey Plaza on November 22, 1963? Some conspiracy theorists believe "the oil people" may have organized a hit on the President; others suspect "people who didn't like the way Kennedy handled civil rights."

Perry shared five conspiracy theories he believes rank among the most popular:

1. "LBJ had it done"

Perry has shot this one down. "It's based primarily on statements made by Madeleine Brown," who Perry described as a "crackpot."  Brown -- who died in 2002 -- claimed to have had an affair with Johnson. She also claimed that LBJ had attended a party with ex-Vice President Richard Nixon, FBI Director J. Edgar Hoover and others the night before the attack. According to Perry, Brown said LBJ whispered into her ear, "After tomorrow, those Kennedys will never embarrass me again. That's no threat. That's a promise."

"That's absolutely not true," said Perry, who said his research proved LBJ couldn't have been at the alleged party that night, debunking Brown's story.

"A lot of Texans didn't like Johnson -- they thought he was a crook -- so as a result, they started creating this fiction after the assassination where he wanted Kennedy out so he could be president," Perry said. "But we've found no evidence, and we know that all the stuff that Madeleine Brown said was contrived."

2. The "military industrial complex" did it

Nope, that doesn't wash either, said Perry. "The claim is that Kennedy was going to pull (American) troops out of Vietnam (and that) the military wanted to pour more people into Vietnam. That's technically not correct. He talked about trying to resolve the situation, but he never made a claim that he was going to pull out of there."

3. "The mob" did it

Sorry, said Perry, no veracity to that. "There's at least three different groups that they claim independently did this: There's the Chicago mob, the Miami mob, and the New Orleans mob. But it's all hearsay."

4. "Oswald acted alone as part of an unknown conspiracy"

It's possible there were individuals who helped Oswald, but who weren't part of any larger group or perhaps unaware of what he was planning. "Remember John Wilkes Booth shot Lincoln and four were hung, including the first woman ever to be hung (by the federal government,) Mary Surratt," he said.

5. "The CIA did it"

This is the conspiracy theory that interests Perry the most. "The problem is, of all of them, this is one I can't debunk," he laughs.

"Supposedly Kennedy was fed up with the shenanigans that the CIA was pulling," Perry said. "He found out the CIA was trying to kill (Cuban leader Fidel) Castro, which is a fact. So the argument is that the CIA felt that Kennedy was going to disband them. And as a result of that, they were the ones that ordered the killing of Kennedy."

Perry points out that a former head of the CIA, Allen Dulles, was a member of the Warren Commission, the special Johnson-appointed panel tasked with the official investigation of the assassination. The commission determined that Oswald acted alone.

Oswald was a supporter of Soviet-backed Cuba.

"We know Oswald was in the Russian embassy in Mexico City," Perry said. "We even know who he talked to. But we don't know what was said. Then a few weeks later, he shoots Kennedy."

"It may have been something that they overheard involving him and the Russians. Or, maybe the CIA had Oswald on the payroll. He might have been a double agent."

Is it possible that Russians ordered Oswald to do it?

Not likely, said Perry. The Russians would never have ordered Oswald to kill Kennedy because of his well-known links to Russia and his pro-Cuban sympathies. Russia's leaders knew they would have been the first suspects if they'd engineered an assassination by Oswald. It would have been an act of war, which could have triggered a nuclear attack.

"We need to know what happened in Mexico City," Perry said.

The answer, he said, may be contained in still-classified CIA documents. The U.S. National Archives currently holds a number of unreleased CIA documents related to the assassination. Those papers are scheduled to be made public in 2017 as part of the 1992 Kennedy Assassination Records Collection Act.

"CIA has followed the provisions of the JFK Assassination Records Collection Act, and the National Archives has all of the agency's documents and files on the Kennedy assassination," said CIA spokesman Edward Price. "The classified information contained in the files remains subject to the declassification provisions of the Act."

So, either we already know the truth, Oswald acted alone, or -- worst-case scenario -- we may never know the whole truth, prompting one more question surrounding the killing of JFK: Would America be OK with that?

Five things you might not know about JFK's assassination

JFK assassination a collective memory for American children

@highlight

Since 1976, Dave Perry has been researching John F. Kennedy's killing

@highlight

Top conspiracy theories include the CIA, the mob and then-Vice President Lyndon Johnson

@highlight

Event in Pittsburgh drew Oliver Stone and hundreds of conspiracy theorists

@highlight

Perry can't debunk a CIA conspiracy theory; many CIA JFK documents still classified