(CNN) -- From superstorms to floods, to historic heat waves and droughts, not a week goes by without a major disruption somewhere in our communities. Between 2011 and 2013, 48 states and two-thirds of American counties endured crises severe enough to be declared major disasters.

Of course, these events aren't preventable, but there are often steps we can take to change how we prepare and respond. Indeed, with the right preparation, not every extreme weather disruption has to become a disaster.

Hurricane Sandy underscores what can be done. The deadly 2012 storm was devastating for communities along the Eastern Seaboard. But the Department of Housing and Urban Development and the Rockefeller Foundation asked the question: What if we focused on planning and preparing as much as we do on disaster reaction and response?

So we partnered to create Rebuild by Design, a competition that brings together engineering and design experts with public, philanthropic and community organizations to try to find ways of rebuilding that make communities like those affected in New York and New Jersey more environmentally and economically resilient.

And now the competition is hitting the national stage, with the HUD-led $1 billion National Disaster Resilience Competition, which is aimed at encouraging local businesses, community development organizations, nonprofits, and local and state governments to rethink how cities plan in the face of a growing number of natural disasters.

In November, we convened a summit of leaders from 67 competing states, cities, counties and parishes. Now, government officials and civic leaders as well as engineers, architects and urban planners will participate in boot camp-like resilience academies to understand best practices before they submit their proposals. The first one, designed for the challenges facing the Southeast in particular, is being held this week in Atlanta, followed by other dedicated regional academies across the country in the new year.

This billion-dollar investment turns the traditional idea of disaster relief on its head.

For years, communities have received federal recovery funds after the fact -- when they were knocked on their heels by a disaster. Unsurprisingly, this is also a particularly expensive way of doing business.

This new approach, in contrast, will ultimately save communities millions in long-term costs. The Federal Emergency Management Agency suggests that every dollar we invest in resilience before a disaster saves $4 after the fact. So, in a way, this was an idea that we couldn't afford not to do.

We call the philosophy behind this competition the "resilience dividend," and it pays off by improving our everyday lives in the good times, too.

Take Tulsa, Oklahoma, which over the last century has often experienced flooding. Since the city began planting parks in floodplains and changing the way it designs its buildings, Tulsa's residents have been paying some of the lowest insurance rates in the country and worrying less about losing their homes and property. The quality of their lives and their sense of economic security has grown.

Or consider Boulder, Colorado. After a bout of historic rainstorms there, a public-private partnership designed storm drains that double as bicycle trails, floodgates doubling as transportation routes, and recreation areas that protect water quality.

And New Orleans, which was devastated by flooding from Hurricane Katrina 10 years ago next year, reimagined its economic base in rebuilding itself, encouraging innovation and entrepreneurship and creative and sustainable development. A decade after large areas were submerged, New Orleans is recognized as a hotbed for startups and one of America's most resilient cities.

Rebuild by Design is succeeding not only because of the creativity of the projects, but also due to the collaboration of multidisciplinary teams of engineers, architects, planners and, importantly, local communities -- all of which partnered in unprecedented ways. Of crucial value, the teams spent considerable time on the ground in these communities, building critical trust and listening to citizens about their needs.

For example, one of the winning groups in the competition proposed a 10-mile flood barrier to protect Lower Manhattan -- called the "Big U" -- that would not only be functional and effective, but also aesthetically appealing. Drawing on local input, the design incorporated green space, bike paths, art and community markets that create economic opportunity in underdeveloped areas, all while protecting against future flooding.

Building resilience is a process with no ideology: Natural disasters in our country are destroying Republican and Democratic communities alike. But the National Disaster Resilience Competition is providing common-sense solutions that create common ground on which to work together. The time to embrace resilience is now.

@highlight

JuliÃ¡n Castro and Judith Rodin: Disasters hurt Republican, Democratic communities alike

@highlight

Each dollar invested in resilience before a disaster saves $4 after the fact, they note

@highlight

HUD and Rockefeller Foundation partner to create Rebuild by Design

@highlight

The competition looks for ways to rebuild that make communities more resilient