With elections scheduled for August, Turkey's Prime Minister Recep Tayyip Erdogan needs this year to be better than the last. But just six months after the damaging Gezi Park protests, the Turkish government is now engulfed in a wide-ranging anti-corruption probe.

Police have so far detained more than 50 high-profile suspects, including the sons of three ministers, a real estate tycoon, a mayor and the chief executive of a major state bank.

Erdogan has reacted furiously to the allegations, repeating accusations about an international conspiracy that seeks to undermine the stability of Turkey. Hundreds of senior police officers have been sacked or reassigned and the prosecution team has been reshuffled to impede the course of the investigation.

The Prime Minister has also removed four ministers tainted by the scandal from their posts and now seems to be laying the path for the retrial of military officers sentenced in coup plot cases known as Ergenekon and Sledgehammer.

Read more: Turkey purges police force

On the surface, the whirlwind of current events appears to expose a government soft on graft and influence peddling. In reality, the allegations have less to do with justice and probity, and more to do with a clash of interests between Erdogan and Fethullah Gulen, a reclusive Pennsylvania-based Islamic preacher and one-time Erdogan ally against the military and secular establishment.

The Gulen movement controls over a hundred schools worldwide, media assets, a bank and diverse businesses, and reputedly has many sympathisers in the judiciary, police and intelligence services.

Read more: Turkey -- corruption or power struggle with cleric?

The timing of the corruption allegations is not coincidental. They come ahead of local elections in March, followed by presidential elections in August in which Erdogan plans to run. He needs to achieve an overwhelming victory in the March elections and, in particular, must win Ankara and Istanbul to stamp his authority on the Turkish general elections expected in June 2015.

It is too early to tell whether Erdogan has suffered any loss of popularity. Ultimately, his staying power will depend on the state of the Turkish economy at the time of each respective election.

The Erdogan-Gulen trench war is defined by three factors that reflect broader developments. Firstly, Erdogan comes from a Muslim Brotherhood tradition, favoring pan-Muslim solidarity and party politics. Gulen, on the other hand, is an Anatolian group rooted in Turkish nationalism and focused on social and religious activities.

These differing traditions, unlike the experience in Arab countries, have ensured a functional separation and conflicting objectives between political Islam and Islamic social movements.

The conservative instincts in much of Turkish society, such as an excessive respect for authority at the expense of individual rights, provide fertile ground for Islamic groups to flourish and for conspiracy theories to take hold.

According to a recent poll by Ersin Kalaycioglu and Ali Carkoglu, two of Turkey's leading sociologists, many Turks retain a rural and religious outlook rather than a modern urban perspective prevalent in thriving cities such as London, Paris, New York and Tokyo.

In such a setting, personalities tend to trump rule-based institutions and governance, meritocracy is sacrificed for personal connections and interpersonal trust is seriously undermined. No wonder that the media coverage of the anti-corruption investigation has focused principally on two individuals and has ignored the concerns of the Turkish public.

'Middle Income trap'

This conservatism is a critical obstacle to the advancement of democracy and the future prosperity of the Turkish economy and prevents the necessary political, economic and social reforms. In the absence of these reforms, a slow growth regime -- sometimes referred to as a "Middle Income trap" -- is taking hold.

As I discussed in a recent Chatham House report, growth rates of 3% or lower will become the norm rather than the exception. It is no surprise that the start of the Erdogan-Gulen feud began in 2011, when Turkey's rapid growth rate was beginning its decline.

Whatever the outcome of the ongoing saga, the seeds of division have been implanted in the informal Islamic coalition between Erdogan supporters and the Gulenists. Reconciliation, though possible, will be increasingly complicated by economic stagnation.

Political turmoil may be the outcome in the short-term, but perhaps it may presage the eventual transformation of Turkey into a more robust and stable democracy as this turmoil encourages Turks toward more transparency and stronger institutions.

Read more: Turkey -- from bridge to island

@highlight

Four government ministers were forced to resign after being tainted by a corruption scandal

@highlight

Erdogan has denounced the corruption investigation as part of an "international conspiracy"

@highlight

Fadi Hakura says the allegations relate to a power struggle between Erdogan and a cleric

@highlight

He says it has disrupted their informal coalition and may lead to a more robust democracy