Freelance journalist James Foley was brutally killed yesterday after being held for 21 months by Islamic militants in Syria. Despite the increasing dangers of working in the region, despite the many journalists who have been kidnapped or are still missing, and despite dreading this news, it has taken us all by surprise and we are deeply, deeply shocked.

Freelance journalists, photographers and video journalists have always played a vital role in newsgathering, and their contribution today is more important than ever. They make a crucial contribution to the free flow of information that is an essential part of a democratic society and fully deserve our support and protection.

Our Trust works with freelancers on a daily basis -- helping them, helping their families, and sometimes working with them to help other freelancers. And James was one of these. We worked with him, helping him financially as he and his colleagues searched for missing colleagues in Syria. We stayed in touch.

James' kidnap and death is yet another tragic reminder of the very real dangers facing journalists today. Over the past two years, around 70 journalists have been killed covering the conflict in Syria, and a further 20 journalists currently remain missing, including freelancer Austin Tice.

The Committee to Protect Journalists say that the last two years have been the most dangerous for journalists on record, with 174 confirmed deaths since 2012. Not only this, but threats, intimidation, assaults and kidnappings are becoming every day challenges for journalists working around the world. Reuters columnist David Rohde writes: "Syria today is the scene of the single largest wave of kidnappings in modern journalism, more than in Iraq during the 2000s or Lebanon during the 1980s."

These are terrible facts.

So, what of the freelancers? Who negotiates for them? Who sends in security consultants to try and get them out? Who helps their families?

Freelance journalists like James often work alone without the resources and support of large news organizations behind them -- they are always the most vulnerable to these dangers. The Rory Peck Trust has been supporting and assisting freelancers for almost two decades, and we've never seen a demand for our assistance like this before.

It's not just freelancers travelling to conflict zones who are at risk. The majority of newsgatherers killed each year are journalists working in their own countries.

Freelance photographers, fixers and camera operators covering and reporting on conflicts that are affecting their own communities are often the most vulnerable. They're unable to leave areas when it becomes too dangerous, or when their reporting is exposed, and are frequently threatened, attacked and accused of being traitors for working with international news organizations.

Beheading of American journalist James Foley recalls past horrors

So, how to protect freelancers? How to help them work securely? Our organization gives financial and other practical support to freelancers in trouble. We offer online resources on safety & security for those reporting from dangerous environments, and run a Training Fund that provides bursaries for freelancers to enable them to undergo hostile environments training before travelling to a conflict zone. This training can teach freelancers how to assess risk and spot danger, handle a crisis, support others and give vital first aid. The right training can save lives.

Although our focus is specifically on freelancers, we are only one of the many organizations that exist to support journalists worldwide. Committee to Protect Journalists, Reporters Without Borders and IFJ all have security guides that can help freelancers be more prepared in situations of crisis. The International News Safety Institute offers up-to-date information about the security situation on the ground for journalists, and RISC offers vital first-aid training.

There's no question that conflict journalism has always been a dangerous occupation -- and how very wrong that is! So when we talk about protection, when we talk about security, we are talking about every sector of the news industry, whether news employers, staff or freelancers. In this brutal new world, everyone must be prepared to take responsibility -- for themselves and for others.

James Foley was a freelancer in the truest and most honorable sense -- a talented journalist and an exceptional human being.  Our thoughts are with his family at this tragic time, and with the families of all other journalists currently being held in Syria.

@highlight

The Rory Peck Trust works with freelance journalists on a daily basis, including James Foley

@highlight

Tina Carr: Foleys' death is yet another tragic reminder of the dangers facing journalists today

@highlight

Freelancers often work alone without the support of large news organizations, she writes

@highlight

Carr: Majority of newsgatherers killed each year are journalists working in their own countries