(CNN) -- President Obama commended the progress of African-Americans in a speech on the 100th anniversary of the NAACP, but said there was still much work to be done.

President Obama addresses the NAACP in New York Thursday night on the group's 100th anniversary.

Speaking at the organization's annual convention in New York, the city where the organization was founded, Obama evoked symbols of the civil rights movement to describe the NAACP's influence on race relations in the United States.

"What we celebrate tonight is not simply the journey the NAACP has traveled, but the journey that we, as Americans, have traveled over the past 100 years," Obama told a star-studded crowd that included music producer Sean "Diddy" Combs and poet Maya Angelou, to name a few.

But Obama said "the pain of discrimination is still felt in America" among African-Americans, Latinos and Muslim-Americans.

"Even as we inherit extraordinary progress that cannot be denied; even as we marvel at the courage and determination of so many plain folks -- we know that too many barriers still remain," he said. Watch Obama's speech to the NAACP

"What is required to overcome today's barriers is the same as was needed then. The same commitment. The same sense of urgency. The same sense of sacrifice. The same willingness to do our part for ourselves and one another that has always defined America at its best."

The "steepest" barriers are not prejudice and discrimination, he said, but the "structural inequalities that our nation's legacy of discrimination has left behind."

Obama highlighted some of his administration's policies as examples of how the government is attempting to break down the barriers of inequity.

"These are barriers we are beginning to tear down by rewarding work with an expanded tax credit; making housing more affordable; and giving ex-offenders a second chance. These are barriers that we are targeting through our White House Office on Urban Affairs, and through Promise Neighborhoods that build on Geoffrey Canada's success with the Harlem Children's Zone," he said.

"When it comes to higher education, we are making college and advanced training more affordable, and strengthening community colleges that are a gateway to so many with an initiative that will prepare students not only to earn a degree but find a job when they graduate; an initiative that will help us meet the goal I have set of leading the world in college degrees by 2020," he said.

Obama said the economy has made progress difficult, but assured the audience that his administration was working to "lay a new foundation for growth and prosperity" for future generations.

"One pillar of this new foundation is health insurance reform that cuts costs, makes quality health coverage affordable for all, and closes health care disparities in the process. Another pillar is energy reform that makes clean energy profitable, freeing America from the grip of foreign oil, putting people to work upgrading low-income homes, and creating jobs that cannot be outsourced," he said.

The president also talked about the need "to recapture the same sense of responsibility in Washington and in our own lives" that propelled the civil rights movement.

"In particular, when it comes to education, we need better standards in our schools, excellent teachers in our classrooms, and parents doing their part to ensure that all our children can succeed, no matter what their race, faith or station in life," a senior administration official said.

He urged families to help children with their homework, to put away the Xbox and encourage them to be more than "ballers and rappers"

"We have to say to our children, yes, if you're African-American, the odds of growing up amid crime and gangs are higher. Yes, if you live in a poor neighborhood, you will face challenges that someone in a wealthy suburb does not. But that's not a reason to get bad grades, that's not a reason to cut class, that's not a reason to give up on your education and drop out of school," he said, eliciting applause from the audience.

"No one has written your destiny for you. Your destiny is in your hands -- and don't you forget that," he said.

The excitement over Obama was in stark contrast to the reception of former President Bush, who had a strained relationship with the NAACP and declined the group's invitations for five years.

Bush spoke before the NAACP in 2000, during his first run for the presidency, but he did not make another appearance until 2006.

But now, even though there's a new president and a new dynamic, there are still some questions as to whether the NAACP and Obama share the same approach.

"I think his big challenge now is going to be in talking to them about issues that have concerned him in the past, like problems with teen pregnancy and black-on-black crime, that the NAACP hasn't been that eager to deal with," said Clarence Page, a columnist for the Chicago Tribune editorial board.

Earlier this week, Michael Steele, the first African-American chair of the Republican National Committee, addressed the NAACP and urged its members to take another look at the Republican Party.

Steele on Thursday reiterated that message, telling CNN, "There's a historic and inextricable link between the GOP and African-Americans. In fact, Republicans helped found the NAACP back in 1909."

The Republican Party, however, has not received more than 11 percent of the African-American vote since 1996. Obama received 95 percent of the black vote in the 2008 election.

According to a national poll conducted in May, African-Americans really like Obama, but more and more feel that race relations have not gotten better since he took office.

In December, 51 percent of African-Americans said Obama's election marks the start of a new era of better race relations, according to a CNN/Essence Magazine/Opinion Research Corp. poll.

In May, that number dropped to 44 percent.

The historic election of the first African-American president in the United States highlights the NAACP's role in fighting for equality and opportunity. NAACP President Ben Jealous said that while Obama's presidency is a big milestone, it's just the next step on a long road.

"This is a big step that we've taken, having a black family in the White House, ending that 233-year-old color barrier, but there's a lot more work that needs to be done," he said.

CNN's Kristi Keck, Suzanne Malveaux and Emanuella Grinberg contributed to this report.

@highlight

NEW: Energy reform, access to education will pave way to prosperity, Obama says

@highlight

NEW: Obama tells parents to urge children to aspire beyond "ballers and rappers"

@highlight

President Obama says journey of NAACP mirrors progress of America

@highlight

RNC Chair Michael Steele says NAACP needs to take another look at the GOP