LONDON, England (CNN) --  -- The World Health Organization has called the swine flu outbreak spreading around the world a "public health emergency of international concern."

Swine flu is usually diagnosed only in pigs or people in regular contact with them.

Health workers worldwide are racing to prevent what may potentially become a pandemic.

An influenza pandemic occurs when a new virus appears against which the human population has no immunity, according to the WHO.

Christine Layton, a public health expert who specializes in influenza at research institute RTI International, told CNN the swine flu has "pandemic potential."

"Unlike the avian flu that people were concerned about a few years ago, a lot more cases are occurring in a lot more different places," she said.

"The mortality rate is lower with swine flu, but it seems to be cropping up in a lot more different places."  See photos of the outbreak in Mexico »

Previous influenza pandemics have been deadly. According to current projections, a pandemic today could result in up to 7.4 million deaths worldwide, the WHO says.

Since 1900, three pandemics have occurred, according to the U.S. Department of Health and Human Services.

Spanish flu was the worst pandemic of the 20th century. Up to 40 percent of the worldwide population became ill when it occurred in 1918-1919.

The WHO estimates the Spanish flu resulted in upwards of 50 million deaths -- or more deaths than those during World War I. A virus as severe as Spanish flu has not been seen since.

Although 10 times deadlier than other pandemics, Spanish flu was far less contagious than diseases such as measles or chicken pox, according to Harvard epidemiologists Christina Mills and Marc Lipsitch, who carried out a study in 2004.

In 1957, another influenza pandemic surfaced. The 1957 pandemic was known as the Asian flu.  Watch Dr. Gupta report from the epicenter of the outbreak »

It was sparked by the H2N2 strain and was first identified in China. There were two waves of illness during this pandemic: The first wave mostly hit children, while the second mostly affected the elderly. It caused about 2 million deaths globally.

But the medical community was able to identify that pandemic more quickly because of improvements in scientific technology, according to the U.S. Centers for Disease Control.

The most recent pandemic occurred in early 1968 when a flu pandemic surfaced in Hong Kong. About 33,800 people died between September 1968 and March 1969 -- making it one of the mildest pandemics of the 20th century.

While no pandemics have surfaced since 1968, other pandemic "threats" have occurred in the 20th century, including the 1976 "killer flu" (later named "swine flu") threat in the United States, which led to a mass vaccinations amid fears it was related to the Spanish flu virus.

The most recent pandemic threats occurred in 1997 and 1999. Hundreds of people became infected with the avian flu virus, or bird flu, which killed six people and infected hundreds. This virus was different as it moved from chickens to people, rather than moving through pigs first. Around 1.5 million poultry were slaughtered in Hong Kong to contain the threat.

The rise of global air travel has raised the ability of disease to spread more rapidly than ever before. Severe acute respiratory syndrome, better known as SARS, was the first severe transmissible disease to hit the globalized world when it hit in 2003.

But outbreaks like SARS, which saw the application of control measures like quarantine, travel restrictions and fever checks at airports, have helped the health community better prepare for emergencies.

Sources: World Book Online, U.S. Department of Health and Human Services

@highlight

WHO raises pandemic alert level to four; level 6 represents global pandemic

@highlight

Three pandemics have occurred since 1900

@highlight

Spanish flu was the worst pandemic of the 20th century