All nations that hold large, aerospace expositions are on some level hoping that they will create the impression they have a modern industrial complex that puts them into the exclusive "club" of nations that build their own planes -- or at least some of the important components that go into them.

Most of the air shows in the international calendar -- Le Bourget in France, Singapore, Dubai, Farnborough -- follow this template and they are commercially successful because they provide a forum for companies to meet with their customers and showcase what their products are capable of.

Airshow China, which takes place in the southern Chinese city of Zhuhai this week, aims to showcase the People's Republic's emergence as a world-class aerospace and defense power and gives us a rare glimpse of China's home-grown military hardware.

However, it is more like the Russian national air show, MAKS, than other international events in that it is designed to impress the Chinese government, Communist Party and military officials -- specifically the Central Military Commission -- rather than a vehicle to convince plane makers Boeing, Airbus, Embraer or Gulfstream of the opportunities available in the Chinese market.

Commercial vs. military

Ask an executive working on one of Boeing's fighter aircraft, military helicopter or missile programs about their importance to the corporate bottom line and he or she will tell you that Boeing is an 80% or more commercial company.

The business of building big commercial aircraft like the 787 Dreamliners and 737s is what keeps Boeing running, providing the economies of scale that allow the company to have a military aircraft division.

Without the commercial airliner business there would be no F-15s or F/A-18s being built at Boeing's St. Louis, Missouri plant.

This is largely the case for almost all of the world's major military aircraft manufacturers, but it's definitely not the profile of China's aerospace industry.

Several major aerospace plants -- Chengdu, Shenyang, Xi'an, Hongdu and others -- are almost completely geared towards the production of military aircraft.

As yet, the country has no commercial airline programs that rival those of the West.

The 168-seat C919 airliner being built by the Shanghai-based Commercial Aircraft Corporation of China (Comac) is supposed to someday be the nucleus of a fleet of Chinese-built passenger aircraft, but its business model is one that Western aerospace firms can only envy.

The program is state-funded and launch customers are Chinese state-owned airlines that are likely to have little choice but to purchase or lease the C919, with first deliveries expected in late 2018.

A number of foreign partners, including engine maker CFM International, provide an additional financial safety net and it's unlikely to meet the same difficulties as the Boeing 747, which almost took the company to the brink of bankruptcy when it was first developed.

"It's a program that by definition cannot fail," said one Western aerospace executive.

"And it has the highest possible priority.  It is clear that getting this aircraft off the ground is to the PRC what the U.S. race to the moon was against the Soviet Union in the 1960s."

Stealth fighters

The military arena is where China is likely to have the biggest impact.

At least two new stealthy, next-generation combat aircraft -- the Chengdu J-20 and the Shenyang J-31, are under development -- making the managers of western fighter programs like the Lockheed Martin F-35 look nervously at what the next decades of military challenges from China might entail.

China's defense industry also boasts multiple lines of anti-ship, air-to-air and surface-to-air missiles -- the kind that give U.S, Navy carrier battle group commanders and Air Force Pentagon planners pause and make them stop and think about what the viable scenarios are -- if any - for defending Taiwan in the event of the breakout of hostilities.

However, most military aircraft firms can only survive financially if they have a fairly robust export market.

Several programs are based on the concept of shared costs among multiple nations because of the huge expense involved in developing modern-day defense technologies.

So far, China is going it alone -- building fleets of fighters and bombers almost exclusively for the People's Liberation Army--- with very few foreign clients.

Therefore, the biggest questions at this year's Airshow China may be how long can China afford to be building military aircraft that are "for China only" and how soon will Beijing realize that growing its export market is the only way it can continue to afford to maintain this massive military machine.

@highlight

Airshow China takes place in the southern Chinese city of Zhuhai this week.

@highlight

Show provides rare glimpse of China's home-grown military and commercial aviation hardware.

@highlight

China is developing its own passenger jet and stealth fighters

@highlight

China needs to grow export market if it wants to afford its massive military machine