(CNN) -- First it was the airlines, now it's the turn of hotels to take the budget concept into the mainstream. Demand is surging for cheaper hotel rooms, not just from thrifty tourists but also from business travelers in search of value. And budget brands are responding to the demand with ambitious expansion plans.

Not just for backpackers: easyGroup opened its first budget hotel in 2005 targeting short-stay tourists. Other brands are improving the 
service to woo business travelers.

According to recent research from market analyst Mintel, the UK budget hotel market increased by 38 percent between 2002 and 2006, to reach £1 billion.

This growth was three times that of the overall UK hotel market. And while top-end establishments prepare for a decline as consumer spending falls, budget hotels are determined they are recession resilient.

Research from Melvin Gold Consulting for Travelodge last year predicted the budget sector will grow by a further 10 percent in the next five years. By 2027 it will account for over a quarter of the total supply of hotels in the UK with almost 850,000 rooms.

In the U.S., budget hotels already account for 33 percent of the supply and 24 percent in France, says the report.

Premier Inn, the 500-strong UK budget chain (that added 2,500 rooms to its portfolio last year and plans to add another 3,500 this year) is now taking the budget model further afield. In March the chain, owned by Whitbread, will unveil a hotel in Dubai and it is currently scouring India for sites.

The boom in budget hotels has been greatest in China. Here both businessmen and tourists, foreign and domestic, are relishing the arrival of rooms that cost less than $50 a night.

There are nearly 100 economic hotel chain brands in China, over 1,000 budget hotels with over 100,000 rooms. Brands are both local and from overseas including Accor's Ibis and Wyndham Hotel Group's Super 8. More budget rooms are likely to emerge this year in the build-up to the Olympic Games in Beijing in August.

Home Inns, the largest budget hotel chain in mainland China, has built 400 hotels in just five years. They plan to grow this to more than 1,000 hotels in three to four years in cities across China as well as further afield in Asia.

In Europe, Richard Cope, senior travel analyst at Mintel said the arrival of boutique and lifestyle brands such as The Big Sleep, the Hoxton Hotel and base2stay raised the game of the sector by providing an affordable but luxurious alternative. New capsule hotels such as Yotel and nitenite also helped boost the market, he added.

The increased interest from business travelers in value from hotels has been a further boost. According to a recent study by TRI/BDRC business travelers spent 1.5 million nights in budget hotels in the UK in 2006, up from 0.93 million in 2000 and only 0.38 million in 1994.

In the U.S., 74 percent of travel managers that responded to a Runzheimer International survey last year said their business travelers now frequently use economy-type hotels. And although first-class properties continue to be used most often, economy-type hotel use is up 31 percent from the previous four years.

Electronics firm, Royal Philips Electronics spends about $134 million globally on hotels every year. Currently three per cent of this is with budget chains, including Accor's Ibis and Holiday Inn Express. This may sound small, says Roman Asboth, Philips' senior sourcing specialist for hotels, but it adds up to an impressive $3.7 million every year. And that figure is rising, he adds.

Travelers choosing the budget option, says Asboth, are not just from lower down the organizational ranks. Managers and even executives conscious of cost are also making the switch.

As Asboth says, it all comes down to a perception of value. "Travelers come back from a trip to New York having paid more than $300 for a lousy room that hasn't been renovated in ages and they don't see the worth. But they come back from a Holiday Inn Express, which is brand new, and they are more than happy."

Phillips is also making increased use of serviced guest apartments -- particularly in countries such as India -- that offer the same level of quality as a four or five star property for a budget price.

Sally Rademaker, travel sourcing manager, sub-Saharan Africa at Ericsson says while budget may not be an option in Africa, where they pay a premium for security at top end hotels, the communications firm is considering budget options in Europe and the United States where quality is better.

"Of course business travelers would prefer to stay in a five or four star hotel given the choice," she acknowledges. "But if the reasons given are good enough, and we choose somewhere where the standard is acceptable and it is in a good location, then they accept it."

Gerard Tempest, marketing director at Premier Inn believes budget hotels offer a genuine alternative to mid-market hotels with the same convenience and quality but at better value.

"Every guest bedroom gets refurbished every 24 months which is extremely frequent compared to the wider hotel industry," says Tempest.

Premier Inn is also refurbishing rooms to a higher quality than some mid-market chains, he says. Following the acquisition of a chain of mid-market hotels last year, they invested a further $10 million to meet their "budget" standards.

All desks and chairs in rooms are ergonomically designed, desks are cleared of clutter and Wifi is available in every hotel. Some Premier Inns also feature meeting space for business travelers as well as branches of Costa Coffee also owned by parent company Whitbread. "Business customers are responding well to these and using them as meeting places," says Tempest.

So with recession looming could this be the end of Egyptian sheets and luxury saunas for business travelers? Perhaps not, but in cities where rates continue to increase even for poorest quality rooms, the budget option may not be as bad as all that. E-mail to a friend

@highlight

Growth of budget hotels has been three times that of overall hotel market

@highlight

Demand is strong among tourists and business travelers in Europe U.S. and China

@highlight

Boutique budget brands have helped raise the profile of the economical option