(CNN) -- It happens every so often: A military sexual assault scandal hits the headlines. Most recently, an Air Force general decided to pardon an officer convicted of rape. Then came revelations that not one but two of the service members that the military assigned to prevent sex abuse are under investigation for perpetrating it.

And in light of a new Pentagon report estimating the number of military sexual assaults at 26,000 a year -- about half of them against men -- this time around, even many in the military community agree there is a problem that won't go away and can't be ignored.

Congress is reacting, as it often does to headlines, by proposing reforms. But the current crop of ideas misses the mark.

Sergeant trained to protect victims faces sexual assault allegations

The bills primarily propose changes to a commander's authority to start or control cases in the military criminal justice system. But courts martial, with their due process and proof beyond a reasonable doubt, will always be too rare to make a difference.

What changed the face of civilian employment was a civil legal approach -- sexual harassment law -- that made it cost money when employees are assaulted. This approach shouldn't be sidelined in addressing the military sexual assault problem.

The civil legal system reaches people who probably won't see a criminal prosecution.

It reaches people such as Joseph Oncale, who was sexually assaulted by several co-workers on an offshore oil rig in the Gulf of Mexico. It reaches people such as Mechelle Vinson, who was 19 when she started work at a bank and the manager demanded that she sleep with him.

The civil legal solution gives voice to workers who are not that different from the military members who face a command gone wrong: People working long hours, with few options, sometimes living at work, sometimes immigrants with nowhere else to go.

The civil system balances workers' needs against legitimate business concerns -- to give managers authority -- by making the employer pay if managers abuse that authority. The employer has an economic incentive to make sure that doesn't happen.

After officer charged in sex assault, military faces questions

This law changed what people thought was right.

A friend told me that in the 1960s, a teacher told her she needed to sleep with him to pass. She said: "We just called that life." Now, in the civilian world, it's called sexual harassment, and it's illegal.

The military hasn't had the benefit of that change. Civilian judges (not Congress, and not the military) made up special military immunities, loosely called the Feres doctrine, to block it. It's time to overrule them.

The civil legal approach can nip problems in the bud. It can stop a predator who is testing the waters or change a command environment that has lost sight of the need to treat all of its personnel professionally.

If service members had the same rights as other employees to bring civil lawsuits, victims would have direct power to challenge abuses of authority. They would not have to wait for government officials to take up their case, and they might not have to wait until something as horrific as a criminal rape happened to them.

Military rape victims: Stop blaming us

But doesn't sexual harassment mean policing petty slights and awkward jokes? That's a myth.

Even in the civilian workplace, to win you have to show behavior that is severe or pervasive to the objective observer -- something so serious or so frequent that it significantly alters working conditions.

The military is not the civilian workplace, and its unique needs have to be considered carefully in any reform, whether criminal or civil. Civil actions are, after all, potentially less disruptive than outside prosecutors and anonymous tips.

What happens next should come from a partnership between the uniformed services and civilian experts. But it should look more broadly at solutions that go beyond the latest scandal.

Of course, some people think it would be unfair to make the military change. Boys will be boys, the thinking goes.

When I joined the military, many of my contemporaries cringed, fearing the worst, but they were wrong: The men I served with met the highest standards of professionalism. To expect anything less is to undersell our men, and women, in uniform.

The opinions expressed in this commentary are solely those of Maia Goodell.

@highlight

Recently, two military sexual assault scandals hit the headlines

@highlight

Maia Goodell: Congress should look beyond the military criminal justice system

@highlight

She says the military should use civil legal solution on sexual assault cases

@highlight

Goodell: If service members can file civil lawsuits, victims can directly challenge abuser