(CNN) -- Pro-military hawks must be pleased with President Obama's speech on Wednesday night about attacking ISIS. We're sure to hear many of them -- the same voices that have been hounding the President to take military action in the first place -- call for more extensive strikes and even American troops on the ground.

What we won't hear enough of are the voices of the opposition -- those who argue that military action will not get rid of ISIS but make the situation worse in Iraq and Syria. There are strong reasons why many analysts think fighting ISIS is the wrong course of action, and that there are more effective alternatives. For one thing, the United States can pursue diplomatic and political solutions instead.

Military action against ISIS is a bad idea because:

1. U.S. intervention is what destabilized Iraq in the first place -- and more bombing will likely make Iraq less stable.

Our invasion of Iraq and the installation of Nuri al-Malaki as prime minister reignited deep sectarian tensions and created a power vacuum into which ISIS stepped. You can't save a country by destroying it. A bombing campaign that is perceived as taking the side of Shia Muslims while undoubtedly decimating communities and killing civilians will only worsen Iraq's instability.

2. Airstrikes won't destroy radical ideology, they'll make it worse.

Most would-be terrorists don't wake up one morning and suddenly decide to hate America. Often, there's a reason. In 2006, the classified National Intelligence Estimate found that the 2003 U.S. invasion and occupation of Iraq helped create a new generation of terrorists and increased the overall terrorism threat against America. More American military action in the Middle East will just inflame more anti-American terrorists -- which perversely only strengthens the ideology that fuels ISIS and other terrorist groups.

3. There is no direct threat to the United States.

When we see Yazidi refugees being slaughtered and American journalists being beheaded, of course our humanity calls for action. But those beating the drums of war have made assertions that ISIS poses a direct threat to American soil. This is simply not true. Even while playing up potential future threats to the homeland to justify military actions -- thus essentially embracing President George W. Bush's pre-emption doctrine -- the Obama administration reports ISIS currently poses no threat to the United States.

If bombing isn't the solution, what is?

The solution to destroying ISIS -- and mitigating Iraq's problems in general -- isn't military but political. Here are some key steps, according to analysts like Phyllis Bennis and advocates like Win Without War:

1. Cut access to guns and money.

It should be noted that ISIS has access to weapons because U.S. and Saudi weapons have been flooding the region for over a decade. The United States can take steps to shut down the weapons supply routes that ISIS is relying on. This is the opposite of what Obama has outlined as a strategy in Syria and Iraq. The U.S. also needs to re-evaluate its broader arms policy.

In addition, part of ISIS' strength is due to its robust financial resources, a significant part of which relies on black market sales of oil now under ISIS control. The U.S. and allies can take clear steps, some of which Obama has proposed, to block the processing and sale of this oil.

2. Fix Iraq's political rifts.

While ISIS allegedly has 20,000 fighters, there are 25 million Sunnis across the Middle East, and as long as they remain disillusioned with Iraqi and Syrian political leaders, they're a potential recruiting ground for ISIS to expand. This political crisis needs a political solution. Encouraging al-Maliki to step down and supporting a new, more inclusive Iraqi government is an important first step. The United States, along with allies, must help heal the sectarian rifts. And yes, that means serious engagement with Iran -- a traditional U.S. enemy which nonetheless shares our goal in stabilizing Iraq and has far more diplomatic influence in the region than we do.

3. Provide humanitarian assistance.

While airstrikes won't help the Syrian and Iraqi people, humanitarian assistance will. Millions have been displaced and have become refugees. It would be nice if American politicians cheering on expensive and deadly bombing campaigns would be at least as enthusiastic, if not more so, about spending money on food and water and shelter for those in desperate need. The Obama administration recently announced an additional $48 million in such aid -- but that number is nothing compared with how much will be wasted in airstrikes.

4. Lead a truly international response.

We don't need a coalition of the willing or a coalition of the killing. We need a coalition of nations that will help put Iraq on firm political and cultural footing and restart real negotiations in Syria involving all parties in the crisis there. The United States should work through the United Nations and seek diplomatic solutions through a broad coalition of nations.

Obama's critics want him to act tough in the face of ISIS. But if acting tough by bombing ISIS doesn't solve the problem -- and makes the threat worse -- then acting tough is stupid. Diplomacy may not have the same sexy veneer as aggressive military action, but if diplomacy could actually help the Syrian and Iraqi people and make the world safer, isn't that what counts?

@highlight

Sally Kohn: Pro-military hawks are pleased that President Obama plans to attack ISIS

@highlight

Kohn: Military action will not get rid of ISIS but make the situation worse in Iraq, Syria

@highlight

She offers three reasons why striking ISIS is a bad idea, and four strong diplomatic solutions

@highlight

She says bombing ISIS will worsen instability in Iraq and fuel radical ideology more