(CNN)The vast majority of airport employees with direct access to the tarmac and airplanes do not go through any daily security screening, and only two of the country's major airports have systems in place that require all employees with secure access to pass through metal detectors, a CNN investigation has found.

CNN was given exclusive access to one of those, Miami International Airport, and on a recent afternoon, employees lined up at a checkpoint where they passed through a metal detector as they reported to work.

They gathered their belongings, swiped their badges and opened a door that leads down to the airport's secure ramp area.

"One of the greatest vulnerabilities for this airport and probably any other major airport like MIA is the insider threat," Lauren Stover, the airport's security director told CNN.

Miami has four checkpoints for employee screening, five vehicle access gates manned by airport workers, random background checks of employees and a mandatory security awareness class for all employees among a myriad of other security measures.

The only other major airport that conducts full employee screenings is Orlando, Florida, according to interviews with aviation officials.

There is no federal requirement that the baggage handlers, mechanics, cleaning crews and other employees with access to the airfield and other secure areas get screened as passengers do. They are typically subject to a criminal background check and might get randomly screened while at work. By contrast, those who work at the gates, such as restaurant employees, pass through TSA security checkpoints.

It's an issue that will be discussed on Tuesday at a hearing of a House Homeland Security subcommittee and follows a high-profile case in Atlanta.

Federal agents broke up a gun smuggling operation at Hartsfield-Jackson International Airport in December, arresting a Delta baggage handler and passenger. The baggage handler brought the guns to work, entered the gate area and passed the weapons onto a passenger who had already gone through security. The passenger transported guns on about 20 Delta flights from Atlanta to New York last year, according to the arrest affidavit.

Atlanta, unlike Miami and Orlando, does not use metal detectors to screen workers with access to secure areas. A spokesperson told CNN, "We have expanded random inspections and increased our police presence."

In addition, the general manager of Atlanta's airport is expected to announce security changes at the upcoming hearing, according to a source familiar with his testimony.

Delta declined to discuss specifics, but a spokesman said "safety and security are always Delta's top priority."

CNN contacted 20 major airports across the U.S. to ask about security protocols for the so-called "back of the airport" employees.

A spokesperson for Seattle Tacoma International Airport said employees with access to restricted areas do not have to pass through metal detectors but do carry badges verified by biometric scanners.

Representatives of other airports, such as Los Angeles International Airport, Minneapolis-Saint Paul International Airport and McCarran International Airport in Las Vegas, said some employees with restricted access pass through metal detectors while others do not.

"Not all employees are required to go through metal detectors," Sgt. Karla Ortiz with the Los Angeles Airport Police told CNN. "There are several layers of security that are in place and part of that is training everyone that we are all responsible in ensuring the safety of our airports."

Representatives from eight airports deferred CNN's questions on metal-detector screenings for employees to the Transportation Security Administration, which did not provide further information on the topic.  Logan International Airport in Boston, Philadelphia International Airport and George Bush Intercontinental Airport in Houston did not respond to CNN's repeated requests for comment.

Even Miami's strict security protocol could be vulnerable, according to Stover.

"It's not 100 percent foolproof, and we know that people are going to exploit the vulnerabilities that they can find," she said. "We're not just looking for terrorist activity. We have a range of threats."

Last year, the airport confiscated 209 employee ID badges for security violations. The airport has nearly 34,000 employees with ID badges, and 33,150 who have access to restricted areas.

Airport police, emergency responders and federal law enforcement are the only ones who do not go through the checkpoints, Stover said.  Miami began screening all employees through checkpoints after a 1999 drug smuggling plot in which dozens of ramp and food workers were arrested. A 2007 firearm and drug smuggling case in Orlando's airport led to full employee screening as well.

In response to the investigation of the smuggling that brought firearms from Atlanta to New York, Sen. Charles Schumer, D-New York, called on the TSA to require all airline and airport employees to undergo physical screening every time they enter secure areas of airports.

Schumer referred to the lack of physical screening as a "gaping loophole in airport security" in a letter addressed to TSA Acting Administrator Melvin Carraway.

"When guns, drugs, and even explosives are as easy to carry on board a plane as a neck pillow, then we have to seriously -- and immediately -- overhaul our airport security practices," Schumer said in January.

In a statement, the TSA said it was "taking these recent incidents very seriously and has taken immediate steps to enhance site security at Hartsfield-Jackson Atlanta International Airport and other major U.S. airports.

"TSA is implementing or considering a range of measures, including additional requirements for employee screening; conducting additional, randomized security countermeasures at employee access points; and introducing additional security patrols by TSA teams of law enforcement and screening professionals to specifically address these concerns.

"Additionally, TSA has created a working group with representation from airport security partners to further develop plans for improving security."

The TSA identified workers with access to secure areas of airports as one of the greatest potential threats to aviation, according to a 2009 report by the Government Accountability Office.

The report said costs for full screening of airport and airline employees could range from $5.7 billion to $14.9 billion for the first year of implementation. The entire TSA budget for 2015 is $7.3 billion.

Wayne Black, a Miami-based security expert told CNN, "We have a saying in our business: Budget driven security will always fail.

"You don't have to be a security expert -- a fifth-grader can tell you if you are checking at the top end, at the front end of the airport, you've got to be checking the back end of the airport," he said.

Watch Anderson Cooper 360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Most airport workers not subject to daily security screenings, a CNN investigation finds

@highlight

Only two major U.S. airports regularly screen all employees

@highlight

This issue will be discussed at a House Homeland Security subcommittee hearing