Istanbul (CNN) -- Turkish protesters are giving their government the silent treatment.

Hundreds of men and women stood silently Tuesday in Istanbul's Taksim Square emulating the performance artist whose quiet protest Monday night quickly gained him the nickname "Standing Man."

For more than five hours, Erdem Gunduz had stared toward a portrait of Kemal Ataturk, the founder of the modern Turkish state, whose likeness adorns the side of the Ataturk Cultural Center in the square.

Police eventually moved in to arrest many of those who had joined him, but it was unclear Tuesday whether Gunduz was in custody.

His quiet defiance came after police broke up weekend anti-government protests with tear gas and water cannon.

Turkey has been wracked by more than two weeks of protests against the government of Prime Minister Recep Tayyip Erdogan. But many of those who joined Gunduz said they were standing only for peace, not taking sides.

"I'm standing against all violence," said Koray Konuk, one of those arrested. "I'm standing there so that the events that we've been witnessing and the events taking place over the last two to three weeks can come to a standstill."

Woman labeled 'icon' of Turkey protests: It's not about me

Konuk, 45, told CNN that police put him on a bus with up to 20 other people who had joined Gunduz, but that Gunduz was not among them.

"I was just standing. They arrested a man who was just standing," he said. "That is absurd."

People, alone or in pairs, continued to arrive and stand silently at the square throughout the day Tuesday. Some held hands in a quiet show of solidarity, and a few supporters even took to putting sunscreen on the faces of some protesters.

But police once again arrived in large numbers and took the placid protesters away in vans.

The hushed tableau came two days after police swept into Taksim Square and neighboring Gezi Park to clear out anti-Erdogan protesters.

The demonstrators tried to return to the park Sunday, only to be driven back by police.

Tear gas abates, music fills Turkey's Gezi Park

Root of protests

The unrest began in Istanbul in late May, when a small group of people turned out to protest government plans to bulldoze Gezi Park, the city's last green space, and replace it with a shopping mall housed inside a replica of 19th century Ottoman barracks.

Protesters said the plans represented a creeping infringement on their rights in a secular society.

Turkey was founded after secularists defeated Islamic Ottoman forces in the early 20th century, and many modern-day secularists frown on Ottoman symbols.

Soon after the demonstrations began, security forces cracked down on the protesters. Instead of ending the activity, however, the crackdown prompted more people to come out, many calling for political reforms.

The unrest also brought political risks for Erdogan, a populist and democratically elected politician serving his third term in office.

Speaking Tuesday to a parliamentary group meeting of his Justice and Development (AK) Party, Erdogan said he had no intention of restricting anyone's democratic rights. "If you want to make a protest do it, do it, but do it within the framework of law," he said.

He accused the international media of misrepresenting events in Turkey.

"Vandalism (footage) was twisted and displayed as if it was a innocent environmental protest," he said. "International media reported on this in a manner to deceive those who are not acting with them to their side."

He said security forces were being patient, refraining from using guns even when two police officers were wounded by gunfire. "When their warnings are not heeded, they use tear gas," he said.

The police will not turn a blind eye to illegal actions, he said, in an apparent reference to the ongoing protests.

Erdogan reiterated that the government will abandon its plans to build in Gezi Park if the people of Istanbul vote against them.

Erdogan plans to muster a show of support this weekend in the Turkish heartland, where he has a strong base.

The prime minister told parliament that rallies will be held on behalf of the Justice and Development Party in Kayseri on Friday, in Samsun on Saturday and in Erzurum on Sunday.

Is Istanbul safe for tourists?

U.N. concerns

U.N. High Commissioner for Human Rights Navi Pillay on Tuesday expressed concern about the tactics used by security forces against demonstrators.

"I am particularly concerned about allegations of excessive use of force by police against peaceful groups of protesters as this may have resulted in serious damage to health," she said in a statement issued from Geneva.

"Reports that tear gas canisters and pepper spray were fired at people from close range, or into closed spaces, and the alleged misuse of rubber bullets, need to be promptly, effectively, credibly and transparently investigated," Pillay said, noting that "the atmosphere is still clearly highly combustible."

And Human Rights Watch said Monday that the Turkish government's response to weekend protests was excessive. "The police assault on a peaceful crowd in Gezi Park and tear gas use in confined spaces showed a dangerous disregard for the well-being -- and indeed the lives -- of protesters and bystanders," said Emma Sinclair-Webb, senior Turkey researcher for the rights group.

"The repeated police violence against people who are dissatisfied with government policies has deeply polarized Turkey. The government urgently needs to change police tactics and issue a clear signal for restraint."

But Erdogan defended the police approach.

"The police forces have passed the democracy test," he said Tuesday, according to the semiofficial Anadolu Agency news service.

He described the use of tear gas on protesters as an "incontestable right of police" and the demonstrations as "an unprincipled, immoderate movement that is based on lies and deception," Anadolu reported.

Trade unions had tried on Monday to put fresh pressure on Erdogan by mounting a nationwide strike. But a crowd that marched on Taksim Square dispersed when faced with riot squads backed by water cannon.

Letters from Turkey, with pride

'There is a level of desperation'

While the protests are unlikely to threaten the rule of Erdogan, who is credited with overseeing a decade of economic growth, they are raising questions about what critics say is an increasingly authoritarian style of governing.

iReport: Wedding in the midst of teargas

Some demonstrators have shifted to protesting in their local neighborhoods in the city, putting up barricades. Meanwhile, the atmosphere in confrontations between police and protesters is turning uglier.

"Now it feels like there is a level of desperation," said Clare Murray, who was vacationing in Istanbul from New York for the past week. "The police seem more comfortable with using aggression."

Since Saturday night, 116 people have been detained during protests in Ankara and 242 people have been detained in Istanbul demonstrations, said Huseyin Aslan, general secretary of the Progressive Lawyers Association.

Erdogan has accused outsiders of taking advantage of the protests over the park. On Sunday, thousands of his supporters gathered at a rally a few miles from Taksim Square, waving flags and singing songs at a rally that was widely viewed as a re-election rally for the prime minister.

Journalist Karl Penhaul and CNN's Gul Tuysuz reported from Istanbul, and journalist Ian Lee reported from Ankara. CNN's Salma Abdelaziz, Arwa Damon and Joe Duran in Istanbul, Antonia Mortensen in Ankara and Tom Watkins in Atlanta contributed to this report.

@highlight

NEW: Police arrest a number of silent protesters

@highlight

Hundreds of protesters emulate 'Standing Man' in Istanbul

@highlight

The U.N. human rights commissioner expresses concern about police tactics

@highlight

Prime Minister Erdogan announces rallies this weekend in three big cities