(CNN) -- The campaign to become president of the United States is drawn-out and contentious, with key battles and strategies that can turn the outcome.

In other words, sort of like playing a game.

In both worlds there are good guys and bad guys, actions and reactions, and a prize at the end for the winners. Like a multiplayer game, a political campaign requires many people acting together to achieve an ultimate goal. Like a role-playing video game, it poses a series challenges that need to be completed before moving on to the next.

A new computer game tests this theory by letting players become campaign managers for a presidential candidate in the 2012 race. "The Political Machine 2012" tries to gamify the electoral process by assigning scores to candidates' stances on such issues as gay rights, the national debt and the war in Afghanistan, then lets players sway voters through speeches, endorsements and advertising.

The downloadable PC game lets players face off against a computer-controlled opponent or a human challenger over the Internet. Players can opt to manage Republican presidential nominee Mitt Romney in his quest to topple President Barack Obama, or run Obama's re-election campaign.

For those who want a greater challenge, the game also lets players run the campaigns of other candidates, such as Ron Paul or Michele Bachmann, or even a fictitious candidate (you!).

Chris Bray, the game's senior producer and lead designer, said developers tried to fill the game with timely hot-button issues and topics that would appeal equally to Democrats and Republicans.

"We wanted them a bit more tailored to what was actually in the current news cycle," Bray told CNN. "That's why, even after the game shipped, we updated with new issues or tweaks. The issues that make for the best gameplay are where they are truly split issues, like the Chick-Fil-A controversy (over the fast-food chain's opposition to gay marriage)."

Developers didn't consult political advisers but relied on news reports and their own research into the strengths and weaknesses of the various candidates.

They also researched previous elections to understand how voters reacted to issues and candidates. Over time, they were able to develop maps and grids, much like board games, to overlay candidates' political powers and their positions on issues.

"The main thing we wanted to know for the game purposes was the starting scenario of the game," Bray said. "What is a solid Republican state? What is a solid Democratic state? And what's really up for grabs?"

The gameplay offers players many options on how to sway voters in key swing states, such as Ohio. Speeches by your candidate on local topics may win you hearts and minds in that state, but how will they play on the national stage? Do you sink your advertising dollars into a positive campaign or get dirty with your ads?

Different strategies play out depending on your candidate's strengths and weaknesses, which states you think you can win and which you are willing to concede.

For example, if you play as a Republican candidate, you can sink a bunch of resources (upgrade your campaign headquarters, pump money into the ads, etc.) into taking a huge, traditionally Democratic state such as Illinois. But then you've blown your entire campaign taking one state, sacrificing other states you might have won instead.

The key, Bray said, is managing the game and realizing you don't need to win everything to be victorious, much like in real campaigns.

"As you play the game and learn the strategies, it's kind of clicking in your head that this is exactly how it works in real life," he said. "No one really cares about this Republican state with two electoral votes. It's going to go Republican. It's not worth that much effort anyway, so you find yourself throughout the game making those calls."

Bray hopes players of the game will gain a better understanding of the nuances of the electoral process -- why voters are hearing certain messages from the candidates over and over, for example, and why candidates are only visiting certain states.

"The Political Machine 2012" is designed to be balanced, making it equally challenging for candidates of both major parties. But fringe candidates will have an uphill battle.

"Someone like Michele Bachmann, if you have her as your candidate, it is going to be more difficult versus Obama or Clinton or whoever else," Bray said. "If you play as (Ohio congressman Dennis) Kucinich, you've got a bit of a harder road. It is accurate to real life as to their chances to win."

Bray said it was striking to his team how the real-life political process lends itself to gaming and how the elements of campaigns (strategy, moving pieces, resource management) is in line with most games.

Like real life, the game also forces candidates to sometimes decide between standing up for what they believe in and what might get them more votes.

"It's interesting to see as you are playing the game how quickly that just turns into 'What are the mechanics of what I need to do to win,'" he said. "In the game, you often find yourself very quickly going with what's politically popular, which I think speaks to the state of politicians' thinking in general."

@highlight

"The Political Machine 2012" helps you "game" the electoral process

@highlight

The PC game lets players face a computer-controlled opponent or a human challenger

@highlight

Players can run campaigns of President Obama or GOP nominee Mitt Romney