Las Vegas, Nevada (CNN) -- To most people these days, an "app" is something you download on your smartphone to help you do a specific task -- say, find a good nearby restaurant.

But big tech companies, seeing how applications have boosted the appeal of gadgets such as Apple's iPhone, are starting to view apps as low-cost enhancements for a broader range of products, from netbooks to TVs and beyond.

At the International Consumer Electronics Show here this week, microchip maker Intel launched an app store geared towards netbook computers. Not to be outdone, Samsung announced it will open its own app store for HDTVs, Blu-ray players and mobile phones.

Even unlikely players such as Ford Motor Co. are getting in on the app act. Ford announced Thursday that several applications, including one that will read aloud Twitter tweets while you're driving, will be available on many of its vehicles later this year.

What's driving this sudden app movement?

"Mobile computer chips have gotten so powerful and affordable, and it's so easy to get on the Internet, that it doesn't make much sense to ship a gadget with dedicated, stagnant functionality," said Brian X. Chen, who covers technology for Wired.com.

"Add an Internet connection and a software platform open for third-party programmers to develop for -- i.e., open an app store -- and you can enhance the capabilities of a gadget, thus future-proofing it, at no cost."

Sales of the apps, which typically cost a few dollars apiece, also create a new source of revenue for the device's manufacturer, Chen said. And consumers win, too: They get more value out of their product without having to keep buying new hardware.

Software applications have been around for decades, but it took the recent success of the iPhone and Apple's App Store -- with their can-do slogan, "there's an app for that" -- to make apps sexy on the consumer level.

Developers have created more than 100,000 apps for the store -- at no cost to Apple, which takes a cut of revenues. Less than 18 months after the store launched in 2008, owners of the iPhone and iPod Touch have downloaded more than 3 billion applications.

Rival smartphone makers such as Palm and Research in Motion soon followed with app stores of their own. It's now standard for Web properties such as Facebook, Google and eBay to have mobile apps that let users share updates or make purchases on the go.

The number of people who use Internet-enabled mobile devices is expected to pass 1 billion by 2013, according to industry analysts, meaning that demand for apps will only grow. And as more people grow accustomed to using apps to quickly check the weather or send a tweet on Twitter, more manufacturers will develop apps-ready products, experts say.

On Thursday Intel launched a beta version of its app store, called the Intel AppUp center, for netbooks, the smaller, simpler cousins of laptops. About 100 apps, in such categories as entertainment, games, health, social networking, are now available for download at www.intelappup.com.

The beta store will host apps for both Microsoft Windows and the open-source Moblin operating system, which target the popular netbook computer category powered by Intel's Atom processor.

"Apps have been defined in people's minds as these little things that run on the iPhone. Our focus is on getting lots of smart people to think of the netbook as a device they can target [for developing apps]," said Peter Biddle, who run's Intel's Atom software program.

Eventually, Intel and its partners expect to expand the store to include applications for smartphones, TVs and even consumer electronic appliances.

Meanwhile, Samsung is betting that as television merges with the Internet, more channel-surfers will enjoy being able to order a movie from Netflix or scroll through photos on Picasa without having to leave their couch.

Samsung is calling Samsung Apps "the world's first HDTV-based application store," although it's not expected to launch until later this year. Samsung has opened the store to third-party developers and hopes to have more than 150 apps available for download by the end of 2010. Many content partners have already signed up.

"There's going to be an application for everything," said Samsung product training manager Jermain Anderson, who envisions guys sitting around a living room, playing Texas hold 'em poker on a big-screen TV while holding their virtual cards on their smartphones.

Suddenly, a TV becomes more than a TV -- it's also a computer screen and a gaming console.

"The idea is to make everyone's life more convenient without them having to go to more than one place to do it," Anderson said. "Down the road, the app store will bring a lot of different Samsung products together."

Soon, apps will even be coming to the highway. Ford has signed agreements with three partners: the Pandora music service, Stitcher Internet radio and OpenBeak, which helps users send and receive messages via Twitter. Drivers will not be able to read the tweets on the dashboard -- instead, a computer voice will say them aloud.

The three apps would live on users' smartphones but would be controlled in the vehicle through Ford's SYNC system, which allows motorists to operate mobile devices through voice commands or steering-wheel controls. The apps will be available later this year for any Ford vehicle with a SYNC system.

"When we saw the apps craze ... [we realized] there's a consumer demand there," said Alan Hall, a technology communications manager at Ford. Hall was quick to say that Ford would not approve apps -- such as video games -- that might distract the driver.

"Apps are becoming the norm for how people quickly and easily access the information they want," Hall added. "People are used to getting information on demand. They have a digital life outside the car -- they should have a digital life inside the car."

@highlight

Companies are opening app stores and bringing applications to TVs, netbooks and even cars

@highlight

Intel launched an app store for netbooks at the Consumer Electronics Show this week

@highlight

Samsung will launch an app store later this year for HDTVs and Blu-ray players

@highlight

Ford Motor Co. will make select apps available for new vehicles later in 2010