(CNN) -- The plan by President Obama to provide legal status to millions of undocumented adults living in the U.S. presents Congressional Republicans with a political quandary of the highest magnitude.

Yet the President's decision to act unilaterally actually may provide Republicans with an opportunity to change the dynamic on immigration in a way that yields political benefit, not peril.

While the contours of the President's plan won't be known until Thursday evening, timely leaks indicate that two major new policies will be announced. First, the U.S. Department of Homeland Security will change its policies for detaining and deporting undocumented individuals so that parents of children with legal status in the U.S. cannot be deported absent committing additional crimes, and will expand the population eligible for the Deferred Action for Childhood Arrivals program which also allows individuals to remain in the U.S. Second, these people will be allowed to apply for work permits to continue or obtain legal employment in the U.S.

The media coverage of these policies has conflated the two policies but they involve very different executive branch authorities and political sensitivities.

Choosing not to initiate law enforcement action against certain groups of people is a decision that falls squarely within the executive branch's prosecutorial discretion.

It is probably true that no prior administration would have ever dared to ignore the law to this magnitude and after Congress failed to enact legislation to legalize this large a population.

Nonetheless, this decision is not only likely to be upheld in court if challenged, it is also very hard to overturn by legislation because the very nature of immigration enforcement means choices must be made on what types of cases to pursue.

Providing work permits, however, is an affirmative benefit that falls on much shakier legal and political grounds, especially with economic concerns still front and center with American voters.

Immigration-reform legislation has been stalled for a decade because neither those most concerned about legalization of the undocumented nor those most concerned about interior enforcement have had enough votes in Congress to pass a one-sided bill and neither side was willing to accept a compromise that included both. Major attempts to tie all of these threads together in a massive bill fell short of final passage in 2006, 2007 and 2013.

A major enforcement-only bill passed the House in 2005 but died in the Senate. Without resolution of the legalization and interior enforcement issues, other aspects of immigration reform where there is much more consensus -- such as broader low-skilled guest worker programs, efforts to encourage high-skilled immigration, tourism expansion measures, and mandatory employment verification -- have been held hostage to those more divisive questions.

Meanwhile the politics on immigration has hurt Republican efforts to claim the White House in 2008 and 2012. Surely the issue looms as an even larger albatross for the party in 2016.

The President's decision to detach the legalization issue is the political lifeline Republicans need. Republicans could include a rider in a must-pass appropriations bill that denies funding to provide work permits to the undocumented and forbids implementation of any initiative that diverts funding away from processing of legal immigration applications from those who have played by the rules.

Such a rider would not block changes to deportation policy nor the ability of the White House to set up a fee-based program to allow the undocumented to obtain temporary legal status short of citizenship.

The bill should also incorporate the additional border security spending included in the 2013 Senate bill which supporters claimed was necessary at the time to block new waves of undocumented migration.

Congressional Democrats would be hard-pressed to block this type of bill, and the President would be faced with a very difficult veto decision when the bill arrived at his desk.

Even if Republicans eventually were forced to drop the work permit rider to keep the government operating, at least the debate would have been shifted to their advantage by focusing on the economy and employment instead of an abstract argument about where to prioritize deportations.

Separately, when the new Congress arrives in January, the House should take up pieces of legislation that would implement the other facets of immigration reform that are necessary to build an enforceable system for the future.

Last year, the House developed an important set of bills to improve border security, implement an agricultural guest worker program, mandate employee verification, and expand high-skilled immigration programs. So long as none of these bills provides legal support for the President's legalization program, House Republicans could pass the rest of immigration reform that would help American businesses and deter future flows of undocumented labor.

Incoming Senate Majority Leader Mitch McConnell, R-Kentucky, has indicated a desire to move these types of measures individually, and it seems unlikely that Senate Democrats have enough leverage to block these popular measures if they do not overturn the legalization done by fiat. And it seems unlikely that the President could insist on an even broader legalization as the price for signing these types of bills.

If successful, Republicans could claim credit for building a 21st century immigration system, avoid the political pitfalls of advocating mass deportations, and escape the immigration dilemma without having to offer citizenship to those legalized by the President. Isn't this a better political outcome than an unsuccessful showdown over the President's deportation priorities?

Obviously the politics of immigration remain a high wire act that is continually shifting. A terrorist incident, a cross border disease outbreak, economic downturns, or problems with vetting and enrollment of the undocumented, could turn the politics of immigration to the Republicans' advantage. But the alternative scenario is perhaps more likely: once millions of undocumented individuals have passed a background check, how much support will exist to deport them?

As has often been said, most Americans support immigration enforcement in general, just not against the specific undocumented individuals they actually know who have families in their neighborhoods, or work at local factories, childcare centers, or hospitals.

Perhaps this view is why polling in 2014 shows a majority of Americans support a path to legal status for most undocumented aliens as opposed to a focus on deportation.

And it is only the very rare hardliner that wants to pay for a government large enough to deport 12 million people.

Republicans need to look beyond the politics of the moment and ask themselves, what is best long-term outcome for immigration policy?

Passing pro-business, pro-market, pro-enforcement measures and allowing the President to own the legalization piece is about the best outcome Republicans can expect.

The President's decision is a trail out of the immigration box canyon Republicans currently face -- will they be clever enough to take it?

Join us on Facebook.com/CNNOpinion.

@highlight

Stewart Verdery: GOP should resist temptation to just blast Obama's immigration move

@highlight

He says the President has discretion to change the way deportation decisions are made

@highlight

GOP should oppose Obama granting work permits but should pass smart reforms, he says

@highlight

Verdery: Blocking immigration reform of any kind will be an albatross for GOP in 2016