London (CNN)Said Osman found his life's calling after witnessing a tragic scene as a young boy that still haunts him decades later.

The pioneering Kenyan doctor was just nine years old when a girl was rushed across the border from southern Ethiopia to northern Kenya. A few years his senior, she was severely dehydrated and barely holding on.

"Everyone was trying to resuscitate her and my uncle, a local pharmacy technician, saw the horrified look on my face. I was just a terrified kid, so he took me home."

But Osman couldn't get the girl off his mind. He persuaded his uncle to let him return to the hospital a few weeks later to see the girl.

He was amazed to find she had nearly made a full recovery -- something that would inspire him to help others later in life.

"Another human being managed to bring her back to life and I should also be able to do the same if I try my best," he recalls thinking.

Though friends and family laughed off Osman's interest in medicine, his mother voiced her support.

"You know, these guys have never seen a black doctor before," she said at the time.

Looking back, Osman admits their reaction wasn't too surprising. He was, after all, living in a rural part of Kenya where nomads form most of the population.

But he refused to let that stand in the way of pursuing his dream -- a journey that has taken him far away from his ancestral home and, eventually, to the United States.

Medical milestone

Osman is currently based in Frederick, Maryland, near Washington D.C., and best known as a pioneer in endoscopic spine surgery.

Patients, who are usually required to spend days in hospital, can often walk out of his clinic just hours after surgery.

A fellow doctor from Hawaii became the world's first patient to undergo one of Osman's endoscopic spine surgeries in the mid 1990s. He had the first ever endoscopic thoracic decompression and fusion as an outpatient. A medical milestone, it was the culmination of several years of research.

He called Osman three days after his surgery declaring: "It's the first time in four years that I'm able to stand on one leg while putting on my pants."

But back surgery doesn't come without serious risks. Patients undergoing a currently popular minimally invasive surgery (direct lateral approach for lumbar spinal fusion) face a complication risk of up to 67%. Moreover, such procedures often result in some form of nerve damage.

Osman is able to dramatically reduce those numbers by drilling a hole through the pelvic bone. This allows him to access the injured lowest lumbar disc while avoiding damage to spinal muscles or entry into the spinal canal, where nerves can be injured. It also doesn't involve access through the abdomen.

The procedure is called trans-iliac approach to lumbosacral junction. Hundreds of surgeries later, Osman says he still hasn't come across any side effects in patients.

He does, however, explain that the method still isn't common in the U.S., or around the world. This hasn't stopped Osman from sharing his groundbreaking technique with others.

Now, more surgeons are embracing the approach as they become more familiar with it.

"It's my duty to tell the medical community to look at my technique if they truly have the patient's best interest at heart."

He recently released the first clinical result of the approach, while the original study was published in the "Journal of Spine" in 1997. He also introduced a technique called endoscopic foraminal decompression the same year. Doctors as far away as South Korea and China are now practicing the method.

Dr. Anthony Yeung is best known as the former President of the World Congress of Minimally Invasive Spine Surgery and Techniques (WCMISST). He says Osman's approach is growing rapidly in popularity among spine specialists around the world -- who are now using the procedure on a routine basis.

"These are highly specialized surgeons," explains Yeung, who currently heads up the International Intradiscal and Transforaminal Therapy Society.

From rural Kenyan boy to world-renowned surgeon

Osman was born and raised in Moyale, a place he describes as "a small, but cosmopolitan market town between Ethiopia and Kenya."

People from different ethnic and religious backgrounds lived together in harmony -- something he says was unusual for a region largely divided into tribal areas.

Each level of education Osman completed took him further and further away from his family.

"Nothing distracted me. I moved forward knowing everything was helping me reach my goal. I also began seeing black doctors the closer I got to Nairobi."

He trained at Kenyatta National Hospital, the country's largest healthcare treatment facility. It wasn't long before word of his success reached local communities in Moyale and those needing medical attention sought out his help in Nairobi.

While treating them was a very fulfilling experience, Osman grew frustrated, as he wasn't able to cater to everyone's needs. This, coupled with the need to complete his post-graduate education, eventually led to his decision to leave Kenya.

He was accepted to Scotland's prestigious Royal College of Surgeons of Edinburgh in 1980.

"I'm Kenyan wherever I go in the world and nothing can ever change that," Osman told Kenyatta's head of surgery, who was sad to see his favorite student go.

Osman eventually relocated to the United States where foreign doctors must get recertified to practice medicine.

"I wanted to advance technology in spine surgery, but how can I do that while I'm doing internships for the next three to four years? So I asked myself, where will the world of spine surgery be ten years from now?"

Predicting the future allowed Osman to spearhead cutting-edge medical procedures while still transitioning to working as a doctor in the U.S.

Inspiring the next generation

Some 30 years later, his success story appears to have inspired a new generation of high achievers in his rural hometown.

Osman explains his village in Moyale at one point produced the highest number of doctors, veterinary surgeons, nurses and engineers per capita in Marsabit county.

He remembers receiving an email from a young man about 10 years ago. It turned out he came from the same village and was studying electrical engineering in Kansas.

"He said if there was no Said Osman, I probably wouldn't be here. I felt tears running down my cheeks and realized that I've achieved what I set out to do. To lead by example, so others can use their potential to get more out of life."

Osman's ultimate ambition is to produce an artificial skeleton, which mimics a natural one as closely as technology allows.

That goal could already be well within his reach. He has patents for growing artificial bones and joints -- as well as replacing damaged discs in the spine with biologic materials.

"I still see that 12-year-old girl in front of me," he says." That's who I'm treating every day. If my patients are smiling, then I have achieved my dream."

More from African Voices

@highlight

Kenyan-born Said Osman is a world-renowned spinal surgeon

@highlight

Osman is the pioneer behind endoscopic spine surgery

@highlight

Osman has patents for growing artificial bones and joints

@highlight

His career goal is to produce an artificial skeleton