Orlando, Florida (CNN) -- If George Zimmerman were a 28-year-old black man who shot and killed a 17-year-old white teenager under the same circumstances as alleged in Trayvon Martin's death, would he have been immediately arrested? After 30 years as a trial attorney, I can unhesitatingly say, "Of course."

Herein lies the cultural and racial inequity which has largely led to the polarization and division over culpability in Trayvon's death.

It's perplexing that some have criticized my belief that we must withhold judgment on the case until we have all the facts and evidence, especially the forensics. Many people have made up their minds and refuse to listen to other points of view -- newly discovered facts and evolving evidence be damned.

When I criticize the prosecutor's handling of the case or suggest hypothetical situations that are consistent with the evidence, some interpret those comments as pro-Zimmerman. They flatly reject any scenario other than that of George Zimmerman racially profiling Trayvon Martin and then shooting and killing him. The late, great Andy Rooney captured this dynamic best when he commented, "People will generally accept facts as truth only if the facts agree with what they already believe."

Although Trayvon Martin's killing is a tragedy at the highest level, his death and the prosecution of George Zimmerman symbolize so much more. The issues they raise belong in the public discourse, but should not influence or cloud the facts or outcome of the case.

Many African-American men have been killed since Martin's death and undoubtedly more will follow. It's likely that none of their names will be well-known. But Trayvon Martin has become a rallying cry for all the wrong that still exists in America regarding race and unequal treatment in the criminal justice system. It's rare that a person of color in America hasn't experienced some sort of bigotry or profiling. Most of them, their families or friends have experienced unequal treatment, bigotry, sneers, insults, misplaced suspicions or police misconduct that was racially motivated. Martin's shooting death represents an opportunity to express and address the injustices which still regularly happen but mostly remain unanswered or unaddressed.

Racial equality has advanced far from where it was, but the struggle is not over. African-Americans know injustice still exists.

From what I know, regardless of how the evidence plays out and the discovery unfolds, the Sanford Police Department bears great responsibility for the firestorm of this case. If Zimmerman had been immediately arrested, or if the Sanford Police Department had conducted a thorough investigation before it announced there would be no arrest, then it's likely the controversy would not have reached such enormous proportions.

To much of the public, it appears as if authorities were dismissive when confronted with the case of another young black male being shot and killed. Trayvon Martin and his grieving family deserve more. George Zimmerman deserves to have his case decided on its merits and not as public retribution for societal sins. What is inescapable to me, though, is that the institutional and insidious prejudice which still permeates many law enforcement agencies is the cause of so much of the outrage surrounding this case.

I will continue to ask for judgment to be reserved until the evidence, discovery and forensics are received and reviewed. I want the truth. But I understand why facts might not make much difference to many people. Trayvon Martin's death represents so much more to so many. For them, the chance to finally be heard benefits the greater good.

The opinions expressed in this commentary are solely those of Mark NeJame.

@highlight

Mark NeJame: Zimmerman would have been arrested if he were black and Martin white

@highlight

NeJame: The racial inequity in our society is behind the polarization in this case

@highlight

Racism snarls up facts; we must withhold judgment until all evidence is in, he writes

@highlight

The issues of racism must be aired, he says, but must not determine case's outcome