(CNN) -- The Supreme Court tried mightily to wade through a cloud of bureaucratic regulations Monday over setting clear air standards, a high-stakes environmental and economic fight pitting the Obama administration against a coalition of states and utilities.

The justices on Monday heard six separate appeals, which were consolidated into more than 100 minutes of often dense oral arguments. A ruling is expected by June.

At issue is narrow, but potentially far-reaching -- whether the Environmental Protection Agency can tighten emissions standards for "stationary" greenhouse gas sources, such as power plants, in what the administration says is an effort to stem the effects of climate change and global warming.

In the larger political sphere, this issue could be major test of executive authority, with many conservative groups painting President Barack Obama as misusing his power and ignoring the will of the legislature.

Obama just last week announced new executive rules to extend carbon emission standards to larger trucks and buses. The White House said ongoing stalemates on Capitol Hill prompted the President to act.

Republicans in Congress and their allies have expressed similar concerns over discretionary executive branch changes and delays in implementing the Obamacare health reform law, a tepid federal response to recent state marijuana legalization, and a refusal to defend a law that did not recognize legally-married same-sex couples for federal purposes. The high court last summer struck down that provision in the federal Defense of Marriage Act.

The Supreme Court, in 2007, affirmed the conclusions by much of the scientific community that greenhouse gases-- including carbon dioxide, methane and nitrous oxide emissions-- are an air pollutant, but that case dealt with emissions from motor vehicles.

A range of business groups say the agency then improperly extended its regulatory authority to stationary sources.

They worry the unchecked, expanded rules could someday apply to millions of other small carbon emitters -- schools, small businesses, and shopping malls.

Defining "air pollutant" within the context of greenhouse gases -- and the ability of the EPA to exercise its rulemaking authority absent what it says was a clear congressional mandate -- took up much of the courtroom debate.

Justice Sonia Sotomayor said the half-dozen parties opposing the EPA cannot even agree on defining an "air pollutant" for regulatory purposes

"That to me is the quintessential ambiguity in a statute where we give deference to the" EPA, said Sotomayor. "So if your side can't even come to one interpretation, why shouldn't we defer to the agency?"

But Justice Anthony Kennedy, who could prove the court's decisive fifth vote, bluntly addressed U.S. Solicitor General Donald Verrilli.

"I have to say in reading the brief for the states and reading your brief, I couldn't find a single precedent that strongly supports your position," he said.

Texas and 16 other the states in the South and Midwest were among the parties whose cases are under review by the high court.

The justices had previously rejected three other related appeals, including one from Virginia -- broader challenges to the EPA's power over carbon emissions.

A coalition of 15 states backs the White House. Some progressive groups worry the conservative majority Supreme Court has been overly friendly to corporate interests in recent years, and could rule in this case against the administration.

But an outcome in this his case was not clear from the arguments.

"We have to think about it, along the parameter of separation of powers and whether the way in which the agency has perceived it here has arrogated an exceptional and troubling degree of discretion to design its own climate change program," Peter Keisler, the attorney representing the private groups bringing suit, told the court.

Justice Elena Kagan, the most vocal backer of the administration, said the Clean Air Act was originally passed and amended before a clear understanding of the effect greenhouses gases were having on the planet.

She said the EPA made a careful determination that they were different from pollution sources that cause breathing and other health problems, such as smog, and could apply different monitoring standards.

"What's happened here is that you have this new kind of emission that basically makes these two terms of the statute irreconcilable, and the agency has essentially picked one," said Kagan.

"It said: 'Look, we're not going to just exempt a broad class of pollutants. Instead, we're going to fudge the numbers.' And why isn't that the more reasonable of the two things to do?" she asked.

Verrilli made clear the stakes in his oral presentation, telling the court that greenhouse gas emissions are "an urgent environmental" issue.

"It's the gravest environmental problem that we face now as far as EPA's judgment, and it is one that gets worse with the passage of time," he said.

But some justices questioned the agency's reach.

"Are greenhouse gases the only air pollutant for which EPA has the authority to change the statutory thresholds?" asked Justice Samuel Alito. "Could it do this for another pollutant, something other than any of the greenhouse gases?"

After Kennedy and Chief Justice John Roberts pressed the point, Verrilli suggested the EPA could broaden its discretionary authority, absent a specific congressional mandate.

This is the second major environmental regulation case that will be heard this term.

The justices in December heard arguments over the EPA's ability to measure emissions from an upwind state that is polluting a downwind state, requiring upwind states to pay for greenhouse gas reductions. A ruling in that case is still pending.

Many business groups hope the conservative majority will limit the reach of government in this and a range of regulatory areas, which the Chamber of Commerce and others say is hurting the economy and stifling innovation.

The cases argued Monday are Chamber of Commerce of the United States v. EPA (12-1272); Texas v. EPA (12-1269); Southeastern Legal Foundation v. EPA (12-1268); Energy-Intensive Manufacturers Working Group on Greenhouse Gas Regulation v. EPA (12-1254); American Chemistry Council v. EPA (12-1248); and Utility Air Regulatory Group v. EPA (12-1146).

@highlight

Supreme Court hears six appeals during oral arguments

@highlight

Federal clean air standards at issue for states and utilities

@highlight

Cases could be a major test of executive authority for the White House