(CNN) -- A small group of observers resumed the United Nations' mission to monitor a truce in Syria that was tenuous from the start and showed signs Wednesday of unraveling as opposition activists again reported widespread violence.

In what appeared to be a pattern of retaliation, security forces were accused of attacking a number of hot spots, including the cities of Hama and Douma, after U.N. monitors had left the areas.

Security forces have also reportedly targeted residents who have spoken to the monitors, according to Ahmad Fawzi, spokesman for special envoy Kofi Annan. Fawzi told the U.N. Security Council that people have been harassed and even killed for speaking with the monitors.

One activist in Douma urged the monitors to return to the besieged city to see what was unfolding in the wake of their departure.

"The security forces have continued their siege on Douma for the second day today," said Mohammed, identified only by his first name for safety reasons.

"We desperately call on the international monitors to return to Douma to see the other face of the regime," he said.

In remarks to the Security Council on Tuesday, Annan criticized reports of actions forces loyal to President Bashar al-Assad.

"I am particularly alarmed by reports that government troops entered Hama (Monday) after observers departed, firing automatic weapons and killing a significant number of people," Annan said. "If confirmed, this is totally unacceptable and reprehensible."

Violence erupted again nationwide Wednesday. At least 100 people were killed, including 70 in Hama, 16 of whom were children, said the opposition Local Coordination Committees of Syria. The reported violence in the southern city of Hama occurred two days after a visit to the city by U.N. observers.

An activist in Hama told CNN that at least 56 people were killed in the shelling of the city's Masha Tayar neighborhood on Wednesday. The activist said that the Syrian military began shelling the neighborhood at noon (5 a.m. ET), causing a number of houses to collapse, killing those inside.

The LCC said residents were still pulling bodies from the rubble late in the evening.

CNN cannot independently verify reports of violence and deaths within Syria, as the government has restricted access by international media.

A handful of U.N. observers have in recent days toured restive cities and towns after Annan, the joint U.N.-Arab League envoy, brokered a six-point peace plan with al-Assad.

Annan said Syria's foreign minister told him that heavy weapons and troops had been withdrawn from population centers and that military operations had ended, key elements of the peace plan.

Annan described the communication as "encouraging," but added, "the only promises that count are the promises that are kept."

U.S. Sen. John McCain, R-Arizona, told CNN that he had little hope for success for the United Nations mission in Syria.

"How atrocious is it that the government allows these monitors in, people have the courage to come out and express their grievances and then they slaughter people," he said. "If it wasn't so serious, it would be a bad joke."

The ongoing carnage, say opposition activists, is proof that al-Assad does not intend to keep his promises.

At least 38 people were killed across the country Tuesday, the LCC said.

The Red Cross said Mohammed al-Khadraa, a Syrian Arab Red Crescent volunteer, was killed and three others were injured in Douma on Tuesday evening.

Al-Khadraa was shot and killed in a vehicle clearly marked with the Red Crescent emblem, the agency said.

The U.N. Security Council recently authorized sending up to 300 monitors to Syria for 90 days. They are tasked with observing a cease-fire that was supposed to have begun April 12.

By next Monday, 30 observers are expected to be on the ground, with that number swelling to 100 by month's end. But as of Wednesday, only 13 were in Syria.

One problem is that Damascus is unwilling to allow monitors from any of the 60-plus nations that are part of the "Friends of Syria," a group that aims to find a solution to the crisis.

The group, which includes the United States, France and Britain, met this month and recognized the opposition Syrian National Council as a legitimate representative of the Syrian people.

Analysis: U.N. mission does nothing to change endgame in Syria

Nationalities aside, some question whether the observers will be able to get an objective, comprehensive view of the situation.

"They are all the time watched by the security forces of the regime," said one opposition activist, who is not being identified for safety reasons.

The observers are also tasked with implementing the peace plan, which calls for the government and the opposition to end the bloodshed, provide access to the population for humanitarian groups, release detainees and start a political dialogue.

The crisis began in March 2011, when the government started cracking down on peaceful protesters calling for the ouster of al- Assad, whose family has ruled Syria for 42 years.

The United Nations estimates at least 9,000 people have since died, while activist groups put the death toll at more than 11,000.

CNN's Yousuf Basil, Amir Ahmed, Holly Yan, Moni Basu, Joe Vaccarello, Jill Dougherty and Elizabeth Joseph contributed to this report.

@highlight

NEW: Shelling in Hama causes a number of buildings to collapse, witness says

@highlight

They say fresh violence erupts in Douma and Hama after U.N. observers leave

@highlight

Syria is not accepting monitors from Friends of Syria nations, a U.N. official says

@highlight

Hillary Clinton: It is "absolutely deplorable" if the regime is killing those who spoke to monitors