(CNN) -- It's a high-tech, high-stakes game of cat-and-mouse.

Ryan Kelly, a Web designer from London, England, says his software was used to attack an Iranian Web site.

As the Iranian government seeks to crack down on the online networks being used by protesters who question the nation's election results, a community of Net-savvy users -- both inside and outside the country -- are working to try to stay one step ahead.

"To the Iranian government hackers who keep attacking the places they see as a threat, you are wasting your time," wrote one anonymous poster to a message board loaded with eyewitness accounts of violence, plans for protests and notices about people reported missing or dead.

"You are completely outnumbered. There are thousands of Iranians who want to be free and people who support them for every one of you there is."

That site, with a server in California, was unable to be accessed for a couple of hours Wednesday afternoon.

The error could have been caused by too many people trying to access the site at the same time. The same error would be caused by a so-called "denial of service" attack -- using a program to flood a site with thousands of hits in a short time.

Access to networking sites such as Facebook and Twitter and photography site Flickr have been blocked in Iran, where the government also has been accused of blocking text-messaging, launching denial of service attacks and spreading misinformation to protest communities online.  Watch CNN's Octavia Nasr explain how voices of dissent are getting out »

But Web users have been able to get around those roadblocks by the thousands, thanks to Internet proxies -- Web servers set up in other countries that allow Iranians to hide their computer's Internet Protocol address from censors within the country.

"I think the filters and the restrictions have been going on for so long in Iran that the experienced people are already prepared for this," said Jon Pincus, a former Microsoft project manager and digital activist who works on projects promoting online freedom.

The networking sites have been crucial in sharing information among protesters. Equally important, they've helped spread word to news organizations now barred from covering massive anti-government demonstrations and the violence that reportedly has led to the deaths of an untold number of demonstrators.

Many blogs, message boards and Web pages sharing information from inside Iran are urging users to log on through programs such as Tor, a free Web page designed to allow users to surf the Web and communicate with each other anonymously.

The Web page bounces a user's information through relays -- other networks provided by volunteers all over the world -- preventing someone monitoring an Internet connection from seeing what sites are visited on that connection.

The measures haven't always been successful. In Twitter posts and on various Web sites, protesters in Iran on Wednesday described having their online access shut down. Pincus compared it to Chinese dissidents trying to crack their country's stringent rules for Internet use.  iReport: Share your photos, video and stories from Iran

"Word continues to get through, but basically it's very, very difficult," Pincus said "Many people who try are caught."

In Iran, "there's been a noticeable decline already in the amount of photos and video that's coming down," he said. "That says that, thus far, the government is succeeding."

Early Thursday morning, a Twitter user with a new account and who was not following anyone else on the site was posting false information -- including a report that opposition candidate Mir Hossein Moussavi had conceded the election and that a demonstration had been canceled because government tanks were in the street.

The Twitter user posted the phone number of a "safe house" and urged other demonstrators to call it. Other users quickly began spreading word that they think the user is a government agent. But the fight is ever-changing and moving on, proponents said.

On Twitter, users all over the world were changing their personal information and time-zone settings to make it appear they live in Iran. It's an effort, they said, to provide cover for people really posting in the country.

"Security forces are hunting for bloggers using location and timezone searches," read a message on a Web page titled "Cyber War Guide for Beginners." "If we all become 'Iranians' it becomes much harder to find them."

Kevin Arth, 40, of Reno, Nevada, is one of the Twitter users who took up the call. "I don't know how it started," said Arth, who is pursuing a degree in computer science. "I was monitoring things that were going on at Twitter and at some point somebody said, 'Here's what we're doing.' "

Arth said he's not sure how effective the technique is -- there are other ways for Iran's government to track Internet users -- but for him it's a show of support as much as anything.

"It's easier to fight a battle when you know you've got support behind you," he said. And at least some members of the community are taking the fight to Iran's government and its supporters -- using some of the same online scrambling techniques they believe are being used against them.

Ryan Kelly, a Web designer from London, England, said his free software meant to refresh pages on sports and auction Web sites automatically appears to have been used to attack Iranian President Mahmoud Ahmadinejad's Web site.  Watch how Kelly's software works »

He received an anonymous e-mail asking him to take his site down Tuesday, he said. He then discovered traffic at his site had risen from a typical 700 visits a day to 41,000 on Monday.

"I suppose I am taking sides because I've put the site back up," he told CNN. "But I have no problems with it being used in this way."

CNN's Peter Wilkinson in London contributed to this report.

@highlight

Iranian government trying to stop Internet communication from protesters

@highlight

Community of Net-savvy users are working to try to stay online

@highlight

Iranians getting help from people around the world with foreign servers

@highlight

Twitter users change settings to appear they're in Iran to give Iranians cover