Bangkok, Thailand (CNN) -- Myanmar has alarmed Washington and the United Nations after it admitted carrying out airstrikes against rebel fighters in the northern state of Kachin.

The conflict between the Myanmar military, which repressively ruled the southeast Asian nation for decades, and the Kachin Independence Army (KIA) has escalated in the past two years, displacing large numbers of civilians, according to human rights groups.

Watch: Economic potential in Myanmar

Recent steps toward greater democracy and civil liberties in Myanmar under the government of President Thein Sein, a former military official, have prompted the United States and other countries to lift most of the sanctions that had been squeezing the country's economy.

Terrorized, starving and homeless: Myanmar's Rohingya still forgotten

In November, President Barack Obama became the first sitting U.S. president to visit Myanmar -- also known as Burma -- in a symbolic endorsement of the fledgling reforms.

But the U.S. government expressed concern Wednesday after authorities in Myanmar said they had used air attacks in clashes with KIA fighters this week.

Read more: Obama lauds Aung San Suu Kyi, gives a nod to Myanmar

"We're obviously deeply troubled by the increased violence," U.S. State Department spokeswoman Victoria Nuland said in a news conference. "We are continuing to urge the government of Burma and the Kachin Independence Organization to cease this conflict, to get to a real dialogue to address grievances as the government of Burma has been able to do in virtually all of the other conflict areas."

The Kachin Independence Organization is the political wing of the KIA.

The Myanmar military has been using "air cover" in Kachin since December 27 in order to transport supplies to a base near Laiza, the capital of the state and headquarters of the KIA, said Zaw Htay, a spokesman for the president's office.

The military carried out "air attacks" on Sunday and Monday, he said, adding that the president had instructed the troops not to invade Laiza.

Attempts to reach a KIA spokesman for comment were unsuccessful Thursday.

Read more: From Burma to Myanmar: Land of rising expectations

Ryan Roco, an American freelance photojournalist currently in Kachin, told CNN from Laiza that he had witnessed repeated heavy shelling and airstrikes by the Myanmar military.

He has seen air attacks daily since December 28 around Laiza, he said.

"They have targeted multiple positions but as of now, all have been primarily KIA military positions, some of which can be seen in plain sight from Laiza, bringing many residents to the streets and rooftops to watch in horror," Roco recounted via e-mail.

"The shelling however is far less precise and far more widespread as hundreds of mortar rounds from 105mm and 120mm mortars are being fired from significant distance."

Shelling in Lajayang, near Laiza, on 27 December left one man dead and three people seriously injured, said Roco. He met the victims, who he said were civilians hit as they worked on a watermelon farm, in the hospital where they had been taken for treatment.

The heavy artillery shelling "poses extreme risk for civilians in the area already made vulnerable by war," he said.

The photojournalist questioned the Myanmar government's account of its actions, saying what he had witnessed appeared to be "a clear offensive effort to take strategic KIA defensive positions surrounding Laiza."

Roco traveled with the Free Burma Rangers, a non-governmental organization, which released images earlier this week that showed attacks by the Myanmar military in Kachin, but said he was not affiliated with the humanitarian group.

Read more: Myanmar facing unfolding crisis

In the past year, the Myanmar government has made progress in peace talks with other minority groups, securing a cease-fire with Karen rebels.

However, clashes this year between Buddhists and Muslims in the western state of Rakhine have set off a humanitarian crisis there and underscored the difficult task of managing the country's complex ethnic mix amid new political freedoms.

The conflict in Kachin remains a serious challenge for the government, as acknowledged by the opposition leader and democracy campaigner Aung San Suu Kyi.

"A cease-fire is not enough," she said last year. "We have to have a political settlement if there is to be a lasting peace."

Following reports of the recent airstrikes, U.N. Secretary-General Ban Ki-moon called on Myanmar authorities to "desist from any action that could endanger the lives of civilians living in the area or further intensify the conflict in the region," a spokesman said Wednesday.

Ban also urged "all concerned parties to work toward political reconciliation," the spokesman said.

Read more: Myanmar: Is now a good time to go?

CNN's Kocha Olarn reported from Bangkok, and Jethro Mullen reported and wrote from Hong Kong. CNN's Joseph Netto contributed to this report from Atlanta.

@highlight

NEW: U.S. photojournalist says he has seen repeated airstrikes and heavy shelling

@highlight

Myanmar says it used "air attacks" on Kachin rebels this week

@highlight

The conflict in the northern region has intensified recently, rights groups say

@highlight

The United States says it is "deeply troubled" by the airstrikes