(CNN) -- The slaughter of civilians in Sudan goes on with too little attention.

But when George Clooney gets involved, the world takes notice. And that's at least a step in the right direction.

Clooney brought the media spotlight with him Friday, as he protested outside the Sudanese embassy in Washington and was arrested alongside his father, longtime newsman Nick Clooney.

On Wednesday morning there were crowds lining the hallways of the Russell Senate Building, a reception more suited to a movie star than a hearing of the Senate Foreign Relations Committee.

Inside the packed wood-paneled committee room, Clooney testified about his most recent trip into the remote Nuba Mountain region of Sudan with Enough Project co-founder John Prendergast, where they found themselves in a rocket attack and brought home harrowing footage of children freshly mangled by rockets and bombs pushed out of airplanes.

The president of Sudan, Omar al-Bashir, who has been indicted as a war criminal by the International Criminal Court, and defense minister Abdelrahim Mohamed Hussein are repeating a cycle of ethnic cleansing they infamously perpetrated in Darfur a half-decade ago. "They are proving themselves to be the greatest war criminals of this century by far," Clooney testified.

Why George Clooney got himself arrested

In a perfect world, the sight of a government slaughtering its own people would provoke enough outrage and attention. But this is not a perfect world, and when atrocities occur outside camera range it is difficult to get the world to care about the slaughter of their fellow human beings.

That's why Clooney envisioned the Satellite Sentinel Project, administered by the DigitalGlobe and the Harvard Humanitarian Initiative, which uses satellite surveillance technology to pierce the isolation of the Islamist nation. This allows anyone with a computer to be a witness to troop movements, while providing evidence of attacks and burnt villages. "We are the anti-genocide paparazzi," Clooney is fond of saying. The effect is a powerful role reversal -- dictators can no longer hide in the dark.

It is difficult to keep people in the Western world engaged in the ongoing slaughters in Syria and the civil war in Somalia, let alone those in the isolated mountain region of Sudan. But state-sponsored murderers bet on our short attention span and lack of follow-through. They know the cameras will eventually go away and then they believe they can go back to killing with impunity.

That's why Clooney's sustained focus on Sudan -- and his strategic self-deployment at carefully timed intervals -- has helped keep both light and heat on the Islamist government in Khartoum. When I traveled to what is now the Republic of Southern Sudan with Clooney a year ago for Newsweek to witness a successful independence referendum, Valentino Achak Deng -- the former "lost boy" known to Americans as the subject of a "fictionalized memoir" by Dave Eggers, "What Is the What"-- told me that Clooney's involvement in Sudan "saved millions of lives" by drawing the world's attention to the region and reducing the chance of another north-south civil war.

Clooney is the first to admit that his star power can only help illuminate the problem; it takes policy makers and political leaders to make direct changes that can save lives by stopping a conflict from escalating. What's equally clear is that Clooney can serve as a "gateway drug" into these issues, provoking more people to care and inspiring a new generation to help stop suffering half a world away.

Clooney is trying to use his celebrity to get us to care about something more important than celebrity, an important wake-up call.

But then it is up to each of us to take the next step and focus on humanitarian crises where they occur. We must add our own small wattage to the spotlight of international attention and assure the victims of state-sponsored violence that they will not be ignored, while sending murderous dictators the message that they have no place to hide in the 21st century.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: George Clooney, arrested at Friday protest, draws spotlight to Sudan

@highlight

He says world looks away, so Clooney backs satellite surveillance initiative over Sudan

@highlight

He says this strategy allows anyone with computer to bear witness to troop movements, attacks

@highlight

Avlon: Clooney sets example of how we should all be holding brutal dictatorship accountable