Washington (CNN) -- The only original copy of the Magna Carta in private hands worldwide has a fancy new display case at the National Archives, where the document goes on display next month.

"This 700-year-old document looks better than ever," said David Ferriero, the archivist of the United States. He said Thursday that the handwritten, fragile parchment will be unveiled February 17.

The owner of the display copy was also at Thursday's preview. David Rubenstein, co-founder of the Carlyle Group investment company, said, "it is my privilege as an American to be able to give this back to the Archives and let them preserve it, as they have done, and to let them display it as they are going to do."

After an initial presentation to the public in 2008, when Rubenstein got the document at a Sotheby's auction for more than $20 million, it was taken off display for replacement of the old, unappealing box made out of aluminum and glass, with a green fabric liner.

The new display box, crafted from aircraft-quality metal, is filled with argon gas to minimize deterioration of the parchment on which the handwritten Latin provisions of the Magna Carta were first inscribed in 1297. The document seems to float above the floor of the display case, just below special glass that blocks damaging ultraviolet light and minimizes glare from subdued external lighting that will be used to illuminate the display.

"If we could read medieval Latin, it would be perfectly legible," said Catherine Nicholson, one of the ranking conservators who led the yearlong restoration and re-encasement project at the National Archives. She said they were able to repair damaged sections of the parchment and have confirmed certain letters in the text by using special photography and lighting.

"We have every reason to believe that 800 years from now, they will still be in fabulous shape," she concluded.

Engineers from the National Institutes of Standards and Technology carried out the specifications of the National Archives in building the display case.

Rubenstein took the opportunity to explain the significance fo the Magna Carta and why he hopes the public display will help people understand American history.

"This became the law of the land of England and remains the law of the land in England," he began, noting that those who came to the colonies in America considered themselves Englishmen with the same rights as those at home. When royalty said the colonists did not enjoy equal rights, it set the stage for American independence.

The founding fathers affirmed many elements of English law in establishing the United States.

"Our whole government is based on no taxation without representation," Rubenstein noted. "We have the right to habeus corpus; we have punishment in proportion to the crime, trial by jury" and other fundamental principles originally requested nearly 800 years ago by the lords of the king of England.

"If you read the early writings of Hamilton and Jefferson and Adams and Madison, many times, they say 'it's because of the Magna Carta that we're doing this,' " he said.

Only 17 copies of the Magna Carta are known to be in existence. Fifteen of them are in British institutions, one is in the Australian parliament, according to Rubenstein, "and this is the only one in private hands," he said.

"Ross Perot bought this in the early 1980s," Rubenstein said, describing some of the previous ownership of his copy. He said Perot had purchased it from a family that held it for more than 500 years but had fallen on hard times and sold it to raise money.

Rubenstein is well-known within philanthropic circles. In recent weeks, he donated more than $7 million to help repair the Washington Monument from last summer's earthquake.

He also owns a copy of the Emancipation Proclamation, on display in the Oval Office of the White House, "and I've lent a copy of the Declaration of Independence to the State Department," he said.

"Everybody in life has certain things that they like," he said, "and I guess one of the things I like is buying these documents and owning them."

Rubenstein suggested that it is satisfying to have invested in history, "but you can't be buried with these documents, as far as I know. So you can assume that the appropriate place will see these documents when I'm not on this Earth."

@highlight

Parchment document dating to 1297 gets new display box

@highlight

Philanthropist David Rubenstein hopes to see permanent display next month

@highlight

American democracy and rule of law are drawn from the Magna Carta