(CNN) -- When Superstorm Sandy hit New York, it blacked out Lower Manhattan and crippled the mass transit system. I was fortunate that the rising water from the East River never reached my home in Brooklyn. But it was heartbreaking to see many parts of my beloved city wounded and so many people struggling.

When the ferry service was partially restored, I took the first boat with a friend to Lower Manhattan at dawn. We walked through the financial district -- normally bustling with activity -- where the traffic lights were dead and the streets were eerily quiet.

Like my experiences after 9/11 or during the Blizzard of 2010 and the Northeast Blackout, people seemed more aware of each other. Strangers said good morning. People seemed to look out for each other, stopping to discuss the weather, the news or their personal stories in getting through the storm.

"Hey! Where'd you get that coffee?" became a key conversation starter in a city where getting a coffee has always been so easy. We met a harried transit worker who said he had been working for several days straight without sleep, toiling on the massive project of pumping water out of the flooded subway tunnels and inspecting the tracks. He told us about incredible levels of water, mountains of rats and the unimaginable stench.

Over the next two weekends, I volunteered in the Rockaways, an ocean-facing peninsula of Queens that was one of the most severely affected areas. I teamed up with Occupy Sandy volunteers, a disaster relief group of young men and women from St. Bonaventure University, to help the residents with cleanup and recovery. I also joined a volunteer group known as the Rockaway Renegades that was focused more on organizing relief efforts.

Opinion: Photographers, embrace Instagram

Along the way, I met a man who had no family and lived alone and couldn't haul the wreckage from his home by himself. I helped sift through the soggy rubble for the personal artifacts that someone might hold dear and want to keep: family heirlooms, photos, high school diplomas. It was a gut-wrenching experience. I met residents who were adamant that I leave the area before dark, because roving gangs of looters came to homes at night.

Map: See images of destruction, recovery across the East Coast

Despite their remarkably dreary circumstances, those affected by the storm stayed amazingly positive and hopeful. They were grateful for the help, or even just someone to talk to.

Some of the communities showed their resilience by putting up Halloween and Christmas decorations as well as American flags, pulled out from the flooded basements and set up in comically absurd ways. In one street someone topped the mountain of sand washed several blocks inland with beach chairs and a sign that read "lifeguard on duty."

Opinion: Rebuilding after Sandy is too big a risk

While many parts of New York resumed normalcy, there were whole neighborhoods that suffered and are still struggling. I felt frustrated that I could not help out in the cleanup as much as I would have liked. I was torn between the responsibility of my work and deadlines and the tugging feeling of wanting to drop everything to assist those in need.

But I found a different way to help when I could not be on the ground. Throughout the weeks, I would share images and stories of my experiences through Instagram. The responses were overwhelming. Commenters from near and far asked how they could help, where to donate money or how to volunteer. I was glad to have a platform and an audience to provide information about local networks and initiatives, and nimble grass-roots organizations that were making an impact on people's lives in a direct way.

It's important to remember that even as the effect of Superstorm Sandy recedes from the news, there are still devastated areas that are without electricity, heat or hot water.

The outpouring of generosity has been incredible, but there is more to be done. There are high-rise apartment buildings with sick or elderly residents trapped in their freezing homes without enough food, water or medication who are unable to walk up and down several or dozens of flights of stairs to get what they need. There are lower-income areas of hard-hit neighborhoods that have not gotten much attention. These people will need help for weeks if not months.

How you can help

For those who are interested in helping, OccupySandy.org is a great resource with up-to-date information. Its Twitter feed, @OccupySandy, is a constant sounding board for local initiatives with specific tasks. The most meaningful way to contribute is to be physically present in an affected area. There is no shortage in the need for helping hands, especially on weekdays and over the holidays.

People who want to visit the scenes should recognize that residents have been through a lot. They're exhausted, they're chilly, sometimes they're frightened or frustrated or just plain overwhelmed. A hello and a kind word go a long way.

As the cold winter arrives, let's not forget the disaster and the people whose lives have been turned upside down by it.

The opinions expressed in this commentary are solely those of Steph Goralnick.

@highlight

Steph Goralnick: It was heartbreaking to see how Sandy wounded New York

@highlight

Goralnick: There are whole neighborhoods that are still struggling

@highlight

By posting photos of the wreckage on Instagram, she was able to spread the word

@highlight

Goralnick: As winter comes, we should keep helping those affected by the storm