(CNN) -- President Obama is about to send up to 300 military advisers to Iraq in an attempt to stabilize a situation that is rapidly disintegrating. Obama had hoped that the end of the Iraq war would be a key accomplishment of his administration. But just as he thought it was safe to get out, the President is finding himself drawn back, as violence has been spreading throughout Iraq.

Understanding that American patience for another war is limited, President Obama promises this mission will be contained.

But mission creep is difficult to avoid. The history of military involvement shows that many operations that start small end big. While the United States initially entered Korea to try to get the North Koreans out of South Korea after an invasion, President Harry Truman found himself presiding over a full-scale military mobilization that lasted three years, cost over 30,000 lives and helped bring down his administration.

Vietnam started small, with military advisers under Presidents Dwight Eisenhower and John F. Kennedy. Even when President Lyndon Johnson requested from Congress the Gulf of Tonkin Resolution that granted him broad authority to use military force, he didn't imagine how big the conflict would become, resulting in the death of nearly 60,000 U.S. soldiers and dramatically undermining America's role in the world.

Examples of mission creep continued. George H.W. Bush had 30,000 troops enter into a peacekeeping mission in Somalia. The mission didn't go so well. As a result of an attack on U.N. forces by a warlord in the country, the operation expanded and President Clinton found himself ordering more expansive operations.

Although George H.W. Bush was determined to stick to his goal of kicking Saddam Hussein out of Kuwait in 1990 and 1991, once troops were in the region, the United States became committed to ongoing engagement with Hussein as he flouted U.N. resolutions. In Afghanistan and Iraq after 9/11, the United States vastly broadened the scale and scope of its operations as challenges of post-regime reconstruction proved immense.

Why does it prove so difficult to contain operations? Why is mission creep so common? Most importantly, war inherently involves many moving parts, most of which are not under the control of the commander in chief.

Often, as was the case with South Vietnam in the 1960s, allies prove difficult to rely on and cause problems of their own, while opponents frequently are capable of causing far more trouble than expected, even when they have fewer resources than the United States.

Although a mission might seem small at first, the logic of war creates new dangers for advisers or soldiers in the field and makes it very difficult to avoid pouring more resources into a problem.

Domestic politics also matter. Very often the political pressures to escalate intensify once a president has committed forces to a region, particularly in the early years of a conflict. Both parties, as was the case with the Cold War and in the aftermath of 9/11, vie to be the party that will be tougher against the nation's adversary. Neither party wants to look weak, to be the party, as Republicans said of Democrats after 1949, that lost China to communism.

Finally, in this day and age, many of the missions that involve U.S. troops are not clear-cut or well defined. It is unclear what victory even looks like anymore. During the war against terrorism, the United States has found itself drawn into operations where it is trying to create stable government structures that will not house terrorist networks or work on a continuous basis in countries to fight against fundamentalist forces. None of this lends itself to a quick end or to limited involvement.

President Obama might get lucky and find that the advisers he sent to do the job get the job done. But history shows that mission creep can also happen quite quickly, and the President could easily find himself forced to send more troops than he expected into the quagmire of Iraq.

@highlight

President Obama plans to send 300 military advisers to Iraq to stabilize conflict

@highlight

Julian Zelizer: History shows us that mission creep is difficult to avoid

@highlight

He says many operations - in Korea, Vietnam, Somalia - start small but end big

@highlight

Zelizer: Obama could find himself forced to send more troops than he expected