ISLAMABAD, Pakistan (CNN) -- In radio broadcasts and sermons, Taliban militants have been promoting themselves as Islamic Robin Hoods, defending Pakistan's rural poor from a ruling elite that they describe as corrupt and oppressive.

Mohammed Daoud, with his son Faisal, is among those who have embraced the Taliban's message.

That message has been resonating throughout the Pakistani countryside, where the culture is deeply conservative and the people are desperately poor.

In farmlands just 15 miles (24 kilometers) from the center of Islamabad, Mohammed Daoud and his 15-year-old son Faisal eke out a living by cutting grass for their four water buffalo. They feed their family of seven, earning the equivalent of around $50 a month by selling buffalo milk. Two months ago, Daoud said, the government bulldozed his family's house, probably because they were illegally squatting on property they did not own.

"Justice [in Pakistan] is only for people who have money," Daoud said, while slicing through handfuls of grass with a small scythe. "We are illiterate," he added, "but we are hoping that with Islamic sharia law, our lives will get better."

Across this overwhelmingly Muslim country, there is widespread hope that adopting a strict code of law based on the Koran will transform a society where corruption is rampant and where at least a quarter of the population lives under the poverty line. Watch why the Taliban's message would resonate

Enforcement of sharia law is the platform the Taliban have been using to justify recent land-grabs, such as last week's armed occupation of the district of Buner, some 60 miles from the Pakistani capital.

In an interview with CNN, Muslim Khan, the Taliban spokesman in the militant stronghold of Swat Valley, denounced the Pakistani government, calling the prime minister and lawmakers "un-Islamic."

"They're making money like in a supermarket," Khan said, adding that under sharia law both the rich and the poor would be treated equally.

Militants have slowly taken over territory in northwestern Pakistan by first targeting unpopular landlords and bureaucrats, according to Amnesty International, the human rights watchdog.

"Its systematic. The Taliban move into an area, they use local existing resentments. They often go in with the guise of being Robin Hoods," said Amnesty International representative Sam Zarifi. "They scare away some local thieves, they impose very, very quick justice, very harsh justice, and initially in some places they are even welcomed."

The Taliban's promise of Islamic justice would be welcomed in farm fields on the outskirts of Islamabad. Rows of wheat -- along with the posh villas of Pakistan's ruling elite -- are within sight of Islamabad's iconic white Faisal Mosque.

"In the present judicial system, even the innocent people are punished," said Sajeet Hussein, as he and a group of farmers shared lunch under the shade of a tree. The group explained that they were losing a court battle to stop the government from seizing their land, because they claimed they couldn't afford to bribe policemen and judges.

"Every part of the country should have sharia law, like in Saudi Arabia," said Hussein's brother Babar, who sported a long bushy beard. "Then poor and rich people will be equal."

"We love the Taliban," announced one Pashtun farmer who asked not to be named. He called the militants heroes.

Sports star-turned-politician Imran Khan summed up his response to the Taliban in Pakistan by saying, "The poorer section of society is joining them...this is now developing into a battle between the 'haves' and the 'have-nots.'

"What the Taliban are giving them is cheap -- in fact, free -- accessible justice at the village level," he added. "This is what Pakistan should be doing for its own people."

But if farmer Babar Hussein has his way, Taliban justice would mean taking away freedoms from Pakistani women, like the right to have a driver's license.

"Women should not even come out of their houses. That's against Islam" he said, while complaining about the un-Islamic fashions he saw women wearing in Islamabad.

When Taliban militants overran Buner last week, they told women to stay indoors, warned men to stop shaving their beards, and threatened shopkeepers who sold movies and music.

In Pakistan's rural society, male strangers are not even supposed look at local women. And yet, some farmers enjoy blaring Bollywood music and even dancing on trailers full of hay, while driving their gaudily-decorated tractors.

If the Taliban's rural revolt succeeds, it could bring silence to the Pakistani countryside.

@highlight

Amnesty International: Taliban first targets unpopular landlords, bureaucrats

@highlight

Taliban spokesman in Swat Valley calls Pakistani government as "un-Islamic"

@highlight

Islamabad's Faisal Mosque surrounded by posh villas of Pakistan's ruling elite

@highlight

Imran Khan: Battle shaping up as one "between the 'haves' and the 'have-nots' "