(CNN) -- Contrary to the Hollywood image in movies like "Minority Report," technology hasn't served law enforcement particularly well over the years.

Fragmented and complex operating systems have challenged police officers to manually enter information into multiple programs. And yet officers still struggle to retrieve the information they need -- especially in the field, where it can be a matter of life or death.

A large number of law enforcement agencies are still hindered by antiquated technologies. But agencies that have upgraded their operating and investigative systems have been tremendously effective in ensuring the safety of their citizens. Police forces like the Guardia Civil in Spain and An Garda Siochana in Ireland were early technology adopters and now benefit from some of the most efficient police operations and investigative systems in the world.

These are the police forces of the future -- the ones that others will be modeling themselves after in the years to come.

Accenture recently studied police forces from around the world and found that in every region, police are hungry for new technology. They see tech such as analytics, biometrics (identification of humans by their characteristics or traits) and facial recognition as keys to effectively fighting crime and maximizing the time officers spend in the field.

Despite the reality of reduced budgets, law enforcement agencies that adopt new technologies can prevent crimes more effectively and solve crimes faster.

ACLU raises privacy concerns about police technology tracking drivers

Video analytics

What many people don't know is that there's a solid infrastructure of closed-circuit TV in most cities. Historically, these CCTV cameras -- both publicly and privately owned -- have been used retrospectively to examine crime scenes for evidence. Images from street cameras along the Boston Marathon route helped identify the two bombing suspects there last April.

In California, the San Diego Trolley Corporation now safeguards light-rail passengers with a video-analytics system that can alert security guards when it spots suspicious behaviors, such as an unmarked vehicle in a pedestrian zone.

Cities such as London and Singapore also are testing pilot programs to apply predictive analytics to video feeds. Singapore's government and economic leaders recently launched a one-year "Safe City" pilot program to bring automated analytics to existing CCTV infrastructure across the city. The program will apply predictive analytics to video feeds to detect which of a multitude of street incidents, such as crowd and traffic movements, pose real concerns for public safety.

These video feeds also will identify environmental threats to public safety, such as fire or flooding, as they arise. When a serious incident is identified, an alert will be sent to the authorities.

This program enables real-time information sharing and will give law enforcement deeper insight into public safety across Singapore's densely populated urban landscape. It also will increase police ability to anticipate and respond to incidents as they occur.

Police embracing tech that predicts crimes

Data mining and predictive analytics

Other cities are using statistical analysis and predictive modeling to identify crime trends and highlight "hidden" connections between disparate events. This helps police gain a more complete picture of crime, predict patterns of future criminal behavior and identify the key causal factors of crime in their area.

Police in Richmond, Virginia, adopted an advanced data-mining and predictive-analytics program in 2006 in an ambitious campaign to reduce crime. In the first year of use, the city's homicide rate dropped 32%, rapes declined 19%, robberies fell 3% and aggravated assaults dropped by 17%.

Police in Memphis, Tennessee, also applied predictive analytics -- which relies on data-analysis software to predict where crimes will likely take place -- and saw immediate results. Serious crime in that city fell 30% between 2006 and 2010. Such technology also has been hailed for helping to lower crime rates in Los Angeles since its introduction by the LAPD in 2011.

And Lafourche Parish, Louisiana, uses an analytics model that brings together location-based crime and traffic-crash data to develop effective methods for deploying law enforcement and other resources. Using geo-mapping to identify "hot spots" -- areas with high rates of crimes and car accidents -- the parish saw the number of fatal drunk-driving crashes fall from 27 in 2008 to 11 in 2009, with a corresponding increase in drunk-driving arrests.

Biometrics and beyond

Next on the horizon of law-enforcement technologies is biometrics, including facial recognition. The same software that has been used to identify high rollers and cheats in casinos, for example, can now be used to single out people banned from football stadiums or terrorists on a watch list at key border-control points.

Similar biometrics, including iris recognition, are now used to match passengers to their digital images on e-passports at border crossings all over the world, something that was unthinkable a decade ago.

While not all police investigations resemble "CSI" today, the potential for technology to reduce crime is real and proven. Although reduced budgets are making it harder for some police forces to adopt new tech tools, all law enforcement agencies must prepare their officers to embrace new technologies as they become available. Our future safety depends on it.

The views expressed in this commentary are solely those of Ger Daly.

@highlight

Police forces around the world are fighting crime with new data-mining tools

@highlight

San Diego's streetcars have video analytics that can spot suspicious behavior

@highlight

Major crime in Memphis fell 30% with software to predict where crimes might take place

@highlight

Next on the horizon for law enforcement: biometrics, including facial recognition