(CNN) -- Moroccans voted Friday to approve a referendum on constitutional reforms that would weaken the king's powers and boost those of the government.

The referendum was approved by 98.49% of voters, the country's interior minister said.

Despite a particularly warm day, more than 70% of the country's 13 million registered voters turned out to decide on the referendum, Interior Minister Taieb Cherkaoui said.

"I voted yes because I agree with the proposed changes," said Rachida Khalil of Casablanca. "There is still a lot of work to be done, like appointing of a completely new government, but I am very hopeful."

King Mohammed VI announced the referendum in a rare address to the nation last month, after a series of unprecedented protests swept the North African country.

Under the referendum, voters are empowered to select a prime minister, ending the longstanding practice in which the king has selected his own man for the job.

The prime minister has tended to take his lead from the sovereign on key matters of state.

Over recent months, thousands of young Moroccans have taken to the streets, inspired by the Arab Spring. The youth-based February 20 Movement wants jobs and an end to corruption its members say stems from royal cronies.

It had urged its supporters to boycott the referendum on the constitution, saying it fails to meet their demands.

The countries biggest political parties, including the Islamist Justice and Development Party (PJD), the Socialist Union of Popular Forces (USFP) and the conservative Istiqlal party, had asked their supporters to vote "yes" to the proposed changes.

"Although this project may seem to some non-revolutionary, it has the advantage to make the parties face their responsibilities. It forces them to make their own cultural revolution," said Industry Member Ahmed Reda Chami, a member of the Socialist Union of Popular Forces party.

The revamped draft constitution will make officials more accountable, the Parliament in Rabat more dynamic and will give the government greater powers, the 47-year-old king said when he announced the referendum on June 17.

The new prime minister would have new powers in decision-making and in day-to-day management -- relieving the king of a number of duties and aligning the style of management along the lines followed by some European Union countries.

In an example of power sharing, the draft constitution empowers the prime minister to dissolve the House of Representatives, and stresses that the king shall consult him before announcing the dissolution of Parliament.

"It specifies the conditions to be observed in each case in order to ensure the separation of powers as well as balance and cooperation between the branches," the king said.

"The idea is to establish democratic institutions where all active parties participate and bring in prosperity."

Under the reforms, Morocco will also have an independent judiciary and provide equal rights for women.

Analysts, however, question whether the proposed change will prove sufficient.

The reforms "appear to be genuine," wrote Joel Hirst, an international affairs fellow at the Council on Foreign Relations.  But "the security apparatus, cabinet positions and religious appointments remain under the finger of the king."

"For a country that has been accused of human right abuses in the past, these reforms for some do not go far enough," he added.

"The king may well have succeeded in staying ahead of the protest that has led to the demise of the regimes in Tunisia and Egypt and plunged Libya, Syria, Yemen, and Bahrain into turmoil and violence," said Marina Ottaway, director of the Middle East program at the Carnegie Endowment for International Peace.

"Whether this is just a short-lived victory in the first skirmish of a long battle or a turning point on the road to transforming Morocco into the Arab world's first constitutional monarchy will depend not only on how the king acts in the coming months, but also on the capacity and willingness of Moroccan political organizations to build on the opportunities the constitution offers them," Ottaway wrote.

"It may also depend to some extent on the persistence of a protest movement that has so far not been able to mobilize the huge crowds seen in Tunisia and Egypt," she stressed.

CNN's Elise Labott and journalist Aida Alami contributed to this report.

@highlight

NEW: Referendum is passed by 98.49% of voters

@highlight

The changes would give more power to the prime minister and Parliament

@highlight

Morocco has been swept by protests, inspired by the Arab Spring

@highlight

Some protesters say the proposed reforms do not go far enough