(CNN) -- Last week, my op-ed in favor of cannabis legalization ran on CNN.com. This week marks three years since I first wrote that marijuana should be legal. I'm amazed at how the debate has changed in just a few years.

I was inundated with messages from readers, and was humbled by some of them.

Here's one from a Southern Baptist church pastor: "I have seen firsthand the heartache caused by America's prohibition against marijuana. I have visited young men in prison, who I knew in my heart should not be there ... It is time for us to speak out and tell the truth about marijuana ...

"But so many are afraid to speak out because they fear being labeled 'pro-drugs'... I pray daily that God will end this dreadful 'war.'"

The overwhelmingly positive comments posted on CNN.com, especially from those who don't use marijuana, show that more mainstream Americans are willing to voice their pro-legalization opinions. Informed adults are challenging old dogmas, and they worry less about the folly of "Reefer Madness" than refined sugar's role in shortening their children's lives.

Given the thousands of thoughtful comments in the past week, I'd like to address several of the most important themes readers have discussed:

Damon00 writes: "A couple of years ago, comments for articles like this were much more negative. People are learning."

Agreed. I believe that the coming of the information age has played a major role in the widely recognized shift in public opinion on legalization. Today's readers are increasingly able to judge facts for themselves by consulting readily available and well-referenced scientific sources.

Vertical1 is in favor of "decriminalizing [pot] and taxing it."

There is often confusion between the terms decriminalization and legalization, though the distinction is critical. Full legalization would empower federal, state and local governments to regulate and tax the cannabis trade. Regulation facilitates control and safety, and government debt can be reduced with taxes raised from marijuana sales.

But if we merely decriminalize marijuana, then it continues to be at least nominally illegal. Possession could get you the equivalent of a parking ticket, and those involved in the drug trade might still receive more severe punishment. Not only would this burden law enforcement, but the cannabis economy would remain unregulated and untaxed.

Opinion: Marijuana use is too risky a choice

Anon Ymous, who declares himself to be "pro-legalization, but anti-use," writes: "My life experiences growing up taught me that my friends who smoked pot in grade school, high school and/or college suffered for it."

Make no mistake: marijuana is bad for kids, although pot's potential harm to children is rather more subtle than that of alcohol, which can cause life-threatening physical addiction or fatal poisoning.

Studies suggest that repeated marijuana use in adolescents can cause cognitive impairment and chronically low motivation, setting teens on a path of underachievement. But if cannabis is legalized, the tax revenues it brings in can be used to fund better drug education in schools.

We must start teaching our children early, highlighting the nuanced but significant risks to underage users and avoiding the typical hyperbole that teens know they can safely ignore.

Even with the legalization of marijuana, anyone over 21 should be prosecuted for providing cannabis to anyone under 21. And remember: Drug dealers don't check IDs, but liquor store cashiers do. Given that drug dealers aren't going away, who would you rather have as the retailer of marijuana?

DedTV, who is also explicitly pro-legalization, asserts: "Pot CAN cause hallucinations."

When it comes to marijuana's role in psychiatric disorders, the medical literature and my clinical experience are ambiguous. There's a kind of chicken and egg problem with scientific studies, and they often contradict one another. Cannabis use does correlate with mental illness, but so does poor hygiene.

Some users experience transient, mild paranoia when ingesting pot, which generally leads them to simply stop using it. Many of my patients with anxiety and depression have found that frequent use of cannabis makes their condition worse. A few report that it helps them, at least subjectively. Regardless, alcohol is a much stronger depressant than pot.

As for thought disorders like schizophrenia, evidence suggests that a very large dose of pot can make a healthy person briefly lose touch with reality, and even modest doses may trigger a more serious psychotic episode in some people who are already ill or likely to become ill. While infrequent among pot users, this is of little consolation if you are the unlucky person for whom cannabis is a match to the fuel of underlying mental illness.

On the other hand, it hardly warrants universal pot prohibition any more than the existence of peanut allergies would justify a ban on legumes.

Postmasteratfingers asks: "Is there any evidence regarding the effect on driving while stoned from pot?"

Studies have shown that moderate to severe intoxication with marijuana does indeed increase a driver's accident risk. But look deeper and you'll find that this risk is similar to that of drivers with a blood alcohol level of 0.05%, which happens to be well below the federally mandated legal limit of 0.08%. So once again, pot may not be good, but alcohol is worse.

Stephen Lang requests: "Please don't call it 'weed.' It has lots of uses."

Baby boomers call it "pot," and their kids call it "weed." The most common and controversial term is derived from the Spanish vernacular "marihuana." Until the 1930s, English speakers preferred the scientifically accurate name "cannabis."

But those Americans who sought to ban the drug in the 1930s favored the previously little known and foreign-sounding term "marijuana," which might and apparently did stir racial passions among whites.

Cohara1103 asserts: "The main reason it should be legal is... as a 38-year- old white man in a white collar job I will never be stopped, questioned or arrested for marijuana possession EVER!"

After 75 years, haven't our laws against marijuana shed their racist past? Apparently not. Although African-Americans are 25% more likely to use marijuana than white Americans, they are 300% more likely to be arrested for it. A criminal record greatly limits one's opportunities for success in life. The racial divide widens, and racial tensions grow. This, dear readers, is the enduring legacy of pot prohibition.

And finally, Roland Gyallay-Pap comments that "cannabis [is] the correct term for marijuana."

I'm afraid we may be stuck with the contentious word "marijuana," but it provides a useful reminder of one way in which American society was long ago manipulated into the prohibition of a plant that caused a mild euphoria in most people who tried it and a severe paranoia in many who didn't.

The opinions in this commentary are solely those of David Nathan.

@highlight

David Nathan wrote op-ed from doctor's point of view, urging pot be legal for adults

@highlight

Nathan: Positive response was overwhelming, attitudes to pot are changing fast

@highlight

Nathan says pot might be bad for people with emotional problems and for children

@highlight

He says legal pot would bring in tax money, reduce cost and damage of jailing users