(CNN) -- Barack Obama ran for president in 2008 on the "audacity of hope," but "audacious" is hardly the first word that comes to mind in describing American politics these days.

Paralysis? Check.

Polarization? Check.

Small ball? Check.

In a column after a trip to Singapore in November, Thomas Friedman wrote: "(T)he country that showed the world how to pull together to put a man on the moon and defeat Nazism and Communism, today broadcasts a politics dominated by three phrases: 'You can't do that,' 'It's off the table' and 'The president didn't know.' "

In my view, at least, the further we fall the higher the potential for rising again. We cannot continue to muddle through, because muddling through now means falling further and further behind.

Our greatest strength as a nation has been our capacity for perpetual renewal. As Doris Kearns Goodwin shows in her splendid book "The Bully Pulpit," we faced similar challenges of corrupt government, excessive concentration of power and a denial of equal opportunity to the majority of our citizens at the end of the 19th century. The progressive movement, born initially out of the Republican Party but ultimately drawing supporters from both parties, rose to the occasion.

That change was fueled by a vibrant press and an entire set of new ideas that accompanied new technologies. Big ideas about how to organize our government and ourselves, how to structure our economy, how to reform our educational system and our working conditions. We need a similar set of ideas today.

That's why the think tank and civic enterprise I lead, New America, is trying to shift the national conversation toward a set of big ideas as blueprints for change.

Two big ideas strike at the heart of who we are as a nation and what we offer our citizens.

Rachel Black, Reid Cramer and Aleta Sprague call on America to "restore the second-chance economy." The American dream has always been one not only of upward mobility, but of the ability to fall and rise again. Millions of Americans came to this country to reinvent themselves; in the 19th and early 20th centuries, they could escape the stigma of bankruptcy or even a criminal conviction by heading out to the frontier. Yet while "fail early and often" is a recipe for success in Silicon Valley, it is a death sentence, sometimes literally, for the majority of Americans. Credit histories and criminal records now follow citizens everywhere and forever, always accessible online.

We need to end institutional practices that currently double down on disadvantage, while at the same time helping our citizens build assets and provide social insurance that will cushion them through the inevitable ups and downs of life.

The idea of a second-chance economy should be built into the social contract between Americans and their government. In return for paying taxes, participating in elections and obeying the law, citizens should expect the government to invest in an infrastructure of both competition and care that enables them to reach their full potential as workers and human beings. In the 21st century, that should start with providing every citizen with universal high-speed Internet -- as Alan Davidson and Danielle Kehl put it -- "for everyone. Everywhere. Really."

Big ideas for a new America expand well beyond government policy, however.

Consider the future of American manufacturing, which Michael Lind and Joshua Freedman argue lies in "servitization," the transformation of goods into packages of physical products attached to a stream of services.

A John Deere tractor, for instance, comes with an onboard computer that can steer itself, adjust levels of fertilizer, seed and water, and, most importantly, send a continual flow of data back to a 24-hour service line that will in turn tell farmers how to increase productivity and when they need preventive maintenance.

That service line, in turn, is staffed by information and analysis service providers, a huge and expanding category of jobs that will process data coming from virtually every "product" we use in our lives and work, all now connected to each other in the Internet of things.

At the same time, technology shouldn't become an impediment to the American birthright of the pursuit of happiness. We can increase productivity and at the same time, increase leisure.

Other big ideas worth considering include a smart plan to fix our political system: The answer for elections dominated by big donors is to make everyone a political donor.

Mark Schmitt and Zephyr Teachout outline the basic logic of this approach: "If politicians have a broad base of support, they will be far less dependent on the 0.01 percent, even if the big spenders still exist." If the remedy for bad speech is more speech, our classic defense of the First Amendment, then the remedy for distorted democracy is more democracy.

Finally, consider the state of American education. Amid all the justified hand-wringing over our schools, a revolution is about to take place in higher education. Physical campuses will transform or combine with virtual platforms that provide lifelong learning from multiple sources with measurable outcomes.

The key to this transformation, as New America's Amy Laitinen points out, is to start measuring education in terms of learning rather than time. The idea involves the redefinition or even abolition of "the credit hour."

We currently award degrees based on how many "credits" a student receives for a course, which in turn measures how much time he or she has sat in a classroom every week, whether that time was spent listening to the professor or surfing the Web. But students today, many of whom can expect to live to 100 or more, will learn what they need and want to know over a lifetime, in physical school, their workplaces, online and in the school of life. They will be able to prove that they have in fact gained the knowledge they need through a variety of certification measures, all of which will replace "credits" as we know them.

It is so easy to be cynical, to think that talk is cheap and ideas are easy to promote but impossible to implement. I have a different view. Inspiration cannot take flight without ideas to power it.

With inspiration, by contrast, comes a vision of genuine change and the energy, faith, commitment, determination and persistence to make it happen. If our politics are small, it is because our imagination is impoverished, strangled by the belief that nothing big can happen. If we start with ideas -- not just speeches, but real ideas -- the politics will follow.

@highlight

Anne-Marie Slaughter: U.S. politics paralyzed, polarized and in "small-ball" mode

@highlight

She says that shouldn't prevent us from pushing ahead with big new ideas

@highlight

Economy needs to give Americans a "second chance" to thrive, she says

@highlight

Slaughter: Education, manufacturing, campaign finance all need rethinking