(CNN)Dan Swangard knows what death looks like.

As a physician, he has seen patients die in hospitals, hooked to morphine drips and overcome with anxiety. He has watched dying drag on for weeks or months as terrified relatives stand by helplessly.

Recently, however, his thoughts about how seriously ill people die have become personal. Swangard was diagnosed in 2013 with a rare form of metastatic cancer.

To remove the cancer, surgeons took out parts of his pancreas and liver, as well as his entire spleen and gallbladder. The operation was successful but Swangard, 48, knows there's a strong chance the disease will return. And if he gets to a point where there's nothing more medicine can do, he wants to be able to control when and how his life ends.

"It's very real for me," said Swangard, who lives in Bolinas, Calif. "This could be my own issue a year from now."

That's one of the reasons Swangard joined a California lawsuit last month seeking to let doctors prescribe lethal medications to certain patients who want to hasten death. If he were given only months to live, Swangard said, he can't say for certain whether he would take them.

"But I want to be able to make that choice," he said.

The right-to-die movement has gained renewed momentum in California and around the nation following the highly publicized death of an East Bay woman with brain cancer. Brittany Maynard, 29, moved to Oregon to take advantage of its "Death with Dignity" law and died in November after taking a fatal dose of barbiturates prescribed by her doctor.

The California lawsuit asks the court to protect physicians from liability if they prescribe lethal medications to patients who are both terminally ill and mentally competent to decide their fate.

The lawsuit argues that while it is against the law in California for anyone to assist in another's suicide, these cases are not suicides. Rather, the suit argues, they are choices by a dying person on how his or her life should end and decisions about one's own body protected under the state constitution.

Separately, two California state senators have proposed a bill that would allow doctors to prescribe lethal medication to certain terminally ill adults.

Three states -- Oregon, Washington and Vermont -- already have laws allowing physician-assisted deaths. Courts in New Mexico and Montana also have ruled that aid in dying is legal, and a suit was also recently filed in New York.

Legislation is pending in several other states. Kathryn Tucker, an attorney on several of the court cases, is also spearheading the California lawsuit. This time, she and her legal team decided to include among the plaintiffs two doctors with life-threatening illnesses, Swangard and a retired San Francisco obstetrician.

Physicians "have a very deep and broad understanding about what the journey to death can be like," said Tucker, executive director of the Disability Rights Legal Center. "The curtain is pulled back. For lay people, death is much more mysterious."

Historically, doctors have been some of the most vocal critics of assisted suicide, also called aid-in-dying. The American Medical Association still says that "physician-assisted suicide is fundamentally incompatible with the physician's role as healer." Similarly, though it hasn't taken a position on currently proposed legislation, the California Medical Association has said that helping patients die conflicts with doctors' commitment to do no harm. "It is the physicians' job to take care of the patient and that is amplified when that patient is most sick," said spokeswoman Molly Weedn.

But a recent survey of 21,000 doctors in the U.S. and Europe shows views may be shifting. According to Medscape, the organization that did the survey, 54 percent of American doctors support assisted suicide, up from 46 percent four years earlier.

Swangard is among those who believe that taking care of patients means letting them choose how their lives should end. That's not the same as killing patients or facilitating suicide, he said.

Swangard completed his medical residency in San Francisco in the middle of the AIDS crisis; young men were dying all around him. Throughout his career as an internal medicine doctor, a hospice volunteer and now an anesthesiologist, he has become frustrated with how the medical system handles death. Doctors spend so much time trying to extend life that few focus on what patients want in their last days, he said.

"I don't think we know how to die," he said. "We fight tooth and nail to keep that from happening."

Swangard's own illness was discovered in early 2013 during a long overdue check-up. He hadn't been worried about his health -- he was obsessed with fitness, swimming regularly and seeing a trainer twice a week. But when the doctor pressed on Swangard's stomach, he felt a mango-sized mass.

He had a visceral feeling, he said, "something bad was happening."

Within a week, a surgeon found a neuroendocrine tumor in the pancreas and metastasis in the liver. It was the same cancer that took Steve Jobs' life -- one that doesn't generally respond to chemotherapy or radiation. "My fears became real," he said.

The doctors told him they believed they got all the cancerous cells. But Swangard was tormented by questions: Am I going to be alive in a year? Is my cancer going to come back?

"I wasn't sleeping, I wasn't exercising, I was marinating in my own sadness and fear of what this all meant," he said. "I thought, 'This is going to kill me.'"

Since his diagnosis, Swangard said he has had a greater understanding of his patients' struggles. Occasionally, he holds their hands and tells them he has been where they are.

Earlier this year, a physician friend asked him if he'd be willing to join the California case. Swangard didn't hesitate. He didn't go into medicine to help dying people linger and wants to help change that approach — for his patients and for himself.

When he dies, Swangard said, he wants to be surrounded by people he loves. He doesn't want to be in a drug-induced haze, nor consumed by worry about what's next. He wants to be able to say goodbye.

"It is a little bit of a blessing to know how I might die," he said. "I don't think a lot of patients have insight into what to expect."

These days, he wears a Buddhist prayer bracelet, a reminder to focus on the present. He cut his work hours, swims as often as he can and meditates regularly. At home, he stares out at the ocean, often watching dolphins pass by. He makes every effort to stay calm and healthy.

He is in remission but he knows that what happens with the cancer is largely outside his control. An MRI last year showed a small lesion in his liver, which doctors are watching closely.

"It's this big unknown," he said.

Dr. Robert Liner, a fellow plaintiff who only recently met Swangard, lives with the same uncertainty.

On his 69th birthday in May 2013, the retired obstetrician had a bad cough. He felt tired and short of breath. His wife took him to the hospital, where doctors discovered malignant masses on his kidneys — advanced-stage lymphoma.

After radiation and chemotherapy, the tumors shrank. He also is in remission. But if the cancer comes back, he said, "the prospects are not going to be good."

He often thinks of a former patient, a 25-year-old woman with metastatic ovarian cancer. She wanted to die while she still was able to communicate. Liner wasn't able to help ease her death because the law wouldn't let him. "I felt like I'd failed her," he said.

Years before his diagnosis, Liner, now 70, became involved with Compassion & Choices, an organization that promotes aid-in-dying. He has a shelf of books in his San Francisco home devoted to the subject: Being Mortal, Dying Right, Knocking on Heaven's Door.

He keeps a stack of notecards with quotes about the end of life, which he often recites in speeches to church groups or senior centers. One reads, "The best preparation for death is a life well-lived."

He believes having medication to hasten death helps terminally ill people live fully in their last weeks or months without being immobilized by fear. "If you are riddled with anxiety, you are not free to concentrate on what's most meaningful to you," he said.

Like Swangard, Liner doesn't know if he would take the medication. He recently married the woman he calls his "beloved" and said he has lots of plans for his retirement years, including writing a screenplay and improving his piano playing.

"My wife says I'd be hanging on to life by my fingernails," he said.

But that decision should be his to make, with his family and his doctor, he said. "I want the comfort of knowing it's up to me when enough is enough," he said.

Blue Shield of California Foundation helps fund KHN coverage in California.

@highlight

Dan Swangard, a physician, wants to be able to control when and how his life ends

@highlight

A recent survey reveals 54 percent of American doctors support assisted suicide