U.S. and Canadian safety officials asked regulators on Thursday for new rules to prevent rail accidents like the one that decimated the Quebec town of Lac-Megantic last July.

The National Transportation Safety Board and the Transportation Safety Board of Canada say the growing use of trains to ship highly volatile crude oil is endangering communities in both countries.

"The large-scale shipment of crude oil by rail simply didn't exist 10 years ago, and our safety regulations need to catch up with this new reality," NTSB Chairman Deborah Hersman said in a statement. "While this energy boom is good for business, the people and the environment along rail corridors must be protected from harm."

Forty-seven Lac-Megantic residents died and the town's center destroyed when an unattended train  hauling oil descended down a grade, derailed, and erupted in fire.

The U.S. and Canadian safety agencies that investigate accidents issued an unprecedented joint recommendation calling for a series of new rules.

Crude oil shipment by rail has increased over 400% since 2005, the NTSB said, citing figures from the Association of American Railroads.

The growth has been spurred by increased drilling in the Bakken Shale region of North Dakota, Montana and adjoining provinces in Canada.

Canadian safety officials still have not ruled on the cause of the Lac-Megantic derailment.

But they have said the highly volatile oil in tanker cars was improperly described in shipping documents as a less flammable substance.

The petroleum cruel oil was a hazardous "Class 3, Packing Group II" product, but was shipped as a "Packing Group III" product, investigators said.

The misidentification explains in part why the fuel ignited so quickly after the derailment, authorities said.

But investigators have not said whether the shipping error was intentional or inadvertent, and suggested it was unlikely the error made a difference since both types of fuel -- Packing Group II and III -- are shipped in the same Class 111 tank cars.

Following the Lac-Megantic catastrophe, the Federal Railroad Administration and the Pipeline and Hazardous Materials Safety Administration issued a safety advisory and announced an operation to conduct unannounced inspections and testing of crude oil that shipped by rail.

But the NTSB said it "remains concerned the practice of mischaracterizing the packing groups of crude oil shipments may allow shippers to avoid" security requirements.

The NTSB is recommending that rail and hazardous materials safety agencies require expanded planning for railroads to avoid populated areas when shipping petroleum products when possible.

It is also wants an audit program to ensure railroads have adequate capabilities to respond to "worst-case discharges" of products carried on a train.

And it asks the government to audit shippers and railroads to ensure they are properly classifying hazardous materials and have adequate safety and security plans in place.

The NTSB and its Canadian counterpart issued the safety recommendations jointly because railroad companies routinely operate crude oil unit trains in both countries and across the border.

@highlight

Joint U.S./Canadian recommendation aims to prevent accidents

@highlight

They were prompted by a derailment that killed 47 people in Lac-Megantic, Quebec

@highlight

An increase in oil shipments in Canada and the U.S. and across the border raising concern