WASHINGTON (CNN)  -- The Senate passed groundbreaking legislation Thursday that would make it a federal crime to assault an individual because of his or her sexual orientation or gender identity.

President Obama has said the country must make significant changes to ensure equal rights.

The expanded federal hate crimes law now goes to President Obama's desk. Obama has pledged to sign the measure, which was added to a $680 billion defense authorization bill.

President George W. Bush had threatened to veto a similar measure.

The bill is named for Matthew Shepard, a gay Wyoming teenager who died after being kidnapped and severely beaten in October 1998, and James Byrd Jr., an African-American man dragged to death in Texas the same year.

"Knowing that the president will sign it, unlike his predecessor, has made all the hard work this year to pass it worthwhile," said Judy Shepard, board president of the Matthew Shepard Foundation named for her son. "Hate crimes continue to affect far too many Americans who are simply trying to live their lives honestly, and they need to know that their government will protect them from violence, and provide appropriate justice for victims and their families."

Several religious groups have expressed concern that a hate-crimes law could be used to criminalize conservative speech relating to subjects such as abortion or homosexuality.

Attorney General Eric Holder has asserted that any federal hate-crimes law would be used only to prosecute violent acts based on bias, as opposed to the prosecution of speech based on controversial racial or religious beliefs.

Holder called Thursday's 68-29 Senate vote to approve the defense spending bill that included the hate crimes measure "a milestone in helping protect Americans from the most heinous bias-motivated violence." Watch survivor of attack discuss legislation »

"The passage of this legislation will give the Justice Department and our state and local law enforcement partners the tools we need to deter and prosecute these acts of violence," he said in a statement.

Joe Solmonese, president of the Human Rights Campaign, called the measure "our nation's first major piece of civil rights legislation for lesbian, gay, bisexual and transgender people."

"Too many in our community have been devastated by hate violence," Solmonese said in a statement. "We now can begin the important steps to erasing hate in our country."

This month, Obama told the Human Rights Campaign, the country's largest gay rights group, that the nation still needs to make significant changes to ensure equal rights for gays and lesbians.

"Despite the progress we've made, there are still laws to change and hearts to open," he said during his address at the dinner for the Human Rights Campaign. "This fight continues now, and I'm here with the simple message: I'm here with you in that fight."

Among other things, Obama has called for the repeal of the ban on gays serving openly in the military, the "don't ask, don't tell" policy. He also has urged Congress to repeal the Defense of Marriage Act and pass the Domestic Partners Benefit and Obligations Act.

The Defense of Marriage Act defines marriage, for federal purposes, as a legal union between a man and a woman. It allows states to refuse to recognize same-sex marriages. The Domestic Partners Benefit and Obligations Act would extend family benefits now available to heterosexual federal employees to gay and lesbian federal workers.

More than 77,000 hate-crime incidents were reported by the FBI between 1998 and 2007, or "nearly one hate crime for every hour of every day over the span of a decade," Holder told the Senate Judiciary Committee in June.

The FBI, Holder added, reported 7,624 hate-crime incidents in 2007, the most current year with complete data.

@highlight

NEW: Senate approves bill expanding hate crimes law

@highlight

Measure would make it a crime to assault person because of sexual orientation

@highlight

Religious groups fear law could criminalize conservative speech

@highlight

Attorney general says it will be used only to prosecute violence