What comes in a white cardboard box, weighs little more than a kilogram and can be purchased in a few clicks from Amazon?

Few people would guess a drone -- a term that conjures up stealth strikes and spy movies.

But that's the point for DJI, a Chinese company that dominates the young but growing market for personal and commercial drones.

It wants to make the airborne gadgets, if not soft and cuddly, at least unremarkable.

"It's made of white plastic. It's not scary. It's pretty accessible to most people," says Eric Cheng, DJI's director of aerial imaging.

The company's ready-to-fly Phantom photography drone makes it a "global leader," in small unmanned aerial systems according to Frost & Sullivan, a research group.

DJI believes drones like the Phantom will soon become another "camera in your bag," allowing photography enthusiasts to embrace "dronies" with same fervor as "selfies."

"It's sort of an extension of the selfie stick really," says Cheng.  "It's an unlocking of the third dimension for camera positioning."

Their latest four-propeller drone is equipped with a high-definition camera and a wi-fi transmitter lets pilots watch the video streamed live to their smartphone that attaches to the controller.

Mounted on a three-axis gimbal or stabilizer, the camera can be rotated while the drone hovers in place enabling it to capture stunning aerial images such as close-ups of a volcano.

Transition

The company was founded in 2006 by engineer and remote control helicopter enthusiast Frank Wang, who started out making kits for hobbyists before launching the Phantom range in 2013.

It has expanded quickly, growing from 20 employees in 2009 to 2,500, who are mainly based at company headquarters in the southern Chinese city of Shenzhen.

Operating at the cutting edge of a new technology is rare for Chinese companies, which are typically regarded as manufacturers of ideas and designs hatched in Silicon Valley and elsewhere.

It's the kind of company that China needs more of if it wants to make the transition from world's factory floor to a home for innovative companies with global reach.

Cheng says Shenzhen marries the best of China's manufacturing prowess with a rich pool of design and engineering talent.

"You don't have to wait eight days for a prototype to come back in."

Confusing regulation?

Its early lead puts it at the heart of the debate over regulation of the drone industry, which has been dogged by red tape, privacy concerns and a poor reputation. Many fear drones landing in backyards and peering in windows.

Cheng says the policy environment is confusing for most users.

In the U.S., amateur drone users can't go above 400 feet (120 meters), and the devices can only be used by hobbyists.

The Federal Aviation Administration is working on clearing commercial unmanned aerial vehicles and details are expected by the end of the year.

Other jurisdictions such as Australia and New Zealand allow wider use, says Cheng, and the company's drones are used in fields ranging from mining and agriculture, to nature conservancy and real estate.

As drones catch on in the mainstream, the company has built in features to help first-time pilots.

The device is programmed to avoid airports and automatically returns to a home point if it flies out of range.

"Most people are successful with the product and consider it easy to fly," says Cheng.  "That said, it's still a flying machine so it has the potential to hit things and crash."

Just don't call it a drone

In an hour-long interview, Cheng only uses the word "drone" when pressed and says the industry is struggling with the terminology.

But with "I want a drone" now reportedly one of the top recurring search terms based on Google autofill data and the word widespread in the media, the company says it's now focused on changing what drone means to people and regulators.

"It's really heartening -- once people use them, it's not a struggle to get them to think of the drone as a generic thing rather than (something) scary."

@highlight

DJI wants to make aerial photography drones mainstream

@highlight

Says drones nothing to be scared of; allow creative photography

@highlight

Regulation over use of drones confusing, especially in U.S.