(CNN) -- As the death toll from Syria's almost year-long uprising continues to climb, Syrian Foreign Minister Walid Moallem vowed to defend his country's "independence."

"We are not happy to see brothers killing each other. But this is our country. But we will defend our sovereignty and independence," he told reporters.

The minister said no one is dying in Syria because of hunger or sickness and that despite the "economic international boycott," his government is providing all necessary services.

"Do you think there is a government in this world ... (that cares) about Syrian people welfare more than the Syrian government? I don't see this logic," Moallem said.

As day broke on Tuesday, four people were killed across Syria, opposition activists said. At least 144 people were reported killed Monday, including 64 who died in a "horrifying massacre" at a checkpoint in Homs province.

Those killed at a checkpoint in the Abel area were attempting to flee shelling in the Baba Amr neighborhood in the city of Homs, said the Local Coordination Committees of Syria, a network of opposition activists.

"Reports said security members and thugs kidnapped the women among them," the network said in a statement. Residents found 47 corpses in one area and 17 in a second one, it said.

A total of 68 corpses were found in the area, in farmland in western Homs province, said the opposition Syrian Observatory for Human Rights, apparently referencing the same incident. The bodies were found after an injured survivor reported the attack, the group said. All the bodies had been either shot or stabbed.

In all, 104 people were killed Monday in Homs, an opposition stronghold, according to the LCC. They included four defected soldiers, three woman and three children.

The deaths came on a day when Syrian officials announced that the nation's new draft constitution received approval and the European Union imposed new sanctions on the country amid ongoing clashes.

The Syrian Observatory for Human Rights said earlier explosions rocked Homs and shelling was occurring in Baba Amr. Twenty people were wounded when a large shell struck an anti-government gathering in Homs, the group said.

Meanwhile, Interior Minister Mohammed al-Shaar announced that 89.4% of voters approved the draft constitution, and 57.4% of eligible voters cast ballots. President Bashar al-Assad's regime has touted the constitutional referendum as a move toward reform.

Syria announced the referendum amid intense international cries to stop the bloodshed and open its regime to change. But analysts and protesters widely describe the effort as a farce, a superficial attempt to pacify al-Assad's critics.

"We dismiss it as absolutely cynical. ... Essentially, what he's done here is put a piece of paper that he controls to a vote that he controls so that he can try and maintain control," U.S. State Department spokeswoman Victoria Nuland said of the referendum and al-Assad.

She cited the ongoing violence in such cities as Homs and Hama and asked: "How could you possibly have any kind of a democratic process in conditions like that?"

Aid efforts were under way in the midst of the violence.

The Syrian Red Crescent and the International Committee of the Red Cross entered the province of Hama on Monday to provide aid to civilians, said Simon Schorno, spokesman for the Red Cross. A one-month supply of food, along with blankets and hygiene kits, were distributed to 12,000 people, he said.

Beatrice Megevand-Roggo, the Red Cross' head of operations for the Middle East, said a handful of aid workers were also able to go into Baba Amr.

"There were four ambulances that entered Baba Amr, belonging to the Syrian Red Crescent. They were loaded with medical goods. They indeed were not able to evacuate the two foreign journalists. I don't have the reasons why. They could evacuate an elderly woman, a pregnant woman with her husband," she said.

The two journalists Megevand-Roggo was referencing were British photographer Paul Conroy and French reporter Edith Bouvier. Both were wounded in shelling.

Red Cross spokesman Hicham Hassan said aid workers were also not able Monday to recover and evacuate the bodies of two journalists killed in Baba Amr last week.

Marie Colvin, an American journalist who worked for London's Sunday Times, was killed in a shelling attack, along with French journalist Remi Ochlik. Colvin's mother, Rosemarie, said Sunday that aid workers have been trying for days to remove her daughter's body.

CNN and other media outlets cannot independently verify opposition or government reports because Syria has severely limited access to the country by foreign journalists. But the vast majority of reports from the ground indicate that government forces are massacring citizens in an attempt to wipe out civilians seeking al-Assad's ouster.

No attempts at getting al-Assad to stop his regime's crackdown on dissidents have stopped the onslaught.

The Council of the European Union agreed Monday on new sanctions regarding Syria after foreign ministers met in Brussels, Belgium, said spokeswoman Susanne Kiefer.

Seven ministers of the al-Assad regime will have their EU assets frozen and will be denied entry into the EU, Kiefer said. In addition, assets of the Syrian Central Bank in the EU will be frozen. Legitimate trade will be allowed to continue, she said, but must be authorized first.

"Today's decisions will put further pressure on those who are responsible for the ruthless campaign of repression in Syria," Catherine Ashton, the EU foreign policy chief, said in a statement. "The measures target the regime and its ability to conduct the appalling violence against civilians. As long as the repression continues, the EU will keep imposing sanctions."

Elsewhere in Syria on Monday, two people were killed and eight wounded by government shelling on the village of Sarmeen in Idlib province, the Syrian Observatory for Human Rights said.

The shelling began Sunday night, and Syrian troops have entered Sarmeen, said Abu Mustafa al-Sayed, a Syrian opposition and community leader in the town of Binnish, also in Idlib province. The Syrian army has Sarmeen surrounded, and communications with the residents have been cut off, he said.

And in Damascus, security forces fired on mourners at a funeral, according to the Local Coordination Committees. Clashes were also occurring in Deir Ezzor, the group said, and 14 students were arrested during a protest at Aleppo University.

The opposition network estimates that 9,000 people have been killed since the government launched its crackdown in March. The Syrian government says that more than 2,000 members of its security forces have been killed by "terrorists" during that same period.

Asked Monday whether Syria would be referred to the International Criminal Court, French Foreign Minister Alain Juppe said, "I hope the international community reflects on the conditions of referral. ... It's a difficult issue. Syria is not a participating state, so it's up to the Security Council to address this question. They must therefore continue to gather the elements that would permit an eventual referral."

CNN's Jo Shelley, Per Nyberg, Salma Abdelaziz, Jack Maddox, Hamdi Alkshali and Kareem Khadder and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: "We will defend our sovereignty and independence," Foreign Minister Moallem says

@highlight

NEW: Four people are killed Tuesday, an opposition network says

@highlight

Aid workers not able to evacuate wounded and killed journalists in Baba Amr

@highlight

U.S. State Department spokeswoman constitutional referendum as "cynical"