New York (CNN) -- A heavy security presence permeated lower Manhattan on Sunday, the 10th anniversary of the 9/11 attacks, as authorities continued their search for possible plotters of another terrorist strike.

Information considered credible but unconfirmed indicated up to three attackers could be trying to use an explosives-laden vehicle for an attack in New York or Washington, according to various sources. Authorities stressed that while they were taking information of a possible attack plot seriously, there was no evidence so far that an actual terrorist operation was underway.

"We're looking into a number of leads," said John Brennan, the assistant to the U.S. president for homeland security and counterterrorism, on the CBS program "Face the Nation." "Again, it's not confirmed yet, but we're not relaxing at all."

Brennan said a security meeting took place Sunday morning at the White House to go over all the intelligence. A White House spokesman told reporters that no new information came out of the Sunday meeting.

With President Barack Obama, former President George W. Bush and other dignitaries attending a ceremony at the former World Trade Center site, heavily armed police officers and federal security agents -- some wearing body armor -- deployed in the area.

Roads were blocked and police checkpoints for both vehicles and pedestrians surrounded the memorial, with backpacks checked by bomb-sniffing dogs and put through x-ray machines.

At the ceremony, Obama and the first lady stood behind bulletproof protection.

Two of the three individuals believed to be involved in the potential plot on the 9/11 anniversary are Americans of Arab descent who traveled to the United States last week, according to a U.S. government official who spoke on condition of not being identified by name.

Authorities have been piecing together clues gleaned from flight logs and manifests, among other sources, to try to trace the whereabouts of the two, said the U.S. government official. A third person is believed to have been traveling through Europe, though it is not clear whether that person has arrived in the United States, the government official said.

However, another law enforcement official said there is no evidence so far that any of the three individuals came to the United States or are here now.

It is still not apparent whether a plot is under way, officials say, maintaining the same stance they have taken since news of the possible plans for an attack first became public on Thursday.

"It's still ongoing," New York Police Commissioner Raymond Kelly said Saturday. "Nothing significant has changed. The threat has been identified as being credible and specific and uncorroborated."

American spy networks had intercepted communications of a potential attack from an al Qaeda operative in Pakistan, derived from a source who has provided accurate information in the past, officials say.

No other corroborating evidence of an attack has been uncovered, but it has prompted intelligence officials to sift through communications from other al Qaeda cells.

U.S. officials rarely speak on the record about intelligence intercepts. In the days following the raid on Osama bin Laden's compound, officials indicated al Qaeda had gone to great lengths to avoid having its communications intercepted by the United States.

Authorities also say they have picked up "chatter," or widely divergent communications, from extremists that suggest the newly tapped al Qaeda head, Ayman al-Zawahiri, is in some way involved in the current plot.

Three stolen trucks were added to a New York Police Department database because of the threat, said Deputy Police Commissioner Paul J. Browne. The database is connected to the NYPD's digital license plate readers.

"We're adding them in the interest of being prudent," Browne told CNN, emphasizing there is no known link to the terror threat.

Two of the trucks were owned by a construction company that operates at the World Trade Center site. They were reported stolen over a week ago and had about $70,000 worth of tools on them, Kelly noted.

Both vehicles were subsequently recovered, the NYPD said Sunday.

One was discovered empty, unoccupied and unlocked in a residential area Saturday night by uniformed police on routine patrol. Police said they believe there is no connection between the stolen vehicle and any possible terror plot.

The second vehicle, a van, was found in Queens, said NYPD Lt. John Grimple. It was unoccupied, he said.

A Budget rental van also was stolen in a separate incident from a Jersey City, New Jersey, storage facility earlier this week, Kelly told CNN. He said none of the thefts had been tied to any terrorism plot at this point but were being investigated out of an abundance of caution.

Browne said that whoever took the trucks "went to great lengths to cover their tracks -- they cut lines to phones and surveillance cameras."

Browne also said the city has experienced "a three-fold increase in suspicious package calls," while suspicious vehicle calls have doubled.

New York law enforcement officers, meanwhile, have been put on 12-hour shifts.

In Washington, Police Chief Cathy Lanier reported that "suspicious activity and suspicious vehicle reporting skyrocketed" over the weekend.

"I can tell people in this community (are) really on it," said Lanier, adding that her force had beefed up staffing.

In neighboring Prince George's County, Maryland, officials located one of two missing U-Haul vans, though a police spokesman said authorities "are not viewing this as terrorism-related." Cpl. Evan Baxter said the vans were reported stolen Saturday.

The security posture was evident elsewhere, too. A suspicious bag caused the shutdown of a security checkpoint Sunday morning at Kansas City International Airport. Four hours later, some gates on Terminal B remained closed but flights were operating from other gates, according to airport information officer Joe McBride.

He said the incident began when a security guard at a checkpoint grew concerned about something in a man's carry-on bag. The guard asked the man to allow him to search his bag, at which point the man became uncooperative and was detained, McBride said.

Because the man had already checked bags, Terminal B was evacuated and closed. A bomb squad and other officials located the man's bags, all of which were opened and inspected.

No explosives were found, according to Bridget Patton with the FBI in Kansas City. She declined to provide any details on the man, who is being questioned.

A Transportation Security Administration statement said the security steps were taken "out of an abundance of caution."

On Saturday, Obama met for a second straight day with his senior national security team, according to a White House statement.

U.S. Vice President Joe Biden said Friday that information gleaned in part from the May raid against Osama bin Laden in Abbottabad, Pakistan, helped reveal the possible new plot.

It is not clear how the bin Laden raid helped authorities connect the dots to the prospect of an anniversary attack, but Biden downplayed the threat of a widely sophisticated plot involving multiple conspirators.

He told NBC's "Today" show that the administration's main concern is a plot from a "lone actor, not some extremely complicated plan like it took to take down the World Trade (Center) towers or the plane in Shanksville (Pennsylvania) or the Pentagon."

In New York City, police officers stopped and searched box trucks, as they approached the George Washington Bridge, which links New Jersey with New York as well as the Queens-Midtown Tunnel, the Holland Tunnel and the Verrazano-Narrows Bridge, connecting the boroughs of Staten Island and Brooklyn.

Police also were sweeping parking garages for explosives and using digital license plate readers to check for stolen vehicles, officials said.

Authorities say they are questioning individuals who have previously raised security concerns.

"We already had a great security plan in place, and in an abundance of caution, we're deploying more resources," New York Gov. Andrew Cuomo told reporters. "We shouldn't allow this threat to diminish the importance of the 9/11 anniversary, because that would be doing just what the terrorists want us to do."

In Washington, local officials said the city has a robust plan in place and has been on heightened alert since September 1.

Federal officials said they are taking the threat seriously, while trying to temper the news by saying such threats are commonplace in connection with key dates.

"The FBI has been in a planning mode for months with the local and state police officers, as well as the other intelligence agencies, to prepare for this weekend," said James McJunkin, assistant director in charge of the FBI's Washington field office. "What we have here is a little bit more of a public display than we normally have."

U.S. officials believe that the plot could involve operatives who came out of the tribal Pakistan-Afghanistan border region -- a volatile semi-lawless area that is home to extremist groups -- and that they are part of al Qaeda "central."

One official also noted a possibility that Pakistan-based groups such as Lashkar e-Tayyiba or Tehrik-i-Taliban Pakistan could be involved.

Al Qaeda "likely maintained an interest since at least February 2010 in conducting large attacks in the homeland timed to coincide with symbolic dates, to include the 10-year anniversary of the 9/11 terrorist attacks," according to an intelligence bulletin issued Thursday.

Bin Laden's death and the "removal" of senior al Qaeda figures since then could add to the organization's desire to stage an attack on a symbolic date such as September 11, the bulletin said.

CNN's Susan Candiotti, Eden Pontz, Rachel Garret, Barbara Starr, Mike M. Ahlers, Lesa Jansen, Allan Chernoff, Thomas Evans, Terry Frieden, Jessica Yellin, John King, Jim Barnett, Pam Benson, Cheryl Robinson, Fran Townsend, David Ariosto, Laura Dolan, Tom Cohen and Ross Levitt contributed to this report.

@highlight

NEW: A second vehicle missing from World Trade Center site is recovered, police say

@highlight

The White House says there is no new information on a possible plot

@highlight

Authorities are on the lookout for up to three possible attackers

@highlight

No evidence exists so far that a plot is under way