(CNN) -- Mexico saw the first public protests this weekend over the government's decision to allow cultivation of the first genetically modified corn, which environmentalists and others say could ruin the nation's native crop.

A Greenpeace banner protesting genetically modified corn hangs on a Mexico City monument on Sunday.

About 45 Greenpeace activists hung a black banner and protest signs Sunday at the Angel of Independence, a victory column in a busy traffic circle on one of Mexico City's major thoroughfares. It is one of Mexico City's most recognized monuments.

"Today, the Angel of Independence is in mourning to demand that the Mexican government protect our principal nourishment -- corn," said Aleira Lara, a Greenpeace leader at the protest.

The nation's agriculture and environment departments approved two permits last week from among 35 applications to grow the controversial crop.

Unlike traditional crops, which are modified through selective breeding, genetically modified crops are engineered by having changes introduced into their DNA.

Genetic engineering can improve desired traits such as nutritional content or resistance to herbicides, pests and disease. The modifications also can increase tolerance for cold and drought.

Other genetically modified crops include soybeans, cotton and papayas.

Critics of the technique say they worry about the effect on consumers, other crops and the environment.

Germany earlier this year banned a genetically modified strain of corn, saying the government wanted to protect the safety of consumers and the environment.

Mexico said the genetically modified crops are in an experimental phase and will be planted on plots controlled by the government and isolated from other crops. The new crops also will be planted in states that do not grow native corn, which is a major staple of the Mexican diet. Corn is grown on about one-third of the country's cultivated land, mostly in central Mexico.

But the Mexican protesters said they fear the genetically modified corn could harm the nation's 55 varieties of native corn.

"Without corn, there is no country," some protesters said. The slogan rhymes in Spanish: "Sin maiz, no hay pais."

Two scientific studies have determined that transgenic corn has already contaminated some native Mexican corn fields.

In 2001, a study in the journal Nature reported that transgenic DNA had been found in traditional corn crops in the state of Oaxaca. Earlier this year, research published in the journal Molecular Ecology also found genetically modified corn contamination of native Mexican corn.

Signs hung on statues at the protest said: "Our corn first, traitors" and "Transgenic corn: End to independence."

Greenpeace and other critics say that modified corn would kill off independent growers, because they would have to buy their seed from one of four businesses that own the patents.

"Farmers will be beholden to those companies when their fields are contaminated and no producer will be able to plant his seed, like they do now, because they will have to pay royalties to those corporations to plant again," protest leader Lara said.

In its February article, Molecular Ecology said that most of the current crop in the nation comes from private supplies of seed.

"Maize is a staple food in Mexico, with a pivotal place in the country's past and present economic, cultural and agricultural spheres," the article says in its introduction. "In contrast to the United States and Europe, commercial seed sources account for only one-fourth of the maize seed planted in Mexico. Furthermore, Mexican maize is mostly grown by smallholder farmers who obtain seed from their own harvest or from other farmers."

Molecular Ecology also points out, though, that the "introduction of transgenic maize has resulted in an increase in maize production."

And it is that increase in production that lies at the heart of Mexico's decision to allow the two test permits, analysts say.

"Mexico is a net importer of corn from the United States," said Bruce Bagley, chairman of the University of Miami Graduate School of International Studies.

Mexico grows two types of corn: yellow, which is similar to that grown in the United States, and white, which is native to Mexico.

The native white corn amounts to roughly 90 percent of the nation's production. Yellow corn makes up the remaining 10 percent.

White corn is used for human consumption while yellow corn is used primarily for animal feed. An increase in meat and chicken consumption in Mexico in the past decade has led to greater demand for yellow corn for animal feed. Unable to meet this demand, Mexico has had to import about 89 percent of the corn it needs for feed, says the U.S. Agriculture Department. And 99.8 percent of that corn comes from the United States, the department says.

"Mexico wants to produce enough crops so they don't have to import foods," said Susan Kaufman Purcell, director of the Center for Hemispheric Policy at the University of Miami. "Greater yields will lead to not having to import as much food from the United States."

There are other factors, such as increasingly common food shortages throughout the world that have driven up prices. The price of corn, for example, has more than doubled since 2007. That prompted about 70,000 people to take to the streets of Mexico last year to protest the price of tortillas, which jumped through the roof in January 2008.

"Mexico is feeling the pangs of food insecurity," Bagley said.

Greater corn production and less importation also would ease the nation's balance of payments.

Bagley also sees another reason why Mexico may have allowed introduction of the genetically modified corn.

The United States has pressured Mexico strongly to accept the modified crop, Bagley said. Mexico has acquiesced due to provisions in the North American Free Trade Agreement.

But if the experimental plots lead to greater contamination of native crops, Bagley said, Mexico could have the legal grounds to refuse widespread importation of the new corn.

Greenpeace doesn't want to wait that long. The global environmental organization asked Mexico for an immediate moratorium on the use of the transgenic corn.

There has been no indication they're likely to get it any time soon.

@highlight

Mexico last week approved two applications to grow genetically modified corn

@highlight

Greenpeace, other environmentalists say the altered crops could ruin native corn

@highlight

Government says modified crops are an experiment, will be isolated from other fields

@highlight

Studies show transgenic corn has already contaminated some Mexican corn fields