(CNN) -- As a frequent visitor to Egypt, I have never seen the country as deeply polarized along ideological, social, and political lines as it is today -- horizontally and vertically. The current fight pits the Muslim Brothers and their Islamist allies against the military-backed government and a sizeable segment of Egyptians who rally around the flag and populism. Religious frame of reference is pitted against a deeply entrenched nationalist identity that is centuries-old.

This fierce struggle over hegemony and the future identity of the Egyptian state has been invested with cultural and existential overtones. Both camps view their rivalry as life-and-death and are locked in a deadly confrontation, a clash that has killed more than 1,000 people, including dozens of members of the security forces and injured thousands. On Sunday the Egyptian government acknowledged that 36 Islamists died in its custody after an attempted breakout and a day later more than two dozen off-duty police recruits were killed by gunmen in the restive Sinai Peninsula. According to the Interior Ministry, the police recruits were returning from leave to their jobs in the border town of Rafah when militants ordered the recruits out of two minibuses and forced them to lie on the ground before shooting them.

The recent bloodletting is the most violent episode in Egyptian modern history and shows an unraveling of its social fabric, a rupture with the past. In contrast to neighboring Arab countries, such as Iraq and Syria, with blood soaked history, Egypt is one of the least violent societies in the Middle East and Egyptians are the most peace-loving people. There is a real danger that bloodshed will beget more bloodshed and that unless checked Egypt will be engulfed in politically-driven violence.

There are signs pointing to the military-backed government continuing its clampdown on the Brotherhood and possibly attempting a widespread purge, including banning the 85-year-old Islamist organization. Early Tuesday, Egyptian authorities arrested Muslim Brotherhood chief Mohamed Badie, escalating a crackdown that has seen the arrests of dozens of the group's top leaders and more than 1,000 of its followers (in its prolonged confrontation with the Brotherhood, even the Mubarak regime refrained from arresting the top leader or general guide out of restraint).

Interim Prime Minister Hazem el-Beblawi even suggested outlawing the Brotherhood and told reporters over the weekend: "There will be no reconciliation with those whose hands have been stained with blood and who turned weapons against the state and its institutions."

A decision to ban the Brotherhood that would have serious repercussions on Egypt's future. It would pour gasoline on a raging fire and deepen and widen the ideological and social rift that already exists. It would represent a hard blow to the fragile democratic experience in Egypt, a severe setback to the institutionalization of democracy. The Brotherhood has millions of followers and cannot be politically eradicated by a stroke of pen or the barrel of a gun. There will be no institutionalization of democracy without the Brotherhood, the biggest and oldest mainstream religiously based Islamist movement in the Middle East.

Moreover, a persecuted Brotherhood whose leaders are either in prison or underground might tempt its young followers to take arms against state and society, as some supporters retaliated violently, following the 21 police stations and scores of Coptic churches burnt already last week. Unless steps are taken to defuse the escalating crisis, Egypt will likely descend into long-term bloodshed and perpetual instability. We may be in for a repeat of the violent insurgency seen in Egypt from 1992 until 1998, an insurgency that killed and injured thousands of Egyptians.

Priority must be given to ending the killing and bloodshed and beginning the healing and reconciliation process, a complex task given the country's deepening and widening polarization and the absence of a credible, neutral third force. The international community's role is pivotal, although excessive intervention by the Western powers would embolden the hardliners within the military-security apparatus and allow them to stirrup hyper nationalist sentiments. Beyond the legal and moral pressure that the international community could exert on Egyptian military rulers, there is an urgent need for mediation and stopping the country's descent into all-out confrontation.

Of all powers, the European Union, along with the United Nations, is the best equipped to assist the Egyptian people and to bridge the divide between the two warring camps. Unlike the United States which is deeply mistrusted by Egyptians of all walks of life because of its intimate ties with the military and Egyptian rulers, the EU is seen as neutral and trustworthy.

Although its previous mission failed to produce a breakthrough, the recent escalation after Muslim Brotherhood camps were broken up, the EU, in coordination with the U.N. and the U.S., must redouble its efforts and impress on the interim government to take concrete steps and confidence-building measures to defuse the crisis, such as stopping the arrests of Brotherhood leaders and releasing others. Political talks would follow on ways and means to assure the Islamists that they would not be excluded from participation in the transitional road map.

There is no guarantee of success and a high probability of failure. Nevertheless, the world community cannot afford to remain passive in the face of the unfolding bloodbath in Egypt and the inherent risks to regional stability and international peace.

The opinions expressed in this commentary are solely those of Fawaz Gerges.

@highlight

Fawaz Gerges: Egypt is polarized along ideological, social, and political lines

@highlight

Government's clampdown on Muslim Brotherhood will damage democracy, he says

@highlight

Gerges: Arrest of leaders could force young followers to take arms against state and society

@highlight

EU and U.N. are best equipped to assist Egypt, argues Gerges due to distrust of U.S.