LONDON, England (CNN)  -- Dan Neumann was a 14-year-old struggling against cancer when he came across an unexpected ally in his battle.

Cancer survivor Dan Neumann plays Re-Mission and is helping create the game's next edition.

He was receiving treatment for leukemia at Lucile Packard Children's Hospital at Stanford University in 2004 when he saw a flyer inviting teenage cancer patients to test a new video game.

A self-described gamer, Neumann says he was immediately drawn to the posting. He signed up to try it and was won over by the game, which simulated what goes on inside the bodies of cancer patients.

"When you go through cancer treatment, chemotherapy becomes something you dread," Neumann, now 19, recalled. "But with the game you're actively playing something and shooting cells."

That game eventually became Re-Mission, a video game that's helping teenagers around the world in their fight against cancer. Since its release in 2006, more than 145,000 free copies have been distributed, and now a new version of the game is in the works.  See what it's like to play the game »

Pamela Omidyar, wife of eBay founder Pierre Omidyar, came up with the idea for the game. A former lab technician and avid video game player, she thought kids could learn a lot by experiencing the treatment process in a vivid way.

That led her to launch HopeLab, a non-profit that took Re-Mission from the drawing board to an actual product.

The organization, which focuses on using technology to create positive health outcomes in kids, was recently recognized by U.S. President Barack Obama for its innovative approach to tackling health challenges.

Players control a tiny robot who travels through the human body to destroy harmful cancer cells. Along the way, she breaks down complex medical terminology and explains what's going on when the body undergoes treatment like chemotherapy.

By making cancer a visible foe, Re-Mission gives kids a different mental view of who their enemy is, said Dr. Steve Cole, vice president of research at HopeLab. That's something that teenagers around the world can benefit from.

Video games like Re-Mission transcend national boundaries and cultures, he told CNN. "Everybody wants to beat death."

Re-Mission has been distributed to 81 countries, and patients anywhere in the world can download it for free online.

According to Cole, providing an opportunity to experience the positive emotions that come from treatment can change the behavior of young patients and can make a real difference in their health.

A study he conducted that was published in 2008 showed that patients who played Re-Mission took their medication more consistently and learned more about their disease than those who didn't.

"What this game is really built to do is help teenagers be better participants in their own medical care enterprise," said Cole. "It gives them a real opportunity to affect their own health outcomes."

Neumann says when he was in the hospital, doctors walked him through pamphlets describing the chemotherapy process. But it was the game that ultimately made him feel better about his treatment.

"There's a lot of complex medical terminology, which is hard to digest at that age," he said. "Re-Mission encourages you to learn that your chemotherapy is doing something."

Now in remission, Neumann is helping HopeLab develop the next edition of the game. In the early stages of development, the new product is expected to be released in 2012 at the earliest.

He's been providing feedback on his experience as a cancer survivor and gamer to help developers understand what patients personally get out of playing Re-Mission.

He wants other teenagers to experience the game, and says they shouldn't shy away even if they've never played video games before.

"Re-Mission is an excellent game for any cancer patient, regardless of whether they're a gamer," he said. "It really makes you feel like you're engaging in your treatment."

@highlight

Re-Mission video game helps patients visualize battle against cancer

@highlight

Non-profit organization HopeLab is planning new version for 2012

@highlight

Cancer survivor says game helped change his attitude towards treatment

@highlight

Teenagers around the world can benefit from game, HopeLab says