A federal civil complaint in Texas claims the defendants may have falsified prescriptions, lied to pharmacies and perhaps even broken the law, but they're not drug runners.

They're officials from the Texas Department of Criminal Justice, responsible for executing death row inmates.

The complaint, filed in October, is one example of the lengths death-penalty states are willing to go to acquire drugs for lethal injections.

Texas, which declined to comment on the pending case, is among 32 death-penalty states scrambling to find new drug protocols after European-based manufacturers banned U.S. prisons from using their drugs in executions -- among them, Danish-based Lundbeck, which manufactures pentobarbital.

"The states are scrambling to find the drugs," says Richard Dieter, executive director of the Washington-based Death Penalty Information Center.  "They want to carry out these executions that they have scheduled, but they don't have the drugs and they're changing and trying new procedures never used before in the history of executions."

States have been forced to try new drug combinations or go to loosely regulated compounding pharmacies that manufacturer variations of the drugs banned by the larger companies. The suit against Texas alleges the state corrections department falsified a prescription for pentobarbital, including the patient name as "James Jones," the warden of the Huntsville Unit "where executions take place," according to court documents.  Additionally, the drugs were to be sent to "Huntsville Unit Hospital," which, the documents say, "has not existed since 1983."

The suit said the pharmacy was unaware of the purpose for the order and when it found out it canceled the order before it was filled.

In a letter obtained by CNN, dated October 4 of this year, Woodlands Compounding Pharmacy, which was requested to provide drugs to Texas officials says it believed its "information would be kept on the 'down low'" by the TDCJ."

The plaintiffs also allege the state did not produce a purchase order, instead using an individual employee's credit card to make the purchase.

The pharmacy is asking the TDCJ to return the drugs it sold the state. It is unclear whether they have.

Maurie Levin, one of the attorneys representing the inmates, said, "We believe that TDCJ's purchase of compounded pentobarbital from Woodlands Pharmacy violates numerous state laws. The vast majority of compounded drugs can only be mixed or sold pursuant to a doctor's prescription. TDCJ did not get a prescription for its purchase of compounded drugs. There are exceptions to the requirement, but TDCJ's purchase does not qualify for any of them."

In September, Texas even turned to another state, Virginia, for a supply of Nembutal, according to documents provided to CNN by Berkeley Law staff attorney Jen Moreno.

Death row inmates say using untested drugs is "cruel and unusual punishment," and several have filed federal lawsuits to delay executions until drug protocols have been reviewed.

Ohio was set to execute Ron Phillips on Thursday using a two-drug cocktail never before used in an execution. Ohio's Department of Rehabilitation and Correction said it "was unable to obtain a sufficient quantity of pentobarbital." Instead it was set to use the sedative midazolam and pain-killer hydromorphone in a lethal dosage.

Ohio Gov. John Kasich stayed Phillips' execution this week pending a review of possible organ donation to his family members.

Missouri was set to use propofol, the infamous drug from the Michael Jackson case, in an execution last month, but the governor halted it after he was warned the European Union might halt shipments of the drug, leading to shortages for medical purposes.

Deborah Denno, a law professor at Fordham University, said a new combination of drugs used in the execution of Florida inmate William Happ last month took 14 minutes to kill him instead of the usual seven.

"There is absolute chaos among the states," Denno said. "So, every few months it seems we see a different state using a different type of drug, or types of drugs."

Jim Petro, the Republican former attorney general of Ohio, presided over 19 executions but no longer supports the death penalty. "An attorney general is bound to follow the statute," he said. "Duty is duty."

Dieter said using untested drugs amounts to experimentation on human beings: "They're guilty people who did these crimes, but that doesn't ameliorate our ethical obligations."

@highlight

Civil suit claims Texas falsified prescriptions to acquire drugs for lethal injections

@highlight

Death penalty states are scrambling to find drugs for executions

@highlight

Several lawsuits call use of untested drugs "cruel and unusual punishment"