(CNN) -- The stakes in this election go far beyond just who takes the oath of office in January.

Each of us is faced with choices that will have huge ramifications in our nation for decades -- and the choice is not simply about Democrats versus Republicans or even Obama versus Romney. The real stakes are this: The political strategies that prove successful in this election will be replicated far into the future.

Throughout this election cycle, we've seen hyperpartisan narratives resonate more than facts, total opposition embraced as a congressional tactic, and unprecedented dark money flow through our airwaves in an avalanche of negative ads.

If those forces are rewarded, we'll see much more of them from both parties going forward. They will become the new normal.

Opinion: Vote, damn it!

If they are rejected, it may inspire a necessary recalibration and a renewed focus on finding ways to work together in Washington. This won't be just because it's the right thing to do; it will be because it is what is seen as practical and politically expedient.

When President Obama took office, the fiscal crisis was in full effect, but our nation was briefly united after the 2008 election. Then the partisan media started to try to repolarize the nation for their profit.

A relentless drumbeat of demonizing the president gave rise to all sorts of dark conspiracy theories, driven by the conviction that the first African-American president of the United States was somehow un-American. Hating Obama became a profitable cottage industry, with the publication of at least 89 different obsessively anti-Obama books -- more than twice the number that were directed at President George W. Bush by the end of his first term. Unhinged ideas seeped perilously close to the mainstream, to the point that the gap between partisan narrative and actual facts seems cavernous and finds fellow Americans divided beyond reason.

This has real civic cost. A president who has presided over a doubling of the stock market is called socialist or even communist. A president who ordered the killing of Osama bin Laden is seen by some as secret Islamist-sympathizer. And perhaps most important, a president whose actual record leads respected nonpartisan political scientists at the VoteView blog to say "President Obama is the most moderate Democratic president since the end of World War II" is instead seen as a far-left liberal. A reality check is overdue.

This hyperpartisan reality distortion field has impacted Congress as well. In the past, we've achieved a great deal with divided government -- ranging from the Marshall Plan, to the interstate highway system, to the achievements of the Reagan administration, to welfare reform and the turning of deficits into surpluses under President Bill Clinton and then-Speaker Newt Gingrich. But the current congressional environment has led to division and dysfunction, Super Committee fails and justifiably low congressional approval rates.

Too many conservative members of Congress took Rush Limbaugh's 2009 anti-Obama admonition -- "I hope he fails" -- to heart. They argued that confrontation rather than cooperation with the new president was the best strategy. Thanks to Obama's unwise overdelegation to congressional Democrats on the stimulus bill, their approach was validated, and so an economic recovery effort that was one-third tax cuts passed along stark partisan lines. A pattern was established.

President Barack Obama: My vision for America

An individual mandate-driven health care bill, based on proposals from the conservative Heritage Foundation implemented by Mitt Romney in Massachusetts, was not praised as policy triangulation -- taking a Republican approach to achieve a Democratic goal -- but called an unconstitutional gallop toward socialism. Rational debate stopped when talk of "death panels" started taking hold. And so health care reform became the first major piece of social legislation to pass along stark partisan lines.

Even onetime bipartisan legislation was no longer embraced by Congress. For example, Obama's proposed jobs bill was almost entirely composed of what had been bipartisan proposals -- but it was considered DOA on Capitol Hill. The debt ceiling was used to hold America's full faith and credit hostage, with disastrous results, including the downgrading of our AAA credit rating.

The source of much congressional dysfunction is the now-routine use of the filibuster by the Senate, making a supermajority of 60 votes necessary for meaningful action. As a point of historical perspective: In the eight years that Republican Dwight Eisenhower was president, from 1953 to 1961, the filibuster was used only two times. In the four years that Barack Obama has been president, the filibuster has been invoked more than 200 times by Senate Republicans.

Add to this unhealthy civic mix the unprecedented amount of money flowing into this election -- expected to exceed $6 billion total. The most troubling aspect is the rise of dark money, the abuse of tax-exempt 501(c)(4) organizations to hide donors while flooding the airwaves with negative ads.

According to the Center for Responsive Politics, spending from these nondisclosing groups has passed $200 million in this election -- more than every other election cycle over the past 20 years combined -- and 88% of the ads airing now from outside groups are negative.

Just three groups -- the Karl Rove-founded Crossroads GPS, the Koch Brothers-backed Americans for Prosperity, and the U.S. Chamber of Commerce -- account for more spending than the next 17 outside groups combined. This makes a mockery of post-Citizens United promises about unlimited money being combined with unprecedented disclosure, and the net impact is chilling: This is perilously close to what trying to buy an election looks like.

All this matters, because if outside money spent on negative ads can indeed sway an election, we will see much more of it in the future. But if partisan billionaires believe that their money has been wasted, it will help rein in such efforts going forward.

We need to stop the cycle of incitement in our politics, where every action creates an equal and opposite reaction. In the closing weeks of this campaign, Romney has been promising that he will bring bipartisanship back to Washington. But simply slapping on a new slogan won't solve these underlying problems.

Mitt Romney: My vision for America

If Romney is elected president, Democrats will likely decide to follow the apparently successful path of the Republicans in recent years -- play to the base with fear-mongering claims, demonize the new president from Day One, and obstruct his agenda in Congress. Senate Majority Leader Harry Reid, a Democrat, has already announced that he will not work with a President Romney, taking a page from his Republican counterpart, Mitch McConnell, who pledged that making President Obama a one-term president was his No. 1 priority. Republicans will complain, but they will have their own precedent to thank. The result will be all-but-guaranteed gridlock and division over the next four years.

If Obama is re-elected, it will send the message that all the hyperpartisan distortions, the intensely ideological congressional obstruction and the flood of dark money didn't work.

Republicans will have to confront the fact that these extreme tactics backfired by alienating the moderate majority of Americans (and interestingly, Obama currently leads among moderate voters in key swing states like Ohio by nearly 20 points). This will alter the landscape of the next Congress and shift the incentives back toward working together on a more bipartisan basis. It might even help re-center the Republican Party going forward, something I would sincerely like to see because it would be good for our democracy.

America needs to break this fever of hyperpartisanship. The day after the election, we will have to start healing as a nation. Members of Congress will be confronted with a fiscal cliff and serious questions about how to deal with taxes, spending, the deficit and the debt. If they feel that extremism and obstruction have been punished by the voters, they will find a way to work together. If either party feels it has achieved an ideological mandate, it will be tempted to play chicken with the fiscal cliff.

The stakes are so high because they cut to the heart of the American experiment. We cannot continue to allow extreme partisan distortions to define our policy debates and paralyze our capacity for constructive self-government.

We need Washington to get the message that I've heard from swing voters so often on the CNN Battleground Bus Tour -- stop fighting and start fixing. Find a way to work together, especially on our long-term economic problems. That means both parties agreeing to compromise on issues of taxes, spending and entitlement reform -- a balanced bipartisan plan to deal with deficits and debt. It will require putting the national interest ahead of all partisan special interests -- and we won't be able to do that until this fever breaks.

Washington is looking to your lead at the voting booth. These are the stakes. Now it is your decision. Go out and vote on November 6.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Election 2012 will be a test that determines future of American politics

@highlight

He asks: Will extreme partisanship be rewarded at the polls? If so, it will continue

@highlight

Leading GOP figures decided on obstructionist tactics against Obama from the start, he says

@highlight

Avlon: Message from rank-and-file voters -- stop fighting, start fixing