(CNN) -- If it were a heavyweight boxing contest it would probably be ruled a mismatch.

Paul McGinley versus Tom Watson.

A cut-above European Tour player against a PGA Tour -- and just about everywhere else -- golfing legend.

In the blue corner, a man with precisely zero major titles -- tied sixth his best finish. In the red, an eight-time major champion -- and so nearly nine, improbably aged almost 60, at the 2009 British Open.

Ryder Cup captaincy experience? Next year is McGinley's first match in charge, although he was twice on winning sides as a vice-captain. Watson led the 1993 United States team which shocked Europe at its beloved Belfry to wrest back the famous trophy.

Playing record in the biennial sporting showdown? McGinley two wins and two halves from nine matches. Watson, 10 wins and a half from 15 matches.

But if the prospect of going head to head against a sporting icon in the ultimate in team sports competition has left him fazed, McGinley is showing little sign of it.

As the European captain, the genial 46-year-old Irishman will pit his wits against Watson, who not only has won five British Open titles, but is revered in Scotland where the 2014 match will take place at the famous Gleneagles course.

With a year to go until the first shots are struck in anger in Perthshire, McGinley is well aware that the David vs. Goliath nature of the contest, at least as far as the team captains are concerned, is a talking point.

"Four of Tom's Open championships came here in Scotland, he's got a real affinity with the people, so he's going to bring that very strong dynamic to his team," McGinley told CNN's Living Golf program.

"He won in 1993, away from home as well, so I don't underestimate him, neither do the players.

"He'll make some astute decisions, no doubt about that. But ultimately it's not between myself and Tom Watson, it's about 12 players in each team and how well they play.

"As much as the captains are important, it's really about the 24 players."

Leading golf journalist Bill Elliott, who has covered every Ryder Cup since 1977, said while the captain's role was clearly influential, it was sometimes overstated.

"In many ways a captain can lose the Ryder Cup, but in the end it is very difficult for him to win it," said Elliott, who is the Editor at Large of Golf Monthly magazine.

"McGinley is hugely respected and represents all those players who have made a very good living but are not superstars.

"I think it's healthy that you can become a Ryder Cup captain without winning majors."

Where McGinley may also have an advantage is that he remains a full-time member of the European Tour and gets to see his likely team and picks close up on the golf course.

The 64-year-old Watson, by contrast, plays on the U.S. seniors' Champions Tour, occasional appearances in the majors excepted.

Veteran campaigner

"I think I'm the second oldest guy with a card on Tour, but I still enjoy playing," McGinley said.

"I played well last season with a couple of top-five finishes, so when I play well, I'm still able to compete."

It has also enabled him to sample at first hand the layout at Gleneagles, where battle will be joined from September 26-28 next year.

McGinley played all four rounds of the recent Johnnie Walker Championship, the last tournament to be played on the Perthshire course before the 40th Ryder Cup contest.

"I'll be watching the positions in the fairway and wondering if there's anything I can change or if there's anything we need to change to maximize and give our team an advantage next year," he told CNN before the event.

"We've got the experience of playing 10 years around here, the Johnnie Walker Championship, a lot of us know the pin positions and how the course is normally set up, we can use that to our advantage."

But like his predecessors as European captain before him, Colin Montgomerie and Jose Maria Olazabal, McGinley admits that his own playing performances have suffered.

Career sacrifice

"It's tough. There's no doubt there's a lot of challenges, all the previous captains have taught me how difficult it is to focus on your own career," he said.

McGinley's peak came between 2002 and 2006, when he played on three successive winning European teams.

Although his overall personal record is mediocre, it was his 10-foot putt on the 18th to secure a half against Jim Furyk at The Belfry in 2002 which secured the cup for Europe.

A respected elder statesman, he was a natural to assist both Montgomerie and Olazabal as a vice-captain in their victorious campaigns.

It also put him firmly in the frame to step up when the choices were being made for the 2014 match.

With Montgomerie and former major winners such as Sandy Lyle and Darren Clarke also being touted for the prestigious job, McGinley's failure to reach the very top of the game as a player was thought to count against him.

Ryder Cup standout Lee Westwood, although an admirer of McGinley, went public with his support for Clarke.

"Paul has played three Ryder Cups, Darren has played five, won a major championship and a lot of other tournaments worldwide. You have to have criteria somewhere and he edges it for me," the Englishman was quoted as saying.

Unanimous choice

McGinley admits that by the time the process reached a conclusion with a vote of the Players' Committee in Abu Dhabi in January, he was resigned to his fate.

"If the captaincy hadn't come my way it wouldn't be the end of the world for me, and to be honest in the last week or so before the vote I had been fatalistic about it," he revealed.

McGinley was eventually the unanimous choice of the committee and has set about forging his own imprint on the team; winning an extra captain's pick -- two became three -- was the first task accomplished.

"It's going so fast. I can't believe it's been six months since I was appointed, but fortunately it's going very well so far," he said.

The acid test will come in the autumn of next year when McGinley makes those crucial three picks then attempts to lead his team to their eighth win in the last 10 stagings.

The last two matches at Celtic Manor and Medinah, where Europe recovered from a four-point overnight deficit to score a spectacular triumph, have been desperately tight and McGinley believes they act as motivation for the United States team.

"They are obviously keen to sort this out. Tom Watson is here to do business and he is taken this on ... again ... at his age ... for a reason: to win it."

Elliott is already predicting another tense affair and believes it adds to the magic of the Ryder Cup.

Close contest

"It's better if there is only a half-point or point in it and it wouldn't be the worst thing in the world if America were to win it, to help retain the interest of their public in the event."

He believes that the visitors could not have chosen a better captain than the legendary Watson.

"He even has a legend's voice, with so much gravitas!

"He will boost the American team and is particularly adored in Scotland, where he has had a love affair with the country after winning the British Open four times."

McGinley is also popular wherever he plays and takes great heart from the "incredible" performance of Europe's women in the Solheim Cup against the United States, beating the hosts by eight points in Colorado last month.

"I hope this will propel the Ladies European Tour to a brighter commercial future, like the Ryder Cup did for us," he said.

Certainly the exploits of the late Severiano Ballesteros helped to send golf into wider markets, with other major winners such as Nick Faldo, Bernhard Langer, Ian Woosnam, Sandy Lyle and Olazabal giving the European team the basis for continued success.

Gleneagles countdown

But McGinley believes there is greater strength in depth now. "Back then we had six or seven really strong players, maybe four or five not so strong, and there would be a heavy dependence on the star men.

"It's different now, illustrated last year (at Medinah) when Jose Maria played all 12 players on the first day."

Whether McGinley employs the same inclusive approach at Gleneagles, only time will tell, but he gained the reputation of being an astute tactician when he led the Great Britain and Ireland team to wins over Continental Europe in the Seve Trophy in 2009 and 2011.

"He's a detail man and that should make him a very good Ryder Cup captain," said Elliott.

Watson will surely inspire the U.S. to great heights next year, so it remains to be seen if McGinley can match him in a fascinating subplot to the eventual outcome.

@highlight

Paul McGinley is captain of the European team for the 2014 Ryder Cup

@highlight

Europe retained trophy with epic win over the United States at Medinah in 2012

@highlight

The 46-year-old Irishman is still competing on the European Tour

@highlight

Golf legend Tom Watson takes charge of the United States team