(CNN) -- An Ohio death row inmate who has repeatedly claimed his innocence was spared execution, after the state's governor Thursday noted "legitimate questions" about evidence used to convict the man.

Kevin Keith for now will spend the rest of his life in prison without parole. His legal appeals will continue, with lawyers claiming newly discovered evidence and discredited eyewitness testimony will ultimately exonerate him.

Keith was convicted of the 1994 killings of three females, including a child, in an apartment in Bucyrus, 60 miles north of Columbus. He was scheduled to die by lethal injection September 15, and had exhausted most of his federal and state court appeals. Gov. Ted Strickland, a Democrat, issued his commutation this week after a number of civil liberties and innocence groups urged he step in to prevent a possibly innocent man from being executed by the state.

"Clearly, the careful exercise of a governor's executive clemency authority is appropriate in a case like this one, given the real and unanswered questions surrounding the murders for which Mr. Keith was convicted," said Strickland in a statement. "Mr. Keith still has appellate legal proceedings pending which, in theory, could ultimately result in his conviction being overturned altogether.

The governor added, however, that he believes "it is far more likely that Mr. Keith committed these murders than it is likely that he did not." Strickland urged the courts to give a "full, fair analysis" of the issues raised in the appeal. He ignored the recommendations of the state's parole board, which last month unanimously recommended against clemency.

Keith's lawyers applauded the governor's decision, but promised to continue the fight to clear the inmate.

"Mr. Keith remains incarcerated for a crime he did not commit, and that crime remains unsolved," said a statement from his five-person legal team. "The commutation to a life sentence does not lessen the need for justice to prevail."

Prosecutors said the 46-year-old Keith had maliciously sprayed a home with gunfire, that left a 4-year-old dead, along with her mother and aunt. Three others were wounded but survived, including a man who later testified against the main suspect. At trial, the state argued one of the victims was the brother of an undercover police informant who had implicated Keith as a drug dealer.

But Keith's public defenders point to at least one other suspect, and say a detective in the case lied on the stand about how a survivor of the shooting identified Keith. His defense team also later presented alibi witnesses.

Calls to the Crawford County prosecuting attorney's office were not immediately returned.

The issue of "actual innocence" and the rights of prisoners to challenge their sentences years after a trial will be argued next month at the U.S. Supreme Court. A Texas death row inmate wants DNA testing from evidence that had not been analyzed at the time of his trial, to try to prove he did not commit the crime.

The Innocence Project, a New York-based legal clinic said 258 people have been exonerated through DNA testing and new evidence being uncovered, with their convictions being tossed out. Many defense attorneys have urged the courts to make it easier for inmates-- especially those facing execution-- to go to court to press for a new look at these innocence claims, including more sophisticated DNA testing of old evidence.

"It's a win-win for the justice system. If he turns out to be guilty, we have the certainty of that fact with objective DNA science prior to the time that we carry out the ultimate punishment," said Nina Morrison, a staff attorney with the Innocence Project. "And if he's not guilty, obviously that's something that we, and surely the state, would want to know prior to the time that an irrevocable penalty of execution is carried out. "

@highlight

Kevin Keith was scheduled to die by lethal injection in two weeks

@highlight

Ohio's governor changed the sentence to life in prison without parole for three killings

@highlight

The governor cites "legitimate questions" about evidence in the case

@highlight

But the governor adds he thinks it is "far more likely" than not that Keith committed the killings