Washington (CNN) -- The government will provide $680 million in compensation to settle a class-action lawsuit by Native American farmers against the U.S. Department of Agriculture, according to a proposed agreement announced Tuesday.

Under the agreement, which requires federal court approval, Native Americans can file claims for discrimination involving farm loans that occurred in the period from 1981-1999, said statements by Agriculture Secretary Tom Vilsack and Attorney General Eric Holder.

"Today's settlement can never undo wrongs that Native Americans may have experienced in past decades, but combined with the actions we at USDA are taking to address such wrongs, the settlement will provide some measure of relief to those alleging discrimination," Vilsack said in his statement.

The $680 million will compensate eligible members of the class-action suits with valid claims, the statements said. The agreement has two payment tracks -- one provides $50,000 to those who provide substantial evidence of discrimination to an impartial adjudicator, and the other pays up to $250,000 to those who can show economic losses caused by discrimination.

"Actual monetary awards are subject to reduction based on the amount of available funding and the number of meritorious claims," the statements said.

The settlement also includes $80 million for debt relief, as well as other assistance for Native American farmers.

In a White House statement, President Barack Obama called the agreement "an important step forward in remedying USDA's unfortunate civil rights history."

The lawsuit alleged discrimination against Native Americans regarding their access to and participation in the Agriculture Department's farm loan programs, according to the statement. "This settlement marks a major turning point in the important relationship between Native Americans, our nation's first farmers and ranchers, and the USDA," said a statement by Joseph M. Sellers, the lead plaintiffs' attorney. "After three decades, Native American farmers and ranchers will receive the justice they deserve, and the USDA has committed to improving the farm loan system in ways that will aid Native Americans for generations to come."

George and Marilyn Keepseagle, whose name is on the lawsuit against the government, said they were unfairly denied operating loans and had to sell portions of their sprawling farm on the Standing Rock Reservation in North Dakota. "This is a great day for us, not only for us but our people," Marilyn Keepseagle said. "It's been a long time brewing and finally today it came to a positive end. And I'm happy about that."

She said she wants to use some of the money to pay off bills and to make much needed repairs to their home of 40 years. Claryca Mandan of the Mandan, Hidatsa and Arikara Nation, who is a member of the lawsuit, said she was unfairly denied farms loans in the past. Mandan and her husband still reside on land that was allocated by the Dawes General Allotment Act of 1887, which intended to settle Native American tribes and turn them into farmers and ranchers.

"It definitely was long, and it definitely was worth it, to voice some measure of justice for our community," Mandan said of the settlement. "It's always a rare day and one we rejoice in. We are very happy to be put back on equal footing again with the rest of America."

The settlement also calls for future changes to the USDA's farm loan program. It will create the Native American Farmer and Rancher Council, a new federal advisory committee, which lawyers said will bring together Native American and USDA officials to discuss the USDA's programs.

"I think the leadership in the USDA genuinely wants to see them succeed," Sellers said, adding that it will take time to implement the changes. "But we have the mechanism that will begin the process of delivering these services to Native Americans so [with] the next generation of farmers, the USDA will be a better partner than it has in the past."

He praised the leadership of Marilyn Keepseagle and Claryca Mandan and others, saying their perseverance showed such a case could succeed. "This illustrates the power of the individuals," Sellers said, adding they had "pursued this with great courage and determination, and it's a great tribute to them and others like them who may want to take on a mission like this."

The agreement follows a similar settlement in February on behalf of African-American farmers against the USDA, known as Pigford II. However, that settlement depends on congressional appropriation of the necessary funds, which hasn't happened. Obama's statement called on Congress to authorize the more than $1 billion in funding for the Pigford settlement.

Payment to the Native American farmers will come from the Judgment Fund maintained by the Department of Justice. The fund was established to provide monetary awards for court judgments and settlements against the government, and therefore needs no separate congressional authorization for the Native American farmers settlement.

According to the 2007 Census of Agriculture, there are about 60,000 Native American farmers in the United States -- double the number of African-American farmers.

@highlight

Plaintiffs say the long wait was worth it

@highlight

No congressional authorization required to pay settlement

@highlight

The agreement includes $680 million in compensation for discrimination

@highlight

The U.S. Department of Agriculture was sued in the class-action lawsuit