(CNN) -- Violent protests erupted Friday in Syria, with dozens of people killed in and around the restive city of Daraa and a boy slain in the coastal town of Latakia, reports said.

"The situation in Syria has worsened considerably over the past week, with the use of live ammunition and tear gas by the authorities having resulted in a total of at least 37 people being killed in Daraa , including two children," said Rupert Colville, a spokesman for the U.N.'s Office of the High Commissioner for Human Rights.

Among the dead were 15 people who tried to march to Daraa, sources said, and nine others who died when security forces fired on demonstrators in Daraa's main square, said Wissam Tarif, a human rights activist.

There were many casualties in Daraa, said Abdullah, who asked that his full name not be reported due to security concerns. He said he saw Friday's events in the city, where deadly clashes have taken place in recent days between security forces and protesters.

"Thousands gathered and moved to the governor's building in Daraa, and there they burned a large picture of Bashar al-Assad, and then they toppled a statue of Hafez al-Assad in the center of the square," Abdullah said, referring to the current president and his late father, the former president.

"After that, armed men came out from the roof of the officers' club in front of the governor's office and started firing at the crowd," he said.

Aman al Aswad, a political dissident, said dozens of people appeared to have been killed or wounded in clashes with security forces in the square, but he could not be precise on the totals.

CNN could not independently confirm the accounts as the Syrian government has yet to grant access to the network.

Earlier, more than 100,000 people attended an anti-government demonstration in the town, according to Kamal Aswad, a political activist in Daraa.

There, people ridiculed recent government pronouncements for reforms and an assertion by government spokeswoman and adviser Bouthaina Shabaan that the country's president had ordered "no live bullets" would be used against demonstrators.

One witness said the people chanted, "Bouthaina we do not want your bread, we want dignity!" He said an "overwhelming number" of protesters showed up in Daraa to support "martyrs," people killed in recent clashes.

"The whole of the city was out in the street to bury the dead and demand that those responsible be tried for their crimes against the people of Daraa," the witness said. "We broke the barrier of fear today and the security forces could not touch us."

The witness said the security forces had withdrawn from the center of the city and didn't interfere with the demonstrations, which are stoked by a range of political and economic grievances.

This week, a video made by a lawyer who describes himself as secretary general of the Association of Arab tribes and Clans in southern Syria has been circulating on the Internet.

In it, Ali Isa al-Obaidi says the tribes that make up the organization have "declared revolution against the regime, the dictator and his supporters." It is dated March 21.

"Dear brave Syrian people, the winds of freedom and change have erupted," he says. "After 41 years of the non-legitimate Assad family rule, which included killing, imprisonment, displacement, stealing of money... the victims of the criminal system number more than 100,000. The displaced number the same and there are 3 million displaced... Your duty today is to stand with your country's people and the revolution."

He says the revolution opposes no particular group, sect, religion or race. "It is against corruption and the corrupt, no matter what their background," he says, adding that he represents tribes and clans in Syria that together make up more than half of Syrians.

The speaker calls on:

-- members of the Baath party -- in which Assad plays a leadership role -- to quit the party;

-- Syria's military to "stand by the people and its revolution;"

-- scholars and religious leaders from all sects "to stand by the revolution and support it;"

-- the nation's youth "to demonstrate against the dictator and his supporters and stand by the revolution;"

-- Syrians everywhere to unite in peaceful protest.

It was not clear how much influence al-Obaidi holds in the country.

The situation in Syria has drawn concern from the international community. The United Nations said Secretary-General Ban Ki-moon spoke by phone with President Assad.

And in Washington, White House Press Secretary Jay Carney said Friday that the U.S. government condemns the outbreak of violence in Syria. "We are making clear from here and from other places what our position is," he said.

Human Rights Watch, among other groups, said Thursday that around three dozen people were killed in clashes in a 48-hour period.

"Syria's security forces are showing the same cruel disregard for protesters' lives as their counterparts in Libya, Tunisia, Egypt, Yemen, and Bahrain," said Sarah Leah Whitson, Middle East and North Africa director at Human Rights Watch.

"President Bashar al-Assad's talk about reforms doesn't mean anything when his security forces are mowing down people who want to talk about them."

The government announced a number of measures that apparently addressed protesters' demands. Among them are decrees to cut taxes and raise government workers' salaries by 1,500 Syrian pounds ($32.60 US) a month and pledges to provide more press freedoms, increased job opportunities and curbs on government corruption.

The government said it will form a committee "to contact and listen to citizens in Daraa."

It also said it would study lifting the country's emergency law and adopting new legislation that would license political parties.

Syria's emergency law, which has been in effect since 1963, allows the government to make preventive arrests and override constitutional and penal code statutes. It also bars detainees who haven't been charged from filing court complaints or from having a lawyer present during interrogations.

There were pockets of smaller turnouts in Syria on Friday.

State TV showed what it said were pro-government demonstrations in Aleppo and Damascus. The state-run Arab News Agency said its correspondent in Daraa "reported that the crowds in the spontaneous popular rallies chanted national slogans highly lauding President Assad's generous decrees and decisions, pledging their loyalty to his excellency and their unity under his leadership in the face of any conspiracy against Syria."

But video also emerged of protests in Hama, where the government violently suppressed an uprising in 1982.

And the state news agency reported that an armed gang attacked security forces in the southern city of Sanamen, which "resulted in the deaths of several attackers."

Video was posted on YouTube purporting to show the scene of the shooting. It shows hundreds of young men and boys walking down a street, then turning around and running back as gunfire breaks out.

Over the course of the 5-minute video, they regroup several times and head down the street only to reverse course at each burst of fresh gunfire. Some of the demonstrators are clumped into groups of about five men each. As they approach the camera, the lens reveals their broken cargo -- some eight gunshot victims in all. One of them holds his fist aloft, another's limp arm points downward, jostling as he is carried away. Several of them appear drenched in red.

Other videos showed young men defacing billboards of the Syrian president and pulling down a statue of the leader.

Haytham Manna, a Syrian rights activist from Daraa who lives in France, reported demonstrations in the cities of Raqqa, where there were reports of arrests and injuries, Latakia, and Homs.

Tarif said a 13-year-old boy was killed in Latakia after he was beaten by security forces when they tried to break up a demonstration. The teen was from the neighboring village of Jabla.

Haitham Maleh, a Syrian human rights lawyer in Damascus, said demonstrators turned out in Deir Al-Zour and were roughed up in Damascus.

"Syria today is like a barrel of gunpowder, and may explode at any moment," Maleh said. "What is happening in Syria cannot be tolerated anymore. We have been subjected to oppression, domination and suppression by the security authorities and we have unemployment exceeding 30%, while 60% of us live below the poverty line."

Maleh's son, Iyas, said a legal group asked the International Criminal Court to investigate possible crimes against humanity committed by Syrian forces. The group is the Haitham Maleh Foundation for the Defense of Syrian Human Rights Defenders.

Because Syria is not a "state party to the Rome statute," which established the International Criminal Court, it can't typically act on allegations of crimes in Syria. There are two exceptions, however. One would be if the Syrian authorities were to accept the jurisdiction of the court, and the other would be if the U.N. Security Council were to refer the situation to the court.

Iyas Maleh said he hopes the Security Council will act.

"If not, then I guess we will have to wait until there is a recognized Syrian transitional government who can sign the Rome statute."

Bashar al-Assad has been president since 2000, succeeding his father, who ruled Syria with an iron fist for nearly 30 years. The 45-year-old Assad studied to be an ophthalmologist, but became Syria's heir apparent after the death of his older brother.

Assad was elected to a second term as president in 2007, with 97% of the vote. When he took office, Assad initially loosened some government restrictions on Syria's people, but analysts say that he has since slowed -- even reversed -- that move toward political reform.

Assad is an Alawite, as are many of Syria's political elite, while Sunnis make up nearly three quarters of the population. The Alawite faith is an offshoot of Shiite Islam.

CNN's Salma Abdelaziz, Ben Wedeman, Amir Ahmed, Saad Abedine, Mustafa Al-Arab, Christine Theodorou, and Joe Sterling contributed to this report

@highlight

Video purports to show shooting site

@highlight

Accounts surface of at least 37 dead, including 2 children, during past week

@highlight

State-run news agency reports spontaneous pro-government rallies in Daraa

@highlight

Activist says 9 were killed in Daraa's main square