(CNN) -- The spread of polio constitutes an international public health emergency, the World Health Organization declared Monday.

"If unchecked, this situation could result in failure to eradicate globally one of the world's most serious vaccine preventable diseases," the WHO said in a statement.

At the end of 2013, 60% of polio cases resulted from the international spread of the virus, and "there was increasing evidence that adult travelers contributed to the spread," according to the statement.

Polio mainly affects children under the age of 5, according to the WHO. One in 200 infections leads to irreversible paralysis; 5 to 10% of patients die when their breathing muscles become immobilized. It can only be prevented by vaccination.

Of the 10 countries currently infected with polio, three -- Pakistan, Syria and Cameroon -- have allowed the virus to spread internationally, according to an emergency committee convened by the organization, which met late last month.

Polio has spread from Pakistan to Afghanistan, from Syria to Iraq and from Cameroon to Equatorial Guinea, according to the WHO.

The concern is that the spread comes during the low transmission season for polio, typically January through April, said WHO spokeswoman Christine Feig. This is a "red flag," she said, as "it has been years" since the virus was spread to three countries during low season.

Polio re-emerged in Syria in October 2013 after a 15-year absence. The ongoing civil war in Syria has hampered immunization rates "due to the severe interruption of public health services and to the conditions in which the people are living," according to a WHO report.

There have been 74 cases of polio so far this year, Dr. Bruce Aylward, WHO assistant director-general for polio, emergencies and country collaboration, said Monday.

Of those, 59 were in Pakistan. No other country has reported more than four cases, and the only country with four was Afghanistan, he said.

The committee's decision to declare an international public health emergency means that Pakistan, Syria and Cameroon are urged to declare national public health emergencies regarding polio and ensure all residents and long-term visitors are vaccinated.

In addition, the WHO said, citizens of those countries traveling internationally should be vaccinated before their departure and carry proof in the form of an International Certificate of Vaccination or Prophylaxis.

Meet India's last polio patient

"A coordinated international response is deemed essential to stop this international spread of wild poliovirus and to prevent new spread with the onset of the high transmission season in May/June 2014," according to the organization.

Nations infected with polio, but not spreading the disease internationally now include Afghanistan, Equatorial Guinea, Ethiopia, Iraq, Israel, Somalia and Nigeria, the WHO said. Those nations were also encouraged to take similar measures to ensure high levels of vaccination in residents and travelers.

While the recommendations are not legally binding, they are in the context of the International Health Regulations, which are binding on member states, Aylward said.

"These recommendations are not legally binding in the strict sense ... but they do carry substantial weight because, of course, they are in the context of a legally binding international treaty," Aylward said Monday.

No cases of polio have been detected in Israel, but the WHO previously reported the virus was found in sewage samples, as well as in stool samples from children who had been immunized.

In all, 417 cases of polio were reported worldwide in 2013, said Aylward.

Further spread of the virus could put at risk countries that are currently polio-free but are "conflict-torn and fragile" with compromised routine immunization services, the WHO said.

The current situation is "in stark contrast" to the "near-cessation" of the spread of polio from January 2012 through April 2013, according to the statement.

In March, Southeast Asia, including India, was declared polio-free. India, the world's second most populous country, was able to achieve the goal by deploying immunization efforts to reach those most vulnerable, according to UNICEF.

Polio was eradicated in the United States in 1979, according to the U.S. Centers for Disease Control and Prevention.

Vaccination campaign against polio, other diseases begins in Mideast

Pakistan grapples with polio fight

India beats the odds, beats polio

@highlight

Polio has spread to three countries this year

@highlight

It's typically the low season for transmission of the virus

@highlight

Pakistan, Syria and Cameroon are urged to put measures into place

@highlight

417 cases of polio were reported worldwide in 2013, WHO says