(CNN) -- Viva Chile.

Late last winter, Chile was shaken first by an 8.8-magnitude earthquake and, later, looting and military police hitting the streets. In August, the San Jose mine collapsed, threatening the lives of 33 men trapped a half-mile underground and further testing the upstart South American country's psyche weeks ahead of its bicentennial commemoration.

But this week, Chile came alive -- in the eyes of its citizens, as well as the world.

Copiapo, which could have been the site of mass mourning had the miners' rescue effort gone awry, instead became home to a patriotic festival. The strong national pride was omnipresent: from the red, white and blue Chilean flags that permeated the rescue site to the chants that rang out as the miners rose to the surface. It was clear, too, many miles away -- whether it was the hugs and tears of joy among the throngs watching the scene on a flickering big-screen TV set up in a Santiago city square, the champagne corks popping at the Chilean embassy in Washington, or countless bite-sized conversations in the vast reaches of cyberspace where the Chilean miners were a top trending discussion on Twitter.

"What emotion! What happiness! What pride to be Chilean!" wrote Chilean President Sebastian Pinera, on his own Twitter page.

Like many emerging countries, Chile has not been without its challenges. It continues to emerge from the shadows of dictator Augusto Pinochet's rule from 1974 to 1990, when up to 30,000 people vanished or were killed because of their political beliefs. Economic disparities and political divisions still exist, with the global recession having a real impact in this Andean nation. Yet, its past and recent challenges notwithstanding, Chile has also emerged as a model in Latin America and the world, given its solid economic base and fervent democracy.

"Chile is ... a country with really strong institutions," said Peter DeShazo, director of the Americas Program at the Center for Strategic and International Studies. "And it's economy has done really well."

While it could have been a calamity, the San Jose mine rescue effort instead turned into a celebration, not just of the miners' survival but also the nation's collective ability (with help from international friends) to safely extricate them. Thus, this week's rescue effort gave Chileans a good reason and made-for-TV stage to show off their longstanding patriot fervor to the world.

"Chileans, in general, have a strong sense of national identity," said Susan Purcell, director of the University of Miami's Center for Hemispheric Policy. "And with this episode, it's like they did everything right."

Since Pinochet, Chile has experienced significant economic growth and steady inroads combating corruption and poverty. But until now, Chile rarely had been front-and-center in most everyday discussions of Latin America, which are more likely to be dominated by Brazil's booming development, communist Cuba, Colombia's civil war and Venezuela under leftist leader Hugo Chavez. Thus, while international policymakers and business leaders have seen (and, in some cases, been party to) its development, the mine collapse and rescue effort were many people's first sustained exposure to Chile, its people and its potential.

"Chile should be held up as a model, but it often isn't," said Purcell. "I don't know if (the rescue) changes the image of Chile, or it creates an image of Chile."

Led by President Pinera, the rescue effort and Chile were very much intertwined. Government officials frequently appeared before TV cameras, Chilean flags abounded and patriotic chants rang out regularly. The loudest and emotional could be heard when the miners emerged: "Chi! Chi! Chi! Le! Le! Le! Los mineros de Chile!"

That was no accident, said Nara Milanich, a professor at New York's Barnard College specializing in Chile. Pinera, who had seen his popularity drop since taking office last March, took control of the situation and played to the cameras, she said. Camp Hope sprung up, as a temporary home to miners' families as well as the scores of global media who descended on the scene.

"They are so conscious that the world is watching," said Milanich. "This is as genuinely Chilean as Baywatch is genuinely American. This is a TV show."

Still, for all the production set-ups and political posturing, Milanich said that Chileans' joy was true and widely felt. While the release came at a critical time for Chileans, who wrestled with "soul-searching" after the quake and during the bicentennial commemoration, it reflected citizens' deep-rooted sense that Chile is worth celebrating. And in Latin America -- especially given Chile's rivalry with Andean neighbors Bolivia and Peru dating back to the 19th century War of the Pacific -- such self-congratulation among Chileans is almost expected and sometimes resented.

"I don't think Chileans suffer from an inferiority complex," said Kristen Sorensen, a professor at Bentley University in Massachusetts. "In some sense, they have a superiority complex."

@highlight

Experts say that Chileans have long boasted a strong sense of national identity

@highlight

The miners' rescue effort is described as a made-for-TV production showcasing Chilean excellence and pride

@highlight

The rescue has been many people's introduction to Chile