(CNN) -- After President Barack Obama made his tepid endorsement of same-sex marriage last week, the pundits, from Fox News all the way to The New York Times, quickly pivoted from asking why to whether it will hurt him politically.

But there is a more interesting question: How, in less than a decade, did America go from being a country in which some states punished gay sex with criminal penalties to one in which the highest elected official in the land now champions the right of same-sex couples to marry? The answer can be found in the interaction between supporters of marriage equality and the Christian conservative movement over the past few decades.

As late as the 1980s, same-sex marriage was on virtually no one's radar screen.

In 1972, the U.S. Supreme Court found the idea of a legal right of same-sex couples to marry so outlandish that it dismissed a Minnesota case presenting the issue without bothering to write an opinion. At the time, the gay rights movement was understandably focused on combating private violence and public discrimination. No single factor explains the movement's shift to the goal of marriage equality, but much of the credit must go to the very religious conservatives who assiduously campaigned against same-sex marriage, thus forcing the issue onto the front burner of American politics.

It happened like this: In 1993, in the case of Baehr v. Lewin, the Hawaii Supreme Court decided that the state's prohibition on same-sex marriage was discriminatory. In 1998, Hawaii's voters passed a referendum giving the legislature the right to declare same-sex marriage illegal, but in the meantime, social conservatives had taken the issue to the national stage, where it promised to pay handsome dividends. Same-sex marriage was still so unpopular that in 1996, tremulous Democrats joined Republicans in overwhelmingly passing the Defense of Marriage Act, or DOMA, signed by President Bill Clinton.

That act defined marriage at the federal level to mean only heterosexual marriage and authorized states to deny recognition to same-sex marriages performed in other states -- even though, at the time, no state had authorized the practice. DOMA was thus a preemptive strike by the opponents of marriage equality.

But the act helped to call into being the very marriage equality movement it aimed to combat. Encouraged by their surprising, if temporary, success in Hawaii, and outraged by the blatantly homophobic arguments that had been made in favor of DOMA, the lesbian/gay/bisexual/transgender movement reluctantly began to turn its energy and resources toward the goal of marriage equality.

This was a fundamental shift, not made without controversy within the movement, where many worried that calling for marriage equality would unleash the fury of the Christian Right. Whereas many activists had given higher priority to such issues as employment discrimination, HIV/AIDS education and protection against hate crimes, the denial of marriage equality now came to be seen as a broad symbol of second-class citizenship for LGBT Americans.

Obama's declaration of his support for marriage equality the day after North Carolina residents banned both same-sex marriage and civil unions in a referendum is only the latest encapsulation of the dialectical interaction of movement and countermovement: Each effort to limit marriage equality has led to a countereffort on behalf of equal rights. As the first African-American president, Obama could not be seen to stand on the wrong side of the most prominent civil rights struggle of our time.

Americans increasingly see laws that deny a person the right to marry someone of the same sex as reminiscent of the ugly laws that once forbade interracial marriage.

The rest is, if not yet history, at least a well-known story. Although same-sex marriage remains illegal in most of the United States, and the issue may yet play to Mitt Romney's advantage in November, time is on the side of equality.

Those of us who favor same-sex marriage are rightly grateful to Obama for having come off the fence. But we should also thank religious conservatives for having put the president on the fence in the first place. Were it not for their opposition to same-sex marriage, it might have taken much longer for Americans to take up the cause.

The opinions expressed in this commentary are solely those of Michael C. Dorf and Sidney Tarrow.

@highlight

Michael Dorf and Sidney Tarrow: How did gay marriage issue move to forefront so quickly?

@highlight

They say LGBT people had been quiet on it; issue came up when Hawaii court ruled for it

@highlight

They say conservatives pushed back hard, and the marriage equality movement started

@highlight

Writers: If right hadn't brought national opposition, issue would have remained under the radar