(CNN) -- The movie "Big" is celebrating its 25th anniversary, but the 1988 blockbuster almost didn't become the movie beloved by audiences today.

For starters, Tom Hanks originally turned down the lead, writers were seriously considering the title "When I Grow Up," and producers had trouble attaching a director to the picture.

"Tom Hanks was my first choice but he said 'no,' " director Penny Marshall told CNN, "and so did everyone else because there were other movies with the same premise. So I decided to go with someone who's a behavioral actor -- Bob DeNiro."

The tale of a boy whose diminutive stature prevents him from enjoying what he perceives to be the spoils of maturity makes a wish to be "big" at a carnival, only to wake up the next day as a 30-year-old man.

It's hard to imagine Robert DeNiro in the man-child role of Josh Baskin, but DeNiro was, in fact, attached to the role prior to backing out in negotiations.

DeNiro's interest in the film validated the project for Marshall. It was only her second directorial effort, and she soon found A-listers vying for the part of Josh.

Marshall knew Hanks from their days as sitcom stars on the Paramount lot. The former "Laverne and Shirley" actress thought the former "Bosom Buddies" star's "sweet, innocent face" would be a good fit.

But there was big trouble for Marshall, whose career as a director was at stake. Not only were three other body-switching movies currently in production ("Vice Versa," "Like Father, Like Son," and "18 Again"), but "Big" was the last one out of the gate that year because the crew had to wait for Hanks to become available.

Despite those odds, "Big" garnered Hanks his first Best Actor Oscar nomination and the movie earned an Academy Award nomination for Best Original Screenplay. It was one of 1988's top-grossing hits, and the first movie directed by a woman to break the $100 million box office mark.

Actor David Moscow, who played young Josh, told CNN that he originally auditioned for the role of Josh's best friend, Billy. It was the child actor's second audition ever. Months later, when Hanks came aboard, Moscow got a callback.

Moscow's hair was dyed slightly darker and he wore green contacts in order to better resemble Hanks.

"In the first week of shooting I lost a tooth," said Moscow. "I was very late in losing my teeth, and I remember production lost their minds. They built what they call a 'flipper' -- a band attached to the tooth that I had to wear in my mouth during scenes; but I could pop it in and out of my mouth if I wanted to."

Marshall recalled demanding that Moscow, a fellow Bronx, New York native, "stop flipping" multiple times on-set.

Moscow and Hanks, of course, could not be in any of the same scenes, but Hanks' nice guy reputation was already filmdom lore.

"The producers were nervous for him [Hanks] because he refused to take a limo to the set and said he would just take the subway," said Moscow. "He showed up with a backpack and a hat on and he was just really down to earth."

For the sake of authenticity, Marshall built the Josh character around the real-life Moscow. Josh's bedroom resembled Moscow's.

"The Giants poster on the wall, the Yankees game, that was me," he said.

Marshall recorded home movies of Moscow and his friends interacting so Hanks could study their movements: how kids acted, ran, talked, and joked around with one another. The role required that Hanks un-learn the societal disciplines of being an adult.

Moscow even read many of Hanks' lines as a guideline to ensure a truly childlike delivery of lines that wasn't over-the-top.

Moscow wasn't the only child to contribute to the production end of things. The song Josh sang to prove his identity to Billy ("Shimmy, shimmy, cocoa pop. Shimmy, shimmy, rock... ") was taught to Hanks by his then 10-year-old son, Colin, who learned the little ditty at summer camp. Hanks still knows it by heart (and soul).

The FAO Schwarz sequence arguably stands out as the film's most iconic. The piano scene was key for many reasons, but primarily it was instrumental in getting Josh and his boss to bond. Because Silly String, pizza and loft apartments don't pay for themselves.

Marshall recalled preparing for the piano scene months in advance. The director approached the inventor of what is now the tourist attraction known as the Big Piano and asked for a practical instrument that the actors could play "Heart and Soul" and "Chopsticks" on.

Cardboard mockups of the piano were created for Hanks and actor Robert Loggia to practice on at home. Dance doubles were hired for close-up insert shots of the actors' feet, but in the end the footage was never used -- Hanks and Loggia were just that good.

As a nod to the scene, when the front cover of Fox Home Entertainment's new 25th anniversary edition Blu-ray/DVD is opened, "Heart and Soul" plays via an internal sound chip.

Moscow believes "Big" still resonates with audiences because "anybody can watch it. All ages. There's no violence in it. There's no gratuitous sex in it. It's something that's safe. But there are also these moments of pure magic."

Fans of "Big" have their own personal magic moments from the film, whether they're reminiscing about the excitement of one's first paycheck ($187!); or watching Tom Hanks in a white-sequined tuxedo lick cream cheese out of a celery stick, put it back, eat baby corn as if its on-the-cob and then proceed to dry heave after sampling Beluga caviar; or remembering the days of being uninhibited enough to jump on a trampoline in a skirt.

For others, perhaps it's the simple sweetness of Josh giving his colleague and soon-to-be girlfriend, Susan (played by Elizabeth Perkins) "a glow-in-the-dark compass ring. So you don't get lost."

The writers agonized over whether it was even appropriate for the Josh character to enter into a sexual relationship with a grown woman. They eventually defaulted to Judaic law and made him 13 -- he was originally supposed to be 12 -- meaning he'd already been bar-mitzvahed and thus undergone the rite of passage into manhood.

Of course (spoiler alert!) Josh misses his family, tracks down the Zoltar machine, and everyone (except maybe Susan) lives happily ever after.

Moscow said the scene in which he walks away from Elizabeth Perkins, swimming in the Tom Hanks-sized suit was particularly memorable. He kept looking at the wrong place as he said his lines.

"Sometimes the camera is the actor and you have to act to it even if the actor is standing four feet away," he said. "In the scene where I was wearing the big suit, gazing at Elizabeth, I was looking at the real Elizabeth instead of at the camera and Penny would be like, 'Cut!' "

Marshall hopes audiences continue to come away from the film with the notion that while everybody has to grow up, it's important not to lose the child inside. That life will never be that simple again, and it's important to retain that innocence.

"Everyone says, 'When I'm big I'm gonna ...' ," Marshall told CNN. "That's the message I held onto during 'Big.' "

Tom Hanks spoke about the wonder of childhood in an interview on the DVD extras.

"We go through periods of our lives where we're able to fall asleep in the back of the car while Dad drives home," said Hanks, "and later on we find ourselves being Dad who has to stay awake and drive while everybody's asleep in the back of the car. When you grow up it's all over with."

@highlight

The movie "Big" was released in 1988 and remains a classic

@highlight

Robert DeNiro was originally cast in the Tom Hanks role

@highlight

"Big" went on to receive Oscar nominations for Best Actor and Best Original Screenplay