Azwan Elias arrived in America this summer filled with excitement and eagerness to learn. Everyone who knows him says he is wise beyond his 17 years, that he is destined to lead others in his restive homeland of Iraq.

He set foot on U.S. soil for the first time in June, part of a group of young Iraqis chosen for a State Department-sponsored leadership program.

But the hopes in his heart vanished as fast as they had blossomed.

He was forced to watch from afar as militants from ISIS, which calls itself the Islamic State, pressed into northern Iraq, steamrolling Mosul, the nation's second largest city, and then chunks of Ninevah province.

Azwan's family feared for their lives in Bozan, a Yazidi village on the arid plains of Ninevah that's about 30 miles from Mosul.

They had lived there all their lives in a modest home built by Azwan's grandfather. Azwan's father worked as a veterinarian once and owned a small farm with a garden and grazing cows and sheep.

As a child, Azwan played with his five brothers and sisters and his cousins in the garden. They rode tricycles along a paved driveway and cooled off in Iraq's blistering blaze by soaking in a small, portable pool.

On special holidays, they walked up a mountain that rose to the sky above their village for a family picnic. Occasionally, they visited Lalish, the main holy site for Yazidis. Azwan remembers going twice to the temple, squeezed into a crevice between two mountains and just a short drive from Bozan.

Azwan, the oldest boy in the family, was a serious student. His father encouraged his education and had sent him to the Kurdish city of Irbil to study at The Kingery Institute for English and Computing, run by an American.

There, he began working with another American, Brad Blauser, whose charity delivers wheelchairs to Iraqi children with disabilities.

Everyone held high expectations that Azwan would succeed. One day, the family would break from the cycle that kept them bound to an impoverished village.

But now they were on the run. Their community was facing extermination.

And Azwan, whose drive to help others had led him to America, watched from afar, unable to help even his own family.

ISIS fighters were turning their rage on anyone who refused to succumb to their radical Sunni tenets, including Christians and Yazidis, religious minorities in Iraq. Hundreds of thousands were displaced overnight, according to the regional government.

Azwan's family, like many others, fled north to the outskirts of Zakho, a city in Iraq's Kurdistan region on the border with Turkey.

If Azwan returned to Iraq, he would have to fly into the airport in Irbil, under the Kurdish regional government. But he would be cut off from his family because the highway to Zakho goes through Mosul and territory under ISIS control.

He feared that if ISIS managed to enter Irbil, the first thing it would shut down would be the airport. Then, he would never be able to get out.

If he could get permission to stay in America, he would be safe. He might even have a chance at a life he could never dream of in Iraq. But he would be separated from his family, perhaps for a very long time.

The plight of his people bore down on Azwan as he attended classes every day with 25 other Iraqi students. He was the only Yazidi in the group.

The group traveled to various cities in America and spent a chunk of time in Portland, Oregon. Azwan savored the lush greenery of the Pacific Northwest and the wildly different taste of Mexican food. But his mind raced across continents and an ocean to the starkly arid, undulating landscape of northern Iraq.

Life-and-death decisions

Azwan was only 13 when he left home in Bozan to study in Irbil.

He loved school but hated that his geography books contained no pictures or illustrations. He looked forward to enrolling at the Kingery Institute, opened in 2008 by American doctor and missionary Paul Kingery.

Kingery remembers the first time he saw Azwan --  slight and so shy that for months he left the room every time Kingery entered. Over time, he relaxed and picked up Americanisms, though Kingery said Azwan remained true to his Yazidi roots: respectful, quick to help elders and hypervigilant about visitors of all religions and ethnic groups who came to the institute.

Eventually, Azwan grew to help manage the institute and assisted Blauser, the former civilian contractor in Iraq who ran Wheelchairs for Kids and was nominated as a 2009 CNN Hero.

Blauser recalls Azwan's determination to help his fellow villagers. He was smart and enterprising: a kid who thought more about teachers' salaries than about video games.

Azwan found the work rewarding. The stigma attached to disabilities is so high in Iraq that Azwan grew up not knowing his neighbor had two children who needed wheelchairs. They had hidden their secret well.

But times were getting tough for the Yazidis, long persecuted in Iraq for their religious beliefs.

Yazidis are one of the world's oldest and smallest monotheistic religious minorities. Their ancient religion predates Islam by thousands of years and has links to Zoroastrianism.

They venerate Lucifer as a redeemed archangel, which is why Muslims view them -- mistakenly -- as devil worshipers. Islamic militant attacks on the Yazidis in Iraq are based on this centuries-old loathing.

Even before ISIS arrived, Azwan's family lived under constant fear that Sunni militants in Mosul would attack Yazidis, as they had been known to do in the past. One time, they stopped a school bus, yanked all the Yazidi children out and shot them dead.

But "Yazidi" was not in America's vocabulary until in recent weeks when militant Islam's wrath threatened to wipe out an entire people in Iraq.

ISIS slaughtered more than 500 Yazidis, burying some of them alive. They captured women as slaves, ordered conversions to Islam and laid siege to Mount Sinjar, trapping 50,000 Yazidi people atop without food and water.

Azwan's father, Assad Elias, decided it was not safe for the family to remain in Bozan, so they fled to Zakho. Azwan's sister sent him photographs on her cell phone from the Turkish border.

Azwan told me it was hard to look at those images. He knew his loved ones, displaced from their home, were huddled together in a small room, struggling to survive. He also knew his father was not telling him everything.

I called his father to learn more about their situation.

"Please say hello to Azwan," Assad Elias told me, the fatigue apparent in his voice. "Don't tell him about our condition. I don't want him to worry."

He also said he doesn't want Azwan to return to Iraq.

"We, Yazidis, are treated like third-class citizens," Elias said. "Everywhere is filled with refugees. ISIS -- they hate non-Muslims who are not radicals. We and the Christians are vulnerable now to eradication."

Azwan, he said, should make a new life in America and hold onto one belief: one day the family will be reunited.

His father worries because no one in the family has a passport. Getting one would have meant a trip to Mosul, and for the last decade he has feared entering the Sunni-dominated city that has been a hotbed of insurgent activity since the ouster of Saddam Hussein in 2003.

Without passports, the Elias family cannot cross the Turkish border.

Once a proud farmer and veterinarian, Assad Elias feels like a caged bird. Life centers every day now on one thing: staying alive.

An uncomfortable silence followed. Then Elias' voice strengthened.

"Thank you," he said, "to good people everywhere. I wish only for peace in the world."

In America, Azwan worried about what would happen if ISIS pushed northward. How would his loved ones escape? He feared they would be trapped and slaughtered like animals.

"My family -- they are scared," he said. "They don't know what's going to happen."

He knew he was facing decisions that no one his age should have to make.

A chance at life free of fear

Last week, the visiting Iraqi students in the State Department's youth development program visited the White House and met with Vice President Joe Biden even as President Barack Obama was dealing with the myriad problems in Iraq.

It was the last outing for the Iraqi students. The leadership program was nearing an end. Time was running out for Azwan.He knew he could potentially face death if he returned to Iraq.

The young Iraqis boarded a plane to carry them back to their troubled land, their future prospects seemingly bleaker by the day. They took off with the horrific ISIS killing of American journalist James Foley in the headlines.

They took off without Azwan.

He stayed back with Bertwin Lord, a Washington-based international business consultant who knows Blauser and met Azwan at Kingery's school in Irbil. The three Americans had kept in touch with Azwan during his stay in the United States and stepped up to help him.

Lord said Azwan's father gave him permission to act as a guardian for Azwan until he turns 18 next month. Lord then filed a petition for Azwan to obtain asylum in the United States.

Lord believes the current persecution of the Yazidis is more than enough reason to grant asylum. It ought to be an open and shut case, he said. The petition is pending.

"He's a good kid," Lord said. "I know him. He deserves this."

Azwan said he is ready to finish schooling here and launch his American dream, even though he has no way of knowing when he will see his parents and siblings again. But he feels lucky.

Amid a real threat of extermination of his people, Azwan knows he is getting a chance to flourish.

Follow CNN's Moni Basu on Twitter

@highlight

Azwan Elias came to America as part of a State Department leadership program

@highlight

Back home in Iraq, his family fled ISIS persecution of the Yazidis

@highlight

Separated from his family, Azwan fears returning to his homeland

@highlight

He watched the slaughter of his people from afar