Cairo (CNN) -- It's been more than four months since longtime Egyptian dictator Hosni Mubarak was forced out by his people in largely peaceful mass protests that lasted 18 days. The opposition activists who celebrated in the streets after Mubarak stepped down had hoped that tangible changes would follow soon after their Tahrir Square victory. It had not even taken three weeks to rid the country of an autocratic president who had ruled with an iron fist for three decades. Why, then, is it taking so long to achieve further progress?

"The people who went to Tahrir were fed up with corruption, with the lack of freedom, the social injustice and police brutality," said Amr Khodeir, a 27-year old accountant who camped out with fellow revolutionaries in the square. "We thought we would feel the change once Mubarak and his men were no longer in power."

But four months on, little has changed on the ground. With parliamentary elections planned for September and the government in transition, the nation's economic outlook is as bleak as ever.

The country's long-detested police force, which deserted the streets during the uprising, has been hesitant to return and face the wrath of a now-emboldened and angry public. This has contributed to a security vacuum that has led to increased crime, thuggery and a spate of sectarian violence. Yet protesters still face the prospect of detention and possible mistreatment, human rights activists say.

Many Egyptians feel that the revolution is incomplete as they wait for Mubarak and members of his former administration to be brought to justice. They wonder why the Supreme Military Council, now in control, has not acted against former regime members to show its commitment to change.

Trials of the former ministers -- facing charges ranging from misuse of public funds to ordering the killing of protesters --- have been postponed several times. Mubarak himself has so far escaped justice, although he is under arrest in his hospital room in the Red Sea resort of Sharm el Sheikh and has been barred from leaving the country.

"Egyptians too are dismayed that the ousted president's loyalists were given ample time to hide their assets," Asmaa Mahfouz, a founding member of the April 6 youth movement, recently told a Cairo gathering.

Some Facebook users ask why the Supreme Military Council and the transitional government have taken to so long to put Parliamentary Speaker Fathy Surour, Mubarak's chief of staff Zakaria Azmy and National Democratic Party Secretary General Safwat el Sherif behind bars. There has been no official response.

Members of the Mubarak's ruling National Democratic Party still hold key positions in state institutions.

"Whenever one NDP member is forced out by angry protesters, he or she is almost immediately replaced by another Mubarak loyalist," said Najlaa Abdel Hafez, a journalist working for the state-sponsored Al Ahram newspaper.

At Egypt's state TV, where I worked until quitting February 3 in protest of the uprising coverage, the same heads of channels and senior editors who described revolutionaries as traitors and foreign agents during that period are still in charge

"Nothing has changed," said Ahmed Sherif, a news editor with the main Arabic channel. "In fact, there is greater control now than there was during the Mubarak era. All scripts are revised by senior editorial staff, and any news item related to the armed forces has to be approved by the Morale Affairs Department before it is aired or published."

In recent weeks, six journalists were summoned by the military prosecutor for questioning after publicly criticizing the military on television talk shows. Among them was Hossam Hamalawy, who had urged that members of the armed forces be held accountable for any wrongdoing, saying that no one is above the law.

Blogger Michael Nabil was sentenced to three years in prison by a military court for criticizing the army. The New York-based Committee to Protect Journalists, which promotes press freedom, has said that such actions were meant "to create a climate of fear and to intimidate journalists."

In a more shocking development just weeks ago, a young reporter was sexually assaulted while covering a Friday rally in Tahrir Square. The attack was front-page news, and all the local dailies carried a picture of the reporter in apparent shock after her ordeal. In a conservative, predominantly Muslim society where a girl's chastity is closely linked to family honor, it is rare for such photographs to be displayed publicly for fear they may sully a girl's reputation and stigmatize her for life.

"The decision by local media editors to brazenly show the pictures was a clear message to deter female protesters from joining their male counterparts in Tahrir Square in future," businessman Medhat Fawzi suggested.

There also have been reports of brutality against Tahrir Square protesters arrested since Mubarak's fall from power.

Mona Seif, a young activist who has made it her mission to document rights abuses by the armed forces, says one group of detainees was subjected to torture, including electric shocks, at the hands of the military March 9.

In an earlier incident, on February 26, opposition activist Mohamed Moussa alleges that he and fellow protesters were relentlessly beaten and kicked while in detention, allowed a brief respite only when they followed orders to chant "Long live Hosni Mubarak."

As the elections draw nearer, many are left wondering whether the military rulers will be willing to cede power to a civil government. Ambassador Mohamed Rifaah, former official spokesman for the Grand Sheikh of Al Azhar, Egypt's highest religious authority, is one of the skeptics.

"Egypt has been ruled by the military for 60 years," he said. "Convincing the diehard dictators to loosen their grip on power won't be easy."

@highlight

It took only 18 days for Egyptians to oust President Hosni Mubarak

@highlight

Why is further progress taking so much longer?

@highlight

Many wait for Mubarak and his loyalists to be brought to justice

@highlight

Journalists say restrictions are even worse now than under Mubarak