Conventional political wisdom suggests that immigration reform in a midterm election year has a snowball's chance in July of getting any traction.

But maybe that wisdom isn't so conventional.

Some Republicans say they are warily preparing for the possibility that President Barack Obama could use executive action this summer to bypass congressional gridlock and act on immigration reform.

Those changes could include making noncriminals and minor offenders the lowest deportation priorities, a recommendation the Congressional Hispanic Caucus stressed in its meeting earlier this month with Homeland Security Secretary Jeh Johnson.

Republicans have good reason to worry, said Stephen Yale-Loehr, a professor at Cornell University Law School.

"If I had to predict, I think the president will make some administrative fine tuning of his immigration policies in the hopes of pacifying the immigration activists," said Yale-Loehr.

Rep. Mario Diaz-Balart, R-Florida, worries that day will come in August when lawmakers have headed home to their districts to campaign.

Diaz-Balart and his staff are cranking up the pace on crafting a measure that would help some undocumented immigrants gain their citizenship through currently existing channels, said Cesar Gonzalez, the congressman's chief of staff. He declined to say which existing channels the bill would use.

He added that the measure would also strengthen border security and try to address the backlog of green card applications for permanent status.

The White House has directed the Homeland Security Department to reexamine the administration's deportation policy following criticism over the roughly 2 million deportations that have occurred during Obama's tenure.

As recently as last week, the president declined to give a timeline on when those immigration policy reforms might occur.

Should Obama use the power of his pen to turn the tide on immigration reform?

"The only way to truly fix it is through congressional action," Obama told reporters on Thursday." We have already tried to take as many administrative steps as we could. We're going to review it one more time to see if there's more that we can do to make it more consistent with common sense and more consistent with, I think, the attitudes of the American people, which is we shouldn't be in the business necessarily of tearing families apart who otherwise are law-abiding."

Obama could take matters into his own hands

Still, some Republicans, including Sen. Marco Rubio, R-Florida, a potential 2016 presidential candidate who had a key role in helping write a Senate-passed immigration reform bill, have said they are concerned Obama will soon tire of congressional inaction and use executive action.

Diaz-Balart hopes to have his measure ready for a debate by June or July.

"We think that's the last window for our bill," Gonzalez said.

That "last window" would likely close because, as House Republican leadership has indicated, using the presidential pen and phone on immigration reform would further sour the relationship between the Obama administration and the GOP.

While the Senate passed its sweeping immigration package last year, the measure has stalled in the GOP-controlled House.

Republicans in that chamber have followed a more incremental approach with lawmakers -- like Diaz-Balart -- offering their own measures.

But Republicans might be gun-shy about taking up this type of measure, political experts say.

"There's a general wariness in the Republican caucus to take up immigration reform -- even incrementally," said Nathan Gonzales, deputy editor of the Rothenberg Political Report. "Taking up immigration has the potential to divide the caucus. There are some who want to move forward with immigration reform, but there are also Republicans who represent Republican districts who don't feel the pressure to take it up."

That's because immigration reform is a thorny topic and not one Republican lawmakers are likely to want to embrace in an election year.

"Republicans are trying to balance the prospect of potentially doing very well in the midterms with bringing up legislation or pieces of legislation that could potentially divide the caucus," Gonzales said.

Tensions between Obama and GOP on immigration

The looming threat of executive action also does little to soothe tensions between Obama and Republicans.

"That will make it almost impossible to ever do immigration reform, because he will spoil the well to the point where no one will trust him by giving him a new law that he will implement the way the Congress intended," House Speaker John Boehner told Fox News earlier this month.

A tale of two Republicans: A story of the GOP and immigration reform

According to a report in the Wall Street Journal, Boehner also told industry groups and campaign donors in March at a Las Vegas fundraiser  that, when it comes to immigration reform, the House Speaker is: "hellbent on getting this done this year."

In response to media questions about this statement, Boehner spokesman Brendan Buck emailed reporters on Friday saying "Everyone can tell their editors to chill."

"Nothing has changed," Buck said. "As he's said many times, the speaker believes step-by-step reform is important, but it won't happen until the president builds trust and demonstrates a commitment to the rule of law."

Still, some Democratic operatives are banking that Republicans â€” who lost big among African-Americans, women and Latinos in the 2012 presidential race â€” will feel pressure to act on immigration reform.

The Service Employees International Union said last year it was spending $500,000 to help defeat more than a half-dozen House Republicans who the group believes are vulnerable on immigration in November.

Earlier this month, House Democratic Leader Nancy Pelosi said race was part of the reason Republicans in that chamber are blocking immigration reform efforts.

"I think race has something to do with the fact that they're not bringing up an immigration bill," she said.

Republicans who have pushed immigration reform and political experts both say there is now a narrow window for the GOP to get something done.

Late spring and summer "might open a small window of time for Republicans to act," Yale-Loehr said. "If the primaries in spring and summer show immigration is not that big an issue with activists, then Republicans will feel they can go out on the limb and support reform."

@highlight

Immigration reform could get a second life under the threat of executive action

@highlight

President Barack Obama has suggested he might act to curb deportations

@highlight

Some Republicans backing reform worry the President will act by late summer

@highlight

The next few months offer a narrow window for the GOP to sidestep executive action