Beijing, China (CNN)  -- When Wu Youjian's teenage son told her on a spring night in 1999 that he was gay, Wu did something rarely heard of in China.

"I told him, there's nothing wrong with liking boys and it's no big deal," said the 63-year-old retired magazine editor.

Five years later, when her son discussed his sexuality on local television in the southern metropolis of Guangzhou, Wu made another groundbreaking decision. She became what state media calls the first Chinese parent to go on television in support of her gay child.

Zheng Yuantao, 30, knows how lucky he is to have such a mother.

"Many of my gay friends are afraid of going home during holidays, because their parents would ask about girlfriends and press them to get married," he said.

"I grew up in a very open-minded family," he added. "I didn't have too much of a struggle about my sexuality."

Wu now devotes her time and energy to speaking up for gay acceptance by family and society. Her small frame belies her big role in China's gay community, where she is affectionately called "Mama Wu."

She taught herself to use a computer three years ago and now writes a blog that has clocked more than 2.2 million hits. She also tweets frequently, has launched a hotline and founded the country's first PFLAG - Parents, Families and Friends of Lesbians and Gays - group in her hometown.

"I just followed my instinct and my love for my son," Wu said.

For other Chinese parents in her situation, however, instinct usually means a deep sense of shame. Many refuse to face the reality and some sever ties with their gay children. Others scheme to break up their children's relationships. Some may insist on psychiatric treatments, while others may threaten to commit suicide if their children don't change.

'Mama Wu' inspires other Chinese parents of gay children

"In China, we consider carrying on the family line of paramount importance, but we don't value the happiness of individuals," said Li Yinhe, a sociologist with the Chinese Academy of Social Sciences.

Societal pressure cooker

Suicide is high among Chinese homosexuals, Li said, with some surveys saying as many as 30 percent of gay youth attempt to take their lives. That trend mirrors the United States, where a spate of suicides by gay adolescents in recent months has shaken the nation.

Most gay men in China still succumb to social pressure and marry women. It once meant heterosexual marriages, often with children, Li said. Now, gay community activists say a small but growing number of young gay men in big cities are tying the knot with lesbians to both placate families and maintain their lifestyles.

Li conducted China's first comprehensive surveys on gay men. She published her findings in a 1992 book, which Wu credited for shaping her views on homosexuality.

While society at large has loosened up on homosexuality, Li said, family pressure on gay people remains strong because of deep-rooted Confucian ideas and the government's one-child policy - making Wu's words and actions all the more powerful.

"No one would listen to an outsider, but she is not - she is a mother whose only son is gay," Li said. "Others would wonder, if she can handle it so well, why can't I."

It's not all accolades for Wu, however. Vitriolic attacks often dog her online. On a popular video-sharing site, under a clip paying tribute to her achievements, a recent comment accused her of "leading our youth to a place filthier than a brothel" and "hastening the moral death of our already-sick society."

Wu brushes such verbal assaults aside. Her son, often a target himself along with Wu, understands why.

"It's not about how many people she can change," Zheng said. "The important thing is that she is out there helping real people every day."

Gay venues shut down

Homosexuality is not illegal in China, and in 2001 it was also removed from the country's list of officially recognized mental disorders. But it remains largely a taboo topic on state-run media.

Police sometimes shut down gay venues when high profile events are held. Gay rights advocates reported raids on gay clubs, saunas and cruising spots ahead of the Summer Olympics and the annual parliament sessions in Beijing in the past.

Officials have also pulled the plug - often at the last minute - on gay-themed events, including the country's first gay pageant last January.

Li, the sociologist who also serves as a government adviser, has tried to cement gay rights in Chinese law. She submitted proposals to legalize same-sex marriage in 2003, 2005 and 2006. None have succeeded so far - and she admits her goal probably won't be realized anytime soon.

"Gays are minorities in society," she said. "People just don't think this issue is important enough, compared to national priorities like economic development."

Wu stresses the social and non-political nature of her activities, highlighting official approval and state media reports in her speeches. Her group also joins the effort in HIV/AIDS prevention, a gay-related cause promoted by the government.

She has picked up pace in spreading the message of acceptance, giving lectures and hosting seminars across the nation.

At a recent PFLAG gathering in Beijing, Wu, sporting a rainbow scarf and speaking in a calm but firm tone, addressed a packed hotel conference room of about 100 people, with her son and his boyfriend in attendance.

Her voice cracked, however, when she mentioned how parental intransigence drove a married young gay man, who had sought her help, to take his life.

"We have to give them hope," Wu said, quoting iconic gay American politician Harvey Milk.

Wu says she constantly reminds other parents about one basic fact.

"It doesn't matter if our children are gay or straight - just like it doesn't matter if they are left-handed or right-handed," she said. "They are always our children."

Thousands of blog posts and phone calls later, Wu has compiled her stories in a new book - titled "Love Is the Most Beautiful Rainbow" - and vows to continue her effort.

"I have only one child, but so many call me Mama," she said.

@highlight

'Mama Wu' has earned fame by publicly defending her homosexual son

@highlight

Homosexuals face deep cultural prejudices and pressure to marry

@highlight

About 30 percent of Chinese homosexuals have attempted suicide

@highlight

Although not illegal, homosexual venues regularly shut down in China