Los Angeles (CNN) -- The trial of Michael Jackson's doctor reached another emotional peak Wednesday as jurors heard a recording of Jackson, using slow and slurred speech, telling Dr. Conrad Murray, "I hurt, you know, I hurt."

A photograph of Jackson lying dead on a hospital gurney was later projected onto a large screen in the courtroom, a vivid reminder to jurors of why they will listen to a least a month of testimony in Dr. Murray's involuntary manslaughter trial.

While the court camera feed focused on the disturbing image for just five seconds -- the result of a earlier decision to minimize public exposure to such shocking images -- it was displayed on a large screen in front of the jury for about two minutes.

Forensic computer expert Stephen Marx, who found the audio file on Murray's iPhone, said it was recorded on May 10, 2009, when Jackson was preparing for his "This Is It" concerts set for London two months later.

Prosecutors, who played a clip of the stunning audio in their opening statement last week, let the jury hear the entire recording in Murray's involuntary manslaughter trial Wednesday.

"Elvis didn't do it. Beatles didn't do it. We have to be phenomenal," Jackson said. "When people leave this show, when people leave my show, I want them to say, 'I've never seen nothing like this in my life. Go. Go. I've never seen nothing like this. Go. It's amazing. He's the greatest entertainer in the world.' I'm taking that money, a million children, children's hospital, the biggest in the world, Michael Jackson Children's Hospital. Going to have a movie theater, game room."

In the portion never before heard in court, Jackson talked about his life and concern for children:

"Children are depressed. The -- in those hospitals, no game room, no movie theater. They're sick because they're depressed. Their mind is depressing them. I want to give them that. I care about them, them angels. God wants me to do it. God wants me to do it. I'm going to do it, Conrad."

Another voice, which the prosecutor said was Murray's, is heard saying, "I know you would."

"Don't have enough hope, no more hope," Jackson said. "That's the next generation that's going to save our planet, starting with -- we'll talk about it. United States, Europe, Prague, my babies. They walk around with no mother. They drop them off, they leave -- a psychological degradation of that. They reach out to me: 'Please take me with you.'"

At the end, Jackson said he was "going to do that for them."

"That will be remembered more than my performances. My performances will be up there helping my children and always be my dream. I love them. I love them because I didn't have a childhood. I had no childhood. I feel their pain. I feel their hurt. I can deal with it. 'Heal the World,' 'We Are the World,' 'Will You Be There,' 'The Lost Children.' These are the songs I've written because I hurt, you know, I hurt."

His brother Jermaine Jackson wiped tears from his eyes as he listened in court.

Deputy District Attorney David Walgren said in his opening statement that Jackson was "highly under the influences of unknown agents" when Murray recorded Jackson.

Another recording found on Murray's phone and played in court Wednesday was a voice mail from Frank Dileo, who was Jackson's last manager.

Dileo's message to Murray, left five days before Jackson's death, suggested that he "get a blood test" from Jackson because "we've got to see what he's doing."

He referred to "an episode" Jackson had at a rehearsal the night before. "He's sick," Dileo said.

Concert producer Kenny Ortega testified about Jackson's illness in the first day of the trial, which he wrote about in an e-mail sent about the same time Dileo was leaving his phone message.

"He appeared quite weak and fatigued this evening," Ortega wrote. "He had a terrible case of the chills, was trembling, rambling and obsessing. Everything in me says he should be psychologically evaluated."

Jurors should also soon hear the full recording of Murray's interview with Los Angeles police two days after Jackson's death.

Murray's iPhone also contained e-mail attachments that appeared to be Jackson's medical records sent by Murray's office assistant to the doctor, who was gathering them for a British insurance agent who was arranging cancellation insurance for Jackson's London concerts.

The insurers were concerned about news reports that Jackson was seen "at various times using a wheelchair" and that he suffered a back injury, lupus, emphysema and cancer, according to an e-mail from the agent to the doctor.

Jackson refused to authorize the release of his medical records to the insurance company, Murray wrote back, but he added concerning the news reports of illnesses "let me say they're all fallacious to the best of my knowledge."

One record shown in court, kept under the alias "Omar Arnold," indicated that in September 2008, Murray diagnosed Jackson with insomnia and anxiety.

Files from the phone suggest Murray was dealing with the insurance agent's request around the same time he said he was struggling to help Jackson go to sleep with sedatives.

The prosecution wants to show jurors that Murray was distracted by a long list of phone calls and e-mails, causing him to neglect Jackson, who stopped breathing and died.

Los Angeles County Coroner's investigator Elissa Fleak testified Wednesday afternoon, showing jurors what she collected from Jackson's bedroom.

Fleak identified a saline bag that was cut open and an empty 100 ml propofol bottle inside. The prosecution alleges Murray used it as a makeshift IV drip to administer propofol to Jackson. The defense contends Murray gave Jackson just 25 ml of the drug and used a syringe to push it in.

Twelve bottles of the surgical anesthetic propofol were found in the bedroom during her first search the day Jackson died, including an empty vial found on the floor next to the bed, Fleak said.

Seven bottles of medications were on a nightstand next to the bed, including one with lorazepam pills prescribed by Murray to Jackson.

Murray's defense lawyers say Jackson caused his own death by swallowing eight lorazepam pills and orally ingesting propofol while Murray was out of the room.

The coroner ruled that Jackson's death on June 25, 2009, was the result of "acute propofol intoxication" in combination with sedatives.

Prosecutors argue that Murray, who was Jackson's personal doctor as he prepared for planned comeback concerts, is criminally responsible for the singer's death because of medical negligence and his reckless use of the propofol to help Jackson sleep.

Earlier Wednesday, a medical supply sales representative testified that a Murray assistant "raised a red flag" by asking that she ship an infusion IV set to a California residence, not his clinic.

Seacoast Medical rep Sally Hirschberg testified that she refused the request and instead sent the supplies, which were apparently recovered from Jackson's bedroom by investigators, to one of Murray's clinics.

Murray trial: No fist fights here

Tuesday's testimony by the trio of Murray's girlfriends also delivered drama.

Cocktail waitress Sade Anding, who dated Murray after they met at a Houston steakhouse where she worked, described a phone call from Murray that prosecutors suggest is evidence of when the doctor realized there was a problem with Jackson.

Five or six minutes into the call, which began at 11:51 a.m. the day Jackson died, Anding realized that Murray was not listening to her.

"I said 'Hello, hello, are you there?' " Anding testified.

She said that when she pressed her cell phone against her ear, "I heard the mumbling of voices ... and I heard coughing, and nobody answered." Anding hung up the phone about three minutes later, she said.

The interruption, which prosecutors said was probably when Murray noticed his patient was not breathing, would have come around 11:57 a.m., about 10 minutes before the time chef Kai Chase said Murray ran down the stairs to ask her to call for help.

The prosecution says that one reason Murray is criminally responsible for Jackson's death is because phone calls and text messages to these women, other patients and employees at his clinics caused him to ignore his patient while administering dangerous drugs.

Nicole Alvarez, 29, who has a 2-year-old son fathered by Murray, delivered animated testimony Tuesday that suggested she was starstruck by Michael Jackson, whom she met several times with Murray.

"I was speechless when I met him," Alvarez testified. "I couldn't believe I was meeting Michael Jackson."

Her testimony was important because it was her apartment where a Las Vegas pharmacy shipped 255 bottles of propofol -- totaling more than four gallons -- and 80 bottles of liquid sedatives that prosecutors say Murray ordered for Jackson.

The prosecution also asked her about a phone call Murray placed to her from the ambulance while on the way to the hospital with Jackson.

"I remember him telling me that he was on the way to the hospital in the ambulance with Mr. Jackson and for me not to be alarmed," Alvarez said. "He didn't want me to be worried, because he knew I would learn this through the news."

On Monday, the emergency room doctor who declared Jackson dead testified that there was no way doctors could have revived the pop icon after he arrived at the hospital.

If convicted of involuntary manslaughter, Murray could spend four years in a California prison and lose his medical license.

@highlight

NEW: Photo of Michael Jackson's body on gurney shown to jury

@highlight

Jurors hear full recording of Jackson with slow, slurred speech

@highlight

Depressed children "reach out to me," Jackson tells Dr. Conrad Murray

@highlight

"God wants me to do it, I'm going to do it, Conrad," Jackson says in recording