On April 2, CNN will report on the global impact, latest science and controversies related to autism for the first "World Autism Day." Watch for coverage on CNN.com and CNN TV.

The parents of Hannah Poling, 9, sought damages after their daughter developed autism.

ATLANTA, Georgia (CNN) -- The parents of a 9-year-old girl with autism said Thursday that their assertion that her illness was caused by childhood vaccines has been vindicated by the federal government's decision to compensate them.

"We are very pleased with the government's decision," Hannah Poling's father, Dr. Jon Poling, a neurologist in private practice in Athens, Georgia, told reporters Thursday. "It has been eight difficult and heartbreaking years since our daughter's injury."

A federal program intended to compensate victims of injuries caused by vaccines concluded last November that Hannah Poling's underlying illness that had predisposed her to symptoms of autism was "significantly aggravated" by the vaccinations she received as a toddler and that her family should therefore be compensated.

How much the compensation should be has not been decided.  Watch Dr. Sanjay Gupta discuss the Polings' views »

But public health officials quickly countered that the decision in no way supports the couple's claim.

"The government has made absolutely no statement indicating that vaccines are a cause of autism," said Dr. Julie Gerberding, director of the Centers for Disease Control and Prevention, in a conference call with reporters.

"This does not represent anything other than a very specific situation and a very sad situation as far as the family of the affected child."

Parents should continue to get their children immunized, she said: "This is proven to save lives."

The decision by the Department of Health and Human Services' Division of Vaccine Injury Compensation had been sealed and was made available to the public only recently, when it was posted on an autism advocacy group's Web site. I-Report: Are you living with autism? Tell us your story

Hannah, who was born in December 1998, was "precocious" during her first 18 months, said her mother, Terry Poling.

She said her daughter had been recruited in the spring of 2000 to participate as a peer in a program for children with disabilities.

But within 48 hours after receiving nine routinely administered childhood vaccines in July 2000, the girl's health rapidly declined, she said.

Terry Poling said her daughter stopped eating, failed to respond to verbal stimuli and became prone to episodes of screaming and high fever. Watch more from Terry Poling at the news conference

"We knew something was wrong," said the registered nurse, who was then working as a trial attorney.

More disturbing behavior followed, including staring at lights, running in circles, looking at fans -- all symptoms of autism, she said. "When my husband saw this, his heart just broke," Terry Poling said.

"We knew that Hanna's beautiful, inquisitive mind wasn't coming back," said Dr. Poling, who gave up his job at Johns Hopkins University in Baltimore for private practice, which offered him more time with this family. Terry Poling gave up her job as a trial attorney to take care of her daughter full time. Watch more from Terry Poling at the news conference »

That summer, Hannah did indeed participate in the early intervention program, but "instead of being a peer that year, she was one of the multi-intensive needs children," Terry Poling said.

In 2002, the couple filed their case with what is known as the vaccine court, alleging that the vaccines caused her autism.

In addition, she was diagnosed with a disorder of the mitochondria, the powerhouses of the cell, Jon Poling said.

The fact that his wife also has the disorder yet displays no signs of autism suggests that his daughter's symptoms are not genetically caused, he said.  Watch Dr. Jon Poling explain how Hannah's condition unfolded »

Instead, he said, Hannah's inborn mitochondrial problem may have been aggravated either by the vaccines or by the vaccine preservative thimerosal, which contains mercury, he said.

Numerous studies have shown no link between illness and the vaccines, public health officials have long contended.

In 2007, the case, which had been consolidated with other claims, was designated as a potential test case, said the Polings' lawyer, Cliff Shoemaker.

But last fall, shortly before a deadline for expert testimony to be filed, the government conceded the link between the vaccines and the girl's injury and moved the case to the damages phase, he said.

Though the family would be willing to make public the facts of the case, the rules of the court do not allow that, Shoemaker said.

"To the extent that their story is familiar to countless other families of autistic children, if this offers any hope or comfort to those parents, then they will be satisfied," he said about his clients.

He noted that nearly 5,000 other autism claims are pending in the court, which was set up in the 1980s to pay for vaccine-related injuries.

"Our primary concern is our daughter's welfare," said Jon Poling, who added that he felt "compelled to share information with all the other families out there who are wondering what this case means to them."

Shoemaker said his clients do not oppose vaccines. "What we are all in favor of is safe vaccines," he said, calling for the removal of thimerosal from all vaccines. "If there is any question or doubt, then it should not be there."

Thimerosal was removed from infant vaccines as a precaution following a 1999 agreement involving the Public Health Service, the American Academy of Pediatrics and vaccine manufacturers, the Centers for Disease Control and Prevention says.

Meanwhile, the Autism Omnibus Proceedings are expected to resume in May, with evidence about thimerosal.

The CDC estimates one in 150 U.S. children is born with autism.

The CDC, American Academy of Pediatrics, Institute of Medicine and other prestigious medical organizations maintain there is no known link between vaccines and autism. Studies published in the New England Journal of Medicine and elsewhere also have found no link.

Even after thimerosal was removed from infant vaccines, the autism rate has continued to climb. E-mail to a friend

@highlight

Parents say compensation for daughter's illness vindicates their claim

@highlight

Parents contend childhood vaccines caused girl's autism

@highlight

CDC chief: Government not saying that vaccines cause autism

@highlight

In decision, vaccines found to have aggravated genetic condition