All government shutdowns are not created equal.

In 1995 and 1996, disagreement over federal spending levels between the Republican-controlled Congress -- led by House Speaker Newt Gingrich -- and then-President Bill Clinton led the government to partially shut down twice.

Government services were cut, federal workers were furloughed and hostility toward politicians grew.

Now that a government shutdown has happened again -- this time after the Senate, run by Democrats, and the GOP-controlled House couldn't come to an agreement on funding the government by midnight on Tuesday -- it would be easy to compare the two shutdowns.

The reality: the atmosphere, the lack of negotiations between leaders and the economy were all different in 1995, and this most recent shutdown is markedly different.

Here is why:

1. Clinton and Gingrich were open to compromise

During the 1995-1996 shutdowns, the House speaker and the president, despite their political differences, were more willing to negotiate on policy issues.

"Bill Clinton and I would talk, if not every day ... we would talk five days a week before the shutdown, after the shutdowns," said Gingrich. "We met face to face for 35 days in the White House trying to hammer things out. When you get to know somebody, even when you're fighting hard, you kind of understand where the other person is coming from and they're not some demonized figure."

That is not the case with President Barack Obama and Speaker John Boehner, whose relationship has been sullied by a number of difficult negotiations and failed deals on the budget and spending. They nearly reached agreement in 2011 on a "grand bargain" to deal with taxes and entitlement spending. But the deal fell through at the last minute and they haven't spent much time together since.

Obama and Boehner spoke Monday night as the clock ticked down on government shutdown and, according to a Boehner spokesman, "the call lasted nearly 10 minutes." It was their first conversation in 10 days.

After the call, Boehner took to the floor and debriefed the call with the president by impersonating him.

"I talked to the president earlier tonight: 'I'm not going to negotiate, I'm not going to negotiate, I'm not going to do this,'" Boehner said. "Well, I would say to the president, this is not about me. And it's not about Republicans here in Congress. It's about fairness for the American people."

Gingrich said this lack of contact is the problem.

"The biggest difference I sense between the Obama-Boehner relationship and the Clinton-Gingrich relationship is just simply frequency of conversation," Gingrich, a host of CNN's "Crossfire," said on the show.

2. Partisanship is deeper

With congressional districts that are more Republican or Democratic than ever, there are few moderates left on Capitol Hill today. This has led to a more hyper-partisan Congress, where the parties appear to be farther apart than they ever were in the past.

"In the '80s and '90s there was the ability for both sides, no matter how difficult the issue, to come together and arrive at compromise and solve problems," Chuck Konigsberg, assistant director of the White House Office of Management and Budget during the 1995 shutdown, said in an interview with CNN. "Now, there is such an ideological bent to many of these issues, that it is difficult to overcome the gridlock."

Konigsberg said today's Republican members, "instead of focusing on the general election where people tend to tack to the political center, are more worried about primary challenges from the far right."

And according to a 2013 study from Duke University and the University of North Carolina-Chapel Hill, the government shutdowns of 1995-1996 could have led to the partisanship that is now gripping Washington.

Although the 1995 Congress was the most partisan in more than 100 years, according to the study, the level of polarization since the shutdown has remained higher than it ever was before then.

"This level of polarization could be self-reinforcing," James Moody of Duke University and Peter Mucha of UNC wrote. "Since success in middle positions requires coalitions and trust that are unlikely, given so many party loyalists."

3. The economy, then and now

When the government shut down in 1995-96, the economy was booming, primarily because of Silicon Valley, the burgeoning tech sector and Internet startups. Unemployment was at 5.6% and most economic forecasts saw further growth.

The same could not be said for the current state of this economy. Amid a sluggish recovery, unemployment has slowly shrunk to 7.3%, but labor participation -- the number of people who have a job or are looking for one -- is at the lowest rate since August 1978.

Could a government shutdown damage the fragile economy? It depends on whom you ask.

Mark Zandi, chief economist for Moody's Analytics, told Congress last week that economic growth would slow during a shutdown. But Tad Dehaven, budget analyst for the CATO Institute, told CNN he believes that economy would be fine during a shutdown, primarily because of how the economy performed in 1995.

"The last time we had a government shutdown, the stock market was fine," he said. "The economy was fine."

Most economists agree, however, that the economic impact of a government shutdown depends greatly on how long the shutdown lasts. But according to some estimates, the a shutdown could cost the still-struggling U.S. economy roughly $1 billion a week just in pay lost by furloughed federal workers.

"If it's a relatively short shutdown, it's a minor headache," said Brian Kessler, economist with Moody's Analytics. "But if it lasts several weeks, the people affected start to act like they're unemployed. They delay larger purchases. That's why you start to see a significantly greater effect the longer it goes."

But the economic impact of an extended government shutdown will be more than just lost wages by federal workers.

-- With national parks and museums closed, tourism will be affected.

-- The Small Business Authority will be unable to process loan applications, meaning a dent in small-business growth.

-- Federal contractors would also have to cut back on staffing.

@highlight

1995-'96 shutdowns were in a politically and economically different time

@highlight

Those years, political leaders were more willing to negotiate

@highlight

With districts more partisan, there are fewer moderates in the House today

@highlight

Unlike today, the mid-'90s economy was booming