Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. He is the co-editor of "Rightward Bound: Making America Conservative in the 1970s" and is completing a book on the history of national-security politics since World War II, to be published by Basic Books. Zelizer writes widely on current events.

Julian Zelizer says Obama and Congress must decide whether to rein in presidential power.

PRINCETON, New Jersey (CNN) -- Executive power has been one of the defining characteristics of President George W. Bush's administration.

President Bush, Vice President Dick Cheney and many members of the White House pushed to expand executive power -- as much as any specific domestic or foreign policy -- from the beginning of the administration.

The Bush administration formed in a direct conversation with the presidential politics of the 1970s. Several members of the Bush administration came of professional age working in the Nixon and Ford administrations.

They watched an assertive Congress respond to the Watergate scandal by revitalizing legislative power through the War Powers Act of 1973, the Budget Reform of 1974, the Foreign Intelligence Surveillance Act, and the Independent Counsel Act in 1978.

The Bush administration thought vesting Congress with so much power was dangerous, because it saw the legislative branch as inefficient. Building on efforts  since President Ronald Reagan to reverse the congressional reforms of the 1970s, the current White House spent enormous political energy, before and after 9/11, trying to reclaim power for the executive branch.

The expansion of presidential power is not unique to the Bush administration. It began early in the 20th century and, despite some exceptional periods such as the 1970s, continued steadily throughout.

But in several respects, this expansion was bigger in scale and scope than under previous presidents. For example, as a way to agree to legislation without agreeing to follow the intention of Congress, Bush issued statements when he signed bills -- doing so far more frequently than preceding presidents.

When Congress passed a bill banning the use of torture in December 2005, Bush added a signing statement allowing him to bypass the law in his role as Commander-in-Chief.

Bush also used executive orders to achieve policy objectives without obtaining congressional consent. Most of the president's national security programs were also conducted under high levels of secrecy and sometimes ignored rules such as those spelled out by FISA.

Even when Republicans controlled Congress between 2002 and 2006, the president barely consulted with the leadership. After the 2000 elections, many Republican moderates were optimistic they would have more power than ever because the White House would be forced to court their vote in the evenly divided Senate. But they were wrong.

Lincoln Chafee of Rhode Island said he was disillusioned early in the Bush administration when Cheney met with a group of Republican moderates. Cheney simply listed the bills the administration would pursue -- such as canceling U.S. support for the International Criminal Court and cutting taxes -- and informed them the president expected their vote.

The chances for restoring a better balance of power remain unclear. There was a notable silence on the issue during the 2008 presidential campaign.

Congressional Democrats and President-elect Barack Obama have been extremely critical of Bush's muscular approach to the executive branch. But though Obama has promised to reverse a number of executive decisions made by Bush, it is hard to tell how far he will go.

Most important, it is extremely rare in the postwar period for presidents to voluntarily relinquish power. Democrats in Congress might not be willing to do to Obama what they did to Richard Nixon or even Jimmy Carter in the 1970s.

After decades of Republican rule, Democrats now believe they have an opportunity to build a new majority. In addition, in a time of true crisis there will be less incentive to challenge the institutional prerogatives of their president.

But Congress and the White House must do something to reverse the trends of the past eight years. We need an executive branch that is accountable and a Congress that is active.

So what can be done?

The first solution is informal. The White House must alter the dynamic with Congress and create strong lines of consultation with legislative leaders. President Franklin Roosevelt worked closely with legislators during the New Deal to develop economic ideas and figure out the nuts and bolts of legislation. Obama must do the same.

The second solution is legislative. Congress should not be timid about passing legislation to empower the legislative branch. After The Boston Globe reported the extensive use of executive signing statements by the Bush administration, there was discussion about legislation to curtail the power, but proposals for the legislation faded away.

Congress needs to consider passing measures in this and other areas, such as further defining what kinds of interrogation techniques can be used by the U.S. military and intelligence services.

The final solution involves oversight. There has been a dramatic increase in congressional oversight since Democrats took control of Congress in 2006. Legislators have been more willing to hold hearings and conduct investigations into everything from the ethical conduct of the White House to the administration of key government programs.

But oversight under divided government is easier politically than under the united government -- Democrats in charge of the White House and Congress -- we will have after January 20.

The aim of stronger oversight is to avoid failures such as FEMA's inadequate response to Hurricane Katrina or the politicization at the Department of Justice. The fact that Democrats control the White House is no excuse for the party's leaders in Congress to become lapdogs.

Obama must be held responsible as well. While presidents don't like to give up power, maybe this president will be different. At a minimum, Obama should avoid the techniques used so often in recent years to circumvent legislative will.

It is not enough to reverse Bush's executive orders -- the crucial question is whether Obama uses such orders as frequently himself.

If the nation can create a better balance between the executive and legislative branches, the country will benefit. The New Deal proved when both branches work together, the nation can produce some of its finest and most effective programs.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Bush administration sought to rebuild presidential power

@highlight

He says they wanted to reverse Watergate-inspired reforms from the 1970s

@highlight

Zelizer says Congress' role was diminished during the Bush administration

@highlight

He says Obama, Congress must decide whether to strengthen legislative role