(CNN) -- Sunday was marked by a slew of anti-regime protests and yet more violence targeting dissenters in Syria, while outside the embattled country the leaders of the United States and Turkey discussed ways to aid the opposition.

The bloodshed includes what the Local Coordination Committee of Syria, a network of opposition groups, is calling the "Morek Massacre." The group claimed that 11 civilians calling for the regime's ouster were murdered, among them five "executed by firing squad."

In total, the LCC reported that at least 70 died across the Middle Eastern nation Sunday, including 17 in the province of Homs, 17 in Hama (where the town of Morek is located), 11 in Idlib, 10 in the suburbs of Damascus, nine in Daraa, five in Aleppo and one in Hasakeh.

The same group also stated that such violence did not prevent demonstrations in upwards of 18 locales around Syria -- many of which it described as "massive," and documented with YouTube videos.

CNN cannot independently confirm reports of protests, casualties or attacks in Syria, because the government severely restricts access by international journalists.

Meanwhile, U.S. President Barack Obama and Turkish Prime Minister Recep Tayyip Erdogan met Sunday to discuss how to aid the Syrian opposition and exert pressure on Syrian President Bashar al-Assad's regime to end its brutal crackdown on civilians.

The meeting, which took place in Seoul, South Korea, where the leaders will attend a nuclear summit this week, was aimed at "syncing up" with Turkey -- a former Syrian ally -- before Istanbul hosts the next "Friends of Syria" meeting on April 1, a senior Obama administration official said.

Obama and Erdogan expect the upcoming conference to enhance ways to provide "non-lethal" aid to the opponents of the Syrian regime, such as medical supplies and communications equipment, said Ben Rhodes, a U.S. deputy national security adviser.

"We cannot be spectators," Erdogan said Sunday after the meeting in South Korea.

Erdogan said 17,000 refugees have fled from Syria to Turkey.

Obama said he and Erdogan "are very much in agreement that there should be a process" to transition to a "legitimate government," in contrast to al-Assad's current government. He also pledged to keep pursuing humanitarian aid as reports of carnage at the hands of the the Syrian regime mount daily.

A key political opposition body in Syria said Sunday that in a post-Assad era, the Syrian state would be based on "equality," regardless of ethnicity, religious beliefs or political affiliation.

In a new charter, the Muslim Brotherhood vowed "to protect all rights, to dispel fears, inspire trust and confidence."

Some analysts have expressed concern about what the Sunni-dominated Muslim Brotherhood might do if al-Assad's Alawite-dominated regime falls.

In its announcement Sunday, the group said it is committed to "democracy, pluralism, equality and human rights," as well as rejecting and fighting terrorism. The group also said every citizen should have equal rights to run for office.

Sunday's announcement comes after a top defector from the Syrian military said armed rebel groups have aligned under the leadership of the Free Syrian Army.

Uniting all efforts will bolster the anti-regime movement and safeguard the nation, Brig. Gen. Mustafa Sheikh said in a video posted on YouTube.

The move addressed a key concern for observers of the Syrian crisis both inside and outside the country -- that armed rebel groups were disjointed and divided.

"In these critical and difficult times that our beloved country is going through, all the honorable men and women in this nation are required to work on uniting all efforts to overthrow this corrupt regime," Sheikh said. "The soldiers and officers of the Free Syrian Army pledged their allegiance to protect the people and the nation."

The Syrian government routinely blames the vaguely defined "armed terrorist groups" for violence in the country, while most reports from inside Syria indicate the government is slaughtering civilians in an attempt to wipe out dissidents.

These differing accounts were evident again Sunday of the southern city of Nawaa.

The opposition Syrian Observatory for Human Rights said five defected soldiers and three members of al-Assad's security forces were killed in the fighting.

The state-run Syrian Arab News Agency said "six of the most dangerous wanted terrorists" were killed in clashes as authorities "stormed a den of terrorists." Two "competent authorities" were also killed, the government news agency said.

The United Nations estimates the Syrian conflict has killed more than 8,000 people; opposition activists put the toll at more than 10,000.

On Sunday, Kofi Annan -- a former U.N. secretary-general who is now serving as a special envoy with that world body and the Arab League -- was in Moscow to seek help from longtime al-Assad ally Russia in helping bring about a cease-fire in Syria.

Russia's president praised Annan's efforts and pledged to offer assistance, the state-run RIA Novosti news agency reported.

"Perhaps, it's Syria's last chance to avoid a bloody civil war. We are very hopeful that your work will have a positive result," President Dmitry Medvedev told Annan, according to the news agency.

Syria's official news agency, SANA, stated that Russian Foreign Minister Sergei Lavrov also met with Annan. Lavrov noted support for Annan's mission, but said that mission "requires not interfering in Syria's internal affairs and not allowing supporting only one of the conflict parties," according to SANA.

Russia and China have blocked U.N. Security Council attempts to pass resolutions condemning the al-Assad regime. The two countries say they want the violence to stop, but would not blame the bloodshed squarely on the regime.

CNN's Saad Abedine and Brianna Keilar contributed to this report.

@highlight

NEW: At least 70 people are killed around Syria on Sunday, an opposition group claims

@highlight

11 civilians die in the "Morek Massacre," 5 by firing squad, according to the same group

@highlight

Obama and Erdogan talk about providing medical supplies to the Syrian opposition

@highlight

Syria state news says Russian foreign minister opposes interfering in internal affairs