London, England (CNN) -- Heads hacked off, a bite from a lion, tiger or bear, massive muscles on massive men -- all clues that an ancient cemetery uncovered in northern England is the final resting place of gladiators, scientists have announced after seven years of investigations.

The archeological dig has found "what may be the world's only well-preserved Roman gladiator cemetery," the York Archaeological Trust said.

Scientists have found 80 skeletons in the "unique" cemetery under the city of York, northern England, since 2003.

They announced their discoveries on Sunday, ahead of a documentary about the site due to air in Britain on June 14. This was one of two big archaeological developments, with Israeli scientists announcing the discovery of a huge cache of ancient religious objects.

They first thought the graveyard might contain the remains of criminals or political purges.

But that doesn't explain the teeth mark.

"One of the most significant items of evidence is a large carnivore bite mark - probably inflicted by a lion, tiger or bear -- an injury which must have been sustained in an arena context, " said Kurt Hunter-Mann, the lead archeologist on the dig.

"Nothing like them has ever been identified before on a Roman skeleton," said Michael Wysocki, who examined the remains in the forensic anthropology laboratory at the University of Central Lancashire.

He said the bite marks suggest the remains were of someone who fought as a gladiator.

"It would seem highly unlikely that this individual was attacked by a tiger as he was walking home from the pub in York 2,000 years ago," he said.

One arm was bigger than the other in many remains, the scientists found -- a suggestion that the men were gladiators who trained from a young age with a weapon in one hand.

Other clues include healed and unhealed weapon injuries, possible hammer blows to the head, and burial with "grave goods" such joints of meat or pottery -- a sign of respect.

It's not certain that the men were gladiators, Hunter-Mann cautioned.

"The research is continuing and we must, therefore, keep an open mind," the archeologist said.

But "almost all the individuals are male, very robust and mostly above average height -- features which would also be consistent with a gladiator interpretation. Many also have muscle attachment marks on their arm bones suggesting severe muscle stress," he said.

They also appear to come from all over the Roman empire, which straddled the Mediterranean for hundreds of years, starting more than 2,000 years ago.

"These are internationally important discoveries. We don't have any other potential gladiator cemeteries with this level of preservation anywhere else in the world," Wysocki said.

The skeletons are between 1,600 and 1,900 years old.

The most impressive grave was that of a tall man aged between 18 and 23, buried, probably in a coffin, in a large oval grave about 1,700 years ago. He had been decapitated by several sword blows to the neck, the scientists said.

Buried with him were what appear to have been the remains of substantial joints of meat from at least four horses -- that left behind 424 horse bones -- possibly consumed at the funeral, plus some cow and pig remains.

Other graves also had joints of horse, sheep or chicken, possibly remains of funeral feasts, the archeologists speculated.

The site was first discovered when archeologists probed an area scheduled for a housing development in 2003.

Also on Monday, Israeli archeologists announced the discovery of a huge cache of religious objects about 3,500 years old -- older than the Bible itself, and nearly twice the age of the Roman skeletons.

"It would appear that the vessels were used in a pagan cult that worshipped idols. During this period it was customary that each city had a temple of its own where special cultic vessels were used," said archaeologists Uzi Ad and Edwin van den Brink.

They include a vessel that was used for burning incense, a sculpted face of a woman that was part of a cultic cup used in dedicating a libation to a god, goblets and bowls with high bases and tableware that was intended for eating and drinking, the Israel Antiquities Authority said.

Scientists called the discovery "extremely rare" -- both because it is so old and because the objects are so well preserved.

Some of them had been brought from Mycenae in Greece, including a storage vessel for precious oils -- evidence of the ancient trade relations that existed with Greece, they said.

@highlight

Archeological dig finds bodies showing teeth marks, injuries from weapons

@highlight

Experts say clues point to gladiators buried in cemetery

@highlight

'Highly unlikely that this individual was attacked by a tiger as he was walking home from the pub'

@highlight

Israeli archeologists announced the discovery of a huge cache of religious objects about 3,500 years old