(CNN) -- A design studio in the Netherlands has found an imaginative way to encourage its employees to maintain a healthy work-life balance -- at 6 p.m. their desks simply disappear.

In the evenings and on weekends, Heldergroen's large communal work tables, which are made from recycled telephone poles, are lifted up into the ceiling on steel cables.

The nifty key-operated system allows the Haarlem-based firm to create a new space for other activities, such as networking events, yoga classes and even food festivals.

"We think that doing activities like this makes it easier for people to work here," Vincent Stolk, a junior art director at the company, told CNN by email.

"You know when it's time to relax or do something else that inspires you."

With its computers and other belongings tucked up securely in the ceiling, the company makes the space available for free to "anyone with great ideas and possibilities," said Stolk.

"We believe that if you give something ... you will eventually get something back," he said. "But besides that, it's just very cool to elevate your table every single time."

Working smarter, not longer

Heldergroen isn't the first company to find novel ways to create an office culture that promotes working smarter, not longer.

Many recent initiatives have focused on redrawing the line between work and play that has been blurred by advances in technology.

In 2011, Volkswagen began restricting email access for some of its employees in Germany when they were off duty.

French technology company Atos is working towards eliminating internal email use altogether after research found only around of tenth of the emails staff received on an average day were useful.

In the Swedish city of Gothenburg, a group of civil servants began scaling back their work day to six hours this summer, as part of a government trial to see whether shorter work days can improve productivity and lead to employees taking fewer sick days.

Regional attitudes

Although Europe seems to be leading the charge, attempts to improve productivity and prevent burnout appear to be catching on in other regions.

Energy recruitment firm Spencer Ogden has transformed its Singapore office into a quirky space complete with astro-turf floors, miniature golf and a giant opium bed in the "Not Bored Room." And if employees hit their targets three months in a row, they're rewarded with an all-expenses-paid week working remotely from an office in Ibiza.

But initiatives like these are still very much the exception in Asia, where working hours are notoriously grueling.

On average, South Koreans work 2,163 hours per year, according to the Organization for Economic Co-operation and Development -- more than any other OECD country except Mexico.

In Indonesia last year, a 27-year-old advertising agency writer collapsed and later died after reportedly working excessive hours.

Japan even has a word that means "death from overwork" (Karoshi).

Those working in professional services, such as bankers, consultants, accountants and lawyers are particularly vulnerable, according to Leslie Perlow, a professor of leadership in organizational behavior at the Harvard Business School. She found that some 94% of professionals in these sectors said they worked at least 50 hours a week.

A pressure to be "always on" is to blame, Perlow wrote in the Harvard Business Review. But even in these industries, it's possible for employees to unplug while also meeting the needs of their clients, she said.

Perlow helped the Boston Consulting Group introduce a program where consultants were allocated one day or evening a week where they would not be contacted by colleagues or clients and could turn off their phone and email.

"We found that when the assumption that everyone needs to be always available was collectively challenged, not only could individuals take time off, but their work actually benefited," she said.

@highlight

Desks at a Dutch firm are lifted on cables after hours

@highlight

System allows the company to use the space for recreational activities

@highlight

More companies are recognizing the importance of encouraging efficiency to prevent burnout