(TIME.com) -- Good Morning America host Amy Robach revealed on her show that a recent on-air mammogram had found she has breast cancer, but the diagnosis wouldn't have been made if she followed certain federal guidelines for screening.

Robach is 40, and the U.S. Preventive Services Task Force, a group of independent experts convened by the government to review the risks and benefits of different screening practices, advised in 2009 that as a public health measure, the benefits of saving lives would outweigh the risks of screening if women started getting yearly checks beginning at age 50, rather than at age 40, as the American Cancer Society and other groups advise.

The task force based its conclusion on the potential costs, both economic and emotional, of uncertain mammogram results, which would lead to follow up tests including biopsies and procedures like lumpectomies and mastectomies, most of which, the studies they investigated showed, ended up being negative.

But maximizing public health and decreasing harm may be at odds with minimizing an individual woman's risk of dying of breast cancer.

And that's the situation that "we see every day in my field," says Dr. Larry Norton, a breast cancer expert at Memorial Sloan Kettering Cancer Center.

"We see real human beings getting screening mammograms so their cancer is detected at stages when we have curative treatments," Norton continues. "When people talk about the downsides of screening, it doesn't compute in the minds of people who are actually in contact with human beings."

TIME.com: GMA's Amy Robach reveals on-air test led to breast cancer diagnosis

Robach wrote on Good Morning America's website that she has "very little family history" of the disease, and "considered it virtually impossible that I would have cancer."

She only agreed to get the mammogram live on air, at the request of her producers and colleague Robin Roberts, herself a cancer survivor.

Had she followed the USPSTF guidelines, which some doctors do, and upon which some insurers base reimbursement decisions, she might not have gotten a mammogram for another decade.

"I don't want to imagine what could have happened if she had her first mammogram at age 50," says Norton of Robach's case.

And that's why, despite the public health advice, most doctors still recommend that their patients start getting regular mammograms when they turn 40. It's not that they are being ornery, or stubborn to change, but that there's a biological mandate to find potential tumors in younger women early.

For one, the idea that the stage at which a cancer is detected, which has a lot to do with its size, determined a woman's prognosis, are fading away. What truly matters is the biology of the tumor itself -- understanding how it grows, what it feeds on, and whether it's driven by genetic factors -- is far more predictive of whether a woman will survive a breast cancer or not.

"Younger women tend to get aggressive tumors that are quicker growing and not fed by estrogen," says Dr. Jennifer Litton, a breast cancer specialist at MD Anderson Cancer Center. The concept of cancers growing slowly over years is more typical of older women who are past menopause than younger women in their 40s.

There's also growing evidence that in breast cancer, tumors start to send out signals to other parts of the body to prime them for metastatic growths.

"The lungs change before the first cancer (from the breast) gets there," says Norton, "and the lungs become a fertile field so when the first cancer does get there, it's ready to grow. And that's a time dependent process, so the earlier you intervene, you can stop the process of metastasis." And once a cancer has spread, it's much more likely to be deadly.

TIME.com: Mammogram guidelines: What you need to know

Why is the USPSTF conclusion so at odds with the breast cancer care that most doctors practice every day?

Part of the problem may be that the studies the task force included involved older mammogram machines that did not provide the digital images that newer machines do, with better resolution and multiple views of the breast tissue to more accurately identify potential tumors.

The task force guidelines did not rule out mammograms for women under age 50; women with a family history of the disease, or other risk factors such as exposure to environmental estrogens, being on the pill or drinking alcohol should talk to their doctors about starting screening earlier, the members said.

The decision about when to start screening, says Litton, should really be a personalized one, made by a woman and her doctor, after factoring in her medical history. And for now, that conversation is likely to be an involved and difficult one, but will hopefully become easier as better methods for detecting the first signs of breast tumors become available.

"Screening is going to evolve, and we will have not just imaging but biologic tests such as biomarkers," she says. "Wouldn't it be great to have a blood test, or be able to spit into a cup and then know whether you have cancer, and you wouldn't have to go through unnecessary biopsies?"

Study questions benefit of yearly mammograms

That day may be coming, but it's not here yet. In the meantime, women like Robach have to make their own decisions about when to start screening. They also have to understand that the risk factors for cancer don't always stand up and shout and make themselves obvious.

Robach decided to undergo a double mastectomy to treat her disease, and wrote that "I got lucky by catching it early. I can only hope my story will...inspire every woman who hears it to get a mammogram, to take a self exam. No excuses. It is the difference between life and death."

This story was originally published on TIME.com.

Why mammogram guidelines would have missed Amy Robach's cancer

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Robach is 40; federal guidelines recommend yearly checks at 50

@highlight

Her cancer was found in an on-air mammogram

@highlight

Women should make their own decisions about when to start screening