(CNN) -- A new program that allows American fliers to avoid pre-flight pat-downs by submitting to one-off security vetting is proving successful, and is set to expand, says the U.S. Transportation Security Administration (TSA).

The scheme, known as "Precheck," allows pre-approved passengers to pass through airport security much the same way they would have done prior to September 11, 2001. The green-lighted travelers pass through a different lane for security screening, without being made to take off their shoes or jackets, or remove their laptop and bags of liquid from their luggage.

TSA spokesman Greg Soule said more than 540,000 people had used Precheck since it was introduced in four American airports late last year. It has since been rolled out to seven more, and will be available in 35 airports by the end of the year.

While it is currently only available on Delta or American Airlines flights, it will soon be expanded to include U.S. Airways, United Airlines and Alaska Airlines.

"It's helping us to move away from a one-size-fits-all approach to security, with a goal of providing the most effective security in the most efficient way possible," said Soule.

See also: Budget airlines go long haul

The idea is that by removing low-risk, pre-screened people from the main security lines, security resources could be concentrated more closely on potential threats. "We want to be able to focus on passengers we know less about," Soule said.

Passengers in Precheck are passing through airports much more quickly, and the scheme may also reduce the costs of security screening as it expanded, he added.

There are currently two ways into the program, which is only open to American citizens. Frequent fliers who meet certain security criteria -- which TSA would not disclose "for security reasons" -- may be invited by their airlines to join at no charge, provided they pass certain background checks.

But U.S. citizens can also join by applying for the U.S. Customs and Border Protection (CBP) Global Entry program -- a "trusted traveler" scheme in which individuals sign up to be vetted in order to expedite the customs process on arrival into the country from abroad.

John Wagner, CBP's executive director for admissibility and passenger programs, said applicants for Global Entry paid a $100 fee and were accepted into the program for five years if they passed the security vetting. CBP assesses their residence and employment histories, as well as any criminal record or national-security concerns, before interviewing the applicant and taking fingerprints. "They're disqualified if there's any derogatory information," he said.

See also: Goodbye maps, hello travel apps

He added that applications to Global Entry had increased about 50% since it was announced that members would be able to use Precheck, demonstrating the interest from passengers in the service. "We've seen overwhelming support for this," said Wagner.

Soule said the more pragmatic approach to security screening was also reflected in new approaches to young and elderly passengers. New protocols towards passengers aged 12 and under have been put in place that will reduce the number of pat-downs and allow them to keep their shoes on as they pass through security. A pilot program was in place in four airports trialling similar measures for those aged 75 and over, he said.

Precheck passengers who displayed suspicious behavior would still be subjected to full security checks.

Kate Hanni, executive director of airline consumer group Flyersrights.org, said she welcomed the Precheck scheme and urged it to be expanded to "create a very large list of low-risk travelers that can move quickly through security."

"We're thrilled. But it's sort of a 'What took you so long?'" she said.

"We believe it should be expanded to every airport in the nation and they should stop treating every airline passenger as if they are terrorists."

The $100 fee to apply to use Precheck through the Global Entry pathway was not a concern, she said. "As someone who travels very frequently, $100 for the speed with which you can move through security and retain your dignity is a small price to pay."

@highlight

Precheck scheme gives some U.S. flyers fast track through airport security

@highlight

Eligible travelers submit to one-off security screening ahead of time, avoiding standing in line

@highlight

More than half a million people have already used the scheme, says TSA