For three weeks now, Hamas and Israel have been locked in a deadly battle. Each side points to the other for provoking the conflict, which has left scores -- mainly civilians -- dead.

And yet, a cease-fire seems unlikely, in part because the sides don't feel they have accomplished their goals.

What are the goals for Hamas, the organization that governs Gaza and is considered a terrorist organization by many Western powers? And what is it willing to settle for to end the bloodshed?

What Hamas wants:

1. The destruction of Israel.

This mission is written into the preamble of Hamas' founding document: "Israel will exist and will continue to exist until Islam will obliterate it."

It's a demand that is globally repudiated as outrageous. It is unrealistic for Hamas to think that it can somehow destroy Israel. As long as Hamas leaders latch on to that as an endgame, the result will be continued flare-ups for years to come.

Some Hamas leaders have stated a willingness to accept peace with Israel under certain conditions, the Council on Foreign Relations notes in a report. For instance, they want Palestinian refugees to be able to return. But such voices are not being heard in the current conflict.

If Hamas is incapable of destroying Israel, it might still be dedicated to scaring Israelis off the contested land, journalist Jeffrey Goldberg at The Atlantic posits.

"The goal of Hamas—the actual, overarching goal—is to terrorize the Jews of Israel, through mass murder, into abandoning their country," Goldberg wrote. "If generations of Palestinians have to be sacrificed to that goal, well, Hamas believes such sacrifices are theologically justified."

CNN Middle East analyst Michael Oren, a former Israeli ambassador to the United States, suggests a different type of war -- a media campaign by Hamas.

"Hamas knows it can't destroy Israel with its rockets or tunnels, but it can create a legal and international situation where Israel can no longer legitimately defend itself," he said.

Reports of civilian casualties in Gaza -- without the context of rockets being fired at Israel -- play into Hamas' media strategy, he said.

2. An end to the Israeli blockade.

Although Israel withdrew its forces from Gaza in 2005 and dismantled Israeli settlements, Palestinians say they continue to live under occupation to this day.

Palestinians argue that Israel still maintains effective control of Gaza, making it an occupied territory. Israel controls Gaza's borders, waters and airspace -- and oversees what goods make it into the territory.

CNN's Ben Wedeman recently spoke with Ismail Haniyeh, who is essentially the prime minister of Gaza. The Hamas member gave his demands -- namely, an immediate end to what he called the Israeli aggression. He wants border crossings to Israel and Egypt opened.

In a 2012 interview with CNN, Hamas leader Khaled Meshaal had a similar message.

"The resistance is a means to an end," Meshaal told CNN's Christiane Amanpour. "The endgame is to end occupation but the international community is not enabling us to do this. They are biased towards Israel."

Hamas wants a cease-fire, Hamas spokesman Osama Hamdam said of the current conflict, but it wants assurances that the Palestinians will be able to live peacefully.

"No one is talking against having a cease-fire. But we want a fair cease-fire to protect our own people for a long time, to protect them from the Israeli military attacks, from the siege, from the arrests," Hamdam told CNN's Wolf Blitzer.

3. The release of prisoners.

In 2011, a captured Israeli soldier, Gilad Shalit, was released by Hamas in exchange for more than a thousand Palestinian prisoners held in Israel. Many have since been re-arrested.

Dozens of other Palestinians were arrested in the aftermath of the June 12 kidnapping of three Israeli teenagers, an incident which precipitated the current fighting.

There is a precedent of Palestinian prisoners being released in negotiations with Hamas. This demand by Hamas is also among the most straightforward it has presented.

"Israel is not respecting its commitment by releasing and then arresting prisoners released," said Zaki Chehab, a leading Arab journalist and political editor of Hayat. "It's a sign that Israel has not respected its commitment."

The conditions that Hamas is making is not something unjustified, he told CNN. "They have a right to make a request because they've been under siege."

4. Rally support at home.

Some analysts argue that Hamas is engaged in a battle with Israel to shore up support among Palestinians.

Many Palestinians believe that Israel has no intention of finding long-term peace, and they are likely to support Hamas in greater numbers if they view the militants as standing up for their rights.

"Hamas gains strength from the feeling of many Palestinians of despair that they see settlement growth. They don't believe that Israel has any intention of giving them a state of their own. And so when Hamas says what good is there for us to accept Israel's right to exist since Israel will never give us a state anyway, that makes Hamas stronger," CNN political commentator Peter Beinart said.

During the last prolonged outbreak between the two sides in 2012, many concluded that Hamas gained credibility at the expense of other Palestinian leadership factions, according to a Council on Foreign Relations report.

In the period since 2012, Hamas has seen the number of governments friendly to it diminish, and its influence wane.

"Hamas finds itself in a very difficult situation, and has for a couple years now," writes Natan B. Sachs, a fellow at Brookings' Center for Middle East Policy. "Since 2012, when Egypt was governed by a president from the Muslim Brotherhood (Hamas' parent organization), Hamas' fortunes have declined precipitously."

Strapped for cash and possibly losing popularity, Hamas operatives may have decided that they had little to lose in entering a conflict.

It's possible, Sachs said, that Hamas militants may not always be under the control of its political wing, and that this current conflict is the result of Hamas losing control of its cadres.

@highlight

Hamas has a number of stated goals

@highlight

Some, like the destruction of Israel, are repudiated globally

@highlight

Hamas also wants an end to Israeli control in Gaza