In minutes, the world's most-watched new father sent a message about millions of dads.

Stepping outside the hospital with his wife, Catherine, and their newborn son, Prince William was a picture of confidence. Each parent held the baby, now known to the world as George Alexander Louis -- and they looked equally comfortable doing so.

He got his newborn all set in the car seat, and drove off.

Analysts noted that he was projecting an image of equality.

To many dads, he was representing the reality that we know: The image of bumbling, clueless dads is an outdated stereotype.

Of course, that doesn't mean we think we're picture-perfect -- a point that came up when CNN recently asked dads what it means to be a father in today's world. Some decided to use the iReport assignment as a chance to open up about their insecurities.

"Although I know that the intent of this report is to stand up proudly and say, '... I'm a dad and I'm damn good at it,' the truth is I don't feel that way half the time," stay-at-home dad Chase Roper wrote from Puyallup, Washington. "Most days, if I'm being honest, I feel like I'm faking my way through this."

That's how just about all parents feel sometimes: overwhelmed. Yes, that includes, I'm sure, the Duke and Duchess of Cambridge, even in the life they lead.

"I am far from perfect in my role as a father," writes Lance Somerfeld, who has been a stay-at-home dad in Manhattan for five years and founded the NYC Dads Group.  "I lose my temper, get impatient, too structured, don't do the laundry, and fail miserably, often. It's the most challenging job I have ever encountered as well as the most rewarding."

We were looking for dads' thoughts on the 30-year anniversary of "Mr. Mom" -- a movie that made sense at the time, when a dad taking on traditionally female roles at home was so rare. And when it was more believable that he would have so much trouble figuring out how to do basics around the house.

Little did those behind the film know that it would ultimately stand as something of a historical demarcation. The funniest thing about the idea of "Mr. Mom" now is that it was such a funny idea in the first place.

Modern fathers face new expectations

Statistics tell a piece of the story. There are about 189,000 stay-at-home dads now, caring for 369,000 children, according to the U.S. Census. These are defined as married fathers with kids younger than 15 who have stayed out of the labor force for at least a year primarily to care for the family.

A more striking figure: 18% of preschoolers are regularly cared for by their fathers during the mother's working hours.

As these numbers keep growing, the perception that child-rearing and homemaking are "women's work" that dads sometimes do becomes increasingly anachronistic.

"1983 was Mr. Mom's Year. It's 2013. Just call me dad," Chris Bernholdt, stay-at-home father in Devon, Pennsylvania, writes on his blog, "DadNCharge."

The National At-Home Dad Network, which provides support and advocacy to its members, has even launched a campaign to banish the term, citing a Wall Street Journal declaration: "Mr. Mom is dead."

Many people who use the term certainly mean no harm.  But for some dads, getting past the term is an important way to end the mindset that suggests their work at home is any less "manly" than bringing home a paycheck.

"I was called 'Mr. Mom' by a random guy at my wife's hair salon," says Joseph Carlson, full-time dad of a 14-month-old boy in San Diego. "He said, 'You can't play Mr. Mom too long.' I was pretty stunned."

And a female relative asked Carlson, "When are you going to get a job? You can't stay home forever."

"She said 'Mr. Mom' without saying 'Mr. Mom,'" Carlson says. "I just let the comments go. I know I'm not going to change any person's worldview with a 30-minute debate."

Those of us who work full-time but are more committed to our kids than to our jobs are just as quick to reject the stereotypes of bumbling, clueless fathers in commercials, TV shows, or online.  That's partly because negative portrayals of dads can cause problems -- like affecting how the judicial system views fathers' parental capabilities.

We also speak out to share ideas and advice -- because modern dads understand each other.  We know what it is to be fathers in changing times, facing challenges and pressures, and committed to keeping parenthood our top priority.

There's a kind of communal celebration going on. On blogs and at conferences, dads are sharing with each other how awesome it is to live in a time that's so far beyond "Mr. Mom."

We know we're part of something special: A generation that's helping turn American fatherhood into something more emotional and deeper -- something I referred to in a TEDx Talk as a part of the ultimate dream.

But saying a loud, vociferous "no" to "Mr. Mom" doesn't mean claiming the mantle of Superdad. It just means we're trying to do our best. Just like good moms across the country.

American dads have come a long way in 30 years. And we're not alone, as Prince William showed. Just imagine what's ahead.

Chris Bernholdt's son was asked in kindergarten what he wants to be when he grows up.

His answer: "A stay-at-home dad."

Got a parenting story to share? Post your personal essays here.

@highlight

"Mr. Mom" was made 30 years ago, and created the archetypical stay-at-home dad

@highlight

Modern fathers are rejecting the "Mr. Mom" label as outmoded

@highlight

Surveys show fathers doing more and more primary child care tasks at home

@highlight

Stay-at-home fathers say they are simply doing their duty, not shooting for perfection