(CNN) -- It's been a very swift turn of events. Until a few days ago Bosco Ntaganda, wanted for war crimes and for crimes against humanity, was at large.

Then, in a surprising move, the Congolese Army general and ex-rebel leader turned himself in at the U.S. Embassy in Rwanda after spending the past few months in hiding in North Kivu in the Democratic Republic of Congo (DRC).

For over six years, Ntaganda has been sought as a suspect for crimes under international law that include murder, rape and the use of child soldiers.

On Tuesday he was in front of the judge at the International Criminal Court.

Some of us at Amnesty International who work on the DRC were in The Hague to see the proceedings get under way.

We arrived at the courtroom early. Ntaganda sat before the presiding judge of Pre-Trial Chamber II, accompanied by his defense counsel, which is being led by Hassane Bel-Lakhdar. ICC prosecutor Fatou Bensouda was across the courtroom.

The public gallery's 170 places were soon packed with members of the diplomatic corps, the press, representatives from several other NGOs, and various units of the court.

We sat between representatives of the prosecution and the defense, following the trilingual hearing via simultaneous translation. Presiding Judge Ekaterina Trendafilova led the hearing in English, the defense counsel answered in French and Ntaganda replied in Kinyarwanda.

The judge asked Ntaganda to confirm his identity, occupation and that he had been informed of the charges against him, as well as his rights as a defendant.

"Yes, I have been informed," Ntaganda stated quietly. He affirmed he was born in Rwanda in 1973 and that he was a member of the military before his transfer to The Hague.

From leader of an armed group to a general in the Congolese army, Ntaganda has appeared in eastern DRC in various incarnations over the years.

He is famously known for wining and dining in restaurants frequented by United Nations staffers and international journalists. Despite an existing ICC arrest warrant, Ntaganda was promoted within the army in 2009.

Ntaganda was first named in an arrest warrant by the ICC more than six years ago.

He faces charges for 10 counts of war crimes and crimes against humanity for crimes allegedly committed in DRC's Ituri Province between 2002 and 2003.

But his decision to turn himself in on March 18, and the exact reasons behind his "self-referral," remain unclear.

Though neither the United States nor Rwanda are parties to the Rome Statute, which established the ICC, Amnesty International welcomes both states' cooperation with the court in ensuring Ntaganda's transfer to The Hague.

In April 2012, following mounting pressure from the Congolese authorities to arrest him, Ntaganda allegedly led a mutiny and created the M23 armed group. We have documented numerous human rights abuses by M23 fighters between March and September 2012, including unlawful killings, forced recruitment of children and rape.

This first court appearance of Ntaganda hopefully provides a glimmer of hope for victims who have long awaited an opportunity for justice for crimes committed in Ituri in 2002 and 2003.

In court, Ntaganda stated he did not believe the allegations against him. Before he could go any further, Judge Trendafilova politely interrupted him to state that this hearing was not meant to address questions of innocence or guilt, but was an initial appearance before the court.

In his closing remarks, defence lawyer Bel-Lakhdar said he planned to request provisional release for his client, pending trial.

Ntaganda will join Thomas Lubanga in prison, who was his former commander in the Patriotic Forces for the Liberation of Congo (FPLC) before Ntaganda went on to create M23. Lubanga is currently serving a 14 year sentence after being convicted by the ICC last year.

Ntaganda's initial hearing marked the beginning of what may become a long process -- the next hearing is scheduled for September 23, when it will be determined whether or not the case will proceed to trial.

It is, however, just one step towards bringing justice to victims and building sustained security in eastern DRC.

Ultimately, it remains the responsibility of the Congolese authorities to bring all suspected perpetrators of crimes against international human rights and humanitarian law to trial.

The DRC government must fulfill the promise made by Congolese Minister of Information Lambert Mende to fully cooperate with the ICC during its investigations into crimes committed in North Kivu.

They must also commit to apprehending Sylvestre Mudacumura, the military commander of the Democratic Forces for the Liberation of Rwanda (FDLR), who has faced an ICC arrest warrant since July 2012.

However, the alleged crimes of these two individuals represent only a fraction of the human rights abuses committed in eastern DRC over the past two decades. It is up to the Congolese authorities to urgently rebuild the national justice system to ensure that justice and reparation are available for all victims, instead of relying solely on the ICC.

@highlight

Congolese general Bosco Ntaganda appears at ICC for first hearing

@highlight

Ntaganda surprised world by turning himself in at U.S. Embassy in Rwanda on March 18

@highlight

ICC issued an arrest warrant for Ntaganda in 2006 for his alleged role in crimes

@highlight

Congolese government called in April 2012 for Ntaganda's arrest for war crimes