(CNN) -- Unrest has spread across the Middle East and North Africa. Here's a look at what has happened -- and what is happening -- in various countries:

ALGERIA

Authorities in Algeria said Monday that they would lift a 20-year state of emergency in the "coming days." They acted after anti-government protesters chanting "change the power!" clashed with security forces in the capital over the weekend, witnesses said. The state of emergency was imposed in 1992 to quell a civil war that led to the deaths of what U.S. officials estimate to be more than 150,000 people. About 100 protesters were arrested during the protests in Algiers on Saturday, according to the opposition Algerian League for Human Rights.

BAHRAIN

Protests were scheduled to take place Monday afternoon in the Persian Gulf nation of Bahrain, where at least three police officers and one demonstrator were injured in clashes Sunday, the state new agency reported. The injuries occurred during an attack on a police station during protests Sunday evening, the news agency said. After three officers were injured, police fired on protesters with rubber bullets, causing one injury, the news agency said.

EGYPT

Unrest persisted in Egypt on Monday even after an 18-day revolution toppled longtime President Hosni Mubarak, who stepped down Friday. Egypt's banks remained closed Monday after protests by National Bank workers apparently drove out the head of the institution. The nation's stock market remained closed until further notice because of turmoil in the banking sector. In addition, current and former police officers continued a peaceful protest Monday in front of the Interior Ministry, saying they want higher pay, shorter hours, better benefits and more respect. And some police officers told reporters they were ordered to shoot protesters during demonstrations last week and threatened with prison if they did not.

IRAN

Tens of thousands of demonstrators marched along Revolution Avenue in downtown Tehran on Monday, protesting the government of Iranian President Mahmoud Ahmadinejad, witnesses said. The wave of people remained largely silent as they walked toward the capital city's Azadi Square, though some clashes between security forces and demonstrators broke out in several parts of Tehran, according to witnesses. Security forces fired tear gas in some places and detained demonstrators in other areas of the city. The Iranian government rounded up activists last week after opposition leaders Mehdi Karrubi and Mir Hossein Moussavi called for supporters to gather at Azadi Square -- the site of mass protests by Iran's opposition movement after the disputed 2009 presidential elections.

IRAQ

Thousands of people rallied this month in cities across the country, protesting rampant poverty, a 45% national unemployment rate and shortages of food, electricity and water. Most recently, hundreds of angry demonstrators took to the streets of Ramadi -- about 60 miles (100 kilometers) west of Baghdad -- to protest the government's inability to provide basic services. After the protests began, Prime Minister Nuri al-Maliki announced he would cut his salary in half amid the growing unrest over poor public services and water shortages. State television also reported this month that al-Maliki would not run for a third term when his current one expires in 2014.

JORDAN

U.S. Adm. Mike Mullen, chairman of the Joint Chiefs of Staff, traveled over the weekend to Jordan, where King Abdullah II swore in a new government last week following anti-government protests in his country. The new government has a mandate for political reform and is headed by a former general, with several opposition and media figures among its ranks. The appointment of new Prime Minister Marouf al Bakhit was seen as an attempt to shore up support among Jordan's Bedouin tribes -- the bedrock of the monarchy. Jordan's economy has been hard-hit by the global economic downturn and rising commodity prices, and youth unemployment is high, as it is in Egypt. Officials close to the palace have told CNN that Abdullah is trying to turn a regional upheaval into an opportunity for reform.

LIBYA

There were calls made through Facebook for a day of peaceful demonstrations in Libya on Monday. The protests come in the shadow of leader Moammar Gadhafi, who has ruled the country for almost 40 years and had expressed support for former Egyptian President Hosni Mubarak during the crisis there. It was not immediately clear Monday whether protests had taken place.

PALESTINIAN TERRITORIES

Prime Minister Salam Fayyad's Cabinet submitted its resignations to Palestinian Authority President Mahmoud Abbas on Monday, days after the announcement of new elections in September. The Palestinian Territories have not seen the same kind of demonstrations as in many Arab countries, but the government has been under criticism since Al-Jazeera published secret papers claiming to reveal some of the wide-ranging concessions Palestinian officials were prepared to make in negotiations with Israel. Negotiations have collapsed. Abbas' Palestinian Authority holds sway only over the West Bank. The militant Islamist movement Hamas controls Gaza.

SYRIA

As protests heated up around the region, the Syrian government pulled back from a plan to withdraw some subsidies that keep the cost of living down in the country. President Bashar al-Assad also gave a rare interview to Western media, telling The Wall Street Journal for a January 31 article that he planned reforms that would allow for local elections and also included a new media law and more power for private organizations. A planned "Day of Rage" that was being organized on Facebook for February 5 failed to materialize, The New York Times reported.

SUDAN

Demonstrators have clashed with authorities on several recent occasions in Sudan. Human Rights Watch has said that "authorities used excessive force during largely peaceful protests on January 30 and 31 in Khartoum and other northern cities to call for an end to the National Congress Party rule and government-imposed price increases." Witnesses said that security forces used pipes, sticks and tear gas to disperse protesters and that several were arrested, including 20 who remain missing. The Sudanese Embassy said that people in Sudan have the right to "demonstrate as they wish" but that "some opportunists capitalize" on incidents "to inspire chaos or smear Sudan's image."

TUNISIA

The European Union's top foreign policy official, Catherine Ashton, met Monday with government and civil society leaders in Tunisia, the North African country where protests in December sparked unrest that has spread across North Africa and the Middle East. After weeks of demonstrations that started in December, longtime President Zine El Abidine Ben Ali fled the country. Since then, Italy has complained about a wave of migrants from Tunisia coming into its territory.

YEMEN

Clashes broke out between pro- and anti-government protesters in Yemen's capital, Sanaa, for at least the third day in a row Monday. About 200 anti-government protesters were confronted by about 300 counter-demonstrators, and the two sides threw rocks at each other and brandished daggers and knives. Several protesters were arrested. On Sunday, hundreds of anti-government protesters marched toward the presidential palace, but were blocked by security forces. Protesters attempted to reach the palace on side streets, and riot police reportedly used force in attempting to disperse them. Human rights group Amnesty International condemned the use of force in a statement issued Monday. Clashes also erupted Friday night and Saturday. Yemen's Embassy in Washington said the opposition coalition had announced its intention to hold a dialogue with the administration. Yemeni President Ali Abdullah Saleh has been in power for 32 years and has pledged not to run for re-election when his current term ends in 2013.

@highlight

The winds of unrest have sailed through North Africa and the Middle East

@highlight

The demonstrations started in Tunisia in December

@highlight

The leaders of Tunisia and Egypt have resigned amid mass protests

@highlight

Protests happened Monday in Bahrain, Egypt, Iran and Yemen