(CNN) -- My heart goes out to Brittany Maynard, who is dying of brain cancer and who wrote last week about her desire for what is often referred to as "death with dignity."

Yet while I have every sympathy for her situation, it is important to remember that for every case such as this, there are hundreds -- or thousands -- more people who could be significantly harmed if assisted suicide is legal.

The legalization of assisted suicide always appears acceptable when the focus is solely on an individual. But it is important to remember that doing so would have repercussions across all of society, and would put many people at risk of immense harm. After all, not every terminal prognosis is correct, and not everyone has a loving husband, family or support system.

As an advocate working on behalf of disability rights for 37 years, and as someone who uses a wheelchair, I am all too familiar with the explicit and implicit pressures faced by people living with chronic or serious disability or disease. But the reality is that legalizing assisted suicide is a deadly mix with the broken, profit-driven health care system we have in the United States.

At less than $300, assisted suicide is, to put it bluntly, the cheapest treatment for a terminal illness. This means that in places where assisted suicide is legal, coercion is not even necessary. If life-sustaining expensive treatment is denied or even merely delayed, patients will be steered toward assisted suicide, where it is legal.

This problem applies to government-funded health care as well.

In 2008, came the story that Barbara Wagner, a Springfield, Oregon, woman diagnosed with lung cancer and prescribed a chemotherapy drug by her personal physician, had reportedly received a letter from the Oregon Health Plan stating that her chemotherapy treatment would not be covered. She said she was told that instead, they would pay for, among other things, her assisted suicide.

"To say to someone: "We'll pay for you to die, but not for you to live" -- it's cruel," she said.

Another Oregon resident, 53-year-old Randy Stroup, was diagnosed with prostate cancer. Like Wagner, Stroup was reportedly denied approval of his prescribed chemotherapy treatment and instead offered coverage for assisted suicide.

Meanwhile, where assisted suicide is legal, an heir or abusive caregiver may steer someone towards assisted suicide, witness the request, pick up the lethal dose, and even give the drug -- no witnesses are required at the death, so who would know? This can occur despite the fact that diagnoses of terminal illness are often wrong, leading people to give up on treatment and lose good years of their lives.

True, "safeguards" have been put in place where assisted suicide is legal. But in practical terms, they provide no protection. For example, people with a history of depression and suicide attempts have received the lethal drugs. Michael Freeland of Oregon reportedly had a 40-year history of significant depression, yet he received lethal drugs in Oregon.

These risks are simply not worth the price of assisted suicide.

Available data suggests that pain is rarely the reason why people choose assisted suicide. Instead, most people do so because they fear burdening their families or becoming disabled or dependent.

Anyone dying in discomfort that is not otherwise relievable, may legally today, in all 50 states, receive palliative sedation, wherein the patient is sedated to the point at which the discomfort is relieved while the dying process takes place peacefully. This means that today there is a legal solution to painful and uncomfortable deaths, one that does not raise the very serious problems of legalizing assisted suicide.

The debate about assisted suicide is not new, but voters and elected officials grow very wary of it when they learn the facts. Just this year alone, assisted suicide bills were rejected in Massachusetts, New Hampshire, and Connecticut, and stalled in New Jersey, due to bipartisan, grassroots opposition from a broad coalition of groups spanning the political spectrum from left to right, including disability rights organizations, medical professionals and associations, palliative care specialists, hospice workers and faith-based organizations.

Assisted suicide is a unique issue that breaks down ideological boundaries and requires us to consider those potentially most vulnerable in our society.

All this means that we should, as a society, strive for better options to address the fear and uncertainty articulated by Brittany Maynard. But if assisted suicide is legal, some people's lives will be ended without their consent, through mistakes and abuse. No safeguards have ever been enacted or proposed that can properly prevent this outcome, one that can never be undone.

Ultimately, when looking at the bigger picture, and not just individual cases, one thing becomes clear: Any benefits from assisted suicide are simply not worth the real and significant risks of this dangerous public policy.

@highlight

Legal assisted suicide can seem acceptable on individual basis, says Marilyn Golden

@highlight

But in a profit-driven health care system like the U.S. it can be dangerous, Golden says

@highlight

Diagnoses of terminal illness are often wrong, writes Golden