New York (CNN) -- After he graduated from college, Frankie Edgar began working for his stepfather's plumbing business. He woke up early each morning to dutifully trudge to job sites around New Jersey on the hottest and coldest of days.

In the afternoon, Edgar coached wrestling. At night, he treated himself to training in his true passion: mixed martial arts.

Soon Edgar told his family he wanted to quit plumbing and become a professional fighter.

"I'm not one to just drop everything and chase something that I know is not 100% sure," Edgar said, "so I kept training and kept working to support myself, and eventually I got a call from the UFC," said Edgar, referring to the Ultimate Fighting Championship. It's the biggest mixed martial arts, or MMA, league in the United States.

Edgar, whose UFC nickname is "The Answer," suffered his first loss in 2008 after eight straight victories in his professional career. That loss came at the hands of undefeated opponent Gray "The Bully" Maynard.

Edgar and Maynard's second fight in January ended in a draw. With 13 wins, one loss and one draw, Edgar is the league's lightweight champion, a title he earned in 2010.

Now, just before his third match with Maynard on Saturday night in Houston, the 29-year-old Edgar said he was confident that he could beat Maynard for the first time.

"My main goal in between each fight is to become a different fighter, and I think I did that," Edgar said. "As long as I show up and utilize all the improvements that I made, I'm going to come out the winner."

The sport first roped in Edgar while he watched it on television as a teen growing up in Toms River, New Jersey.

"I was pretty much content with wrestling, but I wanted to try a different avenue and still compete," he said. "I thought MMA was the perfect place for me."

His mother and stepfather, he recalls, were not initially as excited by the idea of him making a living as a fighter. But once he joined the UFC in 2005, they gave their support. "They haven't missed a fight since," he said.

Originally called no-holds-barred fighting, variations of MMA date back to at least the late 1800s. It has transformed from a mostly underground sport that Sen. John McCain, R- Arizona, once called "human cockfighting" into a multibillion dollar, global industry.

"It's the fastest-growing sport in the world," says Mike Straka, a long-time MMA journalist and broadcaster who now works in the fight industry.

"It's the only sport that was really birthed during this generation," said Straka, who works at Authentic Brands Group, a developing and licensing firm, and host of a program on the company's Tapout News.

California and New Jersey were the first of the major market states to regulate MMA, in 2000. Most other states have followed but the sport remains illegal in New York, Connecticut and West Virginia.

A focused and steady demographic has helped MMA "quickly become more accepted by the mainstream sports business, evolving from its relatively rogue status at its inception," said Rick Horrow, a visiting expert on sports law at Harvard Law School, who co-authored Beyond the Scoreboard.

While the fan base is mostly youthful and is especially popular among 18-to 34-year-old men, a lot of women get into it, says Ariel Helwani, a reporter for AOL's MMAFighting.com.

Reportedly worth $2 billion, the UFC says it broadcasts in more than 20 languages to nearly 600 million homes in 132 countries. Up to 300,000 people purchased the last Edgar-Maynard fight on Pay-Per-View, according to the Wrestling Observer. Saturday night's fight in HD sells for $54.99.

While MMA fighters might not bring in the reported millions per bout that heavyweight boxers such as Floyd Mayweather versus Victor Ortiz saw last month, how much they earn depends on who they are and what stage of their career they are in, Straka says.

Fight purses range from as little as $10,000 to $500,000 for more experienced and popular fighters, he says. For stars such as Edgar, there is also big money from sponsorships and endorsements. "Frankie Edgar would never need to get another job if he retired tomorrow," Straka said.

Also helping bring the sport into the mainstream is the long-running reality show "The Ultimate Fighter,'' currently running its last season on Spike TV before switching to FX next year. The show is part of a wide-ranging multichannel UFC deal with the Fox Broadcasting Company valued at $700 million.

"It may not be the most well-known sport out there, but it's going to be," Edgar said. "Everybody loves a good fight, man."

Most MMA fighters are either former NCAA wrestlers or traditional martial artists, but the sport is much different from wrestling and boxing.

"You can use practically every part of your body as a weapon," Straka said.

MMA combatants wear 4-ounce gloves and a protective cup. They can fight standing up or on the ground and are allowed to kick and tackle their opponents. Fighters must be barefoot.

Although mixed martial arts looks and sounds more violent than boxing, Straka calls it safer.

"It is the most regulated of all professional sports," he said, noting that fighters have to undergo physical examinations, drug testing and brain scans before every fight.

Edgar says he finds his training schedule less tough than plumbing. He generally has two or three daily practices, each around two hours. That covers everything from strength training and conditioning to boxing and jiu-jitsu.

"I'm kind of on autopilot during a fight. A lot of guys have mental exercises and visualizations -- but for me, this is what I do,'' said Edgar, who weighs 155 pounds and is 5-foot-6 and has what The New York Times calls a fighter's badge of honor: cauliflower ear. The paper describes it as "a deformity initiated by repetitive trauma,'' adding that "cauliflower ear can crumple an outer ear to a misshapen shell.''

Some fighters are known for their showmanship inside and outside the cage, including humor and trash talk. But those who watch Edgar defend his title against Maynard on Saturday will find that what they see is what they get, Straka says.

"Frankie does all his talking inside the cage with his hands and feet -- and his heart."

For Edgar, the outlook is plain, simple and focused.

"I should be able to get up in the morning, put on a shirt and fight somebody,'' he said.

"It's like getting up and drinking a cup of coffee."

@highlight

Frankie Edgar quit plumbing to be a professional fighter

@highlight

After eight straight UFC victories, his first loss was to the undefeated Gray Maynard

@highlight

Edgar's third fight against Maynard will takes place Saturday in Houston

@highlight

Mixed martial arts has seen a surge of interest in recent years