WASHINGTON (CNN)  -- President Obama lifted all restrictions Monday on the ability of individuals to visit relatives in Cuba, as well as to send them remittances.

The changes in Cuban policy was unveiled before President Obama's trip to the Summit of the Americas.

The move represents a significant shift in a U.S. policy that had remained largely unchanged for nearly half a century. It comes days before Obama leaves for a key meeting of hemispheric powers, the Summit of the Americas, in Trinidad and Tobago.

"President Obama has directed that a series of steps be taken to reach out to the Cuban people to support their desire to enjoy basic human rights and to freely determine their country's future," White House Press Secretary Robert Gibbs said.

Obama also ordered new steps to promote the "freer flow of information among the Cuban people and between those in Cuba and the rest of the world, as well as to facilitate the delivery of humanitarian items directly to the Cuban people," Gibbs added.

The president took "these steps [in part] to help bridge the gap among divided Cuban families."

Obama believes that the change in U.S. policy will ultimately help bring about a more tolerant, democratic Cuban government, noted White House Latin American policy adviser Dan Restrepo.

He thinks "that creating independence, creating space for the Cuban people to operate freely from the regime is the kind of space they need to start the process toward a more democratic Cuba," Restrepo said.

Several key components of America's embargo on the island nation will be preserved, however. Among other things, Americans will still be barred from sending gifts or other items to high-ranking Cuban government officials and Communist Party members.

Travel restrictions for Americans of non-Cuban descent will also remain in place.

Critics of the change blasted the administration for unilaterally changing what had been a long-settled U.S. policy.

President Raúl Castro's "dictatorship is one of the most brutal in the world. The U.S. economic embargo must remain in place until tyranny gives way to freedom and democracy," Rep. Connie Mack, R-Florida, said in a written statement.

Obama "should not make any unilateral change in America's policy toward Cuba. Instead, Congress should vigorously debate these and other ideas before any substantive policy changes are implemented."

Sen. Mel Martinez, R-Florida, and a native of Cuba, had kinder words for the administration, saying, "The announcement today is good news for Cuban families separated by the lack of freedom in Cuba."

He said that, in turn, the Cuban government should focus on improving its relationships with its citizens and the United States. "Lowering remittance charges and allowing travel for Cuban families wishing to see relatives abroad are two steps the Cuban regime could immediately take that would show change in Havana," he said.

Reps. Chris Smith, R-New Jersey, and Frank Wolf, R-Virginia, held a news conference last week urging Obama to refrain from easing trade embargo or travel restrictions until the Cuban government releases all "prisoners of conscience," shows greater respect for freedom of religion and speech, and holds "free and fair" elections.

"Over the past 50 years, the Castros and their secret police have been directly responsible for killing thousands of nonviolent, courageous pro-democracy activists and for jailing and torturing tens of thousands of others. And they continue to this day to perpetrate their brutal crimes," Smith said.

Rep. Barbara Lee, D-California, who chairs the Congressional Black Caucus, responded that it makes no sense to continue what she characterized as a failed policy.  Watch report on easing of travel restrictions »

"Everyone is entitled to their own opinion, but by any objective standard, our current policy toward Cuba just hasn't worked. Simply put, it's time to open dialogue and discussion with Cuba," she said in a written statement.

Lee and other Congressional Black Caucus members met in Havana this month with Raúl Castro and his brother, former President Fidel Castro.

Several members of Congress see broader relations with Cuba as vital to U.S. interests. A group of senators and other supporters unveiled a bill March 31 to lift the 47-year-old travel ban to Cuba.

"I think that we finally reached a new watermark here on this issue," said Sen. Byron Dorgan, D-North Dakota, one of the bill's sponsors.

Sen. Richard Lugar, R-Indiana, another sponsor of the bill, issued a draft report in February that said it was time to reconsider the economic sanctions. Lugar is the ranking Republican on the Senate Foreign Relations Committee.

Sarah Stephens, director of the Cuba Travel Projects and one of the leading advocates pushing for an end to the embargo, said Monday that "these are welcome steps, but the right course is to allow all Americans to travel to Cuba, to open up commerce and to directly engage the Cuban government in diplomacy and solving problems in both countries' interests."  Watch report on whether Cuba is ready for U.S. tourists »

Obama "has a historic opportunity not to be the last president of the Cold War but the first president to turn the page in U.S.-Cuba relations," she argued.

Before he was elected president, Obama promised to lower some of the barriers in Cuban-American relations. Provisions attached to a $410 billion supplemental budget Obama signed in March also made it easier for Cuban-Americans to travel to Cuba and to send money to family members on the island. In addition, they facilitated the permitted sales of agricultural and pharmaceutical products to Cuba.

The provisions loosened restrictions enacted by President George W. Bush after he came to office in 2001.

Obama's moves appear to be tracking the overall public sentiment on what has historically been a hot-button political issue.

Seventy-one percent of Americans think the United States should re-establish diplomatic relations with Cuba, according an April 3-5 CNN/Opinion Research Corp. poll, and 64 percent think the United States should lift the travel ban to Cuba for all Americans. Sampling error for the poll was plus or minus 3 percentage points.

@highlight

Restrictions lifted on travel to see relatives in Cuba, send remittances

@highlight

Obama aims to "bridge the gap among divided Cuban families," spokesman says

@highlight

Travel restrictions for Americans of non-Cuban descent to remain in place

@highlight

Decision comes before Obama attends Summit of the Americas