(CNN) -- China's plan to guarantee its economic future depends on empowering and enriching the most downtrodden of its citizens: migrant workers.

These are the approximately 250 million people from the countryside that now live and work in Chinese cities but they cannot access government healthcare, education and other social services once they leave their home villages and towns.

These migrants are handcuffed by the Soviet-inspired "hukou" system of housing registration.

Introduced in the 1950s, it aimed to prevent farmers and peasants from flooding into the cities and during the Mao years such a move was nearly impossible.

Since reforms began in 1980, however, the government has allowed farmers to migrate to the cities to fill jobs at factories, construction sites, restaurants, hotels, shopping centers and the like.

This population of migrant workers is now estimated to consititute as much as 25% of the residents of major Chinese cities today.

Just over 50% of China's 1.3 billion people now live in cities, as compared to some 20% when reforms began in 1980. The United States hit the 50% mark in 1920. Britain became majority urban in 1850.

China's future growth depends on "hukou" reform to make these people legal urban residents and turn them into the next wave of consumers

The reason is that the current economic model is running out of gas.

The model -- based on state enterprises and driven by loose credit and government spending on infrastructure -- must be transformed into an economy driven by consumers.

When the new Communist Party leadership of President Xi Jinping and Premier Li Keqiang came into office a year ago, consumption was only about 35% of GDP, as compared to 54% in India and nearly 75% in the U.S.

The existing urban population -- with legal housing registration -- mostly have done well in the past couple of decades.

Many have already splurged on apartments, cars and large electronics.

They alone can't drive the level of consumption the Chinese economy will require going forward.

The "China 2030" report published by the World Bank and the Development Research Center, a Chinese think tank that advises the leadership, said that if China can provide legal urban housing registration for 10 million migrant workers a year and transform them into the next wave of consumers, then China can enjoy 6% annual growth for the next couple of decades.

This World Bank report also estimates that China will have from 13 million to 15 million people per year moving from the countryside to cities for the next couple of decades.

A huge challenge for China's leadership is developing a sustainable urban development model.

For the past 20 years, city planning and urbanization has been driven by real estate sales that funded city governments and enriched well-connected property developers.

The government owns all the land in China and only property usage rights change hands.

So city planners have focused on turning rural land into urban land so it could be developed.

All too often this was done by constructing ring roads around cities to delineate ever larger areas for development.

A serious consequence of this model is heavy pollution, tangled traffic and urban designs that favor massive developments instead of housing, workplaces, education and recreation facilities that are organized around how people live and work and socialize.

Demographers and planners in China are now debating the best models for future development.

These include encircling China's existing metropolises with satellite cities in a hub-and-spoke pattern that would allow migrants to live an hour away with legal housing registration.

The government's current five-year plan designates 20 such centers of urbanization.

This includes the five cities that have the same status as China's provinces -- Beijing, Shanghai, Tianjin, Guangzhou and Chongqing -- as well as such "regional centers" as Nanjing, Wuhan, Chengdu, Xian, Shenyang and Shenzhen.

In the Pearl River Delta inland from Hong Kong, China plans to spend $350 billion to mesh together nine cities with a population of 50 million.

The views expressed in this article are solely those of James McGregor

@highlight

China's economic future depends on empowering migrant workers

@highlight

The current investment-based economic model is running out of gas

@highlight

Making migrants legal urban residents will create a new wave of consumers

@highlight

However, sustainable urban development will be huge challenge