(CNN) -- Not so long ago, TV shows like "Firefly," "Wonderfalls," "Terminator: The Sarah Connor Chronicles" and "Dollhouse" were mourned by science fiction fans as having been canceled before their time, due -- as it always is -- to low ratings.

Another thing each had in common: They aired on Fox on Friday nights.

So observers of the TV world were surprised Thursday to learn of the network's renewal of the series "Fringe" for a full fourth season after two months in a Friday timeslot.

Adding to the surprise: It was picked up in March, much earlier than many other shows with "on the bubble" status -- an equal chance of cancellation or renewal -- would traditionally find out their fates. (One week earlier, NBC renewed two of its "on the bubble" series with a passionate fanbase: "Community" and "Parks and Recreation.")

Fans and many TV critics feared that the show's cancellation was imminent when it was moved from a Thursday slot to Friday. Despite encouraging words from Fox, fans rallied support for the show on social media, and star Joshua Jackson even got involved, reminding the "Fringe" faithful not to rest on their laurels.

The show's ratings started out on par with what they were on Thursday but then started to drop, eventually hitting a series low six days before it was renewed, which begs the question: Did fan support and other factors count for more than the show's raw viewership?

Fox's news release announcing the pick-up of the show, about a war between an alternate universe and our own, certainly gave the fans plenty of credit. "The series' ingenious producers, amazingly talented cast and crew, as well as some of the most passionate and loyal fans on the planet, made this fourth-season pickup possible," said the network's entertainment president, Kevin Reilly.

"Ultimately, I think Fox is making a decision not based purely on ratings but based on (fan) commitment and dedication," said Jovana Grbic, editor and creative director of ScriptPhD.com, who is contributing a chapter to an upcoming book examining the science behind the series. "This is an unprecedented level of support for a show with a small but dedicated fanbase, something that sci-fi in particular has had a very difficult time attaining on network television."

Dennis Acevedo, creator of FringeTelevision.com, attributes it to DVR viewing, especially considering its current timeslot. "It consistently ranks as one of the highest shows in DVR viewing," he said. "And people who like it really like it."

Acevedo quoted a recent interview on TheDailyBeast.com in which Executive Producer Joel Wyman said, "Not everybody likes licorice, but people who like licorice really like licorice. We're happy being that."

But is being "licorice" really all it takes to make a show successful today?

" 'Fringe's' ratings looked very decent for a Friday," said Robert Seidman, who follows TV viewership very closely as co-founder of TVBytheNumbers.com and found the renewal's timing "a little odd."

"The ratings that matter most are ones nobody sees, the 'C3' rating that measure commercial viewing live plus three days of DVR viewing," he said. "All that DVR viewing is great for Fox's PR department, but it doesn't add much extra advertising revenue."

Indeed, the anonymous Twitter user who claims to work for Fox, known as the Masked Scheduler, recently tweeted about an improvement in "Fringe's" ratings the night after its renewal: "Supporting shows by viewing live helps more than u know."

Another possible factor: Science fiction shows typically bring in audiences with higher household incomes. "Seeing that kind of data was what got me interested in doing the website to begin with," Seidman said. "However, that data does not flow freely at all."

So, despite the advent of DVRs and full episodes streaming online, have there been any other major changes since the days of "Firefly" that would add more weight to the passion of a show's fanbase?

"There are now more people watching cable instead of broadcast. The broadcast ratings are lower now than they were when 'Firefly' was on," Seidman said, meaning that some shows do, in fact, stay on the air with ratings that might have gotten them canceled in years past.

As for whether fan efforts can consistently make the difference between cancellation and renewal -- in the way it seemed for shows like "Chuck" and "Jericho" in the past -- Seidman said, "It can't hurt, but I'm not really sold on that. I am sold to some degree: Fans' passion about a show does register with the networks. But I don't think that's enough to save a show if the ratings aren't any good."

No matter the reason, fans understand just how fortunate they are to have the show last this long.

"As a sci-fi fan, expert and writer, the renewal and network backing pleases me because it sends a message to writers and developers of future science fiction television that there is a place for intricate, intelligent shows with a multilayered plot on network television, that the risks are worth taking, and that networks are beginning to recognize the value of the niche as a fan base," Grbic said.

"I think Fringe is just a really unique situation. It's been this experimental show at Fox since the beginning," Acevedo said. "And so far, it's gotten through everything thrown at it."

@highlight

Sci-fi series "Fringe" was renewed early for a full fourth season on Thursday

@highlight

Recent move to Friday worried fans and some TV critics alike

@highlight

Fan devotion alone usually isn't enough to keep shows on air but doesn't hurt