(CNN) -- The threat of violence against feminist and gaming critic Anita Sarkeesian, which led her to cancel a speaking appearance this week at Utah State University, has refocused attention on a recent and often-misunderstood debate.

It's called #Gamergate, with or without the hashtag, and it has triggered ongoing, online barrages between a wide variety of disgruntled people: video gamers, feminists, Internet trolls, scholars, misogynists, gaming-industry journalists and almost anyone else with web access and an ax to grind.

"It's been the talk of video game professionals for the past two months," gaming critic Evan Narcisse said. "The culture wars that ... hit other creative media (are) hitting video games now."

Even to those involved, #Gamergate is a confusing, unwieldy topic. So let's try to simplify it for you.

What is #Gamergate?

At its most basic level, it's a heated debate over journalistic integrity, the definition of video games and the identity of those who play them.

On one side are the so-called hardcore gamers, most of them male, who make and play adrenaline-fueled games such as the "Halo" and "Call of Duty" shooter series. On another side are a new wave of gaming enthusiasts, many of them women, who are making and playing games that don't involve a shootout, a chase or sometimes even a quest of any kind.

Then there are the others (see above) who smell a fight and have piled on. The vitriol, much of it aimed against women, has spilled from the Internet into the physical world. In recent months several women in the gaming industry say they received rape and death threats so specific they were forced to leave their homes.

Some gamers have adopted "Gamergate" as the term for a loosely defined movement defending hardcore games against criticisms from feminists and others.

How did it start?

The roots of the dispute go back years. But the current debate began in late August, when Sarkeesian released the latest of her videos called "Tropes vs. Women," in which she critiques games that portray women as victims, ornamental eye candy and other archetypes.

About the same time, game designer Zoe Quinn was attacked online by an ex-boyfriend who alleged in lengthy blog posts that she cheated on him with a journalist from gaming-news site Kotaku to further her career.

Quinn denied the claim, and Kotaku's investigation found no wrongdoing. But furious gamers took to Twitter, Reddit and other places to complain about ethical lapses in gaming journalism. And both Quinn and Sarkeesian found themselves subject to violent online threats.

Actor Adam Baldwin, best known for roles in "Full Metal Jacket" and the "Firefly" TV series, was credited with coining the #Gamergate hashtag later that month on Twitter. Opponents who feel the harassment of women has gone too far have countered with #StopGamergate2014, which was trending Wednesday.

The arguments on both sides have expanded to include such other topics as free speech and perceived media bias against core gamers.

Share your view on #Gamergate

Why are people so angry?

The gaming universe has expanded beyond consoles in recent years to include players -- many of them women -- of casual and social games such as "FarmVille" and "Candy Crush." According to one survey, 48% of gamers are now female.

More women also are entering gaming as developers or game reviewers. And increasingly they're speaking out about what they perceive as sexism in the industry.

"For 30 years now video games have really been perceived as a boys' club. You've had video games made by men, for men," game designer Brianna Wu said this week. "And I think in 2014, when almost half of the video game players are women ... you're seeing some very insecure guys feeling threatened by that and lashing out."

Of course, many male gamers are horrified by the recent harassment of women. Others, though, say that feminist attacks on games are akin to censorship and they are tired of being lectured to by politically correct "social justice warriors."

"There are now two, bitterly opposed, factions in the industry. Journalists and activists, who care more about gender politics than the video games they are supposed to be reporting on, and gamers, mocked, derided and bullied... but unbowed," wrote Milo Yiannopoulos in a September 1 Breitbart.com column titled "Feminist Bullies Tearing the Video Game Industry Apart."

Can we resolve this?

Maybe, but it will take time. The Internet is an unruly place.

Just last weekend, Wu said she fled her Boston home after receiving threats on Twitter.

As with any vast and diverse group, it will be difficult to get video gamers to agree on any strictures on their art form or community. But the ongoing threats against female gamers appear to be rallying support to the #StopGamergate side.

On Wednesday the leading trade group for the video game industry weighed in.

"Threats of violence and harassment are wrong," said a spokesman for the Entertainment Software Association in a statement sent to The Washington Post. "They have to stop. There is no place in the video game community -- or our society -- for personal attacks and threats."

Ultimately, everyone will benefit by trying to defuse tensions between the two sides. And if gaming executives perceive the treatment of female gamers reflects poorly on the industry and is affecting their bottom line, they may have no choice.

@highlight

Threats against a feminist critic have refocused attention on #Gamergate

@highlight

Term refers to debates over the definition of video games and the identity of gamers

@highlight

Women are complaining about sexism in video games

@highlight

Some men say feminist attacks on games are akin to censorship