ATLANTA, Georgia (CNN) -- Five years ago, Kathye Petters-Armitage's first child received the exact vaccinations on the exact schedule recommended by her pediatrician.

Hannah Polling's autism was found to be "significantly aggravated" by her childhood vaccines.

But when she gave birth to her second child, Petters-Armitage had a change of heart.

In the intervening two years, she'd read a lot about concerns that vaccines cause autism and decided to ask her pediatrician to give her new baby fewer shots spread out over a longer period of time.

"I wasn't a hundred percent convinced there was a link between autism and vaccines," said Petters-Armitage, of Santa Clarita, California. "But I didn't want to be one of those parents who found out the hard way."

Pediatricians say they've seen a dramatic increase in the number of parents who, like Petters-Armitage, want to make changes in the vaccine schedule set forth by the Centers for Disease Control and the American Academy of Pediatrics, a schedule once considered by many pediatricians to be sacred and largely immutable.  Watch more on making decisions about your children's shots »

Many of these doctors say even though they might disagree with these parents, they are making changes.

"If a parent says no to an intervention, including a vaccination, I have to accept that," said Dr. Arthur Lavin, a pediatrician in Beachwood, Ohio, and associate clinical professor of pediatrics at Case Western Reserve University School of Medicine. "I share with them what I know, but ultimately, it's the parent's decision."

Dr. Kenneth Bock, a clinical instructor in the department of family medicine at Albany Medical College in New York, put it this way: "It shouldn't be my way or the highway. We can't say one size fits all. One size doesn't fit all."

In an article on CNN.com in March, two CDC doctors wrote, "Although some may call it a 'one size fits all' approach, the recommended vaccine schedule is flexible."

The following is a list of vaccine changes that parents have requested and that some pediatricians have agreed to make. It does not include a discussion of the pros and cons to each approach, or a discussion of whether vaccines and autism are even linked, but rather a list of some approaches being used by some pediatricians and parents.

1. Delaying the first hepatitis B shot

Currently, newborns receive hepatitis B shots before they're discharged from the hospital.

"I've never understood why we give this at birth," said Dr. Richard Frye, assistant professor of pediatrics and neurology at the University of Texas Medical Center at Houston.

Hepatitis B is spread by having sex with an infected partner, by sharing needles, by sharing razors or toothbrushes with an infected person or by contact with blood or open sores of an infected person.

"I don't know babies who have sex or share needles," said Dr. David Traver, a pediatrician in private practice in Foster City, California.

Lavin says that instead of giving the hepatitis B shot at birth, he routinely gives it when a baby is 2 months old.

One exception: If a mother carries hepatitis B, her baby must receive the vaccine and treatment for hepatitis B infection.

2. Not doing some shots at all

The pediatricians interviewed for this article were unanimous on this point: Not all diseases are created equal. Some diseases for which children are vaccinated are easier to catch than others, and some are more deadly.

For example, Petters-Armitage told her doctor she wasn't as worried about chicken pox or rotavirus as she was about diseases like polio and pertussis. Even though she says he disagreed with her, he abided by her wishes and didn't give her second and third children vaccinations for chicken pox and rotavirus.

The pediatricians interviewed for this article advise parents that if they're concerned, they should sit down and discuss with their pediatricians the severity of each disease before proceeding with vaccinations.

3. Checking for 'titers' before giving booster shots

For many vaccines, such as chicken pox, children receive boosters to "boost" the immunity received from a previous shot. Some children, however, might not need the booster because they had an adequate immune response to the first shot.

Pediatricians sometimes will do a blood test to check a child's titers. "Checking titers" refers to measuring the amount of antibodies in the blood, an indication of whether the person is immune to a certain disease. Checking titers isn't routine and sometimes is not covered by insurance.

"If you came to me and said you wanted to check titers, and you'll pay for it, would I do that for you? I would," said Dr. Laura Jana, a spokeswoman for the American Academy of Pediatrics.

4. Spreading the vaccines out over a longer period of time

This is the hallmark of the Sears Schedule, an alternative vaccine schedule developed by pediatrician Dr. Robert Sears.

Sears' patients bring their babies in for shots seven times between the ages of 2 to 9 months, never receiving more than two shots at each visit.

Under the CDC schedule, children come in three times during that age range, receiving sometimes five shots at one visit.

5. Splitting up combined shots

Several vaccinations are combined into one shot. For example, measles, mumps and rubella are put together into one injection called MMR, and diphtheria, tetanus and pertussis are put together into one shot called DTaP.

MMR is available as three injections, but most doctors don't have them. If you want to separate out these shots, you may have to get a prescription and find a pharmacy that will order them for you and then give them to the doctor for injection.

Some doctors do offer the shots separately. Sears gives measles, mumps and rubella shots separately and at three different ages. Lavin said he's received so many requests to separate out the MMR, he's ordered the separate shots.

Pertussis is not available separately, so even doctors like Sears, who offer an alternative schedule, give the DTaP shot.

The pediatricians we talked to said the key is to talk to your doctor about whether an alternative schedule is best.

"It's a talk. It's a whole appointment," Traver said. "Call the receptionist and say you'd like to make an appointment with the doctor to discuss immunizations."

Another consideration: what's best for your child. For example, in the case of Hannah Poling, the federal government found that vaccines she received as a toddler "significantly aggravated" an underlying illness that predisposed her to symptoms of autism. The "vaccine court" ordered that her family be compensated financially.

It's not entirely clear what family history would put your child at risk for vaccine problems, but Frances Page Glascoe, a professor of pediatrics at Vanderbilt University Medical Center, says parents should look back at least ask the question.

"I would look at Mom, Dad, siblings, aunts, uncles, cousins who had developmental disabilities, including language disorders and autism spectrum disorder," she said. If parents find such a family history, "that would cause me to discuss an alternative vaccination schedule."

Jon Poling, Hannah's father, says it's clear to him now that he should have been more wary.

"We have autoimmune disorders on both sides of the family, and Hannah had multiple febrile infections with ear infections and horrible trouble with eczema," he said. "All of those are red flags that a child is at risk."

CNN associate archive coordinator Sarah Edwards contributed to this report.

@highlight

Parents have concerns about possible vaccine and autism link

@highlight

Doctors from Centers for Disease Control say vaccine schedule is flexible

@highlight

Sears Schedule recommends spreading vaccines out over time

@highlight

Looking at family history can give clues as to whether your child is at risk