Beijing/Anhui (CNN) -- Zhou Xia walks briskly and with a certain purpose.

Carrying three small bags and layered up for the Beijing night, she weaves through traffic and over crowded pedestrian walkways. These are her first steps in a thousand-kilometer trip home to Anhui province.

Zhou is elated.

"I feel great, because I am going home," she says. "I only get home once a year or sometimes maybe twice. I want to go home to see my parents and children because I miss them."

Like many migrants, Zhou came to Beijing for the money. She works two jobs as a maid and her husband gets odd jobs as a foreman. Together they earn around $1,200 a month to support their extended family.

"I don't really like Beijing," she says. Her life here is crowded and the work is constant. But opportunities to earn in China have drained from the countryside into the cities.

And migrants are everywhere in Beijing's sprawl. They clean homes, run fruit stands on wheeled carts, make crispy pancakes on gas fires for the breakfast rush, clean garbage off the streets and clip hedges by hand. They help run this city of more than 20 million.

During the Lunar New Year, they post handwritten signs on their shops, receive red "Hong Bao" envelops stuffed with bonuses, and leave in their millions. Many Beijingers don't notice them until they are gone.

Zhou joins the throngs milling outside Beijing Railway Station, an imposing Maoist and Soviet-style landmark. Everywhere migrants sit on stools and buckets surrounded by their luggage, puffing on cigarettes in the cold.

"I bet you haven't experienced anything like this before," says Zhou as we jam through the bottleneck to board. We're stuck right in the middle of giant swathe of humanity.

A muffled announcement, a shove forward, a half step backwards, then we shuffle forward all together. "Don't push me," shouts one man as he gets a duffle bag shoved against his head.

China has built up an impressive network of high-speed trains. But not the 8 p.m T63 to Hefei. She's a stately string of carriages in bold blue, red and white, designed for comfort, not for speed. Even that is compromised during Lunar New Year.

Chinese take more than three billion trips during this period, more than 200 million by rail, so just getting a ticket is a bit like winning the lottery.

Tickets online to Hefei sold out in seconds, says Zhou, so she bought one to the first stop in Tianjin, hoping the conductors wouldn't throw them off in this time of goodwill.

"Any pregnant women, young children, or elderly in this carriage," says the lead conductor, in a sharp navy blue uniform with officer-style cap as the T63 clatters out of the station.

It appears nobody in our carriage could get a ticket beyond Tianjin. So the conductors register us to be distributed through the train. Some get sleepers in three-tiered bunks; others jam in where they can.

There is a saying in China: "Rich or poor; get home for the holiday" ( 有钱没钱，回家过年). It has become a bit of a cliché. But for Chinese, and Chinese migrants in particular, going home for the Lunar New Year, or Spring, festival is near mandatory and often the only time of the year they can be with their families.

"I really do miss my children," says Zhou. "It's not like we are separated by a month or two, it's for a whole year. That is a long time and there is such a huge distance between us."

Zhou's family mirrors changes in China.

Her father's generation worked the fields near their village, but pollution and urbanization made farming untenable. Zhou missed out on an education, so she works doggedly to support the whole family. Her daughter works at an appliance factory. But her son is in university studying physics.

He is their big hope.

"His tuition costs thousands and we have to pay," says Zhou. "But I am full of hope he will graduate and find a good job with a steady income and he will contribute to the family. Everything we do is for our children and our family."

Migrant families are full of these sorts of burdens and dreams. So, for many, ten hours in a crowded train is no real hardship at all.

Others on the train, like Mr. Fan, who runs a breakfast stand in Beijing, are also happy to suffer the cramped conditions.

"We go home once a year to see my kids and my parents. This travel is nothing to me. I am totally content," he says.

Around him people sleep on the carriage floor, others pack in three abreast in standing room. They eat, try to sleep and play Shengji, a popular Chinese card game.

"Only eight minutes to go," says Zhou in the pre-dawn gloom as we approach Hefei. "I am feeling great, but I am sure you are tired."

Soon there will be the reunion, the meals, the fireworks. Gossiping with friends and seeing family.

But Zhou has only one thought.

"Every year when I get near my home I feel so happy. But going back is so hard. I feel so sad then that every time I cry."

CNN's Dayu Zhang contributed to this report.

@highlight

A migrant worker in China travels home to be with her family for the New Year

@highlight

Zhou Xia and other migrants like her help to run Beijing, a city of more than 20 million

@highlight

The New Year is often the only time these workers can see their families

@highlight

In a cramped train carriage, Zhou tells of her hopes for her son, and the joy of going home