In a closely watched vote, Uruguayan lawmakers approved a proposal to make recreational marijuana legal for adults and to regulate its  production, distribution and sale. Once it's signed by President Jose Mujica, who initiated the proposal, Uruguay will be the first nation in the world to fully legalize the drug.

In the year and a half since President Mujica announced the proposal in June 2012 as part of a comprehensive package aimed at fighting crime and public insecurity, a strong coalition of LGBT, women's rights, health, student, environmental and human rights organizations joined forces with trade unions, doctors, musicians, lawyers, athletes, writers, actors and academics under the banner of Regulacion Responsable (Responsible Regulation) to support the initiative and created a lively public campaign in favor of the proposal.

Under the proposal, people will have four ways to access marijuana: medical marijuana through the Ministry of Public Health, domestic cultivation of up to six plants, membership clubs similar to those found in Spain and licensed sale to adults in pharmacies.  The bill was approved in the Chamber of Deputies in late July and passed in the Chamber of Senators on Tuesday.

Why marijuana, why now and why Uruguay? The following three simple reasons have a lot to do with today's outcome:

Because it's the smart thing to do.

Doing the same thing over and over again and expecting different results is insanity, and Uruguay knows this. For 40 years, marijuana prohibition simply hasn't worked. Billions of dollars have been spent on repression, but marijuana use has only gone up -- along with the number of lives lost to failed policies.

The tens of thousands who have died in Mexico's drug war -- estimates in 2012  ranged from 60,000 to 70,000 over six years -- Central America's globally high homicide rates and the United States' racially driven mass incarceration are but a few examples of the human cost of the war on drugs. But rather than closing their eyes to the continuing problem of drug abuse and drug trafficking, Uruguay's leaders have chosen responsible regulation of an existing reality.

Because the winds are changing, and they're starting to blow in that direction.

In recent years, debate and political will for an overhaul in drug policy has gained unprecedented momentum throughout the U.S., Latin America and elsewhere.

In 2011, Kofi Annan, Paul Volcker and Richard Branson joined former Presidents Fernando Henrique Cardoso of Brazil,  Cesar Gaviria of Colombia and Ernesto Zedillo of Mexico  and other distinguished members of the Global Commission on Drug Policy in saying the time had come to "break the taboo" on exploring alternatives to the failed war on drugs and to "encourage experimentation by governments with models of legal regulation of drugs," especially marijuana.

More recently, Presidents Juan Manuel Santos in Colombia and Otto Perez Molina in Guatemala have joined these calls for reform. In May, the Organization of American States produced a report, commissioned by heads of state of the region, that included marijuana legalization as a likely policy alternative for the coming years.

In November 2012, the states of Colorado and Washington approved the legal regulation of marijuana.  In August, the White House announced that the federal government will not interfere with state marijuana laws -- as long as a number of stipulations are adhered to, such as preventing distribution to minors.

By approving this measure, Uruguay has taken the broad regional discussion on alternatives to drug prohibition one step further, representing a concrete advance in line with growing anti-drug war rhetoric in Latin America and throughout the world.

Because Uruguay is used to doing exceptional things.

You might hear "Uruguay" and think of football, yerba mate, beef, tango or, now, marijuana. But this tiny country of just over 3 million people has a history of remarkable political reforms and a strong human rights ethos.

Just last year, Uruguay legalized same-sex marriage and abortion. It has long been at the forefront of progressive policies, being one of the first nations in the region to grant divorce rights for women in 1912, instituting the eight-hour workday in 1915 and including women's right to vote in its Constitution in 1917. It has never criminalized prostitution and has legally regulated it since 2002. In 2009, Uruguay granted adoption rights for same-sex couples and the legal right to choose one's own gender identity.

This also comes from a country where the church and state have been officially separated since 1917.

It's a country where the president, 78-year-old former Tupamaro guerrilla Mujica, lives an austere lifestyle after having spent 14 years as a political prisoner during Uruguay's dictatorship, 10 of them in solitary confinement. He donates 90% of his salary to charity, shuns the presidential palace and chooses instead to remain on his farm with his wife, also a former political prisoner, working to construct a more fair, more inclusive Uruguay.

The consensus is there. Marijuana prohibition hasn't worked, and it's time to try an innovative, more compassionate and smarter approach. Let's hope more countries soon follow Uruguay's brave lead.

Join us on Facebook/CNNOpinion.

@highlight

In Uruguay, a proposal supported across the social spectrum to make pot legal has passed

@highlight

Hannah Hetzer: Uruguay knows prohibition hasn't worked and wastes lives and dollars

@highlight

Hetzer: Uruguay's leaders chose regulation of an existing reality, which also fights crime

@highlight

Hetzer: The world should take a lesson from this tiny country with a history of political reform