(CNN) -- Dr. J. Stephen Jones had seven vasectomies to perform in a day.

Some urologists around the country are reporting increased numbers of patients coming in for vasectomies.

The schedule for Jones, a Cleveland, Ohio, urologist, has become more crowded during a recent boom in vasectomies.

"My staff came to me and said, what's happening?" said Jones, the chairman of the Department of Regional Urology of Glickman Urological and Kidney Institute at the Cleveland Clinic. "Why are we suddenly having an explosion in guys asking for vasectomies?"

They looked at their statistics and realized the uptick started around November as the economic crisis deepened. October went down in the history books as one of Wall Street's worst months.

Since then, the Cleveland Clinic has seen a 50 percent increase in vasectomies, an outpatient surgery that is the cheapest form of permanent birth control. Vasectomies are less invasive and cheaper than tubal ligation, which involves blocking, tieing or cutting a woman's fallopian tubes to prevent pregnancy.

"It's unlikely that some guy read the Dow Jones numbers that day and said, 'Why don't we have a vasectomy?' " Jones said. "More likely, people have already been considering it and typically a guy and his wife have spoken a year or two about this."

Jones was told by patients that they were getting vasectomies because they were losing their jobs and health insurance, or concerned about being out of work soon.

"They realize they don't have the financial security long-term with what's going on," Jones said. "Several of them have mentioned, 'We can't afford to have any more children in this economy.' My perception is that it's more of the concept of raising children in an uncertain economic future."

Much like Jones, Dr. Marc Goldstein, surgeon-in-chief of male reproductive medicine and surgery at the Cornell Institute for Reproductive Medicine in New York, saw a 48 percent increase in vasectomy consultations compared with the same time last year.

"I have never seen anything like this," said Goldstein, a urologist for the last 30 years. "When things started to go south in the stock market, then the vasectomy consults went north."

Half of Goldstein's New York patients work in the financial sector. New patients filed into his office in November.

"I think the situation of finance and the economy is the major reason," Goldstein said. "Some of them have mentioned that, 'It cost $30,000 a year to put my kids in private school and I can't afford to have another one.' It's never the sole reason, but it's certainly a contributing factor."

During the vasectomy, the doctor cuts the two vas deferens, which are the tubes carrying sperm from the testicles to become semen. After the procedure, men can still have sex, but their semen does not contain sperm and therefore they can no longer father children.

Doctors can attempt to reverse the procedure, but vasectomy reversals are expensive and only work half the time in restoring sperm flow.

Carl Haub, a demographer with the Population Reference Bureau, a private research firm, said the National Center for Health Statistics' data showed that, "During bad economic times, the Depression and the recession in the 1970s, the birth rate did go down."  See the chart on fertility rates in the United States from 1917 to 2007 »

"Some folks will postpone having kids," he said. "If you had a vasectomy, you've made a bigger decision that you're never going to have another child."

When people stop having children, it implies a loss of confidence in their future employment prospects.

"Am I going to have a job in six months or a year from now?" Haub said. "If I'm concerned about that, people are not going to increase their financial obligations... It's naïve to say the economy didn't play a significant role in lowering the birth rate."

It's too early to tell whether this recession has crimped the birth rate, Haub said.

At this point, most of the evidence of increased vasectomies has been anecdotal from practicing urologists, because there is no national registry for sterilizations.

The number of appointment requests spiked 30 percent in January 2009 on the Web site vasectomy.com, which links people with local urologists. But throughout the last few months, appointment requests have been fairly level, said Dr. Ted Benderev, founder of the site.

Dr. Lawrence Ross, a professor of urology at the University of Illinois at Chicago and former president of the American Urological Association, said the school's clinics have seen moderate increases in the last six months to a year and that vasectomies are growing popular among lower-income clients.

"My guess is that since economic times have worsened, people are concerned about their ability to raise larger families and are opting for more permanent birth control," Ross said.

People who are concerned about losing their health insurance are trying to take advantage of the coverage for a procedure they've long considered.

"It may have something to do with the economy," said Dr. Bryan Kansas, a urologist. "I can't count on my hands, in the last three months, the number of times someone has said they're about to lose their insurance and ask to squeeze them in."

He and his colleagues have seen a similar uptick in their Austin, Texas, practice called The Urology Team.

Throughout March Madness, Kansas' office has a special on vasectomies called, "Vas-Madness" to capitalize on their patient's obsession with the college basketball tournament.

Patients "would love to have a procedure, go home and sit there when you've got all-day programming, watch basketball," Kansas said.

After the less-than-hourlong procedure, patients usually spend a day or two recovering, moving gingerly and icing the soreness. Some men time their vasectomies around the time of major sports events such as the Masters Golf Tournament and the NCAA basketball tournament to keep themselves entertained during recovery.

Vasectomies are likely to produce tenderness, discomfort and slight swelling and the patient is usually able to return to usual activities within a week.

@highlight

Urologists report a higher demand for vasectomies in recent months

@highlight

In New York, vasectomies increase after stocks tumble in fall 2008

@highlight

During recessions, people have fewer children, according to health statistics