Cairo (CNN) -- Protests outside the U.S. Embassy in Cairo continued into Friday, after U.S. President Barack Obama issued what is being seen as a stern warning to Egypt that relations between the two countries will be shaped by "how they respond to this incident."

"I don't think that we would consider them an ally, but we don't consider them an enemy," Obama told Telemundo in an interview to be aired Thursday night. "They're a new government that is trying to find its way. They were democratically elected. I think that we are going to have to see how they respond to this incident."

In the interview, recorded Wednesday, Obama said that if Egypt takes actions that "indicate they're not taking responsibilities, as all other countries do where we have embassies, I think that's going to be a real big problem."

Meanwhile, violent protests -- sparked by outrage over an anti-Islam film made in the United States and posted online -- marked their fourth day in Cairo. The film, which denigrates the Prophet Mohammed, has sparked protests across the region.

Clouds of tear gas wafted over the hulks of burned-out cars Thursday as hundreds of demonstrators battled police 300 yards from the embassy. The demonstrators threw rocks and Molotov cocktails at police and chanted, "With our souls, with our blood, we will sacrifice for you, Prophet Mohammed."

At least 224 people were injured, according to Egyptian state television, Nile TV.

Six things to know about the Benghazi attack

Images from Friday morning showed throngs of people still massed in the area, with authorities stationed in front of them, under a dark sky. While there was ample activity and apparent commotion, there was no audible chanting or notable clashes evident between authorities and protesters.

The protests, and Obama's comments, come during a delicate period in the relationship between the United States and Egypt under Mohammed Morsy, the country's first democratically elected leader since the overthrow last year of longtime ruler Hosni Mubarak.

They also come amid heightened tensions at U.S. diplomatic missions in the Middle East and North Africa following Tuesday's attack on the U.S. Consulate in Benghazi, Libya, that left Ambassador Chris Stevens and three other American consular officials dead.

That same day, police and Egyptian troops formed defensive lines around the embassy to prevent demonstrators who had also gathered there from advancing, but not before the protesters had scaled the embassy fence and placed a black flag atop a ladder in the American compound.

Police arrested four protesters, but the failure of Egyptian authorities to take action sooner has been widely questioned.

Some also questioned President Morsy's response. He initially focused his criticism on the film as an unacceptable slap at Islam.

Ambassador's killing shines light on Muslim sensitivities around Prophet Mohammed

"The presidency condemns in the strongest terms the attempt of a group to insult the place of the Messenger, the Prophet Mohammed ... and condemns the people who have produced this radical work," the president said in a statement posted on his Facebook page. "The Egyptian people, both Muslims and Christians, refuse such insults on sanctities."

But after speaking with Obama in what the White House described as a review of the "strategic partnership between the United States and Egypt," Morsy directly criticized the attacks for the first time Thursday.

"Those who are attacking the embassies do not represent any of us," he said in comments from Brussels, Belgium, where he was visiting the headquarters of the European Union.

Obama's comments were widely seen as a warning to Egypt, which under Mubarak was widely considered a staunch U.S. ally and remains a major recipient of American foreign aid.

"I think it was a little bit of a strange choice of words to say that Egypt is not an ally," Atlantic Council analyst Michelle Dunne said. "But I think that his purpose is to put President Morsy on notice that he really has to do what's necessary to prevent the escalation of these demonstrations in Cairo to what we have seen, for example, in Libya."

On Thursday, White House spokesman Jay Carney said Obama used the correct "diplomatic and legal terms" in that the United States and Egypt do not have a formal alliance or mutual defense treaty.

But, he said, Egypt remains "a longstanding partner" of the United States, and U.S. officials have no intention of cutting aid to the country.

Yemeni police, demonstrators hurt in U.S. Embassy clashes

Brookings Institution analyst Shadi Hamid said it was telling that the United States seemed angrier about Morsy's delayed response than it was when the country's military government disbanded parliament this year.

"After getting on 'right side' of history, security still trumps democracy," Hamid posted on Twitter. "That's fine (and not surprising) but let's not pretend otherwise," he said.

But Sen. John McCain, R-Arizona, said the president's assessment was largely correct.

"They have gone from a staunch ally under Mubarak to one which is a country that's seeking its own way," McCain said.

He said that the United States needs to have a good relationship with Egypt, but that it is understandable why many in the United States are displeased with its leaders.

"They have a pretty big army," McCain said. "They could have protected our embassy."

Thursday's protests were a continuation of demonstrations that broke out Wednesday night near the embassy.

Protesters tried to push through barbed wire fencing protecting the embassy and set fire to two police trucks and a car, according to Alla Mahmoud, a spokesman for the Egyptian Interior Ministry. Forces pushed back the protesters after the vehicles were set on fire.

"Forces were able to push them down toward Tahrir Square farther from the embassy street," Mahmoud said, adding that some arrests had been made.

At least 13 protesters and six police officers were injured in the earlier clashes, Egyptian government officials said Thursday.

Reaction to film fuels debate on free speech vs. hate speech

CNN's Mohamed Fadel Fahmy and Ian Lee in Cairo, and Caroline Faraj, Jomana Karadsheh, Matt Smith, Brian Walker, Elise Labott, Paul Cruickshank and Tracy Doueiry contributed to this report.

@highlight

NEW: Protests in front of U.S. Embassy in Cairo continue into Friday

@highlight

Obama's "ally" statement puts Egypt on notice to stem embassy violence, analyst says

@highlight

At least 224 injured in Thursday clashes in Cairo near U.S. embassy, state TV reports

@highlight

Embassy attackers "do not represent any of us," Egyptian president says