London (CNN) -- When John Steinbeck wrote "The Grapes of Wrath," the 1939 novel about the plight of tenant farmers driven from their Oklahoma home, he was intending in his own words to "rip a reader's nerves to rags."

In doing so, the Californian author was also fulfilling what British researchers have proved, that literature mirrors the economic conditions of the previous decade.

The so-called "Literary Misery Index," devised by statisticians at Bristol University, shows how often words associated with sadness appeared in print, year by joyless year. They compared their index to a standard "Economic Misery index" -- based on rates of unemployment and inflation -- and concluded that there is a link between the two.

The study, made public on a dreary day in January, showed a distinct correlation -- with an 11-year delay -- between the two indices. In other words, about a decade after you have an economic crisis -- you tend to get more expressions of sadness in literature.

The heavy-hearted conclusion: Hard times make for miserable books.

So phrases like "a sorrow here that weeping cannot symbolize..." is just what Steinbeck should have been writing in 1939, 10 years after the Wall Street crash known as Black Tuesday, and at the end of a wretched decade for the U.S. economy that saw a severe decline, double-digit unemployment, drought and dustbowl.

And the painfully high inflation and unemployment of the 1970s and early 1980s may have had an influence on Bret Easton Ellis, whose first novel, "Less Than Zero," came out in 1985.

"Dark" and "darkness" runs through the novel, whose motto is "Disappear Here."

"Trent calls me the next night and tells me that he's feeling depressed..." writes Easton Ellis, as Clay.

The researchers contend that it's not only novels which are influenced by economic despondency. The research includes all types of publications. Of the millions of books used in the study, only around 10% were fiction.

It means biographies, histories -- maybe even cook books -- which were written in the aftermath of economic decline will statistically speaking contain more "sad" words... like "sorrow", "weeping" or "melancholy",

Professor R. Alexander Bentley, Head of the Department of Archaeology and Anthropology, at Bristol University, said: "To me the study confirms that we do have a collective memory that conditions the way we write, and that economics is a very important driver of that."

Maybe that's why they call it the "dismal science."

Even though John Steinbeck was writing about America in the 1930s -- "The Grapes of Wrath" contains many themes which will have a grim resonance for today's readers.

"The bank is something else than men. It happens that every man in a bank hates what the bank does, and yet the bank does it. The bank is something more than men, I tell you. It's the monster. Men made it, but they can't control it." ("The Grapes of Wrath")

While that passage doesn't include any of the sad words (the mood is more the "wrath" of the novel's title), it taps into the collective consciousness of America just as any of the "sad" adjectives might.

Steinbeck's book was definitely intended to expose the excoriating cruelty of the Great Depression. This study says that even authors who aren't ostensibly writing about conditions in the economy are somehow infusing their experiences into their work.

Our most recent financial and economic crisis began in earnest with the fall of Lehman Brothers in September 2008 and many people around the world today are still experiencing the effects. U.S. unemployment hit 10% in October 2009 -- and it's only now beginning to fall to more "acceptable" levels.

So it seems, going by this study, that we are in for a miserable few years in literature. The dreary deluge should begin in around 2018.

By then, the economy may be in a better place. Novelists will still be working it out.

And if your new recipe book sounds a little bit depressing -- now you know why.

@highlight

British researchers have proven that literature mirrors economic conditions of previous decade

@highlight

The "Literary Misery Index" shows how often 'sad' words appeared in print

@highlight

They concluded there is a link between this index and the "Economic Misery index"

@highlight

The research includes all types of publications, including biographies and cook books