London (CNN) -- As I write, we have just received news of what we believe to be the 29th Tibetan in the past month to set fire to themselves in protest at Chinese rule in Tibet. By the time you read this, it is likely that more have made this extraordinary choice.

At Free Tibet we have seen protesters die from their injuries and survivors disappear by Chinese state authorities. It's hard to imagine how bad the circumstances must be for a person to decide that the most effective way they can make their views known is to wrap barbed wire around their body -- so that burning clothes cannot be pulled off them -- drink gasoline, pour it over themselves, light the fuel and be consumed by fire.

Tibetans can't vote, their petitions to government are ignored, protest of any kind is criminalized and, once imprisoned, most Tibetans are denied a lawyer.

Without legal or political recourse to address their grievances, they risk their lives, their liberty and the safety of their families to protest China's occupation of Tibet. This goes some way to explain why more than 90 Tibetans from all walks of life have called for freedom by setting themselves on fire -- all other avenues have proved futile. There are thousands more who have protested in other ways.

China has responded not by negotiating, but by perpetrating further violations of Tibetans' human rights in efforts to stamp out dissent, which is deemed a threat to "One China."

We have seen military and security forces descend in large numbers on places where self-immolations have taken place. Over much of the last year and a half, since a young monk called Phuntsog set fire to himself there, the Chinese military have lined the streets of the town of Ngaba; road blocks restricting people's movements. Free Tibet has received reports of security forces ransacking homes, beating people in their houses and in public in a show of force and intimidation of the community.

People suspected of being involved with those who have set fire to themselves are criminalized. Rewards -- the equivalent of a generous annual salary -- are on offer for information about collaborators, and anyone suspected of collaboration can expect to receive a prison sentence of up to 13 years.

Free Tibet has documented a number of incidents of collective punishment of communities where protests have taken place. Last month, a public information broadcast on Tibetan television outlined, in great detail, collective punishment measures for communities where self-immolations take place: the families of those who set fire to themselves will have any state benefits removed, communities where protests take place will not receive investment for local projects for three years; government officials will be "removed."

Although protests by fire have captured the attention of the international media, there are other protests across Tibet that have not gained such coverage.

Thousands, from school children to the elderly, are engaging in peaceful protests. They have been shot at -- some killed, many more wounded -- by Chinese security forces. Over five days in January, in three separate incidents, Free Tibet received reports that five Tibetans were shot dead, many more wounded, when security forces opened fire on peaceful protesters. We believe those suspected of involvement in the protests have been rounded up and detained in their hundreds; scores have been disappeared; many have been tortured and some have died while in detention, most likely from the wounds they sustained during torture.

Others have acted alone. Jigme Dolma, a 17-year-old girl, was beaten and detained by security forces for throwing Buddhist writings in the air and calling for the release of political prisoners. Her protest lasted five minutes; her sentence, after having been disappeared for several months, is three years in prison.

The rest of the world knows very little about the situation in Tibet because few places today, except perhaps North Korea, are so effectively cut off from the rest of the world.

Internet and mobile phone signals are routinely blocked, particularly in areas where protests take place. When they aren't blocked they are tightly monitored and Tibetans suspected of "sharing information" are regularly disappeared or detained and receive up to life imprisonment just for sending an e-mail. One Tibetan, who declined to be identified, recently told us: "I really don't have the courage to sacrifice my life with immolation but I can spend time in Chinese jail for passing on the truth."

Human rights monitors and international diplomats are refused entry to Tibet and the international media are banned. The only journalists who have reported from Tibet over the last two years have done so by entering the country undercover, hidden on the back seats of cars. Even then, most only manage to film through a car window.

All these impediments make securing and verifying information an extremely dangerous job for anyone inside the country, and a constant challenge for organizations like Free Tibet.

Free Tibet ensures that governments do know what is happening in Tibet, despite China's best efforts to gloss over and conceal the truth. Sadly, many countries choose to turn a blind eye.

We welcome steps taken by the U.S. -- for instance Ambassador to China Gary Locke's public statement urging Beijing to negotiate with the Tibetan people to address policy failures in Tibet -- but there is so much more that the international community must do if Tibetans are to enjoy the freedoms so many of us take for granted.

*Please note CNN has offered the Chinese government a chance to comment but we have not yet received a response.

The opinions expressed in this commentary are solely those of Stephanie Brigden.

@highlight

Free Tibet: We have seen protesters die from their injuries, survivors disappear by authorities

@highlight

As many as 29 Tibetans have self-immolated in protest against Chinese rule, group says

@highlight

Without legal or political recourse to address their grievances, they risk their lives, says Brigden

@highlight

Brigden: World remains largely unaware of the situation as the region is effectively cut off