Tunis, Tunisia (CNN) -- Even while under curfew following the ouster of their long-serving authoritarian leader, Tunisians on Saturday experienced newfound freedoms online as their acting president promised a "new phase" for his embattled land.

Filters on websites like Facebook and YouTube, put in place under former President Zine El Abidine Ben Ali, were dropped and Internet speed picked up considerably -- a development that followed the new government's vow to ease restrictions on freedoms.

In addition, three Tunisian journalists -- including two bloggers critical of Ben Ali -- have been freed from jail, the Committee to Protect Journalists said Saturday.

These developments come as Fouad Mebazaa was sworn in as the country's acting leader on Saturday, after Ben Ali and his family took refuge in Saudi Arabia following days of angry street protests against the government

Speaking on national TV, Mebazaa, who had been the country's parliamentary speaker, promised to ensure the nation's "stability," respect its constitution and "pursue the best interest of the nation."

"Citizens, sons and daughters of our country of Tunis, in this important and urgent moment in the history of our beloved country, I appeal to all of you of various political parties, and nationalist organizations, and all civil society organizations to fight for the national interest and to respect the army's command and the national security in security matters, and to preserve private and public property and to bring the return of peace and security in the hearts of the citizens," he said.

Mebazaa's temporary assumption of the presidency corresponds to an article in Tunisia's constitution that says power will be transferred to the parliament speaker when the president resigns, dies or is unable to perform his responsibilities. He asked Mohamed Ghannouchi to remain as prime minister of what is now a caretaker government.

This dramatic power shift comes after the departure of Ben Ali, the leader of the north African country since 1987 who had a reputation for ruthlessness and corruption, Ben Ali fled to Jeddah, where he was welcomed by the Saudi Arabian king.

"The government of the Kingdom of Saudi Arabia announces that it stands fully by the Tunisian people, wishing, by God will, its people will stand solid to overcome this difficult phase in its history," the Saudi royal court said in a statement.

Moammar Gadhafi, leader of neighboring Libya, denounced the developments in a televised speech Saturday night. Ben Ali remains the nation's rightful president, per its constitution, and blamed unrest on criminal gangs, he said.

"Sadly, Tunisia is headed to more chaos and we do not know how it will end," he said.

Gadhafi closed his speech by saying he was "sad and hurt" by the recent developments, which he said threatened to derail significant progress in Tunisia.

"I hope your sanity returns and your wounds heal, because you had a big loss that will never return," he said, addressing the Tunisian people.

As the political situation remained fluid, the army appears to have clamped down and established a strong presence on the streets in the cities of Tunisia, long a relatively stable and prosperous country in what diplomats have described as "a rough neighborhood."

Tunisian state TV reported that officials plan to hold presidential elections in 60 days, and an opposition leader told CNN that opposition figures were meeting with the caretaker prime minister to discuss formation of a unity government.

The ruling government declared a state of emergency, ordering a curfew requiring all people to remain indoors between 5 p.m. Saturday and 7 a.m. Sunday.

No large street protests in the capital, Tunis, were reported Saturday. But multiple videos posted online showed that Tunis' main train station had been burned.

There were also reports of rioting and looting in the country, and security forces also have been spotted rounding up and roughing up people.

At least 42 people died when a fire swept through a prison in the eastern Tunisian city of Monastir, Dr. Ali Chadly of the University Hospital of Monastir told CNN. It was not immediately clear what sparked the fire.

A travel warning from the British Foreign Office on Saturday said "there have been demonstrations, some violent" and "significant looting" in Tunis and other locations, citing Sousse, Sfax, Nabul, Hammamet, Douze, Kasserine, Requeb and Thia.

Under Ben Ali, Tunisia was a pro-Western state supportive of U.S. policy in the Middle East and in its efforts against terrorism.

On Friday, U.S. President Barack Obama condemned "the use of violence against citizens peacefully voicing their opinion in Tunisia" and lauded "the courage and dignity of the Tunisian people." He also urged Tunisia's government "to respect human rights (and) hold free and fair elections."

The wave of rallies in the North African nation was stirred by the suicide of an unemployed college graduate, who torched himself last month after police confiscated his fruit cart, cutting off his source of income.

Since then, protesters had called for Ben Ali to step down and held daily demonstrations denouncing his government.

The grass-roots protests, organized and supported through online networks centered on Twitter and Facebook, focused on poor living conditions, high unemployment, government corruption and repression.

Amnesty International spokesman Claudio Cordone said that 55 people have been killed over the past several weeks of demonstrations. The former president had put the number at 21 before his departure.

"We hope that the army will match its reputation for being more professional and less trigger-happy than the security forces that have been responsible for much of the violence over the last several weeks," Cordone said.

The tumult, including Ben Ali's departure, has reverberated in the Arab world, where the news of the uprising elated people in other countries across the region, where authoritarian rule has persisted for years.

In Cairo, Egypt, about 100 people inspired by what some are calling the "Jasmine Revolution" in Tunisia massed in front of the press syndicate and called for a similar uprising there.

Amid heavy security and the presence of many riot police in the city, the people chanted, "Down with Hosni Mubarak," the nation's leader, and called him a corrupt and ruthless ruler.

Tunisia has close cultural and economic links to France, which invaded Tunisia in 1881. That move led to the creation of a protectorate until Tunisia became independent in 1956.

An official statement from French President Nicolas Sarkozy noted France's "many ties of friendship" to Tunisia and called for free elections as soon as possible.

After Sarkozy met with some senior members of his Cabinet Saturday to discuss Tunisia, Finance Minister Christine Lagarde sent instructions to financial institutions and banks to freeze the assets in France of the Ben Ali family.

French government spokesman Francois Baroin said Saturday that France asked some of Ben Ali's relatives to leave the country, adding that Ben Ali wouldn't be allowed in France.

The African Union's Peace and Security Council on Saturday "expressed its solidarity" with Tunisians and deplored the "excessive use of force against demonstrators."

It also urged "the political stakeholders and the Tunisian people to work together, in unity, consensus and respect for legality, towards a peaceful and democratic transition, which will allow the Tunisian people to freely choose their leaders through free, open, democratic and transparent elections."

Also Saturday, the Arab League released a statement regarding "this historic stage" and urged the "return of calm and security," according to a report by Jordan's state-run news agency, Petra.

The Cairo-based alliance offered support for a peaceful, legal realization of "the Tunisian people's aspirations for a decent, secure and stable future in a climate of democracy and political stability."

Journalists Elham Nakhlawi and Ian Lee contributed to this report.

@highlight

NEW: Filters on websites like Facebook and YouTube have been dropped

@highlight

NEW: Tunis' main train station has been torched, videos show

@highlight

Unhappy Libyan leader tells Tunisians, "I hope your sanity returns"

@highlight

The country's acting president calls for a "better political life" in Tunisia