(CNN) -- For the record, I'm not a leading fan of the economist Jeffrey Sachs.

But even from the "away" team benches, you have to salute the audacity of his latest adventure.

Sachs, director of the Earth Institute at Columbia University, has nominated himself to be president of the World Bank. He has launched a political campaign to win the necessary votes from governments worldwide. He has won the endorsements of eight governments and 27 members of the U.S. Congress.

Nobody has ever seen anything like this before. While people do "campaign" for jobs as heads of international organizations, they usually do so from behind the scenes. Their names mysteriously begin to be mentioned in the columns of The Financial Times, Foreign Policy magazine and The International Economy, but they never admit on the record that they want the job, much less go on the road giving speeches and interviews asking for it.

Until now.

"There have been 11 presidents of the World Bank, and not one of them yet has been an expert in international development," Sachs said in an interview with The Washington Post on March 8. "The world would be better off and America's interests in a peaceful world would be better served by an expert in development at the bank."

Sachs is not even slightly coy about who that expert should be.

In the end, the choice of World Bank president comes down to an electorate of one, the president of the United States. The U.S. is the single largest shareholder in the bank, and by tradition the bank's president is always an American. (By the same tradition, the president of the International Monetary Fund is always a European.)

The past heads of the bank have usually either been bankers with close administration ties or else serious-minded politicians looking for a second career. Appointment to the bank has also sometimes been used as a dignified way to say goodbye to officials whose services are no longer required. Lyndon Johnson sent Robert McNamara to the bank after Vietnam. George W. Bush sent Paul Wolfowitz after Iraq.

This suggests a more obvious nominee for President Barack Obama: Hillary Clinton. The two former rivals from 2008 have worked together impressively until now. President Bill Clinton even stars in Obama's new 17-minute campaign documentary -- an impressive healing of a once-bitter rift.

Still, you have to wonder how long Hillary Clinton will want to play deputy to a president with strong foreign policy ideas of his own; and how long Obama will wish to be served by a secretary of state who may be viewing a future after him in 2013 or 2017.

This may be the moment for the hearty handshake, and the World Bank may once again offer a convenient and appropriately grand refuge.

So you'd want to get good odds before placing a bet on the chances of an untraditional candidate like Sachs. But you also have to wonder: In the era of Facebook and YouTube, of viral media and guerrilla marketing, how long will it remain possible for important international leadership positions to be selected through secret processes?

It's not only the head of the World Bank who's chosen by an opaque and elite process.

The president of the European Commission exercises more power than most of Europe's 27 elected heads of government. Can you name him?

Dominique Strauss-Kahn did his best to raise the profile of the International Monetary Fund. Do you know his successor?

The seven board members of the Federal Reserve have far more sway over the U.S. economy than does the president of the United States. In recent years, the Fed chairman has become something of a national figure -- but not the other six.

And so it goes.

Over the past quarter-century, formal democracy has spread as never before. From Seoul, South Korea, to Bratislava, Slokavia, a higher proportion of the human race lives under elected governments than ever in human history.

Yet as national governments yield power to international bureaucracies -- as even the work of domestic government becomes more complex and opaque -- practical democracy seems on the retreat.

Sachs' quixotic campaign for World Bank president won't change that reality, even in the unlikely event that he should somehow win. But the campaign can at least draw attention to the reality -- and the gap between how we imagine our societies to be run and how they really are.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

Economist Jeffrey Sachs is mounting an unusual public bid to lead World Bank

@highlight

David Frum says typically the job is awarded by a U.S. president after secret selection

@highlight

He says Hillary Clinton is a more likely candidate for the job than Sachs

@highlight

Frum: In age of growing democracy, can top posts be handed out in secrecy?