(CNN) -- At the end of first grade, 7-year-old Cameron Hale, an easy-going, cheerful little boy from a tiny rural town in western Washington, suddenly didn't want to go to school anymore.

When Cameron adamantly refused to have a play date with a good friend, his mom, Kim Hale, 36, knew something was wrong with her middle child. His change in behavior just didn't make sense.

"Cameron finally broke down in tears and told me that several boys at school had been teasing him relentlessly, making fun of his hair, his clothes, calling him names, and not letting him play at recess. And one of those boys was his good friend," Kim says.

While the friend wasn't actively participating in the teasing, Cameron told his mom that he was doing nothing to stop it, which made it all even worse.

At first Kim stayed silent, hoping the mean behavior would disappear over the summer. But when it picked up again at the start of second grade, Kim went to the principal with her concerns. Kim says that the principal dismissed the charge and convinced her that the behavior wasn't bullying, but instead, it was simply boys being mean.

Unsatisfied, Kim visited the principal two more times -- now armed with both the definition of "bullying" that she printed from the website Bullying.org, as well as the Washington State statute on how it defined the term.

Both times, Kim says, the principal (who declined to comment for this story) disagreed that Cameron was being bullied and refused to act -- the superintendent in Eatonville was no help either.

Six months later the Hales moved to another town.

With horror stories about girls who have been bullied dominating the news, some parents are asking whether we also need to focus as much attention on how boys respond to harsh or abusive interactions with their peers. Was the principal correct in assuming that the actions of 7-year-old boys were simply mean boy behavior, or did it constitute bullying? And does it make a difference?

"Even if the behavior didn't technically match up to the definition of bullying, if the kids were being mean and there was a pattern of the kids ganging up on him -- which, by the way, does constitute bullying -- that still shouldn't be condoned and supported by not addressing it," says Rosalind Wiseman, author of "Masterminds and Wingmen: Helping Our Boys Cope with Schoolyard Power, Locker-Room Tests, Girlfriends, and the New Rules of Boy World."

"The principal is literally telling those boys they have the carte blanche to not only continue the behavior, but increase the abuse because they can get away with it."

Are we too quick to cry 'bully'?

With "Masterminds and Wingmen," Wiseman set out to replicate with boys the success she had examining the social dynamics of girls in her book "Queen Bees and Wannabes," the inspiration for the movie "Mean Girls." In her latest book, Wiseman reveals the ways boys think, uncovers their complicated emotional lives and explores how the power of their social hierarchies influences their emerging identity.

Historically, bullying among boys has been complicated and sometimes tough to identify. The belief in a "boys-will-be-boys" mentality still persists, whether it's on a playground or in a college fraternity. And it isn't always about targeting the weakest kid. Cruel taunts and physical tests can be also be a form of bonding among boys.

The term bullying has become so radioactive in recent years with its strong links to adolescent suicide and school shootings, it has prompted state legislatures to take serious action, making bullying a crime in many states. Officially accusing kids of bullying can carry serious, long-term consequences.

According to stopbullying.gov the definition of bullying is: unwanted, aggressive behavior among school-aged children that involves a real or perceived power imbalance. The behavior is repeated, or has the potential to be repeated, over time.

The types of bullying include: teasing, name-calling, taunting, inappropriate sexual comments, threatening to cause harm, leaving someone out on purpose, spreading rumors, trying to hurt someone's reputation, hitting, kicking, tripping, pinching, spitting, taking or breaking someone's things or making mean or rude hand gestures.

Should parents be liable for their children's bullying?

About 16% of students report being bullied, while 7% report bullying others, according to "Bullying in U.S. Schools," a report published in 2013 by the Hazelden Foundation with research from the Olweus Bullying Prevention Program.

Boys report they were most frequently bullied by other boys, while girls were bullied by both girls and boys. In almost all grades, girls and boys were victimized at similar rates. "Boys consistently bully other students more than girls do, and they do so at higher rates as they get older," the survey found.

In her research, Wiseman has found that while boys might get more physical than girls, the psychological hallmarks of bullying are similar. The playing field has been further leveled with the spread of cyberbullying.

Cyberbullying is when a child or teenager is harassed, humiliated, tormented, embarrassed or threatened using digital technology. Mean texts or e-mails, pictures, videos and fake profiles can all be forms of abuse. And the pervasive reach of technology can make the bullying potentially more devastating.

Parents, beware of bullying on sites you've never seen

"When you think of a child being bullied, maybe you think of a loner kid, the nerd, the geek, that's the picture that comes to my mind," says Janet Lymer of Calgary, Canada, and mom of 13-year-old Austin. "But my son plays Triple A football and he's a competitive hockey player and he was being bullied for years."

Lymer says life got significantly worse for her son in sixth grade when the kids started ganging up on Austin on the popular app Snapchat. She says about half of the class, girls included, began making fun of Austin's clothes, his lunch, his hockey skills and the video games he liked. It got so bad that Austin announced to his mom one night that he wanted to kill himself and headed into the kitchen for a knife.

The next morning Lymer went to school with Austin and headed straight for the principal. When Lymer shared with the principal that her son had threatened suicide, the school immediately jumped into action. The principal and teacher met with the students in Austin's class and they also sent a letter home to the parents discussing bullying and its effect on a classmate. Things at school did get better, but Austin switched to a middle school this year with none of his former classmates.

"He now has a great group of friends and he helps other kids deal with bullying. He's the first one who stands up to bullying and he stands a little taller now," says Lymer. "But don't assume that if you bring the problem to the school they will handle it, parents need to stay involved. "

While many schools and parents are hyper-aware of the dangers and prevalence of bullying, have we gone too far in labeling what some may argue has always been normal aggressive behavior between kids?

"Every conflict is not bullying and if we call it that, then it loses the power of the word," says Wiseman.

Not all conflict amounts to bullying and by overusing the word, we risk reducing the power of the word to describe real bullying, says Wiseman.

She believes that, to a certain extent, allowing boys and girls to work out their own problems is useful training for resolving conflicts at every stage of life. The challenge is to stay on top of what's really happening in your child's life, particularly when kids routinely answer with an "I'm fine" -- even if they're not.

"There's nothing wrong with kids trying to figure things out on their own," she says. "At the same time, there are kids who are being systemically denigrated and targeted in school and blown off by administrators and teachers."

@highlight

Bullying among boys can be tough to spot because of societal expectations around rough play

@highlight

Experts say boys might be more physical in their bullying but cyberbullying levels the playing field

@highlight

Rosalind Wiseman, who studies social hierarchies, says it's important to let kids resolve conflict