(AOL Autos) -- Do you live in one of the nation's worst cities for road rage? If you live in a major metropolitan area on either coast, chances are you do. If you live in the Midwest or northwest, odds are that you don't.

Miami ranks as the worst city for most aggressive drivers for the second straight year in a nationwide study of driver habits followed by New York, Boston, Los Angeles and Washington.

But if road rage is a "cultural phenomenon" as one of our experts suggests, how best do we go about combating driver frustration across the nation?

Traffic black spots

The nation's roads are peppered with traffic black spots, junctions where car snarls elicit road rage in even the most mild-mannered drivers.

Southern California has the San Diego (I-405) Freeway, and the nation's busiest junction, where U.S. 101 meets it to the north of Los Angeles. Miami and the East Coast have I-95, which snakes from the world's busiest cruise port up to Maine. The District of Columbia and the Beltway are infamous for gridlock. I've spent three very nervous hours getting to Chicago's O'Hare Airport from the city center (before missing my flight).

Traffic by definition is worst in major metropolitan areas -- if your farming community is gridlocked, you'd better be grousing at your local council meetings -- but it is the increase in traffic that leads many to suggest it's just going to get worse. Traffic levels are rising seemingly as fast as home foreclosures in Los Angeles and Miami.

In these areas, it's not only the rise in number of drivers, but the rising age of drivers. AAA points out that seniors are the fastest growing demographic in the U.S. That suggests drivers should adjust their habits accordingly. AAA has launched its Lifelong Safe Mobility campaign to help seniors adjust to more crowded roads and perhaps more aggressive drivers.

The facts and remedy

When the AAA Foundation for Traffic Safety studied more than 10,000 incidents of road rage and violent aggressive driving committed in the 1990s, it found that at least 218 people were killed and another 12,610 injured when drivers got angry. Many of these aggressors are males aged 18 to 26.

The AAA Web site offers a three-step plan to avoid becoming the victim of aggressive driving:

• The first tip is "don't offend," which includes cutting off other drivers, driving slowly in the left lane, tailgating and gesturing to other drivers.

• The agency then warns to "not engage," which advises steering clear of trouble, not making eye contact and getting help, by calling 911, in the event of experiencing dangerous, aggressive driving. It then asks at-risk drivers to "adjust their attitude," which involves "forgetting winning" (for the drivers to whom driving is a Darwinian survival of the fittest), or putting themselves in the other drivers' shoes.

• Finally, they recommend that, if you think you have a road rage problem, seek professional help.

Other people's actions

So the wife and I were looking for sofas. It was a Sunday morning and, with me behind the wheel, we were dawdling around quiet streets trying to find one of those seemingly ubiquitous furniture warehouses. Soon, the wife pointed one out but we were almost past it. I hit the brakes and quickly pulled in, then realized that a Mercedes M-Class had pulled in right behind me.

A large, squat tattooed guy jumped out and started shouting, about 10 feet from my car. "I have children in the car, I had to slam on the brakes, [how dare] you brake so quickly," he said, getting real mean. I appreciated I'd probably braked quickly and that it was bad driving on my part. However, as his tirade continued, I very calmly asked why he was setting such a bad example for his young children by following another driver off the road, then shouting and swearing. The man continued his harangue before climbing back into his vehicle and driving away.

The next time you're fulminating in your front seat about another's aggressive driving, remember that your driving will almost inevitably elicit the same response in someone else. And don't swear in front of your kids or set a bad example for them.

'Cultural phenomenon'

Dr. Leon James is a professor of psychology at the University of Hawaii and Web master of DrDriving.org. He is also the co-author of "Road Rage and Aggressive Driving" with this wife, Diane Nahl.

James began studying driving psychology about 20 years ago after his wife told him her mother thought he took turns too fast. Over a period of self-study, he said he was amazed by the mistakes he made and the aggressive thoughts he experienced toward other drivers. He recorded them via his "Speakaloud" method. Using his method on students, he discovered that road rage is a "cultural phenomenon."

"We call the back seat of the car the 'road rage nursery', where [young children] pick up all the driver's bad habits," James said. "It's a cultural temper tantrum."

James said "local norms" can play a part. For example, Florida drivers yell at each other more than in California, where verbal interplay can be interpreted as road rage in a criminal court. But, in the main, it's "drivers trying to deal with their emotions in stressful situations."

James said that, in his studies, an awareness gap exists in aggressive drivers: When asked about drivers' habits, respondents suggested that about 85 percent of other drivers drove aggressively, while just 35 percent said they themselves drove aggressively.

If you feel your blood boiling frequently behind the wheel, classes like James' are sprouting all over the nation.

Addressing road rage

In an ideal world, an increase in drivers would automatically be met by an improvement in infrastructure, and fewer road-rage-inducing distractions. Another Utopian ideal is for everyone else to drive more considerately. One look at our nation's crumbling roads tells us that this fantasyland clearly doesn't exist.

Instead of looking outside your car at road conditions or the habits of other drivers, the answer to aggressive driving, most likely, lies within the confines of your own cabin. E-mail to a friend

@highlight

Traffic snarls blamed for causing much of road rage

@highlight

Road rage worse in big cities on East, West coasts

@highlight

AAA: Don't engage the angry driver, dial 911 for help

@highlight

Professor: Back seat is "road rage nursery"