WASHINGTON (CNN) -- A Qatari man held for years in military custody in the United States was charged Friday in federal court with conspiracy "to provide material support and resources" to al Qaeda, prosecutors announced.

Ali Saleh Kahlah al-Marri was a student at Bradley University in Illinois when he was arrested in 2001.

The Supreme Court was to hear arguments in April on a challenge by the suspect, Ali Saleh Kahlah al-Marri, to the principle that the president has the authority to detain suspected terrorists indefinitely and without charges.

The Justice Department on Friday asked the high court to dismiss that pending appeal. "Because the military detention challenged by the petitioner has ended, no live controversy remains in this case," said Obama administration lawyers in their brief. Al-Marri's lawyers oppose such a move, saying the fundamental constitutional question of military detentions needs to be answered.

The federal indictment means the case will be transferred to civilian courts for prosecution.

Andy Savage, one of al-Marri's lawyers, visited him at the naval brig in North Charleston, South Carolina, on Friday to show him the indictment charging him with terrorism.

"He denies it," Savage said. "I'm sure he'll enter a not guilty plea."

Savage said he was disappointed in the information contained in what he called a brief indictment. "We'd like information about what he's supposed to have done," he said. "You'd think after 7½ years they'd have a little more to say.

"The most important thing to him is he now has some definition of his future. Before, he didn't know if he'd be charged, be repatriated or held forever."

The decision by the Obama administration to criminally charge al-Marri after he spent seven years in custody -- more than five years in South Carolina -- is the latest twist in the ongoing legal saga of the only remaining "enemy combatant" held in the United States.

He had been accused of being an al Qaeda sleeper agent, but until this indictment he had never been charged with a criminal or terrorism-related offense.

He will be transferred at some point to Peoria, Illinois, to face a criminal trial. Oral arguments in the case are scheduled April 27.

A Justice Department official said the White House will release an official presidential order to transfer al-Marri into civilian custody.

Al-Marri's lawyer applauded the move.

"This indictment is an important step toward restoring the rule of law and is exactly what should happen when the government suspects an individual of terrorist acts. This case is now finally where it belongs: in a legitimate court that can fairly determine whether Mr. al-Marri is guilty of a crime," said Jonathan Hafetz, an ACLU attorney who is representing him in the pending high court appeal.

President Obama last month ordered a prompt and thorough review of the "factual and legal basis" for the continued detention of al-Marri.

Obama late Friday issued a presidential memorandum ordering Secretary of Defense Robert Gates to facilitate al-Marri's transfer, calling it "in the interest of the United States."

Since his initial arrest on credit card fraud charges in December 2001, al-Marri, a 43-year-old legal resident of the United States, has remained in "virtual isolation in the brig," his attorneys said. They were suing the government to improve his jail conditions and are challenging the constitutionality of his detention.

They said his cell at the brig in South Carolina is only 9 feet by 6 feet and he is allowed little contact with the outside world, including his family.

Military officials deny mistreatment.

The case posed a sticky legal dilemma for the high court and the current and previous administrations.

President George W. Bush ordered al-Marri confined in military custody, and the Bush Justice Department had been filing the appeals opposing al-Marri's legal claims.

At issue was whether the Authorization for Use of Military Force, passed by Congress after the September 11, 2001, attacks, gave the president the power to order the indefinite military detention of an accused terrorist seized on domestic soil.

Al-Marri arrived in the United States the day before the 2001 terrorist attacks as a computer science graduate student at Bradley University in Peoria. He had earned an undergraduate degree there a decade earlier.

Weeks later, he was arrested after authorities found hundreds of credit card numbers belonging to others in his home.

At an early court hearing, a prosecutor said al-Marri was believed to be an associate of al Qaeda, the Islamic terrorist group responsible for the 9/11 attacks. The case against al-Marri escalated when investigators further examined his computer and interrogated al Qaeda detainees, the government said.

Although al-Marri was not charged with terrorism-related offenses, Bush in June 2003 issued a formal declaration naming him an "enemy combatant" and transferring him to military custody. That move sent him out of the normal criminal justice system into indefinite military detention.

The declaration alleges al-Marri engaged in "hostile and warlike acts" working as an "al Qaeda sleeper agent" who was planning to "hack into the computer systems of U.S banks," for a possible follow-up to the 9/11 attacks.

The Pentagon said he had trained at a terror camp in Afghanistan, met al Qaeda leaders Osama bin Laden and Khalid Sheikh Mohammed and "volunteered for a martyr mission," according to the government's filing with the high court.

A lawyer for Jose Padilla, an American citizen detained as an enemy combatant, said the government's actions in the al-Marri case echo those in Padilla's, in which he says criminal charges were filed shortly before the case was to go to the Supreme Court.

"This is deja vu all over again -- what the Bush administration did with Padilla, the Obama administration is trying to do with al-Marri," he said. "Transferring al-Marri out of the brig is the right thing to do. Moving to dismiss the case is not."

The case is U.S. v. al-Marri (09-CR-10030).

CNN's Carol Cratty and Pam Benson contributed to this report.

@highlight

Ali Saleh Kahlah al-Marri charged with conspiracy to provide support to al Qaeda

@highlight

The native of Qatar will be prosecuted in civilian courts

@highlight

He was arrested weeks after the September 11, 2001, attacks

@highlight

Former President Bush declared him an "enemy combatant" in 2003