The Seattle City Council just voted to put low-wage workers on a path over the next several years to earning a $15-per-hour minimum wage.

You may think, "There goes the crazy upper left corner of the country again" -- but there's method to our madness.

This historic measure came after a five-month process that brought together business and civic leaders, unions and nonprofits in tough negotiations. But the real fuel for Seattle's action came from a growing unease across the United States with income inequality.

You could argue that some level of income inequality is required for our system. That inequality is tolerable, though, because it's coupled with a promise: "Work hard and you'll get ahead."

But more of us every day worry that the promise is fading. After the job losses of the Great Recession, the rise of the 1 percent, the headlines showing CEO pay at 257 times average worker pay, the evidence that race and gender exacerbate income inequality, doubts that this generation of kids will be better off than their parents, crushing student debt burdens, and relentless foreclosures, many are left wondering if the middle class was a fleeting 20th-century phenomenon heading toward extinction.

Over the course of the last five months, as we've debated whether and how to raise the minimum wage in Seattle, I've talked with business owners and workers alike concerned with the widening distance between low-wage workers and the rest of the economy. They all had different thoughts, but they were almost unanimous that we can't keep going the way we're going.

We just can't expect the people who prepare our food, care for our elders and children, and clean our homes and offices to earn wages that keep them trapped in poverty.

These conversations are playing out in cities and towns all over America as people look at their wages, their household expenses, their hopes for their kids and their dreams of retirement.

Am I worried about what we're doing in Seattle? You bet I am. No other large city has committed to this kind of minimum wage increase. Restaurants are concerned about already thin profits in the industry and wage imbalance between front of house and back of house; small manufacturers are worried they'll be even less competitive with manufacturers in other parts of the country and world; and nonprofit human service agencies don't know whether funders will step up to cover increased staff costs.

In truth, it would be preferable to see minimum wage increases happening at the state or national level as a more equitable way to raise the wages of working people and help businesses thrive on a level playing field. However, gridlock at those levels pushes the fight into cities all over the country.

As promised, here's the method to the madness: The $15 per hour figure is a bit art and a bit science, but it's close to what experts say it costs in our area for a full-time worker to meet basic needs (housing, food, utilities, transportation, etc.).

At Washington state's current minimum wage of $9.32 per hour, the highest state wage in the country, a worker still takes home far less than needed to make rent and pay the bills.

A higher minimum wage means more stable individuals, families, neighborhoods and towns. A higher minimum wage means being able to buy your child a pair of shoes. A higher minimum wage means more consumer spending and, I hope, a little more consumer saving. And, no, minimum wage earners aren't going to suddenly become complacent and sit for years in minimum wage jobs. Minimum wage workers have dreams of advancement and accomplishment just like anyone else.

A higher minimum wage might mean presenting a truer cost to consumers. If you think it's odd that a burger, fries and a shake can cost just $4, that's because that price is subsidized in part by the low wages paid to the people who cook, serve, and clean up after your meal.

Seattle -- already in a state with the nation's highest minimum wage -- was recently announced as one of America's fastest growing cities. If a high wage is a "job killer" as some critics say, the experience of cities that have raised wages undermines this too-convenient excuse for inaction.

I love my city because of our neighborhoods alive with locally owned shops and restaurants. My city is thriving because of our music and theater scene. My city is productive because of jobs generated by Amazon, Starbucks, the Gates Foundation and the University of Washington. (Puget Sound and Mount Rainier don't hurt either.)

We need the plan we've adopted for getting to $15 per hour to work so that we pass a great Seattle on to the next generation, a Seattle that struggles just a little less to make ends meet.

Here in the upper left corner of the country, we are taking bold steps to save the dream of an American middle class. We may be just one city, but we are providing a pathway for action in the national conversation to reduce income inequality.

Join us on Facebook.com/CNNOpinion.

@highlight

Sally J. Clark says Seattle's minimum wage increase should be a model for other cities

@highlight

She points out that no other major city has committed to this kind of minimum wage increase

@highlight

We can't leave people who cook our food and clean our homes trapped in poverty, she says

@highlight

A higher wage, she argues, means more stable individuals, families, neighborhoods