(CNN) -- SOPA appears to be dead. But the battle over Internet piracy is not.

In the wake of the debate over the Stop Online Piracy Act, supporters of that now-abandoned bill are looking to Internet service providers for help; they're also taking other tacks that Web-freedom advocates say could have much the same effect as SOPA would have had.

That bill, which came before the U.S. Congress earlier this year, would have made it easier to shut down websites that illegally share music, movies and other content.

Opponents of SOPA, which included tech heavyweights such as Google, Facebook and Wikipedia, argued it was too broad and could effectively stifle expression online.

Remember the Wikipedia blackout? It was in protest of SOPA.

But the entire time, Internet service providers, at the behest of trade groups representing the entertainment industry, have been preparing to police such illegal sharing voluntarily and, potentially, shut down sites they think aren't playing by the rules.

Those actions could have the same effect that SOPA would have.

According to a leading recording industry spokesman, service providers such as Comcast, Verizon, AT&T, Cablevision and Time Warner Cable are expected to begin enforcing ramped-up anti-piracy policies in the next few months.

(Time Warner, CNN's parent company, supported the legislation. Time Warner Cable is no longer affiliated with the company.)

"Each ISP has to develop their infrastructure for automating the system," Cary Sherman, CEO of the Recording Industry Association of America, said this week at a publishers conference in New York. "Every ISP has to do it differently, depending on the architecture of its particular network. Some are nearing completion, and others are a little further from completion."

The Copyright Alert System, which the recording industry's trade group first announced in July, has alternately been called a "gradual elevation" approach or the "six strikes" plan because of the warnings that providers would give before curbing a user's Internet access. Unlike SOPA, it targets individual Web users, not websites.

After five or six alerts that their account appears to have been used to download content illegally, the ISP could take measures including temporarily throttling (i.e. dramatically slowing down) Internet speed, redirecting users to a Web page asking them to contact their provider or other measures.

Supporters said they expect most Web users will stop downloading copyrighted material once they realize it's not legal.

"We hope that effort -- designed to notify and educate customers, not to penalize them -- will set a reasonable standard for both copyright owners and ISPs to follow, while informing customers about copyright laws and encouraging them to get content from the many legal sources that exist," Randal S. Milch, executive vice president of Verizon, said in a statement when the plan was made public last year.

Web-freedom advocates acknowledge the plan wouldn't go as far as SOPA, which called for offending websites to be shut down in some cases. But they still have concerns.

Mitch Stoltz, an attorney with the Electronic Frontier Foundation, said it's unclear how severe penalties could be for users who are repeatedly warned under the system. The announcement listed examples but made it clear that other means could be used.

Most dangerously, he said, the system calls on service providers to act based on accusations or appearances, not proven facts.

"A court hasn't spoken," he said. "It sort of puts the ISPs in the position of being a judge."

No bill is ever truly dead in Congress, but there haven't been any visible efforts to push similar legislation since a public outcry over SOPA led sponsors to shelve the effort in January.

"It is a lot more quiet, and I would guess it's because it's an election year," Stoltz said. "I think they realize this sort of thing can be an election liability now."

But that hasn't stopped anti-piracy proponents from heading to other fronts, including overseas, to continue the fight.

Motion Picture Association of America Chairman Chris Dodd, a former U.S. senator, spoke last week in India, where the movie business is huge and is expected to become a $5 billion-a-year industry in the near future.

"Content theft is a global problem, and we must have a global commitment to solving it," Dodd said during a film-industry conference in Mumbai. "This is an important opportunity for the Indian government to move forward with strong protections against online theft. We encourage the Indian film industry to reject as we have, the false argument that you cannot be pro-technology and pro-copyright at the same time."

Dodd's speech came at nearly the same time that an Indian court was ordering all Internet service providers in the country to block 104 websites it said offered illegal music downloads.

According to Torrent Freak, a blog specializing in news about file-sharing sites and the legal issues they face, India already has SOPA-style legislation in place that allows judges to make such orders.

All the while, the Anti-Counterfeiting Trade Agreement, a treaty designed to define intellectual property rights and enforcement internationally, is moving along, gaining support from many of the world's wealthiest and most influential nations.

The United States, the European Union, Japan, Canada and others have already endorsed the deal.

"Few people have heard of ACTA, or the Anti-Counterfeiting Trade Agreement, but the provisions in the agreement appear quite similar to -- and more expansive than -- anything we saw in SOPA," blogger Erik Kain, who is critical of the plan, wrote for Forbes. "Worse, the agreement spans virtually all of the countries in the developed world, including all of the EU, the United States, Switzerland and Japan."

Opponents said it's not clear how the agreement would affect laws in the United States and elsewhere, while backers said its intent is merely to codify and reinforce existing laws, making them easier to enforce.

The treaty is open to all World Trade Organizations to sign until May 2013. It would then need to be ratified by legislative bodies in at least six of the participating nations.

@highlight

With SOPA stalled in U.S., anti-piracy advocates have taken the fight elsewhere

@highlight

Internet service providers are planning to enforce "six strikes" rule on illegal downloads

@highlight

The motion picture industry is urging other nations, such as India, to act

@highlight

Meanwhile, ACTA, an international treaty, is moving along in major countries