Washington (CNN) -- A central part of the gun legislation Congress is expected to take up this week is the idea of expanded background checks on gun purchases. But few Americans understand how background checks actually work.

Leaders from both sides of the aisle -- and an overwhelming number of Americans in national opinion polls -- support expanded background checks before the purchase of guns. But when it comes to specifics, the divide shows.

Meanwhile, some congressional Democrats are pushing not only for expanded background checks, but also for broadening the requirement for records of sale transactions.

For some Republicans and gun rights activists, the idea of any type of national gun registry is a deal-breaker.

Why is this so hard? The disconnect on background checks

Here's how the current system works:

Once you have decided to purchase a gun from a retail outlet -- it could be a local gun shop or national chain such as Bass Pro Shops, Cabelas or Walmart -- the store enters your name and information into the National Instant Criminal Background Check System, or NICS, via a toll-free number or the Internet, to check the eligibility of the buyer.

The check usually takes a few minutes to complete.

The NICS system is linked to several databases managed by the FBI, including the National Crime Information Center, and runs an individual's name through federal and state criminal records.

CNN Poll: Background checks popular, worrisome

Individuals can also be added to the NICS index outside of potential gun sales, on the recommendation of psychiatrists, mental health institutions and family members.

Under the current NICS system, buyers may be denied the purchase of a firearm for reasons such as being indicted or convicted of a felony, admitting to being addicted to a controlled substances, having been dishonorably discharged from the Armed Forces, being subject to a restraining order, as well as other regulations.

Since its implementation in 1998, 2.1 million background checks have been denied out of 118 million requests, or almost 2%.

From gun hater to NRA-loving mom

The use of the NICS however is not required for private sales of firearms, which make up about 20% of all firearm transactions.

A Democrat-backed bill being discussed in Congress closes this loophole, requiring background checks for all gun transactions, even private ones. This would extend background checks to purchases made at gun shows and on the internet.

The current NICS is required by federal law -- the Brady Act of 1993 -- to destroy background check request records within 24 hours.

Opinion: Why the NRA fights background checks

And since the passage of the Gun Control Act of 1968, licensed gun dealers -- called FFLs or Federal Firearms License holders -- are required by the ATF to also have gun purchasers to fill out a federal Form 4473, which allows law enforcement officials to trace guns to their original purchasers.

That document -- which contains the name, address, date of birth, copy of ID, NICS background check transaction number and model and serial number of the gun purchased -- must be retained by the dealer for 20 years and carries with it the same federal privacy restrictions as a federal tax return.

Some opponents of changes to background checks cite the ineffectiveness of the current system as a reason not to expand it.

The current system cannot force states to share all of their records with the NICS database, especially ones regarding mental health. This lack of records allows some people with mental issues to legally purchase guns.

Seung-Hui Cho, the shooter in the Virginia Tech massacre in 2007, had been declared mentally ill by a judge two years before he murdered 32 people. But Cho had gone through a background check and been cleared.

Should anyone be able to buy guns? Share your views

Others see the expansion as another waste of government dollars, believing that people who are not likely to have background checks approved, like felons, won't even attempt the process, and instead will go straight to the black market to purchase firearms.

A recent CNN/ORC poll showed that nine out of 10 Americans said that they support a background check on every gun sale.

Hope grows for compromise proposal on gun control

@highlight

Few Americans understand how background checks actually work

@highlight

For some Republicans, the idea of expanded record-keeping is a deal breaker

@highlight

The background check system is linked to several databases managed by the FBI

@highlight

Since 1998, almost 2% of background checks have been denied