On the road to democracy, Myanmar has sputtered, and it's time to move forward, said President Obama from the porch of an infamously symbolic home in the country's largest city.

Aung San Suu Kyi had been under house arrest there for 15 years for her democracy activism. But on Friday, now a parliamentarian, she stood side by side with Obama, her fellow Nobel Peace Prize laureate.

She consoled her compatriots that democracy does not come easy and difficulties don't have to be permanent.

He praised democratic progress, particularly an increase in freedom of the press, but then laid his finger in the wounds left by the remnants of military dictatorship and ongoing ethnic tension.

Military dominance

Reform is not complete and can still be reversed, Obama said.

Military rule has officially ended in Myanmar, which democracy activists call Burma, and the country's first multiparty national elections in 2012, the same year that Obama became the first sitting U.S. President to visit the country.

There was much fanfare back then about Myanmar's move towards democracy.

But the military still has a major hold on parliament, and Obama called for Myanmar to move to a strictly civilian government.

Suu Kyi, more than 20 years ago, was poised to take a leading role in government, but the junta placed her under arrest. She would like to run for President next year, but a legal loophole won't allow it.

The Burmese constitution, written by the military in 2008, forbids anyone married to a foreigner to become President. Suu Kyi's husband, who died in 1999, was British.

"I don't understand a provision that would bar someone from (becoming) President because of who their children are, that doesn't make much sense to me," Obama said, criticizing it directly.

And intimidation is still a problem, the President said. "People need to feel safe in their homes and not be subject to arbitrary harassment by authorities or individuals acting with impunity," he told journalists.

Ethnic strife

National elections come back around next year, and Obama urged that "all people" need to be able to participate -- placing his finger in one of the most painful wounds, deadly ethnic tensions and inequities.

Clashes between minority Muslims, called Rohingyas, and the Buddhist majority in the western state of Rakhine left hundreds dead in 2012, and displaced 140,000.

Nearly all of them are still trapped in refugee camps. Their village's were destroyed.

The crisis began, when the rape and murder of a Buddhist woman by Muslim men ignited long-standing tensions between the two groups.

Obama called for "durable and effective solutions for the terrible violence in Rakhine state."

Stubborn differences

But the ethnic animosity is palpable and ingrained and will be hard to change, experts have said.

"These are attitudes that don't change in a year, they don't change necessarily in a generation, and they don't necessarily change faster when there is outside pressure," said Lex Rieffel, Senior Fellow at the Brookings Institution and an expert on South East Asia.

Rohingyas are third-class citizens in Myanmar, a long-oppressed linguistic and ethnic minority in an overwhelmingly majority Buddhist country, and Obama called for an end to the discrimination.

Myanmar's government refuses to recognize the term Rohingya, calling them instead Bengali and saying they are illegal immigrants, despite the fact that many have been in the country for generations. It has also denied them the right to citizenship.

Even Suu Kyi, who won a seat in parliament in 2012, has come under criticism for staying largely silent on the Rohingya crisis.

In addition to the Rohingyas, many more ethnic groups on the outs with the rest of society. At least 11 of them have participated in armed rebellion, according to the CIA World Factbook. The government has negotiated peace treaties with 10 of them.

Suu Kyi: It's doable

Suu Kyi sounded more optimistic about the prospects of overcoming the difficulties.

"These differences are part of the democratic tradition," she said. "Democracy allows people to have different views. And democracy makes us also responsible for negotiating an answer to those views."

In the end, all people in Myanmar should feel welcome and work together towards a better day.

She also warned against over optimism, saying this could lead to complacency, and she put the country's difficulties into long term perspective.

"Our reform process is going through, let us say, a bumpy patch," she said.  But getting through it is possible, and Myanmar can make its way into the future.

@highlight

Obama: reforms are not complete and can be reversed

@highlight

The President criticized intimidation of citizens

@highlight

He said discrimination against Muslims in the largely Buddhist society must end

@highlight

Aung San Suu Kyi said the difficulties were a bump in the road to democracy