Samples collected from four patients who recently died have tested positive for enterovirus D68, according to the Centers for Disease Control and Prevention.

It is unclear what role the virus played in their deaths. In fact, it's possible that enterovirus had nothing to do with them. The virus is very common, especially in the late summer and early fall, with the CDC estimating 10 million to 15 million infections each year in the United States.

Yet the deaths do raise an alarm because this year has been worse than some other years, since enterovirus D68 has been sending more children than usual to the hospital with severe respiratory illnesses. It seems to be most affecting children with a history of asthma or breathing problems.

As of Wednesday, the CDC had confirmed 500 people in 42 states have respiratory illnesses caused by enterovirus D68.

Those infected include Emily Otrando, a 10-year-old from Cumberland, Rhode Island. She died September 22 at a Hasbro Children's Hospital, according to her obituary, though it wasn't until Wednesday that the state Health Department announced that she'd tested positive for enterovirus D68.

Dr. Michael Fine, Rhode Island's Department of Health director, told reporters Wednesday that the girl "died from overwhelming Staphylococcus aureus sepsis." Staphylococcus aureus is a bacteria resistant to many antibiotics, while sepsis is an illness affecting all parts of the body that springs up in response to an infection, according to the CDC.

That determination notwithstanding, Fine also noted that "cultures also showed the presence of enterovirus D68." He explained that the child, who was otherwise healthy, experienced shortness of breath "and really by the time she got to the hospital, everything fell apart very quickly within 24 hours."

Fine added that "it's not clear what role the enterovirus had, but clearly (this) was a sepsis death."

"We don't know which came first, and that's not possible to know with the current state of our science," the state health official said, referring to enterovirus and sepsis.

Otrando's classmates aren't being tested for enterovirus, in part because "this is an isolated case" and the virus itself is not uncommon or, usually, not much more harmful than a cold, according to Fine.

"We live in a world in which there are lots of viruses and lots of bacteria," he added. "... So the issue isn't always, 'How did that bacteria get to one person,' but, 'What were the conditions under which the bacteria overgrew and took over and did (all this) so scathingly quickly?' "

My son was like 'a goldfish gasping for breath'

Enterovirus may also be linked to a small number of cases of a mysterious neurologic illness seen in Colorado, Boston and Michigan. Doctors in Colorado spotted it first -- a group of 10 children hospitalized with limb weakness, cranial nerve dysfunction and abnormalities in their spinal gray matter.

Doctors at Boston Children's Hospital have since identified four patients with the same symptoms. And a child in Washtenaw County, Michigan, also developed partial paralysis in the lower limbs after being hospitalized with the virus, the Michigan Department of Community Health said Wednesday.

Staphylococcus aureus is a type of bacteria that commonly causes skin infections, pneumonia and blood poisoning. Most staph infections are easily treated with antibiotics, according to the National Institutes of Health, but some strains of the bacteria are resistant to these medications, making them harder to treat.

Antibiotic-resistant infections has been a big public health issue the past few years. In September, President Barack Obama signed an executive order establishing an interagency task force charged with developing a national strategy to combat these dangerous bacteria strains.

The Rhode Island Department of Health recommends parents and children follow these steps to prevention infection:

-- Wash hands often with soap and warm water five or six times a day for at least 20 seconds.

-- Avoid touching your eyes, nose and mouth with unwashed hands.

-- Make sure your child is taking asthma medications as prescribed.

-- Disinfect toys, doorknobs, phones, computers and other surfaces often.

-- Avoid close contact and sharing cups or eating utensils with people who are sick.

-- Stay home if you are sick.

-- Seek medical attention right away if your child is having trouble breathing.

@highlight

500 people in 42 states have respiratory illnesses caused by enterovirus D68

@highlight

Rhode Island official says girl, 10, died from sepsis, but she also had enterovirus

@highlight

She's one of four patients who, samples indicate, tested positive for enterovirus D68

@highlight

Virus may also be linked to mysterious neurologic illness in a small number of children