(CNN) -- In 2007, when the London property market was booming and former headhunter Kristian Jeffrey was between jobs, he received an interesting request.

"I was asked to put ads on the pavement in front of (real) estate agents' offices," he said. Advertising was something he'd started thinking about in his already budding entrepreneurial streak.

Gumtree -- the UK equivalent of Craigslist -- the free online classifieds where viewers can buy and sell almost anything, wanted to do a "clean advertising" campaign in seven UK cities. The goal was to get consumers to advertise directly through Gumtree instead of going through a real estate agent. The ads were literally cleaned onto dirty pavement at target locations.

"It was cheeky, a bit more edgy than the normal campaign," said Jeffrey. "I'm not sure they (real estate agents) appreciated it." The campaign went extremely well, sales of homes advertised directly on Gumtree went up by 800%, he said.

What happened next was an explosion of media attention. One thing led to another and he found himself doing campaigns for ING Bank in the Netherlands and Belgium, among others. Jeffrey says those jobs let him grow his "Street Advertising Services," a company focusing on outdoor advertising campaigns including 3D street art, street graffiti and grass advertising.

One of its best-known campaigns was the "World's Biggest Shave," a giant Roger Federer face spray painted on a hill in Wimbledon for Gillette.

The business has grown swiftly and this year Jeffrey decided he needed to hire an experienced sales director and also move his Midlands-based company to a bigger office to house his dozen employees. Before doing this: "I wanted to make sure we had the money in the bank," explained Jeffrey.

Local banks didn't seem to grasp his business plan, he said. So in August he put his company on Funding Circle -- the largest peer-to-peer business lender in the United Kingdom -- applied for £40,000 ($70,000), watched investors bid and within days he had his loan. It has a 9% interest rate, he says, as opposed to the commercial banks who wanted to charge 10-13%.

There are many different models of peer-to-peer (P2P) lending, but essentially P2P websites let businesses borrow money directly from individuals, without going through a traditional financial institution such as a bank.

Funding Circle has 5,500 businesses registered and has lent more than £300 million ($488 million) since it started. The company is projecting massive growth. While banks still provide the majority of lending in the United Kingdom -- over 85% -- Funding Circle is confident it can seize a big percentage of that. "We look to take a large chunk of that over the next five to 10 years," said Natasha Jones, a company spokeswoman.

Funding Circle says the P2P business lending industry is tripling in size every year, and has the potential to be worth over £12 billion ($19.5 billion) a year in the United Kingdom in the next 10 years, according to research by Nesta, a charity focused on innovative businesses and ideas.

Lending Club and Prosper are the two largest P2P lenders in the United States, with a majority of the market. They issued $2.4 billion in loans in 2013, up significantly from $871 million in 2012. What's more, a recent report by venture capital firm Foundation Capital predicts the global market for P2P lending could be worth over $1 trillion by 2025.

Different P2P websites advertise different levels of returns, but Funding Circle said whether it's a small one-off investment (there is a £20 ($34) minimum) or a large investment from a savvy lender, the net return on average is about 6.4% after fees and bad debt are accounted for.

Bad debt is a hazard of this kind of lending, as is the possibility that the P2P website itself will go bust, but the industry is becoming increasingly regulated and P2P services include various risk mitigation systems.

"There is a risk. It's an investment product, not a savings product," said Jones.

Despite this, many investors want to lend locally, or support a particular industry or an ethical business and can do this easily in the P2P model, she said.

For another creative company, it was a matter of cash flow and not being paid on time which prompted it to look at another P2P lender, MarketInvoice. This online marketplace allows businesses to "auction" their invoices to investors, who bid to provide capital against the as-yet-unpaid earnings.

London-based Cada Design Group, an interior and graphic design company for the food and beverage industry, said it turned to MarketInvoice in 2012 as a way to get finance against its design invoices.

"We've always looked at various forms of funding apart from conventional banking. But unfortunately in the design business, because we're not doing anything tangible, our services are time and ideas," said Ashley Smith, financial director for Cada Design.

"MarketInvoice was the first company that came up with a viable option and said 'you can sell your invoices and release that cash very, very quickly'," said Smith.

Cada Design, whose client list is long and includes major UK brands Pret A Manger, Boots and Marks & Spencer, as well as Dean & Deluca gourmet food shop in the United States, said facing late payments from clients in its business "could be catastrophic."

"People still don't pay their bills on time, but it (P2P) has given us an avenue to remove that stress," said Smith. "It's our painkiller."

@highlight

Peer-to-peer finance lets businesses bypass bank loans

@highlight

Creative companies with quirky ideas find new lending models advantageous

@highlight

The P2P industry looks set to grow at incredible speed over the next few years