U.S. student Amanda Knox and her former Italian boyfriend Raffaele Sollecito have had their sentences in the murder case of British student Meredith Kercher upheld by an Italian court.

Knox, who is currently living in the United States, had her sentence increased to 28 years and six months. Sollecito, who returned to Italy during the trial, was sentenced to 25 years.

Why were Knox and Sollecito back on trial?

In 2009, they were convicted of killing Kercher, 21, who was found stabbed in November 2007 in the villa that she and Knox rented in the central Italian university town of Perugia.

The convictions of Knox, from Seattle, and Sollecito were overturned in 2011 for "lack of evidence." But Italy's Supreme Court decided in March 2013 to retry the case, saying the jury that acquitted them didn't consider all the evidence and discrepancies in testimony needed to be answered.

What was different about this trial?

Despite the ruling of the Supreme Court, there was little difference in the evidence or details of the case, and prior to Thursday's verdict it was unclear how presiding judge Alessandra Nencini would rule.

When Knox was first convicted of murder, there was outcry in the U.S. that she was wrongfully convicted, based on shoddy evidence. When she was acquitted, there was nearly as much of an outcry in Italy that the courts had succumbed to American pressure.

Timeline: Kercher murder case

Did the defendants attend the retrial?

The retrial began on September 30 without either of them in court. Sollecito was in the Dominican Republic at the start of the retrial but returned to Italy. He took the stand in November, defending himself.

"I would like to make you understand that these charges against me are absurd," he said. "There was not a basis to charge me, to put me in jail. ... I don't wish anybody on Earth to go through what I went through."

He said that evidence against him -- including a knife that was a key part of the prosecution's case -- was "an illusion."

Knox returned to Seattle after her 2011 acquittal and has been living there since. She says she is afraid to return to Italy, where she spent four years behind bars.

She again maintained her innocence in a written statement to the Florence court. "I must repeat to you. I'm innocent. I did not rape, I did not steal ... I did not kill Meredith," Knox said a lengthy e-mail, written in Italian, which was presented to the court by her lawyer.

What will happen to Knox now?

Despite Thursday's verdict, the case is not necessarily closed. Either side can appeal a verdict they are unhappy with, under Italy's three-strike trial system. This could also mean the case would continue with no immediate outcome.

Even though Knox was convicted this time around, it is unclear if she will return to Italy. CNN's legal analyst Sonny Hostin said that U.S. law dictates that a person cannot be tried twice on the same charge. "Because of this tension between Italian and U.S. law it is unlikely that U.S. law will extradite her. When the fight begins those are the grounds that U.S. attorneys will be arguing."

However, another legal expert disagreed. "They always forget she was convicted first," Julian Ku, who teaches transnational law at Hofstra University in New York, told Agence-France Presse.

If Italy does file an extradition request with the U.S. State Department, Knox will have the right to challenge her transfer to Italy in a U.S. court. "The chances of her winning that are not high because there has to be some very strong claim she'd have to make to block her extradition," Ku added.

"I followed the trial, it was slow but I never got the sense that it was unfair," he said.

Harvard law professor Alan Dershowitz added: "As popular as she is here and as pretty as she is here -- because that's what this is all about, if she was not an attractive woman we wouldn't have the group love-in -- she will be extradited if it's upheld.

"The Italian legal system, though I don't love it, is a legitimate legal system and we have a treaty with Italy so I don't see how we would resist," he told AFP.

"We're trying to get (fugitive NSA leaker Edward) Snowden back -- how does it look if we want Snowden back and we won't return someone for murder?" he asked.

There is a valid extradition agreement between Italy and the U.S., but the U.S. has not set much of a precedence in returning suspects for such matters. Italians point to a number of high-profile cases over the years in which they say American suspects have been accused of wrongdoing and criminal acts, but have been let off lightly.

In 1998, an American military jet clipped a ski lift cable, sending a gondola of 20 passengers to their deaths in the Italian Dolomite Mountains.

Italian prosecutors wanted the crew of the jet tried in Italy, but an Italian court ruled they should face courts-martial in the U.S., in accordance with NATO treaties. The aircraft's pilot and navigator were found not guilty of involuntary manslaughter, even though the military admitted the plane had been flying lower and faster than authorized.

When it emerged that a video that captured the accident from inside the plane had been destroyed, they were dismissed from the Marine Corps. Italians were outraged, referring to the incident as the "massacre of Cermis."

In another incident that raised tensions, Egyptian cleric Abu Omar was seized off the streets of Milan in 2003 and smuggled to Egypt, where he says he was tortured and released four years later.

Although Italy did not request the extradition of any of the suspects, 22 CIA agents were convicted in absentia of the kidnapping and sentenced to prison time for their role in the abduction, but none ever served time in Italy.

What will happen to Sollecito now that he has been found guilty for a second time?

Because Sollecito is an Italian citizen and currently living in Italy, he will not have to face extradition. He is unlikely to be jailed until his appeal has been heard -- and that could take months -- but authorities ordered that his passport be revoked.

Hours later Italian authorities stopped Sollecito in the northern Italian town of Udine, near the border with Austria and Slovenia, police said.

What has been the reaction of Kercher's family?

The Kercher family has welcomed the ruling, which overturns the previous decision to acquit Knox and Sollecito. "They are tired of this and want justice," Francesci Maresca, the family's attorney, said.

"I think we are still on the journey to the truth," said Kercher's sister Stephanie. "I think it may be the fact that we don't ever really know what happened that night, which is obviously something we will have to come to terms with."

Lyle Kercher, Meredith's brother, said the family may have to wait until spring 2015 for a final resolution, since the verdicts reached Thursday can still be appealed at Italy's Supreme Court.

"Nothing is going to bring Meredith back, nothing will take away the horror of what happened for her," he said.

"The best we can hope for is finally bringing this whole case to a conclusion, having a conviction, and everyone can move on with their lives."

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

Knox and Raffaele Sollecito resentenced in the Meredith Kercher murder case

@highlight

Kercher was found stabbed in 2007 in a villa she rented with Knox in Perugia, Italy

@highlight

Knox and Sollecito's 2009 murder convictions were overturned on appeal in 2011

@highlight

Legal expert tells CNN that it is unlikely the U.S. would allow Knox to be extradited to Italy