Washington (CNN) -- When the nation's capital was turned upside down Friday with the announcement that Justice John Paul Stevens was retiring after 40 years on the federal bench, he was miles away from the political circus -- literally and figuratively.

The 89-year-old justice was quietly working on his caseload at his Fort Lauderdale, Florida, condo, a second home that serves as his occasional refuge from the high-pressure atmosphere of the U.S. Supreme Court.

It is doubtful his replacement will soon find any sanctuary in what could be a protracted fight over the shaky ideological balance of a mostly conservative high court.

The 112th justice, by most measures, will have a tough act to follow, as he or she seeks to navigate the complex dynamics of a divided bench and gain a measure of the level of influence Stevens enjoyed for the past two decades and more.

"He is undoubtedly a leader on the court," said Diane Amann, a former Stevens law clerk who is writing a book about him.

Names added to Supreme Court short list

She predicted President Obama will replace a liberal with a liberal, "and although the vote change [on a 5-4 conservative majority] may not alter very much in the short run, the absence of Justice Stevens' leadership, his ability to build coalitions along people with very different ideas about things, will be something that will be hard to replace in the short term."

Short-term considerations drive much of the politics over who the nominee will and should be. Progressives worry Obama may not get another high court pick and urge him to name a forceful advocate for the left.

"The president now has an opportunity to name a worthy successor who will stand up for equal justice for all, not just the wealthy or powerful," said Nan Aron, president of Alliance for Justice, which describes itself as a national organization dedicated to advancing justice and democracy.

The most important number at the court

The late liberal lion, Justice William Brennan, was noted for saying the most important number at the court was five, the votes need to command a majority on the nine-member bench. Such practical concerns also figure in the White House calculus over whether their nominee will pass Senate muster without fear of a filibuster.

"The court needs a consensus-builder just as much as it needs a progressive firebrand," said Doug Kendall, president of the liberal Constitutional Accountability Center, which describes itself as a "think tank, law firm and action center dedicated to fulfilling the progressive promise of our Constitution's text and history."

"President Obama's next nominee needs to improve upon [Justice Sonia] Sotomayor's performance by articulating the differences between judicial conservatives and progressives and focusing on how the Constitution and the law itself point in a progressive direction."

Administration officials quietly acknowledge the desire to excite liberals in an election year with an outspoken judge willing to take on the right.

They also know Obama has his own liberal, but restrained. view of constitutional interpretation. Most of his federal judicial nominees thus far have been noncontroversial, center-left candidates. Many liberal activists say the president may be inclined to go the same route, choosing a nominee who will be spared a bruising confirmation.

For their part, many conservative activists would not mind a fight, and their early rhetoric suggests they anticipate one.

The Judicial Crisis Network, a conservative advocacy group, warned Obama against "packing the Supreme Court with rubber stamps instead of judges. To an activist judge, the Constitution represents an inconvenient truth that they will distort, ignore, or defy to push their radical liberal agenda."

Grudging acknowledgement

Some conservative groups grudgingly acknowledge Stevens' influence and his ability to pull conservatives like Anthony Kennedy and Sandra Day O'Connor onto his side in hot button-cases.

When the chief justice is on the losing side of a case, Stevens -- as senior associate justice -- gets to assign who writes the all-important opinion. That opinion becomes the voice of the court, whence its strength and influence derive.

O'Connor, for example, supported the liberal bloc in upholding affirmative action for college admissions in 2003 and was rewarded by being selected to articulate her view of the necessity, but also the limits, of diversity in school selection.

That same year, Kennedy joined four liberal justices in striking down state laws that banned homosexual sodomy and wrote a forceful opinion. He also issued landmark rulings against applying the death penalty for juvenile killers and those sentenced to die for non-homicides.

Stevens' willingness to put aside ego and to rule narrowly on hot-button cases -- combined with an unmatched cordiality and kindness -- earned him quiet power and respect.

"The distinctive thing about Justice Stevens that's going to be hardest to replace is his attention to the individual case and his willingness to decide it in a way that really isn't determined by ideology," said Christopher Eisgruber, a former Stevens law clerk and author of "The Next Justice: Repairing the Supreme Court Appointments Process."

"His intelligence, of course, has made him a very important contributor to that, but I think it's really that distinctiveness to his approach that will be toughest to replace."

In some ways, the nomination of Sotomayor last year represented perfect timing in a perfect political climate -- a president still in the glow of his first months on the job and the political desire to name a woman and a Latino that put other liberal constituencies at bay. She was a candidate with a sterling resume who deftly maneuvered her way to confirmation.

This time will be different, when the options are wider. Some advocacy groups have weighed in.

Groups already weighing in

"We call on President Obama to nominate a woman to fill this seat," said National Organization for Women President Terry O'Neill. "The Supreme Court is out of balance, with women making up a mere 22 percent of the bench. That's simply not enough."

Who else has a stake? Should Obama:

-- Name a non-judge or politician? How about Michigan Gov. Jennifer Granholm or Massachusetts Gov. Deval Patrick? Sens. Amy Klobuchar, D-Minnesota, and Claire McKaskill, D-Missouri, are frequently mentioned. And supporters of Secretary of State Hillary Clinton sing her praises, though the White House Monday tempered that talk by saying the president wanted her in her current job.

--How about an articulate academic? Stanford Law School Professors Pamela Karlan and Kathleen Sullivan have earned progressive praise.

--There are no Asian-Americans on the high court, or the federal appeals courts for that matter. Harold Koh, formerly dean at Yale Law School and now a top State Department lawyer is a Korean-American who would represent another history-making choice.

"The president doesn't seem to have the perfect-storm candidate this time that he did with Sonia Sotomayor," said Thomas Goldstein, a top Washington attorney and founder of Scotusblog.com. "There's a delicate balance here. I think he's likely to appoint somebody who's more on the center left, someone like Sonia Sotomayor who the president believes really shares his values as a judge, but doesn't generate the kind of political heat that would disrupt politics over the summer."

Meanwhile, Stevens remains his usual apolitical self, detached from the political storm. As usual, he'll find time for his twice weekly tennis matches with his daughter. He returns to the bench next week for oral arguments, then will finish writing his remaining opinions.

In two and a half months he will be gone from the court, but not forgotten.

@highlight

CNN's Bill Mears says President Obama has tough choice to make

@highlight

Retiring Justice John Paul Stevens had earned grudging respect from the right

@highlight

Obama must balance competing pressures from liberals, conservatives, Mears says

@highlight

Mears: This Supreme Court nominee likely faces choppier water than Sonia Sotomayor did