(CNN) -- Dogs and cats soothe the soul and provide companionship, but a report released this week suggests they sometimes cause broken bones and sprains, too.

Most data on human-pet relationships have been devoted to the health benefits, such as lower blood pressure.

The Centers for Disease Control and Prevention estimates that every year, more than 86,000 fall injuries are caused by pets. Dogs are the biggest culprits, causing 88 percent of the injuries.  Cats cause 11.7 percent of the falls, according to the Morbidity and Mortality Weekly Report.

CDC researchers formulated the national estimates based on data from 66 emergency rooms.

"Many of them occurred while people were walking their dog or chasing either their dog or cat," said Judy Stevens, an epidemiologist with the CDC's National Center for Injury Prevention and Control. "Over half the injuries with dogs were either falls or tripping over the pet or they were pushed or pulled by the pet."

Pets can suddenly rush to the door or scurry around the owners' feet, causing these accidents, experts said.

At least once a week, a patient injured by an overexcited dog or an unexpected chew toy walks into the office of Dr. Leon S. Benson, an orthopedic surgeon and chief of hand surgery at the NorthShore University HealthSystem in Evanston, Illinois. These patients often have wrist fractures after falling on an outstretched hand.

"It's a common scenario," said Benson, who is also a spokesman for the American Academy of Orthopaedic Surgeons. "People trip over their pet or the pet, usually a dog, has a leash that pulls them down. While there's incredible incidence of falls in the elderly, people of all ages fall."

The CDC report did not determine whether individuals have died from pet-related falls, although Stevens said it was highly unlikely. Pet-related tumbles amount to about 1 percent of the total injuries caused by falls in the United States.

Bonnie Beaver, professor in the College of Veterinary Medicine at Texas A&M University, said dogs and cats tend to walk near people's feet.

"They're small, most of them," she said. "You walk along and they want to go one way all of a sudden. They're right in front of you or they want to rush to the door."

Psychologist and dog trainer Dr. William Doverspike said if people are tripping over dogs, they're "the ones that need to get newspaper and hit themselves for not teaching the dog;" he recommended taking every dog to obedience training.

"My opinion is that dogs are a lot happier and a lot more secure when they know what their handlers want," he said.  "The relationship is stronger when the dog knows what he needs to get treats and has lot more freedom."

The CDC estimates about 9 percent of the falls are related to tripping over a toy or food bowl.

"It's not just the animals, but their toys," Beaver said. "We have little balls and stuff all over the floor. Those are easy to trip over, especially at night. You need to have a dog basket to put the toys in or turn on the light before you go walking in the night."

Much of the research pertaining to people and their relationship with pets has been devoted to the health benefits, such as how animals help relieve stress and lower blood pressure. Not much data has been collected on pet-caused falls.

Stevens, a fall expert, said she was frequently asked at medical conferences whether pets were fall hazards and so began examining that aspect of injury.

In 2004, researchers at the University of Sydney in Australia reported on 16 patients between the ages of 75 and 88 who suffered major fractures in pet-related falls.

Once again, dogs were the main culprit. But birds, a donkey and a goat made the list of animal suspects.

The Australian researchers, in their report titled "The perils of pet ownership" found there were no deaths resulting from fall-related fractures, although one cat died when its owner fell and landed on it.

In the U.S. cases, 90 percent of the pet-related falls were treated in emergency departments. About 9 percent of those injured were hospitalized. Most of those hospitalized were elderly.

Older people's bones are more brittle and easier to break. This could increase the incidence of hip fracture, which requires an operation, Benson said.

But it's not only the elderly who are affected. Several athletes have been dogged by the consequences of a human-canine collision.

In September, an English soccer player, Liam Lawrence, was sidelined with an ankle injury after tripping over his Labrador on the stairs, according to British media reports. Dutch tennis star Kim Clijsters bruised her tailbone after falling over Diesel, her Great Dane, in 2006. Several Tour de France cyclists have crashed into dogs that trotted onto their path during the race.

Sometimes the culprit is not the actual animal, but its byproduct. English soccer player Darren Barnard slipped on a puddle of urine from his puppy, Zak, and suffered a knee injury in 1999.

Medical and veterinary experts had this advice for avoiding pet collisions:

• Put your animal in another room or different area of the house before carrying groceries or heavy things into the house. This will protect both the animal and human, so the dog or cat won't knock you off balance, and you will avoid stepping on an animal while distracted.

• Keep stairs and hallways clear of clutter.

• If you get up frequently in the dark, use night-lights so your path is lighted and you can see your pet. Also consider removing the animal from the bedroom to prevent stepping on it.

@highlight

Every year, more than 86,000 fall injuries are caused by pets.

@highlight

CDC: Dogs cause 88 percent and cats cause 11.7 percent of falls

@highlight

Animal experts recommend taking dog to obedience training