(CNN) -- The proposed purchase of Mexico's Modelo beer brands by the world's largest brewing conglomerate, Anheuser-Busch-InBev, is causing deep concern among America's craft brewers.

Anheuser-Busch already controls about 47% of the U.S. beer market. Adding Modelo's Corona beer and other brands would give it another 6%. MillerCoors, the other big player in the United States, controls about 30%.

If the Modelo deal goes through, a duopoly would control more than 80% of the U.S. beer market.

The concentration of market share in two global companies means they have tremendous influence over distributors and retailers. This gives an advantage to big brewer beer brands over small brands created by America's independent craft brewers. Ultimately, with limited choices, the beer consumer loses.

The Department of Justice is determining whether the sale would violate antitrust laws.

As I understand it, Anheuser-Busch claims it would have no say in the marketing or sale of Modelo brands in the United States.  Those functions would be left to Crown Imports, the Chicago-based marketing and sales company that is owned by Constellation Brands, the world's largest wine company.

In 10 years, Anheuser-Busch would have the right to buy Crown.

It's hard to understand how a brewery could own another brewery and not have some control over sales and marketing. Doesn't the owner control the price of beer sold to the importer/marketer? Doesn't the owner contribute to the sales and marketing programs and costs of the importer/marketer? Doesn't the owner have some say over the hiring of personnel for the brewery it owns?

Eatocracy: Learn how to homebrew

And isn't the owner responsible to its shareholders to ensure the brewery is maximizing shareholder value?

America's small brewers have been on a roll in the past decade, claiming more than 6% of the U.S. beer market since the craft brewing revolution began in the early '80s. That 6% is divided by 2,400 small companies.

The duopoly already has tremendous influence over beer distribution in America.

In most markets, brewers have two choices, a so-called Blue and Silver distributor, who sells MillerCoors brands, or a Red distributor, who sells Anheuser-Busch brands. (The color codes describe the primary colors of the brewers' labels.)

Through so-called "equity contracts," the large brewers prescribe how much money distributors spend to sell and market their brands. In some cases, they have the right to approve or disapprove the manager of the distribution company. In some cases, they have the right to approve the succession plan of the distributor. In some cases, they have the right to approve the sale of a distributor.

Craft brewers constantly struggle to get the attention of these distributors.

In the mid-1990s, the CEO of Anheuser-Busch, August Busch III, declared that he wanted "100% share of mind" from his wholesalers. Some Red distributors ejected non-Anheuser-Busch brands from their warehouses. Distributors who gave his 100% were given more favorable terms for their purchase of beer. August III is gone, but the new owners of Anheuser-Busch have called for distributors to get "aligned" with the brands they control.

Large brewers also have control over some retail sales of beer. Many chain supermarkets and stores appoint "category captains" to determine which beers are sold in refrigerated aisles and which beers go on the warm shelves. If the category captain is a Blue and Silver distributor, MillerCoors will play a key role in choosing which brands get sold where. If it is a Red distributor, Anheuser-Busch makes the calls.

This results in a tug-of-war between large brewers trying to get maximum placement of their brands and small brewers trying to get a spot. Obviously, a company that controls 53% of the U.S. beer market is going to have a better shot at shelf space than my company.

Both members of the duopoly have wholly owned brands like Shock Top and Goose Island that are presented as craft brands. They own large shares of some other breweries like Red Hook and Kona. There is concern that these brands would get greater attention from wholesalers than independent craft brands, like mine. This can greatly limit the beer consumer's choices.

In sports venues like arenas and stadiums, the large brewers monopolize space. They typically have advertising contracts with the venues, and this results in their having a dominant share of the beer taps and other beer placements. If you want a Brooklyn Lager at Yankee Stadium or CitiField or the new Barclay's Center in Brooklyn, you'd better be prepared to spend some time searching. Brooklyn Brewery is in those venues, but in a very limited way.

More beer news on Eatocracy

Those are my concerns, and the concerns of other craft brewers. Obviously, I am not an attorney. I know little about antitrust law. I recently read a couple of books about the oil industry and learned that antitrust rulings in that industry have drawn a line for defining a company with too much market share.

Given this, I am baffled by the state of the U.S. brewing industry. How did we ever get to a situation where two companies control 80%? And how can we allow them to control more?

The opinions expressed in this commentary are solely those of Steve Hindy.

@highlight

Steve Hindy: Anheuser Busch aims to buy Modelo, Corona beer maker; craft brewers worry

@highlight

Already MillerCoors and AB control most of U.S. beer market; deal would make it 80%

@highlight

He says the duopoly has huge influence on beer distribution; leaves craft brewers struggling

@highlight

Hindy: In other industries, like oil, antitrust rulings draw line for market share. Why not for beer?