(CNN) -- Amid the firestorm over the decision to release five Guantanamo Bay detainees in exchange for captured American soldier Bowe Bergdahl, the Obama administration is continuing its efforts to close the controversial prison in Cuba.

Recent efforts to do so are focusing on the establishment of a Periodic Review Board to intermittently decide whether detainees not currently facing charges can be transferred to their home country or to a third-party country willing to take them.

According to a senior administration official who briefed reporters on Thursday, the board ensures that detainees are "regularly getting a fresh look," and getting the chance to have someone hear their case.

U.S. law currently does not allow Guantanamo detainees to be moved to the United States, a provision that has impeded the administration's efforts to close the prison, since detainees cannot be tried in civilian courts or moved to American prisons.

The Periodic Review Board was created by Executive Order in March of 2011, and was launched in October of last year. So far, the board has conducted seven reviews, and three detainees have been approved by it for transfer.

The board is made up of representatives from the Departments of Defense, Homeland Security, Justice, and State, as well as the Joint Staff and the Office of the Director of National Intelligence.

They review detainees' histories to determine whether they are likely to represent a continued threat to the United States.

But the decision to approve a detainee for transfer does not lead to their immediate release.

In fact, of the 149 detainees at the prison, 78 have already been approved for transfer but are still awaiting repatriation. Most have been in this limbo for more than four years.

That's because the United States must first work out a deal with a foreign country willing to take them, and the deal must satisfy certain security and humane treatment obligations, according to the official.

Once a deal has been reached, justification for the release must be submitted to members of congress for a mandatory 30-day review period.

The Obama administration decided to bypass this stage of the process in the Bergdahl case, which has led critics to accuse the administration of violating the law.

The administration insists it had an obligation to do so because intelligence suggested the Bergdahl was in ill health, and might not survive the 30 days.

Moreover, a Senate aide took that further, telling CNN on condition of not being identified that senators were told by the administration that the United States had credible information that leaked word of the deal ahead of time would result in Bergdahl being killed.

Even with approval from government officials and the support of Congress, it can be difficult for the U.S. to find foreign governments willing to take the detainees or able to provide the appropriate assurances.

The Obama administration also has a blanket ban on the transfer of all detainees to Yemen.

And critics have levied a wave of concerns over recidivism.

A September 2013 report from the Director of National Intelligence found that 16.6% of the approximately 600 released detainees were confirmed to have returned to the battlefield, and another 12.3% were suspected of having done so.

Still, the administration says it is determined to reduce the Guantanamo Bay prison population, and points to data showing recidivism rates have been on the decline under Obama.

"We are very pleased with the progress we have been making," the senior administration official said, adding that the government was appreciative of efforts by foreign governments to accommodate detainees.

The official also cited cost as a big motivator, saying, "It simply does not make sense at this point in our history to be spending this type of money" on the prison.

Citing efforts by the Bush administration to reduce the detainee population, the official suggested there is room for bipartisan cooperation on transfers.

More than 500 detainees were released under former President George W. Bush.

According to the official, 71 of the Guantanamo's remaining detainees have not been approved for transfer.

Of those, 10 are facing trial in front of the military commission system and are therefore ineligible to face the Periodic Review Board.

Twenty-three have been referred for prosecution and the remaining 38 remain under detention with no decision made on their status.

The prison was opened in January of 2002 and has housed over 750 detainees since.

@highlight

U.S. captive Bowe Bergdahl was exchanged for Taliban detainees at Guantanamo Bay

@highlight

Closing the prison housing terror suspects has long been an Obama pledge

@highlight

Battles with Congress and other obstacles have made shutting it down difficult