Havana, Cuba (CNN) -- In all likelihood, the 91 Cuban health workers heading to West Africa on Tuesday will face the most perilous assignment of their careers.

They are joining 165 of their colleagues already working in the region to halt the spread of Ebola.

Although Cuban government officials say the majority of the health workers being sent to West Africa are veterans of previous tough postings, the risks that Ebola presents are unique.

"This is the biggest challenge I have ever faced in my life, it's a very dangerous disease," said Dr. Osmany Rodriguez, a Cuban who completed previous assignments in Zimbabwe and Venezuela. Rodriguez said he will soon be sent to treat people suffering from Ebola in either Liberia or Guinea.

"My family, they are a bit worried but they know I will be taking care of everything. They will trust in my daily habits and routines in order to avoid the disease," Rodriguez said.

Rodriguez spoke to CNN as he trained at the Pedro Kouri Institute for Tropical Diseases in Havana, where health workers are drilled by instructors provided by the World Health Organization on how to put on and take off seven different layers of clothing that provide protection from the epidemic.

"The important thing is to save lives," said Dr. Jorge Perez Avila, the institute's director. "Why are Cubans going to Africa? To save lives."

Cuban medical diplomacy is as old as the revolution that first brought the Castros to power, but its motivation is not purely altruistic. Sending health workers abroad boosts the image of a country whose human rights record is criticized. And in some cases, as with a program that sent thousands of Cuban doctors to Venezuela, the island gets paid back in trade, such as oil.

Cuba's Ebola efforts have already raised discussion about how it compares to what the United States is providing.

"While the United States and several other wealthy countries have been happy to pledge funds, only Cuba and a few nongovernmental organizations are offering what is most needed: medical professionals in the field," the New York Times opined in an editorial.

"It is a shame that Washington, the chief donor in the fight against Ebola, is diplomatically estranged from Havana, the boldest contributor. In this case the schism has life-or-death consequences, because American and Cuban officials are not equipped to coordinate global efforts at a high level," the editorial continues.

Cuba's health care system was degraded by the collapse of the Soviet Union in the early '90s. In recent years, the government has sent health workers to Venezuela and Brazil, in exchange for badly needed hard currency and oil. Those programs make up one of the largest sources of income for the island.

Still, the island continues to post health care workers to other developing nations and even before the Ebola crisis began, had over 4,000 doctors, nurses and technicians stationed in Africa.

"Our principle has been to share what we have and not to give what we don't," Perez said.

The Cuban health workers will work in West Africa for at least six months. If they themselves become infected, they have agreed not to be repatriated to Cuba for treatment, to avoid spreading the illness further.

On Monday, at an emergency summit in Havana of representatives from 12 Latin American and Caribbean countries, Cuban President Raul Castro said the danger presented by Ebola transcends borders and politics.

"We should try to avoid the politicization of this grave problem, which distracts us from the fundamental objective: helping to stop the epidemic in Africa and stop it from spreading to other regions," he said.

In a rare conciliatory gesture to the U.S. government, which Cuban officials typically deride as an imperialist power intent on wrecking the island's economy, Castro said the fight against Ebola should unite the two governments.

"Cuba is willing to work elbow-to-elbow with all countries," Castro said. "Including the U.S."

Former Cuban leader Fidel Castro also penned an editorial in the state-run newspaper this week, offering to "gladly cooperate with American personnel on this task" of fighting Ebola.

In a similar gesture in 2005, Cuba offered to send a team of doctors to aid in the aftermath of Hurricane Katrina. The U.S. government ignored the request.

Possibly signaling that it recognized the boost Cuba gains from medical diplomacy, the U.S. government in 2006 announced a program to entice Cuban doctors to defect. The Cuban Medical Professional Parole Program allows Cuban health professional working in a third country at the behest of the Cuban government to defect to the United States.

While so far not accepting the Cuban offer to cooperate in the fight against Ebola, US officials have also praised the Communist government's efforts to stop the epidemic.

"Already we are seeing nations large and small stepping up in impressive ways to make a contribution on the frontlines. Cuba, a country of just 11 million people, has sent 165 health professionals and it plans to send nearly 300 more," U.S. Secretary of State John Kerry said on Friday.

The United States has pledged some 4,000 military personnel to assist with the fight against the disease in Africa, although the troops are not expected to treat people suffering from Ebola.

While help continues to pour in from around the world to West African countries reeling from the epidemic, the most basic need is doctors and nurses who can treat Ebola patients without falling ill themselves, health officials said.

"There is a lack of human resources, so it has been a major contribution," said Dr. Jose Luis Di Fabio, the WHO's representative in Havana, who is coordinating the training of the Cuban health workers.

"You have to identify patients, diagnose patients and treat patients. If you don't have the human resources to do that, you don't have anything," he said. "Human resources in Africa is the major thing that's lacking."

Nurse Carlos Garcia Hernandez is one of the Cuban health workers training to fight Ebola. He volunteered, he said, because if Ebola isn't stopped in West Africa, it will continue to spread to other countries.

"If it could show up it in developed countries like the U.S. and Spain, it can show up in undeveloped countries, too. Our families are at risk as well," he said.

@highlight

Nearly 100 additional Cuban health workers heading to West Africa

@highlight

Cuba is one of the biggest contributors to the Ebola fight there

@highlight

Medical diplomacy has long been a tool of the Cuban government

@highlight

Cuba has even offered to cooperate with the United States