(CNN) -- Texas slapped the U.S. Supreme Court in the face, and the justices just took it.

On Tuesday night,  Texas executed Marvin Wilson, whose IQ score was 61 -- low enough that it should have met any standard for "diminished mental capacity." Shockingly, the court did not intervene to stop the execution despite its 2002 decision in Atkins v. Virginia barring the execution of the "mentally retarded" as "cruel and unusual punishment" in violation of the Eighth Amendment.

Wilson played a role in the murder of Jerry Williams in 1992. He needed to be held accountable for his actions, even with diminished mental capacity. But he had the mental capacity of a first-grader, could barely match his socks and was fired from a car wash job for being too slow at drying cars. A clinical neuropsychologist with 22 years of experience concluded Wilson was intellectually disabled.

Texas got away with executing an intellectually disabled person because the Supreme Court allows states to determine their own standards of "mental retardation" and hasn't bothered to push back when states clearly ignore its ruling.

Flouting the heart of the Atkins decision, Texas decided that not all persons with "mental retardation" should be barred from execution, just those who "a consensus of Texas citizens would agree" whether they should live or die.

Unbelievably, Texas had cited the example of Lennie Small, the intellectually disabled ranch hand in John Steinbeck's famous novel written 75 years ago, "Of Mice and Men," to demonstrate this standard.

Steinbeck's son, Thomas Steinbeck, issued a statement before the execution: "I am certain that if my father, John Steinbeck, were here, he would be deeply angry and ashamed to see his work used in this way." He expressed shock that "Texas would use a fictional character ... as a benchmark to identify whether defendants with intellectual disability should live or die. I find the whole premise to be insulting, outrageous, ridiculous, and profoundly tragic."

The American Association on Intellectual and Development Disabilities was also disturbed by the lack of science and the reliance on "false stereotypes" in Texas' criteria.

In Georgia, prisoners are required to prove "beyond a reasonable doubt" that they are "mentally retarded." The state almost executed Warren Hill, a man clinically determined to be intellectually disabled. Fortunately, he received a stay of execution, though on other grounds. Clearly, some individuals who may not exhibit the most severe signs of disability will fall through the cracks.

Texas' standard leaves more than a crack through which the rare individual may slip. Wilson fell through a gaping hole because of the ridiculous criteria set by the Texas Court of Criminal Appeals. Because the Texas Legislature failed to pass a law to catch up with the Atkins ruling, the state's high court stepped in.

The United States has not yet arrived at the position that governments should not have the irreversible God-like power to execute its citizens as the majority of countries in the world have. But 10 years ago, the Supreme Court at least recognized that there ought to be limits to this awful power.

The insane, children and those who are not mentally developed are more vulnerable than the rest of us. They are more easily manipulated, they are less capable of making sound judgments and they often need help carrying out basic daily functions. We treat them differently because we are humane and civilized, right?

The U.S. Supreme Court will receive more cases like the Wilson case until it stands up to the states and insists that they develop better scientific and reasonable criteria for judging a person's mental capacity that respect today's standards of decency.

The United States just sustained another black eye on the world stage when Texas was allowed to execute a man with the mind of 7-year-old. The egregiousness of this act is heightened for a country that claims the moral high ground and global leadership on human rights.

Executing a poor, African-American, intellectually disabled man shows once again the arbitrary nature of the death penalty. That was why the Supreme Court halted capital punishment 40 years ago in its Furman v. Georgia decision. In Gregg v. Georgia, the court allowed states to resume the death penalty after a four-year hiatus provided they reserve it for the "worst of the worst" offenders. Wilson hardly exemplifies this principle.

Amnesty International has documented several cases in recent years in which prisoners with compelling evidence of "mental retardation" were executed, and more than 100 cases where prisoners with severe mental illness were put to death. Again, the Supreme Court has failed to hold the states to a reasonable standard despite ruling that the "insane" (the legal term) must not be executed.

Capital punishment is an empty symbol and an outmoded practice. It is expensive, fails to keep us safe and diminishes us all.

The opinions expressed in this commentary are solely those of Laura Moye.

@highlight

Laura Moye: Supreme Court in 2002 barred death penalty for the "mentally retarded"

@highlight

Moye: Yet court stood aside as Texas executed man who has the mind of a 7-year-old

@highlight

States can set criteria for "mental retardation," and court doesn't call them on it, she says

@highlight

Moye: Texas set stereotypical standards, citing character from Steinbeck's "Of Mice and Men"