Beijing (CNN)Five years ago, Beijinger Robert Zhao went on a trip to Tibet. What he encountered left him confused but intrigued.

A science graduate from China's elite Tsinghua University, he had been taught to mistrust superstition and religion, but in the culture and devotion of the Buddhists he met he found something worth knowing.

Now 25, he is considering giving up his job and becoming a monk.

"It means I will have to give up everything of the ordinary world," he told CNN.

While Buddhism has a long history in China, entering via missionaries from India during the Han dynasty, it was repressed during the Maoist era -- many monasteries and temples were destroyed during the Cultural Revolution and monks actively punished for believing in "superstition."

But now, a growing number of Chinese are rediscovering the country's dormant Buddhist traditions.

Some, like Zhao, are looking for a spiritual anchor in a competitive,  fast-changing society. Others take comfort in meditation and enjoy volunteering.

However, it's not always easy to combine Buddhist beliefs with the demands of modern life.

Zhao works as an assistant to the boss of an environmental company. His religion means it's difficult to entertain clients and partners -- a key part of the role.

"Not drinking, smoking or eating meat affects my socializing. So the company has to send someone else to go with me, which creates extra expenses," he says.

Zhao has not told his family about his desire to become a monk yet, fearing that they might oppose it.

Fenggang Yang, the director of the Center on Religion and Chinese Society at Purdue University, Indiana, says it's difficult to explain exactly why so many young people are turning to Buddhism.

Some discover it at university, where Buddhist groups are active and famous monks and lamas give lectures.  Others have devout parents and grandparents.

He also says that the Chinese Communist Party policy has "moved toward treating Buddhism more favorably than other religions."

Christianity has also been growing in popularity in recent decades but church leaders say there has been a crackdown on Christians,  with authorities demolishing churches and removing crosses from skylines.

In particular, it's the Tibetan strain of Buddhism, rather than the Chan (also called Zen) tradition once popular in China, that is attracting new converts, particularly students, young professionals and businesspeople, he says.

"It appears that both the chanting and the physical, spiritual practices of Tibetan Buddhism are appealing to some people," Yang added.

To what extent these new converts are committed to Buddhism as a religion, with its strictures and rituals, is an open question.

A former leader of a university Buddhism group, who didn't want to give his name, told CNN he thought its members were more interested in the religion as a lifestyle choice.

Activities that his group organized focusing on relaxation and stress relief were always more popular than reading groups and lectures that examined Buddhist scriptures, he added.

Yang at Purdue University says that for most people in China, Buddhism is treated more as culture than a religion.

They may visit temples or read Buddhist books, but  few people treat it as a religion that requires serious commitment.

"Indeed, people who identify as Buddhists do a lot of non-Buddhist spiritual things, such as believing in feng shui, consulting fortune-tellers, practicing qi gong and sampling books and practices of other religions," he says.

On a recent weekend, more than four hundred people attended the annual gathering of Beijing Ren Ai Foundation, a Buddhist charitable organization, at Longquan Monastery on the mountainous outskirts of the capital.

Zhong Ying, the group's 32-year-old deputy secretary general, said the group's most active volunteers were between 20 and 35 years old. In the past five years their numbers had doubled to 200.

For attendee Geng Hui'er, a 26-year-old who works and lives in Beijing, Buddhism was something she rediscovered after returning from studying abroad in England.

Growing up, her family had raised her Buddhist although she says she never really "felt it."

She now regularly attends meditation activities in monasteries or study groups organized by volunteers.

Geng says Buddhism has given her a fresh outlook on life and past difficulties. It's also helped her establish a network of people she can talk to and socialize with.

"We sit together, sharing things that have happened in our lives and how we dealt with them, which is more helpful than reading books", she says.

For Zhao, the aspiring monk, Buddhism has been a balm while dealing with poor health, as well as work and relationship problems.

"My life has been tough for years. (Buddhism) keeps me away from the negative thoughts, like a reminder that's always there, which has helped me a lot."

Journalist Dou Yiping contributed to this report.

@highlight

A growing number of Chinese are rediscovering the country's Buddhist traditions

@highlight

It's not always easy to combine Buddhist beliefs with the demands of modern life

@highlight

Buddhism has a long history in China but was repressed during the Maoist era