WASHINGTON (CNN) -- A 219-year-old document that stemmed from alcohol tariffs to pay off Revolutionary War debts -- and signed by Alexander Hamilton -- became the property of The National Archives on Thursday.

This document, signed by Alexander Hamilton, discusses tools for customs agents to determine alcohol content for imported spirits.

The historic letter, which has been the property of the Bureau of Alcohol, Tobacco, Firearms and Explosives (ATF) for the past 35 years, chronicles the federal government's earliest efforts to regulate alcohol.

In the document, Hamilton, the first United States secretary of the Treasury, discusses tools for customs agents to determine -- for tax purposes -- the alcohol content of St. Croix rum and other imported spirits.

Historians said the document is a notable footnote in American history. In 1789 and again in 1790, Congress imposed alcohol tariffs to pay Revolutionary War debts. In response to the tax on imports, Americans began distilling their own spirits. And when the federal government began taxing those beverages, citizens staged the "Whiskey Rebellion," harassing and threatening federal agents in several cities.

But in 1794, the government squelched the uprising, helping to establish the federal government's authority in disputes with individual states.

Even non-historians might appreciate the timelessness of the dog-eared document, given its skillful use of bureaucratic language to deliver bad news. One eye-glazing, 76-word sentence probably can be summarized as follows: "We don't have the thermometers you'll need, so for now, use the ones you've got."

The document, dated Dec. 18, 1790, is an original draft of a "circular letter," an official memo that would have been hand-copied and sent to customs officers, historians said.

"In this circular letter, Hamilton attempts to provide customs officers with new tools to more efficiently do their jobs," said Kenneth Melson, acting director of ATF. Hamilton notes that he is sending a hydrometer -- used to determine the specific gravity or density of liquids -- to ports so that customs officers can determine the proof of imported beverages.

Hamilton says he intends to provide two hydrometers to every port; one to be used as a standard or check. "But it is not possible in the first instance to send both. Hence one only will accompany this letter," he writes.

In a postscript, he adds that he is also sending a "Tin Cylinder" to hold liquor while its alcohol content is being measured.

Archivists said the early history of the Hamilton circular is not known. But in the mid-1970s, an ATF spokesman and autograph collector -- Howard Criswell Jr. -- came across the letter in a catalog from an autograph dealer in New York City. He purchased it for about $100, intending to use it in an ATF bicentennial exhibit. Criswell, now 84, is retired and lives in Maryland.

The document remained in an ATF safe until it was rediscovered by ATF employees during a relocation of its headquarters building in 2005.

ATF officials said they had once planned to frame the letter, but were told that it would be damaged by exposure to light.

The National Archives said the document will become part of its permanent holdings and will be preserved in a locked, temperature and humidity-controlled stack area at its facility in College Park, Maryland.

@highlight

Document chronicles the federal government's earliest efforts to regulate alcohol

@highlight

Item is guide for customs agents to determine the alcohol content of imported spirits

@highlight

Document will become part of The National Archives' permanent holdings