(CNN) -- Friday's White House meeting with congressional leaders is a timid first step by President Obama toward learning to work effectively with a Congress that will now be controlled by Republicans.

It will not be easy, judging from President Obama's and Sen. Mitch McConnell's post-election press conferences on Wednesday. Obama and McConnell both talked about cooperation. But both also were very confrontational about the possibility of the President issuing executive orders on immigration (McConnell appropriately so given the lawless and unprecedented nature of what the President is contemplating).

President Obama's press conference was almost two different events. One was conciliatory and suggested to the voters, "I hear you." The other was confrontational and almost hostile, asserting that he will do what he wants through executive action unless Republicans give him exactly what he wants through legislation.

Friday's meeting is too large and too pro-forma to advance the ball much on building an effective working relationship or addressing immigration. It will almost certainly be largely a dog and pony show.

In the days that follow, however, President Obama faces an important strategic choice between two paths forward, one productive, the other destructive.

The first option, the path toward a productive working relationship, is clear. House Speaker John Boehner and presumptive Majority Leader Mitch McConnell have each laid down markers for how a productive way forward can take place.

To start, Boehner outlined five areas of reform in an important speech at the American Enterprise Institute in September. President Obama should be looking at those five areas for opportunities to work together.

Boehner and McConnell published a very clear call for reform on Thursday and listed several areas that could be the basis for working together.

In January 2014, McConnell gave a very important speech on the floor of the U.S. Senate about reversing Harry Reid's tight control and returning the Senate to its role as a true deliberative body. He was immediately followed by Sen. Lamar Alexander calling on the Senate to restore the manner in which former Senate Majority Leader Mike Mansfield, a Democrat, ran the institution -- a model of a collegial, committee-led deliberative body. (The fact that both McConnell and Alexander were young staffers when Mansfield was majority leader is an important factor in understanding how the new Republican majority will operate.)

The commitment McConnell expressed in that speech to a committee-centered, collegial Senate offers President Obama and Senate Democrats the opportunity to work together in a productive way that Sen. Harry Reid denied to Senate Republicans for the last eight years.

With the foundation laid by Boehner and McConnell, what will then be needed are systematic and serious steps toward finding ways to work together.

The most important step toward working together -- is to work together. President Eisenhower had breakfast regularly with House Speaker Sam Rayburn and Majority Leader Lyndon Johnson after the Republicans were routed in the 1958 election. The three of them got a lot done in Eisenhower's last two years in office.

There is no substitute for President Obama meeting regularly, preferably weekly, with Boehner and McConnell. These meetings should be private, off-the-record and each principal should bring only one staff person.

The three leaders should start by focusing on small, confidence-building measures and avoid the big fights in the short term. They have to build a rhythm of achievement and mutual trust for anything to work.

This can be difficult, largely because of two things the myopic, politics-obsessed coterie of analysts, consultants and staff fails to understand.

The first is that history often intrudes on their plans and demands an effective government. Ebola is real. ISIS is real. Putin is real. There are many things national leaders have to deal with because history won't wait. This requires leaders to compartmentalize their thinking and their emotions.

President Clinton and I were able to work on international financial crises, national security issues and other pressing topics no matter what political fights we were in. The new governing trio will need the same capacity to cooperate on some matters despite conflict on others.

Second, the legislative season for the new Congress runs through the summer of 2016. The Washington mantra that there are only a few months of substance before the presidential campaign and politics overwhelms it is just baloney. We passed and President Clinton signed welfare reform in August 1996 in the middle of the presidential campaign. President Obama and congressional leaders can take a bit of time to build an effective working relationship.

If they can start small and build while ignoring (temporarily at least) the stories of the day, the President and the new Congress have a strong chance of finding ways to work together.

If, however, President Obama takes the other path before him--pursuing the vision of an unrestrained executive he sketched in his press conference--he is likely to have a very difficult time collaborating with Congress on anything.

It will be hard for congressional leadership to work effectively with a President who brazenly disregards the constitutional powers of the legislative branch, as the actions he reportedly is contemplating apparently would. Even if the Republican leadership wants to push forward on areas other than immigration, actions as destructive as the President suggests he will undertake will poison the atmosphere with much of the nation and their representatives on Capitol Hill. Such an outcome also means the country will have that much harder a time facing national and international crises.

The responsibility for such a destructive atmosphere and relationship with Congress will be the President's alone.

If President Obama wants to have the effective working relationship with Congress that he says he does, he will have to take the path that can lead to such a relationship. It is wide open. The other path is a path to national pain and division. The choice is his.

A lot depends on the next few weeks. It will be fascinating to watch.

Join us on Facebook.com/CNNOpinion.

@highlight

Newt Gingrich: Obama meets with congressional leaders Friday but that won't tell the tale

@highlight

Obama, McConnell both took some confrontational stances in press conferences, he says

@highlight

Gingrich: President should meet with GOP leaders privately on a regular basis

@highlight

Former speaker says he and President Clinton found a way to overcome obstacles