London (CNN) -- Passengers struggling to get away for the holiday season faced further frustration and delays Tuesday, as the EU's top travel official slammed snow disruptions across the region as "unacceptable."

Heavy snow caused severe disruption to train and plane schedules in a number of major cities days before Christmas, forcing thousands of people to sleep in terminals while they waited for information on their onward journey.

"I am extremely concerned about the level of disruption to travel across Europe caused by severe snow. It is unacceptable and should not happen again," European Commission Vice President Siim Kallas said in a written statement.

He took issue with airport infrastructure which he called the "weak link" in the chain, and urged airports to "get serious" about planning for severe weather conditions.

Thousands of passengers endured another frustrating day at London's Heathrow Airport Tuesday as airlines struggled to clear the backlog of passengers after two days of cancellations.

Only one of the airport's two runways was operating, following cancellations during the previous two days due to heavy snow.

British Prime Minister David Cameron discussed the weather chaos with his cabinet "extensively" Tuesday, according to his office.

"The people stuck here are having an incredibly difficult time, especially just a few days from Christmas, and everything must be done to either get them on holiday or get them home safely," Cameron said at a news conference.

Kylie Deegennars said she had been sleeping on the terminal floor since arriving at Heathrow late Saturday.

"We got told on that evening that if we waited until 6 a.m. the next morning we'd get more information. We did not get a blanket or a bottle of water until 1:30 a.m. in the morning," she said.

Conditions hadn't improved since then and Monday night she was still waiting for confirmation of a flight. "We're younger, we've got resistance, but there are babies, there are elderly people, and they're getting no extra treatment than anyone else. It's disgusting," she said.

On Tuesday afternoon, British Airways announced that it was considering transporting passengers stranded at Heathrow by bus to other UK airports.

Terminal five, it said, had been closed as staff worked to clear the backlog of people crowding the main concourse.

London Heathrow is to remain open for the next 24 hours, British Airways said, adding that it was considering bringing planes back overnight to clear the load.

Gatwick airport officials indicated Tuesday evening that operations were nearing normal. Nearly 700 flights were scheduled to arrive or depart the airport Tuesday carrying about 100,000 passengers, an airport spokeswoman said, and only 53 flights had been canceled.

"The airfield teams are continuing  to work round the clock and we are in a strong position to get flights moving to as near normal operations later today," Gatwick spokeswoman Andrea Hopkins said.

The airport has requested additional snow-clearing equipment to be delivered from Switzerland in an effort to make operations fully functional.

Colleagues Sharon and Cathy were trying to get back to Phoenix, Arizona, after suffering a two-day delay to their flights from Munich, Germany. They have been stranded at Heathrow airport since Monday.

"We really felt that we were flying into the eye of the storm and it didn't make much sense to do that, but here we are. We've been told our best chance of getting out is on December 27," Sharon said.

The colleagues say they are "lucky" to be put up in a hotel by their company, and expressed sympathy for others stranded in the airport with little or no information, accommodation or money.

"It looks like a refugee camp. People have been staying there for days," Sharon said.

"There were guards at the doors of Terminal One not allowing other people to come in. We were a little concerned about leaving the terminal that we might not be able to get back in."

The British government has come under fire for failing to heed warnings about the incoming inclement weather.

Defending the government, UK Transport Secretary Philip Hammond said, "Nobody foresaw the really extreme temperatures that we've had."

He laid the blame for chaos at Heathrow Airport firmly at the door of airport operator BAA who he said made a "bad call" on Saturday when the snow first started to present problems.

"This is as a result of extreme weather conditions and also to be frank of a bad call on Saturday by the airport operator who was, as it turned out, over-optimistic about their ability to leave the airport open," he said.

The government had offered military manpower to help clear runways which had been rejected, Hammond said. He added that the government was working with authorities to ensure the smooth supply of de-icing equipment and other materials to keep the airport operating.

British transport expert David Quarmby, author of an independent audit on the resilience of England's transport system, said that the country could not be expected to be able to cope as well as other cities that regularly experience heavy snowfall.

"We had a severe winter last winter and a bit of a winter the year before. But for eight years before that we hardly saw any snow at all," he said.

"It's very difficult to justify investing in the resources that you find in airports and rail systems and highways in countries elsewhere which always have winters that are as severe as the one that we've got at the moment."

The travel disruption was not limited to airports. Long queues snaked around St. Pancras International railway station in London on Tuesday as Eurostar canceled 10 trains, or about 20% of its normal service between London and Paris.

"Due to the continuing bad weather, speed restrictions are in place on our high speed lines, adding up to two hours to journey times. As a result we can not operate as many trains as planned," said Eurostar spokeswoman Mary Walsh.

Passengers ignored advice to turn up at the station one hour before departure. Some queued for as long as four hours in the London drizzle before stepping foot inside the terminal. During the wait, they were offered pizza, curry, coffee and tea, according to CNN's Jim Boulden.

Earlier, hundreds of passengers camped at Paris train stations, including Eurostar's Paris terminal, Monday night while they waited news of the next train, French transport minister Nathalie Kosciusko-Morizet told French radio Tuesday.

Around 3,000 passengers on cancelled flights slept on the floor at Paris' Charles de Gaulle airport, while another 400 spent the night at Orly airport, she said.

Pierre-Henri Gourgeon, CEO of Air France KLM said efforts had been made to find stranded passengers a hotel room. "We found 4,000, but we couldn't find anymore," Gourgeon told French radio.

A message on the Paris airports website said air traffic was "slowly resuming" after severe snow disruptions. Passengers were advised to check whether their flights had been cancelled before traveling to the airport.

Heavy snowfall halted all plane travel at Frankfurt airport in Germany for a short time Tuesday, said Thomas Uber, an airport spokesman.

By mid-morning in Europe, the number of canceled flights had risen to 464, mostly due to backlogs and disruptions at other airports, an official said. About 50 flights had been canceled at Munich airport, also due to disruptions elsewhere.

German Transport Minster Peter Ramsauer has asked German state authorities to allow night flights on a case-by-case basis to ease travel chaos at airports.

Major German airports have restrictions on night flights usually from 11 p.m. to 6 a.m. and only allow night flights on a very limited basis or in cases of emergencies.

On Tuesday afternoon Belgian authorities had started putting passengers whose flights had been diverted from Heathrow Airport to Brussels on coaches and boats to London.

In a statement posted on its website, the airport advised passengers bound for Frankfurt on Lufthansa flights to make their way independently by train or car.

European Commission Vice President Kallas said he would convene a meeting of European airport representatives in coming days to demand an explanation and assurances that they can handle future snow disruptions.

"We have seen in recent years that snow in Western Europe is not such an exceptional circumstance. Better preparedness, in line with what is done in Northern Europe is not an optional extra, it must be planned for and with the necessary investment, particularly on the side of the airports," he said.

The UK's Met Office, the country's weather forecasting agency, said it is not expecting further snow in London on Wednesday and that Heathrow and Gatwick airports "should remain dry."

CNN's Laura Perez Maestro, Fred Pleitgen, Phil Han and Jim Boulden contributed to this report

@highlight

NEW: Gatwick operations nearing normal, spokeswoman says

@highlight

BA considering transporting passengers by bus from Heathrow to other airports

@highlight

UK Transport Secretary lays blame for Heathrow chaos on "over-optimistic" operator

@highlight

Thousands of passengers await connections in European airports, rail stations