Palisades, New York (CNN) -- The recent volcanic eruption in Iceland is stranding hundreds of thousands of air travelers at Heathrow Airport in the UK and other airports across northern Europe, due to its voluminous clouds of volcanic ash that can clog airplane engines and limit visibility.

However, this is by no means the first such volcanic eruption in Iceland to affect human activities. Long before the advent of air travel, the eruption of Iceland's Laki volcano in 1783-84 had profound effects on climate, not just in Iceland but around the globe.

Volcanologists Thorvaldur Thordarson and Stephen Self estimated that a comparable event in the modern era would release enough ash and other eruptive materials into the atmosphere that the resulting ash cloud and sulfuric haze would probably disrupt air travel over much of the Northern Hemisphere for about five months. But there were impacts well afield of Iceland and Europe at the time of Laki.

Besides releasing clouds of ash into the atmosphere that can disrupt visibility and damage airplane engines, eruptions can cool the climate with the reflection of incoming solar radiation from the troposphere by volcanic sulfur-rich ash, which can decrease temperatures significantly for months or years in some cases.

Just such an aerosol effect is believed to have disrupted the Earth's thermal balance during the Laki event, cooling some Northern Hemisphere regions by as much as 1 or more degrees Celsius below the long-term average.

Highly unusual conditions were described in the summer of 1783 after Laki, including poisonous volcanic fumes that killed perhaps 25 percent of the population of Iceland, persistent haze and oppressive heat in Europe, and blood-red sunrises over North America, Europe and other locations. The Laki eruption was believed to have caused thousands of deaths because of unusual conditions in Europe that summer, along with the severe cold of the following winter.

Benjamin Franklin was one of the first to suggest that the extreme cold of 1783-84 over much of the Northern Hemisphere was connected to the Laki event. In North America, Laki has been blamed for the starvation of Inuit populations from severe cold in northwestern Alaska, based on Inuit oral history as well as tree-ring density data investigated by Gordon Jacoby and others, who estimated that conditions were about 4 degrees Celsius colder than the mean.

The density record of temperature-sensitive white spruce for this region showed extremely low values in the summer of 1783, known in Inuit lore as "the summer that did not come".

This observation was used to infer that this was the coldest summer in at least the past 400 years.

Such tree-ring records, along with other so-called proxy archives, can provide a wealth of information about volcanic events and their varying impacts around the globe because of resulting shifts in atmospheric circulation and other climate changes, dating for centuries prior to the period of instrumental record.

The effects of major volcanic eruptions such as Laki can also be felt elsewhere on the globe, often far from their actual location. For example, significant cooling and strong dynamical effects after the Laki event and other high-latitude eruptions are believed to have caused decreased flow of the Nile River in Egypt and weakened African and Asian monsoons based on climate model simulations, with potentially very significant impacts on food and water supplies.

Tree-ring, coral and ice core records also indicate the effect of major volcanic events in the tropics of monsoon Asia for low-latitude eruptions such as that of Tambora, Indonesia, in 1815 and other such events of the past several centuries, although this climate signal is also complicated by the El Niño-Southern Oscillation.

Although the current eruption of Eyjafjallajoekull in Iceland appears not to be comparable in intensity to those of Laki and Tambora, it will have some effects, such as those on air travel, that were never realized back in those simpler times.

The opinions expressed in this commentary are solely those of Rosanne D'Arrigo.

@highlight

Ash from Iceland volcano has grounded much of western Europe's air traffic

@highlight

Rosanne D'Arrigo says Iceland volcano in 1783 had drastic effects

@highlight

She says it killed many, stunted agriculture and led to starvation

@highlight

A similar event today could prevent some air travel for five months, she says