(CNN) -- Since 2½-year-old Ava Zinna ended up in the emergency room  this summer after an allergic reaction to peanuts, her mother, Tara, has worried about her daughter's food whenever they eat out. But when the family went to Blue Smoke restaurant Sunday afternoon in New York, someone had already asked to hold the peanuts.

Ava Zinna ate an allergen-free meal at the Worry Free Dinners event on Sunday.

The Zinnas took part in Worry Free Dinners, a series of monthly meals for people with food allergies. Sunday's 16-person barbecue -- complete with ribs, chicken, burgers and brownies -- was the first event aimed directly at parents and children affected by food allergies.

"When you're going into a restaurant environment, you're putting your child's safety and livelihood into other hands," Tara Zinna said. At the Worry Free Dinners event, "not only was the food phenomenal, but it's wonderful to have an opportunity to interact with other families who are dealing with similar issues."

The recent "worry free" meal event took place just days before the Food and Drug Administration's September 16 public hearing on food ingredient labels. Since 2006, food manufacturers have been required to clearly label products that contain any of the most common allergens -- milk, eggs, fish, shellfish, peanuts, tree nuts, wheat and soy -- but some allergy experts say the labels should be more explicit.

Restaurant dining can be a terrifying experience for people with severe food allergies. When the meal arrives, there's often no way of knowing every single ingredient that went into it, or what else touched the plate and utensils used to serve it. You also have to pester the restaurant staff with special requests.

But with Worry Free Dinners, everyone has some kind of experience with all of that, which helps build camaraderie, said Sloane Miller, who started organizing the events in April.  Read more tips on how to manage food allergies »

"People sit down and start chatting immediately like they're old friends," said Miller, known in the blogosphere as "Allergic Girl." "It's so nice to be with people that you don't have to explain [to] why you want something on the side."

So far, Worry Free Dinners has catered to food allergy sufferers in New York -- there are about 12 million in America, according to the Food Allergy and Anaphylaxis Network (FAAN) -- but Miller is looking to take the concept to other cities.

A common but mysterious condition

One out of every 17 children under 3 years old in America has a food allergy, and some will outgrow their sensitivities, said Anne Munoz-Furlong, founder and CEO of FAAN. But allergies to peanuts, nuts, shellfish and fish tend to be lifelong, she said. As far as she knows, Worry Free Dinners is the first event series of its kind.

Experts agree that allergies in general -- both food and inhalant -- are on the rise, but no one is sure why. Research on food allergies has been slow because "for a long time, people thought this was a small problem," Munoz-Furlong said. The largest group of studies on the subject are in progress, including immunotherapy for people with peanut and milk allergies, she said.

The majority of food allergy cases -- about 80 percent -- are "cyclic," with mild symptoms that resemble those of pollen or dust allergies: sneezing, itchy eyes, and nasal congestion, said Dr. Alpen Patel, assistant professor of otolaryngology at Emory University. Other people experience nausea, vomiting and diarrhea consistently in response to certain foods.

But for some people, ingesting something that even accidentally touched tree nuts or peanuts could result in anaphylaxis, a severe reaction that can lead to blocked airways, cardiovascular collapse, and even death. This is called a "fixed food allergy," he said.

After one severe reaction, he said, most people consistently avoid the offending food and do not experience another severe attack. But they also always carry a shot of epinephrine to self-administer immediately in case they experience signs of anaphylaxis.

Enjoying food in spite of allergies

Miller has made a career of helping people with food allergies and other special dietary needs navigate their meals, whether at Thanksgiving or on a date, without feeling sick. She runs her own coaching practice, blogs and organizes Worry Free Dinners events under her umbrella organization Allergic Girl Resources Inc.

She herself has dealt with allergies all her life -- as a baby she developed a rash when her mother switched from breast milk to cow's milk, and at age 2 she had a reaction to tree nuts. She has since learned that she also has some form of allergy to salmon, lemon grass, eggplant, some types of melons and most tropical fruits.

But Miller, now 36, did not want her food allergies to prevent her from sampling the cornucopia of New York City restaurants. She developed relationships with restaurants that would accommodate her needs, and began organizing dinners for people who have similar allergy problems.

"It is both worry-free for the diner and worry-free for the restaurant," she said. "Restaurants appreciate that I'm looking out for them as well ... I want to make it as easy as possible for them to have people like me come in all the time."

Where everybody knows your name

So how does someone like Miller, who lives with food allergies plus a "wheat/gluten-free, processed sugar-free, lactose-free, soy-free, low processed food-free lifestyle," safely enjoy eating out?

Miller calls it the "Cheers" experience. The first time she goes to a restaurant, she always calls ahead and talks with the restaurant management to make sure they can accommodate her before making a reservation.

Once at the restaurant, she'll meet the manager and give him or her a card with a run-down of her special dietary needs. Often a chef will join Miller and the manager to discuss the menu. By this point, Miller says, everyone has been introduced by name.

After the meal, Miller thanks the server, chef and manager, and tips the server generously. She'll often call the next day and thank the manager for helping her eat safely.

On her blog, allergicgirl.blogspot.com, Miller finds no shortage of restaurant meals to recommend and photograph. She'll find creative alternatives to traditionally prepared foods that look no less appetizing than more familiar versions -- for instance, she recently had fish-free sushi made of potato tempura, sticky rice, avocado and sesame seeds.

Not every restaurant will accommodate Miller's special needs -- she has been refused service at some restaurants. But in general, she's found that restaurants have become far more understanding than five years ago, if only because staff members have children with food allergies.

"That changes how they run their kitchen," she said. "More and more people are touched by this, and do get it."

@highlight

Woman organizes dinners at restaurants for people with food allergies

@highlight

If you have a food allergy, call ahead and tell the restaurant management, she says

@highlight

12 million Americans have food allergies, though some kids outgrow them

@highlight

Food allergies are on the rise, but no one is sure why