Following the Taliban prisoner swap that led to the release of U.S. Army Sgt. Bowe Bergdahl, Sen. John McCain, R-Arizona, told Fox News that 30% of the detainees released from the U.S. detention facility at Guantanamo Bay "have already gone back into the fight."

It's a figure that has been frequently repeated in recent days, but is it true?

It depends on who is doing the counting.

According to the U.S. Office of the Director of National Intelligence, which regularly releases an unclassified summary report about former detainees, as of January this year, 104 of the 614 detainees (17%) released from the prison have engaged in "terrorist activities," while another 74 (12%) are suspected of doing so. It is impossible to assess the validity of the U.S. government's claim, referenced by McCain, that nearly 30% of the released detainees are confirmed or suspected of engaging in terrorist activity because the government has not publicly released the names of any of these detainees for the past five years.

The U.S. government defines a "confirmed" terrorist or insurgent as based on a "preponderance" of information pointing to that conclusion, while someone  in the "suspected" category is based on plausible but unverified or single source reporting to that effect.

In order to shed some light on exactly which graduates from Guantanamo have joined a militant group or engaged in some other kind of terrorist activity, the New America Foundation analyzed Pentagon reports, news stories, and other publicly available documents to create a list of former detainees who have "returned to the battlefield." The list can be found here.

The New America list documents a much smaller number than does the U.S. government. Of the 620 former detainees who have been transferred from the prison camp, we have identified 15 former Guantanamo detainees (2.5%) who are confirmed to have engaged in terrorist or insurgent activities against the United States or its citizens, while there are 21 individuals (3.5%) who are suspected of engaging in such activities.

We also identified 18 former detainees (3%) who are confirmed or suspected of involvement in militant attacks against non-U.S. targets. Taking all three categories together, the New America list finds only a third as many Guantanamo prisoners have returned to the battlefield, compared to the U.S. government estimate.

A recent example of this is British citizen Moazzam Begg, a former Guantanamo prisoner released in 2005, who was arrested in December on terrorism charges related to the Syrian civil war. He has denied the charges.

It's important to note that the vast majority of individuals who are confirmed or suspected to have militant groups were released under the George W. Bush administration, a fact that is missing from much of the current commentary.

For the purposes of our study, for a former detainee to be considered "confirmed" that he had joined a militant group, there had to be a preponderance of information claiming he was directly involved in terrorist or insurgent activities. For those "suspected" of such acts, there were plausible but unverified accounts about their involvement in such activities.

While it is certainly possible there are some former detainees participating in terrorist and insurgent activities who have not been identified publicly, we are confident that our numbers are reasonably accurate because groups like al Qaeda and the Taliban are eager to trumpet the identities of released Guantanamo detainees who join their ranks, as it is a propaganda coup for them, and the media is also quick to highlight such stories.

Based on our findings, even if you combine all of the released detainees who are confirmed or suspected of taking part in any form of militant activity anywhere in the world, the total comes to 54, or 8.7%, which is much lower than the 30% being cited by the U.S. intelligence community and members of Congress.

This percentage is also much lower than the recidivism rate of criminals within the United States, which currently stands around 67.5%,  according to the most recent statistics by the Bureau of Justice Statistics.

Some of the Guantanamo prisoners who were released by the Bush administration are certainly quite dangerous.  Said Ali al-Shiri, who co-founded al Qaeda in the Arabian Peninsula (AQAP) in 2009, was transferred to Saudi Arabia in 2007. Shiri completed the kingdom's rehabilitation program and promptly headed to Yemen, where he became AQAP's deputy commander. He was killed in a U.S. drone strike last year.

Another example is Abdullah Ghulam Rasoul (who also goes by the name Mullah Zakir), who has emerged as one of the top Taliban commanders. Rasoul was also transferred from Guantanamo to Afghanistan in 2007 by the Bush administration and rejoined the Taliban shortly after the Afghan government released him from custody.

Under Obama,  the U.S. State Department and U.S. Defense Department use comprehensive threat assessments to determine a detainee's eligibility for release.  This has contributed to the fact that of the 88 prisoners released under Obama, we were only able to find publicly available information about one of those who had joined a militant group: Abdul Hafiz, who was returned to Afghanistan and is accused of fighting for the Taliban and targeting Afghan aid workers. (The intelligence community claims five Obama-era releasees have joined militant groups.)

Of course the  high-ranking Taliban prisoners released in the exchange for Sgt. Bergdahl are not just low-level militants and President Obama himself has admitted that they might pose some future threat. "Is there the possibility of some of them trying to return to activities that are detrimental to us? Absolutely. There's a certain recidivism rate that takes place," Obama said.

But these men are not being released freely into Afghan society. They have been transferred to the custody of Qatar, which is a rich, efficient police state and they have been banned from travel for a year. Assuming that ban holds, by the time they are able to travel back to Afghanistan, there will no longer be any U.S. combat presence as American combat soldiers are all pulling out at the end of December 2014. So any potential threat that those five Taliban officials might pose to American targets in Afghanistan will be much smaller by then.

@highlight

John McCain cites U.S. statistic that 30% of Gitmo released prisoners return to battle

@highlight

Peter Bergen: A close study of the record finds only a third of that number are recidivists

@highlight

Vast majority of recidivist Gitmo detainees were freed under the Bush administration, he says

@highlight

Bergen: Only one prisoner freed under Obama is known to have returned to the fight