(CNN) -- Ali Abdul Razzaq's life in Iraq was still getting started when a bullet to the head killed the 9-year-old. Ahmad Rubaie was studying to become a doctor when his life ended.

They were just two of a group of unarmed Iraqi civilians who died when four former Blackwater private security contractors opened fire at Nisur Square in Baghdad on September 16, 2007.

Eighteen others were wounded in an incident that has been a controversial political and diplomatic case from the start and which still reverberates seven years later.

On Tuesday, a District of Columbia jury began deliberations on whether the four guards -- Nicholas Slatten, Paul Slough, Evan Liberty and Dustin Heard -- are guilty or acted in self-defense.

Only Slatten is charged with first-degree murder; that's in the slaying of the driver of a white Kia sedan in the Baghdad traffic circle. Prosecutors argued Slatten, the team's sniper, lit the fuse of the entire incident when he fired on and killed the driver.

The Justice Department alleges the other three men "unlawfully and intentionally, upon a sudden quarrel and heat of passion, did commit voluntary manslaughter" in the ensuing chaos when they opened fire.

The defendants deny all charges and say they acted in self-defense after they were fired upon by militants. Witnesses dispute the claim.

'It was horror'

Attorney Hasan Jaber was driving to work when he got trapped in traffic at the square. That's when the shooting started. Like many others, he tried to flee, but he was shot three times.

"It was horror ... people were terrified," he said. "People running out of their cars were being shot at ... anything that moved in Nisur Square was shot. Women, children, young people, they shot everyone."

Jaber testified in Washington and said he has faith in the American justice system.

"I felt that there are people who care about this," he said. "I have trust that there will be justice."

Long road to trial

A federal judge in 2008 dismissed the original case, finding the Justice Department withheld key evidence and violated the guards' rights. But a federal appeals court later reversed that decision, leading the government to seek a fresh indictment and trial.

The incident prompted international outrage at the time, and the criminal prosecution in the United States has dragged on for years.

The killings led Iraq's government to slap limits on security contractors hired by various firms, including Virginia-based Blackwater, which was sold by founder Eric Prince and is known as Academi.

"The vast majority of the U.S. contractors who served in Iraq did so with honor and integrity, but, as alleged today, these defendants abused their power through a relentless attack on unarmed civilians that recklessly exceeded any possible justification," said U.S. Attorney Ronald C. Machen Jr.

"This prosecution demonstrates our commitment to upholding the rule of law even in times of war and to bringing justice to the memories of those innocent men, women, and children who were gunned down in Baghdad more than six years ago," he said.

Prosecutor: Defendants did not have 'a blank check'

On Thursday, U.S. Attorney Anthony Asuncion told the jury of five men and seven women in his closing argument that the former contractors, "took something that didn't belong to them, the lives of 14 individuals."

"People who could laugh and live were turned into bloody, bullet-ridden corpses by these men," Asuncion said, turning and pointing at the defendants.

Prosecutors said the men fired at the Kia with machine guns and grenade launchers. Pictures of deceased and injured were displayed on a large board adjacent to the jury.

"None of these people were armed. None of these people on this board posed a threat to these men," Asuncion said.

"The fact this happened in a war-torn country did not give the defendants a blank check."

The former private security guards were working for Blackwater handling diplomatic security for the State Department.

Their attorneys argued that Nisur Square, close to the fortified Green Zone, was a hostile environment. They said the Blackwater teams in the area were under constant threat, specifically from car bombs targeting convoys such as the one in which they arrived.

"Every civilian death in a war zone is a tragedy, but not every death is a crime," Brian Heberlig, a defense attorney for Slough, argued in his closings.

The defense attorney said the guards were fired on by militants when they arrived in the traffic circle, a key point of disagreement between the defense and the prosecution.

Heberlig said it was actually Slough, not Slatten, who fired first on the Kia at its engine block to try to stop the vehicle after the team perceived it to be a car bomb threat rapidly approaching their convoy.

"We know now it was a medical student and his mother," Heberlig said of the occupants of the sedan, "but my client didn't know that at the time."

"[Slough] did his job in Nisur Square and defended other Americans in an war zone."

Judge Royce Lamberth thanked the jury for their service during this long trial, which stretched over 44 days in court.

After reading the lengthy charging documents, he sent them to lunch and then on to decide the case.

2011: Blackwater founder enters video game business

CNN's Eric Marrapodi and Forrest Brown contributed to this report.

@highlight

Case relates to shooting in 2007 that left more than a dozen unarmed Iraqi civilians dead

@highlight

Defendants have denied all charges, saying they acted in self-defense

@highlight

Incident prompted international outrage; U.S. prosecution has lasted for years