(CNN) -- Chikungunya -- a tropical disease with a funny name that packs a wallop like having your bones crushed -- has finally taken up residence in the United States.

Ever since the first local transmission of chikungunya was reported in the Americas late last year, health officials have been bracing for the arrival of the debilitating, mosquito-borne virus in the United States. Just seven months after the first cases were found in the Caribbean, the Centers for Disease Control and Prevention reported the first locally acquired case of chikungunya in Florida.

Even though chikungunya is not on the National Notifiable Diseases Surveillance System list, 31 states and two U.S. territories have reported cases of the disease since the beginning of the year. But only Puerto Rico and the U.S. Virgin Islands reported locally acquired cases. All the other cases were travelers who were infected in countries where the virus was endemic and were diagnosed upon returning to the United States.

That ended Thursday, when the CDC reported a man in Florida, who had not recently traveled outside the country, came down with the illness.

As of right now, the Florida Department of Health confirmed there are at least two cases. One case is in Miami Dade County and the other is in Palm Beach County.

Its arrival did not surprise the chair of the Florida Keys Mosquito Control Board.

"It was just a matter of when. We are prepared in the Keys and have been prepared for some time to deal with chikungunya," Steve Smith said. "From what I am seeing, I'm sure there are more cases out there that we don't know about. It's really a matter of time."

The CDC is working closely with the Florida Department of Health to investigate how the patient came down with the virus. The CDC will also monitor for additional locally acquired U.S. cases in the coming weeks and months.

The virus, which can cause joint pain and arthritis-like symptoms, has been on the U.S. public health radar for some time.

Usually about 25 to 28 infected travelers bring it to the United States each year. But this new case represents the first time that mosquitoes themselves are thought to have transferred the disease within the continental United States

"The arrival of chikungunya virus, first in the tropical Americas and now in the United States, underscores the risks posed by this and other exotic pathogens," said Roger Nasci, chief of CDC's Arboviral Diseases Branch. "This emphasizes the importance of CDC's health security initiatives designed to maintain effective surveillance networks, diagnostic laboratories and mosquito control programs both in the United States and around the world."

The virus is not deadly, but it can be extremely painful, with symptoms lasting for weeks. Those with weak immune systems, such as the elderly, are more likely to suffer from the virus' side effects than those who are healthier. About 60% to 90% of those infected will have symptoms, says Nasci. People infected with chikungunya will often have severe joint pain, particularly in their hands and feet, and can also quickly get very high fevers.

The good news, said Dr. William Schaffner, an infectious diseases expert with Vanderbilt University in Nashville, is that the United States is more sophisticated when it comes to controlling mosquitoes than many other nations and should be able to keep the problem under control.

"We live in a largely air-conditioned environment, and we have a lot of screening (window screens, porch screens)," Shaffner said. "So we can separate the humans from the mosquito population, but we cannot be completely be isolated."

Mosquito-borne virus worries CDC

Chikungunya was originally identified in East Africa in the 1950s. Then about 10 years ago, chikungunya spread to the Indian Ocean and India, and a few years later an outbreak in northern Italy sickened about 200 people. Now at least 74 countries plus the United States are reporting local transmission of the virus.

The ecological makeup of the United States supports the spread of an illness such as this, especially in the tropical areas of Florida and other Southern states, according to the CDC.

The other concern is the type of mosquito that carries the illness.

Unlike most mosquitoes that breed and prosper outside from dusk to dawn, the chikungunya virus is most often spread to people by Aedes aegypti and Aedes albopictus mosquitoes, which are most active during the day, which makes it difficult to use the same chemical mosquito control measures.

These are the same mosquitoes that transmit the virus that causes dengue fever. The disease is transmitted from mosquito to human, human to mosquito and so forth. A female mosquito of this type lives three to four weeks and can bite someone every three to four days.

Shaffner and other health experts recommend people remember the mosquito-control basics:

-- Use bug spray if you are going out, especially in tropical or wooded areas near water.

-- Get rid of standing water in empty plastic pools, flower pots, pet dishes and gutters to eliminate mosquito breeding grounds.

-- Wear long sleeves and pants.

@highlight

The first local cases of chikungunya arrived in Florida

@highlight

The mosquito-borne virus creates painful arthritis-like symptoms

@highlight

The Florida Keys Mosquito Control Board chair says more cases likely