NEW YORK -- There's no shortage of diners in New York City, but one of its most beloved will soon be taking up residence in Alabama.

The Cheyenne Diner, which opened in 1940 in New York City, shut its doors in April 2008.

The Cheyenne Diner, which first opened in 1940, was split in two Monday night to begin its move on a pair of flatbed trucks some 860 miles to its new home near Birmingham.

The dining experience at the Cheyenne was typical of many similar New York eateries, where more often than not, you're guaranteed a hearty meal at a comfortable price.

After taking a seat in a roomy booth or even at the counter, you check out the flimsy paper placemat with innocuous historical information or a simplified map of the Greek Isles.

A busboy places a glass of ice water on your table. Then it's time to break out the reading glasses and flex those muscles to heft the always lengthy menu. While it may take you several minutes to sift through it, take comfort in knowing that you may actually burn some calories by lifting this bible of comfort food.

Unlike the sometimes stuffy pretense of a formal restaurant, the diner experience is generally simple, while the food offerings are diverse -- from apple pie to baked ziti and everything in between.

While never known as a bastion for fine dining, the Cheyenne saw brighter days before it unceremoniously closed on a chilly Sunday in April 2008.

Originally known as the Market Diner until its moniker was changed in 1986, the pre-assembled restaurant stood as a rare classic definition of free-standing diners.

Its streamlined, railcar-inspired design boasts a reverse-channel illuminated neon sign. Horizontal and vertical stainless steel strips border the colorful enamel panels and wrap-around windows on its facade. Celebrities from Jerry Lewis to David Letterman entered through its curved entryway lined with glass blocks.

But, like a beloved baseball team whose owner has tossed in the towel, the Cheyenne is moving to a new town for a new life in a new home.

The owner of the diner, George Papas, wanted to change the flavor of the block and replace the eatery with a multilevel condo building.

Enter preservationist Michael Perlman, a 26-year-old patron saint of sorts for unwanted diners. Perlman found out that the Cheyenne was facing demolition and began to look for a guardian angel to save it.

He connected with Alabama businessman Joel Owens, head of the investment group NAIC, who saw the Cheyenne for sale on a Web site devoted to the preservation of New York City structures and fell in love with its "gorgeous structure."

"I like it better each time I see it," Owens said. "The barrel roof. The exterior facades are second to none. I think it's the most beautiful diner in the world."

Owens and his business associate, Patti Miller, have a grand vision for the diner and eventually want to incorporate it as part of an entertainment and historic area outside of Birmingham.

Once it's restored, which could take up to a year, the Cheyenne will become the first free-standing diner in Alabama, Owens said.

A longtime collector of antique cars and Coca-Cola memorabilia, Owens is a firm believer in the lessons that can be learned from the past.

"If you think about what's wrong with today, in order to fix the problems of today, you've got to look back... [to] when it was better," Owens said.

"I think [the diner] is symbolic of the glory days. Technology and more money doesn't necessarily mean progress. We long for simpler times," he explained. "These types of buildings can be an instrument for our youth to learn from the past. Teenagers need a clean environment for entertainment, a 'hang out.'"

The departure of the Cheyenne Diner brings back some bitter memories for aficionados of historic New York. The Moondance Diner encountered a similar fate in 2007, after it was put up for sale by developers who purchased the land it was sitting on and planned to build a hotel.

That summer, a couple from Wyoming found the Moondance's sale notice on the American Diner Museum Web site.

Perlman acted as a conduit there also, helping to broker the sale of the 1920s diner located in the SoHo section of Manhattan, which the couple planned to move to their home state.

When news of the sale and move came out, the Pierces began to have some doubts.

"We're quiet people," said Cheryl Pierce, of La Barge, Wyoming. "[But] the media response has been a blessing as people have shown a keen interest."

Pierce and her husband paid $7,500 for the Moondance and ultimately invested $40,000 to move it more than 2,100 miles to La Barge, where it became a popular site in the town of 600 residents with few other restaurants.

The barrel-roofed diner reopened on January 12 this year, complete with its original floor and window frames.

Customers can sit at the old-fashioned soda fountain or on the outdoor patio in the summer. The menu contains the traditional diner fare -- burgers, fries and milk shakes -- but also caters to the local palate, with chicken fried steaks, ribeye steaks and prime rib.

"Business has been exceptional. We've been able to hold our own," said Pierce. "We get a lot of people who take a detour to visit us."

She noted that it's a lot of work, and a huge commitment, but said she and her husband "have been blessed."

"There's never going to be another Moondance Diner," she said.

In response to critics who complain that historic pieces of New York City are being sold off, Pierce said that in the cases of old diners, "to keep it alive, somewhere else is the best option, [rather] than seeing it demolished. We've run into New Yorkers who are appreciative that we brought it back to life."

Owens is hoping that will be the case with the Cheyenne, which was loved as a no-frills refuge for comfort food on Manhattan's desolate west side.

But now it's served up its last order in New York. And that last order was to go.

@highlight

The Cheyenne Diner, opened in 1940, moves to its new home by Birmingham

@highlight

Preservationist hooked up with Alabama businessman to save diner

@highlight

Businessman: Cheyenne will be the first free-standing diner in Alabama

@highlight

Celebrities from Jerry Lewis to David Letterman were seen in New York diner