It was one year ago Thursday that Jorge Mario Bergoglio became Pope Francis.  From that moment, Jesuits around the world asked the same question: "Is he still a Jesuit?" If someone becomes a pope, and therefore head of all Catholic religious orders -- Franciscans, Dominicans, Benedictines, Jesuits and so on -- is he still a member of his religious order?

Since then, that question been answered several times by Pope Francis, who in gatherings with his brother Jesuits has spoken of "We Jesuits."

Beyond the Jesuit parlor game of "Is he or isn't he?" the Pope's Jesuit identity is a key way to understand this world phenomenon of a pontiff. In fact, many of the words and deeds that have so shocked the world flow naturally from his Jesuit background. Let's look at five:

Humility. Is there anyone who has not noticed Francis' humility? His first public gesture as Pope was not to bless the vast crowd in St. Peter's Square but to request the crowd's blessing. A few days later, he turned down the traditional papal digs in the grand Apostolic Palace in favor of a modest suite at a Vatican guesthouse.

Just this week, a photo taken of members of the Vatican staff on their annual retreat showed the Pope seated in their midst, along with the other bishops and cardinals, as just another person on retreat.

Humility of course is a Christian virtue, but it is also something that St. Ignatius Loyola, the 16th-century founder of the Jesuits, specifically asked Jesuit priests and brothers to embrace. There are three kinds of humility, St. Ignatius said. The first is exemplified by the person who does nothing immoral. The second is the one who, when faced with honor or dishonor, is "indifferent."  The third is the person who chooses the humbler path, to be more like Jesus. Pope Francis exemplifies this "Third Degree of Humility."

How to really measure the 'Francis effect'

Poverty. Francis is the first Jesuit Pope and the first from a religious order since 1831. That means he is the first Pope to have lived under a "vow of poverty" since the mid-19th century. All priests are supposed to live simply, but members of religious orders take a specific vow of poverty. "Almighty and eternal God ..." begins the Jesuit vows: In other words, members of religious orders make a promise to God to live simply.

Thus, for most of his adult life -- until he became a bishop and was released from that vow -- Jorge Mario Bergoglio owned nothing of his own. As all members of religious orders, he had to live on a strict budget. He had to turn into his community anything he earned and any gifts. He had to ask for cash for large purchases, such as a suit. This accustomed Bergoglio to a simple life, which many find one of his most appealing aspects. It also heightened his compassion for people who live not in voluntary poverty, as he did, but involuntary poverty, as the poor and marginalized do.

Governance. Pope Francis had some longtime Vaticanologists scratching their heads when he appointed a group of eight cardinals to advise him and assist him in reforming the Vatican Curia, or central bureaucracy. The "G8," as the cardinals have inevitably become known, have already implemented changes in such complex areas as the Vatican Bank. Many wondered why the Pope didn't rely more on the heads of the specific Vatican offices for this kind of close consultation. Why weren't the "G8" the prefects of the largest Vatican congregations?

But to most Jesuits his "way of proceeding," as St. Ignatius liked to say, was familiar. Before becoming archbishop of Buenos Aires, Bergoglio was the Jesuit "provincial," or regional superior, of Argentina. As all Jesuit provincials  do, he selected province "consultors" who advise the provincial on all manner of decisions. Because they usually do not work directly in province governance, the provincial can rely on them to speak openly and candidly. With the "G8," the Pope is replicating the familiar Jesuit model of governance.

Prayer. Often you will hear Pope Francis say something similar to what he said in a homily recently to a parish in Rome when he asked parishioners to close their eyes and imagine themselves in a Gospel scene, in this case at the Jordan River at the Baptism of Jesus. "Now speak to Jesus," he said.

Last Easter he asked listeners to picture themselves with the women disciples approaching Jesus' tomb on Easter Sunday. This is a key characteristic of Jesuit prayer: asking the person to use their imagination and let God work through that.

In homilies, reflections and speeches, Francis most often does not tell his listeners what to think, he invites them to imagine and think for themselves. It is not the Pope's Jesus whom you are invited to meet, but your own.

Openness. Jesuits are asked to "Find God in all things." Again, this is not simply a Jesuit virtue but a Christian one. Yet that brief motto is the most commonly cited way of summing up Jesuit spirituality. And "all things" means all people.

This includes those people who have felt excluded, or unwelcome, in the church. So although his message is based on simple Christian mercy, the world has witnessed the Pope repeatedly inviting the church to experience God in places that some other Catholic leaders may have overlooked or even ignored. Atheists, divorced and remarried Catholics, and gay men and lesbians, have all seen the Pope reach out to them.

Francis is not so much trying to find God there -- because he knows that God is already there -- as he is reminding others to look for God in the lives of all these people.

Other Jesuit hallmarks could be added to the list, such as flexibility, freedom and an emphasis on social justice. But overall, when Jesuits watch the Pope, we often nod our heads and say, "That's very Jesuit."

Over the past year, Jesuits have been accused of being too proud of Pope Francis. I'm guilty myself. So at the risk of pride, I'll say that I think he's a great Pope, a great priest and a great Jesuit.  And I'll bet St. Ignatius would be proud -- or as proud as he would allow himself to be.

@highlight

James Martin: Jesuits wonder if Pope Francis, when elected, was still a member of their order

@highlight

Martin: He has identified with the Jesuits, and his life reflects the order's teachings

@highlight

Humility, poverty, prayer and "finding God in all things" are Jesuit ideals, he says

@highlight

Martin: Pope Francis is a great leader who would please St. Ignatius, founder of Jesuits