(CNN Student News)  -- Discussion Questions

1. When is Black History Month observed? When did Black History Month get its start? Who was Dr. Carter G. Woodson? What was his role in the establishment of Black History Month?

2. What are some significant events and milestones in U.S. black history? Who are some of the individuals who have contributed to black history?

3. How does black history help to tell the story of what it means to be an American? How have African-Americans enriched that story? What lessons can be learned from the experiences of black history makers?

Learning Activities

Use these activities to encourage your students to learn about and appreciate the history, culture and achievements of African-Americans.

1. A Milestone in U.S. History

Remind students that they have witnessed a truly historical event in their lifetime: the election of Barack Obama as the first African-American president. What will they remember about this milestone? What do they want future generations to know about it? Challenge students to write letters to students who will be in their place 100 years from now, describing the event and its significance for all Americans. Combine the letters into a book or a Web site, or create a video of students reading their letters. Present the finished product to your school's historian or media specialist for archiving.

2. Covering Black History

Ask students: What if CNN correspondents had been on the scene to record key moments in black history for the entire world to see? Organize students into small teams of reporters, and have each team select a time period in American history and a key figure or event that helped to define that time period for African-Americans. Then, have students imagine that CNN was there to cover the historical figure or event. Ask: How do you think that CNN reporters might have covered these stories? Encourage the teams to write scripts for news stories on their historical figures and events. After students have presented their scripts, have them compare their reports to eyewitness accounts and local newspaper reports that were written at the time.

3. Harlem Renaissance

Inform students that during the 1920s and 1930s, an African-American cultural movement occurred in the United States that was known as the Harlem Renaissance. It was a literary, musical and artistic explosion that was born in Harlem, New York, and it had a profound impact on African-American culture and on the U.S. as a whole. Have your class host a Harlem Renaissance cultural fair. Direct students to online resources to learn about some of the great artists, writers and musicians who were part of the renaissance and their contribution to this cultural movement.

Have each student select one of these African-American artists and design a display that tells about the life and times of the artist and the importance of his or her work. Invite guests from your school and community to attend the exhibit. Have students serve as "roaming curators" to instruct and interest guests in the Harlem Renaissance and the creative works of these great African-Americans.

4. Profiles in Black History

Do your students show a personal interest in science, music, politics, theater, sports or education? Inspire them to celebrate the contributions of African-Americans by having them write profiles of African-Americans in the categories that interest them. For example, a budding young scientist might choose to profile the inventor of the ironing board, the lawn mower or the space shuttle retrieval arm, all of whom were/are African-Americans. Direct your students to online and print resources and have them conduct research on their chosen individuals. Then, encourage students to write proposals to have their selected persons commemorated in new postage stamps. Students should accompany their proposals with designs for the stamps. In their presentations, students should try to convince classmates why their profiled persons should have a stamp created in their name. Post the designs around the classroom.

5. Local African-American History

Valuable lessons in black history may be found just a few steps away in the stories and documents that can be found in local libraries, historical organizations, universities or colleges, and online. Encourage students to venture out into the community to investigate the history and contributions of black Americans in their city or town. Students might choose to use milestones in black history as a way to organize their research, gathering information on how those events impacted the community and its residents. They may also decide to profile influential black community members. Have students invite community members to a celebration of local black history.

6. Black History Museum

Celebrate black history by creating plans for a local Black History Museum. First, have students decide where the museum should be housed. Suggestions might include a school or local library, an exhibit in an existing history museum, or perhaps a virtual online museum. Next, discuss how the museum should be organized. Students may choose to categorize the content by theme, by specific time periods, by specific dates, by people or by local landmarks. Encourage students to include interactive elements and multimedia in their plans. Then, challenge students to consider what people, events or contributions to include in their Black History Museum. Ask: What messages or lessons do you want visitors to take away from the exhibits?

7. Not Just for February

Inform students that, while Dr. Carter G. Woodson chose the month of February to recognize the accomplishments of African-Americans, black history can be celebrated all year long. Challenge students to create year-long calendars or timelines that highlight the contributions of African-American newsmakers, illustrate key events in black history, and encourage an ongoing celebration of black culture.

Standards

Social Studies

II. Time, Continuity, and Change

Social studies programs should include experiences that provide for the study of the ways human beings view themselves in and over time.

V. Individuals, Groups and Institutions

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

The Curriculum Standards for Social Studies (http://www.socialstudies.org/standards/strands/ are published by the National Council for Social Studies (http://www.socialstudies.org/).

Resources

CNN:  Black in America 2:

http://www.cnn.com/SPECIALS/2009/black.in.america/

U.S. Census Bureau: Black (African-American) History Month: February 2010:

http://www.census.gov/Press-Release/www/releases/archives/facts_for_features_special_editions/014487.html

@highlight

February is Black History Month

@highlight

These questions and activities help students learn about the history, culture and achievements of African-Americans

@highlight

These questions and activities can be adapted to accommodate students of different grade levels and learning styles