(CNN)Like many Catholics, I applauded the news this week that Pope Francis had formally declared Salvadoran Archbishop Oscar Romero a martyr, paving the way for his beatification, the final step before sainthood.

Romero was assassinated in 1980 by a right-wing death squad after preaching against the government's oppression and human rights violations -- what Catholics call "the preferential option for the poor." To me, Romero is already a saint, and I am lucky enough to have made a pilgrimage to San Salvador to see the chapel where he was slain while celebrating Mass and to his nearby living quarters, where his blood-stained clothes remain.

Just outside the capital, along a dirt road, is another place of pilgrimage, one for four other martyrs. It is where four North American churchwomen -- Maryknoll Sisters Ita Ford and Maura Clarke, Ursuline Sister Dorothy Kazel and lay missioner Jean Donovan -- were raped, killed and buried just months after the assassination of Romero.

While much has been made about the slow pace of Romero's sainthood cause, especially after the fast-tracking of now-blessed John Paul II, there has been little outcry about the need to open sainthood causes for these women. A Maryknoll spokeswoman told me the order is not aware of anyone officially pursuing canonization of any of the four churchwomen.

And the Ursuline Sisters of Cleveland have not opened a cause for Kazel, said Sister Susan Durkin, president of the order. "That doesn't mean we won't consider doing that moving forward, especially in light of the announcement about Archbishop Romero, which we are all certainly happy about and has been a long time coming," she said.

I believe Ford, Clarke, Kazel and Donovan's commitment to the poor in the face of grave danger that ultimately led to their death qualifies them for consideration to sainthood.

Who were the four North American churchwomen?

Ford, a native New Yorker, had joined the Maryknoll order in her 30s and had worked in Chile in the 1970s in the wake of the U.S.-backed military coup that overthrew the democratically elected government there. Responding to pleas for help from Romero, Ford left for El Salvador, only to learn about the archbishop's death while en route.

Ford was later joined by Clarke, also a native New Yorker, who had entered the Maryknollers at 19. By the time she went to El Salvador, Clarke was an experienced missionary, having served the poor in Nicaragua for 20 years. Both women were returning from a regional meeting of their religious order in Managua on December 2, 1980.

They were met at the airport by Kazel and Donovan. Kazel had been engaged to be married before joining the Urusline Sisters in Cleveland. She worked first as a teacher, then joined a mission team in El Salvador in the early 1970s.

Donovan, a laywoman, grew up in Connecticut and was working for an accounting firm in Cleveland when a spiritual search led her to the diocesan mission project in El Salvador. All four women served the poor at a time when the Salvadoran government had become increasingly suspicious of the church's work among the people.

After leaving the airport on that fateful night, the women's car was stopped by National Guardsmen, who beat, raped and shot them. Although several lower-level guardsmen were convicted, a U.N. truth commission concluded the men responsible had carried out the killings on orders from above.

Donovan was 27. Kazel was 41. Ford was 40. Clarke was 49. Are they not martyrs also?

As with Romero, some Catholics question whether these women were killed in odium fidei, literally "in hatred for the faith." Traditionally this has meant death for refusing to renounce one's Christian beliefs. In August, Pope Francis told reporters that one of the questions the Vatican congregation faced with Romero's case was whether such hatred could also be because of the good works the person did because of his or her belief.

This week's announcement about Romero seems to have answered that question.

The Catholic Church's process for declaring someone is a saint can be costly and requires support from an organized group, most often a religious order -- which explains why so many founders and foundresses have been canonized over the centuries. It also explains why the church has so few lay saints.

But the lack of an official stamp of sainthood has not stopped Catholics from honoring the four churchwomen of El Salvador. Books have been written about them, those involved in justice work pray for their intercession, and young Catholics already choose their names as their confirmation names.

While Romero's heroic transformation from quiet priest to outspoken archbishop is inspiring, he's not the only Catholic killed for speaking out against injustice, oppression and human rights violations during the 12-year civil war in El Salvador. Among the more than 75,000 Salvadorans who lost their lives were six Jesuit priests, their housekeeper and her daughter, who were killed by government forces at the University of Central America. And these four brave North American women.

After Clarke's death, a fellow Maryknoll sister is said to have found a poster among her belongings with the words: "Follow me, and if you follow me and lose your life, others will follow you."

If that isn't the definition of a martyr, I don't know what is. It's time to make the martyrdoms of these women official, too.

@highlight

Heidi Schlumpf: Oscar Romero, assassinated in 1980 in El Salvador, on just path to sainthood

@highlight

Three nuns and laywoman were killed on missionary work shortly after Romero

@highlight

Why no sainthood push for them? Schlumpf asks