(CNN) -- Never before in Pakistan's history has a parliamentary election resulted in a true democratic transition. Despite militant threats and attacks that left at least 21 people dead on election day, Pakistanis bravely voted in record numbers Saturday. 

While we're still waiting for official results, the Pakistan Muslim League Nawaz party looks to have a clear mandate to steer the country forward for the next five years.

This is an important moment, but the challenges ahead are daunting. Democracy and the institutions of civil society remain as fragile as ever, with minorities especially vulnerable to persecution. A range of militants groups still enjoys safe haven throughout the country.  And the economy is in shambles.   

Now is the time for Pakistan's new leaders to grasp the nettle. It is time for the major parties to shift from campaigning to governing, consolidate democratic gains and tackle deteriorating security and economic conditions.

The stakes are enormous, and Pakistan's new leaders cannot afford to miss this moment.  A recent Pew poll found that roughly nine in 10 Pakistanis believe the country is on the wrong track.

This week's elections provided a voice for millions to cast their ballot for a better future, a democratic future. The United States should support this process and continue working toward a long-term relationship based on mutual goals.  

Pakistan today is buffeted by gale-force pressures: a long rivalry with India to its east, a bitter and bloody insurgency in its western tribal regions, a fragile transition in Afghanistan and twin financial and energy crises that burn at its core, leaving millions without power and businesses without access to credit. In the coming weeks, Pakistan may face a balance of payments crisis unless its new leaders take decisive action.

There is no doubt that we are dealing with complicated issues in a volatile region. The United States has been working steadily with Pakistan to meet these challenges. With greater commitment and support from Pakistan's new leaders, we can build on existing areas of cooperation even as we press our interests.

There is still a great deal of mistrust that permeates this relationship. It's unacceptable that two years after the United States found and killed Osama bin Laden, the most noteworthy action taken to get the facts on how he came to be in Pakistan is the conviction of the doctor that helped us track him down.

We know that militant groups have taken refuge along the Afghanistan-Pakistan border. And let's face it: when Americans hear about U.S. troops in Afghanistan under attack by insurgents who enjoy safe haven in Pakistan, they naturally see red.

Despite these challenges, the reality is the United States and Pakistan share common interests and need to work closely together. Now is not the time to cut and run but to renew our efforts to bring peace and stability to Afghanistan and to address the terrorist threat that afflicts both our nations.

Pakistan remains vital to any sustainable and peaceful outcome in the region. It can support genuine reconciliation efforts with the Afghan Taliban or undermine them. It can serve as the most cost-effective supply route for withdrawing our troops and equipment from Afghanistan or block their passage. And it can rein in militant groups that threaten India and halt the spread of nuclear weapons and technology or aid in their proliferation.

If ever there was an opportunity for Pakistan to advance regional peace and security, this is it.  The international community is working toward a coordinated transition in Afghanistan to mitigate the prospects of civil war as foreign troops depart. We need Pakistan's help to get this right. Without close cooperation, our efforts will be imperiled, and Pakistani fears of international abandonment will become a self-fulfilling prophecy.

The founder of Pakistan, Muhammad Ali Jinnah, once said: "The story of Pakistan, its struggle and its achievement, is the very story of great human ideals, struggling to survive in the face of great odds and difficulties." Pakistan's story is still being written, but its next chapter will be defined by action, not by words alone. 

This week's elections mark the beginning, not the end, of a long road. Pakistan's new leaders have an historic opportunity to provide real leadership and show that democracy can deliver. For their sake and ours, let's hope they rise to the challenge.

The opinions expressed in this commentary are solely those of Robert Menendez.

@highlight

Pakistan's election Saturday has potential to be nation's first peaceful transition

@highlight

Sen. Menendez: Despite violence, brave Pakistanis vote in record numbers

@highlight

Pakistan's economy is in trouble and its role in regional conflict needs to change, he says

@highlight

Menendez: Pakistan can rein in militant groups and contribute to regional stability