Editor's note: Julian E. Zelizer is a professor of history and public affairs at Princeton University's Woodrow Wilson School. His new book, "Arsenal of Democracy: The Politics of National Security -- From World War II to the War on Terrorism," will be published in December by Basic Books. Zelizer writes widely about current events.

President Obama is taking a huge step in his presidency. After weeks of careful deliberation, the president has sided with military officials who have been pushing for an escalation of U.S. forces in Afghanistan.

Explaining his objectives and exit strategy, Obama is expected to announce that he will be sending 30,000 troops, and possibly more, into the region.

With this decision, Obama inches closer to becoming a wartime president. Even though the White House insists that they will continue to work hard on their domestic agenda, historically, presidents who become involved in protracted ground wars find that their presidencies are defined by their military conflicts. The politics that surround a military operation play an enormous role in the political success or failure of an administration.

Speaker Nancy Pelosi and many congressional Democrats realize the human and political risks that come from this war. As news broke of President Obama's decision, Pelosi said: "the American people believe that if something is in our national security interest, we have to be able to afford it. That doesn't mean that we hold everything else" stagnant because of those operations.

But war sucks the political oxygen out of almost any presidency. There have been several modern presidents who started their term with an ambitious domestic vision and who ended up with their presidencies totally consumed by war.

President Harry Truman, who served from 1945 to 1953, pulled off a historic upset in his reelection bid against Thomas Dewey in 1948. In the campaign, Truman castigated a "do-nothing" Congress.

When he returned to the White House after the election, Truman fought for an ambitious domestic agenda in 1949 and 1950, which he called the Fair Deal, which included national health care, civil rights, fair housing and more.

While a conservative coalition of southern Democrats and Republicans in Congress defeated most of his proposals, it was the Korean War, which began in the summer of 1950, that brought down his presidency.

When the military operations against North Korea bogged down into a stalemate by 1951, Republicans ripped into the administration for refusing to use enough air power against the communists.

Truman, whose approval ratings plummeted to 23 percent by 1952, decided that he should not run for reelection. "If we had been less trusting, if we had been less soft and weak, there would probably have been no war in Korea!" Republican candidate and military hero Gen. Dwight Eisenhower said on the campaign trail.

Republicans focused their campaign on Korea, Communism and corruption. The Democratic nominee, Adlai Stevenson, lost; Republicans gained control of Congress.

President Lyndon Johnson was on the verge of becoming a transformative president in the winter of 1965. Since taking office, Johnson had presided over the passage of a sweeping body of domestic measures unequaled by almost any president in American history other than Franklin Roosevelt. His accomplishments included Medicare and Medicaid, federal education assistance, civil rights and voting rights, environmental regulations, immigration reform and much more.

Yet all those accomplishments seemed to disappear in the political psyche after the "Americanization" of the war in the spring of 1965, when Johnson authorized a vast increase of ground troops to Vietnam. By 1968, public opinion had turned against the war, with anti-war protesters organizing against "Johnson's War."

In the history books, Vietnam has swamped our memory of Johnson's presidency and eclipsed much of what he accomplished in those early years. "That bitch of a war," Johnson lamented toward the end of his life, "killed the lady I really loved -- the Great Society."

Most recently, there was the experience of President George W. Bush. During the 2000 campaign and in the early months of his presidency, Bush pushed for a type of "compassionate conservatism" that sought to extend certain kinds of government programs and establish the framework for a broad Republican coalition that captured the center and right.

The No Child Left Behind Act of 2001 extended the reach of the federal government into the nation's grade schools. After 9/11, Bush led a successful operation to knock the Taliban out of power in Afghanistan and dramatically reorganized homeland security.

But once Bush sent troops to Iraq to bring down Saddam Hussein in 2003, the war came to dominate everything else. As the reconstruction of Iraq proved to be much more difficult than the White House anticipated, Bush's popularity plummeted. In 2006, Democrats took control of Congress and in 2008 Barack Obama, on a platform defined by his opposition to Iraq, was elected president.

There are modern presidents who have balanced their agendas and preserved domestic policy as an integral part of their political identity even after having sent troops to war. This was the certainly the case with FDR who protected many of his domestic programs and even expanded government into new areas at home as the war unfolded.

But FDR is an exception to the rule. Soon Obama will be significantly expanding an existing military operation, making this war his own. In doing so, he will be risking a huge amount of his potential impact as a president.

To make matters even worse, unlike Johnson, Obama has had more trouble pushing much of his domestic agenda through Congress. While he will very likely walk away from this year with a victory on health care, most of his agenda remains bottled up.

It is easy to see how Afghanistan can quickly grow in scale and scope. It would be a tragedy if a politician who headed a historic campaign based on the promise of extracting the United States from a very unpopular war would wind up bogged down in a quagmire of his own.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

With his troop decision, Obama becomes a wartime president, says Julian Zelizer

@highlight

He says other presidents have seen wars swallow up their domestic plans

@highlight

Zelizer says Truman, LBJ, George W. Bush were weakened by war