Most Americans will never serve in the military or fight for their country. Yet there are countless ways that everyone can help these veterans, who often return home from war to face their most difficult battles.

Those severely injured may need to learn how to live with the loss of a limb or limited mobility. For others, brain injuries or post-traumatic stress disorder can make the return to civilian life a struggle.

Here are nine simple things you can do to make a difference on  Memorial Day-- or any day -- for the more than 23 million American veterans:

1. Give a veteran a ride

Medical care may be needed for some veterans for the rest of their lives. Disabled American Veterans provides free transportation to men and women who can't travel to Veterans Affairs medical facilities on their own. You can volunteer to drive a van for those who need a lift.

2. Donate frequent flier miles

The Fisher House Foundation has a network of homes on the grounds of military and VA hospitals around the country. These homes help family members be close during the hospitalization of a loved one for a combat injury, illness or disease. Fisher House operates the Hero Miles Program, using donated frequent flier miles to bring family members to the bedside of injured service members. You can also volunteer or donate household items.

3. Buy veteran-friendly holiday cards

More than a third of all Iraq and Afghanistan veterans have or will experience post-traumatic stress disorder. And veterans of past wars are still dealing with the ghosts of their time in the service. Coping with PTSD can put stress on not just veterans but also their families and friends.

Your holiday card purchase this year can help veterans dealing with PTSD and other similar issues. Puppies Behind Bars is a program in which prisoners train companion dogs for veterans with PTSD, and these canines are featured in holiday cards sold to support the program.

(If you know a veteran dealing with PTSD, the VA offers the PTSD Coach Online to help veterans learn to manage symptoms, come up with ways to cope and find professional help.)

4. Help build a home for severely injured vets

Severely injured veterans often come home needing a place to live that better accommodates their physical disabilities. Homes for our Troops builds specially modified homes for veterans that help them live independently. These homes are provided by Homes for Our Troops at no cost to the veterans. The group is able to do so through fund-raisers and donations.

5. Keep veterans off the streets

In times of war, exhausted combat units were removed from the battlefield to "stand down" in a place of relative security to rest. The Department of Veterans Affairs' Stand Down program is designed to help homeless veterans "combat" life on the streets. Stand Downs are usually one- to three-day events to provide food, shelter, clothing and health screenings to homeless and unemployed veterans. To find a Stand Down program in your community, contact your local VA hospital in the VA Medical Center Directory.

A phone call can also make difference in the life of a veteran who is homeless or at risk of becoming homeless. Call 877-4AID-VET, or 877-424-3838, to be connected 24 hours a day, seven days a week with help at the VA. The VA has set a goal of eliminating homelessness among veterans by 2015.

6. Send a care package or a letter

Operation Gratitude is about to send its 1 millionth individually addressed care package to the military community.  The packages are sent to current military members as well as veterans, wounded warriors and their caregivers. As more American troops return to civilian life, the Operation Gratitude veterans program has been growing. It also has a letter writing campaign encouraging everyone to write handwritten letters of gratitude to veterans. Over the next two years, Operation Gratitude hopes to provide a care package to every Vietnam veteran ahead of the 40th anniversary of the end of the Vietnam War.

7. Help them take flight

According to the Department of Veterans Affairs, an estimated 640 World War II veterans die every day. The Honor Flight Network helps veterans of the "greatest generation" make a free pilgrimage to the World War II Memorial on the National Mall in Washington.  You can volunteer to escort these men and women on the flight to see this memorial. Honor Flight also plans to help Korean and Vietnam War veterans visit memorials to those wars in Washington as well.

8. Share their stories

So many veterans' stories have been left untold, but the Library of Congress is collecting the tales of veterans of every war with the Veterans History Project. If you are related to a veteran or know one who has a story to tell, the Library of Congress wants to hear it. Help veterans share their stories before it's too late. For directions on how to get involved, check out the Veterans History Project.

9. Say thank you

It's simple, but it can make an impact. And so many veterans have never heard the words "thank you." If you know a veteran or see someone in a military uniform, say something. It may make his or her day and yours.

@highlight

Simple things can make a difference for the more than 23 million American veterans

@highlight

Donate frequent flier miles, give a veteran a ride, write a letter or send a care package

@highlight

Let your actions speak to veterans, thanking them for their service to their country