WASHINGTON (CNN)  -- The Supreme Court ruled on Tuesday federal regulators have the authority to clamp down on the broadcast TV networks that air isolated cases of profanity, known as "fleeting expletives."

The Supreme Court ruled federal regulators can stop TV networks from airing profanity.

The 5-4 vote was a victory for Bush-era officials who pushed fines and sanctions when racy images and language reached the airwaves.

Controversial words have been aired in scripted and unscripted instances on all the major over-the-air networks in the past six years -- dating back to when the Federal Communications Commission began considering a stronger, no-tolerance policy.

"It suffices the new policy is permissible under the statute, there are good reasons for it, and the agency believes it to be better," said Justice Antonin Scalia, writing for the conservative majority.

The high court, however, refused to decide whether the commission's policy violates the First Amendment guarantee of free speech, only the agency's enforcement power. The justices ordered the free-speech aspect to be reviewed again by a federal appeals court.

ABC, CBS, NBC and Fox were parties in the case. A federal appeals court in New York had ruled in their favor, calling the commission's policy "arbitrary and capricious."

The commission then appealed to the Supreme Court, seeking restoration of its power to penalize the networks airing "indecent" speech, even if it is broadcast only one time, and even if it does not describe a specific sex act.

The high court agreed to some extent. "Even when used as an expletive, the F-word's power to insult and offend derives from its sexual meaning," wrote Scalia.

Such language is heard with greater, albeit varying frequency on cable television, the Internet, and satellite radio, which do not use public airwaves. But the federal government is charged with responding to viewer complaints when "indecent" language reaches broadcast television and radio, which is subject to greater regulation. That is especially relevant during daytime and early evening hours, when larger numbers of families and younger viewers may be watching.

The FCC's acting chairman, Michael Copps, called Tuesday's ruling a "a big win for America's families."

The commission formally reversed its policy in March 2004 to declare even a single use of an expletive could be illegal.

The changes became known as the "Golden Globes Rule," for singer Bono's 2003 acceptance speech at the awards show on NBC, where he uttered the phrase "really, really, f---ing brilliant."

The commission specifically cited celebrities Cher and Nicole Richie for potty-mouth language in the 2002 and 2003 Billboard Music Awards, which aired on Fox. Richie, in an apparent scripted moment said, "Have you ever tried to get cow s--t out of a Prada purse? It's not so f---ing simple."

The complaint against ABC involved "NYPD Blue," a now-canceled scripted police drama, and the CBS' complaint involved "The Early Show," a news and interview program.

Enforcement of the law had been put on hold while the case was being argued.

In dissent, Justice John Paul Stevens said "customs of speech" and context made the Federal Communications Commission's position unworkable.

"As any golfer who has watched his partner shank a short approach knows, it would be absurd to accept the suggestion that the resultant four-letter word uttered on the golf course describes sex or excrement and is therefore indecent," he wrote. "But that is the absurdity the FCC has embraced in its new approach to indecency."

And Stevens wondered why the agency was going after words that he said had a "tenuous relationship" to sex and bodily functions, while at the same time prime-time commercials "frequently ask viewers whether they, too, are battling erectile dysfunction or are having trouble going to the bathroom."

Justice Ruth Bader Ginsburg made clear how she viewed the broader free speech questions the high court may be forced to confront in coming years. "There is no way to hide the long shadow the First Amendment casts over what the commission has done," she wrote.

The Supreme Court first ventured into the broadcast speech debate in 1978, when it ruled as indecent a monologue by comedian George Carlin on society's taboo surrounding "seven dirty words." The bit had received some radio airplay. Stevens, 89, was the author of that opinion.

Justice Clarence Thomas sided with his fellow conservatives on the narrow question presented to the court, but noted the changing landscape of television since Stevens' 31-year-old ruling. He said that and other high court precedents "were unconvincing when they were issued, and the passage of time has only increased doubt regarding their continued validity." He questioned the communication commission's underlying authority as a "deep intrusion into the First Amendment rights of broadcasters."

And he noted the four networks no longer have a virtual monopoly on television content. "For most consumers, traditional broadcast media programming is now bundled with cable or satellite services," he said, but the Federal Communications Commission's authority extends only to over-the-air television and radio content.

Conservative and family groups called Tuesday's ruling an "incredible victory."

"We implore the broadcast networks to abide by today's court's ruling rather than to pursue a path of attempted obstruction with countless legal maneuverings," said Tim Winter, president of the Parents Television Council, which monitors content on the airwaves. "And we encourage the FCC to use today's opinion to break the indecency complaint logjam, and rule on the merits of the tens of thousands of indecency complaints currently awaiting review at the commission."

There was no immediate reaction from the broadcast networks, but groups representing the artistic and creative community expressed displeasure. iReport.com: Share your thoughts on indecency on television

"Today's decision is extremely disappointing," said Andrew Jay Schwartzman, head of the Media Access Project. "We remain hopeful that the FCC's restrictive policies will ultimately be declared unconstitutional, but there will be several more years of uncertainty, and impaired artistic expression, while the lower courts address the First Amendment issues which the court chose not to confront today."

Time Warner -- the parent company of CNN -- filed a friend of the court brief supporting the networks fined by the communications commission. The company is part owner of the CW broadcast network, and operates several cable networks.

The case is FCC v. Fox Television Stations (07-582).

@highlight

NEW: FCC's acting chairman calls ruling "a big win for America's families"

@highlight

NEW: Thomas sides with majority, but questions FCC's "underlying authority"

@highlight

NEW: Media Access Project head warns of "impaired artistic expression"

@highlight

Supreme Court ruled 5-4 federal regulators can clamp down on "fleeting expletives"