(CNN) -- When Afghan forces repelled a barrage of attacks from insurgents near Kabul's green zone over the weekend it was hailed as proof of how far local security forces had come.

"They were on scene immediately, well-led and well-coordinated," said General John Allen, the U.S. and NATO commander in Afghanistan.

Afghan president Hamid Karzai said it showed the country's forces would be able to defend their country after international forces leave.

Karzai: Afghan forces ready to defend nation

Then on Tuesday, Australian Prime Minister Julia Gillard announced her country would pull its troops out months earlier expected -- by early 2014 -- citing an improvement in the security situation.

"We continue to see steady gains in the fight against the Afghan insurgency," Gillard said, in a speech in Canberra.

Australia plans Afghan exit

Australia's 1,550 troops in Afghanistan are a fraction of the overall number of foreign troops deployed to keep a lid on the country's insurgency more than ten years after allied airstrikes marked the start of Operation Enduring Freedom.

How many international troops are operating in Afghanistan?

More than 130,000 troops from 50 countries are currently operating in Afghanistan, according to the International Security and Assistance Force (ISAF).

The United States is the biggest contributor, providing around 90,000 troops, followed by the United Kingdom (9,500), Germany (4,800) and France (3,600).

The international force has been there since 2001, shortly after the al Qaeda attacks on the U.S. on September 11. The campaign was launched to stop the Taliban from providing a safe haven for al Qaeda fighters, and to stop the terror group's use of Afghanistan as a base for its future activities.

How long are they there for?

In June 2011, U.S. President Barack Obama announced that U.S. combat operations in Afghanistan would end by 2014. At that time there were more than 100,000 U.S. troops in the country, following a 30,000-strong troop "surge" in December 2009 to help bolster the campaign against the Taliban.

In February this year, U.S. Defense Secretary Leon Panetta announced the U.S. hoped to end its combat mission in Afghanistan in 2013, transitioning primarily to a training role as Afghan forces take more responsibility for security.

Panetta: Polls won't change Afghan strategy

Some countries have already pulled out of the country. Canada, which once headed the ISAF mission, pulled out almost all of its 3,000 soldiers at the end of 2011. Norway also withdrew almost all of its 500 troops during this period.

France announced in February that it would begin an early draw down, and that all 4,000 of its troops would be gone by 2013. Germany plans to pull out some troops next year, with the remainder leaving in 2014.

Britain, the second-biggest contributor of troops, plans to hand over its security operations to local forces by the end of 2013, before continuing in a "supporting role" from 2014.

How well trained are Afghan security forces?

The Afghan forces who fought off an 18-hour multi-pronged Taliban attack in Kabul earlier this week are some of the best trained in the country, according to analysts. The crisis response group is based in the capital and has received training from U.S. special forces.

Afghan forces repel attacks

"That would be the equal of any other unit of its type in the region," said James Brown, a military associate at the Lowy Institute in Sydney.

"It's got it own intelligence assets, which it didn't have three years ago. They've got their own Afghan aviation assets, helicopters, that can respond to these kind of events. So yes, they are getting better at responding to high-profile events in Kabul -- but the Taliban are getting better as well."

This latter point is picked up by other analysts.

"I think there has to be a real question mark over the long-term prospects for Afghanistan," said Andrew Davies, of the Australian Strategic Policy Institute.

"I think there are some reasons to be cautiously optimistic over the ability of Afghan forces. But ultimately the future of Afghanistan will be determined by the factions inside Afghanistan. I think if the last 10 years has shown us anything, then the ability of the outside world to influence the future of Afghanistan in the long term is fairly minimal."

What's next?

Gillard's announcement of Australia's troop draw down precedes an announcement from President Karzai at a summit on Afghanistan in Chicago in May.

The Afghan leader is expected to announce that a third tranche of provinces will be handed back to full Afghan control, including Uruzgan, where most of the Australian troops are based.

A clearer split of financial contributions may also emerge at the summit, with the annual cost of funding the Afghan security forces after 2014 estimated to be $4.1 billion.

"The U.S. will probably pay a big part of that and I think the UK will also chip in," said Brown. "You may not see much from the Europeans. But there might be some funding commitments from Japan," he added.

@highlight

Australia's 1,550 troops in Afghanistan a fraction of the overall number of foreign troops deployed

@highlight

PM Julia Gillard announces plans to pull them out early citing an improvement in security

@highlight

Weekend attacks seen as a marker of how far Afghan security forces have improved

@highlight

More than 130,000 troops from 50 countries are currently operating in Afghanistan