(CNN) -- Rooftop glamping has recently taken New York by storm.

This year, visitors to the Big Apple can spend the night in a bed on the roof of the AKA Central Park, and guests at Manhattan's Affinia Gardens hotel can spend the night in a tent on one of the hotel's terraces, with flashlights and a smores-making kit thrown in.

There are other weird camping experiences around the world.

Camping Vliegenbos, Amsterdam

Part campsite, part art project, the Camping Vliegenbos campsite allows visitors to spend the night inside a wooden cube, a suspended dome or a camper that folds out to become a garden -- complete with stuffed badger and artificial trees.

Located in a peaceful forest setting, the campsite is the work of Dutch artists Annette Van Driel and Francis Nijenhuis.

The campsite closes in late October.

Camping Vliegenbos, Meeuwenlaan 138, Amsterdam, +31 20636 8855; from $10 per night

Otro Mundo, Sierra De Segura, Spain

The cozy little domes at Otro Mundo are ideal for those who want to surround themselves with nature but don't want to spend half their vacation struggling with tent poles and guy ropes.

Located in a remote corner of rural Spain, Otro Mundo's igloo-like eco-pods, which can sleep up to five people, are fully furnished and have solar-heated showers and composting toilets.

It's a good location for hikers and mountain bikers and the entire campsite is run on solar energy.

Otro Mundo, Sierra Del Segura, Spain; +31 61436 0523; from $80 per night

Carré d'étoiles, Champagne, France

If you've had your fill of yurts and bell tents, the next step is the wooden micro-house.

Carré d'étoiles' beautiful, small wooden cubes sleep up to four people.

Glass ceilings, a telescope and sky chart help guests do some stargazing.

There's also a tiny kitchenette, television and toilet.

Carré d'étoiles, Square-Star Champagne, Rue des Varennes, 10200 Bar Sur Aube, France; +33 24877 5931; from $399 for a two-night stay

Wilson Island, Queensland, Australia

Wilson Island on Australia's Great Barrier Reef offers an unusual glamping experience.

The tiny island, which must be rented in its entirety, has just six two-person tents, all of which come with private hammocks and raised timber floors.

There's even a daily housekeeping service.

Guests need to stock up on supplies -- the closest island is (significantly larger) Heron Island, 45 minutes away.

Wilson Island, Queensland, Australia; +61 3 9426 7550; from $10,186 per two-night stay

More: Glamping: 7 luxurious, sustainable camping sites

Rivendell Glamping Pods, Cornwall, UK

Lord of the Rings fan will enjoy these Hobbit-inspired pods, which offer nice views over the Tamar Valley.

There's a double bed and two single beds.

A separate washing pod contains a sink, shower cubicle and toilet.

The pods are located on a working farm so there are animals to check out.

The surfing town of Bude is a few miles away.

Rivendell Glamping Pods, Bude, Cornwall, UK, +44 1326 555 555; from $15 per person per night

Red Kite Tree Tents, Powys, Wales

The Red Kite Tree Tents are canvas domes suspended from trees.

Despite their size, they're large enough to accommodate two adults and there's even room for a wood-burning stove.

The tents have electric lighting and are fully insulated for year-round camping.

Red Kite Tree Tents, Builth Wells, Powys, Wales; +44 1865 764 087; from $464 for a three-night stay

More: 7 secular pilgrimages that could change your life

Human Nest, Treebones Resort, Big Sur, California

There are several camping options for visitors to the Treebones Resort in Big Sur, including pre-erected tents and yurts.

But the highlight is the Human Nest -- an enormous woven-wood nest built by a local artist that provides stunning views over Big Sur.

The nest is accessed by ladder and can accommodate two people.

Treebones Resort, 71895 California 1 Big Sur, California; +1 805 927 2390; from $220 for a two-night stay

Raft Camping, Limburg, Belgium

These 129-square-foot "raft tents" are comfortable but basic -- campers bring their own sleeping equipment but garbage bins, gas lights, camp stoves and camp chairs are provided.

Each camping raft comes with its own canoe so guests can explore the river setting.

Raft Camping, Maascentre De Wissen, Limburg, Belgium; +31 16750 2621; from $133 for a two-night stay

More: 15 beautiful vineyard stays

Hüttenpalast, Berlin, Germany

Visitors to the Hüttenpalast get a selection of fully furnished wooden huts and retro campers -- all under one roof.

The most popular include the circus wagon-style Heartbreaker (beautiful wooden interior) and the small but chic Little Sister caravan, with mosaic-inspired decor.

The whole thing is housed inside a former vacuum cleaner factory,

Huettenpalast, Hobrechtstraße 66, 12047 Berlin; +49 30373 05806; from $73 per night

Maison Bulles, Pont-Saint-Esprit, France

These small, transparent bubbles comfortably sleep two people and each has its own outdoor deck area, complete with telescope and star map.

A separate building houses showers and toilets.

There's no lighting, but guests are given flashlights.

Maisons Bulles, 30 130 Pont-Saint-Esprit, France; +33 95079 5823; from $160 per night

More: 5 awesome U.S. food trucks worth chasing

Airstream Rooftop Trailer Park, Cape Town, South Africa

The roof of this Cape Town hotel is home to seven Airstream Trailers.

The trailers are all themed and have flourishes, such as vintage mailboxes.

The interior of the Dorothy trailer is covered floor-to-ceiling in polka dots (some open to reveal tiny storage spaces) and the Goldilocks trailer has comfy armchairs, tiny cups and saucers and a bear suit.

The interiors of the trailers were created by local artists and other themes include Afro-Funk, Pleasantville and Wizard of Oz.

Airstream Rooftop Trailer Park, 38 Long Street, Cape Town, South Africa; +27 21 424 7247; from $142 per night

Livingstone Lodge, Kent, UK

The year 2013 marks the 200th anniversary of the birth of explorer David Livingstone, who mapped large parts of Africa.

That makes it a good time to visit Livingstone Lodge at the Port Lympne Wild Animal Park.

This is one of the few places in the UK where you'll be awaken by a lion's roar.

Located within the safari park's grounds, the lodge has 10 safari-style tents, all of which overlook the watering hole used by the park's zebra, giraffes and rhino.

Two of the tents have four-poster beds.

Livingstone Lodge, Port Lympne Wild Animal Park, Lympne, Kent, UK; +44 844 842 4647; from $202 per person per night

More: World's 15 most expensive hotel suites

Dream Domes, New Brunswick, Canada

The Dream Domes are New Brunswick's first foray into glamping.

The semi-transparent domes offer guests spectacular views of the surrounding forest and have large terraces with wood-fired hot tubs.

Inside, there's a king-size bed, kitchenette and bathroom.

The Dream Domes overlook the Kingston Creek area located deep within the woods of the Kingston Peninsula.

Dream Domes, 86 Old Reach Road, Kingston, New Brunswick, Canada; +1 506 763 2617; from $290 for a two-night stay

@highlight

Wilson Island, Australia, has just six tents available to rent

@highlight

Human Nest in United States gives guests a chance to sleep like a bird

@highlight

Hüttenpalast in Germany brings the camping experience indoors