(CNN) -- The spectacular rise of Jeremy Lin, the first Asian-American to achieve basketball stardom, has been utterly thrilling to witness. We've watched with pride as he's broken through stereotypes to prove that an Asian-American can play alongside -- and beat -- the best in the NBA. And we've been gratified by the way Lin's story has been embraced by the American public, with fans of all races cheering him on. But we've also been reminded of the ugliness with which Asians have often been depicted in American culture.

After Lin's 38-point performance against the Los Angeles Lakers on February 10, Fox Sports columnist Jason Whitlock tweeted an offensive joke about Lin that played off stereotypes of Asians' lack of masculinity. Boxer Floyd Mayweather has asserted that "all the hype" around Lin is just "because he's Asian." And after New Orleans snapped the Knicks' Lin-led seven-game winning streak, ESPN posted a story with a headline that was an obvious anti-Chinese slur.

Mayweather: 'Lin hype is based on race not talent'

Stereotypes of Asians have been a staple of American popular culture since the 19th century, from newspaper cartoons of menacing, bucktoothed Chinese to film characters like the evil Dr. Fu Manchu and the bowing, pidgin-speaking Charlie Chan.

In contemporary America, Asians -- when they appear at all -- are generally depicted as comical foreigners with "ching-chong" accents, from exchange student Long Duk Dong ("What's happening, hot stuff?") in "Sixteen Candles" to Han Lee, the stereotyped Korean restaurant owner in CBS's hit comedy "2 Broke Girls."

American culture tells us, in short, that Lin shouldn't exist. Every time he drives to the basket, he upends stereotypes of Asians as short, weak and nerdy. Every time he talks to the media, he dispels the idea that all Asian-Americans are like foreigners speaking broken English.

Throughout his career, Lin has endured racist taunts from opponents and fans. And he's been overlooked repeatedly. After a spectacular high school career, no college offered him a scholarship. After he starred at Harvard, no NBA team drafted him. He was dropped by Golden State and Houston before landing on the Knicks' bench, and only got his shot when his team got desperate.

Is the 'Linsanity' hype caused by race?

Even as "Linsanity" gripped the nation, commentators and fellow players continued to play down Lin's talents. From the declarations that Lin was a "fluke" and a "flash in the pan" to Kobe Bryant's grudging comment that Lin was "a testament to perseverance and hard work," the message was clear: Asian-Americans don't really belong on the basketball court. We've heard again and again that "no one knew" how good Lin was, but let's get real. Lin was overlooked because when people looked at him, they saw a stereotype, not a basketball star.

As Lin led the Knicks to victory after victory, I watched with giddy excitement, but also a sense of worry: What would happen when the inevitable loss came? Would the resentment captured in Mayweather's tweet rear its head? Sure enough, the night the Knicks lost to the Hornets, there was the offensive headline from ESPN. I imagine that many Asian-Americans got the same sinking feeling as I did: Here is the moment where the media will turn on Lin, bringing back the racist stereotypes that have been held at bay by Lin's winning streak.

To my surprise, something else happened. ESPN quickly apologized, then announced that it had fired the author of the headline and suspended an anchor who had used the same phrase on the air. This was remarkable, because although certain kinds of racist attacks against African-Americans in the media have become unacceptable, anti-Asian rhetoric typically goes unpunished. Asian-Americans have become accustomed to having our protests against media stereotypes shrugged off and ignored. But on this one, ESPN took quick action.

Ex-ESPN writer says slur was 'honest mistake'

Phil Yu, of the popular blog Angry Asian Man, wrote about this "Jeremy Lin Effect." Slurs and stereotypes that would previously have been used with impunity were getting a good, hard look, and a major media outlet responded to Asian-American critics with a swiftness that would have been unimaginable a few weeks ago.

We shouldn't romanticize this: ESPN knows that Lin is the biggest story in sports right now, and it can't afford to alienate or offend those hungry for their daily dose of Lin. But perhaps that's precisely the point. Lin has become so big that simply by being himself -- an Asian-American, comfortable in his own skin, playing basketball brilliantly on the world's biggest stage and enjoying himself as he does it -- he may be revolutionizing our culture. The Jeremy Lin Effect won't end racism, but it does mean that Asian-Americans will never be seen the same way again.

Editor's Note: An earlier version of this article referred incorrectly to the origin of the phrase, "Jeremy Lin Effect." It was first used by The Fung Brothers, not Phil Yu.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Timothy Yu.

@highlight

Timothy Yu: ESPN posted article about Jeremy Lin with a headline that was obviously racist

@highlight

Yu: Media stereotypes of Asian-Americans are frequently ignored and shrugged off

@highlight

He says that even though ESPN took quick action, it's because Lin is a big story right now

@highlight

Yu: Lin's success won't end racism, but people will begin to see Asian-Americans differently