Hong Kong (CNN)Demonstrators wheeled out the looming figure under cover of darkness.

The sculptor, a 22-year-old artist who calls himself "Milk," had yet to title his creation. But passersby were quick to nickname the mannequin "Umbrella Man."

Built of wooden squares, the 10-foot tall statue of a man holding aloft a yellow umbrella has now taken its place alongside the posters, cartoons, banners and calligraphy that now decorate the streets and sidewalks of Hong Kong's Admiralty district.

Since they occupied this area a week and a half ago, pro-democracy protesters have transformed a stretch of concrete highway running through the center of the city into an improvised outdoor gallery of politically-inspired art.

"It's an outpouring of creative talent," exclaimed Douglas Young, a Hong Kong-based designer and entrepreneur, during a recent visit to the protest encampment.

"Why haven't we seen this before?" asked Young, who also took care to point out that he was not an active supporter of the protest movement.

Umbrella inspiration

The sit-in has acted as a magnet attracting artists eager to make their voices heard.

The artist known as Milk told CNN his statue was inspired by the image of a protester holding an umbrella to shield a police officer from the rain.

Most of the other images displayed here also riff on the umbrella and the yellow ribbon, two symbols of the protest movement.

Last month, protesters used umbrellas -- an accessory Hong Kongers carry to protect themselves from torrential downpours as well as tropical sun -- to shield themselves from pepper spray fired by police.

Less than 48 hours into the occupation, demonstrators erected a globe-shaped monument out of umbrellas above the traffic circle next to the Legislative Council building. Since then, the streets and sidewalks have been plastered with cartoon-like characters holdings umbrellas, accompanied by slogans calling for democracy, freedom and justice.

One of the posters shows a helmeted police officer with riot shield yelling "You're such a thug!" while pointing his finger at an umbrella-toting cartoon that resembles the children's book character Paddington Bear.

The artist who drew the cartoon is a 30-year-old graphic designer Carol Hung.

"My initial idea was to make people laugh in this heavy atmosphere," Hung told CNN.

Hung, who described herself as a political neophyte, said she was inspired to produce a series of protest-inspired drawings after seeing reports of police clashing with protesters on September 28th.

"At the moment I saw the tear gas, it made me want to support the students," Hung said.

Art as 'silent protest'

On a recent afternoon, art teacher Josephine Lau sat in the middle of the highway now occupied by students, painting yellow ribbons onto Chinese paper.  She hoped her posters would prove more durable than previous slogans she had made, which were washed away by rainstorms last week.

"We can use different media to express ourselves... to tell people what we feel about Hong Kong," Lau said. "I like the peaceful and silent protest and I'm supporting the students behind the scenes."

Not far away, 17-year-old Timothy Sun was designing his own posters on the asphalt with the slogan "GOV YU NO LISTEN TO US?"

"I want to use my way to show my voice to the public," the teenager said.

Post-it politics

Like many others here, Sun said his favorite piece of art at the protest site was actually a colorful piece of work created by thousands of contributors named the "Lennon Wall."

Thousands of pastel post-it notes bearing messages and drawings written by passersby in many languages coat the curved staircase that runs along the outside wall of one of the government office buildings in Admiralty.

Many of the messages profess love for Hong Kong. The wall serves as proof that, despite young Hong Kongers' freedom to digitally post anything they like on social media, there is still a powerful attraction to expressing oneself using old-fashioned paper and ink.

"This feels very much to me like Twitter, but paper Twitter," observed Young, the businessman and art aficionado. "Old school Twitter, if there's such a thing."

Young, who runs a chain of high-end design stores called Goods of Desire, was quickly inspired to add his own post-it message to the wall.  It was an appeal to Hong Kong's beleaguered top official to preserve the post-it monument: "Mr. Chief Executive, Please don't tear this wall down."

"I see a lot of tenderness, a lot of passion... a lot of imagination, which is fantastic," Young said, while gazing out on the largely empty encampment and its fluttering banners and posters.

"I wonder where that's from?" he asked. "I wonder where these people will be after this, when it all ends."

Nathan Mauger and Scott Clotworthy contributed to this report.

@highlight

Street art covers pro-democracy protest site in Hong Kong

@highlight

Sculptures, cartoons, posters and chalk drawings convey protest message

@highlight

Most striking is a 10-foot tall statue of a man holding an umbrella

@highlight

"Umbrella Man" is built of wooden squares