(CNN) -- The government shutdown is in its second week, and the public debate in the United States is centered around how the crisis will be resolved and who is to blame. What do the polls say? What are the implications for the Republican Party, for House Speaker John Boehner and President Barack Obama?

Not many are talking about the international implications. But they could be significant.

Many in the international community have argued the U.S. government is dysfunctional or even broken. Friends are questioning whether America can be relied on or whether partisan politics will prevent it from acting when called upon. And with this comes some fear. America's adversaries may come to believe that they can act without consequence -- that America will, in the end, trip over itself.

These perceptions are extremely dangerous, both for the United States and the rest of the world. They will limit American deterrence and weaken America's partnerships as friends and allies start to wonder whether the United States has their back.

America has long been critiqued internationally both for doing too much and too little. In a study Chatham House is conducting on elite perceptions of the United States, many in Europe cast aspersions on the United States for its actions in Iraq and Afghanistan (wars into which the U.S. pulled others) or its use of drones. They also condemn America's perceived lack of leadership in Syria. They want Washington to act but cannot agree how. It is a no-win situation for America.

One thing they are clear on: Europeans (and others, particularly in Asia) want a strong United States. One that provides moral leadership and enforces global norms. One that can be called upon to act, particularly in tough situations. Instead, events in recent weeks have only reinforced the international perception that America is in decline.

The "declinist" debate has been raging for years, driven in large part by America's diminishing percentage of global gross domestic product (as against China's rise in particular). However, with the recent economic recovery, such views were wavering, and the strength of U.S. innovation, entrepreneurship and technology, coming on top of the energy revolution, were persuading some that the United States was once again on the rise.

In recent weeks however, these arguments have been overcome by the pictures of gridlock and weakness in Washington. First it was the story that Obama was "saved" by Russian President Vladimir Putin from an embarrassing loss in a congressional vote to attack Syria over its suspected use of chemical weapons. Then came the shutdown. And, for those in the private sector in particular, a developing fear that, come October 17, when the United States needs to raise its debt ceiling, it will instead drive itself and the world's economy off a cliff.

The idea of America as a secure, stable, predictable state, where investment cannot fail to be reimbursed, would suffer a significant blow. Holders of Treasury bonds would no longer be assured of their returns. Chinese efforts to weaken the position of the dollar as the only reserve currency would get a boost. Investors would no longer have the gold-standard U.S. guarantee.

But while perceptions are extremely important, they are not reality. As Sunday's anti-terrorist operations in Somalia and Libya show, America will act when it wants to. While the U.S. Treasury bond may seem less secure, it is still far stronger and better guaranteed than that of any other large economy.

A nation moves when its interests, capabilities and will are engaged. America's interests have not changed. Its capabilities are still vastly superior to those of most other nations. The only question is America's will.

Many internationally will continue to question U.S. power and influence. Its adversaries will surely continue to test these. America's allies and friends will be made nervous over its perceived decline. But while the Washington gridlock and partisan politics make action tougher and more costly -- make it harder for America to rally friends and share burdens, and to deter and dissuade opponents -- it would nevertheless be dangerous to underestimate the United States.

The opinions expressed in this commentary are solely those of Xenia Dormandy.

@highlight

Xenia Dormandy: Shutdown, default threat have global implications and world is worried

@highlight

She says perception that America is broken makes allies doubt support, hurts deterrence

@highlight

She says world may disagree with U.S. on some issues but wants it to remain strong

@highlight

Dormandy: U.S. capabilities far superior to most other nations -- only question is America's will