A large crowd of mourners gathered in Jerusalem on Tuesday just hours after four Israeli worshipers -- all of whom held either dual U.S. or British citizenship -- were killed by Palestinians wielding butcher knives and a gun, Israeli police spokesman Micky Rosenfeld told CNN.

Hours after the attack, a policeman shot during the rampage while pulling a woman to safety died from his wounds, said Racheli Goldblatt, a spokeswoman at Hadassah hospital.

At 7 a.m. local time, Moshe Twersky, 59; Aryeh Kupinsky, 43; Avraham Shmuel Goldberg, 68; and Kalman Levine, 55, were praying in a synagogue in the Har Nof neighborhood, an ultra-Orthodox community on the outskirts of Jerusalem where many people from Western nations live, the Israeli Foreign Ministry said.

The Foreign Ministry said the assailants carried butcher knives and a gun.

Kupinsky, Levine and Twerksy had dual U.S.-Israeli citizenship, the Jerusalem Post reported.

They were slain while wearing prayer shawls, said Israeli Prime Minister Benjamin Netanyahu, who called for international condemnation of the violence and ordered the attackers' homes destroyed.

Goldberg is a British-Israeli national, authorities said. He's from Liverpool, according to the Liverpool Echo and used to live in London's Golders Green neighborhood, which is known for its large Jewish population.

Levine leaves behind nine children and five grandchildren, according to Shimon Kraft, a good friend. He was remembered as a sweet and kind person, someone who was great at making people laugh.

"I know he's in a great place. His priority in life was connecting to God," Kraft told CNN. "He didn't waste a minute. He was so alive."

"He was really someone who tried to bring people together no matter what their background was, and their approach to life or religion. Such a tragic irony that a person who loved his fellow human beings would meet a tragic end in such a horrible attack," said Alan Edelman, of the Jewish Federation of Greater Kansas City.

The Israeli Foreign Ministry referred to the men as rabbis. Rabbi can mean someone who studies, learns or teaches Jewish scriptures or law. It can also mean a religious leader or someone who leads a congregation.

A family's legacy

Twersky is originally from Boston, according to the newspaper, and his father was Isadore Twersky. The elder Twersky was an internationally renown rabbi and philosopher as well as a professor of Hebrew literature at Harvard University. When he died in 1997, the Harvard Crimson called him a pioneer of Jewish thought.

Moshe Twersky's grandfather was Joseph B. Soloveitchik, who is considered a founding father of modern Orthodox philosophy.

A New York Times obituary on Isadore Twersky says that Moshe Twersky had two brothers who were rabbis.

Isadore Twersky formerly directed the Center for Jewish Studies at Harvard.

"I know that I speak for all of us in the CJS community when I say that we are heartbroken at the news of this unspeakable act of sacrilegious cruelty,'' Eric Nelson, the director of the center, told CNN. "Our thoughts and prayers are with the Twersky family at this terribly sad and difficult time."

Moshe Twersky graduated from Boston's Maimonides School in 1973, the school said in a statement, adding that "the Maimonides School Family is engulfed in grief and outrage."

He had lived in Jerusalem for the past 30 years, the school said, and is survived by his wife, Bashy, their five children and many grandchildren.

Kupinsky grew up in the Detroit suburb of Oak Park, the Detroit Free Press reported. The 43-year-old was a member of Young Israel of Oak Park, one of the largest Orthodox Jewish congregations in Michigan, and moved to Israel with his family when he was in elementary school, a boyhood friend, Michael Zwick, told the newspaper.

"It was a terrible thing to hear," Zwick said of the slayings.

A city on edge

Rosenfeld said that police responded shortly after the attack began and shot and killed the attackers, two cousins from East Jerusalem.

Tuesday's violence is the deadliest attack in Jerusalem since a man with an automatic weapon killed eight seminary students in March 2008.

But the city has been on edge lately after a series of stabbings and vehicles attacks.

Netanyahu's office called the attack "the direct result of incitement being led by Hamas" and Palestinian Authority President Mahmoud Abbas, referring first to the Palestinian group that controls Gaza and next to the Fatah movement leader in control of the West Bank.

Abbas condemned the synagogue bloodshed, WAFA reported, while stressing the need to end the causes of such attacks such as tensions over what Jews call the Temple Mount and Palestinians call al-Aqsa Mosque.

Ma'an, a semi-official Palestinian news agency, identified the attackers as Ghassan Abu Jamal and his cousin Udayy.

It's unclear whether their alleged actions were part of a coordinated campaign or spontaneous.

'Wonderful men ... slaughtered'

The devastation felt from the slayings was evident among mourners at an eulogy for the four men.

"When four great men, wonderful men, wise in Torah study are slaughtered while praying in public, there is no public grieving greater than that," the man at a microphone said in Hebrew to the large crowd in the street.

A camera captured young women wrapping their arms around each other and swaying. One buried her head in another's shoulder and wept.

"It was horrific," a man described as a witness to the slayings said in a Reuters video. "I can't imagine such attacks would occur to our community. We have to take some time to walk out of the trauma."

At least seven people were also wounded in the attack, including three who were seriously hurt, authorities said.

Obama condemns 'horrific' Jerusalem terror attack

Mark Regev, spokesman for Netanyahu, vowed that Israeli police presence will be increased. "We've got to make sure there are no copycat attacks," he said on CNN's "New Day."

"We're going to be tough ... with the terrorists," Regev said.

Netanyahu summoned top aides to a "security consultation" later Tuesday in Jerusalem, his office announced.

U.S. Ambassador to Israel Dan Shapiro posted online that the "terrorist attack ... represents a barbaric new low in the sad and outrageous history of such attacks.

"Murdering worshipers at prayer in a synagogue is an act if pure, unadulterated evil," he wrote. "On behalf of the United States government and the American people, I condemn this terrorist attack in the strongest possible terms."

President Barack Obama said Tuesday that "there is and can be no justification for such attacks against innocent civilians."

"At this sensitive moment in Jerusalem," Obama continued, "it is all the more important for Israeli and Palestinian leaders and ordinary citizens to work cooperatively together to lower tensions, reject violence and seek a path forward towards peace."

@highlight

A policeman wounded in the attack has died, a hospital spokeswoman says

@highlight

Police say three Americans and one British man were killed at a Jerusalem synagogue

@highlight

Assailants, who police shot and killed, were Palestinian cousins from East Jerusalem

@highlight

The father of one of the Americans was a noted Harvard professor and Jewish thinker