(CNN)In the 1950s it was cancer. Hush, hush, whisper, whisper.

"They called it the 'C' word, and it didn't get talked about in doctor's offices," said Beth Kallmyer of the Alzheimer's Association. "It certainly wasn't talked about in the general public, it was whispered."

Today it's Alzheimer's, and 55% of patients and their caregivers say their doctors never told them they have the devastating disease, according to a special report of the Alzheimer's Association released this week. Compare that to one of the big four cancers -- breast, colorectal, lung and prostate -- more than 90% said their doctors had no problem giving them the diagnosis.

"Alzheimer's not being talked about, many doctors are not giving the diagnosis," added Kallmyer in a webcast. "We need to change that. It's a disease, it's nothing to be ashamed about."

"This is very current, very well done, and pretty dramatic findings, let's be honest," said Dr. Pierre Tariot, director of Banner's Alzheimer's Institute. "I am reminded of the rather sobering fact that as many as 60% of people who have a dementia die without the dementia having been diagnosed by their doctor."

Why the silence?

This is not the first report to show doctors are sidestepping this tough conversation. But why? That's been studied too, and the reasons doctors give range from diagnostic uncertainty and fear of causing emotional distress to time constraints, lack of support, and stigma.

"There is an element of stigma here towards brain and mental health problems in general," said Tariot. "I would call it professional awkwardness. I can't really help this condition, why invest time and energy talking about it, it makes me squirm."

"I think the comparison of Alzheimer's to cancer is appropriate," said Dr. Tom Price, Medical Director for Emory University's Geriatric Clinic. "I give patients a new diagnosis of Alzheimer's disease many times a week, and every time it is uncomfortable, and I've been doing it for over 10 years. It is easier to talk about cancer now that there are so many new and effective treatment strategies, and cause of optimism with survival from cancer at an all-time high."

What's at stake

Alzheimer's advocates stress the importance of giving a patient all the facts, as early as possible, so they can work with their family to organize legal and health directives and have time to fulfill life-long desires. It's just as important for the caregiver.

"Imagine it's your spouse," said Tariot. "Personality changes, memory is different, language and communication is different, you don't know what is going on. Then you start getting answers, and you get a sense of how to play to his strengths and minimize his weaknesses. Here are travel tips, communication tips, and safety issues; here are ways to stay happy and joyful, even though this is a new chronic illness."

There's another critical factor as well: access to clinical trials that might help slow the illness.

"Right now, the big studies that are underway in prevention are really looking at people in the early stages of Alzheimer's," said Kallmyer. "So by waiting, they can lose out on clinical trials as well."

Addressing the 'gap'

"We want to be clear that we believe physicians are well meaning, but there's a gap there somewhere," said Keith Fargo, Director of Scientific Programs for the Alzheimer's Association. "We saw doctors say lack of time, lack of resources, so we think the answer to this mostly has to do with education and providing more resources."

Experts CNN spoke to agreed.

"As a field, we have failed," Tariot told CNN. "It isn't just the doctors in the trenches. Medical schools, professional organizations and health care systems have not recognized the importance of identification and management of people with dementia."

"I think that medical school curriculum does need to update to include neurodegenerative diseases in their 'giving bad news' training -- Alzheimer's and Parkinson's diseases, for example," said Price. "We do need to educate all providers to be aware that hesitance to give the diagnosis reduces the ability of the patient and family to make some choices and planning that is essential for emotional and financial well-being."

@highlight

Only 45% of patients and their caregivers say their doctor told them they have Alzheimer's

@highlight

Yet more than 90% of common cancer patients were given their diagnosis

@highlight

Advocates say truthful diagnosis is critical to quality of life and future planning