(CNN)One of Tokyo's most prominent districts has taken a small, but potentially significant step to recognizing same-sex unions in Japan.

The government of Shibuya ward, one of the capital's most famous shopping and trendy entertainment districts, passed ordinance on Wednesday paving the way for "partnership certificates" for same-sex couples, allowing them some of the rights of married heterosexual couples.

Same-sex partners who are registered with the district's ward office will be able to hold visitation rights in hospitals and co-sign tenancy agreements.

Other advantages that heterosexual married couples enjoy, such as joint filing of taxes, are controlled by the federal government and are outside the remit of individual municipalities.

The measure was proposed in February by Shibuya's mayor, Toshitake Kuwahara.

While the certificates will not be issued until later in the summer and are not legally binding, proponents of marriage equality in socially conservative Japan say that the ward's decision is a step in the right direction.

"It is not a marriage license and advantages will be limited but still better than nothing," Gon Matsunaka, a gay rights activist, told CNN.

While Shibuya's decision does not yet equate to heterosexual marriage, the hope is that the move will be the beginnings of promoting marriage equality for gay communities.

"What is important for the LGBT (lesbian, gay, bisexual and transgender) community in Shibuya is the ruling will make us visible in society,"  Matsunaka said

"It could be a strong driver for Shibuya citizens to learn and know what kind of problems LGBT people are facing."

Taiga Ishikawa, Tokyo councillor and the first male gay local assembly member in Japan, told CNN the ordinance was a "big first step for the protection of human rights."

He called the decision "happy" but said that it must go alongside education about alternative lifestyles.

He said that the most important part of today's announcement is that it "should be actually put into practice, as should education for understanding (LGBT individuals) especially they suffer as they find out their sexuality when they are young."

Neighboring Setagaya ward has indicated that it would look into following Shibuya's lead.

However, former councilor Ishikawa cautioned against taking the movement's momentum for granted.

"To realize equal rights for gay couples, a national law has to be made," he said.

While outright discrimination against the LGBT community is rare in Japan, its effects can be hidden and gay people often find themselves at a disadvantage. Many hide their sexuality from their employers, co-workers, families and friends.

But the tide may be turning. A recent poll found that a slight majority at 52.4% oppose gay marriage, but support amongst young adults in their 20s and 30s is as high as 70%.

An editorial in the Asahi Shimbun newspaper, which commissioned the poll, welcomed the Shibuya decision, calling it "a bold and important step forward."

Only traditional marriages are recognized under Japan's constitution, but the wording is vague enough to open it to interpretation, according to Mari Miura, a professor of gender and politics at Sophia University in Tokyo.

"The constitution does not rule out same-sex marriage, so an interpretation can be made that it is constitutional," Miura told Bloomberg Business. While Prime Minister Shinzo Abe and the ruling Liberal Democratic Party "don't like the idea of same-sex marriage, but at the same time the issue is gaining momentum."

Conservative groups were vocal in their opposition, with one, known as the Network Pushing for Normalization of Education, telling the Japan Times that granting same-sex couples the same rights as all other Japanese citizens would degrade the "familial system and practice that heterosexual unions have long preserved in human history."

While Shibuya's registration system will be a first for Japan, Yodogawa ward in the western Japanese city of Osaka was the first in the nation to recognize and support the LGBT community. In 2013 the ward government pledged to give consideration to the issues that the community faced, and to train staff to accommodate needs specific to LGBT individuals.

Journalist Chie Kobayashi contributed reporting from Tokyo

@highlight

Shibuya ward in Tokyo passes an ordinance that gives same-sex couples some of the rights of married heterosexual couples

@highlight

Activists welcome the decision; hope that it will lead to greater equality for LGBT people in Japan

@highlight

Recent poll finds most young Japanese open to the idea of gay marriage