(CNN) -- The waters of the Blue Nile have for millennia flowed down from the Ethiopian highlands enriching the countries on its banks.

The rocks that make up its riverbed have been eroded by Ethiopia's past and now that the construction of Africa's largest hydro-electric dam has begun, these same rocks are helping to build the country's future.

The Grand Renaissance Dam project was announced last year by the Ethiopian government, in a unilateral move that is not sitting very well with its downstream neighbors. Egypt and Sudan say Ethiopia is threatening their greatest natural resource.

What's undisputed though is the sheer size of this undertaking close to Ethiopia's border with Sudan.

"It's not very easy to build a project of this magnitude in a remote area," explains Francesco Verdi, who oversees this project for Salini, the Italian construction firm that has been contracted by the Ethiopians to build the dam.

According to Verdi, 10% of the dam has been completed so far and teams are working day and night to stay on schedule.

"This is one of the largest dams in the world," Verdi says. "The effort of this country is really, really impressive. They will produce clean energy using natural resources."

More from MPA: Kenya PM: Sudan conflict threatens world oil prices

If construction stays on schedule the dam will be complete in six years. Ethiopia says the dam will generate 6,000 mega watts of electricity and it will sell a proportion of that to its neighbors and use the rest to fuel its own growth.

Semegnew Bekele is the Ethiopian engineer in charge of overseeing this mammoth project. He has worked on three other dams in Ethiopia, but this will be his and his country's first attempt at damming the Blue Nile.

"This Nile river originates from our country and flows without giving any benefit to us so now we are able to utilize this river," he explains.

Meeting Bekele, it becomes obvious that this project is a source of immense personal and national pride and in Ethiopia at least he has become a bit of a celebrity -- he regularly gets stopped in the street by people congratulation him on the dam and asking how it is progressing.

It might be a source of pride for Bekele and Ethiopia, but for Egypt and Sudan this project is deeply contentious.

Egypt with its population time bomb is particularly worried -- nearly 85% of its water originates in Ethiopia. Egyptians say they will not be held hostage over water, explains Yarcob Arsarno, who is an expert on hydro-politics at Addis Ababa University.

"Sudan and Egypt have got their concerns. Building a huge project on the water that goes down to Sudan, they would think that water would be controlled by Ethiopia and Ethiopia would be much more powerful in terms of influence in the Nile basin."

The Nile Treaty that is meant to govern the use of the Blue Nile between the three nations was in fact signed by colonial powers in the region. Ethiopia says it never signed the agreement and the so-called Nile Basin Initiative only provides a framework for the use of the Nile waters.

More from MPA: Using the web to fight corruption

Egypt and Sudan are particularly worried that this dam will allow Ethiopia to control the flow of water. Ethiopia denies this and says it will use machines to monitor and ensure the flow remains stable.

Ethiopia's Prime Minister Meles Zenawi has dismissed these concerns and warned against what he called "dam extremists."

Zenawi and his government stress that this dam project could potentially transform Ethiopia's economy. It is a view shared by some of the diplomatic community in Addis Ababa, Ethiopia's capital. One diplomat told Marketplace Africa that this dam will be "like an ATM of hard currency for Ethiopia". Many economists also agree on the dam's economic potential.

See also: Old car tires fuel green shoe revolution

"Hydropower is the cheapest electricity you can generate anywhere so Ethiopia has huge advantages for that and Ethiopia will export enough power to make a difference in the economy," says Henock Assefa, an economist and managing partner of Precise Consult International based in Addis Ababa.

"This is a signal of self-reliance. This is a signal of Ethiopia moving from an aid dependent economy to a can-do economy. We're going to do this with or without you. The Ethiopian government is issuing bonds and the population, all 85 million of us, are buying bonds in order to chip in to this huge Nile project."

But will Ethiopia be able to raise enough money to continue to build this dam? Some economists believe the country has only raised 10% of the project's total cost. There are also reports that civil servants have been forced to contribute one month's salary towards the project. These are accusations the government denies.

International Rivers, an organization working against destructive riverside projects, says that the Ethiopian government has not allowed an open discussion about the funding and merits of this dam. International Rivers points to the case of an Ethiopian journalist Reeyot Alemu who has been jailed for daring to criticize the government's centerpiece project. Ethiopian authorities say Alemu is on trial over terror charges.

What is not up for debate is how determined Ethiopia is to fulfill its aspiration as the "battery of East Africa."

All over Addis Ababa, new buildings are rising. According the African Development Bank, Ethiopia's economy last year grew by 7.5% and although inflation also rose to 31.5% the country has successful grown its average income by 50% over the past decade.

The International Monetary Fund, though, is ringing alarm bells. Given this region's history of drought, the IMF is recommending that governments avoid dependency on hydropower as an engine of growth.

As they dig into ancient bedrock for their futuristic dam, it seems the Ethiopians believe this is a risk worth taking.

@highlight

Ethiopia is building the largest hydro-electric dam in Africa

@highlight

The country says the Grand Renaissance Dam project could transform its economy

@highlight

But neighboring Egypt and Sudan fearful that their water supply is under threat

@highlight

Ethiopia says it will use machines to monitor and ensure the flow of water is stable