At long last, this Earth Day we celebrate the true dawn of the Solar Age.  That sunrise is hastened, here and abroad, by the slow demise of the once-touted "too-cheap-to-meter" Atomic Age of nuclear power.

As utilities find nuclear power less and less cost effective, new solar photovoltaic installations in the United States are springing up. New solar installations in 2013 reached a record 4.2 gigawatts, bringing the total to 10. On average, one gigawatt of solar photovoltaics powers 164,000 U.S. homes. That means power for 1.6 million homes.

Worldwide, in 2013, solar power installations grew by 38 gigawatts, from 96  to 134. According to the World Nuclear Industry Status Report 2013, in the preceding year, 45 gigawatts of wind and 32 gigawatts of solar power were installed worldwide, compared with a net addition of just 1.2 gigawatts of nuclear.

Hastening this energy revolution is the nuclear industry's Achilles heel: an aging, dangerous reactor fleet that is increasingly uncompetitive and new reactor designs that are too expensive to build.

Last year, utilities permanently shuttered five more reactors, lowering the number of operating units in the United States to fewer than 100 for the first time in two decades.  Utility owners canceled at least nine planned upgrades of existing reactors, deeming the investments no longer economically justifiable.

Additionally, nine planned new nuclear reactors were axed in 2013, an indication of how rapidly things have changed.  Just five years ago, utilities applied for licenses to construct at least 27 new reactors.  By the close of 2013, only four of those reactor projects were still alive.

Opinion: Want green cities? Lose the cars

Ironically, Warren Buffett, arguably the world's greatest capitalist, has emerged as the poster child for this dramatic shift.   In June 2013,  Buffett's MidAmerican utility threw in the towel after a failed three-year legislative battle to require Iowa electric customers to foot the bill for the design and construction of a prototype small modular reactor.  Mainstream groups like AARP vigorously opposed that fiscally imprudent investment.  Earlier, MidAmerican canceled another proposed reactor in Idaho on the grounds it was not worth the money.

What's significant about this about-face on nuclear by the highly regarded "Oracle of Omaha" is that Buffett instead decided to install 656 large wind turbines at a cost of $1.9 billion in Iowa, and has gone "all-in" with multibillion dollar bets on utility-scale wind and solar power and other renewable energy facilities throughout the West.

Not just Wall Street wizards are shifting investment outlooks and strategies.  Regulators and industry officials alike exude confidence that this is the era for solar, wind and other green energy technologies.  In August 2013, John Wellinghoff, then chairman of the Federal Energy Regulatory Commission, observed that "solar is growing so fast it is going to overtake everything ... It could double every two years."

In his annual State of the Union address in January, President Obama highlighted this auspicious trend by praising solar's rapid growth, announcing that, "every four minutes, another American home or business goes solar. ..."

While nuclear has flat-lined in the marketplace, statistics demonstrating solar's growth actually underestimate the total contribution to our country's electrical supply from solar.  This is because nonutility and small-scale -- residential and commercial rooftop -- photovoltaic systems don't show up as electric generation in the industry's statistics. The utilities that compile generation statistics view rooftop solar electricity, used on site, not as power generation but as a reduction in demand!  If it's not sold by a utility, it's not "real" power.

In fact, one of the authors built a six-story office building in Seattle that produced more electricity on its roof last year than it used.  If this can be done in Seattle, the cloudiest major city in the contiguous 48 states, it can be done anywhere.

In 2013, America, and the world, crossed the threshold to a sustainable, ultimately nonnuclear, carbon-free energy future. While much remains to be done and there is a long way to go, this Earth Day is especially meaningful and inspiring for those of us who have spent our careers pursuing this essential goal.  We can see the clear outline of a sustainable energy future that our children, our economy and our planet can live with.

@highlight

Writers: On Earth Day we celebrate the dawn of the Solar Age, decline of nuclear power

@highlight

They say in the U.S. and worldwide, solar power installations are proliferating

@highlight

Writers: Nuclear reactors are aging and uncompetitive and it's too expensive to build new ones

@highlight

Writers: In 2013, U.S. and the world on threshold of sustainable, clean energy future