Beijing, China (CNN) -- There's no reason China's spat with Internet search giant Google should hurt relations with the United States, China's foreign ministry said Tuesday.

A day earlier, Google announced that it had stopped censoring search results in China.

"The Google incident is just an individual action taken by one company. I can't see it having any impact on Sino-U.S. relations, unless someone wants to politicize it," foreign ministry spokesman Qin Gang said Tuesday. "It is not the image of China that has been undermined, rather it is that of Google."

Google's announcement came amid speculation that the search giant would pull out of China entirely.

In a post on its official blog, Google said it stopped running the censored Google.cn service on Monday and was routing its Chinese users to an uncensored version of Google based in Hong Kong. The special administrative region offers more freedom than mainland China.

"We want as many people in the world as possible to have access to our services, including users in mainland China, yet the Chinese government has been crystal clear throughout our discussions that self-censorship is a non-negotiable legal requirement," Senior Vice President David Drummond, Google's chief legal officer, said on the blog.

Google hopes the move "will meaningfully increase access to information for people in China," Drummond wrote.

"We very much hope that the Chinese government respects our decision, though we are well aware that it could at any time block access to our services," he added.

Google said it would monitor whether access to the site is blocked in mainland China.

Early reports from China suggested that the government was already restricting access to Google's Hong Kong-based site, said Eddan Katz, international affairs director of the Electronic Frontier Foundation.

"We've already heard indications that visitors to Google.hk are getting 'can't find page' errors," said Katz, whose group promotes free speech online.

The company on Monday also launched a dashboard page, which it promises to update daily, that will show which Google services are available in China. According to the page, YouTube, Google Sites and Google's Blogger apps were blocked Monday afternoon.

Observers said Google's actions amount to a withdrawal from China and highlights expectations that the government will censor search results.

Ron Deibert, director of the Citizen Lab at the University of Toronto's Munk Centre, which studies the intersection of digital policy and human rights, said Google's move didn't come as a surprise.

"It's become unsustainable for Google to operate in this environment," he said. "They've made a decision that the risks are too great for them, so they're going to pull out."

Google launched Google.cn in 2006. That enterprise prompted complaints that the company was sacrificing Web freedoms by complying with Chinese censorship in return for access to a huge market.

The company, whose slogan is "Don't be evil," countered that operating in limited form gave Chinese users more information than than they would have had otherwise. Google also hoped its presence would advance online freedom in China.

In January, Google announced that the company and at least 20 others were victims of a "highly sophisticated and targeted [hacking] attack" originating in China in mid-December, evidently to gain access to the e-mail accounts of Chinese human rights activists.

The company said the attacker or attackers gained access to the header -- or subject-line information -- from the e-mails of two human rights activists through the Google network.

Google-China move hurts businesses, academics

In a speech on Internet freedom and security in January, U.S. Secretary of State Hillary Clinton urged China to investigate such attacks and accusations of government involvement, saying they raised "very serious concerns."

China rejected the claims.

"Accusation that the Chinese government participated in [any] cyber attack, either in an explicit or inexplicit way, is groundless and aims to denigrate China," the official Xinhua News Agency quoted a spokesman for the Ministry of Industry and Information Technology as saying. "We are firmly opposed to that."

As a result of the attack, Google said, it was no longer willing to abide by the filters that the Chinese government demanded.

Briefly afterward, Google.cn was retrieving results for sensitive topics, including the 1989 crackdown at Tiananmen Square, the Dalai Lama and the banned Falun Gong spiritual movement. But about a day later, search results appeared to return to normal.

It's not just China -- Google censors results elsewhere, too

Advocates of Internet freedoms cheered Google's move Monday.

"It demonstrates that a company like Google, with the business stakes in a market as large as China, can make the decision that free and open Internet is a better business alternative and a better ethical choice for its users," Katz said.

Internet users gravitate toward sites with unrestricted information, he said. "This is an example of how the genie can't be put back in the bottle."

Deibert, who co-founded the OpenNet Initiative, said China might go further as a next step: blocking all outside search engines from accessing Web information in the country.

"If such a radical measure happens, that would have major implications for cyberspace as a whole," he said. "It would point to a more regionalized Internet" and perhaps embolden countries such as Iran to follow suit, Deibert said.

Google.cn is the preferred search tool for about 13 percent of Chinese Web users, according to a state-sponsored survey. Baidu.com, a government-friendly Chinese search engine, dominates mainland China with about 77 percent of users, the survey said.

Google's announcement had been widely anticipated. Internet companies operating in China face a March 31 deadline to renew licenses to do business there, according to the Beijing Communications Administration.

The blog post by Drummond said Google plans to continue research and development work in China and to maintain a limited sales presence there.

In an apparent attempt to protect Google employees in China, the post said the decision was made by Google's top brass in the United States.

"Despite all the uncertainty and difficulties they have faced since we made our announcement in January, [Google's China employees] have continued to focus on serving our Chinese users and customers," the blog said. "We are immensely proud of them."

CNN's John Vause, Doug Gross and Brandon Griggs contributed to this report.

@highlight

Dispute over censorship an isolated issue, foreign ministry spokesman says

@highlight

Google routing Chinese users to site based in less restrictive Hong Kong

@highlight

Decision fuels speculation that Google will pull out of China altogether

@highlight

China could block all outside search engines' access to info inside China