(CNN) -- There's nothing like a beautiful winter scene to get you in the mood for Christmas, and the following sights are some of the most spectacular.

Neuschwanstein Castle, Bavaria, Germany

If this beautiful castle looks familiar, don't be surprised, because Neuschwanstein inspired Disney Land's Sleeping Beauty castle.

It's perched on a rocky outcrop high above the Bavarian village of Hohenschwangau and more than 60 million people have visited since it was opened to the public in 1886.

King Ludvig used his personal fortune to build the castle to avoid spending public funds, and for two decades the construction site was the area's principle employer.

"Surrounded by the majestic Alps and pristine Bavarian Forests, King Ludwig II's enchanting Neuschwanstein is the world's most picturesque castle, mesmerizing onlookers' minds and transporting them into a fairy tale dreamland," says photographer Sheri Vitullo, founder of sherivitullophotography.com. "It is, in the words of Ludwig II, 'a true blessing to the world.'"

How to get there: The castle is a short walk from the center of Hohenschwangau village, which is 75 miles from Munich.

More: 15 of the best European castle hotels

Diana's Baths, North Conway, New Hampshire, United States

Diana's Baths are a series of small waterfalls on the edge of Bartlett, a town in New Hampshire. This historic site is protected by the U.S. Forest Service and is located within the White Mountain National Forest.

The pools are fed by Lucy Brook, which was named after the Lucy family who operated a sawmill next to the stream in 1892.

"What I find so enchanting about Diana's Baths is the multi-layered nature of the cascading falls," explains photographer Shawn Brace. "Between the ledges, pools, and rock formations there's endless beauty for the curious mind and hungry eye."

How to get there: Diana's Baths are located on the outskirts of the village of Barlett, 14 miles from the town of North Conway in New Hampshire.

More: 10 things the U.S. does better than anywhere else

Jigokudani Yaen-koen, Japan

Jigokudani Yaen-koen has it all -- steaming hot springs, beautiful snow-covered landscapes and impossibly cute (and snow-covered) monkeys.

The Joshinetsu-Kogen National Park is buried in snow for a third of the year, and although the clouds of steam rising from the springs, combined with the dramatic, steep cliffs, have led locals to nickname this area "hell valley," the Japanese macaques (known as snow monkeys) certainly love it here.

"Winter time is when Jigokudani Yaen-koen becomes really special," says photographer Jasper Doest, founder of jasperdoest.com. "When the outside temperatures drop below freezing and thick layers of snow cover the mountains the hot springs attract many macaques who come here to enjoy an "onsen" in this surreal world of fog and snow."

How to get there: The park lies to the north of the city of Nagano, which is a 90-minute train journey from Tokyo.

More: Gratuitous photos of monkeys in hot springs

Aiguille du Midi, French Alps, France

Aiguille du Midi translates as "needle of noon." The mountain gets its name from its tapered shape but also from the fact that if you view it from Chamonix, it's approximately noon when the sun passes over the summit.

For the best views, take the TÃ©lÃ©phÃ©rique de l'Aiguille du Midi to the summit. This cable car was the world's highest when it was built in 1955. You'll ascend 9,186 feet (2,800 meters) in 20 minutes and from the top the views over the Swiss, French and Italian alps are incredible.

On a clear day, it's possible to see the Matterhorn on the border between Switzerland and Italy.

"The Aiguille du Midi is an amazing place," says photographer Colin Woods, founder of colinwoodsphotography.co.uk. "The real beauty of it is the fact that it is one of the few places where the non-climber can get an idea of the high altitude world that is normally only accessible to the alpinist.

"At 12,476 feet above sea level, it's an airy summit on which the visitor is perched between two worlds. On one side, far below, is the comfortable world of Chamonix town. On the other is the beautiful but hostile world of eternal ice, of glaring sun and blinding wind driven snow, giant glaciers and granite spires."

How to get there: Take the Aiguille du Midi cable car from the resort of Chamonix, which is 49 miles from the city of Geneva.

More: Europe's best budget ski resorts

Tallinn, Estonia

With its narrow streets, medieval buildings and quaint Christmas markets, the city of Tallinn resembles a scene from a Christmas card.

The Christmas market in the Town Hall Square is one of Europe's prettiest, and the city's old town area -- a UNESCO World Heritage Site often referred to as the "medieval pearl of Europe," is also worth checking out.

The narrow streets are lined with old warehouses, churches and barns, many of which date back to the 11th century. "There is something about the light in Tallinn, says photographer Paul Adams, founder of padams.co.uk. "It's amazing, almost Mediterranean but not -- I can't quite put my finger on it. The blue skies in winter are such a deep blue -- nothing like you get in the UK."

How to get there: Tallinn's Lennart Meri Tallinn Airport is well connected to most European cities, although visitors flying from the U.S. or Asia should expect a stopover in Moscow.

More: 8 top Christmas markets in Europe

Northern Lights, northern Norway

NASA experts believe the current period of solar activity will reach its peak in December, making this month the best time to spot the Northern Lights.

The lights can be seen from Alaska, Sweden, Norway, Finland, Canada, Russia and Scotland, but visitors who head to northern Norway stand the most chance of spotting them, thanks largely to the lack of light pollution and dry weather.

The northern lights belt first hits the Lofoten Islands and follows the coast all the way up to the North Cape. "In a nutshell, I think that the Auroras are spectacular not just because of the fact that they are one of our planets' most amazing and awe-inspiring natural phenomena, but also because of the fact that they are ever changing," says Andy Keen from aurorahunters.org.

"No one aurora is the the same as another, which makes them completely unique. Viewing the Northern Lights is somewhat like looking through a kaleidoscope -- they're captivating, mesmerizing and free-spirited."

How to get there: The northern lights can be viewed from several countries, but this year, visitors to Reykjavik in Iceland, Kiruna in Sweden and Tromso in Norway stand the best chance of spotting them.

Read more: Spotlight on best Northern Light spots

Yorkshire Dales, England

In winter, the remote Yorkshire Dales in northern England transform into a bleak yet somehow welcoming swathe of hills and fields, with church spires, cozy, glowing pubs and the occasional sheep jutting out of the blanket of snow.

You might even catch a glimpse of the North Yorkshire Steam Railway, which runs from Pickering to Whitby.

Wharfedale, with its picturesque hamlets and rock-strewn hills, is one of the most beautiful areas, and the limestone crags of Malhamdale are equally spectacular.

"I have always felt a strong attraction to the unspoiled purity of the Yorkshire Dales," says photographer Chris Ceaser, founder of chrisceaser.com. "During winter months this feeling of peacefulness is compounded by the arrival of the snows which add a sense of isolation, making the photographer feel at one with his surroundings."

How to get there: The Yorkshire Dales are located 243 miles from London, or 65 miles from Manchester. One of the area's largest towns is Richmond, which is well connected to most of the UK's cities by rail.

More: Britain's oldest pub -- who deserves the crown?

Big Mountain, Whitefish Mountain Resort, Montana, United States

One of the most popular spots at Whitefish Mountain Resort is the summit, which lies 7,000 feet (2,133 meters) above sea level. From here, the views of the jagged peaks of Glacier National Park are breathtaking.

But it's the snow-covered trees -- known locally as snow ghosts -- that really stand out.

When the weather's right, what's known as a cloud inversion can take place. The clouds below become locked within the valley and visitors on the summit can look down upon a sea of white.

"Winter in Whitefish is so magical probably because the mountain weather is so dynamic and extreme," says Brian Schott at Whitefish, Montanta Visitors' Bureau. "Winter storms race in from the west coast and bump up along the continental divide, sitting over us for days dumping snow. When at last there is a clearing and you ride the chairlift to the summit, it's as if you have been transported to another world."

How to get there: Whitefish resort is located 14 miles from Glacier Park International Airport.

More: 7 swanky U.S. ski hotels

@highlight

Neuschwanstein was the inspiration behind Disney Land's Sleeping Beauty castle

@highlight

Tallinn in Estonia often resembles a scene from a Christmas card

@highlight

Snow-covered trees -- known locally as snow ghosts -- really stand out in Montana, United States