(CNN) -- In 1909, Alice Ramsey blazed a path across America's landscape and society. Millions of women have followed in her tracks, few more precisely than Emily Anderson exactly 100 years later.

Anderson was the lead driver in a re-enactment last summer of Ramsey's journey, when she became the first woman to drive an automobile from coast to coast. Both women drove a 1909 Maxwell DA from New York to San Francisco, California, but they traversed two very different Americas.

"It really was a tremendous effort by so many people to get us across the country," Anderson, an event planner from Seattle, Washington, said. "It showed me the heart of America was open to us in a big way that I don't think would normally be so open had we been in a modern-day vehicle."

Antique car enthusiast Richard Anderson recruited his 34-year-old daughter to drive the 1909 Maxwell DA he and two friends built from parts they scavenged from around the globe, and hand-fabricated when necessary.

"It all came down to a lot of books and manuals and guessing and putting a puzzle back together again with no instructions," Emily Anderson said.

They got the car built and running in time to launch the drive on June 9 at 1930 Broadway, the address where Ramsey's journey began. Several of Ramsey's descendants were on hand, including two who rode along for a few miles.

Anderson's Maxwell soon suffered the first of many breakdowns.

"That was a bit defeating, especially since it was our first day and we were pretty jazzed and motivated to get moving and get on the road," she said.

Temporary repairs carried the car and crew about 1,800 miles to western Nebraska, where a master mechanic worked for more than five hours to fix the problem in a more permanent way.

"It was amazing to me that people would just stop their lives and do whatever they could to keep us moving," Anderson said.

By Anderson's side was Christie Catania, her close friend and co-pilot.

Catania described the co-pilot's job as "navigation, waving, talking to people in the back seat; I was also the blinker, the mirrors, comic relief ..."

Librarian-storyteller Sally Barnett rode in the back seat most of the way.

"I love old cars, and I had read about Alice Ramsey years ago. She's one of my heroine-mentors," said Barnett, 67, of Huntsville, Alabama. "... My part was to dress up as Alice and tell her story."

The Maxwell's fourth seat was reserved for sponsors, dignitaries and special guests along the way, Anderson said.

When she wasn't in the rear of the Maxwell, Barnett was riding in the back seat of other antique cars that fell into formation along the way, forming what enthusiast Leta Nichols of Orangevale, California, called "a 3,000-mile parade."

High-speed collisions with flying insects were a hallmark of the trip.

"You don't realize how valuable a windshield is until you ride in a car without a windshield, Barnett quipped.

"We were really acting as human windshields and bug-catchers," Anderson recalled. "A couple times a day we had a teeth-cleaning."

But at least the 2009 group had well-mapped, paved roads to travel on, part of the reason they were able to cross the country in 30 days, half the time it took Ramsey, who followed the general path of what would become the Lincoln Highway.

"We traveled at a faster rate simply because we could," Anderson said. "Alice only had 152 miles of paved roadway in 1909, and those roads were primarily within the cities. ... Otherwise it was all wagon trails, and that's some difficult terrain to cross."

The social terrain was equally difficult.

Ramsey "fit a category of woman in the early-20th century, late-19th century who was interested in quietly demonstrating that women were as capable as men in many of the things that had been considered manly pursuits," said Drake Hokanson, author of the book "Lincoln Highway: Main Street Across America."

The first cross-country drive by a man, Horatio Nelson Jackson, had been accomplished just six years before Ramsey set out.

"I can only imagine that the world said, 'Here's a woman with some gall. She can do this; why can't other women?'" Hokanson said. "And, of course, a lot of women did hit the road."

Ramsey overcame sexism, but she didn't have to contend with huge tractor-trailers passing at 70 mph, kicking up debris and creating a gale-force draft around the open car.

"I learned to turn my head when trucks go by so the sand wouldn't hit you too hard," Barnett recalled.

Anderson's Maxwell drove the final thousand miles with no first gear, which made crossing mountain ranges challenging.

"Hopefully you have a long downhill before the uphill so you can kind of take a big run at it," she said. "And that's what we would do, just kind of gun it and try to go as fast as we could up the hill."

The expedition's triumphal moment was the crossing of the Golden Gate Bridge into San Francisco -- something Ramsey couldn't have done in 1909 because the bridge wouldn't be built for another 28 years.

"The toll booth operator came out with her iPhone to take our picture," Barnett said. The entire journey was filmed by Emily Anderson's brother Bengt Anderson, a professional filmmaker in New York. A documentary is slated for release in 2010.

The tour ended with champagne at a picturesque park.

"I would just encourage everyone to slow down and take some of the back roads and enjoy the Lincoln Highway and all these different highways I didn't know existed until I was fortunate enough to be a part of this drive," Catania said. "Embrace the pace. Half of the fun is the journey."

@highlight

Emily Anderson recreates Alice Ramsey's 1909 coast-to-coast auto odyssey

@highlight

Both women made the journey from NYC to San Francisco in a 1909 Maxwell DA

@highlight

Passing trucks kicked up debris and wind around the open car during 30-day trip

@highlight

Anderson's Maxwell suffered many breakdowns and lots of people helped along the way