(CNN) -- History has its holy wars. Economic wars. Civil wars. World wars. Six-Day War. Hundred Years' War. The latter a toddler on the line of time compared with the Christmas war. Almost 1,700 years -- and counting -- on when, and how, to celebrate Christmas. If, at all.

We're not talking the Grinch here. Stealing Christmas. No, no, no. Obliteration. Elimination. Eradication.

In the early centuries of Christianity's existence, there was no consensus on the date of Jesus' birth, or even on whether the day, whatever it was, should be celebrated as a holiday.

Elesha Coffman, writing in Christianity Today, notes that early Christians contended that the date was, variously, May 20, April 18, April 19, May 28, January 2, November 17, November 20, March 12 and March 25 -- and that December 25 probably didn't emerge as the favored date until late in the third century.

That, intentionally or not, grafted the new Christmas onto the old Saturnalia, the most popular celebration of Roman times. The seven-day festival that started December 17 to honor the god Saturn and welcome the winter solstice gave us today's tradition of holiday greenery, gift giving and the office party (or variations thereof), for the Saturnalia was a time of much drinking, some carousing, certainly unrestrained revelry.

The yin and yang of that has come down to us through the centuries and can be seen today in the battles over the commercialization of Christmas, the popularity of yuletide parties, too many martinis oiling the voices raised in song. A little too much "God Rest Ye Merry Gentlemen" and not enough "O Holy Night."

Having enjoyed wonderfully merry and happy Christmases through the years, as I was growing up and making my way in the world, I took those concerns in stride and kept "Ho! Ho! Ho!" at the ready. Then, in my early 40s, when I was living in New England, while leafing through a book as part of my research for a story, I hit the subtopic: Christmas Under the Ban. Because it happened to be facing a page with an old-fashioned illustration of a little girl standing under a living room archway trimmed with greenery, I thought the rope of greens was the ban.

Not so.

Complaints about how to celebrate Christmas had started early, threaded through the Dark Ages, the Middle Ages and then came into their own in Tudor England.

Christmas in Merrie Olde England was seen by the Puritans as a bit too merry. The holiday had come to be marked by bearbaiting, beer and ale, and other spirits flowing in the taverns on Christmas Eve, rowdy crowds celebrating "the Lord of Misrule." Come Christmas morning, minstrel-like parades would march down the aisles in churches where services were being held.

Unable to rein in the excesses, the Puritans turned their back on Christmas altogether. Not just the celebrations and traditions, Christmas Day itself. It would be just another day.

Their no-Christmas policy -- no way, no how, spelled N-E-V-E-R -- crossed the Atlantic with them on the Mayflower. When the Pilgrims landed at Plymouth in December 1620, they observed the Sabbath on Sunday, but, come Christmas Day, went ashore to work.

Opinion: Does Texas need a 'Merry Christmas' law?

Back in England, when the Puritans came to power under Cromwell, a proclamation was issued in 1652 decreeing that stores should remain open on December 25.

In New England, such a law was formally on the books in Boston -- duly enacted by the Legislature of the Massachusetts Bay Colony on May 11, 1659, and not repealed until 1681.

But Christmas had its appeal.

The Rev. Increase Mather felt it necessary to address its evils in 1687: "The generality of Christmas-keepers observe that Festival after such a manner as is highly dishonourable to the name of Christ. How few are there comparatively that spend those Holidays (as they are called) after an Holy manner. But they are consumed in Compotations, in Interludes, in playing at Cards, in Revellings, in excess of Wine, in mad Mirth; Will Christ the holy Son of God be pleased with such Services?"

In 1711, the Rev. Cotton Mather -- like father, like son -- railed against the holiday merriment: "I hear of a Number of young People of both Sexes," he wrote, "belonging, many of them, to my Flock, who have had on the Christmasnight, this last week, a Frolick, a reveling Feast, and Ball, which discovers their Corruption, and has a Tendency to corrupt them yet more."

It wasn't just the Mathers in their pulpits keeping a watchful eye out for signs of Christmas.

Judge Samuel Sewall, who kept a diary that has given historians a rare look at daily life in Boston in the 18th century, has numerous diary entries expressing his elation at the sight of people going about their regular, daily business on Christmas Day, equally disdainful of any signs of awareness or recognition, much less celebration, of Christmas.

A 1697 entry: "Decemb- 25. 97. Snowy day: Shops are open, and Carts and sleds come to Town with Wood and Fagots as formerly, save what abatement may be allowed on account of the weather."

The Puritans were so vigilant, watchful for the slightest sign of "keeping Christmas," because they saw any breach as the first step toward falling back under the domination of the Church of England from which they'd fled. And anyone who "kept Christmas" became an outcast, literally or figuratively.

The tide started to turn in the late 18th century. The first waves of immigration to lap at the New England shores, like the flood tide that would come in the 19th century, tended to be from countries that observed Christmas. Not to be underestimated in its importance to the holiday, the ratification of the U.S. Constitution removed the fear of falling back under the heel of the Church of England when it decreed no establishment of a state religion, in fact, proclaimed a separation of church and state.

But the Puritan hold on New England was strong. As late as 1856, December 25 was a common workday in Boston, and those who refused to go to work on Christmas Day were often dismissed. Some factory owners would even change the starting hours on Christmas Day to 5 a.m. -- workers who wanted to attend church services would either have to forgo them or be dismissed for being late to work.

Opinion: Where Christmas really came from

Henry Wadsworth Longfellow wrote in a journal entry dated December 25, 1856: "Not a very merry Christmas. We are in a transition state about Christmas here in New England. The old Puritan feeling prevents it from being a cheerful, hearty holiday, though every year makes it more so."

Across the pond, Charles Dickens' "A Christmas Carol," published December 19, 1843, was reconciling the centuries-old war over Christmas, the two sides clearly shown, battle lines drawn, in the opening pages when Scrooge's nephew drops by.

"A Merry Christmas uncle! God save you!" cried a cheerful voice. ....

"Bah!" said Scrooge. "Humbug!" ...

"Don't be cross, uncle!" said the nephew.

"What else can I be," returned the uncle, "when I live in such a world of fools as this? Merry Christmas! Out upon Merry Christmas! .... If I could work my will," said Scrooge indignantly, "every idiot who goes about with 'Merry Christmas' on his lips should be boiled with his own pudding, and buried with a stake of holly through his heart. He should!"

"Uncle," pleaded the nephew.

"Nephew," returned the uncle sternly, "keep Christmas in your own way, and let me keep it in mine."

"Keep it!" repeated Scrooge's nephew. "But you don't keep it."

That, of course, was before the visits from the Ghosts of Christmas Past, Present and Yet to Come that wrought the 180-degree turn in Scrooge that, with the help of the Cratchits and Tiny Tim, gave us the Christmas we know and love today.

But pockets of resistance lingered in Boston.

In the early 1900s, a bride from Virginia, where Christmas was celebrated, married a man from Boston, where it was touch and go, and they settled into a place on Beacon Hill. As Christmas drew nigh, she asked around for a group that went caroling and found there was none. Thinking to start one, she found a problem. As the folks put it when they declined: "Someone might hear us."

As late as the 1930s, some churches in Boston would be closed, a printed notice on the doors saying there would be no services Christmas Day.

Today, the old Puritan concerns have been reduced to occasional outbursts about the commercialization of Christmas and the liquid aspect of the good cheer ... while the old carols and the newer songs by such songwriters as Irving Berlin can be heard in malls, large and small, mingling with the ringing of the bells at the Salvation Army collection kettles, or on the radio.

If "White Christmas" is the best known of the newer songs, the one that conveys how much Christmas has come to mean to us may be the one that came out soon after when millions of World War II servicemen were still overseas -- "I'll Be Home for Christmas" (also recorded by Bing Crosby).

The lyrics added to the poignancy:

I'll be home for Christmas

You can plan on me

Please have snow, and mistletoe

And presents on the tree.

Remember, "It's a Wonderful Life" ends when George Bailey's brother, who has been away in the service, returns home Christmas Eve -- joining the family and friends around the Christmas tree in time to hear the bell ring when Clarence, the gentle angel, gets his wings.

Dickens would be proud.

And I'm keeping Christmas.

@highlight

Val Lauder: How and when to celebrate Christmas has been debated for centuries

@highlight

She writes that Puritans objected to "too merry" Christmases in England

@highlight

For 22 years, the Massachusetts Bay Colony banned celebration of Christmas

@highlight

She says the aftereffects of the ban lingered for centuries in New England