It started with a chance conversation between a doctor and a nurse several years ago. But that brief encounter may end up exposing what could be one of the largest Medicare frauds in U.S. history.

Dr. Alon Vainer, a medical director at dialysis clinics in Georgia, was discussing clinic procedures with one of the nurses, Daniel Barbir. The two men say they saw something they believed was very wrong: expensive medicine, and lots of it, was being tossed in the trash. And the clinic workers were being told to do it, the two men say.

"When we sat down and started talking about it and getting into details, we actually realized exactly what was going on," Vainer said.

The alleged waste was being carried out on a massive scale and, the nurse and the doctor said, they knew why almost immediately. They claim it was a way for their company, DaVita Inc., to defraud the government, overbill Medicare and Medicaid and make a fortune.

"We're talking in the hundreds of millions, easily," Vainer said. "The profit this company raked from those two schemes, only from those two drugs, was hundreds of millions of dollars."

The allegations of massive fraud have implications for all Americans. The alleged fraud would have involved Medicare and Medicaid patients, whose medicine is paid for by U.S. taxpayers.

Vainer and Barbir said the alleged fraud schemes they discovered were going on at the company's clinics all across the country -- at the time, about 2003 through 2010, more than 1,800 -- with tens of thousands of patients. It was enormous, they claim, and Vanier said it was all a deliberate strategy coordinated by the company.

"It was just a scheme in order to fraudulently increase and maximize and boost the Medicare revenue, Medicare payment, so therefore fraudulently increase their revenue," he said.

DaVita Inc., based in downtown Denver, is one of the nation's largest dialysis companies. The name means "Giving Life" in Italian. The company just moved into a brand new $101 million office tower, complete with fountains, gardens and even a suspended ski gondola inside for private meetings.

DaVita has grown in the past couple of years and now runs roughly 2,000 dialysis clinics across the country, which has added up to a $7 billion business. The dialysis empire is run by CEO Kent Thiry, who dresses like one of the Three Musketeers, has adopted a company slogan of 'One for all and all for one' and in company staff meetings leads his employees, who he calls villagers, in cheers of "DaVita!"

Thiry is reportedly paid an estimated $15 million a year, according to the Wall Street Journal, which has called him the best compensated CEO in Colorado.

Most of DaVita's revenue comes from a single source: taxpayers. More than two-thirds of DaVita's revenue comes from Medicare and Medicaid payments.

If Vainer and Barbir's allegations are true, the company threw away hundreds of millions of dollars of medicine, and taxpayers paid for it. And, if true, the alleged fraud schemes could represent one of the largest Medicare frauds in U.S. history.

Vanier explained to CNN how DaVita instructed its nurses to administer a 100-milligram dose of the iron drug Venofor.

"For example, if a patient requires this dose once per week, you'd administer 100 milligrams, waste nothing and charge Medicare for 100 milligrams," he said.

"But what DaVita did, instead of charge (for) one vial, they give 50 milligrams of this vial (and) put the residual into the trash." he said. With another vial, he said, the company would give 25 milligrams to a patient and put the rest in the trash, then repeat it with yet another vial, when one vial could have been given without waste.

The more vials DaVita used, the more the company was able to bill the government, the men say. Vainer and Barbir claim they tried to call attention to the massive waste and tried to get it stopped.  But instead, they say, they were basically told to stop causing trouble and to continue following the company's protocols.

"That's what upset me the most," Barbir said. "and that's when I went to Dr. Vainer. I said, 'Dr. Vainer, I can't do that.'"

Barbir says he quit his job and left the clinic rather than continue where fraud was going on. Vainer claims the company punished him for speaking up.

"Of course, once they found out, they did not renew my medical directorship or my practice," Vainer claimed. "We are a three-physician practice, and it was a significant loss of revenue."

Today, both men have filed a whistleblower lawsuit under the U.S. False Claims Act on behalf of the U.S. government, charging DaVita with massive Medicare fraud. They stand to make millions if DaVita is found guilty.

DaVita's CEO wouldn't talk, but the company's attorney Kim Rivera did. When asked about the plaintiffs' allegation that DaVita had come up with so-called schemes to throw away drugs and maximize profits, Rivera said: "Well that's just wrong. If you look at the facts of the case, first of all, the doctors make the dosing decisions.... When you look at what the practices were -- decisions being made by doctors, based on what was in the best interest of their patients. And they took into account a variety of things.

"You can't just look at one issue. You have to look at things like infection control, what the patient's going to do, how the patient's going to do with particular doses. And so, during that entire time what we did, what the doctors did, was appropriate."

But other companies, including DaVita's main competitor, used smaller vials and smaller combinations at times, limiting what was thrown away.

DaVita reiterated its decisions to throw away medicine were for "sound clinical reasons" and "never to increase wastage."

Plaintiffs' attorneys Lin Wood and Marlan Wilbanks, who claim DaVita made as much as $800 million over-billing the government, say that DaVita's defense won't hold up in court.

"It's not just the taxpayers that are the victims here, it's the health care system," Wood said.

"It doesn't take a graduate degree to understand what's going on here," Wilbanks said. "This is just dishonesty."

DaVita denies that and vows to fight the case in court. But earlier this year, while denying it did anything wrong, DaVita settled a similar case in Texas for $55 million.

Pat Burns, with the watchdog group "Taxpayers Against Fraud," says the bigger problem is that even if a company gets caught cheating the government, the company executives never seem to face any punishment. Fines are paid and business continues as usual.

"The way it's set up right now, if the fraud is not caught, then taxpayers foot the bill, Burns said. "If the fraud is caught, stockholders foot the bill."

Burns and others have been arguing for much harsher treatment when companies are found guilty of defrauding the federal government. He points to record billion-dollar fines, particularly in the pharmaceutical business, that are paid, but executives don't get punished and the companies continue to do business with the government.

In fact, one of DaVita's defenses to CNN is that the federal government itself declined to charge the company with wrongdoing, even after reviewing the fraud allegations.

"The government has come in and thoroughly investigated what the allegations are, and in both cases the government decided to drop it and move on," Rivera said.

Federal prosecutors in Georgia declined to intervene in the case but stated in a letter that decision "should not be construed as a statement about the merits of the case."

The short-staffed U.S. Department of Justice declines to join lawsuits all the time, instead allowing private citizens who hire private lawyers to essentially prosecute for the government, Burns said.

"The U.S. Department of Justice simply doesn't have the people," Burns said. "It should have the people. I think we all would agree to that. It simply doesn't."

Which brings us back to the original meeting of one doctor and one nurse who now stand to make millions if these allegations of fraud are proven true.

The biggest winners, though, in their lawsuit could be taxpayers. The U.S. government will recover the bulk of whatever they win. They and others like them are essentially the U.S. taxpayers' deputies in the fight against health care fraud. Asked if they are surprised that they have to defend the U.S. taxpayer, Barbir said simply, "I'm not surprised. It's not easy to come forward and stand up and tell the truth, but it's the right thing to do."

The case is set for trial later next year.

@highlight

A doctor and nurse have filed a whistleblower suit against DaVita Dialysis

@highlight

The two claim the company was over-billing Medicare and Medicaid

@highlight

They say the company was wasting medication and throwing it away

@highlight

The company denies the claims, saying decisions were made in patients' best interests