Astronomers have found a deep azure blue planet orbiting a star 63 light years away -- the first time they've been able to determine the actual color of a planet outside our solar system, NASA and the European Space Agency said Thursday.

The planet, known as HD 189733b, is a gas giant with a daytime temperature of 2,000 degrees Fahrenheit where it possibly rains liquid glass sideways amid 4,500 mph winds, NASA says.

The blue color comes not from the reflection of an ocean, as on Earth, "but rather a hazy, blow-torched atmosphere containing high clouds laced with silicate particles," NASA says. "Silicates condensing in the heat could form very small drops of glass that scatter blue light more than red light."

The space agencies said astronomers using the Hubble Space Telescope discovered the planet in 2005 but only now have they been able to use Hubble's observations to determine the deep blue color.

The findings are in the August 1 issue of The Astrophysical Journal Letters.

To deduce the planet's color, astronomers measured how much light was reflected off its surface. They used the Hubble's Space Telescope to look at the planet before, during and after it passed behind its star as it orbited.

"We saw the brightness of the whole system drop in the blue part of the spectrum when the planet passed behinds its star," said Tom Evans of the University of Oxford, the first author of the paper.

"From this, we can gather that the planet is blue, because the signal remained constant at the other colors we measured."

The planet is only 2.9 million miles from its parent star, so close that it is gravitationally locked, NASA says. One side always faces the star and the other side is always dark.

By contrast, Mercury, the closest planet in our solar system to the sun, is 29 million miles away from the sun at its closest.

In 2007, NASA's Spitzer Space Telescope measured the infrared light, or heat, from the HD 189733b. It showed day side and night side temperatures differ by about 500 degrees Fahrenheit, which should cause fierce winds to roar from the day side to the night side, NASA said.

The atmosphere, the space agencies say, is changeable and exotic.

HD 189733b is in a class of planets called "hot Jupiters," which are similar in size to the gas giants in our solar system but instead lie very close to their parent star, the European Space Agency says.

"We know that hot Jupiters are numerous throughout the universe," the ESA said in a statement. "As we do not have one close to home in our own solar system, studies of planets like HD 189733b are important to help us understand these dramatic objects."

Interstellar craft sees solar system's tail

Objective of 2020 mission to Mars: Seek out signs of life

Resistance futile for 'Trek' fans: Moon won't be named Vulcan

@highlight

It is the first time astronomers have determined the color of an exoplanet

@highlight

The planet is 63 light years away

@highlight

Temperatures reach as high as 2,000 degrees Fahrenheit

@highlight

It possibly rains glass sideways in 4,500-mph winds