Abidjan, Ivory Coast (CNN) -- U.S. Secretary of State Hillary Clinton praised the leader of Ivory Coast for progress made toward peace Tuesday but urged greater dialogue with the opposition to heal the wounds of a deadly political crisis.

It's a "historic moment" for the Ivory Coast, Clinton said during a press conference with President Alassane Ouattara, who welcomed her to the presidential palace in the nation's commercial capital, Abidjan.

Clinton's visit -- the first by a U.S. secretary of state to the west African nation in a quarter of a century -- comes just over a year after contested presidential polls, which led to widespread violence.

The former French colony was gripped by a post-election crisis from December 2010 to April 2011 after former President Laurent Gbagbo refused to step down after his defeat in the presidential election of November 2010.

The United States was, along with France and the United Nations, a key ally of Ouattara in his conflict with Gbagbo.

Gbagbo is now in The Hague, Netherlands, where he is accused of four counts of crimes against humanity for his role in attacks by forces loyal to him on those believed to be supporters of Ouattara, who was recognized internationally as the winner of the 2010 election.

Prosecutors say more than 3,000 people died in the post-election violence.

Parliamentary elections held in Ivory Coast in December were calm, but Gbagbo's Front Populaire Ivoirien boycotted the vote, saying Ouattara's government was fostering a climate of terror.

Speaking alongside Ouattara, Clinton expressed her "admiration for the progress achieved and gradual return to normality, which is a bearer of hope for peace and security."

But she also struck a warning note, saying reconciliation is needed.

"Securing these gains for democracy, prosperity and security -- for people around here and for your neighbors -- will require much work," she said. "It will be particularly important to include all voices, including those that are discordant, for the purpose of the political dialogue."

"We trust, President (Barack) Obama and myself, that the Ivory Coast may be again the engine of economic growth for Ivorian people, but also for the entire region," the secretary of state added.

Rights group Amnesty International has said that crimes were committed by forces loyal to both sides in the post-election conflict, and has urged Ouattara's government not to allow a culture of impunity.

"Amnesty International has repeatedly called upon the Ivorian authorities and the (International Criminal Court) prosecutor to investigate all crimes under international law committed by all parties," the right group said in a statement in November.

"The organization has documented crimes against humanity, as well as war crimes, including murder, enforced disappearances, torture and crimes of sexual violence committed in the country, in particular between 2002 and May 2011."

In Abidjan Tuesday, Ouattara spoke of his government's "firm determination to build a rule of law, impartial justice with respect for human rights."

Ouattara said Ivory Coast would carry out reforms to the cocoa producing sector, in which the United States has a big stake, by the end of the month. Ivory Coast is the world's leading cocoa producer.

Ouattara said he and Clinton had held a "full discussion" on international diplomatic issues, as well as the position of the African continent on the world stage.

Addressing Clinton, he said, "You, and we, believe that peace is essential for the Ivory Coast to the African continent and the world."

While the Ivory Coast now enjoys peace, he said, building a strong relationship with the United States would help it meet the many challenges still ahead.

Ouattara was welcomed by Obama at the White House in July 2011, along with the presidents of Niger, Guinea and Benin, in recognition of democratic processes in those countries.

Clinton was in Liberia on Monday, where she attended the inauguration of President Ellen Johnson Sirleaf.

She left the Ivory Coast early Tuesday afternoon to conclude her mini-tour in Togo and Cape Verde.

The first U.S. secretary of state to visit Togo, Clinton met with President Faure Gnassingbe in Lome "to demonstrate U.S. support for Togo's democratic progress and economic reforms," the State Department said.

Togo was elected a non-permanent member of the Security Council of the United Nations last year.

Journalist Eric Biantuadi contributed to this report.

@highlight

Clinton visits Ivory Coast as part of a four-country tour of West Africa

@highlight

She praises the progress made but urges greater efforts toward reconciliation

@highlight

Ivory Coast was torn by post-election violence from December 2010 to April 2011

@highlight

Former President Laurent Gbagbo now faces four counts of crimes against humanity