(CNN) -- You're in a restaurant, or at an airport, or on a crowded street. The man or woman next to you crumples to the ground. Do you know what to do? Anyone trained in CPR knows the first step: Check for breathing, and check for a pulse. If there's no heartbeat -- what then?

That question has been the subject of intense debate, especially since 2008 when the American Heart Association said that bystanders could try and keep a cardiac arrest victim alive just by pressing on the chest in a hard, quick rhythm. How fast? The exact pace of the Bee Gees' "Staying Alive."

A big part of the thinking is that people are more likely to attempt resuscitation if they don't have to perform rescue breaths, also known as mouth-to-mouth. An unresolved question has been whether chest-compression-only CPR, sometimes known as CCR, is truly just as good as the original. Two large studies published Wednesday in the New England Journal of Medicine seem to provide an answer: yes.

The two papers are remarkably similar in design and results. One was conducted in Washington state -- mostly the Seattle suburbs -- and in London, England. The other study was done in Sweden. In both cases, patients whose hearts had stopped received either traditional CPR, or a version with chest-compressions only. The patients were divided randomly, with 911 dispatchers giving instructions to callers who performed the CPR.

In the Seattle-London experiment, patients receiving chest compressions without mouth-to-mouth were more likely to survive without brain damage. In both experiments, patients getting chest-compressions only were more likely to survive, period.

In both cases, the difference was small enough that it was not considered statistically significant. But the authors -- and an accompanying editorial -- all said the findings support the idea that bystanders should be encouraged to do steady chest compressions on victims of apparent cardiac arrest, without pausing to give breaths.

Dr. Benjamin Abella, an emergency physician who helped develop the 2008 AHA guidelines, agrees. "Our fundamental position is that doing something is better than doing nothing. This [studies] confirms that there is very little benefit to giving breaths, in the majority of cardiac arrest cases," Abella said in an interview.

Dr. Myron Weisfeldt of Johns Hopkins University, who wrote the editorial accompanying the two papers, cautioned in a separate statement that there are some exceptions to the rule. "It is very important to understand that the patients in this study were adults and that for most children who suffer cardiac arrest, such as drowning victims, we must do rescue breathing." He also said patients with chronic lung disease or acute asthma, should also receive mouth-to-mouth.

The Red Cross issued a statement, saying it considers traditional CPR to be better, but that compressions without mouth-to-mouth "is an acceptable alternative for those who are unwilling, unable, or not trained to perform full CPR."

There are some indications the new papers actually understate the overall benefit of CCR. Last November, at an American Heart Association meeting, a group from Arizona reported significantly better outcomes for people who received CCR from a bystander, than for those getting CPR with mouth-to-mouth.

Chest compressions work by circulating oxygen that is already present in the blood. The bloodstream of a person breathing normally -- up until a cardiac arrest -- contains enough oxygen to sustain life for several minutes. However, oxygen can't nourish cells -- most importantly, brain cells -- unless it is circulated, either by a beating heart or by chest compressions.

It's unclear whether CCR is effective simply because it minimizes interruption to chest compressions, maintaining a steady flow of blood, or if the explanation is more complex. Oxygen starvation triggers a cascade of damaging chemical reactions inside cells. Some studies suggest that returning oxygen to the mix too soon could make the damage even worse, and that it's better to keep oxygen levels relatively low in the first minutes after the heart stops.

Whatever the mechanism, the new papers are likely to give momentum to an overhaul of the way CPR is done around the country.

In Phoenix and Seattle, 911 dispatchers already teach callers to use chest compressions only, in cases of apparent cardiac arrest. Officials in Dallas and New York say their 911 dispatchers "stress" or "push" chest compressions.

Ben Bobrow, director of Arizona's emergency services, thinks other cities will follow the same path.

"I really believe these are landmark papers, and that they'll help communities move towards a system where dispatchers give compression-only instructions," Bobrow said.

While the two trials described in NEJM involve rescue attempts by lay people, the same techniques also are being investigated for professional EMTs. This fall, a randomized trial will get under way in several cities, including Seattle, where some cardiac arrest victims will receive CCR while others get traditional resuscitation. After the first six minutes, when existing oxygen in the bloodstream would most likely be used up, all victims will receive additional ventilation.

The experiments are part of a larger movement -- including better coordination of emergency response, and techniques like cooling patients who suffer cardiac arrest -- that has taken cardiac arrest from being a condition that was almost inevitably fatal, to one where substantial numbers of victims are saved.

In Arizona last year, rescuers saved nearly a third of cardiac arrest victims who were considered "saveable" -- meaning that someone saw them collapse and their hearts still had at least faint electrical rhythms.

According to Abella, the takeaway message is that it's easy for a bystander to radically improve the odds. If you see someone collapse without a pulse, he says, "You should at least provide chest compressions. The most important thing is to move blood."

CNN intern Carrie Gann contributed to this report.

@highlight

Pressing on chest in a hard, quick rhythm can keep cardiac arrest victims alive

@highlight

Oxygen can't nourish cells unless circulated by beating heart or chest compressions

@highlight

In Arizona last year, rescuers saved nearly a third of "saveable" cardiac arrest victims