(CNN) -- The United States announced new sanctions Friday against Syria and its supporters, focusing on Hezbollah's support for the regime and a Syrian oil company for violating U.S. sanctions on Iran.

The U.S. State Department sanctioned the refiner Sytrol for selling $36 million of gasoline to Iran in April.

Earlier Friday, the U.S. Treasury Department announced an extension of sanctions against Hezbollah, a Lebanon-based Shiite militant group, for its support of the Syrian government.

Hezbollah, which the United States has designated a terrorist organization supported by Iran, has provided training, advice and extensive logistical support to President Bashar al-Assad's military campaign against an uprising that began in March 2011, the department said.

The agency accused the group of training Syrian government personnel inside Syria, and facilitating the training of Syrian forces by the Quds Force, an elite unit of Iran's Revolutionary Guard Corps.

"Hezbollah's extensive support to the Syrian government's violent suppression of the Syrian people exposes the true nature of this terrorist organization and its destabilizing presence in the region," Under Secretary for Terrorism and Financial Intelligence David S. Cohen said in a statement.

Al-Assad's inner circle: Mostly family, like 'mafia'

Friday's announcements came as fighting for control of Aleppo continued.

Also Friday, Great Britain announced $7.8 million more aid for the Syrian rebels.

The money is intended not for weapons, but for medical and communication supplies, British Foreign Secretary William Hague said.

"The people of Syria cannot wait indefinitely," he said.

Hague's announcement came as shelling and clashes continued throughout Syria.

Syrian security forces killed at least 180 people, including 75 in Aleppo, said the Local Coordination Committees (LCC) of Syria, a network of opposition activists.

On Thursday, the opposition group said at least 134 people were killed.

Syrian rebels arrested a number of pro-regime journalists while they were covering military operations in al-Tal, a suburb of Damascus, according to the Syrian Observatory for Human Rights.

Syrian state TV reported that a crew from Al-Ikhbariya TV, which is pro-regime, had lost communication with their office and that "armed groups and countries that are supporting them" are to be held responsible.

Residents reported intense shelling Friday in a village in Hama, as well as in two neighborhoods in Homs, the LCC reported.

An activist from the Al Midan neighborhood of Damascus told CNN that tanks were in the streets and smoke was billowing in the capital. Troops, he said, were raiding homes and arresting people.

"The situation is terrible," said the activist, who was not identified because of security reasons.

Witnesses also reported shelling in Aleppo, Syria's largest city, the LCC said.

Syrian armed forces were inflicting "heavy losses" on rebels in the neighborhoods of Al-Ithaa and Saif Al-Dawla, Syrian state TV said Friday.

The Syrian government and rebel groups have been battling for days to control Aleppo, a key front in a conflict that morphed into a civil war after government forces began cracking down on peaceful protesters in March 2011.

The International Committee of the Red Cross said Friday that its first convoy in two weeks had entered the city a day ealier and was delivering humanitarian aid.

"Our priority has been getting them food, clean water, mattresses, things people take for granted," said Rabab Al-RifaÃ¯, head of communication for ICRC Damascus.

"Though the ICRC and the Syrian Arab Red Crescent are doing everything possible to assist civilians affected by the violence, it is up to the parties to the conflict to take every feasible measure to spare the civilian population the effects of the fighting," said Marianne Gasser, the head of the ICRC delegation in Syria.

The Syrian Arab Red Crescent had suspended most of its activities due to the danger, she said. "Still, dozens of volunteers have continued to work under extremely difficult conditions to meet the growing needs of the civilian population."

Strapped for supplies and personnel, health-care facilities were finding it difficult to treat the wounded, said the ICRC, which has 50 staff members in Syria.

An activist who provides relief aid to Aleppo's internally displaced residents told CNN on Friday that fewer demonstrations were taking place in the city, but that security forces were using live ammunition against those protesters who ventured out.

In recent weeks, thousands of residents of its outskirts and other cities, including Homs, had converged on its central district, many of them bunking with relatives or renting low-budget apartments located in the city's poorer areas, said the activist, who spoke on condition of anonymity.

But the recent outbreak of fighting in Aleppo itself has led many of those who had sought safety there to flee again, the activist said.

"Most of those people would come and ask us, 'Where should we go now? Is there a safe place left in Syria so we can go to?'" he said.

Many residents who had fled the devastated city of Homs opted to return there; others chose to stick it out in Aleppo, seeking shelter in schools located in safer areas, the activist said. "Today, there around 50-60 schools open for the displaced; the average number of people in these schools is around 250."

He described the conditions in the schools as "terrible."

Most Aleppo residents favor neither side in the battle, but most of the displaced residents hate the regime, he said. "Even informants and members of security forces who had to flee their areas with their families despise the regime now," he added.

But others blame Free Syrian Army fighters, saying government forces and troops would not have shelled their homes had it not been for the FSA's presence in their neighborhoods, he said.

Roughly 17,000 people have been killed since the fighting began, the United Nations said last month. The opposition has put the toll at more than 20,000.

Two days in Aleppo: Guns, graveyards and stairwell beds

Civilians in Aleppo were increasingly at risk from aerial attacks, artillery shelling and gunfire, Human Rights Watch said Friday.

"As Syria deploys helicopters, fighter jets, tanks, and heavy artillery in populated areas of Aleppo, it should do everything feasible to protect civilians from harm," said Anna Neistat, acting emergencies director at Human Rights Watch.

"At the same time, the Free Syrian Army forces in and around the city should do what they can to minimize the risk to civilians in the fighting."

The bloodshed has prompted increasing numbers of Syrians to flee into Turkey, Lebanon, Jordan and Iraq, the United Nations refugee agency said Friday.

Almost 150,000 Syrians are now living as refugees, the agency said.

What does Iran get for supporting al-Assad?

In Turkey alone, the refugee population has exceeded 50,000, with more than 6,000 new arrivals -- many from the Aleppo area -- this week.

Syria's harshest critics, including the United States, were absent from a meeting called this week by Iran to discuss the crisis. More than two dozen countries -- including Syria's allies China and Russia -- did attend.

Iranian Foreign Minister Ali Akbar Salehi called the meeting a success, Iran's state-run news agency IRNA reported Friday.

"Attendance of more than 30 countries at the conference shows its success, and we hope that more countries whose policies correspond and are in line with Iran's diplomacies attend similar conferences in the future," the foreign minister said, according to IRNA.

A spokesman for the opposition Syrian National Council said the problem had nothing to do with finding places to hold conferences. "The main problem is to stop the regime from mass-murdering innocent civilians and shelling every city in Syria," said George Sabra.

CNN exclusive: Inside Syria

CNN's Samira Said, Jamie Crawford, Saad Abedine, Lesa Jansen, Ivan Watson and Moni Basu contributed to this report.

@highlight

U.S. says Syrian refiner aided Iran, Hezbollah militant group supported Syrian regime

@highlight

At least 180 people were reported killed Friday, including 75 in Aleppo

@highlight

UK says it will provide $7.8 million for aid such as medical, communication supplies

@highlight

Iran calls a meeting about the Syrian crisis a success