(CNN) -- Estimates for the amount of thick sludge that gushed from a Tennessee coal plant last week have tripled to more than a billion gallons, as cleanup crews try to remove the goop from homes and railroads and halt its oozing into an adjacent river.

TVA officials originally said the cleanup would take four to six weeks. Now they say they aren't sure.

The sludge, a byproduct of the ash from coal combustion, was contained at a retention site at the Tennessee Valley Authority's power plant in Kingston, about 40 miles west of Knoxville. The retention wall breached early Monday, sending the sludge downhill and damaging 15 homes. All the residents were evacuated, and three homes were deemed uninhabitable, according to the TVA.

TVA's initial estimate for the spill was 1.8 million cubic yards or more than 360 million gallons of sludge. By Friday, the estimate reached 5.4 million cubic yards or more than 1 billion gallons -- enough to fill 1,660 Olympic-size swimming pools.

Environmental advocates say the ash contains concentrated levels of mercury and arsenic.

The plant sits on a tributary of the Tennessee River called the Clinch River. At least 300 acres of land has been coated by the sludge, a bigger area than the 1989 Exxon Valdez oil spill.

A spokesman for TVA, a federal corporation and the nation's largest public power company, said the agency has never experienced a spill of this magnitude.

"There's a lot of ash there," spokesman John Moulton said Friday. "We are taking this very seriously. It is a big cleanup project, and we're focused on it 24 hours a day."

Initial TVA estimates put the cleanup timeline at four to six weeks, but Moulton said the agency will no longer say how long it expects the effort to take. Environmentalists say it could take months or even years to clean up the mess.

Video footage showed sludge as high as 6 feet, burying porches and garage doors. The slide also downed nearby power lines, though the TVA said power had been restored to the area. An estimated 78,000 cubic yards, or 15.7 million gallons, of sludge covered local railroad tracks and Swan Pond Road.

Chris Copeland's backyard is covered with the sludge, though it didn't damage his house.

"We have a terrible mess in our backyard," he told CNN's "Newsroom." "I can't begin to imagine how much of an effort it is going to take to clean this mess up. It is incredible how much ash, dirt, earth, trees and debris is behind our house and then covering this neighborhood."

Bulldozers and heavy machinery have been on the scene of the spill since Monday, scooping up the thick gray goop that downed power lines, trees and broke a water main, forcing a temporary boil order on residents.

Footage from the Clinch River, a popular fishing site, reveals piles of dead fish on its banks. TVA said that has nothing to do with the toxicity of the sludge.

"What happened -- when you have a surge of ash, that created a wave to push the fish up and onto land," Moulton said. "When the water receded, there were dead fish. They weren't killed by any toxic chemicals, they were stranded by the wave."

He noted that water quality tests from the nearby water treatment facility have shown that the water from the river intake meets federal and state guidelines for potable water.

But critics of the coal operation remain concerned about the long-term effects of the spill.

"The early results are showing that it is not in the drinking water yet, but it is a fluid situation and the stuff is still not properly contained and concentrations can change over time," said Stephen Smith of CleanEnergy.org. He said people can still be exposed as the sludge dries and goes airborne in dust.

He said the spill underscores the need for the federal Environmental Protection Agency to regulate the containment of coal ash and accused TVA of underplaying the Tennessee spill.

"You have acute problems we are dealing with today, but we'll have chronic problems for a long time," Smith said. "This whole area has been devastated environmentally."

Appalachian environmentalists compare the mess to another spill eight years ago in eastern Kentucky, where the bottom of a coal sludge impoundment owned by Massey Energy broke into an abandoned underground mine, oozing more than 300 million gallons of coal waste into tributaries.

The water supply for more than 25,000 residents was contaminated, and aquatic life in the area perished. It took months to clean up the spill.

"If the estimates are correct, this spill is 1½ times bigger," said Dave Cooper, an environmental advocate with the Mountaintop Removal Road Show, a traveling program that explains the impact of an extreme form of mining.

CNN's Samira J. Simone contributed to this report.

@highlight

Cleanup crew works to keep sludge from coal plant out of river

@highlight

EPA estimates spill is three times worse than thought

@highlight

15 homes damaged, three called uninhabitable

@highlight

Environmental groups say sludge contains mercury, arsenic