Today marks the 508th anniversary of the death of Christopher Columbus.

Everybody knows the story of Columbus, right? He was an Italian explorer from Genoa who set sail in 1492 to enrich the Spanish monarchs with gold and spices from the orient. Not quite.

For too long, scholars have ignored Columbus' grand passion: the quest to liberate Jerusalem from the Muslims.

During Columbus' lifetime, Jews became the target of fanatical religious persecution. On March 31, 1492, King Ferdinand and Queen Isabella proclaimed that all Jews were to be expelled from Spain. The edict especially targeted the 800,000 Jews  who had never converted, and gave them four months to pack up and get out.

The Jews who were forced to renounce Judaism and embrace Catholicism were known as "Conversos," or converts. There were also those who feigned conversion, practicing Catholicism outwardly while covertly practicing Judaism, the so-called "Marranos," or swine.

Tens of thousands of Marranos were tortured by the Spanish Inquisition. They were pressured to offer names of friends and family members, who were ultimately paraded in front of crowds, tied to stakes and burned alive. Their land and personal possessions were then divvied up by the church and crown.

Recently, a number of Spanish scholars, such as Jose Erugo, Celso Garcia de la Riega, Otero Sanchez and Nicholas Dias Perez, have concluded that Columbus was a Marrano, whose survival depended upon the suppression of all evidence of his Jewish background in face of the brutal, systematic ethnic cleansing.

Columbus, who was known in Spain as Cristóbal Colón and didn't speak Italian, signed his last will and testament on May 19, 1506, and made five curious -- and revealing -- provisions.

Two of his wishes -- tithe one-tenth of his income to the poor and provide an anonymous dowry for poor girls -- are part of Jewish customs. He also decreed to give money to a Jew who lived at the entrance of the Lisbon Jewish Quarter.

On those documents, Columbus used a triangular signature of dots and letters that resembled inscriptions found on gravestones of Jewish cemeteries in Spain. He ordered his heirs to use the signature in perpetuity.

According to British historian Cecil Roth's "The History of the Marranos," the anagram was a cryptic substitute for the Kaddish, a prayer recited in the synagogue by mourners after the death of a close relative. Thus, Columbus' subterfuge allowed his sons to say Kaddish for their crypto-Jewish father when he died. Finally, Columbus left money to support the crusade he hoped his successors would take up to liberate the Holy Land.

Estelle Irizarry, a linguistics professor at Georgetown University, has analyzed the language and syntax of hundreds of handwritten letters, diaries and documents of Columbus and concluded that the explorer's primary written and spoken language was Castilian Spanish.  Irizarry explains that 15th-century Castilian Spanish was the "Yiddish" of Spanish Jewry, known as "Ladino." At the top left-hand corner of all but one of the 13 letters written by Columbus to his son Diego contained the handwritten Hebrew letters bet-hei, meaning b'ezrat Hashem (with God's help). Observant Jews have for centuries customarily added this blessing to their letters. No letters to outsiders bear this mark, and the one letter to Diego in which this was omitted was one meant for King Ferdinand.

In Simon Weisenthal's book, "Sails of Hope," he argues that Columbus' voyage was motivated by a desire to find a safe haven for the Jews in light of their expulsion from Spain. Likewise, Carol Delaney, a cultural anthropologist at Stanford University, concludes that Columbus was a deeply religious man whose purpose was to sail to Asia to obtain gold in order to finance a crusade to take back Jerusalem and rebuild the Jews' holy Temple.

In Columbus' day, Jews widely believed that Jerusalem had to be liberated and the Temple rebuilt for the Messiah to come.

Scholars point to the date on which Columbus set sail as further evidence of his true motives. He was originally going to sail on August 2, 1492, a day that happened to coincide with the Jewish holiday of Tisha B'Av, marking the destruction of the First and Second Holy Temples of Jerusalem. Columbus postponed this original sail date by one day to avoid embarking on the holiday, which would have been considered by Jews to be an unlucky day to set sail. (Coincidentally or significantly, the day he set forth was the very day that Jews were, by law, given the choice of converting, leaving Spain, or being killed.)

Columbus' voyage was not, as is commonly believed, funded by the deep pockets of Queen Isabella, but rather by two Jewish Conversos and another prominent Jew. Louis de Santangel and Gabriel Sanchez advanced an interest free loan of 17,000 ducats from their own pockets to help pay for the voyage, as did Don Isaac Abrabanel, rabbi and Jewish statesman.

Indeed, the first two letters Columbus sent back from his journey were not to Ferdinand and Isabella, but to Santangel and Sanchez, thanking them for their support and telling them what he had found.

The evidence seem to bear out a far more complicated picture of the man for whom our nation now celebrates a national holiday and has named its capital.

As we witness bloodshed the world over in the name of religious freedom, it is valuable to take another look at the man who sailed the seas in search of such freedoms -- landing in a place that would eventually come to hold such an ideal at its very core.

@highlight

Sunday marks the 508th anniversary of the death of Christopher Columbus

@highlight

Charles Garcia: Columbus was a Marrano, or a Jew who feigned to be a Catholic

@highlight

He says that during Columbus' lifetime, Jews became the target of religious persecution

@highlight

Garcia: Columbus' voyage was motivated by a desire to find a safe haven for Jews