Two U.S. military aircraft flew into China's newly claimed and challenged air defense zone over the East China Sea, a U.S. official said, an action that could inflame tensions between the world powers.

The U.S. Air Force B-52 planes -- which were not armed because they were on a training mission -- set off Monday from Guam and returned there without incident. The mission lasted for several hours, and the aircraft were in China's newly declared air zone for about an hour, according to the U.S. official.

The planes' pilots did not identify themselves upon entering the disputed airspace, as China would have wanted, according to the official.

The official declined to be named because of the sensitivity of the situation.

The flights came two days after China unilaterally announced the creation of a "Air Defense Identification Zone" over several islands it and Japan have both claimed. The two countries have been sharply at odds over those isles, which are believed to be near large reserves of natural resources.

Washington responded negatively to what Secretary of State John Kerry characterized as an "escalatory action (that) will only increase tensions in the region and create risks of an incident." The U.S. government has rallied around its ally Japan, where thousands of its troops are stationed as part of a security treaty.

And specifically regarding China's new air defense zone, the United States has said it won't recognize it -- nor China's call that aircraft entering it identify themselves and file flight plans.

Beijing, though, has dismissed the American position as unjustified and urged Washington to butt out of the territorial dispute.

Chinese defense ministry spokesman Col. Yang Yujun on Sunday called such criticism "completely unreasonable," "irresponsible" and "inappropriate," telling the United States to stop taking sides and not send more "wrong signals" that could lead to a "risky move by Japan."

And China's foreign ministry lodged a formal complaint with U.S. Ambassador Gary Locke asking Washington "to correct its mistakes immediately."

On Tuesday, China's U.N. Ambassador Liu Jieyi sidestepped a question about American warplanes violating his nation's new air defense zone. At the same time, he defended the zone's creation, calling it a "normal arrangement" that "doesn't really change anything."

"It's natural, it's indeed the right of every country to defend its airspace and also to make sure that its territorial integrity, its sovereignty are safeguarded," Liu said at the United Nations.

Japan's two main commercial airlines said Wednesday that following a request from the Japanese government, they and other members of the Scheduled Airlines Association of Japan will not submit flight plans to Chinese authorities for flights through the zone claimed by Beijing.

The two carriers, Japan Airlines and All Nippon Airways, said the association had concluded that there would be "no impact" on the safety of passengers on board flights through the zone without the submission of flight plans to China.

Long-running dispute over islands

The disagreement centers around what's known as the Senkaku Islands by Japan and the Diaoyu Islands by China, which are close to strategically important shipping lanes and surrounded by waters full of rich marine life.

China says its claim to these islands extends back hundreds of years. Japan, on the other hand, says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895. Japan then sold the islands in 1932 to descendants of the original settlers.

The dispute intensified in the second half of 2012.

Why China's new air zone incensed Japan, U.S.

Protests erupted in China after Japan announced it had bought several of the disputed islands from private Japanese owners. The deal was struck in part to prevent the islands from being bought by the controversial Tokyo governor, Shintaro Ishihara, who had called for donations for a public fund to buy them.

This sale outraged China's government, and groups of its citizens protested violently in several Chinese cities, calling for boycotts of Japanese products and urging the government to give the islands back.

In December 2012, the dispute escalated further when Japan scrambled fighter jets after a Chinese plane was seen near the islands. That situation has recurred repeatedly since, and China's latest announcement makes it likely it will keep happening.

At sea, Chinese ships have frequently entered contested waters despite warnings from the Japanese Coast Guard.

China slams 'inappropriate' U.S. remarks on territorial dispute

How does the new air defense zone factor into these disputes?

Some in Japan, for one, have viewed the Chinese move as provocative, as does the United States.

"This ... appears to be an attempt to unilaterally change the status quo in the East China Sea, and thus will raise regional tensions and increase the risk of miscalculation, confrontation and accidents," State Department spokeswoman Jen Psaki said Tuesday.

A story in China's state-run Xinhua news agency plays down its significance, with naval expert Zhang Junshe insisting "other nations do not need to be alarmed."

He noted that Japan, South Korea, the Philippines and Vietnam all have their own air defense zones. Given these nations' close proximity to each other, it's inevitable some such zones will overlap, another expert, Chai Lidan, said in the same report.

Psaki said Washington is bothered by China -- or, for that matter, any country -- asking foreign planes entering what it calls its airspace to identify themselves.

"The United States does not apply that procedure to foreign aircraft," she added, "so it certainly is one we don't think others should apply."

Chinese aircraft carrier group on the move

China's military, meanwhile, announced on its website early Wednesday that its navy's sole aircraft carrier was heading toward the South China Sea.

That's where China has had territorial disputes with other Asian nations including the Philippines and Vietnam. At the same time, the East China Sea -- where it recently declared an "air defense zone" causing a stir with Japan and its ally the United States -- is not far away.

The carrier, named Liaoning, set out from a shipyard in eastern China's Qingdao city on Tuesday morning, the military said on its website. China's state-run CCTV also reported the news, showing the carrier -- which was commissioned in September 2012 and first had aircraft leaving and landing on it two months later, according to the U.S. Defense Department -- heading out to sea.

As with U.S. aircraft carriers, it doesn't travel alone: Two guided missile destroyers and two guided missile frigates are accompanying the massive ship as part of its group.

Why?

The Chinese military makes no mention of the dispute with Japan and its ally, the United States. Rather, its website post notes that the carrier group's mission is to conduct scientific experiments and military training.

That said, it is noteworthy that -- in order to get from Qingdao to the South China Sea -- the aircraft carrier group has to first go through the East China Sea.

@highlight

Japanese airlines say they will not submit flight plans to China for the zone

@highlight

Chinese ambassador: It's "the right of every country to defend its airspace"

@highlight

U.S. calls the move an apparent try "to unilaterally change the status quo"

@highlight

U.S. official: B-52s don't tell Beijing about flight over China's new air defense zone