Leaders of the G7 nations on Friday condemned Russian actions in and around Ukraine, promising punishments aimed at sending a message to Moscow.

"We have now agreed that we will move swiftly to impose additional sanctions on Russia," the G7 leaders said.

"Given the urgency of securing the opportunity for a successful and peaceful democratic vote next month in Ukraine's presidential elections, we have committed to act urgently to intensify targeted sanctions and measures to increase the costs of Russia's actions."

The statement from the group -- which includes Canada, France, Germany, Italy, Japan, the United Kingdom and the United States -- came hours after U.S. President Barack Obama threatened Russia on Friday with new sanctions.

According to a senior Obama administration official, each G7 country "will determine which targeted sanctions they will impose" -- measures that "will be coordinated and complementary, but not necessarily identical."

The United States could take action as early as Monday, according to the official.

This comes as Western nations and Ukraine's government in Kiev express growing concerns about what they see as Russia's role in the Eastern European nation, its military movements outside it and the potential for the situation becoming an even larger conflict that could envelop the region.

Ukrainian Prime Minister Arseniy Yatsenyuk accused Russia of aiming to occupy his country "militarily and politically," claiming that Russia wants to start a third world war.

His strong statement came amid a sharp escalation in tensions.

Russia's defense chief ordered new military drills Thursday near the border with eastern Ukraine after Ukrainian forces said they killed five pro-Russian militants in an operation to clear roadblocks near the city of Slavyansk.

Serhiy Pashinskiy, chief of staff to acting Ukrainian President Oleksandr Turchynov, said Friday  the drills had  entered their "second stage," aimed at encircling Slavyansk and cutting off additional supplies or support.

And on Friday afternoon, Pentagon spokesman Col. Steve Warren said Russian aircraft entered Ukrainian airspace on several occasions over the previous 24 hours. He urged Russia "to take immediate steps to de-escalate the situation."

A U.S. official said they were fighter jets. They were not major incursions, but rather a handful of flights along the border that crossed into Ukrainian airspace, the official said.

Yatsenyuk said he had asked Russia to explain the presence of its troops on Ukraine's border within 48 hours -- but 24 hours later, Kiev was still waiting for an official response.

At the same time, he said, the world is lined up with Kiev in its efforts to restore stability and preserve "the system of world security that Russia wants to destroy."

Just as Kiev announced the second phase of its so called "anti-terrorism operation," behind the barricades of the security services building, at the command and control center, the pro-Russian forces expressed confidence they can repel any sort of attack.

"We have 2,000 fighters at the ready and plenty of weapons," says Evgeniy Gorbik, a former military man turned spokesman for pro-Russian militants.

On Friday, Ukraine's Interior Ministry reported that 13 people on board a bus -- including foreign observers and military officials -- were detained at the entrance to the town of Slavyansk. The ministry said the captors were unknown, but that the detainees were taken to a security office that is under the control of pro-Russian separatists.

The detainees are seven European representatives from the Organization for Security and Co-operation, five Ukrainian military representatives and a bus driver, the ministry said.

"We strongly condemn the fact that the members of the Organization for Security and Co-operation mission were taken hostage by pro-Russian separatist forces, this is completely unacceptable," Ukrainian Deputy Foreign Minister Danylo Lubkivsky told CNN.

Negotiations were ongoing to secure their release, the ministry reported.

U.S. pressure

Meanwhile, top U.S. officials have vowed more punitive international actions targeting Russia's economy if Moscow, in their view, continues to escalate the situation.

The war of words between the United States and Russia is growing increasingly intense.

In a phone call Friday, Obama and European leaders agreed that Russia has failed to do its part to de-escalate tensions, the White House said.

The Russians have not supported a deal reached last week to decrease tensions, nor have they called on militant groups to put down their weapons, the White House said. To the contrary, Russia has made things worse through its rhetoric and military exercises, it said.

At a news conference Friday in South Korea, Obama said there will be targeted sanctions that are "ready to go."

"I think it's important for us not to anticipate that the targeted sanctions that we're applying now necessarily solve the problem," he said.

"What we've been trying to do is continually raise the costs for Russia of their actions while still leaving the possibility of them moving in a different direction. And we will continue to keep some arrows in our quiver in the event that we see a further deterioration of the situation over the next several days or weeks."

Obama also praised the unity of other countries in condemning Russian "meddling" in Ukraine.

Moscow argues that the government in Kiev, which took power after ousted pro-Moscow President Viktor Yanukovych fled Ukraine in February, is illegitimate.

The United States has accused Russia of supporting, arming and coordinating the separatist militants -- an allegation Moscow denies, saying these are simply local "self-defense" units. NATO and the United States have also voiced concern over an estimated 40,000 Russian troops massed near the Ukrainian border.

Russia in turn accuses the United States of "running the show" in Ukraine and says it must do more to hold Kiev to its side of a deal reached in Geneva, Switzerland, saying the interim government must disband right-wing ultranationalist groups.

On Friday, the International Criminal Court said chief prosecutor Fatou Bensouda had opened a preliminary investigation into alleged crimes committed in Ukraine while Yanukovych was in power.

The investigation will look at the period from November 21 to February 22, when street protests against Yanukovych's government took place that resulted in bloody clashes with security forces.

Volatile situation

Only a week has passed since foreign ministers for Ukraine, Russia, the United States and the European Union agreed to the Geneva deal aimed at easing the crisis.

But that pact, which called for all sides to refrain from violence and for illegal militia groups to disarm and leave occupied buildings, appears to have faltered, if not failed.

Pro-Russian militants remain holed up in government buildings in around a dozen cities in eastern Ukraine.

Slavyansk has been at the center of much of the tension.

Nearby in Kramatorsk, Russia's state-run RIA Novosti news agency reported gunfire at an airfield that Ukrainian forces retook from separatist protesters this month.

But the head of Ukraine's anti-terror operations unit, Vasil Krutow, told CNN that a helicopter at the airfield had exploded after a shot hit its fuel tank. He said the crew's commander was injured as a result.

An explosion was also reported overnight at a police checkpoint in the southwestern city of Odessa.

Economic impact

Unless and until additional U.S. sanctions are announced, it's hard to judge how much they will hurt Russia. Previous rounds targeted individual lawmakers and businessmen seen as close to Putin as well as a bank, Rossiya, believed to serve the Russian President and senior officials.

The European Union has also imposed its own asset freezes and visa bans.

Russia increased interest rates for a second month running Friday in an effort to limit the economic damage of rising tensions over Ukraine. The move came hours after ratings agency Standard & Poor's cut Russia's credit rating to one notch above junk, citing a flight of capital from the country.

The Russian ruble lost more ground Friday, taking its losses against the dollar to 8.4% since the start of the year.

"We do believe that by more economic pressure, we can stop the aggressor," said Danylo Lubkivsky, Ukrainian Deputy Foreign Minister.

Any further sanctions could hurt the European Union as well as Russia, since the two have deep trade ties and nearly a third of Europe's natural gas comes from Moscow.

Russian Prime Minister Dmitry Medvedev acknowledged this week that the sanctions, coupled with other factors, were affecting the economy.

Lavrov: U.S. 'running the show' in Kiev 'without any scruples'

How will crisis end? Five possible scenarios

Opinion: Why Geneva accord is tactical victory for Russia

@highlight

U.S. official: G7 sanctions will be "coordinated," "not necessarily identical"

@highlight

Russian fighter jets enter Ukrainian airspace on several occasions

@highlight

Ukraine official announces "second stage" of operation against militants in Slavyansk

@highlight

President Barack Obama says targeted sanctions against Russia are "ready to go"