(CNN) -- These aren't your typical Southern escapes.

An African safari-style tent in the middle of Texas Hill Country. Skeet shooting from a former Coast Guard station 34 miles offshore. Remote treehouses in the middle of a blackwater river.

Heck, they're not your average vacations anywhere in the world.

Here are five unusual summer getaway ideas for travelers headed to the U.S. South, also featured in the summer issue of Garden & Gun magazine hitting newsstands May 16.

The Southern lifestyle magazine doesn't feature that many gardens or guns, although there's usually some kind of sport and garden in every issue. Borrowed from a 1970s Charleston disco called the Garden & Gun Club, the title is more a metaphor for the Southern lifestyle, heritage and land.

"People who remember it (the club) still speak of it with a dreamy look in their eyes," says editor in chief David DiBenedetto. Just like you might after one of these unusual trips:

Frying Pan Shoals Light Station, Southport, North Carolina

Once a light station that marked the shoals off the coast of Southport, North Carolina, for ships, the two-story Frying Pan Shoals Light Station now houses a bed-and-breakfast perched on a platform 32 miles off the coast of Cape Fear. The main level is 85 feet high, the helipad is at 95 feet and the top of the lighthouse is 130 feet high.

Built in 1964 for the U.S. Coast Guard and auctioned to new owner Richard Neal for $85,000 in 2010, the light station was typical of those stations built in the mid-1900s to replace light ships. The use of GPS in shipping made the stations obsolete.

Gatsby glam: 8 grand estates

Now the 5,000-square-foot space can host up to 14 guests in eight bedrooms. It's equipped with Wi-Fi, hot water, a driving range (with ocean-friendly biodegradable golf balls), a skeet range, spectacular fishing and incredible views.

It's a labor of love for Neal, who is still restoring the platform and raising funds to do more. That means some parts will be off-limits, and you'll sign a waiver before setting foot on the platform. Book your own transportation via helicopter, chartered boat or take your own boat to the station or pay for an all-inclusive package that includes transportation via boat.

"You're living and sleeping on top of a wild coral reef," says DiBenedetto. "Dolphin, tuna and whales come by. There is water as far as you can see. It's pretty wild and different."

6 hot resorts for adults only

Edisto River Treehouses, Canadys, South Carolina

For an experience truly detached from the modern world, consider a stay at the Edisto River Tree Houses. Built on an island in the middle of a private wildlife refuge along a free-flowing blackwater river, the treehouses are a 13-mile paddle downriver.

The color of a blackwater river is because of the tannic acid in the water, which is leached from the leaves of fallen trees along the river's edge. South Carolina's blackwater rivers start at springs in the Sandhills area of the state and meander until they empty into the Atlantic Ocean.

"It's like paddling back in time, and the river is slow moving, so it's an easy paddle," DiBenedetto says. Keep your eye out for alligators. Some canoeing experience is helpful to navigate fallen trees, which are often but not always cleared by volunteers taking care of the river.

This is a truly rustic stay: You have to bring your own sleeping bag, towels, food and water in the canoe. While the treehouses have cooking equipment and sleeping lofts, there's no electricity. Guests can cook on an outside grill and can use candles and torches at night.

Serenbe, Chattahoochee Hills, Georgia

A 1,000-acre community in Georgia's Chattahoochee Hill Country, Serenbe is dedicated to sustainable principles.

The land, southwest of Atlanta, is protected from urban sprawl and its 170 residents embrace walkability, preservation and community living. Serenbe offers visitors access to a working farm, wonderful restaurants, a farmers and artists market and for overnight visitors, The Inn at Serenbe. Enjoy hikes, hayrides and horseback rides there.

"You can enjoy all the benefits of being a farmer without having to do the backbreaking labor," says DiBenedetto. "It's a great escape, especially for the family."

Sinya on Lone Man Creek, near Wimberley, Texas

If you want to go on an African safari but can't make the trip all the way to Africa, the safari-style tent at Sinya on Lone Man Creek may be for you and your beloved.

Located on a ridge overlooking Lone Man Creek in the Hill Country of Texas, Sinya is the spot for luxurious relaxation after a day of bird watching, hiking or fishing. Treasure hunters can poke around at the artists' booths at the nearby First Saturday Market or make the 40-minute drive to the big city lights of Austin. Dine out at restaurants in the nearby town of Wimberley or pick up provisions at the local market to cook your own dinner at Sinya.

Whatever your day, you can sit back on your veranda as the sun sets and enjoy a glass of local wine. You two will be all alone (no other tents or guests to distract you) to fall asleep in the king-size bed with goose down pillows and comforter. Wake up to the sounds of nature just outside your tent.

The Moorings Village & Spa, Islamorada, Florida

Set aside thoughts of a stereotypical Florida Keys vacation, crowded and overly touristy.

A coconut plantation in its former life, The Moorings Village & Spa is for guests who want an Old Florida experience in the Keys. The resort has 18 cottages, a private beach open only to guests, dockage, a heated lap pool, spa services and yoga classes, kayaks and bicycles. You can also book a fishing, diving and snorkeling trip.

"You're at a first-rate resort with first-rate amenities, and the architecture of the cottages is beautiful," says DiBenedetto.

See more of Garden & Gun's summer escapes here.

@highlight

Take a helicopter to stay at a former Coast Guard light station

@highlight

Paddle your canoe several miles to a tree house along a black water river

@highlight

Book a safari-style modified tent in the middle of Texas Hill Country