(CNN) -- Injustice has no borders, as we at Oxfam know well from years of experience working in more than 90 countries. We also know that poverty has no political party in our own country, the United States.

Last week Oxfam released a new study that dispels many of the political myths surrounding the nation's minimum wage debate. It shows not only that increasing the federal minimum wage from $7.25 to $10.10 per hour would give some 25 million workers across America a much-needed raise, but also that, on average, one in five workers in every single congressional district in America -- red or blue -- would benefit from such a raise.

In fact, according to our data, a hike in the minimum wage would benefit more than 55,000 workers in the average congressional district.

We found that the workers who would gain most are concentrated in districts that are remarkably diverse, from highly condensed urban areas to poor rural areas. At the top of the list is East Los Angeles (31.8% of workers), followed by the largely rural south coastal district in Texas' 34th District (29.9% of workers). A district in the San Joaquin Valley of California is next, followed by more districts in Los Angeles and the San Joaquin Valley. Next on the list are districts in Dallas-Fort Worth (28.8% of workers), the Ozark Mountains of Arkansas (28.5% of workers), El Paso (27.9% of workers), the Bronx (27.6% of workers), and the boot heel of Missouri (27.3% of workers).

Raising the minimum wage would equally help Americans who live in Republican and Democratic districts, rural and metropolitan. It would also pump money into the economy and save billions in taxpayer dollars by reducing the number of low-wage workers receiving federal assistance. It seems an obvious thing to do.

From 1938, when a federal minimum wage was established, to its most recent increase in 2007 -- passed by overwhelming majorities in Congress and signed into law by President George W. Bush -- most members of Congress recognized that as the cost of living goes up, so should the minimum wage. So why has the issue become bogged down in partisan politics that do little to serve our people or our future?

We are lucky enough to live in a wealthy democracy, but Oxfam is seeing the same growing problem of inequality in America that we see in developing countries: Relatively few people hold more and more power. In principle, the United States is the land where all people are created equal. But in reality, political power is stacked in favor of the wealthy.

Because of this imbalance, millions of hard-working Americans can't stop falling behind, working at jobs that pay under $10 per hour and rarely offer benefits -- some not even a day of paid sick leave.

Our study found that at least one-fourth of Americans work at jobs that pay so little that they cannot sustain themselves and their families without turning to government programs or going into debt. The average age of a worker who would benefit from a minimum wage increase is 35. Most (55%) are women. Over a third are parents of dependent children.

These are people like Tenesha Hueston, a single mother of four in Zebulon, North Carolina, who, according to a New York Times article in November, was making $7.75 an hour as a shift manager at a fast-food restaurant. Or Nick Mason, a father of two in Hixson, Tennessee, who made $9 an hour as an assistant manager at a pizza chain. They work these jobs year after year, while trying to care for their own children and parents, struggling to pay their bills. For them and people like them, the American Dream is a distant mirage.

According to our analysis, raising the minimum wage to $10.10 would lift more than 5 million Americans out of poverty and help 14 million children see a boost in their family income. Fourteen million women, including 6 million working mothers, would get a raise. Three million single parents would be better able to sustain their families.

The sad irony of the standoff in Congress over raising the minimum wage is that petty partisanship gets in the way of a deal that would benefit large numbers of constituents in every congressional district, seemingly a boon to elected representatives of both parties. At least, that has been the logic that led to bipartisan support for increasing the minimum wage 22 times before now.

Members of Congress from each party need to be willing to overcome the divide: to be open to the debate, to consider the needs of hard-working constituents and taxpayers, to consider the wide range of benefits -- and ultimately, to give a raise to the people who need it the most.

@highlight

Oxfam study: Minimum wage hike would help people in every congressional district

@highlight

Raymond Offenheiser says it would benefit 55,000+ workers in average congressional district

@highlight

It would help economy, get people off assistance, he says -- so why the partisan stalling?

@highlight

Writer: Congress hiked minimum wage 22 times before; it must now as a boon to America