(CNN) -- In choosing a new CIA director to replace David Petraeus, President Barack Obama has a range of well-qualified candidates to choose from, although some of the most qualified were in management roles at the CIA when controversial interrogation techniques were used by agency interrogators questioning al Qaeda prisoners and the CIA was maintaining secret prisons overseas to detain members of al Qaeda.

Michael Morell, a three-decade veteran of the CIA, is now the acting director of the agency and a leading contender to become the next director of central intelligence.

As a candidate for the permanent job, Morell has all the advantages and disadvantages of someone who has been instrumental in recent successes at the CIA such as tracking down Osama bin Laden. But he was also was in a managerial position at the CIA in the George W. Bush years when the agency waterboarded three detainees and also imprisoned a larger number in the secret prisons overseas where they were subjected to other coercive interrogation techniques.

Any confirmation hearing for Morell would run the risk of a public discussion of the efficacy and ethics of such controversial practices. And there would also be the risk that such a hearing might open up the Pandora's box of the CIA's many failures that led to the fiasco of the deeply flawed assessment that Saddam Hussein was building up his weapons of mass destruction program in the run-up to the Iraq War in 2003.

Petraeus probe includes top general in Afghanistan

There is also the current controversy about why the intelligence committees in Congress were informed only on Friday about the FBI investigation into Petraeus. Morell and the FBI's deputy director, Sean Joyce, are scheduled to meet with members of the intelligence committees Wednesday to discuss the matter.

In contrast to Morell, other potential candidates for the director's job at CIA, such as former U.S. Rep. Jane Harman or Michael Vickers, the top intelligence official at the Pentagon, were not working at the CIA when coercive measures were used on al Qaeda detainees.

On the other hand, few have played such a key role in some of the most dramatic moments in the war against al Qaeda as Morell has.

From the day that Bush took office on January 20, 2001, every morning, six days a week, Morrell was the CIA official who briefed the president about what the intelligence community believed to be the most pressing national security issues.

On August 6, 2001, eight months after Bush was inaugurated, Morell met with the president at his vacation home in Texas to deliver the president's daily brief.

The top-secret briefing that Morell delivered was titled "Bin Ladin Determined to Strike in U.S."

A month later, on the morning of September 11, 2001, in Sarasota, Florida, Morell gave the daily briefing as usual to the president. There was nothing memorable in it.

Who's who in the Petraeus scandal

Then Morell got into the president's motorcade to head to the local elementary school where Bush planned to meet with some students. At the school, where Bush was reading a story to a group of second-graders, the news came on TV that a second jet had hit the World Trade Center.

Bush and a small group of other officials including Morell were hustled out of the school to head to Air Force One, which took off for Barksdale Air Force Base near Shreveport, Louisiana.

In Washington, news soon circulated that a Palestinian terrorist organization, the Democratic Front for the Liberation of Palestine, had claimed responsibility for the attacks.

Bush summoned Morell, asking, "What do you make of this?" Morrell replied, "The DFLP has a history of terrorism against Israel, but its capabilities are limited. It does not have the resources and reach to do this."

In the early afternoon, Air Force One headed from Louisiana to Offutt Air Force Base near Omaha, Nebraska. Bush asked to see Morell again, and pushed him for his opinion about who was behind the attacks. "I don't have any intelligence as yet, so what I am going to say is my personal view," Morell said, "There are two terrorist states capable of conducting such a complex operation -- Iran and Iraq -- but neither have much to gain and everything to lose from attacking the U.S."

The Petraeus affair: A lot more than sex

Morell added, "The responsible party is almost certainly a nonstate actor and I have no doubt that the trail will lead to bin Laden and al Qaeda," according to a U.S. intelligence official with knowledge of the conversation.

Five months later on January 4, 2002, again at Bush's vacation ranch in Texas, Morell had the delicate task of informing the president that it was the CIA's assessment bin Laden had fought at the Battle of Tora Bora in eastern Afghanistan during mid-December 2001, but he had survived and escaped.

Bush was incensed at this and became hostile, as if Morell himself were the culprit.

Flash forward to the summer of 2011: Morell, an unassuming, scholarly analyst in his mid-50s who speaks in terse, cogent paragraphs, was now the deputy director of the CIA. He was one of a small group of officials at the agency who knew there was a quite promising lead on the possible whereabouts of bin Laden that led to a large compound in the northern Pakistan city of Abbottabad.

Then-CIA Director Leon Panetta, together with Morell and some of the analysts working on the hunt for bin Laden, went to Obama and told him, "We think there is a strong possibility that bin Laden is in the Abbottabad compound."

The analysts believed this with varying degrees of certainty, with most estimating the probability at 80%. The lead analyst was at around 90%, while Morell was at 60%.

"Why do people have different probabilities?" Obama asked.

"Intelligence is not an exact science," Morell explained. "Even if we had a source inside the compound saying bin Laden was there, I'd only be at 80% because sources are of varying reliability. Those analysts who are at 80% to 90% have been tracking al Qaeda in recent years and have had great success stopping plots and undermining the organization. They are confident. The folks at the lower end of the range are those who lived through intelligence failures, particularly the Iraq WMD (weapons of mass destruction) issue."

Of course, we now know that bin Laden was indeed hiding in the compound in Abbottabad, and the fact that Morell was the overall manager of the investigation that led to al Qaeda's leader will surely weigh in his favor to be the nominee for the top job at CIA.

Given the personal problems that have faced Petraeus and now perhaps Gen. John Allen, the outgoing commander in Afghanistan, character issues will surely weigh heavily in Obama's considerations.

Petraeus biographer made trips to Afghanistan

There are others whom Obama might pick to run the CIA, such as John Brennan, his top counterterrorism adviser, who had a distinguished career at the agency, including a tour as station chief in Saudi Arabia and who also led both the Terrorist Threat Integration Center and its successor, the National Counterterrorism Center, following the 9/11 attacks.

Brennan, a no-nonsense graduate of Fordham who speaks Arabic, was Obama's first pick for CIA director in 2008 but withdrew his name from consideration after it became clear that his nomination hearings would be complicated by some in Congress who would grill him about the waterboarding of detainees in CIA custody and the agency's prisons overseas.

It's also not clear why Brennan would want the CIA job given the fact that in his present position he gets to see the president far more often than any CIA director, and from his windowless office in the basement of the West Wing of the White House, he has dominated U.S. counterterrorism policy on issues such as drones, Pakistan, Yemen and the hunt for al Qaeda's leaders, including bin Laden.

Another plausible candidate is Michael Vickers. He had a storied career at the CIA, where as a young man he was the agency's principal military strategist on the Afghan "account" during the 1980s war against the Soviets. Vickers helped to funnel vast numbers of weapons through the Pakistanis to the various Afghan mujahedeen groups that defeated the Soviets.

Timeline of the Petraeus affair

Vickers' doctorate in military history from Johns Hopkins and owlish exterior mask the fact that he is a risk taker, albeit in a calibrated, cerebral way. He left the CIA when he was only 32, having already played a key role in the most successful covert operation in the agency's history -- expelling the Soviets from Afghanistan -- to get an MBA at Wharton. And he was a Special Forces officer in Central America.

Like both Morell and Brennan, Vickers also played a key role in the operation to find bin Laden. In his previous job at the Pentagon, he was the civilian overseer of Special Operations Forces and was intimately involved in the planning of the SEAL raid in Abbottabad. But unlike Morell and Brennan, Vickers wasn't at the CIA when waterboarding and other coercive interrogation techniques were being employed by the agency.

Given all the consternation on Capitol Hill about the circumstances surrounding the attack on the U.S. Consulate in Benghazi, Libya, in September in which the U.S. ambassador was killed along with two CIA employees, the Obama administration could decide to tap someone who has deep experience on the Hill.

An obvious candidate would be Harman, who as a member of the House of Representatives from California between 1993 and 2011 served on all the major committees focused on national security: Armed Services, Intelligence and Homeland Security. Now running the Woodrow Wilson International Center for Scholars in Washington, Harman is regarded as one of the Democratic Party's leading experts on national security.

If appointed and confirmed, Harman would be the first woman director of the CIA.

A further consideration: Another former nine-term Democratic congressman from California, Panetta, now the defense secretary, led the CIA for more than two years and is regarded as one of the most effective directors of the agency in recent decades.

(Note: An earlier version of this article incorrectly said Michael Morell was executive assistant to CIA director George Tenet during the presidency of George W. Bush.)

Feinstein to investigate why FBI didn't notify Congress

@highlight

Peter Bergen: President Obama has several qualified choices for replacing David Petraeus

@highlight

He says some could face questions on CIA interrogation techniques, secret prisons

@highlight

Acting Director Michael Morell had key part in response to 9/11, search for Osama bin Laden

@highlight

Other candidates include John Brennan, Michael Vickers and Jane Harman