China and North Korea have slammed a U.N. report that found crimes against humanity committed in the reclusive Democratic People's Republic of Korea.

At the Monday session of the Human Rights Council, China's representative called a landmark report that was highly critical of North Korea's human rights record "divorced from reality." The diplomat's words indicate that China, a permanent member of the Security Council, may block attempts to refer North Korean issues to the International Criminal Court.

In February, the United Nations Commission of Inquiry on Human Rights in North Korea published a 400-page report documenting the widespread torture and abuse, and called for urgent action including the referral of its findings to the ICC for possible prosecution.

Pyongyang's representative accused the entire commission of being spurred by "lies" and "hostile forces."

The North Korean official objected and left when the Japanese representative brought in the head of a Japanese association for families, whose loved ones have been reportedly abducted by North Korea, to make a statement.

The almost yearlong investigation by the commission involved more than 320 witnesses in public hearings and private interviews. It listed a litany of abuses including a new mother being forced to drown her newborn, corpses being eaten by dogs and rampant beatings.

"If this report does not give rise to action, it is difficult to imagine what will," said Michael Kirby, the Commission of Inquiry's chair.

Why North Korea probably won't change despite damning U.N. report

'Scourge of human rights violations'

He urged the international community to take action.

"Contending with the scourges of Nazism, apartheid, the Khmer Rouge and other affronts required great courage by great nations and ordinary human beings alike.  It is now your solemn duty to address the scourge of human rights violations and crimes against humanity in the Democratic People's Republic of Korea."

North Korea is a state, the report concluded, "that does not content itself with ensuring the authoritarian rule of a small group of people, but seeks to dominate every aspect of its citizens' lives and terrorizes them from within."

North Korea's ambassador to the United Nations, So Se Pyong said the United States and "other hostile forces" had fabricated the report in an attempt to "defame the dignified image of the Democratic People's Republic of Korea and eventually eliminate its social system."

He charged that the testimonies by defectors and witnesses were fabrications by criminals who fled North Korea.

Everyone in North Korea is guaranteed human rights and freedoms, So maintained. "We defend our social system. It's the cradle of life and happiness."

So said North Korea takes "sincere efforts" to make peace in the Korean peninsula and blamed joint South Korea-U.S. military exercises. On Sunday, North Korea launched 25 short-range rockets from its east coast into open water, according to South Korea.

So did not address any of the report's points regarding the right to food, prison camps, torture and inhuman treatment, arbitrary detention, discrimination, freedom of expression, the right to life, freedom of movement, and enforced disappearances, including abductions of other citizens.

He blamed the United States saying it should be investigated for "egregious human rights violations."

Kirby said the diplomat's statement was a "diversion" instead of addressing human rights concerns.

Report: North Korea 'experienced' in evading U.N. sanctions

China backs North Korea

North Korea found support from its staunchest ally, China, which also disputed the report's findings. Its representative, Chen Chuandong said the report could not be fair and impartial because of "the inability of the Commission to get support and cooperation from the country concerned."

During the 11-month investigation, the commission's request for access into North Korea and information were denied or ignored. China said the inability to get cooperation from North Korea put the credibility of the report in question.

"The commission makes conclusions and recommendations -- many of them are divorced from reality and highly politicized," Chen said.

China also came under human rights criticism by the commission for its policy of repatriating North Koreans. Many of the repatriated North Koreans are sent to prison camps or even sentenced to death for escaping their country, according to human rights groups. Chen defended China's practice of returning North Koreans.

"The Koreans who enter illegally, they have breached China's laws and border administration," he said. "They enter illegally, they are not refugees."

China and North Korea enjoy a relatively close relationship, stemming from when China joined the Korean War on the northern side against U.N. troops in 1950. China remains North Korea's biggest trading partner and has helped sustain three generations of the Kim regime.

That relationship continues today as China's nuclear representative, Wu Dawei was in Pyongyang on Monday, according to North Korea's state-run media, KCNA.

@highlight

U.N. Commission of Inquiry report found crimes against humanity committed in North Korea

@highlight

North Korea and China condemn the U.N. report calling it "lies" and "divorced from reality"

@highlight

Report published February listed litany of abuses by North Korea