HONG KONG, China (CNN) -- Like that other famous environmentalist, Thomas Friedman began his talk at the Asia Society in Hong Kong on December 16 with a simple PowerPoint slide. But that's where the similarities between Al Gore and The New York Times columnist end.

Thomas L. Friedman has taken on a green hue with his latest book, "Hot, Flat and Crowded".

Unlike Gore, Friedman is a distinctly different shade of green, a deeply pragmatic green that believes economic forces can usher in a revolution in environmental policy. He argues that systemic change simply requires showing the world that it needs green technology and letting pure economics do the rest.

As a journalist, Friedman makes no claims to having scientific expertise in climate change. He is approaching it from a philosophical standpoint.

Green capital

Friedman's new book "Hot, Flat and Crowded" is not a major departure from his previous books. Whether he's discussing globalization or green industry, he is writing from his deep-seated belief in the markets. He is an unabashed capitalist.

For Friedman, the system works but it's not immune to bad decision-making. Green industry like globalization will come of age if given the right market environment. His faith in capitalism is equal to that in green technology -- for him, these are two things that are clearly reconcilable.

So how do we do this? America as the bastion for innovation, Friedman argues, should play a big role. In fact, he confesses it really isn't a book about the environment and energy, its a book about America. For Friedman, America is slipping down the ranks of hegemonic power and climate change is its big chance to reposition itself as a global leader. The environment is merely an allegory for how the U.S. will achieve this revival.

As an extension of that argument, all countries need to do the same. Right now, no country has really taken the lead in environmental technology, so what we have at the moment is an all out race to the top. Indeed Friedman's book was written before the financial meltdown but recent events have furthered his argument that environmental technology is the solution of all solutions. It's a sentiment I also came across at the recent Clinton Global Initiative meeting.

Green Dream Team

Friedman seemed cautiously optimistic about Obama's ability to lead the green revolution. Given the disarray of many of America's financial institutions, it's unclear whether this new green message will get through.

A glimmer of hope however is Obama's newly appointed energy secretary Steven Chu. There's been extensive chatter about him on environmental blogs in recent days with the media calling Chu the head of Obama's "Green Dream Team."

Friedman made a ringing endorsement of Chu as did many in the audience that day. Steven Chu, Nobel Laureate and the head of Lawrence Berkeley Laboratory, is seen as a promising choice for many environmentalists, one perhaps that proves Obama's intention to fulfill a key campaign promise on energy policy.

Chu himself underwent an interesting move from physics to environmental technology. He won the Nobel Prize in Physics in 1997 but left the world of Quantum Physics to study the science of global warming. As head of Berkeley National Lab, he led projects to the tune of $650 million channeling much of it towards green technology to develop advanced biofuels and solar power.  Watch a video of Steven Chu from Berkeley University

Changing light bulbs and leaders

The audience listening to Friedman that day was clearly appreciative of his no-nonsense approach to the green issue. As Friedman puts it, "it's not about changing light bulbs, it's about changing leaders."

He confessed to having attended too many Earth Day concerts in the past and that no matter how many celebrities you get to show up or how you offset the event, it won't be enough to set off this green revolution.

So as I sat there wondering whether the fish the guests had been eating for lunch was sustainable, for Friedman, it didn't really matter. For his revolution, he had bigger fish to fry.

@highlight

Journalist and author of "Hot, Flat and Crowded" spoke at Hong Kong event

@highlight

Pragmatic approach to environmentalism also a means to transform U.S. economy

@highlight

For Friedman, innovation in energy technology is solution of all solutions