(CNN) -- The Minerals Management Service, a division within the Interior Department, was a troubled agency long before the oil spill in the Gulf of Mexico and the recent revelations of employee misconduct.

The agency -- which oversees U.S. offshore drilling, including the Gulf of Mexico -- has come under fire for mismanagement, questionable conduct and cozy relationships with industry officials.

The MMS issued permits for the Deepwater Horizon drill rig -- contracted by BP -- which exploded on April 20. The explosion killed 11 people and resulted in an oil spill that is threatening parts of the Gulf.

Interior Department Secretary Ken Salazar, during an appearance Wednesday before the House Committee on Natural Resources, said he was trying to change the agency's culture and its structure, which some critics say leads to mismanagement.

"My belief is that most of the employees of the MMS are good public servants," Salazar said. He, however, acknowledged some of the past conduct was "scandalous" and "reprehensible."

Salazar said some people have been fired and others referred for prosecution.

Two sources told CNN on Thursday that MMS Director Elizabeth Birnbaum has been fired.

At a House subcommittee hearing Thursday, Salazar insisted Birnbaum had resigned "on her own terms and own volition." President Obama later said he didn't know whether Birnbaum was fired or resigned on her own.

The Obama administration has said in recent weeks that many of the problems within the MMS were inherited from the Bush administration. Salazar, during his testimony and in his answers to members of Congress on Wednesday, also made that point.

During the hearing, Rep. Doug Lamborn, R-Colorado, asked Salazar why he and other officials were "harping on what MMS did or didn't do in the previous administration."

"Why aren't we talking about the here and now?" Lamborn asked.

Salazar was blunt in his response. "We've done a lot to clean the house at MMS, unlike the previous administration," he said. "This is not the candy store of the oil and gas kingdom which you and others were a part of."

Conflict of interest?

The MMS, which has about 1,700 employees, has two responsibilities when it comes to industries such as oil or natural gas. It must act as a regulator while also collecting royalties from the companies.

Some critics say those are opposite pulls and make the agency ripe for mismanagement.

The U.S. government technically owns resources such as the oil in the Gulf. Companies pay the federal government for the rights to drill in certain areas. The MMS collects and distributes about $13 billion a year, Salazar said.

William Galston of the Brookings Institution said there is a built-in conflict of interest, resulting in lax regulation of involved companies.

"The MMS has a lot of incentive to collect as much, in the way of royalty income, as it can. That means pressure to authorize a lot of drilling and then to do everything possible [to make sure] that the flow of production is robust and unimpeded," said Galston, who recently wrote a piece critical of the MMS for The New Republic magazine.

"MMS, as it is currently structured, has to simultaneously put one foot down hard on the gas pedal and the other on the brake," he said. "And the imperatives to go fast are a lot stronger than to slow down."

Salazar said organizational change within the MMS and a restructuring of the agency was necessary to deal with such conflicts.

Salazar advocated plans to "remove revenue collectors away from the leasing and policing functions of the MMS."

He then wants to create two bureaus within the MMS. One would be responsible for creating energy resources -- including oil and gas -- in the outer continental shelf. It would issue leases and collect royalties.

The other would act as the policing arm of the agency, carrying out inspections and enforcing regulations.

'Misconduct, management and spills'

"MMS used to stand for Minerals Management Service. It now stands for misconduct, management and spills," said Rep. Edward Markey, D-Massachusetts, during the House hearing Wednesday.

A report released this week from the inspector general's office at the Interior Department revealed federal inspectors overseeing oil drilling in the Gulf of Mexico accepted meals and tickets to sporting events from companies they monitored.

The report said all the events detailed in it occurred before 2007.

In one case, an inspector in the MMS office in Lake Charles, Louisiana, conducted inspections of four offshore platforms while negotiating a job with the company, the report said.

Others let oil and gas company workers fill out their inspection forms in pencil, with the inspectors writing over those entries in ink before turning them in.

The report also alleged employees at the same office received tickets to 2005 Chick-fil-A Peach Bowl football game from an offshore production company. The report also includes a confidential source informing investigators that a MMS inspector abused drugs, including crystal meth.

In 2008, during the waning months of the Bush administration, Earl Devaney, then the Interior Department's inspector general, issued a report condemning the behavior of some of the agency's employees.

"The single-most serious problem our investigations revealed is a pervasive culture of exclusivity, exempt from the rules that govern all other employees of the federal government," the report said.

The report said, between 2002 and 2006, some of the staff received gifts from oil and gas companies with whom they were conducting business.

Some of the more salacious charges in the report included substance abuse and sexual relationships with industry contacts.

'The revolving door'

Meanwhile, Sen. Bill Nelson, D-Florida, focused on the "revolving door" between industry and government.

The "revolving door" refers to people who work in areas such as the oil industry, move to a government agency such as the MMS and then return to the private sector.

Nelson proposed legislation that would have federal oil industry regulators wait at least two years after leaving government service before going to work for companies they helped regulate.

Among other things, the bill would bar regulators from accepting gifts from oil companies. It also would require regulators to divest themselves of any stock they may currently hold in oil companies, and prohibit them from part-time employment in the industry.

It is time, Nelson said Wednesday on the Senate floor, to "stop this cozy, incestuous relationship between the oil industry and the regulators."

CNN's Drew Griffin, Alan Silverleib, Manav Tanneeru and CNNMoney.com's Annalyn Censky contributed to this report.

@highlight

Minerals Management Service has a troubled history, government reports say

@highlight

Report: Inspectors got meals, tickets to sports events from companies they monitored

@highlight

Interior Department chief Ken Salazar says he's trying to change MMS culture, structure

@highlight

MMS Director Elizabeth Birnbaum has been fired, sources say