The UK economy has shaken off the European crisis with growth figures that outshine its G7 peers.

It is expected to grow 3.1% this year, according to a forecast by the prestigious EY ITEM Club, above earlier expectations of 2.9%.

The growth is well above that expected of Germany, Europe's biggest economy and one which dragged the bloc out of crisis, at 1.8%.

"We have moved from the recovery phase to expansion. And furthermore, it's looking very durable," said Peter Spencer, professor of Economics and Finance at University of York and chief economic adviser to the ITEM Club.

Figures released Friday show the British economy passing the pre-crisis peak from 2008, with second quarter of growth of 0.8%.

Spencer said the growth is no longer financed by people tapping into their savings -- as was the case this time last year -- but by business expansion and a stronger labor market.

Business spending is on the rise, meaning companies are investing into production rather than sitting on cash. Business investment by itself now generates more than half of the UK's growth.

The government is trumpeting a record-high employment -- 73.1% of people were in work in the three months to May, matching up the previous record-high from 2004/2005.

But there is a catch. While record numbers of Brits are working, their wages are growing at the slowest rate on record -- and at about half of the inflation rate.

That fuels another problem of the UK's economy -- the chronic and rising inequality. Of all UK households, only the highest earning 20% increased their disposable income last year. The remaining 80% of households suffered a drop in their income, numbers released by the Office of National Statistics show.

The Bank of England has also warned that the UK productivity has been "extremely and uncharacteristically weak" since the recession.

Productivity growth, which indicates if the economy can produce more for less, remains below the pre-crisis levels, at 16%.

Many economists are also warning the UK about a potential housing bubble. The average cost of a home in the UK is now 20% above the pre-crisis peak in 2007.

The IMF has already warned the UK government that rising house prices and low productivity could hinder the economic growth and urged the country to put in place "early measures" to prevent housing bubble.

But Spencer told CNN the fears of a bubble were overblown. "This is not driven by mortgage borrowing. In London for example, it's mainly cash buying and overseas buyers," he said, pointing to relatively flat mortgage borrowing.

The UK is also vulnerable to shocks from outside. Half of the country's international trade is with the European Union countries, many of which are still suffering from the consequences of the eurozone crisis.

"If Germany takes a hit, we'll suffer too. If Germany does well, we'll do well, like the rest of Europe," Spencer said.

Read more: How to tame your property bubble Read more: U.K. economy picks up paceRead more: Britain, Italy include drugs and sex in GDP

@highlight

The UK economy expected to grow 3.1% this year, according to the EY ITEM Club

@highlight

Employment is at record-high, but wages are growing at the slowest rate on record

@highlight

Many economists are also warning the UK about a potential housing bubble