New York (CNN) -- Matthew Hoh, a young man previously unknown to the general public, has become the first U.S. official known to resign in protest over the Afghan war. He was the senior U.S. civilian adviser in Zabul province, Afghanistan.

There certainly have been more famous resignations over a president's war policy. President Lyndon Johnson's first secretary of health, education and welfare and the architect of much of the civil rights and Great Society programs, John Gardner, resigned because he could not support the war in Vietnam and privately told the president he could not support him for re-election.

LBJ's Deputy Secretary of Defense Cyrus Vance resigned after becoming convinced the war in Vietnam, which he had strongly supported initially, was unwinnable. After his resignation he unsuccessfully urged Johnson not to bomb North Vietnam.

Vance later resigned as President Carter's secretary of state after arguing again unsuccessfully against "Operation Eagle Claw," the disastrous desert rescue attempt of our 52 hostages in Iran that cost the lives of eight American soldiers.

Our history is filled with brave men and women who have resigned because they could not support a policy or an administration, but it's never easy to quit and far more people carry on quietly and do what they perceive as their duty.

Many thought former Secretary of State Colin Powell should have resigned rather than testify before the U.N. on Iraq's supposed weapons of mass destruction, information he may have thought was suspect. There might not have been an Iraq war if he had done that.

But the resignation of Hoh, a former Marine captain and Iraq veteran from the Foreign Service, as reported Tuesday on the front page of the Washington Post may have more impact than the others.

His comments reflect the feelings of many of his countrymen who have far less knowledge of the Afghan situation then he does. The White House and State Department made every effort to keep Hoh from leaving and valued his service. He was exactly the kind of person we needed there if our Afghan efforts are to be successful.

Even though I support the continued efforts in Afghanistan and believe the president should give Gen. Stanley McChrystal what he needs, Hoh's words reflect thoughts that I, too, have pondered.

Hoh said in his resignation letter: "I have lost understanding of and confidence in the strategic purposes of the United States' presence in Afghanistan. I have doubts and reservations about our current strategy and planned future strategy, but my resignation is based not upon how we are pursuing this war, but why and to what end."

But before the president acts (and he will make his decision quickly, I hope) he needs to answer Hoh's: "Why and to what end?" If he can't, he will have great difficulty convincing his party and the nation of the need for further action.

The why part is easier to answer. The United States and our NATO allies went into Afghanistan after the ruling Taliban government refused to turn over Osama bin Laden and to stop al Qaeda from operating with its protection. The United States has been in full pursuit of bin Laden since the August 7, 1998, truck bombings of the U.S. embassies in Tanzania and in Kenya in which hundreds were killed.

These attacks were preceded by the 1993 bombing of the World Trade Center and the Khobar Towers bombing in Saudi Arabia that killed 19 U.S. servicemen. After that came the attack on the USS Cole in Yemen, which preceded the September 11, 2001, attacks against the World Trade Center and the Pentagon.

Thousands of our fellow citizens were murdered and our way of life was altered forever.

In spite of being on the FBI's Most Wanted list, bin Laden has been an elusive target. In the late '90s on several occasions he was in our sights, but the inability or hesitancy to pull the trigger allowed him to escape. He is still out there with tens of thousands of supporters who want to destroy Americans and Westerners. The threat is still real. The bad guys are still out there and may be here.

I feel this is the most important decision this president will make -- and other world leaders will judge him on his decision. Is he a viable partner? Can he make the tough decisions U.S. presidents need to make?

Many Americans have doubts as they almost always do with any activity of our troops beyond our borders. We as a nation are still badly scarred from the divisions in the country caused four decades ago by the Vietnam War.

Our president never served in the military, and it might be important to review the thinking of some who have and some who went before him. Caspar Weinberger was a young infantry captain in World War II who went on to be one of the most important secretaries of defense and who rebuilt our broken military after Vietnam.

Facing a demoralized military officer corps and troops who weren't in much better shape, Weinberger asked all the major leaders in the Pentagon who had been young officers in Vietnam what lessons they learned. Included was a former young major in Vietnam who was now a brigadier general and served as Weinberger's military assistant, Colin Powell.

Weinberger came up with the Weinberger doctrine:

1. The United States should not commit forces to combat unless the vital national interests of the United States or its allies are involved.

2. U.S. troops should only be committed wholeheartedly and with the clear intention of winning. Otherwise, troops should not be committed.

3. U.S. combat troops should be committed only with clearly defined political and military objectives and with the capacity to accomplish those objectives.

4. The relationship between the objectives and the size and composition of the forces committed should be continually reassessed and adjusted if necessary.

5. U.S. troops should not be committed to battle without a "reasonable assurance" of the support of U.S. public opinion and Congress.

6. The commitment of U.S. troops should be considered only as a last resort.

A version of this became the Powell doctrine. Every president should have a copy of Weinberger's doctrine on his desk.

Number 2 and 5 are still the unanswered questions. They are the biggest obstacles to whatever decision President Obama makes. That, along with Hoh's question: "To what end?"

The opinions expressed in this commentary are solely those of Ed Rollins.

@highlight

Ed Rollins: Matthew Hoh quit the Foreign Service due to doubt about war

@highlight

He says Hoh is latest in tradition of Americans who resigned over wars

@highlight

Presidents must ask tough questions before sending troops, Rollins says

@highlight

Rollins: Troops should only be committed to serve vital U.S. interests