WASHINGTON (CNN) -- Barion Perry was detained at the crime scene, handcuffed after being suspected of breaking into cars. Without specifically being asked by police to identify the suspect, a neighbor pointed out Perry from a nearby window as the alleged thief.

Now, the Supreme Court has found that initial identification was not overly suggestive and did not violate the due process rights of the defendant.

The 8-1 ruling Wednesday is a victory for the state and for law enforcement.

But Justice Ruth Bader Ginsburg warned police and prosecutors in general to be careful about the trustworthiness of eyewitness testimony, when such evidence may be generated and manipulated by police.

She said, however, that was not the case here.

"We do not doubt the either the fallibility or the importance of eyewitness evidence generally, or the caution appropriate whenever suggestive circumstances may have influenced an identification," she wrote for the majority. "Safeguards built into our adversary system [of justice] can serve to inhibit juries from placing undue weight on eyewitness and other testimony of questionable reliability... Absent improper police conduct, these safeguards, we hold, keep the introduction of eyewitness identification evidence within constitutional bounds."

Justice Sonia Sotomayor was the lone dissenter.

The court's narrow ruling was not likely to open the legal floodgates to a range of new exceptions of evidence jurors would be excluded from hearing at trial, as some states had feared.

The Perry appeal also raised larger questions about the unique power of eyewitness identifications to sway jurors, and whether innocent people are unfairly being sent to prison, particularly to death row. The court has not taken a hard look at the issue since 1977, and the opinion Wednesday only dealt indirectly with the concerns.

The unique facts of the Perry case in fact, left a clear rule on the boundaries of using unreliable identification evidence even more elusive and muddled, despite the high court's current intervention.

The message from the high court: A broader rule on the use of all eyewitness testimony is now not necessary, and that judges and juries can make those discretionary decisions, depending on each individual case.

Several justices noted during November's oral arguments Perry's lawyers presented strong evidence, and that reforms may be necessary. But others on the bench wondered whether such changes are mandated under the Constitution, and if they would apply in other areas of criminal justice where evidence is problematic.

The incident happened in August 2008 in Nashua, New Hampshire. A black male was reported at the back of an apartment parking lot in the middle of the night. A city police officer arrived and found Perry carrying two amplifiers, which he claimed he found on the ground.

An apartment resident then approached police and said his car was broken into, information relayed by his neighbor. While Perry was detained in the parking lot, that officer went to the apartment to interview the neighbor. When asked to describe the suspect, she said it was a "tall black man," but offered no other physical details.

When asked by the officer for more information, the neighbor looked back and said "it was the man that was in the back parking lot standing with the police officer," according to court records.

Later at the police station, the female neighbor was unable to identify Perry from a photo lineup.

Perry was then arrested, subsequently convicted of theft, and given a three- to 10-year prison term. He appealed, saying the eyewitness testimony should have been suppressed. Subsequent state courts rejected his claims that due process protections apply even when the suggestive circumstances were not "intentionally orchestrated by the police."Eyewitness identification has been closely scrutinized by a range of legal groups and social scientists -- some 2,000 empirical studies, in fact, over the past three decades, according to one legal brief filed with the high court. It has also become a staple of crime dramas: a witness rises from the stand, points to the defendant and says "That's the man who did it, I'm sure, your Honor."

But not always. A variety of all-too-human factors can distort, manipulate, or mislead a person's memory, whether spurred by police involvement or not. A new book by law professor Brandon Garrett called "Convicting the Innocent" found the initial 250 DNA exonerations around the United States came about after 190 of the prisoners were convicted based on mistaken eyewitnesses.

The 14th Amendment to the Constitution mandates the government not "deprive any person of life, liberty, or property, without due process of law." That has led to a long line of jurisprudence over what areas of the criminal justice system are covered by the broad provision.

The conservative high court majority two years ago said inmates could not go to court to demand, under due process, DNA testing to establish their innocence. "We are reluctant to enlist the federal judiciary in creating new constitutional code of rules for handling DNA," said Chief Justice John Roberts at the time, suggesting that was best left to legislatures.

The eyewitness case is Perry v. New Hampshire (10-8974).

@highlight

The justices rule 8-1 on an issue of identification in a criminal case

@highlight

The ruling finds that an initial identification did not violate due process

@highlight

Justice Sonia Sotomayor was the lone dissenter