What happened in Benghazi, Libya, was a tragedy -- not a scandal.  And no amount of Republican witch hunting or wishful thinking will make it otherwise.

Now a new e-mail "reveals" what was already plainly known, that the White House participated in crafting talking points in the aftermath of attacks in Libya and around the globe.  Republicans claim the White House "politicized" the talking points.  The irony, of course, is that Republicans have been desperate to politicize Benghazi from day one.  Fueled by the  relentless conservative message machine, it can be hard to have a reasonable discussion about Benghazi, one that relies on facts.  So let's try to have that conversation here.

What exactly are the Republican accusations regarding Benghazi?

The main Republican critique appears to be that the White House and State Department politicized talking points given to U.N Ambassador Susan Rice, who spoke about the attacks on American TV five days later.  Republicans argue the White House deliberately downplayed the involvement of al Qaeda and played up the spontaneous nature of the protests as a reaction to an anti-Islam video, to avoid tarnishing President Obama's national security record in advance of the 2012 presidential election.  This, despite the fact that the White House talking points matched those produced by the CIA.

Republicans also have criticized the Obama administration for not responding to the attacks more aggressively when they happened, though a bipartisan Senate investigation found that military resources simply weren't in position to help.  Similarly, Rep. Darrell Issa, the Republican most aggressively pressing Benghazi accusations, says he has "suspicions" that Hillary Clinton gave "stand down" orders to stop military resources from deploying to Benghazi even though a Republican report to the Armed Services Committee says that no such "stand down" order was issued.

In addition, Republicans have criticized the Obama administration for not doing more to prevent the attacks, such as beefing up consular security.  Yet it was the same House Republicans who initially denied the Obama administration's request for additional embassy security funding.

What do we believe actually happened that night in Benghazi?

The answer to that question depends on when you're asking it.  We know that the killing of four Americans on September 11, 2012, including U.S. Ambassador Chris Stevens, was in part the result of pre-coordinated terrorist activity.  According to an extensive investigation by The New York Times, "The attack does not appear to have been meticulously planned, but neither was it spontaneous or without warning signs."  The Times also reports that the attack was "fueled in large part by anger at an American-made video denigrating Islam."

But in critiquing the Obama administration's comments in 2012 in the moments during and after the Benghazi attack, what would seem more relevant is what the White House and intelligence community reasonably believed was happening.

After all, at the same time as the unrest in Benghazi, violent outbursts very clearly in reaction to the anti-Islam video were going on in Egypt, Yemen and Sudan.  The night of the Benghazi attacks, Al Jazeera reported they appeared to be spontaneous protests against the anti-Islam film.

Of course we don't know the classified intelligence, but it would not seem preposterous to believe what was happening in Benghazi was more spontaneous protests rather than pre-planned terrorism.  And even if affiliates of al Qaeda were suspected to be involved, it's not surprising that the intelligence community would not want to show its hand amid active efforts to track and capture those responsible. It was the CIA that removed the reference to al Qaeda, according to e-mails released to CNN by the White House.

Here is what Susan Rice said, four days later, that in retrospect seems so wildly misleading to conservatives:

"Our current best assessment based on the information that we have at present is that, in fact, what this began as was a spontaneous, not a premeditated, response to what had transpired in Cairo. In Cairo, as you know, a few hours earlier, there was a violent protest that was undertaken in reaction to this very offensive video that was disseminated.

"We believe that folks in Benghazi, a small number of people, came to the embassy to—or to the consulate, rather—to replicate the sort of challenge that was posed in Cairo. And then, as that unfolded, it seems to have been hijacked, let us say, by some individual clusters of extremists who came with heavier weapons, weapons that, as you know, in the wake of the revolution in Libya, are quite common and accessible. And it then evolved from there."

That seems not only responsibly cautious in the wake of a complicated and still-unfolding national tragedy, but strikingly accurate.

But the talking points were edited!  For political motivations!

That's what talking points are, they are the way political figures on both sides of the aisle attempt to tell the facts in the most favorable light.  That said, the CIA gave both parties in Congress the same "talking points" it prepared for  Rice.  And, as noted, there are plausible national security reasons for not wanting to show our entire intelligence hand amid an active investigation.

This responsible caution stands in direct contrast, for instance, to the Bush administration deliberately distorting not only talking points but also actual intelligence reports for political purposes to justify the war in Iraq.  Or consider that just hours after the Benghazi killings, even before the White House had made a statement, Republican presidential candidate Mitt Romney condemned the Obama administration's response.  Those talking points were definitely political.

The talking points not only seem consistent with events on the ground at the time but with what we now know, per The New York Times and several congressional reports.  Yet that hasn't stopped Sen. John McCain from suggesting that editing talking points amounted to a "cover-up" and Rep. Eric Cantor from saying the White House "misled" the American public.

Can't we have an honest, open investigation and settle this once and for all?

We have.  Several times.  And then some.  So far, Politico reports, Republican congressional investigations on Benghazi have included "13 hearings, 25,000 pages of documents and 50 briefings."  In a letter written in March 2014 responding to a request for information from a ranking Democrat in the House Armed Services Committee, the Pentagon notes:

"The department has devoted thousands of man-hours to responding to numerous and often repetitive congressional requests regarding Benghazi, which includes time devoted to approximately 50 congressional hearings, briefings and interviews which the department has led or participated in.  The total cost of compliance with Benghazi-related congressional requests sent to the department and other agencies is estimated to be in the millions of dollars."

A bipartisan report by the Senate Select Committee on Intelligence determined that "there were no efforts by the White House or any other executive branch entities to 'cover-up' facts or make alterations for political purposes."  The report did say the attack could have been prevented and blamed the State Department, military and U.S. intelligence community for failing to do so.

What difference does it make?

Great question.  And one taken from a quote by Hillary Clinton, made during her testimony on Benghazi to the House Oversight Committee.  Conservatives use the line to suggest that Clinton is callous toward the loss of life in Benghazi.  No.  Here's the full context:

Sen. Ron Johnson, R-Wisconsin: "No, again, we were misled that there were supposedly protests and that something sprang out of that -- an assault sprang out of that -- and that was easily ascertained that that was not the fact, and the American people could have known that within days and they didn't know that."

Clinton: "With all due respect, the fact is we had four dead Americans. Was it because of a protest or was it because of guys out for a walk one night who decided that they'd go kill some Americans? What difference at this point does it make? It is our job to figure out what happened and do everything we can to prevent it from ever happening again.

"Now, honestly, I will do my best to answer your questions about this, but the fact is that people were trying in real time to get to the best information. ...  But you know, to be clear, it is, from my perspective, less important today looking backward as to why these militants decided they did it than to find them and bring them to justice, and then maybe we'll figure out what was going on in the meantime."

"I take responsibility,"  Clinton said four days after the Benghazi attacks, before Susan Rice ever said a word.  "I do feel responsible," Clinton reiterated at the hearings in January 2013.  When things went wrong in Benghazi, the Obama administration took responsibility.

But when Republicans have the facts wrong on Benghazi, they don't do the responsible thing and drop it.  They keep pursuing their partisan witch hunt, wasting millions of taxpayer dollars desperate to smear Obama and 2016 presidential front-runner Clinton with anything that will stick.

The facts on Benghazi simply do not undercut the Obama administration, but that won't stop Republicans from digging for mud.

@highlight

Sally Kohn: GOP has been desperately "politicizing" Benghazi since it happened

@highlight

Kohn: In the fog of attacks, administration reported what it believed was happening

@highlight

Pentagon fed up with repetitive, costly GOP requests, 13 hearings, 50 briefings, she says

@highlight

Kohn: Benghazi investigations proved GOP wrong over and over, yet GOP will not drop it