Los Angeles (CNN)One of seven patients infected by the deadly superbug bacteria CRE is blaming a manufacturer of the medical scope used in his endoscopic procedure at a Los Angeles hospital, the patient's attorney said Thursday.

The accusation was made on the same day the U.S. Food and Drug Administration issued a safety advisory about how the scope's design may impede effective cleaning.

The patient, an 18-year-old high school student whose name wasn't released, is planning to sue one of the scope's manufacturers, said attorney Kevin Boyle.

The student was "very, very close to death," Boyle said. "He's not doing well now."

That manufacturer, Olympus, is one of three that the FDA has identified as makers of the scope.

Olympus said the firm provides instructions, guidance and supplemental educational materials on how to conduct effective cleaning of its endoscopes, also called duodenoscopes.

"While all endoscopes, including duodenoscopes, require thorough reprocessing after patient use in order to be safe, the Olympus TJF-Q180V requires careful attention to cleaning and reprocessing steps, including meticulous manual cleaning, to ensure effective reprocessing," which is a reuse of the same device, said Mark A. Miller, the company's executive director of communications and marketing.

In addition to instructions and guidance given to every customer, Olympus makes available supplemental educational materials on cleaning the devices. Miller said.

"Olympus is monitoring this issue closely including today's safety communication from the U.S. Food and Drug Administration (FDA). We are working with the FDA, relevant medical societies and our customers regarding these concerns," Miller said.

Meanwhile, the other two manufacturers identified by the FDA, Fujifilm and Pentax, couldn't be reached for comment Thursday.

Understanding CRE, the 'nightmare' superbug

In all, seven patients at the Ronald Reagan UCLA Medical Center have caught CRE after routine endoscopic treatments for bile ducts, gall bladder or pancreas, and two of them have died, a hospital spokeswoman said.

The deadly bacteria CRE, or carbapenem-resistant enterobacteriaceae, was a contributing factor in the deaths, but the exact cause of those deaths wasn't immediately disclosed, a hospital spokeswoman said.

The medical center is contacting 179 others who had endoscopic procedures between October and January and is offering them home tests to screen for the deadly bacteria.

The 18-year-old patient went to the UCLA hospital for a suspected leaking pancreas in 2014, Boyle said.

But the outpatient endoscopic procedure didn't reveal a leaking pancreas, and the youth returned home, Boyle said.

Later, the young man was taken to a hospital again, where he remained for more than 80 days, Boyle said. The patient also spent time in intensive care, Boyle added. The attorney declined to state whether the second hospital visit was at the same UCLA facility.

The attorney also said Thursday the patient doesn't blame the UCLA hospital for his infection. The UCLA hospital was scheduled to hold a press conference Thursday afternoon at 5:30 p.m. ET on the superbug incident.

The patient was released from hospitalization, but within the last two weeks, he returned a third time to a hospital, where he remains, Boyle said Thursday. The attorney also declined to identify that hospital.

Boyle alleges that in mid-2014, Olympus altered the design of the endoscope and removed a cleaning channel but didn't change the cleaning protocol.

The scoping procedure is called endoscopic retrograde cholangiopancreatography or ERCP, the American Society for Gastrointestinal Endoscopy said.

The medical procedure is used to, among other things, unblock bile ducts and take care of pancreas issues.

"It is estimated that more than 500,000 ERCPs are performed each year in the U.S.," the society said. "From what we know, over the past few years, there have been fewer than 100 known cases of transmission of these problematic bacteria through ERCP."

The ERCP procedure involves a duodenoscope, a flexible, lighted tube that is threaded through the mouth, throat, stomach and into the top of the small intestine (the duodenum), the FDA said.

The device contains a hollow channel that allows the injection of contrast dye or the insertion of other instruments to obtain tissue samples for biopsy or treat certain abnormalities. The device also has a movable "elevator" mechanism at the tip, the agency said.

Even meticulously cleaning the devices before high-level disinfection "may not entirely eliminate" the risk of transmitting infection, the FDA said.

"Reprocessing is a detailed, multistep process to clean and disinfect or sterilize reusable devices. Recent medical publications and adverse event reports associate multidrug-resistant bacterial infections in patients who have undergone ERCP with reprocessed duodenoscopes, even when manufacturer reprocessing instructions are followed correctly," the FDA said.

"Although the complex design of duodenoscopes improves the efficiency and effectiveness of ERCP, it causes challenges for cleaning and high-level disinfection. Some parts of the scopes may be extremely difficult to access and effective cleaning of all areas of the duodenoscope may not be possible," the FDA said.

CNN's Debra Goldschmidt and John Bonifield contributed to this report.

@highlight

A patient, 18, is hospitalized with a deadly CRE superbug infection, attorney says

@highlight

The patient blames a medical scope used in his procedure and plans to sue the maker, attorney says

@highlight

The maker says the scope requires "meticulous manual cleaning"