Global warming has propelled Earth's climate from one of its coldest decades since the last ice age to one of its hottest -- in just one century.

A heat spike like this has never happened before, at least not in the last 11,300 years, said climatologist Shaun Marcott, who worked on a new study on global temperatures going back that far.

"If any period in time had a sustained temperature change similar to what we have today, we would have certainly seen that in our record," he said.  It is a good indicator of just how fast man-made climate change has progressed.

A century is a very short period of time for such a spike.

It's supposed to be cold

The Earth was very cold at the turn of the 20th century. The decade from 1900 to 1909 was colder than 95% of the last 11,300 years, the study found.

Fast forward to the turn of the 21st century, and the opposite occurs.  Between 2000 and 2009, it was hotter than about 75% of the last 11,300 years.

If not for man-made influences, the Earth would be in a very cold phase right now and getting even colder, according the joint study by Oregon State University and Harvard University.  Marcott was the lead author of the report on its results.

To boot, the range of temperatures from cold to hot produced since the industrial revolution began are about the same as the 11,000 years before it, said Candace Major from the National Science Foundation, "but this change has happened a lot more quickly."

Far from natural warming

Variations in how the Earth is tilted and its orbit around the sun make for a pattern of planetary warming phases followed by cooling phases across the millennia.

The team's research shows the Earth's overall temperature curve dipping down over about the past 4,000 years, but the downward plod comes to an abrupt halt in modern times.

"If you were to predict -- based on where we are relative to the position of the sun and how we are tilted -- you would predict that we would be still cooling, but we're not," Marcott said.

Instead, the planet is warming up. It hasn't been quite this warm in thousands of years. And it's getting hotter.

By 2100, the Earth will be warmer than ever before, Marcott said. If emissions continue as currently predicted until then, global temperatures will rise "well above anything we've ever seen in the last 11,000 years."

That could be a rise of 2 to 11.5 degrees Fahrenheit, according to the NSF.

What a long range study means

To get a view on global temperatures that long ago, the researchers studied 73 sediment and polar ice samples, taken from all over the globe. Chemicals found in fossils deep down in the samples span the ages and are good indicators of historic temperatures on Earth, Marcott said.

The scientists did the study to put the global temperature trends into a long-range perspective, Marcott said. Critics of climate change research, which has generally covered the last 1,500 to 2,000 years, have complained that it has been too short-sighted.

They argue that the shorter studies have not taken into account that the warming Earth is seeing today could have happened before naturally -- thousands of years ago.

These shorter studies have been based on methods that are very different from the Harvard-OSU research, but in the 2,000 years that they overlap, the results have been basically the same.

"Our data shows that ... they didn't miss anything," Marcott said. And the parallel results corroborate the precision of the new research as well, he said.

Humanity in the last 11,500 years

The scientists chose the period of time known as the "Holocene" for their research, because it is the most recent natural warm phase in Earth's history. It began at the end of the last Ice Age about 11,500 years ago, and we are still in it.

The Holocene has also been the epoch of human achievement, the beginning of civilization. Stable weather patterns helped people do more of everything they wanted to, partly because they no longer had to fight the cold of an ice age.

They began farming, which extended their own life spans and increased population on Earth. They built cities and roads, made art, developed languages and laws.  They formed empires and nations.

Eventually, they invented machines, landing themselves in the industrialized age, driven by engines and turbines, which are powered by combustible fuel.

Thus began man-made greenhouse gases.

The world tomorrow

The main culprit is carbon dioxide, and its levels have jumped in the last 100 years, Marcott said. In the 11,000 years prior, it only changed "very slowly," he said.

Marcott is concerned about people's ability to adapt to a perhaps drastically changed climate.

"As civilization has grown, we're kind of set up for things not to change too much," he said.

The last time Earth has been as warm as it is projected to be by 2100 was before the last Ice Age started -- over 130,000 years ago.  That's too long ago to gather reliable data on, he said.

He didn't want to speculate on what the world will look like, if global warming continues.

"I certainly hope we can pull ourselves out of it," he said.

@highlight

If greenhouse gas emissions progress, Earth will become hotter than ever in 90 years

@highlight

The temperature rise during man-made global warming has not happened before

@highlight

1900 - 1909 was one of the coldest decades in 11,300 years

@highlight

2000 - 2009 was one of the hottest decades in 11,300 years