(Financial Times) -- Angela Merkel said a core group of states needed to press on with European integration to fight the eurozone crisis, a rebuke to David Cameron, UK prime minister, who has called for more short-term crisis measures.

Only hours before Mr Cameron's visit to the federal chancellery, Germany's chancellor said nations "in a currency union have to move closer together", reinforcing the shift to "a multi-speed Europe" which began with the introduction of the single currency.

"We cannot just stop [the process] because one or other doesn't want to join in yet."

Ms Merkel seemed intent on highlighting what Berlin perceives to be a contradiction between the UK's refusal to sign up to strict new EU fiscal rules and Mr Cameron's call for more intervention in the crisis -- a stance which has irritated many in the German capital.

With Spain straining to recapitalise its banks and Greek reforms in doubt, Downing Street on Wednesday signalled that Mr Cameron would use his Berlin visit to urge Ms Merkel to take quick steps to pull the eurozone back from the brink of disaster.

Her meeting with Mr Cameron in the chancellery -- which included a good-humoured 90-minute discussion with students -- came amid a chorus of calls for the eurozone, and Germany in particular, to do more to quell market turmoil.

The UK government has in recent weeks called for near-term measures including a bigger eurozone rescue fund to act as a firewall against financial market contagion, and jointly issued eurozone bonds -- ideas which the German government has repeatedly rejected as unnecessary as it pushes for longer-term fiscal integration.

George Osborne, UK chancellor of the exchequer, added to this drum beat on Thursday morning when he said Spanish banks should be given immediate access to the eurozone rescue fund, which can at present only disburse money to governments.

Spain's vicious cycle

With Barack Obama, US president, also putting pressure on Ms Merkel to switch tack, the chancellor used her first television interview in weeks to emphasise her commitment to her plan to encourage eurozone governments to cede some fiscal power to Brussels.

"We need more Europe. We don't only need monetary union, we also need a so-called fiscal union," she said. "And most of all we need a political union -- which means we need to gradually cede powers to Europe and give Europe control."

The German government believes only a clear roadmap for eurozone integration will ultimately restore investor confidence. Berlin is expecting Herman van Rompuy, European Council president, to make suggestions about a banking union at the next EU summit at the end of June, with more proposals expected in December.

With Spain free to make a request for emergency bank capital from the eurozone rescue fund, and the future of Greece in the hands of voters in mid-June elections, Berlin sees no point in committing to new crisis-fighting tools at the moment.

But the difficulties of persuading even like-minded countries to transfer sovereignty to Brussels also became clear on Thursday, when the Netherlands, usually a staunch ally, questioned Ms Merkel's call for some countries to integrate faster than others.

Jan Kees de Jager, finance minister, said "one of the fundamental causes" of problems in Greece, Italy and Spain was that the single currency had fostered economic divergence, not the promised convergence. "Within a single European economic and monetary union, I don't think it's possible to have structurally different paths."

The Dutch government is preparing for elections later this year in which parties on the far right and left have strongly rejected tighter European political integration, putting the government on the defensive over any delegation of political power to Brussels.

Ms Merkel on Wednesday took a big step towards securing swift parliamentary approval of the new European Stability Mechanism and the fiscal pact, when her Christian Democrats and the opposition Social Democrats agreed outlines for a financial transaction tax, which they hope other eurozone states will adopt.

As the fiscal pact requires a two-thirds majority in the Bundestag, Germany's lower house, Ms Merkel had to woo the Social Democrats with a push for an FTT, which her junior coalition partner, the Free Democrats, has long resisted.

Both Social Democrats and Free Democrats on Thursday said they backed a proposal by the finance ministry, which suggested using the UK's stamp duty and French plans to introduce a similar tax as "a basis for a first step at European level". The move could open the way for ratification of the fiscal pact and ESM by the end of June.

© The Financial Times Limited 2012

@highlight

Germany Chancellor Angela Merkel said a core group of states should press on with eurozone integration to fight the debt crisis

@highlight

Merkel's comments ran counter to U.K. Prime Minister David Cameron's call for short-term crisis measures

@highlight

Berlin perceives a contradiction between the U.K.'s refusal to agree to new EU fiscal rules amid its calls for more intervention