(CNN) -- This year has provided something of a bumper crop of Catholic candidates. Rick Santorum and Newt Gingrich in the Republican primaries, Joe Biden and Paul Ryan in the general election. Given the endless cycle of sin and guilt that we have to live with, sometimes it feels like it's easier for a Catholic to get elected president than it is to get into heaven.

But political strength doesn't necessarily mean political unity. Today's Catholic vote is divided by intensity of faith. According to Gallup, the "very religious" lean toward Romney and the "nonreligious" prefer Obama, by significant margins. This reflects an internal story of conflict between liberal and conservative perspectives on what it means to be a Catholic. Biden and Ryan stand on either side of that debate, and their selections as running mates signal vastly different approaches to winning the Catholic vote.

Joe Biden is part of the Vatican II generation of Catholics, reared on the lofty ambitions of the 1960s. After the Vatican II council, the church reformed its liturgy to encourage greater participation of the laity and make the Mass more accessible. For many Catholics, evangelization and catechism became less important than charity and social activism. Some, like Biden, have even accepted homosexuality and abortion as part of society's slow evolution toward justice for all.

"The animating principle of my faith," he said in 2008, "as taught to me by church and home, was that the cardinal sin was abuse of power." This commitment to egalitarian democracy could even make him a critic of the hierarchy of the Catholic Church. Although he carries his rosary everywhere and attends Mass on Sunday, Biden struggles with the concept of obedience. "There are elements within the church who say that if you are at odds with any of the teachings of the church, you are at odds with the church," he told an interviewer. "I think the church is bigger than that."

On the campaign trail, Biden's Catholicism expresses itself in public attendance at ethnic Catholic events like the St Patrick's Day parade in Pittsburgh. But he also recently took time out to eat ice cream with the nuns of Dubuque. Some interpreted this as a private "thank you" for the support many sisters have shown for Obamacare, contradicting the public position of their bishops. It's also notable that Biden's Catholicism was invoked by many commentators after his embrace of same-sex marriage, as if he spoke for a generation of Catholics who have come to terms with social change. When it comes to the culture war, Biden enjoys a certain amount of soft power.

Belief: Paul Ryan will provoke a debate on Catholic politics

By contrast, Paul Ryan's engagement with the Catholic power is all hard power. His rhetoric is steeped in conservative historicism and theology. He explained his legislative philosophy to Townhall Magazine this way, "As a congressman and Catholic layman, I really feel that Catholic social truths are in accord with the 'self-evident truths' our Founders bequeathed to us at our nation's founding: independence, limited government and the dignity and freedom of every human person." Ergo, his budget proposals aren't just good bookkeeping, he says. They are both American and Christian.

When Paul Ryan was growing up, the charismatic, anti-communist John Paul II was Pope. His traditionalist ethos has been continued and expanded under Benedict XVI, who has talked seriously of the church becoming smaller but purer. In this context, Republicanism and Catholicism find synergy -- and Ryan is its embodiment. He has a large family, boasts a 100% percent prolife voting record, and supported the constitutional ban on same-sex marriage. Ryan also is happy to lend his Catholic moral theology credentials to his new boss, who sometimes struggles to strike a chord with religious voters.

Belief: GOP's non-Protestant ticket changes meaning of 'values'

During his Norfolk speech accepting Mitt Romney's nod, Ryan got big applause for his promise to help "save the American dream." But he got much bigger applause for this statement: "Our rights come from nature and God, not government." It's a neat appropriation of the Catholic belief that dignity is a gift from God, for the sake of rallying conservatives of all backgrounds. For those who like their state small, it suggests contempt for the civil rights-guaranteeing federal leviathan. For those who want it just large enough to outlaw same-sex marriage and abortion, it promises a Christian approach to governance.

Whereas Biden meets privately with nuns and emphasizes a private faithfulness, Ryan puts his Catholicism right out in the open -- and he attracts some evangelical support for doing it.

Does any of this matter? In a tight election, perhaps. In 2004, George W. Bush made a big play for churchgoing Catholics, hitting themes of sexual and social conservatism. The result was that a) the Catholic vote was just as important in deciding the election as the evangelical vote and b) Catholic voting split along lines of church attendance. Overall, Bush won the Catholic vote 52% to 47%, a vital factor in a relatively close election.

So Biden and Ryan present opportunities and challenges for their tickets. Biden will appeal to those Catholics (some say, a silent majority) who define themselves as faithful but who are also tolerant of cultural difference. But precisely because his appeal isn't strictly religious, it may fail to stir excitement on the campaign trail.

For Ryan, the visibility of his faith won't be a problem. But he will have to find a way of expanding its appeal beyond social conservatives. As former Bush strategist Deal Hudson writes, he still has to find a way of reconciling his fiscal conservatism to Catholicism's empathy for the powerless and poor. If he sticks to purely moral themes, while also pushing for budget cuts, his brand of Catholic fervor may come across as all fire and brimstone and no heart. In an age of recession, that may not generate the votes that he and Romney need to win.

The opinions expressed in this commentary are solely those of Tim Stanley.

@highlight

Tim Stanley: The VP candidates reflect divide between liberal and conservative Catholicism

@highlight

He says Biden is a post-Vatican II Catholic aimed at social justice and accessible faith

@highlight

He says Ryan hews to traditional Catholicism; record is anti-abortion, anti-gay marriage

@highlight

Stanley: Ryan will have to show social compassion with fiscal conservatism