(CNN) -- The fall of dictatorships does not guarantee the creation of free societies. There is often a period in which we witness the legacy of tyranny. The Arab uprisings have overthrown tyrants in Egypt and Libya, but the populations and lawmakers have yet to grasp that democracy is not only about free elections but creating free societies.

When sexual harassment of women increases on the streets of Egypt, when centuries-old shrines of Muslim saints are destroyed with explosives in Libya, when screenings of films such as "Persepolis" trigger riots in Tunisia and Christian minorities across the Middle East feel under siege, then we must stop pretending that all is well with the Arab Spring. But all is not lost either.

Arab societies are on a journey. They can easily take the wrong turn. The attacks on the American embassies in Libya, Egypt and Yemen are examples of the ongoing presence of intolerant, tyrannical actors in Arab societies.

These are people who were born and raised in dictatorships. They are accustomed to thinking that a government controls its citizens -- that a film or documentary cannot be produced without government approval. For decades, this has been the reality of their lives, and they strongly believe that the Western world and its citizens have a similarly controlling relationship between individuals and government.

In light of this assumption, they hold the U.S. government responsible for the tacky and distasteful film produced by a right-wing Muslimphobe.

News: Who is responsible for film at the heart of protests?

Little wonder, then, that Egyptian President Mohamed Morsy has called for the prosecution by the U.S government of the filmmakers, and Egypt's top cleric, Mufti Ali Goma, has called on the United Nations to forbid denigration of faiths. Morsy studied in the United States and Ali Goma regularly visits the West on the interfaith circuit, yet both men don't yet grasp that religious freedom and the freedom of expression are inextricably linked in America.

It is hard for younger Arabs not born into freedom to understand how individual liberty works in real life.

The freedom to proselytize also guarantees the right to apostatize. Heresy and blasphemy are essential parts of free and democratic societies. Arab activists cannot seek to emulate the West's political and social achievements by looking at the United States and Europe today, but must observe and learn from the religious battles of 17th-century Europe, the smashing of the tyranny of the Roman Catholic Church, the ending of burning witches and the forbidding of hanging heretics.

It is this history of unbolting the doors of dissent that led to the conditions in which John Locke and John Stuart Mill could write and think freely and then influence Thomas Jefferson and the other U.S. Founding Fathers. There are no shortcuts to freedom, except to learn from the mistakes of the West in the past.

The Arab uprisings are not over yet. They are still unfolding and shaping the future. This culture of shouting and killing those with whom Muslims disagree must end. When the Prophet Mohammed's companions shouted "Allahu Akbar," (meaning "God is Greatest," a popular slogan for those yelling outside embassies today) the prophet reprimanded them saying "Our Lord is not deaf."

Bergen: Extremists and leaders incite violent protests

When a Bedouin Arab entered the most sacred mosque of the prophet in Medina and violated its sanctity by urinating in this place of divinity, the prophet cleansed the mosque himself and forbade anybody from even reprimanding the Bedouin, let alone attacking the man. This is the way of the Prophet Mohammed. Where is this spirit of mildness, forgiveness and compassion amid Islamist activists today?

The millions of protestors last year in Arab capitals that chanted "hurriyah, karamah, adala ijtima'iyya" or "freedom, dignity and social justice" cannot allow for the emotions of bigots to derail their revolution.

Freedom is not only about majority rule, but ensuring that women, religious minorities and intellectual dissenters are able to flourish without fear.

The opinions expressed in this commentary are solely those of Ed Husain.

@highlight

Ed Husain: Arab uprisings have ousted tyrants, but citizens still don't fully grasp democracy

@highlight

He says intolerance can endure among people reared under dictatorships

@highlight

He says they could learn from Europe's 17th century religious battles

@highlight

Husain: Mohammed taught mildness, forgiveness. Where is that amid Islamists today?