Washington (CNN) -- For those who worked the Beltway sniper case in Washington a little more than a decade ago, the manhunt for a highly trained gunman suspected of targeting cops and their families in Southern California has some startling similarities and clear differences as well.

In the California case, the mood is tense among police officers as they continue the search for Christopher Dorner, who is suspected of killing three people to settle a score for what he called an unjust firing from the Los Angeles Police Department.

Similar fear gripped the Washington-area for nearly a month in October 2002, when John Allen Muhammad and Lee Boyd Malvo terrorized the city and its suburbs during the sniper case.

They operated out of an old sedan, firing from a hole in the trunk, and struck in broad daylight and at night.

They randomly gunned down 13 people, killing 10 and wounding three, going about their daily routine -- never suspecting for a second that they were in the sights of a killer.

They were each felled by a rifle shot while at a gas station, doing yard work, going to school, or heading into a shopping center.

Police bulletins, road blocks, and false leads and sightings around the notorious shootings fueled drama and tension in a region already on edge over the drumbeat of threats of another al Qaeda attack on the capital.

Police were methodical and eventually caught a break, arresting the pair at a rest stop in Maryland.

The Los Angeles case offers some similarities.

- It involves a manhunt originating in a major metropolitan area with reported sightings in different communities raising fears.

- The case involves multiple victims in multiple attacks.

- Dorner was in the Navy and served in the Persian Gulf. Muhammad, who was executed in 2009, was in the Army and also served in the Gulf region, many years before.

- Dorner is a trained marksman as was Muhammad.

- Schools in some areas where California searches are concentrated are closed. In the sniper case, outdoor public events were canceled.

LA cops stalked by suspect, and a brutal history

But differences between the two cases are clearer and, in some ways, should set the broader public at ease, say former detectives, law enforcement officials and a forensic psychiatrist familiar with both cases.

"During the D.C. sniper shooting the public had no idea who was doing it. ... The public saw this as random victimization without rhyme or reason," said Park Dietz, a forensic psychiatrist.

Dietz worked on the Washington sniper case as well as the "Unabomber" mail-bomb case.

"In contrast, in the California matter, the public understands his targets are much more focused. They consist of certain named individuals and their families," he said.

Dorner, 33, is wanted in the killing of two people in Irvine, California, on Sunday and in the shooting of three Los Angeles-area police officers on Thursday, which killed one of them. One of the victims in Irvine was the daughter of a retired Los Angeles police officer who Dorner knows, authorities said.

The technical details of the California case may differ, but the level of fear people feel as they listen to accounts of the manhunt for a well trained suspect who authorities say has a vendetta is similarly acute, said Jim Trainum, a former homicide detective with the Washington Metropolitan Police Department who worked on the sniper case.

"Crime in general is nebulous or out there but when it strikes next to you, you think 'it could be me,'" Trainum said.

Neighbors have echoed that sentiment.

Opinion: In rampages, it's about revenge

"It's too close to home. It's kind of scary," Dorner's neighbor, Dan Gomez told, KLAS.

Dorner, authorities said, is bent on vengeance against Los Angeles Police Department officers he claims ruined his life by forcing him out of his dream job. He detailed his rage in an 11-page manifesto.

In that letter -- provided to CNN by an LAPD source -- he vowed to violently target police officers and their families, whoever and wherever they are.

The motives in the D.C. sniper case were never entirely clear. Muhammad and his accomplice, Lee Boyd Malvo, then 17, taunted police with written messages, phone threats and demands during the rampage.

During two trials and in years of appeals, Muhammad had professed innocence. Malvo remains in prison.

Another difference is what authorities already know about the suspect in California.

In the early days of the D.C. case, there were few clues and many false leads about who was behind the shooting, the type of vehicle involved, and where the suspect or suspects might have been.

"I was manning the e-mail tip line and there would be hundreds of them," Trainum said. "There was one where they had the shootings mapped out on an upside constellation of Orion. We had people going around copying down the numbers of white vans and e-mailing them. There's always that concern that they'll miss that crucial tip because there is so much static."

That static complicated matters, Trainum said.

"In the D.C. case, everyone speculated that he had sniper training and that he was a police officer. In fact, we got tips about police officers who we had to put under surveillance. In D.C., anybody could have been a target. Out there (the California suspect) has a target list but it is obvious that he will kill anyone who gets in his way."

Alleged cop-killer's manifesto details threats

CNN's Mike M. Ahlers and Lateef Mungin contributed to this report.

@highlight

Similarities but important difference between the L.A. manhunt and the D.C. sniper case

@highlight

Suspected L.A. gunman is targeting cops and their families; D.C. sniper victims were random

@highlight

Both the L.A. suspect and the lead D.C. sniper were military veterans, trained marksmen