Washington (CNN)  -- In what one advocate called "a Christmas miracle for airline passengers," the Department of Transportation on Monday announced a rule prohibiting U.S. aircraft on domestic routes from remaining on a tarmac for more than three hours with travelers aboard.

"Airline passengers have rights, and these new rules will require airlines to live up to their obligation to treat their customers fairly," Transportation Secretary Ray LaHood said in a statement.

Exceptions to the three-hour rule would be allowed only for safety and security reasons or if air traffic controllers advise a pilot that returning to the terminal would disrupt airport operations, the department said.

U.S. airlines operating international flights departing from or arriving in the United States "must specify, in advance, their own time limits for deplaning passengers, with the same exceptions applicable," the statement said.

Airlines also are required to provide adequate food and water for passengers within two hours of their plane being delayed on the tarmac, the department said, maintain operable restrooms and provide medical attention if necessary.

The rule is a victory for passengers' rights organizations, which have long pushed for such a measure. It will take effect 120 days from the date of its publication in the Federal Register, which will be sometime next week, the DOT said.

"This is a Christmas miracle for airline passengers," said Kate Hanni, who founded FlyersRights.org after she and her family were stranded on an Austin, Texas, tarmac for more than nine hours in 2006. "Everyone needs to say thank you to the Obama administration and the Department of Transportation."

FlyersRights.org describes itself as the largest nonprofit airline consumer organization.

Hanni said her group has achieved its goal, saying, "I was always optimistic, but I really didn't know if we would get it."

The DOT statement said, "The rule was adopted in response to a series of incidents in which passengers were stranded on the ground aboard aircraft for lengthy periods and also in response to the high incidence of flight delays and other problems."

In one of the most high-profile recent incidents, 47 passengers spent nearly six hours overnight on a Rochester, Minnesota, tarmac in August, with only pretzels to eat.

"We were not offered food. We were not offered water," passengers Link Christin testified in September at an unofficial Capitol Hill hearing sponsored by advocates for a passenger bill of rights.

"The toilet broke at 3 o'clock in the morning, and it was impossible to sleep," he testified.

Read more stranded on the tarmac stories

The DOT blamed a poor decision by regional carrier Mesaba Airlines for the stranding of the Continental Airlines passengers. LaHood said in August that a Mesaba representative improperly refused requests by the captain and crew to let passengers off the plane.

Mesaba, based in Eagan, Minnesota, and owned by Delta Air Lines, was the only carrier able to assist Continental Flight 2816 on its way from Houston, Texas, to Minneapolis, Minnesota, after it was diverted because of strong thunderstorms, LaHood said. But according to the DOT, Mesaba's representative refused to help passengers off the plane, saying incorrectly that the airport was closed to passengers for security reasons.

Mesaba, Continental and ExpressJet Airlines were fined $175,000 for their roles in the incident, the department said Monday. ExpressJet was operating the Continental flight.

Among those testifying at the September hearing was Robert Crandall, former chairman and chief executive of American Airlines, who spoke in support of the three-hour limit.

After Monday's announcement, James May, president and CEO of the Air Transport Association, issued a statement: "We will comply with the new rule even though we believe it will lead to unintended consequences -- more canceled flights and greater passenger inconvenience." The association represents the principal U.S. airlines.

"In particular, the requirement of having planes return to the gates within a three-hour window or face significant fines is inconsistent with our goal of completing as many flights as possible. Lengthy tarmac delays benefit no one," May said.

The rule brings the United States closer to European regulations aimed at protecting passengers, Hanni said. According to the European Transport Commission's Web site, those include "information and minimum assistance," including "catering, communications and an overnight stay if necessary."

"This is the best gift that airplane passengers could have had, and it's been a decade coming," Hanni said.

The Business Travel Coalition also applauded the rule.

According to the DOT, the new rule also:

• Prohibits airlines from scheduling "chronically delayed" flights. Those who do may face enforcement action from the department for "unfair and deceptive practices."

• Requires airlines to designate an employee to monitor the effects of flight delays and cancellation, respond "in a timely and substantive fashion" to consumer complaints and give consumers information on where to file complaints.

• Requires airlines to display flight delay information on their Web sites for each domestic flight operated.

• Requires airlines to adopt customer service plans and monitor compliance.

• Prohibits airlines from retroactively applying material changes that could negatively affect consumers who have already purchased tickets.

The DOT said it also plans to "begin another rulemaking [process] designed to further strengthen protections for air travelers."

Areas under consideration include requiring airlines to submit contingency plans for lengthy tarmac delays to the DOT for review and approval, to disclose baggage fees and to report additional tarmac delay data; and strengthening requirements that airline ads disclose the full fare consumers pay for tickets, the department said.

CNN's Mike Ahlers and Josh Levs contributed to this report.

@highlight

Advocates call new rule on tarmac delays a "Christmas miracle" for passengers

@highlight

Rule limits tarmac delays for aircraft with passengers aboard to three hours

@highlight

Department of Transportation: Rule requires airlines to live up to duty to treat customers fairly

@highlight

Exceptions include safety, security reasons or disruptions to airport operations