Feng Xiaofeng moves down an alleyway toward her home in Wuli, an ordinary village in eastern China's Zhejiang province, with an extraordinary problem.

Feng slides open the doors with a quick thrust. But before she says a word, she begins to cry and points at two identically framed photos side by side on her wall. They show an older and younger man. They look like blown up passport pictures or perhaps faded formal portraits.

These photographs haunt Feng.

"I don't want to stay in this house. I don't want to sleep here at night," she says. "My husband was the pillar of the family and when he died it was like the pillar of our house collapsing. Then my son was taken too."

Taken 10 years apart by cancer.

The sound of crying draws villagers to Feng's small courtyard. They have stories of their own.

Promised riches

They say Wuli was once famed for wooded hills and fertile soil. Government officials came in the 1990s and promised riches. "All the local officials did was fill their pockets with money," says an older woman angrily. During this period, a number of textile companies moved into Wuli, building their plants across town.

"All these factories should be moved, because they have caused the cancer," says one man, as others nod. "All of these factories should be removed from here."

They tell us that Wuli is now a "cancer village."

Can china breathe life into 'ghost towns'?

Rural exposure

The term surfaced a few years ago, when trailblazing Chinese journalists and activists like Deng Fei unearthed evidence of unnaturally high rates of cancer across China, mostly in rural areas dominated by industry.

Deng, who was working for a Hong Kong based magazine at the time, focused on the impact of water pollution in rural China.

"Since water is so important to people, the pollution has a more significant impact on people's health," he says.

"China is suffering from the negative impact of improper economic growth patterns. And the country will continue to pay the price for heavy pollutants in the future."

This year, facing public pressure, the government admitted that cancer villages exist. "China has been producing and utilizing toxic chemical products. Many places experienced a drinking water crisis and pollution caused serious social issues like the emergence of cancer villages," stated a document published in the wake of the cancer villages revelation.

Deng calls it a 'very significant step."

"Only by acknowledging the problem can we put real efforts in dealing with this issue" he says.

But for activists like Wei Donying in Wuli Village, the acknowledgment isn't enough.

She rolls out a fraying map on her living room floor. On her hands and knees, she places photos on different parts of map.

"Look at all these dead fish on the shore," she says, "and here, the canal turned red." Wei has charted the build up of toxic pollution for decades. In 2002 she had her own cancer scare, she says, when a tumor was removed. It was benign, she says.

She has complained, petitioned, and become a thorn in the local government's side. She says she has been harassed and threatened for her activism. Even on the day of our interview, what we believe is a state security officer took surreptitious photographs of us talking. She said they came to ask questions when we left.

She takes us on a walking tour past dyeing factories, textile mills, and weaving plants. "This factory just took 'chemical' off their name when we complained," she says. "We picketed outside this one recently." Security guards look nervously through the gate. "They know me well," she says.

"All I wish for is to breathe clean air, drink safe water and use uncontaminated soil. That's all I ask for, but I guess that is just too much to ask."

Accountability

Wei is convinced that that individual plants caused the cancer, but all of the factories dump their water, treated or not, into the same rivers, so it's nearly impossible to sort the polluters from the non-polluters.

Greenpeace calls the lack of accountability "the perfect smokescreen." In a recent study called "Toxic Threads," they contracted scientists to test water in the region and say they found at least a dozen toxic chemicals.

An official with the local government in charge of Wuli, who did not wish to be named, told us, "we are aware of the situation and we have been trying our best to combat the problems. It is our responsibility." They did not give any details of those plans.

Zhejiang province is the center of China's textile industry, the largest in the world. One way or another, this region services the majority of the world's famous clothing brands. Greenpeace has called for full transparency between suppliers and brands. They want factories to clean up their act or close.

But the relationship with industry here is more complex.

In the past 50 years this region has gone from subsistence farming to heavy industry. "We complain and petition, but it is pointless, ordinary people can never fight officials and win," a farmer tells us near Binhai Industrial park. So, like many others here, he works in a dyeing mill at night. He says it's a dilemma that they have to learn to live with.

High price

It may be the contradiction of Chinese growth, but for Feng Xaiofeng it is far simpler. She says that that industrial expansion in Wuli village has come at too high a price.

She says there is no way she can be sure, but she is convinced that the factories caused the cancer of her husband and son. She hopes that the government moves her from her empty house. "No one from the government ever bothered to come and see me or check on me."

"I am so sad. I have no more tears to shed," she says.

@highlight

Residents of Wuli village in eastern China refer to home as 'cancer village'

@highlight

Journalists, activists find evidence of extremely high rates of cancer across China

@highlight

Greenpeace, activists point to toxic pollution emitted from textile plants

@highlight

They say many factories dump their water, treated or not, into local rivers