New York (CNN) -- New York police on Sunday touted the impact of their much-criticized "stop, question and frisk" policy, claiming it has contributed to a spike in the number of firearms confiscated and coincided with what is shaping up to be a historically low murder rate.

Comparing numbers from the first three months of 2012 to the same period last year, the number of such stops increased 10% while the number of illicit guns taken away went up 31%, according to a New York Police Department statement from Deputy Commissioner Paul Browne.

Meanwhile, New York's murder rate has plunged 21% year-to-date as of last Friday -- meaning, if the current trend continues, the yearly number of murders in the city would be the lowest since such statistics first were recorded, as such, in 1963.

"New York City continues to be the safest big city in America, and one of the safest of any size, with significantly less crime per capita ... than even small cities," the department said.

Police cited Operation Impact and the "stop and frisk" policy as key reasons for the improving crime statistics. But the policy has been criticized sharply by some as grounds for racial profiling.

Donna Lieberman -- executive director of the New York Civil Liberties Union, which has described the practice as "unlawful and racially biased" -- blasted the latest release of data, accusing the police department of trying to "massage the numbers to make this look like an effective and worthwhile program."

"What (this policy) does is terrorize moms of color about the well-being of their sons, who have to navigate how to survive unwarranted intrusion into their activities by a police department for doing absolutely nothing wrong," she said Sunday in a statement.

Added Darius Charney, senior staff attorney for the New York-based Center for Constitutional Rights, "It is mind-boggling that, after years of public outcry and in the face of strong evidence that stop-and-frisk violates people's rights and does not make them safer, the NYPD has doubled down on this discriminatory and ineffective practice."

Another critic, City Council member Jumaane Williams, earlier this year questioned how the policy affects the police department's relations with minorities in the city.

"Communities are losing trust with the police, which is one of the biggest crime-fighting tools that we have," Williams said.

Minorities are far more likely than whites to be questioned under New York's program, according to police department statistics. Of those stopped and frisked -- 93% of whom were males -- 54% were African-American, 33% were Hispanic, 9% were white and 3% were Asian.

Yet the police department, including Commissioner Ray Kelly, has argued that the policy ends up disproportionately protecting those in minority communities. African-Americans and Hispanics made up 96% of all New York shooting victims and 90% of murder victims last year, police said. Therefore, a drop in such shootings citywide would logically equate to fewer minorities' being killed.

New York police pointed out there were 124 murders this year in the city through April 29, compared with 158 in Chicago -- which, with about 2.7 million people, has less than one-third of New York's population.

Those figures couldn't be clearly matched on the city of Chicago's website. Official crime data from Chicago did note 120 homicides in that city through April 20, while the Chicago Tribune's RedEye website recorded 169 homicides as of May 9.

"The continuing murder decline in New York is vindication of the NYPD's policy of engagement, which includes Operation Impact, police stop and questioning and use of the Real Time Crime Center to get timely information into detectives' hands as quickly as possible," New York police said in their statement Sunday.

Civil liberties advocate Lieberman acknowledged progress regarding crime, but disputed the idea that this can be credited to "stop, question and frisk" -- or that such trends aren't evident elsewhere without such policies.

"Crime has gone down and stop-and-frisk has gone up, but that doesn't meant that stop-and-frisk is (the) reason for reduction in crime. It's gone down in almost every city in the last decade," she said. "It's time for (Mayor Mike Bloomberg) and Police Commissioner Kelly to treat people of color as if they were their own families."

While 31% more firearms were recovered in the first quarter of 2012 compared to the same stretch one year prior, only 13% more weapons total were confiscated, according to police statistics. That is because most such seized weapons are knives, at about seven times the rate for guns.

The vast majority of those stopped, questioned and frisked walk free without punishment. According to data from 2012's first three months, 5% of those ended up being arrested and another 5% were served summons. Both rates are slightly below those from the previous year.

CNN's Nina Ibarra contributed to this report.

@highlight

NEW: Police "massage the numbers" to support "stop, question and frisk," a critic says

@highlight

NEW: Police "doubled down on (a) discriminatory and ineffective practice," says another critic

@highlight

Blacks and Hispanics are most likely to be stopped, and also be murder victims in New York

@highlight

Police say statistics show it works, pointing to a low murder rate and more guns seized