(CNN) --  For many Muslims it's the journey of a lifetime: making the Hajj pilgrimage. Almost 3 million faithful, together, in the city of Mecca, Saudi Arabia. But this year, the Hajj could become an incubator for the H1N1 virus.

At a Muslim community center in Duluth, Georgia, American Muslims pray and prepare for the Hajj. Lateefa Khan is here with her husband, Zakerullah. She has mixed emotions. They are leaving their children behind but say they look forward to the worship.

"It is very exciting. An amazing experience," Khan says. "I am looking forward to worshipping, focusing all my time on worshipping."

Khan will take precautions to avoid H1N1, also known as swine flu, at the Hajj. They'll carry hand sanitizer and will be "frequently washing our hands, trying to stay as clean as possible."

The Khans, along with a number of people at the center who are going on the Hajj, also are getting H1N1 inoculations.

Dr. Asif Saberi gives them a short lecture on how to prepare and encourages everyone to have their shots at least seven days before traveling. He says the Saudi government is doing a lot to protect pilgrims, but "the magnitude of the problem is the magnitude of the numbers of people who attend the Hajj."

When it comes to using hand sanitizer and wearing masks, Saberi says he encounters confusion about religious dictates and flu prevention. According to Muslim beliefs, for example, men in a state of pilgrimage should not wear any stitched items or touch alcohol. So what about wearing face masks or using alcohol-based sanitizers?

"One of the basic principles on which shariah (Islamic law) is based is the protection of the health," he says. "So if protection of the health is of such paramount importance, then the ritualistic significance of not wearing stitched clothes on your body is subservient to the need to maintain good health. And therefore wearing a mask is important. Using the sanitizer, which prevents this disease from spreading to others, is important."

Saudi Arabia has been preparing for the influx of millions of pilgrims. It won't turn away anyone who wants to come to the Hajj, but it is urging other countries not to let children younger than 12, people older than 65 or pregnant women make the pilgrimage.

The Saudi health minister went on television with his daughters, publicly getting their H1N1 flu shots, part of a campaign to alleviate fears about the vaccine.

The kingdom also is using sophisticated technology -- thermal screening equipment at entry points and mobile devices to document suspected cases of the flu.

Dr. Ziad Memish, assistant deputy to the Saudi health minister and co-author of a paper on Hajj and H1N1 published in Science magazine, said the government consulted 25 international experts, who joined with 25 Saudi experts, to discuss how to prepare.

"We had the team inspect the airport, the seaport, the regional lab that tests for the influenza," he said. "And then we had a review of all the evidence regarding the different strategies that should be used to prevent the spread of the disease during the mass gathering of the Hajj.

"We have relied on a collaborative program with the U.S. Centers for Disease Control and Prevention, where they are helping us setting up a system that was used in the Hurricane Katrina disaster, and I think the system has already been tested and it is working perfectly well."

In Washington, Louise Gresham, director of health security and epidemiology at the Nuclear Threat Initiative -- which also works to reduce global biological threats -- looks at a report tracking the spread of H1N1 in the Middle East. Gresham describes the risks:

"Picture, if you can, that 1 million people will come together in a single mosque at any given time during the Hajj. Picture that crowding over an extended period of time, and that's a test. A test not just for each individual pilgrim, but it is a real test for disease detection."

The Nuclear Threat Initiative supports a groundbreaking surveillance system in the Middle East, called the Middle East Consortium on Infectious Disease Surveillance. It brings together public health leaders and representatives from academic institutions and private health care facilities in Jordan, Israel and the Palestinian Authority. It was started seven years ago, during the height of the Israeli-Palestinian conflict.

"They actually started writing a plan for food-borne disease outbreaks, but they started a pandemic preparedness plan," Gresham says. "When H1N1 came along, this put them in a perfect position, because they were practiced, they were rehearsed and they had built great, great trust."

As part of this cooperation, Israel is supplying Gaza and the West Bank with H1N1 vaccinations for those who make the religious journey.

That trust, plus international cooperation, will be crucial in protecting pilgrims.

For those like Fayzah Abu Ayadah, faith outweighs fear.

"Even if we die there, it is not important," the Palestinian says. "The important thing is to go for the Hajj."

@highlight

Health officials fear Hajj could help spread H1N1 virus

@highlight

Muslims from all over the world travel to Mecca for Hajj

@highlight

Authorities offer advice on how to minimize risk

@highlight

Hajj will provide real test for disease detection, official says