(TIME.com) -- Forget brain-training exercises, 12-hour shifts and those long, uninterrupted, caffeine-fueled study binges. When you really need new information to sink in, you can't skimp on taking breaks, new research suggests.

That's the message from a study by psychologists and neuroscientists at the University of Edinburgh, in Scotland, who asked a small group of normally aging elderly men and women to recall as many details as possible from two stories they were told.

Following one of the stories (but not always the same one for all the participants), the men and women were instructed to relax, take a brief break and close their eyes for 10 minutes in a dark room. Following the other story, those same participants were instead distracted with a new task, spotting the differences between pairs of nearly identical images.

Overall, the study participants remembered many more details of whichever story they heard before they were told to rest — and their striking memory boost persisted even a full week out after the story-telling.

Take heed, students, doctors and anyone else who has to process large amounts of information: the elderly may worry most about memory, but given what we know about how memories form, these new findings have implications for people of all ages.

TIME.com: Quizzes help the brain learn

Previous research has already shown that both the young and the old have better recall of, say, a list of words if they're allowed to rest for a few minutes in between learning the words and then regurgitating them. What this latest study adds, however, is evidence that a few minutes of wakeful rest may have an effect even on long-term memory consolidation.

In fact, when we first encounter new information, it seems, we are probably "just at a very early stage of memory formation," according to Michaela Dewar, the research fellow who is first author on the new study. "Further neural processes have to occur after this stage for us to be able to remember this information at a later point in time," she told reporters.

Those neural processes don't have to be consciously planned, however. Research on rats has shown the animals will "re-play" in their brains the things that have just happened to them — things like walking through a maze — if they are given some idle time.

Scans of human brains suggest that people do the same thing, and, importantly, that this brain activity occurs automatically, without people having to think about it. The volume of that brain activity is then linked to memory retention later.

TIME.com: Want to sharpen your mind? Drop a few pounds

Similarly, there is a growing body of evidence on the crucial role of sleep in memory consolidation. The precise mechanisms are not well understood, but sleep seems important both for "declarative" memory (remembering facts) and especially for "procedural" memory — remembering how to do things, like learning to ride a bike or to play scales on a piano.

In fact, it's even been suggested that sleep's major role in procedural memory is the reason that infants spend most of their lives asleep; they need that time, perhaps, to consolidate new memories about how to control their young bodies.

TIME.com: Are e-books harder to remember?

But if resting, either while awake or asleep, is so important for memory consolidation, then it's unfortunate there seem to be so very many distractions everywhere we turn.

"In this day and age of information overload there are few opportunities to sit back and rest," Dewar and her colleagues write in their new paper, to be published in Psychological Science.

Whether at work or at school, to learn new tasks well, it may help to schedule in some genuine down time.

This article was originally published on TIME.com

To boost memory, shut your eyes and relax

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Researchers in Scotland asked study participants to remember details of two stories

@highlight

Those who shut their eyes for 10 minutes in a dark room remember more than others

@highlight

Memory boost lasted a full week after the study took place