(CNN) -- With the 10th anniversary of 9/11 just weeks away, the rebuilding of the World Trade Center in New York goes on round the clock -- reshaping the skyline.

As one construction crane lifts steel beams atop One World Trade Center -- the skyscraper taking the place of the Twin Towers -- another simultaneously delivers loads of concrete a few floors below. The steel frame can be seen from miles around now rising stoically above lower Manhattan. Hundreds upon hundreds of construction workers below scurry about like little ants. They're putting the finishing touches on the 9/11 Memorial Plaza, building the new transportation hub and erecting 4 World Trade Center, another impressive office tower at the site.

The redevelopment of the site is taking place at a fast pace; One World Trade Center rises at the rate of one floor per week. It's expected to be 80 stories tall when people gather on the plaza for the 10th anniversary of the terrorist attacks that destroyed the buildings and took the lives of 2,753 people.

"It is a towering building and it's a building of towering strength," said Chris Ward, executive director of the Port Authority of New York & New Jersey, which owns the site and oversees the construction.

The new 1 World Trade Center will fill the void in the skyline left behind when the Twin Towers collapsed. "I think it balances the New York City skyline," Ward said. "The glass that it's sheathed in will be so bright and the mast going to 1,776 feet, I think, will be the point of reference for the entire region for the next hundred years."

Obama, Bush to be at 9/11 anniversary ceremony, N.Y. mayor says

While the building is taking the place of the Twin Towers, only time will tell whether it will be a fitting substitute for the monoliths that anchored lower Manhattan for the better part of three decades. Those two buildings were more than just concrete, steel and glass to so many people across the country, and especially to New Yorkers.

"When the Twin Towers were gone I felt disoriented in the city for a long time," said Brian Rose, an architectural photographer with a degree in Urban Planning. He started taking pictures of the Towers from just about every angle imaginable in the late 1970s. Some of those photographs appear in his self-published book titled WTC.

"I started photographing the Lower East Side and I saw distant views from the Lower East Side where the Twin Towers were there," said Rose. "Then, I photographed Lower Manhattan as part of a project. ... The Twin Towers became very present in those pictures."

It was hard not to include the towers. Rose would see them as he drove toward the city on the New Jersey Turnpike. There was the view from Kennedy Airport of the buildings rising above the New York skyline way off in the distance. But he most liked the glimpses that he would catch of the Twin Towers rising between smaller buildings as he looked downtown on many of the city's streets.

"The buildings were really signposts. If you came out of the subway anywhere in the city and you were a little bit disoriented at first you could always look one way or the other and see the Twin Towers," Rose said. "It was almost like a needle of a compass for me."

He called the destruction of towers "a kind of civic vandalism on an epic scale."

Fire truck lowered into 9/11 Memorial in honor of its lost crew

On September 11, 2001, Rose found himself in Amsterdam helplessly watching on TV as the Twin Towers came down. "It was gut-wrenching. I didn't even realize it until then that I had such a personal relationship with these buildings. I realized that I had been photographing them for much of my adult life."

He returned to New York as soon as flights resumed and he quickly made his way to lower Manhattan to see the destruction for himself. He had his camera in hand but he found it difficult to take pictures. The days and weeks that followed were filled with depression, anxiety and many sleepless nights for Rose.

What's your 9/11 story? Share it with CNN iReport

As he spoke in the shadow of 1 World Trade Center, the building grew taller by the minute. "I'm not unhappy to see these buildings going up," said Rose. "I'm not sure in the end whether it's the right thing. I don't think anybody knows whether re-creating the World Trade Center is what should have happened or not."

At first, he agreed with most people that something needed to go up in the place of the Twin Towers to once again anchor the city. "I was pretty certain that we needed to do that; there needed to be a very tall building with a spire downtown." But Rose's feelings have evolved over time. "I think I am in a wait-and-ee attitude right now. I want to see what this building, which is about two-thirds of the way up now, I want to see how it really functions on the skyline."

Spielberg part of 'Rising: Rebuilding Ground Zero'

The destruction of the Twin Towers left behind a tremendous scar in the city's skyline and in the psyche of New Yorkers. Rose thinks 1 World Trade Center has the potential to heal that scar. "I hope so. I don't think it's a sure thing," Rose said. "I don't think building buildings is ever a sure thing -- how it's going to work out in a city, especially a complex city like this one."

But he is happy to see something new taking shape in lower Manhattan. Rose said after 9/11, "The city moved forward and one way to move forward is to build. That's what New York has always been about -- not dwelling in the past and moving on. I'm not sure the rest of the country is ready to move on but I think New York is."

Rose is taking pictures of One Word Trade Center as it rise above Ground Zero. He sees it as a continuation of his work photographing the Twin Towers. But he's not sure the building can ever be a substitute for what once stood on the site.

Atheist group wants to stop World Trade Center cross

@highlight

Photographer Brian Rose started taking pictures of the Twin Towers in the late 1970s

@highlight

Rose's photographs appear in his self-published book "WTC"

@highlight

Rose: "When the Twin Towers were gone I felt disoriented in the city for a long time"