(CNN) -- If there's a top reason pubs are popular in Ireland, it's got to be the weather. Gray skies and chilly Atlantic mists have a way of driving you indoors to drink.

But those who prize challenge over comfort will find outdoor adventures year-round in every corner of the country. Some, like surfing, are well-established activities in Ireland; others, like skiing, are not. All of them, though, promise the satisfaction of knowing that you didn't let wind or rain stop you from having fun. And after you've donned that wetsuit or climbing harness, you know a pint of the black stuff is going to taste oh, so much better.

Here are six activities to help you work up a thirst:

Riding the waves

Among surfers, Ireland has developed a reputation for thrilling waves. Taste the fun at the West Cork Surf School (soon to be called Inchydoney Surf School). The beach's gradual gradient makes it good for beginners, said school owner Colum McAuley. "When the waves break, they roll in for a long distance so you have a lot of time to get to your feet."

Still, rip currents are a danger at any beach, and the school emphasizes safety. Lessons run on weekends from October to May and daily from June to September. One two-hour lesson is about $45 and students can arrange additional lessons on consecutive days for a lower rate (a five-day course is about $180). Wetsuits and all equipment are provided. Call to book lessons. Westcorksurfing.com 353-86/869-5396

An Irish chef's picks for St. Paddy's fun

Peaceful paddling

Kayaks let you appreciate Irish waterways without (necessarily) getting soaked. The Outdoor Discovery Adventure Co. specializes in kayaking and is based in the midlands, a region laden with rivers, lakes and canals but one that attracts relatively few tourists. Courses cater to a range of skill levels from From Learn to Kayak to Advanced Whitewater. There's also body boating, in which riders lie head first on a "bellyak" and paddle with their arms.

Guided half-day activities cost about $58 for adults and $45 for kids with equipment, helmet and lifejacket included. The company operates year-round, at various locations in Ireland for groups of four or more people. Call or book online. Outdoordiscovery.ie 353-87/272-1245

10 tours for every kind of drinker

Hurtling downhill

The sight of large, transparent spheres tumbling down hillsides makes zorbing strangely beautiful to watch from afar. Yet anyone inside the plastic zorb ball, hurtling head over feet at high speed, is more occupied with adrenaline than aesthetics.

Adventure West, on the west coast in County Mayo, has worked with the sport's New Zealand-based inventors to design a course and offers two versions of zorbing, harnessed and hydro. Harnessed is described as "more extreme" and faster; it's also more likely to be canceled if winds pick up. For hydro, warm water is pumped into the ball to create a kind of rolling water slide. With two people in a ball, both versions cost about $17 per person for the first roll and $13 for the second. Open weekends and holidays in the spring, daily July-August, and for groups only September-October. Adventurewest.ie 353-87/362-7828

Easy drinking green for St. Paddy's Day

Hit the slopes?

The prospect of skiing in Ireland, where the mean winter temperature is roughly 42 degrees, may be hard for Coloradans and Vermonters to take seriously. But if you're in the market for a beginner's lesson on the slopes, the Ski Club of Ireland is a unique low-key place to try one.

Located in south Dublin and accessible by city bus, the Ski Club is a not-for-profit organization dedicated to promoting skiing and snowboarding. Its outdoor slopes are made of Dendix and Snowflex, synthetic bristled materials that are misted to create a slick surface substituting for real snow. The facility is open all day on weekends and on evenings during the week from September through March. Inexperienced skiers and snowboarders must take classes; one 90-minute class is about $59 or $37 for teens including equipment rental (there are special classes for younger children). Skiclub.ie 353-1/295-5658.

Catching air

Combining surfing with airborne interludes, kitesurfing can accurately be called an extreme sport. Start off slow at Sky High Kitesurfing in Tramore, County Waterford. Lessons begin with a bit of theoretical background and then proceed to the water, where you'll be strapped to small (2-4 meter) kites that owner Barry Drea describes as "very controlled," even when used by a lightweight adult or a child.

A one-day, three-hour course is about $130, including equipment and wetsuits; for about $470 you can take a three-day, 12-hour course designed to teach proficiency. Drea allows no more than three students per instructor but can also arrange private lessons tailored to individual needs. Lessons run year-round, but must occasionally be rescheduled if winds are either too strong or nonexistent. Call or complete an online inquiry form for more information. Skyhigh.ie 353-87/790-7480

Climb up

Ireland's mountains have long beckoned to wanderers -- Croagh Patrick in County Mayo is named for the saint, who supposedly fasted on its summit. That scaling tradition has translated into an embrace of rock climbing as a sport, and shouts of "On Belay!" now echo through the country. Vertigo Outdoor, based in scenic County Wicklow, will help you get to grips with a rock face. The company offers courses for beginners, as well as those who are learning to lead.

Most sites are in the Dublin and Wicklow area, but clients can arrange to go farther afield -- to western sea cliffs, for example, or up Ireland's highest mountain, Carrantuohill, "the hard way," says operator Rob Davies.

Half- and full-day courses are about $52/$98 per person when at least two people sign up. Family Rock Fun, a two-day course, holds the promise of quality bonding time and costs about $520 for a family of four. For more information, call or fill out a booking form online. vertigo-outdoor.com 353-87/997-1242

@highlight

Ireland's gray skies make going to the pub practically irresistible

@highlight

But why not stave off that Guinness belly with some pulse-pounding activities?

@highlight

Try kitesurfing, zorbing or rock climbing before you duck in for a pint or two