(CNN)Sharp angles, fragmented glass, scaffolding, bright lights, looming robotics -- these elements tower over ghostly, apparition-like people scurrying to and from their destinations.

In these images, amid bustling city of Tokyo, the overflow of people looks almost like rushing water -- no more than a fleeting presence.

In a generation where photographs are taken to establish a person's presence, marking where they are, where they've been and whom they were with, photographer Matthew Pillsbury's work takes a different approach.  The people in his work have an evanescent quality.

"The fact that the static elements, the city, the spaces, remain sharp, but the people are the ones fading -- it certainly is something that makes us question how our time is finite and how are we spending that time," says Pillsbury.

It is this very transient, otherworldly aspect of photography that's captivated him.

"When using longer exposures I'm also capturing something that is only visible in a photograph, but yet we know it to be fundamentally true."

Pillsbury, born to American parents in France, has had a deep-seated love for cultural exchange and expressing that through the medium of photography. This art form he says, allows him to capture a "given period of time in a single image, and in doing so it allows us a reflection that's just a different experience."

Reflection is exactly what Pillsbury has been achieving with his work for over the past decade. On crowded city streets, a long exposure will only capture those who stand still for a moment.  With the clear implications of mortality in his imagery, Pillsbury stresses the importance of asking questions with his art as opposed to offering a solution or supplying answers.

Many of his previous works have focused on the use of technology in modern life and our interaction with humanity as a result.  The project Tokyo, which was recently featured in the Benrubi gallery in New York, took a different look at technology as the landscape in which people move around.

What drew Pillsbury to Tokyo was the dichotomy of a culture that was caught in a dance between past and present: Holding onto traditions, ancient temples, festivals and ceremonies while embracing technology and modernism.

Places like Robot Bar, are standard in the city. Pillsbury describes the scene as a restaurant mixed with a rock concert and a nightclub. This loud, boisterous environment is a magnet for the younger generations.

Yet the older customs and generations still have a large influence. The two worlds collide when the cherry blossoms bloom.

When the winter breaks and warm air is ushered in, and the first cherry blossoms bloom, an announcement goes out in the paper, marking the countdown till full bloom.  And then the city stops everything else to focus with eager anticipation on preparing for the festivities.

During full bloom all generations are accounted for -- out meandering on sidewalks and picnicking on the lawn. Throngs of people are greeted by lanterns hanging from scaffolding at the first Hanami. Even in the pouring rain the festivities continue, and as the blossoms fall from the trees, people stop to clap.  Those that stop to soak in the moment are the only ones that appear sharp in Pillsbury's photographs.

When capturing moments like this, Pillsbury is guided by the available light.  "What I love about using long exposures is that there is only so much I can anticipate about what the actual result is going to look like and the fact that I still am often surprised by the result is part of the magic to me."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

The element of surprise makes a shot more compelling for Pillsbury -- reacting to the reality around him, instead of forcing his ideas onto the landscape.

While most of photography is about asserting a human presence, the poeticism of Pillsbury's work is that it echoes our sense of time passing.

Matthew Pillsbury is an American photographer based in New York. He is represented by Benrubi Gallery.

@highlight

Photographer Matthew Pillsbury took long exposure photographs using only available light

@highlight

Pillsbury's project Tokyo was recently exhibited at the Benrubi Gallery in New York