Abu Dhabi, United Arab Emirates (CNN) -- This month, CNN's Inside the Middle East explores some of the Middle East's archeological treasures.

Steeped in history, the Middle East has more than its fair share of ancient treasures and UNESCO World Heritage sites.

From Petra, the red-hued city carved into the rock of southern Jordan's dramatic desert to the old walled city of Shibam in Yemen and the beautifully preserved Roman ruins of Baalbek in Lebanon, Inside the Middle East chooses 10 of the region's must-visit historical sites.

Baalbek, Lebanon

Known as the "City of the Sun," Baalbek in the Lebanon's fertile Bekaa Valley is among the best -preserved Roman ruins in the Middle East. Built on a magnificent scale that rivaled even ancient Rome, pilgrims from across the empire flocked here to worship. Today, Baalbek hosts an annual arts festival making it a major cultural hub as well.

Persepolis, Iran

Located some 70 kilometers from the modern city of Shiraz, the once mighty city of Persepolis was the capital of the Persian Empire. Founded in the 6th century B.C., Persepolis was a complex of elaborate palaces built by Darius the Great, a king of the First Persian Empire. Centuries later, although a shadow of its former glory, the site's monumental stairways and the stone terrace survive.

Shibam, Yemen

Famed for its distinctive architecture, the 16th century walled city of Shibam in Yemen is often called the "Manhattan of the desert" for its impressive tower-like structures. The city grew up because of its location as an important caravan halt on the spice and incense route across the Southern Arabian plateau.

Old Jerusalem

A holy place for Judaism, Christianity and Islam, Old Jerusalem has long held great significance. Reflecting this, the winding streets inside the ancient walled city are divided into the Jewish, Christian, Muslim and Armenian quarters. Among Old Jerusalem's many holy sites, the Dome of the Rock is probably the most recognizable: Dating back to the 7th century, it is recognized by all three religions as the site of Abraham's sacrifice.

Karnak, Egypt

Karank near Luxor is a great religious temple complex full of sanctuaries, kiosks, pylons, obelisks and, notably, the Great Temple of Amun. Much of the complex is dedicated to Amun, a major god in Egyptian mythology. Karnak is the site's modern name, its ancient name was Ipet-isut or "The most select (or sacred) of places."

Crac des Chevaliers, Syria

This crusader castle in Homs dates back to the 11th century and was first inhabited by Kurds, giving it its other name Hisn al Akrad or "Castle of the Kurds." It was rebuilt and occupied by the crusaders until 1270 and is now a UNESCO world heritage site.

Mada'in Saleh, Saudi Arabia

This pre-Islamic archaeological site is the first UNESCO world heritage site in Saudi Arabia. The majority of the Mada'in Saleh site is a vestige of the mysterious Nabatean civilization which existed around over 1,000 years ago. The site is the kingdom's largest and southernmost settlement after Petra, its capital, situated some 500 kilometers to the north in Jordan.

Troy, Turkey

First occupied by humans in the Bronze Age, Troy is one of the most famous ancient sites in the world. It is the site of the siege of Troy by the Spartan and Achaean warriors from Greece in the 13th or 12th century B.C. -- an event immortalized by Homer in the Iliad.

Carthage, Tunisia

Carthage was founded by the Phoenicians in the 9th century B.C on the Gulf of Tunis and because of its strategic location developed into a great trading empire covering much of the Mediterranean. Carthage was destroyed by the Romans in 146 B.C. in the Punic wars. A new Carthage was then rebuilt on Roman designs on the ruins of the first.

Babylon, Iraq

A center of ancient Mesopotamia, Babylon's Hanging Gardens were a wonder of the ancient world. Babylon was most prominent during the reign of Nebuchadnezzar II (605-563 B.C.) and today its ruins, situated 85 kilometers from Baghdad, serve as a reminder of Iraq's rich ancient history.

@highlight

This month on Inside the Middle East, CNN explores some of the region's archeological treasures

@highlight

Inside the Middle East chooses 10 of the region's must-visit historical sites

@highlight

Locations include the Roman ruins of Baalbek, the great temple at Karnak and the once-lost city of Troy