A respiratory virus is sending hundreds of children to hospitals in Missouri and possibly throughout the Midwest and beyond, officials say.

The virus causes symptoms like a cold, except worse, and is prompting up to 30 children a day to seek care at one Kansas City hospital, where about 15% of the youngsters were placed in intensive care, officials said.

In a sign of a possible regional outbreak, Colorado, Illinois and Ohio are reporting cases with symptoms similar to the same virus and are awaiting testing results, according to officials and CNN affiliates in those states.

In Kansas City, about 450 children were recently treated at Children's Mercy Hospital, and at least 60 of them received intensive hospitalization, spokesman Jake Jacobson said.

"It's worse in terms of scope of critically ill children who require intensive care. I would call it unprecedented. I've practiced for 30 years in pediatrics, and I've never seen anything quite like this," said Dr. Mary Anne Jackson, the hospital's division director for Infectious Diseases.

"We've had to mobilize other providers, doctors, nurses. It's big," she said.

The Kansas City hospital treats 90% of that area's ill children and noticed an initial spike on August 15, Jackson said.

"It could have taken off right after school started. Our students start back around August 17th, and I think it blew up at that point," Jackson said. "Our peak appears to be between the 21st and the 30th of August. We've seen some leveling of cases at this point."

Full scope unknown

An analysis by the Centers for Disease Control and Prevention showed at least 19 of the Kansas City children tested positive for Enterovirus D68 (EV-D68), according to the Missouri Department of Health and Senior Services.

Vaccines for EV-D68 aren't currently available, and there is no specific treatment for infections, the Missouri agency said.

"Many infections will be mild and self-limited, requiring only symptomatic treatment," it said. "Some people with several respiratory illness caused by EV-D68 may need to be hospitalized and receive intensive supportive therapy."

Some cases of the virus might contribute to death, but none of the Missouri cases resulted in death and no data is available for overall morbidity and mortality from the virus in the United States, the agency said.

Symptoms include fever, body and muscles aches, sneezing, coughing and rash, one hospital said.

Jackson said physicians in other Midwest states reported cases with similar symptoms.

"The full scope is yet to be known, but it would appear it's in the Midwest.  In our community, meticulous hand-washing is not happening. It's just the nature of kids," Jackson said.

"Worst I've seen"

Denver also is seeing a spike in respiratory illnesses resembling the virus, and hospitals have sent specimens for testing to confirm whether it's the same virus, CNN affiliate KUSA said.

More than 900 children have gone to Children's Hospital Colorado emergency and urgent care locations since August 18 for treatment of severe respiratory illnesses, including enterovirus and viral infections, hospital spokeswoman Melissa Vizcarra told CNN. Of those, 86 have been sick enough to be admitted to the Aurora facility.

And Rocky Mountain Hospital for Children had five children in intensive care and 20 more in the pediatric unit, KUSA said this week.

"This is the worst I've seen in my time here at Rocky Mountain Hospital for Children," Dr. Raju Meyeppan told the outlet. "We're going to have a pretty busy winter at this institution and throughout the hospitals of Denver."

Will Cornejo, 13, was among the children in intensive care at Rocky Mountain Hospital for Children after he came down with a cold last weekend and then woke up Tuesday night with an asthma attack that couldn't be subsided with his medicine albuterol. His mother, Jennifer, called 911 when her son's breathing became shallow, and her son was airlifted to the Denver hospital, she told KUSA.

Her son was put on a breathing tube for 24 hours.

"It was like nothing we've ever seen," Jennifer Cornejo told KUSA. "He was unresponsive. He was laying on the couch. He couldn't speak to me. He was turning white and his lips turned blue.

"We're having a hard time believing that it really happened," she added. "We're much better now because he is breathing on his own. We're on the mend."

Restricting kids' visits with patients

In East Columbus, Ohio, Nationwide Children's Hospital saw a 20% increase in patients with respiratory illnesses last weekend, and Dr. Dennis Cunningham said patient samples are being tested to determine whether EV-D68 is behind the spike, CNN affiliate WTTE said.

Elsewhere, Hannibal Regional Hospital in Hannibal, Missouri, reported "recent outbreaks of enterovirus infections in Missouri and Illinois," the facility said this week on its Facebook page.

Blessing Hospital in Quincy, Illinois, saw more than 70 children with respiratory issues last weekend, and seven of them were admitted, CNN affiliate WGEM reported. The hospital's Dr. Robert Merrick believes that the same virus that hit Kansas City is causing the rash of illnesses seen at the Quincy and Hannibal hospitals, which both imposed restrictions this week on children visiting patients, the affiliate said.

"Mostly we're concerned about them bringing it in to a vulnerable patient. We don't feel that the hospital is more dangerous to any other person at this time," Merrick told WGEM.

Blessing Hospital is working with Illinois health officials to identify the virus, the hospital said in a statement.

While there are more than 100 types of enteroviruses causing up to 15 million U.S. infections annually, EV-D68 infections occur less commonly, the Missouri health agency said. Like other enteroviruses, the respiratory illness appears to spread through close contact with infected people, the agency said.

"Unlike the majority of enteroviruses that cause a clinical disease manifesting as a mild upper respiratory illness, febrile rash illness, or neurologic illness (such as aseptic meningitis and encephalitis), EV-D68 has been associated almost exclusively with respiratory disease," the agency said.

Clusters of the virus have struck Asia, Europe and the United States from 2008 to 2010, and the infection caused relatively mild to severe illness, with some intensive care and mechanical ventilation, the health agency said.

To reduce the risk of infection, individuals should wash hands often with soap and water for 20 seconds, especially after changing diapers, avoid touching eyes, nose and mouth with unwashed hands; avoid kissing, hugging and sharing cups or eating utensils with people who are sick; disinfect frequently-touched surfaces such as toys and doorknobs; and stay home when feeling sick, the Missouri agency said.

Rare outbreak in Tokyo as WHO warns of spread of dengue fever

Sierra Leone plans nationwide lockdown to stop spread of Ebola

@highlight

900 severe respiratory illness cases at Denver hospital, urgent care, says official

@highlight

Missouri doctor calls situation "unprecedented" in terms of kids in intensive care

@highlight

"This is the worst I've seen in my time," a Colorado doctor says

@highlight

Enterovirus D68 (EV-D68) causes respiratory illnesses like a cold, only worse