(CNN) -- It's your first day at university and you've got 15 minutes to get to room 9-209. Easy, right?

What if the campus is a labyrinth of unfamiliar buildings stretching over a whopping 168 acres? Suddenly, finding that room feels a bit like locating a particular grain of sand at the beach.

Never fear, SkyCall is here -- a flying robot that guides you to your destination, pointing out important landmarks along the way.

It might seem like a scene from a sci-fi film, but at the Massachusetts Institute of Technology (MIT), these high-tech drones are helping students navigate the maze-like site -- and could soon be escorting the rest of us around difficult environments too.

"MIT campus is quite complex, it has a lot of buildings, and sometimes people do get lost," said Carlo Ratti, director of the institute's Senseable City Lab, which created the futuristic device.

"We had a lot of new students on campus, and saw this as a good opportunity to test it," he added. "It's a mere step towards using SkyCall in more complex situations, such as search-and-rescue missions."

Only a SkyCall away

So how does this floating tour guide work? After downloading the SkyCall app to their smartphones, visitors call the robot, which tracks their GPS location and flies to the rescue.

They then type the room number into their mobiles, and SkyCall guides them there -- pointing out landmarks using a small speaker.

Watch: Flying robots' aerial acrobatics

Cruising at a leisurely 6 kilometers per hour (3.7 mph), the quadropcopter -- featuring four propellers -- has enough battery power to last 15 minutes.

In-built sonar sensors ensure SkyCall doesn't crash into obstacles. And should the visitor fall behind at any point, the clever copter will wait for them to catch up -- much like a real-life tour guide.

"People were having a lot of fun with it -- it's kind of like an unusual travel companion," said Ratti.

"It can travel 1 mile (1.6 kilometers), but this could easily be a lot more if you have a bigger battery. At the moment it's more of an experimental project."

High-flyer

Indeed, it's hoped that in the future, SkyCall could be developed into everything from city guides for tourists, to rescue robots for survivors of disaster sites.

Featuring an in-built camera, the device could relay footage back to others -- particularly useful in rescue missions. Or it may link-up to the user's phone, giving them a bird's eye view of the journey.

Watch: Robots inspired by birds

The researchers at MIT's Senseable City Lab are looking at other ways drones could be used in everyday life.

"Drones have had quite bad press because of the military implications," explained Ratti. "But this project this is about helping people.

"We are trying to look at the positive side of drones -- people controlling drones, rather than the skepticism around drones controlling people."

Senseable design?

SkyCall is part of a bigger program at Senseable City Lab, exploring how people could use new technology in urban environments.

Other projects include robotic bartenders, or devices to measure road rage while driving.

"We have many applications that will help us carry out our everyday tasks," said Ratti.

"I think in the case of SkyCall -- and drones in general -- people find it quite intriguing to have a flying companion."

Could SkyCall be our high-tech guardian angel of the future? At the very least, it could make the first day of university a lot less daunting.

@highlight

Introducing SkyCall, the flying robot turned personal tour guide

@highlight

Students at MIT have been using drone to navigate maze-like campus

@highlight

Quadrocopter is brainchild of MIT scientists, hope to use technology in rescue missions