(CNN) -- On separate trips to Guatemala and Zambia in the late 1980s and in the early 2000s, we each saw the devastating effect of the water and sanitation crisis firsthand. We saw a world in which basic needs went drastically unmet -- where a lack of safe water and sanitation robbed men, women and children of health, hope and even life.

In the time it takes us to fill a glass of water -- about 21 seconds -- a child in some part of the world has died because of water-related disease.

Watch video: Gary White on the ubiquitous force

The disturbing fact is that we've known how to deliver safe water and basic sanitation to people for more than 100 years. So, why are people still dying today because of it? Can you imagine if we had a cure for HIV/AIDS and millions of people continue to perish because of the inability to deliver treatment?

It would be outrageous.

Yet, more than 3.4 million people die each year from water, sanitation and hygiene-related causes. Most of these illnesses and deaths can be prevented.

For example, diarrhea remains the second-leading cause of death among children younger than 5 globally. Nearly one in five child deaths -- about 1.5 million each year -- is because of diarrhea. It kills more young children than AIDS, malaria and measles combined.

Knowledge of that alarming reality drove us to action.

In 2009, we co-founded Water.org, an organization dedicated to ending this crisis in our lifetime. From the beginning, we focused on finding solutions that won't depend solely upon charity. We came up with WaterCredit, which applies the principles of microfinance to the water and sanitation sector. Through the program, individuals take affordable, small loans to finance the water and/or sanitation solution that works for them.

According to our internal analysis, we've empowered more than 1 million people to gain access to safe water or sanitation. Our research also shows that investment in WaterCredit reaches five to 10 times as many people as a traditional grant over a 10-year period. At the current rate, we believe we could end the global water and sanitation crisis for nearly 100 million people by 2020.

Safe water and toilets change everything. When you see the difference it makes in a community, it's the difference between night and day.

We met lively, excited children, and women moving with ease and natural, joyful energy. We spent time with a group of children at a school where they demonstrated hand-washing techniques and talked about the important things in life -- their classrooms, their teachers and friends.

We know about Muddumare, who was living with many family members in in a village outside of a rapidly growing city in India. "We have 16 people in the house. Five years ago, we constructed our home by taking out a loan but we did not build a toilet. Nobody had a toilet in the village, and no one thought about having one in the house," said Muddumare. "All of us used to go out in the open for defecation. But now as the population is increasing, there is no space for this."

Muddumare said his children are all becoming more educated and doing more "modern" work. He questioned how he and the family could go on defecating out in the open. Given the progress the world around him was making, it seemed ironic to him that his family did not have a toilet in the home.

Muddumare made the decision to construct a toilet to make life better for his family.

By taking out a WaterCredit loan of 7,000 rupees ($112 U.S. dollars) from Water.org's local microfinance partner, the Organization for the Development of People, he was able to build a toilet. He has 3 acres of land where he grows groundnuts, sorghum and finger millet. The yield from his crops helps him earn money, which he uses to repay the loan amount in easy monthly installments.

Having a toilet means his family no longer was hindered by the time-consuming and physical constraints of open defecation. The change improved productivity and restored dignity. For many others, it saved health and transformed lives.

We hope that in the coming year, more organizations, both in the private and public sector, will double down on water and sanitation-related investments. Together, we can accelerate the pace of progress against the enormous but solvable crisis.

The opinions expressed in this commentary are solely those of Matt Damon and Gary White.

@highlight

Matt Damon, Gary White: Millions die each year from lack of safe water and sanitation

@highlight

Damon, White: With WaterCredit program, we could help end the global water crisis

@highlight

They say clean water access improve productivity, restore dignity and transform lives

@highlight

Damon, White: We hope more people will get involved with this big but solvable crisis