Americans are told we need to have a national conversation in which we talk about race. 

And yet, when we have horrific crimes with white victims where the alleged perpetrators are African-American or Latino, we're told that we can't talk about race. 

This isn't true when the roles are reversed. If the victims are African-American or Latino, and the alleged perpetrator is white, we talk about race until our throats go dry.

Confused? Join the club. 

If Americans don't understand it, how are we to explain any of this to the grieving family of Christopher Lane, a 22-year-old college baseball player from Melborne, Australia, who was recently gunned down while jogging in a neighborhood a world away -- Duncan, Oklahoma? 

According to police, the evidence suggests that the shooting was not premeditated and random. It could have been part of a gang initiation, according to a theory floated by the father of a boy who the three teenagers allegedly tried to recruit.     

But here's the headline: Prosecutors say that the killing was not about race, despite the fact that one alleged assailant left a long cyber trail on social media where he talked about hating "woods" (derogatory slang for white people) and glorified guns and violence.

"At this point, the evidence does not support the theory that Christopher Lane was targeted based upon his race or nationality," said District Attorney Jason Hicks. 

Eric Deggans: When racial clichés drive murder stories

As ghoulish as it sounds, it may be that the three teenagers responsible for the shooting -- 15-year-old James Edwards and 16-year-old Chancey Luna, who have been charged with first-degree murder, and 17-year-old Michael Long, who has been charged with being an accessory after the fact to murder for driving the car -- were simply bored and decided to kill someone. Unfortunately for Lane, who was visiting his girlfriend and her family, he was that someone. 

This could have been the media's narrative of the Oklahoma slaying, just another senseless act by messed-up teenagers who were raised on video games and think life resets when you press a button or drop in another quarter.

That is, except for two things: The victim and the alleged perpetrators are of different races. (Lane is white, and Edwards and Luna -- the alleged shooters -- are African-American. Long, the alleged accomplice, is white.) And, as Americans, we are still living through the aftershocks of the not guilty verdict in the trial of George Zimmerman for shooting and killing Trayvon Martin in Sanford, Florida.  

Some Americans are still smarting over the fact that the Zimmerman verdict, and the shooting itself, were spun by grievance merchants and other social activists to be all about race. Now they want to know why there isn't a similar response over the killing in Oklahoma.

In both cases, the central question is the same: Was the deceased targeted because of his race? In both cases, we still don't know the answer.

Meanwhile, where is President Obama's awkward statement that, if he had a friend from Australia, he might look like Chris Lane?

LZ Granderson: Negligent parents, lawbreaking kids

Some will say that the reason there has been no outcry from the activists is because authorities in Oklahoma insist that this case isn't about race. So what? The authorities in Florida also told us that what happened there wasn't about race. A lot of good that did. Some of the same folks who discounted the official explanation back then want us to accept it now. It doesn't work that way.

I think it's time for that national conversation. There's nothing wrong with talking about race. Especially at a time in U.S. history when the concept is so complicated and confusing.

The nation's 52 million Latinos aren't a race, but many of them -- especially in the Southwest -- are experiencing something that looks and smells a lot like racism. Obama is half-black and half-white, and yet he's referred to as the first black president not the 44th white one. Zimmerman, who is half-Peruvian and half-white, appears to have lived his life as a Hispanic until he shot an unarmed African-American teenager and the media decided it was necessary to label him a "white Hispanic." And, in an increasingly multicultural America, the census form looks like a relic from a simpler time where most Americans fit neatly into racial categories.   

What is the media supposed to do about all this? There's a debate over when to mention race and when to leave it out. The longstanding rule in journalism is that we shouldn't mention the race of someone accused of committing a crime unless it is relevant to the story.

That rule seems half-baked. Why wouldn't a suspect's race be "relevant" -- especially when that suspect is still at large and the police need the public's help in locating him? It's a human characteristic. Would we leave out of a story any mention of one's gender or age, so we're not accused of sexism or ageism? 

Self-censorship isn't the answer. When a horrendous crime like this happens, we need more information not less.

Besides, once we sanitize the news, or manipulate it to serve an agenda, it's no longer news. It's public relations.

Or worse. Think of it as nanny journalism. Too many people in my profession have strayed from the mission of reporting what happened -- or in my field of opinion writing, telling you what we think about what happened -- to massaging what happened in order to advance some greater societal good. And when journalists -- either on our own, or at the direction of the people we work for -- impersonate social workers, we ask for trouble.

We also surrender our credibility. And once that's gone, why should anyone listen to anything we say ever again?

@highlight

Ruben Navarrette: A debate broke out over race and Oklahoma killing

@highlight

He says people raised race in the wake of the national debate over Zimmerman case

@highlight

In both cases, it's unknown if the victims were targeted because of race, he says

@highlight

Navarrette: The media needs to avoid tailoring its reporting to political or social goals