Editor's Note: This is the second in a five-part series exploring Judge Sonia Sotomayor's background and life with those who know her, and revealing the experiences that might shape her views as a Supreme Court justice if confirmed.

Sonia Sotomayor, here at her 8th-grade graduation, had to finish homework and chores before she could go out.

BRONX, New York (CNN) -- The teenage Sonia Sotomayor was easy to spot in the halls of her New York high school.

Her uniform was often askew -- a once-crisp shirt protruding out and over her skirt's waistband as she carried a pile of books.

"She was focused so much on learning that she didn't notice," Mary Procidano, a classmate at Cardinal Spellman High School, recalled recently.

Sotomayor, now nominated for the Supreme Court by President Obama, seemed to hit her stride at Spellman, a rigorous Catholic institution and educational oasis in a crime-stricken neighborhood of the Bronx.

The schoolgirl first appeared shy and reserved, friends remember. But they soon got to know her as a hard-nosed, strong-willed girl, happy to debate friends, family or teachers.

"When she opened her mouth and she spoke, she really felt whatever it was," said Jeanette Valdespino-Torres, a childhood friend.

"And she wasn't just talking out of the top of her head -- it was something that she read, she studied, she looked, she knew. She would get into conversations at that age that I couldn't even touch."  Watch friends remember Sotomayor as a teenager »

In the lunchroom Sotomayor would "hold court," various friends from her school years told CNN, sharing opinions on policies and social problems.

She even led discussions around her home, an apartment in the sprawling 28-building Bronxdale Housing project that was so rife with drugs and crime that police often locked it down on Saturday nights, Sotomayor said in one speech.

If she is confirmed by the full Senate Sotomayor, now 55, would be the first Latina Supreme Court justice. President Obama has spoken of her "inspiring life's journey."

Sotomayor's 1972 graduating class knew they were a generation facing "change," said Jeri Faulkner, who was a freshman when Sotomayor was a senior. It was a time when the Vietnam War and social and economic strife were in the news daily.

"There was a lot of change and turmoil, and they were very involved in it -- very, very involved in social issues; very, very ready to change the world," Faulkner, now Cardinal Spellman's Dean of Students, said of Sotomayor's class. "And Sonia, she was at the forefront of those discussions."

A fixture on the debate team and in student government, Sotomayor was even a part of change inside Cardinal Spellman -- helping to write a unified constitution when male and female classes merged in 1971.

Outside school, Sotomayor spent some vacations working at the United Bargains store in the Bronx, though she has admitted she was too young for a job. She also worked.with her mother at Prospect Hospital.  See photos of Sotomayor throughout her life »

Hard work was a fixture of the Sotomayor household. Juan Sotomayor, Sonia's father, died when she was 9, leaving her mother, Celina, to fend for Sonia and her younger brother, also named Juan.

Celina Sotomayor started at the hospital as a telephone operator and later became a registered nurse. She worked long hours to earn enough to send her children to better schools like Cardinal Spellman, which now boasts of its graduate with a banner on its pale brick facade. And she used spare money to buy the neighborhood's only encyclopedia.

Sonia's mother was clear in what she expected from her daughter, said Valdespino-Torres. When she got home from work and stepped into the brick building, she always asked Sonia if she had done her homework, food shopping or laundry.

"Only then, Sonia would be allowed to go out," Valdespino-Torres said.  Watch Valdespino-Torres take a walk around the girls' old haunts »

"Going out" sometimes meant reading for grade-schooler Sonia Sotomayor. She turned to books for solace after her father died -- a loss that came a year after she was diagnosed with Type 1 diabetes. She has needed daily insulin injections ever since.

But sorrow and challenges were not something she shared, Valdespino-Torres said: "That must have been very difficult at her age to deal with, and it was something that just never really came up. She took care of it and she dealt with it."

Sotomayor swapped Nancy Drew mysteries with her friends and loved talking about them, Valdespino-Torres said. Later she would become engrossed in "Perry Mason" and the workings of courts.  Watch Juan Sotomayor say how his sister forced him to watch 'Mason' »

In the summer, Sotomayor and Valdespino-Torres would sit on the stone steps of Blessed Sacrament -- Sotomayor's Catholic grade school.

Their parents kept watch from two-story duplex houses and through the black, steel bars of public housing apartment windows as the girls listened for hours to the latest vinyl records -- The Four Tops, The Rascals, The Beatles and Frankie Valli.

Sotomayor even coaxed some girlfriends to play baseball -- almost in the shadow of Yankee Stadium. (Many years later, Sotomayor would make a famous ruling that effectively ended the Major League Baseball strike.)

Sotomayor also spent time with her cousins, who lived in now-dilapidated apartments marred by broken windows. Entertainment might have been their grandmother calling bingo as they marked their cards with chickpeas.

It was with her cousins that Sotomayor embraced her Puerto Rican roots, she has said.

The neighborhood still boasts a heavy Latino population -- with many Puerto Rican flags in windows. Sotomayor says the sights and sounds of the neighborhood have stayed with her: salsa beats and laughter from Saturday movies featuring Mexican comedian Cantinflas.

The Bronx streets around Southern Boulevard were the center of young Sotomayor's world, but her curiosity was sparked by the No. 5 train creaking along tracks visible from her grandmother's window. At first she just made faces at riders, she has said, but then she began to wonder where the people were going.

Sotomayor's childhood friends say now that they knew even then that she would someday be one of those people going places.  See how Sotomayor is similar to the Supreme Court justices »

"Especially because of her pure intelligence, her work ethic, her seriousness and focus," Procidano said. "You kind of visualize a certain trajectory for people, and you say with Sonia, 'Well, I'm not surprised. Isn't that where she was going?'"

Faulkner, her high school classmate, added: "I saw her as leader, for sure ... They were teenage attributes at the time, but they were there. All of those little things that make her able to do this job, or be able to handle this pressure, it was there. It was in her from the beginning."

@highlight

Sonia Sotomayor grew up in crime-ridden Bronx neighborhood

@highlight

Senators holding confirmation hearings on Supreme Court nomination

@highlight

Sotomayor's dad died when she was 9; mother instilled in her the value of education

@highlight

High school classmate said she saw Sotomayor "as a leader, for sure"