(CNN) -- The names on the formal, state-government-erected memorial signs by the sides of Ohio highways are not famous to the outside world.

But once you know the story behind them, you understand completely. You look at those signs and you offer a silent word of thanks.

Usually stretches of highways around the country are named for politicians, or for renowned figures from American history, or perhaps for singing stars or athletes or Hollywood actors who were born in the area.

For the last several years, though, whenever I've been in Ohio I have noticed the highway signs with the unfamiliar names.

Last week I got in touch with the Ohio Department of Transportation to ask about them.

The answer makes you want to pause humbly.

On August 31, 2009, Marine Lance Cpl. David R. Hall, of Elyria, Ohio, was killed in an explosion while serving in Garmsir, Afghanistan. He was 31; he worked at a Ford assembly plant back home before joining the Marines.

In most cases of fallen service members, there is a solemn funeral ceremony when their remains are returned home, and a respectful obituary in the local newspaper. It can feel all too fleeting.

But in Ohio, in recent years, there has been an effort to do more.

Which is why the Ohio General Assembly authorized that a stretch of State Route 2 in Lorain County -- David Hall's home county -- be named, now and forever, to honor him.

"After the General Assembly votes to name a portion of a highway, we manufacture the signs and put them up at the designated places," said Steve Faulkner, a spokesman for the Ohio Department of Transportation. He said that two signs are usually erected, each facing a different direction, so that people in cars on either side of the highway will see the honoree's name.

Always, the memorial signs are placed in the service member's hometown or home county, so that friends and family members are reminded every day that the state and its citizens want to remember and salute him or her.

Thus, Army Master Sgt. Shawn T. Hannon's portion of Interstate 71 runs through Grove City, Ohio. That is where he lived; he was 44 when, on April 4, 2012, he died of wounds caused by an improvised explosive device in Afghanistan. He was a long way from home, but back in Grove City now his old neighbors and buddies see his name and think of him each time they pull onto that part of the interstate.

In the United States, there has grown to be a mercenary ritual around so-called naming rights. If there's a Major League Baseball park, an NBA or NHL arena, or an NFL stadium, corporations line up to bid for the opportunity to plaster their names on it. Airlines, financial services companies, big merchandisers -- all they have to do to get their names on the signs is come up with tens of millions of dollars.

But the people with their names on the signs by the sides of Ohio's highways have paid a much, much higher price, for much less selfish reasons. And they are so deserving of the honor, which can't begin to repay the sacrifice they made.

The most poignant thing about the placement of the signs is that almost invariably they are next to spans of road upon which the service members, when they were younger, drove their own cars: on the way to movies, on the way to dances, on the way to grab late-night burgers with their best hometown friends. Back then, they never could have imagined that the roads would before long bear their names, or why.

But, while most of the rest of us during this last decade enjoyed life, or complained about it, inside America's borders, they crossed the oceans because their country said that it mattered. They didn't argue the politics of it. They answered the call.

Thus, on this Memorial Day weekend, there is a bit of highway near Canton, Ohio, set aside for U.S. Marine Pvt. Heath D. Warner, 19, who died in combat in Iraq in 2006; on State Route 7 in Washington and Monroe counties there is a road for Army 1st Lt. Christopher N. Rutherford, 25, who died in Iraq in 2007; in Tuscarawas County is Army Cpl. Keith V. Nepsa's road, named for the 22-year-old who died when an IED detonated in Iraq in 2007; on State Route 322 in Chesterland is the portion of road for Army Chief Warrant Officer 2 Christopher R. Thibodeau, 28, who died in a helicopter crash in Afghanistan in 2011; on State Route 729 in Clinton County is the road honoring Marine Lance Cpl. William Brett Wightman, 22, killed in combat in Iraq in 2005; near Wilmington, on State Route 73, is Army Sgt. Steven D. Conover's road, honoring a hometown young man who was only 21 when he died during an attack in Iraq in 2003.

The Ohio Department of Transportation's Faulkner told me that, because the authorizations from the General Assembly are sent over at widely spaced intervals, he did not have a readily available number of how many Ohio service members in America's recent wars have had portions of highways named for them. Reporter Robert Vitale of the Columbus Dispatch calculated that, as of last year, more than 70 Ohioans killed in the line of duty during the past decade had received the honor.

Almost certainly there will be more; almost certainly the last highway sign has not been erected.

But summer will be here soon. In Ohio, that is the time when long, leisurely drives along wide roads and narrow strips of blacktop can feel the most enticing. The sun is high in the sky; the nights are warm and lit by impossibly white stars.

For those who left home never to return, those who once knew these highways by heart, the roads are now eternally theirs.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: In Ohio, highway signs memorialize soldiers felled in recent wars

@highlight

He says the Ohio General Assembly authorizes the signs; about 70 erected so far

@highlight

He says the signs for soldier's named are on highways near their hometowns

@highlight

Greene: Corporations pay millions to be named on signs; these soldiers paid dearer price