Madrid, Spain (CNN) -- Popular Party leader Mariano Rajoy is poised to become the next prime minister of economically embattled Spain, with his ascension assured after the ruling Socialist Party's candidate conceded Sunday's national election.

Alfredo Perez Rubalcaba made the concession before a somber audience of Socialist Party supporters -- a stark contrast to the raucous, celebratory crowd gathered outside the Popular Party headquarters in Madrid.

Less than 30 minutes later, Rajoy offered "a message of confidence" and vowing to push for "solidarity" in the wake of Sunday's vote. He did so in a televised speech inside a quiet room before coming out minutes later to address the boisterous crowd.

"The Spanish people have expressed themselves, they've done so clearly," he said in the first address. "And we'll now embrace this change."

As detailed on the Interior Ministry website, with 100% of the votes counted, the Popular Party had over 10.8 million votes (44.6% of the total votes) and captured 186 seats in parliament. That compares with just under 7 million votes for the Socialist Party, giving it an advantage in 110 legislative contests.

A party had to win 175 seats in order to win an outright majority in the 350-seat chamber. The majority result, thus, paves the way for Rajoy's unfettered ascension to prime minister, giving him a free hand to set policy without having to first make deals with other parties.

The outcome makes Spain the latest country to lose a government amid the Europe-wide money crisis. Earlier this month, the leaders of Greece and Italy resigned over their own countries' debt woes.

In the closing days of the campaign, the 56-year-old Rajoy had spoken repeatedly about the nation's deep economic crisis, such as the sobering 21.5% unemployment rate overall -- including a 45% rate of unemployment for young people.

Nearly 5 million working-age Spaniards are without a job, and the country faces a steep public deficit and only tepid economic growth. Some immigrant workers are also leaving the country.

Entering the elections, voters told CNN the economy was their top priority.

"This vote will determine the future of the country for years to come," Jose Miguel Ariza, a university researcher, said after voting at the Menendez Pelayo school in central Madrid.

In his initial speech Sunday night, the Popular Party leader said he would not forget those suffering -- from recent university graduates who can't find jobs to small business owners struggling to stay afloat to those hit hard by illness or other tragedies -- as he shaped policies.

"We're going to try our best to better their situation," he said. "And we'll think of them before making a decision."

Rajoy has said he would not cut pensions -- which the incumbent Socialist government earlier froze, to much criticism -- but he says all other issues are on the table in order to reduce the deficit. He has also said he'll consider tax cuts for businesses to encourage them to hire more workers.

A Cabinet minister between 1996 and 2004 under conservative Prime Minister Jose Maria Aznar, Rajoy twice lost to Socialist Party leader Jose Luis Rodriguez Zapatero, in 2004 and 2008, in his first attempts to become prime minister.

But his conservative party swept to victory in regional and local elections last May, presaging what polls had long accurately predicted would be a triumph the third time around. Zapatero called the early election and announced he would not seek a third term.

While other parties and candidates were in the race, Rajoy's chief challenger had been Rubalcaba. The 60-year-old served under former Socialist Prime Minister Felipe Gonzalez and most recently under Zapatero, rising to the positions of deputy prime minister and Interior minister.

Rubalcaba had warned that the conservatives would cut into public health and education, the social programs which he said the Socialist party would fight to preserve, despite the economic crisis.

About 35 million Spaniards are eligible to vote, of whom the government claims 1.5 million are first-time potential voters, having turned 18 since the last general elections in 2008.

The economic protests across Spain during the past six months have been fueled by the young -- the so called 'indignants' -- but it was not clear how much impact the protesters had on the results Sunday.

Esteban Guerrero, a university student in his last year of journalism studies and who has been active in the protests, said: "I think it's necessary to vote, but that's not enough. People feel the elections won't change the situation. They won't stop the cutbacks."

Guerrero, 25, sees his own prospects of getting a job after college as bleak. "I think there's a pent-up rage. The workers and young people of this country are fed up," Guerrero said. "It's been years of frustration, over cutbacks and lower salaries."

Putting the Iberian nation on the right track won't be easy, Rajoy admitted in his speech to celebrating supporters later Sunday night. But the incoming prime minister stressed he felt it was possible, especially if Spaniards joined forces to work toward a common goal.

"That's what it's all about -- to be together, everybody, (and) work together," he told the crowd. "Our political project invites all Spaniards who want to resolve this situation. It means a lot of work, a lot of effort and a lot of unity."

@highlight

NEW: The Popular Party wins 45% of votes and 186 legislative seats, giving it a majority

@highlight

Rajoy says overcoming Spain's economic woes requires "a lot of effort and a lot of unity"

@highlight

The Socialist Party candidate conceded, so his party won't rule for first time since 2008

@highlight

The economy was the top issue, with nearly 5 million working-age Spaniards without a job