(CNN) -- Like any good businessman, Dick Clark saw his opportunities and took them.

When rock 'n' roll was establishing itself as the new pop music, Clark was there on the ground floor, taking over a Philadelphia dance party TV show called "Bandstand." When "Bandstand" proved to be a valuable tool for promoting new artists -- and, not incidentally, sanitizing them for Mom and Dad's approval -- Clark made sure it did its job, especially after it went national as ABC's "American Bandstand."

As his career continued, he replaced the stodgy Guy Lombardo as the face of New Year's Eve, challenged the Grammys with the American Music Awards, filled daytime with quiz shows and prime time with variety programs, and was always on the lookout for the next big thing.

Clark, who died Wednesday, became a force in the music industry and used his leverage to expand to television, radio and real estate. "America's Oldest Teenager" he may have been called, but behind that youthful countenance were the brains of a born entrepreneur.

"I knew being a performer does not necessarily carry with it a lot of longevity. That's why I became a producer," Clark, who had a degree in business from Syracuse University, once said.

Even his critics had to agree -- perhaps grudgingly, perhaps admiringly -- that he was nothing if not shrewd.

In 1968's "Awopbopaloobop Alopbamboom," his insightful history of pop, rock critic Nik Cohn dismissed Clark as "an all-American choirboy" who reigned as the father of "highschool," the squeaky-clean Paul Anka-Connie Francis-Frankie Avalon pop music that dominated the late '50s and early '60s. Cohn expressed little love for the music of highschool, but he obviously respected Clark's abilities.

"You'd be making no wild guesses to imagine that he was one of the very richest men in pop," Cohn wrote. "Godly or not, he sure had his head screwed on."

AC360: The business of being Dick Clark

That's the thing about Dick Clark -- he made no apologies about catering to the mainstream, even if it meant shaving off the rough edges of what could be a very rough music. When Lloyd Price's version of "Stagger Lee" was climbing the charts, Clark refused to have him on until a cleaner version could be recorded.

"His audience could not be exposed to a song which celebrated gambling and murder," wrote Dave Marsh in his book "The Heart of Rock and Soul."

The song was cleaned up, Clark booked Price, and "Stagger Lee" went to No. 1.

He was in the business of family entertainment -- a broadcaster in the truest sense of the term, says John Covach, a rock historian and chair of the music department at the University of Rochester.

"He was able to position himself in the center of the television and music industry in the way that allowed him to have a career that spanned a half a century," Covach says.

From Clark to Kirshner to Cornelius

In that respect, he inspired a number of contemporaries and followers, including Don Kirshner, who started as a song publisher and later expanded to record labels, TV shows and other programming; Don Cornelius, a onetime salesman and journalist whose "Soul Train" became the crown jewel of his own broadcasting empire; and, of course, Ryan Seacrest, who started as a disc jockey and now hosts and produces television shows.

"If you're presenting pop music on TV, in some way Dick Clark is the person who opened the door," says Joe Levy, editor of Billboard magazine.

Purists may find it easy to criticize these men, says Kovach, but appealing to the mainstream not only means the largest possible audience -- it means influencing the dialogue.

"That was Berry Gordy's strategy, too -- taking his black singing groups and getting them to a white audience," Covach says, referring to the Motown Records founder. "He took a lot of criticism for having sold out the blackness of the music in search of a more mainstream audience." But by doing so, Motown gained a larger following -- and influenced generations of musicians.

On the other hand, there was Alan Freed, the raucous DJ who was among the first to call the combination of R&B, country and pop music "rock 'n' roll."

Freed, Covach observes, was the more important figure in rock's early years. While Clark was gaining a national foothold for the Philadelphia-based "Bandstand," Freed was already hosting a national radio show, appearing on a television show and producing movies.

But Freed was a more abrasive character than the smooth Clark, and he was more upsetting to the era's establishment. (His prime-time TV series was canceled after African-American singer Frankie Lymon was seen dancing with a white teenage girl.)

When the payola scandals of the late '50s engulfed the music industry -- DJs and music business types were given bribes to play certain records -- both Freed and Clark were subjects of scrutiny. But the scandals helped ruin Freed -- he was hurt by negative publicity -- while Clark divested himself of his music business interests and was praised as a hard-working young businessman, Covach says.

It also prompted Clark to diversify, says Levy.

"The lesson learned was, 'I need other business interests,' " he says. "And that's the model he created."

Turning on adults

Clark wasn't the first to use his talent for entertaining as a springboard to bigger things. Bing Crosby invested in recording equipment, TV stations and horse racing; Gene Autry became a movie producer, rodeo businessman and baseball team owner.

But it was Clark who saw the promise in combining pop music, television and the marketplace -- an audience of teenagers and their parents.

"He found that while teenagers avidly watched ['Bandstand'], adults also tuned in to see the teens dance," says Covach.

That bore dividends when "The Twist" started catching on: Clark had a new recording of the Hank Ballard song made by newcomer Chubby Checker and helped make it a hit. It topped the charts twice, the second time because adults got into the craze: A famous picture of the era shows Jackie Kennedy doing the Twist.

For all the criticism aimed at Clark, he didn't always play it safe.

Levy recalls seeing Public Image Ltd., the prickly band led by former Sex Pistol John Lydon, on "Bandstand." The show provided TV debuts for Chuck Berry, The Doors, Jefferson Airplane, Otis Redding and Jerry Lee Lewis. Clark even changed the fortunes of Lewis' failing, raucous song "Breathless" by using it in a promotion with "Bandstand" sponsor Beechnut gum.

"Dick Clark bridged a color gap at a time when there should not have been one, giving musical life to black artists that may not have had a chance," Stevie Wonder -- another "Bandstand" debut -- said in a statement.

And, along with the endless awards shows and music-variety packages, Clark also produced a show starring Weird Al Yankovic, a documentary with George Plimpton and the great TV movie "Elvis," directed by John Carpenter and starring Kurt Russell as The King.

Moreover, his shows were usually fun to watch. The Golden Globes are regularly disparaged for the outsize influence of the tiny Hollywood Foreign Press Association, but its show -- produced by Clark's production house -- is often considered more entertaining than the Oscars.

Nowadays, Seacrest is probably Clark's closest model; the youthful "American Idol" host has acknowledged as much in many interviews, and in recent years he joined Clark as host of ABC's "New Year's Rockin' Eve," which Clark established in 1972 -- two years before Seacrest was born. But though Seacrest has been aggressive in going from DJ to "Idol" host to Kardashian family/reality show producer, he's got a long way to catch his mentor: The Museum of Broadcast Communications estimates Clark's company produced more than 7,500 hours of programming.

It's an impact that will continue to be felt, says Levy: "He had a real influence on the music business and on the television business."

We're still dancing to his beat.

@highlight

Dick Clark was a businessman first, entertainment talent second

@highlight

Others, including Don Cornelius and Ryan Seacrest, modeled careers on Clark's

@highlight

He was often criticized for mainstream appeal, but he didn't always play it safe

@highlight

Clark produced more than 7,000 hours of TV programming