Hong Kong (CNN) -- Chinese authorities have bowed to pressure to investigate the death of a high-profile dissident who had spent more than 20 years in jail for his support of the Tiananmen Square protests, Hong Kong media reported.

Hunan's provincial public security bureau has asked forensic investigators from outside the province to carry out an autopsy on Li Wangyang, a spokesperson for the bureau said, according to Hong Kong China News Agency.

Criminal specialists would also be called in, and the findings will be promptly made public, the spokesperson said, adding that the concerns of foreign media and other people were noted, according to the report.

Li was found on June 6 hanging in his room at the Daxiang District People's Hospital in Shaoyang, Hunan province. Police said he had committed suicide -- a claim friends of the deaf and blind labor rights activist have described as "insulting" and "ridiculous."

Anger, suspicion over Chinese activist's 'suicide'

It is not clear how an autopsy would be conducted, since Li was reportedly cremated on June 9 amid calls for an investigation, according to the South China Morning Post and Kyodo News, which cited friends and a human rights watchdog.

The circumstances surrounding his death have led to demonstrations against Beijing in Hong Kong, a Chinese special administrative region where two of its leading political figures have weighed in on the controversy.

Rita Fan, a member of the Chinese National People's Congress standing committee, said she had written to the central government in Beijing to convey growing concerns in Hong Kong about the circumstances surrounding Li's death.

"After seeing the response from the local government [in Hunan], I think I needed to do something," the South China Morning Post quoted her as saying Thursday. "There are many suspicions."

In a rare comment, outgoing Hong Kong Chief Executive Donald Tsang said he "understood the views of the Hong Kong public," according to the paper.

Earlier this week, Hong Kong's secretary for food and health, said in an interview with CNN affiliate i-CABLE News that the weak physical condition of Li made it hard to believe the hospital authorities' claim that he had committed suicide.

"It seems that his character and personality are not of a person who is suicidal and are not of a person who would not have left a suicide note," Dr. York Chow said.

Read more about what Chow had to say about Li's death

The upcoming visit in early July by Chinese President Hu Jintao to mark the 15th anniversary of Great Britain's handover of Hong Kong, which enjoys greater freedoms than the mainland, is expected to further fuel emotions.

Li's death came two days after the anniversary of the June 4, 1989, Tiananmen Square massacre. Li, who was sentenced to 13 years in prison for mobilizing local workers in support of the student democracy movement, would have been under 24-hour watch because of the sensitive nature of the anniversary, his supporters and human rights groups point out.

On Wednesday, Amnesty International appealed in an open letter to China to investigate Li's death and protect his relatives and friends after four of them, including a sister and her husband, were detained. Others were put under police surveillance and unreachable, the group said.

After serving most of his initial sentence, Li -- by then rendered nearly deaf and blind, allegedly by torture during his imprisonment -- was sentenced to another 10-year prison sentence in 2001 for "inciting subversion of state power." He was admitted to the hospital shortly after being released last year.

In interviews by friends who had visited him before his death, Li did not appear to be someone who intended to kill himself.

Both Amnesty and another group, Human Rights in China, cite relatives' accounts that Li's feet were still on the ground, and that being blind and unable to walk unaccompanied, he would have been hard pressed to find a noose.

Appeals by the family for an autopsy in the presence of a lawyer of their choice were refused, and his body taken away, according to Amnesty.

In an interview with iCable just before his death, Li said, "I was just sentenced to jail and am not yet beheaded. Even if I were beheaded, I would not regret it. For democracy and the survival of the country, ordinary man should take responsibility."

Li is among more than two-dozen Chinese political prisoners named in the U.S. State Department's country report on China's Human Rights Practices for 2011.

More than 12,000 people have signed a petition calling for an investigation into Li's alleged suicide, according to Wen Yunchao, a Hong Kong-based journalist who drafted the document. Most are from Hong Kong, but the second highest number are from mainland China, followed by the United States and Canada, he said in an email to CNN.

Lee Cheuk-yan, a Hong Kong legislator and pro-democracy activist, said that his group, the Alliance in Support of Patriotic Democratic Movements in China, plan more protests when Hu visits. "Our aim is to let him know Hong Kong's sentiments, anger and demand for justice," he said in a phone call.

Lee also called Tsang and Fan's statements cosmetic. "From our point of view, they are not helpful in making the case known to Hu Jintao," he said.

Meanwhile, Chinese human rights activists, including Hu Jia, have taken pre-emptive action, declaring online that they "will not commit suicide."

CNN's Alexis Lai and Hilary Whiteman contributed to this report.

@highlight

NEW: Investigation opened into Chinese dissident Li's death, report says

@highlight

Outrage over the circumstances of Li's death provoke protests in Hong Kong

@highlight

Dissident's death came two days after the anniversary of Tiananmen Square massacre

@highlight

Amnesty International calls for investigation, protection of Li's family, friends