More than two years on from the worst nuclear disaster in a quarter of a century, the situation at Japan's stricken Fukushima Daiichi nuclear power plant remains toxic, prompting the Japanese government to announce new measures to attempt to deal with radioactive leaks.

The plant's operator, Tokyo Electric Power Company (TEPCO), has been criticized for its handling of the disaster, with the country's Trade and Industry Minister, Toshimitsu Motegi, comparing its stopgap approach to a game of "Whack-a-mole." The government has now stepped in and pledged $470 million to try to tackle the leaks, through measures which by its own admission are unconventional and untested.

How did we reach this point?

When the 2011 tsunami swamped the plant, located 149 miles (240 kilometers) north of Tokyo on Japan's eastern seaboard, it cut the power to vital cooling systems for the three reactors in use at the time, resulting in the second-worst nuclear accident in history after Chernobyl in 1986, as the reactors melted down and leaked radioactive material into the atmosphere.

TEPCO has since been pumping huge volumes of water into the plant -- hundreds of tons daily -- to cool the crippled reactors that once powered the plant.

This water, which becomes highly radioactive once it comes into contact with the plant's fuel rods, has been stored in makeshift, hastily-built storage tanks around the site -- about 1,000 so far -- containing enough irradiated water to fill about 160 Olympic-sized swimming pools, with about 400 tons added to the tanks daily.

Scientists who monitor radiation levels offshore have pointed to evidence of an ongoing leak for more than a year, but it was only recently that TEPCO admitted it was occurring.

Last month, TEPCO said one of the storage tanks at the site had leaked 300 tons of toxic water, prompting Japan's nuclear regulator to declare the situation a Level 3 serious incident, its most serious assessment since the 2011 meltdowns. It has since stated that several tanks and pipes at the plant are suspected of leaking toxic water.

According to the International Atomic Energy Agency (IAEA), Level 3 applies to situations in which there is "severe contamination in an area not expected by design, with a low probability of significant public exposure."

More leaks feared at Fukushima

Why are these holding tanks leaking?

The leaks that have occurred so far have been in a type of storage tank using plastic seals. About 350 of the 1,000 tanks in place are constructed in the same way. These are the ones that were constructed hastily in the aftermath of the disaster as a makeshift measure -- but, two and a half years on, are beginning to fail.

Michael Friedlander, a nuclear engineer and former U.S. power plant operator, told CNN the eventual failure of the tanks years after they were deployed on a supposedly temporary, emergency basis is illustrative of TEPCO's ad hoc, unsustainable response to the disaster.

"Given the cards they were dealt, building a tank farm to hold the water in in the heat of the emergency, there was really there only one option, so I don't fault them for that," he said.

But beyond the emergency response, TEPCO had demonstrated no long-term vision for dealing with the problem, he said.

"You can't be getting rid of 400 tons of water a day with no end in sight," he added. "Their strategy was never sustainable. You've got all this radioactive material sitting there next to the plant with effectively no long term strategy for dealing with it."

Is this the only problem?

There's also an issue with groundwater, which flows from the hills surrounding the plant and gets contaminated in radioactive areas. In July, TEPCO admitted that radioactive groundwater was leaking into the Pacific Ocean from the plant, even though an underground barrier was built to seal in the water.

How much radiation is there?

In July, TEPCO disclosed that water from test wells around the reactor buildings showed concentrations of radioactive tritium in one well as high as 500,000 becquerels -- a unit of radioactive intensity -- per liter of water. By comparison, Japan's maximum safe level of radioactivity in drinking water for adults is 300 becquerels per liter.

This month, a sharp spike in radiation levels was detected in some of the pipes and storage tanks -- the highest reading was 1,800 millisieverts per hour at the bottom fringe of the tank. Readings of 220 and 70 millisieverts per hour were measured at the bottom of other two tanks. And TEPCO said it found a dried stain under the pipe with a 230 millisieverts per hour radiation measurement.

The average person in an industrialized country is naturally exposed to 3 millisieverts a year. Experts say that after a single acute exposure of 1,000 millisieverts, people tend to start feeling nauseated. Exposure at 5,000 millisieverts over the course of a few hours can be fatal.

What threat does the current leak pose?

"In the grand scheme of things, is it a potential threat to Tokyo or the countryside outside the plant proper? Truthfully, no," said Friedlander.

"In the event one of the tanks ruptures due to another seismic event would it make a huge mess? Absolutely."

It also represents a threat to the workers at the plant if they come into contact with radiation at that level. Some experts have suggested that contaminated water may need to dumped into the ocean at some stage.

Japan fed up with 'whack-a-mole' approach to Fukushima

How dangerous would this be?

"In the context of the original accident and ground leakage they've had going on for 2.5 years? After a short period of time you probably couldn't even detect it, quite honestly," said Friedlander. "The currents, the background radiation that's already there -- the contaminated water would get diluted out by the vastness of the Pacific." Fisheries around the area have closed as the catch is not fit for consumption.

"But a good responsible nuclear operator would do everything possible to clean that water up to the best technological standards of today -- which is very clean. It's only the residue that technology can't clean up that gets put in the ocean."

How radiation can be removed from the contaminated water?

"With off the shelf technology you can get rid of nearly all radioactivity to below detectable levels," he said. One exception was tritium, which he said, "requires completely different technology that you couldn't deploy on this scale." Aside from that, technology existed to be able to process the water to acceptable levels for release.

What are the options to halt this leakage?

TEPCO has proposed setting up a subterranean barrier around the plant by freezing the ground around it, preventing groundwater from leaking into the damaged plant and carrying radioactive particles with it as it seeps out.

The plan to freeze the ground presents significant technical challenges. It could involve plunging thousands of tubes carrying a powerful coolant liquid deep into the ground surrounding the stricken reactor buildings. The technology has been used before in the construction of tunnels, but never on the massive scale that the Fukushima plant would require.

Will it work?

According to Friedlander, this technology has only really been employed as a temporary solution, during construction projects for example -- but to attempt to use the freezing option as a long-term option would make little sense.

He said the only viable option is to clean the water to a standard where it can be released.  "I get it's going to take 40 years to decontaminate those buildings," he said.

"But there has to be a way to figure out where groundwater intrusion is coming from and stop it. There has to be a way of doing that from outside the buildings -- you can't be getting rid of 400 tons of water a day with no end in sight.

"This is nothing more sophisticated than when your basement at home leaks. There's well established technology for dealing with groundwater intrusion in facilities.

"But freezing the ground for 40 years doesn't sound like a sustainable solution."

TEPCO looks for outside help to stabilize crippled Fukushima nuclear plant

@highlight

Operators Tokyo Electric Power Company criticized for their handling of the disaster

@highlight

Huge volumes of water pumped into the plant to cool the crippled reactors

@highlight

But damaged water storage tanks have been leaking irradiated water

@highlight

TEPCO said one tank at the Fukushima site had leaked 300 tons of toxic water