(CNN) -- Ever since two men first laid a bet on two flies climbing up a cave wall, gambling has struck at the core of the human condition: the future is uncertain.

And while games of chance like dice and cards have been with us for centuries, bar room wagers on matters of abstract speculation have often been lost to history, disappearing as fast as the hot air that produced them.

Until now, that is.

Novelty bets

Thanks to websites like Longbets.org and professional gaming sites like Paddy Power, oddball bets on everything from the next pope to the life expectancy of the universe have a running book.

In the case of Longbets.org, they are the source of heated debate about the shape of the future.

"These bets become an interesting tool to understand how we think about the future and even if we are really arguing about the right things," said Alexander Rose, director of the Long Now Foundation, which backs the Long Bets project.

Betting exchanges that take novelty bets are nothing new -- Paddy Power has a long-running book on whether it will snow on Christmas Day and the next pope -- but what makes Long Bets different is that it will only accept bets that advance our understanding of science and the future.

The winner also must donate their winnings to a charity of his choice.

Predicting the future

So far, Long Bets has taken long-term bets on whether drones will do battle as part of protests, whether commercial flights will become pilotless and on the future of level of the world's population.

"People need to have an opposing argument and come to an agreement about the terms which actually turns out to be quite tricky," Rose told CNN.

"Someone will make a bet, for instance, that we will find extraterrestrial intelligence in the next 50 years, then there's often a long philosophical discussion about what constitutes extraterrestrial intelligence or even life.

"If we are talking about something as strange as that, we don't know even if we'd recognize it."

Often, he said, the parties have already bashed out the terms before they come to Long Bets.

Buffett's million dollar gamble

In the case of its current highest profile bet -- a million dollar bet between billionaire investor Warren Buffett and alternative investment group ProtÃ©gÃ© Partners, LLC - the two parties had already agreed the terms and had come to Long Bets to find a platform for the wager.

For a simple $50 fee, anyone can make a prediction, which then becomes a bet when someone takes up the challenge. Nothing is too outlandish, said Rose, as long as it is well argued.

Often the results can be surprising.

"We had one bet on the cost of energy five years into the future and the parties had used a very good source which was the report of the US Department of Energy," he said.

However, when it came time to adjudicate that bet it was found the government had pulled its report in the wake of the $74 billion Enron scandal in 2001.

"Enron had sufficiently skewed the energy market that the government had to unwind all the Enron trades out of its report to know the true cost of energy," Rose said. "It was enough to flip the results of the bet."

Changing parameters

Often the future is so unpredictable that the parameters of the debate change entirely. Once such argument over whether the top 10 news stories would come from a blog or the Wall Street Journal was, at the time, surprisingly eclipsed by Wikipedia which was little known in 2002.

"We often find that it's not so much whether someone was right or wrong, but that what was being argued about was not even relevant," Rose said. "Our main goal is that they create an interesting discussion about the future. And we try to keep them away from celebrities and sports and more on arguments about the world.

"We've taken a few bets on sports but only when they've been arguments about globalization."

Some have time scales so long, that no one will ever collect on them.

Turing test

A bet on whether the universe will keep expanding is unlikely ever to see a winner, but a $20,000 bet between Google's director of engineering Ray Kurzweil and Lotus Development founder Mitchell Kapor on artificial intelligence passing the Turing test comes up in 2029. To pass the test, a machine or computer program must convince a human judge that it has a level of intelligent behavior indistinguishable from that of a human being.

For mainstream punters, meanwhile, betting exchanges like Paddy Power have been taking novelty bets on everything from the next pope - more than Â£300,000 ($450,000) was placed after Pope Benedict's resignation -- to parents betting on their sons becoming soccer World Cup football captains.

"For us it's really a fraction of our business, less than 1%, but it's very good for our profile and we like doing it," Paddy Power told CNN. "And anyway who knows? One day we'll all be caught with our pants down when Elvis comes back into town."

Read more from Tomorrow Transformed:

FireChat, the app that voiced Hong Kong's protests

The Universal Translator from science fiction is coming

Finally, a flying car for everybody?

@highlight

Gambling relies on the fact that all future events have a degree of uncertainty

@highlight

Long Bets will take long-term wagers on the shape of the future

@highlight

Bets run across everything from the price of fuel to population levels

@highlight

Paddy Power runs a book on white Christmases and the next pope