Tripoli, Libya (CNN) -- For all the talk in diplomatic circles this week of finding peace for Libya, one thing remained clear Saturday: The war is raging unabated in Misrata.

In the city under siege from Moammar Gadhafi's forces and mostly inaccessible for journalists, other than those on government-organized tours, residents reported disturbing new developments Saturday.

An opposition council member told CNN that loyalists were using bombs that look like perfume bottles. Photographs suggested they were shells fired from a grenade launcher that either did not explode on impact or were deliberately masked and placed in populated areas.

Either way, they were proving lethal. The council member said Saturday that people have had their limbs blown off and children have been killed.

The report comes a day after Human Rights Watch reported its members saw three cluster bombs explode Thursday night over Misrata's el-Shawahda neighborhood. Researchers with the activist group inspected debris and interviewed witnesses about two other apparent cluster bombings, the report said.

"We hear explosions that sound like one big explosion followed by many smaller ones. We were told this is a cluster bomb," said the council member. He, like many other Libyans, did not want to be identified for safety reasons.

The Libyan government has denied the use of such bombs, which are banned internationally because of their indiscriminate nature and ability to harm civilians even after a conflict ends.

Ahmed Hassan of the Misrata opposition council said at least five people were killed and 44 others were wounded Saturday, after one witness saw a hail of rockets fall on the central Libyan city.

Gadhafi's forces also bombed several food and dairy production factories, including ones that produce milk and oil, Hassan said. Terrified residents are going out in groups of 20 or 30 to fetch bread. They are too scared to venture out alone.

"No one and nowhere is safe in Misrata," Hassan said.

Medecins Sans Frontieres said Saturday that it had evacuated nearly 100 people by boat from Misrata. Most were suffering war-related injuries. The boat arrived in Zarzis, Tunisia, on Saturday.

The international medical humanitarian group (known as Doctors Without Borders in English) said ongoing fighting has cut off people from medical assistance and hospitals and clinics are overwhelmed with casualties.

"For weeks now, health structures have been struggling to cope with the influx of patients," said Dr. Morten Rostrup, an MSF doctor who participated in the evacuation.

"With the latest heavy bombardments in Misrata, the situation is worsening as hospitals have to discharge patients before their treatment is completed in order to treat those wounded by fighting," Rostrup said in a statement.

The International Organization for Migration said Saturday that a chartered boat filled with hundreds of tons of humanitarian aid was heading to Misrata. The group's first boat rescued 1,200 migrant workers and their families who had been stranded around the city's port, which has been bombarded daily by Gadhafi's forces according to witnesses.

Deeper inside the city, witnesses for weeks have reported dire conditions, including food shortages and the persistent fear of pro-Gadhafi snipers taking aim at anyone walking on the streets.

A clinic director told CNN at least 700 people have died since the violence erupted in Misrata two months ago.

Meanwhile, a Misrata opposition council member accused Gadhafi of using Libyan state television as an effective command-and-control center after NATO airstrikes damaged lines of communications and made troop control difficult.

The council member said Gadhafi has been sending orders to his troops through coded messages aired on state television and the rebels have been trying to decode them in order to defend themselves. He gave these examples:

-- An anchor claimed that a bird laid a green egg in an area of Benghazi. The anchor hailed this as a miracle and a sign of an upcoming victory for Gadhafi's forces. The next day that exact area was attacked by what the councilman described as sleeper cells in Benghazi.

-- During the weather forecast, a map indicated a large storm over the port area of Misrata. No storm ever appeared, but the next day Gadhafi's forces attacked Misrata by sea.

-- An anchor claimed that a honey bee spelled out Moammar with honey in Darnah. Once again, it was hailed as a miracle and a sign of an upcoming victory for Gadhafi's forces. The next day, sleeper cells in Darnah launched an attack.

Despite weeks of aerial bombardment by international fighter jets, Gadhafi has shown no signs of acquiescing. He remains as defiant as ever despite calls this week again from global leaders attending a Libya conference in Qatar and a sternly worded newspaper opinion piece by U.S. President Barack Obama, French President Nicolas Sarkozy and British Prime Minister David Cameron.

But how to protect civilians has become an increasingly complex question.

At a news conference in Benghazi, the deputy chairman of Libya's Transitional National Council appealed to the international community to help prevent further tragedy. He said 1.5 million Libyans were under attack every day.

"We already have warned before that the regime was threatening real massacres against innocent civilians," Abdul Hafiz Ghoga told reporters. "The international community is now witnessing what this regime is capable of. The destruction in Misrata and other cities is unacceptable."

In Tripoli, four thundering explosions were heard Saturday evening -- believed to have been caused by NATO airstrikes -- followed by about 30 minutes of sustained anti-aircraft fire.

Later that night, hundreds gathered outside Gadhafi's compound in the capital, with some saying they'd be willing to act as "human shields" as long as NATO warplanes targeted the manpower and infrastructure being used in support of the Libyan leader.

"Everyone here will die for Moammar Gadhafi," one young man told CNN.

On the eastern front lines of the battle, rebels were still fighting to regain control of the oil town of al-Brega, which has changed hands several times already.

"We need weapons to defend our people," Ghoga said.

NATO has said it needs more precision fighter jets because loyalist maneuvers have made airstrikes much more difficult without harming civilians.

"Now they hide their heavy arms in populated areas, where before many targets were easier to get to," said NATO Secretary General Anders Fogh Rasmussen earlier this week. "To avoid civilian casualties, we need very sophisticated equipment. So we need a few more precision fighter ground-attack aircraft for air-to-ground missions."

A witness in Misrata said NATO planes were flying overhead Saturday, but he had not seen evidence of bombing.

CNN's Reza Sayah, Fred Pleitgen, Saad Abedine, Salma Abdelaziz, Mitra Mobasherat and Hamdi Alkhshali contributed to this report

@highlight

NEW:Hundreds in Tripoli rally for Gadhafi, some vowing to act as 'human shields'

@highlight

Witness: Gadhafi's forces are using explosives that can kill indiscriminately

@highlight

A hail of rockets attack Misrata again Saturday

@highlight

Transitional council leader says the rebels need weapons