United Nations (CNN) -- The U.N. Security Council will take up a draft resolution that would establish an interim peacekeeping force for the disputed border region of Abyei, U.S. Ambassador to the United Nations Susan Rice told reporters Thursday.

The draft resolution calls for the deployment of 4,200 Ethiopian National Defense Force peacekeepers to the region.

"We are looking forward to discussions with council members in order to swiftly adopt a resolution authorizing this new interim security force for Abyei so that the agreement that both parties have reached, which is obviously urgent and fragile, can be implemented immediately and effectively," Rice told reporters after the Security Council met in closed session.

The purpose of the interim security agreement is to allow for the withdrawal of forces from Abyei, she said. "At this stage that means the forces of the government of Sudan, which are now occupying Abyei, and that that area would become demilitarized and administered in a joint fashion and that would persist pending resolution of the critical underlying issues."

Time for action over Sudan?

The Sudanese government and the Sudan People's Liberation Movement signed an agreement Monday that allows U.N. peacekeepers in Abyei. The two sides agreed in principle on the need for a third party to monitor the ill-defined border between north and south before the scheduled July 9 independence for the south.

Thursday's announcement came a day after U.S. President Barack Obama applauded the signing of the agreement, the latest effort to quell the violence in Sudan that has forced tens of thousands of people from their homes.

"I commend the parties for taking this step forward toward peace, and I urge them now to build on that progress and agree to an immediate cease-fire in Southern Kordofan," the White House said in a statement.

Southern Kordofan is the oil-rich northern border state where fighting has also erupted between government troops and forces loyal to the south.

Rice said she was concerned about the humanitarian situation in Southern Kordofan.

"We are deeply concerned about attacks on and threats to and intimidation of U.N. personnel, obstructions to freedom of movement and access for humanitarian goods, allegations and indeed verified reports of aerial bombardment and other attacks against civilian personnel," she said.

"With a cease-fire in Southern Kordofan, alongside the agreement to deploy peacekeepers to Abyei, we can get the peace process back on track," she said. "But without these actions, the road map for better relations with the government of Sudan cannot be carried forward, which will only deepen Sudan's isolation in the international community."

The people from the Nuba Mountains in Southern Kordofan are northerners but they aligned with the south's rebel movement during Sudan's decades-long civil war. They are viewed as a threat by Khartoum because Southern Kordofan will remain part of the north after independence.

"The treatment of civilians in South Kordofan, including the reported human rights abuses and targeting of people along ethnic lines, is reprehensible," said Valerie Amos, the United Nations undersecretary general for Humanitarian Affairs and Emergency Relief Coordinator.

Between Abyei and Southern Kordofan, about 160,000 people have been displaced from their homes, the United Nations has said.

Southern Sudan voted for independence in a January referendum that was largely peaceful. But with its separation pending, tensions have heightened to what they were like during the civil war days and there has been little cause for celebration over the birth of a nation.

The U.S. State Department issued a warning Wednesday, urging U.S. citizens to avoid travel to the border areas -- including Abyei and Southern Kordofan -- as well as to the Darfur region of Sudan.

@highlight

Draft resolution would establish an interim peacekeeping force for Abyei

@highlight

It calls for deployment of 4,200 peacekeepers to the region

@highlight

Agreement's purpose is to allow for troop withdrawal from Abyei, ambassador says