Durham, North Carolina (CNN) -- The earthquake of 2010 is not the first one of this magnitude in Chile's long, traumatic history.

Almost 50 years ago, I was watching a soccer match in the National Stadium in Chile's capital when, seconds after a gigantic rumble from under the ground terrified the 60,000 fans attending the game, the mountains suddenly disappeared. I am not exaggerating: The stadium was rocked like a cradle and rose in the air, blotting out my view of the Andes, and then, fortunately for all of us, settled back to stability. We had just been through what is still considered, at 9.6 on the Richter scale, the greatest seismic activity ever recorded.

We soon learned that the epicenter had been more than 400 miles south of Santiago and that the devastation was massive. On top of the quake itself, which had flattened towns and killed thousands, a tsunami had swept our coast, causing even more havoc. A few months later, when I traveled to that region, I saw for myself the masts of large sunken ships in the Valdivia River many miles inland, and the remains of colossal iron-smelting ovens in Corral that had been twisted beyond recognition by the rush of the invading waters.

The human toll was unbearable. From the survivors, I heard of men, women, children heading for the hills and being sucked out to sea as if they were driftwood.

I remember all this now so many decades later as I watch, this time from afar, this time from the safety of my home in the United States, yet another ruinous earthquake destroy my country. I remember el gran terremoto de 1960 to offer myself some sort of historical perspective on the recent earthquake, offer myself some trembling ground, so to speak, beneath my feet, as I try to come to terms with the possible meaning of what has just happened.

It is obscene to compare cataclysms as if they were contestants in a horror show -- this one cost so many billions, that one cost so many lives -- and yet, to measure what has changed in Chile between these two major disasters in the intervening half century may help us to answer what is, after all, the most urgent question of the moment: What lies ahead?

Chile is today a far more prosperous country than it was 50 years ago. Its economy is considered the most dynamic and advanced in all of Latin America -- even though still ravaged now by a grossly unfair distribution of income. This relative affluence of Chile (the GDP today is 15 times more than in 1960!) leaves us better equipped to deal with our current catastrophe, as we have human and scientific resources that we could scarcely have dreamt of back then, to the point that our wonderful outgoing president, Michele Bachelet, initially informed the international community that the country would not require foreign assistance (she has since modified that stance and aid from abroad is starting to arrive).

Paradoxically, however, Chile's advances in technology, its abundance of material goods, its many highways and bypasses, its enormous fleet of planes and cars and high-rises, leaves much more of the land and many more of its citizens open to distress, and makes the economy more vulnerable. The richer you are, the harder your potential fall. The more roads you have, the more cracks in the pavement.

This wealth, furthermore, has not been accumulated without severe social consequences. Back in 1960, the whole nation came together to rebuild the country. I spent the month after the earthquake, like many university students, collecting money, food, blankets and mattresses that were sent down to the south in caravans filled with enthusiastic volunteers.

It was a lesson in solidarity that I have never forgotten -- those who were most deprived gave so much, cared so much, sacrificed so much for their wounded compatriots. If Chile is more opulent now, it has also become a more egocentric and individualistic society where, instead of a vision of social justice for all, the citizenry is, for the most part, engaged in a frenzied race toward ever more consumption and subject, of course, to the accompanying stress and anomie.

Like all major misfortunes, the current tragedy of Chile can be seen as a test, a chance to ask ourselves who we really are, what really matters as we rebuild, not only our wrecked hospitals and broken roads and fractured bodies, but our damaged identity.

I believe that the deepest wells of that solidarity and fellowship I witnessed when the earthquake of 1960 reduced my land to rubble is still inside most of the people of Chile, and will constitute the main source of our efforts to lift our country up from its desolation, the reason why we may be able to once again prevail, as so many times in the past, against the forces of blind nature.

Fifty years ago, the people of Chile found a way to survive all that death and destruction and I can only hope that this time we can painfully, painstakingly, even joyfully, do it again.

The opinions expressed in this commentary are solely those of Ariel Dorfman.

@highlight

In 1960, an earthquake shook Chile, the most powerful one ever recorded

@highlight

Ariel Dorfman recalls that the quake brought Chile's people together to rebuild

@highlight

He says the society has become much more prosperous and individualistic

@highlight

Dorfman says nation's "deepest wells" of solidarity, fellowship can help it rebuild again