Ras Al Khaimah, United Arab Emirates (CNN) -- On a dusty day in the northern-most Emirate of Ras Al Khaimah, 40-year-old Jasim Ali wrestles playfully with his four-legged friend Teymour over a chew toy. But Teymour is not a dog -- he's a fully-grown African lion.

"There is a special language, I can say, between him and I," said Ali.

Ali rescued Teymour from a farm where, he says, he was a neglected pet.

"I treated him differently than how he had been treated before. So, a love story began between us. He would only eat if he saw me there. If I wasn't there, you would feel he was upset. He would wait for me."

With an African lion, love can be tough. Ali said he's been bitten several times -- always during play --- and although he trusts Teymour implicitly, he always treats him with caution and respect. Ali's main concern during playtime is that one of Teymour's claws may accidentally come out. "He could tear my flesh," he said.

Ali manages the Ras Al Khaimah Wildlife Park, set up a few years ago under the patronage of Sheikh Taleb bin Saqr Al Qasimi, one of the Ras Al Khaimah's royals. He has been adopting neglected and mistreated animals for more than 15 years.

Many of those animals, including Teymour, are endangered or exotic, and were initially bought on the black market.

Owning an endangered animal as a pet is illegal in the United Arab Emirates, a signatory of the Convention on the Illegal Trade of Endangered Species (CITES). However, the trade in endangered wildlife remains a problem in the Gulf, where owning expensive exotic pets, especially big cats, is the ultimate status symbol. A rare white lion sells for around $50,000 on the black market, Abu Dhabi Wildlife Center.

None of the pet owners we approached would speak on the record about illegally purchasing exotic animals, but many amateur videos uploaded online attest to their popularity among young men in the Gulf.

In one YouTube clip that was widely viewed in the region, a man frightens his friend by chasing him around the living room with a chained lioness. Another clip shows a group of men walking a cheetah on a leash in an indoor location. There's even a man trying to ride a fully grown lion.

It is all about bragging rights for the men buying these animals, says Ali.

"If someone buys a very expensive animal, he is boasting that he has enough money to get anything he wants," he said. "If he has a tamed wild animal like a lion, he is trying to show off that he is brave. But this is not courage; this is animal rights abuse."

It has largely fallen on private individuals like Ali, backed by the government, to care for neglected illegally obtained animals.

More than 200 illegal animals in the United Arab Emirates were confiscated alive by the authorities in 2010, according to CITES. Most big cats are sent to the Abu Dhabi Wildlife Center, which is privately funded by Sheikh Mansour bin Zayed Al Nahayan, a member of Abu Dhabi's ruling family.

The large cages harbor a staggering variety of rare animals -- white lions, white tigers, black jaguars, cheetahs, baboons and wolves -- to name a few.

Also on Inside the Middle East: Saudi foodies ditch fast food for fine dining

Ayesha Kelaif shoulders the burden of smaller animals.

The the petite mother of four cares for almost 300 animals as varied as iguanas, alpacas, foxes, monkeys and pheasants in her residential villa that doubles up as the Dubai Animal Rescue Center. All the animals were abandoned or rescued and some are exotic and endangered.

Her closest friend, an endangered South American macaw named Rio, was abandoned in a cardboard box in a parking lot. Rio sits perched on her shoulder throughout the interview, pecking at the microphone.

Relying on help from volunteers, Kelaif spends most of her income taking care of the animals. The recently widowed government employee spends a hefty $10,000 per month to cover everything from veterinary costs to electricity for 19 air-conditioning units for the animal cages.

"We don't save anything. I don't have any retirement fund; it's all for the animals," said Kelaif. She added that she carries financial burden because the reward is priceless. "The passion and the love that you get from (the animals) is amazing and if there's anything I can do to help animals you can't put a price on it."

Recently granted land by the Dubai government, Kelaif cannot afford to build the infrastructure for the rescue center that she hopes will one day be her legacy.

Her passion for animals goes back to her childhood. Both her parents died of cancer when she was nine and her siblings were split up. Kelaif says animals helped her cope.

Also on Inside the Middle East: How to rebel, Saudi style

"I got so much love from these guys, they used to make me so happy, I used to just go sit in the alleyways and just feed a dog or touch a cat and I used to be so happy," she said.

Kelaif said people buy exotic animals without understanding the unique needs they have and the level of responsibility involved. People who buy baby lion and tiger cubs can no longer take care of them when they get larger and start showing violent tendencies. It's not just locals -- many expatriate families leave their pets behind when the leave the country.

Both Kelaif and Ali realize they are in a legal gray area when it comes to the exotic animals they shelter. Any endangered animal needs appropriate paperwork from CITES. Animals that have been smuggled into the country, even if rescued, technically remain illegal by international standards despite having permissions from local authorities.

But these animal lovers say paperwork will not stop them from doing the right thing.

Ali said he has reached out to animal rights groups and wants their help setting up a wildlife reserve in Ras Al Khaimah, since the animals' legal limbo makes repatriation difficult. He says he is surprised that recent media attention, instead of bringing him assistance, has brought him criticism from some.

"My wish is that, instead of criticizing me, these people would offer me help. I haven't done anything wrong; I've protected these animals and created a sanctuary for them. I'm trying to get them to appropriate wildlife reserves."

@highlight

For many young men in the Gulf, keeping an exotic pet -- a lion, tiger or cheetah -- is an ultimate status symbol

@highlight

The smuggled and endangered animals are usually mistreated and often abandoned

@highlight

Meet the animal lovers running sancturies for rescued exotic pets and see the rare bonds they have formed with them