(CNN) -- On June 13, 2009, hundreds of thousands took to the streets in the largest demonstrations seen in Tehran since the Iranian revolution of 1979. They were protesting what many observers said was a rigged presidential election. The regime answered with brutal repression. Security forces admitted 2,000 arrests and some 20 killings. Families of the protesters insisted that the true number of the killed was hundreds more.

Through the crisis, President Barack Obama mostly held his tongue. On June 15, he disavowed any intention by the United States to favor one side or the other. He assured Americans that the Iranian government had promised him "that they are going to look into irregularities that have taken place." Only on June 23, after 10 days of arrests, beatings, and killings, did Obama harden his tone.

That day, he expressed disapproval of the regime's "threats, beatings and imprisonments." Yet even that tougher statement was hedged with careful restraints. While deploring loss of life, the president avoided any suggestion that the regime had intentionally killed anyone. By then, of course, the "irregularities" had achieved their effect: the protests were suppressed, the election was stolen.

By crushing protesters in 2009, the Iranian regime survived to aid its clients in Syria when they faced an uprising in 2011. Iranian generals and Hezbollah militias stiffened Syrian government forces and turned the tide of war -- a war that has to date claimed perhaps 150,000 lives -- and generated the largest refugee exodus in postWorld War II history.

In August 2011, Obama called upon President Bashar al-Assad to step down. He didn't.

In August 2012, Obama declared the use of poison gas a "red line." Al-Assad crossed it. American presidents should use the language of command only very sparingly -- but when they do use it, they cannot allow their commands to be defied with impunity. Yet that, to the world's cost, is precisely what happened.

Al-Assad used poison gas in December 2012. Rather than react, the U.S. government pooh-poohed the reports. "The reporting we have seen from media sources regarding alleged chemical weapons incidents in Syria has not been consistent with what we believe to be true about the Syrian chemical weapons program."

Within hours, the Washington soft line had been contradicted by a leaked cable from U.S. officials on the Turkey-Syria border. Nothing changed. The Obama administration seemed to take the view:  If we see something, we'll have to do something. We don't want to do anything, so we won't see anything.

Al-Assad did not cooperate, however. He used poison gas again, in attacks of escalating deadliness, through the spring of 2013. Obama threatened military action -- and again nothing much happened. A Russian plan to deactivate Syrian weapons has bogged down, with the Syrians gaining extensions and more extensions.

As of March 2014, Syria still retained a majority of its original chemical stockpile. In the meanwhile, the government continues to gain the upper hand over the rebels.

Did al-Assad's successful crossing of Obama's red line embolden another al-Assad ally, Russia's Vladimir Putin?

Over the past six months, the sovereign state of Ukraine -- a country of 50 million -- has chased out a corrupt authoritarian Russian-backed president and attempted to reorient itself to Europe and the West. Russia has invaded and annexed the Ukrainian territory of Crimea -- the first time since 1945 that a larger European country has taken territory from a smaller. The U.S. response has again been muted. Obama's most recent statement about Ukraine, delivered in Europe on March 26, belittled the significance of what has happened there.

"To be honest, if we define our -- our interests narrowly, if we applied a cold-hearted calculus, we might decide to look the other way. Our economy is not deeply integrated with Ukraine's. Our people and our homeland face no direct threat from the invasion of Crimea. Our own borders are not threatened by Russia's annexation." He concluded: "Now is not the time for bluster. The situation in Ukraine, like crises in many parts of the world, does not have easy answers nor a military solution."

Meanwhile, in Venezuela, another authoritarian regime is violently suppressing student protesters. Venezuela, too, seems to have got the message: All clear, nothing to fear from Washington. The President's response? A four-sentence statement delivered at a press conference in Mexico back in February that seemed to lay blame on all parties.

"I want to take this opportunity to address the situation in Venezuela and Ukraine, and the unacceptable violence in those two countries, which the United States strongly condemns.

"In Venezuela, rather than trying to distract from its own failings by making up false accusations against diplomats from the United States, the government ought to focus on addressing the legitimate grievances of the Venezuelan people. So, along with the Organization of American States, we call on the Venezuelan government to release protesters that it's detained and engage in real dialogue. And all parties have an obligation to work together to restrain violence and restore calm."

In crisis after crisis, the United States seems just AWOL. And there's an emerging pattern to this passivity: all four of these cases -- Iran, Syria, the Russian invasion of Crimea and Venezuela -- involve governments in which Obama tried to engage in dialogue. In each case, the government in question preferred violent repression to dialogue. And in each case, the violently repressive government got away with its actions, leaving the United States and its eloquent President defied, outmaneuvered and tongue-tied. The Crimea situation isn't over yet. But it does seem likely to follow the same path as the other cases.

The pattern established here is embarrassing to the United States and destabilizing to the world.

Obama blames his predecessor as too provocative. But, as the saying goes, weakness is provocative, too. By that measure, the United States has seldom provoked more trouble than it is provoking today.

@highlight

David Frum: Time after time, President Barack Obama has ducked foreign policy challenges

@highlight

He says the President declined to be forceful on Iran, Syria, Ukraine, Venezuela

@highlight

Frum: Is Obama projecting U.S. weakness? And is that provoking others to act?