Washington (CNN) -- Two senior state officials in New Jersey are vehemently denouncing allegations of political strong-arming in the governor's name, the latest in a series of controversies lashing the Christie administration.

Lt. Gov. Kim Guadagno publicly denied an assertion by Hoboken Mayor Dawn Zimmer that she conditioned Superstorm Sandy recovery money last year on Zimmer's support for a redevelopment project backed by Christie.

Zimmer said the ultimatum came down in a parking lot and involved a project proposed by a real estate developer, the Rockefeller Group, with ties to Christie.

She said Guadagno invoked Christie's name in laying out the condition for storm relief and has relayed her story to federal prosecutors.

"Mayor Zimmer's version of our conversation in May of 2013 is not only false but is illogical and does not withstand scrutiny when all of the facts are examined," Guadagno said at a Martin Luther King Jr. event in Union Beach.

Zimmer, a Democrat, also said Community Affairs Commissioner Richard Constable made a similar demand regarding storm aid and the real estate plan.

He called the allegations "patently false and absurd on their face." Constable added that he welcomes a "full and thorough law enforcement review of her libelous claims."

Zimmer said she stands by her account, remains "willing to testify under oath," and will answer any questions from the U.S. Attorney's Office.

"The bottom line is, Anderson, I mean, she came and she said this to me, you know, and I stand by my word," Zimmer told CNN's "Anderson Cooper 360" on Monday night, referring to her conversation with the lieutenant governor.

"She said she would deny it and she's denying it," the mayor said.

Fuel on the fire

The accusations over the weekend added fuel to a political and legal firestorm that has consumed the Christie administration in recent weeks, mainly over suggestions top aides and advisers to the governor orchestrated traffic jams around the George Washington Bridge in Fort Lee last year to punish that town's mayor for not endorsing Christie for re-election.

A state legislative committee investigating that matter issued subpoenas last week to key Christie appointees, some of them still in their jobs and others who have recently left.

U.S. Attorney Paul Fishman's office is also looking into the matter.

Christie has denied knowledge of the alleged bridge scheme that gained steam this month with the release of explosive e-mails between Christie appointees before, during and after the September traffic fiasco.

Having made his mark as a brash politician with cross-party appeal, Christie is viewed as a potential front-runner for the Republican presidential nomination in 2016, if he decides to run.

But the unfolding scandals have raised questions about his political and management style in a state where Democrats dominate at the local level.

Despite the unfolding political turmoil at home, Christie remains popular out of state. He spent the weekend in Florida raising money for Gov. Rick Scott, who is running for re-election.

Zimmer's accusation

Hoboken, a historically working-class town on the banks of the Hudson River made famous by favorite son Frank Sinatra, has experienced a resurgence in recent years. New development, cleaned up parks and neighborhood charm marketing nostalgia have boosted its image and attracted new residents and business.

Zimmer, elected in 2009 as the city's first female mayor, said Guadagno approached her and told her that supporting the development project by the Rockefeller Group was critical for Hoboken receiving Sandy aid.

Guadango said her dispatch was "a direct message from the governor," Zimmer told CNN's "State of the Union" on Sunday.

It's "stunning" and "outrageous," but true, Zimmer said. "I stand by my word."

Zimmer told MSNBC on Saturday that three days after her run-in with Guadango, Constable delivered a similar message, that "money would start flowing" if she supported the project.

Christie scandals: What you need to know

Zimmer met with Fishman's office for several hours at its request Sunday and provided prosecutors with her journal, which contained information about the parking lot episode.

Guadango said she recalled having a conversation with Zimmer that day, but she remembered Zimmer arguing that Sandy recovery aid and redevelopment were the same issue, according to a source close to Guadagno who was not authorized to speak publicly.

"Kim remembers in their conversation that she was talking about redevelopment and making investments in Hoboken. She remembers Zimmer pressing Kim for money for Sandy. Kim remembers saying you can't tie the two together," the source said. "And she remembers Zimmer continuing to press and showing her a map of the city and pressing for aid for Sandy."

Zimmer disputes that account and provided CNN with letters that she said back up her case.

On April 23, she sent a letter to Christie's office that she argued says development and Sandy aid should not be connected.

"Just as shore towns are not being asked for development in exchange for protecting them from future storms, the solution to Hoboken's flooding challenges cannot be dependent on future development," the letter read.

She sent another letter to his office on May 8 asking for help with funding pumps. Zimmer's conversation with Guadango happened just days later and the mayor said she believes the two events are related.

"When you look at all of the events together, you can see that it was a progression. It was a progression of pressure and she was sent in to really make that final message to me," Zimmer told CNN's "Anderson Cooper 360."

Guadagno spoke Monday before mayors whose towns were also affected by Sandy, a storm of historic proportions that heavily damaged shore and waterfront areas up and down the mid-Atlantic coastline. The federal government authorized billions in aid.

"Frankly, I'm surprised that Mayor Zimmer has chosen to mischaracterize a conversation I had with her about development and job creation in Hoboken," Guadagno said in remarks that appeared carefully planned to discredit Zimmer's allegations.

Christie aides push back

Christie spokesman Colin Reed said it was "categorically false" that Sandy funds were withheld.

"It's very clear partisan politics are at play here as Democratic mayors with a political ax to grind come out of the woodwork and try to get their faces on television," Reed said in a statement.

Building their case against Zimmer, Christie's administration hosted a conference call for reporters Monday defending how Sandy funds were allocated.

Marc Ferzan, executive director of the Governor's Office of Recovery and Rebuilding, said that her accounting is "a mischaracterisation."

After Sandy, Hoboken was 80% underwater. Zimmer said it received about $300,000 of the roughly $100 million in state funds the city requested for flood prevention.

Ferzan said Hoboken has been approved for nearly $70 million in aid. But that aid was given mostly to individual residents and small businesses, not the city of Hoboken.

The Hoboken allegation is the second to surface regarding Sandy money.

A federal watchdog, the inspector general for the Department of Housing and Urban Development, is looking at protocols around state spending for a marketing ad for Sandy recovery featuring Christie and his family. The Christie administration went with a firm that charged twice as much to produce the spot as another bidder.

Christie marches on as controversy at home unfolds

Ad firm head: We were asked about using Christie in post-Sandy campaign

A different account

The governor's spokesman also said the mayor and Christie have had a "productive relationship," noting an August tweet by Zimmer saying she's "very glad Gov. Christie has been our governor."

Zimmer admitted to supporting Christie in the past, saying she is not a part of "the Democratic machine."

But her comments over the weekend are a change from what she told CNN last week. She said then that she didn't think Sandy funds for her city were tied to any instance of political retribution.

"I don't think it was retaliation, and I don't have any reason to think it's retaliation, but I'm not satisfied with the amount of money I've gotten so far," Zimmer said. She did not mention her concerns about the redevelopment project.

But Sunday morning, Zimmer told CNN she didn't speak out before because she didn't think anyone would believe her.

CNN received images of journal entries that Zimmer said she wrote at the time. In one, Zimmer writes that the conversation with Guadagno left her upset and shattered the image she had of Christie.

"I thought he was honest, I thought he was moral -- I thought he was something very different," the journal entry says. "I am so disappointed -- it literally brings tears to my eyes."

See the journal entries

CNN exclusive: Port Authority job created for Christie ally, source says

Debate about redevelopment

Zimmer's allegations center on a property owned by the Rockefeller Group, which had a plan for redevelopment of a three-block area of Hoboken that was rejected by the city's planning board.

Instead, the panel voted to classify the area owned by the company as available for "rehabilitation," which results in fewer tax incentives.

Aides and advisers to Christie have ties to Wolff & Samson, the law firm representing The Rockefeller Group.

Wolff & Samson lobbyist Lori Grifa was a former commissioner of the New Jersey Department of Community Affairs, and Wolff & Samson's David Samson is chairman of the Port Authority of New York and New Jersey and was appointed by Christie.

Samson was recently served with a subpoena in the George Washington Bridge case by an investigative committee seeking relevant documents.

Another investigation?

The chairman of the Democratic-led investigative committee tasked with looking into the George Washington Bridge scandal weighed in as news of the Hoboken allegations spread.

New Jersey Assemblyman John Wisniewski said in a statement that the allegations were serious and have "certainly attracted our attention."

"I think what we're going to do first is have a conversation with her to make sure that we understand all of the accusations being made," Wisniewski told CNN's "The Situation Room."

"She's the first one to make a specific allegation about a specific event with somebody in particular in the governor's administration. I don't think it would be appropriate for the committee to rush to any conclusions," he said.

CNN's Chris Frates, Steve Kastenbaum and Dana Davidsen contributed to this report.

@highlight

NEW: Hoboken Mayor Dawn Zimmer provides letters she believes backs up her case

@highlight

NEW: "It was a progression of pressure," she tells CNN's "Anderson Cooper 360"

@highlight

New Jersey Lt. Gov. Kim Guadagno says accusations by Hoboken mayor are "illogical"

@highlight

Gov. Chris Christie's office played politics with Sandy funds, Zimmer says