(CNN) -- Brazil might be viewed as booming emerging market, but with growth has come problems.

Around 50 million Brazilians live in inadequate housing, according to the UN World Urban Forum. A recent UN Habitat report says between 85 and 90% of the deficit is within poor families, who have been hit by soaring real estate prices, sluggish earnings growth and a swelling population.

But in ond of Sao Paulo's sprawling suburbs, one former tech entrepreneur believes he has an answer.

Andrea Molinari, founder of construction firm Crinale, aims to succeed where government and construction giants have failed. His answer is houses that are quick to build, traditional in construction, and sold direct to consumers for them to develop themselves.

Nimble construction

Large construction companies attempting to raise finance for construction and negotiate government bureaucracy have found themselves mired.

Molinari explains that a smaller company can move faster.

"I think the core here is that we are operating in a gap where the big ones are not operating, and produce something that has huge demand," he tells CNN at the company's development at São João da Boa Vista, 200 kilometers (124 miles) north of Sao Paulo.

The company eschews Sao Paulo city center, where Molinari says land prices make development for those on low incomes uneconomical. Instead, it snaps up plots at the rural fringes of the city, or in cities further out into Sao Paulo state.

The company aims to stay "light" -- outsourcing infrastructure to the land developer, buying ready-to-use concrete blocks, and handing the marketing and sales to a local broker -- so it can concentrate on the construction.

In doing so, Molinari claims to reduce the time from development to sale by more than 50%.

Traditional values

The houses are built to the same plan. Each is 46 square meters with a living room, two bedrooms, a kitchen and a bathroom. Each is marketed at around 150,000 Reais ($63,000), designed to appeal to families at the bottom end of Brazil's growing middle class.

"We build in the traditional way we do in Brazil, which is bricks and mortar or concrete -- no plastic composites or things like that," says Molinari.

The old-fashioned brickwork masks the progressive ideas behind it.

In addition to an ambition to provide jobs for local people (with traditional building techniques quicker to train to new workers that specialist techniques), Molinari hopes to build houses that aspirant buyers will be able to develop further independently.

"The important thing here is that after they own the asset they improve the asset. They generate more value in the asset," he says.

So far Crinale has built 4,000 houses. At São João da Boa Vista, there are homes under construction and families already living on site. Molinari describes the ambition to create a "dynamic neighborhood."

The former banker admits the job might not boast the biggest numbers, but it has something else:

"It's not the most profitable business you can find. But you can build some decent scale and ... at the same time have a real impact on people's lives."

@highlight

In Sao Paulo, Brazil's drastic housing shortages are exploding into violence

@highlight

Andrea Molinari, founder of construction firm Crinale, thinks he has the answer

@highlight

Crinale builds traditional houses fast, and sells direct to buyers