(CNN) -- The Sinjar Mountains rise suddenly from the endless desert of northern Iraq, a ridge of craggy rock some 50 kilometers (30 miles) long, running east to west. Barren and windswept, some 1,400 meters (4,600 feet) high, they make a forbidding sight. But for centuries, they have been the refuge of the desperate and a place of mystical importance.

Last week, the mountains saw another influx, as tens of thousands of people tried to escape the rapid advance of the Islamic State in Iraq and Syria, or ISIS, which now calls itself the Islamic State. Many of them were Yazidis, fleeing the town of Sinjar and surrounding villages in convoys of dozens of vehicles. The lucky ones used smuggling routes to cross into Syria and back into Kurdish-controlled areas of northern Iraq. The less fortunate were either seized by ISIS militants or headed into the mountains.

The Yazidi are an ancient religious sect -- mainly ethnic Kurds -- that worship an angel figure held by many Muslims to be the devil. ISIS has executed Yazidis who refuse to convert to its extreme ideology.

By Sunday, according to Iraqi and Kurdish sources, as many as 20,000 had been able to leave the mountains -- perhaps half of those who had been stranded for nearly a week. U.N. agencies estimated late last week there were as many as 50,000 people in the mountains.

Kurdish peshmerga forces appear to have secured an escape route, but a hazardous one with ISIS militants still roaming the area. According to some accounts, Syrian Kurds also helped people use parts of northeastern Syria under their control to reach Kurdish areas of northern Iraq.

U.S. airstrikes Saturday against several armored personnel carriers used by ISIS in the area may have helped the escape. But President Obama acknowledged Saturday that securing safe passage for those still stranded would be "logistically complicated."

Donatella Rovera of Amnesty International, who is in the region, spoke Sunday of families that had escaped, arriving in the town of Fishkhabour after a circuitous trek through Syria "in terrible condition, fainting from exhaustion." Some had told her that ISIS had abducted women and girls.

Unless food and water reach those remaining, mainly on the southern slopes, they have an impossible choice between dying of dehydration and giving themselves up to ISIS. Daytime temperatures exceed 30 degrees Celsius (86 Fahrenheit).

Video of a Kurdish relief mission showed a helicopter landing with supplies on a barren scarp. Hundreds of desperate people ran toward it. Twenty lucky ones were able to scramble aboard for the return flight, many of them hysterical. A few dozen more have been picked up by Iraqi helicopters, which have also been bringing aid to the mountains.

Photographs from last week showed thousands of people abandoning their vehicles before trekking to higher altitudes, carrying what they could. On the northern side of the range, Christians were also fleeing, as ISIS fighters pushed toward the mountains from two directions. A few took refuge in caves, according to those who have escaped. Many more wandered the boulder-strewn slopes.

The U.S. Air Force has carried out three relief drops on successive nights since Thursday, which have included some 50,000 ready-to-eat meals. Defense Secretary Chuck Hagel said the Pentagon had "pretty solid information" that of the 72 bundles dropped by C-17 and C-130 aircraft in the first mission, more than 60 had reached "the people who were trapped up there."

Two more U.S. airdrops followed, the latest on Saturday night, as well as one by the Royal Air Force. The U.N. Children's Fund -- UNICEF -- estimates that at least 20 flights would be needed to keep the thousands trapped alive for a week. France is also planning aid drops.

Crossroads of conflict

The Yazidis settled in the area around Sinjar in the 12th century. The mountains on which they now suffer had a special place in their beliefs. Yazidi tradition held that Noah's Ark had come to rest on the summit.

As a minority, they are no strangers to conflict and persecution. Through the ages, cultures, religions and ethnicities have competed and clashed in this part of Iraq. In the early 19th century, the Kurds, Arabs and Yazidis all had different names for Sinjar. Kurdish fighters invaded Yazidi lands, killing hundreds.

Frederick Forbes, a British colonial officer who visited the area in 1838, said the Yazidis had "kept the whole of the country between Mosul and Nisibin in a state of alarm" until being "pacified" by the Ottoman Empire.

When he reached the town of Sinjar, Forbes found a fertile place fed by mountain streams, but the "ruins of many Mohammedan buildings" recalled earlier battles.

Another colonial visitor, Gertrude Bell, wrote in the 1920s that "until a couple of years ago the Yezidis were ceaselessly at war with the Arabs and with everybody else."

Everybody else included the Turkish army, which had tried to force the Yazidis to convert to Islam in the last few years of the 19th century, a story told by the traveler Oswald Hutton Parry in his "Six Months in a Syrian Monastery," written in 1895.

After the Yazidis had been told to convert, Parry wrote, "none responded. Christianity they were less unready to accept; the Christians were their friends and fellow-sufferers. Islam had always cursed and persecuted them." So the Sultan sent troops commanded by his son to Yazidi villages. "The soldiers slew in all some five hundred men. ... The pretty women and girls he took captive, marrying them by force to his soldiers."

The Yazidis did indeed see Christians as fellow sufferers. A hundred years ago, they helped Armenian Christians fleeing Turkey to settle in the shadow of the Sinjar Mountains, along with Chaldean and Syriac Catholics. But in the spring of 1918, Turkish forces arrived and destroyed the settlement as well as many Yazidi homes.

For a while after the collapse of the Ottoman Empire, the Yazidis were unsure whether they would end up as part of Iraq or Syria. Eventually, in 1933, an international commission placed Sinjar inside Iraq -- a decision by colonial overlords that would later haunt the Yazidis. During Saddam Hussein's rule, many of their settlements were razed and their inhabitants forced into "collective villages" as a buffer against the troublesome Kurds.

As Matthew Barber writes in the blog Syria Comment, "Saddam bulldozed countless Yazidi towns until there was nothing left but gravel, and then forcibly moved their former inhabitants into collectives situated in locations that served his strategic interests." At least one of those collectives saw its population swell with refugees from Sinjar in recent days.

Even after Hussein was overthrown, there was little peace for the Yazidis. Relations with Sunni Arabs remained tense, and after a 17-year old Yazidi girl in the town of Bashika was suspected of having a relationship with a Sunni teenager, extremists murdered more than 20 Yazidis. The girl was stoned to death by her own relatives for daring to have an "impure relationship" -- a so-called honor killing.

At the time, the region was a stronghold of al Qaeda in Iraq and a conduit for militants arriving from Syria to fight U.S. forces. Suicide bombings in August 2007 targeted Yazidi communities in and around the town of Qahataniya, killing nearly 200 people.

One U.S. military raid near Sinjar in October of that year uncovered hundreds of al Qaeda documents listing foreign fighters who had passed through the area.

Now another -- much more powerful -- surge of Islamist militancy threatens the existence of one of the Middle East's most vulnerable peoples.

@highlight

Tens of thousands of people are trying to escape militants from the Islamic State in Iraq and Syria

@highlight

Many of them are Yazidis, who fled into the Sinjar Mountains last week

@highlight

Members of the religious sect worship an angel figure held by many Muslims to be the devil

@highlight

Sources say as many as 20,000 have been able to leave the mountains, but many remain