(CNN) -- U.N.-Arab League special envoy Kofi Annan is promoting a six-point initiative to end the violence, bring in relief, and forge a political process to address grievances in Syria.

The U.N. Security Council endorsed a presidential statement last week welcoming Annan's recent appointment as a special envoy on the crisis. It also backed the six-point plan submitted to Syria, which Annan's office said was accepted by President Bashar al-Assad's regime.

"The Security Council calls upon the Syrian government and opposition to work in good faith with the envoy towards a peaceful settlement of the Syrian crisis and to implement fully and immediately his initial six-point proposal," the presidential statement said.

The six-point initiative is laid out in the statement.

A couple of points directly address the aggressive year-long government crackdown against protesters. The United Nations says it now estimates that more than 9,000 people have died in the Syrian conflict. Activists estimate more than 10,000 deaths.

One point urges the government to "respect freedom of association and the right to demonstrate peacefully as legally guaranteed."

Read the U.N. statement (PDF)

Another calls for Syrians to "commit to stop the fighting and achieve urgently an effective United Nations supervised cessation of armed violence in all its forms by all parties to protect civilians and stabilize the country."

The government, the plan says, should immediately stop "troop movements towards, and end the use of heavy weapons (in)," population centers. It also should pull back the concentrated military deployments in and around population centers, it says.

"As these actions are being taken on the ground, the Syrian government should work with the envoy to bring about a sustained cessation of armed violence in all its forms by all parties with an effective United Nations supervision mechanism," according to the plan. "Similar commitments would be sought by the envoy from the opposition and all relevant elements to stop the fighting and work with him to bring about a sustained cessation of armed violence in all its forms by all parties with an effective United Nations supervision mechanism."

Throughout the year, many people have been arrested by the government and activists say those actions have been unfair. The plan urges the Syrian government to "intensify the pace and scale of release of arbitrarily detained persons, including especially vulnerable categories of persons, and persons involved in peaceful political activities."

The plan urges authorities to urgently provide "a list of all places" where people are detained. It says the government should organize "access" to those places. It should "respond promptly to all written requests for information, access or release" of those detainees.

The fate of civilians caught in the crossfire of fighting and in the middle of military offensives has been a major concern.

Another point in the plan calls for the government to "ensure timely provision of humanitarian assistance to all areas affected by the fighting." It calls on the government "to accept and implement a daily two-hour humanitarian pause" to allow delivery of relief supplies.

Despite the appearance of an armed resistance and some talk of arming them, world powers have emphasized the necessity of a peaceful settlement.

Another point in the plan reflects this stance. It urges Syrian authorities to work with Annan "in an inclusive Syrian-led political process to address the legitimate aspirations and concerns of the Syrian people." They should "commit to appoint an empowered interlocutor when invited to do so by the envoy."

The government has restricted the movement of journalists during the yearlong conflict and events reported by activists and the government cannot be independently confirmed. One of the points in the plan demands ensuring "freedom of movement throughout the country for journalists and a non-discriminatory visa policy for them."

Annan viewed Syria's acceptance of the plan Tuesday as an "important initial step." Over the past year, the Assad regime has said it is committed to end the violence but it has continued the crackdown just the same.

Annan has stressed that "implementation of the plan is the key" and the Assad regime needs "to put its commitments into immediate effect."

@highlight

The plan calls for a Syrian-led political process

@highlight

It calls for Syrians to "commit to ... a sustained cessation of armed violence"

@highlight

The government must allow "the right to demonstrate peacefully"

@highlight

The plan urges authorities to provide "a list of all places" where people are detained