FLORES, Guatemala (CNN) -- In the rain forests of Central America grows the nutrient-rich Maya nut. The marble-sized seed can be prepared to taste like mashed potatoes, chocolate or coffee. To those who stumble upon the nuts on the ground, they're free for the taking.

Erika Vohman's Equilibrium Fund teaches women how to reap the benefits of the Maya nut.

The problem, however, is that many people living in areas where the Maya nut grows abundantly don't know about it.

Erika Vohman is trying to change that -- and improve rain forest conservation and women's status in the process.

"People are living right there, in extreme poverty, not even eating more than one meal a day and there's Maya nut lying all around," Vohman said. "They don't eat it because they don't know."

Vohman has traveled to Honduras, Mexico, Guatemala, Nicaragua and El Salvador, conducting workshops that teach women how to harvest, prepare and cook or dry the prolific seeds into tasty, hearty foods.

The 45-year-old biologist first encountered the Maya nut while visiting rural Guatemala a decade ago for an animal rescue effort. An indigenous colleague told her of the native resource, once an essential food staple of his Mayan ancestors; the civilization had widely cultivated the large tropical rain forest tree, the Brosimum alicastrum, that produces the Maya nut.

That colleague prepared a Maya nut soup for Vohman and she found it delicious.

Having watched impoverished Guatemalan communities clear rain forests to plant food, it struck Vohman that the key for uplifting Central American communities was to help them return to their roots.

She subsequently attended graduate school and learned how she could help these populations make the most of Maya nut -- a resource that didn't require forest destruction for planting.

In 2001, Vohman created The Equilibrium Fund to help alleviate poverty, malnutrition and deforestation by teaching communities about their native Maya nut forests. Do you know someone who should be a CNN Hero? Nominations are open at CNN.com/Heroes

Far-reaching benefits of the Maya nut

With one tree able to produce as much as 400 pounds of food a year, using the Maya nut prevents rain forest clear-cutting to harvest other foods and increases populations' food supplies. Dried, the Maya nut can be stored for up to five years -- a lifeline for regions with frequent drought.

The Maya nut has high levels of nutrients including protein, calcium, fiber, iron and vitamins A, E, C and B.

"For some reason, people have stopped eating this food, which is one of the most nutritious foods you can get," Vohman said.

It is also less susceptible to climate changes than the crops that had been brought in to replace it.

In the rural village of Versalles, Nicaragua, women gather and cook the Maya nuts into pancakes, cookies, salads, soup and shakes that feed their community year-round. It is one of 700 communities so far where "The Maya Nut Revolution," as it has come to be known, has taken hold.  Watch how the Maya nut is transforming communities in Central America »

"These women are responsible for raising the next generation," Vohman said. "If a woman's not educated and doesn't have access to any job opportunities, it makes it really hard. Our workshops [help them] acquire the skills and knowledge to feed their families and better their lives."

Training rural women about the Maya nut has made them champions of rain forest conservation and reforestation, as well as entrepreneurs who turn Maya nut products into income. Training empowers women to educate others in neighboring communities, subsequently spreading the wealth.  Watch women use the Maya nut in their workshops with Vohman »

The Equilibrium Fund has taught more than 10,000 women across five countries about Maya nut for food and income. More than 800,000 Maya nut trees have been planted for rain forest conservation.

The group has found that where the Maya nut tree disappears, 50 to 80 percent of local species are wiped out in six months to a year.

Seeing the widespread effect of her group's endeavors keeps Vohman going.

"It's impacting gender equality. That's a huge paradigm shift," she said.

"We're having an impact on the environment, an economic impact and also motivating reforestation. It's really amazing."

Want to get involved? Check out The Equilibrium Fund and see how to help.

@highlight

Erika Vohman teaches women in Central America the value of their native Maya nut

@highlight

Nutrient-rich seed grows abundantly in rain forest but many are unaware of it

@highlight

With Vohman's help, communities have planted more than 800,000 trees

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes