San Antonio, Texas (CNN) -- For Holly Hirshberg, gardening started as a way to bond with her children. But when the recession hit, her backyard hobby became a necessity.

"In 2008, my husband lost his job just like many other Americans, and we were living off of our garden," she said.

Hirshberg and her family of four ate a variety of homegrown foods -- including broccoli, carrots, okra, squash and tomatoes -- so they could make ends meet. She was pleasantly surprised by how simple and healthful they were.

"It was nice to know that not only could I take care of (my family) out of what I grew in my garden, but I could take care of them really well," she said.

After realizing how much nutritious food she was able to grow, Hirshberg began collecting seeds from her garden and sharing them with others.

In 2008, she started The Dinner Garden, an organization that provides free packs of seeds to people so they can grow enough food to feed a family of four. Since its inception, The Dinner Garden has provided seeds to 65,000 families across the United States.

"When you're having trouble or struggling, you have so many things to worry about," said Hirshberg, 39. "How are you going to pay your mortgage? How are you going to afford your medicine ... your kids? If you know you have food, you don't have to worry."

According to a 2009 report from the U.S. Department of Agriculture, 14.7% of American households were "food insecure" at least some time during that year. "Food insecure" means all household members did not always have access to enough food for an active, healthy life.

Hirshberg is hoping to help change that by making gardening simple and accessible to anyone. The Dinner Garden offers gardening supplies and tips, and its website lists locations throughout the United States where seeds are available for pickup. People can also fill out a seed request form online, and Hirshberg and her volunteers will send seeds directly to them.

"If you have a willingness to garden, we can help you find a way to do it," Hirshberg said. "The seeds do all the work. You put them in the ground, they will grow. ... With just a couple minutes a day, you really can grow a lot of food for your family."

Do you know a hero? Nominations are open for 2011 CNN Heroes

The Dinner Garden gets its seeds through donations from seed companies as well as some of the people it sent seeds to in the past.

"People who get seeds from us are some of our biggest donors. ... They save their seeds from the stuff they grow and donate back for us so they can help another family in need," Hirshberg said. "I love that."

Hirshberg's evenings are often spent packing and labeling seeds, and she also runs volunteer seed-packing sessions. The packs of seeds are customized for recipients' areas and climates to ensure they will have success growing the produce.

"We find between 10 and 11 varieties of seeds that will grow in their area," Hirshberg said. "We do melons and carrots, broccoli and all the good things, and then we throw in something interesting in each one ... to expose them to something new and different."

Hirshberg said she started to love vegetables after growing her own, and she believes that there is a veggie eater in everyone.

"What you see in the grocery store is such a small percentage of what's available," she said. "A lot of tomatoes come in black and purple and striped. You can get the broccoli in purple ... or carrots that come in red ... that are more fun to eat, I think."

Seed recipients often call or write Hirshberg for information about gardening, and she tries her best to respond to all of them.

"We want to help people provide for themselves," she said. "Gardening is a skill that once you get it, you have that for the rest of your life. You can garden if you have a disability. You can garden if you're blind."

Julie Autaubo lives with a disability but has found gardening to be a great way to cope. It has also helped her financially.

"I would not be able to afford vegetables if it wasn't for my garden," said Autaubo, 52, who got her first seeds from The Dinner Garden and now volunteers with Hirshberg. "I can grow tomatoes, eggplant, bell pepper in just flower pots. ... I've got a trellis with cucumbers growing on it. If I want a carrot, I just go out to the garden and get a carrot. I don't even have to leave my apartment."

Hirshberg said The Dinner Garden isn't just about the seeds and the food. It's about keeping people healthy and giving them hope.

"It is about showing people another way to live," she said.

Bill Beam's health had been deteriorating since a fall left him disabled last year. The 56-year-old said eating fresh food grown from The Dinner Garden seeds has helped him turn his life around.

"Ever since I hooked up with The Dinner Garden, I've been doing a lot, lot better," Beam said. "My health improved. ... My diabetes and my blood pressure are finally under control after being sky-high for so long."

Ultimately, Hirshberg hopes that her work is helping families get ahead.

"Every pepper they have is a pepper they don't have to buy," she said. "Every tomato they have ... that's a little something less that comes out of the food budget. Maybe they have a little extra money for medicine for their pets, for rent. They just have a little bit extra. And so many families these days don't have a little bit extra."

Want to get involved? Check out The Dinner Garden's website at www.dinnergarden.org and see how to help.

@highlight

The Dinner Garden provides free seeds to people so they can feed a family of four

@highlight

The nonprofit was started by Holly Hirshberg, who turned to her garden during tough times

@highlight

Report: Nearly 15% of American households were "food insecure" in 2009

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes