(CNN)The number of new HIV infections in a rural Indiana county has grown, according to the Centers for Disease Control and Prevention. The institute is working with state health leaders to control the "severe outbreak," which has spread among users of a prescription opioid called Opana.

The outbreak has been ongoing since mid-December. As of Friday, 142 people have tested positive for HIV, with 136 confirmed cases and six more with preliminary positive test results, all in rural Scott and Jackson counties. This is a huge number of cases for an area that has a population of only a few thousand people.

The CDC and state health leaders held a news conference Friday to talk about the new numbers and about the growing threat of the spread of disease from IV drug use, especially in isolated rural areas that have sparse health resources.

Scott County, the epicenter of the outbreak, has only one doctor who deals with infectious disease, but the doctor is not an HIV specialist, the State Department of Health said. Since the rampant HIV outbreak was first noticed in mid-December, the state has tried to flood the area with additional resources. Indiana declared a public health emergency in that county in March.

Indiana University has sent health volunteers to provide a clinic, open once a week to help treat people and test them for HIV. These workers are also going door to door to try to educate the population about the danger of sharing needles.

So far, 33 patients have visited the temporary clinic, which is starting to see patients return to seek treatment.

It's no coincidence that many of the cases of the newly infected there are younger people "who weren't around in the '80s and '90s when HIV was at its peak," Dr. Jonathan Mermin said. In the 1980s, doctors were seeing an average of 35,000 new HIV infections among IV drug users, and that figure has been down 90% nationally, he said. So people aren't as aware about the danger of sharing needles.

Mermin is the director of the National Center for HIV/AIDS, Viral Hepatitis, STD, and TB Prevention. Education will be key, he emphasized. Indiana Gov. Mike Pence also signed a 30-day executive order that allows for a needle exchange. It was set to expire Friday, but he extended the order another 30 days Tuesday. Needle exchanges have been scientifically shown to reduce new infections.

The state is also offering job services to people in the area. Dr. Joan Duwve, the chief medical consultant with the Indiana State Department of Health, spoke at length about how communities all along the Ohio River in her state and in Kentucky and West Virginia have seen a huge problem with prescription drug abuse, particularly in areas where there "is not a lot to do."

Many family members, across generations, live in the same house and will use the drugs together as "a community activity," Duwve said. And this has led to more needle sharing, which spreads infection. She said this has been a problem for these areas for at least a decade.

Another reason this infection has spread so rapidly is the nature of the drug itself. Opana, as the prescription opioid is known, needs to be injected more than once a day. Duwve said residents have reported injecting it four to 10 times a day to stay under its influence. When people start to feel the drug wear off after about four hours, they begin to feel sick and go into withdrawal. Often they'll turn to an injecting partner in the same house who will share their needle and their drug to give the person relief from these symptoms.

The other problem with this drug is that it requires a larger-gauge needle that exposes users to more blood, which increases the risk of infection.

Health leaders worry about the spread of HIV and other diseases such as hepatitis C around the country as the number of illegal prescription drug users has grown. There has been a 150% increase in hepatitis C between 2010 and 2013, the majority of the increase believed to be from injection drug abusers, the CDC said.

"The situation in Indiana should serve as a warning not to let our guard down," Mermin said. "This is a powerful reminder" that HIV and other infectious diseases "can gain ground at any time, unless you remain vigilant."

@highlight

The number of new HIV infections in Indiana has grown to 142 cases

@highlight

Some families in isolated communities use illegal drugs and share needles as a "community activity," a health official says

@highlight

Public health officials urge vigilance to stop the outbreak from gaining ground