(CNN) -- It's one of the great ironies in all of sports: Pro baseball's career hitting leader is not in baseball's Hall of Fame.

As long as Pete Rose is banned from baseball, he will be banned from any Hall of Fame ballot.

On Monday, 20 years to the day Pete Rose signed an agreement with Major League Baseball banning him from the sport, he is no closer to being reinstated.

In that agreement, Rose, accused of betting on MLB games while he managed the Cincinnati Reds, was "declared permanently ineligible in accordance with Major League Rule 21."

Rose didn't publicly admit the betting until this decade. Baseball's history, Rose's lying about his gambling and his brash nature in handling the manner have all painted him into this corner, with no apparent way out.

"Nobody who has ever been thrown out of baseball has ever been reinstated. An owner of Philadelphia bet on baseball, the 1919 White Sox, you name it. No matter if it's a third-base coach or an all-star, Hall of Fame-type player," said Faye Vincent, who was MLB deputy commissioner at the time baseball investigated Rose for betting on his team.

Vincent, who talked to CNN.com from his summer home in Williamstown, Massachusetts, wrote the agreement in 1989. It was signed by then-MLB Commissioner A. Bartlett Giamatti, Rose and his attorneys, and Vincent.

"I think the door is closed. There is no possible way they can retract what was done," said Furman Bisher, longtime columnist for The Atlanta Journal-Constitution and a voting member of the Hall of Fame's Pre-1943 Veterans Committee. "Every club has it as you walk into their clubhouse in big letters: No gambling.

"I think Bart Giamatti handled it beautifully. He was banned for life, and that should be the last line of his career."

Last month, it took one comment about baseball's hit king from baseball's former home run king to reignite the controversy.

"I would certainly like to see him in," Hank Aaron told reporters at baseball's Hall of Fame festivities. "He belongs in, really."

At first, many observers thought those remarks were a big move in favor of Rose, as Aaron is a longtime friend of MLB Commissioner Bud Selig. Hall of Fame pitcher Bob Feller later told the San Francisco Chronicle, "I heard what Hank Aaron said about it, and that's a cockamamie idea. I had dinner with the commissioner Sunday, and he didn't like it."

Bisher, who has covered Aaron his whole career, said he "couldn't believe Aaron said it."

"Sometimes Henry wants to be likable and is kind to some people," Bisher said.

This weekend, another friend, Hall of Famer Mike Schmidt, went to Rose's defense, in a column he wrote for The Associated Press.

"Is this the way Bart Giamatti would have wanted it 20 years later?" Schmidt asked.

Schmidt maintains Giamatti was the only man who could broker Rose back into the sport's good graces: "Giamatti was a compassionate man who would have eventually met with him, laid out a lifestyle plan that Pete would follow, and today he'd be a forgiven member of baseball's family."

Schmidt points to baseball's current steroids scandal as another reason for Rose's ban to be lifted.

"Which is worse? Does the penalty fit the crime?" Schmidt wrote.

A USA Today/Gallup poll released this week showed that 75 percent of more than 1,000 Americans surveyed think that player use of performance-enhancing drugs is more serious than Rose's offense. The same poll showed that support for Rose's Hall of Fame eligibility has not changed in 20 years -- 60 percent favor it; 35 percent are opposed.

Giamatti's successor, Vincent, said Rose prevented himself from ever getting considered for a possible return to baseball.

"He and his lawyers said all kinds of things about Bart Giamatti, claiming Bart was biased and all," Vincent said. "The proper course for Pete would be to say then, 'I'm sorry, I want to help you, I want to help baseball.' But he never did that, of course.

"Bart and I told him about reconfiguring his life, and that's the sad part. He was very defiant then, and he made it more difficult for himself."

Giamatti died eight days after banishing Rose. Vincent took over as commissioner, and he said he never saw any signs of change or remorse from Rose.

"I understood very quickly Rose had no intention of making changes," Vincent said. "He never acknowledged he had a gambling problem. I don't think to this day he ever recognized he had a problem."

Rose made matters worse as the years went on. On the weekend of baseball Hall of Fame inductions in Cooperstown, New York, he often held autograph sessions at a nearby bookstore, rankling the Hall of Famers who played before Rose. From the time of the ban until 2004, he publicly insisted he didn't bet on baseball.

When he did admit to betting on baseball in his 2004 book, he was back in Cooperstown on the weekend of inductions, signing copies.

"If you talk to some of the Hall of Famers, like Bob Feller and others, they would never go for that. Bob Feller has said to me before, 'If Pete Rose is allowed in the Hall of Fame, I'll never come back,' " Vincent said.

Rose and attorneys who once represented him did not return calls and e-mails for comment. He makes a living making public appearances and signing autographs, through his Web site and at one of the shopping malls at Caesar's Palace in Las Vegas, Nevada.

He has a message for his fans on his Web site: "I begrudgingly do not have any positive new updates as it relates to my quest for official re-instatement back into Major League Baseball."

Schmidt is one of the few Rose supporters who will publicly say baseball should lift the ban. Rose's ex-teammates Tony Perez and Joe Morgan did not return calls and e-mails. Like Aaron, both are on the Hall of Fame's Veterans Committee. So are Don Sutton, Phil Niekro and Tony Gwynn, who would not comment on Rose's status.

"Some other players like Mike Schmidt, from time to time, come out and comment that it is time for Pete Rose to be reinstated," Vincent said. "But when you talk to players, they seldom see the universe the way a commissioner sees it. For every player that thinks Rose should be reinstated, there are 10 that don't."

Aaron's and Schmidt's comments may be the last talk of Rose entering the Hall of Fame anytime soon, especially during the reign of Selig, who has a contract as commissioner through 2012.

When contacted, a spokesman for Selig said, "The commissioner stands by his comments to reporters he made during [last month's] Hall of Fame weekend, as judge and jury on this."

Selig said then, "I would remind you that Pete Rose admitted to gambling on baseball and agreed to a lifetime ban." He added the case is always under review, but nothing has changed.

Rose does have hometown support. In a recent unscientific sampling of readers' views on The Cincinnati Enquirer's Web site that included 5,000 responses, 89 percent said Rose should be allowed in the Hall of Fame. This weekend, for the second time in the past month, an Enquirer columnist wrote that it is time to forgive Rose.

"He has his fans in Cincinnati, no doubt; he has people who want to forgive him," said Bisher, The Atlanta Journal-Constitution columnist. "But if you robbed a bank, you still robbed a bank. It's done, and nothing you do can change that."

Vincent recalled a conversation he had with Hall of Famer Tom Seaver.

"Tom Seaver once asked me, 'If I'm a Hall of Famer, and I bet on baseball, do I get the same treatment?' I said, 'Yes.' Tom said, 'I get it. If you didn't do that, we would all bet on baseball.' "

And the Dowd Report, baseball's 225-page account of the investigation of Rose's gambling activities -- including bank and telephone records, Rose's betting slips and witness testimony -- has stood the test of time.

"Not a single fact has ever been challenged," Vincent said. "The case was so overwhelming, and it had so much. Some people tried to write books on it and couldn't because it didn't miss a thing."

Rose isn't entirely missing from the Hall of Fame. His hitting accomplishments and some artifacts are a part of the sport's timeline there, but so is his lifetime suspension.

"Many artifacts donated by him are on display," said Brad Horn, National Baseball Hall of Fame and Museum's senior director for communications and education. "As a history museum that tracks the game's greatest moments, Pete is noted several times in the museum's timeline ... but as a history museum, we do have the responsibility to tell the history of baseball. We do say Pete was banned from baseball for gambling in that timeline."

Rose holds 19 MLB records, including most career hits, 4,256. He is the only player in MLB history to play more than 500 games at five different positions, and he played in more wins than any player in history.

One of the roads buffering the Great American Ballpark, the current home of the Reds, is Pete Rose's Way, and it was there back when he was playing near the same site, at Riverfront Stadium. But he isn't going to get his way on the Hall of Fame anytime soon and may never find the road leading there.

@highlight

Pete Rose signed agreement with Major League Baseball banning him 20 years ago

@highlight

Rose accused of betting on games while managing the Cincinnati Reds

@highlight

Baseball's hit king didn't publicly admit the betting until 2004

@highlight

Sports columnist: "There is no possible way they can retract what was done"