(Travel + Leisure) -- Convenient as they are for a quick bite, hotel restaurants can get a bad rap for uninspired menus and bland atmosphere — sometimes, deservedly so.

But there's been a countervailing trend gathering strength since the mid-'90s, and some of the hottest restaurants are now opening in hotels, proving to be destinations for locals and tourists alike. As Spanish chef José Andrés says, with "so many great dining and drinking experiences in hotels, it is bringing back a golden age when hotels were the only places to meet out for a dinner."

Travel + Leisure: See more of America's hottest hotel restaurants

Savvy hoteliers like Ian Schrager, Andre Balazs, and Steve Wynn were among the pioneers, seeing the possibility of luring guests with high-concept design and high-caliber culinary talent.

"Vegas had a lot to do with it," says Charlie Palmer, who has seven hotel restaurants. "They wanted the branding, not just someone to cook. They realized a lot of people travel by their stomachs, and a great restaurant from a well-known chef not only offers a great dining experience, it brings notoriety to a hotel."

10 of America's best historic restaurants

For chef Daniel Humm, of the three-Michelin-starred Eleven Madison Park, opening a new restaurant at the NoMad Hotel in New York stoked his creativity.

"We had the opportunity to think about the kinds of things people want to eat while they're reading in the hotel library or soaking in a luxurious bathtub, things we had never done before," he says.

Travel + Leisure: World's top revolving restaurants

Creating a distinctive identity can be crucial to a hotel restaurant's success. At New York's Locanda Verde, chef and restaurateur Andrew Carmellini insisted on a separate street entrance ("No one wants to walk through a lobby to get to a restaurant," he says) and contrasting music and décor.

He says that, as a result, "the place feels authentic, like it has soul." Carmellini followed up Locanda Verde with another buzzed-about hotel restaurant: The Dutch at the W South Beach Hotel & Residences.

Let's face it: no one, even a jet-lagged, hungry traveler, wants to eat at a restaurant jam-packed with tourists. Travelers today seek experiences rooted in a place — and that's the goal of many of these new hotel restaurants, including a newcomer at Atlanta's InterContinental Hotel Buckhead that takes southern comfort foods to a new level.

"I really believe this is the future of our industry," says Wolfgang Puck, who certainly helped fuel the trend; his latest in the revamped Hotel Bel-Air brings his hotel restaurant count to 16. "A great hotelier, a great restaurateur: it's the perfect marriage."

Travel + Leisure: America's best brunches

China Poblano, Cosmopolitan of Las Vegas

Chef José Andrés' casual outpost unites Chinese and Mexican food under one high-design roof. Here, ceviche and 10 varieties of tacos perfectly coexist with har gau (shrimp dumplings) and hand-cut noodles. 3708 Las Vegas Blvd. S.; 702/698-7900; dinner for two $80.

Must-try dish: Like Water for Chocolate, a fanciful combination of fried quail, rose petals, and chestnut and dragon fruit sauce, $15; cosmopolitanlasvegas.com.

The Dutch, W South Beach, Miami

At his second Dutch outpost (the NYC original debuted in 2011), chef Andrew Carmellini uses Floridian ingredients in his inventive seafood dishes (the cornmeal-dusted-oyster sandwiches are addictive). Old-timey ephemera, including vintage cookware, adorn the airy dining room.

Must-try dish: The homemade salted lime pie, inspired by a recipe Carmellini used to make with his grandmother, $12; starwoodhotels.com.

Redd Wood at the North Block Hotel, Yountville, CA

Chef Richard Reddington's new, casual pizzeria holds its own in an intimidating, if picturesque, neighborhood (French Laundry is just down the street). The menu changes daily but always includes a mix of house-cured meats, homemade pastas, and wood-fired pizzas. The recipe for a perfect afternoon: a seat in the alfresco stone courtyard, a slice of pie, and a glass of Cabernet Sauvignon grown nearby.

Must-try dish: Bucatini pasta, topped with tomato, guanciale, and black pepper, $14; redd-wood.com.

Travel + Leisure: Best hotels in Washington, DC

Borgne at Hyatt Regency, New Orleans

Chefs Brian Landry (formerly of Galatoire's) and John Besh are behind this coastal Louisiana-focused restaurant, which is named after the lake both fished in while growing up. The $10 daily lunch special — local white shrimp and white bean stew on Friday, alligator sauce picante on Saturday — is one of the tastiest deals in town.

Must-try dish: Blue crabmeat croquetas, $8; borgnerestaurant.com.

Morimoto at the Modern Honolulu

Masaharu Morimoto — a.k.a. the Iron Chef — takes advantage of super-fresh seafood sourced from Hawaiian and Japanese waters at this, his fourth hotel restaurant.

For breakfast, don't miss the LocoMoto, Morimoto's take on the iconic Hawaiian dish, made with Wagyu beef (an upgrade from the usual hamburger), a sunny-side-up egg, and hayashi gravy. In the evening, turn yourself over to the chef and splurge on the Morimoto Omakase, a parade of seven courses that best highlight the day's freshest ingredients and the kitchen's ingenuity.

Must-try dish: Toro tartare with wasabi, Maui onion, and dashi soy, $28; morimotowaikiki.com.

Slopes by Talisker at the Waldorf-Astoria Park City, UT

Slopes brings spa cuisine into the mainstream with healthy dishes that appeal to both carnivores and vegans. Almost everything is made from scratch, from the biscuits to the corned beef hash.

You don't need to be gluten-free to savor dishes like a "display of winter beets" drizzled with pistachio-dill pesto. In a nod to its ski town locale, the dining room goes for a sophisticated mountain-lodge look (saddle leather and mohair-upholstered chairs and wooden antler horns).

Must-try dish: The tuna paillard appetizer, served with shaved butternut squash, pine nuts, and habanero-garlic vinaigrette, $16; parkcitywaldorfastoria.com.

Southern Art at the InterContinental Hotel Buckhead, Atlanta

Talk about southern charm. When you walk into Southern Art, the latest from Art Smith, Oprah's former personal chef, you're greeted by a homey space hung with brass chandeliers and damask wallpaper, an "artisanal ham bar," and a pie-laden dessert table.

Then there's the menu, featuring a diet-busting array of fancified comfort foods like grilled rib eye served with jalapeño grits. Whatever you do, save room for dessert: bourbon pecan pie and 12-layer red velvet cake.

Must-try dish: Chef Art's buttermilk fried chicken with Yukon gold potato purée, garlic green beans, and red pepper gravy, $22; southernart.com.

See more of America's hottest hotel restaurants

Do you have recommendations for swanky hotel dining?

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Hotel restaurants have been getting increasingly sophisticated since the mid-90s

@highlight

China Poblano marries Chinese and Mexican food at the Cosmopolitan in Las Vegas

@highlight

Redd Wood at the North Block Hotel has the recipe for a perfect afternoon in Napa Valley

@highlight

Southern Art at the InterContinental in Atlanta features an "artisanal ham bar"