AMMAN, Jordan (CNN) -- For more than 20 years, Cardinal Joseph Ratzinger, then the Vatican's top doctrinal czar, was the intellectual architect of the papacy of John Paul II.

Pope Benedict XVI and Jordanian Prince Ghazi Bin Talal leave the King Hussein mosque in Amman on Saturday.

Thus, when Ratzinger was elected to succeed John Paul as Pope Benedict XVI in April 2005, it was widely seen as a vote for continuity with the late pontiff's policies.

Four years later, there's only one strong substantive difference between the two popes, and it's on display this week as Benedict XVI visits Jordan, Israel and the Palestinian territories: their approaches to Islam.

With 1.1 billion Roman Catholics and 1.6 billion Muslims in the world, representing about 40 percent of the world's population, it's a difference that matters.

While John Paul II was a bridge-builder, Benedict is determined to walk across those bridges, pushing Islam toward a rejection of extremism and an acceptance of religious freedom -- toward an integration of reason and faith.

It's an approach that puts its finger on critically important concerns, but one also fraught with potential for conflict.

In general, John Paul II was a great pioneer of Catholic-Muslim relations. He met with Muslims more than 60 times over the course of his almost 27-year pontificate, and in 2001 he became the first pope ever to enter an Islamic mosque: the Grand Umayyad Mosque in Damascus, Syria.

John Paul's opposition to the two U.S.-led Gulf Wars and his broad sympathy for the Palestinians was also appreciated by many Muslims.

Like John Paul, Benedict XVI sees himself as a friend of Islam. Friday in Amman, Jordan, on the first day of his weeklong swing through the Middle East, Benedict reaffirmed his "deep respect for Muslims."

His broad vision is what he calls growing "intercultural dialogue" between Muslims and Christians, which implies an alliance against forms of secularism in the West that the pope regards as hostile to religion.

The fact that Benedict XVI has chosen to begin his tour by spending three days in Jordan, which the Vatican has long regarded as a model of Muslim-Christian co-existence, suggests the emphasis he places on Islam. When John Paul came in 2000, he spent just 24 hours here.  Watch a walk through Amman for everday Jordanians' reactions to the visit »

Among other things, Benedict hopes Christians and Muslims will join forces in defense of shared values such as the sanctity of human life and the family, which can translate into political efforts in opposition to abortion and homosexuality.

The precedent was set in the mid-1990s, when the Vatican and a bloc of Muslim nations resisted efforts at U.N.-sponsored conferences in Beijing and Cairo to recognize a right to abortion as part of international law.

Yet the price of admission to that partnership, Benedict XVI believes, is a reform within Islam that would move it in the direction of a greater capacity for pluralism, including the rights of religious minorities, especially Christians, within Islamic societies.

Saturday, for example, Benedict visited the King Hussein mosque in Amman, telling his Muslim hosts that religious freedom "includes the right, especially of minorities, to fair access to the employment market and other spheres of civic life."

Benedict also argued that much tension between Christians and Muslims is the result of "ideological manipulation of religion, sometimes for political ends," and pointed to what he called "the fundamental contradiction of resorting to violence or exclusion in the name of God."

To date, Benedict XVI's efforts to convince Muslims that he's advancing these arguments as a friend, from a shared space of common religious concern, have brought mixed results.

His famous September 2006 speech in Regensburg, Germany, in which he cited a Byzantine emperor linking Islam to violence, set off wide protests across the Islamic world.

Here in Jordan, some leaders of the Muslim Brotherhood have turned a cold shoulder to the pope's visit, insisting that he must apologize anew for the Regensburg address.

In effect, one core aim of Benedict XVI's journey this week is to re-introduce himself to the Muslim world, clearing away the debris from what he conceded this morning is "the burden of our common history."

The drama is whether this 82-year-old pontiff, who has sometimes had his problems with public relations, is able to pull it off.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Pope Benedict XVI in Middle East, courting Muslims, urging religious freedom

@highlight

Allen: Pope hopes Christians and Muslims will join forces to defend shared values

@highlight

Allen: Price for alliance is a "greater capacity for pluralism" within Islam

@highlight

Allen: Pope's relations with Muslims have been rocky: Can he pull it off?