(CNN) -- Thailand's capital was braced for unprecedented flooding Wednesday, amid the monsoon rains that have overwhelmed much of the country as well as Laos, Cambodia and the Philippines in recent weeks.

"It's going to be clearer over the next couple days" whether Bangkok can be spared the brunt of the flooding said Matthew Cochrane, spokesperson for the International Red Cross in Bangkok.

So far, 281 people have been killed and four people are missing in Thailand, according to the country's Flood Relief Operations Command. Some 60 of the country's 76 provinces have so far been affected, impacting some eight million people.

"It's really quite serious, these are the worst floods in Thailand since 1949," Cochrane said.

"These floods started in June really and started to move south and have really caused huge damage the whole way down," Cochrane said. "They've affected hundreds and hundreds of villages and towns, they've wiped out 2.5 million acres of farmland. This is a very, very serious disaster."

Over half a million square kilometers -- an area the size of Spain -- are affected by the floods in Thailand, Cambodia, Vietnam and Laos, according to CNN meteorologist Jenny Harrison.

Asia's wet and wild 2011 explained

In Bangkok officials beefed up flood prevention measures as waterways, including the main Chao Phraya River, became bloated by rising water.

"There are walls still being built in the north of the city," Cochrane said Wednesday. "One of the challenges is the areas where flood waters are typically diverted to protect the capital and protect the economic center of the country, those areas are already flooded, so there's potentially not much room for those waters to go."

"For Bangkok we are still confident that the inner part of the city will be safe from (flooding)," said Thitima Chaisaeng, Thailand government spokesperson, but the eastern and western parts of Bangkok face flooding.

On Monday, Thai Prime Minister Yingluck Shinawatra ordered canal dredging and reinforcement of flood-prevention embankments to protect the city, state-run news agency MCOT reported. In addition, three new flood-prevention walls were being built at two locations in Rangsit, in northern Bangkok, and in Taling Chan, in the western part of the city.

Tourists warned as floods continue to wreak havoc in Thailand

The government needs another 1.5 million sandbags, MCOT reported. The prime minister called on the private sector to supply them, but said the government will buy all the needed sandbags by Wednesday, the news agency said.

Meanwhile, around 1,200 people have taken shelter in a gymnasium at Bangkok's Thammasat University. Most of them are from neighboring Ayutthaya province and other flood-affected areas around the capital, said Thanawat Srisuwan, a volunteer at the makeshift shelter.

The authorities have set up almost 200 other temporary shelters around the city to receive flood victims. The Bangkok Metropolitan Administration said plans were in place to evacuate people from nine areas, mainly in eastern Bangkok, if needed.

Elsewhere, patients in two hospitals in Thailand's Ayutthaya and Nakhon Sawan provinces had to be evacuated after water reached the first floor, the flood operations command said.

Multiple tropical weather systems have moved over the region in recent weeks, enhancing monsoon rains and leading to the flooding. Heavy rains are expected in Southeast Asia through the end of October.

According to the government website Thaiflood.com, water from northern Thailand has finally reached lower parts of central Thailand, penetrating dykes in Pathumthani and Nonthaburi provinces and flooding outer areas of Bangkok, including the market in Nonthaburi and Chiang Rang road.

The giant Rojana Industrial Park has halted operations for the time being, director Amara Charoengitwattanagun told MCOT, and the facility may be further damaged if the flooding worsens. One plant in the park, Single Point Parts, evacuated all workers from the premises and built flood prevention embankments around its building.

Honda also confirmed operations at its Rojana plant have been halted. The Japanese automaker says the closure of the plant has already affected the manufacture of 4,500 vehicles.

Meanwhile the UNESCO-listed Ayutthaya historical park, which includes the ruins of the old city of Ayutthaya, has been submerged since last week, according to local authorities.

"This is the worst flood in our historical site in 16 years," said Somsuda Leeyawanich, from the Thai Fine Arts Department. She said the water level in the park is almost three meters, compared to levels of around 80-90 centimeters during the floods of 1995.

"We are very concerned that if the site is under water more 30 days it may cause serious damage," she added. "The temples are over 400 years old."

CNN's Kocha Olarn contributed to this report

@highlight

In Thailand 281 people have been killed and four people missing

@highlight

An area the size of Spain is affected by the floods in Southeast Asia

@highlight

Official: Central Bangkok expected to be spared from brunt of floods

@highlight

Floods are 'worst to hit Thailand since 1949,' destroying 2.5 million acres of farmland