In a lush field outside Pakistan's northwestern city of Peshawar, the face of a little girl stares up at the clouds, her eyes searching for the whirring machines that destroyed her family.

Her face -- a picture of innocence -- adorns a giant poster that has been printed out by a group of artist-activists in Pakistan as part of a project, known as #NotABugSplat, to humanize victims of the controversial U.S. drone program in Pakistan's restive tribal region.

According to one artist, who identified himself as R, the project is a reaction to the dehumanizing nature of drone warfare, where operators preside over deadly missile attacks from thousands of miles away, coining terms such as "bug splat" to describe victims of these strikes because "viewing the (dead) body through a grainy video image gives the sense of an insect being crushed."

"We want to shame drone operators and make them realize the human cost of their actions," said R.

Sharing untold stories

The artists' work is inspired by "Inside Out," a global art project by renowned French photographer JR that uses photographic portraits to share the untold stories and images of people in their communities.

Six months ago, the team behind #NotABugSplat contacted UK-based legal charity Reprive, which has been working with prominent lawyer Shehzad Akbar to investigate the human cost of drone strikes in Pakistan.

It was Akbar who gave the #NotABugSplat team the image of a girl who had lost her parents to a drone strike in 2010 in the North Waziristan village of Dande Darpa Khel. According to Akbar, the strike led to the destruction of several mud homes housing Afghan refugees, and the victims had been mainly women and children.

The photograph was taken by Noor Behram, a photojournalist based in North Waziristan. The name of the child and her actual location is unknown, lost in the nameless surge of refugees that populate this conflict-torn region of Pakistan.

Permanent part of landscape

#NotABugSplat said they laid out her image in the field long enough for it to be "captured by satellites in order to make it a permanent part of the landscape on online mapping sites."

They had originally wanted to take the poster to Waziristan, where most drone strikes actually take place. But a lack of access due to ongoing operations by security forces meant the poster was laid out in the province of Khyber Pakhtunkhwa instead.

Though there has not been a confirmed drone strike in Pakistan since December 2013, #NotABugSplat wants to continue to put up more posters of children to instigate further dialogue and awareness, because as R puts it, "it is only the loss of a child that can show the impact that drone strikes have on the residents of these regions."

Drone strikes in the tribal regions bordering Afghanistan have drawn heated opposition in Pakistan because of civilian casualties.

The drone strikes have further roiled relations between the two nations, which flared following a 2011 raid by U.S. commandos on a compound in Abbottabad, Pakistan, that killed al Qaeda leader Osama bin Laden. According to The Bureau of Investigative Journalism, 383 U.S. drone strikes have been reported in Pakistan since 2004 with the death toll estimated to be between 2,296 and 3,718.

@highlight

#NotABugSplat project set up to humanize victims of drone warfare in Pakistan

@highlight

The project uses a giant photograph of a girl who lost her family in a strike

@highlight

Drone strikes have drawn heated opposition in Pakistan because of civilian casualties

@highlight

Thousands of people, including women and children, have died since 2004