Austin, Texas (CNN) -- Sometimes, a little inspiration can come from unexpected places.

In an article on the Atlantic website earlier this month, Fidel Castro was quoted as saying "The Cuban model doesn't even work for us anymore." Then last week, the Cuban government announced plans for the elimination of about 500,000 state-provided jobs. And comments from Raul Castro have indicated that that number could rise to a million. At the same time, it has said it will encourage foreign investment and privately run firms.

The new economic policies in Cuba represent a major turn away from a strict economic ideology and toward a more practical approach.

But while the Communists in Cuba are becoming more practical in their economic policies, in Washington, any discussion of economic policy is becoming more ideologically entrenched. The Tea Party wing of the Republican Party, fresh off primary wins in Delaware and New York, are adamant in their call for lower taxes and reduction, or elimination, of government regulation. They want to roll back the Obama administration's health care reform and financial market reforms.

On the Democratic side, we have the Obama administration's economic advisers who, for the most part, seem bent on increasing spending at any cost. This die-hard Keynesian approach would have Lord Keynes turning in his grave.

Maybe it is time for us to admit, like Cuba, that there are parts of our economic system that do not work. The Great Recession surely should be a wake-up call. We must address some of the fundamental misalignment of incentives that exist in our economy.

One of them is the economic role the housing industry plays. While public policy that encouraged home building may have made sense during the last century, particularly when America needed more new houses to accommodate the post-war baby boom, does it still make sense today?

Today, the American family is shrinking, and yet many continue trading up, and new houses are getting larger and larger. Vast amounts of this country's financial resources still go to the housing market. We should ask: Are there better uses for these resources?

Chief among the subsidies the housing industry receives is the income tax deduction for home mortgage interest. According to the Tax Policy Center, this is estimated to cost the Treasury $131 billion in 2012. By eliminating or scaling back the deduction, not only would the government generate more tax revenue, but it would also remove an important distortion in our financial markets.

In addition, we need to address the problems these housing industry subsidies have caused. We can do this by establishing special temporary bankruptcy courts that have the legal power to force write-downs on delinquent mortgages. Here in Texas, we had temporary bankruptcy courts in the 1980s to deal with all of bankruptcies resulting from the oil bust. We should do the same thing in states now hit hard by the subprime mortgage crisis.

In these temporary courts, those who speculated on the mortgage market should be financially punished, while those who were duped should have their mortgages restructured. This would greatly increase the flow of money through the mortgage market and help revitalize our financial markets.

Second, we must address the issue that our financial markets are not doing a very efficient job in allocating capital. Entrepreneurs and small businesses find it difficult to get the capital they need to start and expand their businesses. This is because of misaligned incentives: Banks can borrow money from the Federal Reserve at an interest rate of essentially zero and use those funds to buy and sell stocks, bonds and currencies for a profit.

Under this setup, why would banks go to all the trouble of lending money to a small business? It is much easier and profitable for the banks to simply trade financial securities. And that is what they have been doing -- making huge profits without lending to small businesses.

Instead of limiting banks' ability to trade securities for their own profits, something former Fed Chair Paul Volcker has suggested, Washington seems interested only in protecting the big banks' profitability.

This is not to say we can let the financial system collapse. We need a functioning banking system to make sure workers' paychecks don't bounce. But if, as the big banks claim, they cannot provide basic banking services at a high enough profit level, and thus need to sell complex and risky financial products such as derivatives, then nonprofits should be afforded a larger share of the market. Perhaps credit unions should be allowed to grow in size and in the types of financial products they offer.

In addition, to pay for additional regulation, we should work with the Europeans, British and Japanese to establish a worldwide sales tax on financial transactions -- the often discussed modern version of a Tobin tax, named after the late Nobel Laureate James Tobin.

A Tobin tax may reduce the amount of financial transactions and even cost jobs in the financial markets. However, as Simon Johnson of MIT has shown, there has been an excessive increase in the amount of resources our financial markets consume. A Tobin tax could reduce this distortion.

Making structural changes to our economy will not be easy and, yes, some of them require some people to pay more taxes. But we, like the Cubans, need to realize that parts of our economy are simply not working.

The opinions expressed in this commentary are solely those of Michael Brandl.

@highlight

Michael Brandl says Cuba is re-evaluating economy, maybe U.S. should look inward, too

@highlight

Parties should not dig into ideologies, he says; instead fix parts of economy not working

@highlight

Get rid of costly mortgage tax deduction, he says; get banks to start lending to businesses

@highlight

Brandl: Try a worldwide sales tax on financial deals; U.S. must change structure of economy