(CNN) -- Inside Larry Smarr's refrigerator this week was a stool sample that he planned to ship to a laboratory, which will send back a report of information about what's going on inside Smarr.

This monthly test is not part of his doctor's orders, nor is the plethora of mobile technologies that Smarr uses to track what's going on inside his body. But Smarr believes everyone should take charge of monitoring their own health, given how little time people tend to spend actually talking to their doctors.

Smarr may be an extreme example, but many people are turning to available technologies to gain knowledge about their bodies that they can use to optimize their health, beyond what information annual doctor's visits might bring.

"I am trying to respect my doctor by doing my part of the homework," said Smarr, 63, of La Jolla, California. Smarr is the director of the California Institute for Telecommunications and Information Technology, a research center at the University of California's San Diego and Irvine campuses.

Devotion to self-tracking has a name -- "Quantified Self" -- which is a website established by Wired co-founder Kevin Kelly and Gary Wolf, Wired contributing editor. Wolf's own website, Aether, says more than 12,000 people worldwide are members of Quantified Self Meetups.

As of Thursday, there were 873 people registered for the Quantified Self message boards, where people discuss the latest apps and research. The website has a list of hundreds of apps and tools available for tracking different aspects of your life, from mood to diet to sleep. The movement hosted the conference Quantified Self 2012 last weekend, with Smarr as a guest speaker.

In Smarr's view, it's absurd that we know the ins and outs of our cars, and invest in maintaining them, in ways that we don't with our bodies.

Imagine if you put water into your gas tank because you didn't read the manual, he said -- that's what some people are doing with their bodies.

"If there are key variables that I want that the insurance won't pay for, I will pay for it," he said. "If your car needs some preventive maintenance, you pay for it."

Tracking with your phone and other gadgets

Apps and small devices are getting ever more sophisticated in helping to track vital signs.

Smarr, for instance, wears a FitBit device every day to measure his caloric intake and how many steps he takes.

At night, he wears a Zeo, which sends a graph of the phases of his sleep cycle to his smartphone.

An app called Instant Heart Rate uses his phone's camera flash to measure pulse rate, and a second program called Stress Check measures the interval between heartbeats; irregularity means you are stressed, constant means calm.

A diet and fitness tracking app called SparkPeople has helped Michelle Jackson, 39, lose 102 pounds since March 2011.

She's not as serious about tracking all aspects of her body as Smarr, but admits that the few times when the app malfunctions because of an update, "I feel really almost debilitated," she said. "I'm very dependent on it."

Jackson uses the app to schedule all meals she plans to eat for the next week, starting with Sunday, but can make adjustments if plans change. The app suggests the calories, fat, protein and carbs to eat daily, and also helps her track the number of calories she burns as she records fitness activities.

Other apps exist to track how you feel. The mood app MoodScope uses an online card game to assess your happiness levels, and also offers tracking and comment features so you can see what might be behind your ups and downs over time. There's a social component, too.

The next hot area will be apps for mental and spiritual well-being, said Tim Chang, managing director of Mayfield Fund and an early venture capital investor in health tracking apps. Up-and-coming programs will include personalized training in optimizing things like stress and meditation.

In the future, phones may be able to get even deeper inside your head. There's a portable brain scanning system developed at Denmark Technical University that combines a low-cost EEG headset and a smartphone or tablet.

Imagine a toilet with a built-in urine scanner for health; that's also in development, Chang said.

Meanwhile, there are tons of apps to experiment with: Quantified Self enthusiast Rachelle DiGregorio created a handy map of apps to help you navigate through various tools available for different purposes.

The body as a science experiment

Once Smarr got interested in tracking things like caloric intake, weight and exercise, he took it a step further, ordering his own blood tests -- many of which insurance companies do not cover -- four to eight times a year to look for markers of inflammation. His out-of-pocket expenses for this amount to more than $5,000 per year.

He started tracking his own levels of C-reactive protein, which is correlated with inflammation. In 2008, after plotting levels of this protein for two years, he saw a dramatic increase in less than a year. That indicated to him that there was a problem in his body that needed to be dealt with.

Since Smarr felt fine physically, his doctors were not concerned about the results of tests he'd undergone on his own, telling him to come back when he had symptoms.

Those symptoms started within a few weeks: "I experienced a sudden, severe pain in my left abdomen, perhaps the worse persistent pain I have ever known," Smarr wrote in an article in Strategic News. Doctors diagnosed acute diverticulitis and prescribed antibiotics.

Smarr was not satisfied. Additional blood tests revealed his C-reactive protein levels were still above the normal range; given his strict diet and exercise regimen, this was mysterious. Being a scientist, he decided to seek out different data: from a stool sample.

Lactoferrin is an antibacterial chemical in the white blood cells that emits something equivalent to tear gas when in attacking mode.

Smarr's lab results showed that his levels of lactoferrin were 124 times the upper limit. He read in medical studies that this chemical has been shown to differentiate between irritable bowel syndrome and inflammatory bowel disease, which includes Crohn's disease.

Based on the results of Smarr's previous colonoscopy, his doctor said he couldn't possibly have Crohn's disease.

"The doctor said, 'Why are you doing this? You should not be doing this. If you need tests I'll tell you,'" Smarr remembered.

Instead, Smarr found a different doctor: Dr. William Sandborn, a specialist in gastrointestinal disorders. Sandborn recalls receiving an e-mail from Smarr saying "he'd had persistently elevated biomarkers in blood and stool that were unexplained."

Sandborn took Smarr on as a patient and ordered an MRI and another colonoscopy. Putting all the data together, Sandborn determined Smarr was likely to have early Crohn's disease.

They decided not to treat until Smarr became symptomatic; when he did start having problems, doctor and patient were able to come up with a customized treatment, Sandborn said.

Smarr didn't stop there. He took data from the MRI and used software to create a three-dimensional simulation so that, video-game style, he can zoom in and out of the colon and look at it in detail.

It's unclear whether Sandborn would have made this diagnosis had Smarr never undergone all those independent tests and drawn up corresponding charts, Sandborn said. But Sandborn considers Smarr a scientist conducting an experiment on himself, and the pilot study is ongoing.

"All innovation has to start somewhere," Sandborn said. "This guy is an innovator."

This all goes beyond what most people would even think to do, but Smarr said his point is to "be pointing the way to what people can do over the next five and 10 years as these things come down."

His experiment isn't over. Smarr had his microbiome sequenced at the J. Craig Venter Institute -- that's all of the microbes that live inside him -- to see what insights can be gleaned from the addition of that data to the library of himself.

When is it too much information?

Smarr is on the edge of a noticeable movement of people becoming more interested in their health, Sandborn said.

On a health policy level, what Smarr is doing is not ready for prime time, he said. It's not sufficiently tested to recommend that everyone seek their own biomarker analyses without having a doctor deem it medically necessary, and the cost-benefit ratio isn't known.

Pediatrician Dr. Jennifer Shu said she agrees with that. She's all for using phones and related devices to track health -- she uses FitBit and the MapMyRun app herself. She thinks it's a great idea to share this information with doctors, and encourages her young patients to increase their steps by 10% each week until they hit a certain goal.

Ordering your own medical tests online, beyond what doctors would otherwise recommend, opens up a lot of potential problems, Shu said: over-testing, over-diagnosis, over-utilization of resources and false positives, meaning the results may suggest you have a disease that you don't.

In Shu's opinion, extreme tracking and testing is not a good idea, "but it can be difficult for people to know where to draw the line," she said in an e-mail.

Still, all science begins with a novel idea that is tested on a small scale, which is what Smarr is doing, Sandborn said. Also, to some extent, Smarr is making discoveries.

His efforts have led to the diagnosis of a chronic, incurable disease in his body, but Smarr is still optimistic.

"I feel much more like I'm in control because I'm measuring it, I'm monitoring it, I'm understanding my bacteria -- how it's been screwed up by antibiotics and other things," he said. "I'm quite hopeful that over the next five, 10, 20 years, we're going to see cures for a lot of things that we currently think of as incurable."

@highlight

Many mobile apps are available to track eating, fitness, mood

@highlight

Some people order medical tests to track biomarkers

@highlight

Scientist Larry Smarr is using himself as an experiment in self-tracking

@highlight

Extreme analyzing of blood, stool isn't recommended for everyone