(CNN) -- Thousands desperate to flee intense fighting in western Libya have begun pouring into neighboring Tunisia in recent days, raising concerns Tuesday among aid agencies that the humanitarian crisis could worsen.

The fighting between forces loyal to Moammar Gadhafi and rebels demanding an end to the dictator's four-decade rule increased over the weekend, with both sides struggling to control Libya's western mountainous region -- home to Berber tribes long persecuted by the Libyan leader.

"In the last two days, we have seen 6,000 Libyans come through," Firas Kayal, of the Office of the United Nations High Commissioner for Refugees, said by phone from near the Tunisian border town of Dehiba.

"This is a new situation we are dealing with because prior to the fleeing of the Libyan families, we were dealing only with the migrant workers, and now these are Libyan families -- a new situation in Dehiba."

He said about 10,000 to 12,000 Libyans were estimated to have arrived in the last 10 days in Dehiba, where the U.N. aid agency has set up a tent city on a soccer field to accommodate up to 1,200 people. Others have been offered shelter in hotels, youth centers and private homes, Kayal said.

"Some of the families said their neighborhoods were bombed. Others said they weren't waiting for the fighting, that they were fleeing out of fear," he said. A second camp set up in Remada, just north of Dehiba, was providing shelter to about 1,000 people, Kayal said.

The situation in Libya has become increasingly precarious for civilians and migrant workers, who have been caught in the crossfire of the conflict that has killed tens of thousands and left thousands more wounded since it began two months ago. NATO-led forces began bombing regime targets in Libya last month after the U.N. Security Council approved a resolution authorizing any means necessary to protect civilians.

More than 550,000 people, mostly migrant workers, have fled the country for neighboring countries.

Many of those arriving in Dehiba were fleeing fighting near Nalut, about 50 kilometers from the Tunisian border, which has been "effectively under siege by government forces for about a month and that the pressure on the civilian population has be increasing daily," Andrej Mahecic, a spokesman with the U.N aid agency, said during a press briefing in Geneva.

From the border town of Dehiba, pillars of black smoke could be seen and loud explosions could be heard from inside Libya, Kayal said.

It has been difficult to track the exact number of Libyans who have fled the country, because few have claimed asylum.

"They Libyans leaving aren't refugees," said Jemini Pandya, a spokeswoman with the International Organization for Migration (IOM), which tracks the movement of migrants. "They have had resources to look after themselves. They have gone ... to hotel, to houses."

Typically, the Libyans have fled until fighting abated in an area and then returned home, she said.

"If you're now having to set up tented camps to house the number of Libyans, then clearly the situation is changing," Pandya said.

The desire among Libyans to leave, though, appears to be growing in hard-hit places, such as Misrata, which faces near daily shelling by Gadhafi's forces. Government forces have cut off all land access to the port city. The only escape route is by sea.

A boat chartered by IOM that was delivering aid and picking up wounded in Misrata was forced to stop Monday in the break waters just outside the city of Misrata after Libyans crammed the port, hoping to board the ship to leave the city, Pandya said.

"Some had been separated from families. Others wanted to get out of the conflict zone," she said.

U.S. President Barack Obama has described the attack on Misrata as a medieval siege.

Kareem Khadder and Chelsea J. Carter contributed to this report.

@highlight

As fighting spreads in Libya, thousands flee the intense fighting

@highlight

Libyans are desperate to get out of Misrata as the shelling continues

@highlight

UN agency: 6,000 Libyans arrive in Tunisian border town in two days