(CNN) -- A huge relief operation is continuing across northern India and into Pakistan amid devastating floods that have killed hundreds of people and left tens of thousands more stranded.

Authorities in Pakistan, anticipating further rainfall and the passage of floodwater to more populous areas, have warned that the worst is yet to come.

The death toll is more than 400. Pakistan reported 257 killed, and India has reported at least 150.

Hundreds more in each country have been injured.

The count is expected to rise as rescuers regain access to areas cut off by floodwater.

The capital of Indian-administered Kashmir, Srinagar, was also deluged, with residents perched on rooftops and other high ground awaiting rescue. Many buildings in the old part of the city have collapsed, local media report.

Key infrastructure, such as bridges and roads, has been destroyed, hampering the army's relief efforts.

Emergency rebuilding

Indian soldiers in the heavily flooded area rushed to erect temporary crossings in order to reach people cut off by rapidly rising waters.

The focus of the Indian relief effort will remain on Srinagar and areas of south Kashmir because of the number of people still stranded without food and water, Lt. Gen. D. S. Hooda, chief of the Indian Army's Northern Command, said at a news conference.

Indian Prime Minister Narendra Modi visited the region at the weekend and immediately declared it a "national-level disaster." He said everything would be done to provide aid and restore bridges and communication links washed away by the incessant rains.

Modi, who was elected this year, also offered to help Pakistanis affected by the huge floods.

Devastation from 'flooding is unprecedented'

"It is a matter of great distress that the retreating monsoon rains have played havoc in many parts of our two countries," he wrote in a letter to Pakistani Prime Minister Nawaz Sharif, adding that "the devastation caused by the record rains and the consequent flooding is unprecedented."

Following a period of almost nonexistent communication in the Jammu and Kashmir region of northern India, 90 3G towers have been restored. By Tuesday, 23,530 stranded people had been evacuated by army units equipped with helicopters and boats and deployed across the province.

The Indian army has also employed social media to monitor distress messages and forward them to rescuers. Around 7,000 such distress messages have been relayed so far, and many have resulted in the rescue of stranded residents.

"The Indian army will not move back to the barracks till the last man is brought to safety," Indian army Gen. Dalbir Singh said.

The four-month monsoon season shows no signs of abating, with wet weather forecast for next week as well. Western regions of the subcontinent have usually seen the last of rains by early September, but the Indian Meteorological Department forecast "heavy to very heavy rainfall" in a number of states over the next few days.

Peak yet to pass

In neighboring Pakistan, heavy rains have continued over the past few days, causing flooding from the main rivers of that region.

Ahmed Kemal, a representative of the National Disaster Management Authority, confirmed the flooding is going to continue into the South of Pakistan into Sindh because of rising water levels in barrages, making this a nationwide crisis.

"The major peak is still to pass," he told CNN. "We have to realize that water is rising; inundation is expected and will create some sort of flooding. This situation is only going to get worse."

The evacuation of northern areas of the country is underway, and as of Monday, Kemal said 18,227 people had been evacuated and moved to relief camps in northwestern Punjab province.

Rainfall during this monsoon season had been below average this year, but the heavy rain of recent days has burst riverbanks across the northern part of both countries.

The Jehlum and Chenab rivers in northern Pakistan have seen water levels rise by as much as 18 feet, turning parts of their courses into lakes as much 10 kilometers (6 miles) wide.

The north is one of the most mountainous places in the world, and floodwater from there eventually will make its way downstream and could cause flooding in the coastal plains to the south, particularly along the course of the Indus River. Some 300 million people live in that river's basin.

As many as 1,500 stranded people have been rescued by troops using helicopters and boats from areas of Punjab, the country's most populous region. The Pakistani army also airdropped 10,000 food packs to various flood-hit areas.

Army troops have also been moved to towns in the stricken region.

@highlight

NEW: Death toll in India and Pakistan is more than 400

@highlight

Pakistan disaster agency representative: "The major peak is still to pass"

@highlight

Most casualties are in Indian-administered Kashmir and Pakistan-administered Kashmir

@highlight

Main Indian-Kashmir city of Srinagar deluged by floodwater