New York (CNN) -- In 2007, I co-founded FEED Projects with my business partner, Lauren Bush, to help address the problem of global malnutrition. Bush had designed the first FEED bag, which provides school meals to children through the U.N. World Food Program, where I was working.

We have since sold more than half a million bags around the world and donated close to $6 million to provide more than 55 million school meals to children and raise awareness about a crucial humanitarian issue.

But here at home in America, it's hard not to notice a different food-related problem: obesity.

It's affecting everyone, from small children to the elderly, and it's growing. As an anti-hunger advocate, I found the perplexity of the obesity problem and the hunger problem existing side-by-side in our increasingly global food system begged further investigation.

Read an interview with Ellen Gustafson at TED.com

About 30 years ago, a few key things happened that changed American and global agriculture.

First, our farms consolidated after the oil crisis of the 1970s and focused more on growing highly subsidized commodities such as corn, soy and wheat. Concurrently, we began to cut international agriculture development aid. Since 1980, U.S. development aid for African farmers has fallen by 85 percent.

With American farmers producing lots of excess corn, soy and wheat and farmers in the poorest parts of the world receiving less support, the way we've eaten here and around the world has changed in the past 30 years.

Today, 75 percent of food products in supermarkets and fast food outlets contain corn, soy or wheat. The introduction of high-fructose corn syrup, first widely used in 1980, as a new outlet for corn has led to a dramatic increase in soda consumption and to a whole range of cheap, sugary foods.

Chicken McNuggets, introduced in 1980, were a harbinger of the increase in cheap meat, for which 80 percent of the U.S. corn crop is used as animal feed.

Changes in food consumption since 1980 have directly led to changes in our global waistline, so that today 1.6 billion people on the planet are overweight. That's a threefold increase since 1980, according to WHO, with projections of 2.3 billion adults overweight by 2015.

Learn about Jamie Oliver's anti-obesity project

The abundance of cheap food with low nutritional value in the Western diet has wreaked havoc on our health; in America, one third of children and two thirds of adults are overweight or obese and are more likely to develop diabetes and cardiovascular disease.

But another one billion people on the planet are still hungry.

Our systems that produce massive amounts of cheap food are not helping the regions of the world where small farmers still toil amidst more regular droughts and famines. The average number of food crises per year having doubled since 1980.

Furthermore, our old food aid model, based on sending excess U.S. grain to persistently hungry populations, has not helped farmers around the world develop reliable systems to prevent hunger.

That said, some aid organizations, such as the U.N. World Food Program and Heifer International, run programs to support poor farmers. And political support for agricultural development is building in Washington.

Watch Dan Barber's talk on sustainable fish farming

Taking the wider view, obesity and hunger look like two sides of the same core problem: malnutrition because of a lack of access to nutritious foods. In light of the changes in the past 30 years -- which have led to one billion people overweight, one billion hungry and an imbalanced global agricultural system -- I created the 30 Project. It's a long-term campaign to address global food system issues.

As a new campaign of the FEED Foundation, the 30 Project will raise awareness about the systemic underpinnings of hunger and obesity, align the activists on both fights toward long-term change and facilitate local and regional discussions of food system challenges.

I have hope that if we take a 30-year view of the future, we can create a food system that addresses the needs and health of the planet and its growing population.

Maybe we need to rethink regional food systems for every community, from Botswana to Boise to the South Bronx, so we can buy more fresh food in our local economies.

Maybe we need to change the way we value the food we eat, so that a "value meal" is something we are proud to feed our children.

Maybe we need to re-engage our smart, energetic youth around the world to be farmers and find fresh, green technologies that will feed the world more fresh greens.

Maybe we should commit to a goal that every child, in every country, will have access to nutritious food in school that will nourish their bodies and their minds.

To address our current food system problems, I propose a series of local, regional, national and global conversations -- starting around the dinner table -- to rethink the food we produce, buy and eat.

A healthier agricultural system at home and abroad would produce healthier food options for all eaters.

We can all vote with our food dollars every day for the health of ourselves, our families and the world.

Now that we know the outcome of our past three decades of food production and consumption, let's start to change the system -- one bite at a time.

The opinions expressed in this commentary are solely those of Ellen Gustafson.

@highlight

Ellen Gustafson says world faces twin problems of hunger and obesity

@highlight

Farms produced large amount of ingredients for cheap food, with low nutritional value

@highlight

US has sharply cut its development assistance for African farmers

@highlight

Gustafson: We need to address two problems together as global food issue