Violence in Iraq has spiked in the last year, according to the United Nations, but as has become the case with Syria, it's rarely news if the day's deaths are "only" in the tens. The same Western governments who led the invasion of Iraq in 2003 are now looking away, seeing Iraq as the problem of previous administrations, and being preoccupied with fresher crises in Syria and Egypt.

The impression of constant bad news belies the reality that violence in Iraq had for some time been reduced, but is rapidly becoming worse again. More than 1,000 civilians died in July, levels not seen since the dark days of 2006-07. Such violence is not a permanent reality for Iraq, but is symptomatic of political failures.

Some Western commentators portray Iraq as a basket case, condemned to perpetual violence, reflecting something fundamentally wrong with Iraqi culture and society. This conveniently absolves the rest of the world of their shared responsibility for building up a political system where violence has been the main political currency, not just since 2003 but for years under the previous regime.

Saddam Hussein's 1980s war with Iran was encouraged by the West and by Iraq's Gulf neighbors, who turned a blind eye to his domestic repression and ethnic cleansing. After the 1991 Gulf war, internationally-imposed sanctions hollowed out Iraq's middle class and made many Iraqis turn to corruption and organized crime to survive.

Examining the political causes of Iraq's violence -- going beyond the caricatured and historical view that it is inevitable or permanent -- matters for the whole Middle East. Iraq is not only geographically central, with about 30 million people and the world's fifth largest oil reserves; it has historically been a center of ideas.

Given Iraq's international influence, the 2003 invasion was overtly designed not just to remove an anti-Western regime, but to reshape the Middle East. But rather than becoming a model for democracy and the free market, the example of Iraq has been used by conservative forces in the region to bolster their traditional pretense that the only political choices for Arabs are authoritarian government or chaos.

The violence between Sunni and Shia political factions has also generated fears of wider sectarian conflict across the region, although violence occurs within, as well as between, religious groups, and its causes are political more than religious.

The first reason for the recent spike in violence has been the spillover of fighting and tensions from the civil war in neighboring Syria. There are close links between Iraqi and Syrian societies and families, and as the conflict in Syria has become increasingly sectarian and internationalized, fighters from Iraq are now involved on both sides.

The recent split between the Syrian National Council and jihadi groups such as the Islamic state of Iraq and Syria might present an opportunity for Iraq's government to reconceptualize its interests in Syria. Despite their shared alliance with Iran, just a few years ago the Iraqi and Syrian governments were at loggerheads as Iraq suspected Syria of facilitating the entry of al Qaeda fighters into its own territory.

Iraq's second problem is that it remains an arena where regional powers vie for influence, with Iran supporting the Shia ruling coalition, Saudi Arabia supporting Sunni groups and the secular Shia leader Iyad Allawi, and Turkey becoming ever closer to the Kurds.

Personal animosity between the leaders of Iraq and Saudi Arabia contributes to their poor relations, with Saudi Arabia still unwilling to open an embassy in Iraq more than a decade after the invasion.

But the situation is not as simple as an inevitable tension between Sunnis and Shia. The Saudi king is said to respect Iraq's main Shia cleric, Ayatollah Ali Al Sistani. Encouraging religious dialogue between Sunni and Shia clerics could be a useful aspect of conflict resolution. And the recent talks between the U.S. and Iran is also an opportunity for Iraq to act as a bridge, as one of the few countries to have strong relations with both.

The third main driver of the current violence is the threat Iraq faces from al Qaeda  -- and the political failure of the Iraqi government's approach to fighting it. Back in 2007, thousands of Iraqi Sunnis fought with the U.S. against al Qaeda.

But rather than working with mainstream Sunni political groups to build a united front against violent jihadis, the Baghdad government has treated the former as a political threat. This was epitomized by a death sentence passed against a Sunni former vice-president, Tariq Al Hashemi, in 2012 for allegedly organizing death squads, when Shia politicians who have headed militias have been accommodated politically (notably, the Badr Brigade, with a long record of sectarian violence, were absorbed into the national police). Protesters in Sunni-majority provinces have called for changes to terrorism and de-Baathification laws that they say treat all Sunnis as potential suspects.

Both Syria and Iraq are rife with case studies of the ways in which human beings can be radicalized and brutalized. Perhaps Westerners find it easier to blame nebulous "cultural" factors than to imagine that we, too, could turn to violence and extremes if the states around us collapsed, and if we found ourselves in constant insecurity, with only sectarian or ethnic groups, and their militias, prepared to provide us with protection and services.

But there is a need to refocus on Iraq, as part of a broader strategy towards addressing the complex and interconnected problems across the Middle East, though that will take more time and resources than continuing to lurch from crisis to crisis.

@highlight

Iraq violence is news if the day's deaths are "only" in the tens, says Jane Kinninmont

@highlight

Violence between Sunni and Shia factions has stoked fears of regional conflict, she adds

@highlight

Personal animosity between Iraq and Saudi Arabia doesn't help resolution - Kinninmont

@highlight

Iraq's second problem is that regional powers vie for influence, she argues