(CNN) -- In the new movie "Interstellar," Earth is on the brink of becoming uninhabitable and the future of human life rests in the hands of Matthew McConaughey.

Or rather, it rests in the hands of the farmer and former NASA pilot McConaughey plays in "Interstellar," Christopher Nolan's latest epic that is pretty much guaranteed to be a hot topic this awards season.

What's less guaranteed is whether moviegoers will take to this sci-fi adventure, which also stars Anne Hathaway as one of the four space explorers who set off through a wormhole near Saturn in search of a more hospitable planet.

Director and co-writer Nolan, who has previously shown his skill with "The Dark Knight" trilogy and "Inception," worked closely with theoretical physicist Kip Thorne to create an experience that would do for audiences what "2001: A Space Odyssey" once did for the director.

"One of my earliest movie memories is my dad taking me to see '2001' in (London's) Leicester Square on the big screen," Nolan recalled in an interview with The Hollywood Reporter. "It was such an extraordinary feeling: to be taken off this planet and to the furthest reaches of the universe. It has really been an ambition of mine: If I ever had the opportunity to get involved in a large-scale science fiction project, something about exploring our universe, I would try to seize the opportunity."

With this being a Nolan movie, the question of whether "Interstellar" is any good might seem to answer itself. But if you assume that there's consensus on this one, you'd be wrong: critics are having some stark disagreements on whether Nolan's $165 million effort is a success.

Just how wide-ranging are the reviews? Take a look:

Will moviegoers like it?

The New York Times' A.O. Scott thinks it's "hard to imagine that (Nolan's) fans -- who represent a fairly large segment of the world's population -- will be disappointed by 'Interstellar.'"

That's because to Scott, the movie is "a terrifically entertaining science-fiction movie, giving fresh life to scenes and situations we've seen a hundred times before," even if it does "occasionally (stumble) over pompous dialogue or overly portentous music."

The New Yorker, however, predicts that only the diehard science geeks are going to be into this.

"('Interstellar') is ardently, even fervently incomprehensible, a movie designed to separate the civilians from the geeks, with the geeks apparently the target audience," said the magazine's David Denby. "There's no doubting Nolan's craft ... but, overall, 'Interstellar' -- a spectacular, redundant puzzle, a hundred and sixty-seven minutes long -- makes you feel virtuous for having sat through it rather than happy that you saw it."

Is the story emotionally resonant?

One of the big aspects to "Interstellar" is its focus on relationships, especially the relationship between parent and child. McConaughey's former pilot/farmer, Cooper, has two children he leaves behind in hope of finding a new place for humans to thrive; his preteen daughter, played by Mackenzie Foy, is particularly distraught over his abandonment.

But that's not all: While our space explorers are off on their search, time is moving differently for them than it is on Earth. What feels like a handful of hours out in another galaxy is the equivalent of years passing for Cooper's kids -- so many years, in fact, that Jessica Chastain and Casey Affleck also star in "Interstellar" as the adult versions of Cooper's children.

That sounds like it's tailor-made to be gut-wrenching, but critics were conflicted over the plot's emotional impact.

"It's rare that a big-budget studio movie has such cerebral aspirations and such startling strengths and weaknesses. The visual spectacle can be breathtaking, but the emotional, earth-bound saga fails to be as moving," said USA Today's Claudia Puig. "The story is ever-ambitious, sometimes riveting and thought-provoking, but also plodding and hokey and not as visionary as its cutting-edge special effects. And at nearly three hours, the film would have benefited from more judicious editing."

Village Voice's Stephanie Zacharek agreed, saying in her review that "whatever his strengths may be, Nolan lacks the human touch. ... (I)n all of Nolan's films, human connection is such a noble idea that it's beyond the grasp of flesh-and-blood people. Nothing in 'Interstellar' is ever ragged or raw or dirty (though there is, admittedly, a lot of dust)."

But then you have Variety's Scott Foundas, who thought "Interstellar" was "more emotionally accessible than his coolly cerebral thrillers and Batman movies. ... like all the director's best work, (it) manages to feel handcrafted and intensely personal."

And what about that ending?

The last act of "Interstellar," says Slate's Dana Stevens, could be the make or break moment for moviegoers.

"How you feel about the movie may hang on your reaction to this scene -- about which I'll say only that, like the end of '2001: A Space Odyssey,' it takes place in a space that seems to exist in between the familiar world we know and some strange alternate dimension," Stevens said in her review. "Going back over and over this crucial moment with a fellow critic on the train home, I could make no sense of it—where was the encounter meant to be taking place? What laws of the universe, or of human relationships, did it purport to disclose? But the sense of visual and spatial wonder this scene evoked in me lingered long after, accompanied by a begrudging respect for the Nolans' sheer commitment to their own peculiar brand of visionary hokum."

But then there's The Wrap's Alonso Duralde, who thought that ending could very well be the curse of the whole film.

To Duralde, the third act is an exercise in "staggering wrongheadedness," an ending that "feels like a betrayal because so much of what comes before it manages to be truly stunning."

So should you see it? If you can afford an IMAX ticket, enjoy space-based drama and can handle disappointment, we say give it a whirl. But before you go, there is one thing you should know about that everyone seemed to agree on: the score, from Hans Zimmer, is really, really loud. You've been warned.

@highlight

Critical reaction to Christopher Nolan's "Interstellar" is all over the map

@highlight

Some think it's grand, if flawed, while others are more focused on the flaws

@highlight

One consensus is that it's going to be a talked about movie this awards season