(CNN) -- Imagine if it were possible to build your own home, in this day and age, for less than $35,000. Or to cut up some timber and piece your new home together like a giant jigsaw puzzle.

What if you could create, with your own hands, a home that collects its own rainwater and generates its own power, so you never have to pay a bill again?

As far-fetched as it sounds, if you can't afford to buy a house, then designing and building your own may be more viable than you assumed. Today, upcoming architects and designers are coming up with solutions to the problem of rocketing property prices, by building houses of their own and sharing their plans on the internet.

In the UK, a young architectural practice has devised the world's first 'open-source' building. Made of simple materials and freely available plans, the 'WikiHouse' was conceived by English designer Alastair Parvin as a low-cost solution to the global housing shortage.

The aim of the project is to allow anyone in the world to design, share, download, adapt and 'print' a house that is inexpensive and tailored to their own needs.

Construction of the house requires no special parts and the entire building can be made from pieces of timber that snap together. According to its inventors, the frame of the WikiHouse can be assembled in under a day, by people with absolutely no construction training.

Using a CNC machine, amateur builders can download cutting files from the company's website and then "print" the component parts of the WikiHouse from a sheet of plywood.

Parvin says that the motivation for designing cheap, easy-to-build housing was to help make architecture more accessible. "The open secret is that in reality almost everything we today call architecture is actually design for the 1%," Parvin says. "The challenge facing the next generation of architects is how, for the first time, we will make our client not the 1% but the 100% -- to radically democratize the production of architecture."

For Parvin, spreading affordable housing requires the empowerment of amateurs. "We are moving into a future where the factory can be everywhere -- and increasingly the design team can be everyone. We need to build tools and institutions for the social economy -- the 'long tail' of people who are making for themselves," Parvin says.

This same spirit is present in Dominic Stevens' grassroots project 'Irish Vernacular', in which he built a home for $33,200. Stevens documented his efforts to create his house online to inspire others who might wish to follow his lead. The blog features comprehensive photography and information on the building process, plus professional plans and cartoon instructions that are simple enough for almost anyone to follow.

Stevens' self-built home is a stunningly impressive three bedroom house that looks like it's been ripped from the pages of Wallpaper magazine. The building's bright living spaces and high quality finish belie its low price. According to Stevens, the house was primarily made from timber, and its roof is clad with a lightweight corrugated material called onduline. The house was largely constructed by a small group of Stevens' friends over the course of a long weekend (plus a little extra time to get the project finalized).

After sharing his plans online, Stevens says that he received significant interest from people hoping to build their own home. "By sharing my plans, I hope that it might be inspirational to people who have the skills, or will, or wish to put their own house together."

Stevens has also found that making his plans publicly available has actually stimulated his business. "I think if you open up and submit to sharing things, you get it all back," he says.

Craig Strachan, Development Director at the National Self Build Association warns that not everyone will necessarily be able to build their own home: "Dominic Stevens' project is inspiring -- a fantastic home created for a fraction of the usual cost, however the time and energy required to do this make it difficult for the 'average person' to undertake."

Seeking a cheaper lifestyle and a more ecological existence, Simon Dale built his own 'Hobbit House' in Wales back in 2009 for just $4,600 (Â£3,000). Dale says the whole building was constructed with a hammer, a one-inch chisel and a chainsaw, and was made largely of scavenged materials. Dale says "Anything you could possibly want is in a rubbish pile somewhere -- windows, burner, plumbing, wiring."

Dale, who has no training as a builder, built his eco-home with the help of a few friends and family members. The eco-home uses water from a nearby stream, and is heated by a wood burning stove with wood gathered from the surrounding forests. The property has a compost toilet, and is powered by solar panels on the roof.

Famous architects have also been turning their minds to the global housing crisis. Renzo Piano, the designer of the Shard -- London's tallest building -- recently unveiled a working model for the 'Diogene' -- the smallest scale project he has ever mounted, which attempts to create a functional micro home that is fully featured but at an economical scale.

Renzo Piano's Diogene house is designed to function self-sufficiently. Water is collected by the house, then cleaned and reused. The house also generates its own power through solar panels mounted on the roof.

Architecture critic Hubertus Adam says that Piano's design addresses many of the housing crisis's central problems: "We live in an age in which the demand for sustainability forces us to minimize our ecological footprint. This is paired with the desire to concentrate and reduce the direct living environment to the truly essential things."

Strachan says that individuals building their own houses may be critical to the future of home ownership: "self build and custom build offer people a real alternative to buying a new home, and allows them to define the environment in which they live. Most projects use local labor and materials which helps stimulate the economy around them."

@highlight

Makers around the world develop low-cost solutions to global housing shortage

@highlight

'WikiHouse' allows users to design, share, download, adapt and 'print' their own house

@highlight

Irish architect Dominic Stevens built his own home for under â‚¬25,000

@highlight

Renzo Piano, designer of Europe's tallest building, has unveiled his smallest project: a tiny one-person house