(CNN) -- In American professional sports, you can name a team almost anything.

You can give the team a ferocious name (Tigers, Lions, Bears, Grizzlies, Bengals). You can go for a swashbuckling image (Pirates, Buccaneers, Trail Blazers). Colors are all right for a team name (Reds, Browns, Blues). Birds (Orioles, Falcons, Eagles). You can sound regal (Royals, Titans, Kings). Aeronautic themes work (Jets, Flyers, Rockets). Fish (Marlins). Religious imagery (Saints, Padres). Even insects (Hornets).

There are some names -- and mascots and logos associated with them -- that have become controversial, but that are still used: Redskins, Indians, Braves.

But I have been talking with sports experts and sports-marketing specialists, and they are in agreement that there is one name -- a name that used to belong to a famed big-league baseball team -- that would be met with such antipathy by America's fans that no team today would even think of using it.

I refer, of course, to the Senators.

"Not a chance," said Rob Fleder, former executive editor of Sports Illustrated and editor of sports books including "Sports Illustrated's The Baseball Book" and the baseball anthology "Damn Yankees."

The Washington Senators were a charter member of the American League, and were around, in one form or another, from 1901 until 1972. For a lot of that time they were a terrible baseball team -- they were derided with a popular saying: "First in war, first in peace, last in the American League."

But although the team was lousy, no one minded the name. "People associated 'Senators' with something revered, something held in high regard," Fleder said. "The team wasn't distinguished, but the name was."

Now?

With polls showing that the approval rating for Congress is minuscule (around 15% in many polls, 12% in a recent New York Time/CBS News poll), "no marketing person in his right mind would name a team the Senators," Fleder said.

Indeed, when, after 33 years without a big-league baseball team, Washington was awarded one for the 2005 season, the owners, probably wisely, went with Nationals, not Senators, for a name.

"You need a name that has a chance to be loveable," Fleder said. "That leaves 'Senators' out."

That's an awfully melancholy commentary on the current state of our public attitudes. Yet purely as a business decision, calling any new big-league sports team the Senators would be seen as ill-advised. Ferguson Jenkins, the Hall of Fame pitcher who broke into the major leagues in 1965, when baseball's Senators were still playing in Washington, said last week:

"I don't think that any team today would choose to call itself the Senators because of all of the controversy in Washington. I believe that people would think that the name was too political."

Indeed, today's poisonous political environment is the main reason that what was once a perfectly good sports-team name would be a nonstarter now. Sports historian David Krell, author of the forthcoming "Blue Magic: The Brooklyn Dodgers, Ebbets Field, and the Battle for Baseball's Soul," said:

"The term 'Senator' once sounded much more austere. The country felt differently about Washington. My father said that when men and women would go to the movies, and the newsreel came on and Franklin Roosevelt would appear, the people in the theater would cheer." Krell recalls hearing an older American proudly "tell a story about how, as a boy, he memorized the names of all the senators. They were giants.

"But I just don't think you could use that name for a team now. It would be a punch line. Something that Jay Leno would make jokes about every night."

In Canada, a country that may have a more tolerant attitude toward the machinations of government, the professional hockey team in Ottawa was named the Senators early in the 20th century, and, as a member of the National Hockey League, still is. And in Harrisburg, Pennsylvania, the minor-league baseball team was christened the Senators in 1894, and continues with the tradition of the name.

But in the multi-billion-dollar, high-stakes world of U.S. major-league sports -- and even at major U.S. colleges -- it would doubtless be seen as foolhardy to take a chance on using that name.

"Now that the approval ratings for Congress are within the margin of error for ax murderers, it is inconceivable," said Ron Rapoport, who traveled the country for decades covering all the major sports for newspapers in Los Angeles and Chicago, and who is the editor of a forthcoming anthology of the greatest sports columns in the history of Chicago newspapers.

"Some of us remember the Washington Senators," he said, "but if someone proposed calling a team the Senators today, young people would scratch their heads and think: 'What a strange choice.'"

The current turmoil in Washington likely hasn't helped matters. Michael Talis, president of Talis Sports Marketing, a company that arranges baseball fantasy camps featuring former big-leaguers and organizes appearances by retired players, said he would worry about the emotional well-being of athletes compelled to wear the uniforms of such a team.

"Players having to take the field with the word 'Senators' stitched in big letters across the front?" he said.

"Can you imagine the kinds of things the fans would be yelling at them?"

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

In the U.S., you can name a team almost anything, says Bob Greene

@highlight

The one certainty is that no one will call a major league team "the Senators," he says

@highlight

Greene says Washington Senators, once in the American League, came from simpler time

@highlight

Today's politicians are so disliked that no one would cheer for them, he says