(CNN) -- On any day, between 5 million and 6 million containers are on the high seas, carrying everything from potato chips to refrigerators. But not all of them make it to their destination, as the crew of the Svendborg Maersk have just found out.

Their Danish-flagged ship was in the Bay of Biscay last week as hurricane-force winds battered the Atlantic coast of Europe. Amid waves of 30 feet and winds of 60 knots, the Svendborg began losing containers off northern France. After the ship arrived in the Spanish port of Malaga this week, Maersk discovered that about 520 containers were unaccounted for. Stacks of others had collapsed.

It's the biggest recorded loss of containers overboard in a single incident.

As repairs are made to the Svendborg in Malaga, Palle Laursen, Maersk's vice president of operations, says the company is examining its procedures "to avoid similar incidents in the future." The company told CNN that the extreme weather had an unexpectedly forceful impact on the ship's movements. It said 85% of the lost containers were empty and others included such dry goods as frozen meat. None contained dangerous goods. Maersk is now contacting customers to tell them that their shipments are at the bottom of the ocean.

The Svendborg, which was on its way from Rotterdam in the Netherlands to Colombo in Sri Lanka via the Suez Canal, warned French maritime authorities that vessels should look out for floating containers, but most sank quickly in the mountainous seas. Thirteen have now been recovered, according to French officials.

The French environmental group Robin des Bois said Friday it would sue Maersk for failing to disclose the full extent of the loss when it occurred, putting the lives of others in danger, causing pollution and abandoning waste at sea. The group claimed the containers were a lasting danger to fishing vessels and the environment.

Most containers won't float for long, especially in heavy seas. But one that is refrigerated may be buoyed by its insulation, and the use of polystyrene as packaging for goods also aids flotation. New Zealand marine insurer Vero Marine says a 20-foot container can float for up to two months, and a 40-foot container might float more than three times as long.

Cargo spills and shipping hazards

These rogue containers can pose a danger to shipping and pollute the environment. In 2006, thousands of bags of Doritos chips washed up on the beaches of North Carolina's Outer Banks -- much to the delight of local gulls -- after the container carrying them split apart in the Atlantic. More famously, in 1992, a container broke apart off the coast of Alaska, and 29,000 plastic ducks and frogs escaped. They've been washing up as far away as Scotland and Japan ever since.

There is no requirement on shipping lines to report container losses to the International Maritime Organization or other international body, so no one seems to know how many containers are lost at sea every year. In 2011, the World Shipping Council estimated that including "catastrophic losses" such as the capsizing of a vessel, about 675 containers were lost at sea annually.

The Through Transport Club, which insures 15 of the top 20 container lines, has put the loss at fewer than 2,000 containers a year. But other industry sources say the number may be as high as 10,000. That would still represent far less than 1% of the containers traversing the world's oceans. Maersk, one of the world's largest lines, says that its highest annual loss in the last decade was 59 containers.

But the hazard is still real enough. In recent years, several small vessels have reported damage after hitting semi-submerged containers. During his solo voyage around the world, American sailor Paul Lutus wrote that "one night in the Indian Ocean, I hit a waterlogged shipping container that was too low in the water to show up on radar." His 31-foot boat was damaged but stayed afloat.

Container weight an issue

Shipping analysts say that one issue affecting the stability of container stacks is that the steel boxes -- 20 to 40 feet long -- are not accurately weighed. They say some shippers frequently understate the weight of their containers to reduce freight charges. Not knowing how much your cargo weighs can introduce all sorts of problems in terms of the stress a vessel must endure at sea.

Three years ago, a proposal was put to the International Maritime Organization for containers to be weighed before being loaded. But nothing has been agreed, and many shipping associations object to such a proposal as expensive and time-consuming.

Even so, one current investigation may focus more attention on the loading of containers. Last June, the 90,000-ton MOL Comfort literally snapped in half 200 miles off the coast of Yemen. The ship, built in Japan, was only 5 years old. Both sections of the Comfort, as well as 4,500 containers, went to the ocean floor. One factor being investigated is whether uneven loading of containers contributed to intolerable stresses on the hull.

It would not be the first such disaster. Seven years ago, the 62,000-ton MSC Napoli suffered catastrophic hull failure and ran aground off the English coast. A report by the UK Marine Accident Investigation Board concluded that inaccurate information about container weights could have been critical, given that cargo ships often sail close to their maximum permissible "bending moments," which measure the external stress on a vessel.

The investigation recommended that "if the stresses acting on container ships are to be accurately controlled, it is essential that containers are weighed before embarkation" and criticized the industry's "overriding desire" to maintain schedules and keep port time to a minimum.

The cost of salvage and cargo came to nearly $200 million.

An interim report into the sinking of the MOL Comfort by the Japanese Transport Ministry -- published in December -- also called for the weight of containers to be verified before loading to reduce uncertainty about ships' bending moments.

But a definitive answer to the Comfort's demise may never be known, as much of the evidence lies deep under the Indian Ocean's waves.

Shipping containers offer housing solution

@highlight

High wind and waves struck the Svendborg Maersk in the Bay of Biscay last week

@highlight

About 520 containers were unaccounted for after the ship arrived at a Spanish port

@highlight

Such rogue containers can pose a danger to shipping and pollute the environment

@highlight

A proposal put to a maritime group calls for containers to be weighed before loading