(CNN) -- In kindergarten, Owen Kellogg came home sobbing one day because another boy at school had told him that he had a peanut, and that he was going to force Owen to eat it.

Owen, now 7, is allergic to peanuts and tree nuts, said his mother, Haylee Kellogg of Cedar Hills, Utah. In reality, the taunting boy did not have a peanut, but Owen didn't know that -- he just knew that eating a peanut could make him stop breathing.

It's hard for parents of food-allergic children to keep them safe at school when there are so many opportunities to eat snacks and meals with unsafe ingredients. For some kids, just touching a certain food or inhaling particles of it could cause a reaction.

But on top of the safety question is a social one. A study released last week suggests that almost half of children who have food allergies have been bullied -- sometimes by having food thrown at them.

"Clearly, it's an issue for these school-aged children in terms of how they interact with their peers," said Dr. Clifford Bassett, director of Allergy & Asthma Care of New York. "Immediately, when there's a diagnosis of food allergy, there's a little bit of a stigma."

The new study furthers the mounting evidence that many kids with food allergies may endure social ostracism while also trying to eat safely.

A 2010 study in the journal Annals of Allergy, Asthma & Immunology said that 35% of kids over age 5 with food allergies have endured bullying, teasing or harassment. Parents of children with food allergies reported in the study that these incidents -- both physical and verbal -- happened because of food allergies.

Food allergy is a growing problem in young people. As many as 8% of children in the United States have at least one food allergy, according to research data.

There is no cure for food allergies. The only way to stop a life-threatening reaction, called anaphylaxis, is an epinephrine auto-injector, which allergists recommend that everyone with severe food allergies should carry.

Allergists offer skin or blood tests to see what specific foods may cause reactions, but they cannot know how severe those reactions will be -- some people may have only mild symptoms, while others may stop breathing.

How to ensure no schoolchild dies of an allergy attack

Negotiating school safety

Owen's family moved nearly 30 miles from Spanish Fork, Utah, to Lehi, Utah, when Owen was in kindergarten, so that they could live in a school district with some peanut-free accommodations. Peanut products aren't sold at lunch at Owen's school, said Kellogg.

When Kellogg learned about the peanut taunting incident, she went to see the school principal. The result was that the other boy, who had also been bullying other kids, was moved to a different classroom.

At the bus stop, Kellogg met the woman partly responsible for food allergy awareness at Owen's school: Jessica Norton, whose 11-year-old daughter Grace is allergic to peanuts, soy and various kinds of beans. Grace is the only one of three siblings who has food allergies; so is Owen.

When Grace was in first grade, she had to eat her lunch in the principal's office on days that the school served peanut butter, to avoid a reaction from coming into contact with it.

This solution was not optimal, in Norton's view. She petitioned the school district to stop serving peanut products, and was successful.

Like Owen, Grace also experienced bullying because of her allergy. A boy would often chase Grace around with peanut butter in hand -- once, he touched her face with it, making her break out in hives. She only told her parents a couple of months after it stopped happening. These days, she doesn't get picked on that way, Norton said.

"I think she can, kind of, stand up for herself now, and will stand up for herself now," Norton said.

Standing up to other adults

Norton was surprised by the negative reactions reflected in the CNN.com reader comments about provisions for allergic kids in schools.

In a story about the recent bullying study, user "Brad Heddan" wrote, in response to one reader, "how about you keep your sickly kid home? That is what homeschooling is for. (...) we don't have to accommodate your sick kid."

And "lorie" wrote, "Many allergies can be life threatening. It is completely unfair and ridiculous to expect 400 other families to change their eating habits because you can't teach your kid not to touch someone else's food."

These sentiments were also seen on the comment board on a 2010 story about food allergy bullying. At that time, Norton chimed in explaining Grace's school's situation and adding, "My only thought is this, teaching children compassion for others is a good thing. And frankly, it seems a lot of adults that have made comments on here could use a little compassion too.'

Norton has not felt that level of backlash from her efforts to keep Grace safe in her own community. A few parents have made remarks of the "Why do we have to accommodate your daughter?" variety, but generally everyone has been kind and supportive.

"We're talking about life and death here," says Norton. "If it were their child's life, they would do everything they could to make sure their child's life is protected."

Making people understand

Communication with teachers, administrators, coaches, and the school nurse is key to ensuring that a food-allergic child does well, in terms of staying safe from allergens and psychologically speaking, Bassett said.

It's also important to talk to a child about bullying, which can have serious psychological consequences, such as anxiety, Bassett said. It's harder to get teenagers to not take risks when it comes to avoiding problem foods and always carrying the epinephrine auto-injector, Bassett said.

"Unfortunately the adolescent and child psyche is very sensitive to what people think and say and do," he said.

Kellogg is proactive about getting Owen's peers to understand his situation. Every school year, on the first day, Kellogg takes a book called "Allie the Allergic Elephant: A Children's Story of Peanut Allergies." The teacher reads this book to the children in the class so that they better understand what it means to have food allergies.

She also brings allergy-safe treats to keep in the classroom so that Owen can have them if someone brings in unsafe sweets to celebrate a birthday. He carries an epinephrine auto-injector with him.

"School is the scariest thing for me because a lot of people just don't understand how serious it could be," Kellogg said.

Norton also has a routine for the beginning of Grace's school year: Talking to the teacher about foods and determining where the epinephrine auto-injector should be kept. The classroom policy is that if kids ate peanuts for lunch, they are supposed to wash their hands.

She and her husband John told their son Jack, who is Owen's age, to keep an eye out for Owen when they were attending the same school -- to tell a teacher if he were being teased. Jack and Owen are still friends.

"I just didn't want anyone picking on him and if you have friend who will stand up for you, it makes a big difference," Norton said.

Food allergy treatment shows promise

A table of their own?

When it comes to what the best course of action is in terms of protection from allergens, the plan should be individualized, Bassett said. You want to shield children from harm, but you also want to let kids be kids, he said.

The Kelloggs moved to Cedar Hills in May. At Owen's new school, there is a special table where children with common allergies can -- in theory -- sit together for lunch, isolated from kids who bring food that would be unsafe for the allergic group. Owen sat at the table for the first couple of days of school this year, alone.

Back that the regular lunch table, Owen takes several precautions. He owns his own lunch box and doesn't put food on the table. He has antibacterial napkins so he can wipe contaminants off the area where he sits. And he knows what peanut butter looks like and smells like, so he can avoid it.

However, Kellogg said she believes Owen's school can do more to raise awareness and practice caution regarding food allergies.

"I'm going to have to be the Jessica Norton in this school, and go in and make it known that they have to do a little bit more to protect these kids," Kellogg said.

When Valentine's Day is dangerous for kids

Does your child have food allergies? What's your strategy for allergy protection at school?

@highlight

Studies show that many kids with food allergies are bullied

@highlight

About 8% of U.S. kids have at least one food allergy

@highlight

Talk to your allergist to develop an action plan