Last month's Supreme Court decision in the landmark Arizona immigration case was groundbreaking for what it omitted: the words "illegal immigrants" and "illegal aliens," except when quoting other sources. The court's nonjudgmental language established a humanistic approach to our current restructuring of immigration policy.

When you label someone an "illegal alien" or "illegal immigrant" or just plain "illegal," you are effectively saying the individual, as opposed to the actions the person has taken, is unlawful. The terms imply the very existence of an unauthorized migrant in America is criminal.

In this country, there is still a presumption of innocence that requires a jury to convict someone of a crime. If you don't pay your taxes, are you an illegal?  What if you get a speeding ticket?  A murder conviction? No. You're still not an illegal. Even alleged terrorists and child molesters aren't labeled illegals.

By becoming judge, jury and executioner, you dehumanize the individual and generate animosity toward them.  New York Times editorial writer Lawrence Downes says "illegal" is often "a code word for racial and ethnic hatred."

The term "illegal immigrant" was first used in 1939 as a slur by the British toward Jews who were fleeing the Nazis and entering Palestine without authorization. Holocaust survivor and Nobel Peace Prize winner Elie Wiesel aptly said that "no human being is illegal."

Navarrette: "Illegal immigrant" is the uncomfortable truth

Migrant workers residing unlawfully in the U.S. are not -- and never have been --  criminals. They are subject to deportation, through a civil administrative procedure that differs from criminal prosecution, and where judges have wide discretion to allow certain foreign nationals to remain here.

News: For immigrants and opponents, court's ruling hits their real lives

Another misconception is that the vast majority of migrant workers currently out of status sneak across our southern border in the middle of the night.  Actually, almost half enter the U.S. with a valid tourist or work visa and overstay their allotted time.  Many go to school, find a job, get married and start a family.  And some even join the Marine Corps, like Lance Cpl. Jose Gutierrez, who was the first combat veteran to die in the Iraq War. While he was granted American citizenship posthumously, there are another 38,000 non-citizens in uniform, including undocumented immigrants, defending our country.

Justice Anthony Kennedy, writing for the majority, joined by Chief Justice John Roberts and three other justices, stated:  "As a general rule, it is not a crime for a removable alien to remain present in the United States."  The court also ruled that it was not a crime to seek or engage in unauthorized employment.

As Kennedy explained, removal of an unauthorized migrant is a civil matter where even if the person is out of status, federal officials have wide discretion to determine whether deportation makes sense.  For example, if an unauthorized person is trying to support his family by working or has "children born in the United States, long ties to the community, or a record of distinguished military service," officials may let him stay.  Also, if individuals or their families might be politically persecuted or harmed upon return to their country of origin, they may also remain in the United States.

While the Supreme Court has chosen language less likely to promote hatred and divisiveness, journalists continue using racially offensive language.

University of Memphis journalism professor Thomas Hrach conducted a study of 122,000 news stories published between 2000 and 2010, to determine which terms are being used to describe foreign nationals in the U.S. who are out of status. He found that 89% of the time during this period, journalists used the biased terms "illegal immigrant" and "illegal alien."

Hrach discovered that there was a substantial increase in the use of the term "illegal immigrant," which he correlated back to the Associated Press Stylebook's decision in 2004 to recommend "illegal immigrant" to its members. (It's the preferred term at CNN and The New York Times as well.) The AP Stylebook is the decisive authority on word use at virtually all mainstream daily newspapers, and it's used by editors at television, radio and electronic news media.  According to the AP, this term is "accurate and neutral."

For the AP to claim that "illegal immigrant" is "accurate and neutral" is like Moody's giving Bernie Madoff's hedge fund a triple-A rating for safety and creditworthiness.

It's almost as if the AP were following the script of pollster and Fox News contributor Frank Luntz, considered the foremost GOP expert on crafting the perfect conservative political message.  In 2005, he produced a 25-page secret memorandum that would radically alter the immigration debate to distort public perception of the issue.

The secret memorandum almost perfectly captures Mitt Romney's position on immigration -- along with that of every anti-immigrant politician and conservative pundit.  For maximum impact, Luntz urges Republicans to offer fearful rhetoric: "This is about overcrowding of YOUR schools, emergency room chaos in YOUR hospitals, the increase in YOUR taxes, and the crime in YOUR communities."  He also encourages them to talk about "border security," because after 9/11, this "argument does well among all voters -- even hardcore Democrats," as it conjures up the specter of terrorism.

George Orwell's classic "Nineteen Eighty-Four" shows how even a free society is susceptible to manipulation by overdosing on worn-out prefabricated phrases that convert people into lifeless dummies, who become easy prey for the political class.

News: For immigrant graduates, a 'leap of faith has been answered,' educator says

In "Nineteen Eighty-Four," Orwell creates a character named Syme who I find eerily similar to Luntz.  Syme is a fast-talking word genius in the research department of the Ministry of Truth.  He invents doublespeak for Big Brother and edits the Newspeak Dictionary by destroying words that might lead to "thoughtcrimes." Section B contains the doublespeak words with political implications that will spread in speakers' minds like a poison.

In Luntz's book "Words That Work," Appendix B lists "The 21 Political Words and Phrases You Should Never Say Again."  For example, destroy "undocumented worker" and instead say "illegal immigrant," because "the label" you use "determines the attitudes people have toward them."

And the poison is effective. Surely it's no coincidence that in 2010, hate crimes against Latinos made up 66% of the violence based on ethnicity, up from 45% in 2009, according to the FBI.

In his essay "Politics and the English Language," Orwell warned that one must be constantly on guard against a ready-made phrase that "anaesthetizes a portion of one's brain."  But Orwell also wrote that "from time to time one can even, if one jeers loudly enough, send some worn-out and useless phrase ... into the dustbin, where it belongs" -- just like the U.S. Supreme Court did.

Follow @CNNOpinion on Twitter

@highlight

Charles Garcia: Supreme Court majority was wise to avoid term "illegal immigrant"

@highlight

The term suggests that individuals, rather than actions, are unlawful, he says

@highlight

He says foreign nationals residing unlawfully in the U.S. are not criminals

@highlight

Repetition of phrases like "illegal immigrant" is like a poison that infects society, Garcia says