(CNN) -- As former governors, we were honored to serve the people of our respective states. While we represent different political parties, we are united in our belief that government has stopped working for the American people -- and that real reform of the electoral process is needed to get it back on track.

As we look at our politics today, we are deeply troubled by the corrosive role that special interest money has come to play in determining who runs for office and who wins, and its influence over what policy decisions that are made in the legislative process.

Policymakers in our nation's capital seem incapable of addressing our most pressing challenges, and the hyper-partisanship of recent times is only made worse by the fact Congress is dependent on the funders, not the voters.

Indeed, surveys consistently indicate large majorities of Americans agree that wealthy special interests have too much sway over the political system. And if you look at where campaign contributions come from, they're right. In the last national election cycle, less than 1% of the population was responsible for providing the vast majority of campaign funds, with 0.1% of citizens contributing $2,500 or more in the last election and accounting for fully 67% of total itemized donations.

Opinion: Why Washington is corrupt

We know of only one way to fundamentally change our broken pay-to-play system: public funding of elections.

The concept is straightforward - put ownership of our public elections in the hands of voters, not special-interest donors, and the politicians who are elected will be accountable to them.

While the need for campaign reform on the national level may be painfully self-evident, there is little sign of attention or movement from either end of Pennsylvania Avenue.

There is a significant opportunity for success in New York State, however, as a many lawmakers and Governor Andrew Cuomo support the enactment of a campaign finance reform package that includes a system of public funding of elections.

Legislation based on the very successful small donor matching fund system that has been in operation in New York City for 25 years has passed the State Assembly, and now it is up to the State Senate to follow suit. The New York City system is voluntary, giving a candidate the option of opting in, and it enjoys strong public support, encouraging political competition while greatly increasing the participation of small donors and curtailing the influence of special interests in city government.

In addition, three states offer candidates for public office to compete in this way -- Arizona, Connecticut, and Maine. Qualified citizens from all walks of life are able to serve, and the relationship between money and politics is greatly reduced. In New Jersey, public funding of elections is available to candidates for Governor, allowing candidates who qualify with a greater ability to run for office and get their ideas before voters.

As a result of federal court decisions that equate political expenditures with the exercise of the first amendment, participation in public funding of elections systems must be voluntary in order to meet constitutional muster. The current campaign finance system will not be wholly replaced, but public funding of elections allows candidates without access to large donors and special-interest backing to compete against those candidates who do, as the practical experience in New York City and the states that have full public funding of elections strongly demonstrate.

New York's campaign finance system is built for the big donor -- not the average voter. Individuals can contribute up to $60,800 to a single candidate, more than 10 times the limit to presidential candidates. The end result is that the vast majority of citizens who can't afford to make big donations feel shut out and disconnected from those that represent them. In addition to small donor public financing, lowering contribution limits will enhance the participation of citizens in New York's political system.

The public supports this fundamental reform of our political system strongly, both nationally and in New York State. A recent public opinion survey indicated that 80% of Independents, 75% of Democrats and 68% of Republicans support a small donor matching system of public funding of elections. Voters need to hold their elected officials accountable, letting them know that supporting and participating in a reformed campaign finance system is a voting issue.

Campaign finance reform in New York State will not only improve how Albany works, it has national implications. New York can lead the way, providing a beacon to the nation.

A son of New York, President Theodore Roosevelt proposed a system of public funding of elections in 1905. This is in keeping with the grand tradition of innovation that New Yorkers have led in the past, and enacting campaign finance reform with a small donor match as its centerpiece will continue that tradition.

Making our political system work for the American people is a cause that political leaders across the spectrum can and should get behind. We urge the New York Legislature and Governor Cuomo to work enact campaign finance reform now.

The opinions expressed in this commentary are solely those of Howard Dean and Christine Todd Whitman.

@highlight

Howard Dean, Christine Todd Whitman: Government has stopped working for the people

@highlight

Dean, Whitman: Real reform of the electoral process is needed to get it back on track

@highlight

They say there's one way to fix our broken pay-to-play system: public funding of elections

@highlight

Dean, Whitman: Support legislation that encourages small donor matching fund system