(CNN) -- On the sidelines of the massive People's Climate March last weekend in New York, I met an unassuming couple who were on vacation from Texas, the land of oil and gas.

Hal and Helen Coon were sitting at a small cafe eating brunch, amused by the spectacle of hundreds of thousands of people parading down the streets of Manhattan in front of them. The crowd was chanting for world leaders to act on climate change, carrying signs that read "No Planet B" and "To Change Everything, We Need Everyone," and generally causing a ruckus. The couple told me they had no idea the world's largest climate-change demonstration was about to invade their casual dining experience. They weren't so much annoyed by it as unmoved.

Why is everything they have to say so negative? Hal asked.

And how did they all get here? Did they walk to New York?

I've been thinking about Hal and Helen as the world continues to debate the merits of acting urgently to curb greenhouse gas emissions. President Obama spoke passionately at the United Nations on Tuesday, saying, "Our citizens keep marching; we cannot pretend we do not hear them."

The scary prospect is that the protests are being heard, but that they're not persuasive to people like Hal and Helen. I found the event moving -- and met many marchers who attended because they're already witnessing the repercussions of the changing climate. But, especially on Twitter, I've also met people who found any number of reasons to doubt the authenticity and urgent reasons behind the protest.

We need a new way of talking about climate change -- one that includes all voices while acknowledging the fact that 97% of climate scientists say the climate is warming and it's because of us. It's tempting for those of us who want to see urgent action on climate change to write off everyone who doesn't see it that way.

So here are six quick ideas on how to broaden the climate change conversation and make it more inclusive. This is coming from the perspective of someone who already cares about climate change, so, particularly if you're someone who doesn't, I'd love to hear your thoughts in the comments or on Twitter. I'm @jdsutter.

1. Focus on community, not science

Lots of placards I saw in New York focused on the science of climate change -- how the nation should listen to its science teachers, etc.

That argument already works on me. But research indicates skeptics want information about how fighting climate change could be good for communities and for social cohesion, not doom-and-gloom scenarios or scientific appeals.

"Climate change might eventually cause millions of deaths and all kinds of natural disasters. But don't tell that to a climate-change skeptic if you want them to do anything about it." according to an article in NewScientist in 2012, summarizing research published in the journal Nature Climate Change. "Instead, focus on how mitigation efforts can help people become more warm and caring towards others or how it can promote economic and technological development."

This is something environmentalists actually have been saying for decades, but the message has gotten lost. Bill McKibben, for example, who is a thought leader behind the People's Climate March, gave a speech in 2006 emphasizing that reducing dependency on fossil fuels and cars could bring people closer together, in proximity, and consequently strengthen community ties.

"The greatest problem of the fossil fuel era on this planet is not that it's destroying everything around us," he said, according to an online transcript. "But the greatest problem is that that cheap coal and gas and oil has allowed us to live in such independence of each other that we've largely forgotten what community means, what neighbor means, we don't depend on each other for anything real anymore."

2. Find common interests -- like the 'f**king fish'

There's far too much stereotyping in the climate change debate. Those who care are labeled smelly hippies. Those who don't are anti-nature.

In reality, there's nuance. Hal and Helen, my vacationing Texas couple, drive electric and hybrid cars, even though Hal works for an oil and gas company. As Meghan McCain, daughter of Republican Sen. John McCain, pointed out in a recent episode of TakePart Live, conservative interests are threatened by climate change.

She suggested highlighting that more often.

"Republicans: You're not going to be able to hunt and fish as much, which I love doing, if there's no f**king fish anymore!" she said on the show.

Granted, fish are disappearing for a number of reasons, not least of which is overfishing. But oceans and forests are being affected by warming temperatures. And the underlying point -- that threats to hunting, not just to polar bears, are real, and should be considered and better understood -- is a solid one.

3. Cut the name-calling

The New Yorker's Andy Borowitz recently wrote a satirical piece called, "Largest Climate-Change March in History Unlikely to Convince Idiots." I'll admit I found it funny, but if we believe in this whole democracy thing, we shouldn't be content to preach to the choir, and we shouldn't resort to name-calling. Elected officials -- many of whom, in the United States, have balked at real climate-change action again and again -- represent people, and will listen to people who demand action.

"Calling each other idiots isn't productive," Meghan McCain said in that video.

Her comments, by the way, led a writer for Breitbart News, the conservative site, to call her "the Hanoi Jane of environmentalism." Which, I would add, isn't especially productive, either.

4. Focus on money and innovation

Rockefeller. Google. These are names that matter in the business world, and to pro-business conservatives. So it's telling that both the heirs to the Rockefeller oil fortune and execs at Google have said recently that they will ditch their investments in the fossil fuels industry -- and/or groups that stunt for them.

"There is a moral imperative to preserve a healthy planet," Valerie Rockefeller Wayne told The Washington Post.

The Rockefeller Brothers Fund will "divest itself of investments in coal and tar sands, promising to reduce that exposure to less than 1% of the total portfolio by year's end," according to CNNMoney. Google, meanwhile, withdrew support for the conservative American Legislative Exchange Council, with company chairman Eric Schmidt telling NPR "they're just literally lying" about climate science.

Those moves matter. So does the fact that clean energy stands to make a lot of people a lot of money -- and could make the economy more sustainable. That's something Republicans should get behind, both logically and politically.

"As the impacts of climate change grow larger, the potential harm to economies will increase," according to "The New Climate Economy," a recent report from the World Resources Institute and others. "What this report shows, however, is that low-carbon policies can also generate strong growth in the medium term (5-15 years), provided that governments make the necessary policy and investment choices.

"Building more compact cities with good public transport, for example, not only reduces (greenhouse gases), but also allows people to move faster and more efficiently from home, to jobs, to shops and services; it reduces traffic congestion and air pollution, and it provides new business opportunities around transport hubs. Harnessing domestic renewable energy resources can boost energy security and reduce trade deficits. There is growing evidence that clean-tech (research and development) has particularly high spillover benefits, comparable to those from robotics, information technology and nanotechnologies."

So, boom. Dealing with climate change could be good for the economy. And could have benefits for health and technological advances as well.

5. Don't act like climate change is all that matters

Neil Cavuto, the Fox News host, has questioned whether climate change is the world's No. 1 issue when ISIS is "chopping off people's heads."

It's not an either-or proposition. We can do something about climate and ISIS -- and homelessness, Ebola, etc.

It would be a mistake, however, for climate evangelists to discount other issues in the face of this one. The world is full of problems. Climate change is one.

6. Note that some -- well, a few -- Republicans do care

I'm a little worried the premise of this list is flawed. While Republicans statistically care less about climate change than Democrats -- and are more likely to be skeptical of climate science -- some do advocate for climate action. About 60% of non-tea party Republicans told the Pew Research Center in a 2013 poll, for instance, that they believe there is "strong evidence the Earth is warming." A smaller batch -- 32% of non-tea party Republicans -- say it's mostly because of human activity.

It's worse, however, if you look at Congress. Only 3% of Republicans there have said publicly that they believe that humans are causing climate change, according to an analysis by PolitiFact. THREE PERCENT! That's outrageous, but those who do support the science should be encouraged. And those who don't should be aware that the politics of climate change can and should shift. And they'll look very out of touch.

The conversation needs to move from that toward what we can do about it -- together. This shouldn't be framed as an us-vs.-them issue. Climate change affects everyone, as U.N. Secretary-General Ban Ki-moon said at a climate summit this week. And the protesters in New York were right to say we "need everyone" in order to fix this.

@highlight

John Sutter: All of us need to start talking about climate change

@highlight

He says Republicans are too often stereotyped, or excluded from the conversation

@highlight

Sutter offers 6 ways to talk with Republicans about climate change