(CNN) -- Arab League members Sunday called for a joint peacekeeping mission in Syria with the United Nations and urged members to support the Syrian opposition as it faces a bloody government crackdown.

The moves are aimed at putting additional pressure on Syrian President Bashar al-Assad and his government, which has unleashed its army on a popular revolt. The proposed peacekeeping mission would oversee the aftermath of a cease-fire, the Cairo-based Arab League announced Sunday.

But Syria quickly said it was not on board with the idea. The Arab League suspended Syria's membership in January, and the Syrian government announced that any decision made without it "is not binding."

The proposal reflects "the state of hysteria affecting some Arab governments, especially Qatar and Saudi Arabia, after Qatar's failure to pass a U.N. resolution that allows foreign intervention in Syria," according the Syrian government.

The league, which suspended Syria in January, said its members have decided to end the previous monitoring mission, which had been in Syria in December and January, to request a joint U.N.- Arab League peacekeeping mission. A communiquÃ© issued after Sunday's meeting called on members to "open channels of communication" with Syrian opposition groups and provide "political and financial support." It urged members to cut diplomatic and economic ties with Damascus "except for those that directly affect Syrian citizens."

And it warned, "The use of violence against Syrian civilians with this extreme cruelty, including the targeting of women and children, lies under the jurisdiction of the international criminal law and requires the punishment of its perpetrators."

The Local Coordination Committees of Syria, a network of opposition activists, praised the Arab League for "making the decision to improve its performance in its national and humanitarian duty to the Syrian people."

"We therefore appeal to brotherly and friendly nations, international organizations and non-governmental organizations around the world to expedite development and relief programs to help Syrians in overcoming the daily oppression and injustice under which they live," the LCC said. "We also call on all Syrian political and activist entities to coordinate their efforts under a consolidated framework to ensure that relief supplies and other assistance are delivered immediately to those who need them."

U.N. officials say about 6,000 have been killed since last March, when al-Assad began cracking down on peaceful protests against his government. Syria has consistently blamed "armed terrorist groups" for the violence, and its allies, Russia and China, vetoed a U.N. resolution February 4 that was aimed at bringing an end to the strife.

The Arab League said Sunday it would ask the United Nations to consider its initiative "as soon as possible," although the timetable for any action is unknown. And earlier, Arab League Secretary-General Nabil Elaraby signaled that he'd had recent communications with Russian Foreign Minister Sergey Lavrov indicating that Moscow may alter its positions.

In a written statement, Elaraby quoted a letter he said was written by Lavrov, stating that an end to "any violence must be the main pillar for any proposal."

"We are ready to support an expanded monitoring mission and folding it under the joint care of the Arab League and the United Nations on the basis of an agreement from all involved parties," Elaraby quoted Lavrov.

There was no immediate comment from Russia's government about the reported communication or any significant shift in that nation's position.

Also Sunday, former Jordanian Foreign Minister Abdul Ilah al-Khatib was named the league's envoy to Syria, Jordan's state news agency Petra reported. He will replace Lt. Gen. Mohammad Ahmad al-Dabi, of Sudan as head of the monitoring mission.

Michael O'Hanlon: 3 military options in Syria

The latest maneuvering came as opposition activists reported another day of shelling by Syrian forces around the city of Homs.

One opposition activist said government forces are using detained civilians as human shields, placing them on tanks to prevent the opposition Free Syrian Army from fighting back. Residents say shelling rained on the city's Baba Amr neighborhood once again Sunday, for at least the eighth straight day.

"My house is dancing. I am almost dead because of the siege," said the opposition activist, named Omar.

CNN cannot independently confirm details of the fighting in Syria because the government has severely limited the access of international journalists. But despite denials by Syria, virtually all reports from within the country indicate al-Assad's forces are slaughtering protesters and other civilians en masse.

In Damascus, meanwhile, the state-run Syrian Arab News Agency reported that al-Assad has received a copy of a new constitution -- a development it said shows Syria's serious moves toward reform.

"When the new constitution is approved, Syria will have passed the most important stage of laying down the constitutional and legal structure ... to take the country to a new era of cooperation with all spectrums of the Syrian people to achieve what we all aspire for in terms of developing our country to draw a brilliant future for next generations," SANA quoted al-Assad.

But the LCC said at least 30 more people died Sunday, including a woman and two children. The dead included five in Homs and nine in Daraa, it said.

The Syrian Observatory for Human Rights, another opposition activist group, reported different numbers, including 14 dead in Homs. That figure includes a child killed by a sniper in Daraa, three civilians killed in the Baba Amr shelling and a civilian shot dead near the town of Bab Houweid.

The observatory also said a member of Syria's army was killed in Daraa and eight were killed in Hama, as were civilians in each city.

Syria said Sunday, via SANA, that "martyrs" of two terrorist attacks in Aleppo were buried.

How Syria differs from Libya

The situation continues to draw commentary and proposals from prominent figures worldwide.One was al Qaeda leader Ayman al-Zawahiri who, in a video posted online Saturday, characterized al-Assad "the butcher son of a butcher" and praising the Syrian people for waging "jihad."

A U.S. official said "it is not a surprise that Zawahiri would try to appear relevant by releasing this new video," noting that he also tried to do so during Egypt's recent revolution. The official added there is no sense that Syrian opposition leaders favor their nation moving toward "extremism," if al-Assad is ousted.

Then on Sunday, from St. Peter's Square in the Vatican, Pope Benedict XVI backed "legitimate aspirations" of the Syrian people and called on "everyone, and above all the political authorities in Syria, to favor the paths of dialogue, reconciliation and commitment to peace."

The international community has repeatedly failed to convince al-Assad's regime to stop the massacre, so it's unclear what effect the Arab League proposal could have.

Saudi Arabia is among the most outspoken nations, with Foreign Minister Saud al-Faisal saying Sunday that "the Syrian leadership has chosen chaos."

"It is killing its people and destroying the nation only to maintain its authority," he said. "What is happening in Syria leaves no doubt that it is not ethnic or sectarian war or urban warfare. It is a campaign of mass cleansing to punish the Syrian people and enforce the regime's authority without any humanitarian or ethical regards."

The Saudis have brought forth a draft resolution that it expected to be considered Monday by U.N. diplomats.

It will be submitted to the U.N. General Assembly, where vetoes are not allowed, but resolutions are not legally binding. Russia and China have vetoed previous U.N. Security Council attempts at passing a resolution condemning the Syrian regime.

The latest, three-page draft "strongly condemns" the violations of human rights by Syrian authorities. It cites "the use of force against civilians, arbitrary executions, killing and persecution of protesters, human rights defenders and journalists, arbitrary detention, enforced disappearances, interference with access to medical treatment, torture, sexual violence and ill-treatment, including against children."

The text was provided to CNN by a diplomatic source on the condition that it not be posted in full because it could be amended.

U.N. officials estimate 6,000 people have died since protests seeking al-Assad's ouster began nearly a year ago. The LCC says the toll has far exceeded 7,000, with nearly 700 killed in the past week -- about two-thirds of them in Homs.

CNN's Amir Ahmed, Ben Wedeman, Salma Abdelaziz, Ivan Watson, Joe Sterling, Richard Roth, Josh Levs, Barbara Starr and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Arab League names Jordanian diplomat as Syrian envoy, Petra reports

@highlight

Opposition groups praise the Arab League call for support

@highlight

Syria rejects Arab League, pointing to "hysteria affecting some Arab governments"

@highlight

Government troops keep up bombardment of Homs, activists say