SHANGHAI, China (CNN)  -- If it weren't for the Internet, Murong Xuecun might still be working as a sales manager at a car company in the southern Chinese city of Chengdu. That is what he was doing when he started writing his first novel on his office's online bulletin board system back in 2001.

The Internet is increasingly being seen in China as a tool for literary empowerment, analysts say.

Week by week when he got home from work, Murong would post new pieces to a story that painted a bleak yet honest picture of modern urban life in the city where he lived. It contained tales about sex, love, gambling and drugs and became so popular that it soon appeared on numerous other online forums.

Today the 35-year-old is considered one of the most famous authors to have emerged in contemporary China. His debut work, "Leave Me Alone: A novel of Chengdu," has been read by millions of Chinese "netizens" -- steady Internet users -- and adapted for film and television and translated into German, French and English.

He also is viewed as a pioneer of what has become nothing short of a literary renaissance online in the country, particularly among young Chinese writers. This is a constituency that has struggled to find a platform for their work in a publishing industry that is viewed as conservative as it often faces state censorship. Instead of remaining silent, a new generation of authors has found its voice on the Web.

"It is a very big revolution," said Yang Hengjun, a political espionage novelist who published his first work online. "When you write something on the Internet that you can't do in reality and you cause a change, that is revolutionary."

The past decade has seen the blossoming of countless literary Web sites and online forums hosting stories from thousands of aspiring authors. Their work is read by millions of Internet users, leading some to assert that in the future all writing, even reading, in China will take place in cyberspace.

"It's an inevitable trend due to the rapid development of the Internet and conceptual change of people," said Hou Xiaoqiang, head of Shanda Literature, a division of Shanghai-based Shanda Interactive Entertainment, the largest online entertainment provider in China.

"Ordinary people have started to realize the world ought to be dominated by them, rather than some media or elite," Hou added. "Online authors are breaking the rules and using totally fresh concepts."

Shanda Literature operates three of China's biggest literary portals, including Qidian, one of the most popular. Collectively, the Web sites receive more than 200 million daily page views and have published nearly 30 billion Chinese characters, according to Shanda Literature's company data.

Shanda generates revenues through online advertising and by charging readers small amounts to access popular stories or works from famous authors who have been contracted to write. However, the company is increasingly trying to earn money by licensing online novels to film studios, music producers, game developers and book publishers while protecting the intellectual property rights of its authors.

Shanda owns the rights to more than 200,000 works and has already sold a number of licenses to other entertainment companies, including a popular "Tomb Raider" novel that is being adapted for film by Hong Kong director Johnnie To Kei-Fung.

"Literature is the starting point of all means of entertainment," Hou told CNN. "It can provide numerous blueprints for games, music, movies and dramas. A lack of good stories is the main reason of the underdevelopment of entertainment [in China]."

Many of China's usually young and often female cyber-writers are posting their work online with the hope that, like Murong's novels, their stories will be read by millions, ultimately becoming books or movies and turning the authors into celebrities. The online Chinese literary scene is, in some ways, like a TV reality show.

Bookstores now have sections devoted to Internet novels published as paperbacks, while a number of other influential writers have emerged from the Web over the years, including Annie Baobei, whose books about love and loneliness in Chinese cities have sold more than a million copies.

"In America, people have the American dream. In China, people have the online dream," said Dai Yingniao, a college junior who says almost all of her friends read online fantasy novels about time travel, romance or some mixture of the two.

These genres are mostly read by ordinary girls who find life boring, said Dai, noting her roommate especially fancies a novel from the Qidian Web site called "The Legend of Little Beauty."

"I prefer real literature rather than imaginary works," added the 20-year-old. She then described a cyber-novel she is planning to write about a princess who lives during the Qing Dynasty. After leaving her home in Beijing, the princess returns to find she no longer recognizes her family or the society she had lived in a few years before.

"I just want to convey my opinions about today's life," Dai said. "Sometimes euphemism is more powerful."

Today it is more accepted for Chinese publishers to take risks with voices emerging online, many now printing stories that simply would not have been possible a decade ago. Publishing houses often peruse Web sites for talent whose writing can be brought to readers who are not logged on.

"Publishers can come in and say there are readers for this, and this is the demographic and if we want to hit young adults, then this is a great voice," said Jo Lusby, the manager of Penguin China. "[The literary Web sites] are now a very natural part of the publishing scene in China. It is really a convergence of print and online writing."

Yet despite what has been a gradual commercialization and subsequent opening up of the Chinese publishing industry during the past few years, many of the writers who are able to self-publish with freedom online find they still can face substantial censorship when their works are adapted for offline audiences.

"Offline publishing is still tightly controlled and not easy to change," said Yang Hengjun, whose spy novels are banned in the country. "Any Internet novel is largely edited when it goes to publishing."

In the long run, however, Yang said he believes the freedom of literary expression on the Internet will spur even further liberalization in the Chinese publishing industry. "It is a good thing and it is a promising thing," said Yang. "Nowadays for more and more people if they want to express themselves, they can go online."

@highlight

China now has the most Internet users in the world

@highlight

Publishing houses increasingly patrol Web sites for writing talent, observer says

@highlight

One of China's biggest literary portals reports 200 million page views a day