(CNN) -- It has the curves of a Lamborghini, looks like something an astronaut might take into space and weighs only 10.3 ounces.

Amazon's Kindle e-reader is wireless and can hold about 200 books, plus newspapers and magazines.

Amazon.com's electronic Kindle reader -- a device meant to remove the paper from the page and make reading both more convenient and eco-friendly -- is celebrating its first birthday.

Released in November 2007, the Kindle has sold more than a quarter million units. Its texts account for 10 percent of Amazon's book sales despite the fact that 200,000 titles -- a tiny fraction of the books offered on the site -- are available in digital form.

While exact sales figures are hard to come by, recent estimates have put the Kindle's sales on par with other high-profile mobile devices in their first year. Amazon.com says that the Kindle is currently sold out due to heavy demand.

So what has spurred its success? After all, electronic books have been around, in small numbers, for about a decade. Even Jeff Bezos, Amazon's founder and CEO, has admitted that the book is "elegantly suited to its purpose. It's hard to improve on."

One thing that's helped the Kindle is marketing. Where other readers failed to connect with consumers, the Kindle has excelled. The media-savvy Bezos has hardly been publicity shy, gaining his electronic toy a level of exposure most CEOs couldn't begin to fathom.

"You can't discount the prominence of having Amazon behind this," says Paul Reynolds, technology editor at Consumer Reports. "Jeff Bezos is respected for what he's done with Amazon, and if he feels this is a future product in media, people are willing to trust him."

Second, the gadget has been heralded by Oprah Winfrey, whose influence in the publishing world is immense. It's also been embraced by some prominent writers, including Nobel laureate Toni Morrison and best-selling thriller author James Patterson.

Third, with more and more consumers accustomed to reading text on their cell phones and BlackBerrys, the world finally may be ready for an electronic version of a book.

"I checked it out on Amazon and thought it was an intriguing idea, a great way to have a lot of books that don't take up a lot of space," says Emily Branch of Florida, who was moved to buy a Kindle after seeing the hosts of "The View" chatting about it.

"I figured if I didn't like it I could return it within 30 days," Branch says. "There wasn't a chance of that happening once I got it in my hands though."

One clutter-killing Kindle can hold about 200 books. And while other e-readers such as Sony's Reader must connect through a USB port to upload content, the Kindle is a wireless device, thanks to Whispernet, which is powered by Sprint's high-speed data network.

"I think the Whispernet is what sets the Kindle apart from all the other e-readers on the market," says Leslie Nicoll of Portland, Maine, who co-authored "The Amazon Kindle F.A.Q." book after her tech-loving teenage daughter urged her to get a Kindle.

Like Branch, Nicoll says she likes the Kindle's low-impact effect on her bookshelves. "I don't have to worry about giving it to someone else, reselling it on Amazon or finding a place to store it in my house," she says. "For the enjoyment and convenience, it has given me in the past seven months, I consider that it has paid for itself already."

Readers can visit Amazon's online store and upload a new book right to their Kindle. Subscribers also can have electronic versions of The New York Times and other newspapers and magazines delivered automatically to their Kindles in time for reading with their morning cup of coffee.

"The large and tightly interacting collection of Kindle features, that go far beyond those of any other previous e-Book attempt, will cause the Kindle to be the first e-Book to succeed," wrote one reviewer on an Amazon discussion board.

But not everything in Kindle world is roses and gumdrops. There's a difference between modest early success and making a centuries-old print format obsolete. The Kindle sells for $359, a steep price for the average reader in the current economic climate.

"I'm not going to pay $360 for that. I can get books for free," says Nikki Johnson, a college student in Atlanta, Georgia, speaking for traditionalists who are wary of giving up their bound paper volumes.

"There's nothing like reading a nice paperback," she says. "There's nothing like holding or carrying a book, having that tangible quality and it being more than just a piece of data."

So in an unforgiving economy and in a stubbornly old-fashioned medium, will the Kindle ever expand from a tech novelty to a mainstream accessory? It might be too soon to tell.

Blockbuster writers such as J.K. Rowling, author of the "Harry Potter" series, have said they'll never allow their books to appear on the market in electronic form. Yet future, better versions of e-readers may seduce younger consumers who grew up on PSPs and iPhones.

A next-generation model of the Kindle is due in 2009. Early reports indicate the new device will be thinner and will have fixed some current design bugs, such as poorly placed buttons that cause readers to turn pages accidentally.

"I think it's certainly a ways away from hitting the mainstream ... because of the price and the experience a reader gets from long-form reading," says Reynolds of Consumer Reports. "Whether these ... are successful, stand-alone devices remains to be seen. From what I've seen and heard, I think the technology is here to stay."

@highlight

Amazon.com's electronic Kindle reader celebrates its first birthday

@highlight

Device holds about 200 digital books and can reduce bookshelf clutter

@highlight

Sales have been steady, but the device so far remains mostly a tech novelty

@highlight

Oprah Winfrey has praised it, but J.K. Rowling vows no e-versions of "Harry Potter"