As millions of Americans gather in their homes for the holidays, there will be those who will congregate in a different kind of home.

An abode common to other parts of the world now proliferates across America: Tent cities.

The total number of homeless people residing in tents and makeshift homes is unknown. Many of these communities are small and hidden from public view, while others claim hundreds of residents and are sprinkled through major urban areas.

Some, like those tucked under roadways, are temporary and relocate frequently.  Their conditions are vile, unsanitary and fail to provide refuge from storms and winds.  Then there are communities, such as Dignity Village in Portland, Oregon, that have a more sustained presence.  The 13-year-old "ecovillage" set up by homeless people is hygienic and self-sufficient.

Preliminary findings by The National Law Center on Homelessness and Poverty show that tent cities have been documented in almost every state, and they're growing.

A report released by the U.S. Conference of Mayors, for example, found that homelessness and hunger rates are rising, culminating in 47 million Americans living below the poverty line.  A fledgling economic recovery, high unemployment and contracting government services are largely to blame.  So is the paucity -- or paradox -- of affordable housing.  While homelessness is increasing, more than 10% of homes in America are empty.

Emergency services, meanwhile, aren't filling the void.  Homeless families and single adults are routinely turned away by shelter homes because of lack of bed space.

Tent cities are an organic, last resort response to crushing economic circumstances.  Yet, rather than ameliorating the conditions that give rise to these communities, many states and municipalities are cracking down. While some encampments are legally sanctioned or permitted to operate on church grounds, officials routinely invoke prohibitions against public camping and sleeping to disband these encampments, leaving tenants languishing out in the cold.

Epithets suggesting that homeless people are mentally ill, lazy, criminal, violent or some combination thereof only fuels the fire.

These accusations are largely urban myth.

Most homeless people do not suffer from mental illness or drug abuse. Many homeless people have jobs but simply can't afford housing.  Some tent cities, for example, cater to local economies, and many of their residents are gainfully employed. Homeless people also tend to be the victims of countless hate crimes, even though they are a protected class under numerous state hate crime statutes.

Lost in this shameful rhetoric is the fact that the right to housing is a bedrock of international law and protected by U.S. law.  Some courts have held that tearing down camps when no alternative is available amounts to cruel and unusual punishment and a deprivation of property without due process of law.

That we can even stroll through our cities while some of the residents languish in squalor is hard to believe.  A few decades ago, tent cities would have been unimaginable.

In 1964, a group of researchers famously roamed the parks of New York City and found only one homeless man.  Fifty years later, homelessness in New York City has reached a record high.  The same can be said for much of America: Homelessness has doubled since the 1980s.  Those who declare that we're close to ending poverty just need to look around and see the victims of the Great Recession.

Tent cities are an ugly reminder of America's growing income inequalities. Yet, in the absence of meaningful economic reform, these self-reliant communities must not be dismantled. Nor should they be forgotten.  For in sanctioning them, we risk capitulating to the epidemic of poverty and shifting our public policy from eliminating poverty to accommodating it.

This is already happening in other parts of the world. In Mumbai, India, for example, slums freckle the landscape like skyscrapers.  But sprouting from the dilapidation are antennas and electrical wires. Some of the housing units have electricity, cable programming and mail delivery.  And so the discussion no longer concerns extricating human beings from the slums but making the slums more habitable.

We must not succumb to America's great divide.  Doing so isn't just a repudiation of the downtrodden; it's a stain on our national consciousness.

@highlight

Arjun Sethi: As Americans go home for the holidays, some homeless go to tent cities

@highlight

Sethi: Tent cities, either makeshift or more permanent, proliferate across America

@highlight

He says instead of helping the homeless, states are cracking down on these communities

@highlight

Sethi: Tent cities are a reminder of America's growing income inequalities