(CNN) -- Iran's supreme leader has expressed mixed feelings about his president's recent diplomatic inroads with the United States.

On Saturday, the Ayatollah Ali Khamenei praised President Hassan Rouhani for diplomatic efforts he made during his trip over a week ago to the United Nations in New York.

"We support the government's diplomatic moves and consider them to be important. We also support what happened during the visit," Khamenei said according to the official Fars News Agency.

During his stay, Rouhani was well-received and struck up a markedly more conciliatory tone than his predecessor Mahmoud Ahmadinejad.

The visit ended with a historic, ice-breaking conversation with U.S. President Barack Obama, who phoned Rouhani. It was the first time presidents of the two countries had spoken since 1979, and the tone was agreeable.

But Khamenei felt uncomfortable with aspects of the trip, he said in a speech at a graduation ceremony for army officers in Tehran.

"Some of the things that took place during the trip to New York were not quite desirable," the official Fars News Agency quoted him. They were "inappropriate," Iran's English language broadcaster Press TV reported him saying.

Part of the trip "wasn't proper," Khamenei said in a post to his official English language Twitter account.

U.S. official: Obama, Rouhani discussed fate of 3 Americans

It was the first time the supreme leader, who is the ultimate holder of power in Iran, commented publicly on Rouhani's trip.

He had no harsh words for his president, but he did for the United States.

"We are optimistic about our dear government's diplomatic delegation, but we are pessimistic about the United States," Khamenei said according to Fars, before officers and soldiers who stood lined up at attention holding their weapons.

"The U.S. government is untrustworthy, egotistical and illogical and breaks its promises," he said. He accused Washington of kowtowing to Israel and bending to its wishes.

Curbing enthusiasm

The breakthrough phone call between Obama and Rouhani was met with enthusiasm in the United States and elsewhere in the West, but less so with Israel's leadership.

Israeli Prime Minister Benjamin Netanyahu took to the U.N. General Assembly podium on October 1 to attempt to curb it.

He accused the new Iranian president of being a "wolf in sheep's skin" who was still seeking to obtain a nuclear weapon.

Kerry: U.S. is not being played by Iran

Western leaders have expressed optimism about Iran's more moderate tone under Rouhani, whose recent comments have raised hopes that a deal could be struck over the Middle Eastern nation's nuclear program.

But Netanyahu urged world leaders not to be duped by Rouhani, calling him a "loyal servant" to the Islamic regime, which he said "executes political dissidents by the hundreds" and jails them by the thousands.

Netanyahu says he would talk to Rouhani

"It's not hard to find evidence that Iran has a nuclear weapons program," Netanyahu said. "It's hard to find evidence that Iran doesn't have a nuclear weapons program."

Iran has long insisted that it is only interested in developing nuclear energy technology and has no intention of constructing nuclear weapons.

Nascent hope

Khamenei's comments Saturday follow a wave of new optimism in Iran about relations with the West.

News of the call between Obama and Rouhani has spawned hope of a diplomatic breakthrough, and it has lifted the mood of many Iranians.

U.S. holds out prospect of some sanctions relief

From bakery to barber shop, cafe to carpet store, Iranians stroll through Tehran with a renewed step, uplifted by how their newly elected president seeks something remarkable after decades of cold war-like relations between their country and the West.

"I just feel it. It's not like I've seen anything, but I feel it," said retiree Syed Ali Akbar. "It's the best thing to do. We've been hurting ourselves for years."

International economic sanctions against Iran have strained day-to-day living there, making essential goods such as medicine expensive and hard to come by. That punishment has taken a toll.

"The sanctions have hurt us. Prices have gone up. There are things you can't find," said Hossein Mohamadi at the Barbari Bread Shop.

To many Iranians, Rouhani has seemed to be really advancing the "hope and prudence" slogan he used during his campaign to become president in June, posturing as a centrist and reformer against hardline conservative thinking that characterized Ahmadinejad.

But Rouhani has also met with criticism at home for his diplomatic tone toward the West. Upon his arrival back in Tehran, a detractor threw a shoe in his direction. It is an extremely insulting gesture.

Opinion: Be cautious with new, smiley-faced Iran

CNN's Ben Brumfield wrote and reported from Atlanta; Shirzad Bozorgmehr reported from Tehran; CNN's Hamdi Alkhshali, Michael Martinez and Tom Watkins contributed to this report

@highlight

Iran's supreme leader appears to have mixed feelings about president's diplomatic inroads

@highlight

Rouhani's visit ended with a historic conversation with President Obama

@highlight

It was the first time the supreme leader commented publicly on Rouhani's trip

@highlight

Khamenei's comments follow a wave of new optimism about U.S.-Iranian relations