(CNN) -- Libyans opposed to longtime ruler Moammar Gadhafi vowed to hit the streets again Sunday, saying a violent crackdown by security forces since demonstrations began last week has energized their ranks.

Benghazi, the North African nation's second-largest city and hub of its eastern province, was home to some of the bloodiest clashes Saturday. Still, an anti-government demonstrator there said that despite having been barraged for days by tear gas and bullets, many of his colleagues slept overnight outside the city's courthouse and planned another rally at 1 p.m. Sunday.

"There are a lot of people getting killed for their freedom," the man, who was not identified for safety reasons, told CNN early Sunday. "Our goal is simple: We want Gadhafi to leave. We want freedom. ... We want democracy."

The man, a technology expert who has set up cameras airing live online video streams around Benghazi, estimated that the numbers of anti-government demonstrators in the city has grown 20% since the protests began Tuesday.

Another protester in Misratah, a city about 250 km (155 miles) east of Tripoli, said that roughly 1,300 remained on the streets there through the night and into the morning Sunday, burning pictures of Gadhafi and calling for an end to his rule.

CNN could not independently confirm information on the escalating unrest in Libya, the most isolated nation in the region, though it has interviewed numerous witnesses by phone. The government has not responded to repeated requests from CNN for access to the country and maintains tight control over communications.

Instead, a report from Libya's state-run JANA news agency blames "acts of sabotage and burning" on outsiders aiming to undermine the nation's stability, security and unity. The report claims that the unrest has been fomented in Libya as well as Tunisia, Morocco, Sudan, Egypt, Lebanon and Iran by an Israeli-led network of covert operatives.

Since Wednesday, authorities have arrested "dozens of foreign members of this network who were trained on starting clashes," the JANA story said, adding that the outsiders were of Tunisian, Egyptian, Sudanese, Turkish, Palestinian and Syrian descent.

Meanwhile, the toll from the unrest continued to mount Saturday. While Human Rights Watch, citing interviews with hospital staff and witnesses, reported 84 deaths since Tuesday, the total number is unknown and couldn't be independently confirmed by CNN.

Medical sources at Misratah Medical Complex said that at least three died and 70 were wounded in clashes Saturday between security forces and anti-government protesters. Three of those injured are in critical condition, the sources said.

A doctor treating the injured in Benghazi's Al Jala hospital said that at least 30 people died Saturday, most from gunshot wounds to the head. Hovering helicopters fired into the crowds and the hospital was receiving a steady stream of injured people, said the doctor, who CNN is also not identifying for security reasons.

His count did not include casualties from a clash between the protesters on the funeral march and soldiers at a military camp. Soldiers there fired tear gas and guns; the protesters hurled rocks and at least two hand grenades, witnesses said.

"The situation is critical right now," said the doctor. "The city is effectively under siege."

Lt. Col. Mohammed al-Majbari, who helped lead Libyan military forces in Benghazi before deciding early this week to join the opposition, claimed that government forces, aided by mercenaries from other African countries, "caused a massacre."

"It is time for freedom," al-Majbari said. "(Gadhafi) is not a human being. A Libyan would never do this to his people. He is a dictator."

Several eyewitnesses told CNN that cars of riflemen drove past protesters, indiscriminately firing at them.

A Libyan woman supportive of the protesters, who was not identified to protect her safety, told CNN that army soldiers on Saturday initially claimed solidarity with the demonstrators, only to reverse their tack and open fire on the crowd.

"The soldiers ... said, 'We are with you.' We believed them," she said. "After that, they started shooting the people. Why? Why did they lie?"

Other eyewitnesses told CNN that anti-government demonstrators used a bulldozer Saturday to tear down part of a wall at Alfadeel Abu-Omar military camp, and were fired upon as they retreated. Many were hit by mortar and automatic weapon fire, the witnesses said.

"We are peaceful people," the technology expert said early Sunday from Benghazi. "They are killing unarmed civilians."

Others in Libya reported similar protests in the cities of al-Baida, Ajdabiya and significantly in Misratah -- an indication that the demonstrations centered in the east were spreading west.

Anti-government protesters leaving noon prayers Saturday at Misratah's Al-Sheikh mosque were confronted by pro-Gadhafi demonstrators, two witnesses told CNN. Security forces stepped in, firing tear gas to disperse the crowds.

After the anti-government group moved to another square, security forces fired into the crowd, one protester said.

A protester, identified only as Moftah, told CNN that Libyans, inspired by the toppling of dictators in neighboring Egypt and Tunisia, had simply had enough of Gadhafi.

"He will tell you that his secret police are everywhere," Moftah said. "It's time to break this fear barrier. We reach a point that we don't care anymore."

A Libyan source in exile, who has knowledge of events inside the country, said Saturday that the government was bringing in special military units. He said anti-Gadhafi factions now "control" increasing parts of eastern Libya, aided by "police and security forces there (who) also belong to tribes."

To counter that, the government is using "military squads of African origin," the source said, voicing the same claim made by Majbari. "They are not restricted or bound by tribal ties," and can therefore be better counted on to suppress the opposition.

"Violence in the east will escalate because of the tribal mentality of revenge," the source said, claiming reports of violence there had already fueled sporadic demonstrations in western Libya.

Gadhafi's regime, however, has sought to portray a different picture of events.

Having previously aired extensive footage of pro-Gadhafi rallies in Tripoli, a Libyan state television program on Saturday described the anti-government protests as acts of sabotage.

The report claimed that hospitals, banks, courthouses, prisons, security centers and military police headquarters had been burned, showing videos of buildings on fire and the aftermath of destroyed and scorched locales.

The anchor said that security forces had managed to arrest dozens of people, claiming they were part of a foreign network of agitators trained to spark clashes and create chaos. The official Jamahiriya News Agency also reported that Gadhafi had spoken in recent days with fellow leaders from Guinea, Liberia and Yemen.

The government also sent out, via text, a tacit warning against "the inappropriate use of telecommunications services (that) contradict our religion ... our customs ... and our traditions." Internet service in Libya shut down Friday evening, though it was more available by Sunday.

The government's firm grip on power heightened the concerns of a woman from Benghazi, who urged U.S. President Barack Obama and other world leaders to help the Libyan people in the face of the government crackdown.

"We have no freedom here," she said. "I speak to all the world, to America, to Mr. Obama: Please help us. We (did) nothing. We want to live a good life."

CNN's Moni Basu, Amir Ahmed, Yousuf Basil, Greg Botelho, Salma Abdelaziz, Zain Verjee and Anderson Cooper contributed to this report.

@highlight

NEW: A protester in Benghazi says ranks have swelled; a major rally is set for Sunday

@highlight

NEW: Libya's official news agency says Israeli-led network is stirring unrest in Arab world

@highlight

An Army official siding with the opposition says government "caused a massacre"

@highlight

Libyan government's tight controls make it difficult to verify information