(CNN) -- Attorney General Eric Holder called the leaks about U.S. surveillance programs "extremely damaging" and vowed that the person responsible would be held accountable.

Appearing at a U.S.-European Union ministerial meeting Friday in Dublin, Ireland, Holder was asked by a reporter why the United States hasn't requested the arrest of Edward Snowden, the self-avowed National Security Agency leaker.

He is believed to be in Hong Kong, and authorities are trying to keep track of his whereabouts. Singapore Airlines has received an alert from the British Home Office urging it not to let Snowden board a flight to the United Kingdom, a representative for the airline in London said Friday.

In his remarks, Holder didn't mention Snowden's name and said the case remains under investigation. Snowden provided documents to journalists revealing the existence of secret programs to collect records of domestic telephone calls in the United States and the Internet activity of overseas residents.

"The national security of the United States has been damaged as a result those leaks. The safety of the American people and the safety of people who reside in allied nations have been put at risk as a result of these leaks," Holder said. "We are presently in the process of that investigation, and I'm confident the person who is responsible will be held accountable."

A glance at opinions about the NSA leaker

The leaks have spurred great concern in Europe. EU officials in Dublin raised questions, and German Chancellor Angela Merkel told CNN in an interview that European officials are particularly concerned about the PRISM program -- the secret set of tools used to collect data about overseas Internet communications. The NSA and FBI have obtained massive numbers of U.S. phone logs through a court order.

Merkel intends to discuss the PRISM surveillance program with President Obama, she told CNN in Berlin on Friday. She wants the greatest possible transparency on all these issues, she said.

The European Union has "serious concerns" about the reported large-scale surveillance of online data by U.S. authorities, European Commission Vice President Viviane Reding said.

Holder discussed the leak about Verizon turning over details of phone calls.

The Obama administration invoked the Patriot Act's Section 215 -- as well as the Foreign Intelligence Surveillance Act -- as the basis for a secret court order demanding Verizon records that show originating and terminating phone numbers, their location, time and duration. That information, called telephony metadata, requires a court order.

Holder explained that the surveillance programs are overseen by courts, strictly monitored and focused on wrongdoing such as terrorism. He said the program does not allow the government to listen in on anyone's phone calls and the information required doesn't include "the content of any communication or the identity of any subscriber."

"The court only allows that data to be queried when there is a reasonable suspicion based on specific facts that the particular basis for the query is associated with a foreign terrorist organization," he said.

"Only special cleared counter-terrorism personnel who are specifically trained in the court-approved procedures may even access those records. All information that is required under this order is subject to strict restrictions on handling and is overseen by the Department of Justice and the FISA court. And only a very small fraction of the records are ever reviewed because the vast majority of the data is not responsive to any terrorism-related query that might be posed," he said.

Holder was referring to the Foreign Intelligence Surveillance Court.

As for PRISM, he said the program "facilitates the targeted acquisition of foreign intelligence information concerning foreign targets located outside the United States under again court oversight."

He stressed that the program is subject to extensive "internal and external" oversight.

"The government cannot target anyone under the court-approved procedures for this program unless there is an appropriate and documented foreign intelligence purpose for the acquisition, such as for the prevention of terrorism, hostile cyber activities or nuclear proliferation," he said. "The foreign target is reasonably believed to be outside the United States. We cannot target even foreign persons overseas without a valid foreign intelligence purpose."

Intercepted data called critical in terror investigations

Snowden went public about NSA surveillance programs Sunday in an interview with the British newspaper The Guardian. As an employee of Booz Allen Hamilton, a contractor for the U.S. electronic intelligence agency, he had been working at an NSA facility in Hawaii and had worked for the CIA in the past.

He provided fresh fuel Wednesday for the controversy he has sparked, telling a Hong Kong newspaper that U.S. intelligence agents have been hacking networks around the world for years, including hundreds of computers in China.

China quiet about Snowden

As for Snowden's whereabouts, the Singapore Airlines representative has not seen the alert and could not offer any other details. The British Home Office declined earlier to comment on reports that it was asking airlines not to let Snowden board flights to the UK. British Airways also declined to comment.

China has remained tight-lipped about its stance on Snowden, who is believed to be holed up in a safe house somewhere in the semiautonomous territory of Hong Kong.

In an interview with the South China Morning Post, he also said he planned to stay in Hong Kong to fight any attempt to force him to return to the United States because he has "faith in Hong Kong's rule of law." His comments come as the FBI is investigating his case.

Chinese Internet users call on government to 'protect' Snowden

His presence in the southern Chinese territory, which has a separate system of government from the mainland, has raised questions about how an effort by the U.S. government to extradite him would unfold and what role Beijing might play in the process.

"We have no information to offer at the moment," a spokeswoman for the Chinese Foreign Ministry, Hua Chunying, said in response to a question about Snowden at a regular news briefing in Beijing on Thursday. She repeated the same answer to several follow-up questions.

There are "no signs or indications" that Snowden had accomplices or tried to sell secrets, a U.S. official said. Investigators think the leaker is still in Hong Kong and have a general sense of where he is in that Asian metropolis.

Snowden's case has become a hot issue in that coastal city, making local newspaper front pages, stirring legal debates and prompting plans for a rally in support of him over the weekend.

Progressive group fundraises for NSA leaker's legal defense

The reaction in mainland China, on the other hand, has been muted. State-run media outlets have covered the case cautiously, appearing to try to avoid focusing too much attention on some of the sensitive issues his disclosures have raised, such as government surveillance of citizens.

The Snowden story has also so far failed to make big waves among China's tens of millions of highly active social media users.

Some Chinese state media have taken the opportunity to highlight Snowden's comments to the South China Morning Post alleging that the U.S. government has hacked Chinese targets.

In recent years, the Global Times newspaper said in an editorial, "the United States has always claimed itself to be a victim of Chinese hacking activities. Many speculate that it's a coverup for hacking activities conducted by the U.S. government. Now, Snowden's revelation proves that such activities have already been going on for a long time."

Among some 61,000 reported targets of the National Security Agency, Snowden told the Hong Kong newspaper, are hundreds of computers in China.

U.S. officials have increasingly accused China of being the source of thousands of attacks on U.S. military and commercial networks. Beijing has denied such attacks.

The South China Morning Post said it had seen documents provided by Snowden but was unable to verify their authenticity. The newspaper also said it was unable to independently verify allegations of U.S. hacking of networks in Hong Kong and mainland China since 2009.

Snowden told the paper that some of the targets included the Chinese University of Hong Kong, public officials and students. The documents also "point to hacking activity by the NSA against mainland targets," it reported.

The claims came just days after Obama pressed Chinese President Xi Jinping to address cyberattacks emanating from China that Obama described as "direct theft of United States property."

CNN's Joe Sterling, Jethro Mullen, Bridget Fallon and Richard Quest contributed to this report.

@highlight

NEW: Singapore Airlines: Britain requested that Snowden not be permitted to board flight to UK

@highlight

Holder said the leaks are under investigation

@highlight

Edward Snowden went public about the surveillance program Sunday

@highlight

German leader Angela Merkel says she aims to talk about PRISM program with Obama