(CNN) -- Turkish-Iranian posturing on Syria, with Ankara arguing for more than limited strikes against the regime and Tehran saying that whoever strikes President Bashar al-Assad must bear the consequences, serves as a harbinger for the birth of a new Middle East order.

Just as World War 1 transformed the Middle East by ending the Ottoman rule and creating contemporary nation states, so the Arab Spring has recalibrated this regional system by ushering in a tri-axial Middle East composed of: a Turkey-Kurdish-Muslim Brotherhood (MB) axis; an Iran-Shiite axis; and a Saudi Arabia-pro-status quo monarchies axis.

Opinion: Why limited Syria strike could hurt Turkey

In this fluid re-alignment, nation states will technically not disappear, but borders will increasingly be transcended by these axes as they contest regimes across the region in pursuit of installing their respective allies.

Forces representing Iran's aggrandizing foreign policy, Turkey's pro-MB alignment and the Saudis' desire to keep the region's remaining regimes in place will grind against each other, cutting across existing borders and churning tensions, stoking sectarianism in the name of achieving their realist motivations.

Opinion: Turkey may be Obama's key to solving Syria crisis

The novelty is not in the competition, but in the way this rivalry is playing out.

In the pre-Arab Spring period, dominant Muslim nations of the region -- Egypt, Turkey, Iran and Saudi Arabia -- challenged each other by standing for different models of statecraft and often promoting opposing values. Nevertheless, this competition did not usually turn acutely violent, with the exceptions of Lebanon, a weak state that was always exposed to regional and sectarian rivalries, and Iraq, where the Saudis and Iranians took advantage of the post-2003 vacuum to back warring Sunni and Shiite militia.

The tumult of the Arab Spring, however, has been a game-changer in expanding the scale and scope of these regional rivalries. Firstly, the uprisings weakened the authoritarian states in the region, thus providing new venues for them to play out. The Syrian civil war is a case in point.

Secondly, Egypt's paralysis has taken it out of the four-way regional game. Violent political polarization has transformed Egypt from "the anchor of the Arab world" into yet another theater for regional competition among the three remaining Muslim powers: Turkey, Iran and Saudi Arabia.

Turkey, too, has changed. Under the Justice and Development Party (AKP) government, Ankara has abandoned its Kemalist world view. Once shunned as a hardline Islamist party but recently rehabilitated, the AKP sees itself as a model forward for the MB and has engaged regional MB parties to this end. Ataturk's Turkey used to look at the Middle East from the West. The new Turkey has embraced a new stance towards the region, looking at it from the AKP's pro-MB vantage point.

Is Syria plunging Mideast into sectarian war?

The AKP elites believe that if they could moderate and come to power through democratic elections in Ankara, like-minded Egyptian and Syrian MBs should be able to do the same in Cairo and Damascus. Hence, Turkey's dream: a region ruled by MB parties, looking to Turkey for guidance. This explains why Ankara is aghast at Washington's response to the ouster of the government of Mohamed Morsy, issuing a very rare public rebuke of Washington that harshly blamed the U.S. and the West for the bloodshed in Egypt.

While Washington has accepted the MB's ouster in Egypt, pro-status quo forces in the region, including Jordan, Saudi Arabia, Kuwait, and United Arab Emirates have actually supported military intervention against the MB. These monarchies abhor the tumult of the Arab Spring. The Saudis dislike the idea of an Islamic democracy led by the MB, because they still see it as tumultuous and destabilizing.

Bergen: Strange bedfellows -- Iran and al Qaeda

Iran meanwhile has taken advantage of the Arab Spring to mobilize a contemporary Shiite "mythomoteur." Tehran has cast the pro-democracy uprising against the Assad regime in Syria as a Sunni uprising against minority Alawites, an outlier sect of Shiism, and then used this to play to the persecution syndrome of the region's Shiites, mobilizing them from Iraq to Lebanon into Syria to rally behind the cause of propping up the Assad regime. Iran also supports the minority Shiite rebels in Yemen, who oppose a Saudi-backed government there. At the same time, the Saudis have cracked down on a pro-democracy uprising by Bahrain's majority Shiites.

These moves have helped trigger sectarian chasms in the region, especially in the northern Fertile Crescent. This arch being home to three weak states, namely Lebanon, Syria, and Iraq, is accordingly the prime theater for regional rivalries, whose borders are increasingly bleeding together. The Shiites of the northern Fertile Crescent are coalescing with each other and with Iran in ways not seen before in living memory.

CNN poll: Public against Syria strike resolution

Turkey, whose regime change policy in Syria has been undermined by Iran, has entered the Fertile Crescent competition, throwing its support behind the Syrian and Iraqi MB parties. This move has cast Ankara and Damascus as enemies, and also cooled ties between Ankara and Baghdad, where the government is run by Shiites that Turkey considers Iran's peons.

The Iraqi Kurds, wary of the emerging central government rule in Baghdad, have taken advantage of the situation and edged closer towards Ankara, building on the nascent energy corridor already being developed between them. The Syrian Kurds, too, are seeking Turkey's protection. Turkey's recent peace talks with the Kurdistan Workers Party (PKK), which holds sway among not just Turkish Kurds but also Syrian Kurds, will help this rapprochement.

Syrian civil war: Not just about Syria

At the same time though, Turkey's MB policy has been, for the time being, upended. The Brotherhood has fallen from government in Egypt, failed to elect its candidate to lead the Syrian opposition, and has been sidelined in Libya. Qatar, which had hitherto allied itself with Ankara to fund MB style parties, appears to be changing its heart after an unexpected change in leadership in Doha.

The tri-axial Middle East includes tactical alliances. In Syria, for instance, although Turkey and the Saudis support different camps in the opposition, they are, nevertheless, united against Iran. At the same time, Ankara and Riyadh challenge each other in Egypt where Turkey stands with Morsi's Muslim Brotherhood party and the Saudis with General Sisi's government.

Ghitis: Why the Middle East is a mess

This leaves a tri-axial Middle East, in which Turkey, Iran and Saudi Arabia oppose each other in shifting alliances, vying to set a new regional order. Moving forward, it is unclear whether Riyadh will continue to use its financial and political leverage amongst Sunni regimes, particularly monarchies, to sustain its status quo posture.

For Iran, Syria is the linchpin of its effort to extend beyond Shia-governed Iraq, and will determine whether it can be a broader strategic hegemon or remain relatively contained. And non-Arab Turkey, by standing for just the MB anywhere in the region, will see its influence wax and wane as each national revolution unfolds, though Ankara's clout among the Kurds may be more permanent.

The U.S. has squandered the Arab Spring by not siding with liberal democracy, an agenda promoted by none of the three regional powers. Citizens across the region have once again returned to chanting anti-U.S. slogans to explain their tumult and plight. Moving forward, Washington must navigate the new Middle East. Otherwise, the region's political and ideological map will be redrawn by more influential anchor states.

The opinions expressed in this commentary are solely those of Soner Cagaptay and Parag Khanna.

@highlight

Khanna and Cagaptay say the Arab Spring has recalibrated the regional system by ushering in a tri-axial Middle East:

@highlight

A Turkey-Kurdish-Muslim Brotherhood axis; an Iran-Shiite axis; a Saudi Arabia-pro-status quo monarchies axis

@highlight

Iran has taken advantage of the Arab Spring to mobilize a contemporary Shiite "mythomoteur," they write