(CNN)Following Libya's revolution, oil production has been restored and the country has slipped from the front pages.

Once more, Libya has become North African rather than southern Mediterranean, and news dispatches surface only when Western government's worst fears appear close to being realized.

As most Libyans admit that after four-plus decades of Moammar Gadhafi, it will take time to build a mature democracy. Yet Libyans remain hopeful that progress is being made.

For travelers, this means a renewed opportunity to explore one of Africa's most interesting states.

1. It's vast and empty

At 679,362 square miles, Libya is second in size only to neighboring Algeria among North African countries. It's two and a half times bigger than Texas, almost 85 times the size of Wales and 90% desert.

Libya's population is small, just more than 6 million, more than 80% inhabiting the coastal region. More than half of that is concentrated in the just three cities -- Tripoli, Benghazi and Misrata.

For first-time visitors, an itinerary based on Tripoli and Benghazi, with day excursions from each city and a connecting domestic flight, makes most sense.

Simoon Travel (+44 020 978 0508; www.simoontravel.com) or Temehu (www.temehu.com) are two tour agencies worth knowing.

2. Road travel is exciting but hazardous

By car, the 600-mile journey along the coast between Tripoli and Libya's second city, Benghazi, takes around 12 hours.

Heading south from Tripoli to the ancient Berber trading town of Ghadames is an eight or nine hour slog, while the Ubari Lakes in the southern desert region of Fezzan lie some 13 hours from Tripoli.

As well as recalcitrant camels, encroaching dunes, sand storms and wildly unpredictable driving conditions and drivers, the insecurity of postrevolutionary Libya demands travelers' full attention before any overland journey.

The revolution saw the collapse of many commercial bus services, though these were off-limits to foreigners anyway. Car rental companies such as Sixt (www.sixt.com) and Hertz (www.hertz.co.uk) are building a Libyan presence, though locations are limited and unless you're used to what might be called "ebullient" traffic, you may want to take a back seat.

Stifling Gadhafi-era group travel restrictions no longer exist, but for tourists with limited time, complicated land explorations are best made through tour operators utilizing their vehicles and drivers.

3. There's no drinking (except there is)

The "Free Officers" of Gadhafi's 1969 coup d'etat banned alcohol, and there's no chance of change.

Despite public conservatism, however, Libyans close to a suitable land border are no strangers to losing themselves in a foreign bar, and regular cross-border traffic means lots of illicit alcohol enters the country from Egypt and Tunisia.

It's an open secret that cars of young men parked in out-of-the-way places are often de facto drinking dens.

As well as smuggled booze, a drink known as bokha, distilled from dates, figs or grapes, is widely consumed.

Unfortunately, some misguided producers add methanol to increase potency. In March 2013, a batch of bad bokha claimed 52 lives in Tripoli -- one reason to stay on the straight and narrow and stick to sweet tea and strong coffee.

4. The ATMs don't work

Plastic cards cannot be relied upon, either to pay bills or get money from ATMs or banks.

Functioning ATMs can be counted on one hand, and credit card payments for goods and services are almost unknown outside Tripoli.

As a result it's not uncommon to see large, tightly bound bricks of dinars exchanged as a matter of course.

Those accustomed to cashless card-driven lifestyles may feel uncomfortable when carrying large quantities of banknotes.

Despite recent high-profile outrages perpetrated by militias, religious ideologues or both, crimes against individuals such as muggings and thefts are rare. And in commerce, Libyans are straightforward and honest to a fault.

5. Gas is cheaper than water

Filling the tank of an average car costs around six dinars ($4.76), while a liter bottle of water from a cafe costs one dinar ($0.80).

Libyan oil production has returned to prerevolution levels of 1.6 million barrels a day. The country's known reserves are the largest in Africa and fourth-largest in the world -- sufficient for 85 years at the present output.

It's a constant refrain among the postrevolutionary populace, however, that "Libya is a rich country but the people are poor."

Walking around the neglected, crumbling streets of Benghazi, a city that has seen little investment since World War II, one can only wonder where the oil revenues were spent.

Economic prospects for Libya may about to improve. The World Bank estimates 16% to 18% growth in GDP for 2013, the International Monetary Fund suggests nearer 20%.

6. It's not all sand

Jebel Akhdar (Green Mountain) is an achievable day-trip from Benghazi, a good reminder that Libya isn't all desert. Quite literally, the trip provides a breath of fresh air.

Relatively high rainfall means these uplands live up to their name -- fields yield healthy cereal crops and orchards produce succulent fruit, while Libya's luckiest sheep graze rolling green hillside pastures.

Italian colonial farmhouses, under new management, are still visible, as are abandoned railway stations (trains have long since ceased operations).

7. Omar Mukhtar has replaced Gadhafi as a symbol

Before the revolution, Moammar Gadhafi portrait was everywhere in Libya. Without turning your head, it was easy to reach double figures when counting reproductions of his all-seeing image.

Now they're gone, often replaced by images of an elderly man in white robes -- Omar Mukhtar.

Who is he?

Beginning in 1912 and lasting for almost 20 years, Italian imperial designs on Libya were resisted by a determined local insurgency led by Mukhtar. His bands of fighters utilized guerrilla tactics and superior knowledge of the terrain to ambush Italian columns.

Opposition was quelled only when a 73-year-old Mukhtar was captured and executed by Italian armed forces in 1931.

Despite attempting to co-opt Mukhtar's legacy as a nationalist hero, Gadhafi ultimately felt threatened by the sheikh and had his body removed from its tomb in the center of Benghazi to an out-of-the-way rural town about 37 miles away.

Gadhafi was right to be worried. Omar Mukhtar remained an inspiration to modern revolutionaries, and in 2011, his battle cry of "We will win or we will die" was heard once more.

8. It's filled with Greco-Roman heritage

Eighty miles east of Tripoli, Leptis Magna was the hometown of Roman Emperor Septimus Severus. Even those prone to chronic attacks of temple fatigue can't fail to be wowed by the grandeur of its ruins.

The site is vast and well-preserved, though to date only one third has been excavated. The almost complete amphitheater and circus outside the main city are made all the more intriguing by virtue of their relative neglect.

Some 40 miles east of Tripoli, Sabratha's remains have been restored. While only a quarter of the site has been excavated, mosaics thus far uncovered rival those found in Rome.

And 120 miles east of Benghazi, the ruins of Cyrene reflect enduring Greek influences of language and architecture; the city's Temple of Zeus is larger than the Parthenon in Athens.

Anywhere else, all three sites would be honeypot tourist destinations, but these days it's possible you'll have them to yourself.

Leptis Magna and Sabratha are easy day trips from Tripoli; Cyrene is reached from Benghazi and with an early start can also be visited in a day. Because of poor security, travel eastward to Derna isn't recommended.

Though it's easy to visit sites independently, a knowledgeable guide can bring the ruins to life. Temehu (www.temehu.com) can organize excursions in advance.

"North Africa -- The Roman Coast" (www.bradtguides.com) has a useful section on Libya.

@highlight

Libya is two and a half times bigger than Texas and 90% desert

@highlight

Alcohol is banned, but there's smuggled booze and bokha, distilled from dates, figs

@highlight

Gasoline is cheaper than water in this oil rich but extremely dry Sahara nation

@highlight

Ancient ruins from the Greek and Roman eras are spectacular