(CNN) -- Imagine seeing masterpieces by Van Gogh, entertaining your kids with activities and strolling a hilltop garden with waterfalls and beautiful views at sunset.

Now imagine doing it all for free. That's how your day could play out at the Getty Museum in L.A., where admission doesn't cost a thing.

Enjoying what America has to offer can get expensive fast: in 2011, the U.S. travel industry made $813 billion, and some of America's most popular cities are also its most expensive. With high gas prices and airline fees, it's refreshing to know that there are still some venues like the Getty that give another meaning to the land of the free.

In our search for the top free attractions, we bypassed public parks and train stations to focus on experiences you wouldn't necessarily expect to be free. Find out just how far $0 can get you from coast to coast.

Smithsonian Museums, Washington, D.C.

The National Zoo, National Museum of Natural History, and National Air and Space Museum—which displays The Spirit of St. Louis—are the biggest crowd-pleasers among the 18 Smithsonian institutions in D.C., otherwise one of the country's priciest cities. Indeed, making knowledge accessible is key to the mission of the world's largest museum and research complex. Affordable-travel expert Tim Leffel observed that the three museums he visited with his wife and daughter would have set them back more than $100 in most European capitals. And here's a bonus: you can download a free app about the National Mall sites from the National Park Service.

New Orleans Jazz National Historical Park

Most national parks encourage you to tune in to nature; this one celebrates jazz in its birthplace, New Orleans. There's live music at the visitor center in the French Quarter and the Old U.S. Mint six days a week, and a kids' music workshop on Saturdays at Perseverance Hall in Louis Armstrong Park. The visitor center also hosts free talks, video documentaries and exhibits on local jazz history. You can pick up one of two self-guided audio tours, "Jazz Sites in New Orleans" or "Jazz Walk of Fame."

Travel + Leisure: Best U.S. cities for affordable getaways

The Getty Center, Los Angeles

Maximize your time at the Getty by visiting on a Friday or Saturday, when this sprawling hillside art complex is open late—allowing you to take in sunset views. The light-filled museum interiors display an impressive collection of European and American art including Vincent van Gogh's famous irises. Debbie Dubrow of the family travel blog Delicious Baby recommends the Family Room's interactive exhibits, giant illuminated manuscripts and an art treasure hunt. "And whenever you need a break, just pop outside to the Getty's fabulous gardens," she says. While parking is admittedly expensive ($15), the Getty is also accessible by public transit.

Staten Island Ferry, New York City

Even in the most expensive city in America, you can find great deals like free admission nights at MoMA (otherwise $25), discounted Broadway tickets, and lower hotel rates in July and August. Then there's the thrill of one of the world's most beautiful ferry rides on the Staten Island commuter ferry—which also happens to be free 24/7. Board at sunset, when Lady Liberty is silhouetted against a pink-and-orange sky. You'll pass the Statue of Liberty, with a panoramic view of glittering downtown Manhattan, Brooklyn and Jersey City. Affordable-travel expert Tim Leffel says: "It's one thing I always recommend when people ask what they should do in New York."

Travel + Leisure: Best affordable all-inclusive resorts

Independence National Historical Park, Philadelphia

Folks line up to see the 2,000-pound Liberty Bell—enshrined in glass—and tour Independence Hall, where the Declaration of Independence was signed and the Constitution drafted. (Look for George Washington's "rising sun" chair.) Mara Gorman of the blog The Mother of All Trips also enjoyed visiting the Second Bank of the United States, "which houses a wonderful portrait gallery with paintings of many of the principle figures of the American Revolution." Benjamin Franklin, Betsy Ross and Washington all attended services at nearby Christ Church.

Go underground: Cave hotels

Conservatory at Bellagio, Las Vegas

Take a breather from the hectic win-or-lose atmosphere of Vegas at the Bellagio's 13,000-square-foot Conservatory and Botanical Gardens. Horticulturists create seasonal over-the-top displays, rearranging the gardens and their trappings—gazebos, bridges and giant topiaries. After the free live musical performance at the gardens (5 to 6 p.m. daily), step out onto the Strip to witness the light-and-music show put on by the Bellagio fountains.

Royal Hawaiian Center, Honolulu

Free cultural programming sets the remodeled Royal Hawaiian Center apart from your average shopping mall. You can drop by for a traditional Hawaiian massage (lomilomi), lei-making, Hawaiian quilting or a crash course in playing the ukulele or dancing the hula. There are also free performances, including Polynesian song and dance and hula 'auana, which is hula's modern form. It's an added bonus that parking is unusually affordable for Waikiki: free for an hour with validation.

7 amazing island rentals

The Alamo, San Antonio, Texas

"Remember the Alamo!" became a rallying cry after a small group of Texans stationed at this Catholic mission was defeated in March 1836 by a Mexican army after a 13-day siege. These days, the Alamo chapel is an official Texas State Shrine—and the state's most popular site with more than 2.5 million annual visitors. After your visit, stroll the nearby River Walk, lined with shops and restaurants like Boudro's for homemade guacamole and prickly-pear margaritas.

Pike Place Market, Seattle

This iconic Seattle waterfront market occupies nine acres with an assortment of vendors selling fresh, locally produced food—most famously, flying fish. The market was established in 1907 with the explicit aim of connecting citizens and farmers, and it's still home to more than 200 independent small businesses, including bakeries, flower and butcher shops, and casual seafood restaurants. Markets with a similar ethos have sprung up across the country; look for one on your next trip.

National September 11 Memorial, New York City

Pay your respects at twin reflecting pools that occupy the footprint of the former World Trade Center towers. The memorial is inscribed with the names of all who died in the terrorist attacks of September 11, 2001 and of February 26, 1993. Hundreds of white oaks help create a peaceful atmosphere. While admission is free, advance reservations are required.

See more of America's top free attractions

What are your favorite free attractions in the U.S.?

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

The travel industry rakes in billions each year, but not every great attraction charges a fee

@highlight

The Smithsonian museums in Washington make for fun, educational outings at no cost

@highlight

In Las Vegas, the Conservatory at the Bellagio offers free live music in the gardens