Cape Cod, Massachusetts (CNN) -- When coming face to face with the monstrous jaws of a great white shark, you'd probably want to be armed with more than a wet towel.

It seems almost insane to think placing a dark cloth over the formidable killer's eyes will help calm it down for long enough to attach electronic tags, take blood samples, and even conduct an ultrasound.

But in the space of just 15 minutes, a towel is one of the tools used to placate the fearsome creature while a team of researchers carry out important investigations into its mysterious living habits.

This is Ocearch in action -- a group of gutsy scientists and sailors traveling the high seas on their 38-meter floating laboratory, as part of a mission to tag and monitor an ancient animal we know surprisingly little about.

Watch more: Ocearch scientists tag great white

"We don't know much about the great white shark's natural history, its ecology from day to day, how it lives and interacts with its environment," said Greg Skomal, chief fisheries scientist on board Ocearch.

"But when you come onto this vessel and you have a live animal in front of you that you can study, it just opens new doors -- you can get a more robust assessment in a very short period of time."

'You're gonna need a bigger boat'

Just a few kilometers from where Steven Spielberg filmed his 1975 Hollywood blockbuster, "Jaws," the Ocearch team is also on the lookout for sharks.

Cruising along the Cape Cod coastline in Massachusetts, they lure the predators with mashed-up herrings, tuna, and a dummy in the shape of a seal.

Previously used to catch crabs, the converted Ocearch vessel features a hydraulic lift -- much like a giant cradle -- to lift the great whites out of the sea.

It's up to captain Brett McBride to jump in the water and guide the sharks onto the platform, making sure to leave a good 10 meters between himself and the carnivores, which can grow up to six meters long.

"As soon as we bring them on the platform the first thing I do is cover their eyes with a dark, wet towel and that usually calms them right down," said McBride.

"Then I will take two hoses with a lot of volume of water and make sure that it's nice, clean seawater with bubbles in it that will cascade down each side of the gills."

Pit stop science

The scientists then have 15 minutes to bolt a satellite tracking tag to the fin, insert another acoustic tag in the abdomen, attach a third tag monitoring scale movements and tail beats, take blood and tissue samples, and even conduct an ultrasound.

The whole operation has the appearance of an F1 racing car pit stop, with researchers crouched on either side and hurriedly attaching $10,000-worth of high-tech equipment, expected to last around five years.

Since launching in 2007, the team has tagged over 60 great whites, helping to build a global map of shark migration.

Scientists first started tagging the mysterious creature in the 1960s, often using a harpoon to attach a GPS device. Around 500 great whites have since been tagged around the world, revealing fascinating glimpses into their movements through the world's oceans. One of the greatest distances ever recorded was that of a great white traveling from South Africa to Australia in 99 days -- a distance of 11,100 kilometers.

"What we have found is that male (great white) sharks are all living along the beach all the time -- they have very little off-shore life," said Ocearch expedition leader Chris Fischer, whose team has researched great white movements off southern Africa.

"But the females go way out over Madagascar, and even out into the middle of the Indian Ocean, and they hang around out there for months and months. What are they doing out there? Are they gestating their babies? Are they feeding?"

Time to act

It's exactly these questions that push the team to quite literally dive in the deep end with the terrifying -- and captivating -- animals.

"Shark populations worldwide are under threat -- sharks are being slaughtered at an unsustainable rate, many for a bowl of soup," said Fischer.

"This unsustainable harvest rate is driven by the demand for shark fins, meat and other products, and puts not only sharks at risk, but also the entire balance of the ocean."

Ocearch gives a name to each shark it tags -- from Katherine, to Curly, and Junior -- in an effort to build people's relationships with them and reflect their unique personalities.

"Katherine will travel 1,000 miles (1,609 kilometers) a month -- she will visit Bermuda, she will travel down the southeast coast, she will go to places we don't understand," said Fischer of one of the sharks.

"This project is about solving the annual movements of the great white shark around the north Atlantic -- it's a 450-million-year mystery and today everyone gets to watch it unfold in real time."

@highlight

Meet Ocearch, a gutsy team of scientists and sailors examining sharks close-up

@highlight

Researchers haul great whites on board ship as part of investigation into living habits

@highlight

Attach $10,000 worth of equipment to feared creatures, expected to last five years