Des Moines, Iowa (CNN) -- A visit to the Iowa State Fair is a test of diet discipline: They fry just about everything -- from Oreos to butter to mac & cheese -- and the bigger the better, from half-pound tenderloins to massive turkey legs and pork chops.

Not much changes from year to year. There's the butter cow, nightly entertainment at the grandstand, arcade games and amusement rides.

But the "Cast Your Kernel" booth, while hardly a scientific enterprise, offers a big hint of change from the last presidential year: With more than 30,000 kernels cast, Mitt Romney is leading President Barack Obama.
Iowa, the scene of a 10-point Obama blowout in 2008, is a 2012 presidential battleground.

Obama stopped by the fair during his three-day Iowa bus tour this week. And the Romney campaign chose the fair for the solo debut of Rep. Paul Ryan, the GOP vice presidential pick.

"We have a real battle going on here for the heart and soul of the people of this state," GOP Gov. Terry Branstad says during an early afternoon walk through the fairgrounds.

"President Obama had a tremendous following here four years ago," Branstad says in making the GOP's case. "But people feel betrayed. They feel like he ran as someone who was going to bring people together and reach across the aisle and he hasn't done that."

Branstad is both a throwback and part of an Iowa Republican revival: He was governor for 16 years, left office, and then decided to run again in 2010, when the Midwest was a big part of the midterm GOP rout.

Four years ago, Democrats enjoyed a significant numbers advantage in Iowa. Now, there is parity -- even a slight GOP edge in the latest active voter registration tally.

"Have you been outhustled here?" is the question we put to top Obama political strategist David Axelrod as he traveled with the president this week.

Axelrod was quick to offer a tip of the cap to Branstad and the Iowa Republican Party for their aggressive work the past few years, but he voiced confidence the Obama campaign was stepping up its grass-roots organizing.

"I think we still have an organizational advantage in this state," Axelrod says. "We've done a good job of registering new voters so I think we are building that back up. But I don't think we are going to be outhustled on Election Day."

The urgency is obvious when you stop by a local Obama campaign office. In Davenport this week, for example, everyone in line for tickets to one of the president's rallies was asked if they were registered voters.

Those who said no were immediately handed a clipboard with the registration form, and volunteers -- knowing anyone not registered by now might be unreliable come Election Day -- suggested they also sign up to vote by mail, which allows the campaign to follow-up and witness the process.

You don't need to visit the fair or a campaign office to understand 2012 is different from 2008. Just turn on the television.

The TV ad war is bruising, and unavoidable -- $6 million spent just in Iowa in the last month.

The Obama campaign outspent the Romney campaign more than 2-1 in the past month in Iowa. But the TV ad war scales tip back in favor of Romney and the GOP when spending by the political parties and super PACs is factored in.

Iowa is a great test of the Ryan Factor.

The president's team says his policy views -- on Medicare, on a new long-term farm bill and on renewable energy subsidies -- will in the end trump any short-term bounce from his campaign skills and Midwest roots.

"He may hail from Wisconsin," Axelrod says in the interview, "but he is very much a product of the right-wing Washington think tanks. And that vision is not a good vision for this country."

Branstad, in turn, calls the Ryan pick "brilliant" and, a Catholic himself, predicts having a Catholic as the No. 2 on the GOP ticket will help with a critical voting bloc here, especially in the Northeast corner of the state.

Plus, Branstad says Iowa voters rank the federal deficit higher than jobs as an election priority -- and says Ryan is in tune with their worries about annual deficits and long-term debt.

"You cannot increase the deficit, the debt, a trillion dollars every year and have 40 cents of every dollar you spend be borrowed money," Branstad says.

Branstad also says he is confident of what you might call a reverse-coattails effect: He says Republicans are competitive in each of the state's congressional districts this year, and suggests that will help with the presidential margins in traditionally Democratic areas like Des Moines and surrounding Polk County.

Democrats take a not-so-fast approach to that dynamic -- promising to make the Ryan budget, particularly its Medicare proposals, an issue in every House race here and beyond.

Branstad acknowledged the potential power of the issue, especially in an older state like Iowa, but predicted it would not hurt the GOP provided Romney and Ryan used every opportunity to rebut the attacks and explain their proposals.

"It's going to be close," Branstad says of the state, making note of the heavy commitment of candidate time, staff and spending both campaigns are making to Iowa.

That includes busy booths just a few steps away from each other at the fair, where both campaigns are helping to register voters and recruit volunteers.

Branstad, whose involvement in presidential politics goes back more than a quarter-century, smiles at all the activity -- and attention.

"It's fun," the governor says, "to be a battleground state."

Axelrod, who also traveled with Vice President Joe Biden the last time he came to Iowa, says the state and its six electoral votes could prove decisive.

"John, my philosophy is always to plan for the worst and hope for the best," Axelrod says. "And so we're planning for 270 electoral votes (the minimum for victory). In that scenario, even a smaller state like Iowa can be a pivotal state. And that's why we're spending three days here. We're not leaving anything to chance. We're fighting for every vote and every electoral vote. And these electoral votes matter."

@highlight

President Obama won Iowa in a 10-point blowout in 2008; this year it could go either way

@highlight

Democrats enjoyed a numbers advantage in 2008, this year there is parity

@highlight

Iowa's Republican governor says people feel betrayed by Obama

@highlight

Obama strategist David Axelrod says the campaign won't be "outhustled" in Iowa