Washington (CNN) -- A prominent Food and Drug Administration researcher sharply criticized a safety study by the manufacturer of the diabetes drug Avandia on Tuesday as an FDA panel weighed whether to yank the drug from the market.

The study, dubbed RECORD by GlaxoSmithKline, came under attack throughout the first of two days of hearings by the 33-member FDA advisory committee.

"You can't trust it, and if we do trust it, we're engaging in the willing suspension of disbelief," said Dr. David Graham, the FDA scientist who first flagged deadly side effects of the painkiller Vioxx.

Graham's report followed a strongly worded FDA report last week that called the RECORD study "inappropriate and biased." It accused Glaxo of repeatedly submitting sloppy data and failing to follow up on reports of problems among patients, including deaths.

But Dr. Murray Stewart, Glaxo's vice president for clinical development, said the company's studies "provide the most robust and reliable data" to assess Avandia's safety -- and those studies have found "no evidence to suggest" the drug increases the risk of heart attack or stroke in its users.

The FDA panel could vote Wednesday on whether to remove the drug, which is used to control blood sugar levels in diabetics, from the market. Glaxo says several trials have shown Avandia is safe, but its usage has fallen sharply since a 2007 study that linked ito the an increased risk of heart attacks and other related problems. Published estimates indicate sales of Avandia have dropped from about $3 billion in 2006 to about $1 billion.

One of the committee members, Dr. Sanjay Kaul, urged caution "before drawing any definitive conclusions" based on data he called "fragile." That drew a blunt response from Dr. Steven Nissen, the Cleveland Clinic cardiologist who authored the 2007 study and presented an updated, critical assessment of the drug Tuesday.

"Whose fault is that?" Nissen asked. "We have a drug that has been on the market for 11 years. The company had every opportunity to do large-outcome trials, adequately powered and properly run, to answer this question. They didn't do it."

In a study published in June, Graham also found patients on Avandia are more likely to suffer stroke, heart failure or premature death than patients who used another drug. And he said the RECORD study would have been dismissed as "garbage" if it had been used to seek the drug's original approval.

"It wouldn't even be presented," he said.

And as the FDA panel prepared to meet, a Senate committee added to the controversy by releasing documents its leaders said show Glaxo "failed to publish studies that found serious health risks associated with Avandia in a timely manner and actively promoted the drug despite the known safety concerns."

The documents, which the Senate Finance Committee provided to the FDA, include studies that date back to 2000, the committee's Democratic chairman and ranking Republican said.

"Americans have a right to know there are serious health risks associated with Avandia and GlaxoSmithKline had a responsibility to tell them. Patients trust drug companies with their health and their lives and GlaxoSmithKline abused that trust," Montana Sen. Max Baucus, the committee's chairman, said in a statement accompanying the documents.

In February, the same committee released a report criticizing the FDA's handling of Avandia and saying the FDA has been "too cozy" with drug makers. But in an e-mail, Glaxo spokeswoman Mary Anne Rhyne told CNN the new documents were "a small subset" of millions of pages the company released in connection with lawsuits over the drugs.

"They include drafts and other documents taken out of context, which therefore are incomplete and misleading," Rhyne said. "The documents do not offer new clinically relevant scientific information, and do not provide the full extent of GSK's studies and evaluation of Avandia."

Rhyne said the company "has been diligent in providing its safety data on Avandia to the FDA" and publishing results in medical journals and online.

CNN's Caleb Hellerman and Dr. Sanjay Gupta contributed to this report.

@highlight

NEW: A researcher blamed the company for "fragile" data

@highlight

Glaxo says its research shows Avandia is safe

@highlight

Senators say the drug's manufacturer buried warnings

@highlight

Glaxo says documents on problems are "incomplete and misleading"