Birds Point, Missouri (CNN) -- Persistent, heavy rains have helped swell the Mississippi and Ohio rivers to the highest levels ever recorded, said an Army Corps of Engineers official Sunday.

This ominous development prompted Maj. Gen. Michael Walsh, president of the Mississippi River Commission, to order several barges into place at 3 p.m. to begin pumping explosive slurry into a levee near where the two rivers meet. This is all in preparation -- if the decision is made -- to blow up the Birds Point-New Madrid levee and potentially flood 130,000 acres of Missouri farmland, in part to save the town of Cairo, Illinois.

At 8 p.m., the water levels on the Ohio River outside Cairo had reached 60.27 feet -- well above the flood stage of 40 feet -- according to the National Weather Service. And, boosted by more rain, the forecast calls for a continued rise to as high as 61.5 feet by Tuesday afternoon.

"This is the largest flood that we have ever seen in our lifetimes," Walsh said.

Two states divided by river, flooding

The U.S. Supreme Court refused Sunday to block any plan to intentionally breach the levee. Supreme Court Justice Samuel Alito ruled against Missouri -- effectively giving Walsh the authority to execute on the levee-breach plan.

Missouri Attorney General Chris Koster's office had appealed to the court, questioning the Corps' authority to do so. He had hoped to overturn a federal judge's ruling against Missouri on Friday, saying a 1928 law permits the breach of the levee to ease pressure on the river.

Hours before the Supreme Court ruling came down, Missouri Gov. Jay Nixon told reporters Sunday that he was not dwelling on the legal battle. Rather, he said that local and state authorities are focused first and foremost on making all necessary preparations, including steps to protect property and lives, assuming that the levee will be breached and massive flooding will occur.

"The litigation is out there, but that's not our focal point, quite frankly," Nixon said, flanked by Walsh. "This doesn't thrill us, where we are, but this is a (difficult) situation. ... We understand the general and his team have difficult decisions to make."

Walsh said he'd directed crews to move the barges across the river to Missouri and load the pipes with the blasting agent. The entire process -- including priming the explosives and breaching the levee -- would take about 20 hours, at which point the controlled blast could occur.

"I have not given the command to put it into operation, just to get it to the next step," Walsh said.

The crisis is centered on the stretch of the Mississippi River between Memphis and St. Louis, but it relates to a far broader issue of excess water in the river and its tributaries. Engineers have warned that should the rising waters of the Mississippi River overwhelm the entire flood control project, it could deluge cities, destroy crops, destroy businesses and paralyze river transportation.

Engineers already have reported sand boils and seepage at a number of levees near the confluence of the Ohio and Mississippi rivers, a condition that Walsh said also threatens the integrity of the Mississippi River and Tributaries Project -- the world's largest flood control project.

Belief Blog: Baptism in floodwaters

"There is water in places where we have never ever seen it before," Walsh said.

The potential for disaster -- and with the levees deteriorating and more rain falling -- prompted Cairo Mayor Judson Childs to order his city's 2,800 residents to evacuate by midnight Saturday.

"I'm here to try to protect the city of Cairo," Childs said. "I care about them and I don't want them in harm's way. I would much rather issue a mandatory evacuation and nothing happen than not to do it and people lose their life."

Meanwhile, Missouri is likewise preparing for the worst -- specifically, the immersion or other negative effects on what Nixon called "the most productive part of our continent" for farming.

About 750 National Guard personnel are in the area, with nearly 100 state police also on hand to safeguard the area and residents' property. In addition, 230 residents who were potentially in harm's way in Mississippi and New Madrid counties have been evacuated.

"The point is, if this is going to occur here, we're going to do it safely, we're going to do it an orderly fashion and we're going to do the best we can to defend it and save property where available," the governor said.

The uncertain scenario threatened to turned the lives of thousands upside down.

In Dexter, Missouri, Amanda Jones spent much of her Sunday morning in tears, bouncing from her computer to her phone and back again, pausing only to care for her sick toddler.

She and others are concerned about the economic impact on Mississippi County -- and are even more worried about the unforeseen consequences if all doesn't go according to plan and water inundates the nearby Missouri towns of New Madrid, Charleston, Wyatt and East Prairie.

Residents are being told a second levee built to protect the towns will hold, but "they really have no clue what's going to happen," Jones said. And even out of the flood plain, she said she's worried an explosion may trigger an earthquake on the New Madrid Fault, which runs through the region.

Jones posted on her Facebook page a transcript of a 1988 public meeting in which it was discussed that such a plan could go awry, as the force of the water would be uncontrollable after such a breach and the second levee cannot be guaranteed.

"As we all know too well, plans don't always go according to plan, especially when Old Man River is involved," board member Lester Goodin said, according to the transcript. "It has time after time fooled people who weren't fools, people who merely miscalculated, or failed to take into account its almost infinite variables, or used inadequate models, or out-of-date models, or mistaken assumptions."

In East Prairie, Cassie Sutton isn't waiting around to find out. Her family's bags are packed, she said Sunday. And should word be given that the levee will be blown up, they plan to head to stay with relatives about 45 minutes away.

"They did say the secondary levee will hold, but we've also never been in times like these," she said. "... I'm not willing to be the guinea pig. That's the bottom line."

Sutton said her aunt and uncle have evacuated two homes near the levee, moving out all their possessions, and are now living in a camper. "They honestly think they'll have nothing to go back to," she said, adding the Corps of Engineers has told them the water will cover their home by at least 5 or 6 feet.

The levee was breached before, in 1937. But, Jones and Sutton pointed out, the area was heavily forested then, with trees to slow the water before it reached the second levee. That forestation is no longer there, they said.

Koster's office said last week that "the flooding would leave a layer of silt on the farmland that could take as much as a generation to clear, causing significant injury to the quality of the farmland for many years."

Still, even if they don't prefer it, not everyone in the Show-Me State opposes the levee breach if it's truly a last resort.

Sutton said her family has traditionally made its living farming, but "when it comes over people's lives to farmland, I say save the lives."

"They say it's going to help Cairo, then I'm for it," she said. "But I have a feeling that will destroy Mississippi County, financially bankrupt our county."

CNN's Ashley Hayes, Bill Mears and Chelsea J. Carter contributed to this report.

@highlight

NEW: The U.S. Supreme Court rules against Missouri, so levee can be breached

@highlight

NEW: The Ohio River at Cairo, Illinois, is 60.3 feet -- 50% above flood stage

@highlight

Missouri asks the Supreme Court to halt a plan to explode a levee to lessen pressure

@highlight

The proposal would flood Missouri farmland but save an Illinois town