(CNN) -- The great irony of the government spying controversy is that even America's state-of-the-art spy agency could not keep secret the fact that it might be spying on our secrets.

Nobody's secrets are safe. Not spies, not corporations, and certainly not the rest of us regular people, with our clever little passwords, our privacy settings and our restricted friends' lists.

The danger is not just from government intelligence agents using sophisticated computer algorithms. Our privacy is vulnerable on many fronts. A 29-year-old technician can personally decide to reveal the existence of Prism, a surveillance program that James Clapper, the director of National Intelligence, says has brought "among the most important and valuable foreign intelligence" the United States has gathered and its release will cause "long-lasting and irreversible harm" to U.S. security.

When the government is the one doing the snooping, as Edward Snowden, the former National Security Agency contractor accuses the NSA of doing, it raises unique issues. America was founded on ideals that emphasized restraining the power of government and empowering the individual.

Opinion: Massive spying on Americans is outrageous

If the government is indeed engaging in wholesale spying with practically no restrictions on what it can record and read -- something President Obama denies -- this is an affront to the constitution, and it demands action from Congress. And the breach of government secrets demands attention as well.

But there is more.

If we pull the thread on Snowden's allegations we may just find details of our own lives unspooling.

Everything about us is online, waiting for a corporation or a hacker or a spy to reveal it.

Snowden claims that the NSA and the FBI have direct access to the servers of the biggest Internet service providers in the world, as well as the biggest social media companies and the most popular search engines, mapping applications, and Internet telephony firms.

Opinion: Why we need government surveillance

The companies all deny this. Google, Microsoft, Yahoo, Facebook, AOL, Skype, YouTube, Apple, and PalTalk -- all say the government has no direct access.

Before we find out where the truth lies, we should pause to consider what exactly those companies' servers contain, because that information exists, whether the government looks at it or not. It is detailed information about everyone who uses the Internet.

Think about this: If the NSA could not safeguard its information, how do we expect anyone to do it?

What kind of information are we talking about?

Let's review, from those "privacy policies" we always approve without reading because the alternative has become too burdensome. Yes, the companies provide enormously valuable products and -- in theory -- we have the option of not using them.

Google's servers store much more than your Gmail e-mails. They contain the words you have looked up, the illnesses you have tried to learn about. It knows what high school sweetheart you've tracked down, it knows what pictures you've looked at online. It knows what phone calls you've made on Google Voice, and it knows where you have been when you made searches, over which cell tower or Wi-Fi network.

Facebook admits that even after we delete material from our page, it is not permanently deleted from its servers unless we delete the entire account.

Opinion: Edward Snowden is a hero

Eric Schmidt, the executive chairman of Google, famously said, "If you have something that you don't want anyone to know, maybe you shouldn't be doing it in the first place." But that dismissive attitude assumes that if you want privacy you must have done something wrong, which is patently incorrect. It disregards the idea that we have a right to not have parts of our lives exposed without our consent.

Some argue the loss of privacy is "the cost of admission" to our new world, and see no problem with that. But the problems will come. There will be misunderstandings, insinuations and accusations. We won't be there to explain why we looked something up. Why we talked to a certain person. Why we went somewhere. Jobs will be lost, relationships damaged, lives destroyed.

Will these firms sell our information? Of course. Will they give it to the government? Google's Schmidt said yes, "It is possible that the information could be made available to authorities."

The important part to remember is that what we do online, what we post, what we search, what we store, what we write, what we put into words or pictures, is not protected, not even if its corporate guardians promise they will keep it safe.

If someone in Hawaii can decide to reveal government secrets, it means another government contractor at the NSA or the CIA or the FBI, or an employee at Google or Microsoft or Facebook, or a hacker in China or California, could get his or her hands on the digital threads of our lives and make them public for fun or for profit.

In the old days of the Soviet KGB, people would go to places like Moscow's Gorky Park if they wanted a private conversation. There is no Gorky Park online. We may need to revert to face-to-face meetings for assured privacy, but that is simply not practical in today's world.

The debate over NSA surveillance should extend to other areas of privacy. It's time Internet companies stopped holding on to our information without much more explicit permission. Much more should be discarded without discussion. But even if progress is made in this area, we must know that we have entered a new age of greatly diminished control over our personal information.

The NSA is no doubt enduring what countless victims of hackings have experienced, frantically trying to fix and explain and prevent more damage from the unwanted exposure. The data hunter has fallen prey. Nobody is safe.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis says it's noteworthy that even the NSA couldn't keep its secrets secret

@highlight

Passwords, privacy settings and restricted friends' lists won't protect our secrets either, she says

@highlight

Ghitis: Everything about us is online, waiting for someone to reveal it

@highlight

Eric Schmidt is wrong to say you shouldn't do anything you don't want world to know, she says