(CNN) -- Iran's vice president has warned that the country could block the Strait of Hormuz if sanctions are imposed on its exports of crude oil. What does the threat mean and what is likely to happen next?

What is the Strait of Hormuz used for?

It is one of the most important strategic chokepoints in the world, a narrow (34 miles wide) strip of water through which more than 15 million barrels of oil a day passed (through the Strait) in 2009, according to the U.S. Energy Information Agency. That's about a third of all oil shipped by sea worldwide. Shutting off the Strait would be disastrous for the world economy, causing oil prices to skyrocket.

Have there been previous incidents of heightened tension?

Iran has threatened several times previously to close the Strait but it has never carried through with it. Doing that would be shooting itself in the foot as almost 80% of its revenues come from the oil industry. Iran is the world's fourth-largest oil producer. Much of the oil that is shipped through the Strait of Hormuz goes to China, a crucial customer for Iran.

Why Strait of Hormuz matters

Iran attacked ships in the Gulf during the 1980s in an attempt to cut off Iraq's oil exports when those two countries were at war. The impact on prices was minimal however after foreign navies began escorting oil tankers through the Strait.

Is the latest escalation serious? Or is it saber-rattling? Is it related to the dispute between the West and Iran over the nuclear issue?

The latest threat to close the Strait, according to experts and U.S. administration officials, appears to be an attempt by Iran to intimidate the U.S., and specifically President Barack Obama, not to proceed with tough new sanctions that could target Iran's oil industry and its oil exports as well as companies that do business with Iran's Central Bank. Those sanctions are aimed at forcing Iran to curtail its nuclear program, over which Iran and the West have been sparring for many years. Iran says its uranium enriching activities are for peaceful purposes, but many Western governments suspect they are intended to produce a weapon.

How could Iran disrupt shipping if it wanted to? Does it have the naval capability or would it use other means?

Matthew Kroenig at the Council on Foreign Relations, formerly an Iran expert at the Pentagon, tells CNN "(Iran) could try to close the Strait of Hormuz. What that would mean, though, is physically closing the strait militarily. That would be their only option. So it means laying mines and physically attacking ships coming through the Strait. I think any U.S. president would be forced to respond to that and to open the Strait; that would also mean military action against Iran so an Iranian attempt to close the straits could mean war."

How would the international community react if they did carry out the threat?

The international community will not allow the Strait to be closed. It is too important. Many experts say Iran would only have limited success in blocking the Strait for an extended period of time as many governments maintain a naval presence in the region, notably the United States.

Dangerous mix: Iranian oil and U.S. sanctions

A senior U.S. administration official, speaking on background because of the sensitivity of the issue, told CNN: "We've been committed to Gulf security for decades and it should come as no surprise to anyone that we'll do what we must to ensure the Strait remains open."

What effect is the tension having on oil supply and price?

Prices initially spiked, then dropped back. But the prospect of conflict continues to make markets nervous. "We are in a situation where there is essentially no communication between the Iranian government and the U.S. government," Trita Parsi, president of the National Iranian American Council, told CNN Monday after reports said Iranian military forces confronted a Western helicopter near the Strait. "It is very worrisome."

Investment bank Merrill Lynch predicts a $40 rise in oil prices if the country's 2.2 million barrels day of crude are shut off completely.

What is likely to happen next?

The most likely outcome is more saber-rattling. But experts say there is a danger of miscalculation by Iran, which has been increasingly provocative and unpredictable. Witness the alleged plot to assassinate the Saudi ambassador in the U.S., a claim that Iran denies.

@highlight

Iran warns it could block Strait of Hormuz if sanctions are imposed on crude oil exports

@highlight

Strait is important strategic chokepoints; third of all oil shipped worldwide passes through

@highlight

Iran has threatened several times to close the Strait but it has never carried through with it

@highlight

U.S. says "we'll do what we must" to keep Strait open; prospect of conflict unnerves markets