(CNN) -- China's top security official has linked the deadly vehicle crash this week in Beijing's Tiananmen Square, which killed five people and is being described by Chinese authorities as a terrorist attack, to an Islamic separatist group.

"The terrorist attack in Beijing was organized and premeditated," said Meng Jianzhu, the secretary of the Central Politics and Law Commission of the Chinese Communist Party. "The instigator behind the scenes is the terrorist group the East Turkestan Islamic Movement that operates in central and west Asia."

Meng was speaking Thursday in Tashkent, the capital of the central Asian country Uzbekistan. His brief comments were carried by the broadcaster Phoenix TV, which is based in Hong Kong.

Chinese officials have blamed the East Turkestan Islamic Movement in the past for fomenting unrest in Xinjiang, the western Chinese region that is home to the largely Muslim Uyghur ethnic group.

The Tiananmen Square crash -- which took place Monday in the politically sensitive heart of the Chinese capital underneath a giant portrait of Mao Zedong -- would be the most high-profile attack in recent years.

No group has claimed responsibility for the crash so far.

Five suspects arrested

The U.S. State Department listed the East Turkestan Islamic Movement as a terrorist organization in 2002 during a period of increased cooperation with China on security matters after the September 11 attacks.

But details on the group's activities and capacity are scarce.

Chinese authorities said this week that they worked with police in Xinjiang to arrest five suspects in the Tiananmen case.

And they identified the three people inside the vehicle, which plowed through crowds of people before hitting the rail of a pedestrian bridge in front of the Forbidden City and bursting into flames, as members of the same family with Uyghur-sounding names.

The vehicle killed two tourists and injured 40 other people. Authorities say its occupants died when they set light to gasoline inside the vehicle. As well as the gasoline, police say they found two knives, steel sticks and a flag "with extremist religious content" in the vehicle.

Questions over transparency

The World Uyghur Congress, a diaspora group, has urged caution about the Chinese government's account of the Tiananmen crash.

"The Chinese government will not hesitate to concoct a version of the incident in Beijing, so as to further impose repressive measures on the Uyghur people," it said in a statement earlier this week, citing a lack of transparency over the investigation.

State media inside China have given relatively limited coverage to the story. Images posted immediately after the incident on Weibo, China's version of Twitter, which showed black smoke and a vehicle engulfed in flames, were largely deleted.

Searches combining the words "Tiananmen," "terrorism" and "car crash" were also blocked. CNN broadcasts about the subject were initially blacked out inside China.

Simmering tensions

Tensions have run high in Xinjiang between Uyghurs and the millions of Han Chinese people who have migrated to the large, resource-rich region over the past several decades.

Uyghurs complain of discrimination and harsh treatment by security forces, despite official promises of equal rights and ethnic harmony. Activists say that a campaign is being waged to weaken the Uyghurs' religious and cultural traditions and that the education system undermines use of the Uyghur language.

The simmering tensions have periodically boiled over into deadly violence, most notably in July 2009, when rioting in Urumqi, the regional capital, killed around 200 people and wounded 1,700. That unrest was followed by a heavy crackdown by Chinese security forces.

Beijing exaggerates the threat from Uyghur separatist groups, Sean Roberts, an associate professor at the Elliott School for International Affairs at George Washington University, said this week. Little of the violence that has occurred inside Xinjiang should be considered terrorism, according to Roberts.

"Most of it looks like spontaneous civil unrest or isolated revenge violence carried out by individuals or small groups of local citizens, rather than by an organized militant group," he said.

However, Uyghur groups claimed responsibility for bus bombs in Shanghai and Yunnan prior to the Beijing Olympics in 2008. The Chinese government blamed an attempted hijacking of a flight in 2012 on Uyghurs.

@highlight

A Chinese official says a separatist group is "the instigator behind the scenes"

@highlight

The East Turkestan Islamic Movement has been blamed for past unrest

@highlight

The crash in Tiananmen Square this week killed five people and wounded 40

@highlight

Police say they have arrested five suspects in the case