Washington (CNN) -- Ruth Bader Ginsburg may be the oldest, tiniest member of the Supreme Court, but her colleagues know her to be perhaps the toughest, and by all accounts a dedicated and tireless justice.

The latest evidence: Ginsburg is recovering from a rib injury suffered in June, during the Supreme Court's last hectic weeks before it issued the landmark ruling upholding President Barack Obama's health care reform law.

Court spokeswoman Kathy Arberg confirmed the injury occurred at the 79-year-old justice's Washington home June 4, but did not prevent Ginsburg from participating fully in the court's internal deliberations.

Two other sources close to Ginsburg said she fractured two ribs from an accidental fall. Details of the injury were first reported by Reuters.

Arberg said the justice maintained a regular work schedule in the days after the injury that included June speeches in New York and Washington. Sources said she was not hospitalized, but instead treated by doctors at the Office of the Attending Physician, which provides outpatient medical care to the justices and members of Congress.

The court is now in recess and the justice has continued to keep busy, working through the summer in chambers. She appeared last week at a legal panel in Chicago, and returned recently from overseas trips to Europe.

As the oldest justice, Ginsburg's health in particular, and those of her benchmates, has been closely watched by some Washington insiders, since high court vacancies have recently created a high-stakes, politically-charged environment.

The Brooklyn native has survived two separate bouts with cancer, but has said she hopes to stay on the court for another few years at least.

Meanwhile, Ginsburg is not letting her rib injury stop her from engaging in two of her favorite passions: the law and opera.

She appeared with Solicitor General Donald Verrilli and other legal heavyweights Friday at an American Bar Association panel, to listen to some classical music and engage in spirited discussion.

Hosting the event was Craig Martin, an attorney with Jenner & Block LLP, and himself an opera buff.

"Arias and opera can be used to raise larger questions about society -- good vs. evil, for example," he told CNN. "It can be a prism to look at the law and our civic responsibilities."

Members of Chicago's famed Lyric Opera performed selections from "Faust," "The Magic Flute," and four other works, a starting point for debate with Ginsburg and others.

"I sat down with Justice Ginsburg, and we tried to focus on arias that would work well as a springboard to the discussion," said Martin. "She has such great knowledge of these works, the music and the underlying interpretation. I learned more from Justice Ginsburg about opera in our meeting than I had from a lifetime of going to operas again and again."

Benjamin Britten's adaptation of "Billy Budd" -- the tragic story of a sailor sentenced to hang after falsely being accused of inciting mutiny -- caused perhaps the most passionate talk.

"The moral premise was whether Captain Vere could save Billy Budd's life from the court-martial," privately believing the young man was ultimately innocent, said Martin. "Justice Ginsburg came up with a well-thought out, well-crafted legal solution."

"He didn't have to empanel the court-martial on the ship," said Ginsburg. "He could have kept Billy and could have had the trial held on British soil." But the justice acknowledged a risk in that: "There was this tremendous fear of mutiny."

The charismatic but overly-trusting Budd is ultimately convicted on the high seas under the strict reading of the law as the captain sees his duty, and the sailor is hanged.

The justice's love of opera is well known. Along with Justice Antonin Scalia, her best friend on the court and fellow operaphile, she has appeared onstage -- in costume -- for several cameo roles at the Washington Opera.

Also attending the Friday panel discussion was Ginsburg's son James, a former lawyer who runs Cedille Records, a Chicago-based non-profit classical music label he founded.

Justice Ginsburg remembered how another opera prompted a little drama within the insular high court a few years ago. The late Chief Justice William Rehnquist unexpectedly modified his judicial robes as a subtle tribute to Gilbert and Sullivan's "Iolanthe," a fantasy that satirically tweaks the law and government.

"One day, my dear old Chief, who loved Gilbert and Sullivan, appeared in the (court's private) robing room with his new robe, and it had four thin gold stripes. People were aghast," she recalled, smiling. While many people wondered what the adornment was all about, "I laughed because I knew exactly what he had done."

Baldwin suggests portrayal of Douglas' life, career

Talk about the role of a lifetime. Actor Alec Baldwin recently revealed who he thinks deserves being portrayed on screen: the late Justice William Douglas, the longest-serving member of the Supreme Court.

Baldwin, a fellow outspoken progressive, said Douglas' career as a jurist, prolific author, civil libertarian, and environmentalist would be relevant to today's audiences.

"In the world we live in today, a world which is increasingly shaped, I should say surreptitiously, by the current (conservative majority) Supreme Court, I would like to see something that would bring to a new generation a biography -- a film or otherwise -- of the life of William O. Douglas," Baldwin told a Washington audience.

Douglas, a Washington state native who served from 1939-75, was named to the bench by Franklin Roosevelt, and carved a clear liberal record.

Baldwin, who currently stars on the long-running television series "30 Rock," said he was not sure he himself could best take on the Douglas role.

Few, if any, individual justices have received the big screen biopic treatment, but the late Justice Thurgood Marshall was profiled a few years ago in a one-man Broadway show starring award-winning actor Laurence Fishburne.

@highlight

Ginsburg is recovering from fractured ribs, sources say

@highlight

Her injury isn't getting in the way of her work or leisure pursuits

@highlight

Alec Baldwin suggests a biography for Justice William Douglas