(CNN) -- In a presidential election dominated by Iran's conservative ruling clerics and Ayatollah Khamenei's followers, a virtual female candidate named "Zahra" rose to compete with the all-male ensemble approved by the country's Guardian Council.

"Zahra is created to demand fair and free elections and seek respect for our basic human rights, especially for women who were rejected to run in this election; and others who can't have their voices heard in Iran," said Firuzeh Mahmoudi, executive director of the U.S.-based non-profit organization United4Iran, which ran her online campaign.

"The goal of the Zahra campaign is to expose a corrupt and exclusive political landscape through satire," said Mahmoudi, adding that he believed creative opposition tactics could help revive people's hopes and dreams. United4Iran said Zahra received almost 2,000 virtual votes. Her campaign also had nearly 4,000 Facebook supporters, with many from Iran.

WATCH: Iranian cartoon popular candidate on the web

Amir Soltani -- an Iranian-American writer -- and Khalil, an Arab illustrator based in San Francisco, had previously created Zahra as the main character in an online graphic novel aimed at blurring the line between the virtual space and the real world and showing support for democracy in Iran.

In their novel, Zahra searches for her young son "Mehdi" -- a "Green Movement" activist -- in the aftermath of the much-disputed 2009 Iranian elections. She eventually finds him dead in "Zahra's Paradise," Tehran's largest cemetery.

Soltani and Khalil were inspired by the true events of the 2009 post presidential election, including the fatal shootings of Neda Agha Soltan and Sohrab Aarabi, whose deaths at peaceful anti-government protests became a rallying cry for the opposition and human rights groups.

"We did not have to bury the body and the dreams of another generation of Iranian youth in dust and dirt. There had to be some ways of turning all that death back into life, some way of defying gravity and turning time around -- for me, that way was to tell the story of a burial in Zahra's Paradise," Soltani told CNN.

Websites associated with Iran's government attacked the Zahra campaign for presidency as a "highly sophisticated and professionally organized plot" launched by the CIA and Zionist agents.

Soltani said Zahra's campaign gained momentum in May, as the international media noticed this fictional character particularly after almost 700 candidates -- including 30 women -- were rejected during the Guardian Council's vetting process. The council is made up of six clerics and six lawyers and operates under the oversight of Ayatollah Khamenei, Iran's Supreme Leader. From all those registered, only eight were given the opportunity to run in Iran's eleventh presidential election and replace the outgoing president, Mahmoud Ahmadinejad.

"It's a slap to the people's face, when a group of 12 old men, almost all of them over 70, decide who gets to run for presidency; and determine the faith of a society -- especially, a society where woman are arguably its most vibrant, energetic and bright sector that make up 60% of its educated class," said Abbas Milani, an Iran scholar who heads the Iranian Studies Department at Stanford University.

In the days leading up to Iran's presidential election, Ayatollah Yazdi, one of the 12 members of the Guardian Council denounced women's right to run for president. The semi-official Iranian Mehr news agency quoted Yazdi as saying the "law does not approve" of a woman in Iran's highest elected office and that this is "not allowed."

In March, the Iran Human Rights Documentation Centre said the 1979 revolution that brought Iran's current regime to power was "in many respects a point of 'no return' for women's rights."

"Women suffer from severe oppression, whether it's discrimination in universities by the governing system, or on the street being harassed by the 'morality police' about what they are wearing and whether or not their head scarves are covering enough of their hair and abiding the regime's Islamic rules and regulations," said Sahar Rezazadeh, a student activist who finished her Master's Degree in Communication in Tehran.

Recently, Rezazadeh and her husband Reza took refuge in the United States as her husband was an outspoken reformist and activist in Iran.

"The goal with Zahra's campaign is to move our basic fundamental human, civil and social rights from dreams to reality; because by creating our reality, even if not currently political viable, we are introducing possibilities to change the political landscape of today and tomorrow," said Mahmoudi. A political landscape that former female parliamentarian Fatemeh Haghighatjoo said for the past eight years had "oppressed people, especially women and youth through a strong militant governing body."

Haghighatjoo served from 2000-2004 and was the first to resign when the Guardian Council banned more than 2,000 reformist candidates from the seventh parliamentary election. In 2005, she moved to the United States.

However, Haghighatjoo said that the election of moderate politician Hassan Rouhani to the presidency had "created a change in the political landscape."

Rouhani was backed by former reformist President Mohammad Khatami and Iran's political power-player Akbar Hashemi-Rafsanjani.

During his campaign, he strongly criticized the conservatives and promised social, political and cultural reforms for women. He also promised to create a Ministry of Women's Affairs to help address women's issues.

"Rouhani now has the ability to shift the socio-political and cultural landscape of Iran from the old didactic and heavily militant ambiance into a liberal and reformist society that allows change and reform for everyone, especially women," Haghighatjoo said.

"I just wanted a reformist, someone different, someone who is not a lunatic conservative," a 25-year-old university student, Roshanak, told CNN via Facebook. Roshanak lives in Tehran and asked that her surname not be used. "You should have seen the city today [June 15], for the past eight years you could smell oppression everywhere; but today, there was liberty, a small sense of freedom, people were genuinely smiling and loud music was no longer banned, you could feel that people were starting to believe again," she said.

But with the Iranian election fading away in the real world, Mahmoudi and the campaign plan to use Zahra's virtual celebrity to continue to campaign against social and political inequalities for women; and call for democracy and reform in Iran -- an aspiration that this virtual character says she owes to the "children of Iran and those we lost like Neda, Mehdi, and Sohrab."

"Zahra exists for those of us that have nowhere else to turn, to give us a vote for what we believe in," said Mahmoudi.

@highlight

"Zahra" is a fictional character in an online graphic novel made after Iran's 2009 election

@highlight

Zahra's creators said she was aimed at showing support for democracy in Iran

@highlight

United4Iran promoted Zahra as a virtual candidate in this year's presidential elections

@highlight

The campaign said she received nearly 2,000 votes and 4,000 supporters on Facebook