(CNN) -- Health care reform should mean all Americans can get coverage while allowing doctors to heal patients instead of being bureaucrats, President Obama told the American Medical Association on Monday.

The AMA agrees with Obama on the need for health care reform but not how to go about it.

In a speech to the 158th annual meeting of the doctors' advocacy organization, Obama called an overhaul of the ailing health care system the most important issue for the nation's long-term economic stability.

He acknowledged the concerns of doctors that reforms could bring a government-heavy system that would dictate how patients get treated and how much physicians get paid. But he called such thinking wrong.

Obama urged all players -- doctors, patients, insurance companies, drug companies and the government -- to contribute to a workable system that would provide coverage for the 46 million uninsured Americans while reducing costs and increasing efficiency.

"You did not enter this profession to be bean-counters and paper-pushers," Obama said to a standing ovation at the conference in Chicago, Illinois. "You entered this profession to be healers, and that's what our health care system should let you be."

Obama has made health care reform a top priority of his young administration, and Congress will consider at least three proposals in coming weeks to address an issue that deeply divides Democrats and Republicans.  Watch Sen. John McCain discuss health care reform »

The AMA represents a powerful constituency of U.S. physicians, and its support is considered important in getting a bill through Congress. Dr. J. James Rohack, president-elect of the AMA, welcomed Obama's speech for acknowledging the challenges facing doctors, including excessive bureaucracy, the threat of malpractice lawsuits and medical students' debt burdens.

The president's 50-minute speech detailed the problems of the U.S. health care system and presented his plans for confronting them.

He blamed some of the spiraling costs on a reimbursement system that he said pays for the number of tests and services provided, regardless of what is needed.

"It is a model that rewards the quantity of care rather than the quality of care; that pushes you, the doctor, to see more and more patients even if you can't spend much time with each; and gives you every incentive to order that extra MRI or EKG, even if it's not truly necessary," Obama said. "It is a model that has taken the pursuit of medicine from a profession -- a calling -- to a business."

He also cited unnecessary tests and procedures as part of a "defensive" medicine culture created in part by the risk of medical malpractice lawsuits. To loud applause, he said ending unnecessary procedures could require restrictions on malpractice liability to protect doctors.

"I'm not advocating caps on malpractice awards, which I personally believe can be unfair to people who've been wrongfully harmed, but I do think we need to explore a range of ideas about how to put patient safety first, how to let doctors focus on practicing medicine, how to encourage broader use of evidence-based guidelines," Obama said.  Watch the Health and Human Services chief talk about the administration's plan »

Rohack called for a "safe harbor" for doctors to determine treatment, warning that "unless we have protection in a courtroom for not ordering a test, we're going to order that additional test."

Obama's speech advocated an end to health care insurance providers denying coverage for pre-existing conditions, with an emotional reference to his mother's battle against cancer amid concerns of whether her treatment would be covered.

"Changing the current approach to pre-existing conditions is the least we can do -- for my mother and every other mother, father, son and daughter who has suffered under this practice, who've been paying premiums and don't get care," he said to another ovation.

Any health care bill must include measures to modernize record-keeping with an electronic system that reduces paperwork and increases efficiency, and to emphasize preventive treatment to reduce overall illness and chronic conditions that sap the health care system, Obama said.

He defended his call for a government-funded health insurance option for people who are uninsured or cannot afford full coverage. Obama repeated a promise that reforms will not require anyone to change from existing coverage but said an overhaul should include mandates for individuals to obtain coverage or employers to provide it.

A proposal from Sen. Edward Kennedy, D-Massachusetts, a longtime health care reform proponent, includes a public option as one choice for consumers. Republican leaders adamantly oppose any public option, complaining it would lead to an eventual government takeover of health care similar to the cradle-to-grave coverage in Canada and England.

Kennedy's health-care bill would cost $1 trillion over a decade and reduce the number of uninsured by about 16 million, according to a preliminary analysis released Monday on the the unfinished bill.

The nonpartisan Congressional Budget Office, which examined the unfinished bill with the the help of the Joint Committee on Taxation, said that the health-care bill would cost about $1 trillion over fiscal years 2010 to 2019.

The AMA acknowledges the need for reforms but opposes any public option plan that forces physicians to participate, expands the fiscally challenged Medicare program for senior citizens or pays Medicare rates.

Obama outlined a series of steps to lower current costs and raise taxes to pay for an overhaul of the health care system. His actions would realize almost $1 billion over the next 10 years in cost reductions, new revenue and other funding, which is roughly the amount that health care reforms would cost, the president said.

His plan includes reducing tax deductions for high-income Americans. Another funding idea under consideration is taxing the medical benefits of employer-provided health coverage, which the Obama administration opposes but has not ruled out entirely.  Watch more about who pays for health care »

A national survey released last week by Diageo/Hotline found that 68 percent of those questioned opposed taxing health insurance benefits to provide funding for the enormous cost of expanding health care coverage to all Americans.

Possible alternatives to a public health insurance option include private cooperatives, like electricity cooperatives, owned and paid for by communities that would compete with existing insurance programs.

Supporters say such a program would require initial government support, but eventually would provide the kind of competition Obama seeks without creating a new government bureaucracy.  Watch Rep. Ron Paul weigh in on health care reform »

Obama said Monday that the nation is ready to overhaul the health care system after decades of debate with no substantive action.

"What makes this moment different is that this time -- for the first time -- key stakeholders are aligning not against, but in favor of reform," he said. "They are coming together out of a recognition that while reform will take everyone in our health care community doing their part, ultimately, everyone will benefit."

As Obama spoke to doctors in Chicago, Senate Republican leaders in Washington intensified their attacks on the proposals, with one predicting "momentum will inevitably slow" as Americans learn the details of the complicated overhaul.

Sen. Jon Kyl of Arizona, the No. 2 Republican in the Senate, also said it's "fairly unlikely" Republicans will back a Finance Committee bill that has been seen as the most likely measure in Congress to gain bipartisan support.

In speeches and press events on Capitol Hill, Republican leaders highlighted controversial aspects of the proposals that have drawn criticism from key doctor and hospital groups.

"Over the weekend, the administration proposed making cuts to Medicare as a way of deferring costs of a new government plan. That is exactly the wrong approach," Republican Leader Mitch McConnell of Kentucky said in speech on the Senate floor. "America's seniors expect Congress to stabilize Medicare so it continues to serve their needs, not drain its resources to pay for another even bigger government plan."

Kyl said Obama's proposals would lead to higher taxes, rationing of health care and too much government control of a sector that needs vibrant private sector involvement to thrive.

Kyl and McConnell introduced a bill Monday that would prevent the government from using comparative medical analysis to ration health care.

The stepped-up criticism came days before two Senate committees begin the process of formally passing their bills. While GOP support for the Obama reforms has never been strong, Democrats have been negotiating with Republicans for months in hopes of bringing some on board.

CNN's Paul Steinhauser and Ted Barrett contributed to this report.

@highlight

NEW: AMA official welcomes speech, calls for malpractice protection for doctors

@highlight

President calls for insurers to stop denying coverage for pre-existing conditions

@highlight

He also wants modernized record-keeping, cut in paperwork, increased efficiency

@highlight

AMA agrees nation needs health care reform, is unsure about public option plan