(CNN) -- I glanced at the map display on my side of the passenger jet's instrument panel. A small blue circle within 100 miles of the magenta line that defined our course identified the airport in Gander, Newfoundland. This would be our best alternate if our medical problem became an emergency.

We were just shy of two hours into our flight from JFK to London when the flight attendant call chime sounded and I picked up the intercom handset. A woman in business class had fainted and was vomiting. A retired physician was attending. The flight attendant promised to keep me updated.

With the handset still to my ear, I contemplated the situation and asked, "Has anyone determined whether the woman has a fever?"

Silence.

"Uh -- crap. No. Good question," the flight attendant said.

A couple of months ago this would have been a matter of deciding whether we needed a diversionary landing. But this trip was flown just last weekend, and at a time of rampant Ebola paranoia. Fortunately, the story had a happy ending for all concerned. The woman had apparently overmedicated herself before the flight, and had mostly recovered by the time we parked at our arrival gate at Heathrow Airport.

Even so, I conveyed the details to our dispatcher while en route, and every step we took was cautious. Paramedics met the aircraft. Passengers were not allowed to deplane until a determination was made as to the status of the ill passenger. Our flight attendants, exhibiting their professionalism, followed the appropriate medical protocols, accessing the in-flight medical kit, and our "Grab and Go" kit, which contains items such as latex gloves and clothing to protect responders from contagious bodily fluids.

A recent article in The New York Times detailed how Ebola paranoia has indeed permeated the cockpit. Apparently, few pilots are willing to fly Ebola patients out of the hot zones for treatment; one director of an air ambulance service said he knew of only two such pilots in all of Europe. These pilots work for air ambulance or med-evac companies, flying mostly corporate-type jets. Compared with an airliner, these airplanes have more confined cabins and cockpits.

I get it.

Pilots are a skeptical bunch. When there is room for doubt, we don't necessarily believe the information provided by, say, health officials on subject matters outside our field of expertise. We deal in a world of black and white, where training prepares one to handle contingencies. Our personalities lean toward the control freak side of the scale.

Controlling an engine fire is a systematic procedure practiced on almost every recurrent training cycle. Controlling a deadly disease is out of our realm and out of our comfort zone.

But pilots are also reasonable. If someone wants us to fly Ebola patients, education and training first would be paramount. Credibility is important: Involve a respected medical professional in the education process and you will have a pilot's attention. Be honest about the risk for cockpit crews, especially if they will have frequent contact with symptomatic patients.

A pilot procedure for the transportation of Ebola patients has to be determined right down to the movements and position of the crew, from takeoff to landing. Should crews be required to wear protective clothing? Masks? Goggles? Be doused with chlorine? Remain quarantined for 21 days after each evac trip?

Once the standard procedure has been established, then contingencies need to be considered in the event of an in-flight emergency, whether it be mechanical or with the ill patient. In other words, give pilots a checklist to follow -- they are a pilot's bible. They don't cover every circumstance, but they provide a structured guideline.

And finally, the air ambulance companies that contract to provide Ebola patient transportation need to compensate their pilots appropriately for the risk. More importantly, it must be mandatory to provide medical treatment if the worst occurs and Ebola infects an employee. The company must accept both the medical and financial responsibility.

Regardless, air transportation employees, flying for hours in a cylinder with an infectious patient, are at risk more than the general public. Until more is understood about the source and initial containment of this dangerous disease, most likely my air ambulance colleagues will maintain their apprehensions, and just say "no."

As for U.S. airlines, the procedures in dealing with the Ebola risk are left to the individual carrier, and the Centers for Disease Control has provided guidance via a linked website.

It's more or less common sense, with most of the information educational for managing a potentially infected passenger once airborne. The website also covers the legality of denying boarding to passengers with serious contagious diseases: "U.S. Department of Transportation rule permits airlines to deny boarding to air travelers with serious contagious diseases that could spread during flight, including travelers with possible Ebola symptoms."

Of course airline personnel would need to know about such an affliction before they could deny a passenger boarding.

It's a life and death detail, and one that has been -- and will continue to be -- a deal-breaker for most pilots during a time of Ebola.

But for the crews involved directly with Ebola patient transportation, it is still pilots beware.

@highlight

Les Abend: With ill passenger on recent flight, learning if there was fever was key in Ebola times

@highlight

There wasn't, but it illustrates fears of pilots; only a handful agree to transport Ebola patients

@highlight

Pilots need prep, checklists. Controlling deadly disease out of comfort zone, he says

@highlight

Abend: Airlines must compensate for such risk -- but pilots likely to balk anyway