(CNN) -- Schoolchildren in Syria remain in the line of fire of the country's civil war, where shells and bombs deliver death and trauma into classrooms, UNESCO lamented Friday on World Teacher's Day.

Many pupils and teachers dare not attend lessons, opting to take cover or flee with their families, leaving schools deserted. But the violence is forcing some classes literally underground, into caves.

In the town of Jabal Zawiya, in the embattled Idlib province, the shrieks and laughter of children scurrying from class to class, while teachers rein them in with firm, gentle admonishments, have died out from the hallway of a large school, leaving it completely empty, with the exception of an arid pile of concrete rubble that fell when a shell blasted through the ceiling.

Even with its battle scars, the school in Jabal Zawiya -- compared with Internet videos of damage done to other schools -- makes an almost intact impression.

Video: Syrian rebels say they will kill Iranian hostages

But war has made the school too unsafe for children, explains local activist Abu Diyaa in a social media video posted Thursday to YouTube.

"Here we are during the school hours, and there is not a single student here," he says in the taut tone and gestures of a citizen turned journalist, as the wind lashes over his microphone.

"We were surprised that the school was hit by the regime shelling from jet fighters," he says, pointing to the gaping hole in the ceiling.

Jabal Zawiya is a target of the indiscriminate bombing of civilians, according to Amnesty International, which investigated the town.

"Battlefield weapons and munitions -- unguided bombs dropped from the air and imprecise artillery shells and mortars, which have a wide impact radius and cannot be aimed at specific targets -- are now being used daily against residential areas, significantly increasing the number of civilian casualties," Amnesty said in a report on Jabal Zawiya in September.

The Syrian children share a similar fate with students in conflict regions around the world, according to UNESCO.

Read more: Who is arming the Syrian conflict?

"There are millions of teachers and children who are killed (globally) because of being in the classroom itself," says Pauline Rose, director of an independent annual report on education published by UNESCO.

This year's report focused on education in regions beset with the violence.

As Abu Diyaa steps inside a classroom, the camera reveals rows of empty desks. His voice echoes loudly off of desolate walls, as he walks viewers through the school, which has become a deadly trap.

Read more: U.N. still has no plan for Syria

"Not a single soul in this classroom; everyone left because they fear the random shelling and the attacks," he says.

The Syrian government has justified military operations at schools in state media reports, stating that rebels have used them as bomb-making factories and weapons caches.

CNN cannot confirm the authenticity of events depicted in social media because of restrictions on journalists by the Syrian government and life-threatening dangers involved with reporting from inside the country.

But the Syrian government confirmed in September to the United Nations Office at Geneva that more than 2,000 of the country's 22,000 schools had been damaged or destroyed.

Abu Diyaa traipses silently back out into the open-air hallway, gazing down at the rubble crunching under his shoes, then the video abruptly cuts to another scene.

iReport: Turbulence in the Middle East

The activist leads the camera into a dark, gray room, but his report has a happy ending, because the community and the school's teachers have not given up on their children, their future or their education.

"One thing that we found ... was that even in these conflict-ridden countries, there is a real desire for education," Rose says. "It's a very flexible approach, but they really want education to continue for their children."

Jabal Zawiya's school and its children have gone into hiding -- in a cave in the countryside outside of town, not out of the ordinary in wartime Syria, says Amnesty.

"Some towns and villages have been virtually emptied of their residents, many of whom are now camping out in the surrounding countryside or hiding in caves."

Reminiscent of the stone schoolhouse in a Flintstones comic, the cave's interior is hewn by human hands into cubed-shaped real rooms. Spotlights shine down onto the children and glare into the camera.

The cave school is in Kansafra, a small village near Jabal Zawiya, in a region known for its picturesque nature, flowing green fields and groves of olives, cherries and grapes -- none of it visible from the cavern classroom, which has no windows.

Citizen reporter Abu Diyaa is again planted in front of the camera, but now, from behind hm, the lively voices of schoolchildren, raising their hands, eager to answer questions, drone into his microphone. They are calling out to a teacher, who is animating them to learn.

The male instructor introduces Abu Diyaa to the group of first- through fourth-graders, who greet him graciously with a round of applause.

"So, why here?" Abu Diyaa asks. The teacher, who does not give his name, replies: "We want to keep educating our children, but in the city, there is always this imminent danger that the regime choppers or planes will bomb us or drop the TNT barrels."

Most of Jabal Zawiya's residents have fled with their children, he says. "We are teaching whoever is left behind."

In spite of the hope that the cave's stone walls and the remote location offer real protection, it is still dangerous for the children to go to and from school, the teacher says. He groans about the lack of supplies, the small blackboard and the dim lighting.

Read more: Thousands displaced as Syrian authorities demolish Hama neighborhood

Students behind him hold flashlights to help brighten the room.

"There is suffering, but thank God, we are moving on," he says. He is happy for what progress he can make with the students.

Children in conflict situations "need a classroom, where they feel safe," Rose says. "They need a teacher who understands their psychological needs as well as their learning needs."

The teacher calls on a student seated on the floor to stand up and talk to Abu Diyaa, who asks him what he would like to tell President Bashar al-Assad's government.

"We want them to leave us alone; enough killing and destruction; we've had it," the boy says. "We can't get close to our schools."

The interviewer follows up with a question: "What do you want to be when you grow up?"

"A doctor," answers the boy.

Read more: Turkey and Syria: Why neither side wants war

Read more: Syria's internally displaced languish in squalor at Turkish border

"The children want to be able to learn," Rose insists, especially during upheaval. "Those who were in school really had a desire to learn, and schooling gave them a sense of feeling normal."

Rose says aid organizations should boost education in their programs. "Only 2% of humanitarian aid is spent on education," she says in a disappointed tone. She also wants to see the perpetrators of violence at schools brought to justice and their misdeeds publicized.

In the Syrian cave, the teacher steers his class away from the camera and back to schoolwork. "OK, let's recite what you learned today one more time," he calls out.

Abu Diyaa gets out of his way then strikes up a conversation with a female teacher in the next room.

The activist asks her to deliver a message to the government.

"We will be victorious," the teacher proclaims, "and we will raise our children to be the teachers, the doctors and the engineers of tomorrow's Syria."

Ben Brumfield and Saad Abedine reported from Atlanta.

@highlight

Attacks on schools in Syria drive children and teachers into caves

@highlight

UNESCO study: Millions of students and teachers globally die in classrooms in war

@highlight

Expert says schooling children should be a vital part of humanitarian aid

@highlight

Friday is UNESCO World Teachers' Day