(CNN) -- It is the question that has followed Usain Bolt for the past four years, the answer to which will not truly be known until the final for the men's 100 meters sprint in London has been done and dusted.

Just how fast could he have run on that night in Beijing?

It seems a crazy thing to ask. After all, the Jamaican smashed the world record with a time of 9.69 seconds, winning gold and saving the Olympics' marquee sport from itself after successive drug scandals.

And he has run faster since, setting a new record a year later at the World Championships with a time of 9.58 seconds.

More: Artist turns Usain Bolt into street hero

But Beijing was much more than a world record. It was the manner of his victory that catapulted him into the kind of international fame not seen in track and field since the U.S. Olympic legend Carl Lewis.

Not only did he blow the rest of the field away, he cantered across the line with 20 meters to go, chest turned to the cameras, arms wide open.

A new hero

Other athletes past and present, not to mention the International Olympic Committee president, derided his showmanship. But the public had made their mind up. They had a new hero.

"My one aim was just to be a champion. That is what I came here to do," Bolt, then 21, said after the race.

"I told you I was going to be number one and I did just that ... It was crazy, phenomenal."

Ever since he has rightly been heralded as the greatest sprinter of all time. But the celebration and the criticism left that one question hanging in the air. Just how fast could he have run? The press, coaches and fellow athletes all speculated. The trainer credited with Bolt's rise, Glen Mills, suggested that he could have run under 9.6 seconds.

Academia even got involved. The University of Oslo's Institute of Theoretical Astrophysics, which deemed the issue of such importance that it dedicated some of the finest minds on the planet to the quandary, predicted that he would have run 9.55 seconds.

Now all the talk is of this Sunday's 100m final at London 2012.

Is 9.4 possible?

Bolt could become the first sprinter since Carl Lewis to defend an Olympic 100m title. But no one is talking about 9.69, 9.58 or 9.55. Now Bolt is looking at breaking the record again and seeing if the human body can be pushed further, through the 9.4 second barrier.

"Everyone has been talking about 9.4 all season," Bolt explained in an interview with CNN in July, when asked whether he could run that time at London 2012.

"If it's possible I am the one."

One study by Dutch mathematicians at Tilburg University concluded that, theoretically, Bolt's dream could be realized.

"According to our results this is achievable," the co-author of the report Sander Smeets said in an interview with AFP.

"The absolute limit for a world record at the moment is 9.36 seconds," he added.

The theory, along with Bolt's rhetoric, sounds fine.

But the reality is that Bolt comes into the Olympics having struggled with injuries this season and seen a genuine threat to his title emerge in the shape of training partner Yohan Blake.

"He [Bolt] has had some problems this year," 200m Olympic champion Michael Johnson told CNN's Piers Morgan this month.

"But he can still run two tenths (of a second) quicker than anyone else... he doesn't need to be 100 per cent."

Winning would be enough of an achievement, one that would bookend and incredible four years since his record run in Beijing. That run transformed Usain Bolt's life.

He is now mobbed wherever he goes, adorns billboards from Tokyo to Mexico City and has written his first autobiography. As former Olympic gold medalist Linford Christie remarked during a recent interview with Bolt for CNN, the Jamaican is the most famous athlete, not just in the world, but of all time.

Where it began

Bolt's journey began, like many other world record sprinters, in the Jamaican district of Trelawny where other greats such as current Olympic women's 200m champion Veronica Campbell-Brown also have roots. Although he was Canadian, Ben Johnson was also born here.

It is an area famed for breeding sprint stars thanks largely to a fiercely contested four-day race championships where crowds of up to 30,000 fill the national stadium in Kingston. Over a million people watch the young sprint hopefuls live on TV for what is often the springboard towards the Olympics.

"I feel we push our young athletes," Bolt told CNN when asked why Jamaica produces so much sprinting talent earlier this year.

"There is this thing called the Boys and Girls Championships in Jamaica, which showcases the talent. The level of competition is really high because it pushes you every day to be the best in your event, in your class."

Bolt came on to the sprint world's radar at the 2003 Boys and Girls Championship when, at just 16, he posted times in the 200 and 400m good enough for the Olympic finals in Sydney three years earlier.

Going pro

He went pro a year later but his failure in the 200m at the Athens Olympics helped him to recalibrate his life and focus on his training. Coach Mills eventually allowed Bolt to run the 100m too, a discipline seen as too difficult for a man the size of Bolt (he is six foot three inches tall) to excel in. It was a path that would take him to his coronation in Beijing, where he also won gold in the 200m and 4x100m relay in world record times.

Yet four years on and the task of becoming only the second man -- after Lewis -- to retain the 100m Olympic title has become far harder than many people thought it would be.

Many expected Bolt to dominate the games for years to come. But the emergence of his compatriot Blake -- who beat Bolt in both the 100 and 200m at the Jamaican Olympic trials this year -- has added the one ingredient needed in any classic final: a genuine rival that could prevent him from equaling Lewis's record.

"We're training partners so we're really close," Bolt says of Blake, who won the 2011 world 100m title after his compatriot's false start in the final.

"We laugh even when we're warming up. We're cool but as soon we're getting on the track line up it's a different story."

In 1988 Lewis had his own fierce rival from Trelawny: Johnson. Lewis famously came second in the Seoul final and only became the first man to win back-to-back Olympic 100m titles by default after Johnson failed a drugs test. Lewis was handed the medal in his hotel.

A rival to Lewis

Lewis is sceptical that Bolt could match his achievement.

"Carl Lewis is totally preoccupied by Bolt and sees him not as a successor but as a rival to his legacy," says author Richard Moore, who recently wrote a book about the 1988 final called "The Dirtiest Race in History."

"When I asked him about Bolt he said, 'It will be really tough for him, no one has defended an Olympic title before.' Moore pointed out to him that he had, technically, defended his 100m title at Seoul and Lewis corrected himself: 'I said no one else BUT ME!'"

Bolt and Blake have none of the enmity that Lewis and Johnson had, but if Bolt can defend his Beijing title then it would surely stand above Lewis' achievements, simply because that second gold medal in Seoul was won in such unprecedented circumstances.

"There's no way to describe it. For me it is amazing to think that I am faster than everybody," Bolt said when asked how it feels to be the fastest man in the world.

The worry for Bolt is that Blake isn't his only rival.

U.S. sprinter Tyson Gay has run the second fastest time ever. The 2004 Olympic champion Justin Gatlin, also from the U.S., is returning after a doping ban while fellow Jamaican Asafa Powell once held the world record himself. Anyone of them could snatch gold if Bolt's injury problems are worse than his bravado suggests.

That tongue in cheek bravado might have helped make Bolt such a star; but the Jamaican is not afraid to show a more serious side when he talks about the sprint challenge ahead.

"All I can say," Bolt told CNN last month, "(is) Yo, let's go if you want a piece of me."

Four years later, under the intense pressure only an Olympic 100m final can bring, we may finally know how fast Bolt really can run.

The stage is set for for the most eagerly awaited track event at an Olympics. And no one, even given the talk of injuries, should discount that come Sunday, the world would have witnessed the fastest race in history too.

@highlight

Usain Bolt could make history during this weekend's 100m final

@highlight

He'd match Carl Lewis' record of back-to-back 100m titles

@highlight

But he has friend Yohan Blake hot on his heels

@highlight

Could either one of them break the 9.4s barrier?