(Health.com) -- Parents who are concerned about drinking and other risky behavior often try to steer their teenage children away from friends and dating partners whom they consider "bad influences."

Those parents may want to look one step further: A new study suggests that teenagers with a new boyfriend or girlfriend tend to be more influenced by the drinking habits of their romantic partner's friends than they are by the partners themselves.

Why? Dating introduces adolescents to new and different social networks and also creates a kind of indirect peer pressure, says lead researcher Derek Kreager, Ph.D., an associate professor of crime, law, and justice at Pennsylvania State University, in University Park.

Health.com: Top 10 myths about safe sex and sexual health

A teen's longtime friends tend to be like-minded when it comes to values and lifestyle, but romantic partners are more likely to come from a different circle.

"Think of your son or daughter's new significant other as a bridge to a whole other group that he or she is now going to be exposed to," Kreager says.

When teenagers begin dating, they tend to meet in the middle when it comes to habits like drinking. If a teen girl who has yet to experiment with alcohol starts dating a boy who drinks often, for instance, the boy is likely to cut back while the girl is likely to give drinking a try.

"He has an incentive to change, to be more like her," Kreager explains. "On the other hand, his friends don't really have any reason to change, so they continue drinking. Meanwhile, she has incentive to be like those friends, because that's what appeals to her partner."

Health.com: Sneaky ways to just say no to alcohol

It's no surprise that social networks have a strong influence on personal health. Several studies from a research team based at Harvard University and the University of California, San Diego. have documented how family and friends can "spread" obesity, drinking, smoking, and even happiness.

These social patterns may be even more important among teenagers, says Angela Diaz, M.D., program and research director of the adolescent health center at the Mount Sinai Medical Center, in New York.

"It's during adolescence that kids start exploring adult behavior and adult roles, and looking for acceptance and respect," she says. "And throughout high school, a child's peer groups will change dramatically based on the new behaviors they pick up and the new people they encounter."

Health.com: Family, friends are big influence on drinking

In the study, which was published in the American Sociological Review, Kreager and his colleagues analyzed questionnaires from 898 students that were collected as part of a larger national survey on adolescent health.

When the students were in seventh through twelfth grade, researchers interviewed the kids about drinking and binge drinking (among other health-related behaviors), and also asked them to name several of their close friends at school, many of whom were also study participants.

In a follow-up interview two years later, the same students answered similar questions and were also asked to name special romantic partners from the past 18 months. By identifying pairs of students who became a couple and comparing their survey responses, the researchers were able to see how the teens' social networks and drinking habits changed over time.

Health.com: Binge drinking may harm learning, memory

They found that younger teenagers tend to socialize with friends of the same gender, and that being involved in romantic relationships often introduces them to mixed-gender peer groups. And while friends and significant others both influenced the future drinking habits of the study participants, it was the second-degree friends of partners that had the strongest influence on drinking frequency and binge drinking.

The findings may not be news to parents, Kreager says. But they do emphasize the need to learn more about the group of people their children's romantic partners -- and therefore their children -- may be spending time with.

Parents should talk with their children about peer pressure and alcohol abuse even before they begin dating, says Diaz, so that as teenagers they can recognize potential hazards in new social situations. They should also make an effort to get to know a new romantic partner in their teen's life, as well as that partner's friends.

Health.com: 8 reasons to make time for family dinner

"Invite them to your home, just as you would with your own son's or daughter's friends" she says. "Create an environment where they are comfortable and where you can learn their values."

It's also important to remember that dating is not necessarily a bad thing, Kreager says. Adolescents can also be swayed in a positive direction by peer groups who drink less than they do -- especially boys, who, according to the study, were more likely to binge drink, and who may be more susceptible to a significant other's influences.

Copyright Health Magazine 2011

@highlight

Study says teens will be influenced more by new partner's friends' habits

@highlight

Family and friends can "spread" obesity, drinking, smoking, and even happiness

@highlight

Results emphasize need to learn more about people your teen hangs out with