A crying mother cradles and moves her dead baby to the floor, yelling out, "My child, my child." Outside, another woman shakes and gestures in a fit of absolute grief as she piercingly screams, "Pray to God and his prophet sister."

Both women had brought their children to a clinic in a rebel-held part of northwestern Syria, hoping to help save their lives. Instead, at least 15 children -- all under the age of 2 -- died after receiving measles vaccinations through a U.N.-sponsored program. As many as 50 other children got sick after what a U.N. report described as a "bungled immunization."

So how did it happen?

Syria's foreign ministry blames "this catastrophe (on) leaders of the armed terrorist organizations" -- a term President Bashar al-Assad's government uses for rebel groups -- "and their supporters ... the Turkish authorities," according to a report from the state-run Syrian Arab News Agency (SANA).

In a joint statement, the World Health Organization and UNICEF said Wednesday that the groups' vaccination program in Idlib and Deir Ezzor provinces has been halted as a team of experts try to get to the bottom of the situation. A spokesman for the WHO, the public health arm of the United Nations, said a preliminary investigation suggests the deaths can be attributed not to a criminal act but simple human error.

The WHO spokesman, Christian Lindmeier, said early reports suggest medics may have accidentally mixed a high-dose muscle relaxant into the vaccine powder instead of the designated serum.

"Apparently, in the same fridge ... where the vaccines were stored, there was also a muscle relaxant," Lindmeier explained Thursday to CNN, adding the vaccine itself likely wasn't contaminated. "The muscle relaxant vial looks like the same vial as the vaccine."

This explanation may not do much right now to blunt the agony and anger of those who saw children die this week in Syria's Idlib province. Some distressed parents and local authorities have demanded not only an investigation, but that the medical personnel involved be put on trial, according to Mohamad Alkanash, an anti-Assad activist in the town of Jarjanaz.

The Syrian government sent letters to the United Nations describing the incident as "an ugly crime" and claiming the children were given "rotten, spoiled and poisoned vaccines," SANA reported. Notably, the vaccinations were administered in areas that the Damascus-based central government doesn't control, and therefore may not have direct knowledge of.

And therein lies a larger issue: Syria's years-long civil war has caused number of humanitarian crises, including related to the spread of infectious diseases -- including ones, like measles, that can be tackled through immunizations. There's widespread violence and very little functioning government in some areas, leaving people young and old at risk.

In December 2012, the WHO and UNICEF announced they would work with Syria's health ministry to distribute at least 1.5 million doses of measles vaccine in government-controlled areas.

Still, hundreds of thousands of others are in areas not controlled by al-Assad's government. Doctors Without Borders, also known as Medicins San Frontieres, noted in June 2013 that at least 7,000 people had been infected in a measles epidemic in northern Syria. This is why U.N. organizations stepped in, hoping to address a dire need through vaccinations.

Yet no one imagined the scenes that unfolded this week in Jarjanaz.

Ali Abouel Majd, another anti-Assad activist, described one child dying in front of him.

"The child slowly ran out of breath before my eyes," Majd recalled. "Doctors rushed to save some (children) and placed oxygen masks on their faces."

While the vaccination program may be stopped for now, that doesn't mean it won't someday resume.

Lindmeier, the WHO spokesman, said that there are "strong guidelines" in place to avoid a situation like this one, "but we cannot avoid 100% of human error."

"The major challenge," Lindmeier said, "is to make sure this campaign can continue safely."

@highlight

U.N.: Children die, at least 50 sickened after "bungled immunization" in northern Syria

@highlight

The measles immunizations were part of a U.N.-sponsored campaign in rebel-held areas

@highlight

WHO spokesman: Early reports suggests human error was to blame

@highlight

Syria's government calls the incident an "ugly crime," blames "terrorist organizations"