Beijing (CNN)If you live in China and haven't watched -- or at least heard about -- "Under the Dome," you must have been living under a rock.

The almost two-hour documentary on air pollution in China produced by a famous TV journalist has quickly gone viral since its online release Saturday, clocking millions of views on various video sites and stirring ferocious debates across Chinese cyberspace.

The air pollution that's choking Asia

Here are five things to know to put the phenomenon in context:

The slickly produced video shows journalist Chai Jing presenting a comprehensive slide show, intercutting with fast-paced footage of her travels across China and the rest of world, to find answers to three questions: What is smog, where does it come from and what can be done to tackle it?

As shocking levels of air pollution continue to choke much of China regularly, the video has struck such a chord with the audience that, in two short days, it's easily attracted over 100 million views -- a hugely impressive number even in the world's most populous nation.

Many Internet users have compared it to "An Inconvenient Truth," the Oscar-winning documentary on former U.S. Vice President Al Gore's effort to raise awareness on the dangers of global warming.

Chai, 39, was already a household name before last weekend thanks to her career at China Central Television, the state-run national broadcaster.

As a long-time CCTV anchor and investigative reporter, Chai stood out from her peers by covering sensitive topics -- ranging from the environment to homosexuality -- in a country where many journalists at state media stay away from such potential landmines.

Her choice of stories and style of reporting -- calm but tenacious -- have earned her legions of fans nationwide -- with some nicknaming her "the Goddess" for her elegance and intelligence on air. Plenty of detractors, however, consider her a leading elitist voice for the country's liberal intellectuals.

After writing a best-selling autobiography chronicling her time at CCTV, Chai quit her job last year to take care of her daughter, who had been born with a tumor.

Declaring a personal war against smog as a worried mother, Chai tries to dig deep in her self-funded documentary. With her former CCTV connections opening doors, she followed and interviewed top environmental and energy officials and experts in China -- and received surprisingly candid responses.

While there is no obvious hero in the video, the villain seems to be clear.

A former chief engineer of the state-owned oil conglomerate Sinopec brushes off Chai's suggestion that his powerful industry -- which oversees pollution standards for itself and has rendered environmental authorities toothless -- should become more socially responsible.

Tracing the main source of tiny and dangerous pollutants in China to extremely inefficient energy exploration and use, Chai sees the solution in dismantling entrenched interests of the state energy sector -- and also appeals to the public for less reliance on cars and more proactive reporting of polluters.

Admiration from celebrity and ordinary viewers -- many said to be moved to tears -- poured in almost immediately. In countless reposts of the video links, people praise Chai for her courage to address the sensitive topic head on and spread the knowledge to the masses.

One text message of gratitude to Chai from the new minister of environmental protection -- who had been appointed only a day earlier -- has fueled suspicion among her critics that the video was nothing more than a government PR move.

They point to the positive coverage of the video's massive online launch across state media, including an in-depth interview with Chai on the website of People's Daily, the ruling Communist Party's official newspaper.

Also, the timing: The video was released just days ahead of China's annual parliament session, during which legislators are expected to rubber-stamp the Communist leadership's policy agenda. President Xi Jinping had declared keeping the sky blue in the country as a top priority.

Some argue that the energy industry makes a convenient political target, as Xi's ongoing anti-corruption campaign had netted a former senior leader whose power bases included the state oil sector.

Others even see the video as propaganda to prepare people for mass layoffs in overbuilt and inefficient state industries as the government restructures the economy.

Questions have also arisen on the science in the video -- including Chai's apparent linking smog to her baby daughter's tumor.

And the cacophony surrounding it seems to have caught even China's seasoned censors off guard. Heated arguments have raged online, including blaming pollution on China's political system due to its lack of accountability.

By late Sunday night, although the video remained online, all mention of it had been scrubbed from homepages of web portals and news sites.

With discussions on the video shifting to social media, a common consensus seems to have emerged: Love it or hate it, Chai's documentary has stirred an important debate in a country where authorities censored air pollution data from the U.S. embassy as recently as November.

Some internet users have compared "Under the Dome" phenomena to the discussion over "the dress"— you can fight over the color but what's important is that it's being talked about.

@highlight

Two-hour documentary on China's air pollution goes viral

@highlight

Documentary shot by former TV anchor after birth of child

@highlight

Film generated ferocious debate, took censors by surprise