Johannesburg, South Africa (CNN) -- Flicking through her photos on her living room couch, Julia Quinn recounts the array of plastic surgery procedures she has undergone.

"That is when I had my eye done again, a bump taken out of my nose," she says, looking at a photo of her severely swollen face.

There isn't much cosmetic surgery that this housewife from Surrey in the UK has not had done.

A few years ago, feeling unhappy about the lines around her eyes and mouth, she first dabbled in surgery. She opted for a private clinic in the UK, but after a bad experience there she started looking around for alternative places to get the work done. That's when she first discovered that South Africa offered the same procedures at a fraction of the cost, she says.

"You get a lot of good surgeons and dentists in South Africa," says Quinn. "It's like a holiday -- you are looked after, the weather is fine."

January is a good time to flee the UK's winter weather, so Quinn is heading back to Johannesburg for more work. This time it's a mini facelift and more liposuction. In total, she will have spent nearly $15,000 on surgery in South Africa. She says should would have spent a lot more if she had continued to be treated in the UK.

In a suburb in northern Johannesburg Lorraine Melvill is running around trying to organize hospital visits for her clients staying in her guest house. She started her business, "Surgeon and Safari," back in 2000 and since then she has had people from all over the world, including Quinn, come to her to facilitate their cosmetic procedures, and perhaps go on safari too.

See also: School boy's wildlife-tracking website helps safari tourists

"For most people in the first-world economies like the UK, and especially in America, their biggest desire is to go on African safari," she explains, "and yet their greatest want in their life was to have plastic surgery, so why not put the two together?"

Like most companies, however, Surgeon and Safari was hit by the global financial crisis, particularly as a number of Melvill's clients were borrowing money to afford their procedures.

She says: "When there was a greater volume of people coming through then it was people who were borrowing money, for example, or using their credit cards to pay for the plastic surgery. So they weren't necessarily as educated or as financially secure, they weren't the typical baby boomer.

"So when the economic recession came along, that was the first market that dropped away because, obviously, there was a credit crunch, so that's the first thing you stop spending your money on, something like plastic surgery."

However, whilst the United States and eurozone economies may have languished, Melvill says she has benefited from the growth of some African countries' economies.

"There is a huge emergence of local Africans that chose to come to South Africa for elective surgery, whether it be breast reduction, tummy tucks, lipo," she says.

"I would say one of the biggest countries is Zambia," she adds. "There is quite a big market coming out of Angola, Tanzania, Kenya, Ghana ... Their economies are growing and therefore their middle classes are growing and therefore the need increases."

See also: The New Hollywood? Cape Town takes on Tinseltown

Chetan Patel works at Johannesburg's private Mediclinic, in Sandton. In the three years that he has been a private cosmetic and reconstructive surgeon, he says that he has also seen an increase in clients flying in from parts of sub-Saharan Africa.

"Certainly we are seeing people from very high income groups," says Patel. "From a regional African point of view, countries such as Nigeria, Ghana, the DRC, all play an important role where socio-economic factors all dictate that there are more and more people who can afford this kind of surgery and so we are seeing a larger amount of those people coming certainly to Johannesburg for that kind of surgery."

See also: South Africa bids to become call center capital

These clients are very clear about what work they want done, says Patel. "For instance, they would come to me and say 'I would like Jennifer Lopez's butt' or 'I would like to look like Kim Kardashian,' and the obvious body features of those two individuals are curvaceous hips and thighs with an augmented or accentuated buttock.

"Other than that, I think more and more African women are conscious of what their lower bodies look like, so what their tummy looks like, so they would like tummy tuck procedures, for instance."

Cosmetic surgery isn't new to Africa -- after all, in 2005, the wife of the former Nigerian President Olusegun Obasanjo died after having liposuction in a Spanish clinic. But Patel says that from what he is seeing this is no longer just the preserve of the super rich or political elites.

"It is not a necessity it is a luxury, so I see the trend [in having plastic surgery in] the next five to 10 years increasing amongst people from the rest of Africa," he says.

For now, though, it's people like Quinn who are keeping Melvill and Patel busy; repeat customers are the norm in the area of elective surgeries, Melvill says.

But whilst Quinn will be having her surgery in South Africa, and will be recuperating in the sunshine, she has decided against going on safari.

In fact, Melvill says that these days most of her clients opt instead to spend the day on a different type of safari; they choose to visit the nearby designer shops.

@highlight

Many foreigners choose South Africa as plastic surgery destination

@highlight

Nigerians and Ghanians among growing numbers of Africans choosing cosmetic surgery

@highlight

"Surgeon and Safari" company, in Johannesburg, facilitates cosmetic procedures