New York (CNN) -- To the delight of fans back home in Tokyo, Hideki Matsui drove in six of the New York Yankees' seven runs in their World Series-winning victory Wednesday and became the first Japanese-born player to win a series Most Valuable Player award. For much of his career, Matsui was a star player for the Tokyo Giants.

Matsui's key role in the series highlights the close ties between American and Japanese baseball. Playing in the Yankees' new stadium, the successor to the "House that Ruth Built," Matsui's performance brought to mind the key role that Babe Ruth played in the development of professional baseball in Japan, according to Robert Fitts, author of several books on Japanese baseball.

Fitts became a student of Japanese baseball in 1993, when his wife, an attorney, was transferred to Japan. Fitts, then working on his Ph.D. in archaeology from Brown University, was looking for something to get him immersed in Japanese culture. He wrote to 30 of the greatest Japanese ballplayers and was surprised to hear back from nearly all of them, with some sending gifts.

He's the author of "Remembering Japanese Baseball: An Oral History of the Game" and of "Wally Yonamine," a biography of the first Japanese-American to play professional football and the first American to play professional baseball in Japan. "He was called the Jackie Robinson of Japan," Fitts said. Yonamine led the Japanese league in batting twice and won the MVP award as a center fielder for the Tokyo Giants.

CNN spoke with Fitts, who is based in New York, on Thursday.

CNN: What are your thoughts on Matsui's key role in the Yankees' victory?

Fitts: It's wonderful for Japanese baseball, of course. I would say that five years ago, maybe seven years ago, it would have been incredible, because people in America and in Japan weren't sure about the status of Japanese professional baseball. Many Americans and some in Japan thought that Japanese baseball wasn't as good as American baseball. ... Since then, Ichiro [Suzuki] came over, and he set numerous Major League Baseball records. ... And then Japan won both of the World Baseball Classics.

So Japan's baseball has already proven itself to be of high caliber. Most Americans, even if they don't know the history of Japanese baseball, recognize now that they play a very good game.

CNN: In Japan, how significant is baseball?

Fitts: It's the Japanese national sport. It's been so since the 1890s. Japan had no native team sports. In the 1870s. American and British teachers introduced team sports to Japan. Cricket was introduced, along with rugby and baseball. Baseball is the one that became the most popular.

In the 1890s, a Japanese high school team beat a team of American adults from the Yokohama Country Club. They beat them in three straight games. It took on national importance.

Japan, of course, was opened up to Westerners in the 1850s by Commodore Perry. The Western nations were far more advanced in technology, and Japan did a rapid modernization. By 1890, Japan felt it was ready to join modern nations as an equal, but the Western powers weren't ready to accept Japan.

CNN: How did the game develop after that?

Fitts: The biggest change came with two tours. The first was in 1931, an American all-star team whose big star was Lou Gehrig, and the bigger tour came in 1934. Both of these tours were sponsored by the Yomiuri newspaper.

In 1934, they brought over what at the time was considered the greatest baseball team ever. It included Babe Ruth, Lou Gehrig, Jimmie Foxx, Charlie Gehringer, Earl Averill, Lefty Gomez, Connie Mack was the manager, and we can't forget Mo Berg, the future spy [for the United States in World War II].

The '34 tour was significant for two reasons: The first is that relations between Japan and the U.S. were really rocky at that point. There was a very significant treaty, the naval treaty, which limited the size of the major powers' navies. For every five warships the U.S. and Britain could have, Japan was only allowed three. Japan found this quite insulting, even though they had agreed to it in the 1920s.

When the all-star team went over there, the Japanese people went crazy. Half a million people turned out on November 2 for a welcoming parade in Tokyo for the American baseball team. The tour really did create a great deal of goodwill.

However, that ended quickly. Within a month of the tour ending, Japan announced that it would not renew the naval treaty. Several months later, in February 1935, an ultranationalist group tried to assassinate the president of the Yomiuri newspaper because he brought over the American team. He was wounded very seriously but survived.

CNN: What was the importance of the tour for Japanese baseball?

Fitts: The Yomiuri newspaper used the enthusiasm generated by the tour to start their own professional league. The first team they created -- to play the American visitors -- was a Japanese all-star team called All-Nippon. After the tour, the All-Nippon team transformed into the Yomiuri [Tokyo] Giants.

CNN: What was Babe Ruth's role?

Fitts: Babe Ruth was credited as the man who helped start Japanese [professional] baseball. He was just Babe Ruth. He sold out every game. He had just been released by the Yankees prior to the tour. He hit over .300; he led the Americans and Japanese for most home runs.

CNN: How did Hideki Matsui become a baseball star in Japan?

Fitts: He was signed right after high school. He was the hero of the annual high school tournament. His rookie year was 1993 with the Yomiuri Giants. He spent much of '93 in the minors. By 1994, he became a true star, and he was the face of the team from '94 till he came over to the Yankees in 2003.

CNN: How did people feel about Matsui coming to the Yankees?

Fitts: The vast majority of people were very happy for him. There was no sense of betrayal except for the true Giants fans. This was very exciting news. I was there when it happened. This was a chance for Japan's most popular player to prove himself in the major leagues.

The Yankees are a special team in Japan just like they are in the U.S. They're probably the most popular American team in Japan.

When [Hideo] Nomo first came over in 1995, I found my Japanese friends only cared about how the Japanese players did. They were a fan of the Dodgers one day when Nomo pitched; they were a fan of the Angels when [Shigetoshi] Hasegawa pitched, but over time the Japanese fans became fans of different major league teams as they watched more major league baseball on TV.

CNN: What have been the differences between the American and Japanese games?

Fitts: There were real substantial differences from the 1940s even through the early 1990s. ... The Japanese would sacrifice bunt far more than the Americans (they still do but less than they used to). Players didn't go first to third on singles often. They would play line drives on hops rather than trying to make a shoestring catch and risk giving up more bases. It was a very conservative brand of baseball. Since the ties have become closer, Japan's baseball has become more aggressive, more exciting, in my opinion.

There are still differences. The Japanese really focus on practice and perfection of the technique. That's something American players can learn from, and I think it helps explain the success of Hideki Matsui and Ichiro. They're both dedicated players who practice many, many hours.

If you watch Matsui at the plate, he's a very disciplined hitter. His swing is very compact, very practiced, almost perfect. He rarely makes mental mistakes when he's playing the field or running the bases.

CNN: How do you think people view the fact that he's going to be a free agent and might not stay with the Yankees?

Fitts: I think the Japanese people would be very disappointed if he doesn't remain a Yankee ... and I think most New Yorkers would be very disappointed, too. He's an extremely classy player and a classy individual.

CNN: Were you rooting for the Yankees?

Fitts: I'm a Phillies fan. I grew up in Philadelphia. I'm in mourning this morning, but at least it was Matsui who did the damage.

@highlight

Japanese baseball book author says Babe Ruth sparked professional game in Japan

@highlight

Robert Fitts says 1934 tour by American all-stars led to first pro teams

@highlight

He says Yankees star Matsui is example for American ballplayers

@highlight

Fitts: Matsui's emphasis on perfecting and practicing technique leads to success