(CNN) -- Nearly 4,500 American soldiers lost and 32,000 wounded. A trillion dollars of borrowed money to remove Saddam Hussein and create an Iraq that would not only be safe from possessing weapons of mass destruction but also friendly toward the United States. These are the United States' heavy sacrifices in blood and treasure. One can be forgiven for expecting some Iraqi support for U.S. foreign policy aims in the region.

On Monday, the Iranian-backed prime minister of Iraq, Nuri al-Maliki, met with President Barack Obama at the White House to express his thanks for liberating Iraq from Hussein and discuss next steps. The frosty news conference afterward told us that all was not well. Tense, lacking in warmth and smiles and with public disagreement about Iraq's neighbor, Syria, the appearance did not reflect a productive meeting.

As the United States formally ends the almost nine-year war and nears the end of its troop withdrawal, there is still much at stake -- and it's not the relatively tiny Iraqi nation of 30 million people, but U.S. influence and foreign policy objectives in the region.

The Iraqi prime minister knows that his country, particularly his armed forces, is not yet ready to contain the probable outbreak of sectarian violence. And he wants U.S. financial expertise in developing Iraq's private sector. He made no secret of wanting greater U.S. assistance on both fronts. Iraq, under al-Maliki, is keen to receive U.S. help in countering terrorism and developing its economy. It seems perfectly legitimate, therefore, for the United States to express its own expectations from Iraq. But what is the Iraqi response?

First, ending, or more precisely, containing the Arab-Israeli conflict is a top priority of the U.S. in the Middle East. Iraq's support here would help bolster the U.S. position. Moreover, Iraq could financially help Palestinian activists committed to a two-state solution. But while Egypt, Jordan and Turkey recognize Israel, Iraq continues to refuse to do so.

Second, the U.S. and Turkey have, mistakenly in my view, called for Syria's president, Basher al-Assad, to resign. But Iraq has defied the United States and supported the Assad regime. When Hussein killed Iraqi Shias, al-Maliki and others called for U.S. support for removing the Iraqi dictator. But the same logic does not seem to apply for al-Maliki and Iraq today. Forced to choose between the U.S. line and Iran's support for Damascus, Iraq opted for aligning with the mullahs in Tehran.

Third, Iraq is seen as an outsider among Arab nations in the region today because of its political ties to Iran. Under Hussein, Iraq was a buffer against spreading Iran's religious and revolutionary fervor. U.S. attempts to isolate Iran and build regional support against Iran's nuclear weapons program are repeatedly scuppered by Iraq's failure to support such efforts, much less lead it. In contrast, Saudi Arabia (for different reasons) has been willing to support U.S. initiatives to prevent Iran from developing a nuclear warhead.

With U.S. military and political presence inside Iraq coming to an end and with the passage of time, Baghdad will become ever closer to Tehran. Those who argue that the large and well-resourced U.S. embassy in Iraq will ensure that Baghdad is kept in check fail to remember that Tehran, too, once had a powerful U.S. embassy. Unless political will in Iraq exists to align with the United States, U.S. civilian contractors and a large embassy, much like in Pakistan, cannot create allies.

Al-Maliki's comments at the White House, the trajectory of his government and the failure of the Obama administration to steer Iraq away from Iran raises these important questions for the United States:

What does Iran offer that the United States cannot? If after so much sacrifice, the United States cannot create an ally in Iraq, then is it realistic to expect that U.S. involvement in other nations (Syria, for example) will create U.S.-friendly regimes?

Most importantly, what is it about U.S. foreign policy aims that make them so toxic for Iraq? If U.S. foreign policy is so detached from the lived reality of the Arab world, is it time to reformulate policy so that they can be accepted by those for whom the United States sacrificed so much?

The opinions expressed in this commentary are solely those of Ed Husain.

@highlight

Ed Husain: U.S. spent vast blood and treasure on ousting Saddam Hussein, building Iraq ties

@highlight

He says when Nuri al-Maliki, Barack Obama met to formally end war, things were tense

@highlight

He says Iraq still wants U.S. help aid but avoids U.S. foreign policy aims, has ties to Iran

@highlight

Husain: If U.S. can't count on Iraq by now, how will it hold sway in other nations in region?