Whatever the outcome of Facebook's public offering of stock, the social network has already enriched  quite a few — as well as famously offered many hundreds of millions of people a new virtual social world.  Yet critics claim that Facebook is hastening the demise of privacy, which as the cliché goes, is already on life support.

Jeff Chester of the Center for Digital Democracy says that "Facebook has purposefully worked to erode the concept of privacy by disingenuously claiming users want to share all of their personal information."  Human Rights First CEO Elisa Massimino argues, "Facebook's privacy policies are prohibitively confusing, make it difficult for users to protect personal information, expose to disclosure information users believe is private, and are changed without adequate warning or consent from users."

Mark Zuckerberg has responded to such criticisms in two rather different ways. On the one hand he argued that privacy is an obsolete social norm,  echoing the (then) CEO of Sun Microsystems who stated, "You have zero privacy anyway. ... Get over it."  On the other hand, Facebook has improved its privacy settings, for example, by allowing users to "untag" themselves from previous posts  and giving them greater control over what information can be accessed by third-party apps.

From the viewpoint of privacy advocates such as New York Law School professor James Grimmelmann,  Simon Davies of the UK-based Privacy International,  Dany Nativel in France, and Malte Spitz in Germany,  privacy is already on its last legs.

Facebook merely adds to the major inroads made by the CCTV cameras that are ubiquitous in many cities around the globe, along with surveillance satellites, tracking devices, spy malware and, most recently, drones used not for killing terrorists but for scrutinizing spaces heretofore considered private, like our backyards.

Corporations keep detailed dossiers on what we purchase.  No wonder privacy advocates argue that we live in a surveillance society  and privacy "ended with Facebook."

Opinion: 'Facebook parenting' is destroying our children's privacy

Actually if you look beyond all these alarmed pronouncements, you will find that:

(a) Many of these devices are applied to public spaces, where it is unclear how much of a right to privacy we have in the first place. They do what a police officer does, only using technology instead. In free societies, in which this debate largely rages,  when the police do spy on someone's home, personal phone or car, the courts still generally hold that the authorities need a warrant — that is, they need to show a judge that they have reasonable evidence to assume the person has committed a crime. Under those conditions, privacy was not protected from the day the Constitution was written.

(b) Our communications are now much more secure from prying eyes and ears — that is, much more private — than they were before the cyberage. The main reason is that most of our sensitive online transactions — financial, medical, etc. — are encrypted, often automatically.  The default option for Gmail user accounts also encrypts communications between users' browsers and Google's servers.  The NSA is surely able to read encrypted communications, but few, if any, others can. Compare today's messaging to those that were made by letters (that could be readily steamed open and resealed), faxes and telegrams, and you see how much more private communications have become.

(c) These days, our information is routinely stored in computers and protected by passwords.  Those, especially when we are lazy (and use — as a surprising number of people do — 123456, abc123, or "password" ) or do not bother to reset them regularly, can be broken. However, most times they hold.  Compare this storage of information to what it was before the cyberage, when it was kept in paper files in drawers and locked offices, which often could be opened with a letter opener or even a credit card, not to mention a burglar's tools.

(d) Before 2000, the most intimate and private information, medical information, could be bought and sold. Health insurance companies could disclose information to employers,  corporations profited as clearinghouses of buyers and sellers of medical records,  and pharmaceutical companies used patient information to more successfully market prescription drugs to individuals.  In 2000, a new federal right to medical privacy was established in the United States. Those who share such information now, without proper authorization, can be tried as criminals.  No wonder now there are very few reports of violations of medical privacy.

Indeed, if you read closely the various alarmist articles about the death of privacy, you soon will note that many deal either with public spaces or with hypotheticals. They claim that police could abuse these tools, might use them to ill effect and so on.  The American Civil Liberties Union, for example, criticized the use of drones by law enforcement by arguing that such use "could eventually eliminate the privacy Americans have traditionally enjoyed in their movements and activities."

Facebook has been caught in the same crossfire between strong privacy advocates and the social benefits it generates for hundred of millions who use it to communicate with their families and friends, close and not so close. It improved its privacy settings, though it still takes a considerable amount of effort to set them at the specific level one prefers.

However, if Facebook users choose to ignore the risk to their privacy when they log in to this domain, which is known for its openness, their complaints must be taken with a grain of salt. The same holds for the argument that privacy in general is on its way out. It surely faces new challenges in the cyberage, but also unprecedented protections.

Follow @CNNOpinion on Twitter

@highlight

Critics say the rise of Facebook coincides with the death of privacy

@highlight

Amitai Etzioni says privacy is better protected now than in earlier eras

@highlight

He says documents are encrypted, and laws prohibit invading medical privacy

@highlight

Etzioni: Those who use Facebook should be aware of the privacy they're surrendering