When I was in my 20s, a girlfriend surprised me by saying that we didn't have to worry about overpopulation because technology would make sure we always had what everyone needed. Of course, economists have been saying this for decades.

And of course, billions of people today don't have what they need.

Because such people as my old girlfriend and economists presuppose that unlimited economic growth is necessary and also believe adding billions more humans to the world is desirable, I would like to share some thoughts about such thinkers, whom I'll call "Growthers."

Why do Growthers think we should add billions more humans to the world? Do they want more consumers? Or is it something deeper, more biblical, more fruitfully multiplied? All of the above? Whatever their impulse, compulsive craving for "no limits" to economic growth and human numbers is irrational. A finite planet comes with limits.

The United Nations expects the population to grow to about 9.6 billion people by mid-century; that's two more Chinas. That worries me. Yet in The Wall Street Journal on Saturday, April 26, Matt Ridley expressed these views when he reassured us, "There are no limits because we can invent new ways of doing more with less." He doesn't see that this very acknowledgment undermines his premise. If limits don't exist, why would we need to do more with less?

He continued: "Oil and gas ... will run out one day, but only in the sense that you will run out of Atlantic Ocean one day if you take a rowboat west out of a harbor in Ireland. Just as you are likely to stop rowing long before you bump into Newfoundland, so we may well find cheap substitutes for fossil fuels long before they run out."

Is it possible to think more incoherently about matters of such importance? And as a mariner I must point out -- if only for safety -- that a rowboat far in the open ocean is a frail and vulnerable craft.

Another big blind spot in the unlimited growth view is the fact that other species also need to live here with us. But other creatures pay for our growth. Meanwhile, populations of fishes, amphibians, mammals, reptiles and birds are all declining worldwide. Species are going extinct about 1,000 times faster than the natural rate -- in other words, the rate it would be if humans weren't around.

North America's pursuit of growth obliterated the tall prairies, exterminated the continent's most abundant birds and marginalized many mammals. An Africa of unlimited human growth will lose free-living elephants, apes and cats, natural landscapes and free-flowing rivers. It happens when farms and towns replace plains and forests.

Would farming Africa like we've farmed the Plains solve Africa's problems? Food isn't Africa's only problem.

Already, Ethiopia's planned dams threaten the nation's own people and Kenyans who rely on Lake Turkana for water and food. Competition and conflict always shadow the broad edges of humanity's tent, and a bigger tent tends to inflame tensions. Like all continents, Africa focused on growth would still have poverty, hunger and conflict. Better to focus on reducing poverty, hunger and conflict.

Growthers and I agree that it's great that farmers can grow more food on fewer acres than in the past. We disagree utterly on why it's great. Growing food with increasing efficiency could solve human hunger and the need to give space back to other animals who need it -- if humanity doesn't continue to grow.

But no-limits people want more food to feed more mouths. That keeps civilization on an endless Red Queen treadmill of running faster to stay in place. It means that more efficient food-growing accomplishes nothing. It means that more food will not end hunger.

The Green Revolution solved the food production problem of its time. It did not solve hunger because we did not achieve the family planning revolution needed with it. Had we stayed for the main event -- stabilizing population -- the whole world might have reached a wonderful sweet spot in nutrition, health and security. What we got was billions more people and, consequently, more people living with hunger and poverty.

More efficient technology and fewer people could help. But more people erase the benefits of technological efficiencies.

We are forced toward more efficiency precisely because we're scraping deeper into an emptying barrel. Petroleum once ran out onto the ground in Pennsylvania. People collected it; they didn't even have to drill. Hydraulic fracturing for shale gas wasn't considered viable a decade ago because it's difficult and expensive.

Economists and Growthers say, "Look, we haven't run out because technology saves us." Well, look, fracking is a symptom of hitting limits. Technology is forced to keep up with the pace at which we are running out. That you still have some checks left doesn't mean you're not going bankrupt.

Fracking is postponing the switch to clean energy while the planet warms and oceans acidify. Shouldn't we work now on what's needed next?

Digital tech saves us time. It doesn't save elephants and apes, lions and tigers, bears and eagles, salmon and rivers, orchids and forests, giraffes and pandas, coral reefs and turtles. Human growth dooms the animals we paint on nursery-room walls. Different kinds of growth -- more poor people versus more affluent people -- doom them differently.

Economists can feel enthused about boosting unlimited growth only if they're not worrying that our accomplishments continue to come at the expense of forests, grasslands, coral reefs, the ocean, other creatures, and native peoples.

And what are the accomplishments of growth? Has the doubling of world population in my lifetime caused the world to become  more peaceful and secure, kinder and more humane? Do we have computers and digital cameras and smartphones and Ibuprofen because there are billions more people than half a century ago? No. We have them because engineers improve technology over time, not because the population has doubled.

Quantity isn't the same as better.

Life improves with qualities such as health, safety, love, family, community, and compassion. More stuff, more crowding, more competition, more profiteering -- and let's be plain, profiteering is what economists' growth-mania is always about -- isn't what makes life worthwhile.

It's only fair to poor people to let them in on the main secret of wealthy, educated and successful people: smaller families mean larger lives. In the happiest of coincidences, the thing that brings fertility down fastest happens to be the same thing that brings down poverty: educating girls.

Illiterate women bear three times as many children as do literate women, and their children tend to stay poor. Meanwhile, each year of schooling raises women's earning power by 10% to 20%. And when people are a little better off, they desire fewer children. Gender and justice is always a good combination.

For any pie, the biggest slices get cut at the least-crowded tables. The easiest, least expensive and most efficient way to have a bigger slice of the pie is to limit the number of guests you invite.

Most of us know that the secret to a big life is a small family. It works on a global scale, too. If you love your children, humanity and the world, you want to take the best possible care of them, not crowd them out of the house.

Growth for the sake of growth? I don't see the point.

@highlight

Carl Safina: Some say innovations will solve problems of unlimited population growth

@highlight

U.N. expects world population to be 9.6 billion people by 2050; that's two more Chinas

@highlight

Safina: Billions more people mean more people living with hunger and poverty, conflict

@highlight

Safina: Unlimited growth also accelerates the extinction of animal species, environments