(CNN) -- Racism is headline news again.

This time, America's conversation on race is focused on whether Donald Sterling is a racist -- and on his apology.

But I'm not clear where we go with that conversation: It feels like a never-ending cycle of accusation and defense and less about long-lasting solutions.

After all, Sterling is invested in not being seen as a racist and saving his business. When a debate becomes about whether one person is racist, what are the rest of us supposed to do with that? If we want to have a more useful discussion on how to move beyond racism in America, there are more productive ways to do it.

First, we have to resist concluding that condemning racist slurs is all that is required to end discrimination.

Second, to achieve racial equity, we need to be able to do three things: talk explicitly about race; focus on the impact of policies and practices and the intentions behind them; and support power-building in marginalized communities.

Racism has evolved over the past 50 years, and our collective understanding of what constitutes justice, how discrimination functions and how to best address it needs updating.

Racial bias is often hidden, unintentional and systemic. That means that it is actually possible to create racist impact, even if there's no easily identifiable racist behind the curtain.

The notion that racism is always intentional, individual and overt feeds the false assumption that colorblindness is then the appropriate solution.

But the absence of apparent, or even coded, hostility does not necessarily indicate the presence of fairness.

That's why we have to be able to ask explicit racial questions. Rather than avoiding racial difference, we should engage it, with the goal of creating actual equity in our workplaces, schools and all the other spaces in which we spend our lives.

In the food industry, for example, there is widely accepted racial hierarchy in high-end restaurants.

Anyone walking into a three-star restaurant can see that often, the people who have speaking parts at the front of the house are white, while those working for lower wages in the back of the house are employees of color. The Restaurant Opportunities Centers United (ROCUnited) has documented such segregation in New York City, New Orleans and Miami.

The organization has challenged prominent restaurant owners and chains to address racial exclusion through new employment practices, which often involve actually formalizing hiring practices such as posting jobs internally first before going external or holding performance reviews.

Informality works against equity by making room for all kinds of problematic individual judgments, such as discrimination against applicants with non-European foreign accents. The lack of rules is in itself a kind of policy.

A good example is Tom Colicchio, the owner of Craft and a host of "Top Chef." He has a combination of formal employment practices and full intention to build an integrated workforce.

Saru Jayaraman of ROCUnited notes that Colicchio "has a good reputation among workers in the industry for being a conscientious employer in this regard, and diners in his restaurants get a visibly different experience of the workforce."

An employer's clear intention to make room for people of color and willingness to apply that intention to recruitment, hiring, training and promotion of employee is the combination that enables real change.

The second thing we need to create genuine racial equity is to look at the impact of our institutional practices. When the rules of an institution are written down, we call them policies, but unwritten rules also shape institutions, in the form of repeated individual behavior, traditions, rituals or common approaches to problems.

Senate Majority Leader Harry Reid called for the NFL to take a stand against owner Dan Snyder -- who insists on preserving a team name that many consider racially insensitive -- the way the NBA did against Donald Sterling. Snyder has continued to defend his recalcitrance in the name of "tradition" and to prove his lack of animus toward Native people by establishing a foundation.

If I stretch, I can accept that Snyder has no real animus toward Native Americans. Yet, the fact is that stereotypical sports mascots dehumanize the people they represent. Holding onto such a symbol bolsters an image of Native people on which other people negatively act.

Lastly, we have to recognize that people who have been marginalized need power to generate racial equality. The tools that create the presence of equity, not just the absence of hostility, have little chance of being implemented in situations where people of color are not organized for collective power.

One such tool is the Racial Equity Impact Analysis, which allows us to predict bad outcomes and change course. It works like an environmental impact analysis, which requires any building project to account for potential pollution, noise, traffic and other environmental factors.

This worked in Minneapolis, when the Education Equity Organizing Collaborative, a coalition of communities of color, pressed the school board to conduct a racial impact review of proposed school closings. In a rare reversal, the analysis led them to cancel the closing of a community school serving Somali students and to expand the school options available to Native Americans.

Now, the Minneapolis Board of Education has adopted a policy of conducting impact analysis on all decisions that affect student learning and resource allocation. None of that would have happened if communities of color weren't organizing themselves.

If we want racial equity, we have to want that kind of power-building, too. As we debate issues such as voting rights and affirmative action, the effect on a community's ability to assert its interests has to be part of our calculation of what makes good policy.

As a nation, we've come a long way on race, as evidenced by the fact that Sterling was not only condemned by individuals but also sanctioned by an institution.

There's nothing stopping us from using these news stories to launch a forward-looking, highly effective, unifying approach to our persistent racial problems.

We can generate fairness -- not just punish hostility -- if we have the courage to be explicit, focus on the rules and their impact and encourage power building among people of color.

That's what it means to be brave. It's an American virtue. We can feel encouraged to see it in action every day, and we should never stop pushing for more.

The opinions expressed in this commentary are solely those of Rinku Sen.

@highlight

Comments by public figures such as Donald Sterling have provided fuel to discuss race

@highlight

More could be learned from these incidents, says Race Forward President Rinku Sen

@highlight

Sen: Honesty about race and empowerment of the marginalized are key