(CNN) -- It could have been a scene lifted straight from the classic Sean Connery film "The Hill" -- a drama in which a military prison erupts into riot after an inmate dies following a repetitive drill on an artificial hill in the blazing desert sun.

But in Taiwan's real life version of the film, 18 army officers have been charged, a defense minister has resigned and the parents of 24-year-old Hung Chung-chiu are still demanding justice after their son died following an arduous punishment drill in Taiwan's searing summer heat.

Corporal Hung was just three days short of completing his military service last month when he was reportedly put in solitary confinement for bringing a mobile phone with a camera onto his military base, normally a minor military transgression.

Later subjected to a series of tough punishment exercises, doctors say he died of organ failure brought on by severe heatstroke.

Since then, Taipei has erupted in protest.

More than 100,000 placard-waving people protested outside the Presidential Palace on the weekend, according to organizers Citizen 1985, and another large protest is scheduled for this weekend.

The protest underscores the increasing unpopularity of military service, not just in Taiwan, but in Asia's other developed economies such as South Korea and Singapore where young people see compulsory military service as an unwelcome interruption to university and a career.

Singapore, with a conscription period of 24 months and further 10 years of reservist obligations, has one of the longest periods of national service behind South Korea and Israel.

"Conscription takes away two years of a citizen's freedom in the name of 'national interests'," said former conscript Gordon Lee in a Singapore political blog. "Unfortunately, in the case of Singapore, where tensions are cool, these 'national' or 'security' interests do not outweigh two years of the lives of every male citizen."

"Even though the government often compares Singapore to Israel, South Korea and Taiwan as being a small and vulnerable state, the fact is, they live in situations of greater tension (than we do in Singapore)."

The Singapore government promotes military service as a cheaper way of building a standing army and as a means of bonding recruits regardless of their backgrounds.

"If anything, Singaporeans are just further trained to blindly obey instructions from their superiors," Lee said in the post. "This culture is detrimental to society as a whole, and seems to affect creativity in the society, which is important for the spirit of free enterprise. Surely two years of a person's life is more important than this 'bonding' that presumably takes place?"

The Singapore government has been criticized for responding to worried parents by making military service safer and softer for recruits -- in one case a conscript was famously snapped making his maid carry his military pack.

For many, these responses are part of the civilianization of military life, throwing a question mark over the effectiveness of a popular -- rather than a professional -- army.

"I would say (these developments) are partly in response to worried parents, but they are probably due in large to a natural evolution of the society in which these institutions are found," Lee told CNN. "For example, there has also been a larger appetite for health and safety measures in, say, the construction sector as well."

Efforts in South Korea to make military service more palatable and popular by making a special unit of celebrity K-Pop recruits was scrapped last month after it was found that too often celebrity lifestyles were inimical to the harsh realities of military life.

Top brass and regular recruits took a dim view of unauthorized dates, drunken trips to massage parlors and other preferential treatment for the celebrity grunts in a country where military service is regarded as a solemn national duty.

"Although we initially formed the unit to promote the military, a number of unfortunate incidents damaged the public image of the military and lowered the morale of all the regular soldiers who are in the service," the ministry's vice spokesperson Wi Yong-seob said at a press conference.

First formed 16 years ago, the celebrity unit acted as the military's public relations office by holding concerts for soldiers or performing at important anniversaries. The issue of celebrities enlisting in the military has long been controversial in South Korea where some argue that K-Pop stars should be exempt from military service because of the substantial foreign revenue they bring to the country.

Psy -- the "Gangnam Style" star -- is perhaps one of the most high-profile military discipline cases, famously repeating his two-year service in 2007 after neglecting his duties by giving private concerts and TV show appearances.

In Taiwan, meanwhile, Hung's death has dealt a severe blow to the public profile of the country's military.

Already, the Ministry of National Defense is falling drastically short in its bid to attract volunteers: its target for 2013 is 17,447 people, but as of July 3 only 1,847 had signed up.

Beijing still claims Taiwan -- which split with China in 1949 following the civil war -- as part of its sovereign territory and says it will take the island by force if necessary.

A 2011 report by Taiwan's Ministry of National Defense states the Chinese People's Liberation Army has 10 times as many troops as Taiwan and a military spend of roughly US$78 billion, compared with Taiwan's US$9 billion.

"Yet, the People's Republic of China's actual military funding is somewhere between two to three times the figure it has disclosed. Therefore, the actual difference in defense budget on the both sides may reach up to 21-fold," the report stated.

The Hung incident is being taken seriously by Taiwan's military whose plans to raise an all-volunteer force by the end of 2014 may be receding in the current hostile climate.

"There will certainly be an impact," Col. Hu Zhong-shi, director of the ministry's Recruitment Center of National Armed Forces, told a news conference. "We are continuing to observe the extent of what that impact might be."

@highlight

More than 100,000 protest in Taipei after military punishment leads to conscript's death

@highlight

Protests may deal a blow to Taiwan's plans to scrap military service by 2015

@highlight

Singapore's military service, at 24 months, is one of the longest after South Korea and Israel

@highlight

South Korea's military scraps its "celebrity" unit after discipline problems