(CNN) -- Worries about high tides overwhelming parts of Thailand in recent days have morphed into fears about water- and insect-borne diseases in the flood-ravaged country.

Bangkok's central business district has avoided major flooding so far, but outlying areas are chest- or waist-deep in water.

"The water in those parts is a filthy black color containing sewage, garbage and dead animals with a nasty smell. Mosquitoes are also breeding rapidly," said Igor Prahin of Bangkok.

More than 370 people have died since the flooding began after heavy monsoon rains.

U.S. Ambassador to Thailand Kristie A. Kenney said Monday that "the worst may be over for central Bangkok," but about 2 million people are still affected by the flooding. The United States has pledged a total of $1.1 million in aid. 

CNNGo: Updated travel information for tourists

Charities working in the country have warned of diseases such as diarrhea, dengue fever and malaria in the coming days and weeks.

"There are places on the outskirts of Bangkok and in other parts of the country which have been flooded for nearly two weeks," said Matthew Cochrane of the International Federation of Red Cross and Red Crescent Societies.

"The country's prime minister has said that the city has 'dodged a bullet' -- the economic impact of central Bangkok being flooded would have been huge, and thankfully that did not happen -- but a huge part of the country is still under water," Cochrane said.

"Outside the city it is certainly a humanitarian crisis, because there are people who have been cut off for weeks without any aid, supplies or food."

UNICEF said it was providing 20,000 mosquito nets and handing out 20,000 pamphlets explaining how to stay safe and healthy in flood-stricken regions.

Supatra (Jenstitvong) Assavasuke, who lives east of central Bangkok, took in two friends whose house on the west side of the city is submerged under 1 to 2 meters (3 to 7 feet) of water. It's unclear how long they will need to stay.

She and her family have helped donate about 3,000 liters (almost 800 gallons) of drinking water to those in worse-off areas.

"Those who got affected, they lose their houses, they lose their jobs, their cars -- many things," she said.

But even those in the capital faced possible shortages of water.

The Metropolitan Waterworks Authority said it had reduced the amount of tap water processed for residents from 900,000 to 400,000 cubic meters per day, because of high algae counts at one of its plants.

Prime Minister Yingluck Shinawatra said authorities would speed up the process of draining water into Bangkok's canals and into the sea, raising hopes that water levels in the city could start to sink. However, the government has warned it may take more than a month for the floods to recede.

Already, the flooding has caused an estimated $6 billion in damages, the Thai Finance Ministry has said.

The Thai government has set up more than 1,700 shelters across the country, where more than 113,000 people have taken refuge.

Yet many are trying to push through with their daily routines.

In Bangkok's Chinatown area, a food vendor up to her knees in murky water continued to serve patrons at her small cart.

One resident traveled down a street by row boat as a nearby bicyclist pedaled through thigh-deep flooding.

And a man walked his dog near Bangkok's Grand Palace, the dog chest-deep in water.

CNN's Bryony Jones, Kocha Olarn and Germain Perez contributed to this report.

@highlight

2 million people are affected by the flooding, a U.S. diplomat to Thailand says

@highlight

Bangkok resident: Water in outlying areas has "sewage, garbage and dead animals"

@highlight

Relief agency: Places outside Bangkok cut off from supplies endure a humanitarian crisis

@highlight

Charities working in the country warn about diarrhea, dengue fever and malaria in the coming weeks