Washington (CNN) -- A divided Supreme Court gave a big victory Wednesday to business interests, ruling that a cell phone carrier's arbitration clause in contracts that ban larger class-action lawsuits is permissible.

The 5-4 ruling along ideological lines stopped a claim over whether an AT&T cell phone was falsely advertised as "free." The plaintiffs wanted to bring others into a larger putative class action.

At issue was whether federal law has sway over-- or "pre-empts"-- state contract laws. Several states have tossed out many class-action barriers by businesses as "unconscionable" and therefore unenforceable.

Writing for the majority, Justice Antonin Scalia said class arbitration cannot be forced on parties when their contract explicitly prohibits it.

"The California law in question stands as an obstacle to the accomplishment of the purposes and objectives" of federal arbitration standards, he said.

The financial stakes are huge and both sides of the case had lined up an impressive list of allies. Competing arguments were made about whether the high court ruling would end either arbitration or class action, as both currently exist.

Consumer protection groups say this ruling against them will make it easier for companies to use the fine print in business and employment contracts to get away with widespread fraud to consumers and discrimination of its own workers.

But business groups worry a flood of frivolous lawsuits would ensue if consumers can file large class-action lawsuits -- involving perhaps thousands of plaintiffs -- that industries say would be costly to the economy and to competition.

The justices are currently deciding a separate case involving what would become the largest class-action in U.S. history, a workplace discrimination claim by female employees of Wal-Mart Stores Inc., the world's biggest retailer. A ruling in that case is expected within two months.

The case announced Wednesday involves Vincent and Liza Concepcion, who signed a purchase agreement eight years ago for cellular phone service in California. AT&T Mobility advertised a "free" Nokia phone with the purchase of a $150 Motorola phone. The company then charged sales tax on both devices, totaling about $30. The Concepcions objected, but because of the small amount at stake, they did not want to sue by themselves. They decided to press the claim on behalf of other phone purchasers as well.

The service agreement the couple signed included the phrase, in capital letters: "You and AT&T agree that each may bring claims against the other only in your or its individual capacity, and not as a plaintiff or class member in any purported class or representative proceeding."

After the lawsuit was filed, AT&T revised its arbitration provisions in a way that a federal court concluded greatly benefited the consumer. But federal courts also agreed the Concepcion class-action lawsuit could proceed, citing California law that said some contracts can be considered unenforceable if they are built on deception, are too one-sided, or violate broader public policy.

The company then appealed, citing the Federal Arbitration Act, an 85-year-old congressional law permitting class-action exemptions to stand when combined with arbitration. Wednesday's high court ruling now gives AT&T the power now to have the phone dispute handled by a private arbiter, who would only weigh the specific competing claims and render a binding ruling.

Scalia noted that arbitration is a generally faster and cheaper alternative to a civil trial that could drag on for years, including appeals. Adding class-action status often only adds to the time and money expended. Jury verdicts can also in some cases lead to massive judgments against firms convicted of corporate wrongdoing.

"The aggregation of claims in class arbitration greatly increases the stakes for the defendant," said Scalia. "And when stakes are very high, the informality of arbitration becomes much less appealing, because there is little opportunity for judicial review to correct the mistakes that informality produces." He was supported by Chief Justice John Roberts, and Justices Anthony Kennedy, Clarence Thomas, and Samuel Alito.

In dissent, Stephen Breyer warned requiring consumers to arbitrate disputes on an individual basis could lead them to walk away rather than litigate, if the typical monetary stakes are relatively small.

"What rational lawyer would have signed on to represent the Concepcions in litigation for the possibility of fees stemming from a $30.22 claim?" said Breyer. "Why is this kind of decision-- weighing the pros and cons of all class proceedings alike-- not California's to make?" Justices Ruth Bader Ginsburg, Sonia Sotomayor, and Elena Kagan joined Breyer.

The Concepcions were supported by two dozen consumer, civil rights, and worker rights groups, many of whom expressed initial disappointment to the ruling.

"Today's majority opinion is judicial policy-making in its most naked form," said Doug Kendall of the liberal Constitutional Accountability Center, which filed a legal brief supporting the plaintiffs. "The Federal Arbitration Act is in no way hostile to class actions, and it specifically preserves a critical role for state law."

But a variety of business interests urged the high court to uphold its precedent in related cases. The U.S. Chamber of Commerce's litigation arm had filed an amicus brief that said "class arbitration does not deter misconduct, but rather forces parties into costly litigation."

The high court in two separate appeals last spring gave victories to big business over enforceability of arbitration requirements in contracts.

The current case is AT&T Mobility LLC v. Concepcion (09-893).

@highlight

A California couple wanted to contest AT&T's $30 sales tax charge on a "free" phone

@highlight

Because the amount was small, they wanted to press the claim with other phone purchasers

@highlight

The cour ruled that the carrier's clause against larger class-action lawsuits is permissible