A former BP engineer has been charged with destroying 200-plus text messages about the Deepwater Horizon oil spill, including one concluding that the undersea gusher was far worse than reported at the time.

Kurt Mix faces two counts of intentionally destroying evidence requested by authorities, federal prosecutors announced Tuesday. The charges mark the first criminal case brought in conjunction with the 2010 blowout in the Gulf of Mexico, which spewed nearly 5 million barrels of crude into the sea.

Mix had been assigned to estimate the size of the spill, and one of the messages investigators recovered "includes real-time flow-rate analysis" during an effort to plug the damaged well. That data contradicted the company's public statements about the ongoing disaster, according to an FBI agent's affidavit outlining the charges against him.

The effort, called a "top kill," involved plugging the ruptured deep-sea well by pumping heavy drilling fluid into it from the surface, nearly a mile above.

"Before Top Kill commenced, Mix and other engineers had concluded internally that Top Kill was unlikely to succeed if the flow rate was greater than 15,000 barrels of oil per day," the Justice Department said in a statement announcing the charges.

On the first day of the operation, Mix sent a message back to his supervisor that read, "Too much flowrate -- over 15,000 and too large an orifice," an FBI affidavit outlining the charges states. That data indicated "that Top Kill was not working, contrary to BP's public statements at that time," the affidavit states.

When the operation began, the publicly announced estimate of the spill by BP and federal agencies was 5,000 barrels a day, though BP had acknowledged the amount was likely higher.  The day after Mix's message, the U.S. government raised its estimate of the spill amount to 12,000 barrels a day; two days later, BP announced that the "Top Kill" attempt had failed.

According to the affidavit, an early estimate of the blowout Mix produced ranged from 64,000 barrels a day to 138,000; another ranged from 1,000 to 146,000 per day. The National Oceanic and Atmospheric Administration ultimately concluded that about 59,200 barrels of liquid oil a day flowed from the well before it was capped, making it the worst oil spill in U.S. history.

In a statement issued Tuesday, BP said it was cooperating with Justice Department and other investigations into the spill, which lasted nearly three months. The company had no comment on the allegations against Mix but said it "had clear policies requiring preservation of evidence in this case and has undertaken substantial and ongoing efforts to preserve evidence."

Mix, of the Houston suburb of Katy, resigned from BP in early 2012, the affidavit states. He made his first appearance before a federal judge in Houston on Tuesday afternoon on the charges, which were filed in New Orleans.

Prosecutors said Mix deleted a string of more than 200 messages from his iPhone about October 4, 2010, after he had been told to collect electronic files related to the disaster and prepare to turn them over to a company working for the oil giant's attorneys. He would face a maximum penalty of 20 years in prison and a fine of up to $250,000 on each count if convicted.

The Gulf Restoration Network, a New Orleans-based environmental  group, said it was pleased to see criminal charges stemming from the spill.

"It is telling that the Department of Justice's charges against Kurt Mix surround efforts to cover up the fact that BP's public estimates of the oil flow rate were far lower than the actual flow rate," the group said in a statement on the arrest. "Establishing accurate flow rates is an important step forward in ensuring that BP pays the highest possible price for every drop of oil that they discharged into the Gulf."

An estimated 4.9 million barrels (206 million gallons) of crude oil poured into the Gulf of Mexico after the April, 20, 2010 explosion that sank the drill rig Deepwater Horizon and killed 11 men aboard. The disaster damaged the region's fishing and tourism industries, a temporary federal ban on deepwater drilling left oilworkers idled, and scientists are still studying the long-term effects of the disaster on the Gulf ecosystem.

BP announced last week that it had reached a settlement estimated at $7.8 billion with thousands of businesses and individuals who filed damage claims in the wake of the spill, and a federal criminal investigation of the disaster is ongoing.

In September, a government report on the spill found that BP, rig owner Transocean and well cement contractor Halliburton shared responsibility for the explosion, but BP was "ultimately responsible" for operations at the site.

BP and Halliburton sued each other in April 2011, each claiming the other was to blame for the deadly explosion and resulting leak. A federal judge in New Orleans ruled this year that Halliburton is not liable for the some of the compensatory damages sought by third parties, leaving BP on the hook for the majority of those claims, while a similar decision came down regarding Transocean.

@highlight

Former BP engineer is accused of destroying text messages about the spill

@highlight

"Too much flowrate -- over 15,000," one of the messages notes

@highlight

Crude oil poured into the Gulf after a blast on a drill rig in 2010

@highlight

The oil spewed for nearly three months