Cairo, Egypt (CNN) -- All agree that scores angry at Egypt's military-backed government and the ouster of President Mohamed Morsy died in late-night clashes in the volatile nation's capital.

But they are of opposite minds as to who began firing first and who is to blame.

Dr. Mohammed Ali Sultan, chairman of Egypt's ambulance services, told CNN that 72 had been killed in Nasr City, an area of Cairo the Muslim Brotherhood has made its base after the group's former leader was forced from power and ordered jailed.

Medics in a Brotherhood field hospital there earlier Saturday had put the death toll at 66, with another 61 on life support and thousands more wounded.

How did they end up in such straits?

Ask the Muslim Brotherhood -- the Islamist group that was sidelined under longtime Egyptian leader Hosni Mubarak only to become the country's dominant political force after his forced exit in 2011 -- and its members will say police fired live ammunition on protesters Friday and Saturday.

A wounded protester getting medical treatment at a field hospital said he saw men in plainclothes fire on pro-Morsy demonstrators with shotguns.

He referred to them as "thugs," a term commonly used for young men who support the government and resort to violence.

"Police forces were standing behind them. Also, military forces were outside blocking three entrances to Rabaa Adawiya neighborhood," the protester said, adding he had also seen corpses with gunshot wounds at the hospital.

Yet the prosecutor general's office, according to a report early Sunday on state-run Nile TV, concluded that protesters not only initiated the clashes but also fired live bullets on security forces.

A police spokesman likewise rejected any allegations police opened fire, saying they only used tear gas canisters and were not responsible for the deaths.

Interior Minister Mohamed Ibrahim offered a similar view during a televised news conference.

The protesters were at fault for starting violence that wounded 14 police, none of whom fired back, he said.

"I want to emphasize here that the Interior Ministry police force has never and will never fire its weapons at any Egyptian citizen," Ibrahim said.

Fresh clashes erupted early Sunday in Helwan south of Cairo between residents there and pro-Morsy protesters, reported state TV, citing witnesses.

Meanwhile, an attorney has filed a lawsuit at a district court in Cairo, asking that the military overthrow of Morsy be overturned. Tarek Al Kashef is basing his challenge on the country's constitution, specifically sections that stipulate that a presidential term is four years and that the president is the commander in chief of the armed forces. A hearing is slated for October 8.

Large, rival rallies in Egypt after judge orders deposed president jailed

Morsy may join Mubarak -- in prison

Morsy has not been seen publicly since the military forced him from office July 3.

The military has not commented on his whereabouts, though a Brotherhood spokesman told CNN he was initially under house arrest at the presidential Republican Guard headquarters in Cairo and later was moved to the Defense Ministry.

Nasser Amin -- a lawyer who met with Morsy's former chief of staff, Refa'a al-Tahtawi, who also is being detained -- told CNN that the former president is being "treated with the utmost respect ... like a statesman."

Yet Amin said that Morsy and others who are being held "can't contact the outside world or lawyers."

The former Muslim Brotherhood leader became Egypt's first democratically president in June 2012 but found himself at odds with the opposition before the military removed him from power and detained him this month.

State media reported he's being held in relation to a jailbreak that took place during Egypt's 2011 revolution but well before he came to power.

Prosecutors, who ordered a probe two weeks ago, said the escape of Morsy and 18 other Brotherhood members (among others) was plotted by "foreign elements" including Hamas, its military wing, the Islamic Palestinian Army and Hezbollah. The Muslim Brotherhood was named as a domestic group that cooperated with those who broke them out of prison.

Morsy -- who local media reports say was in prison for a single day without any formal charges against him -- is accused of escaping, destroying the prison's official records and intentionally killing and abducting police officers and prisoners.

Now he could be headed back not just to prison, but the same one where Mubarak, the ousted dictator he and his allies have long railed against, is being held.

Ibrahim said Saturday that such a move will probably happen, though an investigative judge will make the final decision on Morsy's next destination.

U.S. opts not to define Egypt ouster as a coup

Government awaits legal OK 'to end the protests'

Neither side gave any hint of backing down -- not just on who's to blame for the latest violence but on the bigger question of whether Morsy should have been deposed and, more recently, ordered jailed over his alleged actions well before he rose to power.

Since Morsy's ouster, supporters of the Muslim Brotherhood and its political arm, the Freedom and Justice Party, have staged mass rallies and sit-ins across the North African nation.

There have been rival rallies as well such as the ones Friday called by military chief Gen. Abdel Fattah al-Sisi to show support for the army's effort to end what he calls "terrorism" -- a statement condemned by the Brotherhood as "inciting violence and hatred."

Mutual trust appears absent as does the prospect of a peaceful resolution anytime soon.

Leaders of the pro-Morsy movement refuse to recognize the interim government or cooperate with it.

The interior minister, meanwhile, had pledged that these rallies will be brought to an end soon.

"We have complete coordination between the police and the armed forces to end the protests at the proper time," Ibrahim said. "... But we are waiting for the prosecutor's office to issue orders so can we have the legal cover for it."

Opinion: Why the Muslim Brotherhood can't back down

Officials worldwide express concern

Egypt has been on edge since the military forced out Mubarak in early 2011. Yet the situation has clearly gotten more dire in recent weeks.

The European Union's foreign minister condemned the killings of pro-Morsy protesters in Nasr City as well as bellicose language by some Egyptian officials.

"There is no room for hate-speech and other forms of incitement," according to a statement released by Catherine Ashton's office.

U.S. Defense Secretary Chuck Hagel spoke Saturday with al-Sisi, his Egyptian counterpart, to encourage restraint, said Pentagon spokesman George Little.

And U.S. Secretary of State John Kerry talked Saturday with Egypt's interim vice president and its foreign minister to express Washington's deep concern about the bloodshed.

"This is a pivotal moment for Egypt," Kerry said in a statement. "Over two years ago, the revolution began. Its final verdict is not decided, but it will be forever impacted by what happens now."

Morsy a victim of Egypt's revolution of the mind

CNN's Ben Wedeman reported from Cairo, and Greg Botelho and Hamdi Alkhshali reported from Atlanta. CNN's Salma Abdelaziz, Chelsea J. Carter, Ben Brumfield, Ali Younes and Yousuf Basil contributed to this report.

@highlight

NEW: Residents, Mohamed Morsy backers clash in Helwan, south of Cairo, state TV says

@highlight

Neither the government or Morsy supporters give any indication of backing down

@highlight

An official says 72 pro-Morsy protesters in Nasr City are killed

@highlight

Government officials say police didn't open fire; the opposition says authorities did