(CNN) -- Some of the world's largest airlines are conducting safety checks after debris fell from the engine of a Qantas Airbus A380 as it flew over Indonesia.  Australia's national airline has now grounded its Airbus A380 fleet indefinitely. How serious is the incident -- and what does it mean for the aviation industry?

What do we know about the Qantas engine incident?

One of the four engines on the Qantas A380, which was carrying 440 passengers and 26 crew Thursday, shut down shortly after it left Singapore's Changi Airport.

The most obvious sign of damage to the plane is that part of one engine cowling, or covering, had been blown away. Debris was later found on the Indonesian island of Batan.

Why is this being taken so seriously?

This type of incident is known as an "uncontained engine failure," explains Richard Quest, CNN's aviation correspondent. "Probably something happened at the front of the engine, it ingested into the engine, out the other side and that's where the explosion or non-containment happened."  Quest highlighted damage to the wing above the engine, including puncture marks.  "Whatever event took place in engine number two, the debris from that event exploded outwards, removing part of the cowling and, it seems, going upwards through the wing."

Quest said the debris hit the wing by the forward slats, several meters away from critical areas such as the fuel tanks and fuel lines.

"Any form of debris that leaves an engine and has upward momentum sufficiently that it can go through the wing in that sort of mode has to be taken very seriously indeed," Quest said. "That is why, in this case, Qantas has decided to ground the fleet."

Quest highlighted other signs of damage on the engine casing, including the presence of soot marks where the fan and combustion chambers meet the exhaust.

"That suggests there was clearly some sort of an event, some sort of fire," he explained.  Were the passengers and air crew in any danger?  While the incident was serious, the plane landed with no reported injuries.

Quest said the pilot would have faced a challenging landing: one of his reverse thrusters would not work and he would be carrying too much fuel.   But air crews practice for such eventualities. "This was not even a difficult landing for him."

How common is this type of incident?  An uncontained engine failure is extremely uncommon, said Quest -- but it has happened on several occasions before.

In 1985 a British Airtours Boeing 737-236 at Manchester International Airport in northern England, caught fire as it readied for take-off. Debris from the engine punctured an underwing fuel tank access panel, according to a later Air Accident Investigation Branch report into the incident. The resulting blaze engulfed the fuselage in a matter of minutes, killing 55 passengers and crew.

What do we know about the engine itself?  The engine used on the Qantas Airbus A380 is the Rolls Royce Trent 900. All A380s -- save those flown by Emirates -- are fitted with it, accounting for more than half the 37 A380s in operation before Thursday's incident.

In a statement to CNN, a Rolls-Royce spokesperson said: "Safety is always our highest priority. We are currently analyzing the available information and working with our customers to support their operations."

Shares in Rolls Royce dropped more than five percent Thursday in trading on the London Stock Exchange.

What's the safety record of the Airbus A380?  The plane involved in this incident would be about two years old, with the engine of a similar age. The Airbus A380 has a 100 percent safety record, Quest explained.

"There have been niggles with the fuel systems and engines but nothing like this, they have more been operational issues. It is an extremely complicated airplane. The plane is designed for an uncontained engine failure."

"The airlines love it," adds Quest. "Everyone who flies on the A380 says it's quiet, it's roomy, it's comfortable."  The incident happened in the same region as Indonesian volcano Mount Merapi, which is now active. Could this have been a factor?  Investigators will look at all possibilities. Earlier this year, no-fly zones were imposed across Europe due to ash clouds from Iceland's Eyjafjallajökull. It was feared that dust and ash from the volcano might damage airplane engines.

However, while Mount Merapi is also in Indonesia, it is located several hundred miles from where the incident took place. IVolcanic activity has not yet been flagged as a serious possible cause of the engine failure.

What is Airbus saying about the incident?  In a statement to CNN company spokesperson Justin Dubon confirmed that "a Qantas A380 returned safely back to Singapore. The Singaporean authorities have launched an official investigation and these will be led by the Australian Transport Safety Bureau (ATSB).

"Airbus is providing full technical assistance and is dispatching a technical team to Singapore where Airbus already has resident technical personnel."

Has there been any comment from other operators of the A380?  Singapore Airlines said in a statement on its website that it would delay all its A380 flights for the time being. "Our engine manufacturer Rolls Royce and aircraft manufacturer Airbus have advised us to conduct precautionary technical checks on our A380 aircraft, following today's incident involving another operator's A380."  Lufthansa, which operates three A380s, including to Tokyo, said: "Our operations are as normal. We are on standby to go further but no decisions have been made."

CNN's Richard Quest contributed to this report

@highlight

Incident, known as an "uncontained engine failure" is rare but not unknown, says CNN's Richard Quest

@highlight

Engine type is fitted to more than half the 37 A380s currently in operation

@highlight

Quest: There have been niggles with the fuels systems and engines but nothing like this