(CNN) -- Just as Egypt's revolution took the world by surprise, so did President Mohamed Morsy's unexpected assertion of presidential power so soon after he came into office.

On August 12, Morsy forced Field Marshal Mohammed Tantawi and his heir apparent, Lt. Gen. Sami Anan, to retire. No one was prepared for Morsy, a former leader of the Muslim Brotherhood, to pull the proverbial rug out from under the two most powerful and widely hated military officials and to reassert civilian power. In hindsight, Morsy foreshadowed his move against the military in his inaugural speech when he declared that "no institution is above the state."

In what has become almost second nature in Egypt since the revolution, people took to the streets to express their political views. Following Morsy's announcement, Tahrir Square was instantly filled with supporters -- a powerful reminder of who motivated Morsy to make his bold move.

While ordinary people have shown their approval, the same forces that supported Hosni Mubarak's regime now insinuate that Morsy has taken his first step toward dictatorship. They dismiss the possibility that Morsy is fulfilling hopes of the revolution that brought him to power, and that he has a right to claim powers that come with his presidency.

By unseating Tantawi and Anan, Morsy responded to the longstanding demands of the revolutionary forces as well as ridding Egypt of the handicap of a two-heads-of-state system. "Down, down with military rule" has been chanted by revolutionaries since Tantawi replaced Mubarak. No wonder the activist Wael Ghonim and the Revolution Continues coalition were among the first to publicly support Morsy's brilliant tactic.

Morsy himself has explained that he has acted in the interests of the nation by fulfilling the aspirations of the revolution. However, much more needs to be done.

The revolutionaries have called for the retrial of Mubarak's acquitted regime heads and prosecution of Tantawi and Anan for their crimes against civilian protesters. Morsy has opted instead for a more pragmatic "safe exit" for Tantawi and Anan, even bestowing them with decorations on their way out.

Morsy should pardon more if not all civilian protesters -- some 12,000 in total -- who are still being held in military detention.

So far, Morsy appears to be sensitive to the Egyptian street. Recognizing his own diminishing popularity as well as the declining approval ratings of the Muslim Brotherhood and the Parliament that it dominates, Morsy may feel the need to do more before August 24, when nationwide demonstrations against the Muslim Brotherhood are scheduled to take place.

The two hard-won gains of the revolution -- civic participation and democratic processes -- have empowered Egyptians to engage actively in politics. The real force behind any change in Egypt comes down to ordinary citizens who flex their political muscles.

Wagih El Akkad, a taxi driver in Cairo who voted for the first time in 67 years, spoke for many when he said: "I didn't like either of them (presidential candidates Morsy and Ahmed Shafik), but I like the system. ... You have to take risks to bring about change, but these things take time."

Everywhere in Cairo, people are talking politics. Nothing, including the opaque control of possibly 40% of the Egyptian economy by military-connected entities, is taken for granted.

For Morsy, it might have been riskier not to act. Egyptians are growing impatient with the lack of noticeable change in political life while the country's economy continues to slump.

Gallup's Egypt polls indicate that Islamist voters have the same priorities for government as secular voters: economic growth and security. Distractions like the social issues pursued by the Brotherhood-dominated Parliament will not satisfy most Egyptians. Maybe this is why a Morsy representative announced that the president is inclined to further changes, including reforming the unpopular Constituent Assembly, which is charged with writing the Constitution.

The jury is still out on Morsy. He will be hard-pressed to meet the demands of economic and social justice that fueled the revolution.

Morsy's new appointments send mixed signals. He replaced Tantawi with Gen. Abdul al-Sisi as defense minister. Although al-Sisi has good relations with the U.S., he is known for defending the barbaric "virginity tests" performed by the military during the revolution. Arguably, the appointment of reformist judge Mahmoud Mekki as vice president (which has garnered little attention in the West) holds greater promise and significance for Egypt's future.

What will Morsy do next? Will he deliver what the revolutionaries have hoped for? Or will he move in the Brotherhood's regressive direction, evident in their recent censorship of the press? We will find out soon.

The opinions expressed in this commentary are solely those of Cynthia Schneider and Khaled Abol Naga.

@highlight

Cynthia Schneider, Khaled Naga: Egypt's new president took the world by surprise

@highlight

Schneider, Naga: President Morsy forced two powerful military officials to retire

@highlight

They say perhaps Morsy is genuine about fulfilling the aspirations of the revolution

@highlight

Schneider, Naga: The jury is still out on Morsy, early signs are mixed so far