(CNN)We have no problem taking Wall Street executives to task for decisions that leave American families financially devastated, yet we give Silicon Valley billionaires a pass when they do the same thing. America needs to realize that instead of creating jobs, Silicon Valley is erasing them, leaving millennials financially stranded before their careers can get off the ground.

Silicon Valley is tossing millennials aside like yesterday's laptop.

The commonly held belief is that with hard work and a good education, a young person in America can get a good job. But despite falling unemployment, college grads age 22 to 27 are stuck in low-paying jobs that don't even require a college degree. The percentage of young people languishing in low-skill, low-paying jobs is 44%, a 20-year high.

Only 36% of college grads have jobs that pay at least $45,000, a sharp decline from the 1990s, after adjusting for inflation. Perhaps most depressingly, the percentage of young people making below $25,000 has topped 20%, worse than in 1990. In other words, those with a bachelor's diploma were better off before the digital revolution.

If this comes as a surprise, that's because images from popular culture push the idea that young college graduates are shrugging off bad employment prospects with their do-it-yourself attitude. In our collective imagination, millennials are saying, "No jobs? That's OK — I'll create my own!" And then they solve their own problems by heading to Silicon Valley with little more than an iPhone and an idea to create the next hip app that supposedly will turn them into overnight millionaires.

A fictional example of this new breed of young idealistic entrepreneur would be Mike Bean, founder of Internet behemoth Gryzzl on the show "Parks and Recreation." Played by Blake Anderson, Bean might best be described as "barefoot and pregnant with ideas." The bumbling entrepreneur conquers the world practically by accident, armed only with his digital savvy, a can-do spirit, and a penchant for invading users' privacy. You get the idea that his success came easily.

Privacy concerns aside, the Mike Beans of America are just about as rare as the Mark Zuckerbergs. In fact, the percentage of people under 30 who own private businesses has reached a 24-year low. Garages across the country are not exactly humming with millennials launching tech startups.

But wait — won't the digital economy eventually lead to better jobs? After a period of adjustment, won't things get better? Unfortunately that's not the path we're on. One of the biggest misconceptions about the digital economy is that for every middle-class job rendered obsolete by technology, there's a new, equally good (or better) job created by Silicon Valley.

But exactly the opposite is happening. The digital economy is vaporizing the good jobs and replacing them with two kinds of jobs: minimum wage jobs (think Amazon warehouse employees) and so-called "sharing-economy jobs" (think Uber drivers).

The sharing-economy jobs are even worse than minimum wage jobs because they offer no stability or protections for workers. Sharing economy jobs aren't really jobs at all; they're freelance gigs.

Sure, Silicon Valley doesn't owe America jobs. But something is wrong with the picture of a handful of tech billionaires overseeing a kingdom of falling wages, decreased worker protection and zero job security.

This "winner-take-all" digital economy is not sustainable. People on both sides of the political spectrum are worried. Liberal luminary Robert Reich, a professor at the University of California at Berkeley and former secretary of labor under Bill Clinton, calls the sharing economy the "share-the-scraps" economy. Speaking of tech companies that utilize on-demand labor, such as Uber, Instacart and Taskrabbit, he says, "The big money goes to the corporations that own the software. The scraps go to the on-demand workers."

Meanwhile, conservative columnist Ross Douthat fears a dystopian future in which "a rich, technologically proficient society will no longer offer meaningful occupation to many people of ordinary talents."

Put simply, Silicon Valley's utopia is the rest of America's dystopia. And those who are punished more than anyone else are recent college graduates, whose lifetime earning potential has already suffered an irreversible setback.

And if you think your own job is safe, think again. New research predicts that nearly half of all jobs are susceptible to automation over the next two decades. This is a giant leap backward, but it's deceptively described as technological "progress." As anyone who's talked to an automated system on the phone lately can attest, "automated" usually means "worse."

What can be done? How can we fight this slide back toward the Middle Ages? If we take no action, we're headed toward a kind of digital world feudalism where there are a handful of kings, a lot of peasants and no middle class.

There's no easy fix, but we can do three things immediately. First, we can stop glorifying tech titans and start talking openly about Silicon Valley's questionable tactics and its real job creation record (i.e., just follow the numbers). Second, we can encourage more lawsuits against the abusive practices of "sharing-economy" powerhouses. Third, we can elect leaders who are vocal about holding Silicon Valley accountable for their power over the entire American workforce, including white-collar employees.

The fictional Gryzzl's tagline borrows some millennial slang: "Wouldn't it be tight if everyone was chill to each other?" Indeed it would. And if we want a better future for millennials and the generations after them, we need to challenge the prevailing Silicon Valley ethos before it's too late.

@highlight

David Wheeler: Silicon Valley doesn't create jobs; it's wiping out middle-class jobs

@highlight

Young college graduates are struggling with lack of jobs, yet many still idolize Silicon Valley