(CNN) -- "You've probably seen them bagging groceries," said the geneticist attempting to explain to my wife and me that our 1-day-old daughter, Ellie, had Down syndrome and what that meant for her future.

Her age was measured only in hours and already, expectations for Ellie's potential had been capped.

Earlier, we were sitting in a recovery room holding Ellie, hosting visitors, e-mailing pictures along with requisite weight and length statistics and basking in the afterglow of a seamless delivery and the addition of a beautiful, healthy daughter. Then Ellie was carted off to the "well baby" nursery for a routine examination by a pediatrician. My wife and I exhaled and exchanged a silent smile. A brief window of unmitigated joy.

We did not know our calm would soon break.

As we would learn, Ellie had been relocated to the hospital's neonatal intensive care unit because of a heart condition suspected by the pediatrician. Her prognosis was encouraging, but her immediate condition was tenuous -- she needed supplemental oxygen and medication to help her heart and lungs work properly. And, we were told, a geneticist would visit us to discuss an additional diagnosis.

That "additional diagnosis" was hardly the afterthought it sounded at the time.

What is Down syndrome?

Down syndrome is a chromosomal condition caused by the presence of a third copy of the 21st chromosome. It is the most common chromosomal condition, affecting more than 400,000 Americans, according to the National Down Syndrome Society. Down syndrome is associated with delayed cognitive ability and physical growth.

I secretly hoped that it was all just a bad dream. But instead of awaking to relief, each morning was greeted with pounding guilt for wishing that Ellie was any different than the miracle she was destined to be.

Learn more about Down syndrome

We coped with the stress of her heart complication, from which she recovered by the time she was 3 months old, and we began to accept the challenges associated with Down syndrome that lay ahead. But the visual painted by the geneticist of Ellie as an adult, wearing a name tag and struggling to load a milk carton into a grocery bag, was etched in our minds.

That description of Ellie's diminished outlook, delivered as a foregone conclusion, was difficult to accept. Her promise, stolen. It was an injustice that took time to fully appreciate and gnaws at me even today.

Ellie, now almost 5, has tackled life head on, making friends and enjoying childhood while enduring endless hours of physical, occupational and speech therapies to track milestones that come naturally for her older brother. Ellie has braved "two-a-days" her entire life, showing up on time and ready to play.

A dad's confession: I almost left my disabled daughter

Never have I been more proud than witnessing Ellie walk for the first time. Knees wobbly and body trembling, she reached to the outstretched arms there to support her while shooting a look that signaled, "I've got this."

In the nearly five years since Ellie's birth, we've experienced vast misunderstandings about the potential for individuals with Down syndrome. Too often, people look at Ellie and see "disability." They see "can't." Even highly educated clinicians are not immune to misconception, electing to chart her against diminished benchmarks of success and suggest that Ellie should settle for less because "that's just the way most kids with 'Downs' are."

A long list of possible accomplishments

And yet, we've met adults with Down syndrome who can check boxes for successful student, accomplished athlete, productive employee, prom king or queen or husband or wife. And while scientific breakthroughs and novel therapies should further advance the potential of Ellie's generation in the long-term, her daily accomplishments demand that we discount her disadvantages now. They demand that we focus on her abilities and expect more from her.

The contradiction between Ellie's accomplishments and the geneticist's projection has shaped how we parent all three of our children (Ellie now also has a younger brother). We believe that children, whether they have Down syndrome or not, tend to perform to the level of expectations placed upon them.

Expectations are often misconstrued as setting a floor on performance. Rather, we believe expectations serve as a ceiling, so we've learned the trick is to set high expectations balanced with reassurances that it is OK to fail. And the only true failure is not testing the boundaries of our capabilities, wherever that may be.

From early on, we've educated Ellie's brothers about Down syndrome and what that means for her -- "Ellie can do everything you can do; it just may take her longer or require extra help, but she'll get there eventually." Her older brother, then 3, retorted, "Can she go to the moon?" "Yes," we responded. "Maybe someday she can go to the moon."

Of course, it's important to recognize challenges and provide resources to address them. It's true, Ellie needs support, and lots of it. But, too often, people focus on her disadvantages and lose sight of her strengths.

Even school administrators try to classify her, listing her deficits, setting expectations low and building a case to separate her from her typically developing peers despite numerous studies that would suggest including her with her peers is mutually beneficial. But pigeonholing her is the path of least resistance. Low expectations are, after all, the easiest to meet.

Behind that cute face is steely grit

The people closest to Ellie know the truth. They know that she is capable of much more than what most expect of her. That they shouldn't be fooled by her infectious smile, capable of lighting up a room, because behind that cute facade is a fiercely determined girl.

Ellie proves that every Saturday during her rock climbing class. Sure, she is intimidated by the 30-foot walls, struggles with the climb and rarely makes it all the way to the top. But after a brief break, she'll look at me and say, "Again, Daddy."

And, equally importantly, the people closest to Ellie also know she is just like most of the 4-year-old girls in her preschool class. She is a princess at heart who loves to host play dates and go swimming. She enjoys playing catch with her brothers and occasionally catches flak for teasing them. She's more alike than different.

Recently, we asked Ellie's older brother, "Do you remember what it means for Ellie to have Down syndrome?" "Yes," he answered. "It means she can go to the moon. But it's not fair, why does Ellie get the extra 'chrome?'" He was referring to Ellie's extra copy of chromosome 21, the defining characteristic of Down syndrome. If only our society could look through that same lens and focus on abilities rather than disabilities.

A prenatal screen pegged the odds of Ellie having Down syndrome at less than one in 3,000, so we like to think Ellie has defied expectations from the very beginning. And we trust she will continue to do so from here on out. Though we hope, one day, she won't have to. We hope one day our expectations of her, as a society, are more limitless than they are limited.

Ellie has taught us many lessons about parental love, but perhaps the most important of which is not letting societal expectations dictate all that a child can be.

As we enter the new year, we tend to make lots of resolutions -- most of which are forgotten long before February. I'm hoping Ellie's story can help us make a more lasting resolution, together, to recalibrate our societal expectations.

Let's recognize the disadvantage, but not overcompensate for it by setting the bar too low. Let's, for this new year and all that follow after, see the "can" in those children affected by Down syndrome. In fact, let's do that for all our children -- extra chromosome or not.

And, as for Ellie, she'll see you on the moon.

The opinions expressed in this commentary are solely those of Bret Bowerman.

@highlight

Bret Bowerman's daughter, Ellie, is 4 and was born with Down syndrome

@highlight

He feels that lowered expectations unnecessarily limit children with disabilities

@highlight

"Too often, people look at Ellie and see 'disability.' They see 'can't,' " he writes

@highlight

Have a personal essay to share with the world? Submit at CNN iReport