(CNN) -- Three months after a thyroidectomy to remove cancer and one month after radioactive iodine to treat it, Julie Seitz found herself in an operating room again, this time for a lumpectomy to remove breast cancer.

Seitz's prognosis was good, although doctors said she would need radiation.

She's not alone: Fifteen percent to 20% of people diagnosed with cancer are diagnosed with a second cancer, according to Dr. Otis Brawley, chief medical officer for the American Cancer Society. However, he says, it's unusual for those diagnoses to happen simultaneously.

Seitz's diagnoses came after she sought a second look. She heeded the recommendation to follow up for a spot on her thyroid even though she was told it was probably nothing, and then she was insistent after being given an all-clear following a mammogram.

In both cases, Seitz, 51, of Atlanta, followed her instincts, and she was right.

One patient advocate applauds that. "She moved the bar in her own favor by being proactive and trusting her intuition," said Trisha Torrey, who was not involved in Seitz's case.

"I have a high-demand job," said Seitz, director of Workplace 2020 Global Business Services for Coca-Cola. "This is like a second job, and no one else is going to do the research."

Her thyroid spot was seen during an annual physical. Even though doctors told her it probably wasn't cause for concern, Seitz followed up with an endocrinologist four months later and underwent a biopsy. A week later, she got a call saying that it was probably cancer and that doctors would know for sure after surgery to remove it.

Her philosophy: tackle cancer and move on, she says.

She had a thyroidectomy. "It was the easiest surgery ever. The next day, I was on a plane going somewhere for work with a bandage and wearing scarves," she said.

Eight weeks later, she had radiation iodine treatment: She took a radioactive pill and stayed isolated in her house for a week and then limited outings for another week.

Two weeks before she took the pill, she felt something unusual during a breast self-exam and asked about it during her scheduled mammogram a week or so later.

She got an all-clear but didn't trust it and went in for an ultrasound. The radiologist sent her for a biopsy, which confirmed that she had breast cancer.

Once again, she geared up to tackle the disease. "It's another specialty, and you start over from scratch," she said.

After her lumpectomy, Seitz had 25 days of radiation. Now, she takes medication for both cancers.

Seitz offeres this advice about taking charge of your care:

Ask your medical network

When looking for a surgeon to remove her thyroid, Seitz asked everyone from her dentist and orthodontist to her gynecologist.

"It doesn't matter what their specialty is. They all know each other, and I've learned you have to ask multiple doctors," she said.

Instead of asking them "Who should I go to?" Seitz asked, "If you were in this situation, who would you go to?" She got a list of about nine names when looking for a surgeon for her thyroid and chose the doctor whose name was recommended four times. She followed this same procedure before her breast biopsy.

Brawley recommends casting a wider net, including anyone in the health care field. "The nurses who work in the ORs at hospitals, they know who the best surgeons are. These are not necessarily those who rank in the lists of best doctors," he said.

Give a deadline

The first time Seitz visited her oncologist, she explained that she and her husband were leaving on an African safari, their "trip of a lifetime," the first week in August.

Seitz wanted to mark her 50th birthday by going somewhere new. She told her oncologist she had to be better by then.

Her last radiation treatment was 10 days before her flight to Africa, which gave her time to recover before takeoff.

Doctors may not have a deadline, she says. "If I have something else happening, I am going to find a reason to give them a deadline, because things happen much quicker."

Don't rely 100% on mammograms

Even if they must pay for it out of their own pocket, Seitz recommends that women undergo a mammogram every other year, along with an ultrasound.

If you feel something or there is any uncertainty about the scan, she says, insist on an MRI instead of a second mammogram. Things would have turned out differently, she says, if she had accepted her clear mammogram report and not insisted on an ultrasound.

The American Cancer Society recommends annual mammograms for women starting at age 40.

Brawley agrees that mammograms are not foolproof but cautions that ultrasound and MRI screenings are meant to get a better look at something, not to replace a mammogram.

Have a positive attitude

Seitz decided right away that she would not let her diagnosis dominate her life. She focused on the things she enjoys in life and maintained her daily routine.

"I thought, if I stop and change my routine, I give this thing more power," she said.

There's no doubt that having a positive attitude helps in terms of quality of life, Brawley says. The jury is still out on whether it prolongs life.

Stay off the Internet

"If ever you are diagnosed with something, never read the Internet," Julie concluded after spending an afternoon reading some websites about thyroid cancer before her surgery.

"It was negative; it was horrible; it was pitiful. I said, 'No, I am not going to be like these people.' It was pretty depressing, and I just decided no, this is not who I am. I never conquered anything in my life this way, and it's not going to be this either."

Though Brawley says it's an individual decision, he says people should be careful about where they seek information online and ensure that it's a reputable source such as the National Cancer Institute.

When, not if

Seitz believes that a sea change is needed on how cancer is viewed: People should think of it as "You are going to get cancer, so how can you stay on top of tests and getting checked and getting monitored so you are diagnosed earlier?" Most cancers are curable at stage 1 or 2.

Torrey says this preventive approach applies not just to cancer to but to all illnesses and conditions. "You're going to catch something, and you have to be prepared," she said.

Meanwhile, Seitz says, don't put off fun. "Don't wait to retire to do all the fun things you want to do."

@highlight

Julie Seitz was diagnosed nearly simultaneously with thyroid and breast cancer

@highlight

Seitz's diagnoses came after she sought a second look in both cases

@highlight

She initially was given an all-clear after a mammogram

@highlight

Seitz shares her own tips for taking charge of your health care