Mexico City began as the home of an ancient empire and grew into a massive, modern metropolis.

With more than 20 million people pulsing through its streets, it's one of the world's largest cities.

That big-city bustle brings with it delicious food, massive markets and more cultural events in a day than anyone can ever keep track of.

There's lavish wealth, devastating poverty and a lot to discover in Mexico's sprawling capital:

1. Looking to set a quirky record? Mexico City might be the world's best place to do it.

One big perk of having so many people in the same place: It's easy to set a record if you can persuade enough of them to do the same thing at the same time.

Records for the most people kissing simultaneously (39,879), the most people dancing to Michael Jackson's "Thriller" at the same time (13,597) and the world's biggest enchilada (weighing nearly 1.5 tons) have all been set inside the Mexican capital, according to Guinness World Records.

2. Gays and lesbians are welcome.

For years, Latin America's deep-rooted ties to the Roman Catholic Church meant much of the region tended to take a more conservative tack when it came to homosexuality. But that's started to shift in recent years, and Mexico City has been at the forefront.

Same-sex marriage is legal there. So is adoption by same-sex couples. And the city has marketed itself as a destination for gay tourists. In 2010, the city offered a free honeymoon to Latin America's first gay couple to wed.

3. You might have heard about the smog. They're working on it.

Pollution in Mexico City used to be so bad that children painting pictures of the sky reportedly would color it gray, not blue.

Because of its geographic location -- in a valley between mountains -- and the sheer number of cars traveling its streets, smog is a problem the city is still battling. But with government programs that encourage bike-riding and limit the number of days motorists can take to the streets, longtime residents say the pollution problem is much better than it used to be.

Another innovative solution debuted last year: a hospital tower covered with a facade designed to "eat smog," breaking down pollutants when the sun hits it. Designers say the tiles on the facade of the Manuel Gea Gonzalez Hospital neutralize the effects of 1,000 cars every day.

4. The city was built on a lake.

It's hard to imagine now, but much of the sprawling concrete jungle that now makes up Mexico City was once a large lake.

The Aztecs constructed a massive civilization there, with Tenochtitlan serving as the capital.

That city, which started out on an island and expanded to include reclaimed parts of the lake, thrived until the Spanish conquest. After winning the battle for control of the area in 1521, Spaniards destroyed Tenochtitlan and built Mexico City on top of its ruins, using canals and roads from the Aztec city as the basis for new streets and eventually draining the lake.

But they didn't entirely erase the past. That's made for some fascinating ancient finds as Mexico City grew into a modern urban metropolis.

In 1978, electrical company workers digging near the city's central square came upon an Aztec relic. That led to archaeologists unearthing ruins of the Templo Mayor, an Aztec temple that's now a popular tourist destination in Mexico City.

5. It's sinking.

It turns out the dried-out bed of a big lake isn't the best foundation for building construction.

If you want proof, take a look at some of Mexico City's most iconic structures.

The sloped floor and a swinging pendulum inside the Metropolitan Cathedral show that the building is decidedly tilted.

Head up Reforma Avenue to the Angel of Independence, and you'll need to walk up steps that the city built over the years as the area around the 1910 monument sank.

Government officials have estimated that the city is sinking at a rate of 10 centimeters (4 inches) per year. A recent government report (PDF) estimated that Mexico City has sunk 10 meters (32.8 feet) in the past 60 years.

6. One of the world's richest men lives here.

Mexican telecom mogul Carlos Slim topped Forbes Magazine's list of the world's richest men for four years. Microsoft founder Bill Gates reclaimed the No. 1 spot this year. But Slim and his family, with an estimated net worth of $71.4 billion, are still sitting comfortably in second place.

Slim lives in Mexico City, and many of the companies he controls are based there, too. Even if you're just passing through the city, you're bound to come across his holdings.

Talking on a Mexican cell phone? It's pretty likely that it's tied to Slim's company, Telcel, which controls 70% of Mexico's wireless market.

Swinging by a department store? If you spend any time in Mexico City, you'll probably find a reason to stop at Sanborns, Slim's ubiquitous chain that contains restaurants, pharmacies and retail goods.

Admiring beautiful buildings in the city's historic center? Slim helped finance a major facelift there in recent years.

7. It's safer than some parts of the country.

Many Mexicans used to fear traveling to their nation's capital, concerned about crime.

Street assaults and kidnapping are still major worries for residents and visitors. And in high-end neighborhoods, you might find a store selling bulletproof glass near a designer clothing boutique.

But the city's homicide rate is on par with other major metropolises around the world.

And with drug violence plaguing other parts of the country, Mexico City has actually earned a reputation as one of the safer places to go.

8. It's not just tacos and tequila.

Don't expect to find much cheesy Tex-Mex fare here. The Mexico City culinary scene is muy caliente, with fancy restaurants in posh hotels and top chefs saying they come here for inspiration.

Pujol, a restaurant in the city's posh Polanco neighborhood, ranks among the world's top eateries. But it's not all about fine dining. Market stalls and street stands serve up some of the city's most delicious food.

If you're looking for tequila, it's not hard to get it. But if you want to drink like a local, try mezcal or pulque.

All three drinks are made from agave plants. Tequila comes from blue agave. Mezcal can be made from different types of agave plants and has become a popular drink for hipsters in Mexico's capital.

So has pulque, a 2,000-year-old Aztec drink made from fermented but undistilled agave juice.

9. The subway is fast, cheap and fascinating.

While many businessmen and foreigners who live in the city rely on taxis and car services, Mexico City's metro is still the most popular way to get around for the masses.

Protests after authorities announced plans to raise fees last year weren't successful. But taking the subway is still pretty cheap: just 5 pesos (about 40 cents) for a ticket.

And it's not just a way to get from point A to point B. For some people, stations on the city's 12 subway lines are a destination. There are shops, libraries, art exhibits and even computer labs inside.

A pedestrian tunnel between two subway stations in the heart of the city boasts more than 40 bookstores.

10. It's not all loud noise and concrete.

If you need a break from the bustle, it takes only a short subway ride in Mexico City to reach places where you'll feel like you stepped back in time.

Neighborhoods like San Angel and Coyoacan (where artists Diego Rivera and Frida Kahlo made their home) have cobblestone streets, beautiful buildings and quaint cafes that will give you a chance to catch your breath.

@highlight

Mexico City's metro area is one of the world's largest, with more than 20 million people

@highlight

The huge population makes for interesting record-setting

@highlight

There's still smog and crime, but it's not as bad as you think