London, England (CNN) -- A long-awaited inquiry into Britain's role in the Iraq war got under way Tuesday -- a process that could determine whether former Prime Minister Tony Blair misled his country over the 2003 invasion.

The inquiry is expected to be the most thorough investigation yet into the decisions that led up to the war and governed Britain's involvement, analysts said.

It is not a court of law, so the inquiry cannot find anyone criminally responsible or even apportion blame. But inquiry members will be able to judge the legality of the conflict.

"The Iraq Inquiry was set up to identify the lessons that should be learned from the UK's involvement in Iraq, to help future governments who may face similar situations," inquiry Chairman John Chilcot said at the opening of the hearings Tuesday. "To do this, we need to establish what happened."

Chilcot, a senior civil servant, said on the eve of the hearings that the committee is "completely determined" to write the full story of Iraq war decision-making by the British government using all the evidence it can get.

Prime Minister Gordon Brown, who announced the inquiry in June, has promised the committee will have access to the full range of information, including secret documents, in order to identify lessons that can be learned from the war.

The inquiry officially began July 30, but Tuesday was the first day of hearings, which are expected to last into the new year.

The hearings were initially going to be held behind closed doors, but after criticism the government decided to allow the hearings to be public and televised. The committee has said it will decide on a case-by-case basis whether to keep the hearings private when discussing sensitive or classified information.

Blair will be called to testify, Chilcot said earlier this year, and the former prime minister has said he will appear. Other witnesses will be key decision-makers involved in Iraq, Chilcot has said.

Chilcot has said the panel members plan to visit Iraq as part of their work, as well as hold discussions with Iraqis outside of the country.

Top officials from the British and U.S. governments also might be called on for evidence, he said.

Britain has already held four hearings about the Iraq war. But because all were held before the end of 2004 -- so close to the start of the war -- they were hampered by limited information, political analyst Glen Rangwala of Cambridge University told CNN.

"They didn't manage to achieve anything like a comprehensive understanding of the paths that led the UK to support the United States in the invasion," he said. "This will be the first to look at political decision-making that led to the British invasion of 2003, with the potential to tell a full story."

People involved in those decisions are more likely to testify now than they were a few years ago, Rangwala said. That partly because British troops are no longer involved in combat in Iraq, but also because the war there is no longer the politicized issue it was when Blair was in power, he said.

"The sort of political sting has been taken out of it, and people who are presenting their evidence to the (inquiry) won't feel quite so constrained by the political line, or the party line, than they would have a few years ago," he said.

Britain's first two inquiries were held by government committees in 2003.

The House of Commons Select Committee on Foreign Affairs examined whether Britain's Foreign Office gave accurate and complete information to Parliament in the run-up to the war. It found the government exerted no improper influence on the drafting of the dossier given to Parliament on Iraq's alleged weapons of mass destruction.

The Intelligence and Security Committee then examined whether intelligence about Iraq and its weapons was properly assessed and accurately reflected in government publications. Its findings were mixed.

The next two inquiries had narrow mandates, looking at specific aspects of the war.

The Hutton report from January 2004 investigated the death of David Kelly, a leading microbiologist and former U.N. weapons inspector who committed suicide months earlier. Kelly had worked for the British Ministry of Defence, advising it on Iraq's weapons of mass destruction, but was later found to be the source of a BBC report that said the government had exaggerated evidence to justify war on Iraq.

Following that came the Butler inquiry, which looked at the accuracy of intelligence on weapons of mass destruction in Iraq and elsewhere. It found some of the intelligence sources were "seriously flawed," but that there was no evidence of deliberate distortion or culpable negligence by spy agencies.

@highlight

Hearings begin in UK Iraq Inquiry to determine legality of the Iraq War

@highlight

Promised to be the most thorough investigation into Britain's involvement in the war

@highlight

Hearings will be televised after initial plans for closed-door sessions were criticised

@highlight

Former Prime Minister Tony Blair will be called to testify