(Health.com) -- Jell-O, Hawaiian Punch, Pop-Tarts, Skittles, and other brightly colored foods designed to appeal to children aren't exactly health food. But do they make kids hyperactive?

Doctors and consumer advocates have long wondered whether hyperactivity might be tied to certain dyes and additives used in processed foods, but in decades of research no studies have been able to conclusively prove -- or disprove -- such a link.

Now, the Food and Drug Administration is formally weighing the evidence, raising the possibility that the agency may eventually strengthen its regulation of these ingredients.

In a two-day meeting beginning Wednesday, an FDA advisory committee will discuss the strength of the evidence surrounding food dyes and behavior changes in children, whether food labels should be changed to better protect consumers, and whether more studies on the subject need to be conducted. (The FDA is not required to follow the recommendations of its advisory committees, but it usually does.)

Health.com: 9 food additives that may affect ADHD

The debate over the potential effects of food dyes has been simmering since the 1970s. Why is the FDA acting now?

The main impetus appears to be a 2008 petition from a Washington, D.C-based watchdog group, the Center for Science in the Public Interest, which asked the FDA to ban eight different food dyes including Yellow No. 5 -- found in macaroni-and-cheese mixes, lemon-lime Gatorade, Lucky Charms cereal, and many other foods.

The FDA reviewed the petition and, in September 2010, decided that color additives didn't directly cause hyperactivity or attention deficit hyperactivity disorder, a condition characterized by chronic attention and behavioral problems. However, it didn't rule out that they might exacerbate preexisting problems in children with ADHD.

Health.com: What causes ADHD? 12 myths and facts

No one knows what the FDA committee will decide, but the research so far "doesn't appear to be conclusive evidence that food additives actually cause ADHD," says Kate Ulbricht, cofounder of the Natural Standard Research Collaboration, an independent research group based in Somerville, Massachusetts. "Some research suggests that they may be linked to exacerbated symptoms in people who already have ADHD."

Tying hyperactivity to specific food dyes or additives is especially difficult, Ulbricht adds, because "most products contain more than one." Indeed, some types of candy contain as many as 10.

A long-standing debate

The first inkling that food additives might be linked to attention problems arose more than three decades ago, when California pediatrician Ben Feingold, M.D., developed a diet free of artificial dyes and flavorings that supposedly quelled hyperactive symptoms in children.

Many people enthusiastically tried the so-called Feingold Diet, but the enthusiasm waned as the years went on and "some very well-done randomized controlled studies" questioned Feingold's theory, says Deborah Pearson, Ph.D., the director of the ADHD Research Laboratory at the University of Texas--Houston Health Science Center.

"I don't think there was a great deal of evidence suggesting that withdrawing food dyes and food additives were helping those children," Pearson says. "For a very small subset of kids there might have been an indication but, for the vast majority, not eating cookies with that frosting with the red dye in it didn't make a difference."

Health.com: 10 kid-targeted junk foods

More recently, a pair of government-funded studies in the U.K. revived interest in the link between food dyes and behavioral problems.

In one study, published in 2004, researchers found that a diet free of artificial colorings and the preservative sodium benzoate appeared to reduce hyperactive behavior among preschoolers. In the other, published in the Lancet in 2007, preschool and grade-school children seemed to be more hyperactive when given a juice drink with these same additives than they were after consuming an otherwise identical, additive-free drink.

Both of these studies -- which inspired the CSPI's petition to the FDA -- marked a departure from previous research in that they looked at children without ADHD who were not suspected of being sensitive to food additives.

"Those studies were not definitive, but they extended the concern from children with behavioral issues to the general population," says Michael Jacobson, Ph.D., executive director of the CSPI. "Almost every other study used as subjects children who were hyperactive or inattentive or suspected of being sensitive to dyes."

Health.com: Are food dyes really safe?

Could food dyes be banned?

Last year, the European Union placed warning labels on food containing the six artificial colors used in the Lancet study (three of which are not approved in the U.S.). And in 2009, the British counterpart to the FDA, the Food Standards Agency, asked food companies to voluntarily phase out these additives.

The FDA has not said that it is prepared to take similar steps. And because food dyes are more prevalent here than in Europe, an outright ban on some or all of the additives would be very difficult to implement, Jacobson says.

However, some food manufacturers are proactively reducing their use of food dyes and other additives, and some retailers are declining to stock products containing artificial coloring. Whole Foods, for instance, has had such a policy in place since the 1980s, says Joe Dickson, quality standards coordinator for the company.

Health.com: Quiz: Do you have adult ADHD?

The food industry, meanwhile, has defended the safety of its products.

"[Added] colors are safe and play an important technological role in foods. In many cases they replace color that's lost during processing or for consistent appearance, for instance," says Sean Taylor, Ph.D., the scientific director of the International Association of Color Manufacturers, a trade association representing food-dye makers.

"Specifically, relating to hyperactivity studies, our association strongly supports sound scientific approaches to understanding any effects of any type with food additives," adds Taylor, who is scheduled to address the advisory committee on Thursday. "What we see right now is no clear causal relationship with these studies and [feel that] there isn't enough information here for the FDA to establish a clear causal relationship."

Copyright Health Magazine 2011

@highlight

The debate over the potential effects of food dyes has been simmering since the 1970s

@highlight

Some manufacturers are proactively reducing their use of food dyes and other additives

@highlight

The FDA is raising the possibility that it may strengthen its regulation of these ingredients