Princeton, New Jersey (CNN) -- A new restored version of "Modern Times," one of the greatest films in the Hollywood canon, has recently been released.

The film, which came out in 1936, vividly captured the anxieties that gripped industrial workers at the height of the Great Depression. Unfortunately, the comedy works as well today as it did over seventy years ago, another sign that all is not well with our economy.

In the opening scene, viewers see the Little Tramp, played by Charlie Chaplin, working on an assembly line. Many generations of viewers have laughed as they watched Chaplin try to keep up with the mind-numbing repetition of bolts that must be tightened as they make their way to him on the conveyer belt.

Whenever he or his co-workers stop, for even a second, they must frantically scramble to catch up. Chaplin suffers a nervous breakdown and is placed in a hospital.

His misfortune continues. When the Little Tramp leaves the hospital, he steps right into the front lines of a communist march. He is mistaken as one of the leaders of the protest. He is arrested and thrown into jail. The Little Tramp eventually escapes during a jail break.

Much of the rest of the film follows the Little Tramp and his girlfriend, the Gamine, as they imagine a life of middle-class luxuries. The two break into a department store one night, experiencing what it would be like to enjoy all the new goods that were being offered in the emerging world of mass consumption.

In one scene, the Tramp and the Gamine rest by a tree outside a nice neighborhood, watching a couple say goodbye.

"Can you imagine us in a little home like that?" the caption reads. They think about what it must be like before a policeman tells them to move along. Later, they have a chance to live their dreams, but they must do so in a broken-down shanty where the walls fall over and a wood plank keeps crashing down on Chaplin's head from the ceiling. This is their reality.

"Modern Times" seems all too familiar for many Americans who are living through an economic nightmare in 2010. Although working conditions for many Americans have vastly improved since the 1930s and citizens can count on certain basic provisions upon their retirement, current economic conditions have created the same kind of despair captured by Chaplin in this film.

Other than the upper-income Americans who are enjoying the fruits of a rebounding stock market, most are struggling to survive with an unemployment rate hovering at 9.5 percent (and an underemployment rate, which includes the unemployed and those working part-time seeking full-time work, that is over 19 percent).

They are fearful about keeping their jobs if they have one, obtaining jobs if they don't, being able to pay for their family's needs, saving for retirement, and facing local and state governments cutbacks in essential services such as school programs.

Yet politicians are not dealing with this crisis and the private sector has not offered solutions.

The problem is much deeper than the recession. The stagnant unemployment rates have been produced by a number of forces that have long been brewing in the economy. For decades, businesses have been shifting their plants overseas. They have been setting up shop in places where labor is cheap and unions are nonexistent. While much of this shift began with factory jobs, a growing number of white-collar jobs have left as well.

The U.S. has fallen behind in many sectors of the economy such as clean energy and is even starting to feel competition in once-dominant sectors such as science.

Public policy, as many scholars have shown, has combined with globalization to undercut the security that many Americans had enjoyed in the post-World War II era, at the same time that income inequality has vastly increased. Rising medical and educational costs have squeezed the financial resources of families as they face these challenges.

There will continue to be a debate about which are the most important factors behind the current crisis, but the outcome is indisputable. American workers are struggling.

Velma Hart is a poignant example.

Hart was the woman who confronted President Obama when she asked, "I've been told that I voted for a man who said he's going to change things in a meaningful way for the middle class ... I'm waiting ... Is this my new reality?"

Unfortunately, Hart found out her answer when she was laid off by a nonprofit organization in Maryland. According to the national director of the organization where she worked, "It's not anything she did. She got bit by the same snake that has bit a lot of people. It was a move to cut our bottom line. Most not-for-profits are seeing their money pinched."

Too many of the nation's workers are finding themselves right back where Chaplin's character was in 1936. Ultimately, many Americans did experience better lives when the New Deal stabilized conditions and increased government spending in World War II helped stimulate the economy.

Innovation and public-private partnerships resulted in a vibrant period for the American economy during the 1950s and 1960s, one that the historian James Patterson has characterized as an era of "Grand Expectations."

Today the political system seems paralyzed in its efforts to find ways to regenerate the economy. As a new generation of Americans are exposed to the film for the first time, they might find themselves laughing a bit too hard and seeing a little of themselves in Chaplin's shoes.

The opinions expressed in this commentary are solely those of Julian E. Zelizer.

@highlight

Charlie Chaplin's 1930s film depicted anxiety of workers unable to get ahead

@highlight

Julian Zelizer says many of its themes resonate in today's hard times

@highlight

While workers have made progress, they remain at the mercy of economy, he says

@highlight

Zelizer: Politicians not dealing with crisis; private sector has not offered solutions