CEDAR RAPIDS, Iowa (CNN) -- Iowa officials are concerned about towns along the Mississippi River as floodwaters in the state's eastern counties began to drain toward the river.

Two weeks of flooding has left five people dead and forced more than 38,000 from their homes as several major rivers that feed into the Mississippi -- including the Cedar, Des Moines and Iowa rivers -- overflowed their banks.

The National Weather Service warned that the Mississippi River was expected to crest at nearly 26 feet at Burlington, Iowa, on Wednesday. That's about 11 feet above flood stage, partly because of levee failures along the Iowa River that have dumped more water into the system.

In Washington, Sen. Tom Harkin of Iowa said the flooding has devastated his state's corn crop and may have inflicted up to $1 billion in damage to Iowa's agricultural sector alone. The flooding has forced farm-equipment manufacturer John Deere to idle two plants in Waterloo, he said.

"Across eastern Iowa, the flooding rivers have washed out railroad lines; Mississippi barge traffic has come to a halt; and closed major roadways," said Harkin, the Democratic chairman of the Senate Agriculture Committee. "Thousands of Iowa businesses, large and small, have been impacted."

In Cedar Rapids, residents were allowed to return home temporarily to retrieve keepsakes and other items Sunday, but authorities said Monday that strike teams had determined the neighborhoods were no longer safe, even for a quick visit.

"We are taking a step back," Cedar Rapids Fire Department spokesman Dave Brown said, adding it would be awhile before evacuees would be permitted to go back home.

Police set up checkpoints to keep people away from the affected neighborhoods, deemed unsafe after weeks of heavy rain forced the Cedar River from its banks, leaving much of Iowa's second-largest city underwater.  See photos of the flooding »

Evacuees waited in line at the checkpoints Sunday to receive special wristbands that allowed them to go home and gather their belongings. Authorities set a curfew and asked the residents to stay out of the neighborhoods between 8 p.m. and 6 a.m., so people stuffed what they could into plastic bags and returned to the checkpoints.

One resident, however, grew angry when he was not allowed to pass a checkpoint Monday, according to a news release from the Cedar Rapids Police Department.

After being denied re-entry to a flooded neighborhood, Rick Blazek, 53, returned to his vehicle as a state trooper used his police vehicle to block the checkpoint, according to the news release.

"Blazek drove his vehicle toward the state trooper and struck the state trooper three times with his vehicle," the release said.

Police told Blazek to get out of his vehicle, and when he refused, "the driver's window was broken out because the doors were locked and Blazek was removed from his vehicle," according to the release.

The trooper was not injured. Blazek, who was arrested and charged with assault on a peace officer with a deadly weapon, could not be immediately reached for comment.

Flood-related deaths include a 35-year-old man found on a gravel road near Wapello, an Iowa State University student struck by lightning in Curlew, a farmer swept away by floodwaters in Wright County, a man killed in a car accident in Hamilton County and a 51-year-old woman found dead in her Cedar Rapids home, said Courtney Greene, a spokeswoman for Iowa Gov. Chet Culver's office.

"We're looking at all-time flood records in terms of levels," Culver told reporters Monday evening. "The challenges remain, but we are more determined than ever to win the fight."

Iowa authorities have determined that the death of a woman whose body was found in her car Monday was not flood-related. The woman was found near New London, after her stopped car was hit by a National Guard bus. Investigators determined the woman died before the collision, Greene said.

Resident Tracy Murphy was able to return to her home Sunday before authorities deemed the neighborhoods dangerous. She made a beeline for her family photos when she entered her house, parts of which looked as if burglars had ransacked it.  Watch Murphy return home »

"Anything can be replaced, but your photos can't," she said.

A trash can was overturned and belongings were strewn across rooms. Murphy's eyes welled up as the realization hit her: "My whole, entire life is gone." iReport.com: Photos from Cedar Rapids

The checkpoints -- manned by police and the Iowa National Guard -- remained in place Monday, but Brown said authorities would not be letting residents check on their homes.

Strike teams assessed the residential and commercial areas where the waters had receded Sunday and determined those areas were not safe for re-entry, he said.  See a map of the flooding in Iowa »

Veronica Johnson evacuated her home and later had to evacuate her mother's house, she said. She hasn't been able to return in four days -- and not just because of dangerous floodwaters.

"I live by a gas station, and the tankers from underground busted up through the ground, so I have gas spilled all around my house and the whole neighborhood," she said.

Residents have been getting angry with the authorities who are keeping them from their homes, she said, but she understands safety comes first.

"They have Red Cross, police department, fire department, and the people who they brought in -- the Marines and stuff, the National Guard -- have been excellent," she said. "They are keeping us out of our homes even though we're getting upset with them. We have no right because they're trying to protect us."

Local authorities expect to release a list of areas that are safe by Monday afternoon, with the hope that people can begin returning to their homes Tuesday, Brown said.

About 36,000 Iowans were evacuated because of statewide flooding, 24,000 of them in Cedar Rapids. The massive flooding has overwhelmed the city -- which is in a 500-year flood plain, an area the federal government says has less than a 0.2 percent chance of flooding.  Watch residents begin the cleanup process »

"It's been compared to a 3,000-year flood," Cedar Rapids police Detective Brad Novak said. "So something with that rarity of an event, there is no playbook to go by."

Culver has declared 83 of the state's 99 counties disaster areas. More than 3,300 Iowa National Guard troops have been deployed to help primarily with sandbagging and staging resources, Maj. Gen. Ron Dardis of the Iowa National Guard said Sunday. Another 700 troops were expected to join them Monday.  Watch workers desperately sling sandbags »

There have been 18 weather-related deaths in the state since May 25 -- 12 of them from tornadoes and the rest linked to flooding, Greene said.

This month's severe weather has trampled towns from North Dakota to Indiana. The Federal Emergency Management Agency says more than 11 million Midwesterners will be affected by flooding and tornadoes.

FEMA has set up six disaster recovery centers in Iowa and has provided nearly $4 million in assistance so far, state and federal officials reported. So far, 24 counties are under federal disaster declarations, making residents eligible for individual aid, Lt. Gov. Patty Judge reported.

The flooding is "some of the worst" to hit the United States since Hurricane Katrina slammed into the Gulf Coast nearly three years ago, FEMA Administrator David Paulison said Sunday.  Watch how the Midwest is familiar with flooding »

The agency has received more than 12,000 disaster assistance applications from the hardest-hit states -- Iowa, Indiana and Wisconsin.

Starting Tuesday, the American Red Cross will set up kitchens in Iowa to serve up about 100,000 meals to residents each day. The agency, which is housing 720 flood victims in 30 shelters, plans to spend about $15 million on Midwest relief efforts.

CNN's Jim Acosta and Julian Cummings contributed to this report.

@highlight

Mississippi River expected to crest at 26 feet at Burlington, Iowa, on Wednesday

@highlight

Farmer and student among five flood-related deaths, official says

@highlight

Fire official says Cedar Rapids neighborhoods, home to 24,000 residents, unsafe

@highlight

Resident Tracy Murphy upon returning to house: "My whole, entire life is gone"