(CNN) -- Residents of the Atchafalaya Basin in south-central Louisiana, already urged to evacuate, late Thursday awaited a formal decision on whether a spillway will be opened, sending millions of gallons of floodwaters their way.

The U.S. Army Corps of Engineers is measuring the current flow of the Mississippi River at a river landing, and once it reaches a specified volume and velocity the Mississippi River Commission may make a decision on the Morganza Spillway.

The move would help divert water from Baton Rouge and New Orleans, but it would send a torrent down the Atchafalaya River, Gov. Bobby Jindal said.

He has advised residents in southeastern Louisiana to evacuate their homes, urging, "Don't wait for the official notification."

Jindal said Thursday that state officials need several days after a Morganza decision to notify residents. A decision on the spillway's opening could come between Saturday and Tuesday, officials said.

The Corps, meanwhile, continued to analyze multiple Mississippi River scenarios, depending on whether the spillway is closed, open or partially open.

The U.S. Coast Guard said floodwaters could close the Mississippi to ships at the port of New Orleans as early as Monday morning, according to a spokesman.

Vicksburg, Mississippi, Police Chief Walter Armstrong said 600 residents had been evacuated as of Thursday night. The Mississippi is expected to crest May 19 at 57.5 feet.

Armstrong said he expected higher water Friday, with more homes affected. More than two dozen roads were closed and about 45 businesses will be closed by Friday.

Across the South and lower Midwest, floodwaters have covered about 3 million acres of farmland, eroding for many farmers what could have been a profitable year for corn, wheat, rice and cotton, officials said Thursday.

In Arkansas, the Farm Bureau estimated that damage to the state's agriculture could top more than $500 million as more than 1 million acres of cropland are under water.

"It's in about 10 feet of water," Dyersburg, Tennessee, farmer Jimmy Moody said of his 440 acres of winter wheat, which was to be harvested in the coming month.

Other farmers in Mississippi, Missouri, Tennessee and Arkansas rushed to salvage what wheat they could ahead of the rising water. As for corn, farmers who were able to get into the fields during a soggy planting season in late March and April are seeing their crops in some cases under several feet of water.

Farms near and on the Mississippi River are no strangers to flooding, but the 2011 flood is definitely one for the record books.

"This is new water that has reached areas for the first time in 75 years," said Lee Maddox of the Tennessee Farm Bureau.

Of course, the flooding is covering more than farmland. In Louisiana alone, Jindal said, as many as 3 million acres -- of farms, forests and towns -- could be affected. In Mississippi, 600,000 acres of farmland are only part of 1.4 million acres likely to be flooded, said Andy Prosser of the state's Department of Agriculture and Commerce.

With the overflowing Mississippi River bearing down on New Orleans, where the water level was already at flood stage, the Army Corps of Engineers said Thursday that it was opening more bays at the Bonnet Carre Spillway.

Another 113 bays were opened, bringing the total to 223 open bays, authorities said. The 350-bay spillway, just north of New Orleans, diverts water into Lake Pontchartrain.

The National Weather Service said that as of Thursday night, the river was at 17 feet in New Orleans, about an inch and a half above flood stage. It is expected to crest on May 23 at more than 19 feet.

"Nobody can wrap their heads around what's going to happen," said Caroline George of Baton Rouge. In a CNN iReport from her hometown, where the 19-year-old is on summer break from college, she said, "I've never seen the river anywhere near where it is now."

The National Guard is working around the clock to construct a flood barrier in Morgan City, Louisiana.

In Memphis, which endured a record river crest this week, flooding affected between 800 and 1,000 properties, said Steve Schuler of the local emergency management agency. Many small businesses and farms were affected in Shelby County, and the river level was still high Thursday, he said.

Rain moved into the area Thursday night, according to county officials, and Shelby residents were being reminded about five shelters.

"Many people who chose to stay in their homes during the flood are now surrounded by floodwater and are in need of food and other supplies," the Shelby County Emergency Operations Center said.

Some Memphis roads remained closed, and an unspecified number of customers won't see power restoration for several days.

Flooding also continues to be a problem in southeastern Missouri and southern Illinois, though the Mississippi and Ohio rivers have crested in those states. Several roads were closed Thursday in Mississippi.

Back in Louisiana, "the Bonnet Carre Spillway was partially opened on Monday ... in order to keep the volume of the Mississippi River flows at New Orleans from exceeding 1.25 million cubic feet per second," the Corps said.

But the muddy water exceeded that level, with a flow of 1.36 million cubic feet per second by Wednesday night, authorities said.

Twenty-six parishes in the state have declared states of emergency ahead of the surging waters.

A nuclear unit in Louisiana may have to shut down if Mississippi River levels are too high, according to the Nuclear Regulatory Commission.

The Waterford Steam Electric Station Unit 3, about 25 miles west of New Orleans, was back online Thursday after being shut April 6 to refuel and replace the main generator.

Entergy Louisiana, which owns the plant, said flooding is not expected with the opening of the Bonnet Carre Spillway. But if the river exceeds 27 feet, the plant would be forced to shut down because a circulating water system that drives the turbine would not be able to operate.

Throughout the region, the economic toll has yet to be calculated.

In Mississippi's Tunica County, rising water shut down lucrative casinos that generate $85 million a month in taxes.

"We've created a barrier around the perimeter of the casino and hotel," said George Goldhoff, general manager of the Gold Strike Casino. "As of now, we remain dry inside that perimeter."

The emotional toll of a long-running natural disaster can be hard to gauge, said Paige Roberts with the American Red Cross in Mississippi.

"Emotional care is going to be just as much of a need as someplace to sleep and a warm meal to eat," she said.  "We're still at a point where it's not time to panic, but it is time to prepare, and that's how we're going to get to the finish line of this arduous marathon."

Fourteen Mississippi counties affected by flooding have been declared major disaster areas eligible for federal assistance, Gov. Haley Barbour announced Wednesday in a statement released by his office.

"We are grateful to President (Barack) Obama and FEMA for quickly fulfilling our request for assistance," Barbour said. "The flooding situation will last for several weeks, and this declaration gives Mississippians in flooded areas access to federal assistance that can help families through this difficult time."

CNN's Thomas Andres, Jason Morris, Mia Aquino, Phil Gast and Marlena Baldacci contributed to this report.

@highlight

NEW: 600 evacuated in Vicksburg, Mississippi

@highlight

Corps of Engineers studies spillway scenarios

@highlight

Nuclear plant in Louisiana could be affected by flooding

@highlight

About 3 million acres of farmland are flooded in four states