(CNN) -- Just as the sun peeked over the horizon, Brian Fuchs arrived at work. Eight floors up, he opened a Diet Coke, looked out his office window at the frozen Nebraska plains and smiled. Maybe the rest of America is tired of this winter's punishing snows, but Fuchs and his colleagues are thrilled.

"Yeah, realistically we do like seeing that snow accumulation," he says, "because that water will go into the water cycle. There is a lot of moisture going into lakes and reservoirs and that is a good thing."

Fuchs is with the National Drought Mitigation Center based in Lincoln. For the past decade, the center staff has watched dry conditions hurt farming, tourism and even city water supplies, so they can see good in this winter's storms, and even in the catastrophic floods that ravaged Colorado in September.

Last year at this time, well over half the country was in drought. "Now, it's 37.6%," Fuchs says, "so we've had some improvement over that time."

Whether a big snowfall is seen as lovely, treacherous or both depends, like beauty, on the beholder.

Certainly, millions of Americans who have been pounded by storms are not pleased. Schools have lost days of education, airlines have lost millions of dollars, cars have been wrecked, houses plunged into darkness, and the entire industry of Valentine's Day has been thrown into a heart stopping tailspin.

I can't even guess how many young lovers in the East were scrambling to find flowers and chocolates after being snowed in for the critical days before the holiday.

It could be worse, of course.

Modern meteorology gives us better warning about bad weather than mankind has ever known. Sure, the Al Roker- Bill de Blasio dustup suggests there is still room for disagreement about forecasts. But back in 1888, when the U.S. Weather Bureau was in its infancy, an unexpected blizzard on the Great Plains left more than 200 people dead, many of them children who were trying to get home from rural schools. It was a national tragedy, unimaginable today.

Yet greatness grows beneath the drifts, too.

At the same time as that disaster in the West, some of Europe's greatest impressionist painters were enthralled with winter scenes. Monet, Renoir, Gaugin, Pissarro, Sisley and many others stood in the freezing cold to capture landscapes of snow and ice. Although the whites, blues and grays of the winter scenes are often overlooked even by art enthusiasts, who tend to favor the bold colors of spring and summer, the artists themselves were fascinated by the delicate interplay of light on the luminous, frozen surfaces.

Well before the impressionists took off, acclaimed painter Frederic Edwin Church, from Connecticut, unveiled a winter masterpiece. "The Icebergs" is huge, powerful and cools the Dallas Museum of Art even on the steamiest days.

The Russians, of course, would love to have more snow at Sochi, where soaring temperatures have threatened to turn ski slopes into mudslides. But in Moscow, at the famed Tretyakov Gallery, one of the world's most treasured paintings is a winter scene. No one knows the identity of the beautiful young woman riding in a sleigh in Ivan Kramskoi's "Portrait of an Unknown Woman," but it captures something of the rare spirit of people around the world who find beauty and contentedness living in cold climes.

Brutal snow and cold have informed many of the arts, and sometimes in ways that produce visceral reactions. Read Jack London's short story, "To Build a Fire," about a man freezing to death in the Yukon, and chances are you'll start to shiver. Recall the frosted face of Jack Nicholson at the end of "The Shining," and the cold fairly seeps into your bones.

Science also enjoys the cold. Core samples of ice from the poles tell us volumes about climate change, natural history and perhaps even the origins of the Earth itself. Tiny bubbles, sealed in the ice, allow us to sample the air of the ancients.

Mammoths and men alike, frozen in time, have been preserved in remarkable ways, giving us glimpses of life on Earth long, long ago. In the early 1990s, a German couple hiking around the Alps found the head and shoulders of a frozen man poking up from the ice. Turns out he was something of a time traveler.

Researchers concluded he died during the Bronze Age, some 3,000 years before Christ. Yet the perpetual winter of the mountains preserved him so well, scientists knew he ate venison not long before dying, and they could even tell the color of his eyes.

Brown.

Greatness has come in from the cold. Polar explorer Sir Ernest Shackleton's ship, The Endurance, was crushed by Antarctic ice in the early 1900s. His expedition was a failure. But the daring journey he and his men made in an open boat to escape the savage cold made him into a hero.

Like I said, as hard as this winter has been, it's all in how you see it.

So, with much of the West still hurting for water, maybe it's not surprising that back in Lincoln, Brian Fuchs and his pals look at reports of blizzards blanketing much of the nation and say, "From our perspective here, we wish we'd seen a little bit more."

The opinions expressed in this commentary are solely those of Tom Foreman.

@highlight

Tom Foreman: Snow has many benefits, especially for the drought-stricken Midwest

@highlight

Winter has been the subject for many artists, from Monet to Renoir

@highlight

Snow and ice serve as important indicators for scientists