(CNN) -- In the days and weeks ahead, we hope to learn more that will help us understand the tragedy that befell Virginia State Sen. R. Creigh Deeds and his family last week. On Friday, Deeds was released from the hospital four days after his son Austin "Gus" Deeds stabbed him repeatedly before shooting himself to death.

Mental health officials initially said that after a psychological evaluation for the younger Deeds, they had been unsuccessful in finding a bed at a psychiatric hospital for him. But nearby hospitals later said that they had available space but were never contacted. The state of Virginia is investigating the matter and also conducting a review of state and local mental health services to determine if changes are needed.

Much is still not known about that sad incident. But what we do know is that mental health care is an area that remains underserved; many who need care do not get it. For years, the mental health system has suffered from shortages of funding and political attention. Of the estimated one in five people who experience a mental health challenge each year, about 60% receive treatment.

While the one-in-five number includes depression, anxiety, insomnia, eating disorders and substance use, it is important to note that those are the issues that people report to their doctors when they do seek help. Sometimes these symptoms indicate that there is a more serious problem that, if treated early, it can be key to preventing a disorder from reaching a crisis or leading to disability.

The mental health system in the United States is fragmented, and reductions in public mental spending have resulted in severe shortages of services, including housing and community-based services. Since 2008, more than $4.5 billion has been cut from state budgets nationwide, and there are unmeasured challenges brought about by sequestration. These include reductions in block grants to the states for mental health and justice initiatives and cuts to Indian Health Services, which have resulted in fewer mental health counselors being hired.

These cuts have placed even greater demands on programs that provide community treatment and crisis services. And while we don't know whether these difficulties played any role in the Deeds incident, we do know that years of discrimination toward people with mental health conditions has contributed to confusion about how to access care and often resulted in denied care.

Fortunately, there has been significant progress in removing barriers and expanding and equalizing insurance coverage. The Affordable Care Act includes mental health care and substance use treatment as one of its 10 essential health benefits. That sends a strong message about the importance of mental health to overall health and wellness. Coupled with the just-released final regulations for the Paul Wellstone and Pete Domenici Mental Health Parity and Addiction Equity Act of 2008, these changes will greatly improve access to care.

We know that acute mental health inpatient services are very expensive, just as they are for the medical/surgical side of the health care equation. In recent years, there have been reductions in the number of community hospitals providing psychiatric care, as well as shortened stays. Treatment is increasingly being delivered in alternative/outpatient settings, as is the case for health care in general. This is not necessarily a bad thing, as long as coordinated community-based treatments are available.

Community-based care, particularly when coupled with coordinated and supportive services similar to what is provided for other health conditions, produces better outcomes, helps people recover and reduces overall societal and medical costs.

As part of their Medicaid plans, states such as Pennsylvania and Georgia are offering programs that provide alternatives to traditional services. They not only work well, they also cost less than not providing mental health services.

For example, rather than having people experience long waits in overcrowded emergency rooms or forcing them to travel long distances, mobile crisis services are coming to adults and children (and their families) in their own homes in places as diverse as rural North Carolina, Minnesota and Tennessee, as well as in some of the nation's largest urban centers, including Los Angeles and Philadelphia.

We know that community alternatives to traditional hospitalization are proving effective.

In Lincoln, Nebraska, with its Keya House; at Rose House serving people in the counties north of New York city; and in multiple sites across Georgia, peer support and respite centers provide hospital diversion, a safe place for people in crisis and ongoing support to those at risk for a mental health crisis. Even New York City has recently added crisis alternative services.

Legislators must make the commitment to restore the cuts to state mental health budgets. More state Medicaid plans and private insurance must add certified peer specialists to their plans to let people with state-provided nonclinical training help others stay on their medications and build social supports.

Municipalities must better coordinate their mental health services and increase the number of mobile and alternative crisis services, and all community members need to understand that mental health is essential to overall wellness.

We know what we need to do to head off tragedies and improve the quality of life for people with mental health conditions, and their loved ones. We need to find the political will to ensure that we address mental health with the same degree of attention as other health conditions, and provide the means and mechanisms to pay for it.

The opinions expressed in this commentary are solely those of Debbie F. Plotnick.

@highlight

Debbie Plotnick: Much not known about Deeds incident, but mental health implicated

@highlight

She says mental health care inadequate in U.S., particularly with painful funding cuts

@highlight

She says Obamacare, Mental Health Parity Act will help, but community effort needed

@highlight

Plotnick: Restored funding, along with peer support, coordinated services essential