San Diego (CNN) -- For many children fighting cancer, it can be extremely tough to make it to their chemotherapy appointments.

Two-year-old Sisi Johnson has neuroblastoma and must travel as much as six times a week to Rady Children's Hospital in San Diego. But her mother doesn't have a car, and Sisi's compromised immune system means public transportation is off-limits.

That's where Richard Nares comes in.

Nares, who lost his son, Emilio, to cancer in 2000, started a program called "Ride With Emilio" to provide transportation for low-income families and their children battling cancer.

"No child should miss their cancer treatment due to lack of transportation," Nares says.

Sisi is now one of hundreds of patients who receive free rides to and from treatments.

"They help me out so much," says Silvia Johnson, Sisi's single mother of two who receives eight to 10 rides per week. "They're very clean, they're sanitized ... they are always organized and on time. I don't know what I would do without them."

Nares knows firsthand what these families are going through. In March 1998, his 3-year-old son was diagnosed with leukemia, thrusting the family into a world of constant treatments, hospital visits and tests.

Fortunately, he and his wife had a large support system, flexible jobs and understanding employers.

"We had rides to the hospital to bring Emilio," he said. "We had our brothers and sisters and neighbors bring us hot meals."

But Nares met many families along the way who didn't have such support: Single moms forced to take leave from jobs without pay, kids having to ride the bus alone to their chemotherapy appointments, siblings left home alone.

Nares said it broke his heart.

"It's extremely tough, not just emotionally, but now financially," he said. "Sometimes, both parents have to either leave their job or cut back severely. Some ... don't have (an) extra $10 to pay for cafeteria food."

When Emilio died, his father decided he had watched too many people struggle. He went back to Rady Children's Hospital, where Emilio had received most of his treatment, and asked how he could help.

"Transportation," they said.

So Nares started picking up families in his old Buick.

"I was going every day, picking up families all over the county," he said.

Soon, however, Nares couldn't handle the number of requests that were coming in. So he teamed up with nurses and social workers from Rady to create a formal transportation program. He hired a driver, formalized a schedule for pickups and drop-offs and started the Emilio Nares Foundation in 2003.

One of the first children Nares helped was a 1-year-old boy with a brain tumor who required frequent chemotherapy treatments. With no car, the boy's mother had to leave her home at 4 a.m. and take four buses to get her son to an 8:30 a.m. appointment.

"It was over four hours one way by bus," Nares said. "And after the whole day of chemotherapy, it was the same amount of time back."

Nares and his foundation stepped in, saving them a significant amount of travel time each day.

Today, Nares' group provides more than 2,500 rides a year, traveling more than 70,000 miles. It operates out of Rady and Orange County Children's Hospital.

In addition to the free rides, Nares' nonprofit provides support services and assistance to its clientele, many of whom do not speak English. Nares' group offers translation services and an on-site resource center at Rady to help them navigate the often-complex insurance systems, legal issues and medical diagnoses.

"Most of the families that we're dealing with are not just low-income, but they are living in poverty," Nares said.

On Saturday, Nares will begin his "Richard Runs California" fundraiser to help children fighting cancer. He will run 700 miles over 30 days, starting in San Francisco and ending in San Diego.

He says his work not only saves children's lives, but it keeps Emilio's memory alive as well.

"He really is the force," Nares said. "Even though he's been passed away almost 13 years, it's still like he's with me. Like he's still on my shoulder or still pulling my ear like he used to."

Want to get involved? Check out the Emilio Nares Foundation website at www.enfhope.org and see how to help.

@highlight

Richard Nares organizes free rides to the hospital for poor children with cancer

@highlight

Many children and their families find it difficult to get reliable, affordable transportation

@highlight

Nares lost his own son, Emilio, to leukemia in 2000: "It's like he's still with me"