The number of Ebola cases in Liberia and Sierra Leone could rise to between 550,000 and 1.4 million by January if there are no "additional interventions or changes in community behavior," the Centers for Disease Control and Prevention said in a report Tuesday. The estimate was derived from a new forecasting tool developed by the CDC.

The range of estimated cases -- from 550,000 to 1.4 million -- is wide because experts suspect the current count is highly under-reported. The official death toll from Ebola in West Africa has climbed to more than 2,800 in six months, with 5,800 cases confirmed as of Monday, the World Health Organization said.

But the CDC estimates that if 70% of people with Ebola are properly cared for in medical facilities, the epidemic could decrease and eventually end.

In a press conference Tuesday, CDC Director Tom Frieden cautioned that this model is based on older data from August. The numbers are not projections, but "scenarios."  The model does not take into account President Obama's announcement that the U.S. is sending troops and extra medical equipment to the area. Nor does it take into account the additional help from other countries promised.

What the model does suggests, he said, is that the current surge of help can "break the back of the epidemic" and is "exactly what's needed" to end it.  He said he is now "confident the most dire predictions will not come to pass."

The cautionary tale this data does tell, he said is that there would be an "enormous cost" if help is delayed.

Gayle Smith, a special assistant to the President and senior director of the National Security Council said the model tells responders how to "bend the curve" and that the epidemic can end with a large international response.  "The momentum must at least be maintained to ensure we are way out ahead of this," Smith said. And added that the international help will need to "stay on this as long as it takes."

A separate nine-month assessment published by WHO experts in The New England Journal of Medicine on Tuesday says the fatality rate of this outbreak in West Africa is 71% and that the "current epidemiologic outlook is bleak."

It also warns that without "drastic improvements" in measures to control its spread, the number of cases and deaths from Ebola is expected to continue climbing from hundreds to thousands per week in the coming months. The cumulative number of cases could exceed 20,000 by November 2, the assessment said.

It blamed the spread not on a particularly virulent strain of the virus, rather it said this outbreak was so deadly because of a "combination of dysfunctional health systems, international indifference, high population mobility, local customs, densely populated capitals, and lack of trust in authorities after years of armed conflict."

"Perhaps most important, Ebola has reached the point where it could establish itself as an endemic infection because of a highly inadequate and late global response."

It warns that the global response must improve to meet the threat posed by this and future epidemics.

Another six-month report from WHO -- which assesses the situation in three countries at the outbreak's center, Guinea, Liberia and Sierra Leone -- is dedicated to those health workers "who, as an expression of our innately shared human compassion, risked their lives, and lost them."

In the six months since this outbreak was first formally reported in March, 337 health care workers have been infected, of whom more than 181 have died, the WHO said.

Complete coverage of the Ebola outbreak

Guinea: Porous borders aid spread

The WHO's six-month report on Guinea, where the outbreak began in a remote area, details how the virus first gained a grip on a vulnerable, frightened population ill-equipped to deal with the deadly disease.

Once Ebola was identified as the killer, a national and international response swung into gear. But each time it looked like the country might be at the point of controlling the virus, new flare-ups occurred.

The WHO report concludes Ebola kept getting reintroduced "into Guinea -- with its notoriously porous borders -- from the large outbreaks in neighboring Liberia and Sierra Leone."

Controlling the virus then will not be feasible in Guinea until its stopped in neighboring countries.

Meanwhile, health workers there have come under attack as they seek to educate the local population.

"Today, one of the biggest barriers to control is violence from an impoverished, terrified and shattered population that does not understand what hit it and fights back the only way it can," the report said.

Liberia: Misery and hope

WHO's six-month report on Liberia summarizes their situation as one of "misery and despair tempered by some good reasons for hope."

The number of Liberian cases is increasing exponentially, with 113 new ones reported over a single 24-hour period on one day last week, WHO said -- a record number in any outbreak. At the same time, treatment centers are overflowing. Many patients are turned away.

The capacity to deliver other basic health services, such as care for women in childbirth, has been compromised. The report warns malaria-related deaths may soon surpass those from Ebola.

Hope can be found in the opening of a new WHO-funded, 120-bed Ebola treatment center, it said. The U.S. government is also setting up a new laboratory to speed up diagnosis.  Currently there are four major Ebola treatment units in Liberia.

In remarks made on Tuesday, Liberian President Ellen Johnson Sirleaf said that her country's health care system is hurting. Of the over 1500 who have died, 85 were health care workers.

The President characterized the CDC's model for possible infections as "scary to all of us." She added, though, that she is happy with the U.S. response to the disaster. She believes it will make a "major" difference.

She predicts with that increased international effort, Liberia will see better results in a couple of weeks.

Sierra Leone: Urgent needs

The situation assessment for Sierra Leone explains how traditional burial practices helped the virus spread quickly there following the funeral of a respected local healer.

The virus has taken a devastating toll on health workers and researchers.

"Sierra Leone's most urgent needs include more treatment beds in much safer facilities, better contact training and follow-up, more personal protective equipment and body bags, and more properly protected teams to collect bodies and bury them safely," WHO said.

The deployment of international medical teams in West Africa, including from China and Cuba, may help.

Nigeria and Senegal, where the situation is judged "stable -- for the moment," are seen as success stories.

Those countries have shown conventional methods such as early detection, contact tracing, isolation and an adequate supply of personal protective equipment can contain the virus, WHO said.

"If Nigeria can control an outbreak caused by such a deadly and highly contagious virus, right from the start, any country in the world can do the same," its report said.

@highlight

CDC: Ebola cases in Liberia and Sierra Leone could rise to 550,000 by January

@highlight

WHO: Death toll from Ebola passed 2,800 as of Monday, with 5,800-plus cases reported

@highlight

Fatality rate is 71% and "current epidemiologic outlook is bleak," WHO experts say

@highlight

Nigeria and Senegal have shown Ebola can be contained with rigorous efforts, it says