(CNN) -- It has been an eventful few weeks for space news.

First came the launch failure of an unmanned Orbital Sciences rocket and cargo spacecraft bound for the International Space Station, which started a conversation in the media about the wisdom of relying on commercial carriers for transporting cargo (and later, crew) to the space station.

Days later came the fatal crash of Virgin Galactic's SpaceShipTwo during a flight test. The media discussion expanded to include the question of whether it would be ethical to launch members of the general public to space in the future, as nonprofessionals seeking the experience.

Regardless of the misconceptions (NASA has always relied upon commercial companies to design and manufacture its spacecraft and rockets) and arguments either way, the fact is that the public suddenly became aware that we are doing a lot of things in space.

Some learned for the first time that we have a space station and that science and STEM education work is being performed aboard. Others were surprised that Americans are still flying into space and participating in exploration plans.

Then came the new blockbuster movie "Interstellar" just a week after the Virgin crash. It is setting box office records, reinforcing space as the subject on people's minds.

And now, the Philae lander is capturing the public's imagination. It has apparently accomplished a major first: a soft landing onto the surface of a comet. Finally, a success story, a positive one that gets people's attention about space exploration! Usually only space mishaps and tragedies are able to push aside reality shows.

These events show two of the major facets of exploration: Risk and the wonder of discovery. They also show the power of risk and exploration as pop culture. Now that we have a success to celebrate, let me expand on what Philae (part of the Rosetta spacecraft and mission) is about, and trying to accomplish.

First, congratulations to the European Space Agency and the Rosetta team! It has been a long time coming. The operations team has been working for over 10 years on the program. Launched in March 2004, the Rosetta spacecraft reached comet 67P/Churyumov-Gerasimenko in August 2014, having traveled more than 500 million kilometers. It then began a 17-month mission. At this distance, it takes a signal (traveling at the speed of light) about half an hour to travel one-way to or from Earth.

The United States has a small part in this mission, as some NASA instruments are onboard. We applaud the success of our European partners, and this is just another example of what we can accomplish through international cooperation.

Philae was released on November 12 and began a seven-hour controlled descent to the comet surface. At approximately 1600 GMT, the lander touched down, despite a few technical glitches, which added to the drama (during the descent, control jets failed to activate).

After landing, there was jubilation before a second problem was detected. Harpoons were to be fired downward into the comet, to help anchor the lander to the surface. These units failed to fire, and telemetry indicated that the lander "bounced" and apparently settled onto another spot on the comet. This is because the comet, being only about 4 kilometers in width, has very low gravity. The escape velocity off of it is only 0.5 meters per second, so it would take only a little jump by an astronaut to go flying off into space. The fear is that Philae may have bounced off.

What is the purpose of landing on the comet? Besides the technical and operational lessons learned from this event, there is serious science to be had. There are theories that comets helped seed the Earth with most of its water, and indeed, perhaps with the basic chemical building blocks of life itself.

Philae, if successful, will analyze the comet soil and determine the quantities of water, nucleic and amino acids present. These data will help shed light upon these theories of comet seeding. If supported, the implication is that this likely happened in many other places in the universe as well. In short, Philae and Rosetta are poised to help answer fundamental questions on one possible mechanism of the creation of life.

As of this writing, the fate of Philae is unknown. After its landing bounce, it apparently landed in a place where the antennae are not pointed toward Earth. So, no signal can be received for several hours, until the rotation of the comet brings the antennae back into alignment. Maybe this is not all bad.

The drama of whether the lander survived and didn't bounce back off the comet just might keep the public engaged long enough to also become interested in the science that the spacecraft might return. Please, standby!

@highlight

Space has been in the news with a recent rocket explosion and a spaceship crash

@highlight

Chiao: Finally, we hear of positive news with the landing of Philae probe on a comet

@highlight

He says this is a major feat and success that gets people excited about space exploration

@highlight

Chiao: Philae is poised to help answer important questions about creation of life on Earth