(CNN) -- There is still much we don't know about what happened during the crash of Asiana Airlines Flight 214, in which two people were killed in San Francisco on Saturday. But we do know that of the 305 survivors on board that Boeing 777, 123 actually walked away from the scene, something that may seem unimaginable if you view the amateur video of the wide-body jet somersaulting while bursting into flames.

The city's fire chief described the survival of so many as "nothing short of a miracle."

But, although we persist in thinking divine intervention is the only thing that can save a flight in peril, it's no longer a miracle when even hundreds of passengers survive the worst of accidents. The "miracle of Toronto" and the "miracle on the Hudson" are just two examples of recent flight disasters in which everyone on board survived. And the danger of "miracle" thinking is that it lulls some passengers into not learning more about how best practices can save lives.

Are all airline crashes survivable? Of course not. But the statistics tell the story. In 2001, the National Transportation Safety Board released an exhaustive study of U.S. airline accidents over a 17-year period and found that 95.7% of occupants survived.

I wrote a book that focused on airline safety, and my research led me to interview dozens of aviation safety experts, including several who work for Boeing in Seattle. (The Asiana flight was on a Boeing 777.) In recent years, aircraft manufacturers have focused on a multipronged approach to survivability: In addition to accident avoidance, great strides have been made in helping occupants survive the impact, post-crash fires and fumes, and safely evacuate.

Boeing experts told me that many of the most significant advancements in safety were developing safer materials for carpeting, seats, and other cabin components. These new materials reduce flammability and toxic fumes during those critical first minutes after a fire starts. Experts also pointed to improved evacuation slides, which historically suffered high failure rates during actual emergencies.

But it isn't all about technological advancements; human factors also play a critical role. And here is where "miraculous survival" thinking is a danger: It can cause some passengers to not learn more about how best practices -- not miracles -- can save their lives.

Even the most frequent fliers may not realize how simple actions can dramatically improve their chances of survival. I'm not suggesting that flying has to be a white-knuckle, continually vigilant experience. I am suggesting that you not zone out during "key phases" of the flight, such as takeoff, landing, severe turbulence, and irregular operations. Only 11% of fatal accidents happened at cruising altitude.

Instead, consider the following to enhance your safety:

• Listen: You may be a veteran flier -- but that doesn't mean you don't need to pay attention during the preflight instructions. Emergency egress procedures can vary widely, even among similar aircraft types.

• Dress smart: Wear comfortable, flat-heeled shoes that won't fall off easily. Flip-flops and high heels are the wrong attire for evacuation slides. Avoid highly flammable polyesters and pantyhose; think cotton and wool.

• Seating: Choosing a seat involves many factors, but access to emergency exits may end up being the most important for you. Count the rows to the nearest exit, since you may need to find it under dark or smoky conditions.

• Stay buckled: You know that admonition to always stay belted while you're in your seat? Do it. Severe turbulence can maim and even kill.

• Secure your stuff: Loose items = projectiles.

• Drinking/medications/sleeping: During key phases of flight, it's critical that you remain sharp. Booze and meds can severely impair your ability to follow instructions.

• Strapping: The only safe place for a child under 2 years old is in an approved restraint system. Both the National Transportation Safety Board and the Federal Aviation Administration agree on this, though the FAA won't mandate that airlines ban children sitting in adults' laps. Don't believe that G-forces are for real? Take another look at the Asiana video; then imagine holding a child throughout that ordeal.

In the years ahead, the airline industry may remember Asiana Flight 214 for another reason. An alarming number of passengers on Saturday took the time to retrieve their luggage -- even bags in the overhead bins, no less -- before evacuating that burning aircraft. Words fail when contemplating how such thoughtless actions threatened so many lives. So let's add this to the list: Don't even think about evacuating while carrying anything that isn't alive.

Inevitably, some will scoff at learning more about survivability. I've read scores of armchair experts who assert that no one can walk away from a plane crash. Don't listen to them -- they can cost you or your loved ones your lives.

The opinions expressed in this commentary are solely those of William McGee.

@highlight

William McGee: Seeing survival as a "miracle" lulls fliers into ignoring safety procedures

@highlight

McGee: Stay alert during takeoff, landing and severe turbulence

@highlight

McGee: Listening, staying buckled, knowing where exits are can save your life

@highlight

He says don't even think about retrieving luggage while evacuating