(CNN) -- For the first time in history, slavery can be brought to an end. What's more, we already know how to do it. Even if the cost of ending slavery were astronomical, we should do it -- but in fact the cost is surprisingly low.

A number of forces have come together to create a unique moment. On one side there has been a recent rapid growth in the number of slaves worldwide. The population explosion, coupled with natural disasters, epidemic disease, civil war, grinding poverty, and especially government corruption, made millions of people vulnerable to slavery. The result is some 27 million people in slavery today.

These are real slaves, controlled by violence, paid nothing, unable to walk away, and making fat profits for criminal slaveholders.

Slaves are concentrated in South and Southeast Asia, across North and West Africa, and in South America, but virtually every country has slavery, and the U.S. is estimated to have 40,000 hidden slaves. Around the world, slaves do dirty, dangerous work, everything from agriculture to prostitution, and their lives are brutal and short.

The lives of slaves have changed little over the centuries, but the price of slaves has collapsed to an all-time low. For all of history, slaves have been expensive capital investments, costing an average $45,000 in today's dollars. Today the average price of a slave is $90. This means slaves are disposable, so cheap it is not worth giving them medical care when they are sick or injured, and it's easy to just dump them when they are used up.

It is an ugly problem, but at the same time, everything has clicked into place to make the end of slavery possible. The current number of slaves, 27 million, is the smallest percentage of the global population ever. The $40 billion they produce each year is the smallest fraction of the global economy ever represented by slave labor.

Read more about Kevin Bales at TED.com

Slavery is illegal in every country and denounced in United Nations conventions. There is no support for slavery from moral authorities, religious or political groups. And no industry or economy is dependent on slavery. In fact, if slavery ended tomorrow, consumers wouldn't see any price increases. Slavery has been pushed to the criminal edges of our global society and to the very edge of its own extinction.

There is no silver bullet that kills slavery, but over the past ten years an arsenal of effective responses has shown that you can end slavery and make communities slave-proof. One powerful vaccination against slavery is to make sure freed slaves build lives of economic stability.

This means education, skill training, micro-finance, and citizenship -- all the things denied American ex-slaves in 1865. Americans are still paying the price for their botched emancipation. Meanwhile, freed slaves given opportunities today generate economic growth through a "freedom dividend."

The modern anti-slavery movement is growing rapidly, and freedom is coming to an ever-increasing number of slaves. The end of slavery is possible, but three things have to happen.

First, governments have to keep the promises they made when they passed laws against slavery. The laws are on the books, but police are untrained and budgets are woefully inadequate.

Second, the public needs to be aware that slavery is all around us, and that it can be brought to an end.

Third, resources have to flow to those areas of the world where slavery is rife -- resources from international aid, charities, World Bank and IMF, and businesses. More funding is needed to provide for more anti-slavery workers.

When it is done right, the results are spectacular. Take the village of Azad Nagar in northern India. All the families there were hereditary slaves in a stone quarry. All children worked, there was no school, and all women risked regular sexual assault by the slaveholders. A Free the Slaves partner organization sent in a community organizer who helped the families to stand up to their masters and renounce slavery.

It was a tense and dangerous tactic, and at one point the slaveholders burnt down many of the huts where the families lived. After a few months, the crisis passed and the villagers embarked on new lives, many of them now running their own quarry. The children went to school and some ex-slaves even ran for elected office. Now in stable lives, it would take an armed invasion to push them back to slavery.

If you would like to know more, visit http://www.freetheslaves.net/Page.aspx?pid=183.

The opinions expressed in this commentary are solely those of Kevin Bales.

@highlight

For the first time in history, it's possible to end slavery, says Kevin Bales

@highlight

Economic trends have reduced the value of slaves and limited their usefulness, he says

@highlight

Bales: Education and skills training for freed slaves is crucial