Editor's note: The Rev. Jesse L. Jackson Sr. is president and founder of the Rainbow PUSH Coalition. He began his theological studies at the Chicago Theological Seminary and deferred his studies when he began working full-time in the Civil Rights movement with Dr. Martin Luther King Jr. Rev. Jackson received his Master of Divinity degree in 2000. Next week: Rev. DeForest "Buster" Soaries Jr. writes about his campaign to eliminate debt as senior pastor of First Baptist Church of Lincoln Gardens in Somerset, New Jersey. He is featured in CNN's "Almighty Debt: A Black in America Special" which premieres October 21.

My faith tradition has always been inextricably bound with the tradition of the civil rights movement. The blood, sweat and tears of "the movement" have run through my life; they touched and entangled me with an indelible spirit of never giving up, always trying to serve.

Through the good and hard times, I lean on my faith to help me traverse the twists and turns of life.

I grew up with two strong parents who believed in the literal sense and spirit of the Bible that required and mandates prayer in all circumstances. They prayed daily and instilled that belief in me. They were faithful to our local church. My parents participated in all aspects of the church work including tithing, which enabled us to build what we could with what we have and God's help. I learned very early in life "with God all things are possible."

As I navigated through the south as a youth, and in particular a college student, I was thrust into the civil rights movement. Racism was alive and well in the segregated South, present in every facet of our lives.

It was a "dual society" socially, where blacks could not sit at the same lunch counters as whites, sat at the back of the bus, and were denied equal access to public accommodations; and also economically, where African-Americans had little, if any, direct participation in the financial life of the nation.

Seeing the inequities in all aspects of our lives greatly challenged me to seek another way, a better way. I learned through the teaching of Dr. Martin Luther King Jr. and his contemporary Dr. Leon Sullivan that our plight as a people was like that of a symphony. I came to conceptualize our cause and termed it the "Freedom Symphony" -- our freedom song to democratic, economic empowerment.

Symphonies are constructed in four movements.

The first movement was the fight to end slavery -- a tumultuous upheaval battling the dehumanization of African Americans. Slavery fueled the global trade markets and the industrialization of America. It was an economic system that confined blacks to work without wages, and it involved total subjugation to the master.

The second movement was our quest to dismantle Jim Crow and tear down ancient walls of legal segregation that prevented equal, democratic participation in America's social, political and economic life. But the legacy of decades of slavery and Jim Crow segregation left blacks in a state of inequality. Economic inequalities -- two Americas -- remained a fact of life.

The third movement was our fight for the right to vote, to open the voting process to all African-Americans as well as create and institute new legislation such as the Voting Rights Act to ensure and protect the rights of all voters.

Our fourth movement of the Freedom Symphony represents the unfinished business of our movement. We are free, but not equal. Our fight for economic justice, access to capital, industry and technology remains at the forefront of today's agenda.

This fourth movement is one that I believe will take us beyond the margins so that all can participate in the prosperity of our nation. My last days with Dr. King and Dr. Sullivan were filled with watching them motivate and move our nation toward a more perfect union.

We must be guided by their faith and spurred to social action to ensure that we have equal access to capital, unfettered economic development in urban communities and fair and equitable professional financial services which includes deal flow and fee structure.

My faith inspires me to continue to do this work. But faith without works is dead. And so we tackle today's financial calamity - one that now finds us grappling with an ever spiraling cycle of unemployment, home foreclosures and rising student loan debt. It is here where faith and works meet. And it is upon this philosophy that I seek to serve my God and our world.

The opinions expressed in this commentary are solely those of the Rev. Jesse L. Jackson Sr.

@highlight

Rev. Jesse Jackson Sr. says faith must be accompanied by good works on earth

@highlight

He says journey of African-Americans to freedom has four movements

@highlight

First movement is emancipation from slavery, second is end of Jim Crow

@highlight

Third movement is voting rights and fourth is economic prosperity, he says