(CNN) -- "It's about time!"

That was how a friend and fellow Mexican-American Catholic responded to the news that Cardinal Jorge Bergoglio of Argentina had been elected the first Latino pope in the nearly 2,000-year history of the Catholic Church. It was one of those spontaneous utterances that, while not politically correct, was at least honest and heartfelt.

It's about time.

And for wayward Latino Catholics like me, the election came at just the right moment. Just how wayward? I go to Mass five times a year, and it's been almost 40 years since my last confession. Even when I do go to church, I'm what they call a "cafeteria Catholic." I pick and choose what I like from sermons and disregard the rest. I believe in the holy trinity, but I also believe in things that the Church teaches me I shouldn't believe in -- like gay marriage and a woman's right to choose.

Where does that leave me? Some of my fellow Catholics would judge me harshly and accuse me of being insufficiently committed to our faith.

I'm not. I'm good with my faith. I pray directly to God, and I don't need an intermediary. What I'm sufficiently committed to is my Church, which frankly -- in light of its own sins -- is in no position to judge anyone. It's because of the scandal involving sex abuse of young boys by priests that the Catholic Church is -- in my life, and I'm sure in the lives of other Catholics -- hanging on by a thread. I've been tempted to leave in disgust more than once.

Opinion: Pope Francis a conservative who sides with the poor

It doesn't help that I live in Southern California, in the shadow of the Archdiocese of Los Angeles. The largest Catholic archdiocese in the United States, it was until recently under the control of Cardinal Roger Mahony. The archdiocese of Los Angeles and Mahony recently settled a child sex abuse lawsuit for nearly $10 million.

Mahony, who retired in 2011, was accused of helping a confessed pedophile priest evade authorities. Yet he was allowed to vote at the conclave in Rome.

As a Catholic, it's hard to be idealistic, cheery and hopeful when you live in Mahony's backyard. There is always news coming out of that archdiocese, and it's usually bad.

Even so, I've come to accept that the Catholic Church is home to me. It's comfortable, familiar. When I go to weddings or funerals, I know instinctively that this is where I belong. The Church is deeply flawed, and the new pope has a lot of work to do in terms of rebuilding the confidence of parishioners. But I can't go anywhere else.

It's human nature to want to see yourself reflected in an organization you belong to. It's why Mormons in the United States were excited at the prospect of electing Mitt Romney president. It's why Jews were just as eager in 2000 to elect Joe Lieberman vice president. It's why, in East Coast cities like Boston or New Haven or New York, for generations the Irish voted for Irish candidates, and the Italians for Italian candidates.

There are about 480 million Catholics in Latin America, and that's not counting the 40 million to 50 million Latinos in the United States who are also Catholic. That accounts for nearly half of the 1.2 billion Catholics on the globe.

Even for a people who often think not in terms of years but centuries, and who are famous for their patience, 20 centuries is a long, long time to wait for an acknowledgement that you exist, that you matter, and that you deserve respect.

Opinion: Argentina a complex crucible for Pope

Now the wait is over. Pope Francis is of Italian descent, but he was born in Buenos Aires in 1932. Raised in Latin America, he speaks Spanish fluently and understands what life is like for the poor and downtrodden. As other commentators have rightly noted, the fact that he chose the name "Francis" -- in honor of St. Francis of Assisi, the champion of the have-nots -- is a hint that he intends to focus the world's attention on the issue of income equality.

Meanwhile, the news of a Latino papa has sent a jolt of euphoria through Argentina and throughout Latin America. Imagine winning the World Cup Championship times 10. There also will be a lot of excitement among Latinos in the United States, perhaps enough to reignite their passion for the Church and bring them back to Mass.

Lastly, the newly elected pope serves as a powerful symbol. He signals new beginnings. He represents the people who represent the future of Catholicism.

As the first non-European elevated to pope in more than 1,200 years, the 76-year-old instantly puts Latin America on the map. This is one of the youngest regions on the map. If Europe harkens back to yesterday, then Latin America represents tomorrow.

That's fitting. After all, for Catholics, this is a new day.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: For Latino Catholics, selection of a Latino pope has been long overdue

@highlight

He says, like many, he's a 'cafeteria Catholic," accepts some doctrine, rejects others

@highlight

He says with abuse scandal church has made it hard to stay, new pope sends good signal

@highlight

Navarrette: Pope pick is crucial nod to vast cohort of Latino Catholics