Copiapo, Chile (CNN) -- At least one miner is fighting acute pneumonia, two will need dental surgery, and others have skin problems or lesions in their eyes. Yet for all the 33 miners' challenges the past 69 days, trapped a half-mile underground in the San Jose mine without light, health care and other basics, those who have emerged appear surprisingly healthy, Chile's health minister said.

"Things are extraordinarily well, better than expected," Jaime Manalich said Wednesday. "They really are in good condition -- emotional condition and physical condition."

After getting out of the capsule, each miner stood up and reconnected with loved ones. Some of them engaged the throngs nearby. Within minutes, though, all were placed on stretchers and whisked away to get medical care.

While Manalich said "no major problems" have been found, all the rescued miners will be carefully monitored at a nearby hospital in the coming hours and days. Experts said some of the aftereffects of the long stay underground and quick trip to the surface -- especially mental effects, such as post-traumatic stress disorder or restless nights -- may be felt for years to come.

The miners do not have to be flown to Copiapo Regional Hospital, Manalich said. However, officials strongly recommended it, and the miners have agreed to go, he said.

Many of the miners rescued by late Wednesday afternoon had few evident medical problems, Manalich said, and dizziness was not a problem because the rescue capsule did not rotate as much as officials feared. Even so, all of the miners will be evaluated by specialists, including ophthalmologists, dermatologists and psychologists.

They are being housed in a brand-new ward that was completed two months before the August 5 collapse at the San Jose mine. The hospital has spent weeks preparing for the miners, said hospital director Hernan Rojas. "We've been ready since Day One of this disaster," he said last month.

Some miners may be released as early as Thursday afternoon, Manalich said, while others will stay longer at the hospital. That includes at least two men who need dental surgery and one miner, whom Manalich would not identify, who is expected to remain hospitalized through the weekend. That miner's symptoms emerged four days ago, and he was already being treated with antibiotics and improving about 24 hours before being brought to the surface, Manalich said.

Besides physical maladies, in the coming days doctors will keep an eye out for nightmares, panic attacks, anxiety and claustrophobia, among other potential issues.

They must be reintegrated with their families and society and deal with their sudden celebrity status and media attention. One expert has said the specter of post-traumatic stress disorder looms large.

Dr. Michael Duncan, the deputy chief medical officer at Johnson Space Center in Houston, Texas, told CNN, "The work is just beginning when the miners get out of the mine."

If the miners are given a clean bill of health, they will be released to their families.

Some concerns linger due to their lack of sunlight, nutrition questions, the effects of their confinement, lack of sleep and sanitation issues. Because they have been isolated for so long, they could be more susceptible to the common cold or other viruses.

Extensive precautions were taken to minimize health risks before the miners were rescued.

Two Chilean Army nurses were sent down to the mine ahead of all the miners' rescue to help them prepare for their trip to the surface, Manalich said. One of them focused exclusively on the miner with pneumonia, who had an oxygen mask on his face when he came up.

"They have an anemic condition, and right now they have been sleeping less these last few days," Manalich said earlier Wednesday. "They're tired and they still have long hours of waiting in order to be able to come up to the surface and to meet with their families."

The miners were switched to a liquid diet six hours before their rescue in case they vomit on the way up. Because Chilean Mining Minister Laurence Golborne was concerned about the miners being reintroduced to sunlight abruptly, special sunglasses were sent down for the men to wear to make sure they don't suffer damage to their retinas.

While underground, they were given special clothing that pulls sweat away from the body because of concern about skin infections, as well as special socks to help prevent infections like athlete's foot. They also had a series of vaccinations including a tetanus booster and flu shot. They have been exercising daily, and one miner, Yonni Barrios, is a paramedic who has been weighing his colleagues daily and taking blood tests and daily urine samples.

American astronaut Jerry Linenger knows something about isolation and confinement. He says his five months in space aboard the Russian space station Mir left him weak and with bone loss.

"Down in the mines you have gravity pulling you down. There will be disorientation -- turning your head will feel like doing 100 backflips in a row," he said.

The miners that have come up are showing slight increases in blood pressure and cardiac activity during the trip, but they recovered satisfactorily after a few minutes of rest and have not required medication, Manalich said.

The health minister added later that, emotionally, he was surprised by how well the men were doing. Still, experts warn that psychological adjustments may remain a hurdle for the miners.

"These men spent 20 days totally cut off in the dark until the first bore hole was made," Linenger said. "So they were in survival mode, which is tough psychologically because you are in a life-and-death situation."

CNN's Karl Penhaul, Patrick Oppmann, Saundra Young and Madison Park contributed to this report.

@highlight

One miner suffering from pneumonia, two need dental surgery

@highlight

Chilean health minister says things went "extraordinarily well"

@highlight

Experts warn of possible long-term effects from the ordeal

@highlight

Their psychological health is a concern as well as their physical health