Washington (CNN) -- Actor Laurence Fishburne is visibly moved when asked to read an excerpt of remarks made more than a half-century ago by the man he now portrays onstage, the legendary Thurgood Marshall.

The NAACP attorney was arguing before the U.S. Supreme Court in 1958 over whether Little Rock, Arkansas, officials essentially had to follow the order of the courts to desegregate its schools. Marshall, a sharp lawyer, turned the tables on the all-white bench, making the issue not about black students seeking equality but about society's larger civic responsibilities.

"Education is not the teaching of the three Rs. Education is the teaching of the overall citizenship. To learn to live together with fellow citizens, and above all, to learn to obey the law," Marshall told the court. "I worry about the white children in Little Rock who are told as young people that the way to get your rights is to violate the law and defy the lawful authorities. I am worried about their future. I don't worry about those Negro kids' future. They've been struggling with democracy long enough, they know about it."

Fishburne commands the stage as the first African-American on the Supreme Court in a new one-man play "Thurgood" for a one-month engagement at the Kennedy Center in Washington.

"Powerful stuff," he said about hearing Marshall's own words in the rarely heard audio argument of Cooper v. Aaron. The 48-year-old actor thoroughly researched this role, but he was unaware of this all-but forgotten chapter in Marshall's colorful life.

"Before I read the script for 'Thurgood', I knew nothing about Thurgood Marshall," he said, sitting comfortably in a lounge just off the Eisenhower Theater. "He was a very, very funny man. He was also a very serious man when it came time to be serious. I think he understood there was a time and a place for all kinds of behavior from human beings, and he indulged in those things at the appropriate times," laughing loudly.

It takes a good man with an unwavering dose of self-confidence to stand alone on a stage for 90 minutes straight, and portray a giant of American history. Fishburne offers a little secret to making it work.

"The wonderful thing about this piece even though it's a one-man show, I have a scene partner. My scene partner is the audience," he said. "So that makes it really important for me to be paying attention and seeing how people respond."

Fishburne has won a Tony, an Emmy and was nominated for an Academy Award. The actor currently stars as a forensic investigator in "CSI" on CBS. He first did the role of Marshall on Broadway two years ago. After this Washington engagement, he takes "Thurgood" to Los Angeles and the Geffen Playhouse.

The creator of the show is George Stevens Jr., who wanted to have Marshall "make the case for himself," with just one actor onstage.

"One-hundred years after the end of slavery in the 1950s, he comes around and lives in a segregated society where people can't go to lunch counters, schools, swimming pools, all of that discrimination, housing," Stevens said. "And decides that you can use the law to change it. And that was such an act of imagination. And that gives purpose to the play, but it is his sense of humor. His sense of narrative throughout his life; Marshall was a storyteller. And that gives us so much to work with."

An example in the play has Fishburne as Marshall talking to his critics in the 1980s who thought he should leave the bench.

"They said I was too old, too liberal, too tipsy," says the character. "I'd tell them, I accepted a lifetime appointment. I'm staying for life. I expect to die at the age of 110. Shot by a jealous husband!" which prompts huge laughter.

The play recounts through stories and anecdotes the remarkable journey of Marshall, who was born in 1908 and grew up in segregated Baltimore, Maryland. He was rejected from the University of Maryland law school because he was black, but after graduating from Howard University at the head of his class, he became chief counsel of the NAACP Legal Defense Fund and won 29 of 32 cases argued before the high court. He later joined that bench in 1967, retiring in 1991. He died in 1993.

Marshall was in the news recently when President Barack Obama nominated the justice's former law clerk Elena Kagan to the Supreme Court. Kagan recalled Marshall playfully called her "Shorty" during her 1988-89 clerkship.

Fishburne was not the first choice to play the role. Stevens had produced a 1991 television miniseries based on the landmark Brown v. Board case that ended public segregation. Marshall was played then by Sidney Poitier, who backed out of the current project. So did actor James Earl Jones.

But Stevens and director Leonard Foglia saw something in Fishburne.

"He's a compelling actor. And he's of an age which I originally thought was perhaps too young to do this part," said Stevens. "But I learned the opposite -- he can come out as the older Thurgood Marshall. And when he goes back in memory to his younger days, he has the vitality that brings that alive. So he's just a wonderful choice for this role."

Dressed in comfortable red sneakers, light khakis and a casual blue shirt, Fishburne said the role is one of the greatest acting challenges he has ever faced.

"It's all there," he said of Marshall, whom he never met. "I mean, we deal with his flaws and we deal with his strengths, we deal with his history, we deal with his disappointments as well as his victories. So, it's all there. It's all there in the show. Warts and all."

The actor said it helped that Marshall was a master storyteller, who combined wit with a touch of lingering bitterness over how he was treated as a black man. The story Stevens and Fishburne weave is more than a history lesson about race, but both men said Marshall's humanity makes it instantly relatable to a wide audience.

"It is a uniquely American life," Fishburne said. "The last thing that he says in the play, he quotes [poet] Langston Hughes, and he says 'America will be.' This is a work in progress, that this is the great experiment. And it is. And that we all have a stake in it. That we are all sort of in a way responsible for realizing it. Whether we accept that responsibility or not, the fact of the matter is we're all here together."

@highlight

Laurence Fishburne portrays Thurgood Marshall in one-man play in Washington

@highlight

Fishburne also played late Supreme Court justice two years ago on Broadway

@highlight

Show's creator: "Marshall was a storyteller. And that gives us so much to work with"

@highlight

Actor calls portrayal -- "warts and all" -- one of his greatest acting challenges