(CNN) -- From Singapore to Norway, there are plenty of reasons to plan your next trip around a fabulous hotel opening its doors next year.

Here are 11 of them.

The Reverie Saigon (Ho Chi Minh City, Vietnam)

Opening: January 2015

Part of the new Times Square building in Ho Chi Minh City's District 1, this lavish lodging doesn't cut corners.

The 286 rooms and suites have been fitted out by four of Italy's finest interior designers and come with elaborate chandeliers, jeweled beds and velvet curtains.

Cantonese food is dished up by a Michelin-starred chef, there's traditional Italian in a dining room named after Romeo and Juliet (R&J), a deli and one of the longest bar counters in HCMC (reportedly the length of a city block).

You can arrive in one of the property's fleet of Rolls-Royce Phantom Dragons or, if you're short for time, chopper in -- the hotel has its own helipad.

The Reverie Saigon, 22 Nguyen Hue, Ben Nghe, Ho Chi Minh City, Vietnam; +84 8 3920 9520

Mama Shelter (Los Angeles)

Opening: February 2015

Philippe Starck may have been responsible for the design of existing properties in the Mama Shelter portfolio, but the French interiors celebrity passes the baton to Thierry Gaugain for the brand's Los Angeles property.

Located in a 1923 building and one-time hotel in Hollywood (supposedly a favorite of Jimi Hendrix and Eva Gardner) the property's 70 rooms will feature the same design flair of sister properties across France and Turkey.

Unfortunately, we'll have to take the company's word for it -- no photos have yet been released of the secretive new property.

In addition to a ground-floor restaurant and bar, the hotel will offer dining and drinks on a rooftop patio.

From here you'll enjoy unbroken vistas of the nightlife along Cahuenga Boulevard, the Hollywood ArcLight (one of the largest movie theaters in the city), Amoeba Music and, every Sunday, the Hollywood Farmers' Market, which is a block away on Selma and Ivar.

Mama Shelter, 1557 Wilcox Ave., Los Angeles

Lizard Island (Great Barrier Reef, Australia)

Opening: March 1, 2014

Cyclone Ita devastated this petite Great Barrier Reef island when it hit in April 2014.

Almost 12 months down the track, and following a massive rebuild and remodeling effort, the isle and its resort have set a re-opening date.

From March, guests will have access to Lizard Island's understated, barefoot luxury once more, with new resort additions including a standalone two-bedroom suite, The Villa, which comes with its own plunge pool, wraparound deck, and views of the Coral Sea.

The Pavilion now features a separate lounge offering ocean vistas, and the Sunset Point Villas now have more plunge pools.

Inside are design nods to the reef, with an earth-tones palette complemented by pops of coral, blue and gold.

A dedicated wine and cheese room has been added and the island's spa has been relocated and expanded to include a dedicated manicure and pedicure room.

One thing that hasn't changed is the spectacular diving and snorkeling, with some of the world's most dazzling marine life steps from your room.

Lizard Island, Lizard Island National Park via Cairns, Australia; +61 3 9426 7550

Park Hyatt Zanzibar (Tanzania)

Opening: March 2015

The UNESCO World Heritage-listed Stone Town, the historic heart of the East African island of Zanzibar, offers a dramatic backdrop for the soon-to-open Park Hyatt Zanzibar.

The rich culture and heritage of this Tanzanian island -- an important trading hub for spices during the 19th century -- is reflected in the hotel's design, with its 67 rooms spread over two buildings.

One of them is the 17th-century Mambo Msiige, a beautiful Zanzibari mansion enveloping a peaceful courtyard and featuring intricate carvings.

Oceanfront rooms and suites offer shimmering views of Dhow Harbour and the Indian Ocean, a view also found from the beach-side infinity pool.

Other diversions range from an Anantara Spa to Zamani Residence, the hotel's restaurant designed to pay homage to a traditional family residence by allowing guests to enjoy meals in different areas, including a library with a veranda, the living room and the main dining room, with a terrace and residential-style kitchen.

Park Hyatt Zanzibar, Shangani Street, Stone Town, Zanzibar, Tanzania; +255 24 223 1234

Anantara Tangalle Resort & Spa (Tangalle, Sri Lanka)

Opening: mid-2015

One of two Anantara hotels opening on Sri Lanka's picturesque southern coast in 2015 (the other being the Anantara Kalutara Resort & Spa, welcoming guests from late 2015), Tangalle Resort & Spa sprawls over 18 hectares in Tangalle, a beach-side town around 80 kilometers east of the historic fortified city of Galle, and within easy reach of several national parks.

Design is inspired by traditional Sri Lankan architecture, with high-pitched thatched roofs, local artwork and artifacts, hand-carved furniture and plenty of breezy open spaces dotting groves of coconut palms.

The 152 guest rooms include 32 pool villas, which the hotel is billing as being the first of their kind in the country.

Facilities include a selection of restaurants and bars and an Anantara Spa.

Residences will be on offer for those who want to truly make the resort a home away from home.

Anantara Tangalle Resort & Spa, Tangalle Bay, Sri Lanka

Patina, Capitol Singapore

Opening: mid-2015

Patina Hotels & Resorts' flagship hotel is spectacular.

The brainchild of Singapore's Kwee family -- who also own the city's Capella, Conrad, Regent and Ritz-Carlton hotels -- the Patina occupies two heritage-listed buildings: the Capitol Building and Stamford House.

Part of a bigger redevelopment project transforming the old Capitol Movie Theatre, the 157-room hotel has two huge names attached to it: Pritzker Prize-winner Richard Meier and notable interior design company Jaya International Design, which conceptualized the beautifully laid out accommodations, including Wellness Suites and Art Suites.

Other features range from a library-lounge and saltwater relaxation pool to a state of the art fitness center and signature restaurant and bar.

Patina staff double as concierges -- a concept designed to tap into the creative skills of employees and have them provide personal experiences for guests.

Patina, Capitol Singapore, 15 Stamford Road, Singapore

Four Seasons Hotel Seoul (South Korea)

Opening: mid-2015

South Korea's first Four Seasons hotel will blend traditional designs with ultra-modern trimmings.

Occupying a new 25-story building in the CBD of Jong-gu, the hotel stands out for its prime location.

Adjacent to Gwanghwamun, the main gate of Gyeongbok Palace and the historic districts of Jong-ro and Isadong, the Four Seasons is a great base from which to explore the Korean capital.

The 317 rooms and suites showcase an earthy fusion of blonde wood, marble and local ceramics.

Facilities include restaurants and saltwater pool.

Meanwhile, another Four Seasons property is set to debut in the Moroccan city of Casablanca mid-year.

Four Seasons Hotel Seoul, South Korea

Alila Seminyak (Indonesia)

Opening: Q2 2015

It turns out there's room to squeeze yet another hotel onto Bali.

The latest luxury lodgings come courtesy of the Alila hotels group, which has four existing properties across the Indonesian island.

This newcomer sits on a beach along Bali's southwest coast, a short walk from the bars, restaurants and busy shopping streets of Seminyak.

Rooms and suites ring a pool -- one of three at the hotel -- that leads to the beach.

An 811-square-meter penthouse comes with its own infinity pool and terrace, as well as three bedrooms, a living room and kitchen.

Like other Alila properties, there's a strong environmental focus: buildings are laced with vertical rooftop gardens and green corridors link the four buildings.

Recycled and reclaimed building materials are used throughout and rainwater harvesting and solar energy are employed to reduce the hotel's environmental footprint.

Alila Seminyak, Jalan Taman Ganesha No. 9, Bali, Indonesia

SLS Park Avenue (New York)

Opening: late 2015

The third hotel in the SLS portfolio, joining properties in LA and South Beach, SLS Park Avenue has a perch that's hard to beat.

Located at 444 Park Avenue in Manhattan's trendy NoMad neighborhood, it's a couple blocks from Central Park and the Museum of Modern Art.

A celebrated creative team is behind the project, including visionary designer Philippe Starck, who was responsible for conceptualizing the 190 guest rooms and suites as well as a handful of restaurants and bars spanning the lobby and rooftop.

While the design concept is yet to be announced, from what we've seen of the property it's clear that Starck is bringing his signature whimsy to the project, which includes a glamorous blend of gilding and mirrors and a moody color scheme with plenty of designer furniture.

SLS Park Avenue, 444 Park Ave. S., New York

Lofoten Opera Hotel (Norway)

Opening: late 2015

The Lofoten archipelago is a dramatic union of soaring peaks, untouched beaches and sheltered bays.

It's here that you'll soon find the Lofoten Opera Hotel, a property befitting its wild surroundings.

Design firm Snohetta is behind the eye-catching building that cascades toward the sea and links the mountains and ocean.

In addition to hotel rooms -- all of which will offer unbroken views thanks to the hotel's circular design -- the 11,000-square-meter site will be home to apartments, an amphitheater and spa.

It's a far-flung corner of the world, but that's part of the appeal.

The surrounding wilderness offers treks, kayaking and sailing, among other activities.

Lofoten Opera Hotel, Lofoten, Norway

Ritz-Carlton, Langkawi (Malaysia)

Opening: 2015

Fringed by tropical rainforest, the Ritz-Carlton, Langkawi enjoys a private cove and beach overlooking the Andaman Sea on the island's southwest corner.

The 132-room resort, including 42 villas, nods to traditional architecture: buildings reflect kampong village styles and classic interiorsl.

The family-friendly property features three swimming pools, including one just for children, and there's also a Ritz Kids Club.

While staff look after your young ones you can head to the spa, replete with a Turkish-style hammam.

Restaurants reflect the diversity of local culture, with Malay, Chinese, Thai and Indian offerings -- plus French fine dining and an international beach grill.

Ritz-Carlton, Langkawi, Malaysia

@highlight

SLS' third hotel will be located in New York's trendy NoMad neighborhood

@highlight

Four of Italy's finest interior designers fitted out Ho Chi Minh City's Reverie Saigon with chandeliers and jeweled beds

@highlight

Park Hyatt will be opening a 67-room hotel in the UNESCO World Heritage-listed Stone Town