East Cleveland, Ohio (CNN) -- Near the areas where the decomposing bodies of three young women were found wrapped in plastic last weekend, angry and frightened residents gather to rally and pray.

"Our women do not feel safe!" one community leader yells.

"We will protect our families!" yells another.

The community here has been badly shaken recently. In the past several years, Cleveland's metropolitan area has been the center of a series of grisly discoveries of missing, murdered, kidnapped, raped and mutilated women.

The start of this week brought grim news to three families in East Cleveland, as each learned their beloved daughter or mother had been identified as a victim of the city's latest accused serial killer, Michael Madison.

With the discovery of the three missing women's remains, the question is being asked often here: What's happening to women in Cleveland?

More questions than answers in Cleveland

"We need for the president of the United States of America to bring in the National Guard to find these women," said Kathy Wray Coleman, leader of a group called the Imperial Women. "We can't do it alone. We need them to come in and find these women."

Coleman's group was created and named after the discovery of the victims of Anthony Sowell, the so-called "Cleveland strangler" who was convicted of kidnapping, raping, and murdering 11 African-American women. Sowell buried his victims' battered bodies in and around his home, located on Imperial Avenue.

Sowell's victims were discovered in 2009, though many had been missing for months, or even years. He is now on death row.

Madison is a registered sex offender who has now been charged with murder in the deaths of the three women, all found near his apartment last weekend in East Cleveland.

Madison, 35, is currently being held in jail, with his bond set at $6 million. The investigation continues into whether there are more victims connected to him.

This past May, Cleveland was also in the spotlight when three women missing for a decade were able to escape years of brutal bondage and rape in the home of Ariel Castro, who accepted a plea deal under which he will avoid the death penalty, but spend the rest of his life in prison.

Fast Facts: Cleveland kidnappings

Officially, 54 women currently are missing within Cleveland's city limits, according to the city's police department. That compares with four missing women in Cincinnati, an Ohio city of similar size.

Many of Cleveland's community activists who work to fight crime in their neighborhoods say the number of missing is much higher than the police website says.

"I would predict that 500 women are missing in the city of Cleveland and East Cleveland," said Art McKoy, leader of a group called Black on Black Crime.

Cleveland police say they are doing the best they can and acknowledge their list of missing people is incomplete and difficult to keep accurate. The list does not include missing women from neighboring East Cleveland, which has a separate police department.

All across both cities, posters of the missing women can be seen, especially in impoverished neighborhoods.

Minerva Tripp is one of those missing women. She vanished without a trace last August. The single mother was raising a 10-year old daughter. Minerva's two older sisters have endured months of heartache and worry, spending endless hours searching for her.

"Not knowing where she is -- it's a pain I can't even describe," said Marcellette Love, Minerva's older sister. "For months I would dream of her, seeing her in the mud, in trash bags, soaked in the rain. ... I just want to have her back. I just want to see her."

Love said she thinks the police have not done nearly enough to help them find Minerva.

"On a scale of 1 to 10, I would give them a zero," she said. "They have not followed leads and have not done nearly enough."

The family of Charlene Price agrees. Price, who went missing in 1997, would now be 55 years old.

"We will not give up, we want to find her and bring her home," said Howard Jackson III.

Gallery: The faces of some of America's missing

Cleveland and East Cleveland's officials and police defend their work over the years, but acknowledge the problem is very serious.

"In the cities combined, there are far too many people missing," said Gary Norton, mayor of East Cleveland.

Many here believe the ever-growing number of missing and murdered women is tied to the recent economic crisis. Across Cuyahoga County, home to the Cleveland metro area, about 76,000 residences are vacant, according to Census Bureau figures -- the wreckage left from the loss of jobs, and the foreclosure crisis.

"I hate to say this, but in a sense, to a large degree, we have an underclass in the city of Cleveland of those that truly are disconnected from the social fabric, from the mainstream economy and society," said Ronnie Dunn, an urban studies professor at Cleveland State University. "They're left without anything to grasp onto."

Once a hub of the nation's industrial might -- shipping out seemingly endless streams of iron, steel, machinery and automobiles from its perch on Lake Erie -- the city that once housed nearly a million people now has barely a third of that population.

The crisis has gotten so serious that civilians are now doing things that are normally left to the authorities. On Wednesday, groups of local residents went into wooded areas and several abandoned homes in East Cleveland, looking for bodies or signs of missing women who might have been kidnapped or assaulted.

McKoy of Black On Black Crime helped lead the search. "The real heart of our city is our women, and if you can't protect our women, it's not a city," he said.

Why are women disappearing in Cleveland?

All over the Cleveland area, fliers were posted for a missing 18-year-old named Shirellda Helen Terry, a regular at Bible study, who went missing just this month after leaving her summer job at an elementary school.

On Wednesday afternoon, members of Shirellda's family stood on roads, as they do nearly every day, handing out fliers and missing posters, calling out "Help us find Shirellda!"

That afternoon, the family learned Shirellda was no longer missing. She was dead, positively identified as one of the three women found in East Cleveland.

Hours later, family, friends and supporters gathered for a vigil at the same place where they had been searching for the young woman.

"My baby is gone," said her father, Van Terry, as he was consoled by friends. "That's the reality of it all. Now, when I cry tonight, I'm not crying hoping I find her. I know where she's at. I'm crying because I miss her, and now she's gone on."

CNN's Michael Pearson contributed to this report. 

Got a story idea or tip for CNN's investigations team? Go to cnn.com/investigate or click here to submit.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

The bodies of three missing women were found in East Cleveland last weekend

@highlight

The discovery comes on the heels of the captive women found alive in May

@highlight

Community leaders believe as many as 500 women are missing in the Cleveland area

@highlight

Police say they are doing the best they can to find those missing