(Budget Travel) -- Holiday travelers are filling up flights, and flu season is in full swing, so it's more important than ever to protect yourself against illness. We dug deep to identify the major germ zones on planes (and tips to avoid them). No, you're not likely to contract meningitis, but better safe than sorry, right?

GERM ZONE: Water   FOR: E. coli, a common culprit behind stomach cramps

Your plane reaches 30,000 feet, the fasten-seat-belt sign switches off, and the flight attendant comes by to take your drink order: Coffee or tea? Ice water? They seem like innocent offers -- until you consider that airplane water has been under review by the EPA for traces of E. coli for six years.

A random sampling of 327 unnamed domestic and international aircraft caused a stir in 2004 when some water samples tested positive for E. coli, one strain of which is the leading cause of food poisoning in the U.S. Coffee and tea are brewed on board with such water and don't typically reach hot enough temperatures to kill E. coli. When bottled water runs out, some planes have been known to fill fliers' glasses from the tank.

One British Airways crew member confessed to the London-based Times that, in those cases, the crew first has to wait for any cloudy "floating stuff" to settle out. And onboard tanks are small to limit their weight, so planes sometimes refill at foreign airports, where water standards can be questionable.

The encouraging news is that water quality and control are improving: From 2005 to 2008, only 3.6 percent of samples tested positive for coliform bacteria, of which only a small fraction tested positive for E. coli. And in October 2011, the EPA's Aircraft Drinking Water Rule, with more standardized, stringent disinfection and inspection regulations, will go into effect.

TIP: Once you clear the security checkpoint, purchase a bottle of water to bring on board. When the flight attendant comes to take your order, stick to soda, juice and other prepackaged liquids, minus the ice. While ice cubes are usually supplied by an outside vendor, some large planes may have their own ice-making capabilities -- reliant on tank water.

Budget Travel: 10 scenic airport landings

GERM ZONE: Seat Pocket  FOR: Cold and influenza A, B, and C viruses

There's a familiar routine to settling in on a plane: Store your luggage in the overhead bin and deposit any personal items you want to be readily available in your seat pocket. But reaching into that pocket is akin to putting your hand in someone else's purse and rummaging among their used tissues and gum wrappers.

Toenail clippings and mushy old French fries are even nastier surprises that have been found in seat pockets. Consider that cold and influenza viruses can survive for hours on fabric and tissues, and even longer (up to 48 hours) on nonporous surfaces like plastic and metal -- and you realize that you might pick up more than that glossy flight magazine when you reach inside.

TIP: Bring a small, easily accessible carry-on bag so that you can avoid stashing things in the seat pocket. If you must use it, keep magazines and other items within a plastic bag for protection.

GERM ZONE: Tray Table  FOR: MRSA, a deadly superbug

Flight attendants have witnessed many repulsive misuses of the tray table, from parents changing dirty diapers to kids sticking their boogers underneath. Research confirms that the handy tray table is a petri dish for all kinds of health hazards, including the superbug Methicillin-resistant Staphylococcus Aureus (MRSA), which is often fatal once contracted. It kills an estimated 20,000 Americans annually.

In 2007, University of Arizona researcher Jonathan Sexton tested tray tables from three major airliners, and an alarming 60 percent tested positive for the superbug. That's quite a revelation considering only 11 percent of his samples from the New York subway found traces of the bug.

TIP: Bring disinfectant wipes to clean off your tray table before and after use, and never eat directly off the surface. CDC guidelines tell you what to look for in a disinfectant and recommend checking a product's label to see if MRSA is on the list of bacteria it kills; Lysol disinfecting wipes is one reliable choice. And be sure to protect any cuts with Band-Aids -- the most common way of contracting an MRSA infection is through open skin.

Budget Travel: The coolest gifts for every traveler

GERM ZONE: Airplane Meal  FOR: Listeria, a microbe known to cause gastrointestinal illness and meningitis

In-flight meals have long had a bad reputation for consisting of bland, barely identifiable dishes. Then, in 2009, the meals made headlines when FDA inspections of the Denver location of LSG Sky Chefs -- the world's largest airplane caterer with clients including American Airlines, Delta and United -- found the kitchens crawling with roaches too numerous to count and employees handling the food with bare hands or unwashed gloves.

Test samples from the food preparation area also found traces of Listeria monocytogenes, which can cause gastrointestinal illness and meningitis, as well as cervical infection in pregnant women. Your likelihood of contracting illness from the microbe is very low, though it should be noted that one fifth of the 2,500 annual cases are fatal.

LSG Sky Chefs, to its credit, responded accordingly after the news broke and passed the FDA's follow-up inspection in January 2010.

TIP: It sounds like LSG has cleaned up its act, but you'll never really know where your meal has been. If you're concerned, eat beforehand and bring your own snacks onto the plane. Check out our article on how to make a sandwich that will still be appetizing once you're in the air. For starters, choose a well-cured meat like prosciutto or salami.

GERM ZONE: Airplane Pillow and Blankets  FOR: Germs like Aspergillus niger that cause pneumonia and infections

Talk about sleeping with the enemy. You're snuggling with a blanket and pillow that have likely been used by many drowsy, drooling passengers before you. Unless visibly soiled, pillows and blankets are often reissued because of the frequency of flights.

A 2007 investigation by The Wall Street Journal revealed that airlines cleaned their blankets every five to 30 days. And don't assume your blanket is new just because it's wrapped in plastic. The Union of Needletrades, Industrial, and Textile Employees made a big stink in 2000 when it accused Royal Airline Laundry -- which supplies pillows and blankets to clients like American, United and US Airways -- of repackaging pillows and blankets without cleaning them properly.

Its research found blankets with traces of Pseudomonas paucimobilis, known for causing lung and eye infections, and pillowcases with Aspergillus niger, which can lead to pneumonia and gastrointestinal bleeding. In the decade since, airlines like Southwest and Alaska Airlines have removed pillows and blankets completely, while JetBlue, US Airways and American now charge for them.

TIP: There have been no documented reports linking airlines to these infections. But if you're worried about staying warm -- and want to avoid potential germs and airline fees -- wear layers and thick socks, and consider bringing Grabber Warmers, small disposable hand and foot warmers. A travel pillow and compact blanket will help you sleep in comfort.

Budget Travel: See the pyramids

GERM ZONE: Airplane Lavatory  FOR: A smorgasbord of threats like E. coli or fecal bacteria

After a mid-flight nap, you wake up to nature's call and must face the airplane's biggest germ zone: the lavatory. With hundreds of people using the commode daily, the small boxy space is a natural haven for all kinds of germs and viruses, especially on the door handle (do you really think every passenger washes his or her hands?).

And that thunderous volcanic toilet flush doesn't exactly help the situation, spraying water and releasing potential germs into the air every which way. The CDC cited the lavatory as a major danger area for the spread of disease during the H1N1 flu and SARS epidemics.

TIP: Use a paper towel to close the toilet lid before flushing -- and then leave without washing your hands. Remember that cloudy tank water we described above? The sink water comes from the same source. You'll come away cleaner if you skip the sink and reach for hand sanitizer instead.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Airplane water has been under review for traces of E. coli for six years

@highlight

Purchase bottled water to bring on board and don't use ice cubes in your drink

@highlight

To avoid catching the cold or flu, don't stash things in the seat pocket

@highlight

Don't wash your hands after using the airplane bathroom -- use sanitizer instead