(CNN) -- On Thursday, we will link arms with more than 100 women and claim the street outside the House of Representatives. We will not move until the House recognizes that women and children are at the heart of the immigration debate, and reform must treat them fairly.

Women and children constitute three-quarters of all immigrants to the United States, but the debate about immigration reform -- which has stalled in the House -- has largely ignored the disproportionate burden they bear in a system that is failing.

Immigrant women make outsize contributions to our families, communities and country.

But they are denied core American values -- the right to equal opportunity and equal treatment under the law. Although women make up 51% of U.S. immigrants, only 28% of work visas are given to them as principal holders. Women disproportionately work in paperless or informal economies -- as nannies, housekeepers, home health care workers -- that don't get awarded work visas.

These jobs rarely provide proof of employment, such as a pay stub at the end of the week. While many immigrant men face this challenge as well, women are disproportionately affected by it. Immigration reform efforts that link eligibility for citizenship to proof of employment fail to recognize the essential work that many immigrant women provide in these crucial roles.

The Senate bill allows for alternative ways to verify employment, such as an affidavit from a church or community-based nonprofit. And a bipartisan group of 13 women senators also recognized the need for a merit-based visa system that would include professions that women predominantly occupy. Unfortunately their amendment did not make it into the Senate bill.

Because they so rarely get work visas, most immigrant women enter the United States as dependents on their spouses' visas and they are prohibited from working. This not only prevents many women from contributing their considerable talents and skills, it makes their immigration status entirely dependent on another person, creating a situation primed for abuse.

An immigrant woman in an abusive relationship may not report her spouse to authorities or seek help for fear that she will lose her ability to remain in the country.

A comprehensive reform bill should ensure that women have equal opportunity to receive work visas by allocating them among employment categories typically held by women, not just professions typically held by men. As baby boomers reach retirement age, the need for caregivers and domestic workers will skyrocket. Though these jobs are essential and in high demand, they are often less valued than the jobs -- typically held by men -- that are awarded work visas, such as in tech and finance.

The way that most women enter the United States is through the family-based visa system. In fact, nearly 70% of immigrant women attain legal status this way. Unfortunately, the family visa system has an enormous backlog -- about 4 million people are stuck in it, the majority of whom are women and children. Some women are forced to wait for decades before being reunited with their families -- something that is unbearable even to contemplate for most parents. Comprehensive immigration must clear this backlog and keep families together.

We were reminded during the 50th anniversary commemoration of the March on Washington that the most difficult and enduring change requires the personal commitment and courage of individuals acting together. As the Rev. Martin Luther King Jr. and other great leaders showed us, from time to time that can mean the willingness to be arrested for standing up for your most deeply held values and beliefs.

Inspired by King and the campaigns that made up the civil rights movement, we are putting ourselves on the line at the Capitol as part of a national campaign, We Belong Together, to promote immigration laws that treat women fairly, that reflect our core American values. If they don't, we are diminished as a nation.

Real reform includes a path to citizenship, keeps families together and upholds the family immigration system, provides protections for survivors of violence and against workplace abuses, protects the health and well-being of women and children, honors women's work inside and out of the home, and is not driven by a focus on enforcement.

Every day, immigrant women from all walks of life demonstrate incredible courage and take enormous risks to contribute to the well-being and success of their families and loved ones. They move to the United States to give their children better lives; they work so that their families will have food on the table; they take care of the young and the old; they open businesses. Theirs is a story that defines this country.

While the majority of Americans recognize that the time is now to fix our immigration system, the House has not acted. It seems intent on piecemeal measures that continue to keep women from contributing fully and keeping their families together.

If getting arrested is what it takes to show the House we're serious, it's worth it. House members must have courage and unite, as we have, to pass immigration reform that treats women fairly and keeps families united.

The opinions expressed in this commentary are solely those of Ai-jen Poo and Terry O'Neill.

@highlight

Ai-jen Poo, Terry O'Neill say immigration reform must bring equal treatment for women

@highlight

They say only 28% of work visas go to women, who do jobs that often aren't valued

@highlight

They say reform should free up visas for those jobs -- nannies and home health care workers

@highlight

Writers: Immigrant women make huge contributions to U.S. and need an equal shot