Americans are generally excited about the new technology they expect to see in their lifetimes. But when confronted with some advances that already appear possible -- from skies filled with drones to meat made in a lab -- they get nervous.

Those are the findings in a report released Thursday by the Pew Research Center, which sought to gauge public opinion about our rapidly changing world of science and tech.

"The American public anticipates that the coming half-century will be a period of profound scientific change, as inventions that were once confined to the realm of science fiction come into common usage," reads the report.

Overall, respondents to Pew's survey were upbeat about how technology will shape the near future. In the report, 59% of Americans think tech developments will make life in the next half-century better, while only 30% said they will make life worse.

More than eight out of 10 respondents (81%) said they think that in the next 50 years, people who need transplants will be able to get them with organs grown in labs. And more than half (51%) think computers will be able to create art as skillfully as humans do.

They're a little less optimistic about some science-fiction staples, though. Only 39% think it's likely scientists will have figured out how to teleport things (or, presumably, people), 33% say we'll have long-term space colonies by 2064 and a mere 19% expect humans will be able to control the weather.

Interestingly, some of the advances that may be closest to becoming reality are the ones survey respondents were most worried about.

Nearly two out of three Americans think it would make things worse if U.S. airspace is opened up to personal drones. A similar number dislike the idea of robots being used to care for the sick and elderly, and of parents being able to alter the DNA of their unborn children.

Meanwhile, only 37% of respondents think it will be good if wearable devices or implants allow us to be digitally connected all the time.

With the advent of Google Glass and other wearable technology, that may not be such a distant dream. And already, researchers are developing robots to provide elder care, 3D printers are replicating parts of the human body and government regulators are considering allowing nonmilitary drones to legally operate in U.S. airspace.

"In the long run, Americans are optimistic about the impact that scientific developments will have on their lives and the lives of their children -- but they definitely expect to encounter some bumps along the way," said Aaron Smith, a senior researcher at Pew and the author of the report. "They are especially concerned about developments that have the potential to upend long-standing social norms around things like personal privacy, surveillance, and the nature of social relationships."

Other responses shined a light on what may be our cautious human nature. While generally excited about future tech, many survey participants weren't so keen on testing out those advances themselves.

People were split almost evenly (48%-50%) on whether they would ride in a driverless car. But only 26% said they'd get a brain implant to improve their memory or intelligence, and a mere 20% said they'd try eating meat made in a lab.

While they were imagining the future, Pew gave respondents the chance, in their own words, to share the one piece of futuristic technology they'd most like to own.

Some 9% said they'd like to be able to time travel. A similar number said they'd like something that would keep them healthy or extend their lives, 6% said they wanted a flying car (or bike), 3% said they'd take a teleportation device and a mere 1% said they want their own jetpack.

The report was based on telephone interviews conducted February13-18 with 1,001 adults from all 50 U.S. states and the District of Columbia.

@highlight

Survey: Many Americans are wary of futuristic tech advancements

@highlight

Drones, robot nurses and always-on devices concern people

@highlight

But 59% still think tech developments will make future life better

@highlight

Nearly 1 in 10 say they'd most like to be able to time travel