(CNN) -- Urban exploration is an edgy pastime.

But give it a Japanese name and this underground community, known for seeking out derelict and often inaccessible environments, sounds even more hardcore.

Haikyo is the Japanese word for ruins and is the term used to describe urban exploration ("urbex"), a growing trend for people to track down and often photograph society's crumbling edifices.

Urbex in Japan plays out in much the same way it does in the rest of the world -- explorers are recreational trespassers who seek out abandoned, man-made structures, where they have a good poke around as they soak up the atmosphere.

There are few hard and fast rules aside from the oft-quoted mantra -- "Take nothing but photographs, leave only footprints" -- but there are a few aspects that are unique to urban exploration in Japan.

Among these, abandoned amusement parks and sex museums.

German Florian Seidel, a translator, has lived in Japan more than seven years and been a dedicated urbexer for almost five.

He says he's seen the hobby take off in Japan since he started.

Although there are no official numbers -- urbexers tend to be a low key, scattered community not least of all because of the potentially illegal aspects of the business, such as trespassing -- he says the number of urbex blogs has exploded from a dozen when he started to about 100 today, most of which are in Japanese.

"There are tons of abandoned places in Japan, the problem is you have to find them," says Seidel.

That's the part he most enjoys.

He's proud of the fact that more than 90% of the places on his site, Abandonedkansai.com, he has researched and found himself.

As with most urbexers, he doesn't give away exact locations, largely because he doesn't want to see them overrun.

'Very, very weird'

The detective work doesn't end when he's found and explored a site.

Seidel likes to find out about the history of place.

Take those abandoned sex museums -- there are two in Japan, both of which have been deserted for more than 10 years.

"In the 1960s, Europe had the sexual revolution, but that didn't happen in Japan -- they had sex museums, especially in onsen [hot spring] towns," says Seidel.

"There were 20 to 30 sex museums all over Japan, pretty much one in every prefecture. Most of them closed from the beginning of the 1990s -- I guess the Internet killed them."

Seidel has visited two abandoned Japanese sex museums and although both have clearly been picked over and pilfered from, enough remains to make it clear what they were all about.

The one in Hokkaido he remembers best for the bizarre shooting games and taxidermy animals in sexual positions -- horses and monkeys.

"You could say it was partly educational and very, very weird," says Seidel.

The other museum, in southern Japan, is filled with crumbling erotic statues and sculptures and an eerie naked mannequin in a white casket, her mutated nipples pointing in all directions.

He found old advertising pamphlets that boasted of wax dolls of Marilyn Monroe and a 1970s erotic star, but these were long gone when he visited.

Other amusements

The current hot haikyo site is an abandoned amusement park, Nara Dreamland, says Seidel.

It's so popular that a security guard has been posted at the gate to try and keep out the curious.

"Technically, if there's a security guard there it's not abandoned, but it makes it onto all the lists and blogs," says Seidel.

Nara Dreamland, built in 1961 and closed in 2006, does make for dramatic images -- the abandoned, rusting rollercoaster set amid the desolate ruins of the theme park.

If you're after atmosphere, it's got plenty.

But what about the danger factor?

"I'm a conservative explorer, I've never been injured, but it's definitely dangerous," says Seidel.

"There are all sorts of rusty things where you could get tetanus, there's barbed wire and some military areas could still have ammunition -- a mine could go off."

For a sample of Seidel's haikyo images, you can check out the above gallery or visit his site, Abandonedkansai.com.

@highlight

Around the world, urban explorers hunt down and often photograph society's crumbling edifices

@highlight

In Japan, urban exploration is referred to as "haikyo," the Japanese word for "ruins"

@highlight

Japan-based Florian Seidel documents his derelict findings on his blog, Abandonedkansai.com