It's a statistic we've been hearing far too often -- and for far too long. Two-thirds of American adults are either overweight or obese -- and the problem is only getting worse.

Even Coca-Cola, the world's largest beverage company, is now calling obesity "the issue of this generation."

The world's most valuable brand took the last seat at a crowded table Monday, when it launched an ad campaign aimed at "reinforcing its efforts to work together with American communities, business and government leaders to find meaningful solutions to the complex challenge of obesity."

The first commercial of the campaign, a two-minute video called "Coming Together," begins with a voice-over: "For over 125 years, we've been bringing people together. Today, we'd like people to come together on something that concerns all of us: obesity." The spots are scheduled to run on television, including CNN, beginning this week.

Coca-Cola points out in the video it offers 180 low- and no-calorie beverages out of more than 650 beverage products.

Coke has come under increased fire over the past year as a predominant target of an anti-obesity crusade, led in large part by the Center for Science in the Public Interest, also known as the CSPI.

Appearing on CNN's "Sanjay Gupta MD" in October, Michael Jacobson, executive director of the CSPI, conceded that sugar and soda consumption are, in fact, on the decline.

"But," he said, "the scientific community has ... reached a consensus that soft drinks are the one food or beverage that's been demonstrated to cause weight gain and obesity. And if we're going to deal with this obesity epidemic, that's the place to start."

Global report: Obesity bigger health crisis than hunger

The CSPI came out swinging in October, introducing "The Real Bears," -- "an animated short film that encourages Americans to pour out their sodas." It stars "The Real Bears," which resemble the iconic Coca-Cola polar bears.

The video was directed by Alex Bogusky, the man behind the anti-tobacco "Truth" campaign, and features an original song, "Sugar," by Grammy award-winning artist Jason Mraz.

In response, Coca-Cola issued a statement that read: "This is irresponsible and the usual grandstanding from CSPI. It won't help anyone understand energy balance, which is key according to recognized experts who've studied this issue -- a group that doesn't include CSPI. Enough said."

In its new campaign, Coca-Cola drives home the sentiment that "beating obesity will take action by all of us, based on one simple, common-sense fact: All calories count, no matter where they come from. ... And if you eat and drink more calories than you burn off, you'll gain weight."

The reason soda and other sugary drinks have found their way to the forefront of the so-called "war on sugar" is the harmful rate at which they are absorbed, said Dr. Robert Lustig, a pediatric endocrinologist at the University of California, San Francisco, as well as the author of the new book, "Fat Chance: Beating the Odds Against Sugar, Processed Food, Obesity, and Disease."

"The reason to eat your sugar as whole fruit and not juice (or soda) ... is because the fiber helps reduce the rate of absorption from the gut into the bloodstream," Lustig says. "When you juice it, it's all going to you and your liver gets overwhelmed and you get sick."

Opinion: Lustig: A fast-food, sugar fiasco

CSPI, in a statement Monday, said the new Coke ad campaign is "just a damage control exercise, and not a meaningful contribution toward addressing obesity."

"What the industry is trying to do is forestall sensible policy approaches to reducing sugary drink consumption, including taxes, further exclusion from public facilities, and caps on serving sizes such as the measure proposed by Mayor (Michael) Bloomberg."

On September 13, Bloomberg, the New York mayor, won health board approval of a proposal to ban the sale of sugary drinks in containers larger than 16 ounces in restaurants and other venues.

In an exclusive interview with Gupta after the board's approval of the ban, Bloomberg stressed the importance of portion control.

"I can tell you -- and I think I speak for almost everybody -- if it's in front of me, I eat it," said Bloomberg. "I love Cheez-Its. If you put a 2-pound box of Cheez-Its in front of me, I'd probably eat them all. That's not very good for you. But if you eat (almost) anything in moderation, there's no harm."

Jacobson told Gupta that the occasional soda could, of course, be a part of a healthy diet. "We don't want to wipe out soft drinks," he said. "But we would like to see soft drinks return to the dietary role they played in the '50s, which was occasionally, and small portions, (as a) special treat. Now, people are guzzling huge containers of soda every day of their lives, practically."

Opinion: Forget large sodas, how about banning French fries?

This is something even Coca-Cola can agree is a bad idea. The company is in the middle of a roll-out of smaller, portion-controlled sizes of its most popular drinks, and promises to have them in about 90% of the country by the end of the year.

"We've never been more committed to doing our part to help address the issue of obesity," Coca-Cola spokesman Ben Scheidler said in an e-mail, adding that "2013 is going to be a landmark year in terms of expanding partnerships and efforts to educate consumers about energy balance."

But perhaps most important is a move Coca-Cola has already made: the decision to add the calorie counts to the front of their bottles and cans, to make it even easier for consumers to make informed decisions.

@highlight

In a new ad campaign, Coca-Cola calls obesity "the issue of this generation"

@highlight

Coke has previously been a target in an anti-obesity campaign

@highlight

The Center for Science in the Public Interest says the campaign is "damage control"