Cambridge, Massachusetts (CNN) -- A century ago, the rise of Germany and the fear it created in Britain led to world war. Some analysts predict a similar fate from the rise of China and the fear that is creating in the United States.

One should be skeptical about such dire projections. By 1900, Germany had surpassed Britain in industrial power, and Kaiser Wilhelm II was pursuing an adventurous, globally oriented foreign policy that was bound to bring about a clash with other great powers.

In contrast, China still lags far behind the United States economically and militarily, and has focused its policies primarily on its region and on its economic development. While its "market Leninist" economic model (the so-called "Beijing Consensus") provides soft power in authoritarian countries, it has the opposite effect in many democracies. Soft power is the ability to produce preferred outcomes by attraction rather than coercion or payment, and China has announced major efforts to increase its soft power.

Watch an interview with Joseph Nye

Even if China's gross domestic product passes that of the United States around 2030 (as Goldman Sachs projects), the two economies would be equivalent in size, but not equal in composition. China would still have a vast underdeveloped countryside, and it will begin to face demographic problems from the delayed effects of the one child per couple policy it enforced in the 20th century. Moreover, as countries develop, there is a tendency for growth rates to slow.

TED.com: Asia's rise...how and when

Assuming a 6 percent Chinese growth and only 2 percent American growth after 2030, China would not equal the United States in per capita income until sometime in the second half of the century. China is a long way from posing the kind of challenge to America that the kaiser's Germany posed when it passed Britain at the beginning of the last century.

Unlike India, which was born with a democratic constitution, China has not yet found a way to solve the problem of demands for political participation (if not democracy) that tend to accompany rising per capita income.

The ideology of communism is long gone, and the legitimacy of the ruling party depends upon economic growth and ethnic Han nationalism. Premier Wen Jiabao talks of reform but faces conservative resistance. The Chinese political system suffers from a high level of corruption, and should the economy falter, it is vulnerable to political unrest.

Whether China can develop a formula that can manage an expanding urban middle class, regional inequality, and resentment among ethnic minorities remains to be seen. Xi Jinping has been anointed the likely next leader (in 2012), but not even he knows how China's political future will evolve.

The current generation of Chinese leaders, realizing that rapid economic growth is the key to domestic political stability, has focused on economic development and what they call a "harmonious" international environment that will not disrupt their country's growth. But generations change, power often creates hubris, and appetites sometimes grow with eating.

Already, some younger party members and military men argue that China's success in recovery from the global financial crisis should lead to a greater political role. And the United States objected last summer when China defined its "core interests" as including the distant waters of the South China Sea.

TED.com: Why nations should pursue "soft power"

Whatever Chinese intentions are, it is doubtful that China will have the military capability to expel the United States from East Asia. The region has its own internal balance of powers, and in that context, many states welcome an American presence in the region. Chinese leaders will have to contend with the reactions of other countries as well as the constraints created by their own objectives of economic growth and the need for external markets and resources.

Too aggressive a Chinese military posture could produce a countervailing coalition among its neighbors that would weaken both its hard and soft power. China's recent overreaction to a maritime collision near the disputed Senkaku islands led to a hardening of attitudes in Japan. A recent Pew poll of 16 countries around the world found a positive attitude towards China's economic rise, but not its military rise.

The fact that China is not likely to become a peer competitor to the United States on a global basis does not mean that the dangers of conflict in Asia can be completely ruled out. But given the global challenges such as financial stability, cybersecurity, and climate change that both China and the United States will face, they have much to gain from working together.

Unfortunately, hubris and nationalism among some Chinese and unnecessary fear of decline among some Americans make it difficult to assure this future.

The opinions expressed in this commentary are solely those of Joseph S. Nye.

@highlight

Joseph Nye, who coined term "soft power," says China's power is far behind that of U.S.

@highlight

He says rise of Germany a century ago threatened Britain, led to world war

@highlight

Nye says China's focus has been on its own region

@highlight

He says China has major internal and external challenges to overcome