(CNN) -- A New York judge on Thursday postponed a ruling on whether a former judge's self-professed racial bias led him to wrongly convict a man of murder nearly 15 years ago.

The case is being revisited because former New York Supreme Court Judge Frank Barbaro, a longtime champion of civil rights, has since said he believes he denied a fair trial to a white man who claimed he killed a black man in self-defense.

Barbaro now says that in the years after he convicted and sentenced Donald Kagan, his decision began "haunting" him. Testifying during a hearing in December on a motion to set aside the conviction, the former judge said he was convinced at the time that the defendant who stood before him was a racist who wanted to kill a black person.

As a result, Barbaro now says, he ignored evidence that Kagan had acted out of fear and not hatred.

New York City Criminal Court Judge ShawnDya L. Simpson on Thursday continued the case until September 22. Simpson, who presided at the December hearing, already had postponed making a ruling in the case twice this year.

Defendant said he was armed out of fear

In a bench trial in October 1999, Kagan said he was acting in self-defense when he shot Wavell Wint, 23, during a confrontation at a Brooklyn movie theater 11 months before.

Barbaro, who is white, didn't believe Kagan. The judge found him guilty of second-degree murder and criminal possession of a weapon. Kagan was sentenced to 15 years to life in prison, where he remains today.

Barbaro, now 86, said in an exclusive interview with CNN earlier this year, "I couldn't get out of my mind the look on the lawyer's face when I said I found him guilty. And the defendant on the stand, like he was pleading to me, 'It just happened, it just happened,' and that was sort of haunting me."

Kagan testified during the two-day trial in 1999 that he had been afraid of Wint, who was black. He said he came to the theater armed because the neighborhood had a reputation of being unsafe.

Wint, according to the trial record, had been confrontational with a number of people that night before the encounter with Kagan. Wint was not armed.

When their paths eventually crossed, words were exchanged and they scuffled. Wint was shot and killed, and Kagan was charged with murder. Barbaro landed the bench trial.

Barbaro said it may have been his own reputation for fairness that persuaded Kagan to put his fate in the judge's hands and not a jury's.

Barbaro: 'I think I made a mistake'

In his opinion, Barbaro wrote, "The circumstantial evidence convinces the court that when [Kagan], in response to [Wint's] verbal taunts, pulled out his gun for the second and last time, he fully intended to kill [Wint].''

He said later that he did not give much weight to the self-defense argument presented by Kagan's attorney.

Barbaro always had his pulse on the cause of civil rights. He stuck up for the underdog in his personal life and professionally, as a lawyer and former state legislator, before becoming a judge.

Was he so influenced by his civil rights passions that he had assumed the only reason Kagan shot Wint was because Wint was black?

Had he given Kagan a fair trial?

Patti Barbaro, the judge's wife, told CNN earlier this year, "He said, 'I really feel I need to revisit this case. I need to get the transcripts. I don't feel comfortable with this. It's been haunting me.'"

Finally, in 2011, Barbaro called Kagan's defense attorney Jeff Adler and made an amazing admission:

"I think I made a mistake," he told him. He asked the attorney to send him the transcript of the trial.

Very unusual motion for reversal

After reading his own trial record, Barbaro came to the conclusion that in his quest for equality between the races, he completely ignored the trial evidence that had to do with Kagan's claim of self-defense. He realized he really hadn't considered whether Kagan felt an imminent fear for his life during the confrontation.

That began the process of a lengthy new legal battle, with the defense filing a motion to set aside Barbaro's murder verdict based on one of the most unusual claims the courts would ever hear: The trial judge was admitting he had not given the defendant a fair trial.

The judge -- who by then had retired and no longer had jurisdiction in the case -- became, in effect, a witness for the defense of the man he had convicted years earlier.

Texas ex-prosecutor denies wrongdoing in Willingham death penalty case

Wint's family: 'It's not fair'

Barbaro testified at the December 2013 hearing and was cross-examined by the prosecution, who questioned the judge's memory of events in an effort to discount his admission of racial bias.

The family of Wavell Wint, including his now-grown son, attended that hearing, too. They were angry that the justice they felt they received with the verdict so many years ago could possibly be taken away.

One month later, Wint's family returned to court to hear arguments on the issue by both sides. In an impassioned plea, the prosecution told the court the conviction should stand, that 14 years ago Judge Frank Barbaro thoughtfully issued a very well-reasoned opinion. They said even if his personal beliefs colored his perception of the case, that was not grounds to overturn the verdict.

"It's not fair," said Carmen De Jesus, who was Wint's girlfriend and the mother of his child. "My son grew up without a father, it's not fair. [Kagan] pulled out the gun and he murdered that man." Wint's family told CNN.

After testifying last year, Barbaro said, "It wasn't difficult to come forward. It is painful to know I sent an innocent man to jail."

Kagan, now 39, becomes eligible for parole in November.

How much is a wrongful conviction worth?

NYC to pay man $6.4 million for wrongful conviction

Astronaut's mom helps overturn murder conviction

Priest, nurse, lawyer: How he saved a man from death row

@highlight

Decision on the verdict against Donald Kagan put off until September 22

@highlight

Judge in 1999 case has shed doubt on the murder conviction he handed down

@highlight

He now says he was racially biased against the defendant, prompting review

@highlight

"It's not fair," says girlfriend of Wavell Wint, who was shot by Kagan during a fight