Washington (CNN) -- Inside an ordinary office building six blocks from the Capitol, investigators sift through evidence of possible violations against ethics and laws committed by the nation's elected representatives.

This is the Office of Congressional Ethics, also known as the OCE.

It is one of the most important watchdogs in Washington. That's because the OCE is the only quasi-independent government body whose sole mandate is to formally investigate members of Congress.

But it could soon be silenced by the very people it investigates.

"What is outrageous about it is that you see members of Congress on both sides saying they have zero tolerance for unethical conduct," said Melanie Sloan, a former federal prosecutor who now directs Citizens for Responsibility and Ethics in Washington (CREW).

"But then behind closed doors they are quietly trying to kill the one body in Congress that is seriously going after unethical members."

Sloan's public interest group monitors ethics and legal violations by members of Congress. And, like many other citizen watchdog groups in Washington, CREW is worried that the OCE could soon die through purposeful inaction by Congress.

The ethics office -- which gets its mandate and funding from Congress -- must be reauthorized by this Congress, which soon adjourns, or early on by the new Congress.

What's more, at least four of the OCE's board members are approaching the end of their terms, and new members must be selected and appointed for the organization to continue with its work.

No investigations or reports or real work can be done by the office until their board is in place.

The OCE was formed just four years ago when then-Speaker of the House Nancy Pelosi and others declared they wanted to "drain the swamp" of scandals and corruption in Washington. Among the biggest scandals that prompted action was that of Jack Abramoff, a former lobbyist, who admitted in 2006 to illegally showering gifts on officials in exchange for favors.

The probe into those allegations led to convictions or guilty pleas for 20 lobbyists and public officials -- including a member of the House of Representatives and several aides to congressmen.

Other scandals included those tied to former Reps. Tom DeLay, Mark Foley, William Jefferson and Duke Cunningham.

Since its creation in 2008, the OCE has launched more than 100 investigations of lawmakers, raising serious questions about possible Congressional misdeeds.

In about a third of its investigations, the OCE found that House ethics, and sometimes federal laws, were likely violated. Those 37 cases were referred to the House Ethics Committee for further review.

"The OCE has forced members of Congress to take ethics more seriously," said Sloan. "It has forced the (House) Ethics Committee to act and has let all members of Congress know that they're not going to be able to skate by like they have for so many years, with unethical conduct just going on."

Sloan and her public interest group -- which is considered by some to be a liberal organization -- aren't the only ones worried about the future of the OCE.

Ken Boehm, chairman of the conservative National Legal and Policy Center, agrees that some members of Congress publicly support the office and its efforts to crack down on ethics violations, but are privately trying to kill it.

If the OCE is not reauthorized and new board members are not appointed, Boehm said it would "(send) the message to the public that not only is the ethics system broken, but it doesn't even exist anymore."

House Speaker John Boehner and House Democratic leader Nancy Pelosi would need to lead the effort to reauthorize the OCE and to appoint new members.

Both Boehner and Pelosi say they will do that.

"House Democrats are firmly committed to the continuation of the OCE and replacements will be named at the appropriate time," said Pelosi's spokesman, Drew Hammill.

Similarly, Boehner "intends to retain the OCE for the 113th Congress and to appoint an ethics chair in a timely fashion," his spokesman, Michael Steel, said this month.

But neither Boehner nor Pelosi have made public any more specific actions they have taken. And time for action is quickly running out.

The reauthorization should have really been started before this Congress goes on its winter break to allow for the time that it takes to select and appoint new board members. The new Congress is scheduled to be sworn on January 3.

In many of its hard-hitting investigations, the OCE has confronted legislators about their actions, raising sensitive questions about possible conflicts of interest, financial reports, missing financial information, and even questions about the legality of some lawmakers' actions.

There are other watchdogs for ethics within the Congress -- the House Ethics Committee, and the Senate Select Committee on Ethics. But these internal committees are often criticized for doing almost nothing because they are in the awkward position of investigating their own members and close colleagues.

By contrast, the OCE is an outside body, widely seen as being objective. It is made up of experts, including some former members of Congress, who are nominated and approved by Boehner and Pelosi.

However, the OCE cannot take disciplinary action against the lawmakers it finds are likely to have violated ethics or federal law -- so it has to refer its most serious investigations to the House Ethics Committee.

Out of the 37 cases it received from the OCE, the House Ethics Committee meted out formal punishment only on two occasions.

It is hard to know whether the stalled fiscal cliff negotiations have sidetracked any effort to reinstate the office, or if members of Congress might be quietly leading an effort to kill the OCE.

Latest on fiscal cliff talks

"Nearly everything the OCE does rubs the entire Congress the wrong way," Sloan said. "And in large part that's because Congress doesn't want to hold anybody accountable for ethics violations. There's no case that they think, 'Oh this was a great case. We're so glad the OCE brought it.'"

In the past, numerous federal lawmakers from both political parties have voted to cut the OCE's budget or limit its powers, including Reps. Mel Watt, D-North Carolina; Jeb Hensarling, R-Texas; John Campbell, R-California; Yvette Clarke, D-New York; Eliot Engel, D-New York; Sam Graves, R-Missouri; Tom Price, R-Georgia; Laura Richardson, D-California; Bennie Thompson, D-Mississippi; and Joe Wilson, R-South Carolina.

None of them would agree to an interview with CNN. The OCE also declined to answer any questions.

The lawmakers who did speak to CNN about the OCE said part of the problem is that it casts a wide net.

"They accept anonymous complaints made by anonymous individuals and then have the resources to conduct an investigation which can become a fishing expedition," said Rep. Hank Johnson, D-Georgia.

Rep. Brad Miller, D-North Carolina said he believes there should be a way for the American public to raise issues about the conduct of their representatives in Washington.

But, he added, "Some of what the OCE has sent to the Ethics Committee was actually really flimsy. I mean, conduct that if you have any idea what the real world is like, you would know was not ethically questionable or if it is, everything that happens in politics is ethically questionable."

And if the accusation is referred to the Ethics Committee, Miller said that's "like torture" for lawmakers.

"It's like being charged with a crime," he said.

Johnson raised a criticism that first surfaced several years ago after the OCE investigated Rep. Charles Rangel and several other members of the Congressional Black Caucus for expenses from an overseas trip to the Caribbean.

After those investigations, some representatives in Congress accused the OCE of "targeting" African-Americans.

"The Office of Ethics was established for political reasons," said Johnson, who is African-American. "And the victims of it tend to be people who look like me and that's why I'm opposed to it.

"I would rather for us to continue with the same ethics rule and process that was in place before we came to this Office of Ethics. And I don't think it's working well."

All the citizen watchdog groups CNN interviewed -- including CREW, Public Citizen, and the National Legal and Policy Center -- said they do not believe the OCE has targeted any Congressional officials because of their race or any other reason. They all maintain that the OCE has simply investigated cases where concerns of ethics were raised.

Whether members of Congress decide to keep the OCE or allow it to dissolve "is a critical test," according to Lee Hamilton, a widely respected former Congressman who chaired the famous 9/11 Commission.

"It is going to tell us whether the leaders of Congress are serious or whether they're not serious about the enforcement of standards of conduct within the institution," said Hamilton, who is now the director of the Center on Congress at Indiana University.

He said it should surprise anyone that members of Congress don't want to be held accountable for their actions.

"I want to see a tough enforcement of those standards," Hamilton said. "And it bothers me not a whit that some members of Congress get uneasy about it. They should get uneasy about it if they are acting in an unethical way."

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

The Office of Congressional Ethics was created in 2008 amid a wave of scandals

@highlight

If it's not reauthorized soon, it could be shut down

@highlight

It has investigated 100 instances of possible misconduct by members of Congress

@highlight

Critics say some of their charges are based on "flimsy" evidence