(CNN) -- High temperatures in America's Plains States are expected to rival those in Death Valley again Monday, according to the National Weather Service, which predicts a heat wave to roast the county's midsection for yet another day as it spreads to the east.

The hottest spots located in Oklahoma through South Dakota should see highs over 100 degrees Fahrenheit, and top temps are forecast in the 90's for most of the rest of the county -- with the exception of some mountain and coastal regions.

Much of middle America baked in a heat wave Sunday, and the National Weather Service declared excessive heat warnings in at least 14 states, most of those in the upper Midwest. Several daily temperature records were broken -- from Alpena, Michigan, south to Miami, Florida.

"Heat index values" -- how hot it feels outside -- have been running over 125 degrees Fahrenheit in the worst-hit areas, the National Weather Service said. The scale designed to describe how intense heat feels also includes factors such as humidity.

"This is the hottest it's been for the longest period of time," said Emily McNamara from Sioux Falls, South Dakota, where the temperatures were expected to hover in the mid-90s through the middle of the week.

Extreme heat is forecast to bear down on the eastern United States by the end of this week.

Jacob Beitlich, a Des Moines, Iowa-based meteorologist for the National Weather Service, said that two factors contribute to make this current heat wave especially dangerous: the lack of a significant drop in temperatures overnight to allow people's bodies to cool down and relatively high humidity, which makes it feel appreciably hotter than the thermostat may indicate.

In Iowa, for instance, he noted that the impact of mid-90s temperatures have been compounded by relatively high dew points in the upper 70s and low 80s. These combine to make the heat index -- a meteorological measure for how it feels outside -- spike so that it feels as hot as 126 degrees Fahrenheit, according to the weather service.

"That takes a toll on your body," Beitlich explained. "When it's more humid, it's more difficult to cool down from sweating."  Prevent heat-related illnesses

The National Weather Service notes that typically extreme heat is the biggest weather-related killer in the United States, taking about 115 lives each year. That's why it and other government agencies urge people to minimize their time outdoors in periods of extreme heat, drink plenty of fluids, and keep especially close tabs on the elderly and young people.

In Missouri scores of cooling centers have been established in libraries, senior centers, schools and other sites around the state to help deal with continuously high temperatures.

At Target Field in Minneapolis, Minnesota Twins supporters stood in long lines to get water from coolers, used spray fans, wrapped wet towels on their head during a Sunday game -- anything to keep cool.

"It is blistering out," said one fan, Jeff Ferris. "Brutal. I've probably lost 10 pounds today -- it's crazy."

While the recent stretch has been particularly difficult, it's all part of what's been a continuously long, hot and in many cases dry summer in numerous locales. The weather service indicates that Oklahoma, for instance, already has had 27 days this year in which the temperature surpassed 100 degrees.

Not everyone in the region sweat it out though this weekend. McNamara notes that the Wild West Waterpark, where she is aquatic manager, has had "record-breaking days in terms of attendance" in recent days, with several thousand flooding in to get wet and beat the heat.

"It's awesome," she said. "You see people coming out having fun. It makes for a fast day."

CNN's Ted Rowlands and Jacqui Jeras contributed to this report.

@highlight

NEW: No break from the heat Monday, says the National Weather Service

@highlight

The National Weather Service declared excessive heat warnings Sunday for 14 states

@highlight

High humidity has driven up heat indices, making it feel as hot as 126 degrees

@highlight

The extreme heat is forecast to move east by week's end, affecting the East Coast