(CNN) -- The United States and Israel are "absolutely in sync" about the need to prevent Iran from acquiring a nuclear weapon, Secretary of State John Kerry said Friday.

Talk of Iran's nuclear program took center stage in close to nine hours of talks Thursday and Friday between Kerry and Israeli Prime Minister Benjamin Netanyahu.

Kerry met with Netanyahu for the first time since the U.S. and five other world powers reached a deal with Iran over its nuclear program.

His talks aimed to convince the Israeli leader to move beyond the "first step" deal and work on a comprehensive agreement that addresses all of Israel's concerns about Iran's program.

Once just speculation, differences between the U.S. and Israel on how to deal with Iran's nuclear program have spilled into an open rift between the two allies.

Netanyahu has accused international powers that reached a deal with Iran to curb its nuclear program of making a "historic mistake" that could put Israel in grave danger.

The agreement calls for the easing of economic sanctions on Iran in exchange for increased inspections and limits on the country's uranium enrichment program, which many international analysts fear is meant for military purposes.

The Israeli leader wants to eliminate Iran's capability entirely, rather than merely suspend Tehran's nuclear development. He is adamantly opposed to any enrichment on Iranian soil, but this week Wendy Sherman, the lead U.S. negotiator for the Iran talks, said Washington would be willing to consider a limited, closely monitored Iranian enrichment program.

"The Prime Minister has every right in the world to make his views known with respect to his concerns about the security of his country," Kerry said upon leaving Israel, but he added that Netanyahu "has been extremely constructive on the next steps and where we need to go now."

"He knows that we are now in the real negotiation," Kerry said of Netanyahu.

He noted that the interim deal freezes the Iranian enrichment program, while a comprehensive agreement is negotiated, and it expands the amount of time by which Iran could develop a breakout capacity.

"I am personally convinced without any reasonable doubt that Israel is safer today," as a result of the interim agreement, he said.

In public remarks after his private meeting with Netanyahu, Kerry said the United States remains committed to Israel's security.

"I can't emphasize enough that Israel's security in this negotiation is at the top of our agenda," Kerry said. "And the United States will do everything in our power to make certain that Iran's nuclear program -- a program of weaponization possibilities -- is terminated.

World powers have imposed a six-month deadline for a final deal.

"We agree on what the goal of the final status agreement ought to be," Kerry said. "And in the days and weeks ahead, we will consult very closely and continually with our Israeli friends in order to bring about a comprehensive agreement that can withstand everybody's test."

Israeli-Palestinian peace

This marked Kerry's eighth trip to the region, making yet another push for a peace deal between Israelis and Palestinians.

After his talks with Netanyahu and Palestinian President Mahmoud Abbas, Kerry said the leaders remain "as determined as ever" to negotiate a peace deal.

He said he believed the parties were "closer than ever" to realizing a two-state solution.

Kerry said the perseverance of former South African President Nelson Mandela's fight for equality and justice should be a model to skeptics of the prospects for peace. "The naysayers are wrong to call peace in this region an impossible goal. It always seems impossible until it is done," he said.

He kicked off talks in July, but in November, both sides dug into their decades-old trenches and passed around blame.

Israelis and Palestinians are four months into a nine-month deadline given to them by Kerry to reach a peace deal, with little visible progress.

With direct negotiations between the two sides flailing, the United States seems to have moved into a more muscular role as mediator by presenting its own bridging proposals to the parties instead of relying on the Israelis and Palestinians to negotiate among themselves, which has born little fruit.

On Thursday, U.S. Gen. John Allen presented Netanyahu with a detailed plan to address Israel's security needs in the event of a comprehensive peace agreement.

"Neither peace nor prosperity is possible without security," he said, adding that the U.S. will "only support a final status agreement that makes both Israel and the Palestinians safer than they are today."

On Thursday, Netanyahu said that Israel is "ready for a historic peace" based on a two-state solution but that his country's security needs must be respected. He said finger-pointing that helped derail the earlier talks must end.

Security is a must if Israel is going to sign on, Netanyahu said. "Israel must be able to defend itself by itself."

He appeared to be referring to the Jordan Valley, where Israel has insisted its own troops must remain, as opposed to the international troops that patrol the tense borders with Syria and Lebanon.

Palestinians have rejected, out of hand, Israeli soldiers within the borders of their own states. By echoing Netanyahu's language that a peace deal must recognize Israel as "a country that can defend itself by itself," Kerry appeared to be siding with Israel.

"What we need is not grandstanding but understanding," he said.

Palestinians have argued that Israel has been sowing distrust by continuing the construction of thousands of Jewish settlement units on the West Bank and other land that Palestinians claim as theirs.

It is the real source of the "deep crisis between the Palestinians and the Israeli negotiations team," a Palestinian official said.

CNN's Michael Pearson and Ben Brumfield contributed to this report.

@highlight

U.S. secretary of state, Israeli Prime Minister were in talks for nearly nine hours today

@highlight

"I am personally convinced ... that Israel is safer today," he says of agreement on Iran

@highlight

Israel disagrees with the interim agreement, saying it doesn't go far enough

@highlight

Kerry says Israel, Palestinians are "as determined as ever" to negotiate a peace deal