LONDON, England (CNN) -- When the economy gets tough, the tough come out fighting. For some businesses, that means bringing out a fighter brand -- a cut-price version of a flagship product, marketed under a new name, and intended to fight back against budget competitors.

"Jetstar" is a fighter brand that worked, beating the competition and creating a lasting, money-making brand.

When it's done right it can destroy cut-price competition, but done badly it can drive a business to the brink of bankruptcy.

Mark Ritson, associate professor at Melbourne Business School, has written an article for the October issue of Harvard Business Review discussing the benefits and pitfalls of launching a fighter brand.

He says that over the next six months a number of new fighter brands are likely to appear in response to the recession.

"Fighter brands are very unusual but they are becoming increasingly common," he told CNN. "It's high risk and high reward, and when it works it can have astonishing results."

Ritson gives the example of Intel, which launched its budget "Celeron" chip in the late 1990s to in response to AMD's low-priced chips, which were threatening Intel's premium "Pentium" brand.   Read more business features  With "Celeron," Intel came up with a budget alternative to "Pentium" for the lower end of the market and cemented its position as market leader.

But Intel's success is the exception rather than the rule. "The majority of fighter brands not only haven't worked, but have gone on to do significant damage to the companies that launched them," said Ritson.

General Motors' (GM) "Saturn," United Airlines' "Ted," and Kodak's "Funtime" film range are all high-profile fighter brands that failed. Despite the appeal of taking on the competition in a fist fight, launching a successful fighter brand is easier said than done.

"The problem is that fighter brands are almost always a knee-jerk reaction to a problem and are not always well thought out," Neil Saunders, consulting director with Verdict Research, told CNN.

Ritson says one element in building a fighter brand is to avoid creating a low-price product that is so attractive that it steals customers who would otherwise be buying that company's premium-brand product.

On the other hand, if the fighter brand is too expensive or too low quality, it won't put up much of a fight against the opposition it's designed to attack.

Another complication is that even the biggest companies don't have the money and managerial time to distract themselves with a new brand at a time when they should be concentrating on their core products, and then there is the difficulty in operating at an unfamiliar low price level.

"The airline industry is a prime example, where people have launched fighter brands to combat the budget airlines and have been notoriously unsuccessful," said Saunders. "If it's not your business model it's not easy to operate, and it's not usually these airlines' business model."

United's "Ted," and Delta Air Lines "Song" were launched to combat budget carriers, but they weren't up to the challenge. In fact, Ritson says those fighter brands contributed to United and Delta's bankruptcy.

But with its budget "Jetstar" airline, Qantas managed to find the holy grail for fighter brands -- beating the competition and creating a lasting, money-making brand in its own right. So what was different about the Qantas model?

"One thing was that Qantas took a long, hard look at the numbers and decided if they could be profitable," said Ritson. "One of the problems with fighter brands is that they are oriented towards destroying a competitor and because of that managers pay a lot less attention to the bottom line."

He gives the example of GM's "Saturn," a car designed to take on fuel-efficient, affordable Japanese cars. "Saturn" sold plenty of cars, at least at first, but its high operating costs meant it lost millions of dollars, playing a huge part in bankrupting GM.

So given the huge risks involved, should companies even consider launching a fighter brand?

"Only do it if you can win and it fits with your existing proposition," says Saunders.

Ritson cautions, "The minute you add a new brand to your portfolio it's hundreds of thousands of hours of management time, and millions of dollars in development, advertising and distraction.

"Ask the question, 'do I need a fighter brand or is this a real seismic change in the market, which means I need to change my existing strategy with existing brands?' Otherwise you will lose five years and $50 million."

@highlight

Fighter brands are designed to fight back against low-priced competition

@highlight

Done wrong, fighter brands can drive a company to the brink of bankruptcy

@highlight

GM's "Saturn" is a fighter brand that failed, while Intel's "Celeron" succeeded

@highlight

New fighter brands are likely to be launched in response to the recession