Editor's note: Sherrilyn Ifill is a professor of law at the University of Maryland School of Law and a civil rights lawyer who specializes in voting rights and political participation. She is the author of "On the Courthouse Lawn: Confronting the Legacy of Lynching in the 21st Century," and is a regular contributor to The Root at http://www.theroot.com/.

Sherrilyn Ifill says Sonia Sotomayor's speech was an honest effort to describe how judges rule on cases.

(CNN) -- When Don Imus denigrated in clearly racist terms the championship women's basketball team from Rutgers University; when actor Michael Richards screamed at black guests in a comedy club, calling them the "n-word" and invoking the threat of lynching; when Trent Lott said that things would have been better if a southern segregationist had been elected president a half-century earlier, responsible white people from across the ideological spectrum stepped forward to explain that these individuals were not racist.

The "R" word has become the taboo of the white world. By this I mean that calling someone racist is a taboo, not racism itself.

So when Rush Limbaugh and Newt Gingrich and several other conservative commentators call a sitting federal appeals court judge and Supreme Court nominee who happens to be Latina, a racist, it's time to push back. Real hard.

The evidence offered in support of Judge Sonia Sotomayor's alleged racism is a speech she gave in Berkeley, California, in honor of Judge Mario G. Olmos, a former judge, community leader and graduate of Boalt Hall Law School who died an untimely death at the age of 43.

The offending section of the speech is this: "I would hope that a wise Latina woman with the richness of her experiences would more often than not reach a better conclusion than a white male who hasn't lived that life." This passage inspired Gingrich, former speaker of the House of Representatives and potential 2012 presidential candidate, to call Judge Sotomayor "a Latina racist."

To lift one statement out of Judge Sotomayor's eight-page speech without examining the context and substance of her remarks, is an example of the kind of shoddy character assassination that I suspect will dominate this judicial confirmation process.

Judge Sotomayor's speech is, in fact, an excellent meditation on how the experiences of judges might affect how they approach aspects of judicial decision-making. It explores the important, and too-little examined reality that judicial deliberations can be affected by a judge's background, perspective and experience.

In the next sentence immediately following the passage above, Judge Sotomayor says, "Let us not forget that wise men like Oliver Wendell Holmes and Justice [Benjamin] Cardozo voted on cases which upheld both sex and race discrimination in our society."

Could she have been referring to Buck v. Bell, the 1927 case in which Justice Holmes -- widely regarded as perhaps the most brilliant justice in the Supreme Court's history -- upheld the state's plan to sterilize Carrie Buck, an 18-year-old white woman, who was accused of being congenitally retarded. Buck's main crime seems to have been the fact that she'd had a child out of wedlock.

In any case, Justice Holmes upheld the sterilization order, emphatically and coldly stating, "three generations of imbeciles is enough." Does anyone seriously believe that a woman, and especially a woman of color "with the richness of her experiences" would not have "reach[ed] a better conclusion " than that adopted by Justice Holmes in 1927?

In fact Buck v. Bell is the perfect example of how a "wise old [white] man" got it wrong in a way that a woman judge or a racial minority most likely would not.

It's worth pointing out that in that same speech Judge Sotomayor cautioned, "we should not be so myopic as to believe that others of different experiences or backgrounds are incapable of understanding the values and needs of people from a different group." But she acknowledges that "there may be some [difference in her judging] based on my gender and my Latina heritage."

What Gingrich and others decry in Judge Sotomayor should be applauded. Judge Sotomayor has the humility to recognize the difficulty of achieving true and pure impartiality. Instead, as she pointed out in her speech, "[t]he aspiration to impartiality is just that -- it's an aspiration because it denies the fact that we are by our experiences making different choices than others."

Unlike so many judges who by virtue of being white and male simply assume their impartiality, Judge Sotomayor recognizes that all judges are affected by their background and their life experiences.

Ironically, it was Justice Cardozo who recognized this when he said, "[t]he great tides and currents which engulf the rest of men, do not turn aside in their course, and pass the judge by." Justice Cardozo concluded that "[n]o effort or revolution of the mind will overthrow utterly and at all times the empire of ... [a judge's] subconscious loyalties.

These are the realities of judicial decision-making evoked by Judge Sotomayor's speech. It's perhaps easier to say as [then-Supreme Court nominee] Clarence Thomas so famously did, that a judge can simply, "strip down like a runner," and become utterly impartial simply by putting on a black robe. But it is more honest to acknowledge that regardless of race, gender, ideology or professional background, impartiality is always a work-in-progress for judges.

Even Judge Richard Posner, a conservative stalwart on the 7th Circuit Court of Appeals once observed that, "Litigation commonly involves persons at different social distances form the judge, and the more proximate will garner the more sympathetic response regardless of actual desert."

Justice Thomas is the perfect example of how hard it can be for a judge to lay aside the personal experiences that shape his worldview. His views about the affirmative action cases that come before him are shaped quite clearly by what he regards as the self-sufficient dignity of his hard-working grandfather and the humiliation he says he felt when others believed his scholarly accomplishments were the result of affirmative action.

White judges are also shaped by their background and experiences. They needn't ever speak of it, simply because their whiteness and gender insulates them from the presumption of partiality and bias that is regularly attached to women judges and judges of color when it comes to matters of race and gender.

Only a judge who is conscious and fully engaged with the reality of how her experiences may bear on her approach to the facts of a case, or sense of social justice, or vision of constitutional interpretation, should be entrusted to sit on the most influential and powerful court in our nation.

Too often we have allowed ourselves to be placated and charmed by fantasies about umpire judges calling "balls and strikes," without ever asking which league the game is being played in or whether the umpire was standing in the best position to see the play. We forget that when deciding whether a batter checked his swing, the homeplate umpire will routinely ask for the alternative perspective from the first or third base umpire before calling a "swing and a miss" a strike.

Judge Sotomayor rightly suggests that these things matter. She notes in her speech that "personal experiences affect the facts that judges choose to see." She should know this. She's been a trial judge. None of the other justices who will serve with Judge Sotomayor will have had that experience.

Judge Sotomayor's speech is one of the most honest and compelling statements about judicial impartiality we're likely to hear from a judge of her stature.

It ends with this humble observation:

"Each day on the bench I learn something new about the judicial process and about being a professional Latina woman in a world that sometimes looks at me with suspicion. I am reminded each day that I render decisions that affect people concretely and that I owe them constant and complete vigilance in checking my assumptions, presumptions and perspectives and ensuring that to the extent that my limited abilities and capabilities permit me, that I re-evaluate them and change as circumstances and cases before me requires. I can and do aspire to be greater than the sum total of my experiences, but I accept my limitations. I willingly accept that we who judge must not deny the differences resulting from experience and heritage but attempt, as the Supreme Court suggests, continuously to judge when those opinions, sympathies and prejudices are appropriate."

It's entirely appropriate to question Judge Sotomayor about this speech at her confirmation hearings. She is evidently more than capable of explaining in compelling, clear language what precisely she wanted to convey in this speech. But Judge Sotomayor is not a racist.

It is an insult of unimaginable proportion to unleash this charge on her, based on one sentence from her Berkeley, California, speech. It is not just irresponsible to make this charge against a sitting federal appeals court judge based on this flimsy record; it is -- and here I'll break the taboo -- racist to do so.

The opinions expressed in this commentary are solely those of Sherrilyn Ifill.

@highlight

Sherrilyn Ifill: The charge of being a racist is a taboo in much of society

@highlight

Critics of Sotomayor have called her racist for one sentence in a speech, Ifill says

@highlight

She says judge was honestly examining how judges make their decisions

@highlight

Ifill says Impartiality is always a work-in-progress for judges