Often, artists create work with a view to immortality; if they can't live on, perhaps their creations can. Danae Stratou, on the other hand, knows one of her seminal pieces has a death sentence.

In 1997, she joined with industrial designer Alexandra Stratou and architect Stella Constantinides to create a breathtaking spiral made up of alternating conical dips and protrusions in the Sahara Desert, near the Egyptian town of El Gouna just off the Red Sea. The project, known as Desert Breath, spreads over one million square feet of sand.

While the installation is still visible from the sky, there are marked signs of weathering. A body of water that once acted as the work's center point has since evaporated. The earthen mounds have flattened over time, and cracks can be seen on the overall surface of the piece. For the artists (known collectively as D.A.ST. Arteam), Desert Breath's impending demise is the whole point.

"Through its slow disintegration, it's become an instrument to measure the passage of time," says Stratou. And as time has gone on, she adds, she finds she enjoys the piece more and more.

"The more time passes, the more it becomes fragile, but it also has developed a more organic relationship with the site. When it was just made, you could feel the connection to the shape, but now, it looks like it wasn't made by human beings at all, and this is something we like a lot."

In fact, to many users of Google Earth, the site doesn't look man made. Before knowing what it was, several commenters speculated it was anything from the imprint of an alien spaceship to the gateway to a parallel universe. A recent discussion on the Google Earth forum led to the work's rediscovery, almost 17 years to the day after it was first built.

"It's surprising that so many years later it would get all this attention, but on the other hand, sometimes things find their own moment," Stratou speculates.

"Perhaps people can appreciate this kind of thing more now than they could back then, when they were caught up in making money or being famous. Today, we're in a financial crisis, and perhaps Desert Breath reflects a new humility people feel, or a new need to connect to nature."

D.A.ST. Arteam spent nine months constructing the work, with the help of a local construction crew who donated the tools and manpower to build the site.

"I was totally cut off from Western civilization -- though I found that a positive thing. It was a huge change in the life I had led up until then. I woke up at four every morning and worked on the site through to sunset. There weren't mobile phones back then, so I couldn't even speak to my family in Greece," she recalls.

There were times when it seemed the shelf life for the installation would be cut short. In the early stages of construction, the town of El Gouna experienced the worst floods it had seen in 60 years. Five years after it was completed, the government decided to build a new road that cut through the site.

"We had to go back and negotiate with the governor, who nicely agreed to take the road back a few meters. For me, it just showed that the biggest danger is people. I think people are more likely to destroy it than nature itself."

@highlight

Google Earth users delved into a range of theories to explain giant spiral in Egypt

@highlight

The shape is actually a 17-year old art installation by D.A.ST. Arteam

@highlight

The artwork is already showing signs of deterioration, and may not last another 50 years