London (CNN) -- Britain's Prince Charles made a heartfelt appeal Thursday for the world to come together to end the "appalling trade" annihilating threatened wildlife such as elephants and tigers in Africa and Asia.

His speech at the London Conference on the Illegal Wildlife Trade called for high-level action by world leaders to be matched by action on the ground to stop the demand for illegal products and punish those involved in the trade.

The conference was the culmination of a week of events aimed at galvanizing efforts to halt the slaughter of endangered animals for their bones, hides or tusks -- much in demand in parts of Asia.

In a declaration agreed to at the end of the summit, leaders pledged to strengthen enforcement to protect animals at risk of poaching, to impose tougher sanctions on all those involved in the illegal wildlife trade, and to address related corruption and bribery.

They also agreed to destroy stockpiles of seized wildlife products -- an issue which has been contentious in the past.

Prince Charles in his speech praised the United States, China and France for having recently destroyed substantial stockpiles of seized ivory.

John G. Robinson, chief conservationist for the Wildlife Conservation Society, welcomed the declaration, saying it "sends a strong message across the globe: Wildlife trafficking is a serious crime, on a global scale, and must be tackled at all levels as a matter of urgency.

"The declaration calls for a global crackdown on wildlife crime and on the corruption and organized criminal activities that feed it."

Forest elephants decimated

The conference was held as new figures from the Bronx Zoo-based Wildlife Conservation Society revealed that a massive 65% of forest elephants in Central Africa were lost to poaching between 2002 and 2013.

Based on research across 80 sites in five countries, a study shows that forest elephants are being killed for their ivory at "a shocking 9% per year," the conservation group said.

As a result, they occupy only about a quarter of the area they once roamed -- with the forests of the huge Democratic Republic of the Congo notably almost empty of elephants.

Researcher Fiona Maisels, a co-author of the study, said that at least 200,000 forest elephants were lost between 2002 and 2013, "to the tune of at least 60 a day, or one every 20 minutes, day and night."

She added, "By the time you eat breakfast, another elephant has been slaughtered to produce trinkets for the ivory market."

Prince: Dire situation in Africa

Charles said he had been approached a little over a year ago by a group of presidents from Africa who made an impassioned plea for help.

"The situation they described was indeed dire," he said. "The scale of the poaching crisis their countries were facing had reached unimaginable heights. Organized gangs, terrorist groups and militia were slaughtering ever greater numbers of elephants for their ivory and rhinoceros for their horns."

Now, the forests and savannahs are "frighteningly silent," he said, and without elephants to aid in seed germination, the long-term ecology of many forests is "fatally disrupted."

The problem of poaching is not just in Africa, he said, since wildlife in Asia, particularly India, is also being decimated.

The leaders gathered in London will sign a declaration that includes new pledges to tackle the demand for and consumption of illegally traded wildlife products, Charles said.

"Most recently, demand from Asia -- particularly China -- has fueled the trade, but we also know that the United States and Europe are contributing to it," he said.

At the same time, he said, recent initiatives taken around the world to destroy seized ivory, curb consumption of shark fin soup and protect snow leopards showed that concerted action could work.

UK Foreign Secretary William Hague said the issue was an unprecedented crisis that demanded a global response.

"But this is not just an environmental crisis," he said. "This is now a global criminal industry, ranked alongside drugs, arms and people trafficking. It drives corruption and insecurity, and undermines efforts to cut poverty and promote sustainable development, particularly in African countries."

U.S. market for ivory called second biggest

With the issue taking center stage, U.S. President Barack Obama signed off this week on a "National Strategy for Combating Wildlife Trafficking," which sets out ways to stem the illegal trade.

Its stated priorities are to strengthen enforcement, reduce demand for illegally trafficked wildlife and work more closely with international partners.

U.S. Humane Society President Wayne Pacelle welcomed the step in a blog post Wednesday, but he said the group was still working toward the prohibition of all ivory trade in the country.

The United States is the second largest ivory marketplace worldwide, after China, he said, in part because it's still legal to trade in "antique" ivory more than 100 years old and non-elephant ivory, such as mammoth ivory.

"Traffickers claim that ivory from recently poached elephants is antique, and they dye it to make it look old and forge documents to substantiate their claim. Or they traffic elephant ivory as 'mammoth ivory' or some other ivory-bearing species because those are not protected by law," he wrote.

It's almost impossible for members of the public or enforcement officers to tell the old from the new, Pacelle said, which "adds up to a robust legal and illegal trade of ivory" in the United States, particularly in Hawaii.

"It's just not worth putting elephants at risk in order to preserve a limited trade in antique ivory or ivory imported before certain dates," he said.

"People can live without it, and we know that even a modest amount of trade is likely to lead to widespread killing of elephants."

CNN's Ingrid Formanek contributed to this report.

@highlight

NEW: Leaders agree to global steps to combat illegal wildlife trade at London summit

@highlight

NEW: They promise tougher penalties and destruction of stockpiles of ivory, wildlife products

@highlight

Study: 65% of forest elephants in Central Africa were lost to poaching from 2002 to 2013

@highlight

Researcher: By the time you eat breakfast, another elephant has been slaughtered for trinkets