(CNN) -- Most American states are doing a subpar job in protecting against corruption and assuring accountability, according a study released Monday.

The joint report -- from the Global Integrity nonprofit advocacy group, Public Radio International and Center for Public Integrity investigative news organization -- used data on a host of measures to score all 50 states.

No state received an A grade, while five got Bs and 19 were given Cs. The majority got grades that would be considered not passing in American schools, including 18 Ds and eight with failing grades.

"What's behind the dismal grades? Across the board, state ethics, open records and disclosure laws lack one key feature: teeth," said an overview of the report written by Caitlin Ginley from the Center for Public Integrity.

The report assessed 330 "Corruption Risk Indicators" across 14 aspects of government such as ethics enforcement, lobbying disclosure, auditing practices and executive, legislative and judicial accountability.

The top-ranked state, after an analysis of these measures, was New Jersey. It got a score of 87, equivalent to a B+. It was followed closely by Connecticut.

The only three other states earned above-average scores of B- or better: Washington, California and Nebraska.

On the other end of the spectrum was Georgia, which ranked at the bottom of the report's rankings when it came to transparency and accountability.

Citing one reason for Georgia's failing grade, the report claimed "more than 650 government employees accepted gifts from vendors doing business with the state in 2007 and 2008" despite this being a clear violation of state ethics laws -- adding that the state hadn't issued a related penalty since 1999.

The Peach State wasn't alone in scoring an F. It was joined by South Dakota, Wyoming, Virginia, Maine, South Carolina, North Dakota and Michigan.

The report's overview notes that low grades in some sparsely populated Western or Plains states may be attributable to "libertarian roots, a small-town, neighborly approach and the honest belief that 'everybody knows everybody' (that) has overridden any perceived need for strong protections in law."

But overall, the study concludes that many failings are preventable, whether by giving more power to ethics boards, bolstering penalties, increasing openness and transparency, or taking stronger measures to decrease the influence of money in politics.

This is despite some public steps in recent years aimed ostensibly at fighting corruption.

"State officials make lofty promises when it comes to ethics in government. They tout transparency of legislative processes, accessibility of records and the openness of public meetings. But these efforts often fall short of providing any real transparency or legitimate hope of rooting out corruption," wrote Ginley.

The report offers a number of examples.

One is former West Virginia Gov. Arch Moore, in office for three terms in the 1970s and 1980s, who went to a local dealership and took a car on a "test drive" and ended up keeping it for four years, while the dealership earned state contracts. Then, the report references a North Carolina legislator who owned five billboards and sponsored a bill to loosen billboard construction regulations, with an ethics commission finding no violations. And it also faults a Tennessee ethics commission that hasn't issued a penalty in its six years in existence and that doesn't make complaints available to the public.

Scandals and a history of political corruption can be prime drivers of effective reforms, according to the report, which points to the positive measures taken in New Jersey, Illinois and Louisiana.

It also credits widespread improvements in transparency, in which legislation and "some government records are easier to retrieve than ever." But Ed Bender of the National Institute on Money in State Politics says in the report that such information often isn't presented in an easy-to-use, easy-to-understand format.

Ginley, in the report's overview, also claims the study found that "lobbyists find ways" around even retooled laws and that "across the board, enforcement is weak."

"When it comes to money, influence and power in state government, interest groups and big-money donors will find ways around just about any limit," she wrote.

@highlight

A joint study assesses U.S. states on corruption, accountability and transparency

@highlight

Five states get B grades, 19 get Cs, 18 scored Ds and eight were considered failing

@highlight

"State ethics, open records and disclosure laws lack one key feature: teeth," the report says

@highlight

New Jersey gets the highest score and Georgia gets the lowest in report