(CNN) -- One of the mysteries of this administration is that President Obama is a great orator, but not always a great communicator, and we saw that dichotomy in effect again last night in Charlotte.

In a season of platitudes, his convention speech was admirably strong on policy specifics but weak on memorable themes.

He made a values-driven case for continuing on a difficult path toward rebuilding the great American middle class, but did not offer new details on just how we would achieve those goals in the next four years.

He successfully deconstructed the Republican plans as simply being more of the failed same -- "Take two tax cuts, roll back some regulations, and call us in the morning!" -- but didn't offer a strategy for how the two parties would work better together in a second term.

And where Bill Clinton's speech was focused on centrist swing voters, President Obama's address seemed aimed at the party's base, rocking the convention hall, but losing something in translation over television into living rooms across the nation.

The speech contained some clear declarations of difference between the two parties. A close read showed Obama, as always, rhetorically refusing to accept old terms of debate: "We don't think government can solve all our problems. But we don't think that government is the source of all our problems." Instead, Obama sees a country balanced between rights and responsibilities, the individual and the community working together to make life a little better for us all. He believes passionately in the ability of government to make a positive difference -- and that is not socialistic, but realistic.

Obama soared when talking about foreign policy, driving home the inexplicable failure of Mitt Romney to mention Afghanistan in his Tampa convention keynote. The paragraphs on Osama bin Laden and the rebuilding of ground zero achieved elevation.

The president ticked through a list of promises kept, offering data points on our decreased dependence on foreign oil over the past four years, and a goal of 1 million new manufacturing jobs by the end of his second term.

He also belatedly embraced the recommendations of the Bowles-Simpson commission as a starting point to reduce the deficit and the debt, something he notably failed to do in his first term.

But if this was a sober and serious address, it was also a refined version of his stump speech; there was little new and no overarching narrative arc to make this high-stakes political speech truly stand out from the pack. The White House said this would not be a State of the Union-style address, but there was a telltale laundry-list quality at times. Both Michelle Obama and Bill Clinton -- and even possibly Joe Biden (!) -- offered more seamless inspiration speeches. In contrast, this felt like a speech written by committee.

Perhaps best that can be said of the speech, and this is not a small thing, is that President Obama spoke to the American people as adults last nights. He did not promise miracles, but instead steady improvement if we continued to work together, taking the nation in a better direction, one ironically more rooted in mid-20th century values, but better suited to the inclusive reality of American life in the 21st century.

It's too soon to tell if any individual lines of this speech will endure. President Obama sometimes seems allergic to sound-bites as a point of pride. Lines like "Killed bin Laden; Saved G.M" roll off Biden's tongue, ready for a bumper sticker, but they almost seem too easy for the president and so the pitch is never hit.

But the closing lines of the address achieved real momentum and encapsulated President Obama's argument: "America, I never said this journey would be easy, and I won't promise that now. Yes, our path is harder, but it leads to a better place. Yes our road is longer, but we travel it together. We don't turn back. We leave no one behind. We pull each other up. We draw strength from our victories, and we learn from our mistakes, but we keep our eyes fixed on that distant horizon, knowing that providence is with us, and that we are surely blessed to be citizens of the greatest nation on Earth."

Or, as the new Bruce Springsteen anthem that closed out the convention more concisely said: "We Take Care of Our Own."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: President Obama's speech was strong on policy, weak on memorable themes

@highlight

Obama deconstructed GOP positions well and emphasized edge on foreign policy, he says

@highlight

Avlon: It was a sober and serious address, and he didn't promise miracles