(CNN) -- In a single column, a veteran police officer has catapulted himself into the national debate over the death of unarmed teen Michael Brown in Ferguson, Missouri.

"I'm a cop. If you don't want to get hurt, don't challenge me," the Washington Post headline blares. The piece was written by Sunil Dutta, a 17-year veteran of the Los Angeles Police Department.

"Even though it might sound harsh and impolitic, here is the bottom line: if you don't want to get shot, tased, pepper-sprayed, struck with a baton or thrown to the ground, just do what I tell you," he wrote.

Dutta cautions against arguing, insulting, or screaming at officers, "and don't even think of aggressively walking towards me. Most field stops are complete in minutes. How difficult is it to cooperate for that long?"

If you believe an officer is violating your rights or bullying you, Dutta says, don't challenge him then -- save that for lodging a complaint later. "Do what the officer tells you to and it will end safely for both of you."

It took no time for the anger over his message to explode.

"The outrageous thing is not that he says it. The outrageous thing is that we accept it," writes Ken White of the blog Popehat, which tracks American legal issues.

"Do we have a justice system? By name, yes. Is it effective in deterring cops from abusing citizens or punishing them when they do? No... If you hope the cop will be charged criminally for misbehavior, you're going to be waiting a very long time for no result."

Dutta's message is to "shut up and take it, because even the slightest bit of intransigence is grounds for the cops to unleash a world of hurt," writes Benjamin Freed of the Washingtonian.

"To say that putting up a verbal argument warrants bringing out the billy clubs, stun guns, or actual guns only stokes what's been seen coming out of Ferguson in the past week -- images of peaceful demonstrators being met with a lines of officers rigged with military-grade equipment, marchers being fogged with canisters of tear gas, and people being slugged with rubber bullets after not moving quickly enough," Freed complains.

Authorities in Ferguson say force has been needed to stop the minority of "agitators" who have fomented violence, through gunshots and Molotov cocktails.

CNN.com users weighed in on social media.

"So, 'Do what I say or I will hurt/kill you?' How does that even remotely correspond with 'To Serve and Protect?'" Carter Gaddis wrote on Twitter, citing the police motto.

But Rhonda Heim wrote on Facebook, "I think an officer puts his life on the line on a daily basis. He wants to go home after his shift like everyone else. No one should challenge him."

Mike Knox, a business owner and father of four in Ferguson, told CNN "people are just tired" of being pulled over when they did nothing wrong, so it's common to give police attitude in the area. But he teaches his children not to.

"When you see police, respect the police," he tells them. "Say 'yes sir and 'no sir.' It'll get you a long way." And since loitering can lead police to think you're up to no good, he adds, "keep it moving."

"If you let your attitude take over, that can be you laying on that ground," Knox adds.

In Dutta's column, published Tuesday, he writes, "Cops are not murderers. No officer goes out in the field wishing to shoot anyone, armed or unarmed."

Still, he does not defend all police. "I know it is scary for people to be stopped by cops. I also understand the anger and frustration if people believe they have been stopped unjustly or without a reason. I am aware that corrupt and bully cops exist. When it comes to police misconduct, I side with the ACLU: Having worked as an internal affairs investigator, I know that some officers engage in unprofessional and arrogant behavior; sometimes they behave like criminals themselves."

Complete coverage of Ferguson shooting and protests

Dutta notes that people don't have to submit to illegal stops or searches, and can refuse consent to search a car or home without a warrant. "Always ask the officer whether you are under detention or are free to leave. Unless the officer has a legal basis to stop and search you, he or she must let you go. Finally, cops are legally prohibited from using excessive force: The moment a suspect submits and stops resisting, the officers must cease use of force."

But protesters throughout the country say submitting to an officer doesn't always avoid police brutality. They point to the case of Eric Garner, killed by New York police in a chokehold in July. And in California, a 51-year-old woman was seen on video being repeatedly punched by a Highway Patrol officer.

In a CNN.com column last week, Iris Baez of the Justice Committee in New York wrote that her son died nearly 20 years ago in an illegal police chokehold. "These tragedies and injustices happen year after year, and people of color -- primarily black and Latino -- are usually the victims."

"Police-community relations can only start to improve when individual officers who abuse civilians' rights are held accountable with a zero-tolerance policy for police brutality," she says.

Dutta wants all police to use body cameras and video recorders in their vehicles, which "will prevent a situation like Mike Brown's shooting, about which conflicting and self-serving statements allow people to believe what they want." The events that led up to the teen's shooting remain unclear, with very different descriptions emerging.

While Dutta comes off as "reasonable," he is demanding "unresisting submission to police without argument or even legal protest," J.D. Tuccille writes at Reason.com. "Just how do you 'refuse consent to search your car or home' without running afoul of the no-nos Dutta warns may get you 'shot, tased, pepper-sprayed, struck with a baton or thrown to the ground?'"

Journalists who were arrested amid Ferguson protests have reported they did nothing wrong.

Dutta, a professor of homeland security and criminal justice at Colorado Technical University, could not be reached immediately for comment Wednesday on the uproar over his column.

In a tweet linking to his response, the Washingtonian's Benjamin Freed wrote, "I challenged Officer Sunil Dutta. Hopefully he won't come hurt me."

Magazine: The aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

@highlight

NEW: Father in Ferguson: Respect police, or it could be "you laying on that ground"

@highlight

"If you don't want to get shot, tased... do what I tell you," a veteran cop writes

@highlight

Sunil Dutta spent 17 years with the LAPD

@highlight

"The outrageous thing is that we accept it," a critic writes