London, England (CNN) -- For the past decade, Dubai has been home to the greatest concentration of cranes anywhere in the world as billions of tonnes of concrete, steel and glass have refashioned the city skyline.

But the rapid growth of the past six years has slowed recently due to the global slump in property prices.

Hopes of a recovery have now been further imperiled by the news that the state-owned Dubai World has requested to delay paying its massive debts by six months.

Dubai has become a playground for architects as well as millionaires commissioning a string of audacious building projects aimed at helping reposition the city as the financial and cultural hub of the Middle East. Billions of dollars have been spent transforming the landscape, erecting buildings which continue to break records of all dimensions.

The Burj Dubai -- at 818 meter the world's tallest skyscraper, the vast Palm Jumeirah -- built on land reclaimed from the sea, the Dubai Mall -- the largest shopping center in the world and the Mall of the Emirates; home to the world's biggest indoor ski slope form part of a very long list of completed construction projects.

"The whole place is kind of like a time-lapse film. You wake up in the morning and it's just a little bit different," Jim Krane, author of "City of Gold: Dubai and the Dream of Capitalism" told CNN.

But, according to Krane, some of these projects, like the Burj Dubai, suffer from a severe lack of practicality.

"Dubai doesn't really need to have to build tall asides from prestige purposes. If you look at it, it's a really bad idea. It uses as much electricity as an entire city. And every time the toilet is flushed they've got to pump water half a mile into the sky," he said

The telescopic shape is also presents problems of a more practical nature Krane thinks.

"The upper 30 or 40 floors are so tiny that they're useless, so they can't use them for anything else apart from storage. They've built a small, not so useful storage warehouse half a mile in the sky," he said.

This prestige over practicality issue something of a recurring theme in Dubai's banner building projects.

Krane, who lived and worked in Dubai from 2005 to 2007, also called into questions the attraction of the Palm Islands. The $12 billion Palm Jumeirah -- populated with valuable villas and hotels -- could have been a lot better he says.

"It's not been very well done. You can't even see the sea and all the fronds which house the communities are gated."

Its sister islands the Palm Deira -- which developers say will be the size of Manhattan Island housing 1.5 million residents -- has yet to be completed.

Krane hopes it never is. "It's on the Sharjah border [one of the six other emirates] and is the most densely populated part of the city. There's no infrastructure at all over there for and extra 1.5 million residents"

And despite the best efforts of the property companies the Palm Islands have still harmed the area's marine environment.

The environmental damage isn't limited to the coastline according to Krane. The huge boulders helping lay the foundations for coastal reclamation projects like Waterfront project -- which developers boast will be twice the size of Hong Kong Island -- are, he says, slowly laying waste to some of the UAE's more picturesque mountain regions.

But with the renewed financial uncertainty Dubai's ambitions are likely to be reigned in.

In 2008, it was announced that the new Palazzo Versace hotel in Dubai would have a beach which featured refrigerated sand. At the moment the only people getting cold feet are the people looking to invest in Dubai. And while that situation continues, many of Dubai's construction projects will remain on ice.

@highlight

Dubai's construction boom has slowed in recent months due to economic slowdown

@highlight

New financial concerns over Dubai World debt repayments add to uncertainty

@highlight

Former Dubai resident Jim Krane questions the wisdom of some construction projects