(CNN) -- Sporting a black t-shirt proudly proclaiming "Live 2 Break," a group of grinning boys form a slightly jagged circle inside a dusty yard on the outskirts of Kigali, Rwanda's capital.

Inside the circle a bandana-wearing dance instructor spins from his back onto his chest flaring his legs high in the air in a V-shape. The boys respond to his virtuoso dance moves with claps and cheers before taking to the floor themselves, twisting and turning as they try to perfect their breakdance moves.

They are part of an uplifting dance project at Les Enfants De Dieu, a residential care center working to transform the lives of former street children in Rwanda.

The center accommodates 126 boys aged six to 18 who, apart from their tough upbringing, share a deep passion for an art form that also originated in the streets: Hip-hop.

"Once their basic needs are fulfilled, they need to nourish their spirit, their self-esteem and their pride in themselves," says Nicola Triscott, co-founder of Catalyst Rwanda, a UK-based group that organizes art programs for vulnerable youth.

"I think hip-hop really helps to do that, because it's such a young person's art form -- it came off the streets and it's about one-on-one teaching. There's this great spirit of sharing in hip hop," she adds.

Read more: Film pioneer helps Rwanda build new identitys

Last year, Catalyst Rwanda responded to the kids' wish to learn how to "break" -- hip-hop's original dance form -- by taking legendary British breaker Pervez to the tiny African country.

The project was an instant success: For 10 days, the center's courtyards were turned into makeshift dance floors as Pervez taught the children how to develop their breaking skills and allowed them to express themselves.

"I remember the first day when the people came here to teach them how to dance hip-hop, I was really, myself, in heaven," says Rafiki Callixte, 43, project manager at the center.

He says the children were living a tough, hopeless life in the streets. They had no time to laugh or relax as they always had to take care of themselves.

Their story has been immortalized in "Yes, Man!" a short documentary film screening Thursday at the Africa Utopia festival in London.

"Now, to see them smiling, without stress, (being) enthusiastic, open, very active and then seeing also some children around appreciating the ones who were dancing, you could understand how dancing is helping them to come out of themselves, to express their inner harmony, their inner happiness and forget the hard life they have experienced."

Old friends meet again

It all began after Triscott received a Facebook message from Callixte in 2010, asking her if she still remembered him.

The two had met in the early 1990s in Rwanda when Nicola was traveling across Africa. They became friends and stayed in touch via mail but in 1994, as Rwanda was being torn apart by genocide, their communication broke down.

Triscott knew that Callixte was in danger and assumed that he had died, as he hadn't replied to the last letter she sent him in 1994. Callixte was alive and had only lost her address.

He had been a teacher before the war, and in the years after the genocide, he embarked on a mission to help his country's vulnerable street children, including those orphaned by the genocide and by HIV/AIDS. He joined Les Enfants De Dieu in 2004.

Read more: Rwanda's 'peace' baskets heal wounds

Soon after receiving Callixte's Facebook message, Nicola jumped on a plane to visit her old friend. It was while in Kigali that she discovered his inspiring work at the center's children.

"I thought they were an extraordinary group of young men," remembers Triscott, 47, who noticed "how much they loved hip hop," so she asked them if there was anything she could do to help.

"We'd really like proper hip-hop dance lessons," the boys told Triscott, prompting her to return to Rwanda with Pervez last November.

Genocide aftermath

In Rwanda, where 800,000 people died in just 100 days during the 1994 genocide , nearly 43% of the population are children up to 14 years old. An estimated one million orphans and "other vulnerable children" live in the country, according to UNICEF.

Les Enfants De Dieu says that communities are not often able to deal with the direct and indirect effects of the genocide, leading to thousands of children taking to the streets. Many of them suffer from neglect and abuse, while others resort to drug use.

The center, which was founded in 2002, provides the boys with food, a place to sleep and healthcare. It also offers sports training, as well as education at school and vocational training at various centers -- all part of efforts to help the children remove the trauma of street life through rehabilitation. Ultimately, the center's goal is to reintegrate the children into the society once they are entirely rehabilitated.

"Children of the street are children like the others," says former street kid Willy in "Yes, Man!"

"When they get love, they are children like the others. So, when they get someone who helps them, who takes care of them, they will become a real man," adds Willy, 18, who spent four and a half years on the street before going to live at Les Enfants De Dieu.

Catalyst Rwanda is planning to bring more professional hip-hop dancers to Rwanda this year to show the children more moves and boost their confidence.

Callixte says dancing has given hope back to the children, prompting some to even start composing their own songs. "They love hip hop so much. Now, many of them are dancing to songs they have made themselves."

He says this is only the beginning.

"When you see them dancing, when you see them smiling, when you see them expressing themselves, when you see them appreciating each other ... you can never think about stopping that project."

@highlight

Les Enfants De Dieu is a care center that gives food and shelter to street kids in Kigali, Rwanda

@highlight

The center's 126 boys, aged 6 to 18, love to dance and are passionate about hip-hop

@highlight

UK hip-hop dancers traveled to Kigali last year to teach the children how to "break"

@highlight

The project was captured in "Yes, Man," a film to be shown at London's Africa Utopia festival