(CNN) -- With the strength of Bashar al-Assad's forces diminishing in Syria's civil war, global fears are mounting that Syria might unleash chemical weapons to quash the country's uprising.

The government insists it would never use chemical weapons on its own people. But world leaders say Syria's desperation could lead to even more tragedy in the war-torn country.

So what exactly are chemical weapons, and what could they do to the human body? A primer:

--What kinds of weapons are we talking about?

Military analysts believe Syria may have one of the largest stockpiles of chemical weapons in the world. Specifically, the supply could include sarin, mustard and VX gases.

U.S. intelligence indicates Syria has mixed chemical compounds needed to make sarin -- a deadly agent that can quickly kill thousands.

Opinion: Don't wait for Syria to cross the 'red line'

--How do these chemicals affect the body?

Sarin gas is an odorless nerve agent that can cause convulsions, paralysis and respiratory failure. Nerve agents are the most toxic and rapidly acting of the known chemical warfare agents, according to the Centers for Disease Control and Prevention.

Sarin quickly evaporates from liquid to vapor form and disperse into the environment. It also mixes easily with water and can poison a water supply.

VX is another nerve agent that can be lethal when inhaled. It can also be dispersed in a liquid form; even a few small drops on the skin can lead to the same effects as sarin gas.

"Compared with the nerve agent sarin (also known as GB), VX is considered to be much more toxic by entry through the skin and somewhat more toxic by inhalation," the CDC said.

Mustard gas -- also known as sulfur mustard -- leaves chemical burns on the skin, eyes and even the lungs when inhaled. It was commonly used in World War I.

While mustard gas can be fatal, it also can disable victims and can cause cancer or permanent blindness.

Syria's endgame in sight as rebels advance

--How are chemical weapons deployed?

Syria could deliver chemical agents through a variety of ammunition, such as bombs dropped from aircraft, Scud surface-to-surface missiles, artillery shells or rockets, according to Jeffrey White of the Washington Institute for Near East Policy.

--How long do the dangers linger?

A person's clothing can emit sarin for about 30 minutes after exposure to sarin vapor, which can lead to exposure of other people, the CDC said. Sarin can also be ingested though contaminated food.

VX gas evaporates very slowly, at about the same rate as motor oil. As with sarin, it can also be emitted from clothing for up to half an hour after exposure.

Sulfur mustard, however, can stay in the environment for a few days under average weather conditions and up to months under very cold conditions, according to the CDC.

--How devastating can chemical attacks get?

One of the most horrific chemical attacks on a civilian area occurred 25 years ago, when Saddam Hussein unleashed chemical weapons in Iraq's Kurdish city of Halabja. The attack left thousands dead and thousands more wounded.

--What's the risk of Syria using chemical weapons on foreigners?

While Syria has vowed it would never use "unconventional weapons" or weapons of mass destruction against its citizens, it gave a stern warning to other countries who might try to intervene militarily in the Syrian conflict:

"All the stocks of these weapons that the Syrian Arab Republic possesses are monitored and guarded by the Syrian army. These weapons are meant to be used only and strictly in the event of external aggression against the Syrian Arab Republic," Foreign Ministry spokesman Jihad Makdissi said in July.

But with no end in sight to Syria's 21-month conflict, some aren't so sure Syria will keep its promise.

"For the first time in the history of the Chemical Weapons Convention (CWC), which entered into force in April 1997, there are serious concerns that chemical weapons might be used," said Ahmet Uzumcu, director-general of the Organisation for the Prohibition of Chemical Weapons.

U.S. President Barack Obama warned Syria that any deployment of chemical agents would be catastrophic.

"The use of chemical weapons is and would be totally unacceptable," Obama said this week. "And if you make the tragic mistake of using these weapons, there will be consequences, and you will be held accountable."

CNN's Tom Foreman, Barbara Starr and Tim Langmaid contributed to this report.

@highlight

Analysts believe Syria's stockpile may include sarin, mustard and VX gases

@highlight

Sarin gas is odorless and can cause convulsions, paralysis and respiratory failure

@highlight

The Syrian government insists it would never use chemical weapons on its own people

@highlight

Analysts say the government's increasing desperation may result in chemical weapons use