Juba, South Sudan (CNN) -- Sudanese warplanes crossed a disputed border region to strike Monday in South Sudan, escalating fighting that threatens to return the neighboring African countries to full-scale war, a witness said.

A Sudanese military commander, Kamal Marouf, was quoted by Radio Sudan's website as saying that more than 1,200 South Sudanese had been killed.

A Sudanese military spokesman denied that Sudan had used military aircraft to bomb the south. "We have nothing to do with what's going on in Unity state," he said, implying that militias or South Sudanese rebels were behind any fighting.

The report of the bombing of the towns of Bentiu and Rubkona came days after South Sudan pulled its troops at the request of the United Nations from the disputed oil-rich region of Heglig, though Sudan says its soldiers retook the area from South Sudanese soldiers.

Two fighter jets fired four missiles at the neighboring towns, divided by a river, hitting an open-air market and killing at least one person, said journalist Alan Boswell, who is in Bentiu.

Boswell was in his car crossing the bridge between the two towns when anti-aircraft fire erupted. That was followed, he said, by missile strikes.

"I saw one boy who about 10 years old who was completely burned," he said. "There are other casualties."

The remains of thatch-covered stalls in Rubkona smoldered for hours after the morning bombing, Boswell said.

In a statement, South Sudan Information Minister Banaba Marial Benjamin said that three bombs had struck a market in Bentiu, killing two civilians, including a 12-year-old boy.

"The Security Council must take its responsibility and punish the Republic of Sudan for continuing this aerial bombardment and the violation of the airspace of Sudan," he said.

Soon after, the United Nations called for Sudan to halt the aerial bombings after what it described as four morning attacks, including one on the capital of oil-rich Unity state.

"These indiscriminate bombings resulting in the loss of civilian lives must stop," said Hilde F. Johnson, special representative of the secretary-general for South Sudan, in a statement.

Ban Ki-moon condemned the bombardment and called on Sudan to cease all hostilities immediately, a spokesman for the secretary-general said in a statement.

He called on Sudan's President Omar al-Bashir and South Sudan's President Salva Kiir "to stop the slide towards further confrontation and urges both sides to return to dialogue as a matter of urgency," the statement said.

The U.N. peacekeeping mission said one of its helicopters was in the air during the 8:30 a.m. attack on Bentiu, the Unity state capital.

"The U.N. helicopter was in the vicinity at the time of the bombing, and it took off and landed without damage," said Josephine Guerrero, a spokeswoman for the mission.

In the hours after the airstrikes, the military presence in the area increased, Boswell said. Two South Sudanese generals who were arriving near the towns said the airstrikes marked "a clear escalation" by Sudan, he said.

In addition to the airstrikes, fighting continued Monday in several areas of the border region, said South Sudan's military spokesman, Philip Aguer.

The attacks came a day after South Sudan said the Sudan Armed Forces had crossed into its territory and attacked two army bases. Southern troops had withdrawn there after occupying Heglig for more than a week. South Sudan said it was complying with a request from the U.N. Security Council to pull troops out, while Sudan said it had defeated the southern army and forced it to retreat.

"There will be no negotiation with the South," Bashir said Monday in Arabic on Sudanese government radio. "We have spoken to them now with guns and bullets. ... We will teach the government of South Sudan a lesson."

First Vice President Ali Osman Mohamed Taha told parliament that the government will take whatever measures are needed to guarantee stability in Sudan, state-run media reported Monday.

"Taha has given a directive for immediate application of the Emergency Act along the border with South Sudan state," the official Sudan News Agency said.

"He said that the attempt of South Sudan state to destroy the oil facilities in Heglig can never cripple the Sudanese people, affirming that the Sudanese people are capable to renew its economic strength, provide resources and doubling its capability for production at all arenas."

In a speech last week, Bashir vowed to overthrow the government to "liberate" South Sudanese from the ruling party, the Sudan People's Liberation Movement.

South Sudan's army spokesman, Col. Philip Aguer, suggested that the ground incursions and aerial bombardment may indicate that Bashir plans to make good on his threat to invade.

"There's a possibility that they're implementing what Bashir said," Aguer said.

The Satellite Sentinel Project released images Monday that it said confirmed a buildup of military strike aircraft at two air bases.

"Many are in range to fly deep into South Sudan," said the project, which is led by the Harvard Humanitarian Initiative.

The project analyzed images of air bases at El Obeid, North Kordofan state, and Kadugli, South Kordofan, and identified 13 fighter jets, eight helicopter gunships and three Antonov transport aircraft, which the Sudan Armed Forces uses for bombing.

Aguer said Monday's bombings were carried out by MiG fighter jets and Antonovs.

South Sudan has accused its northern neighbor of repeatedly crossing its border since Sunday to launch ground and aerial attacks.

Claims from either side are difficult to confirm, as journalists and independent observers rarely have access to the front lines.

On state-run TV, a Sudanese government spokesman said Khartoum would respond to South Sudan's use of force with force of its own.

The latest attacks came after Barnaba Marial Benjamin, South Sudan's minister of information, said his country's army had withdrawn from Heglig to bases near the border and inside South Sudan. Sudanese forces crossed the border and attacked them there over the weekend, he said.

"They are trying to drag us back into a war, and that's what the Security Council didn't want," he said. "They must tell them to stop these attacks."

Benjamin said bases near the border had been repeatedly attacked by Sudanese troops based in Heglig and those attacks were what prompted South Sudan to take the area April 10.

South Sudan split from the government in the north in July, officially breaking Africa's largest nation into two, the result of a referendum last year overwhelmingly approved by voters.

The referendum was part of a 2005 peace deal that ended the civil war that had pitted a government dominated by Arab Muslims in the north against black Christians and animists in the south.

In the separation, South Sudan acquired three-quarters of Sudan's oil reserves. The two countries have been locked in negotiations about how much the landlocked South Sudan should pay to use a pipeline and processing facilities in the north.

While both countries claim Heglig, Sudan continued administering the region. Al-Bashir had vowed to "never give up" the disputed region.

Sudan's oil industry suffered when fighting in Heglig forced a halt to oil production in those fields, which account for about half of the country's production of 115,000 barrels a day. Satellite images suggest that infrastructure in the Heglig oil fields may have been severely damaged by the fighting.

The Satellite Sentinel Project released images Sunday that suggest a critical part of the oil pipeline infrastructure was destroyed. The collection manifold, which separates or combines oil flows without interrupting the overall flow, appears to have been damaged by an explosion.

Each country has accused the other of being behind the destruction.

Sudan has accused South Sudan of destroying oil infrastructure and said it would attempt to force South Sudan to pay for damages; South Sudan has said Sudan bombed Heglig field's central processing facility.

Serious damage to the facility would prevent companies from resuming production and would require substantial investment to repair or rebuild.

The renewed fighting follows a weekend appeal by U.S. President Barack Obama for the countries to "choose peace" and return to negotiations.

CNN's Ben Brumfield in Atlanta and journalists Jared Ferrie in Juba, South Sudan, and Ishmail Kushkush in Khartoum, Sudan, contributed to this report.

@highlight

NEW: Sudanese military commander says 1,200 South Sudanese dead

@highlight

Two fighter jets fire four missiles at South Sudan border towns, a witness says

@highlight

The airstrikes across the volatile border come amid reports of fighting

@highlight

Witness: "I saw one boy who was about 10 years old who was completely burned"