(CNN) -- The Obama administration has unveiled a government "app store" designed to push the federal bureaucracy into the era of cloud computing.

The Obama administration is pushing for the government to use cloud-computing technologies.

The change means some federal employees will begin using services like YouTube, Gmail and WordPress, which store data on private Internet servers instead of on those paid for with public money.

The process will start small but will ramp up quickly, Vivek Kundra, the U.S. chief information officer, said in a blog post on Tuesday.

"Our policies lag behind new trends, causing unnecessary restrictions on the use of new technology," Kundra writes in the post on WhiteHouse.gov.

"We are dedicated to addressing these barriers and to improving the way government leverages new technology."

The app store is designed for federal employees doing official government business and is not intended for use by the public.

Also on Tuesday, Google announced the creation of a "government cloud," in which public data will be stored on Google computer servers by 2010. According to a Google blog post, this dedicated space will serve the needs of federal, state and local governments.

With "cloud computing," users access applications that exist online instead of on their computers' hard drives.

Both projects are designed to save the government money and to give government employees access to tools sometimes used in the private sector. The measures fall in line with the Obama administration's efforts to get the federal government up to speed with the latest technologies.

Kundra wrote that the cost savings could be significant. The federal government spends $75 billion per year on data storage and other information technology costs, he wrote.

A video on the new app store Web site also says government servers that host government Web sites and infrastructure often waste energy and money because they duplicate the efforts of the private sector.

The app store, which is online at apps.gov, is essentially a compilation of Web programs, tools and services available to some government employees.

A social media page, for instance, explains the possible uses of Web sites like YouTube, TwitVid and Flickr. People using the site have to log in and submit requests for approval before gaining access. Many of the applications, such as those mentioned, are free. Other business software in the government app store requires payment.

"With more rapid access to innovative IT solutions, agencies can spend less time and taxpayer dollars on procedural items and focus more on using technology to achieve their missions," writes Kundra.

Ben Parr, associate editor at the social media blog Mashable, said it's smart for the government to turn to third-party tech companies that know their stuff better than federal bureaucrats.

"I'm a fan of it, because in most circumstances government is inefficient and this is a big way to really bring government up to speed in terms of computing," he said. "There are a lot of places where the government is far behind."

Some privacy experts are concerned about the fact that some public data could end up on private-run computer servers, however.

Marc Rotenberg, executive director of the Electronic Privacy Information Center, said people are required to submit information to the government and their data should be protected.

"We're not against the cloud computing model but there are real concerns here, both about privacy and security online," he said.

He questioned whether Google, for example, would be able to use keywords from heath records to push pharmaceutical company ads at the American public.

The details of government agreements about cloud computing need to be more public to ensure proper encryption techniques are taken and privacy laws are upheld, he said.

"I think it might make people wonder why government data is being commercialized in this way," he said.

Parr said most government data is public anyway.

"So I definitely don't expect to see the CIA posting private documents on Scribd," he said, referring to the site where people can publish documents and other writing.

@highlight

The "app store" would be for federal workers doing government business

@highlight

The site, at apps.gov, seeks to offer and explain cloud computing programs

@highlight

The administration says such programs could save the government money

@highlight

Google also announces a "government cloud" where public data may be stored