Washington (CNN) -- With approval in hand to arm and train Syrian rebels to fight the ISIS terror group, President Barack Obama said Thursday the plan keeps with "the key principle" of U.S. strategy: No American combat troops on the ground.

"The American troops deployed to Iraq do not and will not have a combat mission," he said in televised remarks from the White House.

"Their mission is to advise and assist our partners on the ground. ...We can destroy ISIL without having our troops fight another ground war in the Middle East."

Obama said more than 40 countries, including Arab nations, have offered assistance in the battle against the Islamic State in Iraq and Syria, which calls itself the Islamic State.

The developments came as ISIS advanced its grip on portions of Syria and Iraq, seizing 16 predominantly Kurdish villages near the Turkish border.

The move by ISIS was just one in a series of developments that saw new reports of atrocities emerge and the release of a video of a captive British journalist criticizing the American and British governments.

Citing the Sunni terror group's brutality, from beheading civilians -- including American journalists James Foley and Steven Sotloff -- to the mass execution of its opponents, Obama said the United States will not back down.

"With their barbaric murder of two Americans, these terrorists thought they could frighten us or intimidate us or cause us to shrink from the world," Obama said.

"But today they are learning the same hard lesson of petty tyrants and terrorists who have gone before, as Americans we do not give into fear. When you harm our citizens, when you threaten the United States, when you threaten our allies, it doesn't frighten us. It unites us."

The question now appears to be not if, but when the United States will strike ISIS in its stronghold in northern Syria.

The U.S. military has everything it needs to strike ISIS targets in Syria, a plan that officials told CNN is still waiting on Obama's signoff.

ISIS, meanwhile, is modifying its behavior, from the way it communicates to the way it conceals itself, in response to potential U.S. airstrikes in Syria, U.S. military officials told CNN.

The officials expressed confidence the airstrikes would be effective.

As top U.S. military leadership approved a plan to strike ISIS in Syria, the Senate on Thursday gave final congressional approval to Obama's proposal. The House approved Obama's request on Wednesday.

U.S. military on deck

At the same time, U.S. lawmakers have been debating the best way to stop ISIS.

In testimony before the House Foreign Affairs Committee, Defense Secretary Chuck Hagel said America's top military leaders have developed a plan to hit ISIS targets in the terror group's stronghold in northern Syria.

Obama has been briefed on those plans, which were approved by Hagel and Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff.

For weeks, U.S. intelligence and military targeting specialists have been working around the clock on a list of potential targets in Syria. The list is expected to be shown to Obama one more time, U.S. military officials said.

An analysis of the risks of bombing inside Syria will be included, as well as an assessment of how the destruction of the targets could degrade ISIS, they said.

Carrying out airstrikes against ISIS in Syria would be a continuation of the U.S. military operation in Iraq, where American airstrikes are being carried out against the group.

U.S. airstrikes on Thursday struck an ISIS training camp southeast of Mosul, the group's stronghold in Iraq, the U.S. military said. Another strike southeast of Baghdad damaged an ISIS ammunition stockpile, according to the military.

Read more: U.S. ready to strike ISIS, officials say

French air support

In his remarks, Obama said the United States is building a "broad international coalition."

As part of that coalition, France will join the air campaign in Iraq, he said.

Read more: Who is doing what in the coalition?

France carried out its first airstrikes against ISIS in Iraq on Friday morning, President Francois Hollande announced in a statement.

It used Rafale fighter jets to attack a logistics warehouse used by the group in northeastern Iraq, the statement said, adding that the target had been "reached and completely destroyed."

Further operations will be conducted in the next few days.

Hollande said Thursday that there had been French reconnaissance flights over Iraq this week. When officials "identify targets, we will act" in a short time frame, he told reporters in Paris. Hollande thanked the United Arab Emirates for allowing France to use an air base there.

Hollande stressed that France "will not go beyond" air support and will not send ground troops into Iraq.

Iraq: More than 1,000 soldiers MIA

ISIS captured 16 predominantly Kurdish villages in northern Syria over the past 24 hours, a Syrian opposition group said. ISIS fighters used artillery and tanks against the villages along the Syria-Turkey border, the Syrian Observatory for Human Rights said.

Just as in Syria, the crisis in Iraq continues to unfold.

Iraq's Human Rights Ministry said Thursday that 1,095 Iraqi soldiers still are missing after an ISIS attack in June on a military base formerly known as Camp Speicher.

ISIS says it killed 1,700 Iraqi troops in the attack. The Iraqi government hasn't released a number of those killed; Human Rights Watch says ISIS executed hundreds of soldiers.

The news came as ISIS released a video of British hostage John Cantlie criticizing the American and British governments for their failure to negotiate for the hostages as other governments have done.

In a video posted online, Cantlie -- wearing an orange shirt and seated alone at a desk with a black backdrop -- says he is sending what will be the first in a series of messages on behalf of the group that calls itself the Islamic State.

Since Cantlie is delivering ISIS propaganda and makes clear in the video he is speaking under duress, CNN is not showing the video on its platforms.

In recent weeks, ISIS has drawn growing attention for spewing brutal propaganda across social media -- messages meant both to terrify and recruit Westerners. The group appears to have a well-funded, well-organized social media and video production effort. Its videos are slickly produced, with high production values, experts say.

The anatomy of ISIS: How the 'Islamic State' is run, from oil to beheadings

Friends of Alan Henning plead with ISIS to let him go

Inside the mind of an ISIS fighter

Barbara Starr reported from Washington, and Chelsea J. Carter wrote and reported from Atlanta. CNN's Holly Yan, Ashley Fantz, Elise Labott, Deirdre Walsh, Ted Barrett, Mohammed Tawfeeq and Marion Lory contributed to this report.

@highlight

NEW: French President says France has carried out its first airstrikes against ISIS

@highlight

President Barack Obama says more than 40 countries have offered assistance

@highlight

The U.S. military has approved a plan to strike ISIS in Syria, officials said

@highlight

ISIS captured 16 villages in northern Syria in the past day, opposition group says