(CNN) -- The 10th anniversary this month of the invasion of Iraq will remind most people of a divisive and dubious war that toppled Saddam Hussein but claimed the lives of nearly 4,500 Americans and more than 100,000 Iraqi civilians.

What it conjures up for me is the media's greatest failure in modern times.

Major news organizations aided and abetted the Bush administration's march to war on what turned out to be faulty premises. All too often, skepticism was checked at the door, and the shaky claims of top officials and unnamed sources were trumpeted as fact.

By the time U.S. soldiers discovered there were no weapons of mass destruction in Iraq, the media establishment was left with apologies and explanations. The Bush-Cheney administration helped whip up an atmosphere in the wake of 9/11 in which media criticism of national security efforts seemed almost unpatriotic.

Watch: Did Roger Ailes cross a line in calling Obama lazy?

As the war, once sold as a cakewalk, went sour in 2004, the New York Times said in an editor's note that its editors were "perhaps too intent on rushing scoops into the paper," some of them erroneous stories by Judith Miller. The paper said its reporting on what turned out to be nonexistent WMDs was "not as rigorous as it should have been" and that the Times overplayed stories with "dire claims about Iraq."

I was working at The Washington Post at the time, and I took it upon myself to examine the paper's performance in the run-up to war. It was not a pretty picture.

From August 2002 through the March 19, 2003, launch of the war, I found more than 140 front-page stories that focused heavily on administration rhetoric against Iraq: "Cheney Says Iraqi Strike Is Justified"; "War Cabinet Argues for Iraq Attack"; "Bush Tells United Nations It Must Stand Up to Hussein or U.S. Will"; "Bush Cites Urgent Iraqi Threat"; "Bush Tells Troops: Prepare for War."

By contrast, pieces questioning the evidence or rationale for war were frequently buried, minimized or spiked.

Watch: Bill Clinton uses op-ed to flip-flop on gay marriage

Len Downie, then the executive editor, told me that in retrospect, "we were so focused on trying to figure out what the administration was doing that we were not giving the same play to people who said it wouldn't be a good idea to go to war and were questioning the administration's rationale. Not enough of those stories were put on the front page. That was a mistake on my part."

Bob Woodward told me that "we did our job, but we didn't do enough, and I blame myself mightily for not pushing harder." There was a "groupthink" among intelligence officials, he said, and "I think I was part of the groupthink."

Watch: Should ESPN give Keith Olbermann another at-bat?

Tom Ricks, who was the paper's top military reporter, turned in a piece in the fall of 2002 that he titled "Doubts," saying that senior Pentagon officials were resigned to an invasion but were reluctant and worried that the risks were being underestimated. An editor killed the story, saying it relied too heavily on retired military officials and outside experts -- in other words, those with sufficient independence to question the rationale for war.

"There was an attitude among editors: Look, we're going to war, why do we even worry about all this contrary stuff?" Ricks said.

Watch: White House bullying against the press

I actually think the Post did a better job than most. And there is no minimizing the difficulties that even the most intrepid journalists faced: They couldn't go to Iraq to investigate for themselves, and most government sources were echoing the administration's line about WMDs.

But that system's failure casts a dark shadow on the news business that has not entirely lifted. The press needs to challenge what government officials say, whether it is about war or weapons or Wall Street, or whether the impact of federal budget cuts is being exaggerated. The low level of public confidence in the media has many causes, but one of them stems from what happened back in 2003.

The opinions expressed in this commentary are solely those of Howard Kurtz.

@highlight

Howard Kurtz: News reporting before war in Iraq was media's greatest failure in recent times

@highlight

He says news organizations aided Bush administration's push to war on faulty premises

@highlight

Newspapers ran stories without enough skepticism, he says

@highlight

Kurtz: Public's lack of confidence in media can partly be traced back to 2003