(CNN) -- An American school founder who young Haitian men once hailed as a savior was sentenced Tuesday to nearly 20 years in prison for sexually abusing them.

Douglas Perlitz, 40, was sentenced in federal court in New Haven, Connecticut, to 19 years and 7 months behind bars for abusing the Haitian men when they were boys under his care, said Bruce Foucart, special agent in charge of the U.S. Immigration and Customs Enforcement (ICE) Office of Homeland Security Investigations in Boston.

"We're very pleased with the sentence," he said. "He was brought to justice and I hope it sends a strong message to people who are doing that or who are even thinking about doing that."

Judge Janet Bond Arterton imposed the sentence, which includes 10 years of supervised release.

Perlitz arrived in the northern Haitian city of Cap-Haitien in 1997. There, he opened a charitable school called the Project Pierre Toussaint (PPT). He got homeless boys off the streets and gave them shelter, food and education.

"When I met Mr. Douglas, he appeared to us like Jesus Christ himself come to rescue us," said Francilien Jean-Charles, who was only 12 when he was plucked by Perlitz and brought to the school.

Over the years, PPT grew into a 10-acre compound with dorms, classrooms and a soccer field.

Perlitz frequently flew back to Fairfield, Connecticut, to raise money. According to court documents, from 2002 to 2008, donors gave more than $2 million to help care for the kids. Perlitz's alma mater, Fairfield University, awarded him an honorary degree in 2002 for helping homeless boys in Haiti.

But Perlitz was hardly the man he appeared to be.

"I thanked God when I met Douglas," said Jean-Charles. "But when things started to turn bad, I realized it would have been better if I never came to PPT."

Perlitz wore a watch that lit up and at night, he used it to seek out the boys, they said. Fredlin Legrand said he woke up to see Perlitz next to him.

"He gave me a pill that made me fall asleep and when I woke up, I found my pants covered in sperm," Legrand told CNN.

Jean-Charles and a dozen other boys told CNN they were routinely raped by Perlitz for years. But they were afraid to speak out against the man who had been such a boon for the city.

Finally, in 2007, some of the boys approached their teachers and other adults. No one believed what they were hearing.

Brian Russell, a donor for the school, said Perlitz was a miracle maker, not a pedophile.

"There was no way that this man could have committed these things that people were accusing him of. It seemed utterly out of the realm of possibility," Russell said. "There was too much goodness. The heart was too big."

The boys grew desperate. They painted graffiti on the outer walls of the school, most of which has been painted over. But one plea for help still exists: "Welcome, Haitian National Police."

The police never came, but journalist Cyrus Sibert noticed the writing on the wall.

"I told the boys, I will go to the end with you," Sibert said. "Are you ready?"

But even after Sibert aired his interviews with the boys, Haitian authorities and American donors still did not believe the accusations.

It was only after an American volunteer at the school relayed accusations of older boys raping younger ones that red flags went up. Russell said the volunteer demanded from the headmaster that something be done immediately.

His response was: "Well, that's really hard because Douglas has been doing this for the last 10 years."

Russell felt broken, betrayed.

"I felt like all the money I had donated, the time that I had given, something that we had worked so hard for was gone."

In September 2009, U.S. ICE agents picked up the case and arrested Perlitz. He denied the accusations, but in August, Perlitz pleaded guilty to one count of traveling with the intent to engage in illicit sexual conduct. He also admitted to engaging in sexual conduct with eight minors.

The defense requested a delay in sentencing, contending Haiti's January earthquake, cholera outbreak and election-related street violence made it impossible to thoroughly review the prosecution's claims against Perlitz. The court denied the request.

In addition, the defense maintained that Perlitz himself was a victim of sexual abuse. According to a defense memorandum, while he was at Fairfield University, "a priest began a relationship with Doug that ... ultimately took on a dark aspect, both physically and spiritually, that had a significant and long-lasting impact on him."

The prosecution quickly responded, saying: "Perlitz's sexual abuse of minors, abuse which lasted for a decade or more, shows him to be nothing more than a wolf in sheep's clothing -- an American man who traveled to Haiti purporting to care for homeless children when in reality he preyed upon the desperation of these children so that he could sexually abuse them."

Some of the boys, now young men, were in court Tuesday for the sentencing. They faced the man who abused them for years and spoke about their experience, bringing a sense of reality to the courtroom, said Foucart. They testified about how afraid of Perlitz they were and how he threatened to throw them out of the school and back on the streets if they spoke up.

Paul Kendrick, an advocate for victims of abuse familiar with the case, was in court. He said Perlitz apologized to his victims at one point during the proceeding.

"The judge, I thought, gave a very strong sentence and a very strong message," said Kendrick. "American citizens will be held accountable for their actions with minors no matter where they are in the world."

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

NEW: Several of the victims spoke about the abuse

@highlight

Douglas Perlitz began a charitable school in Cap-Haitien

@highlight

He was believed to be a great humanitarian

@highlight

Perlitz admitted to engaging in sexual conduct with eight minors