(CNN) -- A multi-million dollar negligence lawsuit filed by the families of two victims of the 2007 Virginia Tech mass shooting has been dismissed by Virginia's highest court.

The state justices said Thursday that given the initial uncertainty and confusion surrounding the actions of the student gunman, "there was no duty for the Commonwealth to warn students about the potential for criminal acts by third parties," meaning gunman Seung-Hui Cho.

He went on a shooting rampage on the Blacksburg, Virginia, campus that left 32 people dead. The young man then took his own life.

A county jury had awarded the estates of Erin Peterson and Julia Pryde $4 million each, saying the state was negligent. The amount was later reduced to $100,000 per family. The women were students at the state university.

Virginia Tech shootings timeline

There was no initial reaction from the families, but a spokesman for state Attorney General Ken Cuccinelli said the justices' conclusions were proper.

"While words cannot express the tremendous sympathy we have for the families who lost their loved ones in the Virginia Tech shootings of 2007-- including the Prydes and the Petersons -- the Virginia Supreme Court has found what we have said all along to be true: The commonwealth and its officials at Virginia Tech were not negligent on April 16, 2007," said Brian Gottstein. "Cho was the lone person responsible for this tragedy."

Cuccinelli is the Republican nominee for governor, and the general election is next Tuesday.

At issue was the level of responsibility the state -- including university officials, as well as local and campus police -- should bear for the initial handling of Cho's actions, which eventually spread out over several hours. Could his final rampage be reasonably foreseen?

Law enforcement on April 16, 2007, received a call of an incident inside a dormitory around 7:30 a.m. Officers arrived to find two gunshot victims, one fatal, and initially believed it be a "domestic homicide," not a prelude to far more lethal killing spree to come.

"Police believed that this was an isolated incident that posed no danger to others and that the shooter had fled the area," said the Virginia Supreme Court's 15-page ruling. "They did not believe that a campus lockdown was necessary."

Lawyers for the families had argued if such a precautionary lockdown was imposed immediately -- where students and the university community would be told to shelter in place -- the subsequent massacre inside an academic building may have been prevented or minimized.

A killer in the family

The court concluded university officials were engaged and kept informed of the situation over time. Two hours after the initial incident, members of the University Policy Group -- consisting of school administrators -- sent out a campus-wide "blast e-mail," informing students and faculty of the dorm shooting, and urging those to report anything suspicious.

The mass shooting in Norris Hall began about 10 minutes later, prompting another immediate university "blast e-mail" stating "a gunman is loose on campus. Stay in buildings until further notice."

Peterson, 18, and Pryde, 23 were among those murdered by Cho in Norris Hall. He was later linked to both the residence hall and academic building shootings.

In general under state law, someone does not have a legal duty to warn or protect from someone else the criminal acts of a third person, unless a "special relationship" exists between one or more parties. Such relations might include those between employer/employee, airline/passenger, or innkeeper/guest.

All such claims of wrongdoing in this context are fact-specific, and the Virginia court here determined the state reasonably -- if incorrectly -- determined the shooter had left the area.

"Based on the limited information available to the Commonwealth prior to the shootings in Norris Hall," said the seven justices, "it cannot be said that it was known or reasonably foreseeable that students in Norris Hall would fall victim to criminal harm."

School officials expressed satisfaction with the court's conclusions, saying the jury's initial verdict was based on a misreading of state law.

"The court's actions can never reverse the loss of lives nor the pain experienced by so many families and friends of victims of one person. In the end, the cause of these heinous acts and continuing heartbreak was a troubled and angry young man with easy access to powerful killing weapons," said Lawrence Hincker, associate vice president at Virginia Tech.

The case is Commonwealth of Virginia v. Peterson (121717).

@highlight

Plaintiffs initially awarded $4 million each in negligence lawsuit

@highlight

Award later reduced to $100,000 each

@highlight

Virginia's highest court said Virginia Tech that slaughter was not "reasonably foreseeable"