Pro-democracy Hong Kongers have reacted angrily to a Chinese government white paper affirming Beijing's "comprehensive jurisdiction" over the territory, released days after more than 100,000 demonstrators gathered in the city calling for greater rights.

The 14,500-word document, which stresses that Hong Kong does not have "full autonomy" and comes under Beijing's oversight, was released amid fierce debate between residents of the former British colony over impending electoral reform and the nature of the "one country, two systems" concept.

Published by the State Council Information Office, the unprecedented white paper states that "many wrong views are currently rife in Hong Kong" with regard to the "one country, two systems" principle that governs the territory's relationship with Beijing.

Some residents are "confused or lopsided in their understanding" of the principle, it adds.

"The high degree of autonomy of the HKSAR (Hong Kong Special Administrative Region) is not full autonomy, nor a decentralized power," said the paper. "It is the power to run local affairs as authorized by the central leadership."

Hong Kong lawmaker Alan Leong, leader of the pro-democracy Civic Party, said he was "completely taken aback" by the document, which had sent a shiver up (his) spine."

"It is a sea-change to our understanding of what 'one country, two systems' should be," he said.

He argued that the notion that judicial decisions made in Hong Kong should take into account the needs of China was a new concept, and one that was "totally repugnant to our understanding of the rule of law as an institution which we hold very dear to our hearts."

"I am surprised that my country could go back on the promises and undertakings that had brought about such a smooth reversion to Chinese sovereignty," he said.

A warning to democrats?

Many analysts view the release of the paper, the first official document since the 1997 handover to set out Beijing's authority over the territory, as a warning to campaigners pushing for the introduction of universal suffrage by 2017, when the city will choose its next chief executive.

Joseph Cheng, professor of political science at City University of Hong Kong, said the paper represented an attempt by Beijing to shape the debate around electoral reform.

"I think this is part of a campaign to warn Hong Kong people that we have to accept the electoral system soon to be imposed on us, which probably will follow the proposal set out by pro-Beijing groups," he said.

An article of Hong Kong's Basic Law, which serves as the territory's constitution, states as an eventual goal that the chief executive should be selected through universal suffrage. In 2007, the Chinese government settled on 2017 as the earliest that this may occur.

But the prospect has proven controversial, with pan-democrat Hong Kongers wanting the general population to be able to choose its next chief executive without restrictions, and the city's pro-Beijing politicians arguing that only candidates who "love China" should be eligible.

Currently, Hong Kong's chief executive is chosen by a 1,200-member committee, mainly composed of pro-Beijing and business figures.

Cheng said the white paper's main thrust was that, while Hong Kong enjoyed a high degree of autonomy, Beijing was ultimately in control, with China's interests and national security paramount.

"The main point is that whatever power Hong Kong has comes from the central government -- no more," he said. "The emphasis is on China's state interests, China's sovereignty, on one country ahead of two systems."

Mixed opinions

Cheng said the paper had been met with "concern, resentment, dissatisfaction."

"We are all concerned that if Beijing chooses to deny giving Hong Kong people a democratic electoral system, then the SAR (special administrative region) government will be seen to be illegitimate."

But Mo Pak-hung, an associate professor at Hong Kong Baptist University's department of economics, did not see a cause for alarm, saying Beijing was sending a signal that it intended to be increasingly involved in Hong Kong's political evolution while supporting economic growth.

"It means that Hong Kong will be relatively stable politically and... (the) risk (to) the economy is reduced," he said. "To the investors and businessmen in Hong Kong, these signals are positive."

Under the "one country, two systems" principle, Hong Kong has been allowed to develop as a more liberal, capitalist city within socialist China -- the only place within Chinese territory where large pro-democracy demonstrations are tolerated.

Still, many of its residents are worried that the city's freedoms are steadily eroding, and Beijing's efforts to draw the territory nearer are often resisted.

In February, journalists organized a 6,500-person rally decrying what they said were increasing levels of coercion against the Hong Kong press, and last week, as many as 180,000 people turned out to a candelight vigil commemorating the 25th anniversary of the Tiananmen Square massacre, according to organizers.

Occupy Central

Later this month, a pro-democracy group called Occupy Central plans to hold an unofficial citywide referendum asking Hong Kong's citizens to vote for their preferred type of electoral reform, a move that has irked the city's pro-Beijing establishment.

If the results show support for public nomination and elections, Occupy Central says it will block traffic in Hong Kong's crowded downtown to pressure the government to adopt its reforms.

A January poll by the non-partisan Hong Kong Transition Project found 38% of Hong Kongers supported Occupy Central's proposed civil disobedience, while 54% opposed it.

China's vice president has warned that such a protest would be "unlawful" and would "wreck the stability and prosperity" of the city.

On Friday, the South China Morning Post reported that Beijing was drafting a similar white paper on Macau -- the former Portuguese colony that is China's other Special Administrative Region.

The newspaper quoted a researcher as saying the paper would cover similar ground to the Hong Kong report, and address public order issues in the wake of recent protests in the territory.

READ MORE: Hong Kong protesters commemorate Tiananmen

@highlight

A Chinese white paper affirming its control over Hong Kong's affairs is proving controversial

@highlight

It asserts the ultimate power rests with Beijing, and national considerations are paramount

@highlight

It comes amid debate on electoral reforms ahead of Hong Kong's 2017 vote

@highlight

Campaigners are seeking universal suffrage; others want only "pro-China" candidates