(CNN) -- The gun lobby is fiercely, and so far successfully, blocking what easily could be the greatest technological breakthrough to catching killers and deterring others.

The simple method allows bullet manufacturers to stamp a numeric code on shell casings that would make it very easy to identify the gun that fired the shot. But the National Rifle Association is lobbying against states enacting laws to require such "microstamping."

The gun lobby is likely to prevail, given that in 2008 -- for the first time in American legal history -- the Supreme Court interpreted that the Second Amendment guaranteed an individual's right to own guns for personal use, rather than as the tools of a "well-regulated militia."

The 2008 case, championed by the NRA, was the District of Columbia v Heller. The Supreme Court then struck down a strict D.C. law banning handgun ownership. This, and a subsequent ruling in 2010, effectively tied the hands of state and federal governments in enacting any reasonable gun-related laws.

In 2008, Justice Antonin Scalia, writing for the typical 5 to 4 conservative majority, argued the first clause of the Second Amendment -- "A well-regulated militia being necessary to the security of a free state" -- merely offered one reason the founders sought to maintain the right to own firearms and that the main clause "codified a pre-existing right."

The decision was "a radical break from 70 years of Supreme Court precedent," according to an op-ed in The New York Times. Although Heller applied only to federal law, the 2010 decision in McDonald v. Chicago asserted that the individual right to bear arms is a fundamental right, and thus the court's ruling in Heller could apply to strike down state and local laws as well.

"Never in history has a federal court invalidated a law regulating the private ownership of firearms on Second Amendment grounds," said none other than Erin N. Griswold, solicitor general in the Nixon administration and former dean of Harvard Law School. "Indeed, that the Second Amendment poses no barrier to strong gun laws is perhaps the most well-settled proposition in American constitutional law."

Opinion: Don't be nosy about Fast and Furious

The key Supreme Court cases establishing the precedent are United States v. Cruikshank (1875), Presser v. Illinois (1886), Miller v. Texas (1894) and United States v. Miller (1939). Though the details of these cases vary, and like all such cases they are subject to different readings, the decisions reached in all of them fundamentally affirm that the Constitution does not limit the states' ability to restrict private gun ownership.

In United States v. Miller, the case most often cited, Jack Miller had not properly registered his sawed-off shotgun, nor had he paid a tax for transporting this weapon in interstate commerce, both required under the 1934 Firearms Act. Miller claimed the act violated his Second Amendment rights.

The court ruled that because Miller could not prove that his shotgun had "some reasonable relationship to the preservation or efficiency of a well-regulated militia, we cannot say that the Second Amendment guarantees the right to keep and bear such an instrument."
In the 1875 case, United States v. Cruikshank, members of the Ku Klux Klan were charged with infringing on black citizens' right to bear arms. The court ruled that although the Constitution prevents the government from infringing on that right, it does not apply to citizens' interactions with one another and charged that "'bearing arms for a lawful purpose'... is not a right granted by the Constitution."

Presser v. Illinois (1886) reaffirmed the court's ruling in Cruikshank. In this case, participants in a paramilitary organization were arrested for conducting parades and weapons drills without permission. The court ruled that states have the right to prohibit citizens from forming private militias and that the Second Amendment "is one of the amendments that has no other effect than to restrict the powers of the national government," meaning that state governments are free to legislate as they choose regarding guns.

Similarly, in Miller v. Texas (1894), regarding a man who was convicted of murder with an unlicensed handgun, the court ruled that the Second Amendment does not apply to state laws, calling it "well settled" that the Second Amendment "operate[s] only upon the federal power and [has] no reference whatsoever to proceedings in state courts."

The United States has more gun-related deaths than any other industrialized country. The rate of gun-related death in the United States is more than double that of the next-highest industrialized country and eight times more than the average of its economic peers, according to data from the University of Pennsylvania's Firearms and Injury Center.

The U.S. firearms mortality rate is more than 70 times higher than industrialized Asian countries, like Japan, Singapore and Taiwan. An average of 32,300 Americans died each year from gun-related injuries between 1980 and 2006. Among the many victims are children whose parents own guns to protect themselves against intruders.

As someone who has experience using guns, I suggest that most homemakers are more likely to be killed in a gunbattle with an intruder than to kill him. It is ridiculous to argue that criminals kill people, not guns. Nor could Seung-Hui Cho have killed 32 people and injured 18 others at Virginia Tech with a knife instead of handguns.

I realize that the majority of the Supreme Court is a conservative one and that the court very rarely reverses itself. However, this law enables the gun lobby to promote extreme positions.

Is it too much to even hope that justices might revisit the 2008 decision and do what is right -- establish that the government has not just a right but a duty to regulate guns and ammunition? Then we might even get the gun lobby to drop its opposition to stamping a tiny numeric code on shell casings.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

Amitai Etzioni: Stamping code on shell casings makes it easy for police to ID gun that fired shot

@highlight

NRA is fighting method and could win because of 2008 Supreme Court ruling, he writes

@highlight

Etzioni: Court ignored 70 years of precedent and guaranteed individual right to be armed

@highlight

This Second Amendment ruling hampers states making any gun-related law, he says