(CNN) -- Selling smartphone accessories is all about being in the right place at the right time.

When outfitting a shiny new mobile device, the vast majority of people pick up a new case and other add-ons the same day they buy the phone, or within the first three months. For Apple accessory makers, this pairing presents a problem: Apple doesn't publicly share device measurements ahead of time, so manufacturers have to either wait until a product announcement to start making their products, potentially missing out on sales, or take the more common route of using unofficial leaks and information from factories.

The new iPhone 5 goes on sale this Friday, just nine days after being announced by Apple. The device is taller and thinner, and sports a brand new port that won't fit older charging cords or devices such as speakers.

iPhone 5 pre-order shipping dates pushed back, likely due to demand

For consumers upgrading to the new iPhone, this means spending money to replace the obsolete cases, cords and speakers. For accessories makers, it means an opportunity for more sales.

Smartphone accessories are a lucrative business, and iPhone owners are predictably big on pampering their devices. The iPhone accounts for $6 billion of the $20.8 billion global smartphone-accessories market that's forecast for 2012. The average smartphone owner spends $56 on add-ons per device.

"There are over a billion handsets shipped every single year, and every single one of them drives accessory purchase," said Michael Morgan, senior analyst for mobile devices at ABI Research.

The major players all know the key to getting their products into customers' hands is already being on the shelves when they buy a new phone. For example, 75% of iPhones sold will have a case purchased for them at some point. Of all smartphone cases sold across brands, 38% are purchased at the same time as the phone, and 36% are purchased in the first three months, according to ABI.

A select number of companies are lucky enough to be on the inside, privy to details directly from Apple before a major product announcement.

They are briefed on specifications -- likely after signing hundreds of pages of non-disclosure agreements -- so they can start production on new compatible accessories in advance. Apple even has a special program called "MFi" for designers and manufacturers making accessories that use licensed components. They sometimes get access to specs in advance and can label their products as Apple approved.

For this release, Apple teamed up with speaker company Bose, among other third-party manufacturers.

Other accessories makers have to either wait or turn to back-channels. Leaks have suggested that factories in Asia that specialize in making iPhone and iPad accessories have dependable specs and mock-ups of the final Apple products months in advance.

Hands on with the new iPhone 5

These factories will create CAD files (a digital technical drawing) or detailed plastic molds of unannounced products, complete with cut outs and details where the buttons and ports are located. Designers can use these tools to create new products.

Companies use this information to varying degrees in order to be prepared for a product launch. While the reliability of the leaks has increased since the first iPhone came out in 2007, they are not guaranteed, and some companies remain nervous about taking a chance on unofficial information.

"That's not the way that we operate," said Dave Gatto, CEO of Incase, a San Francisco-based maker of Apple-related accessories. "We'll get product when it hits the store, we'll be in line with everyone else."

Incase didn't start production on new cases until immediately after Apple's announcement, Gatto said. However, the company did use information, such as the leaked phone specs in the tech press, to prepare as much as possible in advance so that cases would be in stores quickly. The company designed new cases for the taller shape, and even produced and photographed physical prototypes the month before Apple's event.

For the iPhone 5, an advance team was sent to the factories in China, standing by to start production, and the entire company hopped on a Skype call to follow Apple's announcement live September 12. By that afternoon, a press release was sent out announcing the company's new iPhone 5 cases. It hopes to have products ready in three to four weeks.

"Soft goods" like cases are easier to turn around, and the companies have had a lot of practice over the years. But for hardware makers, the new port was a challenge.

iHome makes popular iPhone and iPad accessories such as clock radios and speakers. The company wouldn't say if it had any official information ahead of the iPhone announcement (on its site it says its products are MFi-compliant), but did acknowledge that it has been busy.

"When we anticipate a major product change, even months before an announcement is made, we brainstorm various options and even begin to expedite basic engineering modifications," Ezra Ashkenazi, CEO of iHome, said in an e-mail. The company usually takes 7 to 9 months to ship new products, but says this advance work shaves two to three months off that cycle. iHome plans to start selling new products in early 2013.

Factories don't wait to snag a customer to start producing products, either. They will pre-design and even start production on accessories before Apple goes public with a new device. Then, they'll try to shop those goods around to big box retailers like Best Buy, Target and Walmart, as well as to individual brands that will buy up inventory and then add their own logo.

Apple's secrets aren't so secret anymore, and that's O.K.

Over the years, rumors and leaks about unreleased Apple products have become more common.

Apple devices are created by a porous network of third-party factories and employees that even the strongest of non-disclosure agreements can't always completely control.

Snippets of information travel between factories or even units of the same company. Most factories aren't in a monogamous relationship with Apple or the approved third-party vendors with access to advance specs, and may also make products for other companies.

While Foxconn factories have received the most attention (largely for labor issues), that's just one in a large network of suppliers Apple uses.

In its 2011 list of Apple suppliers, Apple named 97 companies it contracts to create raw materials and manufacture and assemble products. Many of those companies only handle one small detail, like providing the nuts and bolts that are used in iPhones. Others produce more accessories specifically for Apple, like Cosmosupplylab Ltd. did on the iPad's Smart Cover.

Navigating the world of factories and rumors is essential to companies competing for those early accessory dollars. But even if it isn't ready by Friday's launch date and the surge of new iPhone 5 purchases, they aren't out of the game. They still have the global roll out of devices to look forward to, and the process could begin again if Apple releases the rumored smaller iPad this fall.

New Fitbits sync with iPhones, Androids via Bluetooth 4.0

@highlight

Most smartphone accessories are bought in the first three months of owning a phone

@highlight

For iPhone 5 accessory makers, the race is on to get products on shelves quickly

@highlight

Some companies get specs from Apple in advance, others from leaks and factories