Washington (CNN) -- Democratic and Republican leaders don't see eye to eye on much these days.

But political veterans on both sides of the aisle do agree on one point -- the stakes are high in the rapidly approaching 2014 midterm races.

For Democrats, the midterms are all about holding their slim Senate majority and, if possible, defying historical odds by retaking the House of Representatives. They want to give President Barack Obama a working congressional majority for his last two years in office to help secure his legacy and lay the best possible groundwork for the party's standard bearer in 2016.

For Republicans, it's the polar opposite. 2014 is all about finally realizing their maddeningly elusive goal of recapturing the Senate while also boosting their House majority, ensuring Obama's a powerless lame duck, and pounding away at presidential accomplishments like the Affordable Care Act in the run-up to 2016.

Poll: Voters split over Republicans, Democrats in 2014

Which party will come out on top next year? It's too early to know. But here are seven key factors to keep in mind:

1. Obamacare

Republicans have promised to keep this issue front and center throughout 2014. And the botched rollout of the HealthCare.gov website -- combined with news of canceled insurance policies and problems with the new exchanges -- has given the GOP plenty of ammunition.

The number of Americans citing health care as the country's biggest problem recently jumped seven percentage points -- from 12% in October to 19% in November -- according to Gallup.

Meanwhile, the public's opinion of Obamacare has soured. Net disapproval of Obamacare jumped from three points (44% approval versus 47% disapproval) in October to 15 points (40% approval versus 55% disapproval) in November, according to Gallup.

Pelosi defends Obamacare claims, can't predict effect on 2014

This month, Democrats came close to losing a gubernatorial race in Virginia that most analysts believed they'd win easily. Why? Part of the reason appeared to be Obamacare's sinking numbers. More than a quarter of Virginia voters said health care -- a traditional Democratic strength -- was their most important issue. They narrowly broke for the Republican nominee.

Congressional Democrats are spooked. Thirty-nine of them voted last week for a GOP bill that would let insurers continue to offer policies not in compliance with the minimum standards outlined in the Affordable Care Act.

Obamacare rattles Democrats with midterms looming

"Even if the Obama administration fixes Obamacare in the near term or before November 2014, this ineptitude ... has shaken voter confidence in government to its core," said Brown University political scientist Wendy Schiller.

"Democrats have relied on government solutions to a wide range of problems to win campaigns. I believe that strategy is now threatened and the Democrats will have to work on their policy messaging for November 2014 if they want to hang onto the Senate."

GOP taints 2014 Democrats with Obama health care pledge

2. Shutdown fatigue

How badly did the Republican party hurt itself during the recent government shutdown? For the first time since the GOP won back the House in 2010, a majority of Americans said in mid-October they believe GOP control of the House is bad for the country.

A majority of Americans -- 54% -- had a negative view of Republican control of the House, up 11 points since last year, according to a CNN/ORC poll.

The question now is whether voters' collective memory of the shutdown has been eclipsed by Obamacare's problems.

"The GOP has to avoid the kinds of disastrous politics that surrounded the recent government shutdown and debt ceiling fights," Schiller said. "They have to appear more rational, reasoned and caring as a national party."

"Ironically," she added, "the GOP leadership looks more justified (now) in calling for a delay in Obamacare but their tactics were so extreme that voters are still wary of them."

Top GOP congressional leaders are promising there won't be another shutdown, but will they be able to control their rank and file? And if they can't, will that play into Democratic charges that the GOP is now a party under the control of its extreme fringe?

3. The economy

It seems like common sense. If your bank account's hurting, the president's party is hurting. If you're doing well, the president's party does well.

Except that this isn't always the case. Real Clear Politics' Sean Trende said it best four years ago:

"Is the President pursuing an unpopular war and controversial policies at home (Lyndon Johnson in 1966, George W. Bush in 2006)? Then it probably doesn't matter that the economy is blazing ahead. Is the President waging a successful war and getting ready to take out a longtime nemesis (George W. Bush in 2002)? The public is going to be more forgiving of the sluggish growth in real disposable income and rising unemployment.

"The bottom line is that every election becomes something of an explainable, unique event."

That said, some of the worst midterm losses for the president's party -- 1930, 1938, 1946, 1958, 1974, 1982, 2010 -- occurred during or shortly after a downturn.

"A bad recession occurring close to a midterm election isn't a necessary condition for a disastrous midterm election, but it seems to be sufficient," Trende notes.

There are special factors at play in every election cycle, but all things being equal the Democrats should be in better shape if the economy's in better shape. Republicans should be in better shape if the economy's in worse shape.

No. 2 Democrat says GOP could easily lose House

4. Six-year itch

One of the biggest factors working in the GOP's favor next year could be the simple fact that Americans are ready for a change six years into a Democratic presidency. The president's party almost always loses congressional seats in the sixth year of his term. Almost. The one recent exception to this rule came in 1998, in the midst of an apparent voter backlash against the Clinton impeachment.

Could GOP overreach on Obamacare or other issues create the perfect storm for another exception in 2014?

5. Gerrymandering in the House

While all 435 House seats are up in 2014, the reality is that the overwhelming majority of those seats will not be seriously contested. The art of gerrymandering has evolved into a virtual science over the last couple of decades, leading to greater incumbent protection and a much smaller political playing field.

CNN has tentatively identified 45 House races to watch in 2014 -- 25 Democratic seats and 20 Republican seats. Given the fact that the Democrats now hold 200 seats (201 assuming they hold Ed Markey's open Massachusetts seat), virtually everything would have to break the Democrats' way for them to recapture the House.

6. Who turns out?

Midterm turnout is typically lower, which translates to whiter, older, and more Republican. Core GOP constituencies are more likely to turn out at the midterm polls.

Take a look, for example, at the most recent two election cycles. The electorate in 2012 was 72% white, 16% age 65 or older and 53% Protestant. Forty-two percent of voters attended religious services weekly.

In 2010, the electorate was 77% white, 21% age 65 or older and 55% Protestant. Forty-eight percent of voters attended religious services weekly. All four of these groups vote solidly Republican.

If 2014 turns out to be a "typical" midterm in this respect, it will be a critical advantage for the Republicans.

7. Electability versus purity

Republicans have been burned over the last couple of election cycles by primaries that led to the nomination of sub-par general election candidates. In 2010, the GOP blew great opportunities to win Democratic Senate seats in Colorado, Delaware, and Nevada when they nominated three tea party favorites -- Ken Buck, Christine O'Donnell and Sharron Angle -- who subsequently stumbled and proved unacceptable to larger general election electorates.

In 2012, the Republicans tossed away a safe GOP seat when six-term moderate Sen. Richard Lugar lost his primary fight to more conservative state Treasurer Richard Mourdock. Democrats pounced on remarks Mourdock made during the general election suggesting that pregnancies resulting from rape are "something God intended." The seat was ultimately won by Democratic nominee Joe Donnelly.

In Missouri, Republicans lost a golden opportunity to oust vulnerable Democratic Sen. Claire McCaskill last year when GOP nominee Rep. Todd Akin declared that in instances of "legitimate rape" a woman's body "has ways to try to shut that whole thing down."

McCaskill trounced Akin by roughly 15 points.

In 2014, GOP primary voters will help decide more Senate and House where conservative tea party candidates have been pitted against Republican establishment types. One of the most notable of these contests is happening in Kentucky, where Senate Minority Leader Mitch McConnell is facing off against tea party favorite Matt Bevin.

This is not to say that the establishment choice is always the best one for Republicans. It's not. And the grassroots energy provided by tea party activists is critical to GOP chances. But the lesson of recent cycles shouldn't be ignored in 2014. Primaries matter.

Battle for the House in 2014: Obamacare vs. shutdown

@highlight

Obamacare fiasco has shaken voter confidence in Democrats' government solutions

@highlight

Will voters' memories of October shutdown be eclipsed by Obamacare a year from now?

@highlight

Worst losses have occurred to president's party during or shortly after economic slowdown

@highlight

Could GOP overreach on Obamacare or other issues break cycle of six-year itch?