Paris (CNN) -- Dressed in a wet suit, air tanks strapped to his back, poised to head overboard is an image of Jacques Cousteau most people would recognize.

It was a routine the French explorer and conservationist repeated over and over again, hundreds, perhaps thousands of times over his long and adventure-filled life. But less known was that Cousteau was an inventive genius.

"I remember most that he was enchanted with ideas ... He was almost like a little child, but he was the most creative and imaginative person I've ever met," says Susan Schiefelbein, a close collaborator with Cousteau for more than two decades who also helped him write his autobiography.

"He made connections that other people were slow to make. A scientist who would be involved and have a passion in his work could go to Cousteau and say 'A,B' and Cousteau could skip to 'Q' and understand immediately the intermediary steps," she said.

The Frenchman practically invented scuba diving when he developed the regulator valve that made possible breathing air from tanks underwater.

Apart from his scuba equipment, which he called an "aqua lung," Cousteau was perhaps best known for his underwater photography. His stunning documentaries produced for television and cinema had their origins in the adventurer's childhood curiosity.

"He was fascinated by film from the time he was a little child -- he actually pinched chemicals from his grandfather's pharmacy and taught himself how to develop films and he made movies of himself and his friends," Schiefelbein said.

Cousteau's original ambitions were to forge a naval and aviation career, attending the naval academy in Brest. But a serious car accident in which he broke both his arms ended any dreams of becoming a pilot.

"He was strengthening himself by swimming and he became a naval explorer kind of by default," Schiefelbein says.

If he came to diving by accident, it was a fortunate accident indeed. It led Cousteau to a lifelong search to find out what lies beneath the surface of the world's oceans.

Cousteau's endless curiosity led him to explore ever more remote, ever deeper waters. But he needed something to help withstand high water pressures and capable of maneuvering silently like a diver without disturbing the aquatic life around it. Submarines couldn't work because of the turbulence and danger of their propellers. Nothing like he had in mind existed, so Cousteau invented it.

"He had the idea for it at lunch. He pulled out a saucer from under a coffee cup and then put another one on top and he said 'something like this,' and in two weeks he had scientists working on the idea," Schiefelbein said.

With the help of Jean Mollard from the French Center for Undersea Research, Cousteau created the "diving saucer," or the SP-350 as it was formally known -- a two-man submarine which could dive to depths of 350 meters for several hours at a time.

He very often insisted on testing his new devices and techniques himself, frequently risking his own life in the process.

"Here was a man who took these devices down enormous depths, not having any idea of what would happen and he had to find out for himself. So it was really trial and error in a very dangerous sense. And he always survived," Schiefelbein said.

But the French explorer's vision was not limited to the world of diving. He saw the need to take on broader issues especially those concerning the environment and the seas.

In the 1960s, he campaigned to stop underwater dumping of nuclear waste in the Mediterranean Sea and helped restrict commercial whaling in the 1980s, doing his bit to protect the world he so enjoyed exploring.

"If somebody said: 'what do you expect to see at the bottom of the Romanche Trench?' -- which they were the first to photograph -- he would say: 'If I knew what I expected to see why would I go? Why would I even look?' So it was 'allez voir,'" Schiefelbein says.

"Allez voir" ("go see") was advice that Cousteau himself followed right until the end.

@highlight

Jacques Cousteau allied an inventive genius to his exploring and photography skills

@highlight

Cousteau collaborator, Susan Schiefelbein remembers the Frenchman's contributions to marine exploration

@highlight

Cousteau helped design the "diving saucer" which helped further knowledge of ocean depths

@highlight

Explorer also campaigned to stop nuclear waste being dumped in the Mediterranean Sea in 1960s