New York  (CNN)A team of senior-level FBI agents with decades of experience in long-term criminal and public corruption cases are handling the federal civil rights investigation into the controversial chokehold death of an unarmed black man by a white police officer, two law enforcement sources said Tuesday.

The New York-based agents have come together in recent weeks following a December grand jury decision to not indict the police officer, the sources told CNN.

The goal is a "fresh look" into the July death of Eric Garner at the hands of police Officer Daniel Pantaleo, in a case that led to anti-police demonstrations throughout the nation, a senior law enforcement official said.

The veteran investigators include an agent from the white-collar crime division who specializes in long-term criminal investigations, a supervisor in the public corruption unit and an agent who investigated the infamous 1997 police torture case involving Haitian immigrant Abner Louima, the source said

The investigation, which began in earnest after a grand jury declined to indict the officer, will look at everything from the actions of the responding officers and paramedics on the Staten Island street where Garner died to the role NYPD training may have played in the death, according to the source. The New York City Police Department prohibits chokeholds.

"We want ... to take a fresh look," the senior official said.

Pantaleo's attorney, Stuart London, said the agents will find "there was no willful conduct with the specific intent to violate a federally protected right."

"This was a simple street encounter and race wasn't an issue," he said.

During Garner's fatal police encounter on July 17, he raised both hands in the air and told the officers not to touch him. Seconds later, a video shows an officer behind Garner grab him in a chokehold and pull him to the sidewalk, rolling him onto his stomach.

"I can't breathe! I can't breathe!" Garner said repeatedly, his cries muffled into the pavement.

Garner, 43, was pronounced dead that day. Police had suspected Garner of selling cigarettes illegally.

Eric Garner: The haunting last words of a dying man

As part of the federal investigation, FBI agents have visited the scene of Garner's death. They're also interviewing witnesses as well as reviewing witness testimony, the senior official said. The investigation is overseen by the federal prosecutor's office in Brooklyn.

The agents will also look over evidence from the NYPD's internal affairs investigation and may ask to interview officers and emergency medical technicians who responded, the official said.

Another aspect of the probe will be whether a chokehold was in fact used in restraining Garner, the senior official said.

The cause of Garner's death was "compression of neck (chokehold), compression of chest and prone positioning during physical restraint by police," the medical examiner's office has said. The death was ruled a homicide.

The medical examiner also listed acute and chronic bronchial asthma, obesity and hypertensive cardiovascular disease as contributing factors in Garner's death.

The grand jury was made up of 14 white and nine nonwhite members, according to law enforcement sources. A total of 12 jurors who heard all the evidence must be in agreement for a decision.

Videos document Garner's last moments

The case became emblematic of longstanding tensions between police and minority communities, especially given that the majority of people stopped under the NYPD's former "stop-and-frisk" police policy were African-American or Hispanic. A federal court ruled that stop-and-frisk was unconstitutional and tantamount to racial profiling.

Garner's death led to demonstrations around the city and came weeks before the racially charged police shooting of unarmed teen Michael Brown in Ferguson, Missouri. Separate grand jury decisions declining to prosecute police officers in connection with both deaths sparked national protests that sometimes involved clashes with police.

After the death, Pantaleo was put on modified assignment and stripped of his badge and gun amid the investigation, and the NYPD commissioner ordered an extensive review of training procedures.

Two lawsuits have previously been filed against Pantaleo. The plaintiffs in both suits allege false arrest, unlawful imprisonment, civil rights violations and other charges.

One suit from 2013 was dismissed in January 2014, while the second, from February 2014, remains open.

@highlight

Senior FBI agents lead federal civil rights investigation in chokehold death

@highlight

Eric Garner died at hands of police officers in July