Secretary of State Hillary Clinton on Saturday urged Egypt's first democratically elected leader to "assert the full authority of the presidency."

After her meeting with President Mohamed Morsy -- the first such visit by a U.S. Cabinet official --- Clinton stressed that it was up to Egypt's people to shape the country's political future. But she also noted that the United States would work "to support the military's return to a purely national security role."

"The United States supports the full transition to civilian rule, with all that it entails," she said.

Clinton's visit came as Egypt is in the throes of domestic political chaos, with Morsy in a tug of war with the military leadership in Cairo. The Islamist president doesn't have his own Cabinet in place, and there is no parliament.

"This is a time marked by historic firsts, but also great uncertainty. Egyptians are in the midst of complex negotiations about almost every facet of the transition," Clinton said.

As photographers snapped pictures of their meeting, Morsy told Clinton, "We are very, very keen to meet you and happy that you are here."

The tone of the meeting was cordial and constructive, with much back and forth, according to a senior State Department official who described the talks on condition of anonymity.

Clinton laid out U.S. ideas for supporting Egypt's fragile economy and the two discussed regional security issues, the official said.

Clinton commended Morsy's public commitment to national unity and pluralism. Clinton made it clear the United States will stand up for universal human rights, the official said.

For his part, Morsy underscored the expectations of Egyptians for a complete democratic transition and stressed his commitment to dialogue with all stakeholders, according to the official.

Earlier this week, Clinton sent a message to Egypt's leaders to talk to one another and settle their differences for the good of the people, saying both the president and the military needed to work together to avoid derailing Egypt's democratic transition.

Clinton met Saturday with Egyptian Foreign Minister Kamel Amr and told reporters President Barack Obama wants to relieve up to $1 billion in Egyptian debt and help foster innovation, growth and job creation.

The United States is ready to make available $250 million in loan guarantees to Egyptian businesses, Clinton said.

On Sunday, Clinton is scheduled to meet with Field Marshal Mohamed Hussein Tantawi, head of Egypt's military council.

Tantawi, a 76-year-old career infantry officer, fought in Egypt's 1956, 1967 and 1973 wars with Israel.

Egypt's military is the foundation of the modern state, having overthrown the country's monarchy in 1952.

The Supreme Council of the Armed Forces, which assumed legislative powers after it dissolved parliament, continues to wield that power even after Morsy's swearing-in. It will retain those powers until a new parliament is sworn in near the end of the year.

In the presidential election, Morsy edged out Ahmed Shafik -- the last prime minister to serve under former President Hosni Mubarak -- winning nearly 52% of the votes cast.

He resigned from the Muslim Brotherhood and its Freedom and Justice Party shortly after the results were announced in an apparent effort to send a message that he will represent all Egyptians.

But the country's political uncertainty has continued since he took office June 30.

Clinton aides said the secretary of state wanted to visit Cairo early after Morsy's swearing-in to show that the Obama administration wants to help the new government improve Egypt's economy.

During her visit, the secretary was expected to discuss equality for the country's Coptic Christians, who have faced persecution in the past.

She was scheduled to meet with Christian leaders from across Egypt on Sunday to discuss their concerns.

Is Clinton visit the push Cairo needs?

The peace treaty with Israel and the situation in the Sinai on the border between the two countries will also be high on the agenda.

Both the United States and Israel have been concerned about recent cross-border attacks into Israel that have heightened tensions between both countries. The area has seen an explosive mix of trafficking of weapons and people across the border from Sudan, coupled with a variety of terrorist groups moving increasingly freely in the area.

Does the U.S. matter any more in Egypt and Israel?

On the same day of Clinton's visit,  Egyptian state media reported that security services in North Sinai were intensifying efforts to get a kidnapped American couple and their tour guide released. Bedouin kidnappers want authorities to release a relative who is in detention in Alexandria on drug charges, said Gen. Ahmed Bakr, head of security in the North Sinai.

Kidnappings and armed robberies have increased since a popular uprising ousted Mubarak last year.

The U.S. Embassy in Cairo said it was "in close touch with Egyptian authorities, who are doing everything they can to bring about safe release of the American tourists."

Clinton's meeting with Morsy kicks off what is expected to be a steady stream of high-level U.S. officials to visit Cairo in coming months, including Defense Secretary Leon Panetta within the next few weeks and culminating with a possible meeting with President Barack Obama on the sidelines of the U.N. General Assembly in September.

@highlight

The meeting was constructive with extensive dialogue, U.S. official says

@highlight

"The United States supports the full transition to civilian rule," Clinton says

@highlight

Her visit is the first meeting of a U.S. Cabinet official with President Mohamed Morsy

@highlight

It comes as Egypt is in the throes of domestic political chaos