The Supreme Court has dismissed an appeal over same-sex marriage on jurisdictional grounds, ruling Wednesday private parties do not have "standing" to defend California's voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock.

The ruling clears the way for same-sex marriages in California to resume.

The 5-4 decision avoids, for now, a sweeping conclusion on whether same-sex marriage is a constitutional "equal protection" right that would apply to all states.

Read the ruling

At issue was whether the Constitution's guarantee of equal protection under the law prevents states from defining marriage to exclude same-sex couples, and whether a state can revoke same-sex marriage through referendum, as California did, once it already has been recognized.

But a majority of the Supreme Court opted not to rule on those issues. Instead, it ruled on "standing" -- whether those who brought the suit to the court were entitled to do so.

"We have never before upheld the standing of a private party to defend a state statute when state officials have chosen not to," said Chief Justice John Roberts. He was supported by an unusual coalition: fellow conservative Justice Antonin Scalia and more liberal Justices Ruth Bader Ginsburg, Stephen Breyer and Elena Kagan.

By dismissing the case, the court leaves in place the lower court decision in California that allows same-sex marriage to be reinstated. The federal appeals court stay on the decision will be lifted.

What's next for gay rights movement?

Within hours of the ruling, California's Gov. Jerry Brown said, "I have directed the California Department of Public Health to advise the state's counties that they must begin issuing marriage licenses to same-sex couples in California as soon as the Ninth Circuit confirms the stay is lifted."

Brown, a Democrat, said he interpreted the high court opinion as making Prop 8 unconstitutional and unenforceable. The state's Attorney General Kamala Harris agreed and urged the Ninth Circuit U.S. Court of Appeals in San Francisco to issue its mandate "immediately." But by law, that cannot normally be done so for at least 25 days, to allow for possible new legal challenges.

As soon as the court lifts the stay, "the wedding bells will ring" said Harris on Wednesday. "This is a huge day for California."

But there is legal uncertainty whether the high court's ruling could be enforced statewide, or limited to only a few jurisdictions.

It was act two in a closely watched pair of high court appeals over state and federal laws and the limits of recognizing the ability of gay and lesbian couples to wed. The outcome of the rulings gives same-sex couples much to be encouraged about.

California voters approved Proposition 8 in 2008 with 52% of the vote shortly after the state Supreme Court ruled same-sex marriages are legal. The measure put gay and lesbian marriages on hold in the state, but a federal appeals court later rule Proposition 8 was unconstitutional.

Two of the original plaintiffs -- Paul Katami and Jeff Zarrillo, a Burbank, California, couple who want to marry but could not because of Proposition 8 -- contended the state was discriminating against them because of their sexuality.

"This is about our freedom and our liberty," Katami told CNN. "We are not trying to topple marriage. We are not trying to redefine marriage. What we are trying to say is that equality is the backbone of our country."

Both they and Kristin Perry and Sandy Stier, the other plaintiff couple from Berkeley, were in the courtroom when the rulings came out. They were cheered when emerging from the court building.

Their views were echoed by fellow same-sex marriage supporters, who rallied outside the court with the hope that the justices will eventually issue a broad ruling to strike down bans nationwide.

In dissent, Justice Anthony Kennedy said the court's majority ignored the initiative process that led to the passage of Proposition 8.

Key quotes from the ruling

"What the court fails to grasp or accept is the basic premise of the initiative process. And it is this. The essence of democracy is that the right to make law rests in the people and flows to the government, not the other way around. Freedom resides first in the people without need of a grant from government," he said. "The California initiative process embodies these principles and has done so for over a century. ... In California and the 26 other states that permit initiatives and popular referendums, the people have exercised their own inherent sovereign right to govern themselves. The court today frustrates that choice."

Kennedy was joined by Justices Clarence Thomas, Samuel Alito and Sonia Sotomayor.

Some Prop 8 supporters argued the high court ruling means the voter referendum remains in place and enforceable.

"Proposition 8 being the law of the state of California makes it clear that marriage is only one man and one woman. The four plaintiffs that brought this lawsuit may have a right to get marriage licenses issued to them. But this was not a class-action lawsuit. It does not apply statewide, " said Austin Nimocks, senior counsel at the Alliance Defending Freedom. "Because there's no appellate decision holding it unconstitutional under the California Constitution, which is what controls this interpretation, Proposition 8 remains the law of that state.

Kevin has a family: A same-sex couple's remarkable journey

The case is Hollingsworth v. Perry (12-144).

@highlight

The high court opts not to consider the issues of the appeal

@highlight

Instead, it rules on whether those who brought the suit to the court were entitled to do so

@highlight

State officials had refused to defend Proposition 8 after a California court suspended it

@highlight

Justice Kennedy, in dissent, says the court's majority undercut the initiative process