Editor's note: Anthony S. Fauci, M.D., is director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health. Fauci has overseen research into preventing, diagnosing and treating disease and has made numerous discoveries related to HIV/AIDS. He has received the National Medal of Science, the Mary Woodard Lasker Award for Public Service and the Presidential Medal of Freedom. April 25, 2009, is World Malaria Day.

Dr. Anthony Fauci says we should aim to eradicate the killer disease of malaria.

(CNN) -- For the past few decades when talking about malaria, public health officials and malaria experts have avoided the word "eradication."

This reluctance is based in part on relatively recent history. In 1955, the World Health Organization (WHO) launched a valiant effort to eradicate malaria throughout the world.

Although the disease was virtually eliminated in many temperate regions and reduced in some tropical areas, the goal of worldwide eradication fell short, and the effort ultimately was abandoned.

Today, malaria has resurged with a vengeance. Half the world's population is at risk of malaria infection. Approximately 250 million people get sick with malaria each year and nearly a million individuals die -- mostly young children and pregnant women in sub-Saharan Africa.

So when Bill and Melinda Gates dared to resurrect the "E" word in 2007, many in the public health community were skeptical and said in private conversation, "It can't be done."

We at the National Institute of Allergy and Infectious Diseases initially leaned toward the views of the large chorus of "eradication skeptics," but as the idea began to sink in and we assessed the research landscape, a new sense of optimism emerged. We now believe that malaria eradication -- controlling and eliminating the malaria parasite in every region across the globe -- is possible, but only if we learn from history and our past mistakes.

Previous efforts to eradicate malaria failed for several reasons, including political instability and technical challenges in delivering resources, especially in certain countries in Africa. The goal of malaria eradication, although popular among physicians and public health workers, did not muster sustained widespread support among the general public.

The diversity of malaria in communities across the globe and the changes in tools and monitoring strategies required over time to achieve eradication were not fully appreciated. And the impact and sustainability of single interventions such as the drug chloroquine and the pesticide DDT were overestimated.

Inevitably, malaria parasites developed resistance to commonly used drugs and mosquito vectors became insecticide-resistant. Unfortunately, investments in the research needed to develop new tools was never really adequate. And a sustainable yet flexible infrastructure to deliver the treatment and preventive services that could respond to a changing epidemiology was never developed.

It is now widely recognized that any attempt at malaria eradication must be a long-term commitment that involves multiple interventions, disciplines, strategies and organizations. One of the means to develop important new tools critical for the eradication of malaria is through biomedical research.

The National Institute of Allergy and Infectious Diseases recognizes that malaria eradication will require a sustained, multidisciplinary research effort by multiple partners across the globe. Indeed, we are a part of a global initiative recently launched by the Bill and Melinda Gates Foundation called the Malaria Eradication Research and Development Agenda involving research sponsors, public health agencies and interested organizations throughout the world joined by the common collaborative goal of malaria eradication.

As we work toward controlling and eliminating malaria in endemic regions of the world, it will be important to monitor shifts in disease patterns as we achieve success. Malaria-carrying mosquitoes may die out in some regions, but reappear in others.

Certain drugs may be successful in reducing the burden and controlling the spread of the malaria parasite, but other parasites may soon emerge to reintroduce or resume the disease.

Such changes in the patterns of the disease will require new interventions: diagnostics, drugs and ultimately an effective vaccine. Thus, we must maintain a robust pipeline of new interventions that can substitute for failing ones.

In developing a research plan for controlling, eliminating and eventually eradicating malaria, we are confronted by substantial challenges. An immediate challenge is diagnosis.

Different species of the malaria parasite exist, and it is important to have sensitive and rapid diagnostics that can detect which species are infecting patients and whether they are resistant to standard malaria drug regimens so that the optimal drugs are administered.

As our successes mount, we also will need rapid new diagnostics to detect infected individuals with no symptoms who might re-introduce the parasite into areas where the disease has been controlled or eliminated.

A second challenge will be to translate the enormous wealth of basic information about malaria parasites, mosquito vectors and the human host into new intervention strategies. For example, we now know the genetic sequences from Anopheles gambiae, the most important mosquito species for spreading malaria, and for the two major malaria parasites of humans: Plasmodium falciparum and Plasmodium vivax. It is a daunting task to translate this information into better ways of blocking transmission and preventing and treating infection.

Finally, perhaps our greatest challenge is sustaining our research efforts until the ultimate eradication of malaria. We may run the risk of becoming victims of our own success. Once we find ways to reduce the disease burden and deaths due to malaria, the world may no longer perceive malaria as a major threat and may lose interest.

Celebrities, politicians and even health officials may focus their attention on other maladies that pose a more immediate threat. We cannot allow this to happen. Unless we want to face the persistence and even resurgence of malaria in the next century and beyond, we must maintain our resolve to fully eradicate this deadly scourge across the globe. It can be done.

The opinions expressed in this commentary are solely those of Anthony S. Fauci.

@highlight

Dr. Anthony Fauci: Eradicating malaria was dismissed as impossible

@highlight

He says a reassessment shows the disease can be wiped out over time

@highlight

Fauci says malaria sickens 250 million and kills nearly a million a year

@highlight

Fauci says it will take coordinated effort, including more research