New Orleans, Louisiana (CNN) -- Tropical Storm Alex -- the first named storm of the Atlantic hurricane season this year -- formed in the Caribbean on Saturday as BP continued to battle a massive oil spill in the Gulf.

Alex had maximum sustained winds of 40 mph (65 kph) and was about 250 miles away from Chetumal, Mexico. It was moving toward Belize and over the Yucatan Peninsula.

It was not clear whether the storm could hit the part of the Gulf affected by the massive oil spill that has been gushing since the Deepwater Horizon rig exploded April 20, killing 11 workers.

A tropical storm in the oil-tainted Gulf of Mexico would disrupt BP efforts to drill relief wells and capture the oil at sea. It would also complicate efforts to clean up miles of coastline.

High winds and seas could distribute the oil -- still gushing from a blown deepwater well -- over a wider area while storm surges could wash more oil ashore, according to a fact sheet prepared by the National Oceanic and Atmospheric Administration.

A tropical storm warning is in effect for the coast of Belize, the east coast of the Yucatan Peninsula of Mexico, and various islands of Honduras. It means storm conditions are expected within the warning area within 36 hours.

Meteorologist Karen Maginnis says the "preferred scenario" actually would be for the storm to head to northern Florida. That's because the oil spill has been gradually rotating counterclockwise. If the storm heads to the east of it, it would send the oil farther out to sea. If the storm heads more directly towards the central Gulf and Louisiana, it might push the oil toward Florida.

Of course, forecasting where oil spills are headed in not easy.

"We're really in unchartered territory," Maginnis said."We've never been in this situation before. We've never seen an oil spill that encompassed the Gulf like this, end up so close to shore."

She noted that the latest models do point to the storm heading to the central Gulf.

Coast Guard Adm. Thad Allen, who's heading the federal cleanup operation, says he'll have to redeploy people and equipment to safer areas 120 hours (five days) in advance of gale-force winds.

And he agreed there is "no playbook" when it comes to responding to a massive oil spill as a storm brews. "But I will tell you there's been an extraordinary amount of planning being done," he told CNN. "We are going to try to merge two response structures. One has proven effective in the past, and that's a central coordination of search and rescue and how operations are conducted, and that's done out of Tyndall Air Force Base in Florida for hurricanes. And we are in the process of integrating our planning processes so the oil spill response is integrated fully within the search and rescue recovery operations."

But a powerful storm would not just disrupt efforts to drill relief wells and capture the oil at sea, of course. It would complicate efforts to clean up miles of coastline.

"It's going to mean we're going to have to find a way to maneuver all our resources, change things," said Grover Robinson, chairman of the Escambia County Commission in Pensacola, Florida. "We won't be able to fight the oil for a couple of days. And we have no idea about winds and current and what it will do to the oil in the gulf. So obviously, it's a very big concern for us."

Allen said he and some top Obama administration officials, including Vice President Joe Biden, will be headed back to the Gulf region next week to assess the oil relief efforts.

But in a new blow to fishermen, Mississippi officials announced that waters east of the Gulfport shipping channel would be closed to shrimping, because of oil sighted in the area.

Meanwhile, there been some promising news for potentially tens of thousands of people seeking claims against BP.

Kenneth Feinberg, who is administering the $20 billion fund set up by BP under White House prodding, says that people who work in support of oil rigs will be able to file claims -- and not just fishermen and businesses along the coast. Employees of businesses that brings tools to oil rigs, for example, also would be able to file a claim.

The company previously agreed to set aside the $20 billion in an escrow account for spill-related costs, a sum that does not cover fees and penalties that could be imposed by the federal government.

BP had resisted approving claims by people who said they were affected by the moratorium on oil drilling, saying it was imposed by the Obama administration. But Feinberg said BP and the administration now have agreed those claims will be covered.

"I now have discovered -- I didn't realize this until yesterday, but the moratorium claims will fall under my jurisdiction," he told CNN.

To date, almost 74,000 claims have been filed and more than 39,000 payments have been made, totaling almost $126 million, according to the company.

In another development, there has been some promising news in the effort to permanently stop the leak.

BP said Friday its "ranging" process, by which it sends an electrical current that puts out an electromagnetic field down the well bore, detected Wednesday where the leaking well is in relation to the first relief well, at a depth of 16,275 feet. BP said subsequent ranging runs will be needed to more precisely locate the leaking well and figure out how to best intersect the two.

"What they will do is continue to drill down in short intervals, withdraw the pipe, put that sensing device down and slowly close on the well bore to the point where they're ready to do the intercept drilling. This last part takes some time because they only do several hundred feet at a time." said Allen. "They'll also have a vessel standing by full of mud on the top, so in the event there were to get really close and potentially nick the well bore, they could actually put the mud down to control any hydrocarbons that might come out."

Drilling and ranging operations will continue over the next few weeks toward the target intercept depth of approximately 18,000 feet. "Kill" operations are expected to begin when the relief well reaches the leaking well. BP said drilling also continues on a second relief well, which has reached 10,500 feet.

Costs associated with the Gulf oil disaster have gone up more than $300 million in less than a week, BP said Friday.

"The cost of the response to date amounts to approximately $2.35 billion, including the cost of the spill response, containment, relief well drilling, grants to the Gulf states, claims paid and federal costs," a company statement said. BP put the tab at $2 billion on Monday.

Meanwhile, Deepwater drilling could resume by the end of July. U.S. District Judge Martin Feldman in New Orleans, Louisiana, on Thursday denied a request to keep a six-month moratorium imposed by President Barack Obama on May 27 in place, pending a government appeal.

The government has 30 days to show it is beginning to comply with Feldman's order and start issuing permits. The appeals process can continue, but until the appeal, the government must act as if Feldman's order will be upheld.

Feldman turned down the government's request for a stay of his order late Thursday, and the Justice Department appealed that ruling to the 5th Circuit Court of Appeals in New Orleans.

Government lawyers filed an appeal to the Fifth U.S. Circuit Court of Appeals Friday, asking the court to stay Feldman's order pending the appeals.

CNN's Brandon Miller contributed to this report

@highlight

NEW: Tropical Storm Alex forms in the Caribbean

@highlight

NEW: Not clear whether storm could hit part of Gulf affected by oil spill

@highlight

NEW: Justice Department goes to appeals court to keep moratorium on drilling