(CNN) -- Do gamers prefer to build or destroy? A look at the combat-intensive themes of most top-selling console games would suggest the latter.

But then along came "Minecraft" for Xbox.

The long-established PC game that focused on building and crafting was released for the Xbox earlier this month -- and the results should shake the notion that gamers just want to kill something.

In the first 24 hours of the May 9 release, the Minecraft Xbox 360 edition was downloaded more than 400,000 times, smashing the Xbox Arcade's first-day digital sales record and becoming the fastest selling Xbox Live Arcade title in history.

Markus "Notch" Persson, the creator of Minecraft, tweeted that this console version of Minecraft was "profitable in an hour."

Since release, Minecraft has been skyrocketing up Xbox Live's weekly activity ranking. The most recent numbers place Minecraft in second place, ahead of the first-person shooters "Call of Duty: Black Ops," "Battlefield 3" and "Halo: Reach," in addition to the sports title "FIFA '12." Only "Call of Duty: Modern Warfare 3" remains ahead, for the moment.

This achievement is not surprising to those familiar with the "Minecraft" mania on the PC, where it was first launched in late 2009 and became a gaming phenomenon. In its first 15 months, Mojang, the gaming company Persson built around Minecraft, reported revenues totaling $80 million.

"Minecraft" was not a product of the typical game development and it's not produced by one of the best-known production companies of the gaming industry. Instead, it was started by Notch -- as he's known to the game's fans -- an independent game developer who was willing to experiment with a unique game design, try a risky new online business model and forge a new relationship with gamers. He shared his thoughts on this at the official launch for Minecraft in Las Vegas.

"When I grew up with games, there was a lot of experimentation going on. People would try and create an idea, and not just copy the most successful game out there," he said. "Initially I was mostly doing it because of the technical challenge, and then it became fun."

Fortune: Minecraft's pixelated profit machine

The game's formula is not entirely new. Open world "sandbox" games have been a part of many successful titles. This is where the player is not restricted to a particular path, either in the game's physical world or in the game's narrative.

But no one had really taken this concept to the extreme that Notch has. In "Minecraft," the player is placed somewhere on a gigantic world at sunrise, and that's it. There is no apparent storyline, mission or purpose, beyond a few tips and achievements. Players are given a world of their own to do with as they like, which often becomes an addictive adventure of survival, exploration and building.

Yes, building. This is the core mechanic of "Minecraft." The world is composed of blocks that you can remove and replace. This is first done in order to survive, as players wall themselves in at night, nervously listening to the creatures roaming nearby. But then, if things go well, their imagination takes hold and a simple house becomes a castle, or the Roman Colosseum, or whatever else the player can imagine.

Then full-grown adults spend the next four to six hours in a state of childhood bliss, virtually playing with Legos again.

When Notch first released Minecraft to the online public, the game was far from finished, and was still in an early Alpha stage. Releasing it at this point held significant risk, he said, as players could dismiss what could be a great game because of the glitches, bugs and the unfinished quality of a pre-beta version. Instead, the opposite happened.

"Fairly soon, people started talking about it and actually appreciating it," Notch recalled. "And ever since then, that's what kept me going -- people actually liking and playing it."

If selling an unfinished game online by himself wasn't risky enough, Notch took it a step further by making the classic version of the game available free. This skyrocketed the game's popularity, and close to 25 million people have since downloaded the game on their PC. More than 5.8 million copies have been purchased.

Another result from this unconventional business model is the relationship it has formed between Notch and his fans. Instead of just being consumers, these early players felt they were a part of the game's development. The game updates felt like gifts to the players, instead of the natural progression toward a title's release.

"The players got invested in the testing and the suggestions and the feedback kind of early on and actually started buying the game early," he said. "The way that they talked about the game is definitely why it's spread so fast, because there was no marketing before that -- just word of mouth."

One way players talked about "Minecraft" was through more than 4 million YouTube videos. Notch and his team at Mojang have been very responsive to fan suggestions and ideas, and have also supported the modding community, which has built a host of add-ons for the game.

This collaboration has created a loyal following that culminated in November with the official launch of "Minecraft." Most gaming companies hope to build interest and a player base with a successful launch, especially for their first title. For "Minecraft," the company held a convention in Las Vegas with 5,000 fans from around the world.

At this convention Microsoft had a large booth, showing an early playable version of Minecraft for the Xbox 360. As the crowds swelled, with many dressed as Creepers and other creatures from the game, the Xbox team was surprised by the passion of the fans.

"The level of excitement of everybody here, to be in the room with the creator of one of their favorite games -- you don't see that on the same level with any other game title," said Michael Wolf, who does marketing for the Microsoft Xbox Live team.

The Xbox launch has brought "Minecraft" to the console generation, and initial sales indicate they are quickly joining the ranks of block builders. Notch has placed "Minecraft's" further development in the hands of his colleague Jens Bergensten, and has turned his sights on developing a space game, tentatively called "0x10c".

Not much has been revealed so far, except the promise that he will keep experimenting, an approach he's already proven can work.

@highlight

PC sensation "Minecraft" becomes an Xbox 360 best-seller

@highlight

Since May 9 release, "Minecraft" has been downloaded more than 400,000 times

@highlight

Game's creator says interactive approach created loyal fans

@highlight

Game is an open-ended "sandbox" inviting players to explore