Save the date: Iran has pledged to start eliminating some of its uranium stockpile on January 20, the White House said Sunday.

That gives an official start time for the six-month interim deal with Iran, which was first announced in November.

"As of that day, for the first time in almost a decade, Iran's nuclear program will not be able to advance, and parts of it will be rolled back, while we start negotiating a comprehensive agreement to address the international community's concerns about Iran's program," U.S. Secretary of State John Kerry said in a statement Sunday.

Iranian officials also confirmed the start date for the deal, state media reported.

As part of the agreement, Iran has agreed to start eliminating its stockpile of higher levels of enriched uranium, to dismantle some infrastructure that makes higher-level uranium enrichment possible, and not to start up additional centrifuges.

Representatives from the United Nations' nuclear watchdog agency will also monitor Iran's nuclear facilities and make sure the country is taking the required steps as part of the deal.

In exchange, some sanctions against Iran will be eased as part of what the White House calls "modest relief."

U.S. officials estimate the overall sanctions relief provided to Iran as part of the deal will total around $7 billion -- $4.2 billion of which consists of restricted Iranian assets that will be freed up gradually.

"The $4.2 billion in restricted Iranian assets that Iran will gain access to as part of the agreement will be released in regular installments throughout the six months," Kerry said. "The final installment will not be available to Iran until the very last day."

But there's a bipartisan push in Congress to tighten, rather than ease, sanctions on Iran. U.S. President Barack Obama made it clear Sunday that he would push back.

"Imposing additional sanctions now will only risk derailing our efforts to resolve this issue peacefully, and I will veto any legislation enacting new sanctions during the negotiation," Obama said in a written statement.

Senior Obama administration officials echoed that sentiment Sunday, but also said if Iran doesn't make good on its promises, the United States could decide to step up sanctions.

Iranian lawmakers have threatened to boost uranium enrichment levels if the United States imposes more sanctions against the country.

One of Iran's deputy foreign minister, Majid Ravanchi, told CNN Sunday that the enactment of additional sanctions from the U.S. Senate would "ruin the entire agreement."

"We hope we will not face that," he said.

Word of the deal's start date drew mixed reactions from Capitol Hill Sunday.

"I'm concerned that this agreement takes us down that path where sanctions pressure is relieved, but Iran maintains its ability to produce a nuclear weapon," said House Foreign Affairs Committee Chairman  Rep. Ed Royce, R-California. "Given these stakes, it's regrettable that the President does not want to work with Congress to bolster his negotiating hand with additional sanctions, which would go into effect should Iran fail to meet its commitments."

Rep. Adam Schiff, D-California, called the interim agreement a "meaningful step forward" and said new sanctions would be counterproductive.

"We will know soon enough if Iran is committed to a diplomatic resolution of its nuclear program. If it is not, new sanctions will move with lightning speed out of the Congress and with my full support." he said. "Many obstacles remain, and I continue to be skeptical of Tehran's willingness to abandon pursuit of nuclear weapons technology, but I am also fully convinced that we must try the diplomatic path."

The agreement struck in November with representatives from Iran, the United States, Britain, China, Russia, France and Germany has been widely hailed as a successful interim measure to stave off an unwanted conflict over Tehran's nuclear program.

But after initially celebrating a diplomatic success, Iran had reportedly lashed out at the United States for making public a modified version of the agreement that Tehran said did not reflect its interpretation.

It took three rounds of meetings with technical experts to hammer out the details of implementing the deal, European Union High Representative Catherine Ashton said in a statement Sunday.

Another Iranian deputy foreign minister, Abbas Araqchi, announced the deal's start date at a press conference Sunday, saying that his country would stop 20% uranium enrichment at that time, the state-run Islamic Republic News Agency reported.

"There's $4.2 billion of Iran's oil income which will be released, and from the other side, the conversion of 20% enriched material to oxide or diluting it (will) be carried out. This action on our side, and that one on theirs, will be performed within a six-month span," he said.

Even as they hailed the start date as a significant step forward Sunday, officials cautioned that the toughest negotiations are yet to come.

"The negotiations will be very difficult," Kerry said, "but they are the best chance we have to be able to resolve this critical national security issue peacefully, and durably."

@highlight

Iranian official: New sanctions would "ruin the entire agreement"

@highlight

Iran will start scaling back its nuclear program January 20 as part of a six-month deal

@highlight

Deputy foreign minister: Iran will start diluting higher levels of enriched uranium

@highlight

Obama vows to veto any laws enacting new sanctions during negotiations with Iran