(CNN) -- Germans have learned a lot about Chancellor Merkel in this election cycle: we now know she has a drivers' license, but feels too insecure to drive herself.

She has confessed that in her youth she sometimes drank too much cherry wine and that she has been married once before and divorced.

Her current husband, Joachim Sauer, a quantum chemist, often criticizes her for putting too few sprinkles on the cakes she bakes. He should know, since he is the son of a pastry chef.

Read more: Could euroskeptics spoil Merkel's plan?

Merkel knows how to cook potato soup, but her signature dish is hearty roulades.

She believes in eternal love, and doesn't like to Skype.

In recent months, Merkel has shown the German voter that she is a real person, down-to-earth and approachable.

But while some newspaper editorials have criticized the exposure of politicians' personal lives as part of the "Americanization" of German politics, others have applauded the trend for these more homely views.

Peer Steinbrueck: The man who stirred up German politics

German politics certainly needs more sparkle and a little less seriousness to get the voters more interested -- but at the same time personalities must not be allowed to trump politics, as often happens in the U.S. when a candidate stumbles over old love affairs or adolescent drug experiences.

Germans have always oscillated between fascination with and scepticism of American politics, but they have still emulated the most successful U.S. tactics over the years.

Read more: Is Germany playing beggar-my-neighbor with the eurozone?

Post-war political giants like Konrad Adenauer and Willy Brandt greatly admired the strategies of their American counterparts.

Adenauer, the first post-war chancellor of West Germany, had photographs taken while playing boccia at his vacation home in Italy, taking care of his beloved rose garden, and baking pancakes.

A decade later, Brandt, then the candidate for the Social Democratic Party (SPD), sent his campaign manager to the U.S. to learn from the Nixon and Kennedy campaigns. Brandt adored Kennedy and followed his lead when he drove around Germany in a Mercedes convertible, giving marathon speeches in swing regions.

Angela Merkel: Europe's Mrs. Nein

Last year, representatives of Germany's major parties made pilgrimages across the Atlantic again, going to key states like Florida and Ohio, to observe and learn from the Obama campaign's massive digital operation.

Some ideas did make it into the German campaigns this year, but a lot of strategies just don't work for the German electorate.

Cultural differences, the political system, and financial resources make it impossible to adapt many U.S. tactics. Those who criticize the "Americanization" of German politics are not seeing the obvious differences.

Read more: It's the economy, Dummkopf: CNN debate ahead of vote

Micro-targeting, for example, does not occur in Germany because the laws are more restrictive than in the U.S. -- political parties are not allowed to collect data from voters without their consent. In addition, the German public highly distrusts official use of personal information.

This could be one reason why social media is not yet as successful at turning people out to vote in Germany as in the U.S. -- or it could simply be that a lot of young Germans just don't care about hashtags and retweets.

The Social Democrats tried to emulate Obama's extensive ground operation this year, launching their first door-to-door field operation. It is unclear if they will reach their target of knocking on five million doors by election day, but what is clear is that canvassing in Germany will never be as effective as it is in the U.S., because without a data operation, you never know quite who to expect on the other side of the door.

While Obama and Romney ran billion dollar campaigns in 2012, the major German parties will each spend around $25 to $30 million on their election fight, the smaller parties less than $10 million.

Romney and Obama spent $160 million dollars on ads in the swing state of Florida alone -- that's more than all the major German parties combined will spend on the whole 2013 election campaign.

Read more: Finance minister 'I don't see' further eurozone bailouts

In the U.S., the typical voter is bombarded incessantly by political advertising -- Romney's and Obama's campaigns even called me because their data system had obviously mistaken me for an American voter. In Germany, most parties release just one minute-and-a-half ad for the entire election.

U.S. politicians are constantly campaigning; by contrast the "heisse Phase," the hot phase of the German election, did not begin until late August, less than a month before polling day.

German campaigns are far from Americanized, but they are using the best strategies from the U.S. to make politics more exciting. Personal exposure still comes in the right doses and flaws are accepted.

Social Democrat candidate Peer Steinbrueck, the only candidate offering a strong challenge to Merkel's position as chancellor was on the cover of a nationwide magazine gesturing with his middle finger just two weeks before the election.

The magazine features an "interview" in which people answer questions with actions, rather than words; this was Steinbrueck's answer to those who have taunted the gaffe-prone politician with nicknames during the campaign.

The picture caused uproar for a couple of days, but the fuss soon died away, without becoming a major issue. If either Romney or Obama had given someone the finger, it would have been the end of their respective campaigns.

The opinions expressed in this commentary are solely those of Charlotte Potts.

@highlight

German campaigns are using strategies from the U.S. to make politics more exciting, Potts says

@highlight

Unlike in the U.S., most German parties release just one minute-and-a-half ad for the election

@highlight

Germans have always oscillated between fascination with and scepticism of American politics