Beijing (CNN) -- One year in the job as the Chinese Communist Party supremo, Xi Jinping so far has presided over a relatively smooth transition of leadership. But what is his vision for the next 10 years, when he is expected to serve as paramount leader?

No one has a crystal ball that gives definitive clues.

In the first few months since he took power, Xi has pushed a popular and arguably progressive agenda: attacking corruption, not just flies (junior officials) but a few tigers (senior officials) too; curbing official extravagance, like senseless banqueting, and, one of my favorites, banning "empty speeches."

But in recent weeks, Xi has turned "left". He allowed tighter control over the traditional and social media, silenced dissenting voices among academics and scholars, and cracked down on liberal activists, petitioners and protesters.

At the same time, Xi has paid homage to Chairman Mao Zedong and some of his preaching.

He visited a few revolutionary shrines, endorsed the Maoist practices of "criticism and self-criticism" -- ostensibly to purify the party ranks -- and advocated "mass line" campaigns to improve the party's popularity among the people.

Analysts wonder: Is Xi a Maoist or a Dengist? Is he a conservative or a reformist?

Clearly, Xi is not a Chairman Mao nor a Deng Xiaoping. Like his two predecessors -- Jiang Zemin and Hu Jintao -- Xi is not a legendary revolutionary figure who can command absolute loyalty. In the current political system, he is merely a primus inter pares -- first among equals, who leads by consensus.

Left or right?

Like Deng, Xi may not have to seek absolute dominance, a la Mao, to be an effective leader. Instead, he may just seek to find the center of the debate.

Still, unless and until there is fundamental political reform, China will remain a nation more dependent on the power of a single leader, a charismatic strongman, than on institutions.

Friends in China asked me these same questions, and my honest answer is: no one knows for sure, but I think Xi is signaling "left" so he can turn "right".

Expectations of Xi were high on the eve of the Third Plenum of the Communist Party's central committee, China's 300-plus political elite, who last week met behind closed doors in Beijing.

Sinologists had drawn parallels to the Third Plenum in 1978, a landmark meeting that launched Deng Xiaoping's reform and open-door program.

Chinese media accounts on documents approved during the plenum signal significant changes:

Prickly issues

China's top leaders have been deliberating these prickly issues for years, but decisions have been put off for lack of consensus or political will. That Xi was able to push these through this time, analysts say, indicates Xi's growing influence.

The Plenum has also agreed to set up two new institutions: the Leading Group on Comprehensive Deepening of Economic Reform and the National Security Commission.

The security commission will be a supra-ministerial body that will take charge of over-arching security issues, including military and police matters, territorial disputes, cyber-attacks and ethnic unrest.

Xi is expected to play a leading role in the two groups, even though Premier Li Keqiang may head the economic reform commission.

These institutions, analysts say, will allow Xi and his team to supervise the complex and often conflicting bureaucracies -- the Communist Party, the government, the military and police in a top-down authoritarian way.

Proponents of reform sound optimistic.

Endorsements

The plenum gives market forces a "decisive role" that will allow enterprises and individuals to invest more overseas, economist Wang Zhile, an expert on international business and trade told me.

The most significant endorsement came from Wu Jinglian, the octogenarian guru of the Deng's reform program who also served as doctoral degree adviser of Premier Li Keqiang at Peking University.

Speaking in Beijing this week, Wu said the system set up by China in 1978 when China embarked on reform and opening was "the initial primary-stage version of market economy for the late 21st century, which still took on many vestiges of the old system."

The one put forth by Xi, he said, is "an upgraded version for a more mature market economy system that suits the current demands."

But analysts also caution against excessive optimism. It will take longer than expected to make these reforms work, says economist Cheng Siwei, using the Chinese maxim "Bu pa man, zhi pa zhan" -- slowing down is not worrisome; a standstill is.

Three decades ago, the late Communist leader Chen Yun, a contemporary of Deng Xiaoping, likened the Chinese economy to a bird and the Chinese political system to a bird cage. While the cage may be enlarged to let the bird fly more freely, Chen argued, it must never be discarded.

Xi and his cohorts seem to agree on that

@highlight

Far-reaching reform package indicates Xi Jinping's growing influence

@highlight

But reforms come as Xi tightens media controls and pays homage to Mao Zedong

@highlight

Rhetoric suggests Xi is signaling "left" so he can turn "right"

@highlight

Chinese political system likened to a bird cage: Cage can be enlarged but not discarded