(CNN) -- It's a shame that Jackie Kennedy, Robert Kennedy and Teddy Kennedy can't experience the transformation of Dallas and Texas from the dark days of John F. Kennedy's assassination in 1963 to the outpouring of tribute to him taking shape as the 50th anniversary approaches.

People have debated for decades since that tragic day whether Dallas was "a city of hate" that brought about his murder. Certainly some factors contributed to that perception: Then-vice presidential candidate Lyndon Johnson and his wife, Ladybird, were spat on during the 1960 presidential campaign, and U.N. Ambassador Adlai Stevenson was struck during a speaking appearance only weeks before the presidential visit. The latter episode resulted in a Time magazine headline: "A City Disgraced."

Regardless of the validity or fairness of the accusation, the consequences were swift and brutal. The die of public opinion had been cast. For years, the city would endure a bitter stigma. It took long, agonizing decades for Dallas to deal with that burden. Today's observers will find it hard to conceive the harshness of scorn that ensued.

Because I was a witness to the assassination from the White House press bus in the motorcade, I still remember vividly the shock and heartbreak of the moment, and the bitterness afterward.

Mayor Earle Cabell received death threats from strangers.

Dallas businessmen were bodily thrown out of New York taxicabs.

A direct mail businesswoman was forced to change her mailing address to Arlington, a nearby community, after orders plummeted.

Then, encouraging signs of recovery began to appear. On the political front, Erik Jonsson was drafted to become mayor, and forged an ambitious "Goals for Dallas" agenda to refocus and move the city out of its malaise. His strong leadership is credited for Dallas being named an All American City seven years later.

Beyond the lofty civic initiatives, the city's image was bolstered by two unexpected sources. One was the spectacular performance of quarterback Roger Staubach, which led to the Dallas Cowboys being called "America's Team." The other was worldwide fascination with "Dallas," the TV soap opera so popular that a Dallas reporter remembers a well-educated British interviewee asking whether he knew the Ewings, the mythical TV show family.

Despite the benefit of these distractions from JFK's death, the city resisted coming to grips with the historical reality that rocked the world. Most Dallasites preferred to forget. The local Press Club, which stages an annual review of news highlights of the preceding year, did not include a single word about the assassination in its show the next spring. Many advocated bulldozing the School Book Depository.

County of Dallas engineer Judson Shook Jr. saved the building by engineering its purchase and rehabilitation, providing space for a fitting memorial. Preservationist Lindalyn Adams and her allies helped realize that goal. After years of fits and starts, the Sixth Floor Museum opened its doors in 1989, and today is home to authoritative historical archives surrounding the Kennedy tragedy, including more than 1,100 oral histories.

Fifty years after the trauma it suffered, Dallas is a vibrant city that boasts a host of Fortune 500 companies, an active arts scene and a growing population and economy. But until now, the city itself never has officially come to peace with the event.

Dallas has set a tone of quiet dignity and grace to observe the 50th anniversary of President Kennedy's death on Friday, November 22.

Mayor Mike Rawlings adopted an enlightened pre-emptive strategy more than a year ago to marginalize would-be sensationalists and conspiracy mongers who might seek to dominate the milestone. Thus, more than 1,000 journalists from around the world will experience a simple one-hour ceremony to honor the memory of President John F. Kennedy in an address by noted historian David McCullough. More than 5,000 attendees who won standing-room-only free admission will view proceedings within a secured area of Dealey Plaza, site of the assassination.

Next door, the Sixth Floor Museum will offer its vast resources, along with a series of special programs, to the tide of journalists, researchers and the general public expected to descend on the city.

The city's initiative has led to the organic rise of other notable gestures across Texas in the weeks ahead. At nearby Fort Worth, an eight-foot bronze statue of Kennedy stands in JFK Tribute Plaza, the site where Kennedy spoke to thousands in a misting rain hours before he was killed. A few miles west of downtown, the Amon Carter Museum of American Art will show fine art that had hung in the Kennedys' suite at the Hilton Hotel Texas the night before his death. The Fort Worth Public Library and the University of Texas Library at nearby Arlington both offer extensive exhibitions of photographs from JFK visits to Fort Worth and Dallas.

To the south, the LBJ Library in Austin offers exhibits on the assassination, Johnson's ascension to the presidency and his tenure as the nation's new leader. Visitors can hear Lady Bird Johnson's tape-recorded diary from several days surrounding the tragedy. Sixty miles to the west of Austin, the LBJ Ranch offers free admission to the Texas White House of the 1960s.

Although Dallas and Texas never can erase the heartbreak of that day in 1963, this mosaic of honor should touch the hearts of those who mourn the passing of JFK, and help the nation and the world finally come to peace with that tragic time in our history.

The opinions expressed in this commentary are solely those of Julian Read.

@highlight

Julian Read: Since the JFK assassination in 1963, Dallas has changed

@highlight

He says Dallas was targeted as "a city of hate" that brought about JFK's murder

@highlight

Read: Dallas has avoided acknowledging the assassination over the years

@highlight

Read: This year, city hosts JFK tributes marking 50th anniversary of his death