Just one decade after the European single currency was launched amid fanfare and fireworks, its future looks uncertain as the debt crisis that engulfed Greece, Ireland and Portugal threatens the entire bloc -- and the wider global economy.

Spain, the bloc's fourth-largest economy, is the latest country to be swept into the crisis. In June, it was forced to seek up to €100 billion in aid from its eurozone peers  to shore up its banking sector.

Spanish prime minister Mariano Rajoy said the deal had demonstrated the advantages of cooperation within the bloc and meant "European credibility won, the future of the euro won [and] Europe won."

Why ratings agencies take center stage in crisis

But the markets have remained skeptical, pushing up the costs of Spain's borrowings despite the bailout. Italian borrowing costs have also gone up as investors fret the problems will spread. Greece, meanwhile, faces its second election on June 17 and risks being ejected from the bloc.

Many analysts saw it all coming of course, arguing that one fiscal system could never work for 17 EU countries that adopted the euro, serving more than 330 million people.

The flaws were exacerbated after some countries were suspected of fudging their numbers, including Greece which in 2004 admitted it gave misleading information to gain admission to the eurozone. The crisis exploded after Greece revised its figures to show its 2009 budget deficit would be 12.7% of gross domestic product -- far higher than the eurozone limit of 3%.

The bloc -- whose financial fractures may not have been apparent during the boom years -- then began to unravel.

After Greece's dire numbers were revealed, investors panicked and the country was unable to raise money to fund itself. The country was forced to take a €110 billion bailout from its eurozone peers and the International Monetary Fund.

But Greece's bailout, rather than stemming the panic, served as a harbinger to the debt crisis.

Eurozone debt crisis glossary

The European Financial Stability Facility, or European bailout fund -- set up to deal with further financial stumbles -- was quickly tapped again.

Ireland, felled by a black hole in its banking system, was forced to take a €67.5 billion bailout package in November 2010. After the markets then closed their doors to Portugal, it was also forced to take a €78 billion bailout.

The troubled nations implemented austerity measures to try to rein in their hefty piles of debt, but confidence in the bloc's ability to stabilize itself continued to fall.

The crisis may yet engulf Italy, which makes up 17% of the eurozone economy. Greece, Ireland and Portugal make up less than 6% between them.

And so Europe's politicians and officials have desperately tried to sort out the mess by coming up with ideas including boosting the bailout fund, bringing the disparate economies closer financially, and tapping other markets for funds.

Their previous measures proved ineffective, as the markets -- and the world -- remained unconvinced at the bloc's ability to survive in its existing form.

@highlight

Debt crisis that's engulfed Greece, Ireland, Portugal still a threat to entire eurozone

@highlight

Greece now faces its second election, regarded as an effective referendum on whether it wants to stay in the eurozone

@highlight

Many said one fiscal system could never work for 17 countries and 300 million people

@highlight

Crisis exploded after Greece admitted 2009 budget deficit would be 12.7% of GDP