Isle de la Gonave, Haiti (CNN)  -- The fishing boat speeds over blue waters of the Caribbean, leaving behind the devastation of mainland Haiti. Pods of dolphins and flying fish dart over the frothy waves. Ahead lies an island of pristine beaches.

But reality on the Haitian island, about 45 miles off the main island, is far from a tropical paradise.

Neglected by the government for years, the residents of Isle de la Gonave call their island "the forgotten Haiti." Now more than ever. The earth didn't rumble as hard in la Gonave on January 12, but people are feeling a different sort of aftershock.

"This whole island was sourced by Port-au-Prince," says Capt. Stan Bednair, who has come in on this warm, humid Tuesday with a team from the 24th Marine Expeditionary Unit to assess the situation at Anse-a-Galets, the biggest community on the island.

"The main source of income here is cash from the mainland," he says. "Now it is not flowing."

Without much agriculture on the rugged, limestone island, people seek all their provisions -- including food -- by boat from the Haitian capital and coastal cities such as Leogane that were leveled in the killer quake.

"We don't produce anything here. Just fish," says Bernard Ranfort, who does odd manual labor jobs to earn a few dollars.

After the quake, he says, prices skyrocketed. A pot of rice used to cost about 50 cents; now it's up to more than $1.

iReport: Haiti's missing and found

"You buy what you can. If not a whole pot, then half a pot. This is how we are living," he says. "This area wasn't hit by the quake, but we are feeling it."

La Gonave is one of the poorest regions of Haiti, the most destitute country in the Americas, where the per capita income is less than $400 and 80 percent of people are living under the poverty line.

Bednair says the quake is a severe blow to this impoverished and isolated community. "There is a very strong secondary effect in la Gonave."

Some of that is evident at the hospital in Anse-a-Galets. Jean Donaldson's mother has brought him here so that the Americans can help him.

The 9-year-old boy broke his right leg when a wall crumbled in November. He had pins placed in his leg in Port-au-Prince. They were supposed to have been removed the day before the quake.

The boy is rushed in and placed on a gurney in a gaudily painted turquoise examination room that was sparse in the morning but by midday is teeming with the U.S. Navy's world-class medicines and expert doctors.

Lt. Kishla Askins suggests taking the boy back to the USS Nassau for further treatment. Jean's mother puts a fresh shirt on him for the journey.

Askins continues down the long line of patients, all of whom are expecting some of her short time here.

Full coverage

They are suffering from acute injuries, both quake-related and not, and chronic conditions such as diabetes and hypertension.

"They just don't have that access to care," Askins says. "They don't have specialists here or anything like x-rays to internal medicine, any kind of surgery. They were relying on Port-au-Prince, and they have lost that."

The Marines carry the crippled boy to a Humvee and journey down the main route through Anse-a-Galets: Avenue of Evolution. Despite the name, time seems to have stood still in this town of limestone huts and a few dilapidated or half-finished buildings. Layers of dust cover everything, as though the quake had struck violently here.

The only signs of modern civilization are the two cell towers owned by Digicel and Voila and a series of hand-painted green street signs, an odd site in a place where vehicles are lacking license plates.

A sudden burst of magenta bougainvilleas catches the eye amid the drab.

At the beach, crowds have amassed to watch the Americans who came to help. Joinvill Anvousse is one of them. He, like many other young people from la Gonave, left his birthplace several years ago to seek education in Port-au-Prince. He was studying theology at the Haitian Bible College.

Finding shelter, aid, supplies

On the day of the quake, he escaped with his sister. His house and his college, he says, were destroyed. Afraid of the sizeable aftershocks that continued to jolt the city, afraid of the death all around him, Anvousse took a boat back to la Gonave.

He says he doesn't know where his parents are. Nor his other seven siblings.

He meanders through Anse-a-Galets in hopes of finding people who will provide him something to eat. He counts back the days to Sunday, trying to recall when he last had a meal.

"Rice," he says. "And then some water. If you go to the water pipe, you can find some water.

"Some of my family is dead. The rest are very poor right now. My education is breaking down. It was everything to me."

He doesn't even have the money to return to Port-au-Prince to find loved ones. The boat rides cost anywhere from $6 to $8, depending on whether it's on a sailboat or a motorized one.

Under the glare of the afternoon sun, Anvousse gazes intently as the Marines load up their trucks and gear onto a monstrous landing craft utility boat that carried them to shore earlier in the day.

Residents watch in awe as though an alien spacecraft had landed from outer space. Some have never even seen a television camera, let alone a state-of-the-art utility boat that comes by sea and travels on land, kicking up sand and gravel like a hurricane would.

"The government of Haiti is breaking down," Anvousse says, his eyes set on the departing Marines. "The only thing we can do now is wait for the USA."

Then the Marines, who came with food and medicine, head for the sea.

They don't see the sign at the tiny port. "Thank you for visiting Anse-a-Galets."

@highlight

Residents of Isle de la Gonave call their island "the forgotten Haiti"

@highlight

The island is dependent on Port-au-Prince for money, supplies

@highlight

The quake spared island direct hit, but the residents are now cut off from main island

@highlight

Island's people are hungry and in need of medical care; U.S. Marines try to help