Istanbul (CNN) -- Two aging former military commanders who masterminded a 1980 coup d'etat in Turkey failed to appear in court Wednesday due to health reasons, the semiofficial Anatolian Agency reported.

Kenan Evren, a nonagenarian retired army general and former president, and former air force chief Tahsin Sahinkaya face charges of committing "acts against the forces of the state," according to the indictment.

Prosecutors are asking for a penalty of "aggravated life sentence" if the two former commanders are found guilty.

Hundreds of activists gathered outside the courthouse in Ankara on Wednesday morning. Many held portraits of victims tortured or executed in the aftermath of the September 12, 1980, coup.

"We won't forgive," said one demonstrator's sign. The activists present represented a broad range of Turkey's political spectrum, from communists on the far left to labor unions and militants from the ultra-nationalist right.

"It's a turning point. It's incredible," said Mehmet Ali Birand, a veteran Turkish television broadcaster and author of the book "The Generals' Coup in Turkey: An Inside Story of 12 September 1980."

Until recent years, military commanders acted with relative impunity in Turkey, regularly intervening in domestic politics and -- on at least four occasions in the past 60 years -- overthrowing governments. Many Turkish commentators said Wednesday's trial marked a historic reversal for the army generals.

"Turkey's first face-off with military coups starts today," announced the headline in the English-language Hurriyet Daily News on Wednesday.

"I never really thought that one day I would see this," added Birand.

Evren, now 94, led the overthrow of the Turkish government when he ordered tanks out into the streets of the capital in the predawn hours of September 12, 1980.

Evren appeared in uniform on Turkish state television later that afternoon and made the following announcement: "My dear citizens, I would like to state one more time that armed forces had to take over the administration for the welfare and happiness that the dear Turkish nation deserved, for the unity of the country and nation, to renew the strength and functionality of Ataturk principles which were tried to be made less effective, to place democracy that cannot control itself on firm foundations, to restore the state authority which had been lost."

The military overthrow brought an end to years of bloody killings between right- and left-wing Turkish militants, and many prominent voices in Turkey and abroad initially welcomed the coup. A passage from "Turkey Unveiled, a History of Modern Turkey" recalls: "The cover of Time magazine showed a paternalistic portrait of General Evren clasping a collage of the Istanbul skyline in his arms with the caption 'Holding Turkey Together.'"

"At the beginning, everyone said, 'Oh my God, thank God that they saved us,'" Birand recalled. "But six months later, everything changed and this was the worst-case scenario."

In the aftermath of the military takeover, accounts of appalling human rights violations began to emerge, as hundreds of thousands of people were thrown in jail, many of them tortured. The military junta also disbanded political parties, jailed senior politicians and sentenced hundreds of people to death. Longtime Turkey-watchers argue Turkish society is still struggling with the consequences of the coup.

"September 12th is the mother of all coups in Turkey's history," said Yasemin Congar, columnist and deputy editor of the Turkish daily newspaper 'Taraf.' It damaged the whole country and probably caused incurable damage on one whole generation of the youth in this society."

"It brought Turkish politics back to the kindergarten," said Hugh Pope, co-author of "Turkey Unveiled."

"(Evren) somehow wanted to force the politicians to be less conflictual, but he did so by dumbing them down to the point that Turkey's political system is still recovering from it ... unfortunately the consequences of his actions ruined so many people's lives. One has to wonder how Turkey is going to deal with that."

After stepping down from the post of president in 1989, Evren lived for years on Turkey's Mediterranean Coast. One of his widely reported pastimes was painting. The former coup leader's works of art have even been displayed in exhibits.

According to an article in the Turkish constitution, which was written by the military junta in 1982, Evren and his fellow officers were protected from prosecution.

But recent constitutional changes drafted and ratified by Prime Minister Recep Tayyip Erdogan's ruling Justice and Development Party cleared the way for a prosecutor to question Evren at his home last year.

Erdogan's government has also overseen the arrest and trial of dozens of other army generals accused of a much more recent military coup plot that was never successfully carried out.

Among those arrested are retired general and army chief of staff Ilker Basbug, who commanded the Turkish armed forces until 2010. He stormed out of a courtroom outside Istanbul last week, after court officials played recordings of wiretapped phone conversations.

Some critics have called the prosecution of these military commanders a witch hunt, targeting political opponents of Erdogan's government.

Other observers argue it has been a vital process to bring the military under the control of elected civilian leaders. Since 1960, the once politically-dominant Turkish armed forces have overthrown four governments.

"Ending the belief of impunity is very, very important," said Congar of 'Taraf' newspaper, which has published many damning reports about the Turkish military in recent years. "It's a huge step, obviously very late. These generals are very old. But it's still symbolically very important for this country."

@highlight

Former President Kenan Evren, 94, is one of the leaders on trial

@highlight

The ex-leader faces charges of committing "acts against the forces of the state"

@highlight

He is on trial together with air force chief Tahsin Sahinkaya

@highlight

"September 12th is the mother of all coups in Turkey's history," analyst says of 1980 coup