(CNN) -- Imagine the top three things that might make you happier and more productive at the office.

I bet larger lunch tables didn't make your list.

But that and a few other small but concrete steps like overlapping lunch breaks and moving coffee stations can improve workplace morale and productivity by as much as 25%, according to Ben Waber, a research scientist and CEO of Sociometric Solutions, a management consulting firm.

"If you go to a company and tell them you will increase their productivity by 25%, they will expect that they have to completely reorganize," Waber told me last week at the Aspen Ideas Festival.

But a total reorganization isn't necessary, according to Waber's research, which first began in 2006 when he was a doctoral student at MIT Media Lab's Human Dynamics Laboratory. Scientists at the MIT Media Lab consider ways in which technology might enhance the human experience. (Though Waber co-founded his company last year, he continues his research at MIT and Harvard.)

Waber and his team use a method they call "reality mining" to come up with insights about work productivity and satisfaction.

Reality mining may appear to be more science fiction than fact, but from our cell phones to e-mail to work ID badges, we leave behind constant trails of information about ourselves.

Stand up and live longer

Analyzing raw data derived from specially designed social sensing ID badges that collect quantitative data on human behavior, Waber began drawing out patterns to help predict outcomes in a variety of situations. His early experiments involved observing speed dating sessions and pitches to venture capitalists. "We found in our studies that we had incredible predictive power," says Waber. "In the speed dating experiment, with five minutes of data we could predict with 85% accuracy whether people were going to go out on a date."

Waber went on to combine the data from the social sensing ID badges with other data sources -- e-mail and instant messaging patterns, phone logs, and meeting informationâ€”and selected data features that related to job performance and satisfaction, and how people communicate and collaborate. He then began to test those features across dozens of companies in different industries.

"Eventually we found the same trends recurring over and over again, making it highly unlikely that our findings were a coincidence."

Waber's research revealed that the key to transformation in the workplace is "social levers" -- small changes that people respond to in dramatic ways. Act on these social levers in the right way and you will get big results.

Author: Don't check your emotions at the workplace door

What are some important social levers?

Having a tight-knit group that you can commiserate with is a critical one, says Waber. It is evident across companies and cultures: A tight group enables employees to vent and gain support. It also allows for the exchange of complex information and tips.

The size of your network matters as well. In one project, Waber and his team observed workers in a lunchroom with tables of varying sizes -- some with four seats and others with 10 to 12 seats. The lunch groups remained fairly stable over time.

"We found that the people who sat at the larger tables had substantially higher performance," observes Waber. This is because they had created a much bigger network to tap into. Over the course of the week, they saw the same people again and again. Consequently, they often knew what these colleagues were working on and could go to them if they had a problem. The employees at the smaller tables, on the other hand, had smaller networks and less opportunity to interact.

The diversity within your network also matters, the team discovered. Waber finds that people tend to spend time with those who are similar to them. "Whether it's gender, race or the school you went to, there are many different ways we break ourselves into groups."

For a healthier work life, get off your duff!

But it's important to break out of your comfort zone, expand your network and connect with broader groups. What makes people more innovative and productive is having different connections in a variety of social groups, according to their research. If all your friends are similar and have the same opinions, preferences and habits, there aren't many new ideas coming in.

Branch out and talk to people in groups you wouldn't normally talk to, suggests Waber. It doesn't have to be through a formal mechanism. "It can be through bumping into people by the coffee machine. Just standing there and chatting gives you new perspective. Our research shows that chance encounters make people more effective."

Waber recommends taking time every day to walk around, check in with people and say hello. Workers who are more physically active are more excited, emotive and engaged in their work. This drives up energy levels and makes people more productive and happy, he says.

The physical environment is also a huge social lever. Waber finds that companies often don't think strategically about the people they want interacting with each other. "If you are stuck in an office far away from everyone you work with, it's unlikely that you will be talking to anyone else." Your location can affect morale and productivity, as can a workplace where everyone sits in their offices with the doors closed. You need to have the right groups bumping into and talking to each other.

One final social lever: Reduce e-mail!

"The more e-mail you engage in, the less effective you are," says Waber. "People think being on the computer is the same as being face to face. That's a fallacy."

E-mail and instant messaging are not universally bad, he says, but if we rely on them too much and don't take the time to interact with people on a personal level, we will pay the price.

There is a pervasive belief in our society that in order to be productive, we need to be chained to our desks with our heads down.

But Waber's research begs to differ.

As it turns out, the secret to effectiveness and happiness at work might just be communication, friendship and social interaction.

Go figure.

What would make you happier at work? Are you more productive when lots of people are around, or when you're on your own? Share your opinion in the comments section below.

@highlight

Researcher Ben Waber says the secret to workplace happiness is as simple as rearranging the office

@highlight

Lessening e-mails, increasing personal interaction can lead to greater productivity

@highlight

Waber's team found that the larger your social circle at work, the more productive you are

@highlight

Waber suggests circulating around the office and chatting up strangers