(CNN) -- Picture this scene: You're just digging into your restaurant meal, the wine is flowing and the ambiance is perfect -- and then, bam! Your dining companion swats away your hand, scolding you for touching the appetizer before she could take a photo.

Sound familiar? The trend of photographing one's food, brought about in large part by apps like Instagram, can seem obnoxious on many levels. But Mark Hill, director of photography at Turner Broadcasting Systems Inc., says it's all about preserving memories.

"Meals are special times for people ... the picture of the food is a representation of that moment," he said. "Food is very fleeting in our lives. It's on our plate and 20 minutes later it's gone and we have an empty dish."

Those meals become even more special when they are being enjoyed while traveling. Looking back on a photo of a meal eaten overseas can conjure up the sights, sounds, scents and tastes of the trip.

This spring, chef and author Anthony Bourdain will take his adventure-seeking appetite -- and CNN viewers -- along on a journey of cultures and cuisine from around the world on his new show, "Parts Unknown."

Bourdain's tasty excursions may not be something we can all do for a living, but from the coastal piers of New Jersey to the mountainous terrains of Northern Africa, you've experienced amazing off-the-beaten-track meals, too. Here are some of your favorite food photos and the stories behind them.

Getting the local fixings

It was early January of this year when Caroline Cheung and her fiance decided to escape the grind of their Torrance, California, lives and head down to the Galapagos.

While traveling through Tortuga Beach, they were greeted with sunshine, warm waters and the faint sound of salsa music playing in the background. The music caught Cheung's attention, but it was the incredible aroma of food that drew her closer.

"We watched three ladies prepare and cook fresh fish in a makeshift kitchen with a portable stove and mini-fridge," she said.

"It was not really a restaurant, but more like an outdoor public space by the pier with a few plastic tables and chairs, and many local people standing by, waiting for their turn to have a seat," she said.

Intrigued, she decided to stand in line, where she learned the place offered one dish. "It was a whole fish that was previously marinated, then dipped in a batter and deep-fried to crispy perfection," she said. "It was served with pickled, spicy onions, fried plantains and rice."

To her surprise, she says the fish, served on a simple Styrofoam plate, was one of the best dishes she tried during her trip.

"It was such a simple dish, served without fanfare, yet a real delight."

Eating with the city

A low-key dinner can sometimes be the most appetizing; at least Gary Ashley thinks so.

After days of hiking through the Grand Atlas Mountains, Ashley and his travel partner, John, decided to take a much-needed rest at their riad in Marrakech, Morocco. A riad is akin to a Western-style bed and breakfast.

They could have gone to an upscale restaurant to celebrate their trip and John's birthday, but instead they decided to dine on the rooftop of their riad, which overlooks the city.

They ordered the Marrakech chicken, which is widely served across the country. The dish consists of chicken slow-cooked as a stew in a tagine -- a traditional Moroccan cooking vessel -- and flavored with whole green olives, preserved lemons and Moroccan spices. It was served on a fluffy bed of couscous.

"It was exceptionally tender and moist and flaked from the bone. The spices were quintessentially Moroccan, and the preserved lemon is something not commonly used here in the West," he said.

But it wasn't just the dish that he says was the best part of the meal. It was the ambiance of their dinner as well.

"The Riad Siwan had a beautiful rooftop dining area from which we could see most of the city," he said.

"The sun was setting and evening calls to prayer were coming from the minarets of the nearby mosques. It was John's birthday and the food, the atmosphere were perfect. Photographs were in order."

Crossing state lines for a tasty getaway

For Pennsylvania resident Cherie Capostagno, there are no mountains to cross to find a delicious dish. In fact, her favorite food is just across state lines.

The drive to Belmar, New Jersey, always brings feelings of nostalgia and hunger for her and her husband, Vince. They slip away from home -- and work -- to escape the occasional stresses that build up from their jobs.

A few times a year, they make their way to the New Jersey coast to visit their favorite restaurant, Klein's, which she says is known for its delicious lobster dishes. But besides the tender lobster meat steaming fresh out of the shell, she says the seafood joint is simply inviting.

"The restaurant has a fish market in the front and you can watch the guys shuck fresh oysters or you can buy fish at the market if you'd like," she said. If the market isn't your ideal setting, you can walk onto the restaurant's deck, overlooking Shark River Inlet.

"We like to sit on the deck and watch the gates open to let the boats go through or watch people paddle-board by," she said. But it's the little gems that bring delight to their meals, like seeing swans, like Sammy, swim up to the restaurant.

"Sammy the swan adopted the place as his home and the staff goes down to the dock to play with him," she said. "He swims right up to the tables and at first you aren't sure, but then you realize that Sammy is a regular."

Finding a homemade meal in a new place

Whether it's trekking through the mainland of China or swimming in the waters of Tonga, traveling is a way of life for Natalie Montanaro, who works for the Peace Corps Reserve. So that means she is always trying new dishes.

But the South Carolinian said her favorite dish is nothing luxurious. Instead, it's a fresh fish salad called 'Ota 'ika.

'Ota 'ika is a Polynesian dish made with raw fish that is marinated in lemon juice for several hours before it is smothered in a rich coconut milk and mixed with an array of veggies. Montanaro heard people raving about it while she worked as a teacher in Tongatapu, Tonga.

"At first I was skeptical since I'd never eaten any raw fish other than in sushi," she said. "But the seafood here is top rate and it's so fresh you almost want to eat it right out of the water."

The tropical climate and fresh fish was enough of a reason for her to muster up her courage and give the Polynesian dish a try. "I was completely won over by the lovely taste and texture," she said. She adored the dish so much she even learned how to make it.

"But it will never be the same without the local fish and coconuts along with the Tongan company and atmosphere, of course."

@highlight

Anthony Bourdain's new CNN show "Parts Unknown" inspires others to share dishes from their travels

@highlight

iReporters show how to fill your plate with tasty food finds from all four corners of the world

@highlight

Some of the best travel dishes featured come from destinations like Vietnam, Peru and Ukraine

@highlight

Expert says people photograph their food as a keepsake, especially when traveling