The number of confirmed, probable and suspected cases of Ebola in the current outbreak has surpassed 16,000, according to the World Health Organization, with nearly 7,000 deaths from those cases.

The United Nations' health agency issued its latest numbers Friday, focusing on how Ebola has affected Guinea, Liberia and Sierra Leone -- the three countries where the vast majority of cases have occurred.

Liberia has been hit hardest, with the WHO reporting 7,244 confirmed and potential cases as well as 4,181 deaths.

Both numbers reported Friday are significantly higher than those released earlier in the week. The WHO and other health agencies have long said the scale of the Ebola outbreak is likely significantly worse than even the current high numbers indicate, because many people died before they could be diagnosed and many contracted the disease in remote areas without ready access to health care.

The U.N. health agency recently noted that the situation in Liberia has stabilized in the past five weeks, after the rate of new cases declined from mid-September through mid-October.

The one country where WHO has reported a significant uptick -- with 385 new confirmed cases during the week of November 23 and 533 in the previous week -- is Sierra Leone.

Ebola and similar contagious diseases are not new to Africa, but the latest outbreak has been particularly virulent and deadly.  About 60% of those infected have died from the virus, according to WHO.

The rapid infection rate fanned concerns that, due to the relative ease of international travel, Ebola might spread outside the continent. In fact, there have been new cases of Ebola in the United States and Spain, though such incidences remain a tiny fraction of the overall outbreak.

The United Nations has urged countries worldwide to pitch in, asking in September for nearly $1 billion to help Guinea, Liberia and Sierra Leone in their efforts to control the deadly disease.

While experimental drugs and treatments have been used to treat Ebola, there's no known vaccine that can prevent the disease.

Earlier this week, the U.S National Institutes of Health reported on the first human trial on one vaccine that's being fast-tracked by that government agency and British pharmaceutical giant GlaxoSmithKline.

Researchers tested the blood of 20 volunteers -- all healthy adults between the ages of 18 and 50 who got the vaccine -- at two weeks and four weeks after they first got their shots to determine if anti-Ebola antibodies had been produced. All developed such antibodies within four weeks of receiving the vaccine, with levels higher in those who were given the higher-dose vaccine.

Scientists: 'Positive' results in 1st human trial of experimental Ebola vaccine

Doctor's condition worsens

A number of the cases of Ebola outside of West Africa are of health workers who treated patients.

In Italy, one doctor who contracted Ebola while treating Ebola patients in Sierra Leone has seen his condition deteriorate, according to the Lazzaro Spallanzani National Institute for Infectious Diseases.

The doctor, whose name has not been revealed, had arrived in Rome from Sierra Leone on Tuesday on a special bio-containment military plane.

His condition was initially stable, but has become worse since Friday, the medical institute said, and has been suffering from major gastrointestinal disorders.

The Italian doctor was working for the Italian aid organization, Emergency, and had treated Ebola patients in Sierra Leone. It is not clear how he contracted the virus, the aid organization said.

@highlight

The World Health Organization reports nearly 7,000 Ebola deaths

@highlight

The vast majority of cases have been in Guinea, Liberia, Sierra Leone

@highlight

About 60% of those infected have died from Ebola, WHO reports