(CNN) -- Most of us know we shouldn't be talking on a handheld cell phone while driving. But recent studies suggest that hands-free devices are just as dangerous on the road.

Studies suggest that talking on a hands-free cell phone while driving is just as dangerous as a handheld one.

Engaging in a phone conversation on a mobile device while driving distracts the brain and delays reaction times, experts said. Drivers are more likely to swerve between lanes, slow down and miss important signs.

"When you're on a call, even if both hands are on the wheel, your head is in the call," said Janet Froetscher, president of the National Safety Council, which in January urged legislators in all 50 states to pass laws prohibiting motorists from using cell phone devices.

A recent University of Utah study found that drivers engaging in a cell phone conversation on a headset were more likely to make errors behind the wheel than a driver talking to a front-seat passenger.

"It doesn't matter what kind of cell phone device they are using, because the impairments are so large," said University of Utah professor David Strayer, who used a high-tech driving simulator for his experiment.

Strayer's study, published in December, concluded that conversations with a front-seat passenger can actually mitigate accidents, because the passenger can help observe road conditions and warn the driver of possible hazards.

In Strayer's previous studies, he found driving while talking on a mobile device is "just as bad as driving drunk."

The risk of getting into a car accident while talking on a wireless device -- including headsets and vehicles with built-in communication systems -- is growing as the number of cell phone subscribers increases.

There are 270 million cell phone subscribers in the United States, up from 76 million in 1999, according to CTIA -- The Wireless Association, an organization representing the wireless communications industry.

In a survey by Nationwide Insurance, 80 percent of people admitted to talking on their cell phones while driving. About 45 percent of drivers said they have been hit or nearly hit by someone using a cell phone, according to Nationwide's survey, conducted in 2006.

Some experts said drivers talking on cell phones are four times more likely to get into a crash than those who don't talk on their phones behind the wheel.

One study from the Harvard Center for Risk Analysis estimated that 636,000 traffic accidents each year -- about 6 percent of all accidents -- are caused by drivers using their cell phones, resulting in an estimated 2,600 deaths.

Elderly and younger drivers are most at risk of getting into an accident when they talk on a mobile device while driving, said Arthur Kramer, a psychology professor at the University of Illinois at Urbana-Champaign.

"I don't think legislation alone is the answer," Kramer said. "Education needs to go along with the legislation to encourage people that these are risky habits for yourself and for others."

There is no federal law against using handheld devices on the road, but six states and the District of Columbia have such laws, according to the National Conference of State Legislatures, a group that tracks legislative data trends. No states ban the use of hands-free or wireless communication devices, experts said.

Some private industries, such as trucking and bus companies, prohibit their employees from using cell phones on the road. Other states restrict teenagers from talking on cell phones while driving.

Anne Teigen, a policy specialist on transportation issues for the National Conference of State Legislatures, says states are moving to ban handheld cell phone use. Almost all states have debated the issue, but many governments are reluctant to pass restrictions because they say there isn't enough research.

They point out that talking on a mobile device isn't the only distraction. Other distractions, such as reaching for the glove compartment, changing the radio station or putting on makeup, also can cause accidents.

The popularity of smart phones equipped with Internet, text messaging and e-mail present drivers with even more distractions. Such new technology also makes it difficult for states to keep their laws updated.

"Then there is the final question of whether these laws are enforceable or not," Teigen said.

Some members of the cell phone industry are advising drivers to stop using cell phones on the road, but few have taken a stance on hands-free devices, because research has been limited.

Verizon Wireless was one of the first cellular phone companies to support hands-free driving laws in the early 2000s. The company is focusing on promoting laws against text-messaging while driving. So far, only a handful of states ban the practice.

Aegis Mobility, a Vancouver, Canada, company, has created a device that would reduce cell phone usage in cars. The product, DriveAssist, set to launch this fall with a major network carrier in the United States, will enable cell phones to automatically detect when a mobile user is driving.

Users can subscribe to DriveAssist's service, which manages incoming and outgoing calls, text messages and e-mails electronically. Callers get a message that the recipient is driving but can leave an emergency message alerting the driver to pull over and return the call.

"People find it hard to stop talking on their cell phones because we've been conditioned our entire life to answer the phone," said David Teater of Spring Lake, Michigan, one of the product's backers.

Five years ago, Teater's seventh-grade son died in a daytime car accident after a woman talking on her cell phone ran a red light.

"Her life was ruined as well," Teater said. "She had no idea what she was doing was so dangerous. The vast majority of drivers have no idea that it's dangerous."

@highlight

Study: Talking on a hands-free cell phone while driving is still dangerous

@highlight

Drivers on cell phones are involved in an estimated 636,000 traffic accidents a year

@highlight

Six states and District of Columbia ban handheld cell phones by drivers

@highlight

DriveAssist service can help drivers stay off the phone by managing calls