(CNN) -- In the last 30-plus years, Bob Pittman has helped found MTV, became a successful producer, headed Time Warner's Six Flags theme parks division, ran the Century 21 real estate company, took over AOL in its formative years and was chief operating officer of the merged AOL Time Warner.

Now he's getting back to his roots: radio.

Three years after making an investment in the sometimes maligned Clear Channel, the largest radio company in the United States, he's the CEO.

In a phone interview with CNN, his Mississippi twang contrasting with his rapid-fire delivery, Pittman talked about why he got back into radio, his responses to criticism of Clear Channel and lessons he's learned during his career, which started at a radio station in Brookhaven, Mississippi, when Pittman was 15. The following is an edited and condensed version of the interview:

CNN: Why do this?

Bob Pittman: As I began looking at the company a couple years ago, I was stunned to find the real facts. By reading the press, I thought that radio was somehow in trouble and was following the path of television and having all sorts of fragmentation problems, and nothing could be further from the truth. It's been remarkably stable. And when I looked at technology, I looked at it as an opportunity, not a risk.

CNN: In recent years, with voice-tracking and consolidation of personnel, Clear Channel has seemed to become less local. Do you want to bring it back to its local base?

Pittman: I think it is still local, and I think people have misinterpreted what we're doing if people think we're making things less local. We're still providing the news and the weather and the emergency services and local contests, local promotions, etc. What we're able to do now is we're able to tap into a lot of talent we've got nationally. We have the ability for the person from a remote studio to still talk about the town, and we have local people in the town who are directing the person as to what's important and developing those local relationships. Local is still paramount to us and very important to making a radio station a radio station.

CNN: There were cutbacks over Thanksgiving. How does that fit in with the overall plan?

Pittman: Actually, our head count has not gone down as a company. We're constantly rebalancing. Technology has changed the way we work and where we need our people. We've built an entire national advertising sales and marketing and partnership group. We've added technology groups, an entire digital group. The way we're doing business today is trying to reflect the way people are living. It's one of the problems with any company started after the Internet -- you really have to go in and adjust it to new technology.

CNN: There are all kinds of other technologies jockeying with radio. How do you compete against them?

Pittman: We don't compete with that. I think again you've got to go back and look at what radio is. Radio is very different from someone's music collection, and the two have always co-existed very well together. Your music collection is really where you curate music exactly for you at that moment you're living, and you don't want any interruptions. Radio is actually the exact opposite. Yes, we play music, (but) turning on the radio is like walking into your favorite bar where everybody knows you and you know them, and you say, "What's up?" So we tell you about new music, we play new music, we've got gossip, we've got call-ins, we've got listeners on the air, we've got contests, we've got jokes. You hit your favorite personality who is really like your best friend.

People have always had music collections (and) always had radio. That hasn't changed.

CNN: How does (Clear Channel's website) IHeartRadio fit in?

Pittman: What we want is to find more listening occasions. About 30% of the listening to stations on IHeartRadio is done to stations outside their markets. If you're sitting in Brookhaven, Mississippi, and you want to find out what's going on in New York, you might tune in to Z100, the same way when I was a kid growing up in Brookhaven, Mississippi, I listened to WLS in Chicago because I was fascinated to listen to a slice of the big city.

In addition to that, we do the custom radio stations, like a Pandora -- a playlist creator -- and Perfect Four, playlists created for certain activities. We also have Facebook deeply embedded in IHeartRadio, which allows people to share what they're doing, so it becomes a social experience as well. In terms of the digital revolution we're way behind, but we do think it's a terrific opportunity for us.

CNN: What are the positives and negatives about being the 800-pound gorilla?

Pittman: We're No. 1 in all media. Just our radio (stations) reach 239 million people a month. But when people call you an evil empire, what they're saying is, you're not doing anything new and exciting. And I think the opposite side of having a big platform to play with is you can do great stuff. We try to be very attuned to what's important to our listeners, and we have an obligation to help our listeners and help our communities. And we view part of our job is to connect the music to the fans. That's what radio does.

CNN: What are some of the lessons you've learned in your career?

Pittman: The good news is I've been in a lot of different industries. I spent many years in the Internet business, I was there at the birth of the national cable networks, I've been an advertiser. (The late Time Warner chief) Steve Ross taught me to take chances -- don't ever think you've arrived. (Entrepreneur) Henry Silverman gave me great lessons about controlling costs and making sure you're really getting a return on your money. We funded our digital growth and these great initiatives by getting rid of some things that were legacy that weren't applicable to operations today. It's constantly being in touch both with the consumer and being realistic as to where technology is today and where we need to be allocating our resources.

@highlight

Bob Pittman is CEO of Clear Channel, nation's largest radio company

@highlight

Pittman started in radio, co-founded MTV, became noted entrepreneur

@highlight

Radio can co-exist with new technology, he says

@highlight

Pittman is focusing on digital side for growth