Washington (CNN) -- In the past few weeks, we've seen a British soldier hacked to death with a meat cleaver on the streets of London and bombers blowing up spectators at the Boston Marathon.

On the surface, terrorism is alive and well.

So how should the United States react to these continuing threats?

For the first time on Thursday, President Obama laid out the full scope of his proposed counterterrorism strategy, and it boiled down to this: George W. Bush's endless war on terror is over.

And that's appropriate, since the enemy Bush went to war with after September 11 has largely been defeated.

Obama's speech at the National Defense University in Washington was designed to lay the political groundwork to wind down America's longest war, the war that began when al Qaeda destroyed the World Trade Center and a wing of the Pentagon 12 years ago.

Thursday's speech was the first time Obama had delivered an overarching framework for how to conceptualize the conflict that has defined U.S. national security policy since 9/11.

Other speeches by Obama have focused on aspects of that conflict, such as Guantanamo and the Afghan war. But no speech has made such an expansive examination of the war against al Qaeda and its allies in all its manifestations, from drone strikes to detention policies to a clear-eyed assessment of the scope of the threats posed by al Qaeda and its affiliates, as well as by those "homegrown" extremists who attacked the Boston Marathon in April.

Much of the coverage of the speech has centered on the measures the president outlined to impose greater constraints on CIA drone strikes and to try to hasten the eventual closing of Guantanamo.

But the most significant aspect of the speech was the president's case that the "perpetual wartime footing" and "boundless war on terror" that has permeated so much of American life since 9/11 should come to an end.

Obama argued that the time has come to redefine the kind of conflict that the United States is engaged in: "We must define the nature and scope of this struggle, or else it will define us."

This is why the president focused part of his speech on a discussion of the seemingly arcane Authorization for the Use of Military Force that Congress passed days after 9/11 and that gave Bush the authority to go to war in Afghanistan against al Qaeda and its Taliban allies.

Few, if any, in Congress who voted for the authorization understood at the time that they were voting for a virtual blank check that has provided the legal basis for more than a decade of war. It is a war that has expanded in recent years to other countries in the Middle East and Africa, such as Yemen and Somalia, where the U.S. has engaged in covert military operations against al Qaeda-affiliated groups.

Theoretically, when U.S. combat troops finally withdraw from Afghanistan in December 2014, the authorization should simply expire, and the nation will no longer be at war. After all, once combat operations are over in Afghanistan, why would you want to keep in place an authorization for a permanent war?

However, there are now some in Congress who would like to expand the scope of the Authorization for the Use of Military Force beyond its present parameters to include military operations against terrorist groups that were not involved in the 9/11 attacks, which could prolong America's wars indefinitely and add additional terrorist groups to the United States' list of enemies it is at war with.

U.S. Sen. Bob Corker, R-Tennessee, ranking member of the influential Senate Foreign Relations Committee, for instance, last month called for an expansion of the scope of the authorization.

Obama made it quite clear in his Thursday speech that he would oppose such an expansion, saying he hopes instead to "ultimately repeal the AUMF's mandate. And I will not sign laws designed to expand this mandate further."

In short, Obama intends to end a seemingly endless war.

That's because, according to Obama, "the core of al Qaeda in Afghanistan and Pakistan is on the path to defeat. Their remaining operatives spend more time thinking about their own safety than plotting against us."

On Thursday, Obama asserted (in my view, correctly) that what remains of the terrorist threat, while significant and persistent, is nothing on the scale of the al Qaeda organization that launched the 9/11 operation and instead consists of "less capable al Qaeda affiliates, threats to diplomatic facilities and businesses abroad, homegrown extremists."

These threats, the president further asserted, can be managed by carefully targeted drone strikes overseas and efforts to counter extremist ideology at home and do not require some kind of broader war.

Obama is also looking to his legacy and the presidents who will follow him and is trying to begin to create the public consensus and legal framework that will help to ensure that the United States isn't "drawn into more wars we don't need to fight, or continue to grant presidents unbound powers more suited for traditional armed conflicts between nation states."

Obama clearly hopes to leave office in 2016 as the commander in chief who finally ended America's longest war.

@highlight

Terrorism has been in the news with Boston bombing and killing of UK soldier in the street

@highlight

Peter Bergen says despite recent acts, the enemy behind 9/11 has been defeated

@highlight

He says President Obama signaled he wants Bush's endless war on terror to end

@highlight

Bergen: Key part of Obama speech was idea that America's perpetual war footing should end