Fort Lee, New Jersey (CNN) -- For several days in September, there was one experience that united motorists in New Jersey: Together they felt the total despair, rage and frustration that came with trying to drive near or on the George Washington Bridge.

It meant a commute from hell for thousands. Parents couldn't get their kids to school.

"It was utter chaos those days. People were pouring into the store, complaining," Debbie Minuto recalled Thursday in her shop, Binghamton Bagel Cafe, in the town of Fort Lee. "The bridge is a lifeline here. You take away the bridge, you take away our livelihood."

She had just finished watching Gov. Chris Christie apologize on national television, saying he was "embarrassed and humiliated" by the conduct of "some people" on his "team" but that he knew nothing about it. He said he fired a senior aide at the center of the uproar involving the alleged abuse of authority behind the lane closures that snarled traffic.

Christie's apology wasn't enough, Minuto said. "He hurt a lot of people. You can't play with our bridge."

J.J. Jata wasn't far away, smoking cigars with friends and playing dominoes at the Cigar Room. They too had just watched the governor's mea culpa.

"I was on the bridge those days," he said. "It was like a disaster. It was worse than a disaster. I had to get up four hours earlier just to get into the city."

Normally, his commute takes one hour.

"He hurt the people of this community," Jata said. "It was all about politics without regard for the people."

Christie capped Thursday by visiting Fort Lee to personally apologize to the mayor, Mark Sokolich. Christie arrived at the municipal building shortly after 4 p.m., stepping out of a black SUV to a smattering of boos and applause from locals gathered outside, along with one man who barked like a dog.

Miriam Hernandez, a school crossing guard, was among those waiting. She said she voted for Christie in the last election. She's not so sure she'll vote for him again and cast doubt on his explanation that he was in the dark.

"I don't buy it," she said. "It's a pretty big coincidence."

On those September days, Hernandez said, her husband's 45-minute commute took three hours. "He kept calling me. He was so upset," she said.

But Sokolich, who met with Christie for about 45 minutes, said he accepted the governor's apology and called the session "very productive" and "cordial." He said borough officials wanted to make sure "this never, ever happens again in the future."

"We were unconditionally, unequivocally provided with that assurance," Sokolich said. Christie's visit was "a big step in regaining the trust of our community."

"I take him for his word, which is he had nothing to do with it," Sokolich said.

For his part, Christie said he had "a very good, productive meeting" with the mayor, "and I look forward to working with him in the future."

Back at the Cigar Room, however, owner Jose Perez called the governor's explanation "bull."

"This is the usual state of politics in New Jersey. In the end, who pays? The people. We're the ones who pay for the political gains."

And Claude Lewin, who was among those stuck trying to get onto the bridge in September, said he didn't believe Christie "was telling us us 100% of the truth today."

"Like any political scandal, it's only afterward that these politicians show remorse or contrition and acknowledge that something possibly happened," Lewin said. "This was an incident that lasted four days, and after the first day, the governor should have gotten on the phone and called his staff and people at the Port Authority to figure out what was going on."

Phil Belgiovine, 82, has been walking for exercise along Fort Lee's Main Street for decades. Motorists have always tried to leave the New Jersey Turnpike and cut through the street. "Now, our traffic problem has become a political scandal," the retired electric company worker said. "We're amused by all this."

Lorraine Vorchheimer, a Realtor, sits at a desk facing the bumper-to-bumper bridge-bound traffic on Main Street. A resident of Fort Lee nearly 40 years, Vorchheimer said, she never saw anything like the traffic in September.

"It was horrific," she said. "We couldn't get to work."

"A parking lot," a co-worker interjected.

Vorchheimer believes Christie. "I don't think he would be that small-minded," she said. "If he knew, he should not be governor for all the harm that was caused."

Tweets in traffic

Tweets tell the story of those days of stagnation on the bridge.

Mick Duch tweeted "Helloooooo (@ George Washington Bridge w/ 5 others)" on September 9 at 8:38 a.m.; Shawn Bonneau tweeted "I'm at George Washington Bridge (New York, NY) w/ 2 others" at 7:29 a.m.; and at 11:48 a.m., a person named Ali tweeted, "This traffic on the George Washington bridge is cray crazy."

Paramedics faced much more serious dilemmas, of course, and according to a letter written at the time by an emergency official, responders were delayed in getting to at least four scenes. In one instance, they had trouble reaching a 91-year-old woman who was unconscious and later died.

At the three-story Fort Lee Memorial Municipal Building, business went on as usual even though reporters were everywhere. The City Council chambers also serve as the local courthouse, where on Thursday, a municipal judge handled dozens of misdemeanors and traffic violations -- many stemming from traffic around the bridge.

The emergency official who wrote a letter detailing paramedics' problems in traffic, Paul Favia, was at the city building and tried to avoid the press.

"Welcome to my world," he told a co-worker as he dodged reporters.

Hours in traffic

Claude Lewin was doing his usual rush-hour commute on September 13 when his typically slow-going ride ground to a halt. His commute went from 30 minutes to two hours and 15 minutes, according to the Bergen Record.

The Port Authority of New York and New Jersey, which runs the bridge connecting the two states, reduced the number of tollbooths from three to one and narrowed traffic patterns toward two Fort Lee streets, and that reduced three lanes to one, the newspaper said.

"Other than after the 9/11 attacks, I've never seen such a fiasco of delays at the inbound, upper-level part of the bridge," Mildred Van Zwaren of Ridgefield told the paper.

"Ludicrous!" Chuck Ciocco said. "Chronic delays like these destroy one of the two main reasons that most of us moved to this area -- great schools and a short commute."

Keith Bendul, the Fort Lee police chief, told the paper that the department first heard about the traffic change on a Monday morning, the first day of school. "Our parents now have to get up an hour and a half early to get their kids to class. We couldn't clear all the residual traffic until 11:30," he said.

On September 10, Favia, the head of the Office of Emergency Medical Services of Fort Lee, wrote a letter to Sokolich detailing instances in which paramedics had trouble reaching people who needed them. The 91-year-old woman went into cardiac arrest, he wrote, but the paramedics were in such a bind that they had to meet the ambulance on its way to the hospital instead of going to the scene, he wrote.

The Bergen Record, which cited borough records, reported that the woman later died.

In another instance, emergency responders were dispatched to a motorcycle crash with injuries, according to the letter. It took nine minutes for the responders to get to the scene when it should have taken four, Favia wrote.

New Jersey politician wants investigation into bridge controversy

Favia actually joined EMS on that call on September 9 despite being stuck in traffic, which he managed to get out of by jumping a curb and cutting up another street, he wrote. Later that evening, because all ambulances were dispatched elsewhere, he responded to a call about someone having chest pains. It took Favia eight minutes to get to the scene because of standstill traffic, he wrote. He was eventually joined by another ambulance that was also delayed due to traffic tie-ups.

'Time for some traffic problems'

Christie denied for months that anyone in his administration or campaign played any role in the closures.

On Wednesday, e-mails and texts emerged, suggesting that appointees of Christie's orchestrated the closures to punish Sokolich, a Democrat who wouldn't support Christie at the polls. Christie and his staff originally blamed the closures and the traffic delays on a mishandled traffic study.

"Time for some traffic problems in Fort Lee," Bridget Anne Kelly, Christie's deputy chief of staff for legislative and intergovernmental affairs, said in an e-mail to David Wildstein, then the highest-level appointee representing the state at the Port Authority.

"Got it," Wildstein replied.

In another message about school buses with students on board caught in the traffic jams, Wildstein wrote, "they are the children of Buono voters," apparently referring to Barbara Buono, Christie's Democratic opponent in November's gubernatorial election.

Those cited in the messages did not respond to requests for comment or to verify the communications. Wildstein invoked his Fifth Amendment right against self-incrimination when called before a state legislative committee on Thursday, with lawmakers citing him for contempt for refusing to answer questions.

As for Sokolich, Christie said Thursday that the mayor "was never on my radar screen" before the controversy. Sokolich said he raised the comment with the governor during their meeting in the afternoon, asking, "Governor, am I now on your radar?"

"His response was something along the lines that Fort Lee now has its own screen," Sokolich told CNN's The Situation Room.

CNN's Ray Sanchez reported from Fort Lee, New Jersey, and Ashley Fantz reported from Atlanta. CNN's Matt Smith and Toby Lyles contributed to this report.

@highlight

Fort Lee mayor accepts Christie's apology; resident says, "I don't buy it"

@highlight

Official: Four medical emergencies were delayed help because of snarl on bridge

@highlight

Lane closures tied up traffic on busy bridge in September

@highlight

E-mails and texts emerged this week suggesting that Christie aide was involved in closures