(CNN) -- A 10-nation group the Obama administration has gathered to fight ISIS could help, but more important will be the nations that surround the Islamist militant group's self-declared "caliphate," experts say.

After meetings at last week's NATO Summit, U.S. Defense Secretary Chuck Hagel spoke of a newly formed "core coalition." President Barack Obama said it would take on ISIS. The nations are Australia, Britain, Canada, Denmark, France, Germany, Italy, Poland and Turkey, in addition to the United States.

Turkey, a NATO member, is the only nation in that group located close to ISIS, which is also known as ISIL and calls itself the Islamic State. It has taken over parts of Iraq and Syria.

This month the United States plans to ask the U.N. Security Council to support a resolution aimed at cracking down on foreign fighters in ISIS, a U.S. official said. And U.S. Secretary of State John Kerry says he'll be heading to the Middle East on Tuesday to work on building a broader coalition to defeat the Islamist group.

The key to winning the battle against ISIS, analysts say, could be courting countries in the region.

"The most important element of this coalition is the local and the regional," said Fawaz Gerges, chairman of Middle Eastern studies at the London School of Economics.

"The U.S. and allies won't put boots on the ground. ... The Iraqis, Kurds, and Syrians will basically be doing the fighting."

Analyst: Stop ISIS' 'social oxygen'

Defeating the group known for horrific acts of terror -- seizing towns, slaughtering civilians, beheading many people including journalists -- will demand much more than military action, said Gerges. "The most important element is to deny ISIS its social oxygen."

ISIS has blended in with local communities "to portray itself as defender," he said.

Members of the persecuted Yazidi community in Iraq told CNN that after ISIS came into town, Arab neighbors turned on the minorities and helped ISIS kill.

Stopping ISIS means convincing Sunni Arabs -- who have felt disaffected by the Iraqi government -- that ISIS is an enemy. The goal is to "drive a wedge between local Sunni communities and ISIS," Gerges said.

To that end, Saudi Arabia and Jordan, which are Sunni states, can play a critical role, Gerges said. They're home to many Sunnis, including former Iraqi military officers who fled after the U.S. invasion in 2003. "I bet you U.S., Saudi and Jordanian officials are working 24 hours a day to try to convince these leaders to join their alliance, and to in turn convince their counterparts to stand up against the Islamic State."

Analysts: It's up to the Saudis

"Saudi Arabia is the only authority in the region with the power and legitimacy to bring ISIS down," two analysts write in The New York Times.

The country "effectively eradicated al Qaeda in the kingdom," write Nawaf Obaid of Harvard's Belfer Center and Saud al-Sarhan of the King Faisal Center for Research and Islamic Studies. It also "has a unique form of religious credibility and legitimacy," since Saudi Arabia is the epicenter of Islam.

Having Saudi Arabia "in the lead can only add to the legitimacy of the campaign against ISIL," said Dennis Ross, a former U.S. ambassador who is now with the Washington Institute for Near East Policy. "The Arab states in this campaign must also provide military support -- involving forces, arms, training, subsidies for the tribes, intelligence, and diplomatic and even religious efforts to discredit ISIL."

Analyst: How to bring in Iran

These efforts could bring about an alignment between Saudi Arabia and Iran in fighting the militants, said Stephen Biddle, a political science professor at George Washington University.

"The Middle East is characterized by a welter of conflicting fault lines and interests," he said. When Muslim nations have aligned along Sunni and Shia lines, Saudi Arabia and Iran moved further apart, "and in fact waged a proxy war against each other." Now, Biddle said, new fault lines pit radical groups against authoritarian governments threatened by them -- and on that, the two nations could come together.

Trita Parsi, president of the National Iranian American Council, believes Iran is even better equipped to fight ISIS than Saudi Arabia is.

"The Iranians have far more battle experience, particularly with asymmetric warfare, as well as fighting against guerrilla forces," he said.

But Michael Rubin of the American Enterprise Institute cautions against the U.S. coordinating with Iran.

"Some diplomats might say because the United States and Iran have a mutual interest in seeing ISIS defeated, we should work together. That's like saying because arsonists and firefighters both have an interest in fires, they should work together," Rubin says. "Iran seeks not to defeat terrorism, but swap one flavor for another."

Iran's and Syria's regimes are close, so Iranian involvement would create the "awkward political problem of what you do with Syrian President Bashar al-Assad," says Biddle. "This is not unlike the problem of politics generally. When you build coalitions, not everybody likes every policy."

Analyst: Syria let ISIS grow

The dire situation reflects a success of al-Assad's regime, some analysts say.

"The Syrian regime, backed by Iran, allowed ISIS to proliferate so that they could present the U.S. and Europe with a 'devil you know' choice" -- pushing against U.S. calls for al-Assad's ouster amid the nation's bloody civil war, argues Rebecca Abou-Chedid of the Truman Project.

"Each of the actors in the region has some kind of responsibility for the position we are in now," she adds. "Ironically, each of those players, Iran included, is looking to the U.S. to fight the monster they created."

Obama's "core coalition" may be torn over just what role Syria should play in fighting ISIS, said Justin Logan of the Cato Institute. "The Gulf Arabs would like very much for Assad to fall, but U.S. airstrikes on his most militarily significant enemy aren't going to help that end. So there's going to be a lot of disagreement about what to do with that problem."

Given U.S. tensions with both Iraq and Syria, incorporating them into a joint effort against ISIS will be "very complicated diplomatically," notes Christopher Chivvis of Rand Corporation. "The United States is extremely unlikely to cooperate directly with the Assad regime or Iran at this juncture."

The focus, Chivvis said, will be on working with the Peshmerga -- Kurdish forces in northern Iraq -- and with Iraq's own security forces.

Analyst: Plan for post-ISIS

Obama has repeatedly called on the Iraqi government to build an inclusive government that brings together Sunnis, Shiites, and Kurds.

Whether the government does so will be a critical factor in determining whether the country stands up to ISIS and other militants looking to seize power.

It's also important to think ahead to what happens if ISIS is defeated, said Abou-Chedid. "Once ISIS is gone, what will local governance look like in these areas? How will federal governments reassert their presence?"

While ending ISIS' reign of terror is an immediate concern, a long series of problems with Islamist groups in the Middle East and North Africa stemmed from political vacuums in which extremists grabbed power. For governments to succeed after ISIS, particularly in Iraq, they'll have to include people in areas freed from ISIS' grip.

"If the Iraqi government remains dominated by Shia politicians and if Syria remains a failed state," said Abou-Chedid, "this will be impossible."

MAPS: Where do jihadis come from?

CNN's Richard Roth and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Official: U.N. Security Council will weigh a resolution on ISIS foreign fighters

@highlight

The Obama administration announces a 10-member "core coalition" to fight ISIS

@highlight

The coalition may help, but nations around Iran and Syria will be the key, analysts say

@highlight

Saudi Arabia could play a major role, experts say