(Financial Times) -- Japanese carmakers appear to be suffering significant sales declines in China over a flare-up over disputed islands in the East China Sea, after Mazda reported that sales in the country fell 35 per cent year on year in September.

Mazda is the first Japanese automaker to report China sales data since violent anti-Japanese protests erupted in Chinese cities last month over the Senkaku islands -- a small chain of islets controlled by Japan but claimed by China.

The September data give shape to reports that Chinese consumers are shunning Japanese cars and other products in response to the territorial conflict, which has aroused nationalist passions on both sides.

Thousands of Chinese and Japanese tourists have cancelled trips to each other's countries. Chinese customs officials are also reported to be holding up imports of Japanese electronics components, chemicals and other goods at Chinese ports.

Cars are a particularly visible symbol of Japan's economic presence in China. In an incident that has come to symbolise the public rage unleashed by the dispute over the Senkaku islands -- which China calls the Diaoyu -- a Chinese man in Xi'an was severely beaten by a mob that discovered him driving a Toyota Corolla.

Mazda is Japan's fifth-largest carmaker and has a relatively small presence in China. But analysts say its problems are shared by other Japanese groups.

Toyota was already cutting back production of cars and trucks for the Chinese market in the expectation of lower demand and others may follow suit. Many Japanese manufacturers shut down factories in China for several days during the worst of the protests in mid-September.

Goldman Sachs estimates that sales of Japanese-brand cars in China will be 40 per cent lower in the six weeks to the end of October than the same period last year. September and October are the most important months for car sales in China, heightening the impact on production and profits.

"China has become a second source of earnings for the Japan auto industry after the US and anti-Japan sentiment there poses serious near-term damage to sales," Kota Yuzawa, a Tokyo-based analyst at Goldman, said in a recent report that looked at the impact on Toyota, Nissan and Honda -- Japan's biggest carmakers.

Of the three, Nissan is the most exposed to the Chinese market and will suffer the biggest financial setback, Mr Yuzawa said. He cut his estimate for earnings per share at the company in the fiscal year to March by 9.5 per cent, to Y97.3, compared with reductions of 6.2 per cent for Honda and 2.4 per cent for Toyota.

Mazda said it sold 13,258 vehicles in the country during the month. Nissan, Honda and Toyota are expected to report September China sales figures next week.

Japanese carmakers were already on the defensive in China, a market whose blistering growth in recent years has made it a strategic priority for rival European, US and Korean brands. Supply disruptions caused by the 2011 earthquake compounded already existing issues of declining competitiveness, say auto analysts in China.

LMC Automotive, a market research firm in Shanghai, estimates the collective share held by Japanese carmakers has shrunk almost four percentage points since 2009 to 22.8 per cent.

European, American and even Korean carmakers have introduced new models that have captured the imagination of Chinese car buyers, while Japanese auto companies have stuck to models that are viewed as tired and even boring by mainland consumers.

Lack of innovative new models has become an increasingly serious problem as the Chinese market has slowed from growth rates as high as 45 per cent per year, down to single-digits. This has led to cut-throat competition in China's crowded car market, which boasts as many as 100 carmakers.

Additional reporting by Patti Waldmeir in Shanghai

© The Financial Times Limited 2012

@highlight

Japanese carmakers appear to be suffering significant sales declines in China

@highlight

Mazda reported that sales in the country fell 35% year on year in September

@highlight

First automaker to report China sales data since violent anti-Japanese protests