Washington (CNN) -- The U.S. Supreme Court has rejected review of a closely watched religious liberty appeal over a business owner's right to deny services to gays and lesbians.

Without comment Monday, justices denied the petition of a New Mexico photographer who was sanctioned under state law for refusing to document a lesbian couple's commitment ceremony.

The court's refusal to intervene means those financial penalties stand.

The case would have given the high court an opportunity to debate a pair of hot-button social issues: faith in the marketplace and same-sex marriage. The court has been tackling separate appeals on both fronts.

At issue here was how to classify the owner's refusal to offer her services -- as constitutionally protected speech or "commercial conduct" subject to government regulation.

Elaine and Jonathan Huguenin are co-owners of Elane Photography in Albuquerque. They were asked in 2006 to capture on film the commitment ceremony of Vanessa Willock and Misti Collinsworth. New Mexico at the time did not allow same-sex marriage but now is one of 17 states that have legalized it.

Elaine Huguenin refused the e-mailed request, explaining later that her work is blended with her beliefs, where the artist and potential client must both feel comfortable collaborating to create a special lifetime memory.

New Mexico high court rules same-sex couples have right to marry

She and her husband concluded they could not "in good conscience" do so, since they would be compelled to convey and "celebrate" someone else's contrary views. "The message a same-sex commitment ceremony communicates is not one I believe," she said.

Willock and Collinsworth found another photographer to shoot the ceremony in Taos but later filed a complaint with the state's Human Rights Commission. New Mexico's "public accommodations" law forbids businesses from discriminating on the basis of sexual orientation, among other things.

The commission ruled against the Huguenins and fined them $6,637.94 in attorney fees. The New Mexico Supreme Court unanimously agreed, concluding that this was a "neutral law of general applicability" and that the "First Amendment does not exempt creative or expressive businesses from anti-discrimination laws."

Elane Photography had raised only a compelled speech claim, but the religious liberty aspects formed a key part of the owners' appeal to the justices. "The Huguenins will not create images that tell stories or convey messages contrary to their religious beliefs," their lawyers said in a legal brief.

The U.S. Supreme Court's denial of this appeal comes a month after Arizona's governor vetoed SB 1062, a Republican-led measure that would have allowed businesses to deny services to gay and lesbian customers, as long as the owners asserted their faith-based beliefs.

Supporters said the measure promoted religious freedom, but opponents said it discriminated against gays and lesbians. The state's Republican U.S. senators and a bipartisan coalition of business and advocacy groups urged that it be repealed.

At least a dozen other states are considering similar legislation, including Florida, Idaho, Kansas, Mississippi, Ohio, Oklahoma, Mississippi and South Dakota.

Arizona's anti-gay bill veto unlikely to end 'religious freedom' movement

An important aspect of the New Mexico case was whether artistic or communication-driven businesses should be exempt from the law, when as the Huguenins argued, "compelled speech" might be the result.

Lawyers for the photographers told the high court in their legal brief that "Ms. Huguenin, and not her customer, is the speaker communicating through her photographs and books. ... They believe that if they were to communicate a contrary message about marriage -- by, for example, telling the story of a polygamous wedding ceremony -- they would be disobeying God."

The had earlier pointed to New Mexico's Religious Freedom Restoration Act, which says the state may not unduly burden a person's free exercise of religion. It is one of 18 similar state measures around the U.S.

A similar federal law was passed in 1993, and the high court is deciding whether it applies to for-profit businesses that refuse to provide certain contraception health coverage to their employees under Obamacare. Some companies say those health care mandates violate their religious convictions.

The Huguenins' supporters also pointed to past U.S. Supreme Court cases, including one allowing privately groups in Boston to keep gay and lesbian activists from marching in the annual St. Patrick's Day parade on city streets.

But Willock's attorneys framed the issue in stark terms. "The law simply says: Whatever service you provide, you must not discriminate against customers when you engage in public commerce," they said in their legal brief. "Moreover, when the company sells its goods and services to the general public, it is not a private actor engaged in the expression of its own message. Customers do not pay for the privilege of facilitating the company's message."

And they highlighted a body of high court precedent supporting their views, including a 2006 decision saying colleges must allow military recruiters on campus or risk the loss of federal funds, even if the schools disagreed with the Pentagon's policy at the time banning gays and lesbians from openly serving in the armed forces.

Willock argued that by offering client services to the general public, the photography business could not then pick and choose based on sexual orientation. Such discrimination protection, her lawyers said, would also apply if Huguenin refused to sell her artistic creations in a gallery to gay and lesbian patrons.

Other courts have agreed on the broader questions. A Colorado judge last year ruled against a suburban Denver baker who refused to custom-create a cake for a gay couple's wedding reception. That administrative law judge said the business owner had "no free speech right to refuse because they were only asked to bake a cake, not make a speech."

The New Mexico case is Elane Photography LLC v. Willock (13-585).

@highlight

Court won't review appeal of case about a business's right to deny services to gays, lesbians

@highlight

Justices would have debated issues of faith in the marketplace and same-sex marriage

@highlight

Business refused to photograph ceremony of Vanessa Willock and Misti Collinsworth

@highlight

The court's denial of this appeal comes a month after Arizona's governor vetoed SB 1062