(CNN) -- The incredible discovery of the Higgs boson will open up new ways of probing the part of the universe that is invisible to our everyday senses: beyond ordinary matter, into the extraordinary world of dark matter.

It isn't often that you get to be physically present at an historic occasion, but I was at CERN on July 4 when scientists at the Large Hadron Collider announced the discovery of the Higgs boson particle.

Hundreds of young physicists had camped out from the previous night just to get good seats at the technical seminars proclaiming the discovery. What we witnessed was the first solid evidence for the particle that explains how other particles like electrons and quarks get to be massive.

Part of the excitement stems from the fact that the Higgs boson is the final piece in an extremely elaborate puzzle: the Standard Model of particle physics.

This boringly named theory has loomed triumphantly over physics for the past 40 years, withstanding all experimental challenges. With this final piece in place, we can justifiably say that we understand the behavior of ordinary matter -- the atoms and molecules that make up ourselves and our everyday world.

Much more of the excitement, however, had a deeper basis: if the Higgs is the final chapter in one story, it's also the prologue to our next adventure. This is true literally as well as figuratively.

See also: What is the Higgs boson and why is it important?

As successful as the Standard Model has been, we know it's not the final answer to how the universe works. Strong evidence comes from the existence of dark matter: mysterious, invisible stuff that adds up to five times as much mass as the ordinary atoms and particles in the universe.

We know enough about dark matter to be sure that it's not just some kind of ordinary matter that is hiding in the shadows. It is something truly new, something we haven't yet directly seen here on Earth.

But we're trying. Multiple experiments are underway to look for the dark matter particles we think are all around us. Not only are they "dark," these particles hardly interact with ordinary matter at all.

It's possible, even likely, that millions of them pass through your body every second. It's like a city with two populations, each speaking a different language, and no translators or bilingual interpreters. The two groups of people go about their separate lives, never directly speaking with each other. Likewise, in our galaxy, dark matter and ordinary matter pass right through each other all the time.

The Higgs boson could be the bilingual particle we've been looking for. We don't know exactly what the dark matter is, but we certainly have our favorite theories. In many of those models, the Higgs is the one particle that readily interacts both with ordinary protons and neutrons and also with dark matter.

See also: The woman at the edge of physics

There are several experiments currently running with the goal of detecting dark matter. Typically they are deep underground, shielded from cosmic rays and other sources of noise, kept in environments that are as quiet as possible.

Dark matter particles are able to penetrate through the Earth and pass right through the detector. Most do so unmolested, but occasionally we'll get lucky and one will interact with the nucleus of an atom, leaving a bit of energy behind. Our best theoretical guess is that the way that interaction will happen is through the exchange of Higgs bosons.

Knowing something about the Higgs will be enormously helpful in figuring out the implications if one of these experiments finds a strong dark-matter signal -- something we're hopeful could happen in the near future.

We're not just waiting around for dark matter to be detected, either. Now that we've found the Higgs, we can start studying its properties in detail. How is it made? How does it decay? Are its properties those predicted by the Standard Model, or are there hints of something new going on?

If everything breaks just right, we may be able to produce dark matter directly at the Large Hadron Collider. It won't be easy, precisely because dark matter interacts so weakly. Even if you make it, it's hard to be sure, because the antisocial dark matter particles tend to zip out of your experiment without leaving any trace behind.

But once we better understand the Higgs and the particles it decays into, we might be able to infer the presence of dark matter just by process of elimination, by pinpointing events in which more energy went into the collision than we detected coming out.

Even though it wasn't discovered until 2012, the Higgs boson was proposed back in 1964. It is very much a child of the 20th century. In particle physics and cosmology, the 21st century promises discoveries that will help illuminate the dark universe around us.

That's the great thing about history being made: you know things are different now, but you can't be sure where you're going to go next.

The opinions expressed in this commentary are solely those of Sean Carroll.

@highlight

Discovery of Higgs boson can help us find dark matter particles, says physicist Sean Carroll

@highlight

Dark matter is mysterious, invisible and passes through ordinary matter

@highlight

Higgs boson could interact both with ordinary protons and neutrons and also with dark matter

@highlight

Carroll says it may be possible to produce dark matter at the Large Hadron Collider