Fifty years ago this week, the House of Representatives passed the Civil Rights Act, which made it illegal to discriminate against individuals on the basis of race, national origin, religion or gender. We've come a long way since then, according to a report issued last week by the Council on Contemporary Families. Yet troubling inequalities persist.

Gone are the days when segregationists in Congress proudly declared they would resist "social equality" and racial "intermingling" to "the bitter end," and when the head of the Equal Employment Opportunity Commission flatly refused to enforce the act's provisions against gender discrimination.

In 1964, fewer than 5% of Americans approved of interracial marriage. Today, 77% do, according to a Gallup poll. In 1970, a majority of Americans still opposed efforts to end gender inequality. By 2010, 97% of Americans supported equal rights for women, according to the Pew Research Center.

The number of elected black officials in the country has soared, growing from 103 in 1964  to more than 10,000 today.  Since 1990, there have been two African-American secretaries of state, and an African-American president is now in his second term.

Before passage of the Civil Rights Act, fewer than 3% of all lawyers and fewer than 1% of all federal judges were female. Today, women account for almost one-third of attorneys and three of the nine Supreme Court justices. Fifty years ago, women working full-time earned just 59 cents for every dollar their male counterparts made. Today, women workers, as a group, earn 77% of what men earn, as a group. Women run 23 of the Fortune 500 companies, and a woman heads the most powerful financial institution in the country, the Federal Reserve Bank.

Despite these huge improvements, the historical legacy of racial and gender discrimination has not gone away. Although one in 10 black households now earns more than $100,000 a year, the median net worth of black households is 14 times lower than that of white households. The black unemployment rate remains twice that of whites. Black poverty rates are almost three times as high. These ratios have hardly budged over the past 50 years.

Ta-Nehisi Coates, a writer for The Atlantic, recently called attention to a disturbing graph showing that  almost one-third of African-Americans born between 1985 and 2000 live in neighborhoods where 30% of the residents are poor, compared with  only 1% of whites. Living in areas of such concentrated poverty multiplies the barriers to getting a decent education or job.

And after declining in the 1970s, racial segregation in schools has increased again over the past 30 years, especially in districts that were released from court-ordered desegregation plans. This trend underscores the need for continuing federal oversight and enforcement of equal rights laws.

Women also face ongoing barriers to reaching full equality. Despite the high-profile positions of female executives such as Facebook's Sheryl Sandberg and Yahoo's Melissa Mayer, working-class jobs are as gender-segregated today as they were in 1964. Most women continue to work in traditionally female occupations, which typically pay less than traditionally male jobs requiring comparable skills.  Sixty-two percent of minimum-wage workers -- and the majority of poor Americans -- are female.

In the decades since the Civil Rights Act outlawed barefaced discrimination on the basis of race and gender, many particularly talented or fortunate women, blacks, and Hispanics have acquired a degree of wealth, power and social admiration that would have been unimaginable in 1964. But the majority are still handicapped by their historic disadvantages, as well as by racial and gender prejudices that controlled experiments reveal to be stubbornly persistent.

Such prejudices are especially virulent when they interact with the growing income polarization occurring in America today. Commentators continue to blame poverty on the irresponsibility of single mothers and to impugn the sexual mores of women who want insurance coverage for birth control. According to an experiment published in American Sociological Review, white applicants in low-income communities are twice as likely to get a job offer as equally qualified blacks. White applicants just out of prison have as good a chance of being hired as black or Latino applicants with no criminal record!

The Rev. Martin Luther King Jr. once imagined a world where "the sons of former slaves and the sons of former slave owners will be able to sit down together at the table of brotherhood." Had he given the speech a few years later, he would certainly have added daughters to the mix. But as author Ellis Cose has observed, it would be a tragedy if we arrived at that point only to discover that while the wealthiest black, Latino, Asian and white men and women are welcome at the head table, the poor of all races are relegated to eating leftovers in the kitchen.

The recent recession has demoted many Americans of all races to the poverty table. Yet blacks, Latinos and women remain over-represented in that group. The civil rights challenge for the next 50 years will be to find ways to work simultaneously for socioeconomic justice along with racial and gender equity.

@highlight

Stephanie Coontz: 50 years ago, the House passed Civil Rights Act, making discrimination illegal

@highlight

Women, blacks, other minorities have gained since then, but still suffer from inequality, she says

@highlight

Poverty, lack of social mobility unduly affect blacks, she says, and women's pay lags

@highlight

Coontz: Some have done well, but poor of all races unwelcome at the American prosperity table