(CNN) -- Now that the midterm elections are over, the presidential election begins.

A significant number of potential candidates in both parties participated in the midterm elections, understanding that this was an important opportunity to enhance their national profile and to demonstrate what they could do for their party.

The candidates are also shrewd enough to understand that the congressional environment and legislative relations with President Barack Obama will shape the political landscape for 2016.

So, how did all the big players do?

Hillary Clinton

The results were mixed for the former secretary of state. Without any question, the defeat of the Democrats in the Senate campaigns and the plummeting approval ratings of the President for whom she served pose a big challenge for her.

The candidates she supported didn't do so well. The new Congress will offer a powerful platform for the Republican Party to keep chipping away at the President, and Obama will have trouble passing any bills that she can in turn boast about on the campaign trail. Meanwhile, the results are no doubt going to embolden some Republicans, someone such as Jeb Bush perhaps, to step into a presidential fight they might otherwise have skipped.

One bit of good news for her, though, is that the Republican Congress will offer a perfect foil.

Nobody has been better at using the theme of Republican extremism than Clinton, an approach she honed while first lady as a way to push back against an aggressive GOP in the 1990s. If Republicans have trouble controlling themselves as the party in power, Clinton will be in perfect position to bring back the arguments about the dangers of right-wing extremism and to remind voters that while she served in the Senate, she was able to build rather than burn bridges.

Chris Christie

Speaking of bridges, the New Jersey governor received a much-needed boost from these elections.

The governor has been struggling to regain his standing ever since "Bridgegate" ended the air of inevitability that surrounded his candidacy. Until recently, Christie was damaged goods. The pundits speculated as to whether he would survive. Yet Christie resisted the pressure to close up shop. And, most importantly, he used his position as the chairman of the Republican Governors Association to rebuild his national profile and demonstrate that he could still deliver Republican votes -- and campaign contributions.

With high-profile gubernatorial victories in Wisconsin, Michigan, Florida and possibly Massachusetts, Christie comes out of the elections in much better shape. Though he suffered some losses in states such as New Hampshire, there were enough big wins to strengthen his reputation.

Of course, the irony is that the victories of several high-profile Republicans, such as Scott Walker in Wisconsin, will create new problems, since that particular governor might very well run in 2016.

Scott Walker

So far, Walker has survived controversy of his own, and this strong re-election win is sure to energize his supporters. He is clearly much more damaged as a candidate than a few years ago after facing a recall election. That came about from a row over curtailing the bargaining rights for public employee union members.

But many Republicans are enamored with the tough-on-unions Walker, with his executive experience in a Democratic state.

Martin O'Malley

The relatively unknown Democratic outgoing governor from Maryland doesn't come out of the elections in any better shape than when he started.

Unlike Republican Rand Paul or Democrat Elizabeth Warren, O'Malley didn't shine on the campaign trail. Worse, in a major upset, Democrat Anthony Brown lost out in the race to succeed him to Republican Larry Logan. O'Malley's critics will be asking why he couldn't deliver.

Elizabeth Warren

She continues to insist that she won't run. But the midterms were good for Sen. Warren, even if Democrats took a thumping.

Warren has positioned herself as a critic of her own party, warning President Obama and others that they have not been doing enough for struggling middle class Americans. Exit polls suggesting economic concerns were front and center for much of the electorate seem to bolster her approach.

The thumping Democrats suffered Tuesday night will surely prompt more soul-searching within the party and pressure for a candidate who, unlike Clinton, seems to offer fresh ideas.

Ted Cruz

On the surface, the midterm results look like a great thing for Sen. Cruz. After all, he is the conservative firebrand who has spent the past year campaigning for candidates and making the case that the Republican Party is alive and well. He has been a superstar as he has shaped the conversation within the GOP.

But now that Cruz is in the majority, he will also be under greater scrutiny, and his ability to govern will be tested -- until now, the senator has seemed to enjoy the role of maverick and the freedom that comes from being the party of opposition.

At a time when many Republicans will see the 2014 elections as evidence that the establishment is in better shape to win than the tea party, he can also expect to start receiving push back from his own party.

Marco Rubio

Rubio was once the clear frontrunner for the GOP in 2016. But his star has faded over time, not least because his party killed most efforts to pass immigration reform. Other candidates, such as Cruz and Sen. Rand Paul, also stole some of his conservative thunder.

Still, as part of the Senate majority, Rubio now has an opportunity to show what he can do. With Cruz dismissed by critics as the ultraconservative Republican, Rubio has a chance to show that he can govern and form the kind of coalitions -- within his own party and maybe with centrist Democrats -- that would be attractive to voters frustrated with Washington.

If he could somehow build momentum on immigration reform, Rubio could yet emerge as one of the stronger Republican candidates in the 2016 primaries.

Rand Paul

If anyone doubted that Rand Paul is thinking of running for president, his intentions now should be crystal clear. Paul posted photographs on his Facebook page of Clinton campaigning with candidates who lost. And in Kentucky, Paul said in an interview that voters had rejected both Clintons and what they stood for.

Paul has shaped himself into one of the more exciting voices in the GOP. But he still has many potential liabilities, including the anti-interventionist foreign policy position he has staked out, at a moment when there seem to be multiple crises demanding U.S. attention.

However, he has also consistently drawn huge crowds on the campaign trail, and he has been able to position himself as a new voice in the party. This suggests he might be able to tap into the enthusiasm of tea party Republicans, while still appealing to younger voters who usually shy away from the GOP.

He might also be able to appeal to mainstream Republicans looking for a candidate such as then-Sen. Barack Obama back in 2008. Being part of the majority will give him a greater opportunity to showcase his arguments.

Jeb Bush

The former governor of Florida comes out of this election with a party that has momentum and feels that a presidential victory is possible in 2016. They will be searching for a candidate who can win, and for many Republicans, that person is Jeb Bush. The voting Tuesday seemed to confirm that establishment Republicans are the way forward for the party, and no one represents the establishment like Bush.

Bush also continues to stick to his position on issues such as immigration that separate him from others in his party.

Mitt Romney

Though he insists that he won't run, the truth is that the midterms have bolstered the notion that he should.

Romney showed that he is still a valuable asset on the campaign trail, and that he can deliver on fundraising. And as the speculation about him running intensified ahead of Tuesday's vote, there was a distinct sense that he wasn't quite as set against the idea as before.

The odds remain slim that he'll run, never mind win. But those odds look shorter than they did.

These aren't the only potential candidates whose stock rose or fell Tuesday night.

Louisiana Gov. Bobby Jindal, for one, will likely be trying to figure out what this election means for his aspirations. As will John Kasich, Ohio's Republican governor, who won re-election soundly. And that is one thing that Tuesday did not change -- the possibility that a candidate could come out of nowhere.

In the meantime, even as some votes are still being counted, Democrats and Republicans across the country will be mulling over this week's election to determine whether there is enough in the results to suggest that they might be the best candidate for 2016.

@highlight

Midterms have only just finished, but 2016 race has begun, Julian Zelizer says

@highlight

Hillary Clinton had a mixed night Tuesday, Zelizer says

@highlight

Zelizer: Rand Paul surely laid to rest doubts he's running