It is a stark and sobering fact of American life in the 21st century -- black, Hispanic and Native American boys and young men are less likely to graduate, stay out of jail and get a job than those who are white.

Chances are greater they'll grow up with a single parent or none at all, won't read well, and will get suspended or expelled from school or just drop out.

Saddest of all, such statistics aren't new or particularly shocking in a society that has come to expect such class, racial and ethnic disparities.

President Barack Obama launched his "My Brother's Keeper" initiative three months ago to focus on solutions to such chronic and deep-rooted social ills. The initiative included a task force to examine the issue, and an invitation for businesses and foundations to help out.

"No excuses. Government, and private sector, and philanthropy, and all the faith communities, we all have a responsibility to help provide you the tools you need," Obama told a group of black students in February when he announced the initiative. "We've got to help you knock down some of the barriers that you experience."

Transcript: Obama announces 'My Brother's Keeper'

On Friday, the White House released the task force's first report -- a recitation of the challenges faced by young black, Hispanic and Native American males struggling with a legacy of poverty and accompanying hardship, as well as ways to help them persevere and succeed.

In a conference call with reporters, administration officials emphasized the initiative wasn't a new government program, but instead sought to assess existing public and private efforts to assess what worked and could be expanded.

The goal is "sharpening what we do to make sure we are really maximizing the impact of the federal resources that we have," said Cecilia Munoz, the White House director of domestic policy.

Also maximized would be the participation and contributions of a growing segment of the American population, noted White House senior adviser Valerie Jarrett, who said: "It's not only the right thing to do, it's vital to the long-term strength of our communities and the economy of the United States."

She noted the Obama administration launched the White House Council on Women and Girls five years ago to focus on equal opportunity, and now the "My Brother's Keeper" initiative sought to do the same for other historically disadvantaged demographics.

The 60-page task force report identifies key milestones for predicting later success for a non-white boy or young man, including:

Getting a healthy start in life and school

Reading well by third grade

Graduating from high school

Completing post-secondary education or training

Getting a job

Staying on track and getting a second chance

"At each of these milestones, some individuals start to fall behind," the task force report says. "Once a young person falls behind, success becomes exponentially more difficult."

It presents a litany of statistics that amplify the magnitude of the challenge.

Black, Hispanic and Native American children are more than twice as likely to live in poverty as white children. About two in three black children and one in three Latino children live with one parent, and those raised by single mothers are way more likely to drop out of school.

Among black males 10 to 24 years old, homicide is the leading cause of death. And in 2012, black males were six times more likely to be imprisoned than white males, while Hispanics were 2.5 times more likely.

To respond to such disparities, Obama will call for Americans to commit themselves to long-term mentoring or tutoring programs to provide guidance and stability to children and young men of color, said Broderick Johnson, the White House Cabinet secretary who co-authored the task force report.

Other focuses will be expanding access to quality pre-school and early education programs, eliminating expulsions and suspensions in early learning settings, and promoting literacy and reading programs, the task force report said.

The initiative also includes investments expected to top $200 million from foundations and organizations involved in educational and social issues.

Some of the wonky language of the report reflected the long-running programs, some public and some private, on which its recommendations and proposals are based.

For reducing violence and providing boys and young men of color a second chance, its recommendation is to "institutionalize community oriented policing practices in the field and employ methods to address racial and ethnic bias within the juvenile and criminal justice systems."

Translation: Improve coordination between federal, state, city and community leaders, as well as police and neighborhood groups, while reforming the juvenile justice system to keep kids and young men out of reform schools or jail cells and ensuring that those in prison have access to a quality education.

Back in February, Obama spoke with rare candor about his own childhood in an effort to show that people from broken homes and other challenging backgrounds can succeed.

"I didn't have a dad in the house and I was angry about it, even though I didn't necessarily realize it at the time," he said. "I made bad choices. I got high without always thinking about the harm that it could do. I didn't always take school as seriously as I should have. I made excuses. Sometimes I sold myself short."

He compared himself to young men now who are growing up like he did.

"The only difference is that I grew up in an environment that was a little bit more forgiving. So when I made a mistake, the consequences were not as severe," the President said. "I had people who encouraged me, not just my mom and grandparents, but wonderful teachers and community leaders. And they pushed me to work hard, and study hard, and make the most of myself. And if I didn't listen, they said it again. And if I didn't listen, they said it a third time - and they would give me second chances and third chances.

"They never gave up on me, and so I didn't give up on myself."

@highlight

The President's "My Brother's Keeper" task force issues its first report

@highlight

It cites six key milestones in growing up that predict future success

@highlight

The report urges mentoring, literacy programs and justice reforms

@highlight

The initiative includes investments of $200 million from private groups