Fort Hood, Texas (CNN) -- Thirteen flag-draped coffins left Fort Hood on Friday as authorities searched for a motive in the massacre that left more than 50 casualties at the largest U.S. military base.

Thursday's mass shooting killed 12 soldiers and one civilian and wounded 38 people at the Fort Hood Army Post in Texas. The suspect in the shooting, Maj. Nidal Malik Hasan, a licensed Army psychiatrist, was among the two dozen who remained hospitalized Friday night.

Hasan was transported to Brooke Army Medical Center in San Antonio, Texas, and was in critical condition but stable, a spokesman said. Investigators were waiting to speak to the comatose Hasan, who is under heavy guard, said Col. John Rossi, the post's deputy commander.

The bodies of the 13 personnel who died were transported through a "ramp ceremony" to Dover Air Force Base in Delaware for a dignified transfer, he said. It was a "truly moving ceremony."

FBI agents helping investigate the shootings searched Hasan's apartment on Friday while investigators sifted through the crime scene, Fort Hood's military processing center, where soldiers report before they go to war.

Are you there? Share your stories, photos and videos

Hasan, who worked at a hospital on the base, is accused of using two handguns in the shooting. Two law enforcement sources told CNN that one of the weapons used is an FN 5.7-millimeter pistol, a semiautomatic purchased legally at Guns Galore, a Killeen gun shop. Details on the other gun, identified only as a type of revolver, were not immediately available.

Rossi told reporters late Friday that both guns were privately owned and never registered at the post.

Earlier, officials said investigators were looking into whether some soldiers may have been shot accidentally by others trying to shoot the gunman. However, Rossi said, "All indications are that this is not a friendly fire incident. And, of course, that will be validated when the investigation is complete."

Rossi attributed the high casualty rate to the "more than 100 rounds" fired by the gunman and the relatively small size of the room, among other factors.

Fort Hood Police Sgt. Kimberly Munley, who has been credited with shooting Hasan and ending the massacre, was among the wounded. She was in stable condition Friday night, according to her family and military officials. Munley's partner, Senior Sgt. Mark Todd, was also lauded for "engaging" the shooter, Rossi said.

Todd, in an interview Friday night with CNN's Anderson Cooper, described the intense scene as both officers fired shots at the accused gunman.

"He looked like he was calm. He was just pointing a finger at me," Todd said. "The weapon ... I just know I saw the weapon and that's when we returned fire."

Todd, a retired member of the military police, offered his condolences to the families of the victims. "I wish we could've gotten there sooner and helped out a lot sooner -- but we got there as soon as we possibly could."

Texas Gov. Rick Perry was scheduled to visit hospitalized victims of the shooting Saturday.

As the Fort Hood community grieved its numerous losses, holding a candlelight vigil and setting up support lines, some details about the alleged gunman emerged. Relatives say Hasan, a U.S.-born citizen of Palestinian descent, was a "calm" individual who had been taunted after the terrorist attacks of September 11, 2001. Others described him as a vocal opponent to the war on terror whose rhetoric concerned colleagues.

Fort Hood's commanding general said witnesses have reported that the gunman yelled "Allahu Akbar," Arabic for "God is great," during the rampage. However, Lt. Gen. Robert Cone said investigators had not confirmed that.

Hasan's neighbors at his Killeen, Texas, apartment complex said he cleaned out his place just hours before the rampage and gave copies of the Quran to several residents.

President Obama, in remarks Friday morning, cautioned against "jumping to conclusions" about what had triggered "one of the worst mass shootings ever to take place on an American military base."

He ordered that flags at the White House and other federal buildings be flown at half staff until Veterans Day, Wednesday of next week. "This is a modest tribute to those who lost their lives, even as many were preparing to risk their lives for their country," the president said. "It's also a recognition of the men and women who put their lives on the line every day to protect our safety and uphold our values. We honor their service, we stand in awe of their sacrifice, and we pray for the safety of those who fight and for the families of those who have fallen."

Obama said he met with FBI Director Robert Mueller and representatives of other relevant agencies to discuss the investigation. He promised his administration will provide updates.

The central question investigators want to answer: Why would a member of the military who had been trusted with helping others achieve a healthier mental state allegedly shoot his comrades?

"He took care of soldiers with behavioral health problems and also evaluated people who had disability evaluations," Braverman told reporters Friday morning.

Asked whether Hasan, 39, had seemed adequately prepared for his job, Braverman responded, "We had no indication otherwise."

According to the American Psychiatric Association, Hasan co-chaired a panel at the group's May convention titled "Medical Issues for Psychiatrists in Disasters."

Military records show Hasan received his appointment to the Army as a first lieutenant in June 1997 after graduating from Virginia Tech in Blacksburg, Virginia, with a degree in biochemistry. Six years later, he graduated from the Uniformed Services University of the Health Sciences' F. Edward Hebert School Of Medicine in Bethesda, Maryland, and was first an intern, then a resident and finally a fellow at Walter Reed Army Medical Center.

He was promoted to major in May.

Army Lt. Col. Wayne Hall said Hasan was to deploy to Afghanistan to work with a unit already there as part of behavioral health support. It wasn't clear when Hasan was scheduled to go overseas for what would have been his first deployment.

Since 2001, Hasan had been telling his family that he wanted to get out of the military but was unsuccessful, said a spokeswoman for his cousin, Nader Hasan. She added that he told his family he had been taunted after the terrorist attacks of September 11, 2001.

Nader Hasan issued a statement late Thursday on behalf of relatives, saying they were shocked by the shootings. Another family statement on Friday said, "We are mortified with what has unfolded and there is no justification, whatsoever, for what happened. We are all asking why this happened -- and the answer is that we simply do not know.

"We can not explain, nor do we excuse what happened yesterday. Yesterday's violence in no way reflects the feelings, beliefs, or principles of our family," the statement continued, adding that the family is cooperating with authorities.

CNN's Ted Rowlands and Michael Cary contributed to this report.

@highlight

NEW: Fort Hood holds candlelight vigil for victims of shooting

@highlight

Residents of Killeen, Texas, complex say suspect gave them Qurans

@highlight

Watch a CNN special investigation on the shootings, Saturday at 8 p.m. ET on CNN TV