(CNN) -- Try to imagine New York or California dealing with a situation like this: The tap water's only good for toilets, not drinking, washing, cooking or showering; more than a dozen people have been hospitalized for complaints related to water that's been contaminated with a somewhat mysterious chemical; and residents wait in line for bottled water -- or for ice to melt -- in order to have something to drink.

That's been life since Thursday in West Virginia's capital city, Charleston, where 300,000 people were left without safe water -- again, except for toilet flushing -- after chemicals contaminated the Elk River. Some of the taps have started coming back on; cleanup and testing are underway, according to the news reports on Monday. But the spill, which has been attributed to a leak in a chemical-storage tank not far upriver from the city's water treatment plant, continues to paralyze Charleston.

A Washington Post reporter described living in the city as "a lot like camping."

A resident was blunter: "It's like a zombie apocalypse here."

Where's the national outrage?

Our collective indifference is troubling.

It's like we think: It's OK, the water's safe to flush.

Or: Whatever, it's just West Virginia.

This would be the story everyone in America's talking about if chemicals used for cleaning coal were spilled into a river in a state with more political clout and media presence. Take New Jersey, where Gov. Chris Christie's administration is accused of jamming up traffic as payback for a rival politician. The public has been ravenous for that story; meanwhile, West Virginia matters just as much.

At least it does to real people -- people who value safe drinking water.

Sure, I understand why the Christie scandal -- which we're all calling "Bridgegate" these days -- matters. He's a national figure who has (or had) a good shot at being the Republican front-runner for the 2016 presidential race. There's an alleged cover-up, a trough of juicy e-mails, calls for a federal investigation, and real people were inconvenienced.

I'm not arguing the bridge scandal is insignificant.

But it's sad that disasters seem to need brand strategists these days.

"If we called West Virginia 4-methylcyclohexane-methanol leak 'Watergate,' do you think the political press would pay more attention?" asked Ana Marie Cox, a columnist for The Guardian.

The answer, as she implies, is yes.

Jason Linkins wrote for the The Huffington Post that none of the major Sunday morning news shows gave much -- if any -- coverage to the chemical spill.

"Sunday shows to West Virginia: Drop Dead!" his headline blared.

They were too obsessed with Christie, which, as he points out, has plenty of time to play out before the presidential elections, two years from now.

This stuff goes way beyond the media and its handling of events. Major newspapers and television networks, including CNN, sent reporters to West Virginia to cover the story. Information is out there. It's not that no attention has been paid. But West Virginia is so maligned in our national consciousness that some people probably expect environmental contamination like this to happen there. The country should be in the middle of a national debate about how to ensure chemicals are kept out of our drinking water. It's one of the most basic of government services.

Some people in West Virginia are trying to advance that conversation.

Take Angela Rosser, executive director of the West Virginia Rivers Coalition. She told The New York Times that, "We need to look at our entire system and give some serious thought to making some serious reform and valuing our natural resources over industry interests." She and others also are asking the tough questions: Why was a chemical storage tank allowed to be on a river that's used for drinking water?

And why wasn't the tank inspected since 1991?

Then there's Ken Ward Jr., from The Charleston Gazette, who reported that the U.S. Chemical Safety Board had recommended three years ago that West Virginia "create a new program to prevent hazardous chemical accidents." It didn't, of course.

It should now.

Let's join Rosser and Ward in their search for answers.

That's needed to ensure a spill like this never happens again.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Noncontaminated tap water is coming back for some West Virginia residents

@highlight

John Sutter: Our collective indifference to the disaster is troubling

@highlight

300,000 people were without water after a chemical spill

@highlight

Sutter: U.S. needs to debate how to keep chemicals out of drinking water