(CNN) -- It was a rare occurrence: ninth-graders in Matthew French's health class giving something their full attention.

The students, at Los Angeles' Miguel Contreras Learning Complex, sat at their desks watching a video. They were about to learn the sexually transmitted disease status of a California beauty queen.

The teenagers laughed as the video instructed them to turn their attention to their cell phones, French recalls -- normally, it was a constant battle to get them to put the phones away.

Then the video had them text a code to Qpid.me, a website that allows kids as young as 13 to find an STD clinic, get tested and have their results sent to them via text message.

Moments later, the teens got a text revealing that Miss California 2009, Tami Farrell, was negative for HIV, gonorrhea and chlamydia.

Farrell is the celebrity face of Qpid.me's new STD awareness campaign. If it's cool for a beauty queen to share her STD status, then maybe kids will start to think it's cool to share their own results. Site founder Ramin Bastani is banking on it.

"We want to normalize the idea of sharing your status," Bastani says.

High-tech tools to fight STDs

A text message revealing a teenager's positive or negative STD status may well be the latest tool -- albeit a controversial one -- to target the spread of disease among students.

This past fall, Qpid.me partnered with the Los Angeles Unified School District -- the second largest school system in the country, with more than 660,000 K-12 students -- to teach students as young as seventh grade how to get their STD results, show them to potential partners, and then request to see their potential partners' results before they hook up or have sex.

Sexual activity among students has long been a concern for the district. In 2005, the Los Angeles County Health Department surveyed more than 4,000 middle-schoolers in 14 area public schools. The research showed 16% of seventh-graders had engaged in oral sex and 20% of eighth-graders had had intercourse. A 2011 national school-based survey conducted by the Centers for Disease Control and Los Angeles schools found 39% of high schoolers were having sex.

The district turned to Qpid.me to try a new approach to get students tested and reduce infections. So far, 200,000 ninth- through 12th-graders and 120,000 seventh- and eighth-graders have learned about the free service in fall and spring semester health classes, according to Tim Kordic, the district's HIV/AIDS prevention program manager.

"We don't suspect that most seventh-graders are going to go out and use this. We do suspect that in high school they will," Kordic says.

Critics of the partnership, however, say Qpid.me comes too close to condoning underage sex and gives an incomplete picture of someone's STD status by excluding certain infections, like HPV and herpes.

"While we absolutely encourage sexually active teens to be tested for STDs, the underlying message of the Qpid.me campaign is troublesome," says Valerie Huber, president and CEO of the National Abstinence Education Association, a group that "exists to serve, support and represent individuals and organizations in the practice of abstinence education," according to its website.

"It provides tacit endorsement of teen sexual activity, sending the message to teens as young as 13 that sexual experimentation is expected and risk-free as long as they are tested for STDs and use a condom," Huber says in a statement.

The Los Angeles school district disagrees.

"We're not using this as a lure for kids to say, 'OK, you can have sex because you did this,'" Kordic says. "What we felt was that if the kids had the information that they would make better decisions about their sexual partners."

FDA approves morning-after pill without prescription for girls 15 and older

In 2011, Los Angeles-area youths between 13 and 19 contracted 25% of chlamydia cases and 16% of gonorrhea cases, according to the Los Angeles County Health Department. People under 18 made up 24.1% of the county's population in 2011, according to the U.S. Census.

"So many kids are walking around with STDs and they don't even know it," Kordic says. "We definitely have an epidemic going on."

By law, children as young as 12 in California can get tested for STDs without a parent's consent. The district offers testing on some of its campuses, but stigma and logistical challenges, like access to a car, can keep students out of clinics.

Qpid.me requires an STD test. If it catches on and students start demanding to see their partner's verified STD status, sex educators hope it will give teens an incentive to get tested if they want to have sex.

"One of the things we're saying is this will make you more attractive to other students potentially," Bastani says.

"Then the pressure is on the person who doesn't have it," adds French, whose own students were split on whether they would actually use Qpid.me.

"We had many people saying, 'Oh, this program is dope. This is cool,'" says 14-year-old student Geo Morataya. "And we had other people going like, 'I really don't agree with this program.'"

Morataya says he's not sexually active yet, but some of his friends are. He told his mom about Qpid.me when he got home from school.

"She was cool letting me use stuff like this to help keep me in check -- but as long as I stay safe," he says. "As long as I don't not use protection."

Critics also question whether students would be organized enough to get themselves to clinics or be mature enough to actually use the information before having sex.

"I'm skeptical how often somebody will say, 'Hey, if you don't tell me your test results then we're not doing it,'" says Peter Sprigg, a senior fellow for policy studies at the Family Research Council. "To expect a 13-year-old, or a 15- or 17-year-old for that matter, to able to act in such a rational manner while they're in the grip of these irrational passions is very naive and unrealistic."

Even more progressive institutions, like Planned Parenthood, express caution.

"While we value the use of innovative tools to improve sexual health, the most powerful message we can deliver to prevent infections is to always use a condom every time you have sex," says Leslie Kantor, Planned Parenthood's vice president of education.

Free condoms for your 12-year-old? California health council can help

The district says it recognizes parents may be uncomfortable with their children using technology to text and share their STD status, but notes its tech-savvy students have a different perspective.

"This is how they receive information now. This is where they go to -- their phones -- and so for them to receive it that way isn't abnormal. It's normal," Kordic says. "What we're doing basically as adults is we're entering their world, which we're always trying to do. We're always trying to figure out how do we speak their language -- use our tools, but bridge that with what they're doing now."

French, who's already taught Qpid.me to about 120 students, says he did it to protect them.

"It's just shown to them as a tool, just like a condom is a tool to prevent an STD," he says. "If students aren't getting tested or aren't talking to their partners about STD status, then knowing what gonorrhea is is kind of irrelevant."

The district says it's too soon to know how many students are using Qpid.me. In the future, Bastani says he'd like the service to be an educational tool used across the country.

"We'll have the best information anywhere in the country for where students -- and anyone who wants to get tested for STDs -- can go," he says. "Sometimes kids are going to forget to use condoms, sometimes they're not going to share their status, but if there's a resource for them to do so, I think it empowers a lot of them who are really concerned about this."

@highlight

Qpid.me, a site that allows users to share STD status, partners with Los Angeles schools

@highlight

Proponents say it's a way for students to stay safe when choosing to have sex

@highlight

Critics say it provides "tacit endorsement" for teen sexual activity

@highlight

The district acknowledges it may make some parents uncomfortable