Jerusalem (CNN) -- Patients being treated on the floor, because emergency rooms are overcrowded, medical sources say. Medicines running low. And, according to a Health Ministry spokesman, fuel shortages such that only half the available ambulances can run and the generators powering lights in hospitals might only last a few more days.

Sources there say that is the reality nowadays in Gaza, a dire situation that looks like it will persist or perhaps get worse -- since neither Hamas nor Israel's government have shown any indication of backing down.

Rockets being fired from Gaza into Israel are menacing and can be dangerous. Case in point came Friday, when a woman was hurt after a rocket hit a house in Be'er Sheva, according to Israel's military.

Every day, there are more such attacks, each one potentially lethal. Earlier Friday, for instance, Israel Defense Forces reported that two soldiers were lightly wounded in an attack by an anti-tank missile.

Hostilities between the two sides picked up weeks ago -- tensions that were exacerbated by the kidnapping and killing of three Israeli teenagers.

There's a disparity in the human toll in the latest fighting.

No Israelis have been killed so far by the hundreds of rockets fired toward southern Israel by Hamas, Islamic Jihad and other militant groups in Gaza. Some Israelis have been wounded.

More than 100 people -- including at least 23 children and 24 women -- have been killed and nearly 800 others have been injured in Gaza from Israeli strikes, according to Dr. Ashraf Al-Qidra, the spokesman for Gaza's health ministry. The toll kept rising Saturday, after an Israeli strike in Jabalya in northern Gaza that Hamas security sources said killed members of the Islamic Jihad militant group.

Those places where the injured are being treated aren't necessarily safe havens, either: Al-Qidra told CNN that at least one hospital in Gaza was shelled.

The medical sources who described the overcrowded emergency rooms in Gaza and dwindling supply of medicine characterized what is happening there as not unlike the chaos witnessed at Syrian hospitals during its civil war.

And even those not in hospitals or who haven't been impacted directly by airstrikes face significant challenges.

CNN staff in Gaza reported there are rolling blackouts, and there are water shortages in some areas because airstrikes have damaged pumping stations.

Israeli authorities insist that they want peace, and that they are striking back in order to defend their territory. As things stand, they contend, doing nothing is not a valid option.

To that point, Prime Minister Benjamin Netanyahu reiterated Friday that there is one path to a cease-fire: the cessation of attacks from Gaza.

Observers wonder whether Israel will escalate its defense with even more offense -- by sending troops into Gaza. Nothing is off the table, Netanyahu said.

"We are considering all options and getting ready for every possible scenario," he said. "All the citizens of Israel are aware of my major goal, and this is to bring back the quiet to all Israeli territories. Hamas keeps attacking us, and therefore we are fighting them back."

Rocket from Lebanon

Israel faced attack from a second front Friday, but it is unlikely that a rocket fired from Lebanon signifies the widening of the conflict with Hamas.

The rocket launched from Lebanon landed near the northern Israeli town of Metula, which sits right by the Lebanese border, and no damage or injuries have been reported. It was not immediately clear who fired the rocket.

An IDF spokesman said Israel holds the Lebanese government responsible for the attack, but concerns that Israel will face a two-front conflict are unlikely to be realized.

Hezbollah, which operates in Lebanon and is caught up in other conflicts in the region, probably does not have the appetite to start a war with Israel.

Thousands of rockets were fired from Lebanon into Israel during a war in 2006, but rocket attacks since then have been sporadic. Tensions are always high between Hezbollah and Israel, but Hezbollah's involvement in Syria's civil war means that a fight with Israel might not make sense.

Nonetheless, Israel responded with artillery that landed in the vicinity of the Lebanese town of Kfar Shouba. No casualties were reported, the Lebanese army said.

Israel calls up reservists

As fears of an Israeli ground assault grew among Gaza residents Thursday, Israel revealed it has beefed up its forces by calling about 30,000 reservists to their units.

"We are utilizing that force to enable us to create a substantial force around Gaza, that if it is required, we'll be able to mobilize as soon as possible," Israel Defense Forces spokesman Peter Lerner told CNN's Wolf Blitzer.

The Israeli Cabinet has authorized the military to call up 40,000 troops if needed. That is 10,000 more than were called up during Israel's offensive into Gaza in November 2012.

The Israel Defense Forces said Friday that since the start of Operation Protective Edge, more than 570 rockets have been fired at Israel. The country's Iron Dome defense system has intercepted more than 100 of them, the IDF said.

Hamas and other militant groups in Gaza are believed to have about 10,000 rockets of varying ranges, according to the Israeli military. Israel has said some 3.5 million residents live in areas within reach of the rockets.

U.S. willing to help broker cease-fire

Hopes for a cease-fire appeared dim even as world leaders called for the two sides to stop the violence.

U.S. President Barack Obama and Netanyahu spoke by phone.

"The United States remains prepared to facilitate a cessation of hostilities, including a return to the November 2012 cease-fire agreement," the White House said in a written statement, referring to the Egyptian-brokered deal that halted the previous Israel-Hamas conflict.

The President also condemned rocket attacks from Gaza and said the United States reaffirmed Israel's right to defend itself.

From Samson and Delilah to Israeli-Palestinian fighting

Flare-up in Israeli-Palestinian violence: Why now?

Has the Middle East crisis reached a tipping point?

Was teen's death a revenge killing?

CNN's Kareem Khadder reported from Jerusalem, Mariano Castillo wrote this report in Atlanta, and CNN's Ben Wedeman reported from Gaza City. CNN's Greg Botelho, Jon Jensen, Aliza Kassim, Diana Magnay, Tal Heinrich, Amir Tal and Talal Abu Rahma contributed to this report.

@highlight

NEW: Hamas security sources: Islamic Jihad militants killed in Israeli airstrike

@highlight

At least 100 Palestinians have been killed in Gaza since Monday, officials say

@highlight

Medical sources compare the crisis in Gaza hospitals to that in Syria during its civil war

@highlight

Israel says all options remain on the table, says that Hamas must stop attacking Israel