(Financial Times) -- The sales director for a supplier to Beijing Foton Daimler Automotive is close to despair. She has been selling parts for 20 years but now, she said, more people than ever needed to be bribed to guarantee orders.

"In the past, we would give a purchasing manager a red envelope. But now even assembly line workers will call me threatening that if we don't pay up they will find some problem with our product," she said, asking to remain anonymous for fear of the potential consequences. "The rot has reached the roots."

Her exasperation is shared by many. China is gripped by a sense that corruption has never been as bad as it is today and that it has started to shake the very foundations of the country's economic development.

Xi Jinping, who became president on Thursday, has been driving an anti-graft campaign ever since he took over as Communist party chief in November. Mr Xi identified fighting corruption as a priority in his first speech as leader and has promised to show no leniency over an issue that he and others have warned could be a threat to the party's rule.

Beijing has subsequently cracked down on the flood of gifts and banquets from which even small-time party officials have benefited. And, at the annual session of the National People's Congress, the rubber-stamp parliament that has been meeting in Beijing this week, Mr Xi's approach has raised hopes that tougher rhetoric will translate into systemic reform.

"We have received indications that the National People's Congress Standing Committee will put a broad anti-corruption law on its legislative agenda for the coming five years," said Dennis Han, an NPC delegate and long-time campaigner for legislation to force officials to publicly declare their assets.

But the problem runs far beyond officialdom. According to Transparency International, Chinese people say corruption is at its worst in the private sector. In the group's 2010/2011 Global Corruption Barometer, the sector scored worse than the civil service, judiciary or the police.

Daimler did not respond to requests for comment about the claims made by the supplier's sales director about its Chinese joint venture.

The executive said her company gave her Rmb20,000 ($3,300) for handouts during lunar new year, when cash gifts in red envelopes is traditionally given in a practice often used as a cloak for bribery.

Even so, she said, she struggled to meet the ballooning demand for new year gifts from even lowly employees at the Daimler joint venture on the outskirts of Beijing.

"The Germans only occupy the top layer of management, and everything below that is done by Chinese, the Chinese way. The Germans don't know," she said.

Although China has many laws and regulations banning corruption, the country has long struggled to contain it among officials.

Lang Sheng, deputy head of the NPC's law committee, said further anti-corruption legislation would be one of the focal points of the congress's work in the coming years.

Plenty of people remain sceptical about the party's willingness to root out corruption. A bout of transparency would be likely to reveal graft at the very top of the party and Beijing has reacted angrily in recent months to scrutiny by international news organisations, including Bloomberg and the New York Times, of the wealth of Mr Xi's family and that of Wen Jiabao, the outgoing premier.

Reformists are not giving up, however. Mr Han failed for seven years in a row to get a proposal making it mandatory for officials to disclose their assets on the NPC's agenda. This year, however, he has changed tack. He now believes that waiting for asset declaration requirements to be included in a broader law is more realistic as it would give the leadership more time.

Any change is likely to take time. Legal experts say China will probably have to amend parts of its criminal code and several other laws in the process. Even those who believe that change is possible think that means it will take a decade before it becomes reality.

© The Financial Times Limited 2013

@highlight

People in China say corruption is worse than ever

@highlight

China's new president has promised to root out graft

@highlight

Some remain skeptical that reforms will materialize

@highlight

NPC delegate Dennis Han is calling for asset declaration requirements for officials