Washington (CNN) -- Diversity is not a word that describes the Supreme Court's makeup over most of its existence. Only three women justices have served (the first in 1981), and only two African-Americans (the first in 1967).

The first Hispanic was named last year, but no Native Americans or Asian-Americans have been named, nor have any openly homosexual or disabled justices. Only about 11 Catholics have served, and seven Jews.

The expected elevation of Elena Kagan to the high court would represent both a step forward and a retreat of sorts, for bench diversity on the high-profile court, especially when compared to the man she would replace.

Kagan is set to become the third woman on the current court, a move applauded by retired justice Sandra Day O'Connor and former first lady Laura Bush. The 50-year-old also has no judicial experience, unlike every current member of the court, who were previously federal appeals court judges.

Justice Antonin Scalia, for one, likes that. "Currently, there is nobody on the court who has not served as a judge -- indeed, as a federal judge -- all nine of us," he said last month in a speech. "I am happy to see that this latest nominee is not a federal judge -- and not a judge at all."

She would be the third Jewish-American, joining Justices Ruth Bader Ginsburg and Stephen Breyer. The other six members of the court are all Catholic: Chief Justice John Roberts, and Justices Scalia, Anthony Kennedy, Clarence Thomas, Samuel Alito, and Sonia Sotomayor.

Retiring Justice John Paul Stevens is the current court's lone Protestant. That has prompted divergent views from the religious and political community on whether diversity of faith matters.

His departure and replacement by Kagan also would represent a loss of diversity on two other fronts: geography and education. The Chicago native is a true Midwesterner in his friendly personality and his approach to deciding many legal issues.

Kagan would help form an unusual majority: five natives of the New York City area. Scalia is from Queens, Ginsburg still retains her Brooklyn accent, Sotomayor grew up in the Bronx and loves the Yankees, and Alito called Newark, New Jersey, home. The nominee herself was raised in the upper west side of Manhattan. Only Staten Island among the boroughs would be unrepresented on the high court.

And then there is the academic equation, with the new court to be composed entirely of Ivy League law graduates. Kagan went to Harvard Law School, just like Roberts, Scalia, Kennedy and Breyer. That's another majority Kagan can boast. Ginsburg also attended the Boston-area school, as well as Columbia. The three other justices went to Yale.

Only Stevens -- again -- stayed out of those ivied schools, graduating from Northwestern University at the head of his class in 1947.

Stevens' departure is a generational shift, too: he is the court's last military veteran who came of age during the Depression, served in the Navy during World War II, and began practicing law during the Cold War.

With the advent in the 1920s of open Senate hearings of court nominees, public and press scrutiny of court diversity have become important talking points. At that time, tremendous social and political changes in the country were reflected in a slow push to diversify the court's makeup. Since then, seats unofficially have been set aside for individuals of certain backgrounds.

The first Jewish justice was Louis Brandeis, whose bitter 1916 confirmation was marked by underlying anti-Semitism. When Benjamin Cardozo joined him in 1932, a so-called Jewish seat was established. Cardozo was replaced by Felix Frankfurter, who was replaced by Arthur Goldberg, who was replaced by Abe Fortas. Currently, two Jewish justices sit on the bench, Ginsburg and Breyer.

A similar precedent was created when Thurgood Marshall became the first person of color to sit on the court. When he retired, Clarence Thomas took Marshall's seat, although President George H.W. Bush considered a wide variety of candidates before settling on the Georgia native. Thomas has acknowledged to colleagues that he benefited to some extent from having the right connections in his career.

Many political and legal experts expected George W. Bush to make his first court pick a Hispanic, but his two picks were white males.

Some court observers believe political pressure to choose a justice strictly on gender or race is no longer relevant. "The whole commentary of the court has evolved away from that," said Pulitzer Prize winning author and court historian David Garrow. "Our society has changed; the novelty no longer exists."

President Barack Obama's two high court choices have been applauded by many advocacy groups for the diversity they brought to the court, but criticism also has arisen on some fronts. Civil rights groups expressed disappointment the nation's first black president did not seriously consider naming any African-Americans to the court.

"The nomination of Sonia Sotomayor certainly was historic in that she became the first Hispanic to sit on the high court, and it was embraced by civil rights groups," wrote CNN Political Analyst Roland Martin in May. "Yet this time, for highly qualified African-American female judges, such as Leah Ward Sears, the retired chief justice of the Georgia Supreme Court, to never make the cut for a face-to-face interview with the president has ticked off a number of leaders I've talked with over the last several days."

Kagan in fact has been criticized for the lack of diversity she brought as Harvard's law dean from 2003-09. Guy-Uriel Charles, founding director of the Duke Center on Law, Race and Politics, looked at Kagan's hiring record, noting of the 29 positions she had a chance to fill, 28 were of those appointed were white and one was Asian-American. And of the group, only six were women -- five white and one Asian-American.

"These numbers on the surface are appalling, and would be ripped to shreds by those who value diversity," Martin said.

Kagan's defenders say her hiring power was limited, but she did help bring a number of conservative professors to the faculty, earning praise from many on the right.

@highlight

No Native Americans, Asian-Americans, homosexual or disabled justices named to high court

@highlight

First Hispanic, Sonia Sotomayor, named last year

@highlight

Kagan would become third woman on Supreme Court

@highlight

Would join fellow Jewish-Americans Ruth Bader Ginsburg, Stephen Breyer