New Delhi (CNN) -- National elections in the world's largest democracy are always a mind-boggling spectacle. The Election Commission of India estimates some 788 million people are eligible to vote in 2014 -- an electorate that's more than double the population of the United States. How the country conducts this mammoth exercise every five years never ceases to amaze observers.

What makes 2014 even more significant is the likelihood of an epic battle between the ruling Indian National Congress and its allies versus the Bharatiya Janata Party (BJP) with the controversial Hindu nationalist Narendra Modi at its helm. The Indian National Congress has been in power for the past decade under the leadership of the Italy-born Sonia Gandhi and her son Rahul, heir to the Nehru-Gandhi dynasty.

In an era of coalition politics, the rise of regional leaders and local political parties is also crucial. While it's difficult to predict winners when there are numerous unknowns, here are five factors bound to influence Indian voters in 2014.

1) Corruption

It's so ingrained in almost every aspect of daily life that most Indians have long tolerated and gotten used to small-scale corruption.

However, after a series of multimillion- and even billion-dollar scams, brought to light by an unrelenting media, the fight against corruption has reached a tipping point in India.

In New Delhi's recent state assembly polls, the stellar performance by a brand new political party founded on an anti-corruption platform was unprecedented. Both houses of the Indian parliament subsequently passed landmark legislation in December to create an anti-corruption ombudsman with the power to investigate graft at the highest levels. How it will be implemented is yet to be determined, but without a doubt, the prevailing anti-corruption sentiment will continue to have major ripples in 2014.

2) Youth

Much is said of India's untapped and vast youth potential.

In 2014, first-time voters will account for almost one-third of the electorate. These young adults grew up in an India reveling in near double-digit growth rates. A recent economic downturn is shaking things up politically, although the influence this will have on youth voters remains unclear.

What moves Indian youth to act is unpredictable, as manifested in the stunning outpouring of support for the victim of a vicious gang rape in New Delhi in 2012. But increasingly, young people appear to be shedding their indifference to politics, and this crucial voting block cannot be ignored in 2014.

3) Religious violence

In September, India had the worst case of religious violence since the Gujarat riots in 2002. More than 60 people, mostly Muslims, were killed and tens of thousands displaced along religious lines in Muzaffarnagar, a district about 130 kilometers north of New Delhi.

In a country founded on the principles of secularism, there's growing fear over what the re-emergence of religious tensions could mean for the country's politics. With the rising popularity of the opposition's candidate for prime minister, the Hindu hardliner Narendra Modi, there are concerns he'll adopt a polarizing strategy to win votes. Analysts say political tensions could also mount as political groups opposed to Modi try to paint him as a radical.

The long-running election strategy of dividing communities for political gain could be an ongoing political tactic in 2014.

4) Inflation

India's economic slide may have bottomed out and growth is conservatively expected to rise to around 6% in 2014, but the common man continues to be deeply affected by inflation.

For most of 2013, consumer inflation hovered around 10%. The outcome of the recent state elections in which the ruling party suffered a massive blow was partly on account of rising prices. The chief of India's central bank has made taming inflation his top priority, but the impact of recent monetary tightening measures may not be felt in the short term. Inflation, then, could remain a critical factor in the national elections.

5) Rise of states and regional parties

India's economy slowed in 2013, but one of the main reasons the economy hasn't come to a standstill is that growth in several of India's 28 states continues to rise at unprecedented levels. In the once impoverished state of Bihar, for instance, the economy grew at 14% in 2012-13, in Madhya Pradesh 10% and Odisha 9.14%. These states were never India's engines for growth.

Economic power translates to political clout, and as the central government is becoming weaker, the states are becoming stronger. This shift is so substantial, states and regional parties can now dictate national and international policies. How these regional parties fare and which coalitions they choose to join will have a massive influence on the national elections.

@highlight

India's election takes place with some 788 million eligible voters

@highlight

CNN's Sumnima Udas in Delhi lists five factors to influence the upcoming elections

@highlight

Showdown looming between ruling Indian National Congress and Bharatiya Janata Party