(CNN) -- My earliest memory of ghost stories is borne in a rented cabin on Canandaigua Lake, in Upstate New York, where my family spent each summer. Our cabin was rumored to have been built on an Indian burial ground and haunted by spirits.

To a young girl with a wild imagination such as mine, who wanted to be a writer at the age of 7 and who hauled around a blue plastic typewriter wherever she went, these stories made the cabin appealing, because I loved how brave I felt exploring the attic and basement, and more, the knowledge that my father was reading the paper in the next room, and that I could, at any point, race into his arms for a hug and have all my fears assuaged.

On summer nights, my family sat around the radio and listened to a program that featured one ghost story each night. This is still my strongest childhood memory, the only time I recall the members of my family joined together, tied by the intimate chord.

Ghost stories, ironically, made us feel closer to each other, if only for those few savored moments when we'd share a quilt and perhaps a hand to squeeze.

Tell us your town's ghost stories

Ghost stories appear in most cultures. There is a Seneca Indian ghost story about a fire-eating monster with no body, only a head, who snaked through Indian villages at night looking for small children to eat. This story was told to keep children from staying out late at night.

Perhaps this was the point, also, of the most famous ghost story of my generation: the story of Derek, the monster boy who lived in the woods -- our woods, and any other woods where a camp happened to be.

If memory serves me, the story ended with a melted skull. Everyone knew Derek and that he traveled around.

At camp, we sat around a blazing fire on cold nights, bundled in our sleeping bags, mashed as close as we could get them, and steeped in woolen long underwear, the cold ground underneath. Our mouths were ajar, all clamoring for the story, begging our counselors to tell it. "Tell Derek, Tell Derek!" we'd cry.

It was a favorite because it was scary but predictable, something that life rarely is. No matter how many times we heard it, gripping each other's hands tightly, the anticipation of Derek thrilled us. We knew that after the story ended, we would race back to our cabins, high on a rare sort of predictable terror, coveting an adolescent thrill.

There was anticipation, drama, a predictable climax and our wild screams as the world of Derek faded from memory, and we'd slip safely back into our bunks and tumble into closeness, our bodies falling onto each other, gripping each other's arms and legs for dear life.

We found safety and solace on those nights, if only until the next year until we returned to camp, and beg, of course, to hear the story of Derek once again. To revel in the closeness he allowed us, borne from his tragic life in the woods.

Perhaps this is what we love most about ghost stories. They offer us a sense of control over terror, something unattainable in real life. Perhaps this is why we hang on to them, why we tell them to our children and our grandchildren.

When we evolve from listener to storyteller, we become elevated in our children's eyes as we remind them that yes, this is only a story as we watch the same reactions played out around the campfire and realize that though the faces have changed, the reactions are universal.

Ghost stories fill us with fear and dread. But then they're over, and we return to our comfortable lives. They help us to bond, become a haven, ride the lost rush of adrenaline and create memories on starry nights with those we love.

Find out the 20 scariest movies of all time

We retell ghost stories because we're rarely alone when we're listening or telling them. Stories of the dead and mutilated, it seems, will abate loneliness. Because there is no better feeling than tumbling into closeness after a good scare.

For some of us, they are a journey to another place, and they allow us to exorcise the hidden demons and monsters in our own imaginations, to voice them, and maybe to overcome fears. Ghost stories give us perspective. They allow us to escape the everyday.

Living the life of a zombie or existing like Derek in the lonely woods, those were REAL problems. Poor Derek, Jason and the rest of the lot, wandering the Earth, stuck in purgatory with an ax to grind, literally.

Maybe our lives weren't so bad after all?

Years ago, during my nomadic 20s, my sister and I went camping in the White Mountains, just the two of us, to try to repair our strained relationship. We made a fire and told the ghost story of Derek.

And after, both of us -- independent, stubborn, strong women bent on finding ourselves -- ran screaming back into our tent and clung to each other for dear life until we fell asleep. Today, we swear there was something lurking outside our tent for the next hour. I have the scars to prove it. She dug her nails into my arm so deeply, she drew blood.

Why do we love ghost stories? Because they're a temporary sort of terror. They allow us to return to our world, however imperfect, and ultimately they make us feel better about our lives.

They send us snuggling into the arms of the person, just moments before, who was perhaps full of flaws, who now feels like our greatest protector. Ironically, ghost stories take us on a journey of terror that ultimately leaves us feeling safer and less lonely than we had felt before.

@highlight

Author Ilie Ruby remembers the thrills of hearing ghost stories around campfires

@highlight

The one about Derek, the monster boy who lived in the woods, was a favorite

@highlight

Ghost stories "offer us a sense of control over terror, something unattainable in real life"

@highlight

They make us feel better about our lives, and fear drives us closer to people, Ruby says