(CNN) -- I love cemeteries.

That doesn't surprise most people. Because I'm a crime novelist, they expect me to peer into the dark, shivery corners everyone else avoids. But the reasons I love graveyards have little to do with the spooky. To me, they're beautiful green spaces and open-air art museums.

While there are two famous American cemeteries that rate as tourist attractions in their own right -- Arlington and Gettysburg -- there are others that deserve to be better known. Here are my 10 favorite final resting places around the world. They should be on every traveler's list of things to see before they... you know.

Green-Wood Cemetery, New York City

Close your eyes and imagine 478 acres of rolling hills, complete with several ponds, a lake, a glorious view of the Statue of Liberty and thousands of historic monuments. Throw in a chapel that's modeled on Christopher Wren's Thomas Tower at Oxford's Christ Church College, and you've got Brooklyn's spectacular Green-Wood. The cemetery took a beating from Hurricane Sandy, losing some 300 mature trees, but the grand mausoleums and monuments are still in place.

This 1838 cemetery boasts National Historic Landmark status, in part because it's where the Battle of Long Island was fought in 1776. But it's just as significant to bird-watchers, and it's a member of the Audubon Cooperative Sanctuary System. Green-Wood offers a variety of ticketed tours that take you around its expansive grounds by trolley or into its catacombs by flashlight, but visitors are welcome to walk the grounds daily.

Granary Burying Ground, Boston

A sign at the entrance to the Granary Burying Ground claims that "Famous, infamous and unknown Bostonians are buried here." This small cemetery on Tremont Street, founded in 1660, holds many Revolutionary War heroes, including Paul Revere, John Hancock, Samuel Adams and James Otis. One of the grandest monuments belongs to Benjamin Franklin's family (though Ben himself rests in Philadelphia). One of the more infamous residents is Samuel Sewall, a magistrate who presided over the Salem witch trials.

Almost every headstone is eye-catching in its own right, with elaborate carvings of skeletons sporting scythes, winged skulls, sly-looking cherubs, and other symbols of mourning, as well as poetic epitaphs. The towering Egyptian Revival gate that marks the entryway is a work of art in its own right. Open daily, the Granary Burying Ground has excellent signage to point out the most famous -- and infamous --graves.

9 haunted spots across America

Mount Pleasant, Toronto

If you're not used to seeing cemeteries filled with baby strollers and joggers, brace yourself before visiting Mount Pleasant. It's best to regard it as a public park that happens to have a lot of permanent residents. I'd love to say that locals' enthusiasm for the place is part of my hometown's Victorian tradition -- back in 1876, when this cemetery opened, having family picnics at gravesites was considered normal behavior. But it's also true that when you see Mount Pleasant's rolling green hills, botanical gardens, leafy trees, and elegant fountains, you know that it's the cemetery's incredible beauty that draws people in. There are grand mausoleums here, belonging to families like the Eatons and the Masseys, and famous graves, such as pianist Glenn Gould's resting place, but the real reason to visit is to enjoy glorious green space in the middle of a frenetic city. Open daily from dawn to dusk.

St. Louis Cemetery No. 1, New Orleans

New Orleans never had an easy time burying people -- with its water table, they could get unburied when it rained. So they devised a city of the dead with above-ground tombs and opened St. Louis No. 1 in 1789. Its whitewashed crypts, some topped with mournful statues and surrounded by wrought-iron gates, have a ghostly beauty that has been captured on film, most famously in "Easy Rider." The cemetery, as racially diverse as New Orleans itself, is a stop on the Louisiana African American Heritage Trail, and while it's primarily a Catholic burial place, it has a section for others, too.

Tour a NOLA cemetery in pictures

One of its most famous residents may be the 19th-century voodoo priestess Marie Laveau, whose remains are believed to be in the Glapion tomb, and occult offerings are left there in her honor. Guided tours are available through Save Our Cemeteries, but visitors are welcome to wander through every day except Mardi Gras.

Highgate Cemetery, London

Situated on 37 acres in North London, Highgate is as almost much a nature reserve as it is a historic resting place. Wild as a classic English garden, it features trees, shrubs and flowers growing without human intervention, and they provide cover to Highgate's many living inhabitants, which include foxes. In the midst of all this greenery are magnificent stone monuments, some dating back to 1839 and so covered in ivy that the grounds can resemble the land that time forgot. But with famous people such as George Eliot, Karl Marx and Malcolm McLaren interred here, it isn't likely that anyone will ever pass it by. Highgate is divided into East and West cemeteries, with the latter only available for viewing by tour (buy tickets in advance through the website). East Highgate charges an admission fee, but you can explore it on your own.

Hogwarts fan? Follow the trail of real witches

Père-Lachaise, Paris

This is the ultimate Who's Who of graveyards. It was established by Napoleon himself in 1804, with the emperor declaring, "Every citizen has the right to be buried regardless of race or religion." Since then, Père-Lachaise has welcomed writers (Balzac, Proust, Richard Wright, Oscar Wilde, Gertrude Stein and Alice Toklas); singers (Maria Callas, Edith Piaf); artists (Delacroix, Ingres, Modigliani, Corot, Seurat); and composers (Chopin, Bizet), among others. But the most popular gravesite of all is that of rock star Jim Morrison, whose relatively small grave has been so often vandalized that it is now guarded. The cemetery is open daily and visitors are welcome to explore. There's no admission charge.

Old Jewish Cemetery, Prague

It's a curious thing to stand on a city street and look up -- way up -- to spot the cemetery. Prague was, at one time, home to one of the wealthiest Jewish communities in Europe. But its inhabitants were still subject to some rather draconian rules, including one commanding that Jews could only be buried on a single city block. What's now called the Old Jewish Cemetery was that burial ground, and it was used continuously from the early 15th century until 1787. There was nowhere to go but up, and so centuries of tombs and monuments lie buried inside as more earth was brought in. There are some 12,000 tombstones at the top, though thousands more are buried here. It's a poignant thing to see so many headstones jammed together, yet each one is elaborately carved, inlaid with flora and fauna, symbols of a trade or hands reaching to heaven. Open daily, with an admission fee.

La Recoleta, Buenos Aires

In Argentina's capital city, Recoleta is considered a chief attraction. Walled off from the tony neighborhood it inhabits, it's effectively a city-within-the-city, founded in 1822 and filled with elaborately carved tombs and fine Italian statuary. The most popular spot is the Duarte family tomb, which is where the country's most famous first lady, Evita Perón, is buried. (The Duartes are her father's family; because the controversial Evita's body was stolen and mutilated by her husband's enemies after her death, it's now heavily protected.) Even if the names of famous Argentine families aren't familiar to foreign visitors, their extravagant memorials leave a lasting impression. Free tours are available in a variety of languages, and visitors are welcome to explore on their own.

The longest airline flight in the world

Cementerio General, Santiago

Chile and Argentina have always been great rivals, so perhaps it shouldn't be a surprise that Santiago has a cemetery that aims to be even more spectacular than Buenos Aires'. Spread over 210 acres, and divided into elegant streets and boulevards, the Cementerio General has massive tombs designed to resemble Mayan temples, Venetian palazzos and other grand structures — they're so huge, you might start to wonder whether any living family members could be inside, too. But the most fascinating part of the site is the Monument to the Disappeared, a large-scale memorial to those who vanished under Augusto Pinochet's brutal regime. Undoubtedly not by coincidence, the Pinochet family tomb is a stone's-throw away. (Augusto Pinochet died in 2006, but his family, fearing vandalism, didn't place his cremated remains at the family tomb.) Open daily to visitors.

Mount of Olives, Jerusalem

I'm embarrassed to admit that, when I visited the Mount of Olives, on the eastern side of Old Jerusalem, I was expecting a grove of olive trees. Instead, I found an expansive cemetery that dates back to biblical times and is still in use. One of the oldest monuments, at the foot of the mount in the Kidron Valley, is to King David's son Absalom. According to the Book of Zechariah, the Mount of Olives is where the Messiah will first appear, and so it's the first place where the dead will rise from their graves. The Jewish cemetery contains biblical kings as well as more modern Israeli leaders such as Menahem Begin, but there are also Christian and Muslim burial grounds here. Wherever you stand on the mount, it offers a uniquely beautiful view of ancient, walled Jerusalem.

@highlight

The Granary Burying Ground is the final home for many Revolutionary War heroes

@highlight

Jim Morrison is buried in a Paris cemetery established by Napoleon in 1804

@highlight

The Mount of Olives is where the Messiah will appear, says the Book of Zechariah