(CNN) -- "They tried to forget us, as if we never even lived there," says Circassian architect Abdullah Makhmudovic Berisov. Now 67 years old, Berisov speaks about the pain he feels when thinking of the 2014 Olympic Games in Sochi, Russia, and how the opening ceremony failed to mention the history of the Circassian people who once called Sochi their capital.

Berisov is not alone. Circassian artist Sheomir Guchepshoko, 32, says far from being a source of pride, the Sochi Olympics are a tragic reminder of what was lost during the Russian-Circassian war that ended in 1864.

"It was our land," he says, "but during the opening of the Olympic Games, they said it was a Greek land, and then after that it was Russian land. They didn't say anything about the Circassian part of Russian history. And it really hurt."

And even more egregious than failing to be recognized, say some Circassian activists, is that the Olympic venue at Krasnaya Polyana was built on what they say is the mass burial site of the Circassians' final defeat.

In these Olympic Games, "athletes are skiing on the bones of our ancestors," one activist says, adding: "It would be like Germany deciding to build an Olympic Park on Auschwitz."

Circassian historian Samir Khotko says the international attention on Sochi as the host city of the Olympics has awakened a movement to push the Russian government to officially recognize what he and others say was the Circassian genocide of 1864.

The Circassians lived in Sochi for millennia, says Frankie Martin, a research fellow at American University's School of International Service in Washington. In the 19th century, Russia coveted their land -- which is south and east of Russia proper -- and brutally defeated them, decimating entire tribes, he says. Russia killed around 1.5 million Circassians and expelled a similar number.

Russian President Vladimir Putin, who personally lobbied for Sochi to host the Winter Olympics, has repeatedly urged observers to avoid mixing politics with sport.

But activists say the effort to draw attention to their cause has come at a price. They point to what they say are campaigns of intimidation and detention by Russian security forces in order to silence criticism. Circassian activists say that on February 7, dozens were detained in the city of Nalchik while trying to peacefully protest the start of the Olympic Games.

In Maykop, the capital of the Adyghe region, about 150 miles north of Sochi, Guchepshoko's sand art exhibit paints a tale of a 101-year-long war and the tragic exodus that he says is in danger of being forgotten.

The Russian conquest of the Caucasus is widely documented in Russian literature and history, yet Circassians say their portion of this history -- a story of crushing defeat, widespread killing, and mass deportation to the Middle East and elsewhere -- is strangely absent from Russian history books.

Guchepshoko says that as a child growing up in Russia, he knew very little about his ancestry.

Learning Circassian history was prohibited in school, he says. "When I was a child, it was if I was a guest in my own country. But slowly, I found some information about our history, and now I understand. I am a Circassian."

"I started to think about it. It's like there was a hole in my heart, and now I want it to be filled."

When asked if he worries about angering the Russian government with his art, he admits there is some risk but adds that it is his duty to show younger generations, like his, what really happened in the Caucasus 150 years ago.

"I want to show the truth," he says. "Because some young people, people who live here, they don't know about their own history."

An attempt to preserve culture

Circassian activists point out that there were efforts to preserve parts of their culture when the area was part of the Soviet Union. To this day, there is an autonomous region not far from Sochi reserved for the Adyghe, a subset of the Circassian people.

In Maykop, the Circassian language is spoken on the street and shares a place next to Russian on historic landmarks.

Last year, workers constructed a monument to the Circassian people in a scruffy park next to a mosque that was built in the 1990s. But the monument is still unfinished, its designer pointed out. It lacks a dozen bronze stars as well as lights to illuminate it at night.

Meanwhile, in the Olympic Park in Sochi, authorities had authorized the establishment of an Adyghe cultural exhibit.

But Adam Bogus, leader of a Circassian council in Maykop, says Russian Olympic organizers refused a number of specific requests, including the movement of the remains of those lost in the battle at Krasnaya Polyana to a separate cemetery and the creation of a special museum to house precious artifacts that would be recovered during that resettlement.

Bogus says those requests were denied, and instead of preserving the graves, construction crews desecrated many of them during the creation of the Olympic ski venue there.

Bogus says they also asked for a portion of the cultural program in the Olympic opening ceremony to acknowledge the Circassian chapter of Russian history. And he was hopeful they would honor that request. "We believed the Olympic tradition would be observed here ... until the very last minute," he says. "And that too did not happen."

But even with the heartache Bogus says the Circassian people feel now as a result of these Olympic Games, he goes on to say that "Circassians are no enemies of Russia. Ever since Ivan the Terrible, Circassians have helped with the development of Russia."

"We consider ourselves citizens of Russia, but we would like adequate respect for our culture," he adds.

It is a sentiment shared by Guchepshoko. "I don't hate Russia," he says. "My wife is Russian. It's complicated. I do not want this war to be repeated. I do want us to have our land, but I understand that is impossible. I don't want blood. I don't want wars. And that is why it is so complicated."

"I want to show people what really happened. It's a big tragedy for us, for our people. We lost land, we lost a thousand million people. That's why we can't forget."

Dina Filippova contributed to this report.

@highlight

Focus on Sochi has awakened a push to recognize Circassian genocide, historian says

@highlight

Circassian history wasn't mentioned in Olympic opening ceremony, one Circassian says

@highlight

Activists say Russian security forces have used intimidation to try to silence them

@highlight

Leader of a Circassian council in Maykop says Circassians are not enemies of Russia