There are many groups listed by the U.S. State Department as terrorists. But few fit the classic definition -- threatening and inflicting terror on a civilian population -- better than Boko Haram in northern Nigeria. What's more difficult to work out, beyond Boko Haram's hatred for everything modern and secular, is its ideology, structure and affiliations.

Boko Haram's modus operandi is all too clear: brutal and indiscriminate killings of both Christians and Muslims in northern Nigeria, the bombings of churches and suicide attacks in the federal capital, Abuja, including the devastating car bombing of the U.N. compound in 2011. Recent attacks in the northeast, mainly in rural areas of Borno state, have left dozens dead. Victims are shot at point-blank range or stabbed and mutilated. Some attacks have lasted hours without any police or military intervention.

In the first three months of this year, Amnesty International estimates, Boko Haram was responsible for the deaths of more than 1,500 people.

In April, the group added mass abduction to its repertoire with the kidnapping of more than 200 girls ages 16 to 18 from a boarding school in Borno.

"Slavery is allowed in my religion, and I shall capture people and make them slaves," Abubakar Shekau, the leader of Boko Haram, declared in a chilling video released in May.

It was a message typical of a medieval mindset, reflecting the admiration for the Taliban that inspired his predecessor, Mohammed Yusuf.

Boko Haram and other factions have carried out kidnappings on a smaller scale, targeting Western workers and tourists. Rescue attempts -- by Nigerian security forces and in one instance in concert with UK special forces -- have ended with the deaths of hostages. In one instance last year, Boko Haram allegedly received a substantial ransom (rumored to be in excess of $3 million) for the release of a French family abducted in northern Cameroon.

Why would anyone join a group so focused on killing, maiming and kidnapping civilians, one with such an incoherent, apocalyptic but resolutely backward mindset? Boko Haram, whose real name translates as the Sunni Group for Preaching and Jihad, feeds on the poverty and discrimination felt by many young Muslims in northern Nigeria. Shekau persistently recalls perceived persecution of Nigeria's Muslims by Christians, among whom President Goodluck Jonathan is the latest "oppressor."

A lure for young men

In a region where unemployment is pervasive, the promise of a weapon and plunder has been enticing to hundreds of young men. In a recent report, the International Crisis Group noted that "most Nigerians are poorer today than they were at independence in 1960 ... and the government is unable to provide security, good roads, water, health and reliable education."

The central government's heavy-handed and frequently untargeted anti-terrorism campaign has radicalized enough young men to sustain Boko Haram. The country's own Human Rights Commission last year accused the military of arbitrary killings, torture and rape in its campaign against the group. Jonathan's declaration of a state of emergency a year ago in three northern states failed to halt or even stem the tide of killings.

John Campbell, a former U.S. ambassador to Nigeria and now a fellow at the Council on Foreign Relations, says, "the security forces have proven remarkably ineffective in securing territory or people within the areas under the state of emergency."

This makes for fertile territory for Boko Haram, with its demand for Sharia law and rejection of all things Western (especially education for girls).

It is no coincidence that Nigeria and Pakistan see the most militant attacks on schools and colleges.

Among Boko Haram's targets in recent months: a secondary school in Mamudo, where 42 students were killed, and another on an agricultural college near Damaturu in Yobe state, where more than 40 were killed.

Boko Haram's outlook and that of the Pakistani Taliban have similarities, even if their origins are very different. Both have thrived in (usually rural) areas where the state's authority is weak, exploiting corruption and sectarian fault lines. Both have also targeted workers involved in trying to eradicate polio. Both recruit from Islamic schools (whose students are called almajiris in northern Nigeria) where memorizing the Quran is the core of the curriculum.

The emergence of civilian vigilante groups in cities like Maiduguri has driven Boko Haram into the remote northeastern corner of Nigeria, close to the borders with Cameroon and Chad. It has a network of camps in the thick forests of the Sambisa Reserve, which is where at least some of the abducted schoolgirls are likely to have been taken.

Boko Haram and al Qaeda

There's no firm evidence as yet that Boko Haram has ambitions beyond Nigeria, though its campaign of terror has spilled into remote parts of Cameroon and it appears to have informal links with militant Islamist groups in Mali and Niger. And for a while in 2012, Shekau sought refuge in Gao in northern Mali, a town then held by the Movement for Unity and Jihad in West Africa, after being wounded in a shootout with Nigerian security forces.

Shekau has declared his allegiance to al Qaeda leader Ayman al-Zawahiri. But Boko Haram's structure and ideology are so opaque and its focus so local that al Qaeda's leadership has thus far -- at least publicly -- shunned it.

Other factions that have broken with Shekau may have broader ambitions. Jacob Zenn, an expert on Boko Haram and its several offshoots, wrote in a recent edition of the Combating Terrorism Center's Sentinel that some leaders "are uniquely capable of expanding Boko Haram's international connections to al-Qaeda in the Islamic Maghreb (AQIM), al-Shabaab" in Somalia and other militant groups.

Zenn, an analyst with the Jamestown Foundation, says that Mamman Nur, said to have masterminded the bombing of the United Nations building in Abuja, has trained with Al-Shabaab. Another senior figure, Adam Kambar, "became the leader of an AQIM training camp" before being killed in 2012.

Kambar led the most effective of several factions: Ansaru, whose full name is Vanguards for the Protection of Muslims in Black Africa.

The group emerged in 2012 in opposition to Shekau's targeting of Nigerian civilians. Its members are said to have received training with jihadist groups in Algeria, and it appears to have a broader canvas than does Shekau. In January 2013, Ansaru attacked a convoy of Nigerian troops on their way to support the French operation against al Qaeda in Mali. It has also targeted western workers, killing seven engineers in Bauchi early last year.

Just who leads Ansaru is a mystery; its videos show only veiled men. But according to the International Crisis Group, the group is now led by Khalid Barnawi, who has close links with al Qaeda in the Islamic Mahgreb and has profited from its part in the kidnapping business.

Yet another faction called itself al Qaeda in the Land Beyond the Sahel, a nod toward al Qaeda in the Islamic Mahgreb and its ambitions for a broad West African jihadist front. The group's abduction and eventual murder of two foreign construction workers in 2012 bore the hallmarks of Mokhtar Belmokhtar, an al Qaeda in the Islamic Mahgreb leader in Mali who has turned kidnapping into a lucrative business.

A more dangerous beast

No one (apart from Boko Haram's leaders) believes the group can overthrow the Nigerian state. It has no presence in the oil-rich south (even if Shekau threatens to attack oil refineries there), and its fighters probably number in the hundreds at most. But it can drain the federal government of resources, damage Nigeria's international reputation and turn swathes of northern Nigeria into no-go zones. (The governor of Borno state admitted it was too dangerous for him to travel to the Sambisa area.)

The International Crisis Group says the fractured militant groups in northern Nigeria are "unlikely ever to be completely suppressed, unless the government wins local hearts and minds by implementing fundamental political reforms to address bad governance, corruption and underdevelopment."

There have been few signs of such an approach -- and its absence may usher in a much worse scenario.

Greater cooperation between Boko Haram, Ansaru and other militant factions in the region could create an altogether more dangerous beast, according to Zenn, creating "a multimillion-dollar "terrorism economy" in the southern Sahel that fuels corruption and raises tensions between neighboring countries and the region's Muslims and Christians."

@highlight

Boko Haram, blamed in hundreds of deaths, added mass abduction to its repertoire in April

@highlight

Group's promises of weapons, plunder lure Nigeria's young men

@highlight

There's no evidence that Boko Haram has aspirations beyond Nigeria

@highlight

But splinter groups may have broader ambitions