With racial issues and policing headlining the political conversation in America in the midst of nationwide protests and the murder of two police officers in New York, President Barack Obama said he believes the issue of race relations is surfacing "in a way that probably is healthy."

Obama welcomed the attention race relations and policing in minority communities have attracted recently and said he believes there will be "progress" on those issues in the next year as a result of the task force of police, community leaders and activists he assembled this year.

"I actually think that [the U.S. is] probably in its day-to-day interactions less racially divided," Obama said in an interview with NPR released Monday and recorded before his family vacation in Hawaii. "The issue of police and communities of color being mistrustful of each other is hardly new; that dates back a long time. It's just something that hasn't been talked about."

Obama spoke out after two white police officers who each killed an unarmed black man were not indicted by two separate grand juries in recent months, empathizing with protesters and urging them to remain non-violent.

But race relations weren't the only topic of discussion when Obama sat down with NPR for a wide-ranging 40-minute interview, in which, he reflected on six years in office and looked forward toward the final two.

Obama signaled that 2014 marked a shift in his presidency with the economy showing significant signs of recovery and as the health care law has begun to bear its fruits, calling gains from his administration's policies "liberating."

Now, Obama can stop putting out the fires and "focus on some long-term projects" and consolidating the gains of his first six years in office -- and perhaps his legacy.

Obama called his signature health care law a "big lift with significant political cost," but said the country is now seeing "it's paid off." And that will be one achievement he will look to defend from a Republican Congress that could define his final two years in the Oval Office.

Obama, who said he was "frustrated" with the midterm results, said he would look for common ground with Republican legislators, but wouldn't shy away from using his veto power to defend his health care legislation and "gains that we've made on environment and clean air and clean water" -- a significant statement given that the next Congress will take up the environmentalist-opposed Keystone XL pipeline project as their first vote next year.

The President hasn't yet decided whether he'll veto the pipeline.

While Obama flaunted economic gains at home, from deficit reductions to job growth, he also touted American gains in the international arena -- from handling Russia to fighting Ebola.

"Wherever we have been involved over the last several years, I think the outcome has been better because of American leadership," Obama said. "One of the things I've learned over six years -- and it doesn't always suit the news cycle -- is having some strategic patience."

While Obama has taken flak in recent years for being too soft in confronting Russian aggression in Ukraine -- including its annexation of Crimea -- Obama pointed to the ongoing collapse of Russia's economy as a sign of his strategic fortitude.

Plummeting oil prices are largely responsible for Russia's nosedive into economic recession, but U.S. sanctions over the last year have also played their part and Obama insisted that those sanctions set the foundation to ensure eventual fluctuations in the oil market would hit Russia hard.

Obama said in an interview with CNN this month that his Russian counterpart, President Vladimir Putin, is no "chess master" and didn't outmaneuver the U.S. as some pundits had suggested.

In fact, Obama said he believes the U.S. doesn't' "really have a serious peer, at least on the conventional level," today.

The President also reaffirmed his opposition to his predecessor's nation-building policies in Iraq, saying he believes the U.S. "can help, but we can't do it for them" in countries like Iraq, Libya and Syria.

Sure to learn from the backlash he faced after he likened ISIS to a "jayvee team" last January, Obama said the U.S. "can't underestimate the danger of ISIL," but noted that "it's not the only danger we have" and said the U.S. should focus on spending money at home rather than committing "another trillion dollars" to fighting the militant Islamist group.

And with his decision this month to normalize relations with Cuba and establish an embassy in Havana, Obama was asked about another so-called "rogue" state that Obama has sought to engage: Iran.

So what about an embassy in Tehran, Iran's capital?

"I never say never, but I think these things have to go in steps," Obama said, noting that the Cuban decision came after more than a 50-year policy that has failed to change the politics of Cuba.

Iran is different, though, Obama said, because it has a "track record of state-sponsored terrorism" and has displayed fervently anti-American rhetoric and made "incendiary" threats toward Israel.

"There's a lot of history there that's different from the history between us and Cuba," Obama said.

@highlight

Obama said he believes the U.S. is "less raciallly divided" today

@highlight

And with the economy gaining, Obama said he'll look to focus on "long-term projects" in the next year

@highlight

He'll also defend his health care law, while working with the GOP to find common ground

@highlight

Obama also touted U.S. leadership abroad, and discussed the prospects of an embassy in Iran