(CNN) -- Villagers march more than 300 kilometers from northwest Cambodia to ask the prime minister to save their homes from developers. Some 400 families in the country's south learn their farmland had been given to developers only when bulldozers arrive.

Villagers in northwest Cambodia set court documents on fire in protest over a land dispute.

Such examples of forced evictions and land conflicts are cited by the Cambodian Human Rights Action Committee (CHRAC) in a report, "Losing Ground," released Thursday.

The report was a collection of voices from people rarely heard and "present a painful look into the lives of people affected by forced evictions and intimidation, mainly the rural poor," said CHRAC, a network of 21 non-governmental organizations.

"The voices in the report belong to Cambodians who have been or are facing eviction. Most have insisted that their names and photographs be used, believing that openness will bring justice and appropriate solutions," the group said, adding that such trust is "the springboard for the next stage of Cambodia's recovery from decades of civil strife."

An estimated 150,000 Cambodians live at risk of forced eviction, Amnesty International said in its 2008 report on the country. Read about AIDS patients who were resettled to an isolated area

Beng Hong Socheat Khemro, deputy director general of Cambodia's Ministry of Land Management, Urban Planning and Construction, said the government was committed to finding the best solutions for not just squatters, but the entire population, and that it is drafting legal guidelines on squatter resolution. He also said the government rejected the term forced evictions, saying that meant people were forced off land they legally owned.

He noted that various factors affect land use and ownership in the country: The 1970s ultra-Maoist Khmer Rouge regime abolished all legal and regulatory documents regarding land, strong economic growth has contributed to demand for land, particularly in urban areas, and the pace of urbanization has stepped up in recent years.

"Many people illegally occupy land that does not belong to them," he said, later noting: "What has happened now with the resettlement, or the relocation, of people is the fact that the government is implementing the law."

"I am very sure that those who claim to be on the land before the legal land owner, most of them do not have any proof at all," he said. "Most of the cases that people -- illegal squatters, settlers -- have claimed that they have been on that land since, let's say 1979, are not true. If you study the legal development of Cambodia, you will understand, and not many people understand, including the NGOs (non-governmental organizations) themselves."

Amnesty said poor Cambodians share the plight of many impoverished people around the world. The group cited the forced evictions of thousands in Angola, violence and insecurity in Brazil's shantytowns, and social services denied to Roma in Italy.

"There are more than 200,000 such communities, home to 1 billion people around the world," the group said.

"In Cambodia for the last two years, Amnesty International has been focusing on forced evictions as one of the country's most serious human rights violations today," Amnesty said in a statement on CHRAC's report. "The increasing number of land disputes, land confiscations, and industrial and urban redevelopment projects hurt almost exclusively people living in poverty."

People fighting evictions "experience harassment at the hands of the authorities or people hired by private businesses. The rich and powerful are increasingly abusing the criminal justice system to silence communities taking a stand against land concessions or other opaque business deals affecting the land they live on or cultivate," Amnesty said.

CHRAC said development of Cambodia, recovering from the Khmer Rouge genocide and ensuing decades of conflict, "must not negatively affect" people's lives.

"Our communities are losing land and natural resources. These are the resources that people have depended on for generations," CHRAC said.

The report details evictions across the country.

One group of villagers walked from the rice bowl of Battambang in the northwest to Phnom Penh to deliver a letter to Prime Minister Hun Sen, seeking help in two long-running court fights with businessmen who claim to own a total of 200 hectares of their land.

"We didn't have enough money to get the bus to Phnom Penh. We had to walk. It was our last hope. We had to see Hun Sen or we would lose our land," said Chim Sarom, 45.

They delivered their letter, but Sarom said they were unsure whether he ever got it. She said authorities gave them money to go home and were told an official would visit them.

"No government official ever came to our village. If we have to, maybe we will walk again," she said.

@highlight

Cambodian human rights network releases report on forced evictions

@highlight

Amnesty: Evictions one of Cambodia's most serious human rights violations

@highlight

Groups: Mainly the rural poor affected; people intimidated, harassed

@highlight

Official: Government committed to finding best solutions; no forced evictions