Washington (CNN) -- In what have become known as the "Jesus pencil" and "candy cane" cases, the Supreme Court refused Monday to consider appeals from the families of elementary school students over distribution of religious-themed gifts on campus.

At issue was whether school officials can be sued for violating the First Amendment rights of what the students claimed was their "private, non-curricular speech based solely upon its religious viewpoint."

A federal appeals court had ruled in favor of school officials in Plano, Texas,on the liability question, and the justices without comment let that decision stand.

The full 16-judge panel from the New Orleans-based court last September concluded while the constitutional rights of the students were violated, school administrators could not be sued under the "qualified immunity" legal standard. The litigation continues on other aspects of two separate incidents nine years ago, both involving schools at the Plano Independent School District in the Dallas suburb.

"Educators should not suffer personal monetary liability for making a mistake in this area of the law," said the appeals judges.

In one instance, the principal of Thomas Elementary School blocked then-third-grader Jonathan Morgan from handing out "goody bags" at a winter party. The bags included a decorative pen in the shape of a candy cane with a Christian message that read in part: "Every time you see a candy cane, remember the message of the candy maker: Jesus is the Christ!"

Parents had met with Principal Lynn Swanson, who offered a compromise: the laminated "Legend of the Candy Cane" pens would not be allowed at the classroom party, but could be distributed separately at a table in the school library. School district officials later clarified, saying students in general were not allowed to pass out "any written material, tapes, or other media" to classmates, whatever the message.

The boy's mother and father nevertheless brought the pens to the party, and the principal then announced to the school by loudspeaker that all "outside materials" were banned from classroom distribution. The family claims Jonathan was the only student subsequently banned from distributing his "goody bags."

A month later at Rasor Elementary School, the parents of then-second-grader Stephanie Versher complained the girl was forbidden from handing out tickets to a passion play, which was being performed at a local church, depicting the crucifixion of Jesus Christ. The student expressed her "sincere" religious conviction she "should share her beliefs with her friends."

Days later, Stephanie was then stopped from distributing brownies at a party with two pencils attached, one of which was inscribed, "Jesus loves me this I know from the Bible." The other pencil had the word "Moon" on it. Her mother then angrily confronted school officials, including Principal Jackie Bomchill.

Sherrie Versher later testified she left the school offices emotionally upset, and "she thought out loud to herself, 'Satan is in the building,'" according to the court transcript. It was unclear to whom she was referring. A disagreement developed over whether the school had given permission for the student to give the "Jesus" pencils after classes that day, outside the school building on the sidewalk.

A legal question developed whether that distribution was on school property or nearby, and whether authorities would then have power to stop the pencils from being given away.

The appeals court noted the difficulty government officials have ensuring schools and other public facilities remain free of religious proselytizing.

"When educators encounter student religious speech in schools, they must balance broad constitutional imperatives from three areas of First Amendment jurisprudence: the Supreme Court's school-speech precedents, the general prohibition on viewpoint discrimination, and the murky waters of the Establishment Clause." said the judges. "They must maintain the delicate constitutional balance between students' free-speech rights and the Establishment Clause imperative to avoid endorsing religion."

The court concluded the principals were entitled to qualified immunity "because clearly established law did not put the constitutionality of their actions beyond debate."

School officials had said they are entrusted by parents with the education of children, and retain complete control over all aspects of a student's time and communications -- including parties and hallway discussions.

The Constitution's First Amendment bars any government from passing laws "respecting an establishment of religion, or prohibiting the free exercise thereof."

The high court in the past has typically dealt with such church-state disputes by allowing Ten Commandment displays in public buildings; the mention of "God" on currency and in the Pledge of Allegiance; manger and menorah displays in public parks; and school and legislature prayer.

A Texas-based legal group had represented the Versher and Morgan families in their appeals.

"We are disappointed the Supreme Court denied review of this case," said Hiram Sasser, director of litigation of Liberty Institute. "We were hoping to finally put this issue to rest: that government school officials should be held accountable when they violate the law and students' First Amendment rights. No student should be subjected to religious discrimination by the government."

While the students' "speech" in these cases involved a religious message, the high court has also established important precedent on the larger free speech issue. In the famous "Tinker" case from 1969, the Supreme Court ruled two Iowa high school students could continue wearing anti-Vietnam War armbands. The high court said students do not "shed their constitutional rights when they enter the schoolhouse door." But school administrators do retain the authority to restrict any activity that would cause a "substantial disruption" of the school's educational mission.

The current cases are Morgan v. Swanson (11-804), and Swanson v. Morgan (11-941).

@highlight

Texas school officials stopped distribution by students of religious-themed gifts on campus

@highlight

Parents of the students said the school officials violated their children's constitutional rights

@highlight

An appeals court ruled in favor of the school officials

@highlight

The Supreme Court refused Monday to consider appeals on behalf of the parents