(CNN) -- Standing tall in a sport once dubbed "boxing with rackets," Nicol David has a better analogy to define the particular rigors of squash.

She calls it "physical chess" -- a test of body and mind in equal measure which the 29-year-old has mastered like no other female player since 2005.

The Malaysian has deployed that magical mix of physical prowess and tactical awareness to win seven of the last eight world championships, becoming the undisputed queen of her sport despite her slight stature.

"Squash is all about dimensions," says David, who is only 1.63 meters tall and weighs in at just 50 kilograms.

"You are sharing the same space as your opponent, and not many racket sports have that element in their game, it's really like you and your opponent being in a gladiator ring," she told CNN's Human to Hero series.

"It's all about taking your space and control and using the space as well as you can, like physical chess."

Top-level squash is played in a glass walled arena of just under 50 square meters of floor space and there is nowhere to hide. It adds to the sense of the theater for the spectators, but is a daunting prospect for the players.

"Going in to the glass door and getting ready for battle, it's very, very intense," David says.

Despite her small frame, she packs the punch of a heavyweight as opponents are dispatched in double quick time -- and has earned the nickname of "the Duracell Bunny."

It's easy to see why.

On the court she is the epitome of perpetual motion and, like the figure advertising the long-lasting battery, she never seems to run out of power.

But it is also her mental strength that has helped her win the world title every year since 2008.

"It has really helped me in the last few years, all the visualization we do, and also setting a game plan that makes me certain that on court you just need to be ready for anything and stay on top of things straight away," she says.

Dream fulfilled

David was set on the course for squash stardom from an early age, playing her first games in the city of Penang when she was just five, encouraged by a sporting father and two elder sisters -- Lianne and Cheryl -- who both played to national standard.

From her early teens, David was recognized as a prodigious talent and her first world junior title in 1999 signaled a further breakthrough.

But the step up to the senior level proved a testing time and in 2003 she moved to the Dutch capital Amsterdam to work fulltime with Australia's former world No. 2 Liz Irving.

It has proved a formidable partnership, and David is quick to recognize the part Irving has played in her incredible success.

"I've learned some much from her, she's just been a true mentor for me to show me what's it like to be at the top."

Under Irving's guidance, success at world senior level first came in Hong Kong in 2005.

"It's everyone's dream to be world champion and when it actually did happen, I was just standing speechless. I could hardly imagine my dreams had been fulfilled," David said.

"I still have that same exact feeling when I won that world title because it just means so much to me."

To have stayed at the summit of her game since then underlines David's incredible appetite for success.

"If you are technically sound and really fit and strong and mentally strong, you can be a top squash player," she said.

Intense training

David makes it sound easy, but hours and hours of intense training are required along with the right balance of rest and recuperation.

"Squash is really, really brutal to your body -- your joints especially your knees and hips and your back -- so we really need to stay on top of things and be careful with over training," she said.

David again underlined her dominance by winning the World Series Finals title in London to start 2013, but the fact she was unable to display her incredible talents in the British capital at last year's Olympic Games remains a source of continued frustration.

She has gone on record as saying that she would trade all her world titles for one Olympic gold medal, and squash's failure to gain inclusion for the 2016 Games in Rio was a major disappointment, with golf and rugby sevens instead being included.

David is an integral part of the 2020 Back the Bid campaign for squash, which was unveiled at the World Series Finals earlier this month. It is also supported by supported by Greg Searle and Victoria Pendleton, gold medal winners in rowing and cycling for Britain last year.

"Squash pretty much has the whole package on what an Olympic sport should be and we have proven ourselves time and time again that our game has so much to offer. We are the complete sport," David said.

Olympic bid

"Our last two campaigns, where we missed London and Rio, we've learned a lot and we are ready to take up our case for 2020."

David would be in her late 30s by the time of the 2020 Games, but she will try to extend her career if squash finally convinces the International Olympic Committee that it should be included.

"I would do my best to stay in the game and to play the Olympics for the very first time, but if I can't make it then, at least I was part of the campaign," she said.

For the moment, David savors her involvement in the 2004 Athens Games, when she was one of five Malaysian sports personalities chosen to run with the Olympic torch on its worldwide tour. "It was truly special," she remembers.

She has represented her country in major events, winning four gold medals at the Asian Games since 1998 in Bangkok when she was only 15.

Gold medal success in the Commonwealth Games eluded David until she won the singles title in Delhi in 2010.

Going into the 2006 edition in Melbourne, Australia, David was reigning world champion and favorite, but was beaten by her great rival Natalie Grinham in the semifinals.

Revenge for that defeat came in the World Open in Northern Ireland at the end of the year, where she beat the Australian -- who is now a Dutch citizen -- in an epic final, considered one of the greatest in women's squash history.

Total domination

For David, it was a victory that set the foundation for her near total domination until the current day.

"It was just the turning point when I won that second world title, it just proved the point -- this is where I'm at, I'm ready to move forward. It just gave me the assurance I could do still more."

Grinham and her sister Rachael continued to prove a thorn in David's side, contesting the 2007 World Open title to break her winning streak, but she has since claimed five straight global crowns.

Setbacks have proved few and far between, going through 2010 unbeaten with her Commonwealth gold in India a particular highlight.

Whether David can withstand the sport's constant physical demands to extend her career for a possible shot at 2020 Olympic glory remains to be seen, but few would deny her the opportunity.

The decision on the hosts for the 2020 Games will be made by the IOC in September 2013, when the delegates will also add one more sport to the program.

Squash will be battling it out with the likes of softball, roller sports and wakeboarding to gain admission, representing the last chance for David to fulfill her golden dream.

"Anybody involved with squash wants to see the sport get there, everybody thinks it's already in there and just assume we are part of the Games," she said.

"It's very heartbreaking when we are just not part of it."

@highlight

Nicol David has dominated women's squash since 2005

@highlight

The 29-year-old Malaysian is a seven-time world champion

@highlight

Squash is one of the most demanding sports in the world

@highlight

It is bidding for Olympic recognition for 2020 Games