CAIRO, Egypt (CNN) -- Languishing in a Cairo prison last year, a prisoner noticed that every day, the prison staff would clean the adjacent cell, even though there was no one in it.

Why, the prisoner asked his guards, did they do it? It's for Barack Obama, they responded. Because when he loses the election, he'll surely be thrown in jail, so this way, a cell will be ready for him. Every day, the prisoner said, he prayed in his cell that Obama would win.

The prisoner was Ayman Nour, a liberal politician who in 2005 ran against and lost to Egypt's aging ruler, Hosni Mubarak, in the country's first multiparty presidential elections. Soon afterward, he was convicted of electoral fraud and sent to jail. He was released earlier this year.

Nour said he had received an invitation from the American Embassy to attend President Obama's address to the Muslim world at Cairo University on Thursday. He said he doesn't plan to attend, but will watch it on television.

"That way," he said, "if I hear something I don't like, I can always change the channel with my remote control."

The way that Nour prayed for an Obama victory, but will not go to hear him in person, is typical of the ambiguities in how many in Egypt and throughout the Muslim world view Obama's much touted address to the world's nearly 1.5 billion Muslims.  Watch shopkeepers say what they want from Obama »

On the one hand, at least in Egypt, Obama is the most popular American president in years. Almost everyone you meet is almost starry-eyed over the new American leader.

On the other hand, the region has a long history of disappointment with the United States.

Egyptian reformists look back bitterly on their experience during the Bush administration, which, after the September 11, 2001, attacks on the United States and the U.S.-led invasion of Iraq, launched an initiative to push for political liberalization in the Middle East.

In 2005, then-U.S. Secretary of State Condoleezza Rice made a speech that sent a shockwave through Egypt. Journalist Ethar El-Katatney recalled, "She said that in the last 60 years, the U.S. pursued stability at the expense of democracy. We all said, 'wow!' "

The mounting American pressure on the dictators, the demonstrations, the rediscovery of long-lost voices raised against authoritarian regimes like Egypt's sparked talk of an "Arab spring," a long-overdue blossoming of freedom and democracy in the political desert of the Middle East.

But the Bush administration's passion for Arab democracy cooled dramatically when Egypt's powerful Islamist network, the Muslim Brotherhood, made stunning gains in parliamentary elections in late 2005. And the passion went stone cold in January 2006, when the militant Palestinian Islamic group Hamas was swept to power in democratic elections in Gaza and the West Bank.

Sensing Washington's worry, Arab dictators and their ruthless security services saw their chance, and slowly started to squeeze the brave few who had been calling for change.

Award-winning Egyptian blogger Wael Abbas experienced the thrill of the "Arab spring," but since then has had plenty of run-ins with Egypt's secret police. He has no illusions about what matters to the United States, Obama's charisma notwithstanding.  Watch how Egyptians are looking for concrete results »

"It's OK for these countries to be oppressive," he said, "as long as they are allies [of the United States], as long as they are not communists, as long as they allow investment, as long as they allow McDonald's and Hardee's and whatever businesses to be open here. But if they are dictators, [the United States] doesn't care about human rights, as long as they are allies, as long as they keep peace with Israel, it's OK."

"We have a fundamental problem with America," Nour said in an interview at his flat Monday. "America always takes positive steps, then setbacks happen, and usually America puts its interests above its principles."  Watch Egyptian youths give their views on Obama's trip »

And this is what Obama may want to keep in mind when he addresses the Muslim world from Cairo. People here are eager for concrete initiatives, not a rousing speech with no follow-up. This is a region that has often had great faith in the good intentions of the United States, only to watch as that faith was betrayed.

"It can't be all rainbows and roses," said El-Katatney, the journalist. "We don't want any more grand promises. Obama talks brilliantly, but we've become a bit cynical."

@highlight

President Obama is heading to Egypt to make address to Muslim world

@highlight

Obama is the most popular U.S. president in years for Egyptians

@highlight

But the region has a long history of disappointment in the United States