(CNN) -- We're in the midst of a bionic revolution, yet most of us don't know it.

Around 220,000 people worldwide already walk around with cochlear implants -- devices worn around the ear that turn sound waves into electrical impulses shunted directly into the auditory nerve.

Tens of thousands of people have been implanted with deep brain stimulators, devices that send an electrode tunneling several inches in the brain. Deep brain stimulators are used to control Parkinson's disease, though lately they've also been tested -- with encouraging results -- in use against severe depression and obsessive compulsive disorder.

The most obvious bionics are those that replace limbs. Olympian "Blade Runner" Oscar Pistorius, now awaiting trial for the alleged murder of his girlfriend, made a splash with his Cheetah carbon fiber prostheses. Yet those are a relatively simple technology -- a curved piece of slightly springy, super-strong material. In the digital age, we're seeing more sophisticated limbs.

Explore the bionic body

Consider the thought-controlled bionic leg that Zac Vawter used to climb all 103 floors of Chicago's Willis Tower. Or the nerve-controlled bionic hand that Iraq war veteran Glen Lehman had attached after the loss of his original hand.

Or the even more sophisticated i-limb Ultra, an artificial hand with five independently articulating artificial fingers. Those limbs don't just react mechanically to pressure. They actually respond to the thoughts and intentions of their owners, flexing, extending, gripping, and releasing on mental command.

The age when prostheses were largely inert pieces of wood, metal, and plastic is passing. Advances in microprocessors, in techniques to interface digital technology with the human nervous system, and in battery technology to allow prostheses to pack more power with less weight are turning replacement limbs into active parts of the human body.

In some cases, they're not even part of the body at all. Consider the case of Cathy Hutchinson. In 1997, Cathy had a stroke, leaving her without control of her arms. Hutchinson volunteered for an experimental procedure that could one day help millions of people with partial or complete paralysis. She let researchers implant a small device in the part of her brain responsible for motor control. With that device, she is able to control an external robotic arm by thinking about it.

That, in turn, brings up an interesting question: If the arm isn't physically attached to her body, how far away could she be and still control it? The answer is at least thousands of miles. In animal studies, scientists have shown that a monkey with a brain implant can control a robot arm 7,000 miles away. The monkey's mental signals were sent over the internet, from Duke University in North Carolina, to the robot arm in Japan. In this day and age, distance is almost irrelevant.

The superhuman frontier

The 7,000-mile-away prosthetic arm makes an important point: These new prostheses aren't just going to restore missing human abilities. They're going to enhance our abilities, giving us powers we never had before, and augmenting other capabilities we have. While the current generation of prostheses is still primitive, we can already see this taking shape when a monkey moves a robotic arm on the other side of the planet just by thinking about it.

Other research is pointing to enhancements to memory and decision making.

The hippocampus is a small, seahorse-shaped part of the brain that's essential in forming new memories. If it's damaged -- by an injury to the head, for example -- people start having difficulty forming new long-term memories. In the most extreme cases, this can lead to the complete inability to form new long-term memories, as in the film Memento. Working to find a way to repair this sort of brain damage, researchers in 2011 created a "hippocampus chip" that can replace damaged brain tissue. When they implanted it in rats with a damaged hippocampus, they found that not only could their chip repair damaged memory -- it could improve the rats' ability to learn new things.

Nor is memory the end of it. Another study, in 2012, demonstrated that we can boost intelligence -- at least one sort -- in monkeys. Scientists at Wake Forest University implanted specialized brain chips in a set of monkeys and trained those monkeys to perform a picture-matching game. When the implant was activated, it raised their scores by an average of 10 points on a 100-point scale. The implant makes monkeys smarter.

From disabled to super-capable

Both of those technologies for boosting memory and intelligence are in very early stages, in small animal studies only, and years (or possibly decades) away from wide use in humans. Still, they make us wonder -- what happens when it's possible to improve on the human body and mind?

Read this: Snake arms and crystal legs: Amazing artificial limbs

The debate has started already, of course. Oscar Pistorius had to fight hard for inclusion in the Olympics. Many objected that his carbon fiber prostheses gave him a competitive advantage. He was able -- with the help of doctors and biomedical engineers -- to make a compelling case that his Cheetah blades didn't give him any advantage on the field. But how long will that be true? How long until we have prostheses (not to mention drugs and genetic therapies) that make athletes better in their sports?

But the issue is much, much wider than professional sports. We may care passionately about the integrity of the Olympics or professional cycling or so on, but they only directly affect a very small number of us. In other areas of life -- in the workforce in particular -- enhancement technology might affect all of us.

When it's possible to make humans smarter, sharper, and faster, how will that affect us? Will the effect be mostly positive, boosting our productivity and the rate of human innovation? Or will it be just another pressure to compete at work? Who will be able to afford these technologies? Will anyone be able to have their body, and more importantly, their brain upgraded? Or will only the rich have access to these enhancements?

We have a little while to consider these questions, but we ought to start. The technology will sneak its way into our lives, starting with people with disabilities, the injured, and the ill. It'll improve their lives in ways that are unquestionably good. And then, one day, we'll wake up and realize that we're doing more than restoring lost function. We're enhancing it.

Superhuman technology is on the horizon. Time to start thinking about what that means for us.

The opinions expressed in this commentary are solely those of Ramez Naam.

@highlight

"We're in the midst of a bionic revolution," says author Ramez Naam

@highlight

Thought-controlled bionic legs and arms are already reality

@highlight

Brain implants allowed monkeys to control robotic arms from a distance of 7,000 miles

@highlight

These advances raise moral question over who will have access to this technology