(CNN) -- More than 100,000 Syrians fled the country in August, by far the most of any previous month in the civil war, the United Nations said Tuesday.

Here are the latest key developments in the 18-month crisis:

Diplomacy:

U.N. Secretary-General Ban Ki-moon, speaking in New York at a meeting of the General Assembly, described the humanitarian situation sparked by the crisis in Syria as "grave and deteriorating."

He said the conflict "has taken a particularly brutal turn" and accused both sides of committing human rights violations.

"Government forces and the armed opposition have clearly failed to protect civilians and respect the rules of international humanitarian law. We must ensure that anyone, on any side, who violates international humanitarian law or human rights law is held to account," Ban said.

The secretary-general appealed to all parties, including countries in the region, to do what they can to bring an end to the conflict.

"Those who provide arms to either side are only contributing to further misery -- and the risk of unintended consequences as the fighting intensifies and spreads," he said.

The new United Nations and Arab League envoy to Syria, Lakhdar Brahimi, also spoke, stressing that the future of Syria will be built by its own people.

"The death toll is staggering, the destruction is reaching catastrophic proportions and the suffering of the people is immense," said Brahimi, who was appointed after previous envoy Kofi Annan stepped down.

Brahimi is planning to go to Damascus soon, after a stop in Cairo to consult with the Arab League.

In Cairo on Tuesday, protesters and police clashed outside the Syrian embassy. Police fired tear gas at activists who had wanted to remove the flag and replace it with a Syrian rebel one. At least seven police and eight protesters were injured, according to a spokesman at the interior ministry.

Big spike in refugee numbers:

More than 103,400 Syrians fled to neighboring countries in August, bringing the total to more than 235,300 refugees who are registered or awaiting registration, the U.N. refugee agency said.

Syria's entire population is about 22.5 million, according to the CIA World Factbook. The number of refugees is more than 1% of the population.

Humanitarian crisis:

Inside the war-torn country, the head of the Red Cross is negotiating with Syrian officials this week for better access to civilians tormented by the bloody civil war.

Peter Maurer, president of the International Committee of the Red Cross, met Tuesday with Syrian President Bashar al-Assad, an agency spokeswoman said.

Maurer planned to meet with other officials Tuesday and Wednesday and might give a briefing on his talks later this week, spokeswoman Cecilia Goin said.

The flow of aid has hardly kept up with the pace of violence in Syria, with scores or hundreds of people reportedly killed each day. Medics resort to makeshift clinics and crude supplies to treat the wounded, sometimes without electricity.

The ICRC and the Syrian Arab Red Crescent have provided almost 180,000 Syrians with food and other essentials since mid-July. But some of the most desperate civilians remain trapped in relentless violence.

"In those places where fighting is taking place, it's very hard to access those people in need," Goin said.

"The humanitarian situation is deteriorating fast."

A sniper's bullet, a dying child, a family's desperation

Last month, U.N. humanitarian chief Valerie Amos offered a grim account of the civil war's toll on the masses: more than a million uprooted; a million more in need of urgent aid.

Amos said she is "extremely concerned that all parties of the conflict are failing to comply with international humanitarian law, which sets out clear rules on the protection of civilians."

Al-Assad's regime has said it will let aid groups already in the country expand their operations but won't allow new aid to enter.

The government is worried the aid would get into the hands of "armed groups and terrorists," a phrase it uses to describe those seeking al-Assad's ouster.

But Tuesday, state-run news agency SANA reported that al-Assad "said Syria welcomes humanitarian operations carried out by the International Committee of the Red Cross on the Syrian ground as long as it works independently and neutrally."

The SANA report said Maurer "expressed appreciation over the Syrian government's cooperation with the committee, hailing the bridge of confidence built between the two sides."

Goin, the ICRC spokeswoman, said her group has previously asked for a cease-fire to deliver aid. But bloodshed across the country has only intensified since.

"The national authorities and the armed opposition groups, they must respect and help facilitate" access by aid workers, Goin said. "The only goal of the organization is humanitarian."

On the ground:

At least 155 people were killed Tuesday, the opposition Local Coordination Committees of Syria said.

The deaths included at least three women and four children. Eighty people were killed in the Damascus area, the group said. Ten corpses were found "after being field-executed and seven of them were identified."

Other deaths were reported in Aleppo, Daraa, Hama, Homs, Lattakia, Idlib, and Deir Ezzor, the LCC said.

Syria, on state-run media, said authorities released 14 kidnapped people, and pursued and killed "terrorists." Throughout the conflict, the Syrian government has blamed "terrorists" for the violence.

A bomb in a taxi exploded Monday, "martyring five citizens and injuring 23 others," the state-run news agency SANA reported. The incident took place in the Damascus suburb Jaramana.

Also Monday, the families of 40 "martyrs" were honored in Lattakia, SANA reported.

Information Minister Omran al-Zoubi said Monday that "what is happening in Syria is a massive conspiracy and an aggression using barbaric tools whose elements are obvious," SANA said.

CNN's Dana Ford, Josh Levs, Holly Yan, Esprit Smith, Joe Sterling and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: At least 155 people were killed Tuesday, an opposition group says

@highlight

Ban Ki-moon describes the humanitarian situation as "grave and deteriorating"

@highlight

He accuses both sides of committing human rights violations

@highlight

The refugee number marks 1% of Syria's population