(CNN) -- New tests suggest how a contaminant in heparin -- a blood thinner -- may be connected to dozens of deaths, FDA officials said Monday.

Jin Shaohong, a Chinese health official, says he doubts China is to blame for the heparin problem.

The Food and Drug Administration has "now established a mechanism by which we think this contaminant could cause these adverse events," said Dr. Janet Woodcock, director of the FDA's Center for Drug Evaluation and Research.

She said contaminated shipments of the blood thinner have been traced from China to 10 countries, including the United States.

"Contamination of the heparin supply is a worldwide problem," she said.

Heparin containing oversulfated chondroitin sulfate -- a compound made from animal cartilage -- has been associated with hundreds of serious adverse symptoms, including allergic reactions that cause nausea, vomiting, shortness of breath and a severe drop in blood pressure.

In addition, the FDA has tallied 81 deaths related to those symptoms in the United States, though no causal link has been determined.

The severe reactions seem to be related to patients who were given high doses of the drug, Woodcock said.

She said she would not detail the suspected problems with the contaminant in heparin until the information is published in scientific literature and other researchers have had a chance to weigh in on the matter.

Contaminated heparin has been discovered in China, Australia, Canada, Denmark, France, Italy, Japan, the Netherlands, New Zealand, Germany and the United States.

Germany and the United States are the only countries that have linked adverse events to the drug, but cases in other countries may have gone unnoticed, Woodcock said.

Still, agency officials stressed Monday that they cannot be sure the deaths are linked to the drug, which is made from pig intestines and is given to prevent clot formation.

"We are not able to rule out the fact that there could be other problems leading to these adverse events," Woodcock said.

Earlier Monday, Chinese officials said they were doubtful a contaminant in heparin was responsible for the bad reactions, according to The Associated Press. They said the contamination might have occurred in the United States during the manufacturing process or patients may have had conditions that caused the symptoms.  Watch Dr. Sanjay Gupta explain the controversy over heparin »

"We are aware that our Chinese colleagues are skeptical that such a link has been established," Woodcock said. "We are hoping for further scientific dialogue with them in the next few weeks to present the data."

The raw ingredient for heparin sold by Baxter International and ordered recalled came from Scientific Protein Laboratories, a Wisconsin company that owns Changzhou SPL Co. Ltd.

The FDA posted on its Web site a warning letter to Changzhou SPL. The letter said the company has not instituted proper safeguards to ensure the raw materials are free of impurities.

"You fail to have adequate systems for evaluating the suppliers of heparin crude materials, and the crude materials themselves to ensure that these materials are acceptable for use," the letter said.

It also cited equipment used in the manufacture of heparin as "unsuitable for intended use."

For example, it said, tanks used to make heparin "were identified as clean," but "unidentified material was observed adhering to the inside surfaces."

Shipments of the company's materials made at the plant will be refused admission into the United States until the matter is corrected, the letter said.

"We regret FDA's decision to send a warning letter to Changzhou SPL, and we do not believe that the warning letter reflects Changzhou SPL's actual state of compliance with current good manufacturing practices," SPL said in a written statement.

It added that it is "committed to cooperating with FDA and will promptly provide a detailed response."

In a written statement, Baxter said its tests confirmed that the contaminant can cause drops in blood pressure, the most commonly reported adverse event.

"That means that the contaminant, which was introduced at the workshop of consolidator level, before it reached our API [active pharmaceutical ingredient] supplier and before it reached Baxter, is likely the cause of the increased adverse reactions to the heparin," said Norbert Riedel, the company's chief scientific officer.

Because no method existed to test for the contaminant, the FDA last month developed one, and regulators are now confident current U.S. supplies of the drug are safe, Woodcock said.

It remains unclear where the contamination occurred, but the contaminated products' active pharmaceutical ingredient came from 12 Chinese makers of crude heparin "across a broad area of China," she said.

The most persuasive evidence implicating the Chinese product, she said, is the fact that the increased number of deaths reported after heparin administration returned to baseline in March, after the FDA recall.

Though Chinese officials have raised the possibility that clean and safe heparin may have also been linked to adverse events, Woodcock discounted that.

"We tested this lot and found contamination," she said. "In their testing, they did not find contamination, but we are fairly certain because of multiple labs doing the testing that this lot contains contaminants." E-mail to a friend

@highlight

FDA: Contaminated shipments of heparin traced from China

@highlight

FDA reports 81 U.S. deaths from symptoms possibly linked to contaminant

@highlight

No direct link has been established between contaminant and deaths, FDA says

@highlight

Chinese officials, U.S. importer defend suppliers