(CNN) -- I've been a trend spotter for almost 20 years, and people have asked me -- some joking, some not -- if I foresaw that I'd be identifying cultural trends this long.

Trend spotting and ESP: not the same thing. Nobody can foresee something that precise that far ahead. But I love using my background in sociology, marketing and PR to dig deep, looking for social patterns. Plus, trend spotting is huge on so many levels, especially for anybody in any industry who needs to be thinking ahead. (And isn't that everyone today?)

So while other people make holiday wish lists, my tradition is making my annual trends list. While other people browse through malls, I sift through movements, mindsets and moods to come up with a rundown of what will be trending in the next 12 months.

What I find doesn't always make people happy. In 2008, for instance, a controversy erupted after I was accused of attacking baby boomers when I predicted the rise of the cuspers (the age group between Gen Xers and boomers).

This year, anger actually tops my list. There's plenty to be angry about in 2011; is overdosing on Sarah Palin what makes you full of rage? The economy? Airport frisking?

See if that trend and my 10 others for 2011 ring true throughout the coming year:

Mad as hell, and only getting madder In the U.S., expect the prevalent mood to grow angrier, with men at home angry at their wives and the economy, women at work angry that they're the sole breadwinners, and everyone angry about taxes, reforms, individual freedoms and more.

Talk to the hands In today's rebooting world, people are re-evaluating what jobs and activities are worth something deeper than the next bonus, promotion, gadget or status symbol. It grows from a yearning for an era when ordinary Americans were practical people who looked after themselves with their own hands.

Net gain People worldwide are losing faith. Many Americans, for example, have lost trust in their politicians, their institutions, their media and the direction of the nation. To compensate (because they haven't lost trust in self-reliance and faith in technology), they are looking to their networks, turbocharged by computers and the internet.

Public mycasting system In the emerging world of mycasting (individually curated interactive content), each individual expresses his or her worldview through what they write, the images they upload, the "share this" links they create, the tweets they retweet.

Booting up Watch out for the return of boot camps to toughen up kids and employees for the rigors of the 21st century. Imagine manners classes and empathy workshops being replaced by emotional-resilience-conditioning workouts.

Yes, we can -- reinvent ourselves "Change" has faded as a political slogan, but it's becoming a way of life for many. Some people are volunteering for a change in their lives; others are being forced into it. Whether the changes are voluntary or mandatory, it's time to tap into that legendary can-do spirit and remember that America is the land of second chances.

Reinvention, Part II The fires of public anger burn very intensely but then hop to the next tinder. With the right timing, the right words, the right attitudes and behavior, and enough money to pay for top-class professional advocacy, even the most egregious corporate and celebrity wrongdoers might get a second chance.

Separated at worth In a world where pay and compensation have become confused, and big money has begun to smell rotten, emotional wealth -- the love and respect of others -- looks like a much better bet. The extreme-cash bling of luxury objects will be overtaken by the extreme emo bling of adoring friends going the extra 10 miles.

Gender bender Women are growing into new roles, and men are growing out of the traditional male roles that gave them their top-class swagger; no longer are they automatically the head of household, the sexual initiator, the protector, provider and decision maker.

Who's in control? The demand for greater control is a trend that unites Americans of all persuasions. What divides them -- and what will raise passions in the near future -- is what should be controlled, how and by whom. One of the fault lines is between those who demand more self-control and those who demand more regulatory control.

Tapping minitrends Some trends start small and inevitably grow huge with their own momentum; others spell opportunity for innovators. Next year, the latter includes the rise of African consumers, small-scale solar energy, mobile money-transfer services and mobile health care.

The opinions expressed in this commentary are solely those of Marian Salzman.

@highlight

Marian Salzman says next year could be a year of anger

@highlight

She says the lukewarm economy is making men and women angrier

@highlight

People are focusing on technology to broadcast views, strengthen social ties, she says

@highlight

2011 could also be a year of reinvention for many people, Salzman says