(CNN) -- The biggest change in Arizona since the state adopted a tough immigration enforcement policy two years ago has been a more tolerant climate for immigrants, representatives from several groups said Monday.

"There has been a change in Arizona, without a doubt," said Clarissa Martinez, director of immigration for the National Council of La Raza, which led a coalition of civil rights groups in a tourism boycott of the state after SB 1070 became law in the spring of 2010.

The U.S. Supreme Court ruled Monday that three of the law's four key provisions infringed on the federal government's constitutional jurisdiction over immigration. The high court let stand the provision allowing police to check a person's immigration status while enforcing other laws.

Supreme Court strikes down key parts of Arizona law

There were dire warnings by critics when the law took effect in July 2010 that it would keep businesses and people from moving to the state and that it would drive families away. There is no good measure of how many Hispanic families, fearing persecution by law enforcement, moved from Arizona.

The boycott targeting Arizona's $18 billion tourism industry and others by local governments, including the city of Los Angeles, got the attention of Arizona's business leaders. "An increasing number of voices in the business community started cautioning the legislature about continuing on this path," Martinez said.

The tourism boycott, which one study estimated cost the state's hotels $141 million in convention business, was lifted last fall "at the request of community organizations, businesses and elected officials who were working to create a new environment in the state," Martinez said.

Analysis: Five things we learned from court's ruling

While it's hard to pinpoint how much damage the controversy did to Arizona's hotel industry, occupancy rates have increased in the past year, according to Smith Travel Research, a company that tracks data for the hotel industry. Those figures are about in line with the national average.

"Indicators are showing that we had an increase in tourism" in 2011, said Kiva Couchon, spokeswoman for the Arizona Office of Tourism. "The trend line is moving upward."

An effort to pass even tougher anti-immigrant measures was rejected by Arizona's legislature last year, she said.

Winners, losers in immigration policy debate?

"Arizona's business community came out in force saying 'Please don't do this,'" said Marshall Fitz of the Center for American Progress, a Washington-based public policy think tank.

One trigger for this was the economic sanctions imposed by several local governments, including Los Angeles. Those resolutions, passed after the Gov. Jan Brewer signed SB 1070 into law, limited contracts with companies based in Arizona.

Gov. Brewer: Obama administration launched 'assault'

Those boycotts caused "a lot of heartburn for companies here that saw potential customers outside the state dwindle, " Arizona Chamber of Commerce spokesman Garrick Taylor said.

Last November, voters recalled SB 1070's architect, Russell Pearce, from his state senate post, replacing him in November with a Republican who opposed the immigration crackdown.

"Arizonans are coming together to undo the tarnished image of their state that was inflicted on them by their governor and Sen. Pearce," Martinez said.

The controversy "galvanized communities in Arizona" and "served as a wake up call to increase participation in the electoral process," she said.

Supreme Court's ruling at a glance

The shift against the immigration measures came "because people realize they don't want to be in a state that's suppose to be a vacation spot or a place to retire, but has an international reputation of being inhospitable and a place of intolerance," Fitz said.

Luring new businesses to the state is tougher with the "tarnished brand" caused by the immigration law controversy, he said. "A business trying to decide to open a new plant or new office in one of two place -- either Arizona or New Mexico -- (isn't) going to think twice about."

The backlash has put the state "on the cusp of a tipping point, where Arizona is going the way of California with the demographic changes and the desire to move away from a tarnished inhospitality," Fitz said. The state could, like California, become a Democratic stronghold, he said.

A changing national mood on immigration?

@highlight

"There has been a change in Arizona, without a doubt," La Raza's immigration director says

@highlight

La Raza's tourism boycott was lifted after leaders began to "create a new environment," she says

@highlight

Voters ousted Arizona SB 1070's architect from the state senate

@highlight

Arizona is "on the cusp of a tipping point" politically, one analyst says