WASHINGTON (CNN) -- Expressing hope that the future of Tibet and China will move beyond mistrust, the Dalai Lama accepted the Congressional Gold Medal from President Bush Wednesday during a ceremony in the Capitol Rotunda.

"I am deeply touched that this great honor has been given to me, a Buddhist monk born of a simple family," he said.

Earlier, China slammed the United States for bestowing the nation's highest civilian honor on the Dalai Lama, calling the ceremony an affront to the budding relations between the countries.

But the Dalai Lama repeated his stance that he's seeking a "meaningful autonomy" for the Tibetan people, not independence from China.

"Despite all this, Beijing continues to allege that my hidden agenda is a separation and restoration [of] Tibet's old social political system. Such a notion is unfounded and untrue," he said.

"Much of the world is waiting to see how China's concepts of harmonious society and peaceful rights would unfold."

Though Bush said the ceremony was not meant to antagonize the Chinese, he made repeated references to religious oppression.

"Americans cannot look to the plight of the religiously oppressed and close our eyes or turn away," Bush said.

Calling the Dalai Lama a "universal symbol of peace and tolerance, a shepherd to the faithful and a keeper of the flame for his people," Bush presented the medallion to the Dalai Lama.  Watch actor Richard Gere explain the importance of the ceremony »

The spiritual leader grinned broadly, pulling the award from its case and showing it to the lawmakers with whom he shared the stage.

Democratic and Republican leaders praised the Dalai Lama's record of promoting peace and urged China to allow the return of the exiled leader.

Bush also lauded the spiritual leader who as a boy kept a model of the Statue of Liberty by his bedside.

The president met privately Tuesday with Tenzin Gyatso, the 14th dalai lama, in the White House.

Before the Wednesday honor, Bush said he was attending the ceremony because he admires the Dalai Lama, the two of them both support religious freedom and because "I like going to the gold medal ceremonies."

He further said fostering religious freedom was in China's best interests and that Beijing should meet with the Dalai Lama.

"If they were to sit down with the Dalai Lama, they would find him to be a man of peace and reconciliation," Bush said.

China saw the ceremony as a political statement and believes the honor represents U.S. acquiescence to the Dalai Lama's calls for Tibetan autonomy. Tibet, said Foreign Ministry spokesman Liu Jianchao, is "an inalienable part of China" and Chinese-Tibetan affairs are strictly a matter of Chinese domestic policy.

"U.S. leaders meeting the Dalai [Lama] seriously violate the basic principles of international relations," Liu said.

The Dalai Lama laughed off Chinese criticism of his visit, saying Tuesday in Washington, "That always happens."

The Congressional Gold Medal -- one of four honors Congress is doling out Wednesday -- is presented "both for singular acts of exceptional service and for lifetime achievement."

Past recipients include Mother Teresa, former South African President Nelson Mandela, former British Prime Minister Winston Churchill and baseball and civil rights icon Jackie Robinson.

White House spokesman Dana Perino said Bush considered the Dalai Lama "a great spiritual leader." Bush, who has met with the Dalai Lama four times, told Chinese President Hu Jintao at a summit in Australia last month that he would be attending Wednesday's ceremony, Perino said.

She quickly dismissed the notion that the president was trying to make a statement by attending the ceremony.

The White House is generally measured in its criticism of China as it seeks to manage a booming trade relationship and a desire to enlist Chinese cooperation on nuclear standoffs with North Korea and Iran.

Beijing has claimed to be the legitimate and rightful government of Tibet since 1951, the year after China invaded the then-independent state. Some say the claim doesn't jibe with international law. Allegations abound that China has stifled Tibetans' religious and other fundamental freedoms, sometimes violently.

The Dalai Lama has led a government in exile from neighboring India for decades. In 1959, the then-24-year-old Buddhist leader fled Tibet during a failed uprising against the Chinese.

Perino said she did not think the meeting -- which the administration had worked to downplay -- would seriously affect U.S.-China relations.

Added Bush on Wednesday, "I don't think it ever damages relations when an American president talks about that religious tolerance and religious freedom is good for a nation. I do this every time I meet with [Chinese leaders]."

The promise of good intentions did not seem to assuage the Chinese government, who labeled the Dalai Lama's work "separatist activities."

"The words and deeds of the Dalai Lama in the past decades show he is a political refugee engaging in secessionist activities under the cloak of religion," the Foreign Ministry's Liu said.

Zhang Qingli, the Communist Party secretary of Tibet, had even harsher words for the Tibetan spiritual leader.

"He is a person who has tried to split the motherland, who lacks love for his home country," Zhang told reporters in Beijing.

The Dalai Lama, who won the Nobel Peace Prize in 1989, has said he advocates autonomy for Tibet and is not calling for it to be a separate country. E-mail to a friend

CNN's Jaime FlorCruz and Lesa Jansen contributed to this report.

@highlight

NEW: Dalai Lama: China's allegation of a hidden agenda is unfounded, untrue

@highlight

President Bush encourages China to sit down with "man of peace"

@highlight

White House says it isn't "poking a stick" in China's eye with Dalai Lama honor

@highlight

China: U.S. leaders "violate the basic principles of international relations"