Beijing (CNN) -- China on Thursday unveiled the elite group of leaders who will set the agenda for the country for the next decade, the culmination of months of secretive bargaining and a carefully choreographed performance of political pomp.

The seven members of the powerful committee that sits atop the Chinese system strode out onto a stage in the Great Hall of the People in Beijing. They were led by Xi Jinping, who takes over from Hu Jintao as head of the Communist Party, which has ruled China for more than 60 years.

Xi is joined on the new Politburo Standing Committee, the party's top decision-making body, by Li Keqiang, who is expected to replace Wen Jiabao as premier early next year, and five other veteran party officials.

Although the committee's lineup is new, analysts said it appeared to be predominantly conservative and unlikely to bring about meaningful political changes in the world's most populous nation and second largest economy.

China's new leaders: Who's who

Xi also succeeded Hu as head of China's powerful Central Military Commission, which oversees major national security and military affairs. That makes for a cleaner transition than in the past two power handovers, when the former party chiefs held onto the key military role for years afterward, using it to keep exercising considerable power and influence.

A far cry from the relentless media campaigns and frequent public appearances of U.S. presidential candidates, the efforts to determine who ended up in China's most powerful posts have taken place behind closed doors, part of a once-in-a-decade leadership transition.

The focal point of the process has been the party's 18th National Congress that has unfolded amid heavy security in Beijing over the past week.

Shadow of former president looms over China's new leaders

Despite the spectacular economic and social changes China has undergone in recent times, the party has maintained a tight grip on power and upheld its obscure methods for selecting its top leaders.

The consequences of the leadership handover are significant for the nation's 1.3 billion citizens, its neighbors in Asia and the United States, which is warily watching China's economic and military rise.

Standing in front of a huge landscape painting on Thursday, Xi brought a touch of cordiality to the start of his speech before a packed room of reporters, apologetically acknowledging that he and his party colleagues had kept their audience waiting by appearing later than scheduled.

But he quickly turned to serious matters, warning of the "many severe challenges" that the party faces.

He singled out corruption, remoteness from the general public, as well as undue emphasis on formalities and bureaucracy as particular concerns.

Experts detail 5 challenges for China

The secrecy and exclusivity of the procedure by which China's top leaders are selected, involving maneuvering and deal-making among senior party figures, leaves a lot of the country's citizens feeling detached from the process.

"Many ordinary people don't feel so excited or joyful about what's happening," said Lijia Zhang, a Beijing-based author. "People say, 'Oh, it's the party's business, nothing to do with us -- and we do not have a say in selecting the leader or the policy.' "

But Xi's speech had more of a human touch than many of those delivered by Chinese officials, and he addressed subjects close to the heart of many Chinese people and others around the world.

"Our people have great enthusiasm in life," he said. "They hope for better education, more stable jobs, more satisfactory income, more reliable social security, medical services with higher standards, more comfortable living conditions and a more beautiful environment."

What kind of changes Xi, 59, and those joining him on the party's most powerful committee are likely to usher in over the coming years remains shrouded in mystery.

"Xi Jinping is in many ways an unknown commodity," said Mike Chinoy, a former CNN correspondent and now a senior fellow at the University of Southern California's U.S.-China Institute. "He's risen to the top of the Chinese system by being very careful not to disclose what he really thinks."

The son of one of Mao Zedong's top lieutenants, Xi is considered a "princeling" because of his family's place in the Communist Party aristocracy. He is also believed to be close to the Chinese military.

Married to a popular folk singer for the People's Liberation Army, he has climbed through the party hierarchy, at one point holding the top job in the eastern metropolis of Shanghai. He is expected to inherit the title of president from Hu, 69, early next year.

Some observers have expressed hope that the next decade could bring a degree of political reform as Chinese leaders seek to bolster their legitimacy, which has been eroded by widespread corruption and the dramatic scandal this year involving the former senior party official Bo Xilai.

China's young talent: To stay or to go?

But many analysts are skeptical about the willingness of leaders to adopt significant changes, noting the concentration of power and money at the top of the party. The new set of leaders appears set to uphold the status quo, according to Willy Lam, a history professor at the Chinese University of Hong Kong.

"By and large, we have a conservative team," Lam said following the announcement of the new Standing Committee. "We can expect no substantial or meaningful movement toward political reform."

The new leaders are likely to be "in favor of staying the course, maintaining political stability and defusing challenges to the party's authority," he said.

The new Standing Committee is more streamlined than its previous incarnation, dropping for nine members to seven. The smaller committee may help bring about greater unity and efficiency at the top of the party, some experts say.

Besides Xi and Li, the members of the elite committee are Zhang Dejiang, Yu Zhengsheng, Liu Yunshan, Wang Qishan and Zhang Gaoli.

The new lineup shows that Jiang Zemin, the 86-year-old former party chief who preceded Hu, still maintains heavy clout in the Communist hierarchy, said Cheng Li, director of research at the John L. Thornton Center at the Brookings Institution.

The composition of the committee is "not a surprise but a disappointment," he said, adding that it was dominated by people loyal to Jiang.

He said some Chinese people would be disappointed about the decision not to include Liu Yuanchao and Wang Yang, senior officials who he described as "strong advocates for political reform."

Blind Chinese dissident's family bears scars

The next chance to refresh the Standing Committee's membership will occur in five years, when the Communist Party's next National Congress takes place.

For the time being, the committee remains a men's club with no woman among its new members. Since the Standing Committee's creation in 1949, no woman has ever held a position on it.

Despite speculation that Liu Yandong, the lone female member of the wider Politburo, might be tapped for the elite group, she was not among the seven members who marched across the stage Thursday.

Her age may have been a disadvantage in her candidacy, according to the Hoover Institution, which is based at Stanford University. Liu was born in 1945 and has been a member of the Politburo since 2007.

Women lag in political representation in China. Only 2.2% of working women were in charge of the state offices, party organizations and other enterprises or institutions, according to the Third Survey on Chinese Women's Social Status, a national survey released last year.

The number of women on the 25-member Politburo has increased, though, from one to two: Sun Chunlan, the party secretary of Fujian province, joins Liu, who was already a member.

The reaction from China's neighbors to the unveiling of the new leadership reflected its complicated relationships in the Asia-Pacific region.

Japan, which is locked in a tense territorial dispute with China over a group of small islands in the East China Sea, said it hoped "the mutually beneficial relationship based on common strategic interest will be further developed and enhanced with the new leadership."

Kim Jong Un, the young leader of North Korea, sent a message congratulating Xi on his new position, according to the state-run Korean Central News Agency.

Kim's message stressed the long "friendship" between the two countries. China is the reclusive North Korean regime's main ally, providing it with vital economic support.

N. Korean defectors' faint hope for China

CNN's Jaime FlorCruz reported from Beijing, and Jethro Mullen from Hong Kong. Steven Jiang and Stan Grant in Beijing, and Kevin Voigt, Hilary Whiteman, Madison Park and Elizabeth Yuan in Hong Kong contributed to this report.

@highlight

The Chinese Communist Party faces "severe challenges," Xi says

@highlight

China's new elite group of leaders are presented to the news media

@highlight

Xi Jinping becomes head of the powerful Central Military Commission

@highlight

The event follows months of secretive deal-making and rumors