Nairobi, Kenya (CNN) -- In the village of Angolo, in Sudan's South Kordofan state, villagers stand over a deadly and illegal weapon. Nestled in a crater, the Soviet-era cluster bomb failed to detonate. It was dropped a month ago, they say, and they don't dare get any closer.

Across rocky outcrops, tennis ball-sized bomblets spilled out of the RBK-500 model bomb and scattered everywhere. Each of them is highly volatile and easily capable of blowing off a limb, or worse.

The footage, obtained and verified by CNN, is damning new evidence that the Sudanese government is using cluster munitions in civilian areas.

"Cluster bombs are known to be indiscriminate and unreliable weapons. This is why they have been banned by international law," said Laura Cheeseman, the director of the Cluster Munition Coalition. "It is the humanitarian impact of these weapons that makes it so atrocious that Sudan has used them."

The villagers in this part of South Kordofan say they live in fear of the bombing raids by Sudanese airplanes that seem to happen almost daily.

"Today they bombed with their airplanes. They bombed up there in the mountains and they bombed close to here. Today," an Angolo resident said.

Civilians in the Nuba Mountains have resorted to hiding in rocky outcrops and caves, and piling stones over makeshift foxholes to take cover from the bombing raids.

And cluster bombs present an even greater threat than regular munitions, rights groups say.

"Cluster munitions contain dozens or sometimes hundreds of explosive bomblets, so when they're used, they scatter over a very large area, often the size of several football fields," Cheeseman said.

Anyone in the strike zone can be killed.

And often, the greatest threat comes after the bombs are dropped. About 10% of bomblets in modern cluster weapons usually fail, weapons experts say. But with older munitions like the RBK-500, that percentage can be much higher. The cluster bomblets become a minefield.

And while mines are dangerous because they are invisible, volatile cluster bombs are deadly because they lie in plain sight. Often, they attract children.

"[The bombs] can land in fields, in homes, in villages, and of course it poses a risk to civilians," said Klaus Ljoerring Pedersen, regional director of the Danish Demining Group, a humanitarian organization that helps solve problems related to leftover ordnance. "Civilians do not recognize what is a bomblet -- dangerous and highly explosive -- and what is a toy. So you see a lot of curious children after these raids go out and identify these new and exiting objects and blow their hands and heads off."

Sudan is fighting a bitter conflict against the SPLA-North, a rebel group that wants to be part of independent South Sudan. The rebels depend on local villages for food.

The Sudanese military strategy seems clear: It aims to terrify and starve the civilians into leaving the area.

It appears to be working. Thousands of villagers have fled to camps like Yida, where humanitarian agencies have struggled to feed and shelter them. The U.N. refugee agency says more than 500 arrive every day.

This latest evidence of cluster munitions in South Kordofan suggests that the Sudanese military is stepping up its campaign, but a Sudanese army spokesman flatly denied that they use cluster munitions.

"We don't use cluster munitions in South Kordofan, we have no ties to such weapons," military spokesman Al-Sawarmi Khalid told CNN. "There is no need to use these kinds of weapons to begin with, the fighting is in open space, the renegades don't have concrete fortifications."

Khalid added that the footage could have been taken anywhere. But CNN knows that the footage was taken in Angolo village.

And this wouldn't be the first time that Sudan has been accused of dropping the highly controversial weapons.

The Danish Demining Group says that it still finds Chilean-made PM-1 bomblets throughout South Sudan, particularly in the areas between Juba, the capital, and the Ugandan border.

The munitions were dropped during the long civil war between the North and South that ended in 2005.

Military analysis and logic suggests that since the SPLA in the South had no significant airpower, and they were unlikely to drop bombs on themselves, the cluster munitions came from Sudanese warplanes

Sudan has frequently denied ever using cluster munitions and has not signed the convention to ban the weapon. The country has promised to sign up "as soon as possible."

Since 2008, more than 100 nations have signed the convention.

"It's not surprising in a way that Sudan denies the use of these weapons, even though they are so stigmatized and rejected by the international community. No country wants to be associated with these weapons, whether they've signed onto the ban or not," Cheeseman said.

@highlight

Cluster munitions scatter bomblets that can be especially dangerous to children

@highlight

International law bans such bombs, but Sudan has yet to sign on

@highlight

Civilians in Sudan's South Kordofan state say planes have used them

@highlight

A spokesman denies that the Sudanese army uses cluster munitions