(CNN) -- A return to democracy hung in the balance in impoverished Mali on Wednesday as supporters of the West African nation's military coup leader clamored for him to head the interim government.

Capt. Amadou Sanogo's supporters called for the resignation of Dioncounda Traore, who was beaten and rushed to a hospital with head injuries after hundreds of protesters stormed the presidential palace Monday.

Traore, 70, left Mali on Wednesday for medical treatment in Paris, said a presidential aide who did not want to be named for security reasons.

Bamako, the capital, was calm but tense Wednesday evening amid a strong police and military presence.

"The people want Sanogo to come back for the transition of power," said El Hadj Bamba Mohammed, a spokesman for one of the groups backing Sanogo.

Traore's term as interim president had been set to expire Tuesday.

However, the Economic Community of West African States (ECOWAS), which has tried to broker a return to civilian rule after the March 22 coup, decided to let Traore remain in charge for a year to oversee a transition back to democracy. That deal included recognizing Sanogo as former head of state, with a salary and mansion.

Over the weekend, Sanogo agreed to abide by the decision. But his supporters stood defiantly against the regional bloc.

Mali experienced two decades of democratic rule and was hailed as an example of African stability. But it plunged into chaos after the coup that ousted President Amadou Toumani Toure from power. Sanogo and his fellow officers complained that Toure had failed to properly equip soldiers battling a growing insurgency by separatist Tuareg rebels in the country's north.

Tuareg rebels capitalized on the trouble in Bamako in the south and took over chunks of territory in the north. Islamists now control two-thirds of the country, and many fear they will benefit further from delays in transitioning back to civilian rule.

Protesters said Traore, a former parliamentary speaker, was part of a self-serving political elite that has misruled the country for years.

"People have no faith in the politicians to organize elections and resolve the situation in the north," said Youssouf Kone, the leader of several groups demanding the president's resignation. "That's why they want Sanogo to return to power in the role of president," Kone said.

John Campbell, a senior fellow at the Council on Foreign Relations, said the perceived elite includes French speakers, "movers and shakers" and those with access to government contracts and the economy.

"Those elites and the institutions through which they work is not seen as very relevant by the mass of people in Bamako," Campbell said. "You are talking about poor, marginalized people as seeing the military as grounds for hope."

The African policy expert said the United States will continue to support pressure by ECOWAS on the military junta.

That could come in the form of financial sanctions, as was the case in 2011 against former Ivory Coast President Laurent Gbagbo. Mali, which does not have a robust economy or array of natural resources, could especially feel the pinch.

"It's intrinsically one of the poorest countries in the world," said Campbell. "The country is going into a major food security issue because of the ongoing drought."

In the north, Islamist rebels destroyed a monument to those who died in the struggle against dictator Moussa Traore in 1991.

"This is very serious," said Ousmane Halle, mayor of the fabled city of Timbuktu, now under the control of Ansar Dine, a militant group that seeks to impose strict Sharia, or Islamic law.

Witness Sankoum Sissoko said the rebels attacked the monument Tuesday evening, shouting: "Shame on all those who don't believe in Allah."

Earlier this month, Islamists burned a tomb listed as a UNESCO World Heritage site.

A vast country of few inhabitants (15 million) and searing desert, Mali lies at an awkward intersection in Africa. To the north is a 1,200 kilometer border with Algeria, to the east Niger with its own restive Tuareg minority, to the west Mauritania.

Derek Henry Flood, a geopolitical analyst based in New York, said the Tuareg rebellion is a direct result of the Libyan war.

Well-armed Tuareg separatists who sought refuge in Libya and fought for Moammar Gadhafi's regime returned to Mali after he was overthrown and killed.

"His legacy is alive and well in the secession and Sharia (law) movement in Mali," said Flood.

The analyst said Sanogo's objectives are not clear: "Is he trying to buy time for himself to stay in power for some time?"

Like Campbell, Flood questioned how a group of protesters were able to invade the palace and severely beat Traore.

"Was that allowed to happen?" Flood asked. "Was the presidential security that weak?"

Problems in the capital appear to be having little impact on three northern regions under rebel control, said Campbell. An area the size of Texas is now beyond the government's control.

"While all of this chaos is going on in Bamako, nothing is being done to send troops back to retake the north," said Flood.

Leaders of Ansar Dine and the secular National Movement for the Liberation of Azawad, or MNLA, even with their divergent agendas, may be coming to an accord on ruling the north, according to Flood, adding Ansar Dine may be connected to al Qaeda in the Islamic Maghreb.

The nightmare scenario for Western governments is that without the rapid re-establishment of civilian rule, parts of northern Mali, southern Algeria and Mauritania could become a safe haven for al Qaeda in the same way the group has exploited power vacuums in Yemen and Somalia.

Mali, with all of its competing interests, is not seeing a power vacuum, Flood said.

"I would call it a power jumble."

Katarina Höije reported from Bamako, Mali. CNN's Phil Gast reported from Atlanta. CNN's Tim Lister contributed to this report.

@highlight

NEW: Experts detail complexity of political, military situation

@highlight

Interim President Dioncounda Traore flies to France for medical treatment

@highlight

But supporters of coup leader Amadou Sanogo call for Traore's immediate resignation

@highlight

Sanogo's supporters say people have no faith in politicians