(CNN) -- As he rolls across the wheat fields of his Nebraska farm, Steve Tucker often has his hands not on the wheel of his tractor, but on a smartphone.

Steve Tucker, a Twittering farmer, pauses in front of his tractor in Nebraska.

He sometimes posts a dozen messages per day on Twitter, commenting on everything from the weather to the state of his crops to his son's first tractor ride and even last night's cheeseburger.

"Got rained out trying to finish up planting corn. Only 90 acres left. Maybe it will dry up today and I can finish Lord willin'," he wrote in one recent post.

"Just sold some more wheat, now, I wait for God to provide the harvest so I can fill the contracts," the 39-year-old said in another. "Eat more bread!"

Tucker is proof that smartphones are starting to put down roots in rural America.

He lives in a 150-person town near Brandon, Nebraska -- a place even he calls "the middle of nowhere." The nearest neighbor to his 4,000-acre farm is about 2 miles away.

Yet, farmers like Tucker are using Internet-enabled phones to gain a foothold on online social networks -- both for business and personal reasons. (Follow him on Twitter)

"I can be in the most remote place and just with the power of having a BlackBerry ... I can communicate with anybody at anytime about anything," he said. "It is just amazing."

The growth of smartphones on farms is important because many people don't think about where their food comes from, much less associate a specific farmer with that process, said Andy Kleinschmidt, a farmer and agricultural extension educator at Ohio State University.

"When you can put a name or personality with someone who's actually raising corn and soybeans or actually milking cows, that's the most important thing that's come about in my opinion," he said.

A host of blogs and Twitter feeds have popped up around the subjects of technology and life on the farm. On Tuesdays from 8 to 10 p.m. ET, farmers meet on Twitter for a live chat about all things agricultural. You can watch that conversation by searching for agchat on the site.

Kleinschmidt said he uses a smartphone to check live weather reports, which can make or break a year's crop. Other farmers send him pictures of ailing plants, hoping to identify crop diseases early.

Some farmers use their phones as notepads, tracking their applications of pesticides, he said.

Developers of phone applications apparently have taken notice of the farm-tech trend, too. An iPhone application called PureSense helps techie farmers in drought-stricken places monitor how much water is in their soil at various locations and in real time.

Historically, farms have lagged behind the rest of country in Internet and computer usage. But a 2007 census by the U.S. Department of Agriculture says Web use on farms is increasing.

High-speed Internet access doubled on U.S. farms between 2005 and 2007, for instance, jumping from 13 percent to 27 percent.

That's still less than the general population, however. Fifty-five percent of farms had Internet access in 2007 compared with 62 percent of homes in the United States overall, according to government statistics. The census does not measure smartphone penetration.

Internet-enabled phones are making their way into rural America slowly because it's difficult to send Internet data over cellular networks in some sparsely populated areas where wireless service is spotty, some advocates have claimed.

Still, some farmers are adopting the technology despite the odds.

The biggest draw of smartphones and online social networks is that they provide human connections to people for whom farm life can be lonely, said Chuck Zimmerman, publisher of an agriculture news blog called agwired.com.

"Most farmers are going to be in their [tractor] cab," he said. "You're going all day long, night and day -- it can get a little bit boring, you know? So, a lot of them have satellite radio, smartphones, iPhones, BlackBerries. I can't tell you how many farmers are following me who are tweeting form the cab."

It's a misconception that farmers are behind the curve technologically, Zimmerman said.

"In large part, farmers tend to be very early adopters of technology. We have the stereotypical image of a hayseed farmer that still persists -- out on a tractor with a straw hat on," he said. "The reality is that most of them are very highly trained from a technological standpoint."

Tucker said his job on the farm in Nebraska includes more than harvesting wheat, corn, sunflowers and millet.

He wants to bring urban Internet users along for the ride. And in doing so, he's become a sort of text-happy evangelist for rural America.

"People out in the cities aren't familiar with agriculture like it used to be 100 years ago. They may not have an appreciation or an understanding of what goes on out in the rural side of things," he said. "I just try to be an information source for whoever may be listening."

So that's what he does from his tractor -- one tweet at a time.

@highlight

Smartphones and online social networks are gaining popularity on farms

@highlight

Farmers use Internet phones to check weather and monitor pesticides

@highlight

Nebraska farmer says his Twitter posts help bridge the urban-rural divide

@highlight

Another says phones and social media connect eaters with sources of food