My heart went out to Barb Dunn the moment her 16-year-old son, Daniel, answered my question.

Once he gets his license in June, would he text and drive? That's what I asked during a kitchen table conversation in their Roxbury, New Jersey, home.

As you can see in the video above, his answer was not the one his mom expected.

"I'm taking a deep breath," said Dunn, who recently purchased visor clips for Daniel's friends who have already gotten their licenses that say "Stay alive. Don't text and drive."

"I wouldn't even mind if he said, 'I'm at a red light and I picked up the phone for a minute to read something and put it back down,' but that moving and texting freaks me out. It's not acceptable."

Daniel's mom might have wanted to slam her head against the counter but still she told me she appreciated her son's candor and realized in that moment how difficult it is to persuade teens, who text nearly all day long, not to do it while behind the wheel.

"Even a well-meaning teen is going to have trouble saying no when they get that buzz" from an incoming text or status update, said David Teater, senior director for the National Safety Council. "It's almost a Pavlovian response."

Teater sadly knows all too well what can go wrong with distracted driving. Ten years ago, a 20-year-old woman who had been talking on a cell phone ran a red light and killed his then 12-year-old son, Joe. Since then, he's dedicated his life to raising awareness about the dangers of talking on a cell phone while behind the wheel. A newer concern: how to eliminate driving while texting.

"A technology solution is incredibly important. We need to take the temptation away from people before it happens," said Teater.

A moving solution is at hand

But parents around the country might not realize that there is technology already available that can prevent a teenager from being able to text while behind the wheel.

Aegis Mobility has created software that is installed directly onto a teen's smartphone, tablet or other handheld device. Once the teen starts driving about 10 miles an hour, the software automatically puts the device in safe mode, which prevents the teen from texting, e-mailing or browsing the Internet.

The trouble, said company President and CEO Paul Zimmerman, is that a lot of parents don't know it exists. But he's trying to change that.

Iowa is making the software available free of charge (it typically costs about $4 per month) to teens up to 17 as they apply to get their licenses at the Department of Motor Vehicles, said Zimmerman. Since Iowa signed on, many other states are showing interest, he said.

Getting to teens as they get their license or as they are insured under their parents' plan is key, says Zimmerman, who is a father of two teens.

"Let's face it, most teenagers will not want this product voluntarily," he said. "It is up to the parent."

And the impact could be wideranging. "Literally, if our software is on 10,000 devices for more than two years, statistically, we will have saved a life," said Zimmerman.

People are doing dangerous things out there

Another big challenge is convincing teens -- and adults for that matter -- that talking on a phone is just as dangerous as driving under the influence.

Teater says using a cell phone with either a handheld or hands-free device while driving results in a slower reaction time than if you were driving with a .08 blood alcohol level, the legal limit.

Car crashes kill 100 people every day and are the leading cause of accidental deaths in the U.S., says Teater. Meanwhile, 90% of the crashes, he said, are caused by human error including drivers trying to do too many things at once.

"Do we want every single person out on the roadway driving around updating Facebook and closing business deals?"

Teater says while the vast majority of people no longer think it's responsible to use a cell phone while driving, there is still work to be done convincing people that talking on a phone hands-free can be just as dangerous.

Simply put, our brains cannot handle two tasks at one moment -- the task of driving and the task of talking on the phone.

"You talk to any cognitive psychologist, they've known this for decades, that the human brain can only focus on one attention-requiring task at any given moment. The other task is always in the background," said Teater.

He puts it in terms most drivers can understand: "I ask them, 'Would you ever consider talking on the phone while you're reading a book?' And they say, 'Well, of course not, I'd never do that.' ... So if you'd never consider trying to read a book while talking on the phone, why would you drive while talking on the phone?'"

'So many of the kids were crying'

And why would you ever drink alcohol and get behind the wheel?

That's the question Lisa Brodeur asked teens as she visited schools a few years ago with her three kids, including 27-year-old Kyle. Kyle became a quadriplegic after a drunken driver crashed into the family's car in 1997. Brodeur's husband was killed instantly.

"When I did school presentations, I put a student in a body cast, body jacket and a wheelchair. They were to sit and not move and try to be like Kyle for two hours," said the mom of three in Charlton, Massachusetts.

"So many of the kids were crying. They couldn't believe what Kyle has gone through," said Brodeur, who has battled survivor's guilt and physical ailments stemming from the crash.

In her book "A Mother's Journey," Brodeur tells the story of how she and her family have been forever impacted by the decision of one driver on a rainy November night more than 15 years ago.

"It is so important that our young teens and adults know what can happen if they drive impaired," said Brodeur. "You don't want a life like my son's. So much pain and suffering, and 25 surgeries after and many more still to come."

An informational trip to a cemetery

Chris Blanchard, a father of two in Harbor Beach, Michigan, tried to drive that message home with a visit to a cemetery as soon as his teenage daughter and niece started driving.

"I had them drive in and stop and shut the car off to look around," said Blanchard in response to a request on CNN's Facebook page.

"At that moment, I gave them the concerned parent/uncle speech. 'This is it. If you screw up, not wearing (a) seat belt, drink and drive, text, get distracted by music or friends, it's over! No second chances, no excuses, no retakes, no do-overs, no goodbyes. Dead.'"

CNN iReport: Parents of teens share driving tips

"My dad was a New York City fireman. He cut people out of cars. He warned my boyfriends," said Dunn, the mom of two from Roxbury, New Jersey. "But he also opened his heart to me to show if anything ever happened to (me), what it would do to him."

Now she hopes Daniel gets that same message from her.

How do you encourage your teens to be safe while driving? Chime in with a comment below, or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

A New Jersey teen admits on camera he'll "probably" text and drive

@highlight

Special software installed on a smartphone could prevent a teen driver from texting

@highlight

Cell phone use causes a slower reaction time than a .08 blood alcohol level, experts say

@highlight

Mom whose son was paralyzed by a drunken driver: You don't want a life like my son's