As the world's fastest growing market for mobile phones, Africa is ripe for the upcoming disruption that will be ushered in by ubiquitous Internet access through smartphones.

The previous wave of mobile phone adoption on the continent from 2000 to 2010 accelerated at an impressive 30% compound annual growth rate powered by affordable dumb and feature phones sold at mass market price points.

Today, the narrative is changing.

Read more: 10 African tech startups you need to know

The continent's smartphone market is expected to double in the next four years and device manufacturers who dominated the narrative over the past decade such as Nokia are making big bets on the continent's smartphone future. Microsoft/Nokia through the Lumia Windows phone line are betting that the continent's rising economic fundamentals coupled with a rising hunger for connected devices will spur significant demand.

Huawei has since 2011 bet that its sub $100 Android devices will herald a new era of smartphone penetration in some of Africa's largest mobile phone markets like Nigeria and Kenya.

Samsung has adopted a similar strategy, targeting student populations and engaging celebrities to trigger mass appeal and its tactics appear to be gaining traction.

According to International Data Corp, 52% of all smartphones sold on the continent in the second quarter of 2013 were Samsung phones and the company has quickly ascended in a short period of time to become Africa's smartphone leader. Chinese manufacturer Tecno has also increasingly been making its intentions clear: "Our desire is to flood the African mobile phone markets with Tecno smartphones," its director of marketing, Boukali Mounir said in an interview recently.

Tecno humbly started out by introducing relatively simple phones in the African market but very quickly scaled up its offerings to include affordable smartphones and now has its ambitions set on continent-wide domination. Then there is the Blackberry, which despite its cataclysmic woes in Western markets, continues to enjoy significant patronage on the continent.

The coming African smartphone wave poses an interesting dilemma for app developers on the continent. Should they invest their skills acquisition and app development efforts in Africa's feature phone past or its exciting smartphone future?  After all, despite the growth prospects, Africa is still largely a feature phone play with smartphones making up 18% of phones in Africa.

Read more: Smart cabs and social games - Africa's mobile tech startups

Though the continent's smart phone penetration rate might appear low relative to its number of feature phone users, the addressable market for smartphone users on the continent is already sizeable and is currently growing at about 19% year over year. With 650 million mobile phone subscribers in Africa, there are already about 100 million smartphone users with the number set to double to 200 million users in the next four years.

At present, South Africa is reportedly sub-Saharan Africa's largest smartphone market at 19% penetration followed closely by Tanzania, Nigeria and Kenya. Launching the right product with cross-country appeal would be key to success and carrier billing for local apps by indigenous mobile operators would provide a decent monetization path for breakout hits.

Much has been analyzed about Africa's rising middle class, a demographic that has been touted to be the world's fastest growing. Despite the controversy surrounding who really comprises this base, McKinsey posits that in the next few years, 40% of the growth in spending power on the continent will be driven by households with an average income of more than $20,000 a year.

What makes the continent's smartphone user base particularly interesting is its demographic composition. Africa's smartphone owners overlap significantly with its rising consumer class. Asides the relatively formidable size of their wallets, they are typically the most tech savvy cohort of the general populace and the most likely to use mobile apps solving key pain points in their day to day lives from mobile commerce to transit ticketing.

Read more: How African innovation can take on the world

The launch of Uber (the Silicon Valley based startup that connects riders with a driver at the tap of a button on its smartphone app) in Johannesburg, South Africa this past August points to the fact that the philosophy of betting on the continent's smartphone future is increasingly gaining traction.

It might be early days in Africa's smartphone history but at its current pace of growth, the future will very quickly merge with the present and eventually supersede it.

While feature phone penetration will continue to maintain its healthy lead, smartphone adoption would take on a hockey stick adoption path; a trend that savvy entrepreneurs and app developers will inevitably profit from. The impact that rapid adoption of smartphones on the continent will usher in are legion. From education to retail, Africa's smartphone wave will redefine the continent's future in myriad sectors and at scale.

@highlight

Africa's smartphone market is expected to double in next four years, says Nmachi Jidenma

@highlight

Companies like Nokia and Samsung are targeting the continent

@highlight

Africa's growing tech-savvy middle class will drive smartphone adoption

@highlight

"Smartphones will redefine the continent's future," says Jidenma