Orlando, Florida (CNN) -- A long line snaked around the perimeter of a large hotel conference room as people waited eagerly to meet a former Texas congressman who they view as an icon in the modern libertarian movement.

Ron Paul had finished delivering a nearly hour-long speech to a gathering of Florida libertarians on Friday night, and he was now signing copies of books, t-shirts, posters and even a few paintings.

Paul might have retired from Congress last year, but he hasn't gone away quietly.

The eclectic group of activists who backed the Texas Republican in his back-to-back presidential runs still support him even as it appears many of them are ready to turn to his son, Kentucky Sen. Rand Paul, if he follows in his dad's footsteps and runs for president in 2016.

Rand Paul, who was elected in 2010, has quickly become a national figure in his own right due to his willingness to buck traditional GOP ideology, and a strong following among young, libertarian minded voters and self-described "tea party" activists.

Rand Paul's appeal among the grassroots has helped rank him, according to early polling, as a top contender for the Republican presidential nomination if he runs. And unlike his father, Rand Paul is more closely aligned with the GOP establishment.

But as Rand Paul's star continues to rise, where does he stand among Ron Paul's most ardent supporters?

While a few attendees at the conference argued Rand Paul is too moderate, many say he strikes the right balance that the movement needs — a pragmatic choice to its principled core.

Or as Chris Sankey, a 29-year-old from Tampa, put it: "Rand is running the company, and Ron's chairman of the board."

Walking a fine line

It's clear many Ron Paul supporters don't view Rand as a replacement for his father. In their eyes, Ron is still the trailblazing legend that sparked a libertarian resurgence.

Rand Paul: Will his star continue to rise?

To the movement, "he's the intellectual godfather," said conference attendee Glen Chancy, 44, of Apopka.

But in multiple conversations, conference attendees said they thought that Rand Paul's plan is to spread the so-called liberty message in a more strategic way than his father's vocal and largely-purist method.

In Ron Paul's 2008 and 2012 presidential bids, he unabashedly called for an end to the Federal Reserve and other huge areas of government that many Americans consider necessary.

The son's tactical approach has some Ron Paul supporters concerned that he will compromise his libertarian positions.

In the past year, Rand Paul has taken heat for his stance on NSA leaker Edward Snowden, who is praised as a hero by many in the libertarian movement, including Paul's father.

But Rand Paul says Snowden still broke the law and should serve time in prison, even though he credits the ex-agency contractor for disclosing important information.

Rand Paul addressed the Florida summit Sunday morning live via video link. The event was hosted by Campaign for Liberty, an organization founded by Ron Paul in 2008.

During Rand Paul's brief video session to the conference — a vastly smaller audience than the crowd that turned out for his father's speech Friday night — Rand Paul was asked by an attendee what he thinks should be an appropriate sentence for Snowden.

While the senator has previously said Snowden deserves "a few years" in prison, he said Sunday he has "mixed emotions" and he doesn't know what kind of penalty Snowden should get.

But he argued whistleblowers should have more protections under the law and joked that Snowden and Director of National Intelligence James Clapper should share the same prison cell.

Browse through the vast web of blogs and websites that fall under the libertarian umbrella, and you'll find a number of opinions that say Rand Paul's position on Snowden should come as no surprise, claiming the senator has always been a weak representation of libertarian views.

Some attendees at the conference noted the Snowden issue was a point of contention but said they can overlook it, in part due to Rand Paul's aggressive push against the Obama administration over the very data collection programs that Snowden exposed.

"You see Rand Paul compromise a lot more with Republicans and Democrats than you would with Ron Paul," said Andy August, another conference attendee. "But it's politics. You got to play the field a little bit, and he's willing to play that ball and he's willing to get our issues and our ideas out into the mainstream. That's what's important."

'Line in the sand'

Foreign policy is also an arena in which Rand Paul has created concern among some of his father's supporters.

Ron Paul is a strict non-interventionist. He decries foreign aid, including to Israel, and wants to rid the world of U.S. military bases overseas.

Rand Paul takes another step towards White House run

"The last thing in the world we need is to be involved in the internal affairs of the other nations," the former congressman said in his speech Friday.

As seen in Rand Paul's position on the recent unrest in Ukraine and Russia's annexation of Crimea, the senator isn't as staunchly opposed to getting involved in other parts of the world. While he voted against a $1 billion loan guarantee to Ukraine, he still favors technical and security assistance to the country.

Last month, he argued that President Barack Obama was failing to project Ronald Reagan's "peace through strength" policy, and he called for the United States to be even more aggressive on its diplomatic efforts relating to Russia.

"It is our role as a global leader to be the strongest nation in opposing Russia's latest aggression," he wrote in an opinion piece.

It's his evolving stance on foreign policy that Ron Paul supporters—at least the ones at this conference—most fear will drive Rand Paul too far to the left. But Republican pundits say it will also be his biggest hurdle to cross in terms of attracting potential donors to a presidential campaign.

"If Rand Paul is serious about running for president, he's going to have to make peace with 'national security Republicans,' the big donors that care about national security," said Republican strategist John Feehery, adding he'll need to "distinguish himself from his father" in that regard.

Sankey, the conference attendee who also runs a t-shirt company called The Liberty Outfitters, said if Rand Paul trends more mainstream on foreign policy, that shift could become a deal breaker with Ron Paul supporters.

"The liberty movement has to ask itself where is the line in the sand when it comes to being principled and winning," he said.

'Playing the field'

But Rand Paul's differences with his dad aren't the first things on the minds of Ron Paul supporters when they think about the senator.

Many are excited that he's adopted an ambassadorial role and appears to be somewhat effective at attracting more Republicans with his libertarian-leaning views.

He's been climbing in the 2016 horse race polls in recent months. In March, he did what his father never did and took the top spot in a CNN/ORC International survey. He's boosting his profile with an aggressive travel schedule, headlining GOP events across the country and making appearances in liberal hotspots, like the University of California at Berkeley.

Among 2016 chatter, his name increasingly comes up as a potentially viable candidate, not simply a figurehead for libertarian ideas, as his father was often portrayed in his two White House bids.

Rand Paul fights for felon voting rights

Jeff Frazee, executive director of Young Americans for Liberty, told CNN last month that he disagreed that Rand Paul's recent outreach will put him at risk of compromising his views. Rather, he said the senator is simply translating libertarian views in a way that's more appealing to other voters.

"He is the son of Ron Paul. He has Ron Paul's DNA in him, and I think it's kind of engrained all the way down to who he is," Frazee said.

Cory Massimino, an 18-year-old student at Seminole State College, disagrees. He thinks Rand Paul is a lot more moderate than his father, but he added that's not necessarily a bad thing.

For many libertarians, he said, they see Rand Paul as the movement's best chance of permeating Washington with their views, even if he's not a pure libertarian.

"I try to remember to not let the perfect get in the way of the good," he said.

@highlight

Ron Paul might have retired from Congress last year, but he hasn't gone away quietly

@highlight

Unlike his father, Sen. Rand Paul is more closely aligned with the GOP establishment

@highlight

It's clear many Ron Paul supporters don't view Rand as a replacement for his father

@highlight

Some Ron Paul supporters are concerned Rand Paul will compromise libertarian positions