(CNN) -- The Illinois Supreme Court's recent decision to permit the televising of trials in the state's circuit courts brings to mind another question of television in a court: the U.S. Supreme Court.

The Supreme Court will soon hear oral argument -- the fascinating, highly informative back-and-forth between the justices and the lawyers before them -- in a monumental case that will determine the constitutionality of the government's new health care plan.

Everyone is interested. C-SPAN has asked the justices for permission to televise the extraordinary five-and-a-half hours of oral argument (most cases get just one hour) scheduled for March 26 through 28.

But the Supreme Court, despite numerous requests and even proposed congressional action extending over several decades, has never permitted television. The justices fear the presence of cameras would tarnish the court's dignified proceedings. But bear in mind that the Supreme Court doesn't try cases, so there's no danger of uncorking sensational trials like those of O.J. Simpson, Casey Anthony or Michael Jackson's doctor. That's not the issue.

Chief Justice John Roberts told the annual conference of the Fourth Circuit Court of Appeals last June that he worries how cameras might affect both lawyers and judges. He was asked, "Do you worry that judges might ask even more questions?" "I do," he replied emphatically. He added, a bit defensively: "We are the most transparent branch of government." He also questioned whether televising congressional sessions has enhanced them.

In fact, there's lots of experience to point to, and the precedents are clear: television would not impair the Supreme Court's dignity or its proceedings.

Two-thirds of the state supreme courts admit cameras to their oral arguments. Two federal appellate courts have allowed them. They're standard in the Supreme Court of Canada. Most of these courts have welcomed cameras for years without adverse consequences, effectively dispelling the vague worries of the justices in Washington.

The Illinois Supreme Court, for example, began experimenting with TV cameras as early as 1983, according to its press secretary, Joseph R. Tybor. It now provides its own videos of oral arguments and posts them daily. It's routine and unobtrusive. Three small, silent cameras mounted in the Springfield courtroom are operated remotely by state employees in the basement of the court building.

Similarly, New York's highest court, the Court of Appeals, first authorized TV coverage in 1987, and since 2009 all oral arguments have been covered and posted in the court's archive, according to Gary Spencer, the court's public information officer. Coverage is provided by just two small cameras mounted on window sills at the sides of the court room, operated remotely from a studio in the basement. "Our experience," Spencer said, "is that it has not caused any problems. The more the public can learn about what leads to a decision, the more willing they are to accept it."

When the Supreme Court of Arkansas was considering television coverage, one of its justices, Robert L. Brown, undertook his own survey and found that "state supreme courts have blazed a significant technological trail." He wrote, in 2007, in the Journal of Appellate Practice and Process: "The public's response, according to those state supreme courts that provide those video broadcasts, borders on the exuberant. . . [N]o state that currently provides video of its oral arguments cites grandstanding as a problem."

Justice Brown quoted the then chief justice of the California Supreme Court, Ronald M. George, as telling him that its videos provided "the best P.R. you can imagine." Arkansas two years ago became the 34th state supreme court to admit cameras.

Judge Diarmuid F. O'Scannlain of the U.S. Court of Appeals in San Francisco commented in the Journal of Appellate Practice and Process about his court's long experience on-camera that both judges and lawyers "have acted with the civility and decorum appropriate to a federal appellate courtroom, by and large resisting the temptation to play to the television audience. . . My own experience with cameras in the courtroom has been overwhelmingly positive."

In Canada the proceedings of the nation's Supreme Court have been televised since the mid-1990s. Four fixed cameras, mounted high on the walls of the courtroom in Ottawa, face the bench and the counsel's podium. When a judge asks a question, she pushes a button that both opens her microphone and focuses a camera on her.

"Our judges are proud of it," said Andres Garin, executive legal officer of the Supreme Court of Canada. "There's no downside. It has not been disruptive. There's no playing to the camera."

Of course, if the U.S. Supreme Court should allow television, but then finds that its presence is deleterious, the justices could always reverse their own decision. They've done it before.

Americans visiting Washington stand in line for hours to see the Supreme Court in action, but there's limited space inside the ornate courtroom. However, it should be noted that the court has taken recent steps to better inform the public: it publishes transcripts of each oral argument later that same day, and each Friday it releases audio recordings of all oral arguments that week.

Still, the justices should welcome television coverage, not only of the coming health care case, but of all their oral arguments. Even in this digital age of 24/7 access to almost everything, television news still reaches more people. A survey reported in January by the Pew Research Center for the People & the Press found that "television remains the most widely used source for national and international news -- 66% of Americans say it is their main source of news." TV coverage would greatly enhance public understanding of the court and its work.

If the justices decide soon, unobtrusive cameras can be mounted in the courtroom in time for the historic health care oral argument in March. Then they'll be available for future cases as well. Good for the court, good for the country.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Joe Mathewson.

@highlight

Joe Mathewson: Supreme Court should follow other courts, televise its arguments

@highlight

He says a good start would be to show oral argument on Obama health care law

@highlight

Mathewson: Cameras haven't disrupted the proceedings of other courts

@highlight

Televising court sessions would be good for the country and for the court, he says