(CNN) -- Prime Minister Vladimir Putin says he has won Russia's presidential election, restoring the former KGB officer to the office he held for eight years before term limits forced him to step down in 2008.

Putin won 63% of the votes with more than 99% of the vote counted in an election whose outcome was never in doubt, according to monitors and activists.

"The point of an election is that the outcome should be uncertain. This was not the case in Russia," the Organization for Security and Cooperation in Europe said Monday, while urging Russia to hold fair elections.

Opposition activist and former chess champion Garry Kasparov also accused Putin's supporters of "massive fraud" early Monday by packing the polls with additional voters.

While Putin's victory seems certain, it is less clear what his return to Russia's most powerful office means for the country and its relationship with the world.

What next for Russia's opposition?

Russian opposition leaders predict a massive escalation in their campaign following Putin's announcement of his latest election victory, and Russian security forces broke up a planned anti-Putin protest in central Moscow on Monday evening.

Outspoken opposition leader Alexei Navalny, who once branded Putin's United Russia party as "the party of crooks and thieves," told CNN before the election: "You have to put pressure on government until they give us back the things they've stolen from us."

In pictures: How Putin cultivated strongman image

Organizers of the protest movement are trying to maintain the momentum they have built up since December, when reports of fraud during parliamentary elections sent tens of thousands of Russians into the streets of Moscow to challenge Putin's leadership and demand democratic reforms -- the largest demonstrations in two decades, according to analysts and political observers.

Another opposition leader wants anti-Putin protests to become a fact of daily life in Moscow.

"After his supposed inauguration in May, I think we will have a camp in Moscow, and the protests will become permanent," Ilya Ponomarev told CNN. "Our objective is to bar him from taking the oath."

Can Putin govern the same way he did before?

While Putin warned during the election campaign that Putin 2.0 would look a lot like Putin 1.0, expert Richard Sakwa says there is significant political change on the horizon in Russia.

"Times have changed, and he cannot go back to the old style of governing," said Sakwa, an Associate Fellow of the Russia and Eurasia Program at London-based think-tank Chatham House. "And the fact he's confirmed he'll have Dmitri Medvedev as Prime Minister suggests that he will not reverse the liberalizing reforms announced on December 22."

In an attempt to address the popular discontent following parliamentary elections in December, Medvedev proposed that Russia return to direct elections of regional governors, simplify the registration of political parties and presidential candidates, and establish a new editorially-independent national public TV channel.

He also announced a number of new anti-corruption measures and called for the redistribution of power and financial resources from the federal government to local governments across the country.

Sakwa says Putin is a pragmatist at heart and that enacting reforms will actually benefit the president-elect in the long run.

"The old system was stifling and ultimately it delegitimized Putin's rule," said Sakwa. "But the new measures will be adopted, and all of them are absolutely fundamental truthful changes that will change the whole dynamic of contemporary Russian politics."

What does it mean for the average Russian?

Post-election Russia will look remarkably similar to pre-election Russia, according to CNN's Fareed Zakaria, because Putin was already pulling most of the strings during Medvedev's four-year presidency.

"Putin, in a sense, never left. Putin was running the government and the economy on a day to day basis," Zakaria writes. "While he had ceded the presidency, and therefore foreign policy, to Dmitri Medvedev, it was really a charade -- Putin was behind most of the most important decisions anyway."

For all of the flaws of the election, Sakwa says it is important to remember that Putin remains genuinely popular with a large segment of the Russian population.

"There's still a sense that he can deliver those public goods," Sakwa told CNN on Monday. "And while a Putin government has its downsides -- the stifling of small businesses, the weakness of the rule of law, the stifling media environment -- I think that's going to open up."

"It has to be a major push to ensure to protect the rights of property and limit collusion, because otherwise the economy will maintain its lack of diversity and competitiveness," said Sakwa.

The Russian economy is primarily based on natural resources including oil and natural gas, and Zakaria believes there is little advantage for the Putin regime in seeing that change, adding: "The more you diversify, the more prospect there is for losing political control."

What does it mean for Russia's relationship with the West?

Putin's official return to the helm comes at a time where Russia has found itself at odds with much of the Western world due to its support for Bashar al-Assad's regime in Syria and its rejection of further U.S. and EU sanctions against Iran for its nuclear activities -- and Sakwa doesn't expect that to change anytime soon.

"It's going to be a very bumpy and tough time -- Putin is not going to be anyone's patsy over Syria, over Iran, or anything else," he told CNN. "We look as if we're gearing up for lots of difficult political discussions over the future of the Middle East."

While the West has long tried to delegitimize his policies and regime, Sakwa says Putin has always been careful not to let Russia become a new Soviet Union-style anti-Western bloc.

"It's going to be a lot of tough talking ... but in recent documents Putin has shown what he did when he first came to power -- a very strong pro-European tendency," Sakwa said. "We see the relationship now with the EU is in the doldrums, and I would anticipate an attempt to revive and rejuvenate that relationship."

How long can Putin hold onto power?

Putin's win in this election means he could potentially complete two more terms as Russian president before being required by law to step down again in 2024 -- potentially bringing his time as Russian President and Prime Minister to a total 24 years, just short of the record held by Soviet dictator Josef Stalin.

Whether Putin stays on as president for two more terms is largely down to whether he can make changes demanded by a Russian population that is gradually growing weary of his rule, according to Sakwa.

"I think there is a clear sense that Putin has outstayed his welcome," said Sakwa. "But he'll make it through this term if he puts himself at the head of a gradual evolutionary reform movement."

Whether Putin can reform remains to be seen, but Sakwa says he isn't going anywhere for now. "Barring a catastrophe, Putin's going to serve six years, so we have just have to get used to working with him again."

The CNN Wire, CNN's Phil Black and Fareed Zakaria contributed to this report.

@highlight

Vladimir Putin poised to assume a third term as Russian president following election

@highlight

Russian opposition leaders predict massive escalation in anti-Putin protests

@highlight

Expert: Putin cannot go back to old style of governing, must institute liberalizing reforms

@highlight

Zakaria: Post-election Russia will look remarkably similar to pre-election Russia