London (CNN)One of the most successful businessmen of all time, Henry Ford, once said: "Whether you think you can, or think you can't -- you are right."

The implication is that your mind is a powerful tool -- if not the most powerful tool -- in securing your success.

So, how do you begin to leverage that power?

"Goal setting is possibly the most powerful skill a person can have," says Brian Mayne, author of "Goal Mapping." "The key is to command your subconscious. It is like your own personal navigation or satellite system."

Research tells us that the subconscious might indeed be a powerful partner.

According to a study by former Stanford cell biologist Bruce Lipton, the conscious mind can process roughly 40 bits of data per second, while the subconscious mind can process over 40 million per second.

Studies also show that if you plant a goal in your awareness -- your subconscious will keep you working towards it -- even without you being aware that you are doing so.

Read more: Is a wandering mind a creative mind?

Essentially, your conscious mind can be compared to the front screen of your computer, while the subconscious is like the internal control program that runs the show, says Mayne.

The trouble of course, is that we generally have no clue what's going on behind the scenes of our consciousness -- let alone how to direct it.

Get out the crayons

One way to start taking charge of your subconscious, says Mayne, is to get out the crayons.

"Typical goal setting involves only words, and words have limited power on the subconscious."

"Drawing up a map of your goal does two things," he says. It engages both the analytical and creative side of the brain -- creating more clarity and more access to the subconscious."

Putting a box of crayons in front of leaders and asking them to draw a picture, may seem a rather bold move.

But, the reviews are impressive.

Brian Mayne's 7 Steps to Goal Mapping

Step 1: DREAM:  What do you want to achieve

Step 2: ORDER: Which goals take priority

Step 3: DRAW: Communicate your goals to your subconscious

Step 4: WHY: Identify your emotional drivers

Step 5: WHEN: Define your timeline

Step 6: HOW: What are the actions you will need to take

Step 7: WHO: Choose the people or organizations that can support you

Mayne's creative-analytical approach has been picked up by companies and school systems around the world.

British Telecom uses goal mapping with new employees and in performance reviews.

Read more: Why we all have creative powers

Microsoft's United Kingdom division had their best results ever, the year they were introduced to goal mapping.

"We got a lot of credit for that," says Mayne, "and they then asked us to duplicate it in an online program, which they have used with 65,000 of their people around the world."

The process, he says, is similar to the use of visualization in sports -- where the technique is well-known and well documented.

But drawing, he says, can be especially helpful to people who have a harder time visualizing.

"Science tells us again and again, that athletes who visualize sinking the putt or getting it in the hoop do a better job," says Frank Niles, Ph.D., social scientist and managing partner of Scholar Executive Group.

"Those moments when you think about an experience and get excited about it -- what happens to your pupils, your skin, your breathing -- that is exactly what visualization does. It primes you to act. You are basically tricking your brain into thinking you are an expert already."

World kickboxing champion Katalin Konya, says mapping out her goal, helped her to win the championship.

"It is hard to explain what it does, but it gives me a feeling of 'yes, I can do it,' and 'yes I can achieve it.' I usually explain it as a bridge between my dreams and my reality."

Konya didn't just draw her way to a kickboxing championship -- just like you probably won't dream your way to a senior VP position.

The steps to success

Effective goal setting involves planning, practice, and action.

"You can visualize the mountain peak, but if you don't know how to get there, you wont get there," says Niles.

"The difference is known as process versus outcome visualization. Break the goal down into small steps, and that basically sums up what science tells us about how visualization works," he says.

And that may be why goal mapping is so effective.

In one study, University of California researchers had a group of students visualize doing well in an exam, and another group visualizing taking the necessary steps to reach the goal.

The results were clear in favor of the group who visualized studying, reading and gaining required skills and knowledge.

They not only did better, but spent longer preparing, focused more attention on the steps needed to reach the goal, and reduced anxiety in the process.

"Goal settting is a science," says Mayne.

"A lot of people think goal setting is something you do once per year, around sports. But we should all be setting goals for ourselves all the time."

Nothing's impossible

Mayne's first goal? Learning how to read at 29.

Read more: The power of positive thought

"I grew up in a traveling family, and never really went to school," he says.

At the age of 30, having just learned to read -- his passion for learning and teaching people how to set goals, took off.

So, whatever your goal, you may want to get out the crayons, and convince your subconscious you've got what it takes.

Because whether you think you can or think you can't -- you may be right.

Brian's 7-step process is available for free at: goalmappingonline.com

Doodling in a meeting? Maybe you're just drawing inspiration

Noreena Hertz: Don't get stuck in your own success

Can wearable technology boost productivity?

@highlight

Goal setting can help you achieve your dreams effectively, says Brian Mayne

@highlight

Mayne is author of "Goal Mapping," a system to help people visualize goals

@highlight

Visualization is an approach championed by successful athletes across the world

@highlight

All you need to get started with Goal Mapping is some paper and crayons!