(CNN) -- For more than a year, rights groups have criticized Bahrain for its crackdown on anti-government protests.

The protests, which began in February 2011, were spurred by the popular uprisings in Tunisia and Egypt but have failed to gain the traction of the other Arab Spring uprisings.

Lamees Dhaif, a journalist and activist, shares her thoughts on what is happening in her home country and its future in this conversation, edited for length and clarity.

CNN: What do you think about what happened to Ali Hasan, the 11-year-old boy who was arrested in May for participating in an "illegal gathering" and released months later from jail?

Dhaif: I think what happened to Ali Hasan is very tragic. Keeping a minor behind bars for a month is unexplainable. No judiciary system in the world keeps infants jailed for this long without a trial. ...

I think that children are being detained frequently now in order to silence protesters. The regime wants to warn protesters that it can do whatever it wants to anyone regardless of his/her age or type of activity the person performs at the time of arrest. ... Ali is not the first minor nor the last. There are still others in jail.

CNN: How is this story illustrative of what is happening in Bahrain? Where do you see the situation in Bahrain going?

Dhaif: The situation in Bahrain is unpredictable and chaotic just like all the arbitrary arrests and fabricated charges. The judiciary system is not independent. The charges are a reflection of what the regime wants to take place on the ground. The charges are politically biased, and in most cases, no solid evidence is present. ...

The situation is becoming more and more complicated especially now that activists and human rights defenders who were not arrested earlier are targeted now by the regime. An example is Nabeel Rajab, who is detained for bogus charges. The regime is escalating its revenge from its people amidst the silence of the international community.

CNN: Considering the world's attention on Syria and Egypt as well as other Arab nations that have experienced uprisings, do you think that the world has forgotten about Bahrain?

Dhaif: Bahrain is forgotten now, and it was forgotten when the Arab Spring started, because what is happening in Bahrain is not the result of the regime's rule only. It is the result of the joint collaboration, interests and political unity of more than one country.

Bahrain's allies (Great Britain and the United States) do not want to interfere in what is taking place because Bahrain has been a good ally for them in the region.

The Gulf Cooperation Council countries (which besides Bahrain include Kuwait, Oman, Qatar, Saudi Arabia and the United Arab Emirates) also cannot allow Bahrain to have more democracy and freedom because it will pressure other countries to do the same, and they do not want that. So, basically Bahrain has not been forgotten ... but, in fact, it had been deliberately wiped out from the media coverage for political reasons.

CNN: What is next for Bahrain? What steps can be taken to reach a resolution?

Dhaif: The resolution cannot take place unless it comes from the allied countries. The international community can place an embargo on Bahrain to force it to become more democratic and undergo reforms. Bahrain's economy cannot stand on its own. It is highly dependent on imports.

If it is threatened in this way, it cannot go on. Therefore, the international community has to hold its arms sales at least to Bahrain since that is what the regime uses to kill its people. A resolution will take place if the allies agree to give the regime in Bahrain the right to undergo reforms.

@highlight

Bahrain has been criticized by its crackdown on protesters

@highlight

The protests were inspired by other Arab Spring uprisings

@highlight

One Bahrain activist says the protests have been forgotten by the world