(CNN) -- Former Penn State assistant football coach Jerry Sandusky has been sentenced to a long prison term for sexually abusing boys, and for many people, this means that justice has been done. But in the complex crime of child sexual abuse, "doing justice" is rarely as simple as convicting and locking up the offender.

For most victims of sexual abuse, sending the offender to jail is not the most important thing. Their top priority is to be believed, to receive an apology or to restore their sense of trust. Sandusky's victims may have been accorded belief, but the apology does not seem forthcoming, at least from Sandusky. And the sense of trust often takes a long time to repair.

For the communities and families damaged by disclosures of sexual abuse, wounds continue to fester long after the cell door closes. There are almost always many who feel guilt or are blamed for having allowed the abuse or for mismanaging the situation and causing avoidable pain. The justice and mental health systems often don't do enough to help with all this collateral damage.

But "doing justice" also means preventing future harm. Many victims ultimately come forward to prevent other children (sometimes their own siblings) from becoming victims.

Law enforcement believes that putting abusers away for a long time keeps the community safe. But while convictions and incarcerations do prevent some future offenses, it is naive to think that we can prosecute our way to child safety in this crime. For example, a third of all child sex offenses occur at the hands of other youth (PDF), and these crimes are not likely to be prevented by greater incarceration, in part because few of these juveniles have records that would have allowed authorities to intervene.

The key to real prevention is awareness and education. There is no question that the Sandusky case has advanced these goals. Certainly, campuses all over the country are reviewing their standards and educating their staff members to make sure it "won't happen here."

But the Sandusky case also reminds us of how much more we potentially have to do. Nearly 50 years after mandatory reporting laws came into effect and 10 years after the priest abuse scandal, highly educated and well-meaning professionals still fail to do the right thing.

Here are some changes that should be on our prevention agenda:

• Make abuse prevention, detection and management prominent in the curricula of graduate education in all human service fields.

• Create off-the-shelf abuse prevention guidelines and educational materials that small and large youth-serving organizations can adopt and disseminate without a lot of expense.

• Provide evidence-based prevention education for children and youth at all levels of the educational system.

• Through schools, libraries and pediatricians, give parents the skills and vocabularies for talking about abuse with their kids.

Finally, we need to see justice in these cases as a process, not just an outcome. Convictions may be obtained, but victims and families are left battered. Studies suggest that most cases with child victims take far too long to resolve in the legal system. Many victims and families complain that they aren't kept up to date on what is happening in the case and why. Victims' identities are often not protected. Investigative interviews and procedures can be intimidating and exhausting. Helpful mental health and support services are not readily available.

At the same time, much is being done to make the process more victim-friendly. Child advocacy centers are being established all across the country. Law enforcement is being trained in child development skills and sensitive interviewing practices. Judges are being admonished to speed cases along.

But we still have a long way to go before we can close cases like that of Jerry Sandusky with confidence that "justice was done."

The opinions expressed in this commentary are solely those of David Finkelhor.

@highlight

Former football coach Jerry Sandusky got long sentence for abusing boys

@highlight

David Finkelhor says abuse leaves collateral damage that is difficult to address

@highlight

He says spotting abuse must be key part of curricula in human service fields

@highlight

Writer: Youth groups, schools, libraries should disseminate guidelines for prevention