(CNN) -- Government military forces fired indiscriminately Monday from helicopters on a town on the outskirts of Jabal Al-Zawiya, inflicting scores of casualties on civilians and rebel forces, an activist told CNN.

Ibrahim Swed, speaking from the town in northwestern Syria's Idlib province, said that the fighting between rebel forces in the Free Syrian Army and government forces continued for six hours and resulted in 32 deaths and more than 50 wounded.

Opposition activists said at least 93 people were killed across the country Monday, 35 of them in Idlib.

"The regime is escalating the use of violent forces," said an activist in Idlib whom CNN is identifying only as Ahmad for safety reasons. "We cannot believe that the world is watching us being killed ... we want military intervention."

Ahmad said more than 40 Syrians were killed Monday in Idlib province.

Battle for largest cities may have begun

In Washington, State Department spokeswoman Victoria Nuland said the attacks showed the government to be desperate.

The use of helicopters to fire on civilians and the use of pro-regime thugs called Shabiha "constitutes a very serious escalation," Nuland told reporters. "What government voluntarily uses helicopters and fires from them on their own civilians if they're not desperate?" she asked. "What government depends on a bunch of thugs in trucks, irregulars, if they're not desperate? So, you know, clearly the government is under threat."

British Foreign Secretary William Hague said Monday that "all options" should be considered if the peace plan put forth by special envoy Kofi Annan fails to achieve peace.

"On 1st April, the Syrian regime committed itself to implementing the Annan Plan and on 12th April announced a ceasefire," Hague said in a statement. "They have not kept either of these commitments."

Hague added that the plan "cannot be used indefinitely by the regime to play for time. If the Annan plan is not implemented, we will argue for a new and robust U.N. Security Council resolution aimed at compelling the regime to meet its commitments under the plan, and requiring all parties to comply with it."

He continued, "We do not want to see the Annan plan fail, but if despite our best efforts it does not succeed, we would have to consider other options for resolving the crisis, and in our view all options should then be on the table."

Hague's remarks came as Annan, the U.N.-Arab League joint special envoy, said he was "gravely concerned" about reports that fighting between Syrian government and opposition forces had escalated.

"He is particularly worried about the recent shelling in Homs as well as reports of the use of mortars, helicopters and tanks in the town of Al-Haffa, Lattakia," Annan spokesman Ahmad Fawzi said Monday in a statement. "There are indications that a large number of civilians are trapped in these towns."

The statement called for the protection of civilians and demanded that U.N. observers be granted immediate access to Al-Haffa.

Nuland said U.S. officials joined Annan in expressing alarm over reports "that the regime may be organizing another massacre, this time in the village of Al-Haffah in Latakia province, as well as in the towns of Dar Azure (ph), in Daraa, in Homs, in Hama and in the suburbs of Damascus."

She said U.N. military observers had been trying to reach Al-Haffah but had been blocked by government forces.

In a note to correspondents from the spokeswoman for the U.N. Supervision Mission in Syria (UNSMIS), Sausan Ghosheh said U.N. observers reported heavy fighting in Rastan and Talbiseh, north of Homs, with artillery and mortar shelling and firing from helicopters, machine guns and smaller arms.

Heavy artillery shelling and machine gun firing were heard and seen over the Homs neighborhood of Khaldiyeh, she said.

"UNSMIS has also received reports of a large number of civilians, including women and children trapped inside the town and are trying to mediate their evacuation," she said.

An online video purporting to show live images of Homs on Monday showed more than a dozen explosions in an hour.

Shells rained on Deir Ezzor province, where eight bodies were found after regime forces raided a city at dawn, the opposition Local Coordination Committees of Syria said.

In southwestern Syria, explosions and gunfire targeted the city of Douma as forces conducted raids and made arrests, the LCC said.

The state-run Syrian Arab News Agency reported that 25 members of the army and law enforcement as well as one civilian who had been "targeted by armed terrorist groups while they were in (the) line of duty" were buried Monday.

Over the weekend, the opposition Syrian National Council elected minority Kurdish activist Abdul Basit Sieda to unite dissidents seeking to oust Syrian President Bashar al-Assad.

Al-Assad defined by indecision, violence

Sieda, a native of Hasaka, Syria, who lives in Sweden, called on officials in Syria, Russia and China "to think carefully about the situation now because the whole stability of the region -- if not the whole stability of the world -- is at stake here. We would like to call upon them to support the Syrian people."

Russia and China have blocked U.N. Security Council resolutions that many other nations said could have pushed al-Assad to stop the killing. The two countries, which have major trade ties with Syria, said they want more balanced resolutions that call for a cessation of violence on all sides.

Russia is viewed as a key ally of Syria. While Western countries have criticized Russia for its arms trade with Syria, Russia has insisted it is not propping up al-Assad's regime.

Russian Foreign Minister Sergey Lavrov said Saturday there was no alternative to Annan's peace plan, despite evidence that it's being violated daily.

"The situation looks more and more grim," Lavrov said. "For the first time since the beginning of this crisis, we see the question of foreign intervention. And our position remains unchanged. We will never agree to sanction the use of force in the U.N. Security Council."

The United Nations has said at least 9,000 people have died since the crisis erupted in March 2011. Opposition groups, however, say the toll is higher, with estimates ranging from at least 12,000 to more than 14,000.

CNN cannot independently confirm reports of casualties or violence in Syria, as the government has restricted access by international journalists.

Dozens of countries have recognized the Syrian National Council as a legitimate representative of the Syrian opposition, though many members of the group's leadership are expatriates.

Asked how he planned to bridge a gap between the Syrian opposition in exile and the opposition inside the country, Sieda said, "We are in direct communication and contact with revolutionary forces inside. We are always communicating with them. ... The relationship between us and the forces inside has never been stronger."

But al-Assad has said he will not deal with opposition members influenced from the outside.

While Sieda railed against the violence committed by al-Assad's forces, the regime itself announced a new stage in its argument that "armed terrorist groups" -- and not government forces -- are responsible for the violence.

A program on state-run TV said "that terrorists of various nationalities from the terrorist organization Jabhet al-Nasra, which is affiliated with al Qaeda, planned and carried out" bombings in Damascus on March 8. The cars used in the attack were driven by a Jordanian terrorist and a Syrian Palestinian, "and were trailed by an Iraqi," the state-run news agency SANA reported.

CNN's Hamdi Alkhshali, Holly Yan, Josh Levs, Salma Abdelaziz, Saad Abedine and Ivan Watson contributed to this report.

@highlight

Firing from helicopters marks "a very serious escalation," Nuland says

@highlight

U.N.-Arab League envoy seeks protection of civilians, access for U.N. observers

@highlight

The opposition Syrian National Council shakes up its leadership

@highlight

The Syrian regime blames an al Qaeda-linked group for deadly attacks in Damascus