(CNN) -- Authors Po Bronson and Ashley Merryman have made a habit of slaying the sacred cows of parenting in their writing on child development. The pair made headlines two years ago in "NurtureShock" -- their first book together -- in which they criticized the way many parents choose to raise their children.

Bronson and Merryman have just released their newest work, "Top Dog." In two interviews, they shared some thoughts with me on strategies parents should follow to best ensure their offspring are (broadly defined) winners, not losers.

I imagine many parents will find validation in their advice, while others may argue their definition of success is far too narrow. Please use the comment section below to discuss your take. How do you measure your child's success?

Q: You say parents have a common misconception about their role raising children. Can you explain that?

Bronson: Parenting is not just about safety and security. It's about expanding your child's comfort zone. For example, a child needs to know he or she is safe, but after that, it's OK for a parent to make their son or daughter feel unstable. Meaning, children have to get used to the frustration and jealousy that come from competition.

Q: What do you mean exactly?

Merryman: We have placed too much focus on the importance of comforting children.

There are still too many soccer teams that don't keep score and give trophies to every player. Kids aren't fooled when adults don't keep score. They know exactly who got what goal and who missed.

Q: Why is competition so important?

Merryman: Research says what makes an individual successful is the development of agency. Agency is that inherent belief in yourself -- the ability to have a vision and know you can go for it. The alternative is to look over your shoulder to get your friends' approval.

Bronson: Healthy competition also teaches kids to stand up for themselves. They learn to be vocal. They learn to be comfortable getting attention. When they can be successful, competition also teaches children to circumvent the desire to quit. These are all precursors to what happens when they get older.

Q: Not all children enjoy competition. Some kids shy away from it. What do you say to parents of these children?

Bronson: Parents can wire their children so they are ready to compete. One way is to make sure you never put your child in a competition they don't have a fighting chance of winning.

Merryman: Competition is not just about athletics. Competition could be a science fair or a spelling bee. In any competition, parents can help their children by asking them the right, open-ended questions: Do you need to work harder next time? What could you have done to produce a different result? The most important lesson for parents is to encourage their children to work through challenges in a problem-solving way.

Bronson: Competition can also come from sibling rivalry.

Q: What does that mean, though, for only children? Are they at a disadvantage?

Bronson: The simple answer is yes.

Q: Is there anything parents of only children can do to counter the vacuum of not having a sibling to compete with at home?

Bronson: Parents of only children should focus on group play. Instead of having one kid over for a play date, have two, or four, or more. This doesn't mean parents always have to approach play dates this way. It's not a rule they have to follow. It's simply important to know about. It's a great way to supplement what may already be working in a family.

Q: What are some of the gender differences you've discovered? What do parents of girls need to know?

Merryman: Girls tend to develop friendships in pairs and believe relationships are threatened when there are winners and losers. Because of this, girls tend to play games that encourage taking turns, that foster sharing, that encourage feeling equal to one another. It's especially important for parents of girls to make sure their daughters have enough competition in their lives.

Bronson: Girls can also get competitive experiences just by playing in groups at home. Instead of having one girlfriend come over to play, invite a few.

Q: What should parents know about their sons?

Merryman: Since boys grow up in groups, they live in an environment that automatically encourages competition and differences of opinion and ability. The challenge with boys is that they're overconfident and they don't pay attention to the likelihood of being successful. They ignore odds. Parents can help boys by teaching them to understand competition better -- that often winning will only come from working hard, not just showing up.

Q: Finally, to raise a "Top Dog," what's the worst mistake a parent can make?

Merryman: Doing too much for your kid and protecting children from failure.

Bronson: Parents who think they're helping their children by keeping them safe from losing may be inadvertently creating kids who are less capable of competing as adults. Parents must allow their children to fail. Children should be given the opportunity to connect the dots between winning and losing and that winning takes effort.

Do you agree that "Parenting is not just about safety and security?" Share your take in the comments section below.

@highlight

Po Bronson and Ashley Merryman write about the science of child rearing

@highlight

Their new book is about teaching your children to be competitive and successful

@highlight

One key to fostering success is to take children out of their comfort zone

@highlight

"Children have to get used to the frustration and jealousy that come from competition," says Bronson