South Sudan's fractious leadership, mass killings and ethnic violence contributed to its No. 1 position on the list of the world's most fragile nations, said Fund For Peace, a Washington-based nonprofit  that compiles the annual list.

However, the United States -- which ranked 159 on the overall list of 178 countries, followed by France and the United Kingdom in a subcategory of "very stable" countries -- was among the countries that have worsened the most over the past year, a new report says.

The index is based on 12 social, economic and political indicators, including demographic pressures, poverty and economic decline, human rights and political impasse.

Until this year, the nonprofit referred to it as the list of failed states. Somalia had led the list for six years.

Somalia's fall to second place is due to its "trajectory of improvement," despite lawlessness, terrorism and ineffective government, the group said.

Other countries in the top 10 are the Central African Republic, Democratic Republic of Congo, Sudan, Chad, Afghanistan, Yemen, Haiti and Pakistan.

Syria was not left out: Its yearslong civil war placed it at No. 15.

Iran leads in improvement

The list had some surprises as well.

Iran led a pack of most-improved nations, with the report saying it had stabilized somewhat "after recent political and social turmoil."

The most-improved group included a cluster of countries with tense relations with the United States -- "quite coincidentally," according to the report's authors -- including Zimbabwe, Cuba, Bolivia and China.

U.S. on list of worsening countries

Some developed nations picked up dubious honors, too.

France was listed as the seventh-most-worsened country this year, "largely as a result of a political and economic malaise," the group said.

It said the United States tied with Singapore and Thailand for eighth-most-worsened country. The top nation on that list was the Central African Republic, which is deep in a conflict involving widespread atrocities.

'Not exclusive to developing countries'

The U.S. made the list for various reasons, including the lack of bipartisanship in Congress and the partial government shutdown last year, the group said.

"The recent worsening of the United States, France, and Singapore also shows us that instability is not exclusive to developing countries," the group said.

The three nonetheless remain near the bottom of the overall fragility rankings, in a group of nations classified as "very stable."

South Sudan chaos

South Sudan split from Sudan in 2011, making it the world's youngest nation. But excitement over its independence did not last long.

Fighting erupted in December after President Salva Kiir accused Vice President Riek Machar of plotting a coup. Hundreds of thousands of people have fled their homes as forces loyal to both leaders battle it out.

The list covers the past year and excludes a handful of countries with inadequate data.

It uses indicators such as the economy, declining public services and growing refugee problems.

Sudanese Christian woman faces 2 new charges

South Sudan quashes coup attempt, President says

@highlight

A U.S. nonprofit group says South Sudan displaces Somalia as most fragile nation

@highlight

It cites the young country's fractious leadership, mass killings and ethnic violence

@highlight

The United States is among the 10 nations that have deteriorated the most, the group says

@highlight

Iran leads the list of countries that improved the most over the past year