(CNN) -- Margaret Thatcher, one of the seminal political figures of the 20th century, will be remembered for her unswerving belief in the virtues of free market capitalism and the vices of socialism, and for her role in the downfall of communism.

People might wonder why Thatcher evokes such positive emotion from young conservatives, such as me, who were children during her heyday. The answer is simple. In our era of politics in which spin seems to take precedence to substance, Margaret Thatcher was an icon for what politics should be about -- courage, spirit and the determination to change things for the better.

In pursuit of the defeat of what she saw as socialist totalitarianism, she made a close alliance with U.S. President Ronald Reagan and built a relationship with Soviet leader Mikhail Gorbachev, while still standing firm in opposition to the Soviet empire. Without question, she was one of America's closest and most important friends and was instrumental in winning the Cold War for the West.

Opinion: How 'Lady T' built transatlantic bridges

She refused to be bowed by terrorism and stood against it in all its forms. After the Irish Republican Army attempted to assassinate her and her Cabinet at the 1984 Conservative Convention in Brighton, narrowly missing Thatcher but killing five people, she insisted on continuing the conference the next day.

"The fact that we are gathered here now, shocked, but composed and determined, is a sign not only that this attack has failed, but that all attempts to destroy democracy by terrorism will fail." Her courage brought moral clarity in highlighting the atrocity of terrorism as a means of political activity.

Her resolve to stand against any threat to British interests was clear in the Falklands War. After the invasion of British territory by Argentine military forces, Thatcher said it would not stand. Fully knowing the real prospect of defeat, Thatcher ordered a British military task force to re-take the islands. They did.

Along with foreign policy successes, Thatcher, known as "The Iron Lady," scored domestically.

Facing high unemployment rates, a crippling union stranglehold and an unproductive, stagnating economy, the United Kingdom of the 1970s was a country in dire straits.

Thatcher believed that pervasive unemployment and growing inflation were not just temporary threats, they were burying Britain's future. She believed the root causes were found not in the shifts of economic cycles, but in the failure of Britain's flawed economic model.

Opinion: Why Thatcher made so many enemies

She guided Britain's economic base away from domestic monopolies and toward global capitalism. Because of her privatization and deregulation policies, the United Kingdom became a center for international finance and investment. In 1987, Thatcher was elected to a historic third term.

Despite her successes politically, she was a polarizing presence and had relatively low approval ratings during her tenure. Many Britons detested her attempts to curb the unions, her cuts to social programs and education, and her introduction of the Community Charge, called the "poll tax." Her Cabinet did not share her views on the European Union. She resigned as prime minister after three terms in 1990, believing her party had betrayed her.

Still, there can be no debate of her enduring impact. Tony Blair's historic 1997 election and return of the Labor Party to power is often pointed to as a moment of renewed liberalism in Britain. In many ways, it was. But under the banner of a new Labor and Blair's embrace of a "third way," it is also evident that Thatcher had changed Britain's economic debate forever. She had moved the political discussion from one of statism versus capitalism to a basic acceptance of free market economics as a standard of British political consensus.

Opinion: Why Britain needs another Thatcher

Although many on the British left oppose what Thatcher did and what she stood for, there is a quiet, begrudging perhaps, but unmistakable admiration of her strong and unswerving leadership.

History will record Thatcher stood for what she believed, and that both Britain and the world are better for it.

The opinions expressed in this commentary are solely those of Tom Rogan.

@highlight

Tom Rogan: Margaret Thatcher was a close ally of U.S. and helped end the Cold War

@highlight

Rogan: She stood against terrorism and stood up for Britain, won the Falklands War

@highlight

Rogan: Privatization, deregulation and curbing unions revived the British economy

@highlight

You always knew where she stood and she changed world for the better, he says