(CNN) -- Desmond Tutu's distinctive cackle cuts through the noisy clatter of cutlery at one of his favorite cafes.

Archbishop emeritus Desmond Tutu has breakfast at the Scotch Coffee House in Cape Town.

The South African cleric is at the Scotch Coffee House, a highland-themed restaurant complete with tartan tablecloths and bagpipes that sits incongruously in downtown Cape Town, a short walk from St. George's Cathedral where he served as Anglican Archbishop for ten years.

He has just told a joke to friends who've joined him for breakfast in what has become a tradition of sorts after Friday Eucharist. A CNN production crew is also there filming him for an upcoming edition of Revealed.

"Tell them about the rabbi and the poison... that is so good," his colleague and friend Professor Nulda Beyers gently prodded.  With a chuckle, Tutu began, adding, "It really is a lovely story."

"This man telephones the rabbi and says, 'My wife wants to poison me.' The rabbi says, 'Oh no, no, ok, let me talk to your wife.' So the rabbi calls the wife and they talk for over three hours and after three hours the rabbi calls the man. The man says 'yes?' The rabbi says, 'I talked to your wife for three hours... take the poison.'"

Tutu erupts into a fit of giggles, a familiar sound to anyone who has met or who has been fortunate enough to be within earshot of the Nobel Peace Prize Laureate.

"He likes to say that he laughs easily but he cries easily too, and that the emotions are very close to one another," said John Allen, author of Desmond Tutu's authorized biography "Rabble-rouser for Peace."

Allen, a journalist, met Tutu in 1976 around the time of the Soweto uprising when a protest by school students broke into a fatal melee when police officers started firing into the crowd.

"He wears his heart on his sleeve," Allen told CNN, adding, "It can be almost embarrassing at times."

"Once, as he got upset at a press conference about something F.W. de Klerk, the former president, had done, his face began to crumple as if he was five years old and about to burst into tears. He's an extraordinarily emotional person. And that's what makes South Africans love him. With Tutu, you know what you've got."

Desmond Tutu was born in 1931 in Klerksdorp, Transvaal, the second of three children to a teacher Zachariah Zelilo Tutu and Aletta Dorothea "Matse" Tutu.  See a timeline of the life and work of Desmond Tutu »

"He'll tell you that he was relatively privileged as a child," Allen said. "And I suppose he was in the sense that he was the son of a primary school headmaster in a small, rural town west of Johannesburg. But in fact, he went to school barefoot until probably his teens. In winter, he would wear a cast-off coat of his father's which probably dragged down to the ground."

Desmond Tutu followed his father into an early career as a teacher but felt compelled to leave in 1955 after the government's introduction of the discriminatory Bantu education policy. For the young Desmond Tutu, one of the most appalling aspects of the new educational regime was the premise that black children should not aspire for more.

Tutu applied to join the church and was ordained as an Anglican minister in 1961. A year later he took possession of his first passport and left South Africa to further his studies and begin his life's work of preaching tolerance, equality and peace.

St. George's Cathedral is a special place for the preacher. After becoming the first black Archbishop of Cape Town in 1986, he gave countless sermons there, railing against a government still consumed by the idea of apartheid and encouraging and inspiring the downtrodden to rise up and reclaim their rights.

"It already had a reputation as a refuge against the viciousness of apartheid," Archbishop Tutu told CNN.

"But it became particularly so in the 1980s. For instance, there was a time when there were people who went out on a protest march and were beaten up by the police, and sprayed with pepper dye. And they ran into here. They were really bedraggled and almost had the stuffing knocked out of them."

Tutu was there to provide spiritual support: "I came and strengthened, or tried to strengthen them, to encourage them."

In 1984, Tutu's efforts to end apartheid in South Africa earned him a place on the rarefied list of Nobel Peace Prize Laureates.

"South Africa was on the backburner, in terms of priorities by the world, and getting that prize at the time helped to turn the spotlight on our situation," Tutu said.

"It also gave our people hope that the world is looking on and the world is watching and the world has come to accept that ours was a just cause, and it was also largely a non-violent cause. So I think that in a way could be said to be the watershed event, the before and after kind of thing."

The following year Desmond Tutu became Bishop of Johannesburg, then in 1986, Archbishop of Cape Town.

It was in St. George's Cathedral in 1989 that the Archbishop issued a call for a peaceful protest that drew more than 30,000 people onto the streets of Cape Town.

Within months, anti-apartheid activist Nelson Mandela was freed after 27 years in prison. Four years later, Tutu danced as he cast his vote in South Africa's first democratic elections; a vote which helped elect Mandela as the country's first black president.

Tutu was by Mandela's side on his inauguration day in May, 1994. Today, he's in Washington to witness what he's said to have called the United States' "Mandela moment."

During his lifetime, Tutu has campaigned tirelessly for the oppressed and disadvantaged. He remains committed to drawing international attention to the AIDS epidemic in Africa, to ending the plight of Zimbabweans under the dictatorship of Robert Mugabe and to appealing for peace in the Middle East and Darfur.

He's Chairman of The Elders, a group of exceptional world statesmen and human rights activists, who aim to use their collective experience and unrivaled contact lists to promote peace.

On top of his commitments as patron to various hospitals and charities, he's setting up his own organization to perpetuate his legacy. The Desmond Tutu Peace Center is due to open in 2010.

With all that on his plate, it's a wonder Desmond Tutu has time for breakfast. "Your usual milo?" asked the waitress at the Scotch Coffee House. "A milo and a fruit cocktail please, yes."

He barely has time to consume them amid the lively conversation.

Tutu acknowledges his schedule is crowded, but says he strict when it comes to time with God.

"You just have to be firm and say I am not going to be available. Otherwise, I would disintegrate," he said. "If I didn't have this spiritual backdrop I know I would be just an empty clanging symbol."

CNN Revealed: Desmond Tutu show times  ALL TIMES GMT Wednesday, January 21: 0930, 1830 Saturday, January 24: 0830, 1900 Sunday, January 25: 0530, 1830 Monday, January 26: 0400

@highlight

Desmond Tutu has spent his life preaching equality, tolerance and peace

@highlight

Campaigned for racial equality in South Africa which led to first vote in 1994

@highlight

He was at Mandela's inauguration in 1994, in Washington today for Obama's

@highlight

Served as Archbishop of Cape Town for 10 years at St. George's Cathedral