(CNN) -- The language of war leaves something lost in translation.

Israeli Defense Minister Moshe Ya'alon on Saturday spoke of "achievements" and the destruction of "significant targets" in his country's airstrikes against Hamas targets in Gaza.

But on the ground in Gaza, sources talked with CNN not about military targets, but about hospitals pushed to the brink, dead or distressed children, and airstrikes that struck water infrastructure.

"No one is talking about the Palestinian civilians. When you bring up this story, no one is ready to listen," a Hamas spokesman, Osama Hamdan, told CNN's Wolf Blitzer. "But when it came to Israelis, everyone is taking care and everyone is talking."

Though a full-scale invasion has not occurred, Israeli military forces went into Gaza for half an hour early Sunday and raided a long-range missile launching site, an Israeli military source told CNN.

Gunfire was exchanged and four Israeli soldiers were "lightly injured," the source said, adding that the mission was accomplished.

The death toll from the airstrikes on Gaza this week has topped 160, Ashraf al-Qidra, a spokesman for the Gaza Health Ministry, said early Sunday. More than 1,100 people have been injured.

On Saturday, at least 23 people were killed in Israeli airstrikes, said security and medical sources in Gaza. An official at Shifa Hospital told CNN that the morgue there was now full.

One airstrike targeted the house of the head of the Gaza police, Tayseer al-Batsh, and killed at least 15 people and injured an unknown number of others, security sources in Gaza told CNN. Aqsa TV showed rescuers frantically digging for survivors.

The airstrikes hit the house, which is next to a mosque. The sources say that some of the casualties had been in evening prayers at the mosque.

And, an Israeli airstrike hit a facility housing the disabled, killing two women, the health ministry said Saturday. Israel Defense Forces said it was looking into that claim.

Four Israeli airstrikes hit the Arafat Police complex in Gaza city early Sunday, shaking nearby buildings, including the offices of CNN and other media.

The Israeli military is telling residents of northern Gaza to evacuate their homes for their own safety, CNN correspondent Ben Wedemen reported Saturday.

Israel Defense Forces says it uses phone calls and drops empty shells on roofs -- what it calls "roof knocking" -- to warn civilians that airstrikes are imminent.

Concerns about a ground invasion by Israeli forces are growing. The U.N. Security Council on Saturday called for a de-escalation and cease-fire between Israeli forces and Palestinian militants, the 15-member group said in a statement.

Israel's stated mission is to get Hamas militants to stop firing rockets into Israel, something that has not happened. Even after days of bombardments from Israeli jets, more than 36 rockets were fired from Gaza on Saturday, and the sun had not even set.

Two of those rockets were intercepted by Israeli air defense, and 34 struck Israel. The IDF said at least two rockets fired from Lebanon hit open areas north of coastal Nahariya, but no damage or injuries were reported.

Israel asserts its right to defend itself, and so far the Hamas rockets have caused no deaths.

"Achievements are accumulating in terms of the price that Hamas is paying, and we are continuing to destroy significant targets belonging to Hamas and other terrorist organizations," Ya'alon said. "Hamas is suffering from severe blows and is causing severe damage to its people."

Hamas frames the current conflict as a defensive fight.

"What about the right for the Palestinians to protect themselves to protect their people?" Hamdan said. "The international solution is asking Israel to leave but they're not doing that."

Electricity and water sources affected

More than 500 homes in Gaza have been destroyed or severely damaged, more than 3,000 Palestinians are displaced and hundreds of thousands have been affected by damage to water infrastructure, a spokesman for the United Nations Relief and Works Agency for Palestine Refugees (UNRWA) told CNN.

Electricity is knocked out in major areas of Gaza City, and at least one major line was struck, repaired and promptly struck again, spokesman Chris Gunness said. Nine UNRWA schools have been damaged, he said.

(On Saturday, some UMRWA warehouses caught on fire, but the cause was a militant rocket that fell short and struck on Palestinian territory.)

At least 28 Palestinian children have lost their lives in the recent fighting, and others are beginning to show signs of mental distress, said Catherine Weibel, communications chief for the United Nations Children's Fund (UNICEF).

Israel says, as of Saturday, its military has attacked 1,220 "terror targets," including 632 launchers, 130 military camps, 106 "terror infrastructure" and 220 tunnels.

That level of specificity has little meaning in Gaza, where a public utility official told CNN that water, not terror, infrastructure has been hit.

Two Gaza water wells took direct hits Saturday, Gaza director of public water Maher Salem said. These water sources, which supply water to 27,000 people, "no longer exist," he said.

No de-escalation

Though some Israelis have been wounded, none have been killed by the hundreds of rockets fired by Hamas and other militant groups in Gaza. Israel's Iron Dome defense system has intercepted dozens of rockets, helping keep fatalities at bay.

Hostilities between the two sides escalated this month after the killing of three Israeli teenagers and a Palestinian teen. Neither Hamas nor Israel appear to be backing down, prompting fears of a ground invasion by the latter.

Israeli Prime Minister Benjamin Netanyahu left all possibilities open, saying the international community will not influence his actions against Hamas. He reiterated that there is one path to a cease-fire: the cessation of attacks from Gaza.

The language seems clear -- each side demands the other to stop -- but it seems the two sides can't hear each other while they have their hands pressed on the "launch" button.

In another incident Saturday, an Israeli airstrike killed six Palestinians in Gaza City, according to local medical sources.

An Israeli airstrike hit a group of people near Khan Younis, killing a young girl and injuring five others, according to medical and security sources in Gaza.

Attackers in Gaza opened fire and damaged an IDF vehicle patrolling the security fence in northern Gaza, the IDF said.

What's next?

On Saturday, not all of the rockets fired from Gaza landed in Israel. At least two rockets hit open areas in the West Bank.

The IDF reported that it has called up more than 35,600 reservists. They are authorized to call up to 40,000.

As concerns of a ground invasion by Israeli forces grow, foreigners in Gaza are planning their exit.

One of the only crossing points between Israel and Gaza, at Erez, has received about 800 requests by civilians with foreign citizenship to leave, officials there told CNN.

The 800 requests have come in over the past three days and have been approved, a crossing official said. That figure includes about 300 Americans, though that number is unofficial, the source said.

Medical sources described overcrowded emergency rooms in Gaza and dwindling stocks of medicine, a situation that mirrored Syrian hospitals at the height of its civil war.

At one damaged hospital, eight activists formed a human shield in an attempt to protect it.

The activists who formed a human shield are from various countries, including the United States, Venezuela, Belgium, Britain and Switzerland, said Dr. Basman Al-Ashi, executive director of the Al-Wafa hospital. He said the hospital caters to patients who need 24-hour care, and thus cannot evacuate them.

Hamas and other militant groups in Gaza are believed to have about 10,000 rockets of varying ranges, according to the Israeli military. Israel has said some 3.5 million residents live in areas within reach of the rockets.

CNN's Kareem Khadder, Tal Heinrich, Khalil Abdallah and Yon Pomrenze in Jerusalem, Talal Abu Rahma in Gaza, and Samira Said and Faith Karimi in Atlanta contributed to this report.

@highlight

NEW: Israeli forces invade a Gaza missile site Sunday, then return

@highlight

NEW: The death toll in Gaza is now 160

@highlight

A Saturday night airstrike kills 15

@highlight

Medical sources describe overcrowded emergency rooms in Gaza