(CNN) -- If your Christmas is too often one of tacky decorations, over-cooked turkey and bitter family feuds, now may be the time to put the baubles back in the attic and plan yourself a yuletide getaway.

To help you along, we offer our top picks for the most Christmassy places around the world.

Lapland, Finland

While legends dating as far back as the 1820's may cite the North Pole as the official home of Santa Claus and his jolly missus, Finns would have us believe otherwise. For them, Rovaniemi, Lapland, located just north of the Arctic Circle, is Christmas headquarters. Here, children can make gingerbread cookies with Mrs. Claus, enroll in Elf School, or take a calligraphy class and learn to compose their Christmas wish-lists with a traditional quill.

Other area attractions include the Ranua Zoo -- home to baby polar bears, wolverines, and moose; Sirmakko reindeer farm, where visitors can take a sled-led reindeer safari; and the Arktikum, a science center where the mystery and the magic of the Northern Lights is revealed.

Those in search of a truly frosty experience can stay in the Arctic Snow Hotel, made entirely of snow and ice, but equipped with saunas and hot tubs in which to thaw.

Send us your best festive images

Strasbourg, France

Strasbourg's series of themed Christmas villages morph the city into a visual and gastronomic wonderland. Hedonists can head to the Village of Alsace Farmhouse to taste prune, apricot, and other holiday-inspired variations of farm-fresh foie gras.

The nearby Village of Bredle is supplied aplenty with its namesake traditional Christmas biscuits and copious amounts of mulled Alsatian wine to wash them down with.

From the Strasbourg Philharmonic, to gospel, to Django-Reinhardt inspired gypsy jazz, Strasbourg's Christmas program is packed with concerts and a special selection of cultural events from Georgia, the guest country of Strasbourg's Christmas celebrations this year.

Quebec, Canada

If you're the type of person who likes to celebrate Christmas around a tree made from recycled sheet metal, with lights powered by the pedaling of nearby cyclists, then Quebec is your destination. A haven for environmentally friendly, outdoor enthusiasts, the city bustles with activity, offering a holiday program for all tastes.

Modern-day Victorians can enjoy a candle-lit evening of stories from Charles Dickens, detailing the Christmas traditions of yore. Sausage and roast chestnut lovers can browse the wares at the German Christmas market, and the more religiously inclined can wander exposition of nativity scenes from around the world.

The nearby Sentier des Caps de Charlevoix offers family-friendly hiking, snowshoeing and skiing, while speed devils can spend the day zooming around in a snowmobile from Nord Expe, Inc.

What do you know about quirky Christmas traditions?

San Miguel de Allende, Mexico

Piñatas, posadas and ponche sum up the festivities in this colorful Mexican city, where Christmas is both a solemn and a celebratory affair.

Leading up to December 24, you're likely to stumble upon Mary and Joseph strolling the streets, as locals make pilgrimages from home to home, singing to "ask for posada" or "beg for shelter" as they re-enact the journey to Bethlehem.

Ponche - a mulled fruit drink - and piñatas cap a long evening of peregrinations around this cobblestoned city, which was recently designated a UNESCO World Heritage Site for its wealth of grand churches, well-preserved architecture, and grand zocalos, or sweeping public squares, replete with romance and old world charm.

Dyker Heights, Brooklyn

Yes, New York City has The Rockettes, the 5th Avenue windows and, the ice rink at Rockefeller Center, all which make it a terrific, tinsel-studded holiday destination.

The more curious, however, should venture out to Brooklyn for a slightly more off the cuff, yet equally ostentatious gander at how New Yorkers do Christmas. The proudly and predominantly Italian-American residents from roughly 11th to 13th Avenue and from 83rd to 86th Street have an unspoken agreement to one-up each other with holiday decorations which, much to the mirth of passersby, often results in two-story Santas, armies of 30-foot wooden soldiers, over-sized animatronic toys, motorized carousels, and enough nutcrackers to make Tchaikovsky twinkle with delight.

Wander this winter wonderland on your own, or with a tour organized by long-time resident, Tony Muia, which includes a cannoli and a hot chocolate from a Brooklyn bakery.

Lalibela, Ethiopia

Roughly 200 miles north of Addis Ababa is Lalibela; a small old town of 20,000 residents which is home to 11 monolithic churches. Dating as far back as the 12th century and carved out of striking red-color blocks of volcanic rock, the churches have been excavated from under the ground, and are connected by a complex and sometimes claustrophobic network of tunnels and passageways.

Declared a "new Jerusalem" after the real Jerusalem was captured by Muslim forces in 1187 and Ethiopian Christians could no longer go there, Lalibela remains a very religious place.

Coptic Christmas (January 7) mass at Bet Medhane Alem - the largest monolithic church in the world - is an occasion on which hundreds of priests in white turbans, adorned with red sashes and gold scarves chant, sway, and pray, surrounded by trenches flooded with some 50,000 worshipers, for whom this is a sacred place of pilgrimage.

See also: Five real life winter wonderlands

Barcelona, Spain

If you can manage to extend your Christmas holiday until Three King's Day, (January 6) there is no better place to catch up with Melchior, Gaspar and Balthasar than Barcelona. On the evening of January 5, they arrive at the city's port on the the Santa Eulàlia - their very own ship - in bearded and velvet robed splendor.

Canons are fired, fireworks are set off, and as the mayor hands them the keys to the city, the magic of the Magi officially commences. They parade through the streets in a magnificent cavalcade of floats which includes camels, elephants, giraffes, and dazzling costumes

Manila, Philippines

Though spending Christmas on a beach may sound like bliss, sipping an endless supply of cocktails in the sand may soon feel like it's lacking in holiday spirit.

A trip to the Philippines lets you have it all. Known as the country with "the longest Christmas season in the world," Filipinos get the Christmas festivities rolling in September, and extend them well through January.

As the only Asian country with a predominantly Christian population, its cities and islands are festooned with nativities, lantern parades, and Christmas bazaars.

While the Chocolate Hills of Bohol or the beaches of Boracay may prove a more relaxing option, spend at least a day in the capital, where this December, the Manila Hotel is turning its Grand Lobby into a fairytale worthy of Clara and Fritz.

Soak up your share of sugar plum fairies, gingerbread clocks and weekend performances of The Nutcracker by Prima Ballerina Lisa Macuja-Elizalde, before escaping to the sun.

See also: The Philippines shows the world how to celebrate Christmas

Queenstown, New Zealand

The traditional Christmas colors of red, green and white take on an entirely new meaning in New Zealand, where red represents the "pohutukawa" (New Zealand's ruby-red flowering Christmas tree), white represents the pristine sandy beaches, and green? The kiwi, of course! Sun-lovers who want to join Santa in his surf shorts should definitely head to Queenstown, where warm summer temperatures mean you can jetboat, river surf, or paraglide on Lake Wakatipu, or simply set up camp along the lakefront and enjoy a hearty Christmas meal of lamb, seafood, and chicken on the barbie.

@highlight

CNN picks ten top destinations in which to spend Christmas around the world

@highlight

Lapland, New York and Amsterdam all offer their very own take on the Christmas holiday experience

@highlight

Mexico, the Philippines and Ethiopia offer a warmer, but no less cultural, alternative