New Orleans, Louisiana (CNN) -- Henry Ford once described history as "one damned thing after another." And he didn't even live in Louisiana.

Much has been made of my "outburst" toward the Obama administration on May 26, with George Stephanopoulos on "Good Morning America," when I exclaimed, "Man, you got to get down here and take control of this! Put somebody in charge of this thing and get this moving. We're about to die down here!"

But those emotions had been percolating below the surface like the crude that threatens our way of life today.

While it is important to note that both BP's and the administration's tepid responses to this catastrophe are unacceptable, it is also essential that the rest of the country understand that this feeling of neglect has festered amongst South Louisianians for generations. It's just one damned thing after another, so the anger rising out of the Gulf is not new.

For too long, the federal government and industry alike have simultaneously abused and neglected, patronized and plundered, and now polluted the people of Louisiana. And our plight now is a national emergency.

We felt the effects of this neglect for the past five years, after rebuilding a city which was 80 percent flooded due to shoddy construction of flood control systems and levees by the U.S. Army Corps of Engineers. And we feel ourselves ever more vulnerable due to the nonstop degradation of our wetlands, which serve as our first line of defense against hurricanes and powerful storm surge.

For decades, massive engineering projects across the country have made us more vulnerable. We lose a chunk of land the size of a football field every 38 minutes. Since World War II, we've lost wetlands the size of the state of Delaware. I bet Joe Biden would be screaming on national television too if it was happening on his turf. Or if the Hamptons lost 16,000 acres a year, you bet there'd be a Million Hedge-Fund Managers March on Washington to demand action.

And the loss of coastal wetlands has everything to do with activities across the rest of the country, starting with the deprivation of natural sediment that the Mississippi River should carry to its mouth and dump at the Gulf of Mexico to nourish our barrier islands.

The Mississippi River system drains more than 30 states. Part of the sediment is lost by the damming of rivers in the system in the 1950s to provide electricity as well as flood protection for states like North Dakota and Missouri. According to historian John Barry, our sediment level is only 30 to 40 percent of the natural amount, which is why we are losing such valuable land so quickly.

Then the oil companies dredged canals in the marshlands in an attempt to grow an industry which now provides the country with more than 30 percent of its domestic oil and natural gas. Saltwater intrusion is killing the marsh. These marshlands provide jobs for tens of thousands of fisherman in an industry that provides over 30 percent of this country's domestic seafood supply.

Canals were also dredged for shipping. Five of the nation's top 15 ports are located in South Louisiana. So in essence, we are the gateway of commerce to much of the lower 48 states.

Add that to the fact that we have not seen a single penny of royalties for oil produced more than six miles off our coast. We assume all of the risk, produce seafood and oil and gas, with none of the reward. Royalties totaling $165 billion have gone to the federal treasury when they could go to help repair this pressing issue.

But there's more.

In the aftermath of Hurricane Katrina, federal judge Stanwood Duval Jr. found that the Army Corps of Engineers had displayed "gross negligence ... insouciance, myopia, and shortsightedness." He continued, "The Corps not only knew, but admitted by 1988, that the [Mississippi River-Gulf Outlet Project] threatened human life." And yet, nothing was done about it until recently.

And then BP's Deepwater Horizon disaster hits, which is the deadliest combination imaginable of corporate greed and governmental malfeasance. We've been lied to by BP at every turn, from oil-flow estimates to the existence of plumes to health effects.

There's also the blatant malpractice and corruption in the Minerals Management Service. Free meals, cushy seats at sporting events, and other gifts from the folks they were trying to regulate seemed to cloud the judgment of too many MMS officials to be bothered with protecting the interests of our residents and our way of life.

In case anyone misses the point here, let me state it bluntly: There is nothing natural about the great engineering failure of 2005 in Orleans and Saint Bernard Parishes. There is nothing natural about the environmental catastrophe in the Gulf of Mexico today. Both were the result of shoddy engineering on the part of private industry, which was in both cases supposed to be regulated and overseen by the federal government.

Every penny that has been allocated to the hurricane recovery in Orleans and Saint Bernard is owed to us, and every penny in the future that will be allocated as a result of this current catastrophe is owed to us. We do not seek charity, but we do demand justice.

So we've had two monumental, mostly preventable man-made disasters in five years, which brings us to the moment where I said on television the thing that every person who lives south of the Interstate 10/Interstate 12 corridor agrees with.

We've been abused, neglected and exploited for too long.

And to be brutally honest, part of my frustration is a sense of personal shame that I have known this was going on for a long time, and I was ineffective in making Louisiana's case in my years in Washington.

But let me say that it's now time to draw a line in the alluvial mud. We want our fair share of oil revenues now so that we can protect ourselves. And we want to be treated like we matter.

And we're not whiners. We produce oil and gas and produce seafood and allow goods to flow freely to the heartland. We assume the risks with little reward. Jobs and livelihoods are at stake.

In the end, whatever past transgressions by the country toward us or whatever our failures to articulate our plight have been, we should be reminded of the words of Admiral Lord Nelson just before the Battle of Trafalgar in 1805: "England expects that every man will do his duty."

And in this, the most critical hour in our region's long, tortured, and yet glorious history, let's remind ourselves that Louisiana expects every person to do his or her duty.

This is a struggle for the preservation of our culture, way of life, and the land we love.

The opinions expressed in this commentary are solely those of James Carville.

@highlight

James Carville: Louisiana has been abused and neglected too long

@highlight

He says the region's oil industry and ports have served the nation

@highlight

Marshlands have been harmed by industry, hurting fishing, he says

@highlight

Flooding from Katrina, BP leak were mostly-preventable man-made disasters, he says