Explosions rocked the Syrian capital early Friday, hours before U.S. Secretary of State Hillary Clinton meets with her Russian counterpart to raise pressure on the crisis in the Middle East nation.

Clinton meets Russian Foreign Minister Sergei Lavrov in St. Petersburg amid their nations' deep divisions over Syria. Their meeting is expected to include a discussion of Russian arm sales to the Syrian regime.

Clinton will attend Saturday's emergency meeting in Geneva, Switzerland, led by Kofi Annan, the United Nations' and Arab League's special envoy for Syria. U.N. Secretary-General Ban Ki-moon said he hopes the meeting marks a "turning point" in diplomatic efforts.

The United States has advocated a political transition plan in Syria. Russia has opposed the idea that other countries dictate a political transition, insisting that it is a decision for the Syrians themselves.

But Lavrov said in Moscow that a transitional period is "necessary for settling the Syrian crisis and establishing stable and generally acceptable rules and norms, which will satisfy all the Syrian groups."

As diplomats prepared for the weekend talks, violence continued Thursday across Syria.

Massive explosions shook the heart of Damascus near the Justice Ministry, state-run media said.

Two blasts occurred in a parking lot Thursday outside the Palace of Justice, which houses the ministry, Syrian state TV said. The Local Coordination Committees of Syria said it occurred in the Marja neighborhood of central Damascus.

At least three people were injured, and 20 cars were damaged, state TV said.

The opposition Syrian Observatory for Human Rights said more than 140 people, 46 of them government forces, died in violence Thursday.

The Local Coordination Committees put the number at 139, but it counts only civilians and soldiers who defected.

Both opposition groups said many of the deaths occurred in Damascus suburbs, mostly in the town of Douma, and in Homs.

CNN cannot independently confirm the reports of casualties or violence because access by international journalists to Syria has been severely restricted.

State media said an armed terrorist group assassinated a doctor and several members of her family in a Homs suburb. It said that "competent authorities" fought the group, killing 10 and injuring 20.

On Wednesday, bombers killed at least seven people in the headquarters of the al-Ikhbaria television station near Damascus, the state-run Syrian Arab News Agency reported. Three journalists and four security guards died, and the attackers ransacked and destroyed studios, the news outlet said.

There has been a flurry of attacks in Syria's major cities of Damascus and Aleppo in recent months, strikes that opposition groups have said the government has orchestrated to discredit anti-regime forces.

President Bashar al-Assad's regime has blamed the attacks on terrorists.

"Terrorist operations of this nature could not be implemented without adequate financing and support in terms of providing money, weapons or persons or through media and political coverage," Bashar Jaafari, Syrian ambassador to the United Nations, said Thursday.

After more than 15 months, unrest in the Arab nation shows no sign of abating. Internationally, tension rose last week after Syria shot down a Turkish jet, an act deplored by NATO and many Western nations.

The Geneva meeting will bring together top diplomats of the five permanent members of the U.N. Security Council -- China, France, Russia, the United Kingdom and the United States -- and Turkey. Envoys from the United Nations, the European Union and the Arab League also were invited.

The meeting of the group, dubbed the Action Group for Syria, comes at a critical time for the country, which has been mired in an uprising since March 2011 that has pitted al-Assad's forces against rebels calling for his ouster.

A peace plan hammered out by Annan fell apart this month after both sides -- the Syrian government and the rebels -- accused the other of failing to abide by the terms to end the killing.

Iran has not been invited to the meeting. The United States was against Tehran's presence despite Annan's and Russia's positions that Iran must be involved in helping forge peace in Syria.

Lavrov says Iran is an "influential player in this situation," and it's a "great mistake" to exclude that country.

"It has been said publicly in Washington that the U.S. is categorically against Iran's participation," Lavrov said. "This is a manifestation of a double standard. When the Americans needed to settle some issues related to the security of their troops in Iraq and Afghanistan, they initiated contacts with Iran and agreed on something without any hesitations."

Annan also declined to invite Saudi Arabia, which backs the opposition. Russia did not want Saudi Arabia at the meeting.

Russia has been under pressure to stop providing arms to the Syrian regime.

A shipment of refurbished Russian helicopters headed for Syria had to turn around and return to Russia after its British insurance company dropped coverage on the ship carrying the aircraft.

Russia and China, permanent members of the Security Council, have major trade deals with Syria. Both countries vetoed a U.N. resolution calling for an end to the violence and a transition of power.

Photos: In Syrian hospital, no escape from war

Former U.S. soldier aids Syria's wounded

@highlight

Opposition groups release Thursday casualty figures

@highlight

A Damascus blast injured at least three people

@highlight

U.S. Secretary of State Hillary Clinton will attend a meeting on Syria, an official says

@highlight

Red Cross says its teams can't reach civilians trapped in Homs