(CNN) -- Babies may be born larger than normal because of a condition called gestational diabetes. That explains why baby Jasleen, born in Germany last week, weighed more than 13 pounds.

Her mother had gestational diabetes, but her condition wasn't discovered until she went into labor and checked herself into University Hospital Leipzig.

Gestational diabetes develops during pregnancy and resembles other forms of diabetes in that it affects how your cells use sugar (glucose).

With gestational diabetes, a mother's blood sugar should return to normal soon after delivery. However, the condition puts women at risk for type 2 diabetes in the future.

For every 100 pregnant women in the U.S, two to 10 will have gestational diabetes, the Center for Disease Control and Prevention says.

A woman who has gestational diabetes during pregnancy and maintains a high blood-sugar level may have a baby born abnormally large, weighing 9 pounds or more, the CDC says. A baby's large size creates problems for the delivery of the child through the birth canal and may cause nerve damage in the child's shoulder during birth.

"A very large baby has an increased chance of being overweight or obese later in life," the CDC says. "Being overweight or obese increases the chance of also having diabetes later in life."

Gestational diabetes results from hormonal changes that every woman has during pregnancy, according to the Cleveland Clinic. Elevated levels of certain hormones made in the placenta disrupt insulin's ability to manage glucose, a condition called insulin resistance. (The placenta is the organ connecting the baby by the umbilical cord to the uterus and sends nutrients from mother to child.)

As the placenta becomes larger throughout pregnancy, it creates more hormones, which, in turn, increases the insulin resistance, the Cleveland Clinic said.

The mother's pancreas is typically able to make three times the normal amount of insulin to beat this resistance, according to the Cleveland Clinic. If the pancreas can't produce the required amount of insulin, however, sugar levels will rise, and the woman will have gestational diabetes.

You may be at risk for gestational diabetes if you are overweight before becoming pregnant, have a family history of diabetes, are older than 25, have previously giving birth to a baby over 9 pounds, previously gave birth to a stillborn baby, have had gestational diabetes with a previous pregnancy or have been diagnosed with pre-diabetes, the Cleveland Clinic said.

Women typically find out whether they have gestational diabetes between the 24th and 28th weeks of pregnancy, according to the Cleveland Clinic. That's when insulin resistance usually begins.

If you previously had gestational diabetes or if your doctor is concerned about your risk of developing it, you can be tested for the condition before the 13th week of pregnancy, according to the Cleveland Clinic.

An oral glucose tolerance test is used to screen for gestational diabetes. This involves consuming 50 grams of glucose in a beverage. Your body will absorb the glucose and cause your blood sugar levels to rise within 30 to 60 minutes, according to the Cleveland Clinic. Blood samples are taken from a vein in your arm 30 minutes after consuming the sweetened drink so that your doctor can evaluate how your body processes glucose.

According to the Mayo Clinic, expectant mothers can control gestational diabetes by eating healthy foods, exercising and, if required, taking medication.

Treatment may include monitoring blood sugar four to five times a day, which involves drawing a drop of blood from your finger and testing it with a blood glucose meter.

Your health care providers will monitor and manage your blood sugar levels during labor and delivery. Following up with blood sugar checks after the baby is born is also important.

You can reduce your risk of developing type 2 diabetes later on by continuing to eat a healthy diet and getting regular exercise.

CNN's Dana Ford contributed to this report.

@highlight

Jasleen's mother had gestational diabetes, which contributed to her large size

@highlight

Gestational diabetes results from hormonal changes every pregnant woman has

@highlight

CDC: A large baby will have an increased chance of being overweight or obese later in life