Baltimore (CNN) -- At just 7 years old, Kyron Chase is facing the unimaginable: His father was murdered.

"Telling my son his father had been killed was one of the hardest things I've ever had to do," said Kimberly Vinson, Kyron's mother. "Their bond, it was just a bond that a lot of kids don't have with their father."

Kyron has struggled to cope after his father's death in December. And Vinson, left to raise two small children on her own, has struggled to fill the void for her son.

"My concern is how he will make it through this," she said.

Last year, Baltimore's homicide rate hit a four-year high. Yet families such as Vinson's have few resources to help them heal from the trauma of a relative's sudden death.

That's where Annette March-Grier steps in. Her nonprofit in Baltimore helps children and their families cope with grief.

"A child's grief over the loss of a loved one is often complicated by the loss of security and identity," said March-Grier, a bereavement counselor and registered nurse. "This shift can be very dangerous if there's no support system there."

"Our program provides that safe place for a child to recover."

Since 2008, her organization, Roberta's House, has provided free grief support programs to more than 2,100 people -- nearly half of them children.

When death strikes a childhood

March-Grier's vision for Roberta's House stemmed from her childhood. She grew up in her family's funeral home.

"As a little girl, I would sit at the top of the stairs and peer down between the banister rails, watching as families gathered around their deceased loved ones," said March-Grier, 53. "Death was all around me."

Through the years, she met thousands of grieving families -- especially children -- struggling to cope with their loss.

"I love my city. ... But people here are having crisis after crisis," she said. "The violence in this city and grief are directly connected."

Today, Roberta's House -- named for March-Grier's late mother -- offers peer support groups, counseling and specialized workshops to anyone in the community.

The Family Program is tailored to children 5 to 17. Volunteers help them explore their feelings and learn healthy ways of coping through journaling, games and arts and crafts. The group also offers a three-day summer camp.

"We teach our children it's OK to cry, (that) crying is really an indication of love, not an expression of weakness," March-Grier said.

Kyron and his mom have been attending sessions at Roberta's House for a month. Vinson says her son is opening up more about his feelings and his dad.

"I (wanted) to let him know that there are other (children) that are going through the same thing he's going through," she said.

Changing the game

Since 2011, March-Grier says she has also been helping juvenile offenders cope with different types of loss, such as the incarceration of a parent or sexual abuse.

The teenagers go through a six-month program aimed to help them get on the right track. To that end, March-Grier uses a "scared straight" tactic: She stages a funeral for the teens and tells them to imagine it's theirs.

"We take them to the funeral home and help them see that if you're going to play the game, you have to realize there is an end to this game," she said. "This is our way of trying to reach them before it's too late."

March-Grier believes grief is a public health problem. She often takes her message out into the community, providing free workshops to children and adults at local schools, churches, hospices and community centers.

"Unresolved grief can cause people to go through life severely wounded," she said. "Our goal is to help people understand that grief does not have to destroy them."

With plans to expand her services and move to a larger location, March-Grier wants to continue her parent's legacy in Baltimore.

"We're giving families in this city a sense of hope," she said. "We're helping to heal wounds and bring families back together again."

Want to get involved? Check out the Roberta's House website at www.robertashouse.org and see how to help.

@highlight

Roberta's House is helping children and their families cope with grief

@highlight

Annette March-Grier started the nonprofit so kids could have a "safe" place to recover

@highlight

The organization also helps juvenile offenders cope with other forms of loss