Ravi Opi, Kavre District, Nepal (CNN)By the time you reach the outskirts of Nepal's capital, even the roads are showing signs of the sheer magnitude of this earthquake -- and the enormity of the task awaiting a country struggling to come to terms with devastation and tragedy.

The main highway that heads east out of Kathmandu shows massive cracks, the tarmac torn apart by the force of Saturday's huge tremor. One lane is bisected by gaping, half-meter (1.5 feet) fissures. They've been filled in with rubble and dirt, allowing passage for those desperate citizens to reach their families in outlying districts.

It takes an age, though, picking our way along damaged roads to a small village community, Ravi Opi. It is only 30 kilometers (20 miles) east of Kathmandu but the journey takes almost two hours -- and the travel times likely to be compounded the farther out from the city people go.

The community is off the main highway, down a dirt track that quickly finds itself winding through forested slopes and terraced fields. They farm corn here, and millet, and vegetables. Compared to the capital, and the regions west of Kathmandu and closer to the epicenter, the people here were relatively lucky.

Still, passing through villages it's clear that damage has been suffered. In Ravi Opi a village official walks quickly by, telling us over his shoulder that 90% of the houses are currently uninhabitable. Some are still standing, but seem precarious and the residents are too scared of aftershocks to move back inside.

Patchy reports have filtered through of entire villages leveled by the quake or engulfed by landslides.

Maili Tamang, 62, is alive, but surveys the desolation the quake has wreaked on her life. We find her sitting as close as she can to the ruins of the house that she built with her late husband. She's petite and frail but hardened by life. Her leg, bandaged and suppurating, is stretched out in front of her. She periodically flicks at the flies that have settled on the blood- and pus-soaked dressing.

"I just want to cry, all I feel is hurt " she says, showing us where she was the moment the earthquake struck.

Tamang's house was one of the bigger ones in this region, a rare two-story structure. She and her husband built it together, a lifetime ago. He died years ago, but her extended family lived here with her until Saturday. She, along with her daughter-in-law were indoors when the quake struck, and she was lucky to make it out onto a small wooden balcony. Another tremor brought this down and she had to extricate herself from the rubble and crawl up an embankment. The younger woman, trapped in the wreckage after the roof fell in on her, eventually clawed her way out.

She was transported by motorbike -- few here have motorized transportation; most walk -- to a missionary hospital in a neighboring village, 12 kilometers (7.4 miles) away from here. Now she is back, wondering what the next step for her is.

Throughout this region, there have been small landslides and people have been industrious in clearing rubble from the roads. There is little sign of aid having made it out here. Out of necessity people are back working their fields. Near the road a family makes lunch in the open as their house was destroyed.

Elsewhere in Ravi Opi, other unfortunate families count the cost of the disaster. Mahesh Koiraba, 31, lost his only daughter, Prati in the quake, who was killed as their house collapsed. She was 2 years old. He was working when the quake hit, tilling the fields like so many in Kavre, and ran back to his house after quickly realizing the force of the tremor.

"I started digging with my hands," he says, still very much in shock, but remembering his frantic efforts among the remains of his damaged home. "And I saw her, blood was trickling from her mouth and she was covered in cuts."

All he has left now is a picture in his phone; a chubby-faced toddler, wearing oversized sunglasses.

As rain starts falling -- soon turning into torrents and further hampering recovery efforts -- we huddle with four families who have been displaced. They're in a makeshift, ramshackle shelter, crowded with frightened people.

I ask one of the young women, Osminda Koirale, with me if she has seen any sign of outside help.

"No, no government has any support for us. No one has come out to see that we're living like this."

She said it was terrifying, and the future no less so. "Our house is gone now. We don't know where we sit, what we eat. We don't have any clothes, all our clothes are inside. We can't go inside our houses."

There was a creeping sense that the worst was over, until another powerful aftershock overnight.

"We are not safe ... we are so scared," Osminda tells me.

And all this a mere 90 minutes drive from the capital. There are parts of Nepal so remote it takes days to reach under normal circumstances -- there are villages here that one can only reach on foot and it is those areas that were hardest hit.

These are the places where aid has yet to arrive, and where no one really knows the full extent of human loss or how many tragedies like the one at this home have unfolded.

Arwa Damon reported from Kavre District in Nepal and Euan McKirdy wrote from Hong Kong

@highlight

Roads out of Kathmandu are damaged but passable

@highlight

Even close to the capital, aid is taking forever to trickle through

@highlight

East of the city, the village of Ravi Opi counts the cost of devastation