Athens, Greece (CNN) -- Greece is preparing to sell off billions of dollars worth of state assets including airports, highways and state-owned companies, as well as banks, real estate and gaming licenses, to meet international lenders' demands that it raise funds.

European finance ministers said Sunday that they were on track to give Greece a second huge bailout to keep the government afloat, but reiterated that Athens had to take tough measures to get it.

Greece has to raise 50 billion euros ($71 billion) through privatization by 2015, Eurogroup members said. It also has to push through tough budget-cutting measures, they said, despite widespread protests in the country that forced a government reshuffle last week.

Prime Minister George Papandreou faces a vote of confidence in his new ministers this week as his party clings to a wafer-thin majority in parliament. Acknowledging the anger in the streets, European Commission President Jose Manuel Barroso said the moves would bring "hardships" but were "long overdue."

"If there were an easier route out of the crisis, we would have taken it. But there is not," Barroso said in a written statement after meeting with Papandreou. "The only way for Greece to return to growth and create jobs in a sustainable way is to restore competitiveness and put its public finances on a solid footing."

Barroso said the "crucial vote" will be at the end of June, when lawmakers are slated to vote on the privatization plan and further tax increases, pension cuts and layoffs of public workers.

"These choices are not easy, but nor are the problems that need to be addressed," he said. "Now is not the time to falter."

Harsh reforms designed to help reduce Greece's enormous budget deficit have so far led to tax hikes and public-sector job losses alongside already record-high unemployment. Papandreou faces opposition from within his own ruling socialists over the austerity measures needed to secure an additional bailout package.

Anti-government protests turned violent Wednesday, as demonstrators threw gasoline bombs at the Finance Ministry and police fired tear gas at protesters, police said. But over the weekend, Papandreou told lawmakers, "The government must stop spending more than it takes in."

The Greek debt crisis raises concerns for Europe's currency, the euro. A default on its debts by Greece, or other struggling nations such as Portugal or Ireland, could adversely affect the world economy. European stocks fell in afternoon trading Monday as investors worried the trouble could spread.

After meeting with Papandreou, European Council President Herman van Rompuy expressed his "strong support" for the Greek prime minister's economic reforms and said he had underlined the need for further efforts. But Van Rompuy noted that "national consensus" was needed for the package to succeed, "given the length, magnitude and nature of required reforms."

There are fears that efforts to restructure Greece's debt could send shock waves through Europe's banking sector and spark investor panic similar to that in the 2008 collapse of Lehman Brothers, the U.S.-based global investment bank.

On June 9, the Cabinet approved a tough five-year plan for 2011-15 and introduced a bill in Parliament to put austerity measures into effect. The government proposes reducing the public-sector workforce by 150,000; workers will also face changes in working hours, practices and wages, and the plan also sets out changes to social benefits, including pensions and unemployment aid.

According to the Finance Ministry, these measures will help achieve 28.3 billion euros ($40.5 billion) in cuts from 2012 to 2015, and shrink Greece's public deficit to less than 3% of gross domestic product, in accordance with the EU target.

The government has said the passage of these additional measures is essential to Greece's securing the fifth portion of the original 110 billion-euro ($158 billion) bailout package that Greece signed with the European Union and the International Monetary Fund last year to prevent the country from defaulting on its debts.

CNN's Diana Magnay and journalist Elinda Labropoulou contributed to this report.

@highlight

NEW: European Council president says a national consensus is needed

@highlight

Airports, highways, banks and more are for sale as Greece tries to raise billions of euros

@highlight

Euro zone ministers say new loans are contingent on Greece raising money through privatization

@highlight

Talks on a second bailout package follow three weeks of street protests and political upheaval