DECATUR, Georgia (CNN) -- Police quietly wait by the front door of the small, brick suburban Atlanta home as investigators tell 48-year-old Lajuana Robinson, a mother of nine, "I'm going to have to put you in handcuffs."

Investigators take a woman from her Decatur, Georgia, home after her arrest in a truancy case.

She's charged with violating her parole in a truancy case because three of her younger children have missed hundreds of days of school combined.

While students have always suffered the consequences of playing hooky, parents in DeKalb County, Georgia, are facing one of the more aggressive anti-truancy programs in the country, one where punishment can include time behind bars.

DeKalb's program is one of a growing list targeting truancy in U.S. schools, said Jodi Heilbrunn, senior research and policy analyst at The National Center for School Engagement.

"Ten years ago, there weren't too many anti-truancy programs, but now they are springing up like rabbits," Heilbrunn said, and "they come in many varieties."

In some communities, a single school takes on its own problem. In others, like Jacksonville, Florida, and Niagara Falls, New York, the battle is system wide. And New Jersey is about to institute a statewide system, targeting six cities with the worst truancy problems.

The DeKalb County program, started in May 2006, was designed to get children from the age of 6 to 16 back in class.

If a child has 10 or more unexcused absences from school, parents are referred to an intervention program where they sign a contract agreeing to make sure their children get to class. If they fail to do that, they face the judge. According the county solicitor general's office, around 300 families have gone to court so far.  Watch how a Georgia mother ends up in handcuffs »

Most of the parents who are cited are charged with educational neglect, said DeKalb County Solicitor-General Robert James.

Most of those charged plead guilty and get probation, he said. The probation usually involves parenting classes, counseling, and follow-up visits for progress and attendance reports. Parents who violate their probation run the risk of thousands of dollars in fines, and up to 30 days in jail per count.

"We are putting parents in jail, or we are bringing them in orange jumpsuits not just because their children are not in school, but because they got a subpoena or summons to come to court, or to come to a diversionary program and they refused to do so. So this is more about accountability than anything," James said.

James said it is critical in his county to keep kids in school. The Georgia Department of Corrections found that more than 60 percent of its inmates in 2007 didn't earn a high school diploma, and James quoted an internal survey that found 84 percent of inmates in DeKalb County's jail are high school dropouts.

LaTara Tankersley-Jones and Craig Scott, investigators for the DeKalb County Solicitor-General's office, are tasked with locating "truant" parents and serving court-ordered summons.

Jones and Scott, usually with assistance from local law enforcement, also must arrest parents who have not complied with a court-ordered probation or failed to show up to court in the first place.

Scott said arrest is the least desirable option, but "the bottom line is, we have a warrant and even if the children are there, you're going to have to come with us."

Robinson was no stranger to the investigators. The county had intervened on behalf of her children before, even providing Thanksgiving dinner and Christmas presents last year.

The mother had been ordered to be sure her children went to school and to attend parenting classes herself. She had done neither, investigators said, earning herself a night in jail and a face-to-face with the judge the next day.

Judge R. Joy Walker presides over the Educational Neglect courtroom. On a recent Friday in October, she handled each of the 80 or so cases before her in a fast, firm, and efficient manner.

One by one, each parent, mostly women, has an opportunity to explain to Walker why they are in her courtroom. Investigators Jones and Scott are there as well. They say they hear the same excuses over and over again.

"They can't get up, or they have so many things that are going on in their life that are preventing them from making sure that their kids go to school," Jones said.

Walker agrees to probation for most of the parents in her court this day, including Angela Harris, who pleads guilty to 24 counts, one for each of the 24 days her child missed school.

"I have never in my 48 years been in trouble, so this is all new to me," she tells the judge.

"The state is offering you 24 months (of probation), but if you mess up I'm going to put you in jail," Walker replies. Walker has put 15 "truant" parents behind bars.

Lajuana Robinson is released. But she'll have to return to court another day to explain why her children aren't in school.

So far, the success of the DeKalb program has been limited.

"We have seen some small results," James said. Attendance has increased by 2 to 3 percent over the past year.

"I am not satisfied by that, but in a school system of over 100,000 kids, you are talking about 2,000  to 3,000 more children attending school than what we had the year before last," he said.

James says that he has received some interest from neighboring counties about the program and he thinks it is only a matter of time before they adopt similar ones.

"We have a lot of parents who feel we should not be intervening in family business, but it's the law. In Georgia, in DeKalb County, attendance is the law, and we plan to enforce it."

@highlight

Georgia county operates aggressive program to keep kids in school

@highlight

300 families have gone to court in truancy cases

@highlight

Fifteen "truant" parents have faced time behind bars