Don Cornelius never led a civil rights march, launched a boycott or gave a speech before a cheering crowd of protesters.

But his impact on America was as profound as virtually any civil rights leader, says Shayne Lee, a sociologist who grew up watching "Soul Train."

Cornelius' groundbreaking TV show didn't just captivate African-Americans -- it tied white and black America together in a way that had not been done before, says Lee, who teaches a course on hip-hop at the University of Houston.

"He was an ambassador, the pope of soul," Lee said. "For a lot of suburban whites living in segregated America, this was their first exposure to this exciting new world of movement and energy. He made black culture more accessible."

Cornelius, who hosted "Soul Train" for 22 of its 36 years on the air, died Tuesday. He was 75. Police reports indicate he died of a self-inflicted gunshot wound.

The suave Cornelius was known by an entire generation of African-Americans as the dapper host of "Soul Train" who signed off each show by blowing a kiss and declaring, "We wish you love, peace and souuuullll."

Most of the tributes to Cornelius that poured in following his death focused on his contribution to music. Others said his legacy was bigger than sound.

Cultural impact of 'Soul Train'

Kenny Gamble, co-founder of Philadelphia International Records, which produced the theme song for "Soul Train," says Cornelius was a great contributor to American, not just black, culture.

"Soul Train," like Apple and Coca-Cola, is an American brand, Gamble says.

"Soul Train" traditions, like dancers gathering to cheer on fellow dancers as they shimmied down a dance line, are now a part of pop culture.

"No matter where you go in this world, people are doing the 'Soul Train' dance line," he said. "What's a party without the 'Soul Train' dance line?"

Gamble still sounded stunned after hearing the news about Cornelius.

"Unbelievable," he said. "That was my man."

Singer Gladys Knight told CNN that Cornelius was an unsung hero whose show amplified the message, "I'm black and I'm proud."

"He encouraged us to be ourselves," she said. "We're going to give you this platform and you go out and do your thing."

Sociologist Lee said that message -- be black and proud -- drove the civil rights movement. And just as the civil rights movement overturned segregation, Cornelius erased cultural barriers that separated white and black Americans living apart in their own cultural cocoons.

"I see Cornelius as a civil rights activist," said Lee, author of "Erotic Revolutionaries."

"The civil rights movement changed the legal structure; Cornelius changed the cultural structure. Changing the culture can change hearts in a way that protests can't."

Cornelius first changed television.

TV had not been known as friendly terrain for African-Americans before "Soul Train." Blacks were often seen in caricatured roles -- as minstrels, servants or outlaws. They were seen through the lens of white America.

"Soul Train" changed the focus. It lifted the veil on black America and showed blacks being themselves, and not as whites imagined them, said Lee.

"The show introduced the notion that blacks were creative, we have something to offer and we're not going anywhere. And if you give us a chance, you might like some of our moves," Lee said.

Cornelius offered white America a new way to see black men, Lee says. He wasn't a sidekick or servant, nor was he angry.

"He walked a tightrope," Lee said. "If he was too in-your-face, he would have been offensive on television, or too accommodating he would have been perceived as an Uncle Tom.

"He was soooo cool."

The cool apparently wasn't an act to those who knew him and knew how he launched "Soul Train."

The man behind the voice

Cornelius took a big risk to start "Soul Train." He was a former insurance salesman who entered broadcasting in the mid-1960s. He gave up a steady paycheck as a salesman because he'd often been told he had a wonderful voice for broadcasting.

He was inspired by another television music host.

"Almost all of what I learned about mounting and hosting a dance show I learned from Dick Clark," the producer and host of "American Bandstand," he once told Advertising Age.

Cornelius was used to taking risks -- he used $400 of his own money to shoot a pilot and faced skepticism at many turns.

Yet he had an edge -- "Soul Train" was a novel idea.

There had been any number of radio programs focusing on black music and black listeners, but "Soul Train" was the first nationwide black-oriented music-variety TV show. It was also one of the most successful TV programs ever: To this day, its 35 years in syndication are a record.

"If you're an African-American of a certain age, 'Soul Train' was as important to your weekend mornings as your milk was to your cereal," broadcasting personality Tom Joyner wrote in 2010.

Cornelius also was a shrewd businessman. He used a partnership with Sears and Chicago-based cosmetics company Johnson Products to take the show national in 1971 after a year's run in Chicago. He also stayed true to his market -- and by doing so helped popularize African-American artists among a wide audience.

He gave a number of black performers their big break, including Shalamar, Rosie Perez and Nick Cannon -- the latter two as dancers.

Soul Train's fashions

The fashions on "Soul Train" were almost as important as the music. Every Saturday, teenagers all across America tuned in to see what the "Soul Train" dancers were wearing. Viewers even paid attention to the commercials, where companies sold black beauty products such as Ultra-Sheen.

"It was appointment television in our household, and the clothes were talked about as much if not more than the new dance moves," said Billboard magazine editor Danyel Smith. "The style of 'Soul Train' is a book, a movie, a documentary in and of itself. It was flashy, it was big, it was bold, it was sexy -- and frankly it was a way that I think many in America hadn't seen African-Americans look. To just even see people from another part of the country -- people forget how revolutionary that was back in the '70s."

No matter how popular "Soul Train" became, Cornelius never forgot those who worked behind the stage, said Christopher Lehman, author of "A Critical History of Soul Train on Television."

"He wanted to make sure that he had African-Americans involved in every level of production. He had African-American directors, and of course he had African-American dancers," Lehman told CNN Radio's Matt Cherry.

"If there had not been a 'Soul Train' there would not have been a whole network like BET that tries to do on a network level what Don Cornelius did on a program level."

In his later years, Cornelius became an elder statesman for the black music scene. He would show up at awards shows -- impeccably tailored as usual -- to receive accolades for "Soul Train."

Looking at him then, it was hard to imagine the risks he took when he started "Soul Train."

But NewsOne's Don Charnas remembered. Once, James Brown -- then the biggest name in soul music -- wondered how Cornelius would succeed.

"Who's backing you on this?" he asked Cornelius repeatedly.

"It's just me, James," Cornelius answered.

Not anymore.

Cornelius' wonderful voice -- like the music and style of "Soul Train" -- is now a permanent part of America's soundtrack.

@highlight

"Soul Train" host Don Cornelius' impact on America was bigger than music

@highlight

"He was an ambassador, the pope of soul," one sociologist says

@highlight

Show's message was "I'm black and I'm proud," Gladys Knight says

@highlight

Stars and fans praised his cool persona, boldness and cultural "tightrope" act