LONDON, England (CNN) -- Making great wine is like making a great film, according to director Francis Ford Coppola -- it's defying the impossible. During his 70 years, he has done both.

Francis Ford Coppola is the movie-making talent behind some of the greatest films ever made -- he is also a successful winemaker.

Coppola is the filmmaking talent behind some of the most highly-regarded  films ever made -- "The Godfather," "The Conversation," "Apocalypse Now" -- a fact his stash of five Academy Awards attests to.

"He's able to infuse a certain reality into the films that he's doing," director and long-time collaborator, George Lucas told CNN. "Human touches that take [them] beyond just a cardboard cut-out movie."

He is also a cut above the rest as a winemaker. At his vineyard in California's verdant winegrowing region Napa Valley, the Italian-American has established a reputation as an outstanding vintner -- albeit accidentally.

"As a six-year-old, my father drank wine at the table and the uncles and grandparents, they all drank wine and even the kids were given a little wine. It was just one of the good things of life like food," said Coppola. "I never thought it could be a business."

But, 25 years after stumbling upon his vineyard (now known as the Rubicon Valley Winery) during the search for a family summer home, the wine business has become a lucrative day job for Coppola.

With a bottle of Rubicon '79, his sought-after first vintage, selling for $200, Coppola realized he could use the profits to self-fund feature films.

"I said, 'Maybe I'm wealthy enough that I could finance my own little films,'" Coppola told CNN in the garden of his refurbished Victorian estate mansion.   Watch CNN Revealed: Francis Ford Coppola »

His latest "little film," "Tetro," starring Vincent Gallo, is a family drama that tells the story of a man who goes to Buenos Aires to find his long-disappeared poet brother. When he finds him, they try to come to terms with the rivalry that has driven their successful, creative family apart.

It is clearly very autobiographical: Francis' father, Carmine, was a composer and many members of his family throughout the generations are well-known actors, directors and musicians.  Francis Ford Coppola's Hollywood Family Tree »

"You know, some of the stuff in the movie is not untrue. The family always had these siblings in the same field... there was a lot of rivalry."

According to Coppola, it's a film that would never have been made if he had needed a big budget or funding from a studio.

"If you're making a film that will open all over the world then it has to appeal to the common denominator of all those people.

"Unless you put the money up yourself, you can't do what you want, and that's why I always end up doing it. It just seems so much easier than to have to beg someone to make your film."

Coppola has ample experience of studio-controlled filmmaking. He spent much of the 1990s working as a hired gun on films like "Bram Stoker's Dracula" and "The Rainmaker."

Coppola started his career making low budget films as the protege of "King of the Bs" Roger Corman. His career moved up a gear after the success of "The Godfather" in 1972, which became one of the highest-grossing films in history.

"When I was young I wanted to write and direct little personal films," he told CNN.

"I was offered a project that was from a book that turned out to be 'The Godfather' and that project changed my career to something very different from what I would have imagined.

"I never would have imagined myself as a Hollywood or industry director. I mean, not at that level of success."

One of the 1970s group of Hollywood film directors including George Lucas and Martin Scorsese known as the "movie brats," Coppola broke new ground in the "The Godfather," showing the ruthless Corleone gangster's family values, casting them in a sympathetic light. Who is the greatest American film director of the era? Coppola, Scorsese, Lucas, Spielberg? Tell us below in the Sound Off box

Coppola's wife, Eleanor, thinks his Italian-American background was fundamental.

"'The Godfather' was a raw example of his experience at weddings, with family and he just took his experiences and viewed those characters with the familiar aspects that he had known from his uncles and his family," she told CNN.

In 1979, perhaps his most infamous film, "Apocalypse Now," followed. It is considered by many to be the quintessential film about the nightmare of the Vietnam war.

But the film that defined a generation almost ruined Coppola's career. Filming, which started in 1976 took almost three years to complete and ran into financial trouble almost immediately.

"'Apocalypse Now' almost broke me because it was so expensive," Coppola remembers. "I had every nickel that I owned riding on a movie that was going rampantly over-budget and I was going to end up with the bill. In other words, I was going to end up owing somebody $30 million."

Famously, what could go wrong did. A typhoon destroyed the film set, lead actor Martin Sheen had a heart attack aged 39, and Marlon Brando turned up on set grossly overweight and under prepared.

"There's stuff I can't tell you, but it was pretty crazy," says actor Robert Duvall who played napalm-loving Lt. Colonel Kilgore. Robert Duvall: Francis Ford Coppola made my career

"Sometimes we'd get one shot in a day, if that. Everything was in disarray."

Coppola was also battling the screenplay, which which proved to be an epic journey not unlike the one in the film.

"I found myself making a film that was more and more surrealistic and psychedelic, and as I took that trip going up the river making the movie it got weirder and weirder. I couldn't figure out how I was going to end it."

He successfully solved the puzzle and the film and went on to win the coveted Palme D'Or at Cannes film festival and a place in movie history.

Today, Coppola seems like a man at peace with himself and his career -- "I'm in an extremely interesting place."

He has not tired in his pursuit of making great movies and all his experiences have taught him some important lessons.

"There are great films and great wines so it is possible. What is it when the impossible becomes possible? What does it take to do that? It takes incredible, fanatical devotion. Willingness to go through anything."

Although, right now, sitting in the greenery of his Napa Valley estate, Coppola isn't enduring too many hardships. "I'm sitting here in paradise ready to write something new."

@highlight

Master movie-maker Francis Ford Coppola on his other love: Winemaking

@highlight

How his "day job" has helped to revitalize his film career, plus latest film "Tetro"

@highlight

Coppola is still writing and directing at 70: "I'm in an extremely interesting place"

@highlight

CNN's Revealed talks exclusively to the director at his Napa Valley winery