(CNN) -- At the 2009 Australian Open, French men's tennis was the talk of the town.

Jo-Wilfried Tsonga, Richard Gasquet, Gael Monfils and Gilles Simon were being dubbed the "New Musketeers," a reference to the "Four Musketeers" from the same nation who dominated tennis in the late 1920s and early '30s.

Tsonga was the big-hitting, charismatic leader of the bunch; child prodigy Gasquet, with his smooth one-handed backhand, was likened to an artist; Monfils played defensive tennis like no other but also possessed the requisite punch on his strokes; and Simon owned the rare ability to turn defense into offense in an instant.

But five years on, that optimism has lessened.

Emulating Rene Lacoste, Henri Cochet, Jean Borotra and Jacques Brugnon -- who collected 20 grand slam singles titles, 23 in doubles and helped "Les Bleus" win six consecutive Davis Cup trophies -- looks out of the question.

In fact, just one grand slam singles title would do -- France's last by a male player came 31 years ago, courtesy of Yannick Noah.

Given the grip of the so-called "Big Four" on the men's game -- and the performances of Tsonga, Gasquet, Monfils and Simon -- even that appears uncertain, although Stanislas Wawrinka's surprise Australian Open victory gives the quartet hope.

In Melbourne in January, some members of the French media lamented a familiar pattern at grand slams recently: Handfuls of French men appear in the singles draw but not many reach the quarterfinals or beyond.

None landed in the last eight at that Australian Open, and none made the last 16 at last month's Indian Wells Masters in California -- arguably the most prestigious regular-season tournament outside the four majors.

"I think it's a mix of different feelings in France," says Patrice Dominguez, tournament director of a men's event in Montpellier and the former national technical director of the French Tennis Federation. "Obviously the expectations were big ... big for a while."

When asked if the foursome have lived up to their potential, he replied unequivocally: "No, not yet. I really feel like they haven't reached their maximum."

And yet, the path of the four might have been completely different.

Novak Djokovic faced Tsonga in the 2008 Australian Open final, each bidding for a maiden major. It was Djokovic who prevailed, and the Serb subsequently posted one of the finest campaigns in tennis history in 2011.

Andy Murray and Simon share similar, counter-punching styles. Six years ago, they finished three places apart in the rankings and competed at the year-end championships. Murray beefed up and has since amassed two grand slam titles.

Pals Rafael Nadal and Gasquet were born 15 days apart in 1986. Gasquet hasn't appeared in a grand slam final -- and Nadal boasts 13 majors.

Like Roger Federer, Gael Monfils bagged the Wimbledon junior title. While Federer tallies 17 majors, Monfils seeks a first semifinal berth at a major outside France.

"Gael was probably the most gifted of the four," Dominguez told CNN. "He has everything."

Gasquet's mental toughness has been questioned in the past -- something even he is aware of, though he has improved -- and he lacks an overpowering serve.

Since gracing the cover of a French tennis magazine as an adolescent, Gasquet has rarely escaped the eye of the public.

"He's like the baby brother of the country and the people have been babysitting him since he was nine years old," Carole Bouchard, a tennis writer with French sports daily L'Equipe, told CNN.

"They love him. And they want him to succeed. At the same time, sometimes he gets on their nerves.

"It's a love-hate relationship but more love than hate."

Gasquet, encouragingly, put together his most consistent season in 2013 and made a second appearance at the year-end World Tour Finals.

Tsonga's all-action game is deemed high risk, with Dominguez adding that the world No. 12 doesn't win enough matches when not playing at his best.

Injuries have consistently hampered the 27-year-old Monfils, who -- despite often preferring a defensive style -- at times seems more concerned about pleasing fans than winning matches.

"I think the public still waits for a lot from this generation," Arnaud Di Pasquale, the national technical director of the French Tennis Federation, admitted to CNN. "I think they're waiting for a Davis Cup win and they're waiting for a grand slam win. But we're never far away."

Tsonga, Gasquet, Monfils and Simon are four of the dozen French men in the benchmark top 100, so depth isn't an issue for France -- the other three grand slam nations of Australia, Britain and the U.S. have fewer than 12 players combined in the top 100.

"We know how to build players and to reach the top 10," said Dominguez. "After the top 10 and inside that, what is making the difference? Not the federation or coach. It's the real wish, investment you put in -- and that's the individual's desire."

For Patrick Mouratoglou, who runs an academy outside Paris and coaches women's world No. 1 Serena Williams, the lack of a grand slam champion comes down to "ambition."

"I always say we are a great country to build the players," Mouratoglou told CNN's Open Court. "The thing maybe we don't have -- there are exceptions -- is the right mentality to raise champions.

"For the French players things are too easy for them. They make a lot of money in tennis quite early and I think we lack ambition. Maybe it's not in the culture of France to have very high ambitions.

"Grand slam winners are people who have very high expectations, who simply have the mentality of champions. I'm not sure too many French players have that mentality."

Di Pasquale paused before reacting to Mouratoglou's comments.

"Is ambition lacking?" he said. "I'm not sure.

"Today I think Tsonga wants to win a grand slam, Gasquet is showing more ambition, a more demonstrative side on the court with the crowd -- more rage and enthusiasm. With age, time passes and you become aware of some things. Things move on and you realize there aren't many years left.

"I think all of that will come into play. They're going to have to react and say, 'I don't want to stop here, not having won a grand slam.'

"Lack of ambition related to the system? It's tough to say but it can't just be reduced to not getting the results that people want from the players.

"I think the ambition that we have is to develop a culture of winning. But there is also a side that is very personal."

Gasquet, twice a grand slam semifinalist, told Open Court he would "fight" for a first major, and France's Davis Cup captain Arnaud Clement is adamant that one of his charges can break through.

Clement and Tsonga are two of the four French men to make a grand slam final since Noah thrilled the home fans at Roland Garros in 1983.

"It's going to be tough because tennis is strong in the top 10," Clement told Open Court. "But we saw Wawrinka won. He worked a lot, he's smart, and he did it.

"I am sure it's possible for all my players, too."

The more realistic target, however, might be to capture the Davis Cup -- it's a major goal for Gasquet and the other leading French players. The drought in the competition isn't 31 years but lengthy nonetheless at 13.

France is the favorite against Germany in the quarterfinals at home this weekend, and France versus Federer's Switzerland is a potential blockbuster final in November.

"Beware of this generation -- they're not finished," said Di Pasquale, who beat a young Federer to claim bronze at the 2000 Olympics. "I don't think we can draw conclusions. I cross my fingers."

@highlight

France's tennis federation has long been praised for producing players

@highlight

Twelve men sit in the top 100, tying Spain and better than the U.S.

@highlight

But despite the depth, its men's grand slam drought extends to 31 years

@highlight

Tsonga, Gasquet, Monfils and Simon don't look like ending the skid after early promise