In 1986, with control of the United States Senate up for grabs, The Economist dispatched a reporter to Nevada, an important battleground that year, to survey the race between then-Rep. Harry Reid and his Republican opponent, James Santini.

"Mr. Reid's performance in Las Vegas could well turn on the Mormon vote," the correspondent noted, spotlighting Reid's religion. "Though only some 12% of Nevadans are Mormons, they punch more than their weight. Less than half the state's eligible voters bother to register, but Mormons almost always do, which gives them about a quarter of the likely turnout."

Members of the Jesus Christ Church of Latter Day Saints still punch more than their weight in Nevada politics, holding a broad array of elected offices and deep sway within the business community.

But the portrait of Nevada as a sparsely populated desert locale where elections hinge on the Mormon vote now seems quaint.

The state's dramatic population growth over the last two decades -- two-thirds of all registered voters in Nevada registered to vote after the 2000 presidential election, for instance -- has diluted the influence of Mormon voters on statewide elections.

Nevada had just 375,000 registered voters in 1998 when Reid won his first Senate race. Now, more than a million voters are on the books. There are nearly 700,000 voters in Clark County alone.

At the same time the state's population was exploding, Nevada's Mormon population slipped from 12% in 1986 to an estimated 7% today.

Mormon vote 'almost always over-hyped'

Although Mitt Romney is certain to energize Mormon voters this election season as the first member of his church to helm a major party's presidential ticket, political watchers here say the LDS vote in Nevada rarely lives up to its billing in the national media.

"The Mormon vote here is almost always over-hyped," said veteran Las Vegas Sun columnist Jon Ralston. "It's not going to be a huge factor unless the election here is very, very close, because you have to assume that 90% to 95% of them are going to vote for Romney. But it's still relatively insignificant compared to other demographics, like Hispanics."

The impact of LDS voters is felt mostly inside the Republican Party, a dynamic that came into focus during the GOP primary fight, when Mormons showed up at polling places in robust numbers to help push Romney to victories in Western states like Wyoming, Idaho and Arizona.

In exit polls conducted during the Nevada caucuses in February, 25% of the electorate identified as Mormon, and nearly all of them voted for Romney. A similar story unfolded during the caucuses in 2008, when Romney first ran for president.

The state does not keep tabs on voter registration by faith, and religious affiliation was not exit-polled during the 2008 or 2010 elections.

Strategists in both parties, though, operate under the assumption that the Mormon share of the vote drops off sharply in Nevada's general elections, and that most of their support goes to GOP candidates.

Republicans and Democrats in Nevada, including members of the church, agree that Mormon voters can no longer swing a statewide election on their own.

But Republicans hope that in a tight election -- as the presidential race is expected to be in Nevada and the small number of states that will decide the election -- even the slightest uptick in Mormon turnout with Romney on top of the ticket could provide an edge.

"It's going to be a close state, so whatever difference you can make up somewhere is going to be very important," said Danny Tarkanian, the Republican candidate in Nevada's 4th Congressional District.

Most of Nevada's Mormons live in and around Clark County, the most populous in the state. They are also prevalent in rural communities in the southern part of the state and in the east along the Utah border, precincts that usually vote Republican.

Mormons register and vote at higher rates

Former Nevada Gov. Bob List, a Republican, said Mormons tend to register to vote and participate in elections at higher rates than other demographic groups, usually to the GOP's benefit.

"There are Mormon Democrats, Harry Reid being Exhibit A, but of those who are LDS, most tend to be Republicans, and they are quite cohesive in their voting patterns," List said. "They always have a significant turnout compared to the voting public, giving them an additional piece of power and influence. They are a force, and I think they will be very helpful to Gov. Romney in the end."

Political observers here are quick to point out that the economy -- not faith, gender or race -- is the central issue for Nevada voters, as it is in other key states.

Nevada's unemployment rate is 11.6%, the nation's highest.

The foreclosure crisis devastated suburban communities in the state, and Democrats have eagerly seized on Romney's interview with the Las Vegas Review Journal last October, when he said he preferred to let the housing market "run its course and hit bottom" instead of intervening to help homeowners.

But few here expect external factors to dampen Romney's support among Mormon voters.

There are also a number of Mormon candidates running for office this year up and down the ballot, which may spur church members to show up in greater numbers come November.

Sen. Dean Heller, whose re-election fight against Democratic Rep. Shelley Berkley is among the most closely watched Senate races in the country, is a member of the church.

There are also five competitive state Senate races that could decide which party controls the upper body of the legislature in Carson City. In four of those races, the Republican candidates are LDS.

Romney campaign aides, notoriously guarded when discussing their candidate's faith, say they are not approaching Mormon voters differently than anyone else.

"Nevada has been disproportionately hurt by President Obama's policies," said Ryan Erwin, Romney's top adviser in the state. "Regardless of your age or gender or religious affiliation or geographic location, within this state you have been touched in a negative way by some Obama policy."

Mormon backers build support for former bishop

But the official line from Romney-world isn't stopping his Mormon supporters from tapping into their own ready-made church networks -- which are organized locally into wards, stakes or branches -- to build support for the former Massachusetts governor, who was once a bishop in Boston suburb of Belmont.

Dave Isbell, a Clark County Mormon who was active in Ron Paul's campaign but said he is nonetheless "pretty proud" of Romney, said several of his fellow church members are cross-checking church directories with voter registration data to identify and contact potential Romney backers.

Isbell said a popular smartphone app called LDS Tools, which lists phone numbers and addresses for local stake members, has become a reliable resource for enterprising Romney volunteers doing voter outreach, despite church rules that forbid the use of LDS resources for political purposes.

"The church makes it really easy for you to get a hold of anyone in your ward," Isbell said. "If you are a Romney supporter in the church, you have an opportunity to talk to everyone in your ward that already has a relationship of trust with you."

He added, "I'm sure the campaigns and the church are saying 'you can't do that,' but people will fall on their sword for Mitt Romney and some people will justify the means."

Romney's support among Mormons may also be felt in Nevada outside the voting booth.

Romney supporters traveled all the way to Iowa and South Carolina from Brigham Young University in Provo, Utah, to assist in the victory effort during the primaries -- and Republicans expect that to happen again this fall, particularly in the Western swing states of Nevada and Colorado.

Several Nevada Republicans told CNN they are counting on a flood of Mormon volunteers from reliably red Utah and reliably blue California to travel into Nevada for the get-out-the-vote effort.

One LDS member involved in election planning, who did not want to be identified revealing party strategy, said the arrival of out-of-state Mormons in Nevada "will happen in a huge way" this fall.

Another veteran Republican operative in the state who was not authorized by his organization to speak on the record said Mormon volunteers will be a fundamental part of the Romney ground game in Nevada.

"You tell them to be there at 8 a.m., and they are there at 7:55," said the operative. "Romney is their guy. They are committed."

@highlight

Nevada's rapid population growth has diluted Mormon influence on elections

@highlight

Impact of Mormon voters is felt most in Republican races

@highlight

GOP strategists hope that LDS vote will be enough to tip tight election

@highlight

Romney's Mormon backers are tapping into church network to build support