The Maldives government has said its hands are tied in the case of a 15-year-old girl sentenced to 100 lashes and eight months house arrest for engaging in premarital sex.

The registrar for the Juvenile Court confirmed Wednesday that the sentence had been imposed Tuesday, after the girl confessed during a court hearing to the charge of fornication.

"She's staying in a children's home now so we have ordered her to remain in a children's home," registrar Zaima Nasheed Aboobakur told CNN.

"We have explained to her how if she wants to receive the punishment (the lashings) right now she can ... or it can be postponed until she turns 18," she added.

Amnesty International told CNN the same girl was the alleged victim of sexual abuse by her stepfather.

The Juvenile Court registrar said she had no information on reported charges against the girl's stepfather, as that case was being dealt with by the Criminal Court, but she said that the teenager's fornication charge was unrelated to the stepfather's case.

The prosecutor general told Amnesty International on Wednesday that it couldn't elaborate on the circumstances of the premarital sex other than that the girl had confessed to the offense, punishable under the Islamic country's Sharia laws, said Abbas Faiz, a researcher with the group.

In not releasing further information to the group, the prosecutor general also cited protecting the minor's identity, Faiz told CNN. Maldives, a tourist destination, is an Indian Ocean archipelago of about 1,200 small islands, 200 of which are inhabited and typically have small populations.

Neither the stepfather's name nor the girl's has been released to the public.

CNN, meanwhile, has contacted the prosecutor's office about the specifics of the case against the girl and the allegations against her stepfather. In an e-mail response, the deputy prosecutor general said the office is, "restricted by laws in relation to the amount we can share with (the) public when it involves a minor." The prosecutor's office did promise to provide "as much information as we can," but has not yet responded to CNN's follow-up e-mail.

Faiz objected to how authorities used a confession from a sexually abused minor. The girl should have first received legal guidance and protection, he said.

"Confession from a child who has really gone through some damaging experiences cannot be taken as evidence," he said. "If she had said no, then the only case that would have gone forward would have been the charge of sexually abusing a minor against the stepfather."

Authorities began their investigation after a dead baby was discovered, and investigators questioned the girl, who later confessed to consensual premarital sex, Faiz said. Amnesty International's sources close to the island where the sexual abuse had taken place provided this account, Faiz said.

The investigation then led to a charge against the stepfather, Faiz said.

Authorities haven't indicated to Amnesty International whether charges have been filed in the baby's death, Faiz said. The parents of the baby haven't been disclosed, he added.

A spokesman for the President's Office, Masood Imad, told CNN the government considered the teenager to be a victim who should not be flogged but said the government was unable to intervene in the judicial process.

"We cannot just send a memo to the judiciary and say, 'Don't lash anybody hereafter.' It doesn't happen that way any more. We have to talk with them, get them to understand, get them to initiate the laws or we initiate the laws together and then pass it to the legislature," Imad said.

He said the Ministry of Gender and Family was leading talks with the Ministry of Islamic Affairs to try to convince the judiciary that the law needs changing. "We have to engage with the judiciary and we've got to suggest to them that we need to change these laws to better identify victims and perpetrators," Imad said.

The circumstances surrounding the fornication charge against the girl are not known. The case attracted the attention of rights groups last month, when Amnesty International issued a statement urging the Maldivian authorities to drop all charges.

"She has been sexually abused, and at the same time, she has been charged with an offense that carries a punishment of flogging. We are really outraged at this punishment," Faiz told CNN on Wednesday.

Human Rights Watch condemned the girl's punishment and urged the government to change the law. "The Maldives should urgently reform its laws to ensure maximum protection for children instead of engaging in further punishing a child that they failed to protect," said Meenakshi Ganguly, Human Rights Watch director for South Asia.

Even as he condemned the sentencing, the president's spokesman, Imad, played down the physical effects of the lashing, referring to the punishment as "ceremonial."

"They just pretend she's been lashed. It's not a painful process. She is taken to one side and she is patted on her backside with this lashing. It's not used hard. It's just a token, a token exercise. It's a belief," Imad said.

Aboobakur also said, "the lashes are not given that hard." She said she had witnessed floggings and that most people "just keep quiet and still until it finishes."

She said floggings were carried out in a public area for adults, while the punishment was administered to juveniles in a separate area nearby. The recipient was not required to wear any specific clothing, she said, adding that the lashes were delivered to the upper thighs and buttocks.

While Imad said the punishment didn't hurt, he acknowledged that the psychological impact of a flogging was undeniable.

"There are psychological consequences ... I understand this. I wouldn't want anybody, even with the talk of lashing, going through this process. But this is the hard reality and we're trying to change it."

However, Amnesty's Faiz said the government wasn't trying hard enough.

"It is for the government to actually initiate a change and send a bill to parliament and then if at that level they don't win, they can say we tried. But they haven't at this stage even tried," Faiz said.

"They are not interested, they don't show any interest in this," he added. "Every time we talk about the judicial flaws that exist in the judicial system of the country they say we have nothing to do with that because we're separate from the judiciary. Of course you're separate to the judiciary but you're the government," he added.

The Maldives is in a state of political flux after the resignation last year of the country's first democratically elected president, Mohamed Nasheed, who is facing charges of abuse of power -- charges he has denied.

The charges leveled against the former president have focused attention on the country's legal system, which was most recently criticized by the United Nations Special Rapporteur on the Independence of Judges and Lawyers. After an eight-day visit to the country in February, Gabriela Knaul said she was, "struck to hear how little trust the public has in the justice system in the Maldives."

After leaving the court after the girl's sentencing, registrar Aboobakur said the teenager seemed "fine." She said she didn't think the girl would appeal the sentence.

Faiz said official claims that the floggings were "not hard" and only "ceremonial" were difficult to verify as those sentenced to the punishment were reluctant to speak about it.

"It is very difficult, to get any of these victims to come and talk about their experience," he said. "Why is that? Because they feel ashamed, they feel there is a huge stigma in the country against that. It is a humiliating experience."

Q&A: The Maldives -- Trouble in paradise

@highlight

Investigation began with the discovery of a dead baby, human rights group says

@highlight

Maldivian girl, 15, sentenced to 100 lashes and eight months house arrest for premarital sex

@highlight

The teenager was alleged victim of sexual abuse by her stepfather: Amnesty International

@highlight

President's spokesman claims lashing is "ceremonial," insisting "it's not a painful process"