South Carolina Gov. Nikki Haley is one of the GOP's brightest stars, a 42-year-old Indian-American, a dynamo fundraiser and a favorite of national Republicans eager to showcase diversity in their ranks.

Haley's road to re-election this November has looked smooth of late, thanks to Obamacare's unpopularity in South Carolina, a shrinking unemployment rate and the cautious approach of her Democratic challenger, state Sen. Vincent Sheheen.

But Haley's path to victory might have just become more complicated.

That's because a little-known attorney and former judge named Tom Ervin has joined the race for governor as an independent -- and his campaign is threatening to raise at least $6 million in the process.

"We're going to spend whatever it takes," Ervin told CNN. "I am going to tell the truth to the people of South Carolina."

Ervin entered the race clumsily. In March, he filed to run against Haley in the Republican primary, loaning his campaign $420,000 as seed money. He promptly unleashed $65,000 worth of robocalls attacking the governor. But he soon dropped out of the primary and announced his independent bid, saying there wasn't enough to time to mount a credible GOP campaign before the June 10 primary.

Haley's campaign was quick to diminish Ervin as a "liberal trial lawyer."

"We appreciate Mr. Ervin's desire for public service, but a trial lawyer and former Democratic lawmaker‎ who wants to raise taxes and embrace Obamacare should probably be running as a Democrat," said Haley spokesman Rob Godfrey. "Governor Haley is focused on the legislative session, passing historic education and ethics reforms and keeping the fantastic economic and jobs momentum going. And we look forward to running against two liberal trial lawyers who support Obamacare instead of just one."

Rumors of a shadow campaign

Ervin's audacious, last-minute entry into the race has been met with eye-rolls by Republicans. A popular rumor in Columbia is that his candidacy is little more than a shadow campaign aided by trial attorneys who have long clashed with the pro-business governor and want a spoiler in the race. Haley defeated Sheheen by just four points when they first squared off in the 2010 race.

Some Democrats are hopeful that Ervin, and his money, will help them open up a two-front war against Haley on the campaign trail, while siphoning Republican-leaning voters away from the incumbent. A libertarian candidate, Charleston businessman Steve French, could do the same.

Others, though, are concerned that Ervin will hurt rather than help their cause by divvying up the existing anti-Haley vote, thereby hurting Sheheen, who needs to grow his support in a GOP-dominated state.

"I think it could hurt," said Dick Harpootlian, a former Democratic Party chairman in the state. "There are a lot of moderate Democrats, a lot of people who would have voted for Vincent who may gravitate to Tom Ervin now if he throws a punch. It may Balkanize the anti-Haley vote. That may be in play now."

Adding intrigue to Ervin's candidacy is the behind-the-curtain presence of Republican consultant John Weaver, the mercurial former John McCain and Jon Huntsman strategist who is consulting on the campaign.

Weaver, a screwdriver-sipping Texan who tweets prolifically about the San Antonio Spurs, has never been shy about sticking his finger in the eye of his fellow Republicans.

After McCain lost his bid for the presidency in 2000, Weaver briefly dabbled in Democratic politics and feuded with Karl Rove during the Bush years. During the Huntsman campaign, he called Republicans "a bunch of cranks" in the pages of Esquire. Ervin's campaign is not the first time he's worked against the GOP on a governor's race: In 2010, he advised the ill-fated candidacy of Tim Cahill, a Democrat-turned-independent candidate for Massachusetts governor.

'A breath of fresh air'

"I was honored when Tom called me three weeks ago about being a member of his team," Weaver said in an email. "We tried to recruit him twice for Sen. McCain in our two primaries in South Carolina -- and failed. I know Tom to be a social and economic conservative and also extremely straight forward and bold in his vision for the state. He'll be a breath of fresh air for sure as the next Republican governor."

Ervin revealed his first ad on Monday, calling himself "an independent Republican" and criticizing Haley on a number of issues, including the massive 2012 data breach at the South Carolina Department of Revenue that exposed nearly 4 million Social Security numbers.

Ervin's chances of winning the race are slim. There's no modern precedent for a candidate without party support winning statewide in South Carolina. He first has to qualify to get on the November ballot by collecting at least 10,000 signatures needed to run as a "petition" candidate.

Meanwhile, Haley's campaign has raised nearly $6 million for her campaign, a hefty sum in a state where television ad time is relatively affordable, and she has been aided by a series of commercials paid for by the Republican Governors Association. In one hard-edged ad that began airing this week, the RGA blasts Sheheen, an attorney and state senator, for legal work defending a sex offender and domestic abusers. The South Carolina Democratic Party called the ad "desperate."

Ervin sees an opening. Sitting for an interview inside the wood-paneled lobby of WRIX, an Anderson radio station he purchased out of bankruptcy last year, the soft-spoken Ervin said his decision to drop out of the Republican primary will give him time to raise money and get his message out. Had he remained in the GOP race, it would have allowed Haley to line her war chest by going back to her donors and soliciting even more money for the primary campaign.

Questioning Haley's commitment

Ervin served one term in the South Carolina legislature 30 years ago as a Democrat, and ran for a seat again in 2005 as a Republican, but lost. A practicing attorney involved with charitable work in the Greenville area, he said he has been active in local politics for years. He said he did not vote in the last gubernatorial election.

"We have no leadership in Columbia right now," Ervin said. "Governor Haley has been a disaster. Every agency she has touched is in crisis mode. She is clearly focused on her own selfish political ambitions. If she is re-elected, I seriously doubt she will finish out her term. She has got her eyes on Washington. All she can talk about is federal issues, when our state is languishing."

Ervin pointed to the state's "crumbling" roads and bridges, education policy and government transparency as issues he plans to highlight. He said a gas tax is "on the table," and he'd likely sign a budget increasing fees if it passed the state legislature, but his positions hew closer to conservative orthodoxy. Ervin wants to eliminate the personal income tax and says he opposes the expansion of Medicaid under the Affordable Care Act, although he previously told The State newspaper  he would not veto Medicaid expansion if the state balanced the budget. As a born-again Christian, he's against same-sex marriage and abortion.

But mainly, he said he wants to make the race a referendum on Haley's first term. Ervin applied a lighter touch to Sheheen, calling him a "career politician" and "far to the left." But he also described the Democrat as a "policy wonk" with "a good understanding of the issues." Sheheen's campaign had no comment on Ervin.

Ervin's sudden appearance on the political scene, his blistering criticisms of Haley and his ties to the state's legal community -- his wife is a prominent worker's compensation attorney -- have fueled talk in the state capital that he was recruited into the race by Republican fundraiser John Rainey, a longtime Haley nemesis.

A remarkable moment

Rainey fiercely opposed Haley during her first gubernatorial campaign in 2010. After she won, he memorably filed a lawsuit and then an ethics complaint against the governor, claiming she profited from her office while serving in the state legislature. That complaint was dismissed, but not before Haley defended herself before the state's ethics panel and, in a remarkable moment, called Rainey "a racist, sexist bigot who has tried everything in his power to hurt me and my family."

Ervin acknowledged being friendly with Rainey's brother, but denied that he is a stalking horse for the legal community. "Since I was a circuit court judge for 14 years, I do know a number of attorneys," he said. "And there will be some of my friends that will contribute to my campaign. But I don't expect to get the endorsement of the trial lawyers."

"I don't know John well enough to approach him," Ervin said of Rainey. "I may, because he wants some change in state government as well. He may be motivated to give. But John has not contributed to my campaign."

Rainey, too, denied any connection to Ervin's campaign. "No," he said flatly when asked if he recruited Ervin to run. "There is nothing else to say."

Still, Rainey had harsh words for Haley, calling her "corrupt to the core of her being." In the next breath, he gamed out a scenario in which Ervin could open the door to a Sheheen victory.

"I think he appeals to centrist Republicans, some of whom don't want to vote for somebody with a D by their name, but who would vote for someone with Republican credentials," Rainey said. "If you can get somebody who can carve off 5% of the vote, Vincent can win. There is no question he can win."

Katon Dawson, a former South Carolina GOP chairman, said Ervin and his wife "have been very successful in the legal business." But, he added, "I don't take it very seriously."

"They are not going to shake a lot of votes loose from Republicans," Dawson said. "If they are going to spend a couple million, that's their choice. He can do what he wants with his money. If I was Tom and I was looking for some excitement, I wouldn't run as an independent for governor in a Republican state. He'd be better off if he bought a new sports car and got a girlfriend and got it out of his system."

@highlight

Tom Ervin was running as a Republican but withdrew and entered as an independent

@highlight

Incumbent Nikki Haley is one of the Republican Party's brightest stars

@highlight

Some Republicans think Democrats are behind Ervin's campagin to split GOP vote

@highlight

Some Democrats think Ervin could split the anti-Haley vote and assure her victory