He's been running all his life, running for freedom, running for peace.

It started when he ran away from home at the age of eight. Later he ran away from his homeland, Iran, and spent seven years on a bicycle, pedaling 49,700 miles across 55 countries.

In 2002, he reached America. He now lives in a tent in Death Valley.

It's been nearly 10 years since Reza Baluchi escaped from Iran. He has run across the United States twice and around its perimeter once. He sets out on every journey with the same mission: to spread a message of world peace.

Baluchi plans to begin his next extended run in Israel and finish atop the highest peak on earth -- Mount Everest. His route will take him through the Middle East, including Iran. He'd be going home for the first time since escaping on his bike.

"I got tired of having no freedom," he said. "I would wear a t-shirt and they would stop me. I'd grow out my hair and they'd make me cut it. I traveled out of the country with the cycling team and never came back."

Baluchi grew up in the northern Iranian city of Rasht, the youngest of eight children including a brother permanently traumatized by his service in the Iran-Iraq war. His family barely made a living from their rice farm. He would run seven miles to school, and back home, every day.

Baluchi ran away from home after upsetting his mother and getting a beating. He fled on foot, running more than 300 miles to Isfahan where he stayed with his aunt and uncle and continued his schooling. Despite his young age, Baluchi helped support that family by working as a mechanic, running another 14 miles to work after class each day.

His athletic abilities didn't go unnoticed; he was recruited to join the national cycling team at 14. Baluchi cycled and won numerous competitions through his teen years.

He also fell away from Islam, the state-sponsored religion of Iran. He says he was a peaceful activist -- and got in trouble for associating with dissidents. At 19, he was arrested by a government militia known as the Basij for eating during Ramadan, the holy month when Muslims are expected to fast. Baluchi was wearing a Michael Jackson t-shirt and carrying "banned pre-revolutionary videotape" -- a romantic movie.

He says he spent the next 45 days imprisoned in a torture cell.

"Every day they tortured me," Baluchi said. "They broke my shoulder; I cried. They would hit me with a baton and burn me with skewers."

He says he was frequently beaten unconscious and, on some occasions, hung from a tree by his wrists.

"My hands had turned completely black from the dead blood; I thought I would have to cut them off. Every day I prayed that I die. Every day I would cry. I thought it would be better if they just killed me so I wouldn't have to suffer."

After questioning his family and investigating his intentions, Baluchi says the Basij deemed him essentially harmless. He was removed from the torture cell, and spent the next 18 months jailed under less threatening conditions.

"I was much more comfortable," he said. "I was running and exercising every day. I also worked as a mechanic on the officers' cars once they realized I wasn't a threat."

Baluchi says running kept him sane during his imprisonment. Once released, he returned to the cycling team. Baluchi and his teammates traveled to Germany for competition.

"At that point, I never wanted to go back to Iran," Baluchi said.

He spent the next four years competing with the German cycling team. Baluchi was taken aback by the level of admiration and respect he received. He had little education, no income and would sleep wherever he could lay his head.

Once he was granted a German passport, he set out for other destinations. With only a backpack and his bicycle, he steered clear of transportation by car or train for fear of getting caught. He says he stopped frequently to help the homeless, despite his own very limited resources.

"While in Morocco I rode by this old man who had torn-up shoes tied onto his feet," Baluchi said. "I gave him my own shoes and the only $2 I had left. Anything that I had, besides my bike, I would give away."

On another African stop, Baluchi says he spent a day rebuilding the roof of a damaged school. He says he made friends everywhere he went, and they took care of him as well. A Portuguese family gave him $2,000, which he mailed to Iran for his family. And a Colombian dentist fixed his teeth for no charge.

His life on the road -- running in a security vest adorned with the American and Iranian flags -- took him from China to Panama, France and New Zealand -- 55 countries in all. Communicating the message of love and peace.

Eighty-five flat tires later, Baluchi arrived at the U.S. border in Monterrey, Mexico, asking for a visa to enter America. After waiting three months with no document, Baluchi says he got lost while riding his bike in the desert.

"I was 27 miles in Arizona and I had no idea," he said. "I was awakened one morning by a helicopter hovering over my tent. It was border patrol. When they told me I was actually in the U.S. I started crying."

It was a year after the September 11, 2001 terror attacks, and a Middle Eastern man riding alone in the desert might raise suspicions.

"I started speaking German, hoping they wouldn't know my nationality. Once the officer searched my tent and saw one of the newspaper headlines 'Iranian Runs Around the World for Peace,' he jumped back and put his hand on his gun."

Baluchi was arrested for entering the United States illegally and spent five months in a detention center, unable to post $5,000 bail.

By this time, Los Angeles businessman David Hyslop, intrigued by what he had read of Baluchi's journey for peace, wrote him a letter of support addressed to the detention center. He attached his photo and phone number.

"Three days later the phone rang and sure enough it was Reza speaking his broken English," Hyslop said. "He was convinced he would get political asylum and sure enough, he did."

Baluchi says he convinced the judge to release him on humanitarian grounds, promising to run across America for the victims of 9/11 and donate his only possession -- his bicycle -- to the New York Fire Department.

He spent 10 days prepping for the cross-country trek. Hyslop bought him new clothes and rallied the support of local Iranian-Americans. Under his guidance, Baluchi was able to raise several thousand dollars and was donated a motor home.

Hyslop decided to leave his partnership in a video systems integration company and volunteered to drive the motor home, cook his meals and be his traveling press agent.

"He ran an average of 29 miles a day for 124 days," Hyslop said. "There was just something about Reza that told me he could do it. And he did."

They left Los Angeles on Mother's Day, planning to arrive in New York City by the second anniversary of Sept.11. They were traveling with a $28,000 donation for the Children's Aid Society, Baluchi's bicycle and "Rocky," a stray dog they picked up along the way.

Baluchi arrived to a cheering crowd at Battery Park. The next day he presented his bike to Engine 33, Ladder 9, the closest fire station to Ground Zero. Ten of its 14 firefighters were killed in the response to the World Trade Center attack.

"We found out these guys were also cyclists," Hyslop said. "We pulled up to the fire house and they were standing outside waiting for Reza. There wasn't a dry eye in the house, it was unbelievable."

"These guys are true heroes," Baluchi said. "They gave their lives to save others. So I wanted to donate my bike from the people of Iran, not from the government. I stay out of the politics."

In 2007, Baluchi laced up his shoes once again. He ran the perimeter of the United States, raising money for the Children's Hospital of Denver. He says he spent 202 consecutive days running a grand total of 11,720 miles.

"Because it was so difficult for me to leave my country and reach America, I ran for children around the world that are also homeless," he said.

"It's his personal mission to help others," said his former agent Scott Hettermann. "He doesn't have anything yet he's the happiest person I know. He's a completely nomadic creature."

In 2009, Baluchi ran from Los Angeles to New York City again, and now he's training and planning for his ultimate trip -- a run that will traverse every country on the planet -- a lifelong dream that even his supporters say probably is out of anyone's reach.

"Reza doesn't listen to anyone," Hyslop said. "He has these outsized ambitions that he sets his mind to. He's a success above and beyond anyone's expectations. It's almost biblical. But you gotta be a little crazy to undertake such an endeavor, right?"

Nowadays the 40-year-old Baluchi lives in a tent, and spends his days training in Death Valley, California. In February 2013, he plans to begin his next run for peace in Jerusalem -- the trip that will take him back to where it all started.

Baluchi, idealistic to the extreme, admits there is a real danger returning to his home country.

"I don't know if I'll be able to run freely through Iran. I fear that I might not make it, but I'd like to try and see my mother one last time," he said.

"Who knows what the regime is going to do," Hyslop added. "We don't know how the government feels about him. He could end up a martyr if he's not careful."

Despite the risk, Baluchi says he refuses to be distracted from his goal.

"I always wanted to give children around the world hope that anything is possible," he said. "Until my heart stops beating, I'll keep running for peace."

@highlight

Reza Baluchi aims to run through the Middle East and finish on top of Mt. Everest

@highlight

He has been running around the world since escaping from Iran

@highlight

Baluchi says he was tortured by government militia after being arrested

@highlight

He has run for charitable causes since arriving in the U.S. in 2002