(CNN) -- How do you get a foot on the property ladder, when you live in one of the most expensive cities in the world?

For an increasing number of first-time home buyers like Sandra Reddin, the answer doesn't lie on land -- but in the water.

"Doing the washing-up with swans floating by your window -- I love it," says the 55-year-old, who bought a houseboat earlier this year.

In a city where $1 million will buy you a mere 25 square meters in prime central real estate, Londoners are turning to the labyrinth of waterways silently snaking their way through the metropolis.

Centuries ago, these gently rippling canals were used to transport cargo -- a floating highway bustling with barges and connecting towns across the country.

Now the narrowboats which heaved goods up and down the UK have become homes for those struggling to get a foothold in the third most expensive real estate market on the planet.

While a house in Narrow Boat Close, a street in leafy south-east London, will set you back an average $350,000, an actual narrowboat costs around a quarter of the amount.

Those looking to take the plunge can expect to pay anywhere between $3,000 and $250,000 for a canal boat in the English capital -- and it's not the only European city utilizing its waterways.

With Paris property prices rivaling that of London, houseboats along the Seine may be a more affordable option for those determined to reside within eyesight of the Eiffel Tower.

In nearby Amsterdam, pavement life spills onto the intricate network of canals, home not just to residential boats, but a huge array of hotel vessels, and the world's only floating flower market.

Canal costs

But is life afloat really as financially attractive as it seems?

Alan Wildman, of the UK's Residential Boat Owners' Association, pours cold water on the idea.

"People move on board thinking it's a way to get on the housing ladder -- which is absolute nonsense," says the 64-year-old, who lives on a narrowboat with his wife.

"It can be cheaper than living in a house. But when you consider all the other components of life afloat that go with it ... people can very quickly become disenchanted."

Long-term moorings in London can be over $30,000 a year -- "and that's just for somewhere to hang your boat," adds Wildman.

Unlike real estate, houseboats decrease in value, he said. If you're thinking of taking the plunge, it has to be for love -- not money.

River romance

That said, stepping aboard Reddin's elegant 13-meter houseboat "Happy Days," it's easy to see the allure of life on the river.

Inside, the wooden vessel is bigger than you'd expect, boasting a wood fire, fully kitted-out bathroom, kitchen, and double bedroom. A golden afternoon light bounces off the water, streaming in through the long narrow windows.

Though relatively roomy, I still manage to knock my head on the low door, ungracefully exiting onto the decking for a sunset sip of wine.

"It's a very neat little operation," says Reddin, nodding towards the compact home, where everything has its place.

The photographer bought her $124,000 boat a few months ago, seeing it as an affordable way to live in the heart of the city, while constantly change the view out her window.

It now bobs in desirable north London's Regent's Canal, an area where waterfront properties regularly have million-dollar price tags.

The mother-of-two was paying $3,000 a month to rent an apartment in another part of north London when she decided to give it up for life on the water.

"You've got all these different noises," she says. "Little ducks landing on your roof, the lapping of the water, and when it rains, it's just amazing."

Tough love

Reddin is under no illusions that boat-living isn't all smooth sailing -- particularly come winter. "I'm quite a gung-ho, intrepid type. I think you need to be for this lifestyle," she says.

Wildman offers a reality check: "Imagine you're out on the canal and you're iced in, and your toilet tank is getting full, and you've got to cruise half a mile to get to a pumping-out point.

"You've got to take the rough with the smooth."

If you want to live on board, you also need to be prepared to cut out any excess, says Nathan Rogers, manager of dealership NarrowboatShop.co.uk.

"You have to be disciplined in terms of your living space and how you utilize it," he warns. "But this also leads to a streamlining and simplification of everyday life."

Close quarters

In such a confined space, is it possible to bring up a brood of scampering children?

"It means you have to get on with each other," says Wildman, who has seen many families happily grow up on the water.

"If you've got to get children to school, you need a continuous mooring permit," he adds, which is more expensive than current regulations requiring owners to move every two weeks.

There are around 30,000 to 40,000 people living on boats in the UK, estimates Wildman. He describes a tight-knit floating community where neighbors look out for each other.

"It's very much like old England," he says.

Though in modern times, people are getting on board for very different reasons.

Learn: Size matters -- how big is your yacht?

Debate: Supercar-yacht -- tasteless or chic?

Photography: Sandra Reddin's website

@highlight

Can't afford to buy house? How about living on a boat?

@highlight

European cities offer stunning canals -- and potential homes

@highlight

Life on the water is cheaper, but has hidden costs

@highlight

Romantic image, but there are harsh realities