London (CNN) -- Imagine if you could paint a working light switch directly onto your wall, without any need for sockets, cables or wiring.

A group of students from the Royal College of Art (RCA) in London has made that possible by creating electrically conductive paint.

The paint acts as a form of liquid wiring. Unlike conventional wires, it can be applied to almost any surface, including paper, plastic, metal and even fabric.

The product has the appearance and consistency of runny marmite, but dries quickly when exposed to the air. Its inventors, RCA graduates Isabel Lizardi, Matt Johnson, Bibi Nelson and Becky Pilditch, call their creation "Bare Paint." While they don't claim to be the first group to have invented a conductive ink, they are pioneering new ways it can be used.

"We started this project in earnest in 2009," says Matt Johnson. "We were originally interested in trying to apply electronics to the skin ... so we arrived at this idea of applying them as a coating and eventually we got this idea of a conductive paint."

The team began by investigating how electronics were being used in the body.

"In 2008 -- and probably still today -- there was a lot of work around electronic textiles," says Johnson. "And though we really liked the idea of having a jumper (a piece of clothing) that has some intelligence in it, we didn't like that it was so bulky and that once you took it off the functionality disappeared."

Around the same time there was a lot of "extreme work" being done by people who were injecting electronics beneath the skin. For their final project, the RCA students began work on making something less intrusive, looking for a substance that could be painted onto the body. Eventually, says Johnson, "that idea transformed into the material we have now, which is very safe though it's not specifically intended for the body anymore."

After graduating from college, the team collaborated on a video for DJ and producer Calvin Harris. The resulting project was the "Humanthesizer," a performance which literally brought the paint to life, with dancers whose movements triggered audio loops from Harris's song "Ready for the Weekend."

"Making a new material was a bit daunting for four designers," says Johnson. The team's solution was not to return to school to study chemistry for four years. Instead, they simply went on Wikipedia. According to Johnson, the online encyclopedia provided them with almost everything they needed to know about crafting conductive materials.

Once the paint's formula was finalized, co-creator Isabel Lizardi says the team began to consider how it might be applied to real-world products. The first thing they launched was the paint in its raw form, which they made available to other garden-shed inventors.

Today, Bare Paint jars and pens are sold on the Internet and stocked by Radio Shack electronics stores across the United States. Projects being done by Bare Paint users include everything from interactive color wheels to homemade electric toys.

Johnson says that conductive paint opens up an enormous range of creative opportunities. As conductive paint becomes increasingly common, we can look forward to a future where billboards talk back, walls are interactive, and greeting cards come to life in our very hands.

"Devices no longer have to look high tech to be high tech," Johnson says. "Our goal is to put interactivity onto objects you don't expect."

@highlight

A group of students in London has developed electrically conductive paint

@highlight

The paint allows wiring to be applied to paper, metal and even textiles

@highlight

It is now being used in projects around the world including interactive posters and home-made toys