Editor's Note: Fernando Espuelas is the host and managing editor of Café Espuelas, a Los Angeles Spanish-language radio talk show and a media entrepreneur.

Fernando Espuelas says it was a mistake for Latino voters to support Proposition 8's gay marriage ban.

LOS ANGELES (CNN) -- It's a done deal: Proposition 8, making same-sex marriage illegal in California, has been approved by voters.

The constitution of the state was amended to take away rights recognized by the California Supreme Court under the equal protection clause of the California constitution just this May. And Latinos were in the vanguard, providing critical support for the passage of Prop 8.

For the past few weeks, Latinos have called in to my radio show, horrified at the idea of same-sex marriage. Callers said they would vote for Obama for change -- and for Proposition 8. They told me that the future of their family was at stake.

Biblical passages were quoted, divinely inspired indignation given voice. The vision of a collapsed society, where men abandon their wives in droves to "become gay,"' consumed these callers.

Is this simply a case of cognitive dissonance? By now, the media has reported the importance of the Latino vote to Obama's win in such key states as Florida, New Mexico, and Colorado. President-elect Obama, by some early estimates, garnered the largest share of the Latino vote of any candidate in history, carrying it by more than 2 to 1 over John McCain.

In spite of what seems to be sweeping approval for a progressive agenda, Latino support of Prop. 8 has exposed an entrenched bias against homosexuality at once profound and confounding.

Perhaps because of the teachings of the Roman Catholic priests and now the evangelical preachers who have captured many Latinos' devotional intensity; or simply because of the macho albatross we all carry as part of our Latino heritage, the very idea of gay marriage is anathema to many in the Latino community.

The fight for civil rights in America -- from the abolition of slavery in 1865, through the battle for a woman's right to vote, to the Civil Rights Act of 1964 -- has been long, fierce, and steady. Politicians from both parties never tire of telling us that a metaphorical Liberty Bell rings brightly, as it does in no other country in the world.

Yet even as civil rights in America have come so far, Latinos still suffer keenly under the heel of oppression.

Everyday, I feel the blow of news reports about Latinos struggling against dark odds in our country: the immigrant mother forgotten in a jail cell for four days without food, water, or a toilet; slaughterhouse workers herded like the cattle they process into an Immigration and Customs Enforcement bus.

Maricopa County, Arizona, Sheriff Joe Arpaio, who has attacked the immigration conundrum with zeal, is being sued by Latino human rights organizations for allegedly demanding proof of citizenship from anyone who looks Latino, and even from people listening to Spanish-language radio in their cars.

The irony of Latino support for Prop. 8 is sad. That a community that continues to struggle for basic rights would deny them to another is particularly baffling.

A marginalized minority -- Latinos -- voting to take away the rights of another marginalized group -- gays and lesbians -- is like the kid who's picked on in the third grade and only makes some headway when a punier kid comes along to take the punches instead.

Throughout this campaign, in an avalanche of Spanish-language commercials, Latinos were exhorted to vote "Yes" on Prop 8. A calm voice -- a voice that could be selling baby wipes or low-fat cookies -- told us that we should check yes "for the good of our families," that we must save everything that is good and decent about America.

Take away the civil rights of gays and lesbians so that we can be safe. But safe from what? The low-fat cookie voice of the radio commercial did not really say.

Latinos were asked not just to look away as these rights would be withdrawn, but to actively vote for the demolition of someone else's family. We were implored to look at "them" as the unredeemable "aliens" that must be expurgated from our society. And we did.

Once you start the process of taking away other peoples' fundamental rights -- like food and water in a jail cell, or the right to drive and listen to whatever music you like -- you must ask yourself where to draw the line, and who will draw it? What -- and whose -- rights will be next on the chopping block?

As Martin Luther King Jr. said, "Injustice anywhere is injustice everywhere." You'd think that as Latinos, proud and strong and willing to fight for our own rights,- we'd refuse to turn against the "punier kid," wouldn't you?

That we might in fact stand up for that kid, tell the bullies to back off, the same way we told the bullies of racism and "the real America" to take a hike -- and in the process carried Obama to triumph.

The opinions expressed in this commentary are solely those of Fernando Espuelas.

@highlight

Fernando Espuelas: Latino voters provided critical support for Prop. 8

@highlight

He says the ban on same-sex marriage violates basic civil rights

@highlight

Espuelas: By taking away rights, a minority group threatens its own liberties