(CNN)This weekend, Pope Francis appoints 20 new cardinals in Rome (five of them are nonvoting cardinals). As one commentator notes, it is not a question of right versus left, but of north versus south: Most of these new cardinals hail from far-flung locations including Tonga, Cape Verde, Panama, Uruguay and Myanmar. They are a far cry from the usual array of European and American cardinals. This will, indeed, "change Catholicism forever."

Catholicism is a global religion, of course, and it's changing fast under the leadership of this very bold pontiff.  The right-versus-left argument has also been in play, dramatically, as this pope has moved quickly to change the way Christians think about gays, famously saying "Who am I to judge?" when asked about gays in the church.  This was one of the first bombshells of his papacy, when he suggested that gays should be "accepted with respect, dignity and compassion," adding that "every sign of unjust discrimination in their regard should be avoided."

Last year, his Synod of Bishops on the Family -- a conference of leaders brought together to consider family matters and sexuality -- leaned too far left for many among the bishops, especially in the first draft of their joint statement.  The Pope didn't give up, however, and will try again this coming year, with many fresh voices among his bishops. And the chances are that fresh teachings will emerge, as Francis clearly wants the church to be more open to gays and friendlier to couples who have been divorced.

The Pope has also addressed the complicated issue of women in the church.  Last year, he declared that women "must have a greater role in the decision-making areas of the church."  He has also been sympathetic to the idea of giving women a greater role in the liturgical work of the church, arguing recently for a "more widespread and incisive female presence" in the church.

Indeed, there is good theological ground for this, as the early church had female deacons, and St. Paul put great trust in female leaders, such as Lydia and Phoebe (a deacon with whom he entrusted his famous Letter to the Romans).

It was not until quite late in the Christian movement that women were relegated to the sidelines, told to sit down and be quiet, and Paul's teachings on women in the church remain highly contradictory (a good summary can be found here, by Craig S. Keener).

As with all scriptures, Paul's letters need to be read in context.  One must also take into consideration that not all of Paul's letters were by him:  Most scholars now believe that only seven of his letters were authentic, while the rest were by disciples of Paul -- "school of Paul," so to speak.  And many of these offered comments on women that were incompatible with the original seven letters, as John Dominic Crossan (one of the finest of biblical scholars) and others have persuasively argued.

To be frank:  It seems to me unlikely that Pope Francis will ever allow women into the priesthood, let alone into the College of Cardinals.  But it also seems inevitable that these things will happen in due course.

Still, the Francis revolution is real.  He has laid the groundwork for profound change, and it matters that he has now appointed a cadre of cardinals from parts of the world where poverty remains an abysmal problem.  This pope wants the church to be, above all else, a "church for the poor." In the first year of his papacy he wrote a strong Apostolic Exhortation in which he condemned "the invisible hand of the market" and pushed for economic reforms. This eloquent document was so radical, in fact, that even Rush Limbaugh stepped into the fray, calling it "pure Marxism."

But this pope isn't a Marxist.  He's a deeply humble man who believes in social justice.  He regards Jesus as someone who identified with those on the margins of society, who declared: "Blessed are the poor."  This pope has consistently sided with those who have no power, and he has been unafraid to state his case, repeatedly, in unequivocal terms.

The appointment of 20 new cardinals from the margins of the world will only add to his case, reforming the church structurally, from within.  While not every one of these cardinals shares the pontiff's views on gays and women in the church, there is no doubt that fresh voices will open the debate on any number of issues. This is a revolutionary pope, and his first two years in office have been breathtaking to watch.

@highlight

Pope Francis will appoint 20 new cardinals in Rome on Saturday

@highlight

Jay Parini: His first two years in office have been breathtaking