(CNN) -- A day after Saudi King Abdullah announced greater political participation for women in the future, some Saudis questioned just how big a change may really be on the horizon.

Some women's rights activists who were initially elated by Sunday's announcement said they were feeling disappointed because the changes do not kick in immediately. "We don't really think now that we've been promised a real right," said one.

But a member of Saudi Arabia's Consultative Council called one of the changes the king announced "hugely important."

King Abdullah announced two changes Sunday, which would be historic for Saudi Arabia. He said women will be allowed to serve as members of the Shura Council, the Consultative Council that advises the king. Its 150 members are appointed.

The king also said women will be allowed to run as candidates and nominate candidates in the next set of municipal elections. It is unknown when those may ultimately take place.

The changes do not apply to elections scheduled for this Thursday -- which will be only the second set of elections in the kingdom since 1963.

While the king did not use the word "vote" in his remarks, allowing women to take part in the nomination process would amount to voting within Saudi Arabia's system.

"We don't really think now that we've been promised a real right because it's been postponed." said Wajeha Al-Huwaider, a prominent Saudi women's rights activist. "The king could have said this is happening now because the next election is going to happen this Thursday -- it wouldn't have been a problem to postpone this election for a month and have women participate in this round."

"For the Shura council it's another year and a half, for the municipal election it's another four years -- anything could happen during that time," she said. "Whatever can be given can be taken."

"That will give time for extremists to reverse the decision," said Al-Huwaider. "The government thinks they will give time for people to adjust to the idea, but if you're against something, you'll never change your mind and if you're for it you'll never change your mind. Why do they hesitate when it comes to women's issues? The government always hesitates."

This Thursday's elections come after more than two years of delays, so any time frame for when future elections may take place is not seen as a solid plan.

Amnesty International said the announcement that women will be given the right to vote is "no guarantee of rights."

"It is a welcome, albeit limited, step along the long road towards gender equality in Saudi Arabia, and a testament to the long struggle of women's rights activists there," said Philip Luther, the human rights group's deputy director for the Middle East and North Africa, in a statement. "It is, however, much overdue and does not go nearly far enough."

"The whole system of women's subordination to men in Saudi Arabia needs to be dismantled," Luther said.

Saleh Al-Namla, one of the 150 members of the Consultative Council, expressed no doubts that women will join the council in 2013, and called it a very significant step.

"I think it's hugely important," he said. "They will be full members of the Shura Council just like anybody else. We have women advisers, but in the next round of Shura Council appointments, they will be full members of the committee just like any other member."

The U.S. State Department notes that there are 13 advisers on the council. Al-Namla said the 13 advise the council, but are not among the 150 members.

The changes the king announced follow increasing pressure, from outside and inside Saudi Arabia, to give women the right to vote and greater political participation.

Earlier this year, Saudi women activists wrote the government requesting that women be allowed to vote and be candidates in the municipal elections, according to the U.S. Library of Congress.

Saudi Arabia's "Minister of Municipality and Rural Affairs declared that Saudi women will not be able to either run or vote in this election," the Library of Congress reported on its blog. "According to news reports, the Minister stated that the ban on women's participation is due to the lack of segregated voting facilities."

When election centers opened in April for voters to register, some groups of women turned up and were turned away. It was one of the first public acts of the "Saudi Women Revolution," a movement set up to campaign for the end of Saudi Arabia's discriminatory laws.

In June, a number of Saudi women took to the streets -- in cars -- to demand the right for women to drive and travel freely in the country.

There are no specific traffic laws that make it illegal for women to drive in Saudi Arabia. However, religious edicts are often interpreted as a prohibition of female drivers. Such edicts also prevent women from opening bank accounts, obtaining passports or even going to school without the presence of a male guardian.

Authorities stopped Manal al Sharif, 32, for driving a car May 21 and detained her the next day. She said she was forced to sign a form promising not to drive again and spent a week in jail. Her case became a rallying cry for women activists.

The U.S. State Department's human rights report on Saudi Arabia, published in 2011, notes many challenges facing women in Saudi Arabia in 2010:

"By law a female rape victim is at fault for illegal 'mixing of genders' and is punished along with the perpetrator."

"Women continued to face discrimination under the law and remained uninformed about their rights. Although they may legally own property and are entitled to financial support from their guardian, women have few political or social rights, and society does not treat them as equal members."

"The guardianship system requires that every woman have a close male relative as her 'guardian' with the authority to approve her travel ."

"Women risk arrest for riding in a vehicle driven by a male who is not an employee or a close male relative."

"Women also faced discrimination in courts, where the testimony of one man equals that of two women."

"The law requires a woman to obtain the permission of a male guardian to work if the type of business is not 'deemed appropriate for a woman.'"

The report also noted some improvements. "Increased efforts to protect women and children against domestic violence through the National Family Safety Program, as well as the Human Rights Commission, reflected a significant human rights achievement," the report said.

It also noted that in 2010, "women increasingly participated in political life, albeit with significantly less status than men."

CNN's Mohammed Jamjoom and Josh Levs contributed to this report.

@highlight

NEW: The system of women's subordination in Saudi Arabia "needs to be dismantled," an Amnesty International official says

@highlight

"We don't really think now that we've been promised a real right," a Saudi women's rights activist says

@highlight

A member of the Consultative Council says the future inclusion of women will be "hugely important"

@highlight

King Abdullah announced two changes Sunday