(CNN) -- Sweety High co-founder Veronica Zelle remembers a young girl who wanted desperately to sing and share her voice, but was so afraid to show her face on camera that she would cover it with a dark towel and sing in the background.

But through the encouraging words of her friends and peers on Sweety High, an online community exclusively for tween and teen girls, she was able to pull back the curtain and showcase her face and voice in tandem. It's a social gaming site that combines aspects of a site like Facebook with a call to be creative in an environment that includes contests with rewards and points.

Stories like this make Zelle grateful she helped create a safe online haven for under-served tween and teen girls. Her business model is simple: Ask young girls what they want and give it to them. Throw in innovative privacy and safety moderation systems to restrict cyberbullying and online predators, and Mom and Dad are happy to let their young daughter become a "sweetie."

Privo and Crisp Thinking are two companies that have paired with Sweety High to offer state of the art safety. They moderate all user-generated content, while Sweety High staff work with child psychologists and online law enforcement officers to ensure a continually secure environment. Nonusers can't view anything on the site, which helps prevent predators. Joining the site is free, and for $5.95 a month, a Sweety High Membership Badge allows more access.

Sweety High caters to girls between 8 and 16 and wraps "social gaming mechanics around an arts platform," CEO and co-founder Frank Simonetti said. Instead of relying on animated avatars like Disney's Club Penguin site or the minimalist utilitarian style of Facebook, Simonetti and Zelle wanted Sweety High to be an online destination for girls to express their creativity -- and be rewarded for it.

"I made this site a girls-only site because when girls are together in a creative environment, nine out of 10 times, the girls are going to encourage each other," she said. "Take those same girls, add boys in, and they're going to be different. Their very posturing and reactions differ. That's where bullying comes from. At 12 or 13, girls don't know how to behave around boys and they act out of self-reliance."

The two founders compare the site's mission to the talent development featured in the movie "Fame," although instead of being a prestigious school for the arts, Sweety High is available for everyone. But girls are still singing their hearts out in the corridors of this idyllic online school.

Ironically, hearts are the currency that girls earn as they navigate the levels of Sweety High's social gaming platform. When they vote for another girl in a contest or support her creativity, they give up one of their hearts, which creates a karma bank that can lead to impressive prizes down the road.

"We saw tons of girls that, from ages 10 to 14, are exploding with creativity and talent," Simonetti said. "There didn't seem to be something that felt good for them on the Web. This is an arts and entertainment destination that is focused on their lives, rather than an avatar's life. We reward online creativity with offline rewards."

Sweeties upload writing, artwork, photography and videos that showcase their talent and the rewards are a dream come true for teens and tweens. Thirteen-year-old pianist Annie shared her musical talents in a video posted on Sweety High. She won the grand prize in a contest that allowed her to spend the day with musician Greyson Chance and be a part of one of his performances.

While the opportunity was incredible for Annie, she said she's also happy to have discovered a safe destination online where she can connect with like-minded girls and express herself without fear of harsh judgment or criticism.

This is especially meaningful for Annie because before Sweety High, she wasn't allowed to have a Facebook or e-mail account for fear of cyberbullying. Now, Annie posts videos that she makes with her friends and is learning to play guitar.

"It encourages me to be myself, keep posting whatever kind of videos I want on there and maybe try out new things to see what other people think about it," Annie said. "I know that whatever I try, there's always going to be positive feedback, so I'm never going to feel like I need to stop being who I am."

For her mother, Karen, it's a safe place for Annie to explore opportunities while remaining safe. Sweety High allows parents the ability to monitor their daughters' accounts if they are under 13 without moms or dads having an overarching presence on the site. They can screen friend requests, while Sweety High staff monitor the online dialogue so it doesn't turn to vulgarity or bullying. Together, these efforts create an atmosphere of proper netiquette early on for tweens and teens to use later in life.

"What I like as a mom of a daughter is that she has an opportunity to really shine and grow in a lot of different directions" Karen said. "These girls are free to just be 12 or 13 and not feel like they have to be perfect. You can figure out what you like to do and get strength and confidence in yourself."

This is music to Simonetti and Zelle's ears. Both of Simonetti's parents were writers, but he couldn't imagine how to become one as a boy. "Let girls take a shot at these things that a lot of them only dream about," he said.

Sweety High's beta site, which launched last month, already has upwards of 170,000 members and the site hopes for at least 1 million registered users in the next six months. Some of Sweety High's 100,000 alum from when the site began in 2010 have signed on with television shows and major labels or simply felt encouraged to join the marching band in high school, Simonetti said.

Contests on the site, like "Be A Star," encourage girls to "discover and be discovered." Winning contests may connect the girls with contacts in the entertainment industry who can lead to even better opportunities.

Current members and alums also watch and have the chance to become part of the seven Web video series Sweety High maintains, including the latest, "Food Star." Teens and tweens are fans of food shows like "Cupcake Wars" on TV, but Simonetti and Zelle noticed there isn't a show on TV geared specifically to this young market. "Food Star" invites a popular teen star to share his or her favorite recipe, along with slices of life as a celebrity, with two Sweety High members hosting.

The landscape of Sweety High continues to grow and change as feedback rolls in. Zelle maintains an account on the site and interacts with the girls daily, always taking note of what they want to see next. After working in the entertainment industry with the likes of Britney Spears, Madonna and Justin Timberlake, Zelle has an idea of what girls want, but it means constantly listening and interacting with the sweeties, something Zelle regards as her greatest joy.

"Those girls are like my lifeblood," she said. "I don't know anything else but the tween/teen space because I went from being a teenager to college to working in youth culture in the teen space, so I have literally arrested my development at age 14. I think the reason I work so well with the girls is because I find out what they want and I can only do that when I speak their language."

By encouraging girls to embrace their full potential, granting wish fulfillment and inspiring future aspirations on Sweety High, Zelle believes girls will feel empowered to the point that nothing could discourage them.

"Girl power isn't over," she said. "It's just reinventing itself."

Last names were removed to maintain the privacy of Sweety High's members.

@highlight

Sweety High is a social gaming site for tween and teen girls between ages 8 and 16

@highlight

The site encourages and rewards girls for their positivity and creativity

@highlight

Users can post videos, writing, artwork and photos to win prizes