(CNN) -- If you think all conservatives support a deportation-only approach to immigration, think again. Last week, hundreds of conservative evangelicals gathered in Alabama to engage in a reasonable, respectful discourse on immigration.

You read that right. Less than a year after Alabama enacted the strictest immigration law in the land, evangelical students, pastors and national faith leaders gathered at Samford University in Birmingham for "a Christ-centered conversation on immigration" called the G92 South Immigration Conference.

Following the example of Cedarville University's inaugural G92 gathering last fall in Ohio, evangelical Christians gathered in Birmingham to discuss immigration through the prism of the Bible. Instead of listening to partisan sound bites, participants looked to the word of God -- specifically the 92 references to "ger," the word for "stranger," in the Old Testament alone.

Calls for humanity and compassion came from national and local evangelicals who recognize the law's devastating effects.

Dr. Richard Land, president of the Southern Baptist Ethics and Religious Liberty Commission, said, "As Christians, we have a responsibility to obey the rule of law, not to enforce the law. And, as citizens of heaven, we also have a responsibility to feed those who are hungry without asking them for [their] immigration status."

He is right. Policymakers' misguided race to the bottom on immigration has also affected faith leaders' ability to minister to all of God's children, regardless of immigration status.

And, the economic impact to the state has been dramatic. The Alabama law, HB56, resulted in some crops rotting on the vine and police arresting a visiting executive of a multinational car manufacturer with a new plant in the state. Now, economists forecast that the law will cost the Alabama economy billions of dollars.

Closing the event, Dr. Michael Wesley Sr., of the Greater Shiloh Missionary Baptist Church in Birmingham, reflected on the nation's ongoing struggle for civil rights: "America is a land of opportunity. And, if done correctly, it can be a land of opportunity for all of God's children."

A fundamental shift is occurring among conservatives toward a new consensus on immigrants and America. These are the early steps in a march by Americans of all political stripes fed up with partisan attacks on immigrants and immigration -- a groundswell ready and willing to skewer political extremism from either side of the aisle.

The conference in Alabama was a quest for spiritual guidance to forge a path forward on immigration reform. Contrast that with a meeting of another group of conservatives, about 1,500 miles to the west.

Ahead of this week's primaries in Arizona and Michigan, the four Republican candidates for president "debated" immigration by choosing the same path: political expedience and division over practical, humane immigration solutions.

In Mesa, Arizona, around the birthplace of that state's own anti-immigrant law, SB1070, the candidates were quick to endorse the family-separating tactics of Sheriff Joe Arpaio and call for the building of (double) walls at our borders.

The candidates' only hint of compassion was Rick Santorum's suggestion that he would not require individual homeowners to verify the legal status of their domestic help. In other words, undocumented immigrants can care for our children, do our laundry and mow our lawns, but we will do nothing to keep their families together or provide a way for them to emerge from the shadows.

Ignoring the economic and social value of immigrants and immigration to our nation, the GOP candidates' strategy is to tap into the fear and unease of our constantly changing society. Rather than work toward a political consensus on immigrants and America, they would rather implement unjust immigration laws that separate families, cost tens of billions of dollars every year and undermine American workers by pushing immigrants further underground.

The Republican candidates for president are stuck in reverse. Instead of treating immigration like other important conservative issues and actively seeking to change the law, they trumpet fantasies such as self-deportation and fail to lead America forward.

Their race to the margins runs the risk of pushing conservative Americans away. They're missing an opportunity, as the events in Ohio and Alabama make clear.

Times are changing. Americans want reasonable, humane solutions for our nation's immigration system. It is time the GOP offered them.

The opinions expressed in this commentary are solely those of Ali Noorani.

@highlight

Evangelical students, pastors, faith leaders gathered for conference on immigration

@highlight

Ali Noorani says discourse was reasonable and respectful

@highlight

Leaders saw responsibility to feed the hungry without regard to immigration status, he says

@highlight

Noorani: Americans want reasonable, humane solutions to immigration problems