(CNN)Easter is unique on the Christian calendar, a major point in the cycle of the religious year, and one that has always been able to resist the commercialization and culture warring that surrounds Christmas. That's in part because Easter is genuinely about how religious impulses, and patterns, can operate in ways that affect our lives.

Nevertheless, I'm often surprised by how little people, even those supposedly within the Christian tradition, actually know about what is called Holy Week and its culmination on Easter Sunday.   At a time when our culture is roiled by questions of identity and ethics (and tolerance) that have profound religious implications, it's worth pausing to explore this crucial holiday -- and the awareness of the human condition, in all its sadness and glory, that it engenders.

After all, Holy Week calls mostly to those who incline their minds and hearts in its direction with seriousness of intent.  Still, the fuss must puzzle those looking on, wondering what it all means.  Why do Christians make so much of this springtime week, and make so much of Easter weekend?

There is a phrase that many never come across, even among Christians:  Easter Triduum.  This refers to the three days of Easter that begin with Good Friday, proceed through Holy Saturday, and conclude with Easter Sunday.  It's definitely a progression, although the word itself -- triduum -- can refer to any three days of prayer.

Easter Triduum has a kind of major prologue in Maundy Thursday, the day when, by tradition, Jesus celebrated the Last Supper with his disciples in the upper room in Jerusalem on the night before he was crucified.  The idea of Holy Communion begins with this meal, which was a Passover meal.

Jesus, of course, was Jewish, as were all his disciples.  He was never trying to erase Judaism and found a new religion.  His work involved modifying and extending Judaism in fresh ways.

On Maundy Thursday, Christians sometimes practice the washing of feet, recalling that Jesus washed the very dusty feet of his disciples at the Last Supper as a way of demonstrating profound humility -- showing that he was himself a servant -- and modeling a kind of ideal behavior.

Good Friday isn't, in fact, so good.  It's the day of the crucifixion, when Jesus was scourged and beaten, forced to carry his cross to Golgotha, the "place of the skull," and nailed to the cross itself for what must have been an agonizing death.  The actual scene of the Crucifixion varies from gospel to gospel, as do his last words, assembled into the so-called "seven last words" of Jesus by adding up fragments from different gospels.

Some of these words are quotations, as when Jesus asked God why he has abandoned him:  This is a quote from the 22nd Psalm, which opens:  "My God, my God, why hast thou forsaken me?"  Good Friday is a day of death, sacrifice, displacement, fear.

Holy Saturday is probably the least understood day of the Easter Triduum.  It's a passageway between the darkness of the crucifixion and the bright hope of Easter.  This day occupies an anxious space in human experience, when the certain knowledge of something dreadful isn't quite erased -- can't be erased -- simply by hope.  It's a day of depression, a day of suspension.

Then comes Easter, with the aura of the resurrection.  I'm always moved by the deep symbolism of this mythic moment, when the body of Christ becomes what is called a "glorified body."  This was not, as I've said elsewhere, the Great Resuscitation, although that's part of it, too.  Resurrection implies a total transformation, something beyond the physical realm.

It's very important that almost nobody who encounters Jesus after the resurrection can really recognize him, know him, or understand him as the same person who was with them before he was crucified.  Easter embraces the great mystery of resurrection, with its promise of transformation -- a shift from one form to another, and a change that moves well beyond any literal understanding.

The three days of Easter, the Triduum, occur only once a year on the calendar.  But the really interesting thing is that we all experience the pattern of the three days again and again.  We find ourselves emptied out in small ways, nailed to our own trees in life, embarrassed or broken by life.

It was the Buddha who famously observed that life is suffering.  Good Friday embodies the Christian version of that truth.  Jesus suffered in the way all of us must suffer.  We must all die, perhaps less ignominiously but just as certainly.  Our friends and families must die.  We all experience illness, loss, sadness, a loss of confidence, darkness.  This is simply part of the human experience.

We dive again and again into Holy Saturday, too -- a period of transition, when the bleakness of suffering is perhaps slightly behind us but nothing restorative seems in view.  We know well this in-between time; it's an anxious passage, with only a glimmer on the horizon of potential hope.

And we've all been resurrected, again and again, perhaps in tiny ways.  This is the joy of Easter, and it's not something reserved for one day on the calendar.  It's there whenever we experience what T.S. Eliot once called the "timeless moment," which can only occur -- paradoxically -- in time itself.  It's a mystical point where timelessness intersects with time.

I suspect we all experience the Triduum frequently, sometimes more than once in a single day.  But the ritual enactment of these three days of the Easter season reminds all of those who practice Christianity -- and perhaps those who don't -- that we should expect to move through darkness into light. It's a pattern that describes a kind of spiritual progression.   It's good cause for celebration, too:  and one that won't easily be co-opted by secular culture.

@highlight

Jay Parini: When religious identity, ethics, tolerance are roiling the culture, it's worth looking at message of Holy Week and Easter

@highlight

He says ritual enactment of these three days is reminder that again and again the human condition moves through darkness into light