(CNN) -- When most people think of chocolate, Swiss confectionery houses and Belgian pralines spring to mind. It's a picturesque scene. It's also not the truth.

That chocolate bar you're usually unwrapping from its delicate silver foil probably comes from Africa. In reality, 68% of cocoa grown in the world is from small-family farms in Africa, with a third of the global supply hailing from a single cocoa production powerhouse in the continent: the Ivory Coast.

Yet, hundreds of miles away from Ivory Coast's fertile lands in West Africa, childhood friends Stephen Sembuya and Felix Okuye are hoping to one day become the continent's next cocoa kings -- while helping to put their country on the global chocolate map.

"We are branding our chocolate 'Uganda,'" says Felix Okuye, co-founder of Pink Food Industries, a food startup in Kampala. "Uganda is not popularly known as a cocoa-producing country," he continues. "As we brand our chocolate, the world out there will know that there is cocoa and chocolate coming from Uganda."

The duo's entrepreneurial journey started after Sembuya inherited his family cocoa plantation. But instead of following the usual path of producing cocoa to be exported to EU countries, the two friends decided to start manufacturing cocoa products themselves. Last May, their startup began selling a variety of locally-made treats, including milk chocolate, cocoa powder, cocoa butter and white chocolate.

"We took it upon ourselves to teach ourselves," says Okuye. "So with the savings we had we began with the minimum, and as such we also developed artisan equipment, to process our products."

'Small player'

The two Ugandan entrepreneurs might be working to ensure people know where their treat is coming from, but their country is still far from being considered a leading cocoa power player -- unlike countries like the Ivory Coast and Ghana.

The Ivory Coast's lion's share is increasing year-on-year with cocoa bean production in the country expected to reach an estimated 1.730 million tons for the 2013/2014 cocoa season, compared to 1.449 million tons recorded for the previous period. In comparison, last year Uganda produced an estimated 20,000 tons of cocoa, according to data from the International Cocoa Organization (ICCO).

Ghana's cocoa crop forecast has also increased to 920,000 tons for the 2013/2014 period ending in September, up from 835,000 tons, in part due to favorable weather conditions. Meanwhile other countries on the continent including Cameroon, Nigeria and Togo grow thousands of tons of beans per year. Despite the strong hold many West African nations have on the continent's cocoa bean growth, all is not lost for Ugandan producers.

"We're not talking about the same scale at all but I would say that Uganda is a smaller but significant producer at 20,000 tons," says Michael Segal, information and media officer at the ICCO. "In terms of volume, they have a long way to go -- having said that, there has been a lot of activity there recently."

Segal continues: "There seems to be a lot of impetus behind developing the cocoa market and they have good experience already from having developed the coffee market. If they really got behind it, there is room in the market for them."

And it does seem like the Ugandan government has thrown its weight behind local cocoa growers, having established the Cocoa Development Board to oversee the industry from under the aegis of the Ministry of Agriculture, Animal Industry and Fisheries.

John Muwanga Musisi, a coordinator from the ministry's Cocoa Seedling Project says there is currently an estimated total of 9,000 small cocoa producers in the country, "with well over 25,000 hectares planted with cocoa at various stages of maturity and production."

He continues: "It is predicted that with the level of planting taking place today, [the] land area planted with cocoa will increase to over 50,000 hectares within the next five years, which will produce well over 50,000 metric tons, to earn Uganda over $125 million."

Big dreams

In global terms, chocolate consumption across Africa is fairly uncommon, apart from South Africa and a few markets in North Africa. Yet, in recent years, the ICCO have tracked some growth in the gross import of chocolate and associated products to Uganda.

"Most of sub-saharan Africa have negligible consumption," explains Segal. "The fact that we are tracking some sort chocolate import [into Uganda] is an indication the local market is becoming more sophisticated."

Meanwhile back at the Pink Food Industries plantation, the founders are working to generate local buzz around the brand. Having launched just six months ago, Sembuya says they've already had a lot of interest from Kamapla-based buyers. He adds, however, that they aren't going to pigeonhole themselves as just a chocolate startup.

"I'm using the social media because everyone seems to be going on social media all day," he says. "I'm selling a lot here in Kampala which is why I'm getting lots of the market. I'm selling to fewer people but [in] huge quantities. But we already have assembled a line to produce biscuits, candy and corn flakes too."

At the moment, the two enthusiastic entrepreneurs are limiting their sales to the capital but hope to branch out across the country soon.

Okuye says: "We believe that now we have a product out of our very own cocoa in our farm, we now have the confidence to promote cocoa growing in Uganda."

Read this: Unwrapping the chocolate industry

Read this: Stopping carjacking criminals by SMS

Read this: Meet the 'Afro-dandies'

Read this: Could wearable tech save lives?

@highlight

Two friends have launched "Uganda" branded chocolate line

@highlight

The cocoa kings-in-the-making hope to help Uganda become known as a chocolate producer

@highlight

Face stiff competition from established African cocoa regions like Ivory Coast, Ghana