(CNN) -- Some people have a difficult time deciding what to give during the holiday season. For me, it couldn't be easier. That's not only because shopping for my husband, Bill, is so easy -- he's quite happy to receive books or jigsaw puzzles every year. It's also because there is a simple way that anyone can give a meaningful gift this time of year. And it's happening Tuesday.

Just as there's Black Friday and Cyber Monday for finding great shopping deals, there's now #GivingTuesday for anyone who is feeling grateful this time of year and wants to share a bit of their good fortune with those in need.

One of the best ways we've found to do that is to contribute to the U.N. Foundation's Shot@Life campaign. For just a few dollars, you can provide life-saving vaccines to children in the poorest countries.

Living in the United States, most of us take vaccines for granted. We get them when we're children, and when we grow up to be parents, the pediatrician tells us when our child should get the next one. But that isn't the case in many parts of the world, where millions of children still aren't getting immunized against life-threatening diseases.

Bill and I believe that vaccines are one of the real miracles of modern medicine. Over the last 50 years, they have saved more lives than any other medical innovation. Vaccines have nearly eliminated polio, and significantly reduced the incidence of life-threatening diseases such as measles, pneumonia and severe diarrhea.

With vaccines, children have a much better chance of growing up healthy and becoming productive members of their community. Without vaccines, children are vulnerable to many deadly and disabling diseases.

Today, more than 80% of children around the world receive a complete course of life-saving vaccines during their first year of life. That's incredible progress. Yet one in every five children -- mostly in the world's poorest communities -- don't get this level of protection. As a result, an estimated 1.5 million children under age 5 die each year from vaccine-preventable diseases. Thankfully, there are committed, compassionate people working to close this gap.

Since 2000, one of our largest global health partners, Gavi, the Vaccine Alliance, has enabled 440 million children in developing countries to receive life-saving immunizations. This effort has saved the lives of 6 million children.

At the community level, women in particular play a major role in helping children get the vaccines they need. In Pakistan and Nigeria, female health care workers risk their lives to get polio vaccines to children in areas of conflict. And mothers are most often the ones keeping track of their children's health records and making sure they get vaccinated.

And there's another group -- people like you -- who can also make an important difference. Often, people say they don't believe they can really have an impact on big, global issues. The truth is, they can. In the 15 years that I've been doing this work, I've seen time and again that when lots of individuals take action it adds up to a movement that can achieve impact for women and children on a grand scale.

And when it comes to vaccines, it's easy to have a real and lasting impact right now. For just a $5 contribution to Shot@Life, you can protect a young girl from polio and measles for her entire lifetime. For $15, you can protect a boy from the two most deadly diseases -- pneumonia and severe diarrhea. The more you're able to give, the more children you can help protect.

And on #GivingTuesday, the Bill and Melinda Gates Foundation is sponsoring a "one day sale." We will match any donation you make to Shot@Life, so your gift will go even further.

No matter how much you decide to donate, giving a child a shot at a healthy life is one of the most meaningful gifts you can give this holiday season. When you help one child grow up healthy, you're helping an entire family. And healthy, thriving families help entire communities create a better world for all of us.

A small gift can make a big difference.

@highlight

Melinda Gates: Vaccines have saved more lives than any medical innovation

@highlight

Living in the U.S., most of us take vaccines for granted, she says

@highlight

Gates: Women play big role in helping children get vaccines they need