Washington (CNN) -- House Budget Chairman Paul Ryan, R-Wisconsin, will unveil a highly anticipated 2012 Republican budget next week that proposes dramatic changes to political lightning rods: entitlements.

The plan, to be released Tuesday, calls for a controversial overhaul of Medicare, the health care program for seniors, and imposes deep cuts in Medicaid, which provides health benefits to low-income Americans, according to House Republican sources with knowledge of the proposal.

Starting 10 years from now, in 2021, Americans would no longer enroll in the Medicare program, but instead receive vouchers for private insurance, according to the GOP sources, who stressed anyone 55 or older now would not be affected by the change.

The plan is modeled after one Ryan proposed last year with Alice Rivlin, budget director under President Bill Clinton.

Details of how Ryan's Medicare voucher program would work are still unclear, but the Ryan-Rivlin plan said the amount of the voucher -- a lump sum payment from the government -- would be calculated in part by taking the average federal cost per Medicare enrollee.

The GOP aims  to save billions of dollars in revamping Medicare, a large contributor to the massive federal deficit and debt.

Sources said they did not yet know how much savings Ryan would project by drastically changing the Medicare program.

On Medicaid, Ryan's plan calls for deep cuts, as much as $1 trillion. The program would also fundamentally change -- the federal share of the Medicaid system would become block grants to the states.

CNN has been told that the House GOP budget plan does not call for significant change to the Social Security program. Republicans argue that while Social Security is a factor in the nation's fiscal crisis, it doesn't contribute as much to the soaring debt as Medicare.

Two House GOP lawmakers briefed on the proposal told CNN they and others on the House Budget Committee believe it's a mistake not to tackle Social Security.

As for so-called discretionary spending, one of the sources -- who would not speak on the record before the plan is publicly announced -- said Ryan's proposal promises to roll back spending to 2006 levels.

It's unclear how much that would slash, but it is expected to be far more than the roughly $61 billion in spending cuts House Republicans passed in February.

Ryan is expected to give specifics on how much savings the plan would create when it is unveiled Tuesday.

A GOP source said even with the major cuts and changes in Ryan's proposal -- essentially a blueprint that guides spending decisions and does not go to the president for his signature -- it would not bring the budget into balance for many years.

Still, GOP sources briefed on the plan said it would save hundreds of billions of dollars more than the president's proposed 2012 budget, and trillions over the next 10 years.

The budget would also cut the corporate tax rate, but at the same time do away with tax loopholes for corporations.

Ryan's plan also provides for a permanent extension of all the Bush-era tax cuts, which under a compromise with President Barack Obama were extended last year through 2012.

House Republican leaders have been signaling for some time that they plan dramatic and controversial changes to entitlement programs in order to rein in the budget deficit and debt.

Knowing that the proposed changes will be politically risky and elicit an onslaught of criticism, Ryan and Republican Whip Kevin McCarthy have been holding sessions two or three times a week with House Republicans to try to arm them with information about the gravity of the debt problem and why it needs to be fixed.

CNN was allowed into one of these meetings last month, and heard Ryan lay out for his GOP colleagues in stark terms what he calls the "tidal wave" of debt the country is facing.

"The Congressional Budget Office has this economic model where they measure the economy going forward, and they are telling us that the entire economy crashes in the year 2037 because their computer simulation can't conceive of any way in which the U.S. economy can continue," Ryan told the GOP group.

"By the time my kids are my age, just those three programs -- Social Security, Medicaid and Medicare --will consume all federal revenues. There will be no room for anything else in the federal budget," Ryan said.

When Ryan proposed a version of his Medicare overhaul idea last year, known as his "road map," Democrats skewered it and tried to use it as a campaign weapon against Republicans across the country.

Obama has often said it is important for Washington to address entitlement spending. But the president has not offered any specific proposals, and Republicans suggest he wants them to take the first risky steps.

Multiple GOP sources admit the timing of Ryan's 2012 budget proposal is tricky. It will be released in the middle of down-to-the-wire, contentious negotiations with Democrats about a spending measure to keep the government running for the rest of this 2011 fiscal year.

CNN has been told that GOP leaders considered delaying the release of Ryan's budget until this year's spending differences are resolved. However, they decided to go ahead with it in hopes showing major cuts and reforms planned for next year will calm rank-and-file conservatives who feel the leadership is too compromising on spending cuts.

@highlight

Seniors would get vouchers for private insurance

@highlight

Medicaid would be cut by up to $1 trillion

@highlight

Corporate tax rate would be cut, but corporation loopholes would end

@highlight

Proposal would not touch Social Security