(CNN) -- Lynn Malerba has years of experience taking care of hearts -- those of her patients as a nurse, those of her community as health director and now, as chief, those of her tribe.

Recently, Malerba officially accepted the leadership role of chief of the Mohegan tribe -- the tribe's first female leader in almost 300 years.

Malerba, 56, holds a nursing degree and a master's degree in public administration and lives in Uncasville, Connecticut. CNN talked with her about her role, beliefs and the future of the Mohegans.

Who are you? How do you define yourself?

I define myself by my relationships as well as by my chosen career path. I need to know that my actions personally and professionally make a positive difference in people's lives.

My name, Soqsqua Mutawi Mutahash, translated means "Female Sachem Many Hearts" or "Chief Many Hearts." It reflects my life's work: I have cared for many hearts in my past roles as critical care nurse and health and human services director for the tribe. As the new Mohegan Chief, I will care for the many hearts I know today and those I have yet to meet.

It is an honor to be so connected to our ancestors and to share such a vibrant and rich culture with an extended family. It is unique and something to be celebrated.

My great-grandfather, Chief Matagha, was known for the love of his culture. His name represents both "He Who Dances" as well as "Brave and Faithful Soldier." He passed that love down to all generations following him. My generation has seen a tribal chairman, a tribal chairwoman and two elected elders in service to the tribe. His example is obviously one to live up to. It is my duty to faithfully follow in his footsteps as well as the footsteps of my mother, who so carefully kept our tribal history and culture alive for my family.

What is something that everyone should know about you?

I love being Mohegan because it is something bigger than ourselves. We are a community that shares a very rich history that informs us as a people. It is also essential that we pass on our tribal traditions to the next generations and that we pave the way for them to live successfully in two worlds: Mohegan and the local community. We have a sense of family and roots that goes very deep, and stays with us wherever we go.

Growing up in Uncasville, Connecticut, in the 1950s was a much simpler time than what we have today. We lived next door to my grandmother, two aunts lived on my street and two of my mother's cousins lived on my street. So to say we were surrounded by family is a bit of an understatement.

Growing up on Mohegan Hill, you were immersed in your culture and in your greater Mohegan family in a very casual way. We visited the museum regularly, visited with our Mohegan relatives, went to Fort Shantok (which holds one of our burial grounds) for family picnics (and even swam in the little pond there) and understood our place on this earth.

The thought of being chief was never in my consciousness as an aspiration. When the tribal membership was asked by the Council of Elders who they thought should be appointed chief, I exercised my right as a tribal member and wrote a letter stating who I thought should be appointed (not me) and certainly never in my wildest dreams thought I would be selected.

What gets you up and going each morning?

I love the fact that each day brings something new and that no two days are the same. This was true both in my career in critical care nursing as well as my role here as chairwoman and now chief of the tribe. I love being busy and working hard -- and love that there is no shortage of surprises in my day.

My greatest hopes for the future of Mohegan are simple: that we always look back and are faithful to the vision of our ancestors while we protect the generations to come. We need to work to ensure that our tribal family preserves our culture, protects our lands and protects all generations of the tribe through health care, education, elder services and youth programming.

What is in your pocket right now that might surprise us?

I keep an arrowhead in my purse that someone had given me as a reminder of the fact that we Mohegans live in two worlds -- the modern world of commerce and business, and the ancient world of nature and tradition.

What would you tell your younger self about who you are now?

It is great to have a plan but not to hold on to that plan too tightly, because you might miss all the surprises and fun along the way.

What do you believe in?

I believe that one should try to always be a positive force in the world. It is a form of spirituality to work for the good of others.

What message does this (being voted as the new Chief of the Mohegan tribe) send both to today's "Indian Country," and the U.S. as a whole?

My being elected as chief confirms to those outside of Indian Country, what we have known all along: Tribes are very egalitarian and women are strong advocates for their people. The word "chief" may conjure up a male image to many peoples' minds, but in truth women such as Ada Deer and Wilma Mankiller have also provided inspirational leadership for Indian Country -- I hope to be able to continue that kind of legacy in my work as chief.

@highlight

Malerba is the tribe's first female leader in almost 300 years

@highlight

She believes that one should try to always be a positive force in the world

@highlight

She wants to help members straddle both the Mohegan world and the local community