(CNN) -- Thirty-one-year old Jessica Copeland says she knew by the time she was in high school that she never wanted to be a parent.

"It is my decision, and the best decision for my life," said Copeland, a former veterinary technician from Chandler, Texas, now living in Dongducheon, South Korea, with her husband.

"I know who I am and what I want in life, and know without a doubt children do not fit into that equation," she said. "I know that happiness does not have to include 2.5 children, a house in the suburbs and a white picket fence."

Nearly one in five American women now ends her childbearing years without having a child, compared with one in ten in the 1970s, according to recently released U.S. Census data.

The most educated women, those with bachelor's degrees or higher, are among the most likely never to have given birth, according to the Pew Research Center.

Women like Copeland are challenging  the idea that happy and fulfilled lives require children. In fact, other studies suggest that having children can have a negative impact on happiness.

"As a group, parents of all types and all socioeconomic levels in the United States report more symptoms of depression and emotional distress than their childless adult counterparts," said Robin Simon, a Wake Forest University sociology professor who researches the association between parenthood and emotional well-being.

Her information is based on a nationally representative study sampling 11,473 Americans. They were picked from all races, socioeconomic backgrounds and educational levels.

Harvard psychology professor Daniel Gilbert's book "Stumbling on Happiness" looked at several studies and found that children give adults many things, but an "increase in daily happiness is probably not among them."

He says that psychologists have found parents are less happy interacting with their kids than doing activities such as eating, watching television or even exercising.

"It's such a counterintuitive finding, because we have these cultural beliefs that children are the key to happiness and a healthy life, and they're not," said Simon.

"From the outside you see the detrimental effects of what our cultural beliefs cause, yet there is this group of people telling you children are the best thing that will ever happen to you," said Copeland.

Copeland, an army military wife for the past year and a half, said she never felt any pressure to have any kids, and her family has been supportive of her choice.

Outside her inner circle, however, the reception has been different. "The typical reaction I get is of dismay and pity," she noted.

But Copeland, an only child, is far from feeling dismal and finds it ironic that people in her life with children often complain about their lifestyles.

"I always find it interesting how parents complain about their kids, yet follow it with a statement pertaining to how fulfilling their life is," she said. "I have yet to meet a parent that does not have an almost daily story of how their child has stressed them in some way."

Simon says there are other challenges for parents, too. The sociology professor said marital satisfaction decreases after the birth of the first child and continually decreases over time.

Employment retention and earnings suffer for women in the U.S. when they have kids, too, according to research, cited by Jennifer Glass, a professor at the University of Iowa.

"Research shows women in our country often lose out financially and in career advancement once they become a parent -- because the U.S. does not have the type of work policies to properly support families and child care, like other developed nations," said Glass.

Raising a child is expensive, too. According to U.S. government figures, the average cost to raise a child from birth to age 17 is about $222,360 for a child born in 2009 (in 2009 dollars). That includes food, housing, transportation, clothing, health care, education, childcare, and other miscellaneous expenses.

So what do current parents think of this research? It depends on whom you ask, says Simon.

"I've received hate mail in the past from some parents after they've read about the studies, but often find that many parents feel liberated by the research," she said. "Parenting is a very difficult, stressful job, and many people who read the data discover they are not the only ones who feel overwhelmed by the tough work."

Despite these findings, Simon, who is the mother of two grown children, doesn't say Americans should stop having kids and does not have an agenda to stop procreation.

"The take-away from the research (is) that if you are a parent or want to become a parent, understand what you are getting yourself into and be prepared for a lot of hard work, sweat and tears -- even under the best of conditions," she said.

Both Simon and Glass say parents in the U.S. often lack the proper support, child care and assistance to raise a child.  They say they'd like to see the government implement and subsidize more "kid-friendly" policies to help families thrive.

Simon and Glass are working on a project to compare the "emotional well-being" of U.S. parents versus parents from 21 other developed countries. They expect parents from countries with greater support systems than the U.S. to fare better, but don't want to make that assumption until their research is complete.

Studies abound on this topic, and a recent one might provide some cheer to parents. Research published in the March issue of the journal  Population and Development Review found the more children that parents over age 40 have, the happier they are. They used data from 86 countries for their research.

The authors of this study say as children mature, they require less care and stress for parents -- and can become a source of support for moms and dads.

In the meantime, Copeland says her marriage to her best friend and "the man of my dreams" is the only family she needs to create in her lifetime. She trusts her gut and her decision. She encourages others to make their own choices, and to respect hers, too.

@highlight

A married woman tells CNN.com why she does not want to have children

@highlight

Sociologists find parents experience emotional distress more often than childless adults

@highlight

Nearly one in five American women ends her childbearing years without having a child

@highlight

Profiled sociologist does not suggest Americans should avoid having kids