(CNN) -- Anxiety disorders cost the United States more than $42 billion a year, nearly one-third of the total "economic burden" of mental illness in this country.

When I came across this figure recently, I had no doubt that it represented a real and serious problem. I have struggled with anxiety for almost 20 years, and when I look back at all the afternoons I've spent paralyzed by the disorder -- ruminating over things beyond my control, crippled by concerns, waiting out a panic beneath the covers -- I see months upon months of diminished productivity and income.

And yet, at the same time, something in me bristled at the effort to articulate the ravages of anxiety in financial terms. Statistics are useful in coaxing policymakers to spend more on psychiatric research, treatment and (one fervently hopes) prevention. But no running of the numbers will ever reflect the truly tragic burden of anxiety, which plays out not in the realm of work but in the realm of relationships. More than anything else, what anxiety costs sufferers is the ability to love.

When I was 21, and just out of college, I fell in love with a bright and beautiful young woman named Joanna. At the time I was enduring yet another one of my periods of acute anxiety. I was jittery and unfocused, fearful and obsessed; I couldn't sleep; I couldn't eat; my libido was gone. Meeting Joanna banished these afflictions. Almost overnight, I recovered a sense of confidence, stability, optimism and poise. No therapist or pill had ever done that for me. Love, I concluded, was the best treatment for anxiety known to humankind.

Unfortunately, what an anxiety disorder does to love is far more consequential than what love can do to the disorder. Anxiety is a wily, reactive affliction; it often recedes in response to positive life events. But it seldom recedes for long. Like acne or arthritis, anxiety is always lying in wait, ready to flare back up. My anxiety came back shortly after Joanna moved in with me and when it did it quickly consumed our relationship.

The main problem was self-obsession. When people ask me what clinical anxiety feels like, I sometimes refer to "The Diving Bell and the Butterfly," the great memoir by the French magazine editor Jean-Dominique Bauby, who, at 44, suffered a massive stroke leading to "locked-in syndrome." Unable to move or speak, Bauby became a prisoner in his own mind.

An anxiety sufferer can feel as if he too is imprisoned in his own mind, but with the demonic twist that his mind can think of nothing but itself. Anxious thoughts are radically personal thoughts. Their central concern is what affects you, what threatens you, what you need, you regret, you dread, you fear. Anxiety is a condition of near-total self-absorption, made only worse by the fact that the sufferer typically realizes that he is being self-absorbed and grieves over his sad inability to see past himself.

You can see how this state of mind affects relationships by looking at the biographies of well-known anxiety sufferers. An anxious lover tends to toggle between desperate need and strenuous rejection. He or she can never decide whether being in a committed relationship is a source of comfort or humiliation, joy or pain.

The most dramatic example I know of this is Franz Kafka, quite possibly the most incompetent lover of all time. Kafka spent five years alternately wooing his unlucky sweetheart and trying to eject her from his life, using all the formidable logic and literary skills he possessed to convince her that he was a "sick, weak, unsociable, taciturn, gloomy, stiff, almost helpless man" with whom life would be an utter disaster.

Kafka ultimately proved his point, and so did I. Over and over again, I pushed Joanna away and pulled her back, drawing her into an abusive four-step dance. First, I would grow increasingly uncertain. "Was I truly in love with Joanna?" I would ask myself. How could I be when we didn't appreciate all the same books, the same music, the same movies? Was it possible that what I called love had been merely infatuation, lust, desire? Second, torn by my doubts, I would grow withdrawn and sullen, even openly hostile. I would ignore Joanna, make nasty little remarks, put her down in front of her friends. Third, Joanna would start to fight back. Neglected and mistreated, she would respond with anger and sadness. Why was I being so cruel? What had she done to deserve this? Fourth, horrified by my behavior, I would try urgently and with great remorse to repair the damage. I'd buy her flowers, send her cute messages during the day, hang on her every word. Then, after a short respite, the dance would begin again.

About a year after Joanna and I moved in together, she finally decided that she'd had enough, and broke up with me on a subway platform in Boston. At first I was bereft, but in time I have come to see the dissolution of that relationship as the best thing that ever happened to me, for it made clear that anxiety is not merely a threat to one's mental stability, happiness, or livelihood, it is a threat to one's humanity.

If I did nothing to lessen my anxiety, I realized, I would never become any of the things I wanted to become: a good husband, a good father, a good brother, a good friend. How could I become these things when, in my towering distress, I could pay heed to no one's existence or needs but my own?

This is the question that first led me to seek out treatment for my anxiety in earnest, and to devote myself to learning how to mitigate the condition, a task to which, more than a decade later, I am still devoted. It also led me to a place where I could try, in good faith, to win Joanna back.

This didn't happen immediately, or easily. Joanna and I were apart for nearly three years before our paths crossed again, and at first she was understandably wary of my affections. She knew firsthand the kind of trouble my anxiety caused. "How do I know you won't freak out again?" she asked. I answered that I likely would -- I doubt that my anxiety will ever go away completely -- but I promised her that I would never again allow my anxiety to infect my love for her as it once had.

Joanna and I were married the next year and have been with each other ever since, and all these years I have worked hard to keep my promise. How could I do otherwise? I know firsthand the cost of failure. It's incalculable.

The opinions expressed in this commentary are solely those of Daniel Smith.

@highlight

Anxiety disorders cost the United States more than $42 billion a year

@highlight

Daniel Smith: No number can ever reflect the truly tragic burden of anxiety

@highlight

He says what anxiety costs sufferers the most is the ability to love

@highlight

Smith: Having lost, regained love, he knows it's critical to mitigate condition