(CNN) -- Social media sites have evolved into the global equivalent of the office watercooler, but could the buzz they generate be analyzed to predict real-world outcomes?

Leading British economist Noreena Hertz thinks so. She believes analyzing the chatter from Twitter and Facebook for example, will become a dominant force in the business of forecasting.

"Over the past few years I have been really quite obsessed with how technology is changing the way that we make sense of the world," she told CNN at Names not Numbers, an idea-sharing and networking conference in the UK.

Read more: Facebook's new Graph Search tool

Last year, Hertz carried out an experiment to demonstrate the power of social networks as a tool for better understanding human behavior.

"I was really interested to see whether we could make predictions or forecasts by listening in on what people were saying on social media. Because, if we could improve upon the political forecasts; if we could improve upon sales forecasts by listening in on people's chatter on Twitter, Facebook, those sorts of media, that would be a really exciting prospect.," she said.

Her and a team of computer scientists, sociologists, and economists worked together to develop a method of research that they hoped would enable them to predict the winner of talent contest "The X Factor".

By developing a sophisticated algorithm, the team effectively "listened in" on hundreds of thousands of tweets at once and deduced not just the number and subject of messages but also, for the first time, the sentiment. In doing so they were able to make an accurate guess about who would stay and go each week.

"We were pretty much beating the bookies," she said.

Read more: Facebook 'likes' can reveal your secrets, study finds

Hertz has made a career out of challenging the predictive powers of traditional forecasting models, which she says are far from perfect.

After all, she says, analysts in the Middle East failed to predict the Arab Spring and very few experts saw the financial meltdown coming -- something she did three years before in her book "IOU: The Debt Threat".

An influential economist, Hertz has a knack for prescience that has put her ahead of the curve among her peers.

Her work is all about conducting research that gives raw data some context. It's about understanding the culture, language and psychology of social media users, which, she says, has huge implications for both business and government.

Under her school of her thought, in order for social media marketing to have any real value we need to understand what people's actions really mean. "If somebody tweets 'I like Coca-Cola', does that mean that they're actually going to buy Coca-Cola? One can? Two cans? Three cans? If they retweet someone else's Tweet, does that mean they're going to buy it?"

At the age of 19, Hertz gained her degree at University College London (UCL) and then moved to the U.S. to study for an MBA. In her early twenties, she found herself in St. Petersburg educating Boris Yeltsin's advisers in market economics. Here she gained inspiration for her PhD thesis, "Russian Business Relationships in the Wake of Reform", at the University of Cambridge.

In 2002 she wrote the book "The Silent Takeover," which discussed the migration of power from government to corporations. In it she correctly anticipated that unregulated markets and huge financial institutions would, in the near future, have grave consequences for the rest of the world.

Read more: Arianna Huffington tells women: 'Less stress, more living'

Today, Hertz is a professor at a number of universities and one of the world's respected thinkers. Her pioneering concepts surrounding social media analytics have the potential to impact government policy, public security and economic growth.

Her work highlights the inadequacy of the majority of data used by governments and corporations as an empirical measure of what we, the people, want.

"Language is too complex for a computer to understand," she said. "It's not going to be able to make sense of what people are saying en masse. We need a new type of discipline that puts together computer scientists and social scientists, who can add context to the situation."

She may, so far, have only predicted the winner of a national singing contest but with the developments made in her "X Factor" experiment, Hertz has presented us with an unprecedented opportunity to foresee the events of the future by simply "listening in on what the world really thinks."

@highlight

Noreena Hertz is an economist who predicted global financial crisis three years before it hit

@highlight

She believes social media can be a powerful forecasting tool for business and government

@highlight

Hertz correctly predicted who would win talent show "X Factor" by analyzing social media