(CNN) -- Unable either to win the war in Ukraine by proxy or to retreat from the conflict because of the enormous blow a defeat would deliver to his regime's legitimacy, Russian President Vladimir Putin appears to be sending in regular troops to attack Ukraine. The action is south of rebel-held Donetsk, which, until Russia's heightened involvement this week, was on the verge of being retaken by the Ukrainian army.

It is likely that in response to Russia's escalation, the United States and European Union will contemplate more sanctions. The problem is that all the relatively "painless" economic measures have already been taken. So both the U.S. and Europe are now left looking at actions that will hurt their own industries and financial institutions.

Take the previous round of sanctions, which targeted only select Russian banks. This time, it may well have to be the entire Russian financial system: That is, U.S. and EU banks will have to sever relations with any bank that does business with their Russian counterparts. Another example: Previously, only future investments in technology and transfers to the Russian energy sector were banned. Now, the West may have to block the hundreds of billions of dollars in investment and equipment already in the "pipeline" to Russia as a result of the pre-existing contracts between the Russian oil giant Rosneft and its Western counterparts.

Moscow will undoubtedly fight in international courts to overrule such bans and will also likely retaliate by curtailing gas deliveries to Europe, just in time for winter. Never mind that energy exports are the backbone of the Russian treasury. As Putin has shown with the food import embargo, the regime is ready to harm its own people if necessary.

Which brings us to the key problem with economic sanctions: They rarely work in the short, or even medium term. When a regime's popularity or even legitimacy depends on staying the course (as it certainly does in the case of Ukraine) and with the patriotic hysteria and paranoia whipped up by state-controlled television, Moscow is likely to persist for a significant amount of time before sanctions show any effect. Western leaders should therefore not oversell the sanctions' effectiveness.

There is, however, something the West can do to change Putin's mind much quicker, namely help Ukraine to win a just war against a foreign aggressor. Sending guns and bullets is not necessary -- Ukraine has enough. What Kiev needs is radar jamming and detection equipment to protect its planes from Russia's anti-aircraft systems (the same kind that shot down the Malaysian Airliner) as well as purely defensive weapons such as anti-tank missiles and some intelligence sharing by the West, including satellite data.

But perhaps just as important, as any weaker nation facing a much bigger aggressor can attest, the Ukrainians need moral support. And nothing will boost it more than effective gestures of battlefield solidarity.

Of course, as noted earlier, retreat is not an option for Putin. This is only true, however, as long as Russian troops do not begin to sustain significant casualties. The memory of the Soviet war in Afghanistan is still very much alive in the minds of the fathers and mothers of today's soldiers. And, unlike the 1980s, Moscow may not be able to engineer secret burials of zinc coffins welded shut, or force the relatives of the deceased to keep quiet. A video appeal by Russian mothers asking Putin to bring their sons back from the battlefield in Ukraine went viral just this week.

One hopes, of course, that Russian soldiers will not have to die en masse for their commander in chief to adjust his policy. Providing military-to-military assistance to Ukraine seems to be the only way the West can help stop this war relatively quickly. The alternative is the taking of ever more Ukrainian and Russian lives -- with no end in sight.

@highlight

Leon Aron: Unable to win by proxy or to retreat in Ukraine, it appears Putin sent troops

@highlight

He says U.S., Europe mulling sanctions, but only ones left will also hurt own financial interests

@highlight

He says West can help Ukraine win by sending support like radar jamming technology

@highlight

Aron: If Russia sees casualties, Russian patriotic support for Putin, and war, will drop