(CNN) -- A nervous calm settled over northwest Peru on Monday night, three days after clashes between indigenous citizens and national police left more than 30 dead and 50 wounded.

Alberto Pizango, a leader of the protesters, says his followers did not kill police officers.

A 3 p.m.-6 a.m. curfew seemed to be holding, and both sides in the bloody episode said they wanted dialogue, not bullets.

"The situation is much more tranquil," foreign minister Jose Andres Garcia Belaunde told CNN. "There's the possibility of entering into a dialogue."

The violence started Friday when national police attacked a roadblock near the city of Bagua in the Amazonian part of northwestern Peru. About 2,500 indigenous people had blocked the main road to protest measures the government has taken to sell land to energy companies and other businesses. Indians native to the area say that it is their land even though they don't have formal property titles.

When it was over, many lay dead and wounded. How many -- and what happened -- depends on who's telling the story.

Belaunde said 24 police were killed and nine Amazonian natives lost their lives. He said he did not know the number of wounded.

Amnesty International, however, said more than 30 demonstrators and 22 police have been killed since Friday. The Web sites for RPP radio and El Comercio newspaper said at least 33 people died, including 22 police.

More than 50 people have been injured, various reports said.

Indian rights advocates put the number of dead and missing as much higher, with some groups saying more than 100 were killed or are missing.

The Amazon Watch advocacy group accused the government of ditching bodies in rivers and the jungle to suppress the death count.

"There seems to be a concerted government effort to cover up the number of indigenous deaths," said Gregor MacLennan, Peru program coordinator for Amazon Watch.

Belaunde emphatically denied the accusation.

"That is a lie," he said. "Part of the great lies that have been told about Bagua -- that a massacre occurred, but more police than indigenous were killed. If this is true, let the family members come forth and tell us this happened."

Amazon Watch and indigenous supporters say the police -- some in helicopters -- opened fire indiscriminately and without provocation on the roadblock about 450 miles (730 kilometers) north of Lima, the capital.

"Police began in the morning by firing tear gas," MacLennan told CNN. "When people did not move and were standing strong, they began firing shots."

Belaunde said the helicopters fired tear gas and police were fired upon, too.

"The police did not want to use their arms," he said, noting that many of the dead officers were killed with weapons protesters had taken from authorities.

Ten police were killed after they were taken hostage when they arrived to help other officers and were surrounded by protesters, Belaunde said.

More than 70 suspects have been arrested, Belaunde said. MacLennan placed the count at 150 and said 900 others are in hiding.

"Eight to 10 police officers had their throat slit," Belaunde said. "Somebody must be held accountable for that, don't you think?"

MacLennan agreed that if "indigenous people tortured and killed police, they should be brought to justice."

Authorities had been searching for Alberto Pizango, leader of the indigenous rights group behind the Bagua demonstrations, but he sought refuge in the Nicaraguan embassy in Lima, Peruvian Prime Minister Yehude Simon said Monday night.

Officials said Monday they will remove a roadblock within the next two days in the main highway between the cities of Yurimaguas and Tarapoto. Yurimaguas officials met with indigenous leaders Monday to negotiate dismantling the roadblock, the state-run Andina news agency said.

The roadblocks have been hurting Peru's economy, since export shipments of oil and other resources have not been able to get through.

Peruvian President Alan Garcia vowed to put down the demonstrations, some of which have been going on since early April.

"We will not give in to violence or blackmail," he said in a speech Sunday.

Garcia blamed unnamed foreign governments for influencing the indigenous uprising.

Belaunde pointed to Venezuela and Bolivia, which have held demonstrations in favor of indigenous rights.

"They are badly informed, accusing the government of Peru of genocide," he said.

He called statements by high-level Venezuelan and Bolivian officials "an act of intervention into Peru's internal affairs."

Regardless of the cause, analysts agree this is the worst violence in Peru since the brutal Marxist Shining Path guerrilla insurgency died down in the 1990s.

"That's a lot of violence," said Peter Hakim, president of the Washington-based Inter-American Dialogue policy group. "There's no question the government is in a very difficult period."

Bernard Aronson, who was U.S. President George H.W. Bush's assistant secretary of state for inter-American affairs from 1989 to 1993, sees a danger that the violence could escalate.

"When there are that many people in a clash, that's very bad regardless of the specifics," he said. "That's worrisome. ... It obviously raises fears and concerns that you could have some kind of rekindling of violence."

The crux of the issue concerns Peru's economy and how the indigenous population fit in a 21st-century world.

"Garcia has committed to rapid growth, rapid development," Hakim said.

That means Garcia has opened up vast parts of undeveloped land to companies that want to extract natural resources. The indigenous populations feel they are being displaced and are pushing back.

"This is very different from what happened with the Shining Path because these are indigenous people. They are not political people," MacLennan said. "All they are asking for is their rights."

@highlight

More than 30 people have died, 50 have been injured since Friday, reports say

@highlight

Indigenous people protest government plan to sell land to energy companies

@highlight

Peruvian President Alan Garcia vows to put down the demonstrations