London (CNN) -- A Turkish government ban on Twitter has provoked widespread fury in Turkey, and condemnation around the world, with the country's own president taking to the social media website to condemn Ankara's actions.

Turkey's Prime Minister Recep Tayyip Erdogan, who blames social media for fueling anti-government rhetoric, threatened to "eradicate" Twitter at a campaign rally in the city of Bursa on Thursday.

Within hours Turkish Internet users were reporting widespread disruptions to the service, and hashtags including #TwitterisblockedinTurkey and #DictatorErdogan were trending worldwide.

Freedom of expression campaign group Index on Censorship said the ban, which it called "censorship of which the worst authoritarian regimes would be proud" was "emblematic of the increasingly authoritarian tendencies of the Prime Minister Recep Tayyip Erdogan."

Millions of Twitter users from across Turkey quickly found ways to circumvent the blockade -- with help from Twitter itself -- and voice their anger and frustration at the government's move.

Others posted satirical pictures and cartoons.

Twitter ban batters Turkey's image, but does Erdogan care?

Turkey's president, Abdullah Gul, defied the ban to send out a series of messages questioning the government's actions.

"One cannot approve of the complete closure of social media platforms," he posted.

"It is not possible technically to completely block access to platforms like Twitter... I hope this implementation does not last long."

But Turkey analyst Fadi Hakura, from international think-tank Chatham House, said the President's tweets should be taken with a pinch of salt.

"The President has very little credibility on this issue, since he approved the law which allowed this ban to happen; it seems he and the Prime Minister are playing a good cop/bad cop routine."

Hakura said Twitter had been targeted as a way of blocking the public's access to information amid a government corruption scandal and in the run-up to key local elections at the end of March.

"The government of Prime Minister Erdogan has restricted the flow of information through traditional media -- newspapers and television news -- and so the Internet has become the last preserve of freedom of information in Turkey," he told CNN. "When you restrict the traditional media, people will resort to alternatives."

Hakura said social media sites such as Twitter, Facebook and YouTube had also proved extremely effective in mobilizing the opposition and in facilitating protests in Turkey in the past 18 months.

Stefan Fule, the European Union's commissioner for enlargement, said the ban "raises grave concerns and casts doubt on Turkey's stated commitment to European values and standards."

"Freedom of expression, a fundamental right in any democratic society, includes the right to receive and impart information and ideas without interference by public authority," he said in a statement. "Citizens must be free to communicate and choose freely the means to do it. This obviously includes access to the internet."

A spokesman for Britain's Foreign Office also suggested that blocking access to Twitter may harm Turkey's long-held hope of becoming a member of the EU.

Twitter ban is the least of Turkey's woes

"Social media has a vital role to play in a modern democracy, and helps to promote transparency and vibrant public debate," he said in a statement.

"We have long supported Turkey's accession to the EU. As a candidate country, it is important for Turkey to promote the EU's core values of freedom of expression, democracy and the rule of law."

But even before the ban came into effect, Erdogan had insisted he did not care what the international community had to say about it, and Hakura said the criticism was unlikely to change his stand against social media.

"Europe's influence on Turkey is tied to the hope of accession to the EU, and since there is a stalemate on that, Europe has lost its influence," he explained.

Instead, he said, Erdogan's priorities lay closer to home.

"The Prime Minister's top priority is to win the elections, and to stamp his authority on Turkish politics, rather than to react to the views of European leaders."

Professor Ilter Turan, from the political science department at Bilgi University in Istanbul said that while this month's votes are, in theory, local elections, in practice they may act as something of a referendum on Erdogan's rule, ahead of presidential elections later in the year.

"Depending on what happens in these elections, probably the PM will decide to run or not to run for president," Turan said. "There is a general feeling that maybe conditions have already worked against him, that maybe his candidacy is not particularly powerful, but that decision is not yet final."

Hakura said that although the core of Erdogan's conservative, religious supporters were unlikely to care about the Twitter ban, it may yet come to damage the Prime Minister, politically.

"Turks who oppose the government will oppose the ban, but it is the bread-and-butter issue of the economy that concerns his supporters," he said.

"The economy is what underpins Erdogan's popularity, and the Twitter ban could come back to bite him if his capricious misuse of this law scares off foreign investors and undermines confidence in the Turkish economy."

CNN's Laura Smith-Spark, Ivan Watson and Gul Tuysuz contributed to this report.

@highlight

Turkish users of Twitter report disruption prompting #TwitterisblockedinTurkey to trend

@highlight

Prime Minister Recep Tayyip Erdogan had vowed to "eradicate" Twitter

@highlight

Turkey analyst Fadi Hakura says social media are last preserve of freedom of information in Turkey

@highlight

Twitter, Facebook and Youtube have been used as a tool for political protests in the country