(CNN) -- With a few quick strokes of a pen this week, Brazilian President Luiz Inacio Lula da Silva signed into law a widely debated measure that aims to end hundreds of years of racial disparity.

Whether the Racial Equality Law will succeed in a nation where about the half the population consists of people of color, but most of the political and economic power resides in white hands, will not be known for years. Some observers say the law will just make matters worse because the inequalities in the nation of more than 201 million people are economic and social, not racial.

"It makes Brazil do what Brazil has never done, which is racialize the debate," said Paulo Sotero, director of the Brazil Institute at the Woodrow Wilson International Institute for Scholars.  "The way to face it is not to define who is this or who is that, but to create opportunities."

About 54 percent of Brazilians are white, 39 percent are mixed race and 6 percent are black, according to the CIA World Factbook. But those distinctions are lost on most Brazilians, Sotero and others say.

"I have black ancestors, indigenous ancestors, Portuguese ancestors, and I personally don't give a damn," Sotero said.

That's not to say that huge inequalities don't exist.

The country's Gross Domestic Product -- the value of goods and services it produces -- was $2 trillion in 2009, the 10th largest in the world, according to the CIA World Factbook. But per capita income for the same year was estimated at $10,200, the 105th highest in the world. Simply stated, most of the wealth being produced is not finding its way down to most Brazilians.

It's people of color who bear the brunt of that inequality.

Brazilians of African descent earn 58 cents for every $1 a white Brazilian makes, according to the government's National Household Survey. This in a country where one of every four Brazilians lives below the poverty level.

"The poor generally have darker skin," Sotero said.

But that's not because blacks are considered inherently inferior, but because they haven't had the opportunities, analysts say.

"The country really favors a meritocracy," said Larry Birns, director of the Council on Hemispheric Affairs, a liberal Washington think tank.

"If you had the talent and you had the education, you could succeed," Birns said. "It just so happened that most of the time the whites had the education."

Peter Hakim, president emeritus of the Inter-American Dialogue policy institute, notes that "if people move up the social ladder, they're not viewed by a racial prism."

Much discrimination has been based on economic class, not race.

"It's a class and social issue that sometimes expresses itself as racial," Sotero said.

"I'm not saying there is no racism. Yes, there is," he said. "But in Brazil there is no racial hatred."

Birns recalls that rich people would place ads in newspapers years ago seeking husbands for their daughters. The ads would note that "race need not matter," he said.

"The rich weren't particularly scornful of the blacks," Birns said. "They simply were scornful of those who were poor."

Still, though, people of color have faced barriers -- physical and otherwise.

"Not long ago," Hakim said, "black people were required to use the service entrance to buildings. Now, that's not so."

The Brazilian Senate approved the Racial Equality Statute in June and Lula signed it Tuesday.

Senators removed provisions for racial quotas in universities and businesses, but the law offers tax incentives for enterprises that undertake racial inclusion, the Globo newspaper reported Wednesday. The law also defines what constitutes racial discrimination and inequality and says that anyone who considers himself or herself a black or mulatto is covered.

In addition, the law stipulates that African and Brazilian black history be taught in all elementary and middle schools.

Brazil will hold elections for a new president in October and some observers see adoption of the racial equality law as one of the last pieces of unfinished business before Lula leaves office.

"The law is one of a number of things that Lula has done to face up to various Brazilian dilemmas," Birns said. "He has placed issues on the agenda that previously had difficulty being there."

Enactment of the measure shows how far the country has come, Hakim said.

"Until 10 or 12 years ago," he said, "Brazil was very sensitive about race. Now Brazil has begun to feel a little more relaxed about the whole thing."

And the law is significant, Hakim said, because Brazil now is "willing to admit racial discrimination."

Observers emphasize it would be a mistake to compare the racial situation in Brazil with the United States. For starters, the definition of who is black is significantly different.

"In the United States, a person who has one drop of black blood is considered black," Sotero said, pointing out that President Barack Obama is labeled as black although his mother was white.

"In Brazil, it's just the opposite," he said. "A person who has one drop of white blood is considered not black."

Brazil's initial pool of African natives also was much larger than in the United States. About 900,000 slaves survived the trip from Africa to the United States, Sotero said, while 3.7 million slaves made it to Brazil. The sheer weight of that many slaves made them a larger part of Brazilian society, he said.

Slavery became illegal in the United States in 1865 when Congress passed the 13th Amendment to the Constitution, while Brazil outlawed slavery in 1888.

Sotero sees a major difference in the aftermath in the two countries, though, because much of the racism in the United States was codified into laws that were not overturned until the federal Civil Rights Act of 1964 and the Voting Rights Act of 1965, 100 years after the end of the Civil War.

"There were no JIm Crow laws in Brazil, officially," Sotero said. "There was prejudice, but it was not categorized in law."

Says Hakim, "Brazil has a longer history of the two races living side by side."

Compared with the United States, he said, "the difference between blacks and whites in Brazil was never that dramatic."

As a result, he said, there's a big difference in how African descendants see themselves in each country.

"Blacks in the United States recognize themselves mostly as being black first," he said. "In Brazil, they see themselves as being black and Brazilian.

"In the United States, race tends to be all-determining. It's not the same in Brazil. There's lots of discrimination, but not this all-too-determining factor."

But Brazil's new law could increase racial tensions, Sotero said, because people could start thinking more in those terms.

"It's a very controversial measure because it mandates that people identify themselves as black or white," he said. "Most Brazilians would have difficulties to put themselves in a category."

Or the law could turn out to be meaningless.

"One of the things that could happen with it is nothing," he said. "There are many laws in Brazil that are not fully implemented because there are no resources."

Regardless, Hakim said, passage of the law carries weight.

"Laws always have two sides," he said. "There's the symbolic side. Progress is always slower."

Sotero agrees.

"Now we have to implement the law and see what happens."

@highlight

Brazil's problems are social and economic, not racial, some analysts say

@highlight

Many Brazilians don't think in racial terms, the analysts say

@highlight

Nearly half of all Brazilians are people of color

@highlight

The income gap between whites and people of African descent is nearly 2 to 1