(CNN) -- North Korea has raised political tensions on the peninsula with a barrage of bombastic comments directed at its enemies South Korea and the United States.

Even by North Korean standards, the series of threats during the past six weeks by enigmatic young leader Kim Jong Un have been incredibly provocative, making the situation worrisome for analysts.

Here's a look at Kim's escalating rhetoric and his country's actions since he came to power after his father's death in 2011:

March 2012

As South Korea hosts world leaders at an international nuclear security summit in Seoul, North Korea moves a long-range rocket toward a launch pad.

Pyongyang says it plans to carry out the test in mid-April as part of a commemoration of the 100th anniversary of the birth of Kim Il Sung, the nation's founder and Kim's grandfather.

April 2012

Defying warnings by U.S. President Barack Obama that Kim has nothing to gain from provocations, Pyongyang launches the rocket. It breaks apart and falls into the sea.

August 2012

Kim visits the same military unit behind a 2010 attack on South Korea's Yeonpyeong Island, where he reminds the troops to be ready to fight a "sacred war" against Seoul.

The North Korean leader makes the veiled threat just ahead of an annual war games exercise conducted on the Korean Peninsula by the United States and South Korea.

The dictator calls the joint Seoul-Washington military exercises a "war rehearsal" to invade.

October 2012

North Korea claims to have developed missiles that can reach the U.S. mainland.

December 2012

Kim announces plans to launch another long-range rocket in a renewed effort to send a satellite into space.

Two days after the government announces the launch window is being pushed back because of technical issues, the rocket lifts off from the west coast of North Korea. Pyongyang declares the mission a success.

January 2013

North Korea announces it is planning a new nuclear test and more long-range rocket launches, all of which it says are part of a new phase of confrontation with the United States.

The threats come two days after the U.N. Security Council approves the broadening of sanctions in response to the rocket launch in December that apparently put a satellite in orbit.

February 2013

North Korea carries out an underground nuclear bomb test on February 12.

The test is designed "to defend the country's security and sovereignty in the face of the ferocious hostile act of the U.S.," the North's state-run Korean Central News Agency says at the time, referring to new U.S.-led sanctions.

"This nuclear test is our first measure, which displayed our maximum restraint. ... If the U.S. continues with their hostility and complicates the situation, it would be inevitable to continuously conduct a stronger second or third measure."

March 2013

Angered by U.N. Security Council sanctions over its nuclear test, North Korea threatens for the first time to launch a preemptive nuclear strike against the U.S. and South Korea.

It's one of a series of provocative threats and, in some cases, actions by North Korea that begin with Pyongyang saying it is scrapping the 1953 truce that effectively ended the Korean War. At the same time, it cuts off its direct phone links with South Korea at Panmunjom, the abandoned village that sits on the border between the two countries.

North Korea then doubles down on the threat, saying it is nullifying the joint declaration on the de-nuclearization of the Korean Peninsula. One of the country's top generals, according to published reports, claims Pyongyang has nuclear-tipped intercontinental ballistic missiles that are ready to be fired.

Although U.S. officials don't believe North Korea is in a position to strike the United States, the Obama administration responds to the threat by announcing plans to deploy additional ground-based missile interceptors on the West Coast.

U.S. officials also say B-52 bombers are making flights over South Korea as part of annual, joint military exercises this month that have enraged North Korea.

Pyongyang releases a new propaganda video that shows an imagined missile attack on U.S. government buildings in Washington, including the White House and the Capitol. The roughly four-minute video is posted on the YouTube channel of the North Korean government website, Uriminzokkiri.

North Korea threatens to attack U.S. and South Korea bases, putting its troops on alert. It announces through state-run media that the military is ready for combat. The threat follows claims that U.S. B-52 bombers again made flights over South Korea. Later it's revealed that F-22 Raptors and B-2 stealth bombers also take part in the U.S.-South Korea drills.

Pyongyang says it's readying rockets aimed at U.S. targets, releasing photos that show Kim meeting with military officials with strike plans on U.S. maps visible in the background. The North also cuts its last military hotline with South Korea.

April 2013

North Korea begins the month pledging to restart its Yongbyon nuclear complex, including a uranium enrichment plant and a reactor that was shut down under an agreement reached in October 2007 during talks among North Korea, the United States and four other nations. U.S. Secretary of State John Kerry responds by warning the United States will not accept North Korea as a "nuclear state."

Later that week, Pyongyang warns that it cannot guarantee the safety of safety of embassies and international organizations in the event of armed conflict. It comes as a U.S. official tells CNN that two medium-range missiles have been loaded onto mobile launchers along North Korea's east coast.

Tensions then move to a joint industrial complex that serves as an important symbol of cooperation between the two countries. The Kaesong Industrial Complex sits on the North's side of the border but houses operations of scores of South Korean companies. Pyongyang blocks the entrance of hundreds of South Korean workers to Kaesong, where more than 50,000 North Koreans work, producing hundreds of millions of dollars worth of goods each year.

Soon after, North Korea warns foreigners to secure shelter or evacuate in case of hostilities, as Japan moves its missile defense systems into place at three sites around Tokyo.

A U.S. official, who declined to be named because of the sensitivity of the information, tells CNN recent intelligence suggests that a missile test could be "imminent."

Meanwhile, North Korea's state media published articles that described festive events, suggesting a much less fraught situation inside the country.

The state-run Korean Central News Agency (KCNA) reported that various sporting events were happening or scheduled to take place to mark the 101st anniversary of the birth of Kim Il Sung, the founder of North Korea and the grandfather of Kim Jong Un.

"The ongoing sports tournaments make the country seethe with holiday atmosphere," KCNA said. Kim Il Sung's birthday, known as the Day of the Sun, is a major public holiday in North Korea.

CNN's Elise Labott, Jethro Mullen and Brad Lendon contributed to this report

@highlight

U.S. and South Korean officials believe Pyongyang poised on a missile test

@highlight

North Korea warns foreigners in South Korea to leave, following similar advice to diplomats

@highlight

Pyongyang blocks workers from entering joint commercial zone operated with South