(CNN) -- New Jersey Gov. Chris Christie on Friday said he'd accept a medical marijuana bill that would expand options for patients -- including allowing qualified children to consume edible forms -- but only if certain changes are made.

Christie told the Legislature that he would sign the bill if it stipulated that edible forms of marijuana would be dispensed only to minors, not to patients of all ages.

Another condition: Christie wants to delete a provision that would have let children qualify for the program with only a doctor's approval. Current law requires that children receive approval by at least a pediatrician and a psychiatrist.

The bill, S2842, would add edible marijuana to the current dry-leaf and lozenge options for all qualified patients. Christie wants the bill to allow edible marijuana for qualified children only -- a move that would please parents concerned that the other options posed choking and other health concerns.

The bill also would eliminate a limit on the number of marijuana strains that the state's dispensaries can cultivate -- ostensibly making it more likely that they would carry versions that certain patients seek. Christie did not ask for changes to this provision.

Christie previously worried about going "down the slippery slope of broadening a program and making it easier to get marijuana that wouldn't necessarily go to other people"â€”and these modifications are perhaps a strategic compromise to not slide down the "slippery slope."

"Today, I am making commonsense recommendations to this legislation to ensure sick children receive the treatment their parents prefer, while maintaining appropriate safeguards," Christie said in a statement released Friday. "I am calling on the Legislature to reconvene quickly and address these issues so that children in need can get the treatment they need."

"As I have repeatedly noted, I believe that parents, and not government regulators, are best suited to decide how to care for their children," Christie continued.

But some of the bill's sponsors preferred the original language, which would open up the number of marijuana strains and ingestible forms to a wider range of patients, as well as an easier application process.

"I think it is ironic that Governor Christie believes that parents and government regulators should make the decision. This might be the most regulated law in the state," state Sen. Joseph Vitale, one of the primary sponsors of the bill, told CNN Friday.

"The last thing we want is to delay it for the kids, so we want to pass it as soon as possible," Vitale continued. "It still requires too many unnecessary hurdles with physicians, but I don't think we should hold it up anymore."

Assemblyman Reed Gusciora said older residents who can't ingest marijuana smoke should have access to an edible form. But he, too, prefers prompt action on the bill.

Girl's father pressed for changes

Christie's decision came under pressure from an epileptic girl's father, who contends the bill would make it easier for her to get a version of the drug that might help her.

Brian Wilson's 2-year-old daughter, Vivian, suffers a version of epilepsy called Dravet syndrome. Normal epilepsy medications have so far failed to work for Vivian, and her family believes a certain type of medical marijuana -- one with high levels of cannabidiol, or CBD -- may be able to help. High-CBD strains of marijuana have helped other patients with Dravet Syndrome.

Vivian is cleared to receive medical marijuana, but the state's sole operating dispensary, currently limited by law to offering only three strains, does not offer the high-CBD marijuana her family seeks.

Trying to get an answer on the bill but unable to get a meeting with the governor, Wilson and members of his family on Wednesday crashed a small Christie campaign stop at a local diner in Scotch Plains.

"I was wondering what the holdup was; it's been like two months now," Wilson said to Christie.

Christie responded that while the decision may be simple for Wilson, it's not as easy for the Republican governor. Christie is thought to be a major contender for his party's 2016 nomination for president.

Marijuana stops child's severe seizures

"These are complicated issues," Christie told Wilson. "I know you think it's simple and it's not."

Governor has been cautious on the issue

Christie has in the past expressed trepidation about marijuana. "I am not going to turn New Jersey into Colorado and California. I'm not legalizing marijuana in New Jersey," he said in July.

As for children, Christie said he was "very reluctant."

Of Christie's call to modify the bill, Brian Wilson told CNN's Jake Tapper: "While it is a small victory ... it really just maintains the idea of making (New Jersey) one of the worst medical marijuana programs in the country. So it's a small victory but it's kind of ludicrous in a lot of ways."

Christie wants the state to keep the existing requirement of approval by at least a pediatrician and a psychiatrist for a child to be part of the medical marijuana program.

"The psychiatrist is just a roadblock," Wilson said. "There's no rhyme or reason to have a psychiatrist be part of this decision. You're talking about sick kids who aren't even mentally necessarily capable of talking. Vivian can't even talk."

While pleased that more forms of marijuana would be available under the bill, Wilson said edible forms of the drug should be available to patients of all ages.

Regardless of whether Christie the bill is approved, it appears Vivian may soon have access to high-CBD marijuana. A dispensary expected to offer a high-CBD version is scheduled to open in New Jersey later this year, according to the New Jersey Department of Health.

Vivian's family also supported the bill because they prefer the edible form to lozenges -- which they say is a choking hazard and contains sugar, which is inadvisable for her condition -- and smoking.

The Wilson family and their supporters have a website called Letters for Vivian at which they urge people to write Christie and asked him to support the measure. The letter says that the type of medical marijuana they want for Vivian has no "high," with far less tetrahydrocannabinol, or THC, than in recreational marijuana. THC is the active ingredient that gets people high.

According to the letter, Vivian has been signed up for medical marijuana, but she "has not received any medication due to New Jersey's overreaching and unsafe restrictions" on the medical marijuana program.

Opinions on the use of marijuana, particularly for medical purposes, have shifted in the United States in recent years, with a growing chorus that it should be made available by prescription.

"Protection of our children remains my utmost concern, and my heart goes out to those children and their families who are suffering with serious illnesses," Christie said.

Are American opinions on marijuana reaching tipping point?

CNN's Jason Hanna contributed to this report.

@highlight

Gov. Christie recommends two changes to bill before he signs it

@highlight

Bill would eliminate limit on strains that dispensaries can offer in New Jersey

@highlight

That could give patients access to useful types that otherwise wouldn't be available

@highlight

Bill also would make it simpler for children to qualify