Xianiezhuang Village, China (CNN) -- On most days, Zhang Huanzhi doesn't look the part of a fighter for justice. Whenever she catches a break between tending the cornfield and feeding livestock, the 67-year-old farmer from northern China goes to court.

"I bike to the closest bus stop and then take a two-hour ride to the Hebei provincial high court," Zhang said, as she thrashed sorghum in her courtyard one afternoon, her disabled husband sitting nearby.

"I've been doing this for the past six years -- and as long as I can still move, I'm not giving up."

Her only son, Nie Shubin, was executed in 1995 -- when he was 20 -- for raping and killing a woman. A decade later, another man confessed to the same crimes.

Since then Zhang has made countless journeys to the courthouse in the provincial capital of Shijiazhuang -- 320 kilometers (200 miles) southwest of Beijing -- with one simple yet futile appeal: retry the case to exonerate her son.

With more details emerging from domestic news coverage, many have viewed Zhang's plight -- and Nie's case -- as an egregious example of the flaws in the Chinese criminal justice system, including the use of torture, deficient due process and lax review of death sentences.

Zhang is now back in the public spotlight, as the government proposes major revisions to its criminal code -- the first in 15 years -- ostensibly aimed at better protecting its citizens and preventing a recurrence of situations like what happened her son.

Her fight nevertheless continues to hit a wall and even the People's Daily -- the official newspaper of the ruling Communist Party -- ran a scathing commentary in September that asked: "In a case where someone was clearly wronged, why has it been so difficult to make it right?"

"Rehabilitation means little to the dead, but it means a lot to his surviving family and all other citizens," it added. "We can no longer afford to let Nie's case drag on."

A mother's dogged pursuit

Zhang now seals her most treasured possessions in a Ziploc bag: two old photos and several legal documents.

"He was about 19 and it was taken right here in our courtyard," she recalled, pointing to the fading color prints of her shy stuttering son -- a square-faced teenager wearing a blue tank top in one picture and shirtless in the other -- beaming for the camera.

Nie was taken into custody not long after the photos were taken and would never see his mother again. Zhang said local police, during their several visits to question the family and search the house, never told her why they had detained her son. Court documents cited "tips from local residents" but did not elaborate.

Authorities tried Nie behind closed doors and barred the parents from the courtroom, but Nie told a lawyer hired by his family that he was beaten into a confession on his sixth day in jail. Zhang was convinced that Nie was a victim of torture, after seeing her normally healthy son walk with a limp into the courthouse before the first trial.

Seven months after he was first detained, the government executed Nie in April 1995 -- without notifying his parents. After the initial shock, Zhang had to endure more agony to locate her son's remains and deal with a failed suicide attempt and subsequent half-paralysis of her husband, who was crushed by Nie's execution.

Living off her husband's monthly pension of $150, Zhang learned to take care of the family by herself. Her daily routine, however, was disrupted in 2005 by a sudden influx of Chinese reporters, who revealed to her that a man named Wang Shujin had just confessed to the same crimes Nie was executed for a decade earlier.

Carefully laying the contents from her Ziploc bag on a table, Zhang described each legal document as she recounted her six-year lone quest for justice: a copy of the verdict against Nie that detailed his "crimes;" a 2007 letter from the Supreme People's Court in Beijing, in which the nation's highest court instructed the Hebei high court to "process" her appeal; and most importantly, a printout of a written statement by Wang's lawyer on his client's confession.

The lawyer, Zhu Aimin, confirmed to CNN that Wang has admitted to the crimes Nie was convicted of -- with corroborative details. Ironically Wang, sentenced to death for four other murder and rape cases, is now receiving a reprieve, as his connection to the Nie case has delayed the completion of his second trial.

Officials from the Hebei high court in Shijiazhuang and the Supreme People's Court in Beijing never responded to CNN's requests for comment despite repeated phone calls and faxes.

"The cold reality doesn't offer us ordinary people much hope -- so why do I keep pursuing?" Zhang said. "I don't want to hold anyone responsible, I don't want government compensation, and I don't want the judge to bring back my son alive -- but one thing I must have is his innocence."

New law, old problems

In recent years, state media have exposed an increasing number of wrongful convictions in China. At least five death row inmates -- most reportedly tortured during police interrogation -- were set free, either because their "victims" turned up alive years after the alleged murders, or the real perpetrators were caught.

Such cases could be prevented if the new Criminal Procedure Law takes effect next March as scheduled, the Chinese government has argued, because the proposed changes strengthen the rights of defense lawyers while barring the practices of forcing suspects to incriminate themselves or coercing their families to testify against them.

The current draft also incorporates earlier government pronouncements, including those making evidence obtained through torture inadmissible in court and limiting the use of the death penalty. China executes more people than all other countries combined, according to the London-based Amnesty International human rights group, which estimated the figure -- considered a state secret -- to be in the thousands last year.

Many lawyers and legal scholars call the revisions mere window dressing. With the government more concerned about maintaining social stability in the wake of the Arab Spring unrest, they depict an increasingly repressive environment for ordinary citizens and lawyers alike.

"The authorities do whatever they want -- detention, surveillance and harassment -- it's just too arbitrary," said Zhang Sizhi, a prominent lawyer in Beijing who was once assigned by the government to defend Chairman Mao Zedong's widow.

He and others note the draft law does not include the long-proposed right to silence for suspects or abolition of forced labor camps. Yet it does include a clause authorizing police to detain citizens for up to six months in certain cases without having to inform their families.

One aspect the revisions largely ignore is the appeals process, experts say, leaving ordinary people -- like Zhang Huanzhi -- who are trying to overturn a court ruling trapped in the legal labyrinth.

"They have nowhere to go -- who will listen to them?" said Jerome Cohen, a New York University law professor and an internationally recognized authority in Chinese law. "It requires far more reform than this draft to address these issues."

During the just-ended month-long public comment period on the draft, the government received more than 72,000 responses. Cohen says enough negative feedback may prompt the authorities to shelve this version and start anew later.

Back in Xianiezhuang Village, Zhang has heard about the proposed new criminal code and simply wishes the government would do whatever it takes to protect other families from the kind of anguish she has suffered.

As she sat on a stool to winnow grains, her husband started wailing uncontrollably while reading a newspaper profile on her titled, "A Mother's Race Against Time."

"I've talked to my son several times on his grave," she said, wiping tears. "I told him: Son, you have to fight for justice in your world and mom will keep fighting for you in mine."

"He would thank me because he knows a mother can't live without her son."

@highlight

Nie Shubin was executed in 1995 -- when he was 20 -- for raping and killing a woman

@highlight

His mother is seeking to exonerate him after another man confessed to the same crimes

@highlight

Authorities tried Nie Shubin behind closed doors and barred the parents from the courtroom

@highlight

Nie told a lawyer hired by his family that he was beaten into a confession on his sixth day in jail