(CNN) -- A Chinese-funded railway project in Kenya could transform transport in east Africa, and strengthen cross-border political and economic ties.

Kenya is known as the region's logistics, trade and transport hub. Yet, its railway dates back to the colonial era and the 300-mile (483 kilometer) journey from Mombasa to Nairobi currently takes 12 hours for passengers -- freight trains take up to 36. The railway is old and large parts of the tracks remain unused, while roads are crowded and traffic is slow.

In November 2013, Kenyan president Uhuru Kenyatta laid the foundation stone for the construction of a new standard gauge railway line in Mombasa that will connect the coastal city with the Kenyan capital Nairobi. "The project will define my legacy as president of Kenya," Kenyatta told local media. "What we are doing here today will most definitely transform ... not only Kenya but the whole eastern African region," Kenyatta said.

'Lunatic Express'

The current rail network in Kenya consists of dilapidated British colonial-era lines. The notorious "Lunatic Express" was completed in 1901 and links Kampala in Uganda with the Indian Ocean town of Mombasa. The new line is hoped to cut travel time from Mombasa to Nairobi to four hours for passengers, eight hours for freight trains.

Read more: Tech cities and mega dams: Africa's giant infrastructure projects

"The Chinese-financed railway will be as big a game changer as the Lunatic Express was during its time more than a century ago," said Aly-Khan Satchu, who is a Sub Saharan Africa geopolitical and financial analyst and CEO of the Kenyan financial portal Rich. "Kenya is a transit state and if you want to embed that advantage you need to have a first-class infrastructure."

The state-owned China Road and Bridge Corporation (CRBC) will build the railway. The Chinese government has funded the first section of the project with $5.2 billion to build the Mombasa to Nairobi section. Work is expected to be completed by 2017.

"The railway development will have the following immediate economic benefits: reduce the cost of transportation in the region making it an attractive investment destination and accelerate industrialization through easier and cheaper transport and the establishment of new industries to service the new railway," said Mr. Zhang, a business manager who oversees the Africa projects at China Communications Construction Company (CCCC), parent company of CRBC.

But the Mombasa-Nairobi section is only the first part of a much larger project. The standard gauge railway is planned to run between Mombasa and Malaba (in west Kenya) and eventually link to other major east African cities, namely Kampala (Uganda), Kigali (Rwanda) and Juba (South Sudan). With this, the Kenyan government is hoping to strengthen ties between those countries.

Read more: World's biggest hydro power project to light up Africa?

The railway is also expected to reduce congestion at Mombasa Port and direct the traffic flow away from the crowded streets and onto the railway.

It is said to be the largest infrastructure project in the country since Kenya's independence from Great Britain in 1963. The railway is one of the flagship projects in Kenya's "Vision 2030" development program, which aims to transform the economic, political and social state of the country by 2030.

Will the project benefit local people and businesses?

The CCCC argues that the project will contribute to an annual GDP growth of at least 1.5% during construction and subsequent operation and that it will create at least 60 new jobs per kilometer of track during the construction period. "We believe there is a great potential for us to invest in east Africa and (we're) looking forward to further cooperation," Zhang said.

The CCCC claims the construction could create at least 10,000 jobs locally as "large quantities of local inputs such as steel, cement, aggregates, electricity generation and electricity transmission pylons and cables, roofing materials, glass are required from local industries."

However, the unveiling of the project has not been without controversy -- some Kenyan MPs have criticized the tendering process and claimed the project would be a burden on Kenyan taxpayers.

China's growing influence in Africa

China has numerous ongoing projects in Africa, especially in the infrastructure, oil, natural resources, manufacturing and banking sectors.

For example, China has agreed to finance a large new port in Bagamoyo, Tanzania, that could involve more than $10 billion and the CCCC is also building parts of a new mega port in Lamu, Kenya. A Chinese shoe company is developing a special economic zone in Ethiopia and a Chinese construction company is building a railway line that connects Kaduna in northern Nigeria with the capital Abuja, for the Nigerian government.

Read more: Economist Dambisa Moyo: China can transform Africa

David Shinn is an adjunct professor of international affairs at the George Washington University, and a former U.S. ambassador to Ethiopia and Burkina Faso, and has written extensively about China-Africa relations. He argued that China is filling a gap by financing multi-billion dollar infrastructure projects, because Western governments have been largely absent in this area.

"Since the beginning of this century, China has filled a void left by the West but has done so with the idea it will be reimbursed and Chinese companies will turn a profit," he said.

However, the growing influence China holds on the continent has made some apprehensive. "Some African countries are concerned that China may develop a monopoly on these big infrastructure projects and want to ensure that Western countries, India, Turkey and Brazil stay or get engaged," he added.

Of the Mombasa and Nairobi rail line, he said: "The project probably makes good sense assuming that the cost is in line with predicted benefits. It will certainly improve economic integration and will probably have a positive impact on political integration."

@highlight

China funding $5 billion railway project in Kenya, between Mombasa, Nairobi

@highlight

The railway is planned to be extended to South Sudan, Rwanda and Uganda

@highlight

Kenya is a transit state but its railway dates back to colonial times

@highlight

China investing in infrastructure, manufacturing, oil projects in Africa