(CNN) -- Stretching out across the peaceful waters of the River Tweed in Peeblesshire, Scotland, the Dawyck Estate river crossing is an unlikely record breaker.

Measuring 30 meters in length and made entirely out of waste plastic products, the newly completed structure is the world's longest and sturdiest recycled bridge.

Utilizing a super-strength composite plastic material -- engineered by researchers at Rutgers University from items as common as plastic bottles and household plastic waste -- the bridge caters for pedestrians, cars and heavy goods vehicles.

The river span is one of five such structures now in existence, although all others are smaller and based in the U.S., and can support weights of up to 44 tons.

According to Vertech Composites, the British company behind the project, the bridge is a prototype that has the potential to meet future road and bridge requirements in an eco-friendly manner.

"There are currently significant bridge and river crossing needs in rural and countryside areas and there will only be more in years going forward," says William Mainwaring, CEO of Vertech Composites.

Mainwaring highlights the re-use of obsolete plastics that would otherwise be burned or sent to landfill sites as the primary environmental benefit of the bridge.

He also adds that recycled composite plastic provides a more sustainable alternative to existing bridge construction materials and not as likely to degrade as steel, timber and concrete.

"This technology creates enhanced stiffness and strength that is ideal for structures like a bridge," says Mainwaring.

"Once the bridge has completed its lifespan, the plastic can then be recycled again and used for other purposes, meaning it will never have to go to landfill," he adds.

Yet it could be many years before more of us are driving on plastic roads and bridges.

"The bridge in Peeblesshire has been built on private land, so it avoids the safety regulations (which as yet do not account for composite plastics) of the UK transport department," says Professor Bob Lark, head of the School of Engineering at Cardiff University, which was involved in helping design the structural aspects of the Dawyck Estate project.

Lark believes that overcoming existing legislative hurdles may take time as current building standards have been written around existing materials and do not take into account newly developed ones.

However the technology has the potential to be used in other areas of construction sector in the meantime.

Such spin-off opportunities have not escaped the attention of Vertech Composites, who are keen to find new and creative ways to use the plastic technology.

"We see the potential for the same recycled plastics to be used in road signage, advertising hoardings, as a replacement for plywood on building sites ... and in agriculture, which currently uses a huge amount of timber on the inside of livestock buildings," says Mainwaring.

"These materials generally degrade much more quickly than plastic meaning there is an opportunity to improve efficiencies in a way that spares valuable raw materials and has a positive environmental impact," he adds.

@highlight

A bridge made entirely out of waste plastic has been built over the River Tweed in Scotland

@highlight

The structure is the world's longest and sturdiest recycled bridge

@highlight

The company behind the venture hopes the prototype can meet future bridge building requirements