(CNN) -- Australians go to the polls in less than five weeks to vote in elections that will decide on policies as diverse as how the country polices its borders, how it manages its greenhouse emissions and how it plans to roll out a national scheme to connect every part of the vast continent to the Internet.

Just weeks after ousting rival Julia Gillard, Prime Minister Kevin Rudd on the weekend called a national election for September 7, rallying the Australian Labor Party faithful to stand behind the party's policies on education and the economy.

"We've got one hell of a fight on our hands," Rudd said in an email to supporters.

"I have a positive vision about the country we can be. In this election I'll be talking with Australians across the county about better schools for our kids, investing so we can create good jobs, and about how the NBN (national broadband network) can help keep our economy strong."

So what's at stake:

1. The asylum-seeker issue

No area of policy is likely to be more contested, however, than border protection.

An emotive issue that for decades has been fodder for Australia's strident brand of talk-back radio show hosts, known colloquially as 'shock-jocks', both the opposition Liberal-National Coalition under Tony Abbott and Rudd have policies that would effectively curtail the influx of 'boat people' to Australia.

According to Australia's Department of Immigration, this year 218 boats carrying 15,182 passengers were listed as irregular maritime arrivals as of July, 2013 -- most of them refugees from Iraq, Iran, Sri Lanka, Afghanistan and Bangladesh seeking asylum.

Rudd has put forward the Papua New Guinea plan to deal with the influx, a $A1.1 billion scheme that would settle asylum seekers outside Australia permanently. Abbott, meanwhile, says he will turn the problem over to Australia's military which would be under orders to tow asylum-seeker boats to Indonesia.

Indonesia, however, has remained opposed to the opposition's scheme.

Why Australia's PNG asylum plan won't work

2. Tax and spending

Both parties, meanwhile, plan to axe the country's controversial carbon tax on greenhouse emissions. Uncertainty over the issue was credited with unseating Rudd's first government and both parties have adopted fresh policies.

Under Rudd, the government would move one year early to an emissions trading scheme while the Liberal Party plans to scrap carbon trading altogether in favor of a voluntary emissions reduction scheme it has called 'direct action.'

On the broader economic front, the government is likely to point to Australia's stellar economic figures which this year pegged growth at 2.5%, a jobless rate of 5.7%, inflation at just 2.4% and interest rates also at a low 2.75%.

While Australia has seen a sustained boom, largely thanks to the sale of commodities to a resource-hungry China, the government has racked up a deficit of $A30 billion and Abbott -- a fiscal conservative - is certain to target government-spending in the lead-up to the election.

How the Australian political rivals view China

3. The Internet

The National Broadband Network (NBN), a contentious $40 billion program to connect more than 90 per cent of Australia's premises with super fast fiber optic cables, would be scaled back under a Liberal-National Coalition government, which favors the use of existing, but slower, copper cable networks fed by fiber optic cables to the node.

The NBN has proved highly popular in regions where the network has already been rolled out and some analysts say a perceived reversal of the policy could damage the Coalition's chances at the polls.

With little differentiating the parties substantively on policy, the role of the media in the lead-up to the elections will be crucial to the fortunes of both parties. Already the right-leaning Daily Telegraph newspaper -- Sydney's largest-selling tabloid -- has called on readers to vote for the Coalition running the headline: "Kick This Mob Out".

"The mass media no longer sees the explanations of policies and ideas as a central part of its charter," analyst Shaun Carney of Monash University told The Conversation website. "As it finds itself having to chase eyeballs in order to keep its financial head above water, it becomes more sensational, more attracted to portraying conflict and dealing with what public figures say rather than what they believe or do.

"The parties go along with this model by ramping up the hyperbole."

@highlight

Australians will go to the polls on September 7

@highlight

Border protection and the economy set to be key issues

@highlight

Both parties likely to agree on education and national broadband policy

@highlight

The media to play a strong role in what has proved to be a fickle electorate