(CNN) -- Three times as many Asian-Americans have been running for Congress in 2012 than in the past two elections, a nonpartisan political group says, and it's a development that portends greater changes in demographic trends and reflects the recent political awakening of a minority group long confined to the margins of American society.

"It's extremely exciting," says Gloria Chan, president and CEO of the Asian Pacific Institute for Congressional Studies. "We could really stand to gain seats and affect the balance of power in Congress."

Including Pacific Islanders, 30 Asian-Americans launched campaigns for Congress this year, compared with 10 in 2010 and eight in 2008, according to an APICS count.

Though several of the Asian-American candidates lost their primaries, others stand to become the first people of Asian descent in their respective states -- New York, Tennessee and Florida, for instance -- to join the legislative body.

Appearing on CNN Sunday night, U.S. Rep. Judy Chu, D-California, heralded this year's election as a potential watershed moment for Asian-Americans in politics.

"It's a great step forward for all of us when the people who are making the decisions about America look like America," said Chu, who in 2009 became the first Chinese woman elected to Congress. "I am so proud of these Asian-Americans who are now running."

Chan added that Asian-Americans' surging involvement in politics could have reverberations far beyond Washington.

"For the Asian-American and Pacific Islander community, there's always this stereotype -- we're quiet, we don't speak up, we don't fight back when we're made fun of, we're nerds, etc." Chan says. "It's been difficult for Asian-Americans to break through those stereotypes."

Opinion: Will Jeremy Lin's success in NBA end stereotypes?

But Chan is optimistic that the recent explosion of Asian-Americans in prominent positions could help dispel the stereotype and "shed light on what our communities are really about and the challenges we face." Having Asian-Americans in leadership roles, she said, could augment the group's political voice.

Yet some experts noted that the campaigns also have the capacity to show the ugliness of American racism.

"There's always been this question, 'How American are Asians?' " says Curtis Chin, board president of Asian Pacific Americans for Progress. "A lot of politicians still play off of this: 'Asian-Americans, how much do we trust them? Where are their loyalties?' In districts where there isn't a lot of exposure, they can be defined in racial ways."

Chin added that, unlike some groups, Asian-American politicians face the additional difficulty of lacking an entrenched support network, noting that "it's a community that's still developing an infrastructure."

"I think there's still a big learning curve. When you compare (Asian-Americans) to a community that has a pool of donors, a list of talking points -- I think there's still a lot of work to be done," he said. "But I think there's a lot of opportunity, too, because these candidates are fresh. ... We're a new face, we're not the standard politician you've seen before."

Rep. Michael Honda, D-California, is an Asian-American elected to Congress in 2001, and he agreed that some candidates try to leverage their opponents' perceived foreignness into electoral advantage.

"Some will say this person has connections to China or Japan. ... There's so much out and out blatant racism. In 2010, there were a handful of politicians who used Chinese or Asian languages in their commercials," Honda said, though he added he had not yet seen similar bigotry in the 2012 races.

Honda is no stranger to anti-Asian sentiment in America.

Just a toddler at the time, he and his parents were forced into a Japanese internment camp during World War II -- a memory Honda says left an indelible imprint on his career and aspirations.

He said that as he grew up, he increasingly understood the necessity for Asian-Americans to gain a political foothold. But that was difficult, if not impossible, for a population that represented a fraction of the population.

That may be rapidly changing. According to a report released in June by the Pew Research Center, Asian-Americans are among the fastest-growing groups in the United States.

In 2010, 36% of new immigrants to the U.S. were Asians while 31% were Hispanics, the study found. Just a decade ago, 19% of immigrants were Asians and 59% were Hispanics.

The growth of Asian-Americans' political clout tends to favor Democrats.

Of the 30 who filed to run in 2012, 25 are Democrats, according to APICS. About 60% of the diverse group -- which experts urge should not be considered a monolithic entity -- voted for Barack Obama in 2008.

Their vote could prove crucial in some battleground states, where a growing and increasingly energized Asian-American voting bloc is realizing that -- at 6% of the population -- they have significant political clout.

"We used to be marginalized politically, but now people are understanding we're the margin of victory," Honda said.

Speaking with CNN's Poppy Harlow on Sunday, Chu expressed similar sentiments.

"Asian-Americans are more enthusiastic than ever, and, in fact, five out of six look forward to voting in this election," Chu said. "I think it's because they really appreciate being American."

Read CNN's In America blog

@highlight

Asian Pacific Institute for Congressional Studies monitors elections

@highlight

It says 30 Asian-Americans launched congressional bids in 2012 vs. 10 hopefuls in 2010

@highlight

U.S. Rep. Judy Chu, D-California: "It's a great step forward"

@highlight

Asian-Americans are among the fastest-growing groups in the U.S.