(CNN) -- Syria's tanks withdrew Wednesday from the center of the western city of Hama and were positioned on the city's periphery, more than a week after security forces besieged the center of anti-government sentiment, an activist said.

Syrian army units left central Hama "after restoring the security and stability to the city that have been through tough times due to the acts of killings, terrorizing and sabotage that were done by the armed terrorists groups," the state-run Syrian Arab News Agency (SANA) said Wednesday. An officer in the army told journalists that the soldiers had returned to their bases.

This came as violence erupted in other towns and amid a growing chorus of international calls for Syria's government to end its brutal drive on peaceful protesters.

The Local Coordination Committees of Syria, a loose coalition of groups that organize and document protests in Syria, put Wednesday's death toll at 22 -- 18 in Homs and one each in Hama, Nawa, Taftanaz/Idlib province and the Damascus suburbs.

In Hama, an activist put the death toll at two.

Scores of deaths have been reported in Hama during the siege by government forces that coincided with last week's start of the holy month of Ramadan.

An activist said the military and government enforcers were stopping and searching cars and security forces were arresting people in farms outside the city, where many activists have been hiding out.

Most of the city's shops were closed, the activist said.

Though some hospitals have reopened, they were short of supplies, the activist said.

The activist said that after Wednesday night prayers, the demonstrators took to the streets in the southern part of the city. They were met by gunfire from security forces, who killed two people, the activist said.

A YouTube video showed what was described as a march by several dozen demonstrators in Hama on Wednesday night.

Turkish Foreign Minister Ahmet Davutoglu said Wednesday that Turkey's envoy to Syria, Omer Onhon, had visited Hama and confirmed that tanks and heavy weapons were withdrawn and there was no military buildup "in its surroundings."

"He visited all of the area and went to all the streets. He prayed with the people at the big mosque there," Davutoglu said of Onhon.

Davutoglu had met Tuesday with Syrian President Bashar al-Assad to try to persuade him to end the violence in Syria. Speaking to reporters in the Turkish capital of Ankara, Davutoglu said that, despite the withdrawal, "it is also understood that the city does not have enough vibrancy either."

Al-Assad said the government would continue to hunt down "armed gangs," the people whom the government has consistently blamed for the violence. But he also said he was open to reforms.

"If civilian losses continue, it won't be possible to reach the desired outcome," Davutoglu said, adding that he hoped more steps would be taken in coming days to ease the crisis.

Davutoglu said that it is important for places like Hama to be opened to reporters, whose access to Syria has been severely restricted.

The U.N. Security Council met Wednesday in closed session to follow up on the statement it issued last week condemning the Syrian regime for attacks on peaceful protesters and calling for both sides to end the violence.

"We are very disappointed to learn that there is no clear sign that they are hearing the message of the international community," said Germany's deputy ambassador to the world body, Miguel Berger, after the meeting. "We can only hope that the Syrian authorities understand. They need to stop the killings now."

The members agreed to meet again on Syria, said Britain's deputy ambassador to the United Nations, Phil Parham.

A day after the Syrian-Turkish meeting, Syrian Foreign Minister Walid Moallem briefed envoys of South Africa, Brazil and India on the crisis and the "killing and sabotage acts committed by armed groups," SANA reported. Those countries are nonpermanent members of the U.N. Security Council and are among the entities working to defuse the Syrian crisis.

According to the envoy delegation, al-Assad acknowledged "that some mistakes had been made by the security forces in the initial stages of the unrest and that efforts were under way to prevent their recurrence."

Moallem told them that the opposition comprised economically disadvantaged people, intellectuals, academics and armed groups, the envoys said in a statement.

The United States, meanwhile, slapped sanctions on Syria's largest mobile phone operator and a Syrian bank and its Lebanese subsidiary.

The U.S. Treasury Department on Wednesday announced the designation of mobile phone operator Syriatel, the Commercial Bank of Syria and the Syrian Lebanese Commercial Bank. It said Americans are "generally prohibited from engaging in commercial or financial transactions" with the companies.

While international leaders mull their next steps, the sound of gunfire, explosions and tanks permeated the eastern city of Deir Ezzor on Wednesday, an activist group and a resident said.

A videotape posted on YouTube showed the Othman Bin Affan Mosque being shelled. Activists told CNN the shelling of the Sunni mosque came from Syrian forces, but CNN was not able to confirm that. Though Syria is majority Sunni, its leadership tends to belong to the Alawite sect.

Businesses and homes belonging to opposition organizers were destroyed, said the resident, who did not want to be identified for safety reasons.

"There are also large-scale arrests in those areas as mobile service and landline communications have been completely cut out in the areas since the start of the military operation" Wednesday morning, the London-based Syrian Observatory for Human Rights said in a statement.

Security forces also focused attention on Idlib province, in the northwest.

The observatory said gunfire from security forces killed one woman and wounded three people in Sirmeen. Security forces killed an activist in Taftanaz, the observatory said.

The forces seized more than 300 detainees in a day in Binnish, Taftanaz, Sirmeen and Taoum, according to the observatory.

The conflict in Syria was fueled five months ago when Syrian forces suppressed protests in the southern city of Daraa. Anti-government fervor caught on nationwide as more protests were met with tougher crackdowns.

While activists blame government security forces for the casualties, the al-Assad regime has consistently said "armed groups" are responsible.

By Wednesday, the death toll had reached 2,417 -- including more than 2,000 civilians, said the Local Coordination Committees of Syria. The number includes 84 deaths in the city of Deir Ezzor alone since Saturday, when pro-government forces began a military campaign in the area, the LCC said.

Another 13,000 people remain detained, Britain's Deputy Ambassador Parham said.

Because of restrictions on international journalists' access to the country, CNN is unable to independently confirm details of the situation.

CNN's Amir Ahmed, John King, Elise Labott, Arwa Damon, Nada Husseini and Yesim Comert contributed to this report.

@highlight

NEW: Coalition cites 22 deaths on Wednesday

@highlight

NEW: YouTube video shows mosque being shelled

@highlight

U.S. slaps sanctions on Syrian entities

@highlight

Security forces depart Hama, Syrian news outlets and a Turkish diplomat say