London (CNN) -- What do will.i.am and Iron Man have in common? They're both rather partial to bionic limbs.

In his latest music video, "Scream & Shout," a human hand can be glimpsed clasping what appears to be a sophisticated robot hand stolen from the set of a high-budget sci-fi film.

What many of the video's 97 million (and counting) viewers may not realize, however, is that the appendage in question is a genuine prosthetic hand that, its makers claim, has taken us one step closer to truly simulating the real thing.

Unlike conventional prosthetics, the i-limb Ultra boasts five individually-powered articulating digits, as well as a fully rotatable thumb and wrist, enabling the user to perform a variety of complex grips.

"The first generation (of prosthetics) had what I call a pincer grip -- the fingers are reflexed so they do not change shape and they move in one plane," explains David Gow, the British inventor and engineer behind i-limb. "Whereas what we produced is something that rotates at the knuckles."

The i-limb is the latest in "myoelectric prosthesis" -- a process that uses electrical sensors to detect tiny muscular movements in the residual limb, which are then translated by an on-board computer into natural, intuitive movement of the mechanized hand.

In practice, this requires the wearer to learn a language of muscle movements around the wrist, which correspond to a vast array of pre-programmed hand and finger motions.

Although it requires a fair bit of concentration to begin with, Gow says that -- much like playing an instrument -- the mechanism is intuitive once muscle memory takes over.

As well as the practical benefits afforded by the added range of grips, Gow believes the i-limb carries a significant psychological advantage because finger movements are what most people associate with the human hand.

"When you have only one shape for the hand and it is not a particularly everyday natural one, it looks strange," he says. People who've used the i-limb "say they see the digit as what gives them the sense of having a hand back."

Donald McKillop lost his right arm in an accident at home 35 years ago. He was one of the first amputees to try an initial version of the i-limb back in 2007.

"Every day I'm finding new things with it -- it's absolutely amazing ... It's the hand I thought I'd never have again," he said.

But of course, although it can rotate 360 degrees, the i-limb is still far from measuring up to the real thing.

"We can't approach the subtlety of skin, sensation of temperature, touching things yet," admits Gow. "But we've broken through the barrier of making a hand that looks like a medical device."

As things stand, the i-limb is also prohibitively expensive. Including fitting and training, a hand costs in the region of $100,000.

Perhaps in part because of this, most of the 4,000 or so i-limb users in the world are war veterans from Iraq and Afghanistan. Gow notes, however, that the potential market is huge: there are presently an estimated two million upper limb amputees across the globe.

Touch Bionics, the company that Gow founded to produce the i-limb, is looking to take its share. Gow, who left the company in 2009, says sales are accelerating and 2012 saw turnover reach over $16 million.

For the Scotland-based engineer, who abandoned his career in the defense industry to dedicate himself to the study of prosthetics, the i-limb is much more than a business.

"I have seen hundreds of people ... I have seen the father that says 'thank you' on behalf of his son," Gow says, wiping a tear from his eye. "That means an awful lot because you don't, as an engineer, get many moments where you articulate human emotions about these things."

@highlight

The i-Limb is the first prosthetic hand that has five individually-powered articulating digits

@highlight

Wearers control hand via an electrical sensor that detects muscle movements in residual limb

@highlight

Most of the 4,000+ i-Limbs in operation have been fitted to veterans from wars in Iraq and Afghanistan