(CNET) -- Compact-camera manufacturers have begun testing the waters with a wealth of high-end features as they search for new ways to gain revenue, market share, and recognition.

A prototype of Olympus' Micro Four Thirds model, one of several small cameras with big features.

In earlier digital photography days, a camera with an extra megapixel of resolution, face recognition, or image stabilization could stand apart from the herd.

But now that herd has grown larger, most folks who'll buy a digital camera already have done so, the economy has put consumer spending on ice--and camera makers are making some bolder bets with high-end features.

Among them: Nikon's built-in GPS support to record where a photo was taken, Casio's high-speed video, and the Micro Four Thirds camera system from Panasonic and Olympus.

Premium features aren't an easy sell. They tend to appeal to market niches rather than the mainstream. Early implementations are often rough around the edges. And it's hard enough to convince people to buy a new camera, much less one with the higher price of premium features.

But winning those customers can have a good payoff with better profit margins. And that's critical in this day and age. Market research firm IDC expects that after years of growth, the shipments of digital cameras will decline in 2009.

"It's crowded, and it's getting crowdeder," IDC analyst Ron Glaz said of the digital camera market. "We're anticipating that with the slowdown in economy and disposable income, we'll start seeing consolidation of the vendors." In other words, even though something in the neighborhood of 38 million digital cameras are sold annually, some companies will throw in the towel.

Even as the compact-digital market saturated in recent years, digital SLRs showed strong market growth. Some high-end compact models are geared for those thinking of buying an SLR, but who want something less bulky and complicated. Another type: SLR owners who need something they can slip into a pocket or easily take on a trip.

Dethroning Canon

The company to dethrone here is Canon, the leader of the compact camera market. Not only does it have seemingly innumerable cameras for every variation of consumer, but it also has long offered its G series for enthusiasts who are willing to pay a premium for high-end features. The current PowerShot G10 offers 14.7 megapixels of resolution, full manual controls, support for raw image format, a durable body, and a relatively fast lens.

"There have always been competitive products for the G-series. However, the range of competitors has expanded recently. Now, not only high-end point-and-shoot, but also low-end DSLR products are priced about the same as the G10," Canon said in a statement. The company has offered a new G-series model each year since 2006, and Canon believes the G10 to be the leading high-end compact camera in the United States.

Canon shares dominance in the SLR market with Nikon, and in the compact market, Nikon's Coolpix P6000 is aimed straight at Canon's G10. The P6000's chief distinguishing feature is its built-in GPS receiver, which enables the camera to know where it is when a photo is taken. That location data is written into the image file through a process called geotagging that lets people sort their photos not just by when they were taken or by what folder on a computer they were stuffed into, but also by where they were taken.

"Having GPS in the camera makes all the sense in the world to me," Glaz said. "People are now capturing thousands of pictures a year. There are only a few things they remember about them--I was in Paris, it was around the holidays." So location data is important, especially as software arrives that can convert a photo's latitude-longitude information into a place name. That will let people search for photos by typing in text, not just by looking at image thumbnails on a map.

The Micro Four Thirds contenders

The P6000 and G10 are self-contained, one-off cameras. If you don't like them, you can wait a couple years and buy the next model in the category. But Olympus and Panasonic are trying something much more ambitious in the market: the Micro Four Thirds standard.

The two companies already sell SLRs that use the earlier Four Thirds standard, which governs the sensor size along with the interchangeable lenses mounting system and communication with the camera body. Micro Four Thirds is a smaller variation that employs the same size sensor but smaller lenses, and cameras forsake SLRs' space-consuming flip-up mirror.

"We're looking at (Micro Four Thirds) as the ability to offer a high-end interchangeable lens camera in an extremely small, compact body at an affordable price that would appeal to individuals coming up from the point-ad-shoot space, looking for a more sophisticated camera system they could grow with," said Sally Smith Clemens, product manager for Olympus Imaging America. It's for the person who demands high image quality but wants to be able to fit a camera and three lenses in a small fanny pack.

Casio's EX-FH20 camera can shoot slow-motion video. This one slows down time by a factor of 14 but has a native resolution of only 224x168 pixels. At 1000 frames per second, it's a 224x56 strip. So far, Olympus has only shown a slim Micro Four Thirds concept model, and despite some speculation to the contrary, that's all it'll show at the Photo Marketing Show in March, Smith Clemens added. But Panasonic already has its first first Micro Four Thirds model for sale, the $670 Lumix DMC-G1.

While Olympus' Micro Four Thirds effort is steered initially toward small models resembling the rangefinder cameras from the film era, Panasonic's G1 is relatively expensive and bulky, smaller than an SLR but not something that fits into a pocket easily. Some wags have called the G1 a "Barbie SLR." But it shows what can be done with Micro Four Thirds, leading Popular Photography magazine to name the G1 camera of the year.

DxO Labs has found the G1's sensor quality to be superior to that of Canon's G10, boding well for Micro Four Thirds models. Sensor size has a lot to do with image quality--and price--and Micro Four Thirds sensors, at 17.3mm by 13mm are vastly larger that those used in compact cameras. That's important when shooting in dim conditions and when trying to get the best range of colors and tones.

Panasonic's ambition

Panasonic, which hasn't had much success with its Four Thirds SLR line against giants Canon and Nikon, is eagerly pursuing the Micro Four Thirds direction. Along with the G1 and two lenses, a 14-45mm model and a 45-200mm model (the equivalent of 28-90mm and 90-400mm in 35mm camera terms), Panasonic plans to release three more lenses this year: a 7-14mm f4, a fast 20mm f1.7, and an image-stabilized 14-140mm f4-5.6.

"I do see this being a big part of our future," said David Briganti, Panasonic's national marketing manager for imaging. "The only people having extreme success in the true digital SLR world are Canon and Nikon. Sony is a huge player in the digital compact camera space, but even Sony has struggled despite the huge efforts with their Alpha line. We'll still have Four Thirds models, and there will be potential for new models in the future, but we feel there's a huge opportunity that's been missed by camera manufacturers today," the step-up from ordinary compact cameras.

Panasonic believes there are 23 million people in the market who are willing to buy digital SLRs, but only 7 million have done so, and Micro Four Thirds is aimed at the other 16 million.

Micro Four Thirds, though, is a hybrid technology that remains unproven in the market, Glaz said. "Nobody knows if people will buy them. The G1 is kind of in a no-man's land at this point," he said.

Why not make things even easier by skipping the interchangeable lenses altogether and shipping an model with a big zoom range? In short, physics constraints preclude ultrazoom cameras with large image sensors, Briganti said. In general, the larger the sensor, the larger the lenses to support it must be.

There is room for improvement, though. The G1 can't shoot video--despite not being encumbered by the mirror that makes video in SLRs so difficult. But Panasonic plans a new model this year that will support high-definition video, Briganti said.

Casio's need for speed

Casio has long had a niche with its very slim compact cameras, but in 2008 it started offering a new selling point: super-high-speed video. Most digital cameras shoot video at 30 frames per second, but Casio's $1,000 EX-F1 can shoot much faster: 512x384-pixel resolution at 300 frames per second or 336x96 at 1,200 frames per second, for example.

Later came the EX-FH20, which at $600 isn't as expensive, then at the Consumer Electronics Show, the still cheaper EX-FS10 and EX-FC100. These cameras also will take a high-speed burst of full-resolution still images, making it easier at least in theory to capture that exact moment when the your son's bat hits the baseball.

"The megapixel wars have peaked out," said Bill Heuer, head of Casio's digital camera division. "We challenged R&D to come up with something to use technology to do things that haven't been done before...Our goal is to establish categories that are profitable to us and to the retailer."

With the camera industry now operating at the breakneck speed of computing technology, it's certain other camera makers will try to stake their claims with high-end options. Fujifilm's $400 F200EXR has a sensor designed to work better in low-light conditions.

But it's not just a research and development challenge. The industry now has to convince budget-constrained consumers that the new high-end features aren't just gimmicks but are actually advances worth spending money on.

© 2009 CBS Interactive Inc. All rights reserved. CNET, CNET.com and the CNET logo are registered trademarks of CBS Interactive Inc. Used by permission.

@highlight

Compact-camera makers are testing the waters with high-end features like GPS

@highlight

Premium features like high-speed video aren't an easy sell in a tough economy

@highlight

After years of growth, shipments of digital cameras are expected to decline in 2009

@highlight

The company to dethrone here is Canon, leader of the compact camera market