On Tuesday morning, Edward Snowden materialized on a telepresence robot, beaming in to an auditorium in Canada from an undisclosed location in Russia.

The former National Security Agency contractor assailed agency surveillance programs in an interview with Chris Anderson, curator of the TED2014 conference, and then, via robot, roamed the corridors of the Vancouver Convention Centre, randomly encountering people (including Google co-founder Sergey Brin) attending the conference.

On Thursday morning, NSA deputy director Richard Ledgett also appeared by video feed at the conference to counter Snowden's remarks, but the video connection was so poor that the session had to be interrupted, to be resumed more than an hour later.

Ledgett ultimately told the conference that Snowden had put lives at risk by disclosing the agency's methods to America's enemies and showed "amazing arrogance" in defying the judgment of the three branches of the U.S. government, which he said had blessed the surveillance programs.

Snowden had argued that surveillance invaded privacy without benefit and that technology companies must encrypt private data (Google announced Thursday that it was increasing the security of Gmail in response to the NSA revelations). People deserve a right to privacy from government oversight when they order a book online, call their families or take a trip, Snowden said.

The contrast, in message and in the power and limits of technology, captured one of the central dynamics of this year's TED conference: the remarkable things people can accomplish with 21st century machines and the very real and often unresolved questions that result.

The 30th anniversary gathering for the organization built around the subjects of its acronym -- technology, entertainment and design -- has been to a large extent focused on the "T" part.

Inventor Ray Kurzweil looked two decades ahead to a time when, he argued, people will use nanobots to connect the capillaries of their brains to the cloud, merging biological thinking with artificial intelligence and enabling a leap in human capabilities equivalent to the great advances of millions of years of evolution. MIT Media Lab co-founder Nicholas Negroponte predicted people will learn languages, and the plays of Shakespeare, by ingesting a pill.

NFL punter Chris Kluwe, wearing Google Glass on stage, forecast the rise of virtual reality and augmented reality in pro sports, enabling fans to literally feel the action on the field. Science writer David Epstein showed how technological advances, including synthetic running tracks and high-tech uniforms, help enable today's athletes to zoom past the records of history's great sports figures.

Giving evidence of the power of technology, Hugh Herr, the head of the Biomechatronics research group at the Media Lab, walked confidently on bionic legs around the stage as he gave his TED Talk Wednesday. Herr's legs were amputated after he suffered frostbite from a mountain climbing expedition.

He noted that he can make his height adjustable, from as little as 5 feet, to as tall as he'd like, depending on the occasion. And Herr predicted that bionics will eventually be an everyday tool for many people -- with, for example, exoskeletons designed for running. "Machines attached to our bodies will make us stronger and faster and more efficient."

In perhaps the emotional highlight of the conference, Herr told the story of a ballroom dancer whose left leg was amputated in last year's bombing at the Boston Marathon. In 200 days, Herr led a team at MIT that created a prosthetic limb, designed especially for her. And, indeed, Adrianne Haslet-Davis danced onstage for the first time since the bombing at the end of Herr's talk.

Herr struck a defiant note against the violence of terrorism, as well as other things that hold people back: "Humans are not disabled; our built environments, our technologies are disabled."

And in the ultimate statement of technological optimism, TED announced that it will help support a new XPrize, which will be presented to "the first artificial intelligence to come to this stage and give a TED Talk compelling enough to win a standing ovation from the audience." TED's Chris Anderson said the aim is to see whether the computing power of a Watson-style computer can be combined with enough creativity to develop ideas, though he conceded it may take decades.

The ethics of technology were just as evident an issue in Vancouver as its possibilities.

Sir Tim Berners-Lee, who invented the World Wide Web, urged that the Web's 25th anniversary be used as an occasion to develop a Magna Carta that establishes basic rights to privacy and free speech online.

In an interview at TED with Charlie Rose, Google co-founder and chief executive Larry Page said he was "tremendously disappointed" that the U.S. government didn't fully disclose its surveillance programs. Asked about the issue of privacy and data collection by companies like Google, he said "the main thing we need to do on privacy is just provide people choice."

He argued that privacy needs to be balanced with the benefits of sharing information. Page, who suffers from partly paralyzed vocal cords, said, "When I had this problem with my voice, I was scared to share it." He said his Google-co founder Brin encouraged him to go public with the news, and Page said much useful information was exchanged about the condition. "Wouldn't it be great to have medical records online anonymously?" he said, so people could research doctors and treatments.

Retired Gen. Stanley McChrystal was also focused on sharing information in his talk. A culture of secrecy is crippling for a team that needs to recognize and respond to threats, he said. "Sharing is power ... I am more afraid of a bureaucrat who keeps information in a desk drawer than of someone who leaks."

The NSA deputy director, Ledgett, said leaks like Snowden's do damage, but also conceded that the NSA hasn't been as transparent on its programs as it should have been. He said the threats the agency combats today include cyberwar and the stealing of companies' intellectual property by nations that use it to empower their state-owned enterprises.

Computer hacking was cited as a force for good by Keren Elazari, a security researcher at GigaOM. She conceded some hackers give in to the temptation to read personal e-mails or add zeroes to their bank accounts. But she argued hackers are the immune system for the information age, experts at revealing the vulnerability of the Web. "They force us to fix things or demand something better, she said. "It's not information that wants to be free, it's us."

Elazari recalled that she saw NSA head Gen. Keith Alexander speak at a hackers' convention -- not to denounce hackers but to make a hiring pitch, but at TED, she offered the following advice: "Then stop arresting us."

@highlight

TED conference featured Edward Snowden via telepresence robot

@highlight

An NSA deputy director appeared on video to counter Snowden

@highlight

Much of conference focused on the startling gains and ethical issues of technology

@highlight

Ballroom dancer who lost leg in Boston bombing danced again