(CNN) -- From faraway planets to the deepest depths of the ocean, 2012 has been an exciting year for scientific achievements and milestones.

Humans broke previously unimaginable barriers by detecting an elusive tiny particle and free-falling 24 miles from the edge of space. At the same time, we said goodbye to four retired NASA space shuttles that found new museum-type homes.

Here's our list of the biggest science achievements this year, in order of significance:

1. Curiosity lands, performs science on Mars

Every time I hear the word "curiosity" in a sentence, I'm tempted to butt in and ask if you're talking about the Mars rover Curiosity. She's really there! On Mars! Right now! And people are driving it! (Forgive me, I get excited about this.)

Landing this 2-ton rover flawlessly on the surface of Mars is our choice for the most exciting science moment of 2012. You can see from NASA's "seven minutes of terror" video how crazy-complicated that was -- the landing process included a supersonic parachute and a sky crane.

I'll never forget watching the live NASA feed with hundreds of other science enthusiasts at Georgia Institute of Technology in the first hours of August 6. James Wray, assistant professor at Georgia Tech, who is affiliated with Curiosity's science team, was next to me, rubbing his hands together in anticipation. And when the landing was confirmed, the room erupted in cheers and shouts. This was only one of many gatherings around the world celebrating this achievement.

And then there's all the stuff Curiosity's been doing since then, such as taking gorgeous photos, finding shiny objects, and coming across evidence that water once flowed on Mars.

We can't wait to see what Curiosity will do in 2013.

2. Higgs boson -- it's real

One of the most highly anticipated discoveries in all of physics happened this year -- well, probably. Scientists at CERN, the European Organization for Nuclear Research, said they used the Large Hadron Collider to detect a particle whose characteristics matched those of the Higgs boson.

What is the Higgs boson, you ask? It's basically a component of an invisible field, called the Higgs field, that is responsible for the mass of all the matter in the universe. In essence, it is why we are here.

Finding this particle, sometimes referred to as the "God particle" in popular culture, will fill a large gap in scientists' understanding about how the universe works. But it's not "God" in the way that you might think. Nobel Prize-winning physicist Leon Lederman wrote a book with "God Particle" in the title, but reportedly said he'd actually wanted to call it the "Goddamn Particle."

But wait, what about its mass? The two most precise ways that the particle has been measured have yielded slightly different values for its mass, said Beate Heinemann, scientist with the ATLAS experiment at the Large Hadron Collider. But these measurements are consistent, and with more data that difference should get smaller. "It all points at the moment to that this is indeed the Higgs boson," she said in an e-mail.

More results are expected in March 2013, she said.

3. James Cameron's deep dive

He didn't find The Heart of the Ocean necklace, but director James Cameron did probe the remotest depths of the ocean this year. In fact, using his one-man submersible, the maker of "Titanic" and "Avatar" traveled to the deepest known point in the world's oceans.

Cameron is the first to go alone to Challenger Deep, the name for that part of the Mariana Trench in the western Pacific Ocean. Here's a mind-boggling fact: Mariana Trench is deeper than Mount Everest is tall. Only two other humans have ever visited it.

In this cold, dark place, miles beneath the ocean's surface, Cameron said he did not see any fish, but did spot some "shrimplike animals." It took him 2 hours, 36 minutes, to get down there.

"It's a completely alien world," Cameron said.

4. Felix Baumgartner's record-breaking jump

Austrian daredevil Felix Baumgartner broke the speed of sound in October by jumping from the edge of space. He got up there on a balloon, then stepped off a platform 24 miles high and landed soon after in the New Mexico desert.

Baumgartner wore a 100-pound pressurized flight suit and helmet. Without protection, his blood would have been vaporized because the atmosphere was so thin when he jumped. The temperature at his launch point was estimated at 70 degrees below zero Fahrenheit, if not lower.

In doing so, Baumgartner broke the record for highest jump that had been set in 1960 by Col. Joe Kittinger. As part of a U.S. Air Force mission, Kittinger fell from 102,800 feet. He was a consultant for Baumgartner's efforts.

Technology behind how he did it

5. Planet with four suns

You may recall a scene from "Star Wars" where Luke Skywalker looks out across the landscape of a planet called Tatooine, which had two suns. This year, amateur scientists discovered that in reality, there is a planet with not just two, but four, suns.

This planet, called PH1, is special for another reason: It's the first confirmed planet that the Planet Hunters group has identified. Planet Hunters is a citizen science organization, made of people just like you, who are combing through planet data. The group has also helped identify several planet candidates. Learn more at planethunters.org.

6. Nearby star has a planet

The closest planet we know of to Earth, outside of our solar system, was identified in October. This planet orbits a star called Alpha Centauri B. It's unlikely to harbor life, but there's hope that other potential planets in that area might be more hospitable to breathing creatures.

Of course, when we say "close," we mean 4 light-years, or 23.5 trillion miles, away.

About 800 planets have been confirmed to exist outside our solar system, in addition to nearly 2,000 planet candidates found with the Kepler mission.

7. Vesta becomes a 'protoplanet'

NASA's Dawn spacecraft helped scientists to determine that Vesta, originally thought of as an asteroid, is a "protoplanet." That means that its structure has a dense, layered body, and it orbits the sun.

What's the difference between a protoplanet and a planet? It appears that something interrupted the development of protoplanets, which aren't fully formed, so they don't quite make the cut as full-fledged planets.

8. Bye-bye, space shuttles

In 2011, we said goodbye to NASA's Space Shuttle Program. This year, we saw the four surviving orbiters making Earthly journeys -- whether flown or towed -- to new homes at museums and similar attractions.

Discovery is at the Udvar-Hazy Center at the Smithsonian Institution's National Air and Space Museum in Chantilly, Virginia. It flew on the back of a 747 from Kennedy Space Center. This is the most traveled of the space shuttles.

Enterprise is at the Intrepid Sea-Air-Space Museum in New York. This shuttle never actually went into space, but it was carried on a 747 jet from Washington to New York in June. It was originally designed as a prototype test vehicle.

Endeavour is at the California Science Center in Los Angeles, having flown from Kennedy Space Center on the back of a 747. To make room for it to be towed through the city, dozens of trees were cut down and traffic signs removed.

Atlantis is at the Kennedy Space Center in Merritt Island, Florida. It was the last space shuttle to go to space, and the last to come to rest this year. Unlike the other shuttles, which made flyovers in various parts of the United States, Atlantis moved only 10 miles, towed by land to the Kennedy Space Center Visitor Complex in November.

The other two shuttles -- Challenger and Columbia -- did not make it back to Earth after accidents that killed their entire crews.

9. SpaceX gets to the space station, and back

No NASA shuttles flew in 2012, but a private company called SpaceX successfully sent almost 900 pounds of cargo to the international space station in its first official mission in October. The Dragon capsule came back with nearly 1,700 pounds of freight. This was only months after the SpaceX demonstration flight in May.

NASA and SpaceX have a contract for a dozen flights to the space station, and the October trip was just the first.

SpaceX isn't the only player in this commercial spaceflight arena. Virgin Galactic, Sir Richard Branson's private spaceflight company, recently completed a high-altitude test. Orbital Sciences is also under contract with NASA, and will also launch a demonstration flight.

10. Baby's DNA constructed before birth

For the first time, researchers at the University of Washington were able to construct a near-total genome sequence of a fetus, using a blood sample from the mother and saliva from the father.

The study suggested this method could be used to detect thousands of genetic diseases in children while they are still in the fetal stage. In the long run, it could help scientists derive new insights about genetic diseases.

Right now, this sequencing costs in the neighborhood of $50,000, but given how rapidly the price of genetic testing is falling, the process may become less expensive over time. Of course, it also raises ethical issues about selecting certain desirable traits in children. For right now, however, the technology is still in its early stages.

What were your favorite science stories this year? Share them in the comments.

@highlight

The Mars rover Curiosity landed on the surface of the Red Planet in August

@highlight

Scientists detected a particle whose properties match those of the elusive Higgs boson

@highlight

A planet with four suns was identified by citizen scientists

@highlight

Four retired space shuttles found new homes in 2013