(CNN) -- The challenge facing the next generation of the Chinese leadership is steering the nation as it moves from an export and investment driven economy to a more sustainable consumption-driven economy.

However, such transformation will not be easy. Over the last two decades, various measures to encourage Chinese consumption had limited success.

The expansion of higher education since mid-1990s was one early attempt. While a success in matriculation -- 19% of Chinese under the age of 30 have a college degrees -- the move failed to spur consumption as families instead saved to afford university educations. A similar story can be seen in the commercialization of the housing market. Families have to save increasingly more in order to afford apartments with rising prices.

Given the spotty success of Beijing policy to boost consumption, new research suggests the key may lie in tackling China's growing divide between the rich and the poor.

The government has never publicly released household-level data necessary to study this problem. To gauge the scope of the problem, my colleagues and I at China Household Finance Survey conducted a nationwide survey, interviewing a random sample of 8,438 households in China, both rural and urban.

We found that China's Gini coefficient -- a number that is widely used to measure a country's income inequality -- is 0.61. This number suggests a level of income inequality so high that can only be found in some of the African countries such as South Africa and Seychelles. In the U.S., this number is 0.39.

Income inequality is the key reason for China's low consumption rate. The rich hold the vast majority of Chinese savings. The top 10% of households have 69% of the total savings, and average saving rate for these households is a staggering 60%. Conversely, about half of the Chinese households surveyed have negligible savings.

Therein lies the dilemma for Beijing's new leaders as they try to make Chinese consumers, not exports, the key driver of China's economy. Why? The data suggests China's rich are already spending what they need, and pocketing most of the rest.

The low savings rate of most Chinese households surveyed suggest they simply don't have the money to spend. To move toward a consumer-based economy, therefore, raising the income -- and spending -- levels for the poor is key.

Here the next generation of Chinese leadership can and should play a significant role.

An effective approach to reduce the inequality and to boost consumption, however, is to shift government spending priorities away from massive infrastructure development -- roads, railroads and airports -- and toward social welfare investment and income transfer programs.

Studies have shown that spending on social welfare can have a substantial effect on consumption. In the case of health insurance, each one dollar the government spends would increase consumption by $2.36 dollars for rural health insurance or $4.16 for urban employee health insurance, according to a series studies by my colleagues and I did in 2010.

Although 90% of Chinese population is currently covered by three basic health insurance systems, benefits differ substantially across the three systems because of different levels of contributions made by the government to the insurance premiums. Government should bring up the benefit level of the rural insurance to that of urban insurance.

Another important area that government can do is to establish an effective unemployment insurance system. China's urban unemployment rate was at 8.0% in the summer of 2012. So far, the coverage rate of the unemployment insurance is only 30% of that of health insurance. It also pays too little: unemployment benefit is only 17% of the average salary compared to 47% in the U.S. and 60% in Germany.

Given the challenges ahead, China's new leadership should view this with some urgency: When the economy is in transition, unemployment rate will likely rise and more people will need help.

China can also learn from successful programs in the developed and developing countries. Programs such as Earned Income Tax Credits of the United States help the poor who actually work. Many developing countries such as Brazil, Mexico, and India have various Conditional Cash Transfer programs that pay poor families if they keep their kids in the school.

Recognizing the serious income inequality problem in China, Beijing issued a new income redistribution policy in February. The new policy moves in the right direction, but is not nearly enough. Beijing plans to raise the government spending on social welfare programs by two percentage points within next five years, from 12% to 14%. The comparable number in the United States is 37%. If Chinese government wants to serious tackle the income inequality while helping boost consumption of the country, they have to work on a much larger scale.

There is money on the table to support this. China's state owned enterprises (SOEs) are tremendously profitable due to their monopoly positions but only turn in less than 10% of those profits to the government. Beijing runs a budget deficit of only 1% of its GDP. According to the new plan, Beijing will demand five percentage points more of the share of the profits from SOEs. That's not enough.

If Beijing doubles its budget deficit (still very low relative to most developed countries) and boosts revenue from SOEs on social welfare programs and income transfers, China would spend at similar percentage as the U.S. and inequality may be reduced to a similar rate.

If the government creates a stronger social safety net for its citizens, Chinese workers will feel less pressure to save for health emergencies, unemployment and retirement, and more likely to buy goods and services -- and create a mature consumer-driven economy.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Li Gan.

@highlight

Gan: China's plans to boost social welfare spending don't go far enough

@highlight

Key challenge for China's leaders is moving to a consumption-driven economy

@highlight

Measures to encourage Chinese consumption have had limited success

@highlight

Research shows top 10% of Chinese households garnered 57% of total income