(CNN) -- The year 2012 was declared the globe's 10th warmest since record keeping began in 1880 and the warmest ever for the Lower 48 U.S. states, according to the National Oceanic and Atmospheric Administration's National Climatic Data Center.

Last year also marked the 36th consecutive year with a global temperature above the 20th century average, the federal agency said Tuesday.

"All 12 years to date in the 21st century (2001 to 2012) rank among the 14 warmest in the 133-year period of record (keeping). Only one year during the (20th) century â€” 1998 â€” was warmer than 2012," the center said.

In 2012, the contiguous United States experienced its warmest year since national record keeping began in 1895, the agency said. The new record broke the prior one, set in 1998, by 1 degree Fahrenheit, the center said.

The year's average temperature of 55.3 degrees Fahrenheit across the Lower 48 was more than 3.2 degrees warmer than the average for the 20th century, NOAA reported earlier this month.

Every state in the contiguous United States saw above-average temperatures in 2012, with 19 of them setting annual records of their own, NOAA said this month. Meanwhile, the country faced 11 weather disasters that topped $1 billion in losses each, including a lingering drought that covered 61% of the country at one point.

That drought shriveled crops across the American farm belt, which is expected to cause a rise in food prices in 2013, according to the U.S. Agriculture Department. It also turned forests of the mountain West into stands of tinder that exploded into catastrophic wildfires over the summer, scorching millions of acres and destroying hundreds of homes.

In October, Superstorm Sandy, a post-tropical cyclone, killed at least 110 people in the United States and nearly 70 in the Caribbean and Canada. Damage estimates from the storm run around $80 billion in New York and New Jersey alone.

Most of the world saw warmer annual temperatures, including most of the Americas, Europe and Africa, the federal agency said. Western, southern and far northeastern Asia also had the same experience, officials said.

Science, satellites and superstorms: Preparing for the next big one

"Meanwhile, most of Alaska, far western Canada, central Asia, parts of the eastern and equatorial Pacific, southern Atlantic, and parts of the Southern Ocean were notably cooler than average. Additionally, the Arctic experienced a record-breaking ice melt season, while the Antarctic ice extent was above average," the U.S. agency said.

At the same time Tuesday, the world's warming trend was blamed for the postponement of a sled dog race in Minnesota.

The John Beargrease Sled Dog Marathon and Mid-Distance Races were rescheduled to March 10 from January 27 because of scant snow.

"For the third time in six years, we've had to cancel or reschedule the Beargrease sled dog race due to lack of snow," race coordinator Pat Olson said.

"We recently had a big rain storm. Rain, but no snow, which messed up the trails. Lots of people [in the sled dog racing community] are doing what we're doing. There was a race scheduled for last weekend and this weekend, and both of those races were forced to be rescheduled due to lack of snow," Olson said.

One musher cited global warming -- disputed by some analysts and politicians -- as an explanation.

"Last year all but one sled dog race was canceled in Minnesota," said Peter McClelland, a sled dog marathon racer and operator of a sled tour business in Minnesota. "Over the past five years, we've lost a month of snowy weather on either side of the typical winter season. That's a big deal, to lose a month when your season is only four months out of the year.

"It seems to be that this is just a climate change issue," McClelland continued. "Temperatures are going up. Historically we used to have snow by Thanksgiving, but that hasn't happened for over a decade."

The 400-mile marathon race is regarded as one of the most famous dog sled races, held on Minnesota's North Shore, along the usually frosty Lake Superior.

Last year, the Beargrease races were canceled because of "lack of snow and poor trail conditions," the race's board of directors said.

CNN's Chandler Friedman contributed to this report.

@highlight

2012 ranks as the globe's 10th warmest since 1880, when record keeping began

@highlight

Last year was the warmest year ever for the contiguous United States

@highlight

The 12 years of new century rank among the 14 warmest in the past 133 years

@highlight

With no snow, Minnesota delays a sled dog race; musher blames global warming