(CNN) -- With enough practice any hack can create a CAD rendering of a blender or produce an iPhone mockup that'll earn hundreds of likes on Dribbble, but designing a device that convinces people to make a meal out of maggots? That requires a special level of skill. Designer Katharina Unger is on a mission to make eating insects irresistible.

The recent graduate from the University of Applied Arts in Vienna and current Fulbright Scholar devoted her thesis project, called Farm 432: Insect Breeding, to developing an appliance that incubates insects for human consumption. The striking blue and white vessel is stocked with one gram of black soldier fly eggs, and over a period of 18 days, the eggs move through the device's chambers, gestating, reproducing, and ultimately producing 2.4 kilograms of nutritious, if slightly nauseating, fly larva.

This frightful food processor was invented to satisfy the meat cravings of the nine billion people expected to be living on Earth in 2050. To support that population, protein production will have to double and farming, primarily livestock cultivation, already uses up half of the planet's arable land, making it difficult to expand.

Read this: Can this solar-powered watercraft save lives?

Many believe the solution will lie in entomophagy, also known as eating bugs, but getting Westerners to make insects a big part of their diet will require a marketing program the size of Mothra.

Unger's device hides the dirty and disgusting aspects of the process while employing design language from mainstream consumer products to make the concept seem more familiar.

The concept unsettles many stomachs, but according to Unger, we already consume 500 grams worth of insects in our food annually. There can be up to 60 insect fragments in a 100 gram chocolate bar, and insect-infested fruits that can't be sold as produce are turned into juice. Starbucks even used crushed beetles to color their strawberry Frappucinos for a time. People seem willing to deal with the taste and texture of edible insects as long as they're presented properly. Here are five design principles Unger employed to make her flies seem flavorful.

Do your (repugnant) market research

There are approximately 1,400 edible species of insect, yet there isn't a single skeevy sommelier to educate the masses about proper pest pairings. Unger took the challenge on herself and began sampling grasshoppers, crickets, mealworms, and other vile vittles. "I felt okay with all that, but grabbing/touching the animals was gross," she says. "I knew the only way people would grow insects at home was without having to touch them." This informed the design of the appliance and users never have to touch the insects until it's time to cook.

Read this: The 'talking' streetlamps that save energy

Make the disgusting delightful

While most of her classmates were making models of cars or furniture, Unger was harvesting insects. Initially suspicious, her peers eventually came to appreciate the eco-friendly goal and even partook in a slightly terrifying taste test.

Unger attributes this open-mindedness to the way her appliance produces the flies. "We tend to associate insects with negative imagery: destroyed crops, plagues, manure," she says. Her design is clean, almost to the point of being clinical, and promotes a sense of trust. "Once people see how the larvae can be grown, that they clean themselves before they are ready to eat, they become very curious and forget their prejudices."

Create a community to go with your contraption

The idea of eating bugs may seem bizarre now, but blogs devoted to entomophagy are popping up and award winning chefs have begun integrating creepy-crawlies into their cuisine. With the right products and promotion, Unger thinks the distasteful could eventually become delicacies. "It is comparable with the backyard chicken movement or growing vegetables on your balcony," she says. "There are almost 2,000 edible insect species. The variety of tastes and different dishes is endless. We miss out a lot by not considering this food source!"

Pollinate your idea

Unger didn't stop at growing the flies â€” she also developed recipes, including a stellar tomato and larva risotto, to help make the icky output more enticing. She's now working out how changing the diet of the larva would impact taste. "I always speculated what happened if I gave them just one specific type of food," she says. "Maybe you could make them taste like strawberries?"

Create buzz

Turning insects into a protein powder or peanut butter-like substance could help introduce edible insects to the mass market more smoothly, but Unger wanted her project to make a statement. "I felt it would be inconsequential to suddenly hide the main product away," she says. "In the end it is not only about producing food, but also about the adventure of growing live animals in your home!"

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Austrian designer Katharina Unger made an appliance that harvests insects for us to eat

@highlight

Over 18 days black soldier fly eggs reproduce to make 2.4 kilograms of nutritious fly larva

@highlight

It was invented to meet the protein needs of the nine billion expected to be on Earth in 2050