(CNN) -- It is disheartening and alarming to learn that as many as 7,000 patients are at risk of serious, life-threatening infections because of dentist W. Scott Harrington's alleged failure to follow "standard infection control guidelines" at his practice in a Tulsa, Oklahoma, suburb.

Around the country, people are asking: Are U.S. oral health services safe?

The short answer is: Yes. But, patients should always check to make sure that their dental provider adheres to the strictest safety guidelines.

The allegations leveled against Harrington are deeply troubling, and it is terrible that his many patients must now worry they might have been exposed to hepatitis and HIV because of his alleged failure to implement even the most basic infection control guidelines. As the leader of his oral health care team, it was his responsibility to ensure the safety of the patients who trusted him with their care.

Dental patients tested for hepatitis, HIV exposure

Considering that there are 175,000 practicing dentists in the United States, it would be easy to argue that Harrington is an outlier and statistically insignificant. However, one outlier is one too many, and the lives he might have put at risk are anything but insignificant.

But generally, dental care in the United States is among the best in the world.

Along with the privilege and tremendous rewards of being a health care professional comes the awesome responsibility of providing the highest quality of care possible. Dental practices, as with any medical practice, must make sure that safety is a priority.

As we approach the graduation season, dental schools in the United States will welcome more than 4,000 new colleagues to our profession. All schools are held to the standards promulgated by the Commission on Dental Accreditation that address patient safety. Training in and implementation of patient safety protocols is an important component of any dental school education.

Upon graduation, the dental education community certifies that new dentists are competent to independently provide oral health care. They should be able to put into practice the knowledge, skills and experiences they have gained.

The very basics of infection control are not complicated to understand or implement. The Centers for Disease Control and Prevention has issued a very clear and practical document that most practitioners utilize to develop protocols in their practices. In addition, the Organization of Safety, Asepsis and Prevention is a wonderful resource for information and training.

All states require that licensed dentists participate in continuing education to maintain that license to practice. Many states, such as Massachusetts, require a portion of this continuing education to be focused on infection control.

Dental schools, organized groups such as the American Dental Association, licensing boards and other dental organizations have made patient safety a priority during the past 25 years. In the array of health care providers, dentists have an admirable record of providing high-quality care in a safe environment.

Patients should feel confident that their care will be provided in a safe environment and that there is infinitesimal risk of transmission of disease. However, as one seeks any health care services, patients must ask questions about the provider, his or her staff, facility, training and compliance with infection control guidelines.

Any capable and qualified dentist would welcome such questions.

The opinions expressed in this commentary are solely those of James Hanley.

@highlight

A dentist in Oklahoma has put up to 7,000 patients at risk for serious infections

@highlight

James Hanley: Despite this case, dental care in the U.S. is among the best in the world

@highlight

He says dental community and schools put emphasis on infection control and safety

@highlight

Hanley: Dentists have an admirable record of providing high-quality care in the U.S.