(CNN) -- If you were a Formula One fan who attended the U.S. Grand Prix at Indianapolis in 2005, it could be argued you witnessed one of the strangest races in motorsport history.

A field of 20 cars should have lined up for the grand prix, but on that Sunday of June 19 just six were on the starting grid.

It was the result of a bizarre sequence of events which left motorsport fans feeling so shortchanged it nearly drove F1 out of the U.S. for good.

So frustrated was the Indianapolis crowd that fans hissed and hurled bottles when Michael Schumacher's Ferrari led home the six drivers -- as the other 14 brooded in their garages.

"It was sad not to have the GP that we wished to have," Rubens Barrichello, who finished second behind his Ferrari teammate, told CNN.

"The weekend was long. It was sad because of something we weren't prepared for and something the fans didn't understand.

"It was a horrible feeling not to see the cars racing, but unfortunately it wasn't safe for everyone to race."

Tire trouble

The controversy unfolded after a punctured tire during practice caused Ralf Schumacher's Toyota to crash at the circuit's banked final turn -- the fastest part of the track.

Toyota used Michelin rubber and, after further investigation into the tire failure, Michelin advised the seven teams who used their tires -- Renault, McLaren, Williams, Toyota, BAR, Sauber and Red Bull -- not to race.

Faced with a dilemma over whether to risk racing on unsafe tires, nine of the teams -- including Jordan and Minardi, who along with Ferrari ran on Bridgestone tires -- agreed only to compete if a chicane was added to the final turn to lessen the tire load.

But Ferrari and motorsport's governing body, the FIA, vetoed the plan. From there, the GP descended into farce.

As all 20 cars circled the Indianapolis Motor Speedway on the formation lap, it was still unclear whether the Michelin teams intended to boycott the race.

Red Bull driver David Coulthard even argued on the team radio: "If it comes down to my choice, I want to race."

But at the end of the parade lap, the seven Michelin teams peeled off into the pit lane -- leaving only Ferrari, Jordan and Minardi to contest the race.

"Without question it was the strangest race I commentated on in F1," remembered commentator Maurice Hamilton, who was calling the race for BBC Radio.

"I can clearly recall my heart sinking when one car after another peeled into the pit lane.

"The full extent of the problem became apparent when the camera showed just six cars on the grid -- and in their original positions, separated by huge gaps.

"I have no idea how my fellow commentator Ian Phillips and I got through the next hour and a half. I was praying the producer in London would switch to the U.S. Open golf but she didn't!"

Bitter taste

For the six racers on track, the events of that day were no less bizarre as they raced strung out on the asphalt.

Barrichello was involved in the race's only incident of note, when Schumacher squeezed the Brazilian's car onto the grass as he emerged from the pit lane to retake the lead.

"Sometimes you do race alone so the U.S. GP wasn't strange for that," said Barrichello with the pragmatism of a racer who has taken part in more grands prix than any other driver in F1 history.

"But it was bad because mentally you knew that there was only six cars out on the track. For me, I still had to fight for it but it was a horrible feeling."

A weekend of petty squabbling and farcical racing undoubtedly left U.S. fans with a bitter taste in their mouths.

"The fans were incensed -- and rightly so," said Hamilton. "While the mood in the paddock was a mix of bewilderment, silent anger and resignation."

Many felt then FIA president Max Mosley had not done enough to find a compromise which would have allowed all 20 cars to race.

Michelin also faced criticism for failing to bring suitable tires to the race and the French company later agreed to refund disgruntled fans.

"I thought that would be the end of the U.S. GP," Hamilton recalled. "But reparation by Michelin and the passage of time brought a surprisingly large crowd back in 2006.

"F1 fans in the U.S. may be a small percentage of that huge sporting audience but they are very loyal and knowledgeable."

Racing history

Over the last few years, the outrage at the events of the 2005 U.S. GP has mellowed into rose-tinted nostalgia.

"I call it the train wreck theory," said Speed TV F1 presenter Bob Varsha, who has been the voice of the sport in the U.S. for nearly 30 years.

"As time goes by people get over the shock of not being provided the show they paid their ticket price for. The 2005 race was the kind of event where people want to say 'Yes I saw that, I was there for that.'

"People look back at it now as a phenomenal moment in racing history."

At the time, however, that was not the way F1 supremo Bernie Ecclestone viewed the race.

When the contract for the U.S. GP expired at the end of 2007, Ecclestone chose not to renew his deal with Indianapolis for the following season.

Both parties insisted money wasn't the only factor. F1 wanted to expand its horizons and in 2008, the U.S. race was gone as Singapore rejoined the wold championship calendar.

Free gifts

For Barrichello, the events of 2005 echoed another bittersweet race at Indianapolis.

Three years earlier he had taken his only U.S. GP victory by just 0.011 seconds -- the second closest finish in F1 history.

But there had been no breathless surge to the checkered flag to snatch victory from defeat.

Michael Schumacher, who had been leading the race, tried to lead the two Ferraris across the line in a dead heat. But the plan backfired and Barrichello edged the narrowest of wins.

Aftewards, Schumacher suggested he had conceded victory to the Brazilian as a gesture of thanks after he had overtaken Barrichello under team orders to win the Austrian GP.

Many felt the result in the U.S. was manipulated and cheated fans who had turned out in high numbers, even though Schumacher had wrapped up the 2002 title two months earlier.

"That is a story that we never talked about," recalled Barrichello.

"I was pushing Michael hard up to the last straight and he backed off and it was almost instant that I backed off too -- no thanks, I don't want any free gifts like that.

"Then he backed off even more and I had to think 'I'll go for it' but then he may have thought 'OK he doesn't want it, I'll go for it' -- and I think that is why it went so close.

"When you dislike something you must try to see something in a different way and try to enjoy it when you do well. I had to think 'a win is a win.'"

After a three-year absence, the U.S. GP is back at a new circuit build outside Austin after an on-off agreement was finally settled and race fees were paid to Ecclestone's company.

And Barrichello is looking forward to the November 18 race -- though this time as a spectator. The 40-year-old will travel to Austin to watch his first grand prix since calling time on a 19-year F1 career at the end of the 2011 season.

"I've always loved the U.S. GP," said the Brazilian, who raced in the U.S.-based IndyCar Series for KV Racing Technology this year after losing his place with the Williams F1 team.

"Long Beach, Detroit, I used to watch those races when I was a kiddo and I fell in love with it.

"I'd always wanted to race in the U.S. as an F1 driver and so the year that they said we're going to go back to Indianapolis in 1998 I thought this is great, I'm going to race at the famous track.

"When I got there I loved the layout it was fantastic, it was 100% enjoyment. I loved the place, I really did.

"Texas is going to be awesome. We feel that F1's reputation is bad in the U.S. because that's what people say, it's something we create, but I had the opposite feeling this year when I raced in IndyCar.

"Americans are big fans of motorsport and America deserves not just one race F1 race, but two -- and, you know, Indianapolis could be a good one to go back to."

@highlight

The U.S. Grand Prix of 2005 was one of the bizarre races in Formula One history

@highlight

14 cars sat out the race, with only Ferrari, Jordan and Minardi taking to the track

@highlight

Teams racing on Michelin branded tires elected to not take part in the race

@highlight

Formula One returns to the U.S. in Austin, Texas on November 18