(CNN) -- Earlier this week, al Qaeda issued the seventh issue of Inspire, a glossy English-language online magazine that emerged as a mouthpiece for the preaching of now-dead American-Yemeni terrorist cleric Anwar al-Awlaki.

The message the magazine emphasized most was that supporters of al Qaeda in the West should take matters into their own hands and launch attacks themselves. A dedicated section provided them practical advice with how to carry out such attacks in the West.

It was a publication that caused great concern to counterterrorism officials on both sides of the Atlantic. Distributed widely on jihadist websites, forums, and blogs, not only did the magazine attract a following in the United States and the United Kingdom, but also in several European countries like Germany.

But it is possible that the seventh issue will be its last, with news that Samir Khan, its American Saudi-born editor, was also killed in the airstrike targeting al-Awlaki.

Drone strike killed senior al-Qaeda cleric

Khan left North Carolina for Yemen in October 2009, according to U.S. officials, and had become radicalized while previously living in the Queens area of New York City.

Even while living in the United States, Khan had attracted significant attention for publishing a blog sympathetic to al Qaeda.

The loss of al-Awlaki and Khan is likely to significantly curtail al Qaeda's English-language propaganda output, one of the factors, according to U.S. counterterrorism officials, behind increased radicalization in the United States in recent years.

"They're presenting a message in English which automatically increases the accessibility to an American audience," Mitch Silber, the New York Police Department's director of intelligence analysis told CNN in an interview in 2010.

Al Qaeda still has one highly visible English-language propagandist: Oregon-born convert Adam Gadahn, who over the past half decade has recorded many tapes in and around the Afghanistan-Pakistan border region, where he is still believed to be operating.

Gadahn, like al-Awlaki, has urged Western supporters to launch attacks on behalf of al Qaeda in the West. For example in an al Qaeda video released in June titled "You are Only Responsible for Yourself," Gadahn said it is easy for American al Qaeda sympathizers to go to a gun show and purchase an automatic assault rifle without having to submit to a background check.

Also, Adnan Shukrijumah, a Saudi-born American who left for jihad a decade ago, is believed to have taken on a senior role for al Qaeda, allegedly helping to orchestrate a plot to bomb New York subways in September 2009. But he has yet to appear in any al Qaeda videotapes or other propaganda output. Time will tell if al Qaeda decide to push Shukrijumah into a more visible role.

But Gadahn and Shukrijumah have nothing like al-Awlaki's religious knowledge or following in militant Islamist circles in the West.

Before al-Awlaki joined forces with al Qaeda in Yemen about three years ago, he built up a large mainstream following in the United States and the United Kingdom because of his charisma and his ability to transmit religious teaching in a vernacular young Muslims could understand.

When he preached in mosques and meeting halls in Britain on visits from Yemen in the early to middle 2000s, there was often standing room only, according to those present, and he reached a much bigger audience worldwide by recording his sermons onto DVDs and making them available on the Internet.

In smaller gatherings in Britain during this period, al-Awlaki's message could be much more radical.

"Behind closed doors I was told he conducted study groups which justified suicide bombing, for example, against the West -- justified suicide bombings against civilians," Usama Hasan, a British imam, told CNN's Nic Robertson in 2009. Hasan, at whose mosque in east London al-Awlaki once preached in 2002, recalled that that al-Awlaki at the time did not explicitly preach a message of violence, but his anti-American message and charisma were dangerous because they left congregations "all revved up, not knowing what to do."

More than any other factor, it was al-Awlaki's popularity in mainstream Muslim circles before he joined forces with al Qaeda that made him such a dangerous voice for the group in the past two years, a young British Muslim who has seen his impact firsthand told CNN. His previous popularity allowed him to play the role of a "spiritual sanctioner" for Western radicals deliberating whether to launch attacks, for example for alleged Fort Hood shooter Maj. Nidal Hasan, who exchanged Internet message with him.

A recent case in the United Kingdom perhaps best illustrated the power of al-Awlaki's message. Roshonara Choudhry, a British-Bangladeshi woman jailed for life last November for attempting in May 2010 to stab to death a British member of Parliament for supporting the Iraq war, was radicalized by watching more than a hundred hours of al-Awlaki's Internet sermons during a short time frame.

"I started to get really into it and I listened to everything ... like all of his recorded lectures that he made. ... Everybody listens to him and likes him anyway," she told police hours after her arrest. "He explains things really comprehensively and in an interesting way, so I thought I could learn a lot from him."

Several others convicted of plotting terrorist attacks in the West were followers of al-Awlaki. They include several of those convicted for plotting to blow up trans-Atlantic airliners leaving from London's Heathrow Airport in 2006 and several of those convicted of plotting to attack the Fort Dix military base in New Jersey in 2007.

At least one member of Najibullah Zazi's New York group who plotted to attack subways in the city in September 2009 regularly listened to al-Awlaki lectures, according to court documents.

Mohamed Osman Mohamud, a Somali-American charged with attempting to blow up a Christmas tree lighting ceremony in Portland in November 2010 appears to have been such a fan of al-Awlaki that he sent an article he hoped would be published by Inspire magazine, according to the complaint in his case. Mohamud has pleaded not guilty.

Antonio Martinez, a Muslim convert who allegedly plotted to bomb a military recruiting station near Baltimore in December 2010 , was recorded by undercover agents describing al-Awlaki as his "beloved sheikh." (Martinez has pleaded not guilty.)

While American and British radicals respected, admired, and were inspired by bin Laden, recent cases have made clear that many of them loved and listened to al-Awlaki even more. In the medium term, his removal from the scene will make Western countries safer.

As well as being an inspirational figure to Western Islamist radicals, al-Awlaki was the key driver of al Qaeda in the Arabian Peninsula's ambitions to launch attacks against the United States, playing a key operational role in orchestrating plots and recruiting Western operatives who could help carry them out. But in the short term, counterterrorism officials on both sides of the Atlantic will be worried that his followers will carry out a revenge attack, as he taught them, in his name.

@highlight

Al-Awlaki and Samir Khan were two important English-language voices for al Qaeda

@highlight

Al-Awlaki built up a large following in the United States and the United Kingdom

@highlight

Many who carried out or attempted various attacks have connections to him

@highlight

At least one highly visible English-language propagandist remains: Adam Gadahn