Accra, Ghana (CNN) -- They're cramped, loud and seem to care little about the rules of the road -- more than just a mode of transportation, riding a "tro-tro" is an experience of its own, a roller coaster ride that any self-respecting visitor to Accra should check off their list.

The crammed, hot and often rickety minivans, also called "troskies," are the most popular way of getting around in the Ghanaian capital. They can be picked up from a station or by the roadside and they typically seat around 15 squished passengers, sometimes even more, as they swerve, zigzag and rush through Accra's busy streets.

Read this: Forget Paris, fall in love with Accra

But while tro-tro rides might not be the ideal travel option for the claustrophobic, they're certainly more appealing to anyone looking to navigate the city cheaply.

Just like "matatus" in East Africa, and many other similar means of transport in urban centers across the continent, tro-tros fill the public demand for affordable trips -- the fee a tro-tro ride around Accra is never more than a few cents, paid before or on arrival.

"If you really want to get to know a city, don't take a taxi -- take a tro-tro," says Accra commuter Maximillian Effah.

So how does the tro-tro system work and what can you expect once you catch a ride?

Tro-tros might have set routes but in the absence of a fixed schedule -- the vans depart only once they're full -- waiting times can be lengthy. Boarding the right one can also be confusing, especially if you're picking it up from the roadside.

Read this: Artists take epic Africa road trip

In those cases, what's needed is a mixture of cunning and alertness, coupled with determination and some insider knowledge. As the tro-tro approaches, the fare collector, or "mate," hangs out the right side door, shouting the destination and making a sign to indicate the van's direction. You do the same and, with a little a bit of luck, the driver stops so you can hop on.

Sometimes, however, securing a spot requires a more physical approach.

"When you have a situation with 10, 15, up to 20 people trying to enter the same door at the same time, that's when you see the magic happening," says Effah. "People opening up the top of the car, sliding in the side screen and then jumping into the car. Then you'll see the car start to move with someone halfway in the car, with their legs dangling outside of the car, and that is just crazy!"

Once en route, forget about seat belts or spacious seating; you can expect, however, a bumpy ride that's often made easier by the inevitable mix of shared laughs, heated debates and social commentary -- as well as a bit of singing.

"The driver of the tro-tro was singing the entire time, it could actually be that his part-time job was in the choir because he was singing a lot of hymns," recalls Accra commuter Francis Kweku Ansah of one memorable journey. "He was really entertaining for everyone in the car -- people started singing along and it was actually a really fun journey for me."

"Trotro Diaries"

At least four million people live in and around Accra, making it one of Africa's largest cities. Its infrastructure is like many other African urban centers: aged from the colonial era and unable to keep up with the demands of a burgeoning population.

As more Ghanaians jump behind the wheel -- thanks to a growing middle class and cheaper imports from overseas -- the city's streets are often clogged with snail-paced traffic.

Read this: Africa's new skyscraper cities

"You have an experience where you sit in a tro-tro tightly packed and it's just before work so you can imagine the kind of pressure it puts on you," says Yaw Odoom, the creator of Trotro Diaries, an online platform where people share their often-funny stories about their daily transport woes.

"We realized people go through so much stress to get to their offices, which might affect their output," says Odoom. "We put a bit of humor in there, where people in different tro-tros all over Ghana and even in other parts of the world share their experience. Now what this will do is it will help to lighten their mood, so when they get to the office they actually get there in a happier mood and be able to deliver."

Encouraged by friends, Odoom, a 27-year-old business development manager at an automotive company, created a blog and a Facebook group and today more than 1,000 people use the Trotro Diaries platform to sound off.

"Aah, I really hate it when people are in singing in (the) troskie," reads one comment. "I'm like, this is not your car, dude!"

"She has been talking for about 30 minutes non-stop!" says another Trotro Diaries user. "I guess the radio stations need her talent!"

Odoom says he now plans to also create a Trotro Diaries app that will also serve to help commuters find their way easier around the city. He believes that creating information networks for Ghanaians on-the-go, as well as making them laugh with each other, can have a positive impact.

"(The future of Ghana is) in the hands of the youth and we're already taking it," he says. "We are crazy for change and we want to put that change into Ghana because Ghana is for all of us and we need to make things work."

Have you been on a tro-tro, or a taken a mini-van ride elsewhere in Africa? Send your photos and stories to CNN iReport.

@highlight

Thousands of Accra residents commute daily by using a tro-tro

@highlight

The minibuses, also known as troskies, are a cheap form of transport

@highlight

Commuters say it's the best way of knowing the city -- but it can also be frustrating

@highlight

"Trotro Diaries" is a web platform collecting funny stories of people's journeys