(CNN)Jacob Lawrence's groundbreaking work, "The Migration of the Negro," is a series of 60 small paintings with text depicting the lives of millions of pre-World War II blacks as they moved from the oppressive South to the promise of a better life in the North. One frame in particular, No. 22, shows three black men dressed in their Sunday best, handcuffed, heads bowed standing in front of a window adorned with prison bars. The caption reads:

"Another of the social causes of the migrants' leaving was that at times they did not feel safe, or it was not the best thing to be found on the streets late at night. They were arrested on the slightest provocation."

Lawrence painted this picture around 1940.

This is important to know because there are some people who blame President Barack Obama for racial tension in America as if the March on Washington scrubbed away the lasting effects of 300 years of inequality. No. 22 was painted before hip-hop became the piñata for conservative talk show hosts to bash and before sagging pants became a popular fashion statement.

Some of us keep looking for a new reason why this old problem continues to haunt us because to think otherwise requires effort. It's a lot easier to retweet a Dr. King meme. It is more convenient to say the violence began when rioters threw bricks at police and not when a city's Police Department began terrorizing its residents. We criticize Baltimore's mayor for not "restoring order" as if paying victims of police brutality nearly $6 million in a four-year span is "order."

Now, some people are partially blaming the 2013 movie "The Purge" for the uprising in Baltimore as if the 1996 riots in St. Petersburg, Florida, happened on a different planet. Or that the more than 100 cases of Baltimore police brutality that were either lost or settled out of court since 2011 provide no insight as to what the residents have been dealing with for some time.

An 87-year-old grandmother had her shoulder broken by overzealous police, and Sen. Rand Paul -- God bless him -- suggested the rise in absentee fathers is the reason for this latest clash.

It is true only 34% of black children live in a two-family household today, and I do believe that is a problem. Soul searching, as the President suggested, is something that needs to be had by all. But it is also true that 65% of black children lived with both parents in 1960, and yet there was still a lack of trust between the police and the minority community.

Sen. Paul's rationale falls apart when you consider that John Henry Crawford III was shot and killed by police at a Walmart in Ohio while on the phone talking with the mother of his two children. Crawford's father was literally playing with his two grandchildren as his son was being gunned down.

In 1971, Marvin Gaye cracked the Top 10 on the pop charts with "Inner City Blues," which included the lines:

Crime is increasing

Trigger happy policing

Panic is spreading

God knows where we're heading

And yet so many look at the protests, uprisings and yes, sometimes riots, with this incredulous demeanor as if the raw emotions captured on camera are materializing out of thin air.

No backdrop. No historical context.

Television journalists asking questions that seem to characterize the recent developments as unexplained anger detached from any tangible issue. It is as if they believe the absence of burning crosses translated into peace and harmony.

Meanwhile, Louisiana state police want people to believe Victor White III shot himself in the chest while handcuffed sitting in the back of a police car. How can there be peace when the Department of Justice found black residents in Ferguson were preyed upon for years by a corrupt Police Department? Where is the harmony when the average white household has 13 times the wealth of its black counterpart? And we know the impact wealth has on education, housing and mortality.

Now there is video of police in Inkster, Michigan, celebrating the beating of a suspect as he sits nearby with broken ribs, a head injury and bleeding. The officers fist pump and laugh. One of them even appears to joyfully re-enact parts of the incident in plain view of Floyd Dent, the man in custody. And when the incident in question was under investigation, the Inkster Police Department suppressed the video.

Two months would go by before the public saw what we are paying for.

But at least we saw it.

In Chicago, the police department has yet to release dash cam video of the fatal encounter officers had with 17-year-old Laquan McDonald last October. The report said an officer fired shots into McDonald's chest after the teen lunged at them with a knife. Witnesses said the shooting was unjustified. The autopsy shows McDonald was shot 16 times from a variety of angles by the officer. The City Council recently approved a $5 million settlement but maintains there was no wrongdoing. The video could shed some light on what really happened...which may explain why we have yet to see it.

This comes on the heels of Mayor Rahm Emanuel establishing a $5.5 million reparations fund for victims of former CPD commander John Burge. For three decades Burge and his team ran a torture ring that used electric shock, burned and beat up more than 100 black men.

And some look at Baltimore and the protests happening all around the country and wonder where all of this rage is coming from?

This mistrust didn't come from somewhere. It's always been here.

Woven in the comedic deliveries of Richard Pryor, Dick Gregory and Dave Chappelle; saturated within the prose of Lorraine Hansberry, Maya Angelou and Shonda Rhimes; heard in soulful cries of Billie Holiday's "Strange Fruit" to John Legend standing on an Oscar stage singing "one day, when the glory comes it will be ours." For decades, the works of black artists have explicitly talked about the Baltimores of this country and though their work has been celebrated and curated, the message remains lost.

Why else would someone believe sagging pants and hoodies are to blame for mass incarcerations? That President Obama is the reason why some blacks are frustrated with police and not the dynamic beautifully captured by Lawrence 75 years ago.

Before President Richard Nixon started the war on drugs.

Before Eric Garner started selling loose cigarettes in Staten Island.

Before Baltimore became the setting of a critically acclaimed TV show.

There isn't a new reason why Freddie Gray's death triggered outrage. Just new ways for people to validate apathy and explain away racism.

@highlight

LZ Granderson: People keep looking for new reasons to validate apathy and explain away racism

@highlight

But what happened in Baltimore didn't come up overnight; artist Jacob Lawrence depicted the same story in 1940s