(CNN) -- One evening, when I was 24 years old, I heard Dr. Muhammad Yunus speak to a small classroom of Stanford University students. I was not a student at the time, so I crashed the lecture and sat quietly on the steps in the back of the room. What I heard that night changed my life.

Dr. Yunus spoke of his journey in creating the Grameen Bank, which provides small loans to the poor. He told us about the incredible success many of Grameen's clients had achieved, breaking the cycle of poverty in their lives with only a few borrowed dollars and an entrepreneurial spirit.

But beyond sharing his story, and beyond explaining the power of microfinance to change people's lives, Yunus spoke about the poor in a way I'd never before heard. He described them as hardworking, motivated, intelligent entrepreneurs who had the power to improve their own lives -- not hopeless, desperate, devastated individuals waiting for a donor to make everything better.

Watch an interview with Jessica Jackley

Many of my assumptions about poverty, and about my role in helping to alleviate it, were turned upside down. (A few years after that evening lecture, Yunus and his Grameen Bank won the 2006 Nobel Peace Prize, honoring their work pioneering modern microfinance.)

Listening to Yunus speak that night, I was inspired to do something. I wanted to meet hardworking entrepreneurs like the ones he'd talked about, and to truly understand their stories. A few weeks later, I quit my job at Stanford and boarded a plane to Nairobi, Kenya, to try to do just that.

TED.com: Paul Collier on "the bottom billion"

Over the next few months, I interviewed over a hundred entrepreneurs throughout East Africa who had received $100 to start or grow their microenterprises. I formed powerful connections with many of those entrepreneurs, all of whom were working hard every day to lift themselves and others out of poverty -- a seamstress in Kenya who used her business profits to send her daughters to school; a goat-herder in Uganda who could finally afford mosquito nets for his family; a farmer in Tanzania who explained proudly how she could now, for the first time, feed her children three meals a day.

These dignified individuals showed me how even a simple endeavor could be run with incredible acumen, creativity, and wisdom. It was through their stories of perseverance and optimism that my beliefs about poverty, about empowerment, about entrepreneurship, and about my own path began to shift.

I wondered how the world might be different if more people could hear their stories, in detail, one at a time. And I wondered what it would be like to participate in the next chapter of their stories in a way that dignified them, not pitied them. What if a community of people could gather together to lend the next few hundred dollars they needed for their businesses to grow?

My desire to answer these questions inspired the creation of Kiva (http://www.kiva.org/), the world's first peer-to-peer microlending website. On Kiva, people can lend as little as $25 to specific entrepreneurs and get their money back when the entrepreneur repays. In a little over five years since its founding, Kiva has been one of the fastest-growing social benefit websites in history, facilitating more than $170 million in loans across 208 countries.

Building on lessons learned at Kiva, I've now turned my attention back home to focus on serving small business here in the U.S. as co-founder and CEO of ProFounder (http://www.profounder.com/). ProFounder is a crowd-funding platform for American entrepreneurs to raise investments from their friends, families and communities. An unlimited number of unaccredited investors can invest and choose either to receive a share of the business's revenues as cash, or redirect them to a nonprofit.

TED.com: Andrew Mwenda takes a new look at Africa

Entrepreneurs can create a simple fundraising website including legally compliant investment terms, raise seed capital online, manage their community of supporters, pay investors dividends over time, provide regular updates on their business's progress, and much more. It is my hope that ProFounder can change the way we support small businesses and start-ups in America.

I believe in entrepreneurs. I believe in their ability to make positive change in the world. I want to see a world in which every entrepreneur has access to the resources he or she needs to succeed, and where through the power of supportive communities -- that means you and me -- every resource can be made available.

Whether you are a goat-herder in the Great Rift Valley, a tech start-up guru in Silicon Valley, or someone simply eager to see an entrepreneur succeed, I invite you to join me. Invest in an entrepreneur. Become an entrepreneur. There is a new story to be written together.

The opinions expressed in this commentary are solely those of Jessica Jackley.

@highlight

Jessica Jackley was inspired by the example of Muhammad Yunus

@highlight

She says microlending enables people to break free of the cycle of poverty

@highlight

Jackley: Entrepreneurs have the power to improve their own lives