Washington (CNN) -- The Murray-Ryan budget plan, which passed a key Senate vote Tuesday, punches way above its weight. The relatively skinny, 77-page bill would affect millions of Americans, as well as programs, fees, companies and, oh, the entire economy for years to come. Here's our scorecard:

Winners

• The Pentagon: There are smiles among the camouflage. Thanks to Murray-Ryan, the budget-cutting hatchet has been downsized to a knife. The deal reverses billions in budget cuts so that the military's discretionary budget will actually go up $2 billion next year (over the budget-cut amount this year). Also, after years of juggling unpredictable, temporary spending bills, the two-year budget deal allows generals and admirals to do something that is military 101: Plan ahead.

Budget deal passes key Senate vote

• Federal employees: Two biggies -- the deal slashes the chances of a shutdown in January or any furloughs in 2014. And there's a bonus: A technical change in the bill allows federal workers who are married without kids to obtain health benefits under a new, cheaper "self plus one" category. They currently have no option but "single" or "family" plans.

• The needy: Head Start, Meals on Wheels, just about any federally funded program that directly serves the needy could benefit from Murray-Ryan. How exactly the numbers will land is still unknown, but because the budget deal replaces budget cuts for nonmilitary programs, nonprofits are hopeful. "This is good for us," Jenny Bertolette from the Meals on Wheels Association of America told CNN.

Another benefit: As with the military, these programs will know their funding levels for two years and can do critical planning.

• TSA: The Transportation Security Administration wins from increased security fees -- the budget gives the agency more reliable funding.

• Appropriators: Imagine Muhammad Ali in his prime, with boxing gloves on but forced to sit outside the ring. That's how the members of Congress' appropriations committees have felt for years. Once considered to be some of the most powerful people in the capital, the lack of any long-term spending agreement has nearly cut them out of the process. Until now. The Murray-Ryan plan means appropriators are back on the canvas and will decide how to carve up more than $1 trillion, agency by agency.

Zelizer: Obama's rough year

• America's reputation: For three years, the world has watched the U.S. government limp from fiscal crisis to fiscal crisis. The budget deal sends a message that even a deeply divided Congress may be able to do its job and govern.

• Santa: No fiscal cliff. No health care debate. Santa and his sleigh can lift off without any cable channels showing partisan bickering from the House or Senate floor this year.

Losers

• Young, career military: This compromise deal will mean less retirement pay for military retirees younger than 62. Specifically, it cuts the annual cost-of-living adjustments to a level under inflation.

CNNMoney: 5 things the budget deal won't do

• New federal workers: You've got a government job! Congratulations! But if you start that job after January 1, this budget bill would cut your pay by 1.3%. That would be an increased, mandatory contribution to the federal pension fund.

• Unemployed: The clock is ticking, but the budget agreement does nothing to address unemployment benefits, which expire this month for about 1.3 million Americans.

• Air travelers: You will pay more to be safe. This plan boosts the TSA security fee to $5.60 for each one-way trip. Technically, airlines pay the fee, but you know how that works. A few companies have already admitted that the increase will probably be passed on to consumers.

Rep. King slams Cruz, Paul; calls for moderate GOP voice

• Scammers and con artists: The budget deal makes it harder for anyone to access and use the Social Security numbers of dead people. And prisoners? Think twice about trying to get an unemployment check. That's illegal, and this deal will make it harder for you to pull off that scam.

• Gas and oil industry: Two hits: The petroleum industry is set to lose a $50 million research program and a kind of backdoor moneymaker in which oil companies purposely overpay into a federal fund and gain higher-than-market interest payments from the government as a result. That's fini.

• Wealthy federal contractors: This may be hard to believe, but right now, federal law will pay up to $952,308 in salary for any single contract employee. The Murray-Ryan budget deal would cut that down to $487,000.

• The years 2016-2023: While this budget deal significantly blunts forced budget cuts (the "sequester") set for the next two years, it would leave those cuts at full power for the following seven years. In addition, this bill adds a new set of forced budget cuts and a few extended fees (customs fees, for example) for 2022 and 2023.

• The long-term future of the U.S.: Medicare. Social Security. These fiscal monsters may be silent now, but are set to rise over the next two decades to become huge financial threats to both the federal budget and the U.S. economy. This bill does not address the coming long-term problems.

CNNMoney: Republicans to weigh debt ceiling demands

• Countdown clock producers: No shutdown would mean no countdown clock in January. Though, those who love them could look just a few weeks down the road in 2014 when the debt ceiling presents another fiscal deadline.

Poll: Congress neck-and-neck with car salespeople

@highlight

The Pentagon will have more certainty in planning how much money it will have to work with

@highlight

Federal employees won't have to worry about a shutdown for at least two months

@highlight

But new federal workers will start their jobs with a 1.3% pay cut

@highlight

Air travelers will pay airlines more for their security