(CNN) -- Some foods sold in supermarkets across America contain tiny, engineered particles called nanomaterials. Our organization decided to test doughnuts after learning that the titanium dioxide used as a coloring in the powdered sugar coating likely contained nano-sized particles.

The tests, conducted by an independent laboratory, found that both Dunkin' Donuts Powdered Cake Donuts and Hostess Donettes did indeed contain titanium dioxide nanoparticles. In response, a spokeswoman for Dunkin Donuts said the company was looking into the matter.

You must be wondering: What are nanomaterials? They are microscopic in size. "If a nanoparticle were the size of a football, a red blood cell would be the size of the field." Nanoparticles have been heralded as having the potential to revolutionize the food industry -- from enabling the production of creamy liquids that contain no fat, to enhancing flavors, improving supplement delivery, providing brighter colors, keeping food fresh longer, or indicating when it spoils.

But there are a few problems.

One is that no one knows how many and which food products have them. Companies are not being forthcoming about whether they are using nanoparticles. To further complicate the issue, some companies may not even be aware that they are selling products containing them.

Many companies are reluctant or uninterested in discussing the issue, and concrete information has been difficult to obtain. The majority of food companies are not responsive in providing information about their specific uses, plans and policies toward nanoparticles. There is also no law in the United States that requires disclosure. In contrast, companies in the European Union are required to label foods containing nanoparticles.

The bigger issue with nanoparticles is that they might pose health risks, as they have been found to in tests on mice.

There are not nearly enough studies that can adequately demonstrate the safety of nanoparticles in food additives or packaging. Scientists are still investigating how the broad range of nanoparticles, with their myriad potential uses, would react in the body.

When ingested, nano-sized particles can pass into the blood and lymph, where they circulate through the body and reach in potentially sensitive sites such as bone marrow, lymph nodes, the spleen, the brain, the liver and the heart.

Our knowledge about how nanomaterial food additives react in the body and their health impact is still in its infancy. While efforts are under way to understand them better, much deeper scientific inquiry should occur before nanoparticles are sold in food and food-related products.

More companies and consumers need to be aware of the use of engineered nanomaterials in foods and the potential unknown risks of this technology. More food products like M&M's and Pop-Tarts should be tested as recent studies have identified them as likely to contain nanomaterials as well.

Fortunately, a few companies have become willing to take a public position on nanoparticles.

McDonald stated that it "does not currently support the use by suppliers of nano-engineered materials in the production of any of our food, packaging, and toys." Similarly, Kraft Foods said that it was not using nanotechnology.

Some of the largest food companies in the world, including YUM! Brands, PepsiCo, and Whole Foods, need to know more about nanomaterials and check with their supplies to see if they are using them.

Americans are becoming increasingly interested in what is in the food they're eating. No longer content with label information on daily allowances of vitamins and minerals, U.S. consumers are following the lead of their counterparts in many other countries by demanding more disclosure about where and how their food is grown and whether it is safe.

Even though communicating risks to consumers can be challenging, the public's perception of safety will be paramount in determining the acceptance of nanomaterials. This is especially true for an emerging food-products technology the safety of which even the FDA has acknowledged a lack of understanding.

The opinions expressed in this commentary are solely those of Andy Behar.

@highlight

Andy Behar: Some foods contain tiny, engineered particles called nanomaterials

@highlight

Behar: Nanoparticles might pose health risks, since they have adversely affected mice

@highlight

He says not enough studies have adequately demonstrated the safety of nanoparticles

@highlight

Behar: With an emerging technology such as this, companies have to be careful