New York (CNN) -- For all the discord the Bush administration sowed on the world stage -- withdrawing from the Kyoto Protocol and various arms agreements, holding foreign nationals indefinitely at Guantanamo with restricted rights, generally disdaining multilateralism -- the previous president was rightfully celebrated for his commitment to fighting the global AIDS epidemic.

In the four years following the unprecedented creation in 2004 of the funding mechanism known as PEPFAR (President's Emergency Plan for AIDS Relief), Bush sent some $19 billion to Africa and other hard-hit parts of the world.

How much has the Obama administration added this year? Only $366 million beyond the prior year's level. It doesn't come close to the $1 billion a year the current president promised to add as a candidate.

That Republican president Bush was a bigger advocate on AIDS than "liberal" Obama may come as a surprise, but many people around the world are starting to notice the discrepancy. That includes Desmond Tutu, the former archbishop of Cape Town and Nobel laureate.

On Wednesday, Tutu took the president to task in a sharply worded New York Times op-ed that noted substantially fewer additional African HIV patients will receive treatment than did under Bush if the funding slack persists.

Indeed, according to two Harvard researchers, if aid isn't substantially increased over Bush-era levels, an estimated 1.2 million avoidable deaths could occur just in South Africa over the next five years. That would happen on Obama's watch.

Domestically, the news isn't much better.

When Obama rolled out his ballyhooed national HIV/AIDS strategy last week, there was no new funding attached, just a mandate to re-allocate existing funds to the communities most in need and the tactics that work best.

(For all his global generosity, Bush was rightly knocked stateside for prioritizing abstinence-based prevention approaches over condom-based ones. The needs of gay men, one of the most affected groups of Americans, were largely left out of the playbook altogether because of pressure from the Christian right.)

Read about men who have survived 30 years with HIV

But for all the innovative ideas in the strategy document, such as using social media to raise awareness of HIV/AIDS, what we really need is money.

The federal/state AIDS Drug Assistance Program, which provides HIV drugs to more than 200,000 uninsured and underinsured people, has a wait list of some 2,300 people. And it's growing monthly. That's too many Americans going without medicines that can save their lives.

Meanwhile, the number of people living with HIV/AIDS in the U.S. -- more than 1 million -- continues to rise.

In some cities, the situation is as bad as parts of Africa. In Washington, 3 percent of residents have HIV/AIDS.

Of course, in many parts of Africa, the statistics are much more dire. In South Africa, some 5.7 million people are HIV-positive. That's 11 percent of the population. But you wouldn't believe how few federal dollars go to finding a cure: just $40 million in 2009, according to the AIDS Policy Project.

I know the country is lurching back from recession and funds across the board are tight. But if the administration can approve hundreds of billions of dollars for stimulus spending or health care reform -- let alone the countless billions of dollars wasted by a bloated intelligence infrastructure -- then the White House can certainly commit a fraction of these amounts to help out an even worthier cause: people's well-being.

It takes vigilance to beat back the HIV/AIDS scourge, to make sure people with HIV get the treatment they need to survive, and that people without the virus stay free of it.

We've made important strides in recent years. Just this week, the promising results of a South African microbicide trial were announced, meaning that down the road women may be able to protect themselves from the virus without a vaccine. But there's still a lot to do. If America cuts back on aid, other countries will, too, because we're the pacesetter.

The Obama administration defends itself by saying the U.S. is the world's biggest financial contributor to the fight against HIV/AIDS. As important as that is, we need to keep up with the epidemic, which requires more resources every year.

Obama should listen to his fellow Nobel laureate Tutu, who helped lead his country out of apartheid, and lead the way on ending this scourge, both globally and here at home. After all, he wants posterity to judge him more favorably than Bush, right?

The opinions expressed in this commentary are solely those of Sean Kennedy.

@highlight

George W. Bush set standard for increasing U.S. aid to fight AIDS, says Sean Kennedy

@highlight

He says President Obama has not lived up to his promise to add $1 billion more to the fight

@highlight

Kennedy says national commitment to fighting HIV/AIDS needs strengthening

@highlight

He says Obama should respond to Desmond Tutu's call for spending more on HIV/AIDS