(CNN) -- Major pharmaceutical companies are increasingly looking to harness Africa's opportunity, lured by an emerging middle class across the continent's growing urban centers.

Although the total size of the African market is still small compared to other global regions, analysts say that the continent's big cities hold the key to unlocking the industry's lucrative potential.

In such areas, increasing individual wealth, coupled with a stronger health system infrastructure and a rising demand for drugs treating chronic diseases, are driving demand for pharmaceuticals, say analysts.

"Urban centers have the highest concentration of the segments of the population that are more likely to be relatively wealthy, more likely to be educated and also possibly more likely to suffer from the chronic diseases of affluence that are becoming increasingly important in Africa," says Sarah Rickwood, director of Thought Leadership at IMS Health.

Read this: Off-road bikers race to save lives in rural Africa

According to a recent IMS report, called "Africa: A ripe opportunity," pharmaceutical spending on the continent is expected to reach $30 billion in 2016, up from about $18 billion now. By 2020, the market could represent a $45 billion opportunity for drug makers, spurred in part by robust economic growth and demographic changes.

This can only be good news for people like Rudzani Modau, owner of Mangalani Pharmacy in Soweto, just outside Johannesburg in South Africa.

"The pharmaceutical business is growing and it will grow," says Modau. "It's the next big thing in Africa."

Modau says his profits have soared over the last decade. "We have a lot of potential in Africa," he adds.

According to the World Health Organization (WHO), Africa is home to 11% of the world's population, yet accounts for 24% of the global disease burden.

But while infectious illnesses such as HIV/AIDS and tuberculosis still remain a major problem, the continent is also expected to experience a surge in demand for treatment of non-communicable diseases (NCD), such as cardiovascular and respiratory disorders as well as cancer and diabetes, in the coming years. The WHO estimates that by 2020 the biggest increases in NCD deaths will occur in Africa.

"We're seeing a movement of volume towards more products that treat chronic diseases," says Rickwood. "As urban populations are becoming wealthier, they're more likely to have a Western diet, they're living longer and they're going to suffer the kind of chronic diseases that Western individuals suffer."

A 2011 report by the African Development Bank said that Africa's middle class -- defined as people spending between $2 and $20 a day at 2005 prices -- increased to 34% of the continent's population in 2010 -- nearly 313 million people. The continent's urban population is also projected to exceed that of China and India by 2050, according to U.N. figures.

Next to major market-leading multinationals such as Sanofi and GlaxoSmithKline, which traditionally have had a strong presence in the continent, a diverse mix of drug manufacturers have made significant inroads in recent years. Indian and Chinese companies have more than doubled their imports to Africa over the last decade.

In addition, some local players in South Africa and northern Africa have also had success, reaping the benefits of an already established market. In 2011, South Africa, Egypt, Algeria and Morocco accounted for more than half of the continent's pharmaceutical sales.

It's not surprising, then, that major cities in these countries are expected to be at the forefront of the industry's growth. According to IMS, between 20-30% of Africa's $30 billion opportunity in 2016 will be driven by the top 10 cities in the continent -- all of them in South Africa and northern Africa, with the exception of Lagos in Nigeria.

Excluding South Africa and northern Africa, 10 major sub-Saharan Africa cities make up another 12% of the 2016 forecast.

"There is a rapidly growing opportunity across Africa, not just in the markets that are well established," says Rickwood. "Growth is strong and the macroeconomic indicators are that growth will continue to be strong over the next 10 years and probably beyond."

Read this: African CEOs look to bright future

Yet companies keen to tap Africa's pharmaceutical opportunity must overcome several challenges whilst operating in a diverse and heterogeneous market, made up of more than 50 countries, different languages, varied regulations and unequal levels of infrastructure development.

Amid such challenges, the industry is also keeping an eye on the substantial threat posed by counterfeit drug makers, who are also trying to benefit from Africa's expanding demand for modern medicines.

"Frankly, the presence of counterfeit keeps me up at night," admits Kofi Amegashie, managing executive for the Africa region for Adcock Ingram Healthcare, a South African pharmaceutical company.

"We've had instances of counterfeit in East Africa, so far that's where we found counterfeit. You've got to live with it, in that we can't eradicate it completely, but we've got to stay on top of finding a counterfeit and bringing its presence to the authorities."

Still, despite these challenges, insiders say the industry's future is bright.

"Without a shadow of a doubt," says Amegashie. "I'd say that there is a boom and it's going to get even stronger as the middle class grows. And I think you've got to be on the ground now to be able to win in this segment."

@highlight

Africa's urban middle class is attracting pharmaceutical firms

@highlight

Analysts say pharmaceutical spending will rise to $30 billion by 2016

@highlight

The continent is expected to experience a rise in demand for chronic disease treatments

@highlight

Lack of infrastructure, varied regulations and counterfeit drugs are challenges