London (CNN) -- It may not be the prettiest, but the world's smallest, cheapest personal computer is inspiring a wave of delightful DIY innovation among tech hobbyists across the planet.

With a price tag of just $25, the unassuming Raspberry Pi is an easily-programmable, open-source single board computer, about the size of a credit card, whose cost, size and low power requirements make it ideally suited for backyard inventors.

Described by its creator, University of Cambridge professor Eben Upton as "an attempt to try and reboot some of that 1980s computer industry feel," the technology has been embraced by creative hackers worldwide and put to use in home weather stations to hot air balloon tracking and camera systems.

The RPi has been shortlisted in London's Design Museum "Designs of the Year" awards, with judges citing its affordability, power and accessibility to children. As part of the exhibition accompanying the prizes, examples of creative uses of RPi are on display at the museum until July 7.

They include a stylish, personalized train departure board created by Gareth James of Hove, UK, which provides the times of the next trains to Brighton.

"It's great to have a dedicated piece of connected hardware that looks nice and sits and waits to be useful," he said. "Whenever I'm thinking of leaving the house I can easily check the next train time. Plus, it looks good on the wall... No longer do I end up hanging around on the cold train platform."

Read/Watch: Why everyone wants a slice of Raspberry Pi

Alyssa Dayan and Tom Hartley created AirPi, an air quality and weather surveillance station that uses RPi to take readings from an array of sensors, translating the data into meaningful information and uploading it on to the internet. The project cost only Â£55 on top of the cost of the RPi.

Dayan said the team had designed the device and set up a website "not only to take our own air quality and weather readings but to encourage and teach others to do the same -- and hopefully eventually create a network of measurements coming in from across the world."

She said one of the key benefits of RPi was the ease with which components could be added to the board, which, combined with its cost, made it a great entry point to introduce children to electronics.

"I think the user-friendliness of computers has gotten to the extent that far too many people simply have no idea what goes on inside them," she said. "Inventions like the Raspberry Pi really help to change that."

A team from PA Consulting Group created a private cell phone network by connecting the RPi to a radio interface.

"We've shrunk a 30-foot base station into a three-inch Raspberry Pi and created our own mobile phone network," said PA's Frazer Bennett. "This proves what can be achieved through low-cost off the shelf-systems."

Read/Watch: Demystifying cloud threats and firewalls

In a more playful spirit, Tom Rees created a car out of Lego that is controlled using the console from a gaming system.

"It is easier than ever (and less scary than ever) to have your computer control your house, move a robotic arm, turn a wheel, read the temperature, or speak your weight," he said. "The sky is the limit."

High-altitude ballooning enthusiast David Akerman can attest to that. He's using RPi to track and transmit photographs from his unmanned balloon flights, which have ascended 40.5 kilometers (25.2 miles) into near space with a camera.

"The Pi has plenty of memory and processor power, meaning that it can take several photographs and then send the best image to transmit," he said.

"Balloon payloads swing and rotate a lot and many of the images will be directly at the sun or the black sky, and my software rejects all of those."

Akerman, whose RPi invention isn't included in the design Museum exhibition, is tinkering on improvements that will allow him to send better and larger images from the flight, and is optimistic of besting his highest altitude on the next flight. "I'm hoping to fly this in the next few weeks," he said.

@highlight

Raspberry Pi s an easily-programmable, open-source computer that sells for $25

@highlight

Its cost, size and low power requirements have made it a hit with backyard inventors

@highlight

Creative uses of the RPi are on display in London's Design Museum

@highlight

They range from home weather surveillance stations to personal mobile phone networks