(CNN) -- News that U.S. President Barack Obama is planning to attend next week's Asia-Pacific Economic Cooperation summit in Beijing has been extremely welcome. China is thrilled to have President Obama as one of our guests, especially as the success of any initiatives that emerge from APEC rest squarely on cooperation between China and the United States.

Such cooperation is as important as ever, and this meeting -- an event I have been involved in for many years -- offers an opening to ending confusion among neighbors in the Asia-Pacific region while setting the stage for vigorous economic cooperation and integration in the coming decades.

The reality is that without strong participation by China and the United States, APEC would not have made such remarkable progress. When China and the United States find ways to work together, all nations benefit.

But shared economic growth cannot come through the decisions or actions of a single country. Instead, economic integration should be seen as a vital driving force for economic growth and prosperity in the region.

For example, there have been at least 70,000 jobs created in the United States as a result of Chinese investment, according to the Rhodium Group, a New York-based economic analysis think tank. These ventures have been characterized by shared goals and a spirit of trust and cooperation.

Meanwhile, the realization of a Free Trade Area of the Asia-Pacific, which was first initiated by the United States at APEC in 2006, has grown ripe with economic potential. How?

The FTAAP would open a free trade zone that would considerably expand commerce and economic growth in the region. No existing mechanism incorporates both the United States and China, the two largest economies in the world, into a free trade agreement framework, something that would be remedied by the FTAAP.

If we put FTAAP into action, the income gains for the United States could approach $202 billion by 2025, according to the Peterson Institute for International Economics. Such enormous economic activity across the Pacific would in turn translate into more jobs for Americans, among other benefits.

Another key factor if we want to boost economic growth across the region is infrastructure.

Right now, there is a huge gap between how things stand and the growing demand for greater connectivity and infrastructure development in the Asia-Pacific region. This shortfall is acting as a bottleneck for further development of the regional economy, a fact underscored by the Asian Development Bank, which estimates the region needs $8 trillion for infrastructure development between 2010 and 2020.

To help eliminate this bottleneck, China has proposed the establishment of a new, internationally funded and managed bank -- the Asian Infrastructure Investment Bank. Such a body would offer efficient financing for badly needed transportation, telecommunications and energy projects across the region, and it could be a strong, complementary source of financing development to institutions such as the World Bank and Asian Development Bank.

We therefore hope this idea will secure the necessary support as the United States and other nations recognize the need to fund such critical projects.

Finally, innovation is vital if we are to boost the overall prospects for the region, and the United States and China have a unique opportunity to find ways to combine their expertise and experience to find innovative ways of enhancing our economies, as well as those of our friends in the region.

Chinese tech company Alibaba offers an example of what such teamwork can look like in practice.

In September, Alibaba's initial public offering listing on the New York Stock Exchange was priced at $68 per share, raising $21.8 billion for the company and investors and making it the largest U.S. IPO in history, with Yahoo the largest U.S. investor. In this case, China provided an innovative business model in Alibaba, and the U.S. provided a financing platform -- a clear example of the benefits for both nations of working together, and something we need to do more of.

When I started working closely with APEC, I could not have imagined that it would develop into such a leading forum for economic cooperation in the Asia-Pacific region. Fast forward more than 20 years, and it is now clear the group is ready to shape and inspire future partnerships for all of us.

@highlight

Chinese ambassador to U.S.: China is thrilled President Obama will be attending APEC

@highlight

Cooperation between our two countries essential, he says

@highlight

The recent Alibaba IPO is an example of the benefits of a Sino-U.S. partnership, he says