Elon Musk unveiled his much anticipated plans for the Hyperloop by releasing his 57-page technical white paper titled "Hyperloop Alpha."

The Hyperloop is intended to become the "fifth" mode of transportation -- a tube under or over the ground that would transport a dozen or so people in individual pods. The actual size will likely depend on technology, but the idea is to provide exceptionally fast service to the traveling public between cities under 900 miles apart. The innovation could move people from Los Angeles to San Francisco in 30 minutes with the pods traveling up to 800 miles per hour.

It all sounds pretty cool and very space age. (Jetsons, anyone?)

Is it too good to be true?

Yes, for now. And Musk knows it. But that doesn't make the idea any less relevant. The white paper properly draws attention to the future. Indeed, from a layman's perspective, Musk seems to lay out a plausible path for the applied technology needed to bring the Hyperloop into reality.

Recall that steam railroads were almost as pie-in-the-sky before Scottish inventor William Murdoch invented the first workable prototype steam locomotive in 1784. The idea of propelling humans at "break neck" speeds of between 25 or 35 miles per hour, let alone 50 miles per hour or more by 1850, was considered the stuff of fancy.

Hyperloop isn't the only transportation idea out there

In more contemporary times, stunning transportation infrastructure projects have achieved feats unthinkable until technological breakthroughs made them possible. France's Millau Viaduct is the tallest bridge in the world, with its roadway suspended 890 feet (270 meters) above the valley of the River Tarn and one of its towers rising to 1,124 feet (343 meters).

But the historical reality is that economic hurdles may prove more important than the technological ones. In the longer term, the Hyperloop will have to deliver a service the traveling consumer will want and be willing to pay for before it can create the revolution Musk envisions.

On this point, the Millau Viaduct provides critical insights into what could make the Hyperloop a success.

Constructing the bridge was technically impossible just decades earlier, and improvements in technology on the margin slowly made the concept feasible. New developments in materials and computer-controlled construction techniques brought it into the realm of possibility and profitability.

The potential profitability may well be the more important element. The bridge was built by a private construction company, Compagnie Eiffage, under a 75-year concession that would be paid by tolls. In other words, the company had enough confidence in the practical benefits of the bridge that it was willing to commit to a half billion to the project.  Those practical benefits would have to be paid for by consumers through tolls. Without the tolls, the project would likely not have gotten off the ground, even though it was technologically feasible and it could cut travel times by as much as four hours.

Thus, while the Hyperloop may be theoretically if not be technically feasible now, the real long-run hurdle for Musk and the project's developers will be whether the new transportation system provides a tangible benefit significant enough to a large enough swath of the traveling public that its costs will be justified by the benefits they receive.

Hyperloop vs. world's fastest trains

Notably, using similar technology, 12 bridges with higher road decks have been built since the opening of the Millau Viaduct (although it still retains the record as the highest bridge).

Mega-projects are often judged by their technical merits. But these projects need to do more than satisfy the egos of engineers and futurists. Their social impact and practical importance depend crucially on their ability to deliver broad-based benefits in tangible ways that become the foundation for long-term sustainability.

Musk has done an admirable job of setting the stage for a useful public discussion. Now we should be more focused on the long-run economic merits of his proposal instead of the short- term technical hurdles.

@highlight

Elon Musk released a white paper about Hyperloop, a fast mode of transportation

@highlight

Samuel Staley: Hyperloop may sound like science fiction, but it's probably feasible

@highlight

He says economic hurdles may prove more important than the technological ones

@highlight

Staley: Hyperloop's existence will depend a lot on what consumers are willing to pay