(CNN) -- A one-way ticket to Mars.

Presuming you get there, who wouldn't want to come back? As it turns out, plenty of people.

This spring, the Netherlands-based Mars One Project began accepting applications for that one-way ticket. Between April and early September, more than 165,000 people from around the world tossed their names into the hat.

Clearly, the end of the U.S. space shuttle program in 2011 did nothing to diminish the appeal of extraterrestrial adventures. "Exploration and a sense of discovery are innate in humans, more in some and less in others," says Aashima Dogra, editorial manager at Mars One.

Even if you're not one of those shopping around for spacesuits, the Final Frontier holds plenty of fascination: Consider how many were enthralled last May by Canadian astronaut Chris Hadfield's rendition of David Bowie's "Space Oddity," performed and videotaped aboard the International Space Station.

So maybe it's time for an Earthbound expedition inspired by the stars. For cautious enthusiasts -- or Mars One applicants waiting to hear back -- here are six space-related destinations on terra firma:

The U.S. Space & Rocket Center, Alabama

If you missed out on Space Camp as a kid, it's not too late to live the dream: The U.S. Space & Rocket Center in Huntsville, Alabama, also offers a 2-day camp for adults, as well as three- and four-day camps for families. Prices for these camps range from $299-$549 per person and give attendees a chance to experience elements of astronaut training, rocket construction and mission control. There are simulations aplenty at the center's museum, too: the G-Force Accelerator, a Space Shot that rockets you 140 feet in 2.5 seconds, and -- a highlight for Mars One aspirants -- a Mars Mission capsule. Follow up the action with downtime in the center's extensive galleries and archives.

Open daily, 9 a.m. to 5 p.m. Admission is $20 for children 6-12, $25 if you're over 13. 800-637-7223

Giant airliners: Does size matter?

The Hayden Planetarium, New York City

Why settle for seeing Mars when you can journey far outside our galaxy? At the Hayden Planetarium in Manhattan, extraordinary visuals give you the impression of interstellar travel -- and a mind-boggling reminder of the scope of it all. The Digital Universe, a "3-D atlas of the universe" developed specially by the planetarium, makes possible fantastic shows like the new "Dark Universe" show now in the works, or one-time events like "Astronomy Live: The Grand Tour" on October 29. Programs like these take viewers beyond our solar system to explore distant stars and obscure galaxies. Tickets are $15 for adults, $13.50 for children. 212-769-5100

International UFO Museum and Research Center, New Mexico

While some humans are packing for Mars, others believe the residents of distant planets have been visiting us for years. In 1947, ranchers near Roswell, New Mexico, came upon unusual debris that would form the basis of perhaps the most famous UFO story of all time. The town has memorialized the incident with the International UFO Museum and Research Center, opened in 1996. Memorabilia includes original broadcasts pertaining to the event and models of debris based on eyewitness accounts. There are also photos of possible UFOs from around the world and an extensive library relating to UFOs and crop circles. "We're not here to convince people one way or the other," says executive director Mark Briscoe. "It's for all individuals to make up their own minds." Open 9 a.m. to 5 p.m. daily. Admission is $5 adults, $2 children 15 and under. 800-822-3545.

Spaceport America, New Mexico

After looking to the past in Roswell, drive west to glimpse the future at Spaceport America in the Jornada del Muerto desert. Though not yet complete, the world's first purpose-built commercial spaceport is welcoming preview bus tours before operations kick into full gear. The spaceport's chief tenant is Virgin Galactic, the space exploration arm of Sir Richard Branson's Virgin Group, which has already taken over 600 (refundable) booking deposits for $250,000 seats on future space flights.

Tours offer a sneak preview of what's sure to be a headline-grabbing grand opening. The 18,000-acre Spaceport site is home to an airfield, launch facilities, the mission control building and the architecturally arresting terminal hangar. The 3Â½-hour tours also include information on the latest developments in space exploration technology and the new, commercial space race. Reservations are required. Contact tour operator Follow the Sun, Inc. Tours depart twice a day on Fridays and Saturdays, and once on Sundays. Cost is $59 for adults, $49 for children 13-17, and $29 for children 12 and under. 866-428-4786.

Spanning the globe for scary bridges

The Kennedy Space Center, Florida

Manned shuttles no longer light up the sky above Kennedy Space Center in Cape Canaveral, Florida, but the center's visitor complex remains an essential destination for space enthusiasts. The biggest exhibit these days is the Space Shuttle Atlantis attraction, which includes not only the craft itself, but landing and docking simulators. Regular buses run to the Apollo/Saturn V Center, featuring historic vehicles and exhibits relating to the Apollo program and moon landing. Each day, a bona fide astronaut does a presentation on his or her life and experiences. And if you're lucky, you may even catch a rocket launch, which happen roughly every few weeks. The visitor complex is open 365 days a year, 9 a.m. to 7 p.m. Admission is $50 for adults, $40 for children 3-11. Call for reservations: 877-313-2610. (It's still open during the U.S. government shutdown.)

Trekcetera Museum, Canada

In the world of pop culture, nothing has inspired more would-be astronauts than "Star Trek." The little town of Vulcan in Alberta, Canada, has made the most of its Trekkish name, with a Star-Trek themed tourism office, a replica of the Enterprise, and other memorabilia. This summer it added the Trekcetera Museum, sure to put Vulcan more firmly on the mental map of any thorough Trekkie. Billed as "Canada's only 'Star Trek' museum," its displays feature original costumes and props from both the movies and TV shows. Fall opening hours are 10 a.m. to 5p.m., closed Tuesdays. Tickets cost $12 for adults, $8 for seniors and children.

@highlight

Experience the G-Force Accelerator rocketing you 140 feet in 2.5 seconds

@highlight

Explore the "Dark Universe" without leaving New York City

@highlight

Tour the world's first purpose-built commercial spaceport in New Mexico

@highlight

Visit Canada's Star Trek museum in the perfectly-named town of Vulcan