Nairobi, Kenya (CNN) -- Several gunmen remain inside a besieged mall in Nairobi, Kenya, two senior officials said, as a deadly standoff between Kenyan forces and terrorists stretches into a fourth day.

Kenya's Interior Ministry tweeted late Monday that authorities were in control of the Westgate Shopping Mall -- the latest in a series of social media posts from officials reassuring a nervous public that there was little chance of escape for any surviving Al-Shabaab gunmen who had terrorized the mall, killing at least 62 people.

"Taken control of all the floors. We're not here to feed the attackers with pastries but to finish and punish them," Kenyan police Inspector General David Kimaiyo said on Twitter.

But even as police stressed on Twitter that they were in charge of the situation, two senior Kenyan officials told CNN that gunmen -- including snipers -- were still inside the four-story mall.

It wasn't clear whether any hostages remained. The Kenya Red Cross said 65 people were missing after the attack.

Gunfire echoed from the mall sporadically during the day, sending journalists and aid workers scrambling for cover. Thick heavy smoke -- from a fire set by terrorists, according to Kenyan authorities -- billowed into the air much of the afternoon.

Kenya assault raises new fears about Somali recruitment

Three terrorists have been confirmed killed since Saturday, the Interior Ministry said Monday. Eleven Kenyan soldiers have been wounded, according to the Kenya Defence Forces. More than 200 civilians have been rescued, the military said.

Away from the mall, Kenyan authorities said they had arrested more than 10 people for questioning in connection with the attack, including at least four taken into custody at an airport.

Authorities urged law enforcement officers to closely scrutinize travelers' documents, and the country's Immigration Department said in a tweet that it had increased security at entry and exit points.

Surviving the Nairobi mall massacre: 'Just lucky'

Americans involved?

Kenyan Foreign Minister Amina Mohamed told "PBS NewsHour" that some of the attackers had come from the United States. She said they were originally from Minnesota and Missouri, PBS reported Monday.

"As you know, both the victims and the perpetrators came from Kenya, the United Kingdom and the United States," she said. "From the information that we have, two or three Americans, and I think so far I've heard of one Brit" as being among the attackers.

"The Americans, from the information we have, are young men, about between maybe 18 and 19, of Somalia origin or Arab origin," Mohamed told PBS. She offered no other specifics.

Her comments seemed to expound on those of Gen. Julius Karangi, chief of Defense Forces.

"We have an idea who these people are and they are clearly a multinational collection from all over the world," he told reporters in Nairobi. "This is not clearly a local event. We are fighting global terrorism here."

Before its Twitter account was suspended, Al-Shabaab issued a list of the names of nine people it said were among the attackers. It said three were from the United States, two from Somalia and one each from Canada, Finland, Kenya and the United Kingdom.

Sources within Al-Shabaab also told CNN that the nine names published on Twitter were among the alleged hostage-takers, but CNN has not been able to independently confirm that.

U.S. officials don't have any confirmation of Americans having been involved in the attack, according to Deputy National Security Adviser Ben Rhodes and another senior official.

Intelligence analysts are poring over electronic intercepts in an effort to verify the terror group's claims, two law enforcement sources told CNN.

The FBI also was looking into the claims, law enforcement officials told CNN.

"At this point we have no definitive evidence of the nationalities or identities of the perpetrators," State Department spokeswoman Jen Psaki said Monday.

In the past, federal officials and Somali-American leaders in Minneapolis have reported that Al-Shabaab has recruited young men there to go to Africa to fight.

U.S. President Barack Obama expressed condolences over the attack after a meeting on the sidelines of the U.N. General Assembly Monday. He didn't specify whether Americans had been involved, but he pledged U.S. support and described the situation as a matter of global concern.

"This, I think, underscores the degree to which all of us as an international community have to stand against the kind of senseless violence that these kinds of groups represent," Obama said.

The siege

The terrorist attack began at midday Saturday, Nairobi time, with an estimated 10 to 15 gunmen taking over the mall in what hospital volunteer Abiti Shah said witnesses told her was "like a Hollywood action scene."

"They just started firing in the air," Shah said, retelling the witness accounts.

A youth cooking competition was taking place at the mall at the time, and terrified shoppers fled for their lives as gunfire echoed through the building.

Witnesses said the gunmen went from store to store, shooting people, and then took hostages.

Survivor Bendita Malakia, a North Carolina woman who moved to Nairobi in July, told CNN affiliate WAVY that she took refuge behind the closed metal gates of a store with dozens of others.

The Kenyan spirit cannot be broken, says eyewitness resident

"While we were back there, you could hear them methodically going from store to store, talking to people and asking questions," she said. "They were shooting, screaming. Then it would stop for a while and they would go to another store."

Al-Shabaab has claimed that the attackers targeted non-Muslims and vowed they would not negotiate for the hostages' lives. CNN security analyst Peter Bergen said the terrorists apparently took hostages only to prolong the siege and win more media attention.

The dead

Most of the dead were said to be Kenyans.

Six British citizens, two French nationals, two Indians and two Canadians, including a diplomat, also died, their governments said.

Those killed include:

• Elif Yavuz, a senior vaccines researcher for the Clinton Health Access Initiative based in Tanzania. Yavuz, a Dutch national, was pregnant and expecting her first child in October, according to Julio Frenk, dean of faculty at the Harvard School of Public Health. "Elif was brilliant, dedicated, and deeply admired by her colleagues, who will miss her terribly," the Clinton family said in a statement. The Dutch Foreign Affairs Ministry confirmed a 33-year-old Dutch woman had been killed.

• A major African poet, author and Ghanian statesman, Kofi Awoonor, Ghana's president said. Awoonor received his Ph.D. from New York's Stony Brook University and was a professor of literature there in the 1970s.

• The nephew of Kenyan President Uhuru Kenyatta and the man's fiancee.

• A Peruvian doctor, Juan Jesus Ortiz, who had previously worked for the United Nations Fund for Children and lived in Kenya doing consulting work, the country's Foreign Affairs Ministry said.

• Sridhar Natarajan, 40, an Indian national and employee of a local pharmaceutical firm, and 8-year-old Paramshu Jain, the son of a bank branch manager, CNN sister network CNN-IBN reported, citing government officials in New Delhi.

The wounded

Kenyatta said more than 175 people had been wounded. Five were Americans, the State Department said Sunday.

Elaine Dang, 26, a University of California, Berkeley, graduate from San Diego, underwent surgery to her chest, arms and legs.

"I'm OK, I'm very grateful to be alive," she told CNN affiliate KFMB-TV

She said two friends died in the attack.

Al-Shabaab breaks new ground with complex Nairobi attack

The terrorists

The Somalia-based Al-Shabaab terror group had said on Twitter that it had sent the gunmen to the mall in retaliation for Kenya's involvement in an African Union military effort against the group, which is al Qaeda's proxy in Somalia.

Last year, the Kenyan military was part of a peacekeeping force that defeated Al-Shabaab forces to liberate the key Somali port of Kismayo.

Since Kenya launched attacks against Al-Shabaab in Somalia in 2011, the group has hurled grenades at Kenyan churches, bus stops and other public places.

The mall attack is the deadliest terror attack in Kenya since al Qaeda blew up the U.S. Embassy there in 1998, killing 213 people.

On Monday, Kenya's foreign minister told CNN it's clear that Al-Shabaab was not acting alone.

"This bares the hallmarks of al Qaeda. This is not just Al-Shabaab. In fact, the leaders are not Somali, as you may have heard. This was al Qaeda. It was a very well-coordinated effort, it was very well planned," Mohamed said.

But the attackers' national origins are irrelevant, she said.

"It doesn't matter where they come from. There are some Americans. There are some Brits. There are some others. It has nothing to do with the nationality of people," Mohamed said. "They are all evil and we must deal with them as such."

Al-Shabaab grew amid Somalia's lawlessness

The investigation

Lenku said that Monday's effort to roust the terrorists was a Kenyan operation, but government sources told CNN that Israeli special forces also were at the scene.

Kenyatta, the Kenyan president, vowed Sunday to punish those responsible for the attacks.

"They shall not get away with their despicable, beastly acts. Like the cowardly perpetrators now cornered in the building, we will punish the masterminds swiftly and indeed very painfully," he said.

U.S. Secretary of State John Kerry promised an American investigation.

Kenya bloodshed: World leaders react

"Obviously, it's an enormous offense against everybody's sense of right and wrong," Kerry said. "It represents the seriousness and the breadth of the challenge we face with ruthless and completely reckless terrorists, and we're going to pursue them."

Michael Pearson reported and wrote from Atlanta; Zain Verjee and Nima Elbagir reported from Nairobi. CNN's Arwa Damon, Becky Anderson, Lillian Lesposo, Holly Yan, Greg Botelho, Brian Walker, Jackie Castillo, David Simpson, Dominique Dodley and Kevin Conlon also contributed to this report.

@highlight

NEW: Kenyan minister: "From the information that we have," 2-3 of the attackers are American

@highlight

Gunmen, including snipers, remain inside the mall, two senior officials say

@highlight

On Twitter, Kenyan officials say they're in control of the situation

@highlight

Kenya Red Cross: 65 people are unaccounted for after the attack