Washington (CNN) -- House Speaker John Boehner's plan to raise the nation's debt ceiling and slash government spending narrowly passed his chamber on Friday and then was blocked by Senate Democrats, setting up a weekend of negotiations to seek a deal that would avoid a potential federal default next week.

The Senate vote was 59-41 to table the measure, which effectively kills it unless Democrats decide to bring it up again.

Earlier, Boehner's proposal was approved by the House in a sharply polarized 218-210 vote that was delayed by a day while the speaker rounded up support from wary tea party conservatives. No Democrats supported the measure, and 22 of the 240 members of the Republican majority also opposed it.

Even though it was blocked in the Senate, the Boehner plan now is the Republican negotiating position for hammering out a deal with congressional Democrats and President Barack Obama to avert a possible government default next week.

However, no face-to-face talks were scheduled, with Democrats accusing Senate Republican Leader Mitch McConnell of refusing to negotiate and McConnell in turn seeking a chance for his caucus to reject a proposal offered by Senate Democratic Leader Harry Reid as a vehicle for compromise.

Democratic and Republican sources familiar with the situation told CNN that McConnell insists the White House be present in further negotiations toward a debt ceiling deal.

In a continuation of the political theater that has characterized the negotiations so far, the House scheduled a vote on the Reid plan for Saturday -- before the Senate will even begin considering it -- as what appeared to be payback for the rejection by Senate Democrats of the Boehner proposal.

Reid, meanwhile, said the Senate will likely vote to take up his plan at 1 a.m. Sunday ET as part of the procedural path required to get something passed in coming days.

As the political maneuvering continues, the clock continues to tick down. If Congress fails to raise the current $14.3 trillion debt ceiling by August 2, Americans could face rising interest rates and a declining dollar, among other problems.

Some financial experts have warned of a downgrade of America's triple-A credit rating and a potential stock market plunge. The Dow Jones Industrial Average dropped for a sixth straight day on Friday.

Without an increase in the debt limit, the federal government will not be able to pay all its bills next month. Obama recently indicated he can't guarantee Social Security checks will be mailed out on time.

Defense Secretary Leon Panetta issued a statement Friday to remind military personnel that they should plan to come to work next week as scheduled, regardless of whether a deal gets worked out. Panetta pledged to do "everything possible to ensure that our national defense is protected."

A Department of Defense official told CNN on condition of not being identified that on the possibility of military pay being withheld, "it's not a question of whether, but when, if an agreement isn't reached."

Friday's House vote was a critical test of Boehner's control over his tea party-infused GOP caucus. The speaker was forced to quell a right-wing revolt over the measure after a number of members complained that it doesn't do enough to shrink the size of government and stem the tide of Washington's red ink.

Boehner, R-Ohio, managed to sway several of those members by including a provision requiring congressional passage of a balanced budget amendment to the Constitution before the debt ceiling can be extended through the end of 2012.

In his floor speech before the vote, Boehner called the proposal imperfect but necessary, and he criticized Obama and congressional Democrats for rejecting all deficit reduction measures passed by the House so far.

"We've tried to do our level best ... but some people continue to say no," Boehner said, adding: "I stuck my neck out a mile to try to get an agreement with the president of the United States."

His voice rising to a shout, Boehner continued to cheers and applause from fellow Republicans: "It is time for this administration and the other party across the aisle -- put something on the table. Tell us where you are."

Democratic leaders vehemently object both to the balanced budget amendment and the requirement of a second debt ceiling vote before the next election. They argue that reaching bipartisan agreement on another debt ceiling hike during an election year could be nearly impossible, and that short-term extensions of the limit could further destabilize the economy.

Earlier in the day, Obama urged Senate Democrats and Republicans to take the lead in the congressional deliberations.

Boehner's plan "has no chance of becoming law," Obama said. "The time for putting party first is over. The time for compromise on behalf of the American people is now. ... It's important for everybody to step up and show the leadership that the American people expect."

"This is not a situation where the two parties are miles apart," the president insisted. But "we are almost out of time."

Obama urged Americans to contact their members of Congress "to keep the pressure on Washington." Phone lines on Capitol Hill were jammed Friday as people from coast to coast tried to weigh in on the debate.

Meanwhile, Reid, D-Nevada, has been pushing his own plan to raise the debt limit, though he will need to win over at least seven Senate Republicans to win the 60 votes necessary to overcome a certain filibuster.

Reid announced Friday morning that he intended to "take action" on a Senate bill by the end of the day. Later, he complained on the Senate floor that Republicans would effectively filibuster his proposal by requiring a 60-vote super-majority in the 100-member chamber to support the start of debate on it. It was unclear when Reid would attempt to hold that vote, and he warned it could as late as 1 a.m. ET Sunday.

Reid also blasted Boehner's decision to include a mandatory balanced budget amendment provision in the GOP plan, calling the addition of "even more stuff in this right-wing leaning bill. ... It's really hard to comprehend."

Sen. Chuck Schumer, D-New York, accused Boehner of "adding all kinds of unrealistic poison pills to his plan."

But McConnell, R-Kentucky, argued Senate Democrats were doing little to actually resolve the crisis.

"I would suggest to my friends on the other side ... that they start taking their responsibilities as a majority party a little more seriously, because at this point, the only people who are disregarding the consequences of default are Senate Democrats -- not the Republicans in the House -- but them," McConnell said. In a statement after the House vote, McConnell said: "I eagerly await the majority leader's plan for preventing this crisis."

Leaders of both parties now agree that any deal to raise the debt ceiling should include long-term spending reductions to help control spiraling deficits. But they differ sharply on both the nature and timetable of the cuts.

Despite the strong partisan rhetoric, there have been signs of a growing recognition of a need for further compromise. Earlier this week, McConnell called for renewed negotiations with Obama, and indicated that his party must be willing to move away from some of its demands.

Sources close to the negotiations have also told CNN that Vice President Joe Biden is very much in the mix of back-channel conversations on a possible fallback position.

White House Chief of Staff Bill Daley told CNN Thursday that, presuming the Boehner plan wins House approval and gets blocked in the Senate, the next step is for everyone "to take a step back in the Congress and look at where is a point of compromise."

Daley said that similarities between the Boehner and Reid plans "may be the grounds for a deal that, hopefully, both parties can pass."

Both plans suffered setbacks earlier this week when the nonpartisan Congressional Budget Office released reports concluding that they fell short of their stated deficit reduction goals.

Boehner's plan, which has since been revised, proposed generating a total of $917 billion in savings while initially raising the debt ceiling by $900 billion. The speaker has pledged to match any debt ceiling hike with dollar-for-dollar spending cuts.

His plan, however, would require a second vote by Congress to raise the debt ceiling by a combined $2.5 trillion -- enough to last through the end of 2012. It would create a special congressional committee to recommend additional savings of $1.6 trillion or more.

Any failure on the part of Congress to enact mandated spending reductions or abide by new spending caps would trigger automatic across-the-board budget cuts.

The plan, as amended Friday, also calls for congressional passage of a balanced budget amendment to the Constitution before the second vote to raise the debt ceiling, which would likely be required at some point during the winter.

As for Reid's plan, a revised version he proposed Friday would reduce deficits over the next decade by $2.4 trillion and raise the debt ceiling by a similar amount. It includes $1 trillion in savings based on the planned U.S. withdrawals from military engagements in Afghanistan and Iraq.

Reid's plan also would establish a congressional committee made up of 12 House and Senate members to consider additional options for debt reduction. The committee's proposals would be guaranteed by a Senate vote with no amendments by the end of the year.

In addition, it incorporates a process based on proposal by McConnell that would give Obama the authority to raise the debt ceiling in two steps while providing Congress the opportunity to vote its disapproval.

Among other things, Reid has stressed that his plan meets the key GOP demand for no additional taxes. Boehner, however, argued this week that Reid's plan fails to tackle popular entitlement programs such as Medicare, which are among the biggest drivers of the debt.

A recent CNN/ORC International Poll reveals a growing public exasperation and demand for compromise. Sixty-four percent of respondents to a July 18-20 survey preferred a deal with a mix of spending cuts and tax increases. Only 34% preferred a debt reduction plan based solely on spending reductions.

According to the poll, the public is sharply divided along partisan lines; Democrats and independents are open to a number of different approaches because they think a failure to raise the debt ceiling would cause a major crisis for the country. Republicans, however, draw the line at tax increases, and a narrow majority of them oppose raising the debt ceiling under any circumstances.

CNN's Ted Barrett, Kate Bolduan, Gloria Borger, Keating Holland, Brianna Keilar, Jeanne Sahadi, Xuan Thai, Jessica Yellin, Barbara Starr and Deirdre Walsh contributed to this report

@highlight

NEW: Sen. Reid revises his plan to bring $2.4 trillion in savings

@highlight

NEW: Defense Secretary Panetta asks for patience from the military

@highlight

The Senate blocks House Speaker Boehner's debt ceiling plan

@highlight

Congress must raise the $14.3 trillion debt ceiling by August 2 or risk default