(CNN) -- I got chills -- not once but several times -- during Tuesday's Google Hangout with five women named to The CNN 10: Visionary Women list.

The panel of women from truly diverse backgrounds provided fertile ground for discussion around the theme: What's the future of women at work?

Veronika Scott, who has devoted her life to helping the homeless reenter the work world, got personal about growing up in a family "constantly struggling in poverty" and watching what it does to parents "when they're constantly afraid."

"There's anger. They don't know when they're going to feed their kids next. They don't know if they can afford rent," she said.

Equally powerful was Molly Cantrell-Kraig, a one-time single mom on welfare now committed to helping struggling women get access to cars so they can work. "I know what it's like to be there and paying for Christmas presents with food stamps."

And, Victoria Budson, on a lifelong mission to eliminate the pay gap between men and women, spoke movingly about a press conference she attended early in her career about gender bias in the courts. "I thought, if we can't get justice through the place you're supposed to go to get justice, there isn't justice for women consistently in a meaningful way."

Yep, pinch me now, because when you bring five passionate and community-minded women together who are focused on lifting up the lives of other women, you cannot help but be inspired about the future for our young girls. Here are five takeaways from the chat.

1. Lean on, not only lean in

Mentoring takes many forms, the women said. It may be women who are already in the tech field serving as role models for young girls, said Kimberly Bryant, founder and executive director of Black Girls Code, which teaches coding and entrepreneurship to girls of color. But it can also be girls mentoring each other.

"So the girls that are 9 to 10 become mentors for the girls that are 7 to 8, and the girls that are 13 to 15, and 17 and 18 become the mentors for girls that are in middle school," said Bryant.

"And we hope that this pipeline will continue to build, and this network and community of support will continue to build once the girls leave Black Girls Code and go on to college and then enter the work force."

Ari Horie built her entire organization, the Women's Startup Lab, for female tech company founders, around the idea of two people leaning on each other, symbolized by the Japanese pictograph letter hito, which means human.

"Many of the founders might be going through the same things or same stage, but they have very, very different experiences. And (this) is a very safe place for them to really open up. 'Hey, I feel like I'm giving up, I don't know how to do it.'"

With mentors, persistence also pays off, said Budson, executive director of the Women and Public Policy Program at the Harvard Kennedy School. Early in her career, when a former Democratic Party chief in Massachusetts encouraged her to call him about an idea, she did, again and again.

"I must have called him 20 times before he and I connected ... but I kept at it and I think sometimes it takes just thinking it's OK to keep at it."

2. "You have to see it to be it"

To many in the audience, one of the most powerful aspects of The CNN 10: Visionary Women is how all 10 women are helping other women.

"So great to see women supporting women instead of impeding their progress by being territorial," wrote Tish Howard, a retired principal who is now CEO of an education consulting firm, on my Facebook page.

Cantrell-Kraig, founder of the Women with Drive Foundation, believes the way to keep women from getting in each other's way is by showing what happens when they don't.

"Success begets success," she said. "You have to see it before you can be it, and so the only way that you can convince women that supporting women is a good deal is to support other women."

Budson says when she trains students at Harvard or at other locations around the world, she asks them to take a pledge.

When someone calls and asks if they know a good person, they pledge to recommend a "competent, qualified woman," said Budson. The second pledge? "I will not speak ill of other women," she said. "If you don't have something nice to say, don't say it."

3. Get men involved

Women supporting women is key, the five innovators said, but so is getting men to understand why it's crucial they support women too.

"What I would really love to see is for every man to look at his seven year old daughter sitting across the table from him at dinner tonight and say I want that little girl to do whatever she wants to do. I want her to walk into any industry she wants to take on and I want her to thrive because I love that little girl," said Cantrell-Kraig.

On a practical note, Budson added: "To compete in the 21st century, we are not going to be able to hire just out of 48 or 49 percent of the talent pool."

Horie says she sometimes faces accusations of discrimination from men for having a women's startup lab. "It is okay for women to come together and find their strength and the support structure. And we're not making a statement against the men."

4. Risk-taking and femininity are not mutually exclusive

Women can also hold themselves back, the women said.

Bryant of Black Girls Code talked of the "stereotype threat that we internalize as women ... when we enter these environments which are not very diverse, and which lack women, that maybe we don't belong."

Instead, what she says she finds, especially in industries heavily dominated by men, is that women generally come to the table much more prepared. "We're often more qualified and more competent than our male counterparts by far," she added.

Cantrell-Kraig longs for the day when skills are viewed as gender neutral. "I have so many friends of mine who are daring, crazy, analytical ... some of them male, some of them female.... You can be risk-taking and feminine. They're not mutually exclusive."

And, when we see a woman feeling true empowerment, there just isn't anything quite like it.

"One of our women ... she flat out in front of a (television) camera said, 'You should be inspired by me. Don't pity me because I've come from being homeless. You should be inspired by the fact that I am here standing in front of you right now,'" said Scott, founder and CEO of The Empowerment Plan, an organization providing jobs to the homeless.

5. The personal is powerful

For nearly all of The CNN 10: Visionary Women participating in yesterday's Google Hangout, their professional passions are personal.

"The Empowerment Plan was just me creating something I wish had been given to my parents as an opportunity," said Scott, who has built a business teaching homeless women to sew coats for the homeless.

She shared a recent success story: a single mom with three kids under the age of 12 who within three months of learning how to sew, moved out of the homeless shelter, found an apartment, and got her kids in charter schools with her youngest learning Japanese.

"That was just the 'Aha!' moment," said Scott, realizing she had come full circle. "I was that kid who was constantly struggling."

Cantrell-Kraig knows exactly how it feels to struggle as a former welfare mom, trying to find a job and complete an associate's degree without a car.

"Who better to tell a woman, 'I know you can do it. I've done it?'" she said. "Nobody gets where they are supposed to be by themselves. Nobody."

What do you think are the biggest issues facing women in the work force? Chime in below in the comments of tell Kelly Wallace on Twitter and CNN Living on Facebook.

@highlight

The CNN 10: Visionary Women showcases 10 women helping other women and girls

@highlight

Five of the women joined a Google Hangout on the future of women and work

@highlight

Women mentoring other women is key for empowerment, the women say

@highlight

"Risk-taking and feminine ... not mutually exclusive," said one of the women