(CNN) -- On a winter evening in early 1940, Hattie McDaniel became the first black performer to win an Oscar, a best supporting actress honor for her performance as Mammy, the servant in "Gone With the Wind."

Will Smith has overcome racial boundaries but can do more, says an expert in race-based casting.

She accepted her award at the Academy Awards ceremony at the Coconut Grove, a nightclub in Los Angeles' Ambassador Hotel, where she was seated in the segregated section at the rear of the room.

Though her win was played as a sign of progress for black actors in America -- "Not only was she the first of her race to receive an Award, but she was also the first Negro ever to sit at an Academy banquet," said Daily Variety, according to Mason Wiley and Damien Bona's indispensable "Inside Oscar" -- her role was poorly received by much of the black community. The National Association for the Advancement of Colored People claimed that the part was stereotypical and degrading.

"I think [the NAACP] were correct," said Jill Watts, author of "Hattie McDaniel: Black Ambition, White Hollywood."

But, Watts added, "McDaniel knew that 'If I reject these maid roles, [black people] won't be on the screen.' And her point was, 'we need a presence within the industry.' "

Nearly 70 years after McDaniel's win, black performers have certainly come far. Actors like Sidney Poitier, Denzel Washington and Halle Berry have broken boundaries in making their mark on the film industry.

But black actors have been few and far between at the Oscars. In its 80-year history, the Academy has awarded 11 black actors with trophies, six of whom won in this decade. This year, two black actors are nominated for Academy Awards: Viola Davis for her role in "Doubt" and Taraji P. Henson for her part in "The Curious Case of Benjamin Button."  Watch Viola Davis talk about the Oscars »

Tom O'Neil, entertainment reporter for the Los Angeles Times' TheEnvelope.com and founder of GoldDerby.com, a Web site dedicated to predicting and analyzing award show wins, said the Academy finally began making an effort to recognize black actors after Halle Berry and Denzel Washington won Oscars in 2002.

"The Oscars were notoriously stingy to black actors," O'Neil said. "It was that year that it became such a huge issue in the media and Hollywood really woke up to this issue."

O'Neil claims that Hollywood has improved in its recognition of black actors, but the Academy's failure to nominate 2006's "Dreamgirls" for best picture, for example, is a sign that Oscar voters simply don't understand such films culturally.

"I don't believe that there's an element of racism. It's an inability to relate to the drama being portrayed," O'Neil said. "The largely white Academy just didn't get ['Dreamgirls']. They weren't emotionally engaged in the story."

Although awarding Oscars to 11 black actors is "stingy," O'Neil said, "you have to compare that to the number of quality films that gave good roles to actors."

That's the problem, said Russell Robinson, a professor of law at the University of California - Los Angeles, who wrote a 2006 report about unfair race-based casting in Hollywood.

"It's an industry norm that the assumption is that roles go to white actors," Robinson said. "They use people of color to flesh out the film and exemplify racial stereotypes."

Robinson's report, "Hollywood's Race/Ethnicity And Gender-Based Casting: Prospects For A Title VII Lawsuit," found that the majority of roles that do not specify a race or ethnicity are played by white actors, which tends to limit black actors to stereotypical roles.

"I think what bothers a lot of African-Americans is that we see the same images time and time again. ... We'd like to see the full range of complexities that we see in our communities," Robinson said.

In the past, black actors didn't have much of choice when it came to playing stereotypical parts, said John Forbes, executive director of the Black Hollywood Education and Resource Center, a nonprofit organization dedicated to promoting films featuring black actors.

"People had to do what they had to do in those days on and off the screen to survive," he said.

In the early 1900s, that often meant playing caricature roles like that of Stepin Fetchit, a foolish and weak character created and played by Lincoln Perry, who eventually became the first black millionaire actor.

With the arrival of Poitier to the film industry in the 1950s, Hollywood seemed to change its perspective of black actors. iReport.com: Who will win at the Oscars?

"Poitier was able to create a character that was always strong. The black male image that he portrayed on the screen was something that everyone was proud of," Forbes said.

More recently, actors like Will Smith have been successful in overcoming racial boundaries because they're profitable, Robinson said. But with their success also comes responsibility. As the biggest box office star in the world, Smith, Robinson believes, is obligated to push Hollywood to make changes.

With Smith's 2005 film "Hitch," "the studio would not cast a black woman as Will Smith's love interest in the film because they didn't want the film to be a 'black film,' " Robinson said. "I would hope that Will challenged that decision. ... I would hope that Will would try to get black actors hired."

Robinson added, "the question is, 'How can you use that power to help other people?' "

@highlight

Hattie McDaniel was the first black performer to win an Academy Award

@highlight

Reporter says 2002 was a breakthrough year for black actors

@highlight

In 80 years, 11 black actors have been awarded Oscars

@highlight

There should be a complexity of roles for black actors, professor says