(CNN) -- A frail, elderly black man holding a thick, leather-bound Bible stood on the curb within earshot of Ferguson police. The cloud of tear gas that had recently chased away protesters had all but dissipated, though its effects could still be felt.

"We're supposed to love one another," he said between coughs. "We're supposed to love."

Not far over his head a string of Christmas lights with the words "Seasons Greetings" glowed. In a few days the city's festival of lights is scheduled to take place, complete with a parade. But now, another round of canisters of tear gas shoots out. Yelling, screaming and gunshots follow.

I doubt the festival happens this year.

"Burn this bitch down, burn this bitch down" could be heard from the crowd that gathered in front of the city's police station as it became apparent Officer Darren Wilson would not be indicted. Quietly, residents had suspected that would be the outcome.

But they still had hope. Now, only sadness. And anger. Because another unarmed young man of color has been gun downed by police, and the person responsible for his killing will not be punished for his action. This isn't a tragedy or a mistake or a misunderstanding. This is a problem -- one that continues to plague this country because of the understandable lack of trust between minorities and police combined with the general lack of empathy between blacks and whites when it comes to cases such as these.

In a recent CNN poll, half of whites who responded answered either "almost none" or "none" of the police in their areas are prejudiced against blacks, while 35% of nonwhites held that view. A USA Today study found at least 70 police departments nationwide arrested blacks at a rate 10 times higher than nonblacks. Furthermore, "only 173 of the 3,538 police departments USA Today examined arrested black people at a rate equal to or lower than other racial groups."

This isn't a coincidence or a fluke. This is a problem too many whites don't see, and too many blacks are besieged by. I have literally lost count the number of times I have been stopped by police, but I remember the first time one drew his gun and pointed it at me. I was 12, walking home from the store with a gallon of milk. He said I looked like someone they were looking for. I've looked like that person ever since.

The scenes in Ferguson on Monday night reminded me of the climactic scene in the 1989 Spike Lee film, "Do the Right Thing." After police officers kill an unarmed black man, the main character, in his frustrations, tosses a garbage can through the window of a local business. A riot boils over and the audience is left with a bit of a cinematic Rorschach test -- what triggered the violence, the broken window or the man killed by police?

Too many times the criminal justice system tells black people our lives do not matter. That's why Ferguson was not alone in its demonstrations Monday night. We've seen the not so subtle, dehumanizing reminders play out so many times this year alone -- reminders that the rules don't apply to people of color and whites in quite the same way.

Back in August, for example, KDVR-TV reported 18-year-old Steve Lohner walked the streets of Aurora, Colorado -- the scene of the horrific 2012 movie theater shootings -- with a loaded shotgun around his shoulder. Though Colorado is an open carry state, the 911 calls poured in. Police arrived and calmly asked the teen for his ID. He refused, saying he was carrying the gun "for the defense of myself and those around me."

On the video the teen captured during the confrontation, an officer speaks to him with his hands down, tucked in his belt -- and not on his gun. Do you honestly believe a black teenager would have the same experience? Especially when you consider that same month, in Ohio -- also an open carry state -- a 911 call was made about a man with a gun in Walmart. Store surveillance video shows John Crawford III picking up a pellet gun in the toy department before stopping by the pet supplies aisle. He was on the phone with the mother of his two children. Within seconds of police entering the store he was shot, according to news reports.

Another example -- in March, police in Louisiana said Victor White III, with his hands cuffed behind him, pulled out a gun and shot himself in the back, committing suicide. Six months later, the coroner report reportedly states the fatal bullet entered through his chest and that the gunpowder residue found was not consistent with a close-range shooting.

And the list could go on. And on.

We still have a race problem in this country. And too many of us work harder at denying race has anything to do with the world we live in today than listening and empathizing with those who are hurting. But tell me, at what point will the kinds of killings that we are seeing time after time after time across this country be described as what they are?

Racism.

Not the explicit Ku Klux Klan variety captured in sensational footage in documentaries, but the implicit prejudice. The kind that apparently sees a photo of a black police officer greeting his fraternity brother and interpreting their hand gestures as gang signs.

A study in the Journal of Personality and Social Psychology found that police officers view black children as less innocent than their white counterparts. That's not an unfortunate "situation." That's a problem. This condition makes it possible for police to approach a 12-year-old boy sitting on a swing in the park with a BB gun and moments later shoot him twice in the torso -- an incident reported in The Washington Post this week.

"The officer had no clue he was a 12-year-old," Cleveland Police Patrolman's Association President Jeff Follmer reportedly told WKYC-TV.

Of course not.

The Department of Justice provides $400 million in grants to police departments around the country. Sherrilyn Ifill, president of the NAACP, said she believes this money should come with strings attached such as body cameras, de-escalation tactics and training around explicit and implicit bias.

"What we have continued to see linger is the perception of young African-American men as dangerous and criminal," Ifill told Brown Political Review. "Until we begin to reverse this perception, and until all Americans -- white Americans in particular -- believe in the humanity of black people, we will continue to have these incidents of violence."

But first, we all have to have the courage to admit the country has a problem, not just for minorities, but for all of us. Talking about race does not instantly mean someone is a racist or race-baiter. It could mean he or she is aware of the world -- and its problems -- and not afraid to talk about them.

What we are talking about are not accidents, or tragedies or misunderstandings, but a problem. That is, of course, unless you believe the tension in Ferguson is an anomaly -- that you can shoot yourself in the chest with your hands cuffed behind your back or that hundreds of armed black men could point guns at police, threaten to kill them and moments later everyone goes their separate way without incident.

Didn't think so.

@highlight

LZ Granderson: Cases like Ferguson indicate U.S. has a problem, not misunderstanding

@highlight

Granderson says he has lost count of the number of times police have stopped him

@highlight

We all have to have the courage to admit the country has a race problem, he says