London (CNN) -- For the past week, members of Britain's armed forces have been taking part in major exercises to prepare for the Olympics in London later this summer. Alongside the emergency drills and simulated alarms, designed to ready the city for potential terror threats to the 2012 Games, soldiers have also practiced launching missiles from the city's rooftops.

The residents of an exclusive apartment complex in London's East End were horrified to discover that the UK Ministry of Defence planned to site ground-to-air rocket launchers from the roof of their homes.

Now one historian has called on them to channel the spirits of the factory workers who once worked where they now live, and insist that the missiles are removed.

Today Bow Quarter is an upscale gated community, complete with swimming pool, gymnasium, private gardens and its own restaurant, bar and shop.

Makeup artist Susan Aherne, who has lived in the complex for 18 months, told CNN she was attracted to the complex by its air of security -- but now fears the missiles will mean her home becomes a terrorist target.

"I'm frightened of getting my head blown off," she said. "I moved here because it's a gated community and it made me feel safe, but now it feels like we're living inside some military compound. They say it's going to make us safe, but in fact it's going to make us a target. They're going to convert a residential area into a war zone."

And security guard Mohammed Miah, who lives opposite Bow Quarter, agreed: "If terrorists are a threat, this is now the first place they're going to come. Also, if something attacks us from the sky and they shoot it down, where is it going to land? This is a residential neighborhood, loads of families, loads of kids. It just doesn't make any sense bringing missile launchers here."

The Ministry of Defence says it chose Bow Quarter because "it is situated close to the Olympic Park and offers an excellent view of the surrounding area, and the entire sky above the Olympic Park."

It says the ground-to-air missile system "is operated by fully trained and experienced soldiers," and insists "it does not pose any hazard to residents," adding that the missiles will be guarded 24 hours a day by a team of military personnel and police.

For many of those living inside the high walls and security gates, what annoys them most is that no-one asked their opinion.

Neil Midgley, Bow Quarter resident and one of the journalists who broke the story of the missiles, told CNN: "In a Western democracy in 2012, I don't think the army should occupy private land without consulting the people who live there and getting their consent.

"People are grown-ups, they understand that the Olympics need to be protected, but there are questions: Do the missiles make us a target? If they are fired, where does the debris fall? And who pays for any damage caused?"

Bow Quarter was not always so glamorous and gentrified. The site was once home to the Bryant and May match factory, notorious for the horrific working conditions inside its walls -- until, that is, the mainly female workers rose up and demanded action, and changed British society for good in the process.

The "match girls" at Bryant and May were paid a pittance -- less than five shillings a week -- and those earnings were frequently whittled away by a system of fines imposed for "offenses" including talking, lateness, talking, and dropping matches.

In addition, the dangerous white phosphorous they worked with on a daily basis made them very sick, Louise Raw, historian and author of "Striking a Light: The Bryant and May Matchwomen and their place in Labour history," told CNN.

Many were in poor health because of their work, left bald from carrying heavy boxes on their heads and suffering the horrific industrial disease known as "phossy jaw" -- the necrosis of their jaw bones caused by the white phosphorus used in the matches.

"They were physically very frail," Raw said. "They were working in the factory from the age of 10 or 11 -- sometimes even younger. Their growth was stunted, they were malnourished, and the phosphorus made them really ill.

"It's terrible stuff: Back then people used it to commit suicide or to cause abortions, and these women were working with it everyday. It made them really sick. The average life expectancy was just 25."

Disgusted by working conditions at the factory, feminist and social campaigner Annie Besant wrote a crusading article, "White Slavery in London" which brought the suffering of the match girls to a wider audience.

They were, she wrote: "Undersized because under-fed, oppressed because helpless, flung aside as soon as worked out. Who cares if they die or go on the streets provided only that Bryant & May shareholders get their 23%."

Bryant and May were furious, but when they tried to force the workers to sign a statement insisting they were happy with their treatment, the matchmakers refused, and when one of their number was fired, they walked out.

But despite the match girls' lowly status, the resulting strike garnered the backing of high-profile supporters including playwright George Bernard Shaw, and led to a boycott of the company's products.

"The match women were the lowest of the low," said Raw. "They were a wild and wonderful bunch: factory girls, working class, they were loud and dressed in colorful clothes -- they really had polite Victorian society reaching for the smelling salts.

"In contrast, Bryant and May were big, powerful men, and yet they had to give in to them."

Within weeks, the company reluctantly accepted the strikers' demands for improved pay and conditions, an end to the system of fines. The match girls went on to found the first union for female workers in Britain, and their actions helped shape the modern Labour movement.

That a location of such importance to workers' rights should be the site of "undemocratic" actions today is not lost on those who live there -- or their supporters.

Twitter user Anne McCrossan (@Annemcx) was among those quick to point out the irony: "Laughable that BQ was the site of emancipation in the past, but authoritarian control today, is this the spirit of the games?"

Raw said the match women should be an inspiration to those at Bow Quarter who were unhappy at the MoD's decision.

"It is such Bryant and May-like behaviour to stick missiles on the roof without asking," she told CNN.

"The match women wouldn't have stood for it. They were, in theory, completely powerless in the face of authority -- nobody thought they could change anything, but they stood together and they did change things -- they had a huge influence.

"It was a victory for people power, and they are an example to us all."

But Midgley said he doubted that the residents would take action in quite the same way.

"I wish I could tell you I think there will be a Bow Quarter uprising, a Bow Quarter Spring over this, but I doubt it.

"In reality, people are very concerned, and they have questions which will need to be answered. If they are not, then people will try to stop it."

CNN's George Webster contributed to this report.

@highlight

British Ministry of Defence plans to place missiles on top of east London apartment block

@highlight

Former match factory chosen because of proximity to, and view over, Olympic Park

@highlight

Residents angry at lack of consultation, fear missiles will make homes a terrorist target

@highlight

Historian says those angry at plans could take inspiration from match girls' strike of 1888