(CNN) -- NATO has released satellite photos that show the extent of Russia's military mobilization on its border with Ukraine -- including fighter jets, tanks, artillery and thousands of soldiers who are prepared to invade within 12 hours if called upon, say officials.

The photos appear to confirm Western leaders' fears that Russia may be preparing for a ground invasion of eastern Ukraine, despite NATO's call for Russia to withdraw its forces from the border.

What do the photos show?

The photos, which private satellite imaging firm DigitalGlobe says it took between March 22 and April 2, purportedly reveal dozens of Russian "fast jets," helicopters and infantry units that were not spotted in photos of the same areas last year.

NATO estimates there are up to 40,000 troops massed at various locations along the Ukrainian border, and says it has spotted Russian forces at more than 100 different sites.

The photos of military equipment and infantry personnel should be greater cause for concern than the ones of the fighter jets, according to experts who have examined the photos for CNN.

The photos of tanks, artillery battalions, and infantry brigades near Novocherkassk -- just 50 kilometers from the Ukrainian border -- show Russia's preparation for a potential invasion, says Igor Sutyagin, a research fellow for Russian studies at RUSI, a defense and security think tank.

Another photo shows more than a dozen MI8 Hips or MI24 Hinds attack helicopters sitting in a sparse air field at Belgorod, a Russian facility just 40 kilometers from the Ukrainian border.

"Moving these helicopters closer to the operational area would make sense in the event of an invasion," Sutyagin says.

Another photo purportedly shows a build-up of Russian Su-27 Flanker, Su-24 Fencer, and MiG-31 Foxhound fighter jets at the formerly vacant Buturlinovka air base, 150 kilometers from the Ukrainian border.

Sutyagin says the recent build-up of these jets in what appear to be sparsely resourced air fields doesn't make much sense from a strategic standpoint.

"The planes seem to be more about parade than about preparation," he says. "Firstly, they're designed to fly hundreds of kilometers anyway, so moving them another 90 kilometers closer to the border won't make much difference."

He added: "If the Russians do not have installations to service the planes, or utilize weapons storages, and if they're far from their permanent bases where their rear-support units are concentrated, they cannot be operationally effective for an invasion."

Why has NATO released the photos now? Are they exaggerating the threat?

Keir Giles, an associate fellow at the Chatham House think tank, says there must be serious cause for alarm for NATO to have released the photos.

"You have to assume that there have been behind the scenes consultations between Russian and NATO, but obviously those have been limited in effectiveness for NATO to release this kind of imagery, which it would not normally do," Giles says.

"Should we trust NATO on this? Yes, because it has no interest whatsoever in exacerbating the situation. This is a crisis which they're trying to play down wherever possible and make it clear it's not involved."

Giles also says that the Russian military officers he regularly speaks with have suddenly gone silent. "One possible explanation is that they've been told to curtail contact with foreigners," he says. "And if that is the reason, whenever that's happened in the past, it has not been a good sign."

What is Russia saying about the photos?

A Russian military official told Russia Today that the photos were taken in August of last year during military drills -- a claim NATO called "categorically false" in a statement Friday.

"This is a force that's very capable at high readiness," British Army Brigadier Gary Deakin said at a briefing at NATO military headquarters in Mons, Belgium on Thursday. "And as we've illustrated through the imagery, it's close to routes and lines of communications and it has the resources to be able to move quickly into Ukraine if it was ordered to do so."

Could Russia really invade Ukraine in 12 hours?

While many of the Russian troops are 50 kilometers or more from Ukraine's border, some are just 6-7 kilometers away, according to RUSI's Sutyagin. "In one hour some of these troops could be on the Ukrainian side, though for others it will take longer," he says.

One of key aims of the Russian military transformation effort since 2008, according to Chatham House's Keir Giles, was to create "permanent readiness units" that need just an hour to move if required. "What we're seeing on the border doesn't necessarily mean Russia is preparing to invade," he says, "but it would seem to mean that Russia wishes to be fully prepared to launch an invasion if Vladimir Putin sees that it's necessary."

What is NATO saying by releasing the photos?

Sutyagin says NATO is trying to show the Kremlin that even the slightest move now will provoke a disproportionally severe reaction.

"NATO is telling Russia: 'Look, we are serious and we mean business. We're not going to keep silent over any of your moves, so you better just pull back.'"

@highlight

NATO releases satellite photos purportedly showing Russian military buildup near Ukraine

@highlight

Photos, reportedly taken just weeks ago, show jets, tanks, and troops amassing near border

@highlight

Russia says photos were taken last August -- NATO says claim is "categorically false"

@highlight

NATO official says Russia has up to 40,000 troops ready to invade Ukraine if called upon