(CNN) -- In describing one's relationship status, Facebook offers the option: "It's complicated."

This sums up the relationship between Hispanic voters and the political parties.

On the one hand, Hispanics are overwhelmingly more likely to connect with Democrats than with Republicans -- by nearly a 3-to-1 margin. A new survey released by the Public Religion Research Institute, a nonprofit Washington-based research group, found that 56% of registered Hispanic voters identified with Democrats, 19% identified with Republicans, and 19% with Independents.

In the survey, more than 6 in 10 Hispanics said they felt close to the Democratic Party, while only 3 in 10 said that about the Republican Party. When Hispanics were asked to describe the parties, 48% of the responses about Republicans were negative words like "intolerant" or "out of touch," while just 22% of the responses about Democrats were negative.

In the 20th century, the Democratic Party was home to working-class ethnic groups (Polish, Irish, Italian, etc.) who saw Republicans as the party of the rich. Today, it is the go-to place for Latinos who feel picked on by the GOP.

Yet for Republicans, all is not lost.

Hispanic voters have demonstrated they can think for themselves. When choosing candidates, they will often put the person before the party. And so they've been known to throw their support behind Republicans who take moderate stances on immigration and eschew the GOP's tendency to turn the already contentious debate into an ugly culture war where immigrants are often portrayed as inferior to the native-born.

It worked for President Ronald Reagan and former Sen. John Tower of Texas, both of whom took Hispanic outreach seriously and invested the resources to attract Hispanic support. Other Republicans who, at various times in their careers, earned substantial Latino support -- i.e., more than 30% of the vote -- include Sen. John McCain of Arizona, former Arizona Gov. Jane Hull, former New York Mayor Rudy Giuliani, former Los Angeles Mayor Richard Riordan, former California Gov. Arnold Schwarzenegger, former Florida Gov. Jeb Bush, and, of course, former President George W. Bush.

Most Latinos don't change their political affiliation. They're notoriously brand loyal. Even when they flirt with a Republican candidate, they go home to the Democratic Party.

President Obama got an impressive 71% of the Latino vote in the 2012 election. But even that part of the story is complicated. In August, a Gallup Poll found that -- when one looks at Obama's job approval rating -- there is a huge swing, among Latinos, from one quarter to the next.

Obama's support among Latinos is a mile wide and an inch deep. One thing you hear a lot of in Latino circles is that many of these voters, in picking Obama over Republican challenger Mitt Romney, chose the "lesser of two evils."

In a recent interview with CNN's Jake Tapper, Romney said the biggest strategic error of his campaign was "not investing sufficiently, particularly in Hispanic TV and Hispanic outreach to help Hispanic voters understand that ours is the party of opportunity." He also insisted that his message didn't get out. "I think my position and the position of our party is not well understood at the Hispanic community," Romney said.

I think Hispanics understood what Romney was selling. They just weren't buying. Be that as it may, now that Romney is not in the picture, many Latinos are not shy about expressing their view that Obama hasn't been in their corner, and nor are they on his radar.

Latino voters can really shake things up if the Republican candidate is smart about pursuing them. According to polls, the number of Latinos who identify themselves as being on the far left is quite small. In an August 2012 survey, the Pew Hispanic Center found that only 30% of Hispanics consider themselves "liberal" while 63% chose either "moderate" or "conservative."

Yet, one area where neither party has been very smart is with regard to the critical issue of immigration. One reason that Latinos are increasingly ambivalent about Obama and the Democrats is that, under this administration, the number of deportations of undocumented immigrants is on track to reach 2 million in 2014. Meanwhile, many Republicans remain stubbornly opposed to giving the undocumented an earned pathway to legal status and pander to nativists by stirring up anxiety over the country's changing demographics.

It's true that Latinos care about other issues more than immigration. In fact, the top three issues of concern for Latino voters are usually jobs/the economy, education and health care. But immigration is also a defining issue, a litmus test that tells them whether they can trust a given candidate or a party to deal with them fairly and honestly when it comes to other issues.

Those issues now include the government shutdown over Obamacare. Although both parties are very clearly at fault, polls show that most of the blame for this debacle is going to Republicans. A majority of Latinos support Obamacare, so they're not going to look fondly on the GOP for gumming up the works to protest a program that Latinos support anyway. It's a little early to tell what the fallout will be but it might be that the shutdown only serves to further tarnish the Republican brand in the Latino community.

The GOP was already in a hole with Latino voters, and it may have just gotten a little deeper. Still, it's also entirely possible that Latinos will wind up doing on the shutdown what they're doing on the stalemate over immigration reform and spread the blame to both parties.

No matter how daunting the challenge, Republicans mustn't give up on attracting Latino support. Stranger things have happened. But they need to change their game plan, holster the intolerance, and start approaching those voters with something that they're not getting much of from either party: honesty and respect.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

A survey shows that Hispanics connect more with Democrats than Republicans

@highlight

Ruben Navarrette: Republicans mustn't give up on attracting Latino support

@highlight

He says most Latinos support Obamacare, so shutdown is a disservice to GOP

@highlight

Navarrette: If Republican candidates pursue Latino voters, they can win them over