(Mashable.com) -- At WWDC 2012, Apple unveiled the next generation of iOS, its mobile operating system. iOS 6 sports more than 200 new features and upgrades — including the new Apple Maps, deep Facebook integration and improvements to Siri.

Although iOS 6 won't be available on compatible devices until sometime this fall, the first beta build is currently available to developers. We've installed iOS 6 on our new iPad (64GB Verizon LTE model) and poked around with the new features.

While it is clear that this is a beta — certain features aren't fully baked, and there is some crashing and inconsistency with a few existing apps — it's equally clear that this is a solid OS update.

Mashable.com: iOS 6: Everything You Need to Know

Because we've tested iOS 6 on an iPad and not an iPhone, we can't explore all of the new iOS 6 features. But this release, more than any other, is intended to unify iOS across platforms.

Maps

Apple's decision to eschew Google Maps in iOS 6 is a big deal. Mapping and location are an integral part of the modern smartphone experience. Google and Microsoft own their own mapping technologies, and it makes sense that Apple would want to make good on some of its mapping investments. These include Poly9, Placebase and C3 Technologies.

The 3D models from C3 Technologies are immediately evident in Apple's new mapping app — at least, in the areas that have already been rendered. In our tests, certain areas — including Cupertino and the Apple Campus at 1 Infinite Loop — had beautiful 3D terrain overlays.

In New York City, however, those images looked pretty bad. But again, this is a beta.

The street mapping aspect of the new iOS Maps app pulls in data from Yelp and from what we can tell, Open Street Map. TomTom technology helps power the Turn-By-Turn navigation.

While we haven't had a chance to go hands-on in a car with Turn-By-Turn, in our walking tests, it worked as you would expect.

What didn't work as we expected was transit directions, and this could be a real wrinkle for Apple. In Monday's WWDC Keynote, Apple's Scott Forstall said that the company would highlight transit apps from the App Store in its mapping product.

At the time, I took this to mean that it would highlight other location apps. What I didn't realize is that Apple is actually going to rely on these apps to power the transit directions within iOS.

Now, we don't know what the final version of this product will look like — but if this means users will need to download a local area transit map or schedule tool in order to get transit directions in iOS 6, that's going to be a problem for many thousands of users that rely on their iPhones for public transit directions on a daily basis.

I like third-party transit apps as much as the next person. But I also really, really like having a schedule built into my main mapping client, so I can quickly get directions in an area where I don't know the bus or train route layout.

That quibble aside, our first experience with Apple's new Maps app is positive. In fact, with the exception of Turn-By-Turn nav, it doesn't feel that much different than the Google Maps app. That's a good thing.

Facebook integration

We've already detailed a bit about how Facebook's integration with iOS 6 works. At this very early stage, the Facebook/iOS 6 integration works in a way that's nearly identical to Twitter's current integration with iOS 5.

That is to say, it's part of the system — if you want it to be — and third-party apps can plug into the architecture for even better use.

For sharing photos and websites, the ability to share directly to Facebook is great. In Safari and the Photos app, you can easily post to your Facebook account. You can also choose what level of visibility you want a post to have and attach a Facebook location to the object you are sharing.

For now, videos cannot be shared directly to Facebook — only YouTube. But we expect that to change in the future.

The real potential of the Facebook integration is within the App Store. Users can now "like" an app directly from the App Store on Facebook, and see what apps their friends like. This also works for Music and Movies.

Apps that hook into the Facebook login in iOS 6 need only request permission to do so once. Actions still need to be explicitly performed; users just don't have to initiate a login each and every time.

The nice part of all of this is that users can revoke access to an app at any time from the Facebook panel in the Settings app. This makes it easy to turn a feature on or off, without having to mess with a bunch of hard-to-find settings.

As for Contacts and Events and Birthday integrations — these are nice features. Windows Phone has had them since its inception. Many Android skins, such as HTC Sense, also include the option. We appreciate that users can use Facebook but opt not to link a calendar or address book with the service.

Siri

Siri is finally on the iPad! Well, the new iPad, at least. Siri works just as you would expect it to — except it now hooks into Yelp, OpenTable, Rotten Tomatoes, various sports score services and more.

Users can also now launch apps, post to Facebook and send Tweets with their voice.

In our tests, Siri worked as expected, though we did run into a few problems posting to Twitter. Still, the service works quite seamlessly on the iPad. For us, the more command-like nature of Siri — and the fact that various iOS tasks can now be started using voice commands — is a great step forward.

Photo Stream sharing, Safari, FaceTime 3G and more

One of the features I'm really excited to use with iOS 6 is the new PhotoStream shares that are part of iCloud. Users can quickly and easily share groups of photos to a select group of other users. Just find your photo, choose "Photo Stream" from the share menu and add your contacts. You can choose to make the collection private or visible on iCloud.com.

Users can then comment on photos and add their own to the collections. Removing a photo from a Photo Stream will remove it from everyone's device. It's a bit like Glassboard, but baked into the OS and tied to iCloud.

Another new feature in iOS 6 is the ability to FaceTime over 3G or 4G. I tested this by calling my phone from my Verizon 4G LTE iPad. It worked exactly as you would expect. My only concern with this sort of feature is that it has the potential to use up more bandwidth than users might expect. Keep an eye on your data usage.

Safari for iOS 6 has a redesigned sharing menu — icon-based this time — and the ability to sync with tabs across other iCloud devices. You can also now read items from Reading Lists offline — which can act as a low-level replacement for Instapaper, Pocket or Readability. In my experience, heavy users of those services (including myself) are unlikely to give them up for the built-in options, but it's a great way to introduce the concept of reading later to more people.

Mail

Mail has received a few updates in iOS 6, most notably with the ability to FINALLY inserts photos or videos in a message directly from the Mail app. It's about time.

Users can also craft different signatures on a per-mailbox basis. Apple has also introduced a new VIP feature that allows users to highlight email from important contacts in their own folder and with their own notification system. If you get as much email as I get, that's a great feature.

The early verdict

I'm very excited about the potential of iOS 6. The first beta is remarkably stable and the new features are welcome. Still, as with all OS releases, the most interesting bits are usually what happens on the backend and not the flashiest user-facing features.

Some of the early criticism of iOS 6 is that it isn't enough to compete with Android or Windows Phone. I don't think this is true at all. Third party apps are what define modern smartphones and tablets and in that respect, Apple remains the platform of choice for developers.

With iOS 6, it looks like developers will have even more options to create great apps for users. Plus, this is just a taste — as the months go on, I expect we'll learn even more about what unearthed secrets remain in the OS.

What are you most excited about in iOS 6? Let us know in the comments.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Apple introduced the next generation of its mobile operating system, iOS 6, this week

@highlight

While certain features aren't fully baked yet, it's clear that this is a solid OS update

@highlight

The iOS 6 platform has heavily integrated social media and sharing functions with Siri

@highlight

We tested iOS 6 on an iPad and not an iPhone, so we can't explore all its new features