Cairo, Egypt (CNN) -- It started with verbal abuse, and then -- perhaps inevitably -- it got physically, terrifyingly violent.

Supporters of Egypt's President Hosni Mubarak flooded into Cairo's Tahrir Square Wednesday after the president's opponents dominated the scene for more than a week.

Separated at first by barriers, the rival demonstrators exchanged insults, then began throwing anything they could find at each other, including shoes, rocks and sticks.

Suddenly the barriers came down. People surged toward each other in a chaotic scene that conjured images of a revolution.

Some injured protesters fell. Others stumbled through the crowd. Blood streamed down the faces of the wounded. A few women away from the front line gave the injured water and swabbed at their wounds.

Many of the injuries were serious, even though demonstrators wrapped sweatshirts and other clothes around their heads to protect themselves from flying stones.

Dozens of wounded were carried away, bleeding from gashes. It was impossible to tell from visits to a makeshift clinic which side was faring worse, CNN's Ben Wedeman said. He said simply: "They are all Egyptians."

A mosque served as a makeshift field hospital, staffed by volunteer doctors, he said.

The day was spotted with scenes of brutality. At one point, bloodied men from the pro-regime side were dragged toward the center of Tahrir Square by anti-government demonstrators who beat and kicked them along the way. One man ripped out the hair of one of the captives.

Police were nowhere to be seen.

Army tanks surrounded the square, but the military proved unable or unwilling to separate the two sides. The hatches on their tanks and armored personnel carriers remained closed.

Some brave Egyptians tried to stop the violence, putting their bodies between the sides. Briefly they seemed to succeed. There was a lull in the violence. Some protesters from the rival camps embraced.

All at once, about 50 or 60 people carrying clubs and riding horses and camels charged into the square, beating some protesters. At least one man was pulled off his horse and beaten.

And the frenzy intensified. People tore paving stones out of the streets with crowbars and their bare hands, filling bags with rocks to use as an arsenal in the street battle.

Some ripped street signs out of the ground, using the metal as makeshift shields.

CNN's Hala Gorani was threatened by a pro-Mubarak supporter who told her to get out of the area.

"I was a little bit fearful," she said. Another protester stepped in and protected her, telling the first not to touch her because "she is with me."

She said she ran as fast as she could back to her colleagues.

"I'm fine, but I've got to say, this is a situation that can turn on a dime. There is a lot of anger coming from those protesters."

They are attacking journalists, she said, and will threaten anyone who looks Western.

It was unclear whether there was shooting on the square. CNN's Fred Pleitgen and Anderson Cooper said they heard shots being fired, although Cooper suggested it may have been troops on the sidelines shooting into the air to try to restore order.

The interior ministry denied there was shooting.

CNN's Ivan Watson, overlooking the square from a hotel, did not hear any gunfire, he said, calling that "a blessing."

And somehow, amid the clashes, pockets of peace remained -- including around small groups who, amid the violence, dropped to their knees and faced Mecca. The time had come for daily prayers.

But the battle continued for hours, with regime supporters blocking exits from the square as soldiers largely remained on the sidelines.

A group of women sat weeping, terrified by the violence they had seen.

As night fell, pro-Mubarak forces began throwing Molotov cocktails, and with the sun going down, flames rose from the square.

The army deployed hoses from the sidelines of the square, spraying water over the heads of the demonstrators onto the fires. The troops may be able to extinguish the physical fires. Whether they will be able to put out the metaphorical ones sweeping the city -- if they even want to -- remains to be seen.

CNN's Amir Ahmed and Ivan Watson contributed to this report.

@highlight

Pro-regime forces throw Molotov cocktails, starting fires as night falls

@highlight

Paving stones are torn out of the ground to be used as weapons

@highlight

A mosque becomes a makeshift field hospital, staffed by volunteer doctors

@highlight

Men on horses and camels charge into the crowd with clubs