(CNN) -- "I have a crazy idea": Those five words changed a simple meeting of school officials into the realization of Kim Ursetta's dream.

Kim Ursetta leads her kindergarten class at Mathematics and Science Leadership Academy in Denver, Colorado.

Ursetta, then president of a local teachers' union, blurted out those words 18 months ago during a meeting in the office of Denver, Colorado's, schools superintendent.

The other officials in the room leaned in as Ursetta leaped into a sales pitch that would turn an ordinary day into a highlight of her career.

"I want to start a new kind of school," she said, a union-sponsored public school led by teachers, not a principal.

"I started talking about 21st century skills and wanting to prepare our kids in math and science, especially our low-income and ethnic minority students," Ursetta said. "We've been doing schools the same way in this nation for 150 years, so if we don't step up, then nothing is going to change."  Watch more about new school innovation »

Superintendent Michael Bennet -- now the state's freshman U.S. senator -- did not say no to the idea, and Ursetta walked out the door "excited" and "shocked."

She immediately started "pulling together a group of teachers to sit down with a blank sheet of paper and ask how you would do a school differently."  See details about K-12 schools, teachers »

Three weeks ago, Ursetta's dream became a reality, as Mathematics and Science Leadership Academy opened its doors to 142 kindergartners and first- and second-grade students in Denver's mostly low-income, largely Hispanic Athmar Park neighborhood.

A board-certified, 16-year teaching veteran, Ursetta, 38, believes the lack of teacher flexibility ranks among the top barriers blocking the nation's children from receiving the best education possible.

As a teacher at traditional schools, Ursetta said she and her colleagues weren't allowed to change the order of their lessons.

Two of the school's 12 teachers take on administrative duties as "lead teachers," performing the traditional role of a principal.

Although they follow school board-approved curriculum and standards, instructors can easily rearrange lessons to "make better sense for the kids" -- making better connections between different subject matter, Ursetta said.

Sometimes, for example, it makes sense to group Ursetta's kindergarten students with first-graders working on the same subject.

"You normally would have to ask permission to do that," she said. "But here, we just do it. We're able to try different things to teach them instead of just following a script."

The lack of quality school leadership is a big reason that experienced teachers leave their schools, Ursetta said. "Studies show when you take accomplished teachers and allow them to have a leadership role, that's when they see the most success. Scores just soar. That's how we're focused here."

Race to the Top

Creating conditions for innovation and reform is one of the stated aims of the new education initiative launched by the Obama administration.

Dubbed Race to the Top, the program is essentially a contest pitting states against each other to win a share of $4.35 billion in grant money from congressional stimulus legislation.

More school funding appears to be a popular idea among many Americans, according to last month's national Gallup poll sponsored by the professional educators group Phi Delta Kappa.

Thirty-two percent of 1,000 general public respondents said adequate funding -- not teacher flexibility -- was the No. 1 problem facing public schools.

To qualify for Race to the Top, the rules call on states to create "data systems" linking student success with teacher performance.

That idea jangles nerves at the National Education Association -- the nation's largest teachers union -- where members fear it opens the door to measuring teacher performance by how students score on tests.

"What we're really against is using a single [student ] test on a single day" to assess teacher performance, said NEA Executive Director John Wilson. "What we're more accepting of are multiple indicators," and teacher performance "observed in classroom should count as the major part of evaluation."

Unlike the controversial 2002 No Child Left Behind program, which forced states to accept student testing standards in exchange for federal funds, Race to the Top is strictly a voluntary initiative.

But Wilson said many teachers are reacting coolly to Race to the Top because they "feel like it's too much like No Child Left Behind and are looking for something different." Teachers wonder if the program will undermine innovation and creativity, Wilson said.

Charter schools

Race to the Top also aims to give a boost to charter schools -- special public schools that are given more independence in order to encourage innovation.

The program requires each state applicant to remove any limits to the number of charter schools.

However, in some cases, "the rate of charter schools has been allowed to grow faster than folks can keep track of -- and standards begin to slip," said U.S. Education Department spokesman Justin Hamilton. "That's something we all need to be aware of."

Critics of Race to the Top question its emphasis on charter schools, prompting some officials to say the criteria are unfair to rural districts.

In mostly rural Montana, state education chief Denise Juneau, a Democrat, has complained about the charter school criteria in a letter to U.S. Education Secretary Arne Duncan.

The idea "does not make sense," said Juneau's letter, because rural and economic conditions in her state make it challenging to support current schools, let alone "the duplication of infrastructure a charter school would mean in most communities."

"Why does everyone believe that charter schools are the only point of innovation?" Wilson asked. "There's so much going on in public schools that nobody ever talks about."

'It's so unprecedented'

So far, at least eight states have changed their laws in hopes of winning some of the federal grant money, according to the U.S. Department of Education.

"It's so unprecedented," said Tim Daly, president of the New Teacher Project, a nonprofit that advocates for high-need students. "No one had any idea that states would take this competition so seriously. I certainly didn't. States had resisted reform for a million reasons."

Experts explain the shift in a word: recession. The sagging economy has cut tax revenues -- the lifeblood of public schools.

"The question is, is it the money or the prestige?" said Daly. "Are states doing this because they get money for this? Or are many states shocked by how far they have slipped?"

An independent panel of 50 to 80 experts will decide which states will get the grant money and how much. An announcement is expected toward year's end, Hamilton said.

"It's a program to showcase for the nation the states that are doing things right," Hamilton said.  It's for states that are pushing the education envelope and getting our children to where they need to be -- to be the most competitive in the global marketplace."

@highlight

Teachers -- not principals -- run new Colorado school focusing on math, science

@highlight

"If we don't step up," then nothing will change, says teacher who started school

@highlight

Obama's "Race to the Top" offers $4.35 billion in grants for school innovation

@highlight

Union chief: Some teachers say it's too much like No Child Left Behind