It's another small sliver of information in the expanse of mystery surrounding Malaysia Airlines Flight 370.

A failed satellite phone call suggests the missing passenger jet may have turned south slightly earlier than previously thought during its enigmatic journey, Australian authorities said Thursday.

After Flight 370 dropped off radar on March 8, Malaysia Airlines ground staff tried to make contact with the plane using a satellite phone, Australian Deputy Prime Minister Warren Truss said at a news conference in the Australian capital, Canberra.

The attempt was unsuccessful, he said, but subsequent analysis of the failed call has given experts a better idea of the aircraft's position and where it was traveling.

The latest analysis of the available data has put a focus on southern parts of the search area in the Indian Ocean, Truss told reporters.

MH370 vanished with 239 people on board during a flight that was meant to go from Kuala Lumpur, Malaysia, to Beijing. The search operation, described by Australian officials as the largest in history, has so far turned up no debris from the plane.

International aviation experts have relied on information from radar and satellites to try to plot the Boeing 777's course, concluding that it went down in a remote part of the southern Indian Ocean, far off Australia's west coast.

The experts are sticking to the same vast search zone announced in June, Truss said at the news conference Thursday.

But some of the information that the analysts now have suggests that areas of the zone farther to the south may be of "particular interest," he said, noting that the focus of the search continues to be refined as experts keep reviewing the available data.

Uncertainty over location of turn

Flight 370 was last detected by radar flying northwest over the sea between Peninsular Malaysia and the Indonesian island of Sumatra.

A series of subsequent communications between satellite systems and the errant plane -- known as "handshakes" -- determined that at some point, MH370 turned south toward the southern Indian Ocean.

It was initially assumed that the southern turn took place at the northwestern tip of Sumatra. But the team of experts has since said there's no conclusive evidence about where the turn to the south took place.

To calculate the current search area, they said they took two approaches to the uncertainty surrounding the turn. They analyzed the satellite data using a range of assumed locations for the turn, and also without any assumption of where the turn took place.

The final radar detection of MH370, by the Malaysian military, occurred nearly an hour after the plane had veered off its planned course. Three minutes later, a satellite handshake indicated that the plane was still traveling northwest.

The unanswered phone call took place 14 minutes after the handshake, according to information previously released by Australian authorities. Just over an hour later, a second handshake suggested that the plane had turned and was heading south or southeast.

It's unclear from Truss' comments Thursday how much more clarity the analysts now have on the timing and location of the turn.

The crucial question of why the aircraft flew wildly off course also remains unanswered. Without the aircraft's wreckage and flight recorders, investigators are struggling to piece together what happened.

How flight attendants keep flying after air disasters

Undersea volcanoes

The search for the remains of the plane and the people on board remains primarily focused on a 60,000-square-kilometer area, roughly the size of West Virginia, in the southern Indian Ocean.

An underwater search that will involve three ships is expected to start in the area next month, using a range of sophisticated sonar equipment. The process is expected to take about 12 months, Truss said.

Officials hope as much searching as possible can be done in the next few months before weather conditions are likely to deteriorate, he said.

Ships have already been mapping the undersea terrain in the isolated swath of ocean to help the searchers. Much of the geography of the area was previously unknown before MH370's disappearance drew attention there.

The mapping process has revealed dramatic new challenges for the search teams.

The "remarkable geographic features" discovered by the surveying include at least two volcanoes and an area where the seafloor drops away from a depth of 600 meters (1,970 feet) to 6,600 meters (21,650 feet) over a short distance, Truss said.

"It would not be safe to put the towed sonar equipment into the water if we didn't have this kind of information about the seabed," he said.

How long will the search continue?

Cost of search to be shared

Truss spoke after meeting with Malaysian Transport Minister Liow Tiong Lai and Chinese Vice Transport Minister He Jianzhong.

Liow said at the news conference that Malaysia's financial contributions to the search will match Australia's commitment.

Australia has estimated a yearlong underwater search will cost $48 million.

The Australian Transport Safety Bureau is overseeing the underwater search at Malaysia's request.

The majority of the people on board MH370 were Chinese.

All countries involved remain "cautiously optimistic" that the wreckage of the missing plane will be found, Truss said.

Malaysian couple charged with alleged theft from MH370 passengers

@highlight

Official: Airline staff tried to reach the plane by satellite phone after it dropped off radar

@highlight

The call failed, but later analysis has given experts a better idea of MH370's position

@highlight

The Indian Ocean search zone for the missing aircraft remains the same

@highlight

Some areas a little to the south may be of "particular interest," Australian deputy PM says