They're bigger, brawnier, and faster than the typical male, but are National Football League players healthier than other men their age?

Justin Bannan, who plays for the Baltimore Ravens, participated in the study on NFL players.

Yes and no, according to a new NFL-funded study that looks at the cardiovascular health of young athletes.

The good news is that NFL players have cholesterol levels similar to other men in their 20s and 30s, and their blood sugar tends to be even healthier. However, they are much more likely to have high blood pressure or borderline hypertension when compared with men who aren't professional athletes.

"It's a step in the right direction to have this study," says Justin Bannan, 30, who plays defensive tackle for the Baltimore Ravens and took part in the research. "I think the more information we can find out and the more studies we can do, the better."

The study, published this week in the Journal of the American Medical Association, is important, particularly as more and more players are weighing in at 300-plus pounds. The extra weight could potentially strain an athlete's heart in youth or even after retirement, and many question whether it has played a role in a handful of high-profile deaths. Health.com: Eat right advice: Fiber, starch, fats, serving sizes

In particular, the death of Thomas Herrion at age 23 has raised concerns about the heart health of larger players. Herrion, who was 6'3" and 330 pounds, had just finished an exhibition game with the San Francisco 49ers when he collapsed and died in 2005.

"He's sort of the prototype of the bigger, stronger linemen that populates the NFL now, as compared with 20 or 30 years ago," says lead study author Dr. Andrew M. Tucker, the team physician for the Baltimore Ravens. "We have so many big, strong guys over 300 pounds. I think that case in particular was important in stimulating the whole study and the investigation."

Other heavy players-- such as defensive end Reggie White-- have also died at an early age. White was 43 when he died from cardiac arrhythmia in 2004.

In the study, Tucker, who is the cochair of the NFL subcommittee on cardiovascular health, and his colleagues looked at 504 active players from 12 teams in 2007. The researchers measured the players' height, weight, percentage of body fat, and other factors, and then compared them to 1,959 men ages 23 to 35 who participated in a study called CARDIA (Coronary Artery Risk Development in Young Adults). Health.com: 20 little ways to lose drop the pounds and keep them off

They found that players were less likely to smoke or have blood-sugar problems than other men (only 6.7 percent of players had impaired fasting glucose compared to 15.5 percent of other men) and their cholesterol levels were essentially the same. However, 13.8 percent of players had high blood pressure and 64.5 percent had prehypertension, or borderline high blood pressure, compared to 5.5 percent and 24.2 percent of other men, respectively.

Tucker notes that the football players outweighed the men in the CARDIA study by an average of 70 pounds and that it's natural to assume that larger people may have higher blood pressure.

"But what was fascinating to us was the category of prehypertension," says  Tucker, who is also the medical director of sports medicine at Union Memorial Hospital in Baltimore, Maryland. Health.com: How to eat out without getting fat

The study found that NFL athletes are more likely to have prehypertension than other men-- regardless of the size of the player or his position.

"So our lean players who play defensive back and wide receiver, they have prevalence of prehypertension just as common as the really big guys playing offensive and defensive line," says Tucker. "So there's something that we're trying to investigate now that accounts for elevated blood pressures in our active players that is not accounted for by size alone-- there's got to be something else." Health.com: Cut up to 900 calories with simple substitutions

That "something else" could be strength or resistance training, the use of nonsteroidal anti-inflammatory drugs, sleep apnea (which is characterized by heavy snoring and a hike in blood pressure), or diet, including excessive sodium intake. Dr. Tucker doesn't think anabolic steroids are to blame. Even though he and his colleagues didn't ask players if they used steroids, he says that the NFL's year-round testing program should have ruled out any use.

"[However] I'm concerned about the widespread use of performance-enhancing agents, which contain stimulants that can not only increase blood pressure but of course have stimulating effects on the heart," says Dr. Tucker. He adds that, in the last several years, such stimulants have been linked to sporadic deaths in college and even professional athletes.

Although today's players are much more likely to weigh in excess of 300 pounds than those in the past, it doesn't necessarily mean they are fat, Dr. Tucker explains. Athletes are larger nowadays due to rule changes in the 1970s and 1980s that were aimed at protecting their lower bodies; those guidelines also gave larger players a competitive advantage.

If one goes by body mass index alone-- a measure of height and weight that doesn't take into account muscle mass-- more than half of players are obese, according to a 2005 study.

However, Tucker and his team found that the average percentage of body fat was 14 percent, ranging from 8 percent to 10 percent in the leaner positions-- such as wide receivers and linebackers-- to 20 percent in defensive linemen and 25 percent in offensive linemen.

"Even our offensive linemen are really on the upper limits of what's considered healthy," says Tucker. "There are plenty of my regular patients who would take that." Health.com: Olympic swimmer discusses life with exercise-induced asthma

Overall, Tucker says he is most worried about older, retired athletes.

"I'm concerned about whether there is a constellation of things going on that puts them at risk when they're 45 or 55," he says.

More attention is being paid to detraining athletes so that they can adopt healthier lifestyles and better nutrition after they retire, says William Kraemer, Ph.D., a professor in the department of kinesiology at the University of Connecticut.

"It really is tough because you're trying to stay big in your playing days," says Kraemer. "The big fear is, [after retirement] you stop exercising and you keep eating the way you used to when you were expending a lot of calories. A lot of times when kids get out of college or they get out of the pros, there is no system in place that helps them make the transition."

The Ravens' Bannan says the older generation is teaching younger players the importance of changing their lifestyle after retirement.

"If you're a heavier player, a lineman that's over 300 pounds, really what it comes down to is a lifestyle change and eating healthier, losing weight when you are done, and staying active and staying healthy," says Bannan, who is 6'3" and 310 pounds. "Make a few changes in your life; I think that's going to make things a lot better for you down the road."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Death of Thomas Herrion has raised worries over the heart health of big  players

@highlight

Researchers looked at 504 active NFL players from 12 teams in 2007

@highlight

Players were less likely to smoke or have blood-sugar problems than other men

@highlight

NFL athletes are more likely to have prehypertension than other men