In 1995, South Africa seemed united beyond expectation, having rallied around an unlikely ambassador for racial change in a highly-fractured country.

The Springboks' triumph at that year's Rugby World Cup seemed to herald the birth of the Rainbow Nation, with white team captain Francois Pienaar accepting the Webb Ellis Cup from Nelson Mandela, the first post-apartheid president.

We seemed invincible, or at least it felt that way at the time. I remember every game of that tournament -- every scrum, every try, every drop-goal. I also remember how the crowd at our local watering hole -- the place to be to watch the matches - changed.

What started off as a predominately white audience soon changed until we were shoulder to shoulder with people of all races. When we drove the streets of Cape Town after winning the final, honking our horns and singing "shoshaloza" -- which means "go forward" -- we weren't white or black, we were South Africans.

Springboks overpower Namibia in 12-try romp at World Cup

It was the first time I can remember really feeling that way, and everyone was hopeful that it would last.

Given the drama of that tournament, and the publicity that followed, it was only natural that rugby became more popular among races other than white.

Chester Williams became the face of what South African rugby could be, and soon there were a number of talented black players getting Test caps. But it wasn't all smooth sailing.

For a while there was a quota system -- for white-dominated sports such as rugby and cricket there had to be a certain number of players of color on the squad. My reaction to the requirement was similar to most of those around me: we were outraged.

Holders South Africa scrape past Wales in 2011 opener

It seemed like a no-win situation: players of color were bound to be treated as second-rate or lacking, regardless of their ability to play. The ones that would have made the squad despite the quota system were hurt the most.

Thankfully the practice was done away with, and South Africa Rugby Union (SARU) focused more on developing school-age players of color so coaches would have a more representative base from which to select.

SARU President Oregan Hoskins points out that the organization sets aside 20 million rand ($2.75 million) each year with the specific goal of transforming the future of South African rugby to include more players of color.

Clinics have been set up in disadvantaged areas and rugby is more prominent in schools that typically have been soccer-crazy. It has, for the most part, worked -- there are more players of color moving up the ranks from schoolboy rugby to professional levels.

What doesn't make sense is that only three players of color made the squad for this World Cup, two of whom also played in South Africa's victorious 2007 campaign.

Hoskins argues that South African rugby is still suffering from the effects of apartheid.

"This is a multifaceted challenge," he told CNN. "We're still plagued by the effects of the past, we still live in predominately separate residential areas. There is change, but it's not quick enough and these issues are something we have to face as a society."

Hoskins believes that club rugby remains a problem. He maintains that there would be more change if the advantaged clubs opened their doors to players of color.

The same can be said for provincial rugby. Hoskins said provincial teams are completely autonomous from the ruling body. They have their own constitutions which SARU cannot interfere with.

If provincial teams don't include players of color in their squads, then the national side is almost forced to do the same because the selection depth just isn't there.

It's not that there aren't any good players of color who want to play Springbok rugby, it's that there's a drop-off between school and provincial rugby selection, and the club situation doesn't help either. More needs to be done to move players up through the ranks and onto the national squad.

Local media recently picked up on a report which said teams could soon be forced to include a certain number of players of color in their team, or face penalties including docked points and/or fines.

This measure, however, is unlikely to be implemented as the teams themselves would have to vote on it. Hoskins doubts it would pass, but recognizes that SARU needs the provincial teams to transform faster than they presently are.

It seems that the racial make-up of the national side is routinely brought into question right before a big tournament, such as the World Cup.

Former SARU media adviser and rugby commentator Mark Keohane believes South Africans have been "blinkered by success." When the team does well, it's as if rugby in South Africa, and the country in general, has changed. When the team is doing poorly, everyone's an analyst and we're back to 1993.

Keohane doesn't believe that there's enough consistency in the transformation effort. He criticizes Hoskins for failing to achieve SARU's stated goal of seven colored players being included in the squad for this year's tournament. Hoskins has asked for more time to work on the issue, saying society needs to change before the squad will reflect the new South Africa.

Keohane is frustrated with the lack of accountability within SARU. He accuses the body of playing politics and avoiding making unpopular decisions. Hoskins maintains his hands are tied -- he needs more cooperation from the lower-level teams.

It seems we're just running in circles. Both Keohane and Hoskins agree that South Africa is still racially divided. Keohane notes that, as a nation, South Africa hasn't learned how to deal with life post-apartheid. It's still the white elephant in the room.

It's not just the players on the field who are mostly white, it's the spectators too -- match tickets are priced so high that typically only wealthy, usually white, South Africans can afford to attend. Hoskins doesn't believe it's an issue of money, he says it's a question of trying to get people to mix racially and accept each other.

To help, SARU has announced that next year it will be holding a Test match in Soweto, the country's largest township. Moves like that are in the right direction, but it will take time before we have another "Invictus" moment for Hollywood to recreate.

To me, a South African now living in the United States, it seems that South African rugby is in a better state than it was pre-World Cup 1995, but not where it could be. We can be proud of the fact that we're one of only two countries to lift the Webb Ellis Cup twice, and that we're still considered a rugby powerhouse.

But perhaps indicative of how far South Africa still has to go, popular rugby commentator Darren Scott recently resigned from his job at a local radio station after hurling a racial slur at a co-worker, during a team-building retreat, over an unpaid loan.

Scott has apologized profusely but the incident prompted Supersport, a leading sport channel for whom he was a freelancer, to drop him from the team sent to New Zealand to cover the World Cup.

It might be that South Africans need to come together more before the boys on the pitch reflect the make-up of the country, but I'd like to think that rugby has the ability to be a game-changer off the field.

It could serve as the example others would follow.

We don't need to wait for the rest of society to catch up, we can show them how it's done and get closer to once again being South African first -- and black or white second.

@highlight

South Africa seeking to retain Rugby World Cup title in New Zealand

@highlight

Springboks' first triumph in 1995 was a big boost for post-apartheid nation

@highlight

Its rugby union is battling to make the game more accessible for all races

@highlight

Rugby is still mainly popular with whites, despite attempts to bring in quotas