(CNN) -- Generations of rock hounds and miners have turned the earth in western North Carolina, looking to bring a special ruby, sapphire or emerald -- the "big three" of the gem world -- to the light.

The passion started early for Terry Ledford, 53, who operated a gem stand on weekends when he was a kid. "I always loved rocks," said the Spruce Pine resident.

For W. Renn Adams, 90, the world of spodumenes, hiddenite and beryl runs even deeper in his blood. His Alexander County family has been digging for them since the 1880s.

The men's interests became intertwined early this decade when they became partners on the Adams family farm, which grows corn along with its treasures below.

They unearthed hiddenite, a rare pale-to-green mineral in the spodumene family, and other specimens.

"We never found any good emeralds," said Adams.

Until that day in August 2009.

"It was just a normal digging day," said Adams, who used to grade roads before he retired.

Using a track hoe and other equipment, Ledford worked his way down a hole in the earth and through a quartz vein, 14 feet below the surface.

That's when he found it.

Reaching below a crystal, he saw what looked to be part of a 7UP bottle.

It was an emerald crystal. A very big emerald crystal. Some 310 carats of it.

"Terry really had a time when he found that one," recalled Adams, without a hint of understatement.

Dubbed the "Carolina Emperor," the gem has been trimmed to 64.83 carats and is called the largest cut emerald ever found in North America. It is being compared to an emerald that once belonged to Catherine the Great of Russia.

And it could be yours. The co-owners are selling it, perhaps by the end of the year.

While rubies and sapphires are found near Franklin, about 75 miles southwest of Asheville, different gems lure residents and visitors to Alexander County, about 30 miles northeast of Hickory.

The small town of Hiddenite is named for William Earl Hidden, who mined North America's first emerald and hiddenite on the Adams property in the 1880s, said geologist Ed Speer.

"Emeralds are very rare in the world and only a few countries host emerald deposits," Speer said. "North Carolina is lucky to have three known emerald districts, including the Hiddenite district."

Michael Wise, a geologist with the National Museum of Natural History, said emeralds are more likely to be found outside North America. Most are from Colombia, Russia, Brazil and Afghanistan.

According to Speer, emeralds (a beryl colored by chrome and vanadium) and the rarer hiddenite (spodumene) are together only in this part of North Carolina.

Gems have created a cottage industry around Hiddenite, with amateurs and mining operations working the soil.

At Emerald Hollow Mine, options for the energetic are "digging," "creeking" and "sluicing."

"We have people from everywhere," said employee Whitney Day, who said the region offers 63 types of minerals.

Mining has a significant impact on the state's economy, with gem mining a small part of that, said Speer, who has 40 years' experience in mineral exploration around the world. The presence of pegmatites, a form of igneous rock, is largely responsible for the number and quality of gemstones, he said.

Although the public's imagination often revolves around precious gems and stones used in jewelry, including diamonds, collectors often come at gems from a different perspective. They may prefer a certain locality or type of gem, Wise said.

"A serious collector may prefer an uncut crystal to a cut gem," he added.

Adams said his family used to open the farm to the public in the 1970s and into the 1980s. People paid $3 to dig by hand and foot; no machinery was allowed.

Since then, the small mining operation has been private.

Failing eyesight has somewhat sidelined Adams, but he still has a penchant for the craft.

"I like moving the dirt."

Ledford, who also sells gems and operates an amethyst mine in Georgia, and Adams have had the six-sided "Carolina Emperor" crystal cut twice. It is now slightly wider than a quarter.

They received a comprehensive analysis in early August, and are now marketing the stone.

The emerald compares in size and quality to one surrounded by diamonds in a brooch once owned by Catherine the Great, who was empress in the 18th century, said C.R. "Cap" Beesley, a New York gemologist who examined the stone.

Beesley told The Associated Press that Christie's auction house in New York sold that gem in April for $1.65 million.

Chips or cuttings that resulted from the faceting of "Carolina Emperor" sold for between $10,000 (1.89 carats) and $15,000 (2.36 carats), said Ledford.

Ledford, the son of a mica miner, said he would rate the quality of the gem an 8 on a 10-point scale. Its uniqueness and size, with color and clarity following, may put it in the area of the selling price for the Catherine the Great emerald, he said.

Generally, larger gems are more likely to have internal flaws and inclusions, said Wise. But Douglas Hucker, CEO of the American Gem Trade Association, who like Wise said he has not seen the stone, said those factors are not as critical as size and color.

The Hiddenite emerald's biggest asset is that it is from an area not known for large emeralds, said Hucker. "If it wasn't from North Carolina it wouldn't be creating the buzz it is now," he said. Standards for colored gems are not as exacting as for diamonds, he added.

Still, Hucker said, it is a large stone with desirable color and a potential buyer may be drawn to it. "When you combine all those things it increases the rarity."

Hucker said that comparing the emerald to the Catherine the Great gem is a stretch because the empress, who he described as a "jewelry hog," was a person of special historic significance.

Beesley's report, which calls the "Carolina Emperor" one of "the most important gemstones in American history," mentions an 18.88-carat pear-shape emerald, which until now was considered the continent's most valuable cut emerald.

"This is a monster by comparison," said Wise.

"Several people are interested in it," said Ledford, adding an unnamed museum has expressed interest.

Meanwhile, Ledford and an assistant continue to operate at the Adams family farm.

"Terry's emerald find is very exciting as it confirms that more large emeralds are still out there," said Speer.

At 90, Adams can savor the moment.

"This is what I always dreamed to find," he said.

@highlight

Gem is called largest cut emerald in North America

@highlight

North Carolina pair found it on farm 14 feet below ground

@highlight

Emeralds and another gem, hiddenite, are found only in that area

@highlight

Co-owners planning to sell "Carolina Emperor"