The world has devoted a great deal of diplomatic energy to securing Syria's chemical weapons. It has yet to do the same for securing Syria's children.

Their future is as important for international security and stability, even if the consequences of inaction will take far longer to be seen and felt.

The war in Syria between the government of Bashar al-Assad and forces opposed to him has ground on for more than two years and claims new victims each day.  More than 100,000 have been killed. Starvation has become a gruesome reality, with a religious leader now saying it is OK to eat cats and dogs given the lack of much of anything else.

Polio, likely brought by foreign fighters, has resurfaced to claim tiny victims younger than 2. In the past two weeks, barrel bombs -- drums filled with shrapnel and explosives -- are reported to have killed more than 500 people in the city of Aleppo.

According to the Syrian Observatory for Human Rights, a UK-based group with links to Syrian opposition, children accounted for more than 150 of the dead.

Refugees fleeing the conflict, most to Syria's overwhelmed neighbors Jordan and Lebanon, top a whopping 2 million. Some U.N. officials expect that number to climb as high as 4 million in 2014. More than 1.1 million of these refugees are younger than 18. Indeed, Syria's youngest citizens are paying dearly for a war they did not create, one that is laying waste to their present and their future.

Three out of four Syrian children "have lost a close friend or family member in their country's ongoing conflict" and "many have witnessed violence," notes the International Rescue Committee.  Charities such as IRC and Mercy Corps working with Syria's children tell of young people isolated, lonely and struggling with the impossible task of coming to terms with all that they have seen and lost.

"If we do not act quickly, a generation of innocents will become lasting casualties of an appalling war," U.N. High Commissioner for Refugees António Guterres said in November when releasing a report on the grim future facing Syria's children.

"A grave consequence of the conflict is that a generation is growing up without a formal education," the report said.  "More than half of all school-aged Syrian children in Jordan and Lebanon are not in school. In Lebanon, it is estimated that some 200,000 school-aged Syrian refugee children could remain out of school at the end of the year."  They join 25 million kids of primary-school-age around the world out of school because of war.

These numbers matter and well beyond Syria's borders.

As U.S. Education Secretary Arne Duncan has often noted, security and education are bound together: Low educational attainment is among the strongest predictors of violence.  Anyone hoping for a safer, more secure world had better start with educating children.

And yet until now, the international community's reaction to the escalating death count and the rising number of hungry, homeless and displaced children has fallen somewhere between a shrug and a sigh. Although U.N. agencies have released a slew of dire warnings about the situation's urgency and its gravity, it is unclear anyone is listening, let alone ready to act to change the calculus on the ground.

In September, a round of feverish and focused diplomacy unfolded between Russia and the United States to reach a deal with the Assad regime on its chemical weapons.

No nations have engaged in such fully concentrated diplomacy to open and secure humanitarian corridors and bring supplies to cities being starved and cut off from the rest of the world -- and to make sure Syria's children don't go hungry. Although chemical weapons may be close to being secured, conventional weapons face no such limitations and are being used to kill, injure and maim with impunity.

This leaves children to pay the price.  And so will the rest of us, eventually, if nothing is done to help a lost generation find a way to a more secure future.

@highlight

Gayle Lemmon: Nations have tried to secure Syria's chemical weapons but not to help children

@highlight

Lemmon: Children suffer from starvation and polio, killed by airstrikes and bombs

@highlight

She says chemical weapons close to being secured, but not conventional weapons

@highlight

Children pay the price, she says. The world has turned its back on them