(CNN) -- At least one in six people worldwide doesn't have access to clean water, and this contributes to about 1.5 million preventable deaths each year, according to the United Nations.

Doc Hendley, a top 10 CNN Hero in 2009, is trying to help change that. Through his nonprofit, Wine to Water, the former bartender from North Carolina has helped provide clean water to more than 150,000 people in 17 countries.

Wine-tasting events are one way Hendley and his group raise the funds that enable them to distribute water filters and help install wells in communities around the world. And in April, bartenders from 16 countries donated their tips to the cause.

Hendley recently talked with CNN about the water crisis and his efforts to help people impacted by the Syrian civil war and the recent typhoon in the Philippines.

CNN: What should people know about the water crisis?

Doc Hendley: It takes many women and children four and five hours, every single day, just to get water. And then it's absolutely filthy, and it's making their children sick. Diarrhea kills more children under 5 than AIDS, malaria and measles combined. And 88% of (those) deaths are caused by poor sanitation, unsafe drinking water and poor hygiene.

A lot of people ask me, "If this water crisis is so bad, how come we haven't heard much about it?" Well, here in the West, we help support things that we can empathize with.

We know what it's like to lose a loved one to a disease like cancer. We understand what it means to need a good, solid education for a child. So (those causes) get a lot of the spotlight. But it's hard for us to empathize with the water crisis. We wash our cars; we water our lawn. We just can't imagine what it's like to not have access to water.

CNN: Why did you start working on this issue?

Hendley: I began raising funds to support the fight against the global water crisis back in 2004, and I had an opportunity to live in Darfur, Sudan, during the height of the genocide there. My job was to (work in) refugee camps and get them access to water.

When I first started witnessing these women and children and the effort they would go through for a cup of water, and then to see actually the water that they were providing to their kids -- when you see that firsthand, you can't help but be changed. When I came home, it's all I could think about. I dreamed about it. So I decided this is what I want to do with my life.

CNN: Why did you get involved in the situation in Syria?

Hendley: Right now in Syria, every single day, thousands of people are fleeing their homes because of this fighting ... going to an unknown future, with no resources.

In these (displacement) camps, a lot of the men have either been killed or they're all fighting, so it's mostly populated by children and women. The vast majority is children. And as you know, a lot of these kids' systems are very weak, and they're drinking filthy water. My first thought was, "Let's see if we can get some water filters into these camps."

Another big reason for me was that the first country I worked in, Sudan, was a predominantly Muslim country, and I've really felt a connection with the Muslim world ever since. I really wanted to get out there and reach out, to show that we want to help in any way we can.

CNN: What are you doing to help?

Hendley: We created a partnership with Zakat (a U.S.-based Muslim charity), and right now we're actively working in two camps in the northwestern region, near border areas between Syria and Turkey.

I was able to (go) inside some of these camps, inside Syria. ... The living conditions, they're terrible.

On that trip, I was able to bring about 350 filters with me. Until we can get each household to have their own water filter, which is the ultimate goal, we have a couple of distribution areas where people can come with their buckets of water and run (it) through a number of filters in order to clean it.

When it's not an emergency situation, we can go into an area and teach them, using their local resources, how to build their own water filter. But in a war zone, like what's going on in Syria, we just need to get a clean water fix immediately.

Syria is the very first location that we're using these Sawyer filters. We're really excited about them. If they're used properly, they will last 10 years and filter 250 gallons of water every day.

CNN: Do you ever worry about the risk?

Hendley: Going inside Syria reminds me a lot of my time (in Sudan). When I was younger, I was a little more reckless; I didn't have as much to lose. Now I have a wife and two kids, and so I do find myself thinking, "Is this work really worth risking my life over?"

You know, when you see these families get to access clean water, it makes the answer pretty easy: Of course it's worth it.

A lot of people think because the number is so big, what can one person really do? It's just too overwhelming. But if you think, "I could help one other person or five other people or one village," you can make a huge difference.

CNN: You were just in the Philippines, where you and Efren Penaflorida, the 2009 CNN Hero of the Year, were helping people impacted by the typhoon. How did that go?

Hendley: Having so much support from Efren and all of his contacts helped the process go much more smoothly than it normally would.

We brought about 2,000 filters, and we've been able to partner with a local water company, Maynilad, that's helping us provide 500 more. They are interested in doing even more, so with their support we now may be able to reach out to a huge number of people. That really upped the ante for us. ...

There's just so much to do in the Philippines. There are so many disasters there -- not just typhoons, but earthquakes. And lots of villages we went to didn't have clean water before the typhoon, and now things are much worse. So there's lots of work to do there, but we're excited about having the chance to help.

Want to get involved? Check out the Wine to Water website and see how to help.

@highlight

Doc Hendley, a top 10 CNN Hero in 2009, has expanded his Wine to Water initiative

@highlight

His nonprofit has helped provide clean water to people in 17 countries, including Syria

@highlight

Worldwide, at least one in six people does not have access to clean water

@highlight

A special documentary, "Wine to Water," airs December 15 and 22 on CNN