Hong Kong (CNN) -- Well that's that. After one week of mingling with elite Party loyalists, China's Communist leaders have wrapped up their 18th National Congress.

The next will be in five years time when the presumptive new president -- Xi Jinping -- delivers his thoughts on the challenges, ambitions and threats facing the world's most populous country.

Read our live blog for the latest on China's new leaders

His predecessor Hu Jintao fired a flare on the first day of the Congress about the threat of corruption and its power to potentially bring down China's Communist regime.

"If we fail to handle this issue well, it could prove fatal to the party, and even cause the collapse of the party and the fall of the state," he told delegates.

China's next leaders: Who's who

CNN asked five experts to explain what they see to be China's most pressing challenge. It's by no means a complete list, presented in no particular order.

1. Factional divisions

Plenty of analysis has accompanied this year's Congress as to the fine -- and not so fine -- lines that split the ideologies and loyalties of the members of the Politburo Standing Committee.

But will any fracture lines be enough to tilt the Party towards reform? China commentator Willy Lam weighs in, noting that "even before the birth of the People's Republic in 1949, factions within the party had fought over the future direction of the country."

The "struggle between two lines" during Mao's rule has morphed into divisions according to family ties to revolutionary leaders and guidance from powerful mentors.

"Since the early 1990s, three major factions have emerged within the party: the Shanghai faction led by ex-president Jiang Zemin, the Communist Youth League (CYL) faction led by President Hu Jintao, and the "Gang of Princelings" -- a reference to the offspring of party elders -- led by president-in-waiting Xi Jinping.

What's the potential for one to win out?  Lam explains.

2. More spending, less saving

In 2011, a team of researchers led by economist Li Gan started asking questions to compile the most comprehensive study so far of household wealth in China.

They found that the top 10% of income earners are sitting on most of the wealth.

The low savings rate of most Chinese households surveyed suggest they simply don't have the money to spend. To move toward a consumer-based economy, therefore, raising the income -- and spending -- levels for the poor is key.

Gan explains here what China needs to do.

3. Pouring water on disputes

Don't expect China to turn the other cheek when it comes to regional disputes, writes Stephanie Kleine-Ahlbrandt from International Crisis Group.

"Beijing is keen to prevent the world from concluding that China has discarded the notion of a peaceful rise," Kleine-Ahlbrandt writes. She says China's going down the path of "reactive assertiveness."

One example is China's attitude in response to Japan's purchase of islands disputed by both countries in the East China Sea.

Find out whether Kleine-Ahlbrandt thinks the country's new leaders are likely to change tact.

4. Too many men

Faced with a surging population, China attempted to put the brakes on procreation in the late 1970s by implementing a controversial policy limiting couples in some areas to just one child.

Since then, a cultural bias towards male children has led to a skewed child sex ratio where millions of men, or "bare branches" face an uncertain future due to the lack of potential female partners, writes evolutionary biologist Rob Brooks.

"It would be difficult to overstate the urgent need for China to emulate South Korea in eliminating sex-biased abortion and neglect," Brooks writes.

Studies show, he says, what can happen if it doesn't.

5. Learning the three Rs

The legacy of China's powerhouse of cheap, labor-intensive exports is a natural environment tainted by the pollutants of economic growth.

Author Geoff Hiscock says securing the food, water and air security of China's 1.35 billion people is one of the leadership's biggest challenges.

"Beijing and other parts of northeastern China are already water-stressed, the air quality in inland mega-cities such as Chongqing and Chengdu is abysmal, farming land is being poisoned by toxic runoff from mining and industrial activities, acid rain blights large parts of south China, contagious disease is an ever-present risk among its livestock, and unscrupulous makers sell tainted foodstuffs," Hiscock writes.

So what can China do about it? More from Hiscock.

CNN's Kevin Voigt and Paul Armstrong contributed to this report.

@highlight

Experts explain what they think is China's biggest challenge

@highlight

Economist Li Gan stresses the country's need to get the poor spending

@highlight

Stephanie Kleine-Ahlbrandt from International Crisis Group writes on China's foreign policy

@highlight

Issues of too many men, sustainable growth and factional splits are said to be issues