New York (CNN) -- In the mid-March chill, the victims and their stories continued to emerge as firefighters ferreted through the piles of bricks and wreckage on the East Harlem block where a powerful explosion and fire leveled two buildings.

They brought life to a bustling neighborhood of corner bodegas, botanicas, churches, shops and redbrick tenements whose ordinary rhythms were shattered after the Wednesday morning blast killed at least eight and injured dozens more. They hailed from Greece, Mexico, Puerto Rico and the Dominican Republic.

The eighth body was recovered Thursday night, a fire department spokesman said.

Among the victims was Alexis (Jordy) Salas, 22, an aspiring lawyer who checked on an elderly neighbor and member of his church -- who was also killed -- when the odor of gas filled corridors of their building the night before the blast, said his wife, Jennifer Salas.

"He knocked on our neighbor's door and when she didn't answer, he was worried," Jennifer Salas said Friday. "Finally, she answered the door and said she was OK."

Jennifer Salas, a 20-year-old college student who is six-months pregnant, said her husband was sleeping when she left for school Wednesday morning. The gas odor lingered in the corridors. "It wasn't as strong, but maybe I just got used to it," she said.

Her husband, she said, studied at John Jay College of Criminal Justice and taught Sunday school at the store-front evangelical church on the ground floor of the now-destroyed apartment building where they lived.

"He liked going to church, studying, watching the news and knowing what was happening in the world," she said. "He cared about his neighbors."

Another victim was the Salas' next-door neighbor, Carmen Tanco, a 67-year-old dental hygienist who relatives tried desperately to reach by cellphone.

"She's sassy, spicy, which is why her and I are so close," her niece, Marisela Frias, 44, said before learning her aunt had died. "We have the same temperament, character. We tell it like it is, tell you the truth, whether you want to hear it or not. What you see is what you get."

Griselde Camacho, 44, who also died in the blast, was a public safety officer at the Hunter College Silberman School of Social Work in East Harlem, the school's website said.

"Griselde was a well-liked member of our community, a respected officer and a welcoming presence at our Silberman building," said Jennifer J. Raab, the college president. "Our deepest sympathies go out to her family, and we are committed to doing everything we can to support them in their time of great emotional need. We also know this is a difficult time for all those who knew and worked with Sergeant Camacho. All of you will be in our thoughts in the days ahead."

Camacho and Tanco were remembered by Carlton Brown, bishop of Bethel Gospel Assembly, on the church's Facebook page.

"Our hearts are heavy as we will truly miss these two beautiful women," Brown wrote. "Many of us share fond memories on how they have blessed our lives with their warm smiles and caring natures. They were both faithful volunteers."

Rosaura Hernandez, 21, who also perished in the explosion, was a line cook at Triomphe Restaurant, general manager Robert Holmes said.

"We liked her enthusiasm and raw talent," Holmes said. "It's a terrible loss. My staff has taken it hard. ... She was solid as a rock, never got flustered. She was calm, even-tempered. One of our line cooks was quite close with her. When he heard she was missing, he said, 'Can I go find Rosie? I gotta look for her.' I said, of course. It's a terrible tragedy."

Another victim was Andreas Panagopoulos, 43. He was a musician and agent for a creative agency who was married to an editor at the Spanish-language daily El Diario La Prensa.

"We knew him as a very warm and funny person, who was always ready to help," Neska Husar, a representative of Production Paradise, said in a statement. "We will also remember him by his great sense of humor, eloquence and elaborate e-mails -- he always took his time to explain his thoughts and work process."

Other victims include George Ameado, 44 and Rosaura Barrios, 44.

One fatal victim remains unidentified.

On Friday, former President Bill Clinton, whose foundation still has offices in Harlem, toured the blast site.

City officials said they were making temporary housing available for the displaced. Mayor Bill de Blasio said 66 people, including 14 families with children, had received temporary shelter.

Though authorities have said a gas leak may have triggered the explosion, de Blasio told reporters Thursday that the official cause was under investigation.

"We know there was an explosion," he said, "but we don't know everything about the lead-up to it."

Desperate search for survivors

Near 116th Street and Park Avenue, once the heart of New York's large Puerto Rican community, firefighters -- for days -- have been tearing at mounds of bricks in a search for survivors from the collapsed five-story buildings, which housed a piano store and an evangelical church, in addition to apartments.

The fire department tweeted Firday that 60% to 70% of the debris has been removed, enabling federal investigators to start their probe of the gas blast.

On Thursday, Con Edison officials said the utility received a call reporting a gas leak around 9:13 a.m. Wednesday from a resident at one of the newer buildings on Park Avenue. The utility dispatched a truck two minutes later, but it arrived after the explosion. The caller reported smelling gas the night before but did not call the utility at the time.

Two gas repairs were made on the block in January 2011 and May 2013 following complaints of a gas odor, Con Ed CEO John McAvoy said. The utility looked back at 10 years of checks and repairs on the gas main on the block and found no "historical condition," he said. In addition, Con Ed checks for leaks in the area on February 10 and February 28 detected no problems.

Fire officials said they received no reports of gas leaks in the area in the last month, while police reported receiving no calls since 2010.

Fire marshals, police arson investigators and the National Transportation Safety Board -- which probes gas explosions -- worked to determine the cause of the explosion.

"In one word, devastating," was how Robert Sumwalt of the NTSB described the scene Thursday afternoon. He called it an "active search and rescue operation."

"You have, basically, two five-story buildings reduced to essentially a three-story pile of bricks and twisted metal."

Sumwalt said the agency was "operating under the assumption that a natural gas leak led to an explosion," but that his team of investigators had not yet examined the crater where the buildings once stood.

Some wreckage was still smoldering Thursday, with the fire whipped by the cold wind, de Blasio said.

"Our biggest concern now is the free-standing wall in the back," Edward Kilduff, fire chief of department, told the mayor during a tour of the site Thursday. "That was a little more solid last night, but it burned overnight."

Surreal scene of destruction

The massive explosion shook Manhattan's East Harlem section around 9:30 a.m. Wednesday.

Colin Patterson said he was watching TV when a thunderous blast suddenly sent pianos hurling through the air in the shop where he works.

"They flew off the ground," said the piano technician, who also lives in the building in East Harlem. He told CNN affiliate WABC that he crawled through the rubble and managed to escape unharmed.

A building department official said one of the two Park Avenue buildings that collapsed received a city permit last year for the installation of 120 feet of gas piping. The work was completed last June. In 2008, owners of the adjacent building, which also collapsed, were fined for failing to maintain vertical cracks in the rear of the building. The condition was not reported as corrected to the buildings department.

There were a total of 15 units in the two buildings, officials said.

Building department records detailed a litany of violations, dating back decades, for one of the collapsed buildings, including a lack of smoke detectors, blocked fire escapes and faulty light fixtures.

The mayor told reporters that the report of the gas leak, which he said came about 15 minutes before the explosion, was "the only indication of danger."

Blast shook Manhattan for blocks

Fire Commissioner Salvatore Cassano said responding firefighters barely missed the blast.

"If we were here five minutes earlier we may have had some fatalities among firefighters," he said. "Not being here may have saved some lives."

Once a predominantly Italian neighborhood, the stretch of East Harlem saw a large influx of Puerto Ricans in the 1950s. It went on to be called Spanish Harlem and El Barrio. In the 1990s, many Mexican immigrants began to move into the area, which has been gentrified in recent years, with many mom-and-pop shops replaced by restaurants and bars.

CNN's Poppy Harlow, Rose Arce, Eden Pontz, Don Lemon, John Berman, Ashleigh Banfield, Adam Reiss, Stephany Byrne, Haley Draznin, Laura Ly, Shimon Prokupecz, Brian Vitagliano, Julia Lull, Lorenzo Ferrigno, Steve Kastenbaum, Elizabeth Landers, Susan Candiotti, Haimy Assefa, Chris Boyette, Kevin Conlon, Julie Cannold and Catherine E. Shoichet contributed to this report.

@highlight

NEW: An eighth body is recovered, says a fire spokesman

@highlight

Police identify another victim, Andreas Panagopoulos

@highlight

"In one word, devastating," is how NTSB investigator describes scene

@highlight

At least one person is unaccounted for, police say