Tokyo, Japan (CNN) -- It was not a quiet weekend for the prime minister of Japan, facing a diplomatic test abroad from China and questions at home about his leadership.

Sitting down with CNN -- his first interview with an international television network -- Prime Minister Naoto Kan answered wide-ranging questions from pressing economic issues leading up to the upcoming APEC (Asia-Pacific Economic Cooperation) summit, to the diplomatic challenges from economic superpower China.

Kan is a leader looking for a path out of a maze of domestic and international hurdles. He faces the monetary monster that is the sharply rising yen, that's prompting corporations like Toyota and Nissan to push production and jobs outside of Japan. Diplomatically, he is in the middle of a major test with China, a country wielding growing strength in the world economy, and a superpower that's just surpassed Japan in economic might.

Japan is in an ongoing dispute with China over islands in the east China Sea. The islands, called Senkaku in Japan and Diaoyu in China, are claimed as territories by both countries.

"As far as Japan is concerned," said Kan, "there is no territorial issue connected to the Senkaku islands. In fact, the Senkaku islands are the inherent territory of Japan. That is recognized in our history and also by international law."

On September 7, the Japanese coast guard encountered a Chinese fishing crew in the islands' waters. The Chinese fishing vessel collided with two of the coast guard ships.

Japan arrested the Chinese crew, quickly releasing the fishermen, but detaining the captain. His detention drew diplomatic fire from China, resulting in the cancellation of high-level ministerial meetings, most recently the abrupt cancellation of a scheduled meeting between Kan and Chinese Prime Minister Wen Jiabao at the Association of Southeast Asian Nations. Japan eventually released the captain, but relations continue to be strained.

At the time of the September 7 incident, the Japanese coast guard captured both collisions on video. The video, deemed highly sensitive by the prime minister's office as it sought a smooth diplomatic out with China, was not released to the public, but shown to a select group of parliamentary lawmakers.

Last Friday, the video appeared on YouTube and quickly went viral, sending Prime Minister Kan's office on the diplomatic defensive.

Members of the prime minister's own party publicly began to question his handling of the matter.

"The fact that the video was leaked is a big mistake for the government," said legislator Hiroshi Kawauchi, of the prime minister's ruling Democratic Party of Japan. "It is totally different from presenting it to the public in an official manner, and it leads (to) the people's further erosion of faith in Japan's government."

In the weekend interview with CNN, the prime minister defended his actions. "I believe in any country that matters that relate to its territory provoke strong sentiments among people of that country. But I trust five years, 10 years down the road, people then will appreciate my cabinet dealt with the issue in a calm manner."

While the prime minister must try to contain the diplomatic damage with China, the most pressing matter in the week leading up to the APEC summit will be economic issues.

Kan strongly defended his government's right to intervene in the currency market, in attempts to weaken the yen's sharp rise against the U.S. dollar.

Japan had little choice, he suggested, since U.S. policy has been to boost the U.S. economy.

"With regard to the strong yen, the basic cause is the U.S. economy was undergoing changes with everything being skewed to a weak dollar," said Kan. "Should there be excessive fluctuations in exchange markets, then we need to take resolute actions. In fact, we've already intervened in the market once. This remains an option we can take again."

How long Kan remains in his job is a constant question lobbed publicly by many pundits in Japan. The topic is a natural one, as there have been five Japanese prime ministers in four years. Prime Minister Kan asserted he's shown leadership and results, producing a rare-earth minerals partnership with Vietnam and the deepening of an economic pact with India.

"As we move forward by achieving concrete results, one after another, these will become more visible to the Japanese people. I still have three more years in my term in office. If I firmly implement policies, I trust I will be able to have the support of the Japanese people," Kan said.

@highlight

Japanese Prime Minister Naoto Kan faces a maze of domestic and international issues

@highlight

Economic issues are at the forefront in the week leading up to the APEC summit in Japan

@highlight

In a CNN interview, Kan defends his government's intervention in the currency market