Going off-road used to mean tearing up dirt tracks in a powerful four-by-four or gigantic monster truck.

For two ambitious tech start-ups however, the term has come to comprise something more subtle and potentially revolutionary.

For the past 18 months Matternet  and Aria -- separate companies born out of the the same Silicon Valley incubator -- have been working towards creating a roving network of automated drones that will help connect rural and under-developed areas with little access to existing road or highway systems.

While the idea may sound far-fetched to those unfamiliar with the latest in civilian drone technology, preliminary vehicle testing has already taken place.

See also: Where is the world's best airport?

"The easiest way to describe what we are doing is to compare how mobile telephony has taken off in the developing world," said Matternet founder and CEO, Andreas Raptopoulos.

"(We want) to leapfrog the traditional modes of transportation infrastructure in a similar way and bring items through these unmanned aerial vehicles (UAVs) to people who may otherwise be cut off or isolated," he added.

A network of drones

The idea stems from when Raptopoulos led a research group including the company's three other co-founders at the Singularity University in Silicon Valley.

They envisioned employing a fleet of drones with a two kilogram payload capacity and a six mile flight-range.

These automated vehicles would be complemented on the ground by a vast network of strategically positioned hubs, enabling drones to recharge their batteries every few miles before continuing to the next station (where the recharging process is repeated) or final destination.

Control of the drones and the assignment of packages for delivery would eventually be handled by an automated operating system. Orders or requests could then be placed and paid for by cell phone.

The potential applications, Raptopoulos explained, include delivery of medicines to disconnected areas, enabling farmers to supply products directly to customers and providing vital materials to areas cut off by natural disasters.

In the future, he adds, the concept could also be adapted to enhance the transport or distribution systems of large cities.

See also: The lion city roars

So far, Matternet have reached the stage of conducting initial trials of "quadrocopter" drones, which took place in Haiti and the Dominican Republic last year.

While happy with the results, Raptopolous believes the concept needs more testing before commercial or civilian deployment can be considered.

Internet of actual things

Meanwhile  Aria (Autonomous Roadless Intelligent Array) -- set up by students from the same Singularity University class but concentrating more on developing an open source system and ground network -- intends to develop an autonomous aerial system to service this year's Burning Man festival in Nevada.

According to Aria co-founder, Arturo Pelayo, a hyper-connected UAV network creates the possibility of a physical delivery system so dense and interconnected that is in effect an "analogue internet."

"On the internet you send digital packages. On the analogue internet you are still sending packages but these are physical," he said.

"We see the opportunity to create these very flexible networks serviced by these systems and ground hubs (which could even be something as basic as a disused shipping container) over very large areas," he added.

See also: Is the Danube Romania's 'blue motorway'

As the technology develops further, Pelayo believes they will overcome the drones' principle limitations -- namely the short distances they can travel and small weight they are able to carry.

He also highlights cost benefits as a significant factor in making the technology attractive to potential users.

Counting the cost

Raptopolous agrees and points to a case study carried out at the Singularity University of the Maseru district in the tiny African kingdom of Lesotho, which put the price of a network of 50 base-stations and 150 drones at just $900,000 -- comparing favorably against $1 million for a two kilometer, one-lane road.

But while enthusiastic about these figures Raptopolous emphasizes that he doesn't see drones replacing roads or highways any time soon.

Roads, after all, still carry the obvious benefit of being able to transport people and cater for much larger and heavier loads.

"The idea of Matternet is not to replace systems where they work well but really to complement them," he said.

External factors such as how small drones perform in bad weather, how they interact with other aircraft as well as public perceptions of devices best known for their operation in a military theater will also have to be overcome, he admits.

On top of this, the fact that drones could be adapted to transport illicit materials such as drugs is also something that must be considered.

This is a point addressed by associate professor of aviation at the University of North Dakota, Ben Trapnell.

However, he noted that while such networks could theoretically be abused in such a way it would be foolish to disregard the "host of societal and economic benefits" they could provide.

@highlight

Matternet and Aria are exploring the possibility of dense drone networks that could deliver goods to remote areas

@highlight

The idea is to connect regions or towns where roads are unreliable or do not reach

@highlight

Preliminary vehicle tests have already taken place in Haiti and the Dominican Republic