Washington (CNN) -- Workers aboard the Deepwater Horizon were pushing to complete the well at the heart of the Gulf of Mexico oil spill before the disaster, but no "conscious decision" to cut corners on safety has been discovered, a presidential commission reported Monday.

"There seemed to be a compulsion to get this rig completed in that April 19th-April 20th time period," said Bob Graham, the commission's co-chairman. "And as a result of that, a number of things which might have made the outcome of this plight different were deferred or abandoned."

The undersea gusher erupted with an April 20 explosion aboard the Deepwater Horizon drill rig, which was completing a well for the oil giant BP at the time of the blast. The rig sank two days later, taking 11 men to a watery grave and unleashing the worst oil spill in U.S. history.

The well was about 45 days behind schedule, and Fred Bartlit, the commission's chief counsel, said BP's operating costs for the leased rig were running about $1.5 million per day. Those costs were "overhanging the heads of people on the rigs," Bartlit said -- "but they don't want their buddies to get killed, or themselves."

"To date, we have not seen a single instance where a human being made a conscious decision to favor dollars over safety," he said.

But as the commission opened two days of new hearings into the disaster on Monday, Graham questioned why the timing was "so central" to managers that they did not examine the well's cementing job more closely.

"I would hope that tomorrow we get down to the question of just what was driving for a decision on that particular narrow 24 hours," added Graham, a former U.S. senator and Florida governor.

In its preliminary findings, the commission criticized BP for shifting its plans for capping the completed well. At one point, one of the "company men" on the doomed rig was unaware of changes being planned back on shore, staff attorney Sean Grimsley said.

Mark Bly, BP's executive vice president for safety, told the commission he and the company "don't exactly agree" with the findings.

"In our work we went through what turned out to be the eight critical things we thought had contributed causally here," he said. "We clearly identified the failure to isolate at the bottom of the well and the negative test and, subsequently, the monitoring, so we didn't see the procedures here as particular to that. We felt they were covered in the other things that we described."

Rep. Ed Markey, D-Massachusetts, an outspoken critic of BP, said the company has "a long and sordid history of cutting costs and pushing the limits in search of higher profits."

"When the culture of a company favors risk-taking and cutting corners above other concerns, systemic failures like this oil spill disaster result without direct decisions being made or tradeoffs being considered," Markey said in a written statement on Monday's findings. The Massachusetts Democrat leads the House Energy and Commerce committee's energy and environmental subcommittee.

Still pending are test results on the rig's blowout preventer, the massive fail-safe device that was supposed to shut down the well in case emergency. Federal authorities took control of the preventer in September and have turned it over to a Norwegian engineering firm to analyze the device "from soup to nuts," Bartlit said.

BP, rig owner Transocean and cement contractor Halliburton have pointed fingers at each other since the rig sank. As the well's owner, BP was responsible for capping the ruptured well and cleaning up the more than 200 million gallons of oil that spilled. The well was sealed temporarily in mid-July and capped permanently on September 19.

Lab test results should have prompted managers to redesign the cement slurry used to line the well, the committee reported. In addition, the Transocean drill crew also could have diverted the escaping hydrocarbons overboard or triggered the rig's emergency disconnect before the blast, which could have shut in the well and "limited the impact of any explosion and/or the blowout," the commission stated.

Managers for both BP and Transocean treated a pressure test as a "complete success" despite repeated signs showing that the cement job was not containing the high-pressure oil and gas, the commission found.

Co-chairman William Reilly, a former head of the Environmental Protection Agency, said the evidence so far indicates a "culture of complacency" on the part of both industry and regulators, including the since-disbanded Minerals Management Service.

"If we had not been complacent, I suppose the most obvious reality is we would not have experienced two full months of a gushing well leading to 200 million gallons being spilled," Reilly said. "We would not have seen Congress underfund the regulatory agency consistently over the better part of the last 20 years, and the consequent failure of MMS to rise to the challenges posed by technologies that simply became so sophisticated that they scarcely were any match for the people they were regulating."

The commission's final report is due January 11. Investigations are also under way by the Justice Department, several congressional committees and a joint Coast Guard-Interior Department board.

Unlike those agencies, however, the presidential commission does not have the power to subpoena witnesses -- an issue Bartlit raised several times.

"We get a lot of arguments," he told Graham at one point. "This is where subpoena power, senator, would be helpful, because it's going to be hard to resolve those unless I can sit people down in a room in a very professional, gentlemanly way and cross examine them and find out, you know, what's believable and what's not believable."

CNN's Vivian Kuo contributed to this report.

@highlight

NEW: BP doesn't "exactly agree" with the findings, a company executive says

@highlight

NEW: Congressman says BP has a long history of "pushing the limits"

@highlight

Drill crews were under "compulsion" to complete the well, co-chairman says

@highlight

No evidence has been found that managers chose "to favor dollars over safety"