(CNN) -- Sebastián Piñera is a man on a mission. The Chilean President wants to transform his homeland into a developed nation by 2020.

It's a big challenge to undertake during a decade that's already been marred by recession and global economic uncertainty. Yet Mr Piñera seems confident.

"We have invested so much that I hope that the next two years will be a time of harvest," he told CNN's Richard Quest.

"We will be able to show to the Chilean people that Chile's a country which is absolutely able to defeat poverty, to overcome underdevelopment, and to join the First World."

So how does the President intend to turn his plans into a reality?

Chile already has a very pro-business environment, but Piñera wants to open the doors of trade to his country even wider.

As one of Chile's richest men, he is no stranger to business and according to Forbes has amassed a fortune of $2.4 billion. He believes his entrepreneurial background leaves him ideally placed to send out a message to the world: Chile is open for business.

"We have realised that we have to be integrated to the world," he said.

"We have to compete with the world. And that is why we have free-trade agreements, with the US, with Europe, with China, with India, with Japan, with Korea - you name it.

"I think that's the right path for Chile to become a developed country."

Pinera: U.S. 'printing money' will not solve economic problems

One of the key factors in Piñera's plan to invigorate the Chilean economy is a move towards digital and knowledge based industries.

The country's Start-Up Chile initiative began in 2010, and offers high potential global start-ups a $40,000 investment. No equity is ceded and the only requirement is that one member of the team live in Chile for six months. By the end of its first phase in 2014 it will have provided grants to 1,000 companies for a total of $40 million.

Its critics claim the project throws money away and doesn't produce any long-term benefits. However, Piñera claims most companies stay long after the initial six month period, creating jobs, mixing with local entrepreneurs and sharing ideas.

"We're importing and bringing to Chile people that have good ideas, entrepreneurship capacity and the ability to start a business here," said Piñera.

"What they will teach to our people is very, very valuable. To have a stable economy, to have a stable democracy, and to have a modern government is not enough. We have to build new pillars of development. Education, science and technology, innovation and entrepreneurship, and more equality."

Of course, Chile's future isn't simply reliant on establishing a sustainable domestic economic policy. It's also dependent on exterior influences, and like all free-trade economies it has plenty to worry about.

The problems in the eurozone, the fiscal cliff in the United States, and the slowdown in China all loom in the air above the presidential headquarters of La Monda Palace.

Yet Piñera remains defiant. He said: "I am very convinced that in these next two years, we will be able - even though the world will be in the middle of a crisis - to keep moving forward. At good pace, and with very good direction."

As a nation Chile is viewed as one of the most stable and secure countries in South America. It's rich in mineral resources, has low fiscal debt and political stability, and in 2011 its exports grew by 17%.

Piñera attributes Chile's integration into global markets to its free trade agreements and believes continuing on that path will propel the country to economic stability in spite of negative global factors.

He said: "We decided to integrate our country with the world. That is why we are part of the APEC, we have a free-trade agreement with the European Community, we will be part of the Trans Pacific Partnership, we are part of the Pacific Alliance. That's key aspects. If you try to only base your development in your local market, that's not enough.

However Piñera knows the hardwork also need to come from Chielans themselves. "You need to trust your people. And for that you need to improve the quality of education. The quality of training and motivate people to do their best," he said.

@highlight

Pinera outlines plans to boost Chilean economy despite global downturn

@highlight

President wants Chile to be part of the 'First World' by 2020

@highlight

Free-trade agreements are the key to boosting Chilean industries