Editor's note: CNN contributor Bob Greene is a best-selling author whose forthcoming book is "Late Edition: A Love Story."

Bob Greene says kin of Columbine victims don't have the luxury of moving on after the 10th anniversary is marked.

(CNN) -- The weddings that will never be held.

The birthdays when there will be no one to embrace.

The first jobs that will never be greeted with a parent's proud smile of congratulations.

Those are the things -- the sacred things, perhaps the sole things -- that we should pause to think about Monday.

Because while the rest of the world considers anew the meaning of what happened 10 years ago at the school in Littleton, Colorado, the people who matter -- the only people who truly can fathom the meaning -- are the people with the wounds in their hearts that will never quite heal:

The mothers and fathers of the children who were murdered.

The brothers and sisters who were left with the empty and soundless spaces in their homes and in their lives.

For the rest of us, it's all guesswork, and the anniversary provides a circumscribed time to think about it somberly. But by tomorrow we will have moved on to other concerns, while the mothers and fathers, the sisters and brothers -- the grandfathers and the grandmothers -- will return to that which they can never wish away:

The weddings that won't ever come.

The birthdays when there is only silence.

Is it possible to break that April day from 10 years ago into its incremental elements, as if by doing so we will be able to find a possible future remedy? If we think enough about the saturation of our society with violent images, from the movies we watch to the video games our children play to the stories on the evening news -- is that what can explain Columbine?

If we dissect the live television coverage of that day when millions stared for hours on end -- was it those unblinking pictures that made the scenes still so hard to shake? Is there a resolution to be discovered in debates about the guns that were used, the need for security checkpoints?

Those are all just details, not answers. Those are merely facts to be noted.

What is worth paying attention to is that we, as a people, have developed, without really wanting to or knowing we were doing it, the thousand-yard stare that you see in the eyes of certain homicide detectives who have been doing their jobs for a very long time.

It is a look of utter numbness -- a look that is the opposite of cynical, a look of sorrowful surrender. It is a look that says, of the bearer of those eyes:

My eyes are dead because I know that what they have witnessed is only prologue. My eyes show nothing because they must be prepared for what they know they will be seeing again.

To encounter those eyes -- to see the thousand-yard stare -- in a police officer is one thing. But to see it in a country. ...

Yet that is what the many years of nonstop killings have done to us. Columbine -- that word, that label -- is the way we sum up this kind of thing, but labels like that are at core our way of conceding our inability to process the despair. There was murderous madness that came before Columbine, and murderous madness that came after. We tell ourselves on each new occasion that what has happened is shocking, but the word has become all but meaningless. The only genuinely shocking thing would be if the cruelty and the killings were to somehow suddenly cease.

We can blame all of this on our modern times veering out of control, if we wish, but it really speaks of something more elemental and dark, of factors beyond our earthly understanding. The most deadly attack upon sons and daughters at a school did not occur at Columbine 10 years ago, or at Virginia Tech two years ago. On May 18, 1927, in Bath Township, Michigan, 44 people, most of them elementary school pupils in their classrooms, were slaughtered by a man who set off a series of bombs and then killed himself to raise his toll to 45. He was a member of the local school board; he was angry about a tax assessment. The madness and the heartache do not belong to a certain era or to a certain place on the map.

Nor do the heartache, and the unending echoes of days like those, belong to the rest of us, however honorable we may wish our intentions to be.

We -- the rest of us -- will move on by tomorrow. The anniversary will be over.

Leaving the mothers and fathers, the sisters and brothers.

And the lesson? The lesson we never seem to learn?

It can be found in words that have been quoted and paraphrased many times, in many languages, over many centuries. But still we can't seem to get it right.

What is it that we seek?

Something that sounds so simple, something like a prayer:

To tame the savageness of man, and make gentle the life of the world.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Kin of Columbine victims live with the pain every day

@highlight

Greene: Most Americans see such violence with numb eyes and can look elsewhere

@highlight

The pain of these incidents predated the horror of Columbine, Greene says

@highlight

He says people eternally have sought to tame human savagery