(CNN) -- A mother and her young son were at a mall, when she considered buying him a sandwich. She knew her husband would beat her later for spending the $7, but her son was hungry. She swallowed her fear and bought the sandwich.

I met a college professor with a PhD who told me that her husband took her paycheck every month and that she had to wear long sleeves in the summer to hide the bruises on her arms.

When a person tells you these very personal, gut-wrenching stories, you can't help but be moved to act. Still, many people hear these stories and they ask, "Why does she stay?" I've learned that getting away is never easy. There are children to consider. Emotional ties are hard to break. Oftentimes women simply don't have the money because money is a weapon of choice for many domestic violence perpetrators.

The National Network to End Domestic Violence reports that financial abuse almost always accompanies physical abuse and can be the primary obstacle to women breaking free from bondage. It works like this: A man (women are the victims in 85% of cases) sets up a credit card in the woman's name and doesn't pay the bills, ruining the woman's credit. The man forces the woman to put her paycheck into a bank account and won't give her access. He hides all financial documents and won't share passwords for websites.

So, the woman often has no money, poor credit, and a limited understanding of her financial situation. Even if she is desperate to leave an abusive partner and has the courage to move to a local domestic violence shelter, she has no money for transportation, food or clothing.

So, the right question isn't: "Why does she stay?" The right question is: "How can we help her get safe and secure?"

Evidence shows that arming victims with the right tools and information can help. Victims need to protect and reclaim their financial resources, rebuild their credit and gain a complete understanding of their financial picture.

According to a long-term study by The Center for Violence Against Women and Children at Rutgers University, abused women who participated in a financial education curriculum developed by The Allstate Foundation and the National Network to End Domestic Violence were twice as likely to take the financial steps necessary to rebuild their lives.

The sheer scope of domestic violence overall in this country almost defies belief. Data from the Centers for Disease Control shows that one in four women will be a victim of domestic abuse in their lifetime. The CDC also reports that 2 million women are injured in the U.S. every year and that domestic abuse leads to 8 million lost days of work annually. Polling by the Allstate Foundation has shown that almost three quarters of us know a victim, even though few of us realize it.

The U.S. Department of Justice has stated that approximately 1,300 die annually from domestic violence. The United States Conference of Mayors argues that it is the No. 1 cause of homelessness for women, and the violence scars millions of children each year who witness it. Yet, few want to talk about it because it is a dark and ugly subject.

The NFL has given us all an opportunity to have deeper conversations about domestic violence. But it shouldn't take a high-profile incident in the news for us to rise up and take a stand against domestic violence. We must seize the opportunity to bring domestic violence and financial abuse out of the shadows and help women trapped in abusive relationships find the path to safety.

Business needs to take domestic violence very seriously. We need more businesses to step up and play an active role in protecting women. Wherever possible, businesses should take into account extenuating circumstances such as domestic violence when considering credit histories and ratings.

Companies should make sure employee benefit plans provide a helping hand when needed. Managers should be trained on how best to identify and support employees who are victims of abuse at home.

In addition, all of us can rise up, including role models in sports and entertainment, academia, educators and concerned citizens. Only by pulling back the curtain and getting involved can we ensure that victims can escape to a safer and brighter future.

Join us on Facebook.com/CNNOpinion.

@highlight

Thomas Wilson: Money is a weapon of choice for those engaging in domestic violence

@highlight

He says often women don't have the funds or credit to escape abusive relationships

@highlight

Business needs to be more supportive of victims of domestic violence, he says

@highlight

Wilson: NFL stories have raised the topic, but we need to do more to bring it out of shadows