(CNN) -- It's a surreal and horrifying scene. Father and daughter are in a truck that's parked in a relatively distant field, behind a fence. They're watching a building burn.

"It should collapse," the dad says.

Then, suddenly: A deafening explosion. Vehicle shakes. Microphone hisses. The recording is fuzzy.

Then you hear screams. This YouTube clip has been passed all over the Internet, including on news sites, since a fertilizer plant exploded in West, Texas, on Wednesday.

"Are you OK!?"

"Dad! Dad! I can't hear! Get outta here! Please get outta here! ..."

"Oh my God."

The video goes black.

"I'm pretty sure it lifted the truck off the ground," Derrick Hurtt, who recorded the video, said in an interview on NBC's "Today" show. "It just blew me over on top of her. It all happened so quick that things kind of went black for a moment."

Hurtt told the show his 12-year-old daughter's hearing had returned.

Authorities haven't determined the cause of that explosion, which is thought to have killed at least five people and injured scores more, according to news reports. It may well have been an accident, and I am in no ways insinuating it was linked to terror. But already people on the ground and in the media are comparing this tragedy -- along with the Boston Marathon bombing, which may seem like an eternity ago, but happened Monday; and the letters that are thought to contain ricin and were intended for the president and a senator -- to others that linger in America's memory.

It seems to be the week of terror flashbacks.

That YouTube clip -- it's hard to watch and I can't decide if I should encourage you to do so or warn against it -- gives a small sense of what it must be like to live through any explosion, disaster or terrorist attack, regardless of its cause. Even for those who haven't, many people in the United States are being haunted this week by attacks and disasters of the past. And it's tempting to feel like we've been cursed to relive these nightmares over and over again.

The parallels are eerie. Oklahoma City. The Waco fire. Both of those anniversaries (if we can call them that) are this week, as Amy Davidson pointed out in a smart piece for The New Yorker. The fertilizer plant exploded in West, Texas, which is only 20 miles or so from Waco, the site of the David Koresh compound fire.

"Massive -- just like Iraq. Just like the Murrah (Federal) Building in Oklahoma City," D.L. Wilson, from the Texas public safety department, said at a news conference.

The letters that possibly contained ricin have thrown people back to the moment after the September 11 attacks when there was an anthrax scare on Capitol Hill.

The Boston bombings, cause unknown, drew comparisons to 9/11, the Atlanta Olympics bombing -- and Oklahoma City.

A former co-worker of mine, Bob Doucette, wrote "An open letter from Oklahoma regarding the Boston Marathon" on his blog. He highlighted the emotional parallels.

"It's hard to find the right words. But we feel your pain, shock and sadness. Deep within us," he wrote. "Back in 1995, while working for a little suburban newspaper in Oklahoma City, I went to the Murrah Building site soon after the attack. What I saw reminded me of past bombings, overseas, in havens of war like Beirut. Friends and co-workers are still haunted by what they saw there. Oklahoma City rebuilt, but did not forget."

The past comes back to life -- no matter the cause. And April is a particularly awful month for it. The assassination of the Rev. Martin Luther King Jr. (April 4, 1968); the death of Abraham Lincoln (April 15, 1865); the shootings at Columbine High School (April 20, 1999); and those at Virginia Tech (April 16, 2007) all happened this month in history.

At the time of writing, no evidence links this week's frightening events -- the bombing, the letter, the explosion. Nor is there evidence to tie them to terror events of the past. I'm not interested in teasing out the potential motives or causes behind these disasters. In the case of the Texas explosion, it's possible that it was simply a horrific accident, although authorities say they are treating the area as a crime scene until they have firm evidence to the contrary.

What is more interesting to me right now is the psychological toll this takes on us. This has been a traumatic week in every since of the word. Lives lost in Boston and West, Texas. Fear in Washington. As we pray for the victims and their families ... and sing the national anthem in unison at hockey games ... and run in tribute to those who were hit by a bomb at a marathon finish line ... and lend our support to people in Texas ... we're left wondering what this all means and if we'll be able to stitch up the wounds and move on.

CNN iReport: Run for Boston 2014

Those directly hurt or whose loved ones were killed in these events may never be the same. But where does this leave the county as a whole? It's hard to say for now.

Perhaps, as many people have pointed out, we can take comfort in knowing there are "helpers" and heroes in each of these tragedies -- people run toward the sound of the blast or toward the flames. And in the fact that, as Peter Bergen wrote earlier this week, terrorist bombings in the U.S. have been "exceedingly rare" since 9/11.

We'll have to wait for clues to emerge about what or who caused all of this week's events to really know how to process them. There will always be flashbacks of terror and disaster and tragedy. Maybe that's the world we live in. But that doesn't mean we can't push back.

That's why I'll be watching from afar as people convene on April 28 for the Oklahoma City Memorial Marathon. As Doucette, my former colleague, writes, "We'll be running for the 168 of our own who died and the many more who were spared but inexorably scarred. But we're running for your guys, too. Because we know."

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

A fertilizer plant exploded in Texas on Wednesday, killing at least five people

@highlight

The cause of the explosion is unknown, according to reports

@highlight

The Boston bombing, Texas explosion and ricin letters have not been linked

@highlight

John Sutter: Still, the events take a collective toll; and they bring past tragedy back to life