(CNN) -- After a contentious year, an embattled President Barack Obama and an unpopular Republican Party are each hoping for better things in 2014. Both parties leave Washington with many big issues unresolved and many battles ahead. It's time to consider what some of the big stories of 2014 may be.

Will immigration reform fly?

Millions of immigrants are desperately waiting to see whether they will be able to obtain legal status in this country. Immigration reform has stalled in the House after a sweeping bill finally passed in the Senate with bipartisan support. Initially listening to the warnings of tea party Republicans, Speaker of the House John Boehner didn't move on the bill. At most, he argued that he would push for smaller versions of the bill that dealt with issues like border security.

But as 2013 came to a close, the mood seemed to change on Capitol Hill. The speaker spoke some tough words that suggested he might take a different direction in 2014. His decision to hire Rebecca Tallent, who had worked on immigration reform in 2006 and 2007 while on the staff of Sen. John McCain, also sent a strong message to conservative groups.

Passing immigration reform would be hugely consequential for millions of potential American citizens. And legislation could have big ramifications on the electoral map. Without a bill, Republicans will never win over Latino voters, a massive portion of the current and future electorate that is currently trending Democratic. If Republicans shifted course and took this issue off the table, they could be much more competitive in key states of the Electoral College.

Will Democrats lose control of the Senate?

This will be the marquee political event of the year. Over the past few months there has ongoing speculation about whether this will be a "wave" election that shows a voter mandate about the direction of politics. Initially, during the height of the 2013 budget battles, some experts thought that Democrats were going to seize the momentum from Republicans, who were plummeting in the polls, to regain control of the House and work with the White House to pass Obama's second-term agenda.

A recent wave of retirements has also given Democrats some hope they could pick up new seats. However, since the fiasco surrounding the introduction of the Obamacare website, the tide seemed to shift back toward Republicans.

There are three questions surrounding the election. First, will majority power shift in either chamber? Second, even if control remains the same, will the election alter the vote count in the House and Senate in a way that makes conditions slightly easier for either party to move legislation? Finally, how will the parties spin the results, as they seek to create the perception that the election has bigger implications for one party or the other?

A rare chance to reform the NSA?

Changing the way that our national security institutions work has proven to be a near impossibility. As President Dwight Eisenhower said in his farewell address in 1959, the military-industrial complex, with all the vested interests that line up behind existing military programs, makes it difficult to effect major change.

But, in the wake of the Edward Snowden story, this year is different and a window for reform might have emerged. The revelations that flowed from the multiple leaks about the National Security Agency surveillance programs have been extraordinarily damaging. The biggest blow has come from international allies who are furious that their leaders and citizens were under surveillance.

Many of the President's most ardent supporters have expressed deep disappointment with the commander-in-chief and are insisting on new regulations. A federal judge struck a huge blow to the NSA by deeming much of the collection of meta-data unconstitutional, while the fallout among international allies from the news that their leaders were being monitored has threatened key relations. An advisory panel to Obama has recommended sweeping reforms that would create stronger safeguards on what the NSA can do. Obama ended the year strongly suggesting that he will support the reforms.

Most likely, the window for reform will close quickly as new threats to the U.S. emerge. This would be the year Congress and the president could potentially restore some balance between the imperatives of national security and of civil liberties.

Who will win the Republican civil war?

Perhaps the biggest battle that Republicans face is among themselves. As the year ended, the internal party conflict intensified when Boehner spoke out against the tea party Republicans who had caused him so much trouble over the course of the year. Right-wing organizations, the speaker said, had "lost all credibility." He castigated this faction for the damage they had inflicted on their own party and warned that they were more concerned about scoring political points than doing what was best for the country.

Boehner is not alone. Business groups have started to mobilize, as they did in a special election in Alabama, to challenge right-wing Republicans.

Tea party Republicans are taking this lying down. The attacks have only seemed to energize them. The Washington Post reported that at a meeting of 150 tea party activists in Tommy's Country Ham House in South Carolina, a kickoff dinner funded by the Koch brothers, one attendee dismissed reports of their falling popularity: "I think it's wishful thinking on the part of the leadership of the Republican Party. I feel more energized."

At this and other meetings, conservative activists have been vowing to double their campaign against Republicans who have become too comfortable in Washington. Indeed, they have taken delight in the fact that Texas Rep. Steve Stockman announced that he will challenge Sen. John Cornyn in a primary. In The New York Times, one tea party activist, Jenny Beth Martin, blasted the Republican leadership and called the recent budget deal a "betrayal of the conservatives who fueled the Republicans' 2010 midterm shellacking of Democrats."

Will Obamacare flourish or fail?

The battles over the Affordable Care Act are not over. As David Weigel recently argued in Slate, 2014 will be filled with all sorts of new attacks on the program.

The announcement that the administration would temporarily exempt Americans whose health insurance is scheduled to be canceled from the individual mandate energized Republicans calling for such an exemption for all Americans. The decision, according to Washington Post writer Ezra Klein, "puts the first crack in the individual mandate. The question is whether it's the last."

One of the challenges to the health care program is a new lawsuit by individuals living in states that don't have state-run exchanges. The suit is based on the fact that the ACA legislation said individuals eligible for subsidies will be identified by state-run exchanges. The plaintiffs argue that in states in which the federal exchange is operational rather than a state exchange, subsidies should therefore not be available. If successful, this suit would have hugely detrimental effects on the program. In South Carolina, Ohio, and Missouri there are bills that would create disincentives for people to use the law.

The fight will be fierce in 2014. After a tough start and long rollout, the Obama administration needs to get this program into strong shape soon and start having the benefits roll in to people to diminish interest in Republican efforts to damage Obamacare.

Will Obama respond to the lure of Presidential power?

Although President Obama began his term as a politician deeply critical of overusing presidential power, a signature of George W. Bush's time in the White House, there is more and more evidence that he is moving in the same direction as his predecessor. His decision to bring in John Podesta, a former adviser of President Bill Clinton who championed a highly aggressive use of executive power to push for environmental legislation, suggests that Obama is thinking about using his authority more freely. Over the past year, we have already learned through the NSA revelations that Obama is much more comfortable with expansive executive power than we previously thought.

But in 2014, it is likely that we will see the President use this muscle with domestic issues like climate change, which he has been unable to advance on Capitol Hill. The risk of this strategy is that future presidents can easily roll back any gains. For the time being, however, Obama might just take this gamble, given it might be his last and best opportunity to effect change on the big issues that have eluded him.

While surprises certainly lie ahead, we can predict that 2014 will pack a powerful punch politically as both parties dig in for the battles on the road leading to the next presidential election. We will also learn more about what the 2016 election may look like as some of the potential candidates, most importantly Hillary Clinton and Chris Christie, come closer to deciding whether to run.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says 2014 will begin with some major questions on Washington's agenda

@highlight

Will immigration reform fly? Will control of either house of Congress change?

@highlight

Who will win the GOP civil war? And how will Obamacare fare under continuing attacks?

@highlight

Zelizer: 2014 will also shed light on the issues and candidates likely to shape the 2016 race