Washington (CNN) -- A federal appeals court panel is considering whether photos of Osama bin Laden's body should be released.

Judicial Watch, a conservative legal group, argued Thursday before a three-judge panel that the Freedom of Information Act requires the government to release the pictures or better explain why the release of specific images would damage national security.

The judges, with the U.S. Court of Appeals in Washington, did not say how soon they may rule.

Judicial Watch attorney Michael Bekesha said government records indicate there are 52 images of bin Laden taken just after his death or when his body was aboard the USS Carl Vinson and then buried at sea. During the court hearing, Bekesha argued the shots of the burial at sea could be released without fear of harming national security, but he did not make that claim about the more gruesome images taken just after bin Laden was shot at his compound in Abbottabad, Pakistan.

The government has said that there are sensitivities concerning the death of bin Laden and that releasing the pictures could lead to violence against Americans.

"This was the mastermind of 9/11," Bekesha said. "This was the most wanted terrorist in the world."

The government has said bin Laden's body was cleaned in accordance with Islamic practices, then wrapped respectfully and buried at sea, he said. Bekesha said the government has not said how releasing those images would be harmful.

The judges took issue with that and said government officials had provided information about previous incidents that led to violence in the Arab world or provided terrorists with fuel for propaganda. Among the examples were the treatment of prisoners at Abu Ghraib prison in Iraq and reports that Americans had desecrated Qurans.

"Why should we not defer to that?" asked Judge Merrick Garland, who was appointed to the court by President Bill Clinton. "We are told there is a risk ... that Americans could die if the pictures are released."

Robert Loeb, arguing for the government, noted that al Qaeda leader Ayman al-Zawahiri made statements that bin Laden's body was not treated in accordance with Muslim traditions in an effort to "inflame tensions."

In a statement released before the hearing, Judicial Watch President Tom Fitton said that "President Obama is asking the courts to rewrite (the Freedom of Information Act) to allow his administration to withhold documents simply because their disclosure may cause controversy."

Debates over releasing the photos of the al Qaeda leader have raged in some quarters ever since the May 2011 raid in Pakistan that left him dead.

The White House said that despite pressure from some lawmakers and dissent within the ranks of the president's top advisers, Obama decided not to release them.

"It is not in our national security interest ... to allow these images to become icons to rally opinion against the United States," White House press secretary Jay Carney said at the time.

Judicial Watch asked the Defense Department to comply with a Freedom of Information request for material on the raid, including photos of the September 11 instigator lying dead on the third floor of his hideout.

A federal judge ruled in April 2012 that there were legitimate national security interests to deny disclosure.

"A picture may be worth a thousand words. And perhaps moving pictures bear an even higher value," Judge James Boasberg said. "Yet, in this case, verbal descriptions of the death and burial of Osama bin Laden will have to suffice."

At the Thursday hearing, Bekesha raised questions about whether the images were properly classified or if that action was taken only in the face of the FOIA request to release them.

"There's no doubt the classification was done beforehand," Loeb said.

Judicial Watch says its appeal makes clear that the group is not seeking information about equipment or techniques used in the raid.

The government has "failed to provide any evidence that all 52 images, including those depicting bin Laden's burial at sea, pertain to 'foreign activities of the United States,' " the appeal argues. "Defendants also have failed to provide any evidence that images depicting the burial at sea actually pertain to 'intelligence activities.'

"Nor have they demonstrated that the release of images of a somber, dignified burial at sea reasonably could be expected to cause identifiable or describable exceptionally grave damage to national security."

CNN's Bill Mears contributed to this report.

@highlight

NEW: The three-judge panel heard arguments; it did not say how soon it may rule

@highlight

Conservative legal group Judicial Watch has pushed for release of the photos

@highlight

A federal judge rejected the group's request in April 2012

@highlight

The group says Obama is asking the courts to rewrite the Freedom of Information Act