Washington (CNN) -- The Supreme Court for a third time has turned aside an urgent appeal from Great Lakes states to close Chicago-area shipping channels so invasive Asian carp won't have a doorway into the world's largest freshwater ecosystem.

The justices Monday turned aside without comment another request for intervention, the latest chapter in a nearly century-old dispute involving six Midwest states and the Canadian province of Ontario.

At issue is a direct challenge to Illinois' complex water diversion and sewage disposal network, which some predict will inadvertently allow the non-native fish to enter Lake Michigan. Some environmentalists and lawmakers fear an economic and ecological disaster if the creatures breach man-made barriers. And there are concerns the fish may have already slipped past locks and entered the massive bodies of fresh water.

The fish can grow up to 4 feet in length and 100 pounds in weight, reproduce rapidly, and can gobble up to 40% of their body weight daily, quickly out-competing less aggressive native fish populations.

The high court twice before has refused to step into the case. Five states -- Michigan, Minnesota, Ohio, Pennsylvania and Wisconsin -- had filed a new appeal, demanding permanent closure of a drainage system linking the Mississippi River and the lakes.

The justices were asked again to grant a preliminary injunction, which would have forced Illinois to immediately close down much of its Chicago-area shipping locks and dams, and would have prompted rapid construction of a fish-proof barrier.

The high court refused that petition, but offered no explanation.

The voracious Asian carp has successfully migrated up the Mississippi River to the Chicago suburbs. State officials, businesses, and environmentalists fear it is only a step away from triggering a swift economic disaster across the Great Lakes, saying that once in Lake Michigan the carp would spread quickly to Lakes Erie, Huron, Ontario, and Superior.

DNA from the carp was found in 2010 closer to Lake Michigan than ever before -- at a Wilmette, Illinois, pumping station along the lake shore -- raising fresh concerns that the fish has breached an electric barrier placed along a maze of canals and locks in Illinois.

Among those being sued are Chicago's local water reclamation agency and the U.S. Army Corps of Engineers, which helped build the canal system and helps maintain it. Illinois officials say other states and the federal courts do not have the legal authority to order the closing of any federally approved water management project. There are fears that shutting down the locks would lead to massive flooding and cripple the area's commercial shipping industry.

The term "Asian carp" is actually an umbrella name for at least four large varieties of fish considered nuisance invasive species: the grass, black, silver, and bighead carp. Related to common goldfish, the bigger types are known as prolific jumpers, easily spooked out of the water by passing watercraft. Numerous boaters have been injured by inadvertent collisions with airborne fish.

Biologists have been tracking their northern migration ever since they were first imported in the 1960s, traced to an Arkansas fish farmer. Several of the fish escaped during a flood in the 1990s and quickly expanded their range.

Their possible presence just miles from the lakes prompted the latest lawsuit over the so-called Chicago Diversion, a project started in the late 1800s to prevent the city's sewage from contaminating Lake Michigan. The project involved reversing the flow of the Chicago River, and connecting it and two other nearby rivers with the Mississippi River basin.

That created a connection between the Great Lakes and the Mississippi, helping fuel an economic boom in the nation's third-largest metropolitan area.

In 1922, Wisconsin sued Illinois to stop the growing water diversion, since other states relied on the drinking water. All other lake states except Indiana joined suit, and the Supreme Court eventually agreed with them, ordering mitigating effects over Illinois' diversion. Now several of those states are asking the justices to reopen the old cases. Such interstate disputes over boundaries and shared natural resources are one of the few instances where appeals can go directly to the Supreme Court, instead of first being heard in lower courts.

The Obama administration is supporting Illinois. Justice Elena Kagan was actively involved in the cases when she worked as the Justice Department's solicitor general. Since joining the high court two years ago, Kagan has not participated in any of the current carp-related appeals, including Monday's order.

The other states and Canada want the Illinois water diversion projects to be declared a "public nuisance" because of the carp emergency. Of more immediate concern, they want Illinois and federal officials to modify their fish-control facilities, including the electric fences, to ensure the fish stay away from the lakes.

Electric barriers were first set up in 2002 in the Chicago Sanitary and Ship Canal, about 33 miles from Lake Michigan. They became fully operational in 2010, but Army engineers acknowledge the barrier is not 100% effective. It is designed not to kill carp, but to discourage them from going farther.

The current case is Michigan v. Army Corps of Engineers (11-541).

@highlight

Six Midwest states, Canadian province of Ontario want action on Asian carp

@highlight

They want the court to order Illinois to shut down locks and dams and build a fish barrier

@highlight

The large, voracious Asian carp is seen as a threat to native species

@highlight

The fish got into the Mississippi River system from a fish farm during a flood in the 1990s