(CNN) -- President Barack Obama pressed ahead Saturday with a pledge to sanction Syria and support its rebels by speaking with European leaders by conference call about Damascus' chemical warfare.

Obama's talk with the leaders of Britain, France, Italy and Germany came before next week's Group of Eight summit in Northern Ireland. The five leaders discussed "ways to support a political transition to end the conflict" in Syria, the White House said.

British Prime Minister David Cameron told CNN that during the video conference, Obama said further intervention into Syria "should be done on our own timeline."

"We have already taken some decisions in that Britain is helping to give technical assistance, training, advice, help, shaping, to the Syrian opposition, and we do that along with the Americans, French and others and will continue to do that, and we will take time to make these decisions with our allies," Cameron said.

One G8 member, Russia, was not part of the call Saturday. Russian Foreign Minister Sergei Lavrov said any attempt to enforce a no-fly zone over Syria using F-16 fighter jets and Patriot missiles from Jordan would violate international law, according to Russian state broadcaster Russia Today.

Russian television reported that Lavrov's comment followed speculation in the media that a no-fly zone could be imposed through the deployment of the missile systems and fighter jets sent by the United States to global military drills in Jordan.

Also Saturday, Egyptian President Mohamed Morsy announced that he has cut diplomatic ties with Damascus, the state-run Al-Ahram newspaper reported.

"We have decided to close down the Syrian embassy in Cairo," Morsy told a conference in support of the Syrian opposition at a Cairo stadium. "The Egyptian envoy in Damascus will also be withdrawn."

Morsy told CNN in January that he supported calls by people in Syria for President Bashar al-Assad to be tried for war crimes.

Meanwhile, U.S. State Department spokeswoman Jen Psaki dismissed media accounts Friday about Obama having decided on establishing a no-fly zone. Those reports are incorrect, she said.

U.S. Deputy National Security Adviser Ben Rhodes also addressed the matter Friday when he was asked how difficult it would be to establish a no-fly zone.

"In Syria, when you have the situation where regime forces are intermingled with opposition forces, they're fighting in some instances block by block in cities. That's not a problem you can solve from the air," he said.

United Nations Secretary-General Ban Ki-moon called again for an on-the-ground investigation into the use of chemical weapons in Syria and asked Damascus to grant a U.N. team long-sought access.

"The validity of any information on the alleged use of chemical weapons cannot be ensured without convincing evidence of the chain of custody," he told reporters in New York.

The Russian foreign minister also expressed doubts Saturday that the Syrian regime used chemical weapons against the opposition.

Lavrov said that U.S. military aid to the Syrian rebels may lead to an escalation of violence in the country, according to Russian news agency Ria Novosti.

The Obama administration has not detailed what military support it plans to give the rebels, but Washington officials have told CNN that support includes arms, ammunition and, possibly, anti-tank weapons.

What concerns many about supplying arms to the opposition is that many of the rebel fighters are militants with pro-al Qaeda sympathies, the same stripe of militants America has battled in Iraq and Afghanistan.

They include the al-Nusra Front, a rebel group with ties to al Qaeda.

Friction within al Qaeda?

There were signs Saturday of a schism in al Qaeda's top leadership over control of al-Nusra.

Abu Bakr al-Baghdadi, head of al Qaeda in Iraq, may have defied an order from the terror organization's leader, Ayman al-Zawahiri, to stop trying to claim control of al-Nusra. That's according to an audio recording purportedly from al-Baghdadi that was posted on jihadist websites and by the SITE Intelligence Group on Saturday.

CNN cannot independently verify the authenticity of the recording.

In the recording, al-Baghdadi said al Qaeda in Iraq and the al-Nusra Front will operate as one, under the title "The Islamic State of Iraq and the Levant."

The Levant is a term that dates back to the 1500s. It was once used to describe the region that today consists of Syria, Lebanon, Jordan, Israel and parts of Iraq.

The recording follows a statement released this month by al-Zawahiri that said al Qaeda in Iraq and al-Nusra will operate as separate entities with separate leadership.

It's unclear what al-Baghdadi's statement means for al-Nusra's operation in Syria.

Meanwhile, rebel and government forces once again clashed at hotspots around Syria on Saturday, with the opposition Local Coordination Committees of Syria reporting 79 dead. Twenty-four of those deaths were in and around Damascus, 17 were in Aleppo province and 12 were in Homs.

The rebel army has suffered a number of setbacks in recent weeks that in large part have coincided with the arrival of thousands of Hezbollah Shiite fighters, backed by Lebanon and Iran, to reinforce al-Assad's forces.

After months of gaining ground, the rebels this month lost Qusayr -- one of its strongholds near the Lebanese border -- that was considered essential for its supply route.

Syrian forces and Hezbollah fighters have now turned their focus on retaking Aleppo.

Black flag over mosque draws scrutiny

On Friday, Hezbollah leader Hassan Nasrallah criticized Arab networks Al-Arabiya and Al Jazeera for their portrayal of Hezbollah's involvement in the takeover of the strategically important border city of Qusayr, Syria.

When Qusayr fell, a video surfaced online showing Hezbollah fighters raising their black banner over a mosque in Qusayr. A sectarian dispute has arisen over whether the mosque was Sunni or Shiite. Hezbollah is the powerful Lebanese Shiite militia backed by Iran and the Syrian government.

In a Friday speech, Nasrallah defended fellow fighters.

"Yes, there were some young men in Qusayr who, yes, I have to admit -- and there is a room to discuss whether this was right or wrong -- the young men may have gotten too excited and overwhelmed by the events when they climbed to the top of a mosque and raised a black flag that had the writing of O Hussein on it," Nasrallah said.

"The video was then posted online and Arab TV networks like Al-Arabiya, and Al Jazeera grabbed the video and distorted the facts by saying that Hezbollah fighters raised the flag on a Sunni mosque under the pretext that they want their audience to know more. Know what? They are feeding their audience lies, distortions, fabrications," Nasrallah said.

Shortly after Nasrallah's speech, Lebanon's National News Agency reported that "five rockets fired from the Syrian side of the borders landed in Baalbek city in the Kayyal area that were later followed by four other rockets injuring two Lebanese citizens."

The Kayyal area is predominantly Shiite.

Earlier, the Syrian Observatory for Human Rights reported that Syrian rebels in Aleppo fired five rockets at Fawaa village in Idlib, which is mostly inhabited by Shiites, and the rebels said in a statement that the shelling on the Shiite village was a response to Nasrallah's speech.

The human rights group couldn't say whether the rockets landed in the town or whether there were any casualties.

CNN's Saad Abedine, Pierre Meilhan, Laura Smith-Spark and Igor Krotov contributed to this report.

@highlight

NEW: Al Qaeda in Iraq leader claims rebel al-Nusra Front part of joint effort

@highlight

Cairo breaks diplomatic ties with Damascus

@highlight

Obama says more intervention "should be done on our own timeline," British leader says

@highlight

Russia warns the U.S. against a no-fly zone over Syria