MEXICO CITY, Mexico (CNN) -- A vicious turf war between drug cartels and Mexican authorities that has left as many as 4,300 dead so far this year may have caused a breach in the internal security systems of Interpol, the international police organization.

A member of the Federal Investigative Agency participates in an narcotics operation.

Interpol, which is based in France, announced Wednesday it is sending a team of investigators to Mexico to investigate the possibility that its communications systems and databases are not being used for legitimate law enforcement purposes. The prospect was raised after the arrest of the top official working with the agency in the country.

Ricardo Gutierrez Vargas, director for International Police Affairs at Mexico's Federal Investigative Agency and the head of Mexico's Interpol office, was placed under house arrest Sunday, the attorney general's office said Tuesday.

More than 30 officials have been arrested since July in connection with the anti-corruption Operation Limpieza, an ongoing investigation into information leaks by law enforcement officials to drug traffickers, said Niverda Amado, a government press secretary in Mexico City.

Gutierrez can be held for up to 40 days while authorities "obtain sufficient evidence to determine his probable responsibility," the attorney general's office said in a news release.

Rodolfo de la Guardia Garcia, a former top official at the Federal Investigative Agency, also is under 40-day house arrest. He was arrested October 29.

Mexico's Interpol office, or National Central Bureau, is staffed and run by the Federal Investigative Agency.

Mexican officials did not offer specifics on their investigation other than to say that Operation Limpieza, which means "Operation Cleanup," is aimed "against public servants who give reserved information to people not authorized to have it."

Interpol said in a news release Wednesday it needs to make sure the agency's information remains secure.

"As Mexico's attorney general's office has a duty to ensure that Interpol's communications system and databases are being used for legitimate law enforcement purposes and in compliance with Interpol's rules, Interpol is immediately dispatching a team of general secretariat staff to Mexico," Interpol said. "The purpose of their mission is to meet with relevant Mexican authorities in order to establish if there are any allegations of improper use of Interpol's systems by any Mexican law enforcement official."

After the investigation, Interpol said, the agency will determine whether proper security steps have been taken.

"An assessment can then be made of the procedures put in place by the attorney general's office, which is responsible for the Interpol office in Mexico, to ensure that Interpol's rules and regulations are being followed," the agency said.

The arrests came amid "a war of master proportions" between authorities and narcotics traffickers that has left more than 4,300 dead so far this year, according to the Council on Hemispheric Affairs, an independent research and information organization. By comparison, the council said in a report Tuesday, there were 2,700 drug-related deaths in 2007.

"Homegrown drug cartels operating from both within and outside the country are engaging in a vicious turf war to seize control of major trafficking corridors while engaging in almost open warfare against the mobilized forces of the state," the council says about what it calls "narco-fueled crime."

Mexican leaders have been trying to tamp down the violence by tightening controls on money-laundering and cracking down on corruption among local and municipal police forces infiltrated by drug traffickers. It may not be enough.

"Due to pervasive corruption at the highest levels of the Mexican government, and the almost effortless infiltration of the porous security forces by the cartel, an ultimate victory by the state is far from certain," the Hemispheric Council concludes.

Drug trafficking in Mexico is a $20 billion- to $50 billion-a-year industry, as much as the nation earns from tourism or remittances from Mexicans living in the United States, said Robert Pastor, a former national security adviser to President Jimmy Carter and now a professor of international relations at American University in Washington. He has been studying Latin America for more than four decades.

"This is a huge industry with an extraordinary capacity to corrupt and intimidate the country. And they're doing both right now," said Pastor, also a former director of the Carter Center's Latin American and Caribbean Program.

The drug cartels are paying some Mexican officials bribes of $150,000 to $450,000 a month, authorities have said. The payment is far beyond the per capita income of $12,500 a year in Mexico, where one of every seven Mexicans lives in poverty, according to the CIA World Factbook.

Pastor believes that Mexican President Felipe Calderon, who took office in December 2006, made a correct assessment that he needs to fight the drug cartels as hard as he can.

"You have to obviously escalate the cost of violating the law," he said.

The United States also could help more, he said.

"There are 7,600 gun shops within 50 miles of the Mexican border, and they're selling primarily to drug lords," Pastor said. "We are part of this problem and we haven't been significantly supportive."

And while the war may never be completely won, the government can make vast gains, as happened in Colombia, he said.

Pastor was in Mexico giving a speech last week when Colombian President Alvaro Uribe met with Mexico's Calderon. Mexicans were quite taken with Uribe's message on how to fight drug traffickers, Pastor said.

The first step that Uribe took, he said, was to take the fight to the paramilitary forces, the drug traffickers and the leftist guerrillas known as FARC, who often work in collaboration with the traffickers.

Also, Pastor said, Colombian officials "used money the same way that the narcotraffickers do -- to bribe people. And there's a lot more security on the streets and everywhere else, so people feel safer."

Despite the gains, he said, the ultimate answer may have to come from the political arena, not from law enforcement.

"There's no easy solution to it unless you put an end to the criminalization drugs, and that's not going to happen," Pastor said.

CNN's Arthur Brice contributed to this report.

@highlight

NEW: Interpol sending team to Mexico to check if sensitive info compromised

@highlight

Ricardo Gutierrez Vargas detained under Mexico's "Operation Cleanup"

@highlight

Gutierrez Vargas is head of Interpol operation in Mexico

@highlight

Previous "Cleanup" arrests have involved charges of selling info to drug cartels