Washington (CNN) -- President Barack Obama will meet on U.S. Veterans Day with Chinese President Hu Jintao -- while both men are in South Korea -- as part of a hectic schedule of summit meetings, news conferences and cultural events on his upcoming four-nation trip to Asia, top administration officials said Thursday.

The 10-day trip to India, Indonesia, South Korea and Japan encompasses a G-20 summit, an Asia-Pacific Economic Council summit, major holidays in India and Indonesia and bilateral talks with Hu and at least five other leaders, as well as four presidential news conferences, the officials told reporters.

It's all part of an administration focus on Asia as a vital region for expanding trade and fighting terrorism, said Ben Rhodes, the deputy national security adviser for strategic communications.

"If you look at the trend lines in the 21st century, the rise of Asia, the rise of individual countries within Asia, is one of the defining stories of our time," Rhodes said, later adding, "We see core U.S. national interests that will be advanced by us playing a key role in helping to shape the future of the region and making clear that we're an Asian and a Pacific power."

After three days in India to start the trip, Obama heads to Indonesia to meet with President Susilo Bambang Yudhoyono and attend a state dinner in the nation where he spent part of his childhood.

The two-day visit also will include a news conference with Yudyohono, a visit to the Istiqlal Mosque and a public speech at a yet-to-be-determined outdoor venue to the people of the world's largest Muslim-majority nation, Rhodes said.

"In that speech, he'll have a chance to talk about the partnership that we're building with Indonesia, but also to talk about some of the themes of democracy and development and our outreach to Muslim communities around the world, while also speaking of Indonesia's pluralism and tolerance as well," Rhodes said.

"While a Muslim majority, it's a host to a broad religious diversity, so this speech will give the president an opportunity to discuss some of the themes that many of you have heard him talk about and to do so, again, in a country where he can speak to the importance of Indonesia to him, personally, having lived there for several years in Jakarta as a boy," Rhodes added.

The trip to South Korea is for the G-20 summit in Seoul, but also will include the bilateral meeting with Hu and a speech to U.S. troops stationed there on the Veterans Day holiday in the United States.

Obama's talks with Hu will be their seventh bilateral meeting, along with three others the president has held with Chinese Premier Wen Jibao, for an unprecedented amount of top-level contact with China, noted Jeff Bader, the senior director for Asian affairs of the National Security Council.

Bader said U.S.-Chinese relations have always included issues of cooperation and contention, and while attention focuses on the points of disagreement, he cited areas of agreement in recent years.

"We established a strategic and economic dialogue," Bader said. "We've been favorable to greater Chinese participation, a greater role in the IMF and World Bank. We've worked with China, I think, quite well on Iran, on the U.N. Security Council resolution, which was a stronger resolution than anyone I think inside or outside the government would have anticipated when that process started."

Relations with China on other issues, such as climate change and North Korea's nuclear activities, were "complicated," Bader said. He didn't mention U.S. complaints that China's currency is undervalued, resulting in a trade advantage for Chinese goods over American goods that contributes to the U.S. trade deficit.

Obama's Seoul visit also includes a bilateral meeting with South Korean President Lee Myung-bak and a news conference, Rhodes said.

A message of the trip for North Korea will be the benefits to South Korea from its partnership with the United States and the West, according to Rhodes.

"South Korea and North Korea were basically equally developed 60 years ago and now you see a South Korea that is closely allied with the United States, that has embraced democracy, that has embraced open market reforms, is one of the most dynamic, growing economies and powers on the East Asia stage, but also the world stage, as evidenced by hosting the G-20," Rhodes said.

In Japan, Obama will speak to a CEO Business Summit that is part of the APEC meeting, take part in the APEC events and hold bilateral talks with Prime Minister Naoto Kan of Japan, Russian President Dmitry Medvedev and Australian Prime Minister Julia Gillard.

It will be Obama's first meeting with Gillard since she became prime minister in August of what Bader called "a close ally" that has supported the U.S.-led NATO mission in Afghanistan.

The trip concludes with a visit to the Great Buddha statue in Yokohama, which Obama visited as a child, Rhodes said.

On Wednesday, Rhodes and other officials provided details of the India leg that starts of the trip -- a three-day visit that will include a speech to the Indian Parliament, a state dinner and laying a wreath at the grave of Indian independence leader Mahatma Gandhi.

By starting in India, the president is signaling the importance of relations with a key economic ally, said Bill Burns, the undersecretary of state for political affairs.

"The simple truth is that India's rise and its strength and progress on the global stage is deeply in the strategic interest of the United States," Burns said, noting that Obama has called the U.S. relationship with India a "defining partnership of the 21st century."

According to Rhodes, Obama will attend a business conference in Mumbai and visit the Gandhi Museum, then head to New Delhi for bilateral talks with Prime Minister Manmohan Singh, the speech to Parliament and the state dinner.

The trip also includes a town hall-style meeting with Indian students, a celebration of the Hindu holiday Diwali and a visit to Humayun's Tomb, an architectural precursor to the Taj Mahal.

First lady Michelle Obama will accompany the president in India and Indonesia, while the two first daughters will remain home to continue their schooling, Rhodes said.

@highlight

The president will visit India, Indonesia, South Korea and Japan

@highlight

Obama will participate in the G-20 and APEC summits

@highlight

The 10-day trip includes bilateral meetings and cultural events