(CNN)Elizabeth Warren's populist supporters are finding inspiration from an unlikely source: Antonio Weiss.

Weiss, the head of investment banking at Lazard and President Barack Obama's pick for a top spot at the Treasury Department, was forced to withdraw his nomination last month after facing an onslaught of public opposition led by Warren, the popular liberal Massachusetts senator.

If this was a remarkable defeat for the Obama administration, it was a moment of glowing achievement for some of Warren's fiercest backers, including Wall Street reform advocates and progressive grassroots leaders who aggressively criticized Weiss's work at Lazard.

Emboldened by their successful thwarting of his nomination and Warren's growing clout, liberal activists are energized about their role in Washington this year. Despite Democrats being relegated to minority status in the House and Senate, these groups still think they can make a big splash.

They're preparing to publicly clash with the administration on future presidential nominees and big-ticket items such as the Trans-Pacific Partnership trade deal. They're also looking to pressure Obama to take a tougher stance on expansion of overtime pay and developing stricter rules for brokers on Wall Street.

By simultaneously mobilizing supporters from the ground up and seizing on Warren's rise in national politics, the Massachusetts senator's backers are determined to make Weiss just the first of many casualties.

"This was a really important part of us building momentum against the Wall Street wing of the Democratic Party and really supporting the Warren wing," said Charles Chamberlain, executive director of Democracy for America. "What was exciting about Antonio Weiss is we took our first victim."

The monthslong crusade against Weiss captured how progressive activists are using Warren's star power to elevate their core issues. Warren is the subject of persistent rumors that she'll run for president in 2016. She insists she's not running for higher office, but her stature among progressives is immense.

After Obama nominated Weiss, 48, to be Treasury's undersecretary for domestic finance in November, groups such as MoveOn, Democracy for America and the Progressive Change Campaign Committee quickly mobilized. They blasted out emails to supporters, launched online petitions and took to social media to oppose Weiss's nomination.

Their single most important tool for mobilizing mass support? Warren.

Progressive groups didn't just call on supporters to oppose Weiss; instead, they insisted that protesting his nomination was a way of showing solidarity with Warren.

"Stand with Elizabeth Warren and say no to a Wall Street banker for Treasury undersecretary," read a MoveOn petition against Weiss's nomination, which garnered more than 30,000 signatures.

Democracy for America urged its members to call the White House and say no to the Weiss nomination -- not just because Weiss was too friendly with Wall Street, but because blocking his nomination was an important mission for Warren.

"Sen. Warren is leading the charge against the nomination of Antonio Weiss," the group said. "She needs your help to stop him."

It wasn't a complete victory -- when he eventually withdrew his nomination last month, Weiss was offered the role of adviser to Treasury Secretary Jack Lew.

But for Warren's supporters, sinking Weiss's nomination was validation of the progressive movement's sway in Washington. It was also proof of how much Warren's popularity with voters can help maximize the progressive wing's influence.

A Warren spokesperson declined to comment for this story.

With the 2016 presidential election looming, liberal activists are eager to piggyback on the continuing buzz about a Warren White House bid and make the senator a mascot for some of their top policy and legislative priorities.

For starters, they are prepared to sound the alarm if another presidential nominee doesn't meet their approval. The Federal Reserve's Board of Governors has one vacancy in need of a nomination, and it's unclear when the administration plans to nominate someone new for the undersecretary for domestic finance role.

If the administration were to handpick another nominee perceived as being too close to Wall Street, financial reform groups can expect to have a powerful ally on their side: community banks.

Cam Fine, the CEO of the Independent Community Bankers of America who opposed Weiss's nomination, said his group's view is simple: "We don't want all the nominees to be straight out of Wall Street."

"We're looking for nominees that have experience with midsized and smaller institutions," Fine said. "The litmus test is: How well rounded are those nominees?"

Progressive groups are also taking issue with one of the President's top priorities for his final years in office: the Trans-Pacific Partnership, a huge trade agreement proposal between the United States and 11 countries.

Groups such as MoveOn have opposed these talks, taking issue with what they say are "secret" negotiations and the unfair advantages that large corporations would reap from the pact.

Warren agrees.

"To protect consumers and to address sources of systemic financial risk, Congress must maintain the flexibility to impose restrictions on harmful financial products and on the conduct or structure of financial firms. We would oppose including provisions in the TPP that would limit that flexibility," the senator wrote  in a letter to U.S. Trade Representative Michael Froman in December.

Liberal activists also have their sights set on unilateral actions the Obama administration could take and bypass the GOP-controlled Congress, such as expanding overtime pay and creating stricter oversight of Wall Street brokers. On both of these issues, they also have the support of their favorite Democratic senator.

"Our members love her," said Anna Galland, executive director of civic action at MoveOn.org.

@highlight

The progressive wing of the Democratic Party feels like Sen. Warren has muscle to flex

@highlight

Being able to thwart President Obama's Treasury nominee has emboldened them

@highlight

Progressives take issue with one of Obama's high priorities: the Trans-Pacific Partnership