(CNN) -- I remember the day I rang the bell. When you finish radiation treatment at MD Anderson Cancer Center in Houston, there's a bell in the waiting room that you ring three times, and when you do, the entire room erupts with applause. I remember the immediate rush when it was my turn. I felt the euphoric joy of having survived.

It's an elation that comes along with being alive and knowing that you've made it past chemotherapy, radiation and surgery, with clean margins. I felt deep gratitude for my medical caregivers, my generous friends and my family, especially my family.

That was nine years ago. But still, even now, I have unanswered questions about the disease that almost cut my life short.

At age 38, I was given six months to live. I had sarcoma, a rare cancer that can occur in bone or soft tissue, with no known cause and no cure. My lingering questions about sarcoma fuels my motivation to produce "Until 20," a documentary that follows James Ragan's quest to live his few remaining days of life fully.

When I met James he was about to turn 20. We had both won the sarcoma cancer lottery. My 4-inch tumor was found growing along the radial nerve in my right arm. James's tumor resulted in the removal of about 40% of his left femur and 20% of his tibia. The five-year survival rate for this disease is frighteningly low. According to the National Cancer Institute, the five-year survival rate is about 66%.

For me, after getting to know James the mystery of why I survived and many people do not triggered "survivor's guilt." This is the guilt that can occur when someone survives a traumatic event that others do not, such as accidents, war, natural disasters and even illnesses like cancer. Guilt is a complicated emotion. My cancer fight lasted a year and a half, and now, as far as my doctors know, there no active tumor cells in my body.

I survived. James didn't. After repeated recurrences and seven major surgeries since his diagnosis at age 13, he died in February. We were fortunate enough that James chose to share the final year of his life with us.

James said, "It's all about perspective. I'm constantly told that's what I provide people when they hear my story. I'm told that I give them new perspective on their life."

Like James, I prefer to ask "now that I been marked by this disease, what can I do to make a difference?" I had cancer. I was lucky. Now I look ahead.

"Until 20" is James' story. He should be an inspiration, not just for patients facing incurable diseases, and be seen as someone who encouraged adults and young people to make meaningful, values-based choices with their time and their lives.

This documentary chronicles James' life after diagnosis, as he grows from a young athlete blindsided by disease into a passionate and caring young man. James shows us that you don't have to live a long life to make a difference.

Sarcoma tumors develop in healthy people with no apparent risk factors. There's little incentive for pharmaceutical companies to find a cure for sarcoma. One percent of all adult cancers in America are sarcoma, and 15% of all childhood cancers are sarcoma. With so few cases, there's little money to be made from research.

I have no patience with "my cancer is worse than your cancer" conversations. Cancer is not a competition. Cancer causes us all pain, and having a rare cancer is exponentially devastating, because there is so little research being done. The only remedy is banding together to create awareness and pushing for research funding.

According to Dr. Ara Vaporciyan at MD Anderson, "one option would be to put in place some rules or some laws that protect drug companies to allow them to invest research dollars. And in some sort of tax reform or some way to encourage them to invest here, to make it worth their while to invest here."

Why do we wait for a disease to teach us about living well and having compassion for others? James changed my life. In his deliberate quest to live a life worth living, he reminded me to live as though my days are numbered and to make every day count. You just need grit, passion and focused purpose. Humor helps, too.

I have to believe that one of the most effective ways to move beyond survivor's guilt is to find purpose in my experience. I've learned lessons I couldn't have learned any other way. What seemed to be my premature death sentence has also become my good fortune. James gave me renewed perspective.

"Am I sad about everything I am going to miss out on in life? Absolutely," said James. "But I am at peace. I've lived a pretty incredible 20 years."

Join us on Facebook.com/CNNOpinion.

@highlight

Geraldine Moriba was diagnosed with a rare cancer at age of 38

@highlight

Her film will tell the story of James Ragan, a patient who also had the disease

@highlight

James was able to appreciate his short life while enduring seven major surgeries

@highlight

Moriba: Why do we wait for a disease to teach us about living well and having compassion?