The heat inside the small medical clinic is stifling. An occasional breeze from an open window provides the only relief. A dozen lethargic children, their ribs exposed and twig-like arms outstretched, lay on beds covered by mosquito nets.

I accompany Keita Cheick Oumar, a doctor with the International Rescue Committee (IRC), as he checks on patients in a health clinic located in the densely populated Kati district, near the Malian capital of Bamako. Kati district has been hard hit by Mali's deepening hunger crisis and as elsewhere in the country the crisis is having an especially devastating impact on children.

Dr. Oumar kneels in front of Jabadjie, a ghost of a child whose loose skin sags over a skeletal frame. She is 16 months old and weighs only a little over 9 pounds (4 kg). In addition to being severely malnourished, Jabadjie is suffering from pneumonia and anemia that have ravaged her weakened immune system.

Jabadjie was rushed to the clinic after she was found by IRC volunteers who travel throughout Kati district to identify malnourished children and inform villagers about the help available at the health clinic.

"If she had stayed in the village, she would have died for sure," Dr. Oumar says.

He instructs Jabadjie's mother, who has come to the clinic with her daughter, on how to feed the girl nutritionally fortified peanut paste.

Although malnutrition is not unknown in Mali -- in the past decade, the country has faced three droughts which all led to major food shortages -- this year the country has struggled to cope with a prolonged drought and food crisis that is affecting large areas of the Sahel region of West Africa. The crisis has been made worse by a spreading internal conflict.

Islamist militant groups with ties to Al Qaeda control about two-thirds of Mali after hijacking a secular rebellion by Turaeg nomads in the north at the start of this year and seizing more territory in the wake of a March 22 military coup, which toppled the president based in Bamako.

Read related: U.N. Security Council seeks detailed Mali military intervention plan

More than 320,000 Malians have fled the north in search of food or safety, 200,000 of them seeking sanctuary in neighboring Niger, Burkina Faso and Mauritania. The remaining 120,000 are internally displaced.

Jabadjie's mother, Masaran Diarra, explains that food in her village ran out months ago.

"We are farmers and normally grow peanuts and millet, but we have nothing to eat now," she says. "I have five children to feed and one more on the way."

Two weeks after being admitted to the clinic, Jabadjie seems to be out of danger. Although still shockingly thin, her protein levels are up and the edema, a swelling caused by the build-up of fluid beneath the skin, has disappeared.

Impact Your World: Find out how you can help

An hour's drive south of the Bamako, in the village of Diallakoroba, I meet a group of farmers. They take me to a small hut used to store grain. Lamine Samaké, a 50-year-old father of eight, shines a flashlight through a small window. The hut is empty.

"This time last year it was almost full with millet," he tells me. "We have used up all of our reserves and won't have any millet until the next harvest in January or February."

In the meantime, Samaké says, three families comprising some 30 people will have to survive on a small quantity of corn and, money permitting, the occasional serving of fried fish.

"It won't be enough," he adds, shaking his head. "The months ahead will be very hard."

Despite the vast need, international aid efforts in Mali have been hampered by political chaos and uncertainty, and in the conflict-ridden north, by Islamic extremists who have prevented outsiders from operating in the region. However, IRC staff members who are natives of the north have managed to deliver vital aid to displaced people.

Read related: Why Mali is falling apart

"They've restored water access in many areas and are working to prime wells and water points," says Tasha Gill, who directs the IRC's programs in Mali.

These intrepid aid workers are distributing water purification kits and conducting hygiene promotion campaigns. Still, many people continue to lack clean water, putting them at high risk of cholera.

The Malian people I meet express sadness and disbelief over the severity and rapidity of the humanitarian crisis in a country long viewed as stable.

"It's a difficult time for everyone, but especially the children," says Gill. "We're doing our best to serve the needs of the Malians and help them get through these multiple crises."

@highlight

More than 300,000 people have fled northern Mali in search of food or safety after drought and rebel uprising

@highlight

Secular rebels in north Mali broke away from the capital, Bamako, in March but have lost the territory to militant Islamist groups

@highlight

The International Rescue Committee is fighting to control malnutrition in the Kati district, near Bamako, which has been hard hit by the food crisis

@highlight

Prolonged drought has destroyed food stocks in large areas of the Sahel region of West Africa