Philadelphia (CNN) -- Beth Rutstein rolls up the sleeves of her T-shirt, juggles a stack of fliers and knocks on the door of a stranger's home. She's on a mission to save lives.

After wiping sweat from her face beneath the sweltering afternoon sun on a recent Thursday, she ascends another set of stairs leading to a front door and knocks.

No one answers, but she's greeted warmly by neighbors sitting in the shade of the covered connecting porch.

"We're here doing free HIV testing," she tells them, handing over a flier. "We decided to come here because 19143 has one of the highest rates of HIV in the entire city."

That's the ZIP code for southwest Philadelphia, one of many urban neighborhoods across the United States that account for the bulk of the nation's HIV cases.

Rutstein, a second-year medical student, is one of 60 outreach volunteers who spent their summer going door-to-door alongside health care workers testing residents within the 19143 ZIP code.

This part of Philadelphia -- like many other urban neighborhoods in the United States -- has an HIV infection rate on par with many sub-Saharan African nations, including Sierra Leone and Ghana, according to UNAIDS.

In fact, more Americans are living with HIV infections today than ever before partly because of an increase in testing and treatment options, according to the Centers for Disease Control. About 1.2 million Americans are HIV positive, with a rate of 50,000 new cases each year, according to the CDC. Yet, 20% of those infected are unaware they are HIV positive.

AIDS survivor: Epidemic isn't over yet

In Philadelphia, more than 19,000 residents have HIV, with the highest rates among black residents living in low-income neighborhoods with limited access to health care facilities and services.

"About 40 to 50 neighborhoods account for about half of the United States' infections," said Amy Nunn, founder of Philadelphia's Do One Thing, Change Everything Campaign. "In Philadelphia, a few neighborhoods have very high rates of infection, and those few neighborhoods are driving the overwhelming share of infections."

To change that, Nunn and her team enlisted volunteers to go to those neighborhoods, knock on doors, get people tested and, if HIV positive, get them free treatment.

While many volunteers get a "no thank you," they have tested more than 160 people since the program started in July. So far, no one has tested positive for HIV.

The door to door campaign is not the first HIV outreach in Philadelphia, but it is arguably the most ambitious.

The Do One Thing program aims to diagnose as many people as possible, as well as create a prevention model that can be replicated in other U.S. cities. The program also gets its message out through social media, billboards, community and church leaders, as well as local health centers.

Part of the problem is combating a lack of awareness about who is at risk for getting HIV.

"A lot of people, even in 2012, think this is a gay disease," Nunn said. "But that's not the case, especially in Philadelphia."

Opinion: End the HIV stigma

Southwest Philadelphia resident Dennis Brown was shocked to learn that his neighborhood has one of the highest HIV/AIDS rates in the city. He agreed to get tested for the virus for free on the spot.

Inside the mobile medical RV -- complete with two examination rooms and waiting area -- health worker Danielle Parks swabbed Brown's cheeks and gums as part of the routine, rapid HIV test.

"This is a preventable disease," Parks said. "Blacks carry the burden of genetic diseases from high blood pressure to diabetes. HIV is the one thing you don't inherit. It's the one thing we can prevent."

Compared with other races and ethnicities, African-Americans make up a larger proportion of HIV infections at all stages of the disease, according to the CDC. In 2009, 44% of all new HIV infections were African-Americans -- most of them men, the CDC found.

About 20 minutes after his test, Brown gets the results.

"It says I'm not positive," said Brown holding up his HIV/AIDS results card. "It's better to know than not to know. It made my heart sink to hear about the rates in southwest Philly."

Nunn said she is confident that her grassroots effort will not only spread awareness about HIV but also provide more access to treatment.

"We're taking all of our tools and putting them in one of the hottest zones in the city to see ... if we can really make a difference in eradicating racial disparities in HIV infection," Nunn said. "One of the biggest problems is that a lot of people don't think that they're at risk for HIV, and so what we're trying to do is get as many people tested as possible so we can link people who test positive to treatment services."

Her grassroots outreach is a key component of the United States' first HIV/AIDS national strategy, launched in 2010, which emphasizes providing support in the communities most affected by the disease.

This summer, as Nunn's volunteers hit the streets, the United States hosted its first International AIDS Conference in Washington, something that was only possible because of the removal of a travel ban preventing HIV-positive people from entering the country.

Treating HIV has come a long way since it was first discovered in the early 1980s. The virus, which can lead to AIDS, is most often treated with a cocktail of anti-viral drugs that not only reduces the likelihood of AIDS infection but also decreases the chances of transmitting the virus.

FDA panel recommends drug to prevent HIV

After seeing statistics for HIV infection rates blot out specific neighborhoods in Philadelphia, Nunn decided she wanted to try something different. So she turned to testing models in Kenya that reached people at their homes and in their neighborhoods, reaching people who otherwise might not have been tested.

This model helped get people who tested positive into treatment much earlier in the course of their infection -- helping to stop the spread of the virus.

Just because the HIV rates are higher in certain parts of the city doesn't mean the issue doesn't impact the broader community, said Rutstein.

"It's not just this ZIP code and this census track," she said. "The fact that I can jump on a trolley and get here means that I'm close enough to have to worry about it."

Back in Kingsessing, Eric Brown spotted the RV parked in his neighborhood offering free HIV tests and wandered in on his way home.

Brown, a 25-year-old father of two, lost his mother to AIDS a decade ago. While she wasn't infected during her pregnancy, the disease hits close to home for Brown. He said he tries to get tested whenever he can.

While waiting for the results, Brown answered a series of questions from rapid test volunteer Ladonna Smith.

"I didn't tell people about my mom, I didn't say what she had," Brown said. "She was dying slow and then went to hospice. I was there when she died."

"Are you ready," Smith asked.

"Yes," he said matter-of-factly.

"You are negative for HIV," she said.

It's the answer he expected. With his results card and a few fliers for neighbors, Brown headed home.

"I was really touched by him," said Smith watching him walk out of view. "He knew she didn't have to die, but it didn't break him and he's not bitter."

30 years of AIDS moments to remember

@highlight

HIV is prevalent in many low-income neighborhoods in U.S. cities

@highlight

These urban centers have HIV rates on par with sub-Saharan African nations

@highlight

In Philadelphia, volunteers started going door to door offering free testing

@highlight

The program's founder hopes it will be a model for other cities