(CNN) -- Amid the continuing bloodshed and turmoil in Syria, one thing is becoming clear: The Assad regime's propaganda campaign against the opposition is resonating with some countries in the West and elsewhere.

The regime has consistently characterized its opponents as "terrorists." And while the once peaceful Arab Spring-inspired demonstrations have long morphed into an armed insurrection that includes a wide array of Islamist groups of varying militancy, some in the international community are allowing their all-consuming fear of "terrorism" prevent them from recognizing an equally dangerous ideology that not long ago engulfed the entire "world" in a war that cost millions of people their lives, and which was responsible for unimaginable atrocities, the full scope of which is still being ascertained today.

Those who have adopted the view that the Assad regime's continuation in power is a "lesser of two evils" should be under no illusions as to what their preferred option is: Fascism.

If history is any indication, once a fascist "mindset" has been inculcated into the support base of a regime, peace seldom follows.

The quest for vanquishing enemies -- both internal and external -- never ceases.

The international community's reluctance to punish Syrian Bashar al-Assad over his obliteration of all norms governing civil wars, should make it consider the strong possibility that it will be compelled to confront him at some point in the near future, when he defies the rules of international relations by launching an unprovoked military attack against a nation on which he blames all Syria's troubles. The most likely candidate is Saudi Arabia.

While this scenario seems remote for a number of reasons -- logistics and the tattered state of the Syrian economy and military being the three most obvious -- one should remember that past fascist regimes' ill-fated military adventures also took others by surprise, as they seemed to defy conventional wisdom on several fronts.

Much like the ideologies that justify terrorism, fascism operates within unique moral parameters and therefore its calculus will always confound those who do not adhere to it. A scholar on terrorism recently put it best when he wrote that "sacred values" produce "devoted actors (as opposed to rational actors), who are willing to resort to extreme violence with little regard to risks and rewards or costs and consequences." The same is true of the most militant variants of fascism.

People who dismiss such a scenario should listen carefully to al-Assad's recent verbal assault against what he calls "Wahhabism" and how it should be "eradicated from the root." Those who doubt that such an attack is within the realm of possibilities should remember another Baathist regime that based its legitimacy on military prowess and delusions of grandeur and that went from one devastating war to another; former Iraq President Saddam Hussein's. At the time of his war with Iran, many considered him "the lesser of two evils."

In a fascist state, preserving the nation's security, stability and unity against the machinations of internal and external enemies is dogma; it is the founding myth of the Syrian regime. The fact that Assad's forces have killed tens of thousands of Syrians and thousands more are unaccounted for, turned millions of others into refugees, leveled entire cities to the ground, reduced the size of the Syrian economy to a fraction of what it was before the civil war and turned Syria into the favorite destination of Islamist militants worldwide in the process, should give those who are ready to turn a new page with him pause.

Writing in 1944, the British novelist George Orwell justifiably advised against "degrade[ing] it to the level of a swearword" by labeling anything with which we strongly disagree as "fascism."

However, given its reprehensible brutality, insidious internal politics, and incendiary rhetoric over the past three years, one would be hard pressed to describe the Syrian regime as anything other than that.

While scholars have long struggled with succinctly defining fascism and its wide variants, a cursory look at the modus operandi of the Assad regime suggests that it embodies the most salient characteristics of the most militant type of fascism.

A hallmark of fascism is the reverence for the "leader" who becomes the personification of the nation; an attack on him becomes an attack on the entire nation. It is he who sets the vision for the people and there is little room for individual autonomy. Al-Assad has left no doubt that he would rather destroy Syria than step down.

Fear, uncertainty, distrust

Like Saddam Hussein, al-Assad's pervasive internal security apparatus has adversely affected the political culture of millions of his countrymen, allowing fear, uncertainly and distrust to dominate people's psyches. And while Hussein's torture chambers were revealed after the regime was toppled in 2003, Bashar's security forces' atrocities are being documented on a daily basis, often by the perpetrators themselves.

The recent disclosure by three war crimes prosecutors of gut-wrenching photographs showing the emaciated corpses of thousands of detainees who died in al-Assad's jails was more evidence suggesting that his atrocities are coming perilously close to those committed by the most infamous fascist regime in history: Nazi Germany.

(CNN cannot independently confirm the authenticity of the photographs, documents and testimony referenced in the report, and is relying on the conclusions of the team behind it, which includes international criminal prosecutors, a forensic pathologist, an anthropologist and an expert in digital imaging. The Syrian regime denies torturing detainees. The Syrian Ministry of Justice dismissed the report, telling Al Jazeera it was politicized and lacking of objectivity and professionalism.

Like other fascists before him, al-Assad has instilled an insidious ideology in his followers by controlling the media, and using the education system to inculcate a mind-set that glorifies war, militarism and witch-hunts. His regime has also become masterful at using short slogans intended to rouse his supporters' nationalism and emotions, while simultaneously dehumanizing all of Syria's "enemies."

It is this indoctrination that enables al-Assad's henchmen to kidnap thousands of children out of their homes and torture them to death. It is also this pathological outlook that justifies al-Assad's alleged use of chemical weapons against civilian centers on more than one occasion. (Al-Assad denies that his troops had anything to do with the attacks.)

Fascist regimes also have a history of using religion and ethnicity to widen cleavages in society to ensure that different groups do not conspire against them. Despite all their talk about secularism, both Saddam Hussein and Bashar al-Assad used religion to sow division, distrust and even fear among the various religious and ethnic groups. Both brutally oppressed the religious majority and preyed on the fears of religious and ethnic minorities.

Potential attacks?

Saddam Hussein surprised many when he attacked Iran and shocked the world when he invaded Kuwait. And while al-Assad's reign thus far has not included such reckless military adventures, the past three years have unmasked the true fascist character of his regime.

Should he regain full control over Syria, al-Assad might feel emboldened and attack his main adversaries. If Syria becomes a full-fledged failed state, he may feel more compelled to deflect from his domestic weakness by undertaking a "heroic" show of strength to raise the morale of his supporters and to bring back to the fold some of his opponents under the banner of nationalism. As an added bonus, such an attack would also test the resolve of the United States and its military footprint in the Gulf.

The world has repeatedly underestimated the fascist mind-set. But just as it is standing united against terrorism, the international community should not forget the devastation that fascism unleashed on the world and realize that its specter is currently hovering over the Middle East.

The opinions expressed in this commentary are solely those of Fahad Nazer.

@highlight

A fear of "terrorism" is obscuring the threat of fascism in Syria, writes Fahad Nazer

@highlight

Once a fascist mindset has been instilled into a support base, peace seldom follows, he says

@highlight

If al-Assad's regime were to regain control of Syria, it might turn on other nations, he says

@highlight

The world should remember the devastation wrought by fascist powers in the past, Nazer says