LONDON, England (CNN) -- What does yours sound like?

New tunes: One of the inventors behind popular game 'Guitar Hero', Tod Machover, is now working with robots.

It's a question that could one day be as common as asking what your Facebook profile picture is -- at least if Tod Machover has anything to do with it.

The self-described composer/inventor/educator from the Massachusetts Institute of Technology's (MIT) Media Lab is working at the leading edge of interactive music -- designing a range of new concepts, including personal operas.

Personal operas could one day allow humans to record the details of our lives -- our feelings, relationships, and beliefs -- in our own personalized opera show.

Machover told CNN the personal opera is something he would like to see available for everyone in future.

"It's about what you can pass on for others. If you could make that system available for everybody you can leave your stories, your images behind. Opera has always attracted me as you can tell a whole story with it," he said.

With this concept, instruments can adapt to the way people behave or express themselves, so a person's personality can be shown through the music and performance of an opera - which would also allow images and other memories to form part of the show.

The technology would allow users to leave behind their legacy, he said.

Machover's MIT Media Lab has developed software which drives the project, called "Hyperscore."

Hyperscore allows the user to make real music using just lines and colors. The user draws in the lines and colors and the notes are automatically made from that, he said.

In a new leap incorporating these ideas, Machover has been working on an operatic performance called "Death and the Powers" which details the life of Simon Powers -- a man he describes as "a mixture of Walt Disney, Bill Gates and Howard Hughes."

The show debuts at Monaco in September 2009, and Machover said it should revolutionize the world of opera -- by introducing the personal opera combined with robotic instruments and 'hyperinstruments'. It also includes the world's first robotic stage.

"He [Powers] wants to leave his memories and relationships behind but he himself wants to be gone. Once he does go, the main character after that is the stage itself," Machover said.

But how does this work?

Machover said there are several aspects, including 16 robotic boxes that can move around on stage by themselves.

"They play the role of a Greek chorus. They will be themselves and they come alive. Some of them come in and out. It's a visual and musical language which isn't anthropomorphic."

"The chandelier is also a robotic instrument. It has strings and these are played by little mechanical fingers that pluck the strings. You can send acoustic signals to it as well," Machover said.

Amazing as it is, this is only one strand of Machover's remarkable work.

"Hyperinstruments" are about making instruments that respond in new ways to those playing them. Machover has also been able to alter how each instrument can be controlled.

"I started imagining sounds that I just couldn't make from traditional instruments," he said. "With a computer we can build any instrument you can imagine. For example with a 'hypercello' we can make it so that if you flick your wrist the whole tonality changes about it.

"And the relationship between what instructions you give the instrument and what result you get at the other end doesn't have to be the same. You can make the instrument very much like an existing instrument or you can make it very different. If you are making a hyperinstrument for a five-year-old then you want to make it very easy to tap and play," he said.

Machover is undoubtedly passionate about making the musical experience accessible to everyone, and it was work from his MIT Media Lab which brought about the blockbuster video game "Guitar Hero."

He believes that type of interfacing can soon be developed further.

"What would happen if you had such experiences where you could actually learn how to play the guitar? I think that's something we are going to see fairly soon," Machover said.

Machover is also interested in a new type of collaboration between the people making music and the people listening which he says appears to be already beginning.

He cites the example of the band Radiohead, which offered for sale all of the individual tracks for one of its songs to encourage listeners to create their own version.

"It would be excellent if somebody got interested in this side of music and then got some feedback, or if Radiohead now and then got ideas back that blew them away. I think that kind of thing is possible."

Just when you think Tod Machover has exhausted every musical concept you could think of, he admits he's plotting another.

Given that he lives on a farm, it's no surprise Machover would like to use some of his concepts to explore the musical abilities of animals.

"We have believed for a long time that humans are the only musicians. It's beginning to look more and more likely that this isn't true. We have only scratched the surface as to what musical creatures are around," Machover told CNN.

He firmly believes that animals will have a lot to offer the musical world.

"Before I die I would like to do an animal piece. It will be a way of seeing what animals are really doing."

Lisa Botter also contributed to this report

@highlight

Tod Machover is working to improve musical experiences for everyone

@highlight

Machover's team at the MIT Media Lab were behind popular game "Guitar Hero"

@highlight

Personal operas could offer a way for everyone to leave behind their legacy

@highlight

Machover also sees music as a form of therapy for physically and mentally ill