(CNN) -- The Detroit bankruptcy case is acting as a Rorschach test for so many challenges that bedevil older industrial cities in the United States and beyond. A common one: How do older cities rocked by deindustrialization and the loss of population and jobs redefine their economic function and find a new reason to live in a shifting global economy?

The experiences of Pittsburgh and Northeast Ohio offer cause for hope and a roadmap for reinvention and renewal.

With the collapse of the steel industry in the early 1980s, the Pittsburgh metro area endured the loss of nearly 100,000 jobs in just three years; the city's population declined by almost 12.7% during the full decade. Fast forward 30 years, and it is clear that the city and broader metropolis have regained their footing through a series of strategic and sustained interventions.

Smart public, private and civic leadership has helped diversify the economy toward health care and technology, building off a solid base of advanced research institutions and medical campuses ("eds and meds"), such as Carnegie Mellon University and the University of Pittsburgh Medical Center. Smart urban regeneration tactics have successfully repurposed waterfront locations, historic buildings and even brown-field sites into new walkable places valued by innovative firms and talented workers.

An impressive 25% of the jobs in the Pittsburgh metro area are within three miles of the central business district, compared with just 7% in Detroit. With such employment density, reasonable housing costs and ample cultural amenities, the city now routinely places at or near the top of worldwide livability rankings.

Northeast Ohio -- which spans the four metropolitan areas of Cleveland, Akron, Canton and Youngstown -- provides a more recent example of renewal. In the early 2000s, the Cleveland Plain Dealer chronicled the "quiet crisis" that was gradually bleeding the region of people, jobs and vitality.

In response, philanthropic institutions pooled their resources and supported a series of institutions and intermediaries, including the Fund for Our Economic Future, BioEnterprise and Nortech, to identify precisely the region's untapped potential in emerging technology, health care, energy and manufacturing clusters and then help small- and medium-sized firms meet the demand for new products and services.

As in Pittsburgh, these efforts leveraged Northeast Ohio's stellar network of advanced research institutions and medical campuses, many of which (e.g., the Cleveland Clinic) sit at the cores of the region's central cities.

The result in less than a decade has been impressive: an additional 10,500 jobs, $333 million in payroll, $1.9 billion in investments, including the first nationally designated additive manufacturing institute in Youngstown.

The examples of Pittsburgh and Northeast Ohio provide a road map for the renewal not only of Detroit but of older industrial cities more generally.

RoboCop creator: Detroit shows the film's fictional future is upon us

First, form and sustain a network.

Cities and metropolitan areas are powerful because they are networks -- of corporate, philanthropic, university, community and government institutions and leaders. Each element of the network is not big enough or rich enough to power economic restructuring. But, taken together, they have the potential to design and deliver transformative initiatives and interventions.

Second, set a distinctive vision for economic growth grounded in your region's special assets and advantages.

Shakespeare was right; what's past is prologue. Northeast Ohio, for example, shows how specialties designed for car manufacturing can be repurposed. As Akron's tire making industry declined, companies working with local universities shifted their focus and research efforts into the related business of polymers. The former Rubber Capital of the World now makes polymers and plastics that can be used in clean energy and biotech.

Third, find the series of game changers that have the potential to create jobs in the near term and alter the trajectory of your economy over the long haul.

In Pittsburgh and Northeast Ohio, the signature game changer has been collaboration--among companies, universities, entrepreneurs and supportive institutions -- to help reshape the economy and create a sense of place and to grow quality jobs in quality places.

The revival of Detroit is not a fanciful dream; in fact it has already begun. According to research in progress by the Brookings Institution and The Reinvestment Fund, Detroit's historic downtown and midtown core is 3 percent of the city's land mass but home to 37 percent of its jobs, and residential and business growth is underway.

This growth includes new corporate residents like Quicken Loans bringing over 7,000 new jobs downtown since 2007, and older anchor institutions like Wayne State University, Henry Ford Health System and the College for Creative Studies driving over $1.8 billion in investments to midtown over the past decade.

This resurgence of Detroit's core builds off the physical "bones" (such as historic buildings, revised riverfront) of the city and the enviable assets in the broader metropolis, including a relatively high concentration of workers in STEM (science, technology, engineering and math) fields, given the region's concentration in advanced manufacturing.

And the resurgence is stewarded by the leadership of re-energized networks of philanthropies like the New Economy Initiative, as well as the work of capable institutions like the Detroit Economic Growth Corporation, Midtown Detroit and Invest Detroit. With such advantages, now is the time to revive the city from the core and set ambitious goals for housing, job and fiscal growth that benefits all residents.

Detroit's future, in short, is still to be written.

Private, civic, and, yes, public investors like the federal government must double down on this momentum, and invest in that future to make it a bright one.

The opinions expressed in this commentary are solely those of Bruce Katz and Jennifer Bradley

@highlight

Bruce Katz, Jennifer Bradley: Revival in Ohio, Pittsburgh should give hope to Detroit

@highlight

They say after steel's collapse, Pittsburgh diversified economy based on 'eds and meds'

@highlight

They say in Ohio, philanthropies pooled resources to tap into cities' potential strengths

@highlight

Writers: Some of these strategies already underway in Detroit; story's not over yet