Washington (CNN) -- The Supreme Court made it harder Wednesday for foreign victims of torture and other crimes against humanity to press their legal claims against corporations and others in U.S. federal courts.

The outcome could have significant global impact from a moral, political and financial perspective.

At issue is the scope of a federal law that is increasingly being used in an effort to hold those accountable for human rights atrocities committed overseas.

A dozen Nigerian political activists now living under asylum in the United States say foreign oil companies were complicit in violence at the hands of their former country's military. Their decade-old civil damages lawsuits have been blocked from going to trial in American courts.

Chief Justice John Roberts, writing for the unanimous court, said acts committed on foreign soil by foreign entities against foreign citizens typically cannot be resolved in American courts.

"On these facts, all the relevant conduct took place outside the United States," he said. "Corporations are often present in many countries, and it would reach too far to say that mere corporate presence suffices" to press these kinds of legal claims.

The Obama administration is siding partly with the foreign businesses.

The justices first heard the case in February 2012, trying to sort out whether individuals alone -- or political groups and corporations also -- are covered by broad civil immunity for alleged international law abuses.

Then the court then took on another more fundamental question: whether the 1789 federal law can be applied to any conduct committed entirely outside the United States.

Roberts, in his opinion, noted a ruling for the foreign plaintiffs could affect Americans living, working or traveling overseas.

"Accepting petitioners' view would imply that other nations, also applying the law of nations, could hale our citizens into their courts for alleged violations of the law of nations occurring in the United States, or anywhere else in the world," Roberts said. "The presumption against extraterritoriality guards against our courts triggering such serious foreign policy consequences, and instead defers such decisions, quite appropriately, to the political branches."

The human rights appeal was filed on behalf of residents of the oil-abundant Ogoni area of the Niger River Delta. Two decades ago, they protested the longstanding environmental harm that Shell and other energy companies caused by extracting petroleum.

They and their families say the Nigerian government brutally suppressed them, "aided and abetted" by private corporations doing business there. The Ogoni 9, as the key leaders became known, were allegedly detained, tortured and tried by a special Nigerian military tribunal, in violation of international human rights treaties.

The Nigerian government's 1993-1995 crackdown sparked global outrage after author Ken Saro-Wiwa and eight other activists were convicted, then hanged.

Among those bringing suit is his nephew, Charles Wiwa, who escaped the oppression and now lives in Chicago as a political refugee. He described being a student activist beaten by soldiers for hours in front of a crowd of onlookers, then detained and tortured for days.

He says that Shell, based in the Netherlands and Britain, conspired with the government to keep its business operations going in the face of protests and should be held accountable for ignoring or encouraging a pattern of killings, rapes, beatings and property destruction. He said the United States is only place to obtain justice.

"Nigeria's dictatorship has grown rich from its oil," Wawa told CNN. "It is important those (oil) companies be held responsible, because we cannot bring any legal action in courts in Nigeria."

The U.S. law in question is the Alien Tort Statute, which gives federal courts jurisdiction over civil claims from foreigners that they were harmed by international law violations. It was largely ignored for decades but has become an important legal vehicle for those bringing human rights claims.

Similar lawsuits involve Chevron and Exxon energy operations in Indonesia; Chiquita Brand fruit farms in Colombia; and businesses that operated years ago in the now-outlawed apartheid system in South Africa.

"Shell remains firmly committed to supporting fundamental human rights in line with the legitimate role of business and I want to make clear that we deny, in the strongest possible terms, the allegations made by the plaintiffs in this tragic case," said Peter Rees, Shell's legal director, in response to the ruling.

"Today's decision doesn't weaken the human rights of people around the world; it makes it clear that the Alien Tort Statute does not provide a means for claims to be brought in the U.S. which have nothing to do with the U.S."

But a range of human rights groups said they were "deeply disappointed."

"Today's decision moves one step closer to shutting the court room doors to victims of war crimes and torture," said the New York-based Center for Constitutional Rights. However, the organization said, "This ruling is not a grant of immunity from liability."

The high court in 2004 endorsed the use of the statute in question, but only in limited circumstances. Wednesday's decision reinforced that approach.

But the four more liberal justices, while agreeing with the court's conclusion, differed on the reasoning behind it.

Justice Stephen Breyer suggested that the Alien Tort Statute should continue to have some strong enforcement application.

"International norms have long included a duty not to permit a nation to become a safe harbor for pirates (or their equivalent)," he said, citing past Supreme Court cases. "This approach would avoid placing the statute's jurisdictional scope at odds with its substantive objectives, holding out 'the word of promise' of compensation for victims of the torturer."

The civil lawsuits in the international law context have been compared to a separate, high-profile domestic political dispute. The high court in 2010 concluded that corporations -- businesses, unions and issue advocacy groups -- enjoy the same free speech rights as individuals when it comes to independent election spending. Now the issue in part was whether corporations and political entities should be treated the same as individual offenders when it comes to enforcing international human rights.

The current case is Kiobel v. Royal Dutch Petroleum Co. (10-1491).

@highlight

Lawsuits accused foreign oil companies of being complicit in violence against Nigerians

@highlight

In a unanimous ruling, the U.S. Supreme Court says a federal law doesn't apply in this case

@highlight

Chief justice: Ruling for plaintiffs could affect Americans living, working or traveling overseas

@highlight

NEW: Shell says ruling doesn't weaken human rights but rights advocates disappointed