Anyone who's ever attempted to lose weight knows the frustration of trying -- and failing at -- different diets.

But a study published this week in the Journal of the American Medical Association suggests any low-carbohydrate or low-fat diet can produce significant weight loss results.

People should choose diets that they can stick to, rather than fret over low-fat versus low-carb, says study author Bradley Johnston, assistant professor of clinical epidemiology at McMaster University in Hamilton, Ontario.

The study

Researchers looked at 48 previous studies that included a total of 7,286 overweight and obese adults.

Many participants followed popular name-branded diets, including the low-carb Atkins, South Beach, or Zone diets, the balanced "Biggest Loser," Jenny Craig, Nutrisystem, Volumetrics or Weight Watchers diets, or the low-fat Ornish or Rosemary Conley diets.

The participants reported their body weight or body mass index before and after following the diets.

Calculate your BMI

The results

After six months, those on low-carb diets and low-fat diets lost approximately the same amount of weight -- around 18 pounds. The researchers found those on brand-name diets saw only small variations in the amount of weight lost.

11 simple weight loss tips

"There may be important differences to some individual clinicians or some individual dieters, but overall the differences are minimal," Johnston said.

In addition, exercise and behavioral support enhanced weight loss. Behavioral support includes things like group support, counseling and/or meeting with a registered dietitian.

After a year, many people stopped losing weight and gained a couple of pounds back. The average sustained weight loss was 16 pounds.

The researchers noted exercise continued to enhance weight loss, whereas the results for behavioral support were no longer significant after a year.

In an editorial accompanying the study, Linda Van Horn of the Northwestern University Feinberg School of Medicine in Chicago argued that limiting carbohydrates or fat can be risky. Focusing solely on weight loss, she wrote, only makes these popular diets seems healthy.

5 ways a healthy diet is making you tired

As soon as you start reducing or eliminating macronutrients like fat, carbs or protein, you run the risk of avoiding foods that "actually have a host of nutrients to them," she said.

People who eat a low-carb diet, for example, often miss out on the fiber, potassium, Vitamin C and other phytochemicals that are important to good health.

Another take

The debate over low-fat and low-carb diets has been going on for decades. And the JAMA study likely won't put a stop to it.

Just on Monday, a study of 148 people published in the Annals of Internal Medicine found that a low-carb diet is superior to a low-fat one for weight loss. Participants on the low-carb diet reduced their cardiovascular risk factors. They also saw reductions in fat mass, along with improved cholesterol levels.

Low-carb, high-protein diets linked to women's heart disease

"With the obesity epidemic, everyone is really interested in the best way, the easiest way to lose weight," said Lauri Wright, registered dietitian nutritionist and spokeswoman for the Academy of Nutrition and Dietetics, who was not involved in either study.

"For every one study that shows the low-carb is better, then there's a counterstudy that shows that low-fat is better.  And it's very confusing."

Wright recommends people see a dietitian to develop an individualized plan.

"We're not only trying to lose weight, but we're also trying to prevent diseases too," she added. "We want to make sure the diet is not only low in calories, but it has really high-quality nutrition value."

@highlight

A new study suggests any low-carb or low-fat diet can help with weight loss

@highlight

The average sustained weight loss after one year was 16 pounds

@highlight

Cardiovascular risk factors reduced with low-carb diet, study finds

@highlight

Lack of fiber, potassium, Vitamin C are possible side effects of extreme low-carb diets