(CNN) -- Upon arrival at Kotoka International airport in Ghana's capital city Accra, you are immediately greeted by a sign that says "Akwaaba," which means "Welcome" -- and this is exactly how you will feel when visiting this beautiful West African country.

A success story of African development, democracy and stability, Ghana is a nation made up of people that are as warm as its climate. Rich in history, culture and natural beauty, it's the perfect introduction to Africa if you are a first-time traveler to the continent, or a great alternative for those who have exhausted the Safari circuit, and crave a different African experience.

There is something for everyone in Ghana, ranging from nature trails and UNESCO World Heritage sites to bustling markets, tranquil beaches and vibrant nightlife.

Wildlife

There are 15 national parks and reserves across the country. A must see is Kakum National Park, in the central region.

The area is covered with stunning tropical rainforest and rare animals, and a long series of hanging bridges known as the Canopy Walkway. Not for the faint hearted, the walkway is located at the forest canopy level, and is secured by a series of nets and wires for safety. The walkway provides tourists with a spectacular vantage point of the beautiful surroundings.

Another great place to visit is Ghana's largest wildlife refuge, Mole National Park. The park is located in northwest Ghana, and the park's entrance is reached through the nearby town of Larabanga.

It is home to over 93 mammal species, with large mammals including elephants, hippos, buffalo, and warthogs. The park is considered a primary African preserve for numerous antelope species; olive baboons, black-and-white colobus monkeys and the green vervet are among the monkey species resident there. Slender-snouted and dwarf crocodiles are among the 33 known species of reptiles that call this breathtaking park home.

Read more: 26 of the most stunning spots in Africa

Heritage

The country became a major economic hub with the emergence of the slave trade, and several slave castles erected by the Europeans in 15th century remain standing.

Built by the Portuguese in 1482, Elmina Castle is the oldest remaining slave castle in Africa. It is also a UNESCO World Heritage Site, and it has become a pilgrimage site, drawing thousands of visitors from around the world -- in particular African-Americans and Caribbean people seeking to connect with their heritage.

The town of Elmina surrounding the castle is a vibrant, robust fishing community with an incredible amount of energy and color.

Accra

If you don't want to venture far from the capital, there is a lot to do right in Accra. For beach bums, Labadi beach is perfect for soaking up the African sun, and being entertained while you do it. Drumming, cultural dancing and music can all be seen and heard on holidays and during the weekend.

Tourists can also visit local cultural attractions such as Kwame Nkrumah Memorial Park, W.E.B Dubois Center or head to the Arts Center, where a multitude of stalls sell crafts from all around the country.

After a day of relaxing at the beach or visiting the cultural sites, visitors can head to the upscale area of Osu, in central Accra, to sample the nightlife. Locally referred to as the "West End," Osu boasts an impressive number of local and international restaurants offering a range of cuisines.

There are also several options for club hoppers and lounge goers. One of the latest additions to nightlife in Accra is Republic Bar and Grill. With indoor and outdoor seating the bar has a retro vibe, and celebrates Ghanaian food, music, culture and art. Republic has a wonderful list of drinks, ranging from cold local beers, to exotic cocktails and herbal teas made with fresh ingredients.

The bar also serves a wonderful menu of finger foods including fried yam/cassava, kelewele (fried plantain seasoned with delicious spices) and chicken wings seasoned with local spices.

Read also: What Ghana can teach the rest of Africa about democracy

Kumasi

If Accra whets your city-touring appetite to then a trip to Kumasi is highly recommended. The five-hour bus ride from Accra is a great way to see more of the country, and the VIP coaches are cheap and comfortable, showing local movies to entertain you.

There is plenty to do upon arrival to Ghana's second-biggest city. Kumasi is home to the bustling Kejetia Market, which has more than 10,000 stores and stalls, and is said to be the biggest in West Africa. Visitors can buy a wide variety of items such as hand-crafted wooden sculptures and masks, paintings, native fabric, spices, handmade jewelry and much more.

Kumasi is also home to the National Cultural Centre, the Menhya Palace and Lake Bosumtri. The lake is the only natural lake in Ghana and the area is peaceful and tranquil. Like Accra, Kumasi also has a vibrant nightlife with restaurants and entertainment to suit all tastes.

When it comes to accomodation, Ghana offers everything from homestays to five-star accommodation. Major international chains include Golden Tulip, Novotel, Best Western and Movenpic. The Marriot, Sheraton and Hilton Hotels are set to open later in 2013.

@highlight

Ghana is a country rich in history, culture and natural beauty

@highlight

Mole National Park is home to more than 93 species of mammal

@highlight

Elmina Castle is the oldest remaining slave castle in Africa

@highlight

Osu, in Accra, offers visitors a vibrant nightlife