(CNN) -- "People think that education lasts until you graduate from school. But I think that people should continue to learn even after graduation." -- Yasuaki Sakyo

Yasuaki Sakyo believes that education should be lifelong and open to everyone.

Tokyo's bustling, youthful Shibuya district, the backdrop for much of the indie film "Lost In Translation," is a hip, neon-lit hub for Japan's cutting-edge set. Its crammed streets, flashy fashions and hectic pace make it an exhilarating experience that's often intimidating for the faint hearted.

But behind this flamboyant exterior, Shibuya is also home to an organization with a deeper passion -- for learning.

Founded in 2006, Shibuya University is a new system of education that's firmly rooted in its local community. There are no entrance examinations; classes take place in the city's surroundings; and teachers come from all walks of life.

Shibuya University is led by Yasuaki Sakyo, a 28-year-old ex-accountant. Sakyo believes passionately that education is for life, that we can all learn from each other and that teaching shouldn't be confined to the classroom.

Sakyo was working for trading company Sumitomo when he read about Shibuya Ward assembly member Hasabe Ken's idea of a university based within the Shibuya community that focused on lifelong education.

Sakyo was intrigued. He was seeking a new mission: one that would bring benefits to his community. The two men discussed their visions of a university that was open to all; then Sakyo quit his job to run the Shibuya project. In November 2005, a group of interested parties discussed what sort of organization it should be. For a year, they planned Shibuya University; the first classes began in September 2006.

"Shibuya, where people usually come to enjoy themselves, is full of wonderful things" Sakyo told CNN. "My idea was to bring together the most interesting elements of education and the attractive parts of Shibuya."

This free-flowing approach to learning contrasts markedly with the stiff, conformist image of traditional Japanese education. Shibuya acts as a catalyst, breathing knowledge and life through the community. Its classes, which range from traditional Japanese culture to environmental issues, are enormously popular, with many oversubscribed. Its "classrooms" have included shopping complexes, museums and the gardens of Meiji Shrine.

There's no clear distinction between students and teachers and no graduation from classes. Teachers have ranged from janitors to best-selling sports writers. Students are mainly in their 20s and 30s, although Sakyo hopes that the university's appeal will broaden to wider age groups.

In the future, Sakyo hopes Shibuya will grow. "I want [it] to help Shibuya become a better place," he says. The university may act as a model for similar projects: Sakyo's vision of a symbiosis between learning and the community has sparked interest from London, the U.S. and Taiwan.

But Sakyo says his own future is to continue on his mission to serve his community. "For me personally, my goal has no end," he told CNN. "I think maybe I will continue thinking about improving society in the way that I imagine. I'd like to play a part in making these things happen. So my goal is just to keep going."

........................

Read an interview with Yasuaki Sakyo and explore his vision for learning that's rooted in the community of Shibuya.

What do you think of Yasuaki Sakyo's vision for community-based learning? Which is better -- formal or informal education? Share your views and read others' thoughts in the Just Imagine forum. E-mail to a friend

@highlight

Yasuaki Sakyo, 28, leads Shibuya University in Tokyo, Japan

@highlight

Shibuya University offers free, community-based, lifelong learning

@highlight

Classes take place in the street, record shops, museums; anyone can teach

@highlight

Ex-accountant Sakyo hopes the Shibuya model will be adopted elsewhere