Tokyo (CNN) -- Engineers used a flying drone to peer into the damaged reactors at the Fukushima Daiichi nuclear power plant Sunday as the crisis spurred more than 2,000 people to march against nuclear energy in Tokyo.

"I was just a couch potato critic, but here we are today with friends for the first time, and I'm sure it's the first time for a lot of people today," said Karima Asuma Stickan, one of the protesters.

Monday marks a full month in the battle to prevent a worse disaster at Fukushima Daiichi, which was battered by the earthquake and resulting tsunami that struck northern Japan on March 11. Japan's largest utility, Tokyo Electric Power Company, has been struggling to cool down three damaged reactors and prevent a wider release of radioactivity than has already occurred.

Improvisation, frustration in week four of crisis

A camera was mounted on a remote-controlled helicopter to get pictures of the damaged reactors from above Sunday in hopes of getting a better look at the damaged housings of the No. 1, 3 and 4 reactors and hopefully the pools of spent fuel inside, company spokesman Junichi Matsumoto said. The drone hovered over the plant for 28 minutes at an altitude of about 150 meters (492 feet), he said.

The T-Hawk drone, built by the U.S. company Honeywell, can transmit ordinary pictures as well as infrared images, Matsumoto told reporters. Images captured by the drone are expected to be released Monday, he said.

In addition, the company is now using remote-controlled heavy machinery to clear away debris outside the plant and has begun the process of laying new pipes to start pumping radioactive water out of the flooded basements of the turbine plants behind units 1 through 3.

Driving into Japan's radiation zone

One worker fell ill during the work on Sunday, the company said. The man, in his 30s, was placing hoses for collecting the contaminated water from reactor No. 2 when he became ill, nearly two hours into his shift.

The subcontractor was taken to a hospital, where he was diagnosed with exhaustion, Tokyo Electric said. He was exposed to 4.82 millisieverts of radiation, but no radioactive substances were found on his body. His cumulative exposure is 16 millisieverts, well below the 250-millisievert limit for workers in the plant. He was with a group of 30 subcontractors working in the area, and was wearing protective gear, the company said.

Japan launches new search for quake victims

The man had been working four-hour shifts since March 23, Tokyo Electric said. It was unclear whether he had received a day off.

Meanwhile, two of the world's largest concrete pumps were en route to Japan on Sunday as part of the effort to help resolve the crisis.

The pumps left the United States on Saturday -- one from Los Angeles and the other from Atlanta, said Bill Dwyer, vice president of sales and marketing for Putzmeister America, the pumps' manufacturer.

Although the pumps were built to pump concrete, they can be modified to pump water at high pressure, with a 230-feet reach and "pinpoint accuracy," Dwyer said Sunday. "It allows workers to work from a greater distance," he said.

One pump is set to arrive in Japan on Monday and the second on Tuesday, he said.

Workers have been pouring hundreds of tons of fresh water a day into the three damaged reactors and the spent fuel pools of units 1-4 to keep them cool until normal circulation systems can be restored. The No. 2 reactor is believed to be leaking highly radioactive water, some of which had been spilling into the Pacific until Wednesday, while flooded basements in the turbine plants of all three units are making it impossible to restore power, company officials say.

To make room for the fluid, Tokyo Electric has been dumping less contaminated water into the Pacific Ocean from a waste treatment facility on the site. That process -- which also includes the release of radioactive water from the drainage basins beneath reactors 5 and 6 -- was nearly complete Sunday evening, Japan's Nuclear and Industrial Safety Agency reported.

The radioactive particles in the water are dispersing into the ocean. But concentrations of radioactive iodine-131 remained 25 times higher than the Japanese legal standard in water sampled 16 kilometers (10 miles) south of the plant on Saturday.

That's down from 93 times the limit on Wednesday, according to sampling data released Sunday. Levels of longer-lived cesium-137, which takes 30 years to lose half its radioactivity, remained nearly six times the legal limit but well below levels reported earlier this week.

The discharge was billed as an emergency measure, but it infuriated Japan's fishing industry and drew protests from neighboring South Korea. And participants in Sunday's protest in Shiba Park, at the foot of the landmark Tokyo Tower, expressed concern about the long-term effects of the radioactive releases so far.

Japanese turn in cash found in tsunami zone

"The air pollution gets into the lungs," said Dr. Nobuhiko Murapsu, a pulmonary care physician from Chiba Prefecture, north of Tokyo. "Five years, 10, 20 years later, they get lung cancer. This is a very severe problem."

Murapsu said he's changed his views on nuclear power since the accident and decided to join the demonstration. Protesters marched from the park, ringed with cherry blossoms, to Tokyo Electric's headquarters and on to the Ministry of the Economy, Trade and Industry, which regulates Japanese nuclear power plants.

Makiko Mikami told CNN that no one believes they're getting enough answers from either the utility or the government.

"The problem is, I think I'm not sure they know the whole picture themselves," Mikami said. "If they know, they should share that information with us. And if they don't, they should admit that they're scared as well."

Susan Olson and Yuki Arakawa contributed to this report for CNN

@highlight

NEW: Large pumps set to arrive in Japan this week

@highlight

A plant worker falls ill and is diagnosed with exhaustion

@highlight

Engineers hope the drone will give them a better picture of the reactors

@highlight

More than 2,000 people protest against nuclear power in Tokyo