BAGHDAD, Iraq (CNN) -- Mothers cradle children in their arms. Fathers smile softly at the helpless bodies they hold. Other parents are bent over from the weight of their teenage kids whose legs fall limp, almost touching the ground. In the absence of basic medical equipment, these parents do this every day.

An  Iraqi boy gives a thumbs up after receiving his wheelchair. Brad Blauser, center, created the program.

Khaled is a father of three. On this day, his young daughter, Mariam, is getting fitted for her new wheelchair. Her arms and legs are painfully thin, little more than skin and bone. She's 7 years old, but looks barely half that. She and both her siblings, a sister and brother, suffer from varying degrees of polio. None of them can walk.

Asked how he and his family cope, Khaled chokes up, fighting back tears.

"I am sick of life -- what can I say to you?" he says after a long pause.

One man, Brad Blauser, has vowed to try to make life a little easier for these families by organizing the distribution of wheelchairs, donated and paid for by his charity, Wheelchairs for Iraqi Kids. He first came to Iraq in 2004 as a civilian contractor. Struck by the abject chaos surrounding him and seeing helpless children scooting along the ground, he pledged to find a way to help.  Watch dads, moms carry kids; tears flow when wheelchairs arrive »

His first step was to consult an Army medic to find out what hospitals really needed. "He surprised me with his answer about pediatric wheelchairs. We've got so many children out in the city that the ones who can get around are following their friends by dragging themselves around on the ground, which is heartbreaking to see," he says.

"I was surprised. It took me aback."

Enlisting the help of generous supporters and an Iraqi humanitarian group Wheelchairs for Iraqi Kids was born in August of 2005. Thirty days later its first 31 chairs were delivered. To date more than 250 Iraqi families have received the wheelchairs.

Blauser has partnered with a nonprofit group called Reach Out and Care Wheels, which sells him the chairs at a manufacturing price of about $300.

The chairs are made by prisoners at the South Dakota State Penitentiary and ultimately delivered in Iraq by the U.S. military.

"Getting these prisoners involved, it just means the world to them," said Andrew Babcock, the executive director of Reach Out and Care Wheels. "Even the prisoners, I've been there and visited, and they're so excited. They come up with different design ideas and ways to make things better for the kids. They want to know where the chairs are going and what kids we're helping."

Blauser said it's unbelievable to be there when the chairs are delivered.

"The most affecting thing about this whole wheelchairs for children is when the parents realize the gift that is being given to their children and they reach out to hug you." he said. "The tears are running from their eyes and they say, 'We never thought that you could do this.' "

Blauser is helped on the Iraqi missions by the civil affairs division of the U.S. military, which helps organize the safe transport of the families to the distribution point and adjustment of the wheelchairs to fit each child.

He said it gives "the troops something when they go home, something good to remember where they know they have contributed, they know they have done a good thing."

Army Sgt. 1st Class Jason Jurack agrees. "It brings a smile to your face. It really gives a different image to the Army as a whole -- helping people out, putting a smile on local nationals' faces, little kids that need our help."

It's a sentiment that is echoed by Samira Al-Ali, the head of the Iraqi group that finds the children in need. On this day, she tells the soldiers she hopes that this humanitarian act will give them a different image of Iraq, not one of a gun and war, she says. Her words are simple but effective.

"I wish the world would see with their own eyes the children of Iraq and help the children of Iraq, because the children of Iraq have been deprived of everything," she said. "Even a normal child has been deprived of their childhood; a disabled child and their family is dealing with so much more."

The children also show gratitude, even those who can scarcely move. Blauser remembers one boy's father who dressed him in a three-piece suit, with the trousers hanging off his motionless legs.

"He couldn't move his legs or his arms. But when we sat him in his chair, he gave us the thumbs up."

Iraqi parents will go to any lengths to improve the quality of their children's lives. Blauser points to one of his favorite photographs, of a father carrying his son in his arms, an endless desert road behind him. He had carried his son more than 6 miles to get a wheelchair.

"In August 2006 we had a distribution in northern Iraq," Blauser remembered. "We watched him [the father] come forward, and people rushed to take the boy from his arms. And he said, 'No, I've been carrying this child all my life. I can carry him the last 100 yards to receive his wheelchair.' " E-mail to a friend

CNN's Wayne Drash contributed to this report from Atlanta, Georgia.

@highlight

Wheelchair distribution was the vision of American contractor Brad Blauser

@highlight

Humanitarian group brings the kids to a safe area so they can get the wheelchairs

@highlight

"I am sick of life," says Dad who has three children disabled from polio

@highlight

Wheelchairs are made by prisoners in South Dakota, delivered by U.S. military