(CNN) -- Western powers slapped sanctions on more than two dozen Russian officials and their allies in Ukraine's Crimea region on Monday, while Ukrainian officials vowed they would never accept the territory's annexation by Russia.

In a televised address Monday night, interim Ukrainian President Oleksandr Turchynov said his government would do "everything possible" to solve the crisis diplomatically, and he praised his citizens for refusing to respond to Russian provocations with violence.

"The Kremlin is afraid of the democratic future which we are building, and this is the reason for their aggression," Turchynov said. "But this will not be an obstacle to the building of a democratic country."

But he announced a partial mobilization of his country's armed forces and said Ukrainians "have to unite in one big family, which is ready to protect its home." Prime Minister Arseniy Yatsenyuk said there was "a strong possibility" of a Russian invasion of Ukraine.

"I still believe that there is only one solution of this crisis, a peaceful one," Yatsenyuk said. "But we offer peace, and Russia offers war."

The Russian-backed breakaway government in Crimea applied to join with Moscow on Monday after a weekend referendum that Ukraine, the United States and the European Union called illegal. U.S. and EU officials announced sanctions on more than two dozen Russian officials and their allies in the region, which Russian-backed forces seized three weeks ago.

In Moscow, Russian President Vladimir Putin signed a decree that recognizes the independence and sovereignty of the Republic of Crimea, says a statement on Russia's Kremlin website. The Russian parliament is expected to vote on whether to annex the breakaway territory in the coming days.

Turchynov said Ukraine was willing to hold talks with Russia, "but we will never accept the annexing of our territory."

The EU sanctions include the top pro-Russian Crimean secessionist leaders, 10 leading Russian lawmakers who have endorsed the annexation of Crimea and three top Russian military commanders. The U.S. sanctions list also includes two top advisers to Russian President Vladimir Putin and ex-Ukrainian President Yanukovych, whose February ouster in the face of widespread anti-government protests sparked the current crisis.

In Washington, President Barack Obama warned Moscow: "Further provocations will achieve nothing except to further isolate Russia and diminish its place in the world."

"The international community will continue to stand together to oppose any violations of Ukrainian sovereignty and territorial integrity, and continued Russia military intervention in Ukraine will only deepen Russia's diplomatic isolation and exact a greater toll on the Russia economy," he said.

Russian official: Proud to be sanctioned

Washington said its sanctions targeted Russian officials and lawmakers, as well as Crimea-based separatist leaders, with financial sanctions for undermining "democratic processes and institutions in Ukraine." Obama's order freezes any assets in the United States and bans travel for the 11 people named. Among those sanctioned were ousted Ukrainian President Viktor Yanukovych and aides to Putin.

But one of the Putin aides named in the U.S. sanctions called it "a great honor" to be singled out for American punishment.

"I consider the decision of the Washington administration as a recognition of my service to Russia," Vladislav Surkov told Russian news outlet MK.

And in Brussels, Belgium, European Union international policy chief Catherine Ashton announced sanctions against 21 people "responsible for actions which undermine or threaten the territorial integrity, sovereignty and independence of Ukraine." She called the weekend vote "illegal" and "a clear breach of the Ukrainian Constitution," and she urged Russia not to follow up by annexing the territory.

"We want to underline very clearly that there is still time to avoid a negative spiral and to reverse current developments," she said.

More measures are expected to follow in a few days, when EU leaders meet for a summit in Brussels, Lithuanian Foreign Affairs Minister Linas Linkevicius wrote in a message on Twitter.

Diplomatically, Sunday's referendum has put the United States and Russia on the kind of collision course not seen since the Cold War. Economically, it's unclear how much such a coupling will cost Russia.

"These are pinpricks," Russian journalist and CNN analyst Vladimir Pozner said of Monday's sanctions. Some officials won't be able to travel to the United States, but they "probably won't lose a lot of sleep over it," he told CNN's "The Lead with Jake Tapper."

But Sen. Chris Murphy, D-Connecticut, said the sanctions will show Putin that if Russia annexes Crimea, "This is just the beginning of sanctions, not the end."

Crimea is home to 2 million people, most of them ethnic Russian. Moscow strongly backed Sunday's referendum, which the region's leaders declared won with an overwhelming 96.7% vote in favor of leaving Ukraine. Russian lawmakers have said they will welcome Crimea with open arms, but members of the ethnic Ukrainian and Muslim Tatar minorities had said they would boycott the vote.

Yatsenyuk said Moscow appeared ready to attempt a similar play in other Russian-speaking areas of Ukraine, starting with demonstrations by what he called "political tourists" with foreign passports.

"Look (at) the last rallies that happened in Donetsk and in Kharkiv and in Lugansk," he said. "They gathered from 500 people up to 4,000 people. But they expected to have 50,000 people. So we talked to the people. We tried to address this issue in the right manner, trying to convince Ukrainians that the biggest asset we have is our country."

Earlier, Yatsenyuk threatened dire consequences for the Crimean politicians who had called the vote, threatening to try them in Ukrainian and international courts.

Andrii Parubii, the secretary of the Ukrainian parliament's National Security and Defense Council, told lawmakers the protesters included "elite special units that are trying to arrive to Ukraine with weapons, and that are trying to implement a joint plan of the same scenario that was conducted in Crimea."

Defense Minister Ihor Tenyukh reported Sunday that Ukrainian troops and equipment are being moved to the east and south after a weekend Russian incursion into the town of Strilkove, northeast of Crimea. About 60 Russian troops took part in the operation, which the Russians said was needed to prevent a possible terrorist attack on oil assets, according to Ukrainian border guards.

The area supplies electricity, fresh water and natural gas to the Crimean Peninsula.

MAP: Why the EU and U.S. are out of step on Russia sanctions

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

CNN's Susannah Palk, Stephanie Halasz and Yon Pomrenze contributed to this report.

@highlight

"We offer peace, and Russia offers war," Ukraine's prime minister tells CNN

@highlight

EU sanctions 21 Russians; U.S. announces sanctions on 11

@highlight

Putin recognizes breakaway Crimean republic

@highlight

U.S. sanctions "a great honor," Putin adviser says