Denver (CNN) -- Iraq war veteran Sean Azzariti described his purchase of recreational marijuana -- legally -- as a historic moment Wednesday.

"It's huge," he said at a marijuana store along a light industrial corridor outside downtown Denver. "It hasn't even sunk in how big this is yet."

Indeed, before the 3D Cannabis Center opened at 8 a.m. MT, more than 100 people were waiting in snowfall and cold under gray skies to be the next buyers of recreational pot under a landmark law voters approved in 2012. The dispensary was one of a handful that opened to lines of waiting people on New Year's Day, with scores more expected statewide in coming months.

Do you smoke pot? Tell us about it

Azzariti was selected to be the first buyer at the 3D Cannabis Center because he was a Marine from 2000 to 2006 who now suffers post-traumatic stress disorder after two tours in Iraq. He can't obtain medical marijuana in Colorado because PTSD isn't a qualifying condition for that treatment, he said.

"This is what we worked so hard for the last few years," he said of the voter-approved constitutional amendment that led Colorado to become the first state in the nation to open recreational pot stores to anyone age 21 and older. "It's mind-blowing."

Azzariti, 32, bought an eighth of an ounce of pot, plus chocolate truffles laced with marijuana. Those treats are called "edibles" at the store.

The price: $59.50.

The marijuana alleviates the anxiety and stress that come from PTSD, he said, adding that he'll smoke the pot Wednesday evening.

At several recreational weed stores, buyers waited in line for three or four hours to be a part of opening-day history. Despite the hundreds of people queuing on public sidewalks, no significant problems emerged Wednesday, Denver officials said.

"I want to thank the businesses and consumers alike for acting responsibly and with great accountability today," Denver Mayor Michael B. Hancock said in a statement. "Denver is a progressive city, a vibrant city, and it's incumbent on all of us to continue getting this right."

Long lines

Even three hours after the stores opened, one downtown Denver dispensary had a line of about 100 people outside the front door to the corner. The snow had stopped falling by then, and the gray skies were clearing to blue.

While patrons -- young and the old, men and women -- waited patiently in line, the demographic at the downtown dispensary tilted more toward 20- and 30-somethings.

When many buyers emerged from the store and nudged through the line, they raised their bags of newly purchased pot above their heads.

People waiting on the sidewalk cheered them.

Even though recreational weed is now legal, some purchasers declined to disclose their last names.

One woman, Dee, who didn't want to use her surname, said she waited in line for almost three hours to buy her cannabis. She and a male companion bought a small amount, she said, just to commemorate the occasion.

"We voted for it, and now it's here," Dee said of the recreational marijuana law. "We just went in and celebrated the new law. It's a new day."

She didn't mind the long wait at the LoDo's Dispensary. "Everybody is cool and mellow and nice. So it's all good," she said.

Some motorists passing the pot shop honked and cheered the queue of buyers, who whooped in return.

One motorist, however, shouted a disparaging remark about the "potheads," and the crowd muttered raspberries in response.

Buyers whiled away the hours in line by talking aloud about the benefits of marijuana as a remedy for hangovers, headaches, sleeplessness and low appetite.

Then a young woman in a passing SUV slowed and interrupted them by asking, "What's going on, guys?"

"Legal pot sale!" a man in line shouted.

"Oh, I need an eighth!" the young woman shouted back excitedly. The car drove on.

In fact, around 11:30 a.m. MT, Don Andrews, whose family owns and runs the dispensary, announced to the waiting people on the sidewalk that he was being forced to limit sales to an eighth of an ounce to each person, though under the new state law, a resident can buy up to an ounce.

The dispensary will close at 7 p.m. MT, but Andrews said he may have to start turning people away at 4 p.m. The line had gone out the front door, down the street and around the corner by 2 p.m. MT, when more than 400 people had made purchases.

In all, Andrews counted buyers from several states and countries. Buyers showed IDs from Vermont, Arizona, Georgia, Oregon, Wyoming, Louisiana -- and even Alaska and Hawaii. Other prospective weed buyers came from Canada, Australia and Italy, though the Italian man, 21, walked away because he had to catch a bus for his tour of America.

South of downtown, the Evergreen Apothecary was encountering the same phenomenon: 700 people in line took numbers, but employees said they might not be able to serve all of them by the close of business.

The atmosphere at the dispensaries was clearly celebratory and cheerful. For example, about 10 miles outside of downtown, one man said he had waited in the snow since 2:30 a.m. for the Medicine Man dispensary to open at 8 a.m.

When asked how he felt after making the first sale there, he responded: "I'll feel better in an hour."

Applauding, criticizing the new law

Even before the weed went on sale, enthusiasts were anticipating the end of an era.

"Prohibition is over," blared a flier for New Year's Eve festivities at Casselman's Bar in Denver. "Celebrate Cannabis freedom in style."

As many as 30 stores throughout Colorado will sell recreational weed. Of the estimated 30 stores, 18 are in Denver.

"With Washington state next to implement marijuana legalization and other states strongly considering enacting similar laws, we believe this marks the beginning of the end of the nation's decades-long war on marijuana and its harmful human and fiscal toll," Ezekiel Edwards, a director at the American Civil Liberties Union, said in a prepared statement.

But not everyone was applauding.

"Legalization -- with all of the American-style promotion that will accompany it -- is the last thing people in recovery, parents, communities -- and even our nation -- need right now," Smart Approaches to Marijuana said on its website.

A total of 136 stores received state licenses last week, but most apparently had not obtained approval yet from their local governments to open on January 1.

In 2012, Colorado voters approved the sale of recreational marijuana, as did voters in Washington state. But Colorado is the first to have the pot shops up and running under regulations recently established by state and local governments. Colorado voters' approval in effect amended the state's constitution to allow for the retail sale of recreational pot. The state already allows medical marijuana.

Limits to marijuana consumption

Not all of the state is participating in the new law. A community can decide not to allow the shops, and in fact, most of the state geographically hasn't, including communities such as Greeley and Colorado Springs.

Proponents of the new law were dealt a setback last week when Denver and state officials threatened to shut down a private party at a dance club scheduled for January 1 celebrating the end of the prohibition against cannabis -- an event billed as "Cannabition." The organizers canceled the party because officials said it would violate a Denver ordinance prohibiting the public consumption of marijuana.

Cannabis can only be smoked on private property with the owner's permission.

Under the new state law, residents are now able to buy marijuana like alcohol. The cannabis purchase is limited to an ounce, which is substantial enough to cost about $200 or more. People from out of state can buy up to a quarter-ounce.

In a vivid example of how recreational pot is a new reality for the state, Denver officials posted public signs in the tourist-populated corridor known as the 16th Street Mall. The street signs read, "Know the Law about Marijuana Use in Denver."

"You must be 21 or older to have or use retail marijuana," says one bulletin on the sign. But further below it, the sign warns readers that "it is illegal to use, display or transfer marijuana on the 16th Street Mall."

One of Colorado's main media outlets, The Denver Post, has even devoted a website to the history-making moment and its ongoing impact.

"The culture of cannabis, that's what we're here to talk about," says the newspaper's "The Cannabist" page. "As marijuana's coming-out continues, we'll report journalistically from our homebase in Denver, Colo. -- the site of recreational marijuana's first legal sale in the modern world on Jan. 1, 2014."

This week, Denver International Airport authorities banned all marijuana on the airport grounds. Medical marijuana had been legal to bring to the airport as long as it didn't go through security checkpoints, said airport spokeswoman Stacey Stegman.

But a total ban was implemented to avoid confusion as the recreational pot law rolls out, she said. Officials are concerned that a large influx of people may take marijuana to the airport and transport it across state lines.

So if a visitor brings marijuana to the airport and leaves it in the car to pick up a relative at the terminal, that visitor will be breaking the law and could face a fine of up to $999, Stegman said.

Colorado becomes the first place in the world where marijuana will be regulated from seed to sale. Pot is the third most popular recreational drug in America, after alcohol and tobacco, according to the marijuana reform group NORML.

CNN's Miguel Marquez and Casey Wian contributed to this report.

@highlight

NEW: Denver mayor says pot shops, buyers behaved "responsibly and with great accountability"

@highlight

Pot buyers at one shop come from Canada, Australia, Italy, Hawaii, Alaska

@highlight

700 people in line take numbers at another pot shop, but can it serve so many?

@highlight

"What's going on?" a curious passenger asks; "Legal pot sale!" a man in line replies