New York (CNN) -- U.S. Secretary of State Hillary Clinton on Thursday unveiled what she described as a "blueprint" to guide global efforts in wiping out the AIDS virus, focusing on improving treatment and prevention practices to "get ahead of the pandemic."

The initiative is part of a plan to "usher in an AIDS-free generation," said Clinton, who hailed a 200% increase in U.S.-funded antiretroviral drug treatments since 2008.

Clinton announced the plan, officially titled the "President's Emergency Plan for AIDS Relief (PEPFAR) Blueprint: Creating an AIDS-free Generation," at the State Department, two days ahead of World AIDS Day. She was joined by Eric Goosby, U.S. global AIDS coordinator.

"We can reach a point where virtually no children are born with the virus," Clinton said, adding that the plan also aims to further reduce transmission rates and increase access to medical treatment for those who are already infected.

The program is also expected to address gender inequities that she said puts women and girls at a higher risk of contracting the virus.

AIDS-related deaths have dropped more than 25% over the last six years, and countries with some of the highest rates of the human immunodeficiency virus (HIV) -- which leads to AIDS -- are now seeing substantial drops in mortality rates, according to a recent report by the Joint United Nations Program on HIV/AIDS.

"The pace of progress is quickening -- what used to take a decade is now being achieved in 24 months," said Michel Sidibe, executive director of UNAIDS. "We are scaling up faster and smarter than ever before. It is the proof that with political will and follow-through, we can reach our shared goals by 2015."

The AIDS Quilt, and hoping for 'The Last One'

New HIV infections have dropped more than 50% in 25 low- and middle-income countries.

In traditionally hard-hit places like Malawi and Botswana, the rates of new infections have dropped 73% and 71%, respectively.

And yet while nearly a quarter of new cases in the United States are found in young people, more than half of them do not know they are infected, according to the U.S. Centers for Disease Control and Prevention.

A recent CDC report said more than 12,000 new cases occurred in people between 13 and 24 years old in 2010, and close to 60% of them did not know their HIV status.

"That so many young people become infected with HIV each year is a preventable tragedy," Dr. Thomas Frieden, director of the CDC, said in the report.

Researchers found that only about a third of people ages 18 to 24 and only 13% of high school students in the United States have ever been tested.

About 1.1 million people in the U.S. are living with HIV, with roughly 50,000 people contracting it each year.

@highlight

The announcement comes amid significant gains in fighting the virus

@highlight

AIDS-related deaths have dropped more than 25% over the last six years, U.N. says

@highlight

About 1.1 million people in the U.S. live with HIV, the CDC says

@highlight

Roughly 50,000 people contract the virus each year