(CNN) -- Dr. Jack Rodman's heart sank when he heard the news: One of his elderly patients with a heart condition had a stroke because she couldn't afford the medicines he'd prescribed her.

Increasingly, Americans are finding it harder to afford their prescription medications.

"She went cold turkey and stopped taking all of them," said Rodman, an internist at Sarasota Memorial Hospital in Florida. "What's so sad is that she assumed that since some of her medicines were expensive, all of them were. If she'd just kept taking her Coumadin [a blood thinner], which is like $5 a month, she likely wouldn't have had the stroke."

Rodman says this woman isn't his only patient who, faced with tough economic times, has stopped taking his or her medications. "There are lots of examples of this, and I fear there will be more," he said.

A new report from Consumer Reports finds that many Americans are having trouble affording their prescription drugs and have taken dangerous steps as a result.

The survey, released this week, found that 28 percent of Americans have taken steps such as not filling prescriptions, skipping dosages and cutting pills in half without the approval of their doctor, and even sharing prescriptions with a friend.

"The cost of health care is leading consumers to cut corners in ways that are potentially dangerous," said Dr. John Santa, director of the Consumer Reports Health Ratings Center.

Prices for prescription drugs are skyrocketing. In 2007, Americans spent $287 billion on prescription drugs, about five times as much as in 1993, according to Consumer Reports.

If you think you're immune from these price increases because you have prescription drug insurance, think again.

In 2002, Consumer Reports found that 65 percent of the drugs they surveyed were mostly or entirely covered by insurance. When they asked about the same drugs in 2008, only 33 percent were covered mostly or entirely, and 5 percent of purchases weren't covered at all. Read Consumer Reports' article: America's best drugstores

The good news, Santa says, is that there are ways for everyone to save money on prescription drugs. Here are 10 tips. The first one might have kept Rodman's patient from having a stroke.  Watch more on how to save money at the pharmacy »

1. Tell your doctor you can't afford the drugs he's prescribing.

According to the Consumer Reports survey, only 4 percent of those polled said they'd had a conversation with their doctors about the cost of a drug. You shouldn't hesitate to talk to your doctor about prices; these days, many people can't afford the skyrocketing price of prescription drugs.

"There's such an embarrassment level," Rodman said. "They stop taking the drugs, and they never tell me why."

2. Ask your doctor whether there's a generic that would work just as well.

It's amazing how much money you can save with this one little question. For example, if your doctor prescribes Lunesta, a sleeping pill, you could end up paying about $93 for 15 doses. Switch to zolpidem, which is the generic form of Ambien, and you'll pay $33 for the same number of doses, according to Consumer Reports Best Buy Drugs.

To make it really easy, bring in a list of the $4 generics sold at your local pharmacy and hand it to your doctor. If there isn't a generic that will work for your particular problem, ask whether there might be a less-expensive brand name available. Santa suggests wording it like this: "Can you tell me about other options that would cost me less?"

3. Ask the pharmacist for less-expensive alternatives.

If you didn't get a good answer from your doctor, ask your pharmacist whether there's a less-expensive drug in the same class as the one your doctor prescribed.

4. Use mail order.

You'll save money. Of course, this won't work when you need medicines immediately (for example, antibiotics for an infection), but mail order often works well for medicines you need to take long-term.

5. Find a prescription assistance program.

There are several out there to help people who can't afford their prescription drugs. Consumer Reports has advice on choosing a prescription assistance plan.

6. Be suspicious of free samples.

Samples are indeed enticing. But what a lot of people don't know is that samples are often for the most expensive drugs on the market. Although the samples will help you out for a month or two, after that, you'll have to start forking over the big bucks by yourself. For more information, see this Empowered Patient on free samples.

7. Don't push for what you see on TV.

Just as samples are often for the pricey drugs, TV commercials are also often for pricey drugs -- and drugs that don't necessarily work any better than cheaper alternatives. If you ask for what you see on TV, there's a chance your doctor might prescribe it -- and you'll get sticker shock at the pharmacy.

8. Split drugs with caution.

Sometimes you really can save money by asking your doctor to prescribe a double dosage of a drug and then splitting the pills in half. But there are safe and unsafe ways to split drugs, and some drugs should never be split at all. See Consumer Report's guidance on splitting drugs.

There's a flip side to this. Let's say you're taking 10mg of a drug, and it's not working, so your doctor ups your dose to 20 mg. Don't take two of the 10mg pills, warns Dr. Robert Epstein, chief medical officer at Medco, a prescription drug insurance company. That'll end up costing you money, because you'll go through your drugs twice as fast. "Instead, ask for a single pill that has the higher strength," Epstein advised.

9. If you don't have insurance, shop around.

Pharmacies sometimes charge very different prices for the same drugs. In fact, Consumer Reports found that prices for the same bottle of pills can vary by more than $100.

10. Ask for a review.

You may be taking medicines you don't need, especially if you see a variety of doctors who don't talk to one another about what they're prescribing. "Bring your drugs in to one doctor and say, 'Do I need to be taking all these?' " Epstein said.

If you've tried to talk to your doctor about prices and received a confused look, it's worth trying again, Rodman says, because the bad economy has forced doctors to become more knowledgeable about saving money for their patients.

"Two years ago, I couldn't tell you the cost of most of the medicines I prescribed," Rodman said. "Now I can."

CNN's Jennifer Pifer Bixler and Marcy Heard contributed to this report.

@highlight

In 2007, Americans spent $287 billion on drugs, five times as much as in 1993

@highlight

Even consumers who have prescription drug insurance are affected

@highlight

Study: 28 percent of Americans have taken dangerous steps to cut cost of meds

@highlight

Tell your doctor if you can't afford prescribed medication; ask for generic