Jackson, Mississippi (CNN) -- Investigative documents obtained by CNN show that former Mississippi Gov. Haley Barbour, his wife and his staff may have given preferential treatment to two of the convicted murderers who were among the more than 200 former and current inmates he pardoned in January.

According to the documents compiled by the office of Mississippi's attorney general, the state's former first lady, Marsha Barbour, apparently called a car dealership regarding the purchase of two vehicles for two convicted murderers -- days before they were pardoned. The cars were later delivered to the governor's mansion, two days before the men were released.

CNN has also learned that a member of the governor's staff took the same two men, David Gatlin and Charles Hooker, to get their driver's licenses while they were still in state custody, before their pardons were signed and made official.

"Yes, that's true ... I did take some of them," said Barbour's former security chief, Wayland Adams. "I knew that they were going to be paroled. I was assured of that and I just took them to get their driver's licenses.

"I thought that if I went ahead to get them a driver's license it would speed things up on getting them a job. And that was the only reason. I was just trying to help them."

Adams, who retired as security director of the Mississippi governor's mansion when Barbour left office in January, told CNN the former Mississippi governor did not ask him to take Gatlin and Hooker to get their licenses.

"No, I assume full responsibility for it," he said.

Adams admitted his actions were a bit unusual.

State law enforcement experts and legal experts told CNN that while this would be considered preferential treatment for any inmate, no state laws were violated.

"Unless a person has had his or her license revoked ... they are not prohibited from acquiring or renewing a driver's license while incarcerated as long as they had domicile in the state prior to imprisonment," according to a written statement from Mississippi Department of Public Safety spokesman Master Sgt. Johnny Poulos.

Poulos said his department was not aware of any directive from Barbour to provide licenses to the men.

Either way, Randy Walker is furious. Nearly 20 years ago, he survived a gunshot wound to the head by Gatlin moments after Gatlin killed Tammy Ellis, Gatlin's estranged wife. Gatlin admitted he shot her in the head as she held their 6-week-old child in her arms. Police found the infant, still in her arms, alive and covered with blood.

"Where is enough enough?" said Walker, who has recovered from his head wound. "It should be enough that they gave a convicted killer his life back."

During his last days in office in January, Gov. Haley Barbour issued pardons to more than 200 current and former inmates. Most of the pardons were granted to former inmates who had already completed their sentences and were free. However, some of the prisoners were convicted murderers. Now, the legacy of the once popular two-term governor, who considered running for the 2012 Republican presidential nomination, is being questioned by some Mississippians.

The pardons were challenged by Mississippi's attorney general, but last week the Mississippi Supreme Court upheld the legality of the pardons. Five of the prisoners -- including Gatlin and Hooker -- worked as trusties as part of a state rehabilitation program that allows model prisoners to work as servants and handymen at the governor's mansion. They had access to Barbour practically every day, according to people familiar with the program.

Barbour has said he believes the men are no longer a threat, that they are rehabilitated and deserve a second chance at life.

"That's what we as Christians believe. My wife and I are Christians," he told CNN's John King on his show, "John King, USA," weeks after issuing the pardons.

"When we have people who get rehabilitated ... they deserve a second chance. It's the governor's job and the governor's job alone to let them have a second chance. That's why I'm very comfortable with this."

But no matter how one looks at this story, the benefits these convicted murderers received appear special.

"It's abhorrent that these people would be given this sort of treatment after the crimes they've committed," said Mississippi State Rep. David Baria.

Baria, a Democrat, sponsored several bills to change Mississippi's pardons process. The bills all died in committee last week. He said the victims in the cases have put up with too much already.

"Not only to turn these folks loose but to treat them like kings, essentially -- it's outside the bounds of common decency of what we expect of our government," he told CNN.

Gatlin and Hooker were released on January 8. They both had driver's licenses when they went to Gray Daniels Chevrolet in Jackson, Mississippi, on January 6.

Records show Hooker bought a white 2007 Ford Focus while Gatlin picked up a gray Chevy HHR. Both vehicles were paid for with bank checks from Bank Plus. Both men put no money down. It remains unclear how the men were able to secure bank checks while still in the custody of the Mississippi Highway Patrol.

When reached by CNN at the dealership, the salesman who sold the men the cars refused to comment.

"I am not allowed to speak about any transactions," he said.

But the investigative reports compiled by Mississippi's attorney general's office show that Barbour's wife, Marsha Barbour, aided the transaction.

In the report, the investigator writes, "While at the dealership I spoke briefly with the salesman who stated that Marsha Barbour had contacted him regarding the purchase of vehicles for Hooker and Gatlin."

The details of the conversation were not available and it is not clear exactly what role Marsha Barbour played in the transaction, or the nature of her relationship with the pardoned men.

The report further stated that "the inmates had been brought to the dealership on January 6, 2012, in a black Ford Crown Victoria to complete paperwork for the sale and [the investigator] stated that the prisoners had paid with certified checks issued by Bank Plus."

According to the report, the car salesman also told investigators "he delivered both vehicles to the governor's mansion on the afternoon of January 6, 2012."

When investigators asked Gatlin how he got the car, he allegedly told them, according to the report, "I can't tell you."

When asked about the driver's licenses and the role of Marsha Barbour in the purchase of the cars, a spokeswoman for the former governor said the questions "were based on assumptions of fact which simply are not true."

Spokeswoman Sherry Vance did not elaborate on which aspects of this story were untrue, and has not responded to CNN's questions for clarification.

Walker, the victim who stared down the barrel of Gatlin's gun before he was shot in the head, said he's "baffled" by the allegations and believes Barbour is financially helping the men.

"Was it because he was a trusty at the governor's mansion and he had so much time with Barbour?" he wondered. "It's insane that he would do that. Where's my handout?"

"I mean, I had thousands upon thousands of medical bills that nobody helped me pay. I'd like to get some of that money back that I wasted because David shot me. I didn't ask for David to come shoot me. Where's my handout?" he asked angrily.

CNN went to Hooker's home in Jackson several times and saw the White Ford Focus mentioned in the state investigator's report parked outside his house, but Hooker did not answer his door or respond to CNN's phone calls. According to the investigative reports from the Mississippi attorney general's office, Hooker allegedly told investigators that his son helped him buy the vehicle, and that his son had already made three months of car payments for him.

CNN also went to Alabama to try to get Gatlin's side of the story, and found him living in the home of Ernest Jacks. His gray Chevy HHR was in the driveway, but Jacks said Gatlin refused to talk to us.

But Walker has a lot to say. He can barely contain his anger that the man who tried to kill him could get such preferential treatment.

"I've been trying for over two years, since 2009, to get a face to face with Barbour, and never got a phone call back," said Walker. "Gatlin must have made quite the impression on him."

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

Documents reveal pardoned murderers got special treatment from Miss. governor, wife, staff

@highlight

The documents indicate Marsha Barbour called a dealership about the purchase of two cars

@highlight

The cars were delivered to the pardoned convicts at the governor's mansion

@highlight

One of the victims says he is outraged over the apparent preferential treatment