(CNN) -- Mexican immigration to the United States has dropped sharply since 2005, but the flow of migrants returning to Mexico remains steady, according to a study released Wednesday by the Pew Hispanic Center.

Plaques mark the U.S.-Mexico border near Laredo, Texas.

Immigration from Mexico to the United States slowed at least 40 percent between mid-decade and 2008, according to the analysis, based on national population surveys in the United States and Mexico, as well as Border Patrol apprehension figures.

The Mexican survey estimated that 1 million Mexicans left for the United States in a 12-month period beginning in 2006. Three years later, that number decreased to 636,000.

"The size of the drop has been quite remarkable in such a small span of time," Jeffrey Passel, senior demographer at the Pew Hispanic Center and author of the study, told CNN.

The recession and enhanced border enforcement are factors that may explain the decrease in apprehensions of unauthorized immigrants in the United States, according a Department of Homeland Security bulletin released last month.

But if diminished job prospects in the United States have kept would-be immigrants in Mexico, employment worries haven't increased the number of Mexican migrants leaving the United States, the study found.

An estimated 433,000 Mexican migrants returned home between 2008 and 2009, a number not significantly different than the 479,000 who returned three years earlier, Passel said.

While the number of Mexican migrants entering the United States remains greater than the number returning, the study shows that the gap is closing to the point of nearing a balance between migrant inflows and outflows.

"My guess is you have to go back at least 40 years or 50 years to see that," Passel said.

It is too early to tell, however, if either trend "points to a fundamental change in U.S.-Mexico immigration patterns or is a short-term response to heightened border enforcement, the weakened U.S. economy or other forces," the study states.

The economic downturn has certainly affected work opportunities for immigrants in the United States, said Alfredo Reyes, a day laborer who does construction and yard work in Atlanta area.

"There are weeks where I have three days of work and the other four without work," the Michoacan, Mexico, native told CNN.

Despite the reduced availability for work, Reyes plans on staying put because the economic downturn is global.

"I think things are more difficult there (in Mexico)," he said.

The two trends found in the Pew study should not be surprising, Rodolfo de la Garza, a professor at Columbia University and an expert on immigration, told CNN.

For those in Mexico, it remains expensive and risky to be smuggled into the United States, especially in a weak economy, he said.

"Things are worse in Mexico than they are here," de la Garza said. "The job you have here is better than what you have there. If you go back, what do you go back to?"

Another reason that Mexicans living in the United States might stay is that they feel at home, he said.

Despite the stereotype of the United States as an anti-immigrant destination, "at local levels, there is very little harassment," de la Garza said. "By and large, people are accepting of immigrants."

Another day laborer in Georgia, who declined to give his name, said that the current economic crunch left him without the resources to return to his native Oaxaca, Mexico, even if he wanted.

But even during these tough times, he is content.

"It's simple, we like living here in the United States," he said.

@highlight

Recession, border enforcement cited as possible reasons for decline

@highlight

Rate of Mexicans leaving U.S. stays flat, Pew Hispanic Center study finds

@highlight

Immigrants say economic situation worse in Mexico