(CNN) -- Step into any major urban center across Africa and you'll have no problem accessing your favorite websites, catching the latest news online or sending your friends an e-mail.

Step outside the city, however, and you'll soon have to say goodbye to the world (wide web).

Read this: Africa's new skyscraper cities

Take for example Limpopo, a rural province in the northern part of South Africa, one of the country's poorest regions. "There is just no connectivity whatsoever," says Mahlo Mokgalong, a professor at the University of Limpopo, located outside the city of Polokwane.

"From the area where I am," explains Mokgalong, "the nearest Internet cafÃ© will be 30 kilometers (away) -- there are even some people who travel 50 kilometers or so to get to the nearest Internet facility."

But all this could soon change.

Limpopo has been selected by Microsoft for the latest trial of an initiative using white spaces technology -- the unused channels in the broadcast TV spectrum -- aiming to bring broadband with speeds of up to 2 Mb per second to under-served rural communities.

The 12-month pilot project, which will become operational in October, will use the relatively new technology and solar-powered base stations to get five secondary schools in the province online -- all located within 10 kilometers of the university, which is used as the project's hub.

Mokgalong says the pilot will benefit both pupils and teachers.

"Their lives are going to be made easier," he says. "Some of the schools in the area have a shortage in terms of materials," adds the professor. "So it will definitely benefit the learners in those schools and expose them to computer usage."

Unused spectrum

But what is this experimental technology and how does it work?

Put simply, TV white spaces refers to the unused frequencies that are lying idle following the migration of TV broadcast from analogue to digital -- previously, these were kept clear to avoid interference with neighboring channels.

The low-signal frequencies, from around 400 megahertz to about 800 megahertz, can penetrate walls and other obstacles more easily than the traditional broadband technologies. They can also transfer data traveling longer distances before they need to be reboosted, up to 10 kilometers, which means that fewer towers or base stations are needed to cover a wider area.

Read this: Can Africa unlock its solar potential?

All potential users need is a device with Wi-Fi capability, such as a mobile phone, a PC or a tablet, that will connect to a Wi-Fi access point that, in turn, is connected to a white space base station.

Why Africa

Microsoft, which has been researching TV white spaces for 12 years, has so far deployed the technology in a number of locations -- from the United States and Europe to emerging markets in Southeast Asia.

But it's Africa, a continent beset by connectivity and infrastructure challenges, where the company sees the biggest potential.

The tech giant first brought white spaces to Africa last February when it launched a trial delivering broadband access to remote villages in Kenya's Rift valley. This was followed by a second pilot in an urban environment in May, bringing wireless broadband access to students at the University of Dar es Salaam in Tanzania, before the launch of the third trial in South Africa.

Read this: Teen plans 'hacker school' in Kenya

Fernando de Sousa, general manager of Microsoft's Africa initiatives, says the continent is an ideal location for the deployment of white spaces.

He cites a number of reasons. "The first one is the distance; the ability to cover ground with the least amount of effort," says de Sousa. "Think about it, with one tower, with one broadcast station, if you go 10 kilometers either direction you're creating ... a very big patch of land which we're essentially covering with one antenna."

This brings infrastructure costs significantly down, says de Sousa, something that is key in the efforts to speed up Internet adoption in Africa and help its economic development.

"We need to do an innovative approach to get people online," he says. "We cannot follow traditional methods where perhaps the coverage increases by 1,000 yards every week or so -- we have to go much faster than that ... because of the very rapid growth of Africa's workforce and the desperate need to get skills into the population."

Putting the technology to test

Microsoft is not the only company rolling out white spaces projects in Africa. In late March, Google launched a similar pilot project bringing wireless broadband to 10 schools in Cape Town, South Africa.

Read this: Why tech innovators are Africa's future

Microsoft says it plans to use its pilots, part of its 4Afrika Initiative, to convince governments to make the needed legal and regulatory changes that would allow for the deployment of the technology across the continent. But getting the many regulatory bodies on board could be a significant challenge for a wider roll out.

Consultations over white space schemes in other countries have raised concerns that the technology could interfere with television broadcasts or services using similar frequencies, but Microsoft believes that will not be a problem.

"We've arrived at a point where we've not only improved the technology but also proved that there is no interference as television users continue to see and have the quality they desire," says de Sousa. "We're also able to deliver what is a hugely valuable service because in Africa (lack of access) is probably the single biggest constraint to economic development, skills acquisition and jobs creation."

Excitement

Mark Graham is director of research at the University of Oxford's Internet Institute. While he welcomes the initiative to provide rural African schools with Internet access, he cautions that many schools have other needs.

"It's great that they're experimenting and trying this but other things need to be taken into account," he says. "For example, some schools might not have electricity, toilets, teachers, textbooks. Connecting people is a prerequisite for some of the things you might want to happen -- but the problem is when people think that's enough."

De Sousa says Microsoft is now in discussions with governments, multilateral organizations and local service providers about rolling out white spaces in about 10 African countries.

"We're now getting into the stage where the pilot stages are over and we're starting to deploy commercially viable deployments," he says.

Back in Limpopo, Mokgalong says the schools can't wait for the project to begin.

"There is excitement, everyone is eagerly waiting to see how this is going to happen," he says.

"If the pilot works then I'm sure we will increase (the number of schools)," adds Mokgalong. "We're looking at education for a start and I think later health will follow, business will follow -- everyone is looking to participate in in this."

@highlight

Microsoft trialing TV 'white spaces' to bring broadband to rural Africa

@highlight

White spaces refers to unused frequencies in broadcast TV spectrum

@highlight

The company has already launched trials in Kenya and Tanzania

@highlight

Microsoft plans to roll out the technology to several other African countries