(CNN) -- Most Internet users and tech experts think cash and credit cards will become things of the past in the next decade as people turn to their mobile phones to make payments, results from a newly released survey suggest.

Nearly two out of three respondents to the survey (65%) told the Pew Internet & American Life Project that they think most people will have fully adopted the "mobile wallet" as their day-to-day means of paying by 2020.

Whether it's paying for coffee with a mobile app, using more versatile apps such as Google Wallet or doing business using tools such as Square that turn phones into mobile cash registers, the adoption of mobile payments is clearly under way.

In a December report from comScore, 38% of smartphone owners had used their phones to make a purchase of some kind.

That finding jibes with an earlier Pew study in which one-third of smartphone owners had used their phone to do some sort of banking (such as checking their balances or paying bills) and that nearly half (46%) had paid for an app with their phone.

In the survey released Tuesday, 65% of respondents agreed with the following statement:

"By 2020, most people will have embraced and fully adopted the use of smart-device swiping for purchases they make, nearly eliminating the need for cash or credit cards. People will come to trust and rely on personal hardware and software for handling monetary transactions over the Internet and in stores. Cash and credit cards will have mostly disappeared from many of the transactions that occur in advanced countries."

Survey respondent and Harvard University professor Susan Crawford wrote, "There is nothing more imaginary than a monetary system. The idea that we solemnly hand around printed slips of paper in exchange for food and water shows just how trusting and fond of patterned behavior we human beings are."

Crawford, an ex-special assistant for technology policy for President Barack Obama, asked, "So why not take the next step? Of course, we'll move to even more abstract representations of value."

One-third agreed with an essentially opposite statement, saying there won't be a major conversion to "all-digital, all-the-time" payments.

Many cited security concerns as the reason.

"The use of a simple string of digits that must be shared with any vendor with whom you transact is really a ludicrously insecure system that can and must change," said Peter J. McCann, a FutureWei Technologies senior engineer.

Proponents of mobile payments said technology is evolving but that such payments are no less secure than what most people do now.

"It's basically the same technology as credit cards," Mung-Ki Woo, the head of mobile for MasterCard Worldwide, told CNN last year. "It's not better or worse."

Pew's report said those who think mobile payments will dominate in the coming years frequently said the boom in smartphone ownership, convenience and security are key factors that make "these systems an obvious choice to replace established modes of payment in day-to-day commerce."

The survey, conducted with Elon University's Imagining the Internet Center, was not random but instead asked for the opinions of 1,021 "Internet experts and other Internet users." Since it sought the opinions of a specific audience, there is no margin of error.

@highlight

Web experts, users say mobile payments will replace cards, cash

@highlight

In survey, 65% expect phone payments to be the norm by 2020

@highlight

Others say users' security concerns might slow that process

@highlight

The survey by Pew Internet and Elon University sought out Internet experts