Beijing (CNN) -- Many of China's Catholics are awaiting the election of Pope Benedict XVI's successor with high expectations.

"We pray for the new pope," said Father Francis Zhang, a Beijing priest. "We hope he will be spiritual, dynamic and open minded. We hope he will be more open to China, more pragmatic, and someone who understands very well the Chinese Catholic church."

In recent days, Father Zhang, the parish priest of the Yongning Catholic church in the northern suburbs of the capital, has been travelling to several Chinese cities, giving lectures to jam-packed audiences of priests, seminarians and laymen.

"Sometimes the audience is as big as 4,000 people," he enthused. "I talk about religion and church management."

Chinese Catholics like Zhang have long been caught in the middle of a decades-long conflict between China's Communist Party and the Vatican.

They are walking a fine line between loyalty to the Holy See and to their country.

"Of course we believe in one holy, Catholic and apostolic church," Zhang said. "We are in total union with the Holy See in terms of liturgy, theology, holy communion and rites.

"As a Chinese priest, we love our country, the motherland. We are law-abiding."

China today remains largely atheist under the rule of the Communist Party. Even so, churches like Zhang's have been attracting old believers and new converts.

China's State Administration for Religious Affairs says some six million Chinese Catholics attend services in government-sanctioned churches, but others practice their faith in secret -- in Catholic churches outside government control.

"Many of them are still going to the underground churches," said Father Zhang.

Experts say millions worship in underground churches -- so-called "house-churches" that are fiercely loyal to the Vatican and disagree with government restrictions and periodic crackdowns.

After the 1949 revolution, the ruling Communist Party denounced religion as the "opiate" of the masses.

China cut off ties with the Vatican in 1951 and the two sides have been estranged ever since.

Religious persecution reached a crescendo during the chaotic Cultural Revolution (1966-76), when clergy and laymen alike were persecuted, jailed and even killed.

In the early 1970s, I remember walking by what looked like churches in central Beijing. They were padlocked or used as workshops or warehouses. Religion remained taboo.

A few years after Chairman Mao's death in 1976, China reopened "patriotic churches" where people can practice religion under government control.

More than thirty years of reform has turned China into the second biggest economy in the world.

It also has one of the fastest growing Christian communities in the world.

With less strict adherence to communist ideology, many Chinese appeared spirtually adrift, looking for a value system on which to anchor their lives as they cope with rampant materialism, money-worship and widespread corruption.

Many turn to religion for solace.

"They are looking for peace and stability, for spiritual purification," said Father Zhang.

Last autumn, I watched Zhang preside over an elaborate wedding of 62 couples from across China. Most were newly married; others were older couples renewing their vows.

I asked one groom, a white-collar worker in Beijing, "Why turn Catholic?" "Religion helps people, young and old, draw a red line between what is moral and proper, and what is not," he answered.

Zhang says local officials approve of religion too because it helps improve social stability. "It promotes social harmony," echoing the Chinese leadership's political slogan.

China says citizens now enjoy religious freedom, as enshrined in the constitution -- but it comes with caveats.

The regulations, Human Rights Watch notes, require that religious organizations and believers must "safeguard the nation's unity, ethnic solidarity, and social stability" and eschew "foreign domination."

Religious activities should observe the constitution, laws and regulations, and safeguard the nation's unity, ethnic solidarity, and social stability. No organizations or individuals should interfere with the state's administration, the judiciary, or education.

International rights groups complain that Chinese officials continue to detain religious believers, close religious sites, and impose arbitrary restrictions.

Over the past eight years during Pope Benedict's papacy, the two sides have made attempts to break the impasse but only with modest success.

In 2005, Pope Benedict met with members of the China Disabled People's Arts Troupe who were touring Rome at the time.

In a pastoral letter issued on May 20, 2007, the pope expressed understanding about the complicated situation of the church in China and offered guidelines for pastoral life.

He expressed a "willingness to engage in respectful and constructive dialogue" with China, while calling for defense of the doctrines and tradition of the Catholic Church.

The pope, in the letter, also dedicated May 24 as a day of prayer for the church in China - and in the same year set up a special commission on affairs related to the church in the country.

In 2008, the Chinese Philharmonic Orchestra and the Shanghai Opera House Chorus visited the Vatican and performed in front of the pope. It was hailed as an ice-breaking event.

Still, major sticking points remain.

While China may allow Chinese Catholics to practice their faith and accept the pope's spiritual leadership, it also tells the Vatican not to "interfere in China's internal affairs," including the matter of ordaining Chinese bishops.

China in recent years has ordained new bishops without the pope's approval, stalling efforts of restoring diplomatic relations between China and the Vatican.

Many local Catholics, caught in the middle, say they hope the government will respect the universal traditions of the Vatican.

At the same time, they hope the Vatican can better understand the church in China and reach reconciliation with Beijing.

"We follow China and we also follow the Roman Catholic way," said Father Zhang, who for years attended an underground church before joining the mainstream "patriotic church."

But no breakthroughs are expected any time soon.

The incoming pope will have little room to tweak the "ambiguous but still conservative line" pursued by Pope Benedict because the hardliners in the Vatican are simply too strong, said one analyst who spoke to CNN on condition of anonymity because of the sensitivity surrounding religious issues in China.

If the new pope takes a more conciliatory line on China, he added, his credibility could be questioned by the hardliners.

Chinese communist leaders, on the other hand, are still struggling with how to deal with this unpredictable religious boom.

@highlight

Catholic Church and government authorities uneasily coexist in China

@highlight

More than six million Catholics attend government-sanctioned churches

@highlight

Experts say millions more practice Catholicism in underground "house-churches"

@highlight

Chinese Catholics hope the next pope can reconcile church's differences with Beijing