(CNN) -- Thirteen people have died from consuming bacteria-tainted cantaloupe in what has become the most fatal U.S. outbreak of a food-borne illness since 1998, according to records from the Centers for Disease Control and Prevention.

The outbreak -- blamed on the bacteria Listeria monocytogenes -- was first reported September 12, when the CDC said 15 people in four states had been infected. The illnesses were traced to consumption of Rocky Ford cantaloupes grown at Jensen Farms' fields in Granada, Colorado.

As of Monday morning, it had grown to 18 states, 72 illnesses and 13 deaths, according to the CDC's latest statistics.

In 1998, 21 people died from consuming tainted hot dogs, according to a CDC database.

In the current outbreak, four people who ate contaminated cantaloupes died in New Mexico, two each in Colorado and Texas, and one each in Kansas, Maryland, Missouri, Nebraska, and Oklahoma.

Public health officials also have reported illnesses in California, Florida, Illinois, Indiana, Montana, North Dakota, Virginia, West Virginia, Wisconsin and Wyoming.

On September 14, Jensen Farms voluntarily recalled Rocky Ford whole cantaloupes shipped between July 29 and September 10. The cantaloupes were distributed in 17 states -- Illinois, Wyoming, Tennessee, Utah, Texas, Colorado, Minnesota, Kansas, New Mexico, North Carolina, Missouri, Nebraska, Oklahoma, Arizona, New Jersey, New York and Pennsylvania.

The cantaloupes also were exported, and while the CDC did not name the affected countries, it said they had been notified of the recall.

The cantaloupes may bear a green-and-white sticker that reads: Product of USA-Frontera Produce-Colorado Fresh-Rocky Ford-Cantaloupe, or a gray, yellow, and green sticker that says: Jensen Farms-Sweet Rocky Fords.

Many of the cantaloupes, however, will not have a label, said CDC Director Dr. Thomas Frieden. He urged consumers either to check for a label or ask the supermarket where the cantaloupes originated.

"If they can't confirm that it's not Jensen Farms, then it's best to throw it out," Frieden said.

Affected cantaloupes can still pose a danger if refrigerated, he said, because Listeria can grow even at low temperatures. Listeria also can take three weeks or longer to make a person sick, so more cases may emerge in the coming weeks, he said.

Frieden said anyone who has eaten cantaloupe and now has flu-like symptoms, including fever, should see a doctor. Those who are older, pregnant, or have an underlying condition such as cancer should also consult their physician if they have eaten the fruit.

Jensen Farms has now ended its cantaloupe harvest for the season, so no new contaminated melons will be entering the market, said Commissioner Margaret Hamburg of the Food and Drug Administration.

The short two-week shelf-life of the fruit means any contaminated cantaloupes are being removed from store shelves anyway, Frieden said.

"Jensen Farms continues to stay committed to the highest levels of food safety and maintains many third-party safety audits, as we have for many years," said Ryan Jensen, a partner at Jensen Farms. "We continually look for ways to enhance our protocol."

Frontera Produce, the supplier, issued a statement September 14 saying it was "working with FDA and state health officials to determine where along the supply chain the Listeria contamination may have occurred."

The 1998 outbreak in tainted hotdogs sickened 101 people and left 21 dead, according to the CDC's Foodborne Outbreak Online Database.

Listeriosis causes fever, muscle aches, diarrhea and other gastrointestinal symptoms. It is rarely a serious concern for healthy children and adults, according to the CDC, but it is particularly dangerous for older adults, people with weakened immune systems and pregnant women, in whom it can cause miscarriages, stillbirth and premature delivery, or bring on a life-threatening infection in a newborn.

About 1,600 people become seriously ill because of the bacteria each year, the CDC reports, and about 260 die.

Four families affected by the outbreak have filed lawsuits, said attorney Bill Marler, who is representing them. The suits include two in Colorado, one in Texas and one in Oklahoma. A fifth will be filed this week in Maryland, Marler said.

The cases in Oklahoma and Maryland involve relatives of people who have died in the outbreak, Marler said. The other cases involve people who have been sickened.

At least 10 other people have retained Marler's firm, he said.

Jensen Farms and Frontera Produce are listed as the defendants in the lawsuits. An attorney for Jensen Farms and an official with Frontera Produce did not immediately return calls from CNN for comment Wednesday.

Marler said the opportunity to "put people under oath and have subpoena power" allows information to come to light about how such an outbreak happens.

The CDC's Frieden said that because of budget reductions in the past two years, 44,000 fewer people are working at state and local health agencies, which means it can take more time to identify an outbreak.

Marler said he expects a court in Colorado to issue an order within days allowing his legal team to go onto the farm and the processing facility.

"My obligation is to try to figure out a way to compensate people who have gone through what these people have gone through," he said.

@highlight

NEW: The CDC warns consumers to throw out suspect fruit and watch for illnesses

@highlight

Tainted cantaloupes are linked to 13 deaths; 72 illnesses have been reported in 18 states

@highlight

The illnesses are linked to Rocky Ford cantaloupes grown at Jensen Farms in Colorado

@highlight

4 families affected have filed lawsuits