(CNN) -- Edward Snowden douses the idea of his returning to the United States -- where he faces charges of espionage and theft of government property for leaking sensational details of spy programs -- saying he won't come back unless laws are changed.

Asked by CNN's Jake Tapper in an online chat Thursday about conditions for a return home, Snowden said that while his coming back "is the best resolution" for all parties, "it's unfortunately not possible in the face of current whistle-blower protection laws."

He pointed out that the government's Whistleblower Protection Act doesn't cover someone like him, a former government contractor.

"There are so many holes in the laws, the protections they afford are so weak, and the processes for reporting they provide are so ineffective that they appear to be intended to discourage reporting of even the clearest wrongdoing," he wrote. "... My case clearly demonstrates the need for comprehensive whistle-blower protection act reform."

Snowden offered his remarks from Russia, where he's been since June having been granted a one-year asylum.

From there, he has continued to speak out to journalists and online. Thursday's chat -- coordinated by The Courage Foundation, an organization set up to support Snowden and his cause -- was one example of his outreach, letting him answer questions from anyone who posed a question online.

The U.S. government hasn't stayed silent on his case either. On Thursday, around the time that Snowden was answering questions online, Attorney General Eric Holder said that "if Mr. Snowden wanted to come back to the United States and enter a plea, we would engage with his lawyers."

The government would take the same tack with anyone willing to plead guilty., Holder said at the event at the University of Virginia's Miller Center.

But in Snowden's case, the attorney general insisted, "Clemency isn't something that we (are) willing to consider."

Such a standoff is nothing new, as the U.S. government and Snowden have been at odds since the Guardian and Washington Post newspapers first published stories last June based on secret documents he'd provided them.

These and subsequent reports transformed the once relatively anonymous 30-year-old into a lightning rod for critics who called him a traitor and a hero for those who cheered his exposing what they see as dangerous infringements on civil liberties.

Whatever one's opinion of him, the leaks undoubtedly brought intense scrutiny to the National Security Agency's surveillance programs, causing headaches for the U.S. government, domestically and internationally.

This uproar spurred President Barack Obama this month to unveil new guidance for intelligence gathering as well as reforms intended to balance what he called the nation's vital security needs with concerns over privacy and liberties.

Nonetheless, some civil libertarians, members of Congress and others complained that Obama didn't go far enough.

Among other things, they point to the fact that someone will still collect records of the numbers and times of phone calls by every American -- one of the most controversial programs revealed by Snowden -- even if access to the those records will be tightened and they may be shifted from the NSA to elsewhere.

Snowden echoed such critics when asked about Obama's speech in relation to Thursday's release of a privacy review board's report critical of the government. The five-member Privacy and Civil Liberties Oversight Board concluded the NSA's collection of data on nearly every U.S. phone call isn't legal and has proven largely useless in thwarting terrorism.

Board: NSA phone data program illegal

"When even the federal government says the NSA violated the constitution at least 120 million times under a single program, but failed to discover even a single plot, it's time to end bulk collection, which is a euphemism for mass surveillance," Snowden wrote, pointing to the review's report. "There is simply no justification for continuing an unconstitutional policy with a 0% success rate."

In Thursday's chat, Snowden insisted "not all spying is bad." He said his issue is more with "the new technique of indiscriminate mass surveillance, where governments are seizing billions and billions and billions of innocents' communication every single day."

Such programs exist in part "because new technologies make it easy and cheap," not because they are particularly effective in targeting threats and wrongdoers, he claimed. Snowden said he acted because he felt compelled "to push back."

"It's not good for our country, it's not good for the world, and I wasn't going to stand by and watch it happen, no matter how much it cost me," he wrote.

"The NSA and the rest of the US Intelligence Community is exceptionally well positioned to meet our intelligence requirements through targeted surveillance -- the same way we've always done it -- without resorting to the mass surveillance of entire populations."

His decision to collect and release secret documents have helped make Snowden one of America's most high-profile critics since Wikileaks' Julian Assange. who notably has been one of Snowden's biggest supporters.

Yet Snowden said Thursday that he hasn't given up hope for his native land, saying "what makes our country strong is our system of values."

"We can correct the laws, restrain the overreach of agencies, and hold the senior officials responsible for abusive programs to account," he said.

CNN's Evan Perez contributed to this report.

@highlight

Now in Russia, Snowden is charged in the United States with espionage

@highlight

He says U.S. must change whistle-blower protections before he comes back

@highlight

Ex-government contractor slams what he calls "indiscriminate mass surveillance"

@highlight

He says U.S. "can correct the laws, restrain the overreach of agencies"