(CNN) -- On a quiet August day I lost someone I loved very much. Her name was Joan and she was a mother to me for 15 years. Her death was sudden and unexpected, and there were still so many things she wanted to do: Learn to play the piano, live in Paris, see the Pacific Ocean.

I spent a long time full of grief, and then I felt gratitude for the time we had together. I thought about death a lot, which brought clarity to my life, the people I want to be with, and the things I want to do. But I struggled to maintain this perspective. It's easy to get caught up in the day-to-day and forget what really matters to you.

I wondered if other people felt the same way. Over the past few years I've tried ways to share more with my neighbors in public space, using simple tools like stickers, stencils, and chalk. This time I wanted to know what was important to the people around me and I wanted a daily reminder to restore perspective.

So with help from old and new friends, I transformed the side of an abandoned house in my neighborhood in New Orleans into a giant chalkboard and stenciled it with a grid of the fill-in-the-blank sentence "Before I die I want to _______." Anyone walking by could pick up a piece of chalk, reflect on their lives, and share their personal aspirations in public space.

It was all an experiment and I didn't know what to expect. By the next day the wall was entirely filled out and it kept growing: Before I die I want to ... sing for millions, see my daughter graduate, eat all the candy and sushi in the world, straddle the International Date Line, be someone's cavalry, live off the grid, build a school, hold her one more time, abandon all insecurities, be completely myself ...

TED.com: Artfully visualizing our humanity

People's responses made me laugh out loud, tear up, and they consoled me during my own tough times. This neglected space became a constructive one where we understood our neighbors in new and enlightening ways. It also showed us we are not alone in our hopes, fears and struggles as we try to lead fulfilling lives.

After receiving requests from passionate people around the world, my Civic Center colleagues and I created a toolkit and project site to help people make a wall with their community. You can also download all files for free to remix or create your own stencils.

Now over 75 Before I Die walls have been created in over 10 languages and in over 25 countries, including Kazakhstan, Argentina, China, Denmark, and South Africa. Each wall is unique and reflects the people of that community, and each wall is a tribute to living an examined life. And by using a few simple tools like chalkboard paint and chalk, this project shows you don't need a big budget to make a big impact.

TED.com: Architecture that senses and responds

Death is something we're often discouraged to talk about or even think about: Don't go there. It's too sad. You don't need to think about it until you're older. However, regularly contemplating deathâ€”as Stoicism and other philosophies encourageâ€”is a powerful and healthy tool to put daily stresses in their place, re-appreciate the present, and remember what matters most to you.

Thinking about death clarifies your life. In our age of increasing distractions, it's important to find ways to step back, pause, and reflect on our experiences so we make the most of our brief and tender lives. It's not our experiences that define us but what we make of our experiences that defines us as we grow and change.

TED.com: Three warp-speed architecture tales

Our public spaces are as profound as we allow them to be. Our streets, parks, plazas, and subways are for everyone, yet take a quick look at the messages on display and it seems like we only care about sexy beers and fruity shampoos. How can our public spaces nourish our well-being and better reflect what matters to us as a community and as individuals?

Every passerby is another person full of longing, anxiety, fear, wonder, and wisdom, and there is great power in knowing you are not alone. With more ways to share in public space, the people around us can not only help us make better places, they can help us become our best selves.

The opinions expressed in this commentary are solely those of Candy Chang.

@highlight

Candy Chang is an artist focused on how we use public spaces

@highlight

She created a "Before I die, I want to ... " project on New Orleans building

@highlight

Chang: People responded with a wide array of thoughts

@highlight

Similar projects started in 25 nations, she says