On CNN's "State of the Union," host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country. This week, King traveled to North Carolina to look at the financial crisis' impact on health care.

Doug Pegram, of North Carolina, is one of many unemployed Americans struggling with medical bills.

WINSTON-SALEM, North Carolina (CNN) -- For Doug Pegram, it is on the one hand simple math: His medical bills cost roughly $300 a month and a health insurance policy would cost $550.

"Two or three hundred dollars goes a long way," Pegram said. Especially when you are living on unemployment benefits.

Simple math, and a huge gamble: Pegram has a rare disorder, Ehlers-Danlos Syndrome, that in some patients can be life-threatening.

"If anything happens, that's another story," Pegram told us. "But you have to do what you have to do sometimes, and you just hope for the best. And do it."  Watch Pegram describe his tough choices »

Life on the edge started in November, when Pegram lost his job at Hanesbrands Inc., the clothing manufacturer where he had worked for three years. Ironically, Pegram's job as a senior analyst included writing reports for Hanes management on sales and economic trends.

"Every couple months, it [layoffs] went through the company and a few people here and there and it got worse and worse," he said. "I knew it was in the future somewhere."

Now, he is looking for a job and keeping his fingers crossed his condition doesn't worsen. Ehlers-Danlos is a group of inherited disorders that affect connective tissues. In Pegram's case, it means constant pain in his legs and some other joints.

"One type is you can have heart failure if you don't get checked out, so it's pretty serious that you actually go to the doctor," Pegram said.

His monthly visit costs $150 -- and patients like Pegram who are without insurance are asked to pay up front. His medications run about $126 at a discount pharmacy. Pegram has old bills showing that when he was at Hanes and insured, the same medication cost the insurance company $68 because of its discount. His doctor also accepted a lower negotiated rate from the insurer.

"So everything is inflated," he said of his medical costs now.

He could have signed up for the COBRA health coverage available to workers as they lose their jobs. It was that policy Pegram said would have cost him $550 or "almost half of what you get every month" in jobless benefits and leave him "not able to pay for a place to live, and food, and all that."  Watch President Obama's summit on health care »

In an interview at his condo, we asked Pegram: "Should you be doing more? If you had insurance, would you be doing more, seeing more doctors?"

"Yes, I would be."

"And what's the risk of not doing that?"

"I could go downhill quicker. It's a debilitating condition, so eventually I could, I don't know."

Yet he is remarkably upbeat about his health and about the prospects of finding a job before his benefits run out in a few months.

"I think I will find something before then," Pegram said, while conceding he might be forced soon to lower his sights and look for work that pays less than his Hanes position as long as it provides health care coverage.

The jobless rate in the Winston-Salem metropolitan area was 7.6 percent in December 2008, up from 4.4 percent one year earlier. With the higher unemployment comes increases in the number of residents without health insurance.

Dr. Bruce Wham has been a practicing dentist for 26 years and an amateur economist for the past year or so.

"Most people feel like it is going to get worse before it gets better," Wham said when we visited his practice. "Talking to patients, talking about automobile purchases, any kind of renovations of houses, even education -- sending their kids to college, there is a lot of concern about purchasing those things or how they are going to do those things and dentistry is sometimes considered more of a luxury than a necessity and we get pushed to the back lot."

One way Wham can tell if a longtime patient is about to lose his or her job is if they suddenly schedule treatments and repairs they had been putting off. It is a sign they are about to lose their insurance coverage.

"Especially if there is something that they need to get done or have been 'treatment-planned' for and they have been told by the dentist, the hygienist, to replace this, yes, they are more likely to want to come in and get that done as soon as they can," Wham said.

The flip side: A patient who needs major work who instead endures the pain, or asks Wham if there is a cheaper, though perhaps temporary, solution.

"If there is anything that can be delayed or pushed back, that is what they are doing. They are asking us, 'Is there any way that we can hold off? Is there anything less involved, less costly until I get my job, until I know my insurance is going to be back?' in effect.

"And so we do a lot of that, not necessarily temporary restorations, but things that might not last as long and that may not be as costly to try to tide people over for the short term."

So it maybe is not in the best interest of the patient in the long term, but maybe better on their wallet in the short term?

"Better on their wallet. That is exactly right."

@highlight

As jobless rate rises, so does the number of people without health insurance

@highlight

North Carolina patient pays twice as much for medication than when he was insured

@highlight

Dentist says economy causes some patients to consider treatment a luxury