Phnom Penh, Cambodia (CNN) -- In a week where three top surviving leaders of the Khmer Rouge regime stand trial for crimes against humanity, the legacy of that era is still creating upheaval more than 30 years later.

Land ownership is a vague and often contentious issue in a country where the Khmer Rouge destroyed all land records between 1975 and 1979. During this period, the regime pushed its utopian Communist ideal of an agrarian society forcing thousands from the cities to work in the fields in the countryside. An estimated 1.7 million people died during the Khmer Rouge reign.

Twelve years ago, Myaeung Duong Kear bought land around Boeung Kak Lake -- a big lake in the center of Phnom Penh, now prized real estate. He bought the land from another resident who had claimed the land as their own. There was no real transfer of documents. Myaeung says he just got a piece of paper after the purchase which served as his record. He knew the transaction fell into a gray area, but that's the way things were done, he said.

Myaeung built a home and set up a business inside his house fixing mobile phones. In September of this year, a developer's bulldozer knocked down his home, business and livelihood.

3 top Khmer Rouge leaders go on trial

The developer, Shukaku Inc., is owned by a powerful Cambodian senator, Lao Meng Khin, who signed a 99-year lease with the government for the lake property. The company has been in the process of filling in the lake and removing residents off the lake property to make way for plans to build luxury apartments and shops. The company and the government say the 4000 families -- including Myaeung Duong Kear's family-- who lived around the lake were removed because they were living in a designated development zone.

CNN contacted the senator, who did not respond to requests for comment. The developers said they had achieved "a peaceful conclusion" to the dispute.

Not for Myaeung, who has been homeless and protesting at the lake site since his ouster.

"I want to live here in this same place. It's the place that gave me happiness and security," Myaeung says.

The Khmer Rouge regime banned private land ownership. When the Khmer Rouge lost power, many Cambodians resettled on plots of land wherever they could and essentially became "squatters." House and land titles were a distant notion. Rebuilding lives was the priority.

In 2001, Cambodia passed a land law that allowed any Cambodian living peacefully on a piece of land for five years to apply for a land title. In 2002, the World Bank undertook several land titling projects to help Cambodians obtain legal ownership of their land. Countries like Canada, Germany and Finland contributed to these projects which resulted in more than a million land titles being issued.

But the World Bank did not follow through on the land titling project around Beoung Kak Lake and in an inspection report, the World Bank later admitted to "shortcomings."

"The problem is a lot of Cambodians were excluded from the land titling projects if powerful people wanted that land," says David Pred of Bridges Beyond Borders Cambodia. "They were excluded because in the end, it's the government itself that issues the land titles."

The protestors have made some progress through making noise. The World Bank has suspended loans to Cambodia until the government resolves the situation. Cambodia's prime minister got involved and signed a subdecree that allowed several families on 12.44 hectares of land around the lake to remain.

Still, the majority of residents feel this is an injustice that is a long way from being resolved. They've been protesting in front of Phnom Penh City Hall on a regular basis. One displaced resident who moved to the relocation site designated by the developer says, "It's difficult. It's far from the city so it's hard to do business. For this development project, people were forced away like cattle."

@highlight

A property dispute of land near central Phnom Penh pits residents against developers

@highlight

Since the Khmer Rouge regime, property records in Cambodia are sketchy

@highlight

The World Bank has suspended loans to Cambodia over the land dispute