(Health.com) -- Parents who believe that playing video games is less harmful to their kids' attention spans than watching TV may want to reconsider -- and unplug the Xbox. Video games can sap a child's attention just as much as the tube, a new study suggests.

Elementary school children who play video games more than two hours a day are 67 percent more likely than their peers who play less to have greater-than-average attention problems, according to the study, which appears in the journal Pediatrics.

Playing video games and watching TV appear to have roughly the same link to attention problems, even though video games are considered a less passive activity, the researchers say.

"Video games aren't less likely than television to be related to attention problems," says the lead author of the study, Edward Swing, a doctoral candidate in the department of psychology at Iowa State University, in Ames. "They were at least as strong as television at predicting attention problems."

However, the study doesn't prove that video games directly cause attention problems. It could be that kids who have short attention spans to begin with might be more likely to pick up a joystick than a book, for instance.

Health.com: Quiz: Do you have adult ADHD?

The relationship between video games and attention is probably a two-way street, Swing says. "It wouldn't surprise me if children who have attention problems are attracted to these media, and that these media increase the attention problems," he says.

Swing and his colleagues followed more than 1,300 children in the third, fourth, and fifth grades for a little over a year. The researchers asked both the kids and their parents to estimate how many hours per week the kids spent watching TV and playing video games, and they assessed the children's attention spans by surveying their schoolteachers.

Previous studies have examined the effect of TV or video games on attention problems, but not both. By looking at video-game use as well as TV watching, Swing and his colleagues were able to show for the first time that the two activities have a similar relationship to attention problems.

Health.com: Attention sappers: 5 reasons you can't concentrate

C. Shawn Green, Ph.D, a postdoctoral associate in the department of psychology at the University of Minnesota, in Minneapolis, points out that the study doesn't distinguish between the type of attention required to excel at a video game and that required to excel in school.

"A child who is capable of playing a video game for hours on end obviously does not have a global problem with paying attention," says Green, who has researched video games but was not involved in the current study. "The question, then, is why are they able to pay attention to a game but not in school? What expectancies have the games set up that aren't being delivered in a school setting?"

Experts have suggested that modern TV shows are so exciting and fast paced that they make reading and schoolwork seem dull by comparison, and the same may be true for video games, the study notes.

Health.com: 10 kid-targeted junk foods

It's unclear from this study whether that's the case, however, because Swing and his colleagues didn't look at the specific games the kids were playing.

"We weren't able to break [the games] down by educational versus non-educational or nonviolent versus violent," says Swing, adding that the impact different types of games may have on attention is a ripe area for future research.

The study also suggests that young kids aren't the only ones whose attention spans may be affected by video games.

Health.com: Too much TV linked to earlier death

In addition to surveying the elementary school kids, the researchers asked 210 college students about their TV and video-game use and how they felt it affected their attention. The students who logged more than two hours of TV and video games a day were about twice as likely to have attention problems, the researchers found.

These attention problems later in life may be the result of "something cumulative that builds up over a lifetime" or "something that happens early in life at some critical period and then stays with you," Swing says. "Either way, there are implications that would lead us to want to reduce television and video games in childhood."

The American Academy of Pediatrics, the leading professional organization for pediatricians and the publisher of Pediatrics, recommends that parents limit all "screen time" (including video and computer games) to less than two hours per day.

Health.com: The 10 habits of healthy families

For his part, Green says that how much time kids spend playing video games should be a matter of common sense and parental judgment.

"A hard boundary, such as two hours, is completely arbitrary," he says. "Children are individuals, and what makes sense for one won't necessarily work for another."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

Video games were at least as strong as TV at predicting attention problems, study said

@highlight

TV and video games have a similar relationship to attention problems

@highlight

AAP recommends that parents limit "screen time" to less than two hours per day