(CNN) -- On Wednesday some U.S. wireless carriers implemented the first part of a national strategy to deter cell phone theft: a joint "blacklist" database of identifying information about cell phones reported lost or stolen.

As of now, cell phone dealers are supposed check this database before honoring requests to reactivate allegedly "locked-out" phones, in order to prevent people from using stolen phones.

It used to be that when you reported a phone lost or stolen, your carrier would suspend service to that device. But the person who stole your phone (or someone who bought it from the thief) could still walk into a cell phone dealer and get your phone reactivated under a new account.

Chris Guttman-McCabe, vice president of regulatory affairs for CTIA (a global association of wireless carriers), explained: "The point of the blacklist database is to dry up the aftermarket for stolen phones. If you can't reactivate a stolen phone, it's just a worthless hunk of plastic and metal."

The FCC first announced this PROTECT initiative in April to combat the theft of smartphones, tablets and the data they contain. Under this plan, U.S. carriers that use GSM network technology (that's AT&T and T-Mobile) committed to launching their databases by October 31.

The other U.S. carriers, which operate CDMA-technology networks, still have over a year to get their lost/stolen phone databases up and running (by November 30, 2013). According to CTIA, Sprint/Nextel has already implemented its database.

At first these CDMA databases will be carrier-specific; later the blacklists from all carriers will be integrated into a single database.

Carriers which have launched their blacklist databases are now working to educate phone dealers on how to access them. It's likely that phone dealerships operated by carriers will follow this process -- but educating and gaining cooperation from independently operated phone retailers will be more challenging.

Wireless carriers join forces to fight theft

"This will take time," Guttman-McCabe acknowledged. "I tend to see this as a glass half full. We're definitely making progress on fighting this problem, but it's not solved yet."

In the meantime, carriers are stepping up their efforts to get cell phone users to protect their devices. Public service announcements and other education efforts are under way to remind people to keep their cell phones and tablets locked with a password or PIN code. These carrier efforts include Web pages about phone security, mobile apps, e-mail information, bill inserts, and more.

Some carriers such as AT&T and device manufacturers such as Apple offer a free "remote wipe" service -- allowing users to delete all data from a lost or stolen device to prevent data or identity theft. Other carriers charge for this service, and most mobile security vendors, such as Lookout or Norton, offer remote wipe as part of an annual subscription service package.

It is possible to forcibly unlock a phone that is locked with a password or PIN, but this is considerably more difficult for thieves and could act as a deterrent.

One factor slowing the implementation of a centralized cross-carrier database of lost or stolen phones is the uneven pace of LTE network rollouts across the U.S. Some of the identifying information listed in the database is derived from wireless networks, and variations in network technology make it difficult to create consistent and reliable listings for individual devices.

So, while the carriers work to dry up the stolen phone aftermarket, take a moment to set up remote wipe service for your phone, remember to keep it locked, and beware of low-cost used phones available for sale on eBay, Craigslist, and elsewhere. If you purchase a device that turns out to be stolen and therefore can't activate it, you won't get your money back.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

U.S. wireless carriers implement a national strategy to deter cell phone theft

@highlight

A joint "blacklist" database will contain info about cell phones reported lost or stolen

@highlight

Expert: "If you can't reactivate a stolen phone, it's just a worthless hunk of plastic and metal"