(CNN) -- Fifteen-year-old Audrie Pott got drunk at a party and passed out. What happened next, according to her family, was that she was sexually assaulted by multiple young men, who took photos and circulated them in their high school of more than 1,000 students. Not long afterward, Audrie, devastated and hopeless, committed suicide.

In Canada, Rehtaeh Parsons, then 15, was sexually assaulted by multiple perpetrators, according to her family, and photographs were also posted online for the world to see. She was tormented and bullied for more than a year with no legal action taken by the authorities, who stated there was "insufficient evidence" to file charges. Rehtaeh also committed suicide.

Why did these tragedies happen?

The rate of sexual assaults is alarmingly high among adolescents. Research from the Centers for Disease Control and Prevention and the National Institute of Justice finds that 30% to 35% of female sexual assault survivors were first raped between the ages of 11 to 17. Many of these assaults occur when victims are under the influence of alcohol, and a surprising number of adolescent rapes involve multiple perpetrators. A recent study found that 12.4% of sexual assaults committed against 13- to 17-year-old teens were gang rapes.

When evidence goes viral

Rape is a crime of power and dominance, and social media provide new ways of asserting that power to hurt victims over and over again. Gang rape takes on a whole new meaning when images and slurs are posted and forwarded and spread endlessly. Adolescent sexual assaults are particularly likely to go viral (more so than instances of adult rape) because of the "everyone knows everything about everyone" culture of middle and high school. The ubiquity of cell phones with cameras and the power of the Internet make for faster, farther-reaching gossip, name-calling, character assassination and ultimately despair for the victim.

What was once a horrible incident that the victim remembers and suffers in private agony has now become an all-you-can-watch public humiliation event.

There's ample evidence that bullying has grown widespread, but the crime of rape has always been around. We live in a culture in which victims are blamed for the assault and made to feel like they are the ones who are criminal and dirty and shameful. Many rape victims are afraid to report the assault to police because they believe the criminal system will not help them. And they're right.

A recent National Institute of Justice study found that among adolescent sexual assault victims who did the brave the system -- they filed a police report, they met with investigators, they endured a medical forensic exam and rape kit -- 60% of these cases were not prosecuted by the criminal justice system. These rates are even worse for adult victims: On average, 86% of sexual assaults that are reported to the police are never passed along to prosecutors even to be considered for prosecution. That's 86% that go nowhere.

The cases weren't forwarded to prosecutors because police said there was "insufficient evidence," or because they thought the victim was "making a false report," or because the victim "wasn't credible" -- despite the fact that all of these victims had a sexual assault medical forensic exam and forensic evidence collection kit ("rape kit"). These cases were closed with either no investigation at all, or minimal investigational effort. A recent report from Human Rights Watch suggests this is an alarmingly common practice.

When the criminal justice system doesn't listen, doesn't investigate, doesn't seem to care, it sends the message to rapists: You will not be held accountable for your crimes.

Perhaps it is not surprising that several studies have found most rapists are serial rapists. To victims, this inaction sends the message: Your suffering is not our concern. You don't matter.

Rehtaeh's case went nowhere. Only now, after her death, will it be reopened.

How can this be changed?

One, reform the criminal justice system. Train legal personnel on best practices for the investigation and prosecution of these crimes. Challenge law enforcement agencies to start by believing and to investigate, not shelve, these crimes. Demand that police see these images on social media for what they are: not pornographic exploits but evidence of a crime.

Two, we must get survivors to the services that can help them. The despair that victims experience can all too quickly consume them and destroy their lives. The federal Violence Against Women Act and the Victims of Crime Act provide funding to all states and territories for rape crisis hotlines, crisis counseling and victim advocacy programs. These services are provided free of charge. Friends, family, teachers, everyone can help let survivors know that help is available.

And finally, we have to do more to prevent cyberbullying. The important truth not to lose sight of is that most teens do not commit sexual assaults and most do not bully. We need to support and empower these youth to speak out and intervene with their peers. The CDC has resources for schools and communities to develop "bystander prevention programs," which teach effective strategies youth can use to prevent violence among their peers. Widespread adoption of these programs is critical.

For girls such as Audrie Potts, Rehtaeh Parsons and many untold others, their agony had become too much, and the only solution they saw was suicide. We will never again hear their words, their stories, their voices.

But our voices can still be heard, and we must demand solutions to this seemingly intractable problem. We owe all victims justice and compassion.

The opinions expressed in this commentary are solely those of Rebecca Campbell.

@highlight

Rebecca Campbell: The rate of sexual assaults is alarmingly high among adolescents

@highlight

Campbell: Rape is a crime of power and dominance, and social media make it worse

@highlight

She says perpetrators make victims feel worse when they circulate sexual assault photos

@highlight

Campbell: We must reform the criminal justice system and do more to prevent cyberbullying