(CNN) -- Blair MacIntyre imagines a world where tiny clouds of information -- Facebook statuses, business cards, Twitter posts -- float above all of our heads.

"Augmented reality" can combine live video with data and information from the Internet.

In some ways, it's not that far from reality.

Advancements in mobile phone technology have cleared the way for a coming wave of "augmented reality" applications that merge the physical world with information compiled about people and places on the Internet.

"When the technology gets there, this stuff could be amazingly useful and mildly terrifying in some ways," said MacIntyre, an associate professor at the Georgia Institute of Technology who has taught classes in augmented reality for a decade.

The idea of pairing digital information with our real, 3-D environments is not especially new -- think robot-human vision in the "Terminator" movies. MacIntyre even plodded about college campuses in the 1990s wearing a 40-pound backpack and nerdy goggles, trying to make something similar happen.

But as mobile phones become better equipped with GPS systems, which use satellites to locate the phones; compasses, which tell the direction the phone faces; and accelerometers, which relay the device's tilt; the once-lofty idea of augmented reality is being put into the hands of consumers.

Last July in the Netherlands, a company called SPRXmobile released a mobile browser, Layar, that lets people see pieces of this new info-reality through their phone screens.

A Layar user sets his or her phone to video mode, aims it around and sees all kinds of information pop up on the screen: blinking dots on apartments that are for sale, the values of those units, pull-down reviews of the bar up on the corner or details about sales at a nearby retail store. Watch a video demo of the app

This makes information easier to find and helps people make better sense of the physical world around them, said Maarten Lens-FitzGerald, co-founder of Layar.

"I think it will actually get you out more than you would stay at home," he said. "You're not at your couch anymore, you're not at your desk" when you need to find information.

Layar, which bills itself as the first mobile browser that features augmented reality, is only available in the Netherlands and only on certain phones, including Google's Android, T-Mobile's G1 and the HTC Magic. But Lens-FitzGerald said the company plans to announce a global expansion plan on August 17 and will develop an app for the iPhone if Apple changes policies that obstruct developers from creating such applications on that device.

A range of other "AR" apps are in development or are on the market. One, called Nearest Tube, highlights subway routes in New York and London. Wikitude is an app that aims to show people encyclopedic information about nearby landmarks. Like Wikipedia, users can add information to the service. The idea could usher in an era of cell-phone tour guides.

Total Immersion, a French company, developed an app that makes 3-D baseball players spring to life from baseball cards. Users can turn the card to see their favorite players, through a phone screen, from all angles. And at Georgia Tech, researchers are working on video games that may one day make it look like virtual zombies are chasing players down real-world streets.

Alex Michaelis, CEO of Tweetmondo, a site that pairs Twitter posts with geographical information, said he has developed an app that will let mobile phone users see their friends' tweets through the video camera on their phones. He expects it to be available within the month.

"It adds information to your world, and this is what it's all about," he said.

To picture how that service would work, think about walking into your living room in the evening. If a roommate had posted to Twitter from the couch, his or her Tweet would hover in that space when viewed through a mobile phone's video camera.

Michaelis admits the model is a bit clunky for now. But he sees a future when the app will let people stand on a street corner, hold their phone up to their face, and see the Twitter posts of crowd members as they mill about. Phones would have to be able to communicate with satellites and computer services constantly, instead of only when someone posts a message, to make that possible, he said.

"I see this being resolved in the near future," he said, "because, really, it's just a matter of really experimenting with this technology and pushing it to the limit."

But there are doubts about augmented technology on phones.

Lens-FitzGerald, of Layar, is concerned that augmented reality is being over-hyped and may create unrealistic expectations from consumers.

"It's a cool technology, but yeah, we need to see how much [funding and visibility] our companies will get," he said. "It's getting a lot of press now without being proven, but do we make money, are we going to make people happy with it? We don't know. We're just starting."

He added: "It's like the first TV. We need to build an audience."

MacIntyre, of Georgia Tech, said the technology behind today's augmented reality apps is crude. Mobile phone GPS isn't nearly accurate enough to make sure a Twitter post is tagged to a person, for instance, rather than the lamp post that's 50 feet away.

Furthermore, the idea behind the information-reality mesh on mobile phones is off-base, he said.

"I don't see them answering a problem that needs to be solved," added MacIntyre, who believes two-dimensional maps can be used to display information much more easily with current technology.

More functional problems exist as well. People don't necessarily want to walk around the world holding cell-phone screens in front of their faces. And the world's information has to be tagged geographically to make sense in an augmented-reality setting.

But MacIntyre does see a bright future for augmented reality.

Within a year, mobile phone applications will become much more functional, he said, and in the foreseeable future, augmented reality will move off of phone screens and onto futuristic sunglasses, whose wearers will see blips of information about everything around them, he said.

If that happens, the "Terminator" vision will have truly arrived.

@highlight

"Augmented reality," a merger of the digital and virtual worlds, is coming to phones

@highlight

"AR" apps put info -- like Twitter posts -- on top of live video captured by phone

@highlight

Smartphone GPS and compass systems paved the way for the advance

@highlight

Some say AR is in its infancy; others question its usefulness