(CNN) -- A recent pair of racially charged political incidents in the South illustrate the pitfalls -- and potential benefits -- that await the national Republican Party leadership if it makes good on an oft-repeated pledge to woo black voters away from the Democratic Party.

In Florida, Republican candidate for Congress Glo Smith recently made national news when unknown vandals destroyed one of her campaign signs by spray-painting her face white -- a reference to the ugly, warped idea that black candidates who run on the GOP line are outcasts from the black community who are "acting white."

In Mississippi, the bitter endgame of the recent Republican runoff between incumbent Sen. Thad Cochran and tea party challenger Chris McDaniel included a telephone press conference held by Cochran's aides that was interrupted by an anonymous caller insistently asking: "If black people were harvesting cotton, why is it OK to harvest their votes?" It was a sign of the rage expressed by McDaniel that Cochran's razor-close 1.6% win was made possible by an unusual last-minute appeal to Democratic black voters, who crossed party lines to supply the margin of victory.

Cochran's victory is expected to hold up despite a long-shot legal challenge by McDaniel. And Smith is soldiering on toward her August 26 primary, after which she faces an uphill battle against longtime incumbent Rep. Corrine Brown (Disclosure: Smith's family and mine have been close for years).

The rough and tumble of Southern primary politics is nothing new, but the candidates shouldn't have to weather these recent attacks on their own. Now would be a perfect time for national party brass and congressional leaders to prove they believe their own rhetoric about GOP outreach to black voters. A committed, earnest effort would be good for the party, for black communities and for the nation.

At present, Republicans are on a collision course with diversity that will, without a course correction, spell long-term disaster for the party. In 2012, Republican presidential candidate Mitt Romney got only 17% of nonwhite voters, and polls show only 2% of Republicans are black and 6% are Latino.

Republicans can't allow those trends to continue in a nation where the nonwhite population is currently 35% and expected to reach 57% by 2060.

Republican National Committee Chairman Reince Priebus has taken steps to broaden the party's base: After the Romney loss, he committed $10 million in party funds to hire organizers tasked with building support in black, Latino and Asian communities.

That's a good start. Even better would be to funnel support -- money, "ground troops," advertising support and high-profile endorsements -- to candidates like Glo Smith when they are in the thick of battle. Even in an uphill battle like the challenge in Florida's 5th District, the party must support black candidates who step forward and endure abuse for running as Republicans.

Opinion: What GOP can learn from Cochran's use of blacks to win

Smith's not alone. This year, the fact that 11 black Republicans are running for office -- a record high number -- should be a major point of pride for the national party, and a high priority for when directing resources. Ditto for the fact that Sen. Tim Scott of South Carolina is an odds-on favorite to make history this year: If elected to a full term in November, Scott -- who was appointed in 2012 to finish out retiring Jim DeMint's term -- will become the state's first elected black Republican senator.

Black voters have been solidly Democratic voters since the 1960s, but some black voters gravitate toward Republicans positions on bread-and-butter issues like support for charter schools and pro-growth economic policies. And many black church-goers find the GOP a comfortable political home for their culturally conservative views on school prayer, abortion and same-sex marriage.

If Republicans are smart, they'll continue to build on those points of agreement. Even smarter would be to seize the opportunity presented by Cochran's gambit in Mississippi. Having relied on black voters to rescue his candidacy, Cochran is now expected to return the favor by fighting against restrictive voter ID laws and by steering federal financial support to black colleges and universities.

Both measures make sense in the state that is the poorest in the nation and has the largest percentage of blacks. If Cochran holds up his end of the deal, Republicans might have a road map for ways to broaden their appeal as the 2016 presidential election approaches.

In this climate of political polarization, the key to the political center lies with candidates and political parties with the nerve and creativity to form broad coalitions that cross traditional boundaries. Southern black voters and candidates are showing they are ready to make that kind of deal. Here's hoping party leaders take them up on the offer.

@highlight

If Republicans don't get more minority support, it will spell future disaster

@highlight

GOP must support black candidates who endure abuse for being Republican

@highlight

GOP must keep promises to nonwhites: They are 35% of the population

@highlight

GOP should form broad coalitions that cross traditional boundaries