(CNN) -- The poet Sylvia Plath, who made a name for herself through prose and poetry that conveyed a sense of depression and suicidal tendencies, famously died by asphyxiating herself in an oven in 1963.

There is evidence that depression runs in families, but both genetics and environment influence the condition.

The recent reported suicide of her son, marine biologist Nicholas Hughes, brings to light a known psychiatric phenomenon: the heredity of suicidal behavior.

A first-degree relative -- a parent, sibling or child -- of a person who has committed suicide is four to six times more likely to attempt or complete a suicide, said Dr. David Brent, psychiatrist at the University of Pittsburgh Medical Center.

Studies on twins have shown that suicidal behavior is between 30 and 50 percent due to heritable factors, he said. Suicide victims' biological relatives who were adopted away also show an increased risk of suicide, he said.

The rate of suicide in America is 10.9 suicide deaths per 100,000 people, according to the latest information from the National Institute of Mental Health. That means, although the likelihood of suicidal behavior increases in families, a completed suicide is still a rare event, Brent said.

"Genetics is not destiny," he said. "The odds are still very much against you having this happening to another relative."

Family history of suicide and family history of mental disorder are two risk factors that the National Institute of Mental Health lists.

More than 90 percent of people who die by suicide have depression or another mental disorder, or a substance abuse disorder in combination with another mental problem, according to the National Institute of Mental Health. Learn about the link between depression and creativity

Research shows that depression runs in families. A new study in the Proceedings of the National Academy of Sciences shows biological markers for the inherited condition. The researchers found, in a sample of 131 people, that the biological offspring of depressed people had structural differences in their brain. Some of these people had been followed for more than 25 years.  Learn more about mood disorders »

People at high risk of developing depression had a 28 percent thinning of the right cortex, the brain's outermost surface, the study found. Those with an extra thinning abnormality in the left cortex were most likely to develop depression or anxiety.

The data set shows that this brain surface thinning was present before these people developed mental problems, and was found in both children and grandchildren of depressed people, said Dr. Bradley Peterson, psychiatrist at Columbia University Medical Center and co-author of the study.

The new study may point toward more individualized medicine -- one day people may be screened for these brain abnormalities that indicate high depression risk, and receive treatment based on that, he said.

Researchers believe the cortical thinning causes depression by interfering with the processing of emotional stimuli, he said. A person with these brain abnormalities may benefit from therapy targeted at responding to social stimuli more appropriately, he said.

With both depression and suicide, research suggests that causal factors are a combination of genetics and environment, Peterson said.

The best way to prevent suicide is to treat the underlying psychiatric disorder, Brent said.

Besides Hughes and Plath, famous examples of two or more close relatives committing suicide include Ernest Hemingway's family -- Hemingway's father, brother, sister and granddaughter, in addition to the famous novelist himself, killed themselves.

The poet John Berryman jumped off a Minneapolis bridge in 1972; his father had committed suicide when the poet was a child. More recently, the playwright Spalding Gray apparently killed himself in 2004; his mother had taken her own life many years earlier.

Do relatives of people who killed themselves imitate suicide? This is possible, but hard to prove or disprove, Brent said. In fact, there is more evidence of copycat suicides among people who did not know the victim well, but merely learned about him or her through the news.

If you've actually lost a relative to suicide and go through the bereavement process, you may be more likely to understand the aftermath of suicide, Brent said.

Suicide "can also represent the learned or transmitted way of coping with unbearable stress," Peterson said.

What exactly gets transmitted in families with suicide? One theory is that it's a difficulty in emotional regulation.

"Not necessarily depression per se, but it's the ability to restrain yourself from acting on suicidal thoughts," Brent said.

The American Association of Suicidology is one place for online information if you or someone you know is contemplating suicide.

For immediate assistance, contact the National Suicide Prevention Lifeline at 1-800-273-TALK (8255).

@highlight

First-degree relatives are 4 to 6 times more likely to attempt or complete a suicide

@highlight

Still, says expert, "genetics is not destiny"

@highlight

Influential factors are a combination of genetics and environment

@highlight

Ernest Hemingway committed suicide, and so did several of his relatives