London (CNN) -- A comprehensive new study identifying the most threatened sea turtle populations worldwide has been published by conservationists.

The report, jointly produced by the International Union for Conservation of Nature (IUCN), the Marine Turtle Specialist Group (MTSG), Conservation International (CI) and the U.S.'s National Fish and Wildlife Foundation, is the first detailed appraisal of global sea turtle populations, say the authors, and will provide a blueprint for future conservation efforts.

"This assessment system provides a baseline status for all sea turtles from which we can gauge our progress on recovering these threatened populations in the future," Roderic Mast, co-chair of the MTSG and vice-president of CI said in a statement.

"Through this process, we have learned a lot about what is working and what isn't in sea turtle conservation, so now we look forward to turning the lessons learned into sound conservation strategies for sea turtles and their habitats," Mast added.

Almost half of the world's most threatened sea turtle species can be found in the northern waters of the Indian Ocean and on nesting beaches lying within Exclusive Economic Zones in countries such as India, Sri Lanka and Bangladesh, according to the report.

Threatened populations here include both loggerhead turtles (classified "endangered" by the IUCN Red List) and ridley turtles ("vulnerable").

"The report confirms that India is a home to many of the most threatened sea turtles in the world," B. C. Choudhury, from the Wildlife Institute of India said in a statement.

"This paper is a wake-up call for the authorities to do more to protect India's sea turtles and their habitats to ensure that they survive," he added.

Other hotspots for sea turtles include the east Pacific Ocean (running from the U.S. to South America) and the east Atlantic Ocean -- specifically off the coast of western Africa.

According to the report, threats to sea turtles vary from region to region but can be broadly categorized.

These include accidental (caught in fishing nets) and deliberate targeting (for trades in eggs, meat and shells), coastal development, pollution and climate change.

Join Philippe Cousteau for "Your Green World"

As well as highlighting danger areas, the report also pinpoints regions which are supporting healthier populations which face relatively low threats.

Species including the hawksbill turtle and the green turtle are thriving in nesting sites and feeding areas in Australia, Mexico and Brazil, along with southwestern Indian Ocean, Micronesia (in Oceania) and French Polynesia.

The report helps set up "priorities for different populations in different regions," says Bryan Wallace, director of science for the marine flagship species program at CI and lead author of the report.

"Sea turtles everywhere are conservation-dependent, but this framework will help us effectively target our conservation efforts around the world," Wallace said in a statement.

The report is published in the online science journal PLoS (Public Library of Science).

@highlight

New report reveals northern Indian Ocean as area where most sea turtles under threat

@highlight

Report is first comprehensive status assessment of global sea turtle populations

@highlight

East Pacific Ocean also a danger zone for turtles along with east Atlantic Ocean

@highlight

Australia, Mexico and Brazil among areas where sea turtles are fairing better, report says