(CNN) -- African ministers and health experts are meeting in Ghana with one thing on their minds: how to stop the biggest ever outbreak of the Ebola virus from extending its deadly reach still further.

The World Health Organization has warned that "drastic action" is needed to halt the killer in its tracks.

It reports there have been 759 cases, including 467 deaths, in Guinea, Sierra Leone and Liberia as of June 30. The outbreak began in March.

This makes it the "largest in terms of the number of cases and deaths as well as geographical spread," said WHO.

Not only is it uncontained, but this strain of the Ebola virus can kill up to 90% of those infected.

READ MORE: What you need to know about Ebola

The scientist who first discovered the Ebola virus in the 1970s, Dr. Peter Piot, told CNN's Christiane Amanpour that the situation is "unprecedented."

"One, [this is] the first time in West Africa that we have such an outbreak," he said. "Secondly, it is the first time that three countries are involved. And thirdly it's the first time that we have outbreaks in capitals, in capital cities."

The looming threat has brought together the health ministers of 11 African nations -- the Democratic Republic of the Congo, Gambia, Ghana, Guinea, Guinea-Bissau, Ivory Coast, Liberia, Mali, Senegal, Sierra Leone and Uganda -- as well as health experts, Ebola survivors, and WHO representatives.

Also present at the two-day summit in Accra, Ghana, are the representatives of airlines and mining companies, as well as donor nations helping to fund efforts to combat the virus.

New cases of the virus continue to be reported.

Between June 25 and 30, 22 new cases of the virus were reported in Guinea, Liberia and Sierra Leone, WHO said. Of those, 14 died.

Exposure to body fluids

Ebola is a violent killer. The symptoms, at first, mimic the flu: headache, fever, fatigue. What comes next sounds like something out of a horror movie: significant diarrhea and vomiting, while the virus shuts off the blood's ability to clot.

As a result, patients often suffer internal and external hemorrhaging. Many die in an average of 10 days.

People are traveling without realizing they're carrying the deadly virus. It can take between two and 21 days after exposure for someone to feel sick.

The good news is that Ebola isn't as easily spread as one may think. A patient isn't contagious -- meaning they can't spread the virus to other people -- until they are already showing symptoms.

Then, the disease is transmitted by direct contact with the blood and body fluids of infected animals or people, according to WHO.

In April, CNN Chief Medical Correspondent Dr. Sanjay Gupta traveled to Conakry, Guinea, to report on what was being done to treat patients and contain the outbreak.

"It took only moments to feel the impact of what was happening here," Gupta wrote after landing in Conakry. "There is a lot we know about Ebola, and it scares us almost as much as what we don't know."

Fighting an epidemic

Doctors Without Borders, also known as MÃ©decins Sans FrontiÃ¨res, has been working to fight the epidemic since March.

But it warned in a news release last week that a "massive deployment of resources" is needed by West African nations and other organizations, saying it has reached the limit of what its teams can do.

Ebola outbreaks usually are confined to remote areas, making the disease easier to contain. But this outbreak is different; patients have been identified in 60 locations in Guinea, Sierra Leone and Liberia.

"The epidemic is out of control," says Dr. Bart Janssens, MSF director of operations. "With the appearance of new sites in Guinea, Sierra Leone and Liberia, there is a real risk of it spreading to other areas."

Officials believe the wide footprint of this outbreak is partly because of the proximity between the jungle where the virus was first identified and cities such as Conakry. The capital of Guinea has a population of 2 million and an international airport.

Complicating matters, the countries hit hardest by the epidemic have major medical infrastructure challenges.

There is also a real sense of mistrust toward health workers from communities. In Sierra Leone and Guinea, WHO has said that community members have thrown stones at health care workers trying to investigate the outbreak.

MSF has treated 470 people, it said last week, of which 215 were confirmed cases.

However, it is now "having difficulty responding to the large number of new cases and locations," it said.

While public anxiety is high, the statement said, governments and civil society groups are doing too little to acknowledge the scale of the epidemic or educate people about how to stop the spread of the disease.

Another organization helping victims is Samaritan's Purse, an international Christian aid group. It has doctors in Monrovia, the capital of Liberia, and near the border with Guinea.

Virus 'should be easy to stop'

There is no cure for Ebola, but in theory the disease should be easy to fight, Piot told CNN.

"You need really close contact to become infected. So just being on the bus with someone with Ebola, that's not a problem."

Simple hygienic measures like washing with soap and water, not re-using syringes, and avoiding contact with infected corpses are sufficient to stop spread of the disease, Piot said.

"This is an epidemic of dysfunctional health systems," he added. "Fear of the virus, and the lack of trust in government, in the health system, is as bad as the actual virus."

CNN's Mick Krever, Danielle Dellorto, Miriam Falco and Jen Christensen contributed to this report.

@highlight

African health ministers and world experts gather in Ghana to discuss Ebola outbreak

@highlight

World Health Organization has warned that "drastic action" is needed to halt the epidemic

@highlight

The outbreak is the largest in terms of number of deaths and geographical spread

@highlight

The virus, which kills up to 90% of those infected, is spread through contact with body fluids