Kongbai, Guizhou (CNN) -- Savoring a meal of vegetables and rice grown in nearby paddy fields washed down with some home-brewed rice wine served, it's clear Long Taiyang is delighted to be back.

Once one of the 250 million Chinese farmers that left behind their families to forge a living in the coastal factory towns, the 37 year old lives back in his ancestral village of Kongbai, a jumble of 200 timber houses that cling to the side of a valley in southeast Guizhou, one of China's poorest province.

"I don't want to leave anymore," he says, tired of factory work and living in a cramped dormitory after four years spent making leather shoes in Wenzhou in eastern China.

Long is not alone in abandoning what has been described as the one of the greatest human migrations of all time.

While the overall number of migrant workers is still on the rise in China, those seeking work in their home provinces increased at a quicker pace that the number of long-distance workers, according to analysis by The China Labor Bulletin.

Investment in China's inland provinces has meant that many migrant workers can now find decent paying jobs closer to home and many, like Long, have concluded that separation from their families and communities is too great a price to pay.

Grand plans

Not just home to sample his wife's cooking, Long has a plan to give himself and his village a better future.

He hopes to revive the traditional trade of silver and metal working that has all but died out as people left in search of better opportunities.

"When I was growing up, all you could hear was the noise of hammering," says Long, who learned the trade from his father.

These days the village is eerily quiet, with only a cock's crow and the whinny of a pack pony, still used to navigate the steep valleys, puncturing the silence on a hot and sunny August afternoon.

Long has set up a basic workshop lit up with naked lightbulbs in the basement of his three-storey wooden house, where he, his wife and eldest son make jewelry by manipulating fine silver thread into butterflies, flowers and animal shapes.

Long history

Dan Wenhong of Guizhou Normal University, who has researched the village's silver-making tradition, says its history can be traced back to the 16th century, although it's unclear why the trade took root here.

A bone-jarring three-hour drive on mountain roads from the nearest town, Kongbai, feels remote but in the Qing dynasty Dan says the village was a crossroads on major trade routes and, by the standards of the time, was prosperous.

Its decline began in the 20th Century and according to her research, in 2012 only 17 out of 192 households were still producing silverware.

Dan, who is helping Long and the other villagers revive their trade, is confident that silvermaking can become a viable business that will encourage villagers to return and pass on their craft to a new generation.

She says that attitudes are shifting as China's slowing economy means job opportunities outside the village are not as alluring or lucrative as they once were.

And the growth of tourism in the region's picturesque towns and villages means that demand for jewelry made in Kongbai is picking up.

"Some people think that children should study hard, rather than learn a trade, but people are also beginning to realize that now even graduates can't find jobs," she says.

Passionate advocate

With his good looks and easy charm, Long is a passionate advocate of his craft and has founded a silversmith association to promote and authenticate Kongbai silverwork. It has 60 members.

"Wholesalers come to our village to buy our work but once it's in the shop it becomes someone else's brand. "

"We don't get the retail price and the difference is very big. We'll sell them an item for 100 yuan (US$16) and they will sell it for 400 yuan (US$65)."

Long wants to sell to customers directly and use the village provenance as a marketing tool.

He relies on word of mouth to sell his work but given the village has no paved road, there is little passing trade and the village remains off the tourist trail that is beginning to emerge in the valleys below.

Long considered opening an online shop on Taobao, an online commerce site similar to eBay, but feared his work would be copied.

"No-one knows about us. We hope to develop our own Kongbai brand name," he says.

New designs

To reach a wider market, Long has experimented with new designs.

Traditionally, the silversmiths in the village, home to members of the Miao ethnic group, made the elaborate head-dresses and hair pieces that are worn by women on festivals, weddings and other special occasions.

Using knowledge gleaned during his time outside the village, Long turns traditional Miao symbols like butterflies, fish and drums into modern pendants, charm bracelets and anklets.

"We have to follow the trends. It helps promote our skills as traditional craftsmen."

But it's not a get rich quick strategy.

His family is reliant on their land for food and a dry spell this summer means that some crops have failed.

Monthly profits from silver-smithing are less than a third of the 7,000 to 8,000 yuan (US$1,200) he earned at the shoe factory.

He also worries that tourists buying Miao silverware can't tell the difference between machine and handmade work and won't be prepared to spend the extra money on the handcrafted pieces he produces.

Nevertheless, he's hopeful his efforts to revive his village's time honored trade will pay off and allow his 15-year-old son to avoid the factory towns and become the thirteenth generation of his family to work as a silversmith.

"I don't want to be the last," Long says.

@highlight

Chinese migrant workers like Long Taiyang are heading home

@highlight

They are attracted by better economic opportunities inland

@highlight

Long wants to revive village's ancient silversmith trade

@highlight

Doesn't want son to work in factories