(CNN) -- Perhaps the most interesting kick of the World Cup so far comes from a young adult who is paralyzed from the waist down.

Clad in a metal vest, sporting a blue cap dotted with electrodes, he kicked off the world's biggest soccer championship in an exoskeleton.

It was, according to the scientist behind the exoskeleton's kick, "meant to shock the world."

But even more shocking than the exoskeleton's first tentative steps is learning how it worked: controlled by the paralyzed patient's mind.

Let's back up.

Before there was a mind-controlled exoskeleton, there was a neuroscientist named Dr. Miguel Nicolelis who was curious about "brain storms," flurries of activity caused by neurons at any given moment.

"We have about 100 million cells interconnected in our brains," said Nicolelis, a professor of neuroscience at Duke University. "They communicate with one another through electrical signals."

Nicolelis wanted to know how brain storms generated behavior, so he began recording them.

"We wanted to understand how large populations of brain cells interact," how memories are built, how we move our bodies or how we sense the world around us, said Nicolelis.

Scientists quickly realized that decoding the alphabet of neurons in the brain meant that its language could be transmitted to devices outside the brain.

Thus began the creation of the mind-controlled exoskeleton, or what Nicolelis and his colleagues call a "brain-machine interface," a way of connecting brain tissue to artificial devices.

"We realized that there was a tremendous potential application for rehabilitation in severely paralyzed patients," Nicolelis said.

Paper-thin electrodes (that can both record and transmit neuronal information to the exoskeleton) are the conduit between the patient's brain and the exoskeleton. In the case of human patients, most of the electrodes reside in a cap that he or she wears.

The patient thinks about moving, the generated activity is translated, and that activates the exoskeleton.

"We are able to show that you can read the signals and send them to devices," said Nicolelis, adding that the devices, in turn, move according to the voluntary intention of the patient.

That is the simple explanation. What is more complicated is how brain signals, muscle movement and spinal cord activity all coalesced into that dazzling opening kick.

Nicolelis is hoping to build on what he and his team have already accomplished to create a full-body exoskeleton. That will involve recording tens of thousands of neurons simultaneously, he said.

"(One day) we'll be walking in New York and we'll see a person walking on the streets that could not walk before," he said. "I think in our lifetime we'll see that."

@highlight

Paralyzed patient kicks off the 2014 World Cup in an exoskeleton

@highlight

Exoskeleton is controlled by the patient's mind

@highlight

Neuroscientists call it a "brain-machine interface"