(CNN)Every age has the heroes it deserves, as the saying goes. To judge from the success of the movie "American Sniper," the hero of the current moment would be the trained killer.

Director Clint Eastwood's movie has been highly praised and loudly criticized. Each new round of critical and public controversy over its presentation of war, veterans and their families boosts its ticket sales higher. It is the highest grossing war movie ever made in the United States.

Why has this movie become "a cultural phenomenon," as many term it? The answer lies in its focus on the figure of the sniper, whose military role isolates what is universally most fraught about warfare -- the act of targeting and shooting a human being -- and yet who also stands for values that are particularly cherished by many Americans.

Unlike a helicopter or airplane pilot or tank commander -- to cite icons of other times, other wars -- the sniper works alone. He often has a spotter and is in contact with his unit but needs no one else to operate his lethal weapon. It is all about the relationship of the eyes and the trigger finger.

"American Sniper" is at its most ambiguous as an anti-war war film when Eastwood aligns our vision with Chris Kyle's (played by Bradley Cooper), involving us in the emotions and moral dilemmas that come with the kill, even as this highlights the sniper's singular and heavy responsibility.

Opinion: 'American Sniper,' a powerful anti-war film

The sniper embodies the individualism that is sacred to a large swath of the American population. It is the sniper's operational independence that allows his skills to be transferred to the civilian realm. Whether in the woods, at the shooting range, or in combat, the action and the equipment are not dissimilar.

In "American Sniper," the hero's gun is an extension of his personality, as much as he fights against it: Not only through his mechanically enabled vision but also through the prominence of weapons in his private life.  It is not surprising that in the movie Kyle gravitates to the shooting range as a means of easing his transition to civilian life.

War heroes can appear in various guises. There are those who save their comrades in the heat of battle, and those who win accolades for their mastery of the weapons and strategies most valued at that combat moment. Think of World War I crack fighter pilot Manfred von Richthofen, nicknamed the Red Baron, whose skill confirmed aerial warfare's potential.

The sniper's ascent comes in part from his utility in American counterinsurgency campaigns such as those conducted in Afghanistan and Iraq. Drones, too, are part of this warfare in which high technology surveillance sometimes aids that most traditional of combat pursuits -- the manhunt. But the military sniper, long held in suspicion for his independence by Marines and other American military units, has an almost romantic appeal for those immersed in gun culture.

Opinion: Michael Moore is wrong about 'American Sniper'

The Western-style showdown staged in "American Sniper" between Kyle and the crack enemy sniper Mustafa (Sammy Sheik) is not only a nod to Eastwood's filmmaking history, but to a fundamental figure in American history: the lone gunman, on a crusade to make the world safe.

The most effective snipers have psychological as well as physical distance from their targets, which is useful now that the line between military and civilian enemy targets has become increasingly blurred. In counterinsurgency warfare in urban settings, everyone is a potential carrier of grenades or bombs, and uniforms are almost meaningless. In such situations, taboos against killing traditional noncombatants, such as women and children, come to seem outmoded and foolhardy.

Now that the major American military interventions overseas have ended or are smaller in scale, the millions of veterans created just in the past decade will have fewer options. "American Sniper" is a current film in this way as well. It models a transition for the military professional from wartime to peacetime, with gun culture as its constant.

This is, in part, the secret of its success in America: It is an anti-war film that is not anti-gun. Kyle did not become a hero because he died (he was shot to death at a shooting range in 2013 and a fellow veteran is on trial in the case), but because he knew how to kill so well.

He is the perfect hero for a country that has made a cult of the art of precision shooting, whether in combat or at the local range or gun show, and a country that clings to the right to bear arms, no matter how many civilian casualties, Kyle among them, accumulate.

@highlight

Ruth Ben-Ghiat: "American Sniper" has become the top-grossing war movie in U.S.

@highlight

She says America admires the lead character for his individualism and affinity for guns