(CNN) -- To ask what impact Bill Gates has had on computing is, in a way, too small a question. For millions of people in the nearly four decades since he co-founded Microsoft, Gates has defined the entire field.

Whether browsing the Web on Internet Explorer on a PC running Windows or working up a PowerPoint presentation with Microsoft Office before taking a break to game on the Xbox, there are many among us whose entire digital experience have been filtered through products Gates helped create.

On Tuesday, Gates took what may be his final step away from leadership of Microsoft. With the announcement that  Satya Nadella, a 22-year veteran of the company, will take over as CEO, the company also said Gates is stepping down as chairman of its board of directors.

Gates co-founded the company with Paul Allen in 1975 but stepped down as CEO in 2000. He then spent eight years as Microsoft's chairman before stepping away from full-time work there in 2008 to focus on his charitable work through the Bill & Melinda Gates Foundation.

Rather than exiting the stage at the world's largest computer software company, Gates may actually be getting more active. He'll take on a new role as an adviser to Nadella, putting him back on Microsoft's Redmond, Washington, campus more often. It will also put him nearer to the heart of innovation the company will need to keep up with rivals like Apple and Google at the top of the consumer-tech industry.

If he succeeds in helping Microsoft get back its swagger, particularly in a fast-growing mobile world dominated by Apple and Google and in the increasingly important field of cloud computing, it would be a final contribution to a career that has virtually defined an industry.

"Bill Gates is one of the pioneering giants of the information age," said Merv Adrian, a software and hardware analyst at Gartner Research. "Driven by the belief in a computer in every home, on every desktop, he helped to build one of the largest firms in the world to achieve that goal -- and arguably succeeded."

For starters, Microsoft was the world's first real software company. Although there are hours of bare-knuckle geek brawling to be done over whether Gates and Microsoft or rival Steve Jobs and Apple were the true innovators on early computer interfaces, there's no question as to who succeeded in making software for the masses.

The result was something approximating that computer-on-every-desk dream. By making software a money-maker for itself and third-party developers, Microsoft helped retailers sell computers for less, making them accessible to more of the public.

Whether it was MS-DOS for early IBM machines or the more seismic release of Windows in 1985, Gates was behind them all.

Despite his reputation as an aggressive -- some would say predatory -- businessman, he has never been confused with a numbers guy who leaves the real work up to subordinates.

Gates wrote his first computer program, a tic-tac-toe game, at age 14 and formed his first company, again with Allen, at 17.

In Microsoft's early years, he wrote every line of code for the company's software while managing its business side. In that way, he set himself apart from rival Steve Jobs, who had a brilliant sense of design but was never much of a software engineer.

Gates' exacting product reviews were legendary within Microsoft, a fact that observers say puts him in a select fraternity of two in the computer world.

"The more time Bill spends on product development, the better," Geoffrey Moore, author of the technology marketing book "Crossing the Chasm," told the San Francisco Chronicle. "He and Steve Jobs seem very different on the outside, but at their core, they were very similar. They both see things that others don't see, and they're both very demanding."

As the years went on, Microsoft products continued to become more ubiquitous -- so much so that the company's seeming stranglehold on the computing world led to monopoly claims and antitrust lawsuits in the late '90s and early 2000s.

Despite Apple's inroads, Windows continues to have more than 1.3 billion active users worldwide.

PowerPoint, part of the massively popular Microsoft Office suite of productivity tools, has joined the likes of Kleenex, Xerox and Coke in the pantheon of brand names used synonymously with an entire category of products.

Many PC users have probably never created a document without Microsoft Word, and number-crunchers everywhere would be lost without Excel's spreadsheets.

Microsoft's Hotmail, despite becoming seen as unfashionable by younger users, remained the world's most popular free e-mail service until 2012, when it was passed by Gmail before Microsoft merged it with Outlook.

And of course there's the Xbox, which became one of the gaming industry's "Big Three" consoles, along with Nintendo's Wii and Sony's PlayStation, upon its release in 2001. Thirteen years later, the new Xbox One continues to do battle with the PlayStation 4 for the hearts and wallets of gamers.

All were delivered under the guidance of Gates.

"The pervasiveness of information technology was by no means clear when he began driving to it," Adrian said. "And today it is a fact of life, embedded into everyone's life to a degree that only science-fiction writers imagined when he was building his first software."

Will Gates' new role mean a batch of new products that we'll still be talking about 10 or 20 years from now? That may be a stretch. But in a video message posted online Tuesday, Gates said he'll be "substantially increasing" the time he spends at Microsoft. And he sounds up to the challenge.

"Microsoft has a long history of innovation, going back to the beginning, where the vision of the personal computer was something that Microsoft helped bring to life," he said. "Our vision of the platform ... really initiated the entire software industry.

"As the industry changes, we have to innovate to move forward," he said. "It'll be fun to define this next round of products working together."

@highlight

Bill Gates is stepping down as chairman of Microsoft's board

@highlight

But he'll actually be there more as an adviser to new CEO

@highlight

Under Gates, Microsoft has defined the computing world

@highlight

Gates' company has defined desktop and workplace computing