(CNN) -- The fatal gang rape of a young woman in the Indian capital of New Delhi sparked weeks of angry protests and prompted heated debates about the pervasiveness of sexual violence in Indian society.

CNN asked people in India and the Indian diaspora for their thoughts on the case and the subsequent charges brought against six people, and also asked women for their personal experiences.

Responses ranged from anger at the system, which they feel failed the young woman who died, to recollections of the harassment they have suffered personally.

"I have been hooted at, I've been called names and told to dress modestly, and let me remind you this is from people my own age and not older conservative people," said charity consultant Meera Vijayann from Bangalore.

iReporter: Rape 'still not seen as a human rights violation in India'

"This girl could have been me, it could have been any of my friends and no-one would have taken us seriously."

Proposals to install "fast track" courts for rape cases marked a promising start, she said, but she added that it would take more than just statutes to stop such tragedies.

Violence against women in India is widespread. More than 220,000 incidents were reported in 2011 alone, according to Indian government statistics. Human rights activists point out that, due to under reporting, the real figure is most likely much higher.

But it's not just the statistics -- it's the mindset, many Indians said. Following the attack, there was further outrage when the Indian president's son, Abhijeet Mukherjee, dismissed women who had flocked to the streets to protest against the case as "dented and painted," comments for which he later apologized.

Read more: The perils of being a woman in India

Such victim-blaming, they said, must stop.

"There is a sexist mindset, politicians have made silly remarks about women and how they should wear modest clothes, not go to parties," Vijayann said.

"If they make the laws how will it benefit us? People have to change the way they think."

Despite such comments making headlines, many Indian men were quick to express their outrage at the attack.

Akash Bhattacharya, a software engineer from Bangalore, attended some of the protests and candlelight vigils that erupted in Indian cities after reports of the case emerged in local media.

He said he had felt "ashamed" as a man to hear the news and called for a shift in attitudes towards women and how they are treated.

iReporter: 'I'm ashamed as a man in my own country'

"Harsher punishment will stop a case here and there, but that will not change our mind set," he said. "When will our conscience overpower our instincts?"

Siddharth Katragadda, an artist and writer from India now living in San Diego, California, said that for the first time in India's history, "We're realizing that we cannot protect our women by hiding them behind tradition and values."

India, he said, was experiencing a schism between a value system that relied on shutting women away to one where external forces such as the police and the criminal justice system were looked to for support and justice.

"For centuries, India protected its women against such crimes by hiding [them] behind strict rules of personal fashion and even stricter traditions," he said.

"Now, urban Indians look -- as the West does -- to its laws and policing to protect its women. What we're seeing is clash of those opposing cultures."

More: 'India has woken up and realized that change is needed'

Nonetheless, he was also quick to point out that India is far from the only country with endemic sexual violence.

"Rapes are crimes of opportunity that occur in every corner of the world, not just India," he said.

Five of the suspects were formally charged on Thursday with the murder, rape and kidnapping in a New Delhi court, senior police officials said, while another is awaiting age tests to determine if he is old enough to be tried in an adult court. Several of the charges carry the death penalty if they are convicted.

There are hopes amongst Indians that the potent mix of public anger, political nervousness and global pressure may impress on authorities the need for action to prevent such crimes happening again.

The sheer horror of the case has also increased calls from some protesters for use of the death penalty, which is legal but rarely used in India.

Images of angry demonstrators carrying mock hangman's nooses and signs calling for the suspects to be killed have left little doubt that there are some in India keen for this sentence to be carried out if the men are convicted.

Others, however, were more circumspect, citing sanctity for life, or the possibility of rehabilitation or change.

"I believe rape is the most grave crime as the victims die two times, once physically and one emotionally, so the [suspects] must be given severe punishment [if convicted] which can make them realize how painful it is," said Dorjay Namgail from Chandigarh, northern India, on Facebook.

"But I think we should abandon capital punishment. Every human being has the capacity [to] transform themselves into a good, law abiding citizen."

More: Remembering the New Delhi gang rape victim

The sheer tragedy of the case has also prompted some outside of India to take action, from sharing thoughts and condolences on social media to organizing vigils in honor of the unnamed victim.

Reena Combo, a media specialist living in Birmingham, England, whose family comes from New Delhi, decided to organize a vigil after her tweets about the case sparked an outpouring of emotional responses and pleas to take action.

"People were saying 'you work in media -- you can do something!'" she said. "So I decided to put together a vigil in my home town."

"A lot of people want to pay their respects and show solidarity for this woman who died in such a traumatic way. Hopefully now Indian women will feel more empowered to speak out."

Opinion: End culture of rape in 2013

@highlight

iReporters and commenters expressed outrage at Delhi gang rape case

@highlight

Calls for changes not just in the law but in Indian culture and attitudes towards rape

@highlight

Some have organized vigils in their own nations to honor victim