(CNN) -- A college degree can be an important gateway to employment, a career and a better standard of living. But a college degree does not equate to someone's level of intelligence or talent. For those seeking the best workers or leaders, there is a plethora of intelligent, inventive people without degrees who should not be overlooked.

Recognizing this does not negate the importance of a college education -- the intellectual knowledge, access to a wide array of subjects and experience gained on a college campus can be transformative. Studies demonstrate clearly that without a college degree, you will likely earn less, be more liable to be unemployed and have fewer opportunities for career advancement.

The challenge is that access to college has become more limited. At a time when degrees are so important to income potential, they are going increasingly to privileged and affluent young people. As the 2010 book "Rewarding Strivers" points out, among those who scored in the highest quartile of a national standardized test, those from affluent families were twice as likely to attend college as those from poorer families.

So a lot of talent goes unrecognized and undeveloped. And those without college degrees aren't necessarily less driven or intelligent than those with degrees. Michael Ellsberg, author of "The Education of Millionaires," argued in The New York Times recently that the skills of entrepreneurs are not learned "crouched over a desk studying for multiple-choice exams." Indeed, years ago Northwestern Mutual Life Insurance created a research-based entrepreneurship test that deducts a substantial number of points if you were a high achiever in school.

This is what we have found at Public Allies over the past two decades. We have worked with thousands of young adults without college degrees and have seen many achieve incredible success (with many eventually completing degrees). We've seen a single mom in community college become a White House lawyer, a former gang member create a youth development organization and a woman raised in foster care work for a foundation reforming foster care systems.

I share these and many other stories in my book, "Everyone Leads." When we equate talent, competence and character with credentials, we block a lot of superstar leaders our businesses, communities and country need.

Here are examples of other superstars who did not complete college on their rise to the top:

-- We all know the story of Steve Jobs, who dropped out of Reed College. Since the days of Henry Ford and Thomas Edison, many business leaders got their starts without the benefit of degrees, including Larry Ellison of Oracle, Bill Gates and Paul Allen of Microsoft, Mark Zuckerberg and Dustin Moskovitz of Facebook, Michael Dell of Dell Computers, Brian Dunn of Best Buy, Anna Wintour of Vogue, Barry Diller of IAC, John Mackey of Whole Foods, David Geffen, Ralph Lauren and Ted Turner.

-- David Plouffe, senior advisor to President Barack Obama and architect of his innovative and historically unprecedented campaign, dropped out of the University of Delaware to work in politics (returning to complete his degree in 2010). President George W. Bush's top adviser, Karl Rove, and John McCain's 2008 campaign manager, Steve Schmidt, also lacked degrees.

-- Scott Walker, the governor of Wisconsin, dropped out of Marquette University. He is joined by Gov. Jan Brewer of Arizona, Gov. Gary Herbert of Utah, U.S. Sen. Mark Begich of Alaska and 33 members of the U.S. House of Representatives.

-- Maya Angelou has received many honorary doctorates but never attended college to learn her craft. She's in good company with many other great American writers, such as Gore Vidal, August Wilson, Mark Twain, William Faulkner, F. Scott Fitzgerald, Robert Frost, Joseph Brodsky and Harper Lee.

-- Woody Allen is loved by intellectuals for his philosophical films, but he did not gain his style on a campus, having flunked out of City College of New York. Other Oscar winners without degrees include Clint Eastwood, James Cameron, Robert Redford, Michael Moore, Sidney Pollack, George Clooney, Hillary Swank, Tom Hanks, Julia Roberts and Steven Spielberg (who completed a degree in 2002).

-- Oprah Winfrey left Tennessee State University in 1976 to begin her career in media (completing her degree in 1986). Top talkers without degrees include Larry King, Ellen DeGeneres, Jimmy Kimmel, Joy Behar, Rosie O'Donnell and conservative talkers Rush Limbaugh, Glenn Beck and Sean Hannity.

-- Brian Williams attended three schools and completed 18 undergraduate credits before working his way to NBC News anchor. Peter Jennings, Walter Cronkite and John Chancellor were also anchors without degrees. And many reporters and columnists never completed college, including Nina Totenberg of NPR, Carl Bernstein of The Washington Post and former New York Times columnist and wordsmith William Safire.

-- Alicia Keys has made a name for herself as a singer, songwriter and political activist. She joins an exclusive club of singer/activists without degrees that includes Bruce Springsteen, Bob Dylan, Joan Baez, Steve Earle and Jon Bon Jovi.

The point of this list is not to disparage higher education -- it is still the best pathway to success. But imagine if venture capitalists had denied Steve Jobs or Bill Gates support because their resumes lacked a diploma, or if producers had denied Oprah Winfrey a television show because she had not completed her degree.

We need to make college more accessible to smart people from all backgrounds, while also being careful not to judge talent, character or competence primarily by higher education credentials. Our nation should be a ladder of opportunity for the best talent, regardless of background.

The opinions expressed in this commentary are solely those of Paul Schmitz.

@highlight

Paul Schmitz: A college degree does not equate to someone's level of intelligence or talent

@highlight

Furthermore, degrees are increasingly going to privileged and affluent people, he says

@highlight

Schmitz: Some of the biggest figures in the arts, politics and business don't have degrees

@highlight

Our nation should be a ladder of opportunity for talent, regardless of background, he says