Washington (CNN) -- A same-sex couple has been turned away at the Supreme Court in a cross-state dispute to have both of them officially listed as the parents of an adopted 5-year-old boy.

The justices rejected the California couple's appeal Tuesday without comment. The couple claims that Louisiana, where the child was born, has an unconstitutional policy against adoption by unmarried partners. The state used that policy to justify naming only one of them on an amended birth certificate.

The men, Oren Adar and Mickey Ray Smith, argue gay couples have a due process right to be listed on such certificates as joint custodial parents. A federal appeals court ruled against the couple earlier this year.

Some civil rights groups had urged a high court review, saying the case would have broader implications in the current legal fight in state and federal courts over same-sex marriage and whether states -- and Washington, D.C. -- must honor legal rights that gays and lesbians enjoy in other states.

The men, who live in San Diego, legally adopted a 1 year-old boy from Shreveport, Louisiana, in 2006. The adoption was finalized in New York state, where the couple was then residing.

In their appeal, spearheaded by the gay rights advocacy group Lambda Legal, the couple said it was important both practically and symbolically they both be listed as the legal parents.

"Obtaining an amended birth certificate that accurately identifies both parents of an adopted child is vitally important for multiple purposes, including determining the parents' and child's right to make medical decisions for other family members at the necessary moments; determining custody, care, and support of the child in the event of a separation or divorce between the parents," the legal brief said.

Lawyers for the men also said it is vitally necessary for Social Security and tax purposes, inheritance, insurance, school registration, and obtaining a passport.

Adar and Smith tried to have the birth certificate changed in Louisiana. All states have laws creating a right to accurate, amended official birth and identity documents that would be recognized in other states and by the federal government.

Darlene Smith, Louisiana's registrar of vital records and statistics, refused their request. She took the position that the term "adoptive parents" in the applicable section of state law applies only to married parents, because in Louisiana, only married couples may jointly adopt a child.

Louisiana state officials argued they did not refuse to recognize the New York adoption decree, and had offered to list one of the parents on the official amended birth certificate. But Adar and Smith insisted both of them should be named.

In a statement, Lambda Legal said it was disappointed in the court's discretion to stay out of the dispute. "This decision leaves adopted children and their parents vulnerable in their interactions with officials from other states," said Kenneth Upton, a senior staff attorney with the group.

"More particularly, this decision leaves a child without an accurate birth certificate listing both his parents," Upton added. "This issue now moves into the legislative arena. We need to push for a change in Louisiana state policy in order to stabilize and standardize respect for parent-child relationships for all adoptive children."

The 5th Circuit U.S. Court of Appeals in New Orleans ruled in April that Adar and Smith could not file a federal civil rights claim under the Constitution's "full faith and credit" clause. That refers to Article IV, Section 1, which says states must respect the "public acts, records, and judicial proceedings of every other state."

The full 16-member court, in an 11-5 ruling, concluded the clause applies only to court actions, not those of state legislators or executive officials, and added that "there is no legal basis on which to conclude that failure to issue a revised birth certificate denies 'recognition' to the New York adoption decree."

More importantly, the court said states have the power to make their own decisions about issuing birth certificates.

"Adoption is not a fundamental right," said the appeals court, citing studies that found marriage provides a more stable environment in which to raise children.

"Louisiana has a legitimate interest in encouraging a stable and nurturing environment for the education and socialization of its adopted children. ... Louisiana may rationally conclude that having parenthood focused on a married couple or single individual -- not on the freely severable relationship of unmarried partners -- furthers the interests of adopted children."

Tuesday's decision by the justices not to intervene is the final legal defeat for Adar and Smith on the certificate question, but does not affect their continuing custody of the boy.

The case is Adar v. Smith, State Registrar (11-46).

@highlight

The couple wants both their names listed on birth certificate

@highlight

Louisiana only recognizes married couples as adoptive parents

@highlight

Lambda Legal says the decision leaves same-sex couples vulnerable