In a victory for same-sex marriage supporters, the United States Supreme Court struck down the Defense of Marriage Act (DOMA) in a 5-to-4 decision. The law had denied federal recognition to same-sex couples. On the other side of the world, in China, the fight for gay rights is making progress.

It is a common cliché to say that China is changing. News of breakneck economic growth, however, has often overshadowed the country's "soft" development. In the social arena, gays and lesbians, a once shunned minority, have become increasingly more assertive.

When the Beijing LGBT center opened on Valentine's Day 2008, it didn't make the cover of The People's Daily, however, it was a major milestone for the Chinese gay and lesbian community. "We wanted to create an LGBT friendly space," said Iron, the center's program director. "There were not so many LGBT organizations in Beijing."

Iron is one of the many nicknames the 27 year old employs for her protection. "In China advocacy is dangerous," she said.

UK's House of Commons approves same-sex marriage

Since coming to Beijing from her native Hubei, Iron has thrown herself into the world of professional advocacy.

Earlier this year, she and another female colleague staged a dramatic wedding protest by demanding a legal marriage certificate at Beijing's Dongcheng District Civil Affairs Bureau. It was the latest in a string of similar protests which have occurred in China since 2010.

While the same-sex marriage debate is still too exotic for most Chinese, there have been successes on other fronts.

In 1997, China abolished the crime of "hooliganism," largely used as a pretext for criminalizing homosexual and other undesirable behaviors. It came a full six years before the United States Supreme Court struck down similar state anti-sodomy laws.

In 2001, the Chinese Psychiatric Association removed homosexuality from its list of psychiatric disorders and most recently, an update to China's "Exit-Entry Administration Law," will allow foreign same-sex couples in Beijing to apply for dependent residence permits as of July 1, 2013.

For the next generation of Chinese urbanites, the wealthiest, worldliest and best educated in history, the laws are of little concern.

It's no big deal for William Wu, a gay 21-year-old software student at Tsinghua University. "I knew when I was in 8th grade," he said. "All of my close friends know."

Wu, a regular patron of Beijing's thriving gay nightlife, is still not out to his parents and in many ways his primary concerns are strikingly similar to his American counterparts. "I won't let [my parents] know before I graduate," he said. "When I have the ability to live on my own, I will probably let them know."

French president signs same-sex marriage bill into law

While his university offers no formal resources for LGBT students, the growth of social media has allowed young people throughout China to supersede official channels. Catering to a mostly gay clientele, websites like Feizan.com and smartphone applications like Jack'd serve as virtual meeting spaces for China's emerging gay demographic. These sites operate openly and without restriction.

Nothing better sums up the transformation than how the Chinese language itself has adapted. Today the most common term for gay in China is "tongzhi," an ironic rebranding of the old revolutionary word for "comrade." This has largely supplanted the more clinical and negative "tongxinglian."

Much work remains however. A 2013 Pew poll found that 57% of China's population was against the acceptance of homosexuality and only 21% in favor. "Most Chinese still don't have consciousness about LGBT issues," said Iron, who added that older people "think it is something from the Internet, or something brought over from Western countries."

The LGBT center itself has often been an unwelcome presence in its upscale neighborhood. Twice their landlord has tried to evict them which Iron speculated was likely the result of community pressure.

Outside of the major cities too, China's gay and lesbian citizens still face many challenges.

AJ Song, a 26-year-old Beijing entrepreneur is out to everyone he knows in the capital, but back home in his native Guizhou, one of China's poorest provinces, it is a very different story.

Gay marriage around the world

"I would not say it is bad. I would say it is hard," said Song, adding that rural Chinese "don't have any knowledge about gays."

Song, who like most of his generation is an only child, knows his parents want him to marry and have children.

The pressure to wed and continue the family line is deeply rooted in Chinese history. One of China's most influential ancient thinkers, Mencius (Mengzi), once opined that "of all the ways a son can be disrespectful to his parents, the worst is to have no offspring."

Family pressure combined with the lingering social stigma has resulted in the phenomenon of "tongqi" or women who unknowingly marry gay men. Li Yinhe, one of China's most eminent sexologists and sociologists has estimated that there are as many as 16 million such women in China today.

"Divorce is difficult for women," said Iron, alluding to its cultural taboo. She added that stories of depression and even suicide were not uncommon among tongqi once they discovered the truth.

Still, the future for gay and lesbian Chinese looks promising. The Pew study found that wealthy countries where religion did not play a central role in society tended to be among the most accepting. China, with little organized religion and a surging GDP, increasingly fits the mold. But does that make full gay and lesbian acceptance inevitable? The answer is still anyone's guess.

Who will legalize same-sex marriage next?

@highlight

China's gay, lesbian, bisexual and transgender community is becoming more assertive

@highlight

There have been some successes but same-sex marriage is still taboo subject for many

@highlight

Social media allows communities to thrive online without restrictions

@highlight

Family pressure has resulted in "tongqi," women who unknowingly marry gay men