(CNN) -- This summer, a group of University of Kentucky students and staff has been patrolling campus grounds -- scouting out any student, employee or visitor lighting a cigarette.

Unlike hall monitors who cite students for bad behavior, the Tobacco-free Take Action! volunteers approach smokers, respectfully ask them to dispose of the cigarette and provide information about quit-smoking resources available on campus.

The University of Kentucky is one of more than 500 college campuses across the country that have enacted 100% smoke-free or tobacco-free policies as of July 1. Although policy enforcement varies from school to school, most prohibit smoking on all campus grounds, including athletic stadiums, restaurants and parking lots.

An increasing number of colleges adopted smoke-free or tobacco-free policies in the past few years, according to American Nonsmokers' Rights Foundation Project Manager Liz Williams. In the past year alone, 120 campuses were added to the smoke-free list.

The most successful policies have been grass-roots efforts driven by students and campus employees.

"They typically come about because students and faculty are questioning the role of tobacco in an educational setting and deciding to discourage its use and exposure," Williams said.

About 46 million Americans age 18 and older smoke cigarettes, according to the Centers for Disease Control and Prevention. A 2010 American College Health Association report found that out of 30,093 students surveyed at 39 colleges, 4.4% had smoked every day in the past 30 days.

Since the first surgeon general report declaring the negative effects of smoking in 1964, smoking has become "socially less acceptable" among people of all ages, especially college students, says Laura Talbott-Forbes, chairwoman of the health association's Alcohol, Tobacco and Other Drugs Coalition.

"There's a very health-conscious, socially aware student that we have on campus these days," she said.

Should smoking be banned in public?

The smoke-free spree

It wasn't until the early 2000s that 100% smoke-free campuses began popping up across the United States.

Ty Patterson, the former vice president of Student Affairs at Ozarks Technical Community College in Springfield, Missouri, says he started the first smoke-free campus in 2003, but the idea was planted in 1999.

"The president came to me and said, 'Ty, we've got problems. You can't get in and out of doorways without going through a corridor of smoke,' " Patterson recalled.

Patterson, who had quit smoking two years prior, set out to find a higher education institution that had managed to eliminate tobacco on campus. To Patterson's dismay, there weren't any.

"When I explained to (schools) what we were thinking about doing, they said ... 'We'd love to be able to do that, but we don't know how,' " he said.

Over the next four years, Patterson developed a policy in which trained staff members held polite conversations with students and faculty who violated the smoking rules. The first violation is a warning. The second and third result in $15 fines or two hours spent picking up tobacco litter. For any further violations, the offender is placed on probation or asked to leave the school.

Although some employees vehemently opposed the policy, Patterson says, no staff member ever reached the third violation, and only two students were placed on probation from the time the school enforced the policy in October 2004.

Ozarks Technical spent more than 3½ years developing the initiative and educating students and staff about the forthcoming policy. However, Patterson -- who has now helped more than 500 schools, hospitals and businesses implement smoking bans as the director of the National Center for Tobacco Policy -- says most campuses today can effectively institute a policy in one year since there's less resistance to the concept than in 2003.

Early morning smokers have higher cancer risk

It really works

The University of Michigan enacted a smoke-free policy on July 1. Campus officials spent three years researching policies and forming focus groups, committees and surveys to seek student and faculty input.

Since the ban was implemented, school Chief Health Officer Dr. Robert Winfield says, it's uncommon to see smokers anywhere but along city of Ann Arbor sidewalks -- where smoking is permitted. He cited one entrance to the Michigan Union known as a smoker hot spot. When he visited the area recently, he noted, "there wasn't a smoker in sight."

In 2009, the state of Kentucky had one of the highest smoking rates at 25.6%, according to the CDC.

Since the University of Kentucky turned smoke-free in November that year, an increasing number of people have sought tobacco treatment services. In 2008, 33 people enrolled in a tobacco cessation program. After the policy's first year, enrollment rose to 146 people, according to Ellen Hahn, director of UK's Tobacco Policy Research Program. The number of nicotine replacement coupons redeemed by students and faculty also increased from 124 to 470 in the same period.

For smokers visiting the campus, UK offers nicotine cessation products, such as gum or patches, for $5 at several locations.

"We're trying to make it comfortable for people so they don't feel like they have to light up and violate the policy," Hahn said.

Secondhand smoke boosts kids' ADHD, learning disability risks

Policy patrol

During the first semester of a smoking ban, Patterson recommends that universities not come down with a heavy fist and instead educate the community about the policy and the negative effects of tobacco.

Nearly two years later, the University of Kentucky still doesn't exercise strict enforcement. "We certainly don't have smoking police," Hahn said.

Instead, smoke-free supporters like senior Melissa McCann, a Tobacco-free Take Action! volunteer, remind smokers of the ban. McCann said the 10 smokers she asked to extinguish their cigarettes this summer all complied.

"In a tobacco state, you might think we'd have more backlash and opposition than we did," said Hahn, explaining that only a few students held a protest the day the policy launched.

Regardless of the health benefits, opponents argue that smoke-free policies infringe on people's rights. Michigan senior Graham Kozak, president of the College Libertarians, says smoking is a "personal choice."

"It's not within the scope of the university's responsibilities to decide that smoking is an activity that we as adults shouldn't engage in," he said.

Jonathan Sternberg, an attorney currently fighting a citywide smoking ban in Springfield, Missouri, says smoking bans "just don't really make sense."

"Any time you tell (people) that they can't do something they want to do, really they're just going to do it anyway. ... All you're doing is encouraging disrespect for authority," Sternberg said.

Smoking in pregnancy linked to serious birth defects

A smoke-free future

The University of Florida went tobacco-free in July 2010, and Valencia College in Orlando plans to adopt the policy in 2012. This spurred students at Seminole State College of Florida to talk with administrators about following their lead, says Student Government Association President Krizia Capeles.

In response, the association plans to distribute a ballot this fall, in which students will vote for or against a smoking ban.

Patterson predicts that nearly all college campuses in the United States will be 100% smoke-free in 10 years. Talbott-Forbes, too, says it's a possibility -- mentioning how professors once smoked in their offices but can't today.

"We've gone from pushing smoking out of the building ... to now trying to push smoking totally off campus," she said.

Although it may take time to sink in, Hahn said, people eventually "get it."

"They get the idea that tobacco use just isn't accepted here."

@highlight

About 530 colleges across the country that have enacted 100% smoke-free policies

@highlight

Ozarks Technical Community College in Missouri started the first smoking ban in 2003

@highlight

More smokers have sought treatment at University of Kentucky since it banned tobacco in 2009

@highlight

Some expect smoking bans to spread to all college campuses