(CNN) -- "Government should be transparent. Transparency promotes accountability and provides information for citizens about what their Government is doing. ... My Administration will take appropriate action, consistent with law and policy, to disclose information rapidly in forms that the public can readily find and use." -- President Barack Obama, memo to heads of executive departments and agencies, 2009

"The basis of our governments being the opinion of the people, the very first object should be to keep that right; and were it left to me to decide whether we should have a government without newspapers, or newspapers without a government, I should not hesitate a moment to prefer the latter." --Thomas Jefferson to Lt. Col. Edward Carrington, Continental Army, 1787

Journalists are hardwired to be pro-transparency, pro-leaks and pro-whistleblower. They're not supposed to cozy up to the powerful; they're supposed to confront them. Their job isn't just to comfort the afflicted, but also to afflict the comfortable. And above all, the media have a sacred duty to act as a watchdog against the excesses of government.

And if there is one thing that the Obama administration finds itself with an "excess" of at this point -- a little more than 100 days into its second term -- it's government excess.

This White House has been horrible at transparency. In 2010, in more than a third of the requests for public records, the Obama administration didn't provide any information. In fact, the administration has released fewer records under the Freedom of Information Act than were released during the George W. Bush administration.

And in the case of "Fast and Furious," where U.S. law enforcement agents allowed illegal guns into Mexico so they could track them -- and then lost track of them -- we're no closer to knowing the truth about who was responsible. Attorney General Eric Holder was held in contempt of Congress during a dispute over requested documents and President Obama went so far as to invoke executive privilege to keep from releasing those same documents.

The administration knows all about secrecy. Nonetheless, these days, you need a program to keep straight all the scandals of officials in the executive branch secretly doing things they're not supposed to be doing.

The Justice Department is investigating the Internal Revenue Service for unfairly scrutinizing conservative groups thought to be aligned with the tea party. And so who will investigate the Justice Department for spying on The Associated Press? The IRS should do it. Just to keep things even.

Welcome to the Obama administration's chaotic version of the second-term curse, where the common theme is government officials, either with or without the blessings of higher-ups, abusing their power.

The Associated Press revealed this week that the Justice Department, in April and May 2012, used subpoenas to secretly help itself to two months' worth of phone records from journalists. Those targeted included at least five reporters, an editor and AP Washington bureau chief Sally Buzbee.

The Justice Department was interested in the conversations of anyone who worked on a May 7, 2012, story about the CIA thwarting a terrorist plot in Yemen. The administration wanted to know who was leaking information to the AP, so rather than monitor the phone lines of its own employees, it monitored the phone lines of the journalists who might be receiving that information.

According to the news agency, 20 different phone lines were tapped, including not just work phones and the AP's main switchboard, but also the journalists' home and cell phones. In all, according to the AP, when you count all the people who came in contact with the phones in question, more than 100 journalists could have been affected. Is it cold in here? I just felt a chill down my spine.

It is all part of the government's aggressive crackdown on leaks to the media. The Obama administration has prosecuted six leak-related cases. That's more than all previous administrations combined.

On Monday, AP President and CEO Gary Pruitt fired off a letter to Holder condemning this "massive and unprecedented intrusion" into the agency's reporting.

Pruitt wants the Justice Department to return the phone records and destroy any copies.

That would the smart thing to do. I've known Pruitt for more than 20 years, since he was a young publisher of my hometown newspaper in central California, The Fresno Bee. He's a smart and tough newspaperman who originally came into this business as a media lawyer. He won't be intimidated, and he won't let this go. When the government counterpunches, Pruitt will hit back even harder.

The counterpunching has already begun. On Tuesday, Deputy Attorney General James Cole sent a letter to Pruitt defending the decision to grab the phone records. Cole insisted that the subpoenas were "drawn as narrowly as possible" and aimed at collecting "limited subject matter."

Not good enough, said Pruitt in a quick response. Saying that Cole's letter did not "adequately address our concerns," Pruitt questioned how such a sweeping investigation could be called "narrowly drawn."

My friend is right on the money, and he's right to raise a ruckus. A line has been crossed here. Every journalist in America ought to be outraged by the hubris of this administration, as should every American who believes -- along with Thomas Jefferson -- that the press has a solemn duty to inform the public as to what government is doing in its name.

And it's hard for the media to keep tabs on the government when the government is busy keeping tabs on the media.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

President Obama told agency heads to make sure government is transparent

@highlight

Ruben Navarrette says administration hasn't delivered on that goal

@highlight

He says monitoring of the AP shows a disregard for the proper role of journalists