Washington (CNN) -- The candidate who campaigned on ending American-fought wars has become a president who finds himself repeatedly deciding on, planning for and sometimes declining military incursions.

After authorizing a troop surge in Afghanistan, air support in Libya, and limited military aid to rebels in Syria, President Barack Obama has now decided to send advisers to Iraq, where Sunni militants are on the move.

The tension that often exists between the executive and legislative branches over foreign intervention, however, is largely absent for now.

Obama diffused any criticism from Congress by notifying it earlier this week that he was dispatching 275 troops to Iraq to bolster security at the U.S. Embassy in Baghdad.

He wrote in a letter to lawmakers that it was "part of my efforts to keep the Congress fully informed, consistent with the War Powers Resolution."

After meeting with senior members of the House and Senate on Thursday, lawmakers reported that Obama insisted that he had the authority for any military action, based on authorization from Congress in 2011 and 2003.

Obama then announced the limited action involving advisers and support for the Iraqi military, and that American combat troops would not be part of the equation.

Obama: Military advisers will go to Iraq, but U.S. not returning to combat

No complaining

He also left the door open for "targeted and precise military action" later on, if the situation required.

Congress has not complained about an overreach of presidential power.

House Democratic Leader Nancy Pelosi said she believed Obama has the authority he needs for the actions he's announced.

They could, however, invoke the War Powers Act -- also known as the War Powers Resolution -- if Obama decides on steps that might include limited drone or air strikes strikes, or any use of ground troops.

Sen. Chris Murphy, D-Connecticut, who is pushing to approve a resolution on the criteria for authorizing military force to replace the one approved after 9/11, also believes Obama has the authority to carry out the measures he's committed to so far.

"But if the President is proposing a long-term commitment of military advisers or a more robust presence than just 300 assets on the ground, then I think he needs to come to the Congress for authorization," Murphy said.

Obama also promised on Thursday to "consult closely" with Congress throughout the process. "Consult" is a broad term that based on previous yet similar scenarios likely means discussing with select members rather than seeking formal authorization.

Obama's history

Discussing "with relevant members" is what Obama did while considering military action in response to the use of chemical weapons by the regime of Syrian leader Bashar al-Assad last year. Many members of Congress were against such action, and it never came about as Syria ultimately agreed to relinquish its chemical stockpiles.

Obama did not seek congressional consent when he authorized action by U.S. warplanes as part of a NATO air mission in Libya, nor when the United States expanded operations in Afghanistan. In both instances, members of Congress complained loudly, but he defended his decisions.

In the case of Libya, the President said at the time that U.S. troops would not be on the ground and so the law didn't apply. In Afghanistan, Obama said congressional authorization to use force approved in 2001 sufficed.

The good and the bad: President Obama's military options in Iraq

War Powers legislation

While the War Powers Act is an effort to give Congress more say in matters when U.S. troops are sent to war, it's been a point of contention.

Congress passed the latest measure in 1973 in response to steps taken by the executive branch during Vietnam, overriding a veto at the time by President Richard Nixon.

The law requires that the president seek consent from Congress before force is used or within 60 days of the start of hostilities, and that the president provide Congress with reports throughout the conflict.

Presidents don't often follow it, saying it violates the chief executive's constitutional authority as commander-in-chief.

"Where you stand on this issue depends on where you sit," said Kal Raustiala, professor of law at UCLA, previously told CNN.

That's why when Obama was a senator and candidate for president, he said the President can't authorize a military attack unless it involves "stopping and actual or imminent threat to the nation."

But now he, as president, has followed the precedent set by those before him who bypassed Congress.

Since the law's passage in 1973, the President used military force without congressional consent in Grenada in 1983, Panama in 1989, Iraq in 1991, Haiti in 1994 and Kosovo in 1999.

A congressionally approved force resolution to pursue al Qaeda after 9/11 was the underlying authorization to go into Afghanistan, and a separate one was approved in 2002 to invade Iraq.

Obama says 'small number' of military advisers going to Iraq

Opinion: Can Obama avoid mission creep in Iraq?

Transcript: Obama's remarks on U.S. response to Iraq crisis

CNN's Ted Barrett contributed to this report.

@highlight

Obama says he is consulting Congress in accordance with the War Powers Act

@highlight

Congress mostly agrees that the President has authority for now

@highlight

President argued against congressional OK for action in Libya

@highlight

War Powers Resolution passed in 1973 over Nixon's veto