(CNN) -- Malaysian officials coordinating the search for missing Malaysia Airlines Flight 370 have been battered by criticism that they have mishandled the investigation into the plane's fate and the public response to the crisis.

Here's a look at some of the notable issues raised by critics:

Malaysian military radar captured signatures of a plane that is believed to have been Flight 370, but it wasn't immediately noticed.

The radar signatures offered evidence that the flight had turned west after its last contact with air traffic controllers, and that contact was lost over the Strait of Malacca. But radar operators did not see it in real time, meaning an opportunity to track the plane while it was in flight may have been lost. While the radar data was the key reason for expanding the search west of Malaysia, it took officials until March 11 -- three days after the disappearance -- to explain why they were looking so far off the plane's expected course. All the while, search efforts continued in places where data showed it could not have been -- the Gulf of Thailand and the South China Sea.

Early briefings seemed chaotic; it was unclear who was in charge.

"Well, I think they didn't have a proper plan in place for such an accident like this," aviation analyst Alastair Rosenschein told CNN's Isa Soares. "They were speaking off the hymn sheet, if you like, and they were making things up as they went along. And they said things, and then they withdrew them without actually saying they withdrew them."

Early on, an official inaccurately described two men traveling on stolen passports as resembling a black Italian soccer player.

"Do you know of a footballer by the name of Batolli?" Malaysian Civil Aviation Director Azharuddin Abdul Rahman asked reporters at an early briefing. "He's an Italian. Do you know how he looks like? Battoli, Battoli, Balloteli, Balloteli."

He was trying, in a roundabout way, to say the men were black, like Italian soccer player Mario Ballotelli. The men turned out to be Iranians seeking asylum, according to investigators. They are not believed to have had any links to terror.

From "none of those on board survived" to "hoping against hope"

On March 24, Malaysian Prime Minister Najib Razak said the plane's flight had "ended" in the southern Indian Ocean. Not long before that, Malaysia Airlines sent a text messages to some relatives, telling them that "beyond any reasonable doubt ... none of those on board survived."

But on Saturday -- after family members had angrily blasted the conclusion as premature and lacking hard evidence -- acting Minister of Transport Hishammuddin Hussein told reporters that he had not entirely given up hope of finding survivors.

"Even hoping against hope, no matter how remote, of course, we are praying and we will continue our search for the possible survivors," he said.

On Monday, Hishammuddin further seemed to further walk back the account offered by the government-owned airline, noting Najib's carefully worded statement that did not mention a crash or a lack of survivors.

A glaring error emerges in the last words from the cockpit

On March 17, Malaysian authorities publicly confirmed the final words from the cockpit as "all right, good night."

The innocuous bit of radio banter became yet another headache for investigators when, after days of prodding from reporters and family members, they released a transcript showing the final words were actually, "Good night Malaysian three seven zero."

It's not that the new language was suspect -- it's not. It's that Malaysian officials got the original wording wrong, let it stand for nearly two weeks, and then -- after saying they wouldn't release the transcript because of its role in the investigation -- suddenly reversed course.

"Now it's just one thing, one day it's the next. It's truly kind of an amazing roller coaster ride," said CNN aviation analyst Mary Schiavo. "That would be bad enough just for a civil aviation investigation and a criminal investigation, according to Malaysia. But there are 239 families involved. So high criticism is in order at this point."

She says the shifts call the investigation's credibility into question.

Confusion over who spoke those words

Initially, officials indicated that it appeared it was co-pilot Fariq Abdul Hamid who was speaking to controllers. But on Monday, they seemed to waver on that claim.

Previously, Malaysia Airlines had stated initial investigations indicated that the voice which signed off was that of the co-pilot," Hishammuddin said in a written statement. "The police are working to confirm this belief, and forensic examination of the actual recording is ongoing."

Switching search zones delayed

On Friday, the search area in the Indian Ocean suddenly shifted more than 600 miles northeast after authorities announced further refinement of radar and satellite data had showed the plane couldn't have flown as far south as previously thought.

But the Wall Street Journal, citing anonymous people familiar with the matter, reported Monday night that "lapses in coordination among countries and companies" led to a three-day delay in making that move.

What happened? Andy Pasztor, one of the reporters who wrote the story, said it boiled down to poor coordination between two parts of the investigation: One dealt with satellite data, and the other with fuel consumption and aircraft performance.

"And so what we're left with is sort of a three-day gap where it's clear that folks were definitely looking in the wrong place," he said.

The tools used in the search

CNN's Jim Clancy and Mitra Mobasherat contributed to this report

@highlight

Families and experts have criticized Malaysia's handling of investigation

@highlight

The latest example is shift in sign-off language from cockpit

@highlight

The frequent shifts call the investigation's credibility into question, analyst says

@highlight

Officials have been "speaking off the hymn sheet," one analyst says