Beijing (CNN) -- The Bo Xilai saga -- the incredible story of elite politics, murder, intrigue and betrayal -- seems to be winding down with the trial and sentencing of Wang Lijun. And yet one question remains open: What will happen to the man once tipped for the top job in China?

Wang, 52, the former police chief of Chongqing, this week was sentenced to 15 years for defection, cover up, bribe taking and abuse of power.

He set off the Bo story on February 6, when he fled to the U.S. consulate in Chengdu and told American diplomats that Bo's wife, Gu Kailai, was an accomplice in a murder case.

Read more: Wang Lijun: the cop at the heart of Bo scandal

After his request for asylum was turned down, Wang left the consulate and was taken away by Chinese officials.

Wang's startling accusations triggered a series of events that led to the biggest political scandal to hit China in decades.

Read more: China's Bo Xilai 'implicated' in murder

Gu and family aide Zhang Xiaojun were arrested in early April, suspected of poisoning British businessman Neil Heywood, who died in November in the southwestern Chinese metropolis of Chongqing, where Bo was the Communist Party chief. (Heywood's death was originally blamed on excessive alcohol consumption.)

Read more: Gu Kailai, the woman who had it all

Shortly after, Bo Xilai, 62, the charismatic leader tipped for promotion into the highest echelon of power, was stripped of his top posts for "serious breach of discipline."

In August, Bo's "brain-and-beauty" wife, was meted a suspended death sentence after a seven-hour trial.

Days later, four senior Chongqing police officers were also sentenced to jail for covering up the murder.

Read more: Bo looms large over party leadership

These trials and convictions have been carefully scripted and apparently timed to "deal" with Bo ahead of the planned leadership transition at the 18th Party Congress, which is expected to convene in Beijing sometime in October.

China has released official accounts of the Wang Lijun trial, reported by the official Xinhua News Agency and regurgitated virtually word-for-word by the mainstream Chinese media.

It said that Wang on January 28 told Bo that his wife was a suspect in the Heywood murder. The next morning, Bo scolded Wang and slapped him in the face, the report said. It tangentially accused Bo of trying to cover up the murder of Heywood.

"The murder of Heywood and the plot to cover it up were precipitating factors, but if the chief actors had all kept quiet, it seemed that they had a good cover story," said James Feinerman, law professor at Georgetown University in Washington D.C. "Heywood's Chinese wife was unlikely to challenge the autopsy, and he had been cremated already."

Why did Wang Lijun decide to betray Bo?

The official story left much room for speculations. "Something made Wang fearful enough to seek shelter-- perhaps he felt he couldn't keep the story under wraps any more," Feinerman said. "Once he started relating his fear to Bo, and got a very negative reaction, he knew he was goner."

China said the trials of Gu and Wang shows China's commitment to dispensing justice no matter who were involved. But legal experts who followed the proceedings, which were closed to the foreign news media and the general public, say that is debatable.

Gu and her co-accused, they noted, were deprived of their own legal counsel and forced to accept a government-appointed lawyer. No defense witnesses were called. Defense lawyers did not have a chance to review the prosecution's evidence or to cross-examine witnesses.

Some legal experts say her trial reinforces the widely held notion that despite three decades of legal reform, the Communist Party keeps an iron grip of many judicial proceedings in which law is used as a tool for political needs.

Gu Kailai's statement at her sentencing, thanking the court for its magnanimity, inspired disbelief and ridicule.

Ma Jian, an exiled Chinese novelist who lives in London, found her statement scripted. "Not since Stalin's show trials of the trials of the 1930s," he wrote in a blog post, "has a defendant so effusively praised a judge who seemed bound to condemn her at a trial where no witness or evidence against her was presented."

Said Feinerman: "Gu Kailai was a highly successful lawyer at one time, but her pitiful plea and acceptance of the sentence she received after being denied the counsel of her choice shows that no one is immune from abuse of law in the PRC."

Ordinary China ridiculed the decision to spare Gu's life, saying a commoner would have been summarily executed for the murder of a foreigner.

On Sina weibo, China's most popular microblog service, Gu was juxtaposed with Xia Junfeng, a food peddler on death row who fatally stabbed two city management functionaries after they beat him. "A lawyer who commits premeditated murder gets a suspended death penalty, and a peddler who defends himself gets death," one posting said. "This is the Chinese justice system."

Bo Xilai has not been seen in public since April. What fate awaits him?

Experts have offered divided views over whether the party will put Bo before a criminal court or spare him and the leadership of the disgrace by simply meting out disciplinary punishment within the party.

"Some have argued for inner-party disciplinary charges, but that route seems to leave open the possibility of a comeback," said Joseph Fewsmith, professor at Boston University. "In any event I still expect a decision before the 18th Party Congress opens."

"If he (Bo Xilai) is not tried the public will not be satisfied," said Tong Zhiwei, a law professor at the East China University of Political Science and Law in Shanghai. "People will be disappointed in the Chinese legal system if the authorities try to protect him from justice."

Fewsmith added: "The leadership needs to explain what Bo's crime was, but I think they want to keep the charges narrow -- covering up Gu Kailai's crimes, possibly corruption. This will no satisfy supporters of Bo, but it avoids the open fight that might come if they raised the ideological issues."

Fewsmith expects the Communist Party's central committee, the 350-member policy making body, to convene in the next few days to decide on Bo's status in the party. "It should accept Bo's resignation from various posts," he said. "That would follow past precedents."

Bo's defenders have accused foes of exploiting the charges against Gu to topple Bo. He has not been given a chance to defend himself in public.

Doubts remain.

Wang Xuemei, a leading Chinese forensic scientist working for the Supreme People's Procuratorate, has cast public doubt on the conviction of Gu Kailai for murdering Heywood. Writing in a blogpost, she noted a "serious lack of evidence" that Gu killed Heywood. "I feel very pained,upset and scared that our court believed the theory he was poisoned with cyanide," she wrote. Her post has since been deleted.

CNN's Ellie-Kate Macalister contributed to this report

@highlight

Wang Lijun, the former police chief of Chongqing, this week was sentenced to 15 years

@highlight

Lijun set off the Bo Xilai saga when he fled to a U.S. consulate n February

@highlight

Investigation resulted in the murder conviction of Bo's wife, Gu Kailai, in August

@highlight

Question remains: What is going to happen to Bo Xilai, and will he be charged?