For close encounters of the furry, feathered, or scaly kind, there's no place on the planet quite like the Galapagos Islands.

"You just see some of the craziest things," said Jonathan Brunger, operations manager for Adventure Life, a Montana company that arranges trips to the region.

"While you're out snorkeling, the sea lions will come out and swim with you. ... You feel a little nibble on the end of your flipper, you turn around and there's this sea lion wanting to play with you, wanting you to chase it.

"Other times, they'll come up to your face and they're looking at their own reflection in your snorkel mask."

The Galapagos -- 19 islands that lie 600 miles west of Ecuador in the Pacific Ocean -- are home to species of animals found nowhere else on Earth. Famously visited by Charles Darwin in 1835, the archipelago played a key role in his theory of evolution.

These days, both tourists and researchers flock to the islands to see giant tortoises that can live 150 years, marine iguanas that dive to find dinner, flightless cormorants, and penguins that somehow thrive near the equator.

With few predators to make them wary of humans, many of the creatures seem tame and curious.

"It's just a fantastically wonderful place," said Herb Wilson, a biology professor at Colby College in Waterville, Maine, who has been to the Galapagos twice.

"One of the most exciting things about it is that just the animals there are so fearless. So you have to step over sea lions and marine iguanas just to get from one place to another."

With their remote location, the Galapagos used to be more of a legend than a destination for most people -- but that's no longer the case.

In the 1960s, just 2,000 tourists a year visited the islands, according to The Charles Darwin Foundation. Today, that number has grown to more than 150,000.

To limit their impact on the fragile ecosystem, Galapagos National Park -- which makes up 97% of the archipelago -- requires tourists to be accompanied by a certified guide when they enter protected areas. There are also limits on how many people can be at any visitor site at one time.

"They seem to be doing a reasonable job of trying to find the happy medium between access and protection," Wilson said.

Here are some tips to consider if you want to pursue your own Galapagos adventure.

What's the best time to go?

You can have a great experience in the Galapagos year-round, Brunger said, so there's really isn't a "best time" to go.

The busiest tourist seasons are during the summer and around Christmas, when kids are out of school and people have extra vacation, he said. The warmest months are between January and May, when average temperatures reach the upper 70s and the low 80s. The driest months are from June to December.

How do you get there?

The first step is to fly into mainland Ecuador and land either in Quito or Guayaquil. A nonstop flight from Miami to Quito takes about four hours.

From there, travelers can fly to one of two airports in the Galapagos Islands -- Baltra or San Cristobal -- via Lan Ecuador, AeroGal or TAME Airlines. That leg of the journey lasts about three hours from Quito.

Wilson said he didn't find the trip particularly difficult.

Where do you stay?

You can choose land-based lodgings or a cabin at sea.

There are four islands in the Galapagos with accommodations for tourists -- options that include everything from small lodges to luxury hotels, Brunger said.

Wilson's hotels ranged from rustic to modern, but they were all comfortable and clean, he recalled. He dined at local restaurants, where seafood and chicken dishes were the most common fare.

For those who prefer staying on land, Brunger recommended the Finch Bay Eco Hotel in Puerto Ayora on Santa Cruz Island and the Iguana Crossing Hotel in Puerto Villamil on Isabela Island.

Many visitors, however, choose to take a cruise around the Galapagos, so they stay on board ships and take lots of land excursions. The cruises carry anywhere from 16 to 100 passengers, and most of the ships are relatively small, so this is not a good option if you get seasick easily or are not keen on living on a boat for several days, Brunger said.

Beginning next year, new regulations from Galapagos National Park will ban cruises from visiting any site more than once in a 15-day period. The goal is to cut tourist traffic at some of the most popular spots, according to the International Galapagos Tour Operators Association.

You can book a 15-day cruise or, if that is too long, sign up for a shorter itinerary. The most popular option is the 8 day/7 night cruise, which "gives a good overview of the islands," Brunger said.

What are some of the most popular activities on the Galapagos?

Watching all of the incredible creatures, of course. (You might even catch a glimpse of the courtship dance of the blue-footed booby.) But there's also snorkeling, sea kayaking, hiking, horseback riding, mountain biking and more.

"The Galapagos is a great, great destination for scuba diving," Brunger said. "But it is for intermediate to expert (divers). It's not a place for beginning scuba diving because you have pretty strong underwater currents and the water is quite cold."

How much does a Galapagos trip cost?

As always, it all depends on your accommodations and length of stay, but here's an estimate of expenses:

Coach airfare from the United States to mainland Ecuador varies widely depending on your departure point. Once in Ecuador, a round-trip flight to the Galapagos costs about $400.

There is a $100 fee to enter Galapagos National Park.

An eight-day cruise around the islands will set you back anywhere from $2,000 to $5,000 per person, which includes accommodations, meals and excursions with a naturalist guide, Brunger said.

@highlight

The Galapagos Islands are home to species of animals found nowhere else on Earth

@highlight

With few predators to make them wary, the creatures seem tame and curious

@highlight

Galapagos tourism has been booming despite the archipelago's remote location

@highlight

Lodgings are available on four of the islands; many visitors also stay on cruise ships