Washington (CNN) -- Congressional Democrats and Republicans escalated their rhetorical war Thursday over a pending federal rule requiring religiously affiliated employers to provide full contraception coverage to women -- one day after hints emerged of a possible compromise between the White House and conservative religious critics.

Numerous rank-and-file Democrats urged the White House not to back away from its support for the rule, while Republicans demanded a full retreat.

"It is time for the extreme right wing to stop playing football with women's health," said Rep. Nita Lowey, D-New York. "My colleagues and I stand in solidarity with American women who have waited decades for equity in contraceptive coverage. We have fought for too long."

"I woke up this morning in the 21st century, not in the Middle Ages," said. Rep. Diana DeGette, D-Colorado. "Family planning and birth control (are) an essential part of women's health."

But Republican presidential candidate Rick Santorum said the issue is about the rights of churches, not women.

"This has to do with the right of a church not to spend their moral resources in a way that's inconsistent with their faith," the former Pennsylvania senator, a staunch conservative Catholic, told CNN's "John King USA."

"We're not talking about denying women the access to contraception," he added. "They can go and get it. But we're talking about having a church of which they happen to choose to work for, and they know their position in working for them. You're now forcing them as a condition of employing people to pay for something that again is a grievous moral wrong."

And Rep. Virginia Foxx, R-North Carolina, called the proposed rule "an attack by the federal government on religious freedom for everyone in our country and our rights of conscience."

"It must not stand, and it will not stand, if we are going to keep the freedoms that we love and cherish in this country," Foxx said.

Stephen Prothero says the nation's "culture wars" are back

The question of whether institutions with religious ties should be required to offer insurance plans covering birth control and the so-called morning after pill, among other things, hits a number of political hot buttons. Liberal groups defend the requirement on grounds of gender equality in health care; conservatives consider it a violation of the First Amendment and an infringement on religious liberty.

Republican leaders have repeatedly blasted the administration's decision, raising the issue's profile on both Capitol Hill and the presidential campaign trail.

Speaking on a Cincinnati radio show Thursday, Vice President Joe Biden said the Obama administration hopes to find a middle ground that would allow women to get insurance coverage for contraception while allowing an institution like the Roman Catholic Church, which opposes birth control, "to be consistent with its teachings."

"What I'm making a commitment is there's going to be a significant attempt to work this out, and there's time to do that," Biden said. "And as a practicing Catholic, you know, I am of the view that this can be worked out and should be worked out."

Biden told radio station WLW that there has been "a lot of misunderstanding" about the rule. "There's not enough focus on the fact that we've decided that there's a year to work this out so we can accommodate it," he said.

While churches themselves are exempt from the rule, hospitals and schools with religious affiliations would have to comply. The new policy is set to go into effect on August 1, though religious groups would have a yearlong extension to implement the rule.

Published polls show a slight majority of U.S. Catholics actually favor the requirement. But the Catholic media network EWTN sued the federal government Thursday, seeking to stop the mandate's implementation and get it ruled unconstitutional.

"We had no other option but to take this to the courts," EWTN President Michael Warsaw said. "We are taking this action to defend not only ourselves but also to protect other institutions -- Catholic and non-Catholic, religious and secular -- from having this mandate imposed upon them."

Two other lawsuits have also been filed seeking to block the mandate. All three lawsuits are backed by the Becket Fund, a conservative religious legal organization.

Some political analysts think the controversy will cost President Barack Obama votes in politically critical states like Pennsylvania and Ohio in November, while others insist it will ultimately hurt Republicans with suburban women.

Bloomberg reported Wednesday that there was a deep internal administration split on the matter, with Biden and former White House Chief of Staff Bill Daley warning Obama about the possibility of negative political repercussions in swing states, But several female aides -- including Health and Human Services Secretary Kathleen Sebelius -- urged the president to move forward with the rule, Bloomberg said.

White House Press Secretary Jay Carney denied the report, though he declined to offer any details.

Several high-profile Democrats -- including Pennsylvania Sen. Robert Casey, West Virginia Sen. Joe Manchin, Connecticut Rep. John Larson and former Democratic National Committee Chairman Tim Kaine -- pushed the White House on Wednesday to reconsider its position and expand the exemption for religious employers.

Manchin joined Sen. Marco Rubio, R-Florida, in introducing legislation Thursday that would immediately repeal the mandate. The reproductive health group Planned Parenthood condemned the bill, arguing it would let any business lift birth-control coverage for its employees "on the basis of personal religious belief or moral conviction."

"It should not be left up to a boss's personal beliefs whether his employees should be allowed birth control coverage," Planned Parenthood President Cecile Richards said in a written statement. "Birth control is basic health care and women should have access to birth control, no matter where they work. That's why a majority of Americans, including Catholics, support the Obama administration's birth control benefit."

But Sen. John Kerry, D-Massachusetts, suggested the White House change its stance.

"What I am urging is a compromise that respects the substantive goal of making sure that women have access and that no person is without the care, but at the same time that finds a way to respect issues of conscience and matters of religious belief. I think there is a balance," Kerry told reporters.

"I do know the president is sensitive to this," Kerry said.

Policymakers are examining laws in 28 states that have similar coverage requirements, senior administration sources said. Two sources have told CNN that the administration is particularly interested in the Hawaii model, in which female employees of religious institutions can purchase contraceptive coverage directly from the insurer at the same price offered to employees of all other employers.

Another possible solution, one source said, would be legislation allowing women employed by religiously affiliated employers to get contraceptive insurance from the exchanges created under Obama's sweeping health care reform rather than from their employer's insurer.

Sources familiar with White House thinking said the administration is is convinced approval from conservative Catholics is out of reach and is trying to win over progressive Catholics. New York Archbishop Timothy Dolan, head of the U.S. Conference of Catholic Bishops, said Thursday that the decision to require full contraception coverage was a "terribly misguided judgment."

"We can't compromise on principle. That's almost rewarding bad behavior," Dolan told "CBS This Morning."

On Wednesday, House Speaker John Boehner, R-Ohio, called the policy an "unambiguous attack on religious freedom" and announced his chamber would pursue legislative action to prevent the rule from going into effect. And on the presidential campaign trail, GOP front-runner Mitt Romney has pledged to eliminate the rule on his first day in office.

Both the White House and Romney's Republican opponents, however, have noted a Massachusetts law in effect, while Romney was governor that required hospitals -- including Catholic ones -- to provide emergency contraception to rape victims.

It's ironic for Romney to criticize "the president for pursuing a policy that is virtually identical to the one that was in place when he was governor of Massachusetts," Carney said Wednesday.

Romney, in turn, said Carney needs to "check his history."

In 2005 then-Gov. Romney vetoed a bill that would have required all hospitals -- including Catholic hospitals -- to provide emergency contraception. The heavily Democratic state legislature overrode his veto.

According to news reports at the time, Romney initially said his administration would not enforce the law at Catholic hospitals. But he later reversed course, saying all hospitals would have to supply the morning-after pill.

Romney was quoted at the time as saying, "My personal view in my heart of hearts is that people who are subject to rape should have the option of having emergency contraception or emergency contraception information."

"I worked very hard to get the legislature to remove all of the mandated coverages, including contraception," Romney told reporters Wednesday. This "was a provision that got there before I did, and it was one that I fought to remove."

Romney's campaign released a statement from former U.S. Ambassador to the Vatican Mary Ann Glendon on Thursday defending Romney's past stance on the issue.

"The charge that Mitt Romney has not stood tall to defend freedom of religion is preposterous," Glendon said. "He has shown backbone on every critical issue at every juncture when it counted."

CNN's Dan Gilgoff, Eric Marrapodi, Jessica Yellin, Brianna Keilar, Paul Courson, Ted Barrett, and Dana Bash contributed to this report

@highlight

NEW: "This can be worked out," Biden says

@highlight

Santorum says it's not about women, it's about churches' rights

@highlight

Planned Parenthood says access to contraception is "basic health care"

@highlight

The pending rule says religiously affiliated employers must provide full contraception coverage