(CNN) -- The successful U.S. operation to detain Ahmed Abu Khattalah in Libya should be applauded.

Khattalah is a suspect in the 2012 attack on the Benghazi mission. The operation to detain him had far more in common with pre-9/11 counterterrorism operations than post-9/11 and could presage a return to America's ability to credibly promote the rule of law in the world.

The United States largely lost that ability with the long, drawn-out attempts to justify Guantanamo Bay and the military commissions there, harsh interrogation, and the use of drones to carry out military attacks in places where the United States is not at war. These policies and practices were instituted within days of the 9/11 attacks. As in the Civil War era, the First World War, and the Second World War, national leaders and large segments of the public believed extraordinary measures were warranted.

One major difference between those emergencies of the past and today: The measures instituted previously ended far sooner than post-9/11 policies.

Last year, President Obama quoted James Madison on the risks to liberty of continual war. It is imperative that the United States return to normalcy to preserve our rights. So while we can debate whether the post 9/11 measures were necessary or successful, no one should continue to argue that we need to leave them in place.

The Khattalah operation demonstrates what we knew before 9/11. The law imposes no straightjacket when it comes to apprehending and prosecuting terrorism suspects. We used to be quite good at it. Take the case of Fawaz Yunis, a member of Hezbollah, arrested in 1987.

In that year, undercover FBI agents lured Yunis onto a yacht in the Eastern Mediterranean by promising to let him in on a drug deal. Yunis was wanted for the hijacking of a plane in Lebanon with four Americans on board. According to the judge's opinion on the guilty verdict in his case, the FBI agents arrested Yunis once the yacht was in international waters.

"The agents transferred Yunis to a United States Navy munitions ship and interrogated him for several days as the vessel steamed toward ... a Navy aircraft carrier. Yunis was flown to Andrews Air Force Base from the aircraft carrier, and taken from there to Washington, D.C. In Washington, Yunis was arraigned on an original indictment charging him with conspiracy hostage taking, and aircraft damage." He was convicted and served many years in prison in the United States and Lebanon.

Khattalah was also arrested pursuant to an indictment; he was detained under law enforcement authorities, and will receive a trial before a duly constituted court in the United States.

Opinion: Why Benghazi issue won't go away

We should not expect any of the tough issues raised every time a hearing of any sort is brought before the Guantanamo Bay military commissions. Those commissions are fatally flawed because they have been established in conflict with both peacetime procedural law and the law of armed conflict. The most serious flaw: The commissions were established after the crimes, to get convictions.

Courts need to be established to get justice, following objective criteria of fairness. Nothing can be done to save the commissions. Moreover, nothing needs to be done given the perfectly sound courts in the United States, courts that heard the Yunis case, the cases of the 1993 World Trade Center bombers, the Times Square bomber, pirates, organized crime kingpins, and that will hear Khattalah's case.

Of course, trial before a regular U.S. court and an indictment are not the full requirements of the law. To come closer to full legality, Khattalah should have received the Miranda warning by now; he should be questioned by the FBI, not the military, and should have a defense lawyer present if he requests one. It also appears that he was detained without informing the Libyan authorities.

In the Yunis case, the FBI was careful not to violate any state's rights by arresting him in international waters. At present, the breakdown of authority in Libya is such that under the international law of countermeasures, the United States can claim the right to carry out a law enforcement action without Libyan consent. (This is an ironic situation since the United States helped create the instability that prevails in Libya by fighting for regime change in 2011.)

Moreover, so long as the U.S. military personnel involved in the Khattalah operation followed police-type law enforcement rules, they could lawfully be involved in the detention. Their presence was not an unlawful use of force on Libyan soil. That is one of the major differences between this action and drone strikes.

U.S. weaponized drones usually deploy the Hellfire missile, which is a tank-killing weapon only appropriate where the United States is engaged in battle as in Afghanistan or where we have the right of self-defense, which has also only been in Afghanistan post 9/11.

In other countries where the United States is using drone attacks -- Pakistan, Yemen, and Somalia -- the United States has not been attacked in a way that can trigger our international right of self-defense. The law requires that the state using military force in self-defense counterattack only when it has been the victim of a significant attack by a state responsible for the attack.

When the high threshold for self-defense is not met, countermeasures may be available. That is the law under which the United States publicly defended the raid that killed Osama bin Laden. CIA's John Brennan announced to the world that the Navy Seals who undertook the mission were under orders to arrest bin Laden. Killing him was only authorized if he resisted arrest.

In other words, Brennan announced that the Seals followed classic law enforcement rules. United Nations human rights monitors had no objection. In the course of law enforcement there is no tolerance of "collateral damage" as on a battlefield. In the bin Laden and the Khattalah operations, family members, neighbors and passersby all survived because the United States did not use drone-launched Hellfire missiles.

Drones, Gitmo and torture are not the way to respond to terrorism. Operations consistent with the rule of law are. Whether there was ever a justification for any of these policies post-9/11, it is long over. Time to move on toward the rule of law.

@highlight

Mary Ellen O'Connell says capturing suspect in Benghazi attack is a good sign

@highlight

She says it represents the U.S. returning to using the law to fight terrorism

@highlight

O'Connell: Until now, the U.S. has relied heavily on unlawful drone attacks

@highlight

U.S. courts, not military commissions, are right venue for trials of terrorists, she says