Oslo, Norway (CNN) -- A grassroots activist, a head of state and a symbol of the Arab Spring.

Three women -- two who struggled in an African nation plagued by bloody civil war and a third who stood up to absolute dictatorship -- were bestowed with the Nobel Peace Prize Saturday.

That the three of them shared the coveted prize was unusual. That all three are women was unprecedented. As was the conversation that followed with CNN.

Punctured with the gravity of the unspeakable cruelty women have endured in Liberia and Yemen and with the humor that can come only from women who have led the battle to end it, the conversation reflected the indomitable spirit for which the Nobel was awarded.

"Beyond fighting for our individual countries, we are fighting for the emancipation of women and girls," said Leymah Gbowee.

This was no token prize.

"We worked very, very hard for this. It's been a long time coming," Gbowee said.

Women's rights take center stage at ceremony

This was no prize given out of sympathy, either, added Tawakkul Karman, the first Arab woman to win the honor.

"We deserve it," she said to thundering applause in the same room where hours before she accepted her medal and diploma.

"It's recognition that women can do a lot."

And Ellen Johnson-Sirleaf, Africa's first female head of state, said it was still harder for women to achieve what men can. That has not changed.

"Let's face it, in a way, women are stronger than men," she said to laughter.

The women have much in common, they agreed. But each has their own tale set against a backdrop of injustice and violence.

For most of the 1990s, Liberia meant bloodshed, a maelstrom of violence that bled across its borders and where, child soldiers became killers and warlords became presidents.

Charles Taylor bludgeoned his way into power in 1997 and many, sadly, predicted perpetual conflict in the West African nation. No one figured that it would be Liberia's women who would be the ones to stand up to Taylor.

Gbowee, a trauma counselor, led them by the thousands. They dressed in stark white T-shirts and demanded an end to the violence against them.

"When you find yourself at a place where there seems to be no hope, you find yourself at a place you are destitute, you find yourself at a place where you are angry -- you have two options," Gbowee said.

You either pick up a gun or you try to do something different, she said.

She chose the latter.

The women threatened curses on Liberia's men, organized sex strikes and sit-ins to shame them. Gbowee even threatened to shed her clothes as a gesture to show how her dignity had been stripped.

"It was the women in white looking Charles Taylor in the eye," she said.

Gbowee supposes that many others are deserving of a Nobel Peace Prize for their roles in securing peace in Liberia. But they were mostly people in positions of authority; people who had the power to implement change, she said.

But the women she led were ordinary citizens who had nothing in hand.

"The story of the Liberian women is a typical Cinderella story," she said.

The women braved death to pray for peace. Their movement found a powerful ally in Johnson-Sirleaf, a former finance minister and champion for women's rights who also wanted to an end to the war and its perpetrators punished.

When she became president, her challenge was daunting: to bring Liberia back from the abyss. But she brought with her something new for her people: Hope, where there had only been despair.

Days before the Nobel presentation, Johnson-Sirleaf was re-elected to office after a runoff vote. She will serve another six-year term.

Would she consider herself a success if after her six years, there is peace in Liberia even if little else has been accomplished?

"Definitely. I am already a success," she said of the economic strides Liberia has taken.

But there will be more than peace, she hopes. She promises progress. There will be lights where streets were dark, running water where there were only buckets. Education, health and all the things that make a nation great.

"We will make Liberia a post-conflict success story," she said. "I am certain of it."

On another continent, on the southern end of the Arabian Peninsula, Karman, also dreamed big.

As President of Women Journalists Without Chains, a group campaigning for press freedom, she was a voice of protest long before the Arab Spring took root in Yemen.

This year, she came to be known as Yemen's mother of the revolution. By late January, the 32-year-old mother of three children was out on the streets of Sanaa, rallying protesters to call for the ouster of President Ali Abdullah Saleh.

She was threatened repeatedly and detained. But that didn't stop her. Yemeni women, inspired by her courage, followed Karman's lead and called openly for change, a daring act of defiance in the conservative Islamic country.

Saturday, she was asked if Yemen was perhaps the worst place on earth for women.

She replied: "It's the worst place to be human. We believe our freedom will come through freedom for all of society."

Saleh has stepped down but not relinquished power, she said. And he will never leave Yemen on his own accord.

She took the Nobel interview opportunity to ask the world to step up pressure on Saleh as they had done on Moammar Gadhafi and Bashar al-Assad. She did not want the killings and injuries of 28,000 Yemenis to be in vain.

Saleh, is a liar, she said. "And he will continue lying."

She said she wouldn't mind running for president herself. Will there be a free and fair election in Yemen?

"Do we have this opportunity? Please ask this to the American administration?" she said.

But one thing she was sure of.

"If I will run, I will win," she said. "And I will take more than 90 (percent of the vote)."

It was that confidence, that courage that had brought her and her two fellow laureates to the Oslo's celebratory stage.

For them, the Nobel was hardly a finality, but another beginning.

CNN's Jonathan Mann reported from Oslo, Norway, and Moni Basu from Atlanta. CNN's David McKenzie and Mohammed Jamjoom contributed to this report.

@highlight

Unprecedented: Three women share the coveted peace prize

@highlight

Yemen's Tawakkul Karman says she will win if she runs for presidency

@highlight

Liberia's Ellen Johnson-Sirleaf vows to hold peace, deliver progress

@highlight

Compatriot Leymah Gbowee says Liberian women braved death for peace