(CNN) -- Getting a foothold on the property ladder can be a challenge at the best of times, and the prospects for many of us have been battered further by the global recession.

But necessity is the mother of invention and there are routes to home ownership that are not blocked by estate agents and eye-watering fees. For the aspirational, willing to bend their backs and broaden their minds, the materials for a dream house are all around us; in tin cans, tires and scrap metal, ready for construction projects anywhere from city centers to tropical islands at minimal expense.

Cooler containers

High concept architects Infiniski of Spain have carved a niche in recycled construction that does not compromise on aesthetics. Their stylish designs are spreading through Europe, Asia and Latin America, with around 85% of the materials pre-used. The basic components are shipping containers supplemented with wooden pallets, which in addition to dramatically reducing cost, also have the benefit of providing a cooling effect in hot climates.

Cano's Castle

Thousands of square meters of scrap aluminum came together for this towering complex in Colorado, courtesy of Donald 'Cano' Espinoza, a Native American veteran of the Vietnam War. Beer cans, hubcaps and window frames provide much of the raw material for four separate buildings, with four floors in the largest. Cano uses the gleaming site as a farm and reportedly does not encourage visitors.

Save the Beach hotel

Launched in Madrid in 2010, the brainchild of German 'garbage artist' H.A. Schult -- who had also produced a whole army from trash. The hotel was constructed from the contents of landfills and beaches to highlight the environmental impact of waste. The rooms were fully disinfected to allow guests to sleep safely, and the hotel took an international tour to raise awareness.

How to build your home from scratch for $35,000

Don Justo's Cathedral

An astonishing labour of love, for over 50 years former monk and farmer Justo Gallego has been singlehandedly creating a cathedral close to Madrid, modeled on St Peter's basilica in Rome. Standing over 40 meters high, complete with cloisters, crypt and grand domes, the epic structure has been built entirely from discarded materials; broken bricks and tiles for the walls and oil drums for the columns. Despite working from 4am each day, 89-year-old Gallego may still require another decade to complete the project.

Joyxee Island

British artist Richart 'Rishi' Sowa built himself one floating island in Mexico, but when that was destroyed by a hurricane, he replaced it with Joyxee. Measuring a spacious 20 meters in diameter, the island floats on 100,000 plastic bottles with cabins of recycled wood. Complete with beaches and waterfall, the island has become a popular tourist attraction as well as an extravagant home for Sowa.

Home sweet homeless

Designer Gregory Kloehn re-purposed a New York dumpster into an apartment, featuring a separated kitchen, bathroom and sun deck. He then expanded the concept, accessorizing waste disposal units further with abandoned washing machine, bicycle tires and scrap wood, for as little as $30 a time. Several of these have been made available for the city's homeless community.

Earthship Biotecture

Originating in New Mexico, the Earthship designers are now exporting their sustainable building principles as far afield as Malawi and Haiti. Steel-belted rubber provides the primary building component for the distinctively shaped off-grid structures, with interior walls composed of colored glass from reclaimed bottles. Energy is also harvested from the immediate environment at minimal cost. The company run courses across the world teaching their methods adapted to local resources.

Would you live in a house made of sand and bacteria?

Toothbrush house

An entirely recycled concept creation in the British city of Brighton draws on an imaginative range of construction materials. Thousands of toothbrushes and video tapes make up the wall insulation, bicycle tires hold the windows in place, with supporting roles for denim jeans and chalk waste. The "house of waste" will be monitored over a trial period to determine whether the design could be reproduced at scale.

A place in the woods

American artist Ethan Hayes-Chute makes found wood his foundation, which have been displayed around the world in a series of inhabitable installations. The designs explore themes of "quiet, solitude and isolation", leaning to a rough-edged aesthetic that the average hermit could realistically aspire to.

Maison Gomme

Dutch artist group Refunc made use of locally-sourced car tires for the walls of a chic garden cabin, completed with the windows of a bankrupted local business and recovered steel. The group have become masters of tire re-purposing, having also used them as a building block of furniture and vehicle construction in South Africa.

Read more from Make, Create, Innovate:

How to build your home from scratch for $35,000

Would you live in a house made of sand and bacteria?

The artificial leaf that could power the world

@highlight

From Islands to hotels and treehouses, ideal homes from waste materials

@highlight

Madrid Cathedral built single-handed from scrap over 50 years by ex-monk

@highlight

New York City dumpsters adapted for homeless people

@highlight

British project based on thousands of toothbrushes and videotapes