(CNN) -- Bob Lyon remembers the day he met Howard Hughes. He also recalls when Hughes nearly crashed a plane into his boyhood home. Nearly 40 years after Hughes died, Lyon's life still crosses paths with the eccentric billionaire.

Lyon has found himself in the center of a dispute over Hughes' gigantic, bizarre wooden seaplane nicknamed the Spruce Goose.

This thing is arguably the world's most famous airplane and -- at five stories tall with a wingspan longer than a football field -- one of the biggest on the planet.

Related: Stalking the world's biggest planes

The Spruce Goose's home is a respected aviation museum, which is part of an investigation by the state of Oregon.

Here's the story: In 1992, Evergreen Aviation and Space Museum in McMinnville, Oregon, struck a half-million-dollar deal with Aero Club of Southern California to buy the legendary plane.

Lyon -- who represents Aero Club -- is now negotiating the plane's final payment, which he estimates at about $50,000.

For Lyon, this is way more than everyday business. "This plane was a part of my life," said Lyon, 77. "I saw it being built. I saw it being put together."

Unfortunately, negotiations have hit a snag. More on that in a minute. First, you gotta know about the amazing story surrounding the plane and the man who flew it.

Its official name was the H-4. Hughes called it the Hercules. Designed to carry more than 700 troops, the Spruce Goose flew only once. In 1947 in Long Beach harbor, it grabbed about 70 feet of air for about a mile. Hughes â€” who piloted the test flight â€” said it needed more development. He never let it fly again.

Was the flight a failure, as some newspapers suggested? Depends on who you ask. Hughes did prove the thing could fly. But it was never officially certified. Lawmakers hauled Hughes before a congressional committee to justify the plane's taxpayer price tag of $22 million. Hughes pointed out that he had spent an additional $18 million of his own funds to develop the plane.

Fearless rogue pilot

When Lyon met Hughes, it wasn't the OCD-plagued, naked, bearded recluse portrayed near the end of Martin Scorsese's "The Aviator." This was before that.

This was a younger Hughes -- the seemingly fearless, rogue pilot and entrepreneur who was hell-bent on success for his aircraft manufacturing company.

Lyon was then 10 years old. Hughes seemed like a likable person when they met at the office of Lyon's father -- who was Hughes' patent lawyer. "I'd never seen a tall, lanky, guy with a Texas accent before," he remembers. "I grew up in Southern California."

In July 1946, the young Lyon had a more memorable brush with the man when Hughes crashed a prototype reconnaissance plane a block away from his parents' Beverly Hills home.

The boy arrived at the crash scene to see a fire, a huge column of black smoke and what was left of three damaged houses. No one was killed, but Lyon saw an ambulance driver help transport a seriously injured victim. "That turned out to be Howard Hughes," he said.

Soon, other neighborhood kids descended on the scene and started grabbing small pieces of wreckage and running off with them as souvenirs. Lyon remembers police canvassing the neighborhood looking for the missing debris.

"My brother and I were upstairs and my mother went to the front door and there were two officers from the Beverly Hills police department asking, 'Do you have any young children in this house?' She yelled upstairs to us, saying, 'Do you have some pieces of that airplane?' We said, 'No!' And she said, 'Yes, I think you do! Bring them down here! The police are here and they want them.' So we pulled this piece of metal out from underneath my brother's bed and took it downstairs," Lyon recalled with a chuckle. "We thought that was highly unfair."

That same year Lyon watched trucks roll the Spruce Goose down local streets from the plane's construction site on Los Angeles' west side to Long Beach. They "cut telephone and power lines to get this huge thing down the road."

Hughes died in 1976 at age 70, and by the early 1980s the Spruce Goose was forced to move out of its giant Long Beach hangar. The plane's owners -- including Hughes' Summa Corp. and the U.S. government -- gave the plane to the Aero Club. The transfer forestalled tax expenses and the prospect of cutting the plane into pieces for display at the Smithsonian National Air and Space Museum in Washington.

"The Aero Club's mission in this whole thing was to save the Spruce Goose," said Lyon.

The club leased the plane to a company as a tourist attraction. Spruce Goose was moved a short distance away to a spectacular seaside dome next to the moored luxury liner Queen Mary. Around that time, during a celebration dinner, Lyon arrived late to what was supposed to be an escorted tour of the plane. He took the liberty of exploring it alone. Lyon, who also has an engineering degree and a pilot's license, said it was like being a "kid in a candy store."

He wandered inside one of the aircraft's gigantic wings, amazed at the plane's engineering. He climbed up a set of stairs into the cockpit, daring to sit in the pilot seat where Hughes flew the plane in 1947. "I noted that there were controls for the pilot, but none for the co-pilot," Lyon said with a chuckle. "Yeah, Howard was gonna fly it. He didn't need any help."

Eventually the Spruce Goose had to leave the dome. That's when Aero Club struck a bargain with Evergreen and the behemoth was floated up the West Coast on barges in a spectacular 138-day moving operation to Oregon.

Now, Lyon is piloting Aero Club's negotiations for the plane's final payment. The dispute, said Lyon, basically comes down to a payment formula and the interpretation of three words: justifiable operating expense.

"It's a problem of contract interpretation," Lyon said.

News media reports have overstated the negotiations' worst-case scenario, he explained. "We're not interested in repossessing it. It would be a nightmare."

For its part, the museum agrees with Lyon. "... both sides expect a prompt resolution of that payment," the museum said in a statement. Although the museum declined CNN's requests for an interview, the museum's statement said the facility remains open, is financially viable and has no plans to close.

Bottom line: museum-goers -- which number around 150,000 a year -- have nothing to fear, Lyon said. "The Spruce Goose is going to stay where it is."

"The museum is no danger of losing the Spruce Goose," echoed Evergreen spokeswoman Melissa Grace in a statement. "It will stay at its home at the museum for visitors to enjoy for years to come."

But the museum faces another financial issue.

For months the Evergreen museum, and a related organization called the Captain Michael Smith Educational Institute, have been part of an investigation by Oregon's Justice Department. Agency spokesman Michael Kron said the investigation was sparked by "people who were concerned about financial transactions by Evergreen."

The museum owner holds companies that are for-profit and some that are nonprofit. There have been allegations of improper transfer of funds between the two types of companies. The museum said it is independent, self-sufficient and nonprofit.

Kron describes the probe as a "charitable activities investigation into the charity that runs the museum."

Recently, a broker listed two of the museum's plane exhibits -- a 1945 Grumman Avenger for $250,000 and a 1928 Ford Tri-Motor â€” for $1.75 million.

It's unknown if the museum's decision to sell the planes is linked to its financial issues. "The vast majority" of the museum's aircraft exhibits, it said, "are unaffected by issues" linked to the investigation. Evergreen said most of the planes on display at the museum are on loan from some of the best aviation museums in the world, including the National Museum of the U.S. Air Force, the Smithsonian Institution National Air and Space Museum and the National Naval Aviation Museum.

The museum says it's "in no danger of losing its displays from these and other sources" and it has "cooperated with the Department of Justice in its review and that we are confident the Department of Justice would acknowledge our cooperation and the good work we have put into addressing concerns it has raised."

Kron said a final investigation report is expected to be made public soon.

Meanwhile, Lyon is nearing the finish line as a custodian of this aviation icon. During the two decades since the Spruce Goose deal was struck, he's never traveled to Oregon to see the plane.

But, he said, who knows? When it's all said and done, he may fly up for a visit.

@highlight

Museum housing Howard Hughes' giant seaplane is part of an investigation

@highlight

Museum says it's financially viable and has no plans to close

@highlight

Built in the 1940s, Spruce Goose still has the world's widest wingspan

@highlight

Lawyer negotiating final ownership payment: Spruce Goose will stay where it is