(CNN) -- In the 1990s, a professor at a medical university in Stockholm decided to test his students' knowledge about the progress of global development. He was staggered to discover the class, some of the brightest people in Sweden, scored fewer than two out of five on average.

Chimpanzees randomly choosing answers would likely have done better, scoring half right.

That academic was Hans Rosling, Professor of Global Health at the Karolinska Institutet and a medical doctor who had carried out decades of research in Africa, discovering the complexities of the continent (and a new disease) along the way.

His work in Africa had resulted in "an enormous intellectual irritation that we lumped countries as different as Brazil and Mozambique together under the label 'the developing world'."

Rosling has been on a mission to inform since the realization that his students -- and his fellow professors -- were somewhat woefully informed about the state of the world. Today CNN publishes Rosling's latest survey of the United States which shows Americans, like most of the world, are far behind the reality in their understanding of world development but ahead of some -- for example, Swedes.

He wants to challenge the preconceptions we all have about the state of progress in the world, hoping that if we recognize our ignorance we can see what has been achieved and tackle the outstanding problems.

In 2005, he co-founded the Gapminder Foundation, which aims to "promote a fact-based world view." The following year, Rosling spoke at a conference run by TED -- the non profit organization "devoted to ideas worth spreading."

"The problem for me was not ignorance," he told the audience, "it was preconceived ideas."

Rosling's striking data presentation, showcasing software developed by Gapminder, has since been viewed more than six million times through TED, which describes him as a "data visionary." You can watch the video here or to the left of this text.

In May 2012, TIME magazine named Rosling one of the "World's 100 Most Influential People."

Describing Rosling for the TIME list, Harvard social scientist Nicholas A. Christakis said he was "in the vanguard of a critically important activity: advancing the public understanding of science."

Now Rosling, and Gapminder, are testing that public understanding, this year conducting web-based "Ignorance surveys" -- in Sweden and Britain, and, most recently, the United States.

Want to test your knowledge? Then click on the image at the top of this article to complete the same survey and compare how you did to the U.S. respondents.

Click here for the U.S. results on Gapminder.org

How did you go? Was your global perception spot on? Or did you display a lack of understanding of the progress in education, health and fertility reduction and income inequality in the world?

More importantly, what was it that led to your choices? If your answers were correct, were they based on factual knowledge? Or did you follow the example of chimpanzees and guess randomly?

Is it possible that you were informed by the "toxic combination of arrogance and ignorance" Rosling believes is often displayed by western Europeans and North Americans -- the "Old West."

As a university lecturer, he saw that his students had "a very old view of the world." "There was constant discussion of the world in terms of 'we and they'," he said.

Rosling realized the concept of "developed" and "developing" countries was hindering understanding of the emerging world, giving an impression of remaining homogeneity of a so-called "developing world".

The terms did not describe "the enormous difference between Brazil and Somalia, Malaysia and Afghanistan."

Rosling's corporate audiences also failed to understand the characteristics of each country: "They had a sort of regional concept of the world that said 'South East Asia is like this, Latin America is like that, the Middle East is like that'," he said.

"We have the United Arab Emirates and Yemen bordering ... Barbados and Haiti -- Barbados can compete with the United States on child mortality.

"There's no homogeneity between Finland and Greece but between Greece and Chile, there's no major difference," he said.

"I think that it's the failure to grasp that the new emerging world has countries on each and every level that makes people fail so badly on the world test."

Read more: Why 'developing vs. developed' world is now meaningless

The world was easier to explain 50 years ago, Rosling says. "Once a third of the population was living separated from the rest at the rich end -- they called themselves Western."

While too many people were still living with the misery of poverty, he said the new reality was that there was a continuous variation of socioeconomic levels.

"As late as the late 1970s it was still a camel with two humps ... today the camel is dead -- it has been replaced by a dromedary with one hump," he said.

"I used to say you can't divide the population of London into clever and stupid," Rosling said. "The vast majority is in the middle -- that's how the world is today."

"When we ask about literacy rates in the world, when we ask about life expectancy, the percentage of children vaccinated ... people think about Pakistan, Afghanistan, Somalia -- the worst-off cases -- and then they extrapolate to the rest of what they still think is a developing world.

"They understand there is a huge disparity between the richest and the poorest but then they think there is a big hump in the poor and sick end -- that's not the case anymore," he said.

Social progress

And Rosling says it's a mistake to assume a country's economic position matches its social development.

"Today the social dimension of life progresses much, much, faster than the economic," he said.

"Vietnam today has the same life expectancy, the same disease burden, as the U.S. had in 1980 -- they're only 30 years behind. But economically they correspond to the U.S. in 1880 -- they are still 130 years behind economically," he said.

"It means today, countries get healthy before they get rich. People's skill are ahead of their economy."

Rosling said that for him the most surprising lack of knowledge demonstrated in the quiz was on the measles vaccination. Just 17% of the U.S. respondents chose the correct answer -- 80% of the world's children are vaccinated by their first birthday. Forty-four per cent wrongly guessed a fifth of children and 39% said half.

"That to me was absolutely astonishing because it is the most solid and stable success of the world. Now we vaccinate 4 out of 5 children," said Rosling.

"It's a beautiful example of global collaboration, life saving technology, the flagship of aid, awareness among governments and parents in even the poorest countries -- and it's not known."

China and India

Rosling says his experience suggests that the CEO's of the world's biggest companies have the most fact-based knowledge, seeking for example to move research and development to India and China and competing for the skilled workforce, wherever they were born and trained.

The two countries, 25 years ago known for cheap goods produced by low paid workers, were now competing at engineering level, he said "and that professional skill is also happening faster than the economic growth."

"[Their engineers] are much, much more competent than their income suggests."

Rosling pointed to last week's results from the OECD's measure of school achievement, the "PISA" tests. Sweden, he said had fallen in maths more than any other country. "The shining star in the world is Shanghai," he said. "That's what CEOs from big companies say -- 'if I want mathematical analytical work done, it's done in China'."

Rosling warned however that it would be a mistake to assume that poverty was no longer an issue, and that while income inequality between countries had decreased, inside most nations it had widened.

"There is still a severe and scary amount of extreme poverty in rural parts of India, Pakistan, Afghanistan, Burma and sub-Saharan Africa," he said.

Predicting the wants of middle income countries is comparatively easy he says -- they are things such as education, hot and cold water, refrigeration and transport, in short modern homes and lives.

"But how fast extreme poverty will leave Afghanistan, northern Nigeria -- that's difficult to predict, but it will. If it doesn't, the world as a whole will have a major problem -- it won't function with collapsed areas. To me it seems easier to end it fast instead of slowly, as the population keeps growing so fast in the poorest communities."

Rosling describes his role at Gapminder as "Edutainer," and says he aims to convey deadly serious facts with humour -- and compete with tabloids maintaining content worthy of the Swedish Academy of Science, of which he is a member.

The Ignorance survey is one way of encouraging people to adopt a fact-based view of the world.

"We see that this as the theoretical part of a driving license," he said. "It tells you how to drive, not where to drive.

"It is the structure in which you can put more detailed knowledge of the world. It's a shelf."

The U.S. survey was the third of its kind undertaken by the Gapminder Foundation, a non-profit organization with the stated aim of "fighting devastating ignorance with fact-based world views everyone can understand.
Gapminder put 10 questions to 1015 online respondents in November 2013.
Those surveyed were based across the U.S., aged 18 and above and had educations ranging from less than high school qualification to doctorates.
Gapminder have done the surveys in close collaboration with Swedish survey company, Novus Group International AB.

@highlight

Hans Rosling is a medical doctor and lecturer who spent decades working in Africa

@highlight

He became irritated that "developing world" was applied to hugely different nations

@highlight

Testing his students at a Stockholm university he found they had preconceived ideas

@highlight

He co-founded Gapminder Foundation, which promotes a fact-based world view