(CNN) -- A cancer treatment that comes in a pill is as effective as the standard chemotherapy for lung patients who had previously been treated for their cancer, according to a study released Thursday.

The intravenous chemotherapy treatment had more severe side effects than the pill in this study.

Results of a large clinical trial were published in the British medical journal The Lancet.

The trial was designed to compare Iressa, a daily pill, to Taxotere, an IV-chemotherapy drug that's administered every three weeks.

This international study included more than 1,400 patients for whom standard chemotherapy had been ineffective.

"Iressa and Taxotere have same survival outcomes," according to Dr. Edward Kim, lead author of the study and assistant professor in M.D. Anderson Cancer Center's Department of Thoracic/Head and Neck Medical Oncology in Houston, Texas.

The study was paid for by the maker of Iressa, AstraZeneca. Kim says the Food and Drug Administration mandated that the pharmaceutical company conduct this clinical trial.

In the study, patients taking Iressa had an average survival of 7.6 months, and 32 percent survived one year, compared with patients getting the chemotherapy drug Taxotere. Their survival was an average of eight months; 34 percent of patients survived one year.

Kim says this is the largest study in lung cancer comparing an oral therapy with chemotherapy.

Dr. Bruce Johnson, a lung cancer specialist at the Dana-Farber Cancer Institute in Boston, Massachusetts, who was not involved in this research, says, "this study did what it intended to do in showing equivalency. I can't imagine any clearer evidence."

One significant difference between the two drugs is in side effects. Patients taking Iressa mainly experienced skin rashes and/or mild diarrhea. Patients on Taxotere had many more severe side effects, including hair loss, numbness in hands and feet, severe diarrhea, a drop in blood cells and nausea.

Given the difference, "the single pill trumps chemotherapy," said Dr. Paul Bunn, who heads the International Association for the Study of Lung Cancer Research and also was not involved in the clinical trial.

Johnson says that 5 to 10 percent of patients taking Taxotere will drop out every three weeks because of side effects. Kim points out that if the two treatments have the same survival benefit but one has fewer side effects and is easier to take, doctors want their patients to have the option for this treatment.

Currently, no new lung cancer patients can get Iressa, because doctors are no longer allowed to prescribe it.

In 2003, Iressa got fast-track FDA approval as a treatment for patients with non-small-cell lung cancer, specifically for patients in whom standard chemotherapy had failed. The approval was based on two small phase II clinical trials that showed Iressa was able to shrink tumors by about 10 percent, which led the FDA to believe that the drug would lead to a "positive effect on survival or benefits." More on Iressa from the FDA

When the FDA gives a drug accelerated approval, it requires that the manufacturer continue testing it to determine whether there's a clinical benefit to the patient. If further studies can't show this type of benefit, the FDA has the power to withdraw that drug from the market.

But a year later, results were revealed from a larger, phase III clinical trial that compared Iressa with placebo in patients for whom chemotherapy was ineffective.

"Iressa was better but not statistically significant," said Bunn, who also directs the University of Colorado Cancer Center.

Given this information and because another lung cancer pill -- Tarceva -- had shown a survival benefit, the FDA decided that " it is not reasonable to start new patients on Iressa."

Since 2005, the FDA allows only those already getting Iressa prescribed or those enrolled in clinical trials that were under way at the time to continue taking Iressa.

All three lung cancer experts CNN spoke with regularly see patients and have treated them with Iressa or the other available lung cancer drugs. All said they couldn't predict whether the FDA would allow new patients to be treated with Iressa based on this and other recent studies.

Kim believes that based on this data, Iressa "is a valid treatment option for patients with pretreated non-small lung cancer."

Both Bunn and Johnson say that more choices in treatment will always benefit the patients.

@highlight

Study compared pill Iressa and IV-chemotherapy drug Taxotere

@highlight

Patients taking Iressa mainly experienced skin rashes and/or mild diarrhea

@highlight

Patients on Taxotere had many more severe side effects, including hair loss

@highlight

Experts: Unknown whether FDA will allow new patients to be treated with Iressa