LONDON, England (CNN) -- Britain's rundown housing estates and deprived inner cities will be the setting for a new project that aims to use classical music to lift children out of the poverty trap.

Simon Bolivar Youth Symphony Orchestra rehearse ahead of a performance at New York's Carnegie Hall in November last year.

Organizers are modeling the plan on a hugely successful scheme already in place in Venezuela that gives free instruments and training to children from poor and vulnerable backgrounds.

They are hoping that lessons learned in the slums of Caracas can be made to work in Britain.

Internationally renowned cellist Julian Lloyd Webber is spearheading the initiative he hopes will give "a sense of purpose" to the lives of the most in need.

Under the government-backed project, children as young as three will be taught to play classical instruments by trained musicians.

"We're really trying to go to the most deprived children, to the most poor areas," Lloyd Webber told CNN.

"You're talking about children from a background where classical music has almost certainly played no part."

The inspiration behind the scheme is the El Sistema social program in Venezuela, which has helped improve the lives of thousands of young people since it began over 30 years ago.

Many of those youths have gone on to be part of the Simón Bolívar Youth Orchestra, which was created as a result of the program and has performed around the world to rave reviews.

The scheme has launched the musical careers of several of its members. One graduate, Gustavo Dudamel, currently conducts the orchestra but has been signed up to take over as musical director of the Los Angeles Philharmonic next year.

The 27-year-old prodigy described by the New York Times as "classical music's hottest young podium property" was born to a poor family in the Venezuelan interior and took up the violin aged 10.

However for Lloyd Webber, who has worked with a range of top musicians from Yehudi Menuhin to Elton John, the purpose of the UK project is not to create a new batch of professional musicians.

"That's not the way we're looking at it. It's very likely most of those involved will not turn professional but they will hopefully be empowered to make something more of their lives."

The Venezuelan project has grown from around 100 or so members when it started to involve 250,000 children and young people today.

In the 1970s, Venezuela had only two professional orchestras mainly composed of immigrants from Eastern Europe and Italy. Thanks to El Sistema that number has expanded to over 110.

But will the British version be able to match this astonishing success, given the very different social conditions that exist in the two countries?

After all, though there are deprived areas in the UK they can't be compared with the grinding poverty of Venezuela's slums where the incentive to escape to a better life is surely much greater.

Lloyd Webber disagrees, insisting that levels of poverty in Britain are far worse than many realize.

"We have many of the same problems here that they've encountered there. We have drug issues, prostitution issues, gang warfare issues.

"The Venezuelan project has been hugely helpful in reducing those kind of problems, and save children who would have possibly died without it."

What about the wide array of distractions on offer in the West such as video games and television, not to mention the low regard many young people have for the world of classical music, which is still considered stuffy and uncool?

Again he disagrees, claiming that children in poor areas of Britain often have nothing to distract them, which he says leads to anti-social behavior. "There are very poor areas in England and for the children who live there, there is often very little to do. That's why you see them out on the streets drinking, bored out of their heads."

Lloyd Webber is charged with chairing the steering group set up to organize the project, which is initially funded to run for the next three years. He says the scheme will focus on three or four specific areas of the country considered to be especially deprived.

Charismatic teachers will be recruited to inspire the children. Although the cellist says the experience of performing in an orchestra should serve as a powerful inspiration on its own.

"I grew up performing in youth orchestras," says Lloyd Webber, who is the son of the composer William Lloyd Webber and younger brother of Andrew Lloyd Webber, who has written and produced several major West End and Broadway musicals including Phantom of the Opera and Evita.

"It will give them a sense of purpose and a sense of togetherness. It's a wonderful feeling when you've a group of a hundred players wanting to produce something bigger and better than they are.

"It could be that through this some of those involved feel self-worth for the first time in their lives."

@highlight

UK project to provide musical instruments and training to children in poor areas

@highlight

The scheme is modelled on a successful program in Venezuela

@highlight

El Sistema has helped lift many youths out of the slums through music

@highlight

The UK scheme is being led by famous cellist Julian Lloyd Webber