Summer 1938, Europe stands on the brink of war, and Paris is a city on the edge. Nazi spies, shadowy assassins, alluring double agents and a Hollywood movie star caught in the middle stalk the back alleys and bustling bistros of the French capital. This is the setting for Alan Furst's "Mission to Paris." The best-selling author has made a career of capturing the classic cloak-and-dagger days leading up to World War II, bringing the era to life like a literary version of "Casablanca."

In Furst's 12th and newest novel, now in bookstores, Austrian immigrant-turned-Hollywood film star Frederic Stahl arrives in Paris to shoot a movie. The political warfare unit of the Third Reich, the "Ribbentropburo," has other plans. It tries to bully Stahl into becoming its "agent of influence" in a growing propaganda war against the French.

Stahl, a classic leading man in the mold of Cary Grant, turns the tables, signing on as amateur spy for the United States and taking a dangerous assignment behind enemy lines. From there the action crisscrosses the continent from Berlin to Budapest, briefly visiting Morocco, but the "City of Light" remains at the  center of this espionage adventure.

Starting with "Night Soldiers" in 1988, Furst has achieved international success as the master of the historical spy novel. His 2008 book, "The Spies of Warsaw," is being made into a TV miniseries for the BBC. He appears poised for a repeat of his past success with "Mission to Paris." CNN recently spoke to the author by phone from his Long Island, New York, home. The following is an edited transcript:

CNN: What led to your fascination with this pre-World War II time period?

Alan Furst: In the 1930s there were so many different conflicts going on between the British, the French, the Russians, the Germans, the Spaniards, the Romanians and so on. The intelligence services for all these countries were all battling during what was a very difficult political time. I wanted to read a panoramic spy history of the '30s, and when I went out looking for it, I discovered there was no such thing. I was astonished. So I thought, "Well, I'll write it."

Where I got the arrogance to do that, I don't know. I couldn't believe no one had written about this. It seemed so exciting and interesting and various. The people who had written about it wrote from such incredibly, violently different angles, whether it was fighting in Spain or street demonstrations in France or the purges in Moscow. There was a lot going on, and all of it in its way was important because the politics of the next century was being sorted out. I thought I'd found gold.

CNN: Paris really comes to life in your books; you must have a special affinity for the city.

Furst: When I started writing these novels, I was living in Paris in the late 1980s. I do have an affinity for the city as it was in the '30s. It's changed a lot in recent years. I used to have an apartment there. I lived there full time for about eight years. If you live somewhere that long, you really get to know it by osmosis. It really becomes part of you.

I love Paris for the million reasons that everybody loves the city. It's an incredibly romantic and beautiful place. I hate to say this, but things have changed in the last three or four years. Notre Dame is white now. They steam cleaned it. Instead of this medieval, sooty, dark, mysterious thing rising into the night sky, now it's kind of a nice limestone cathedral. They've done a lot of stuff like that in Paris now. They don't let you smoke in the cafes anymore -- on and on and on. The Paris of that time period was an incredible place. It was the central city on earth of idealism, of romance, of dreams, of possibilities, of beauty in many ways, of great food, great wine, staying up all night; what could be bad?

CNN: All of your books feature a scene at the Brasserie Heininger, a restaurant in Paris. How did you come up with this signature?

Furst: It's in every book. The bullet hole in the mirror next to table 14. It's fiction. It's not true. Now there is a brasserie where I say the Brasserie Heininger is in the books. It's called Brasserie Bowfinger, but it looks nothing like the brasserie I describe in the books. Many readers have figured out where it is, and they go there and ask for table 14 and make the maître d' mad because there is no table 14, there is no mirror and there's no bullet hole.

For me it's a touchstone in my books. I love the story, I repeat it every time, but in every book the characters see it differently. Nobody sees that brasserie the same way. They all have their own opinion. Sometimes it's important to the plot; sometimes it's not. It's like the Parisian moment when a lot of things come together. The way the French and the Parisians like to enjoy themselves. There's no music that plays there. The music is the plates, the clatter of the forks and knives, the talk, laughter, people smoking, perfume; it's a wonderful experience, quite different from eating other places.

CNN: A number of your characters resurface from book to book, but you almost always create a new protagonist. Why is that?

Furst: This is a series with changing lead characters. What I discovered is I don't like to repeat lead characters because one of the most pleasurable things in a book to me is learning about the lead. Who is he or she? What do they like? How are they going to function in this book? Are they brave or cautious? What's their romantic situation? I think that's a great thing for the reader.

I decided that what I had to do in order to get different angles on this material you had to have people in different vocations. So the lead in "Spies of the Balkans" is a cop, and he sees things like a policeman sees things. Where as in "Mission to Paris," you have a Hollywood movie actor, an émigré, and he sees things a completely different way. In an earlier book, you had the French military attaché in Warsaw, and he had his own responsibilities and obligations, and he saw life from that perspective. If you're a writer like I am, it's the best thing because it forces you to work.

CNN: What do you want your readers to take away from your novels?

Furst: These are novels of consolation. I am not trying to teach anyone a lesson. Now, they happen to be about a certain period in the political history of the West. If something is resonant to you, that's fine. There's plenty that's resonant to me, but I have yet to ever stick my elbow in a reader's ribs and say, "See that's just like now."

But having said that, there are things that are just like now, and I've got to tell you that "Mission to Paris" has an awful lot of just like now. The kind of political warfare they had then is a lot like the kind of political warfare going on now. There's a lot of propaganda, a lot of manipulation, a lot of trying to destroy people's reputations, a lot of lowdown tough stuff. I think most Americans don't like it, but it's the way the game is played, and it hasn't changed. That's the way the game was played in the 1930s. I haven't changed anything, not one thing to make it sound more like what goes on today. I was amazed when I discovered what was going on back then. I didn't know that it went on to that level of sophistication.

CNN: You've described your novels as one very long book with 12 chapters to date. How many more books or chapters do you have planned?

Furst: Let me put it this way, I don't plan to retire. What would I do, become a brain surgeon? I mean a brain surgeon can retire and write novels, but a novelist can't retire and do brain surgery or at least he better not. I wouldn't know what to do with myself. I'm a writer. I live it and breathe it. God made me this way; it's not my fault! I don't complain too much. Really, I feel very privileged to live the way I do and make a living as I have. Not everybody can do that.

Read an excerpt from "Mission to Paris"

@highlight

Alan Furst, known as the master of the historical spy novel, has a new thriller, "Mission to Paris"

@highlight

'"Mission to Paris" features an actor/spy caught up in pre-World War II intrigue

@highlight

Paris is a recurring locale in Furst's novels

@highlight

"There are things (from the 1930s) that are just like now," Furst says