(CNN) -- As anti-American furor raged in the home of the Arab Spring, the top U.S. diplomat on Friday sternly warned countries where the unrest has been most pronounced: Stop the violence and seek justice against those attacking diplomatic missions, or else the United States will.

From Morocco to Malaysia, thousands of Muslims have taken to the streets in recent days.

Many have fumed over what Secretary of State Hillary Clinton described Friday as an "awful Internet video that we had nothing to do with" -- an inflammatory anti-Islam film posted online this summer and publicized in recent days.

The 14-minute film trailer, which was privately produced in the United States led by a man federal officials identified as Nakoula Basseley Nakoula, mocks the Prophet Mohammed as a womanizer, child molester and ruthless killer.

Protesters haven't all been violent, and they represent a fraction of their respective nations' populations: In Egypt, a nation of more than 80 million people, a few thousand have clashed with security forces outside the U.S. embassy in Cairo.

Still, confrontations have aggravated relations between the United States and other nations and led to several deaths -- including those of the U.S. ambassador to Libya and three others killed in an attack Tuesday in Benghazi, Libya. The U.N. Security Council issued a statement Friday voicing "deep concern" over attacks on diplomatic posts, calling them "unjustifiable regardless of their motivations."

Clinton said such assaults are misguided and fly in the face of the better society many in these countries recently fought for when they overthrew authoritarian rulers.

"The people of Egypt, Libya, Yemen and Tunisia did not trade the tyranny of a dictator for the tyranny of a mob," she said Friday during a ceremony in which the bodies of the four killed in Benghazi returned to the United States.

"Reasonable people and responsible leaders in these countries need to do everything they can to restore security and hold accountable those behind these violent acts. And we will ... keep taking steps to protect our personnel around the world."

The contrast between then and now was especially evident in Tunisia, birthplace of the Arab Spring.

Two years ago, the self-immolation of street vendor Mohamed Bouazizi set off popular unrest that soon led to the downfall of Tunisia's longtime leader, President Zine El Abidine Ben Ali.

On Friday, hundreds of demonstrators -- some belonging to the Salafi movement -- were back on the streets of Tunis, setting their sights on the U.S. Embassy.

They burned cars, praised late al Qaeda leader Osama bin Laden, stormed the embassy complex and replaced the U.S. flag with their own black banner, according to witnesses. A nearby American school was "unusable" after being badly damaged, U.S. State Department spokeswoman Victoria Nuland said.

Two people were killed and more than 20 wounded, interim Tunisian President Al-Munsif Al-Marzouki said later Friday on state-run TV.

While asserting the anti-Islam video that stirred outrage "cannot be justified by claims of freedom of opinion and speech" (and adding Tunisia plans to sue the filmmaker), al-Marzouki condemned the "irresponsible, unjustified acts of violence by protesters" who wrongly blamed the U.S. government for the film.

New details emerge about mystery filmmaker

Anti-American protests -- some peaceful, some violent -- were hardly confined to Tunisia. Here's a breakdown of events Friday around the Muslim world:

-- In the Egyptian capital of Cairo, a running battle between police and protesters continued into its fourth day. There was a peaceful demonstration at Tahrir Square, though unrest erupted outside the U.S. Embassy as riot police continued to clash sporadically with protesters.

The Interior Ministry issued a statement saying 53 security officers were injured Friday, seven by birdshot. And birdshot was blamed for the death Friday of one protester, whom the Egyptian ministry described as an ex-convict with an extensive criminal record. Thirty of the 142 people arrested since the unrest began Tuesday remain in custody.

Read more about clashes in Cairo

-- In Egypt's northern Sinai, Islamist Bedouins staged a protest, a security official said. Militants carrying automatic weapons breached a base housing international peacekeeping troops and burned trucks and a watch tower. The armed clashes injured at least four troops and an Islamist Bedouin. The 1,500-troop mission has supervised the security of the Egyptian-Israeli peace treaty since 1979.

-- In Sudan's capital, Khartoum, protesters got inside the compound with Germany and Britain's embassies. They did not breach the British building, but some got into the German Embassy and pulled down a German flag before police with tear gas forced them to retreat.

At least two people died after being run over by a police vehicle, reported the state-run SUNA news agency, calling their deaths "an accident." Fifty policemen were injured and protesters set a police car on fire, the report said, citing police forces.

U.S. Vice President Joe Biden later Friday called his Sudanese counterpart, Ali Osman Taha, to "express his concern" and press Sudan to protect diplomats and their facilities in the African nation.

-- In Yemen, police opened fire to stop protesters from reaching the U.S. Embassy in Sanaa, eyewitnesses told CNN. Yemeni government forces were sent in and, by late in the day, surrounded the U.S. embassy compound, Nuland said.

-- Afghanistan saw its first demonstrations Friday. Hundreds in eastern Nangarhar province burned a U.S. flag and chanted "Death to America" and "We condemn the film." The demonstration lasted about an hour and ended peacefully, a local official said. The Afghan government has ordered an indefinite block of YouTube to prevent people there from watching the clips and staging violent protests.

-- In Gaza, several thousand gathered after Friday prayers and chanted anti-American and anti-Israeli slogans and burned effigies of U.S. President Barack Obama.

-- In Syria, hundreds of protesters outside the U.S. Embassy in Damascus waved placards condemning the film and blaming the U.S. administration for allowing it to be produced and broadcast, the state-run Syrian Arab News Agency reported.

-- In Lebanon, hundreds took to the streets in the northern city of Tripoli, attacking and burning down a KFC restaurant. One person was killed and 25 others wounded in scuffles between protesters and security forces.

There also were protests in Iran, Iraq, Pakistan, Turkey England, Israel, Nigeria, Malaysia, Bangladesh and India among other locales.

Demonstrations were not unexpected: On Thursday, the FBI and the U.S. Department of Homeland Security warned there could be more violence "at home and abroad as the film continues to gain attention."

And days before violent protests Tuesday in Egypt, the U.S. Embassy in Cairo was warned by the U.S. intelligence community of concerns about the anti-Islam film that sparked the uproar, a U.S. official told CNN. The cable sent to the embassy did not mention a specific threat. It only warned about the existence of the online movie and the fact that it was gaining attention.

Jewish groups mad about early reports on anti-Islam film

U.S. authorities have discounted as false a producer's claims to news outlets that the filmmaker was an Israeli who made the movie with financing from more than 100 Jewish donors. Israel's government denies that the film's maker is Israeli.

Despite the firm condemnation by U.S. government officials, some in the Muslim world -- especially those raised in regimes in which the government must authorize any film production -- cannot accept that a movie like "Innocence of Muslims" can be produced without being sanctioned by Washington, said Council of Foreign Relations scholar Ed Husain.

"They're projecting ... their experience, their understanding (that) somehow the U.S. government is responsible for the actions of a right-wing fellow," said Husain, a senior fellow at the New York think thank.

Read Husain's piece explaining dissent in Arab nations

Latest on the investigation into U.S. ambassador's killing

Sources tracking militant Islamist groups in eastern Libya say the Tuesday attack that killed Ambassador Chris Stevens was most likely carried out by a pro-al Qaeda group.

Four people have been arrested in connection with the attack, although they were not directly tied to the killings, said Monem Elyasser, the chief aide to Libya's prime minister.

Elyasser did not release identities or detail the allegations against the four in custody.

The evidence leading to the arrests was based partly on witnesses, but "mostly pictures that were taken around the compound at that time," Libyan Prime Minister Mustafa Abushagur told CNNI's Christiane Amanpour.

Mohammed al-Megaryef, president of Libya's General National Congress, said he was "100% sure that (the attack) was preplanned, and it was carried out with the intention to inflict all this damage, all this havoc" -- including rocking relations between Libya and the United States. He called for "the international community" to help Libyan security control militant groups behind such violence.

Contrary to al-Megarye's assertion, White House spokesman Jay Carney said Friday that U.S. authorities know of "no actionable intelligence" that indicates the Benghazi attack "was planned or imminent."

What Muslim nations' leaders are saying -- and not -- about violence

The United Nations has asked its non-Libyan staff to temporarily leave Benghazi and head to Tripoli as a "precautionary measure," said Radhia Achouri, head of the U.N. Mission in Libya.

And since Tuesday's assault, the U.S. has announced it will fly unmanned drones over Libya and dispatch two warships carrying guided missiles -- the first of which has already arrived off the coast of Libya.

U.S. Marine teams have been dispatched to Libya as well as Yemen and Sudan to safeguard American diplomatic posts in those nations, according to U.S. officials.

"Although these security forces are equipped for combat, these movements have been undertaken solely for the purpose of protecting American citizens and property. These security forces will remain in Libya and in Yemen until the security situation becomes such that they are no longer needed," Obama said.

Have you witnessed the attacks? Share your images, but stay safe

CNN's Harmeet Singh, Kareem Khadder, Mohammed Tawfeeq, Arwa Damon, Ben Wedeman, Hamdi Alkhshali, Brian Walker and Elise Labott, and journalists Masoud Popalzai, Zied Mhirsi, Isma'il Kamal Kushkush contributed to this report.

@highlight

NEW: The U.N. Security Council condemns attacks on diplomatic posts

@highlight

Muslims angry about an anti-Islam film protest in more than a dozen countries

@highlight

People "did not trade the tyranny of a dictator for the tyranny of a mob," Clinton says

@highlight

U.S. Marines have been dispatched to Libya, Yemen and Sudan, officials say