(CNN) -- The first recorded use of the phrase "protest march" was in 1913 to describe a demonstration organized by Mohandas Gandhi against the South African government's restrictions on Indian nationals. After Gandhi was arrested and the protests grew more heated in response, the South African government labeled the gatherings "riots." Ever since, impassioned groups of politically similarly situated people have been called either protesters or rioters. Which phrase you choose mainly depends on where your own political sympathies lie.

This weekend, after protesters involved in the Occupy Wall Street actions were arrested by police, the New York Post called the demonstration a "near riot" while Salon said the occupation involved mostly "beds, kitchens, peaceful barricades"

I'm not going to weigh in the relative merits of the Occupy Wall Street protests. Suffice it to say I'm sympathetic with their critique that our economy and political system is too beholden to the interests of Wall Street, overlooking or even abusing the middle class and the poor. In fact, polls show that more than two-thirds of Americans think major corporations, banks and financial institutions have too much power in our society. Yet I imagine there are some fed-up Americans nonetheless scratching their heads as to why a bunch of their fellow citizens are camped out in our nation's financial headquarters in New York.

Sure we have problems. But we have a democracy. We get to vote. That's our power, right?

Unfortunately, that's not always enough. We know the corporate lobbyists hold disproportionate sway over our elected officials compared with we, the people. For instance, members of the congressional supercommittee charged with reaching a bipartisan deficit reduction solution have received $41 million from the financial sector during their time in Congress. According to a new report by Public Campaign and National People's Action, at least 27 current or former aides to supercommittee members have worked as lobbyists for financial sector interests. Unfortunately, these dynamics affect both political parties. During his first presidential run, Barack Obama received more campaign donations from employees of investment banks and hedge funds than any other industry.

Throughout the rest of the world, especially in the Middle East and North Africa, ordinary people are rising up together to protest impenetrable and unjust political regimes. Many of these protests are peaceful. Sadly, some are not. But if you look at people's movements in places like Libya and Syria and think they are justified because those nations have entrenched, totalitarian regimes, think again. America's financial and business titans may not use tanks and torture, but their power is nonetheless extraordinary and dangerous. If the blatant injustice and inequality of the Arab world seems a million miles away, note that according to the CIA, income inequality in the United States is greater than in Yemen.

Frederick Douglass once said, "Power concedes nothing without a demand." Douglass knew of what he spoke. Because black people and poor whites weren't even allowed to vote in the early days of our Union, slavery could only be ended through protest. Throughout the 18th and 19th centuries, black and white Americans launched protests and outright revolts against the system of slavery. Many of those protests were peaceful. Sadly, some were not. But looking back, we don't condemn Harriet Tubman, Nat Turner and John Brown for their "riots" -- just as most Americans don't condemn the Rev. Martin Luther King Jr. and Ella Baker, even though at the time, all these great heroes were attacked and tarnished for their protests.

What is brave and noble through the distance of history can often seem disorderly and disruptive in the present. Think of the Boston Tea Party, which helped spark the American Revolution. The nervous British ruling class denounced it as a riot. And yes, that protest ultimately turned very violent.

I do not condone violence. I believe in the power of protests to confront the ugliness of inequality and injustice with the beauty of people peacefully coming together and simply but strongly demanding change. Then again, I understand that when people are angry, it's hard to be quiet. In La Puente, California, Rose Mary Gudiel is facing foreclosure and ejection from her home after falling on hard times. Gudiel is staying in her home until she, her brother and her elderly parents are forcibly removed by One West, the bank to which she has repeatedly appealed for lenience. Gudiel is actively resisting the orders of police and government officials. Is that violence? Will it be violent when the bank and cops remove her? Where do we draw the line?

The grandfather of protest -- or riots, depending on your perspective -- Gandhi deeply deplored violence. But Gandhi also said, "It is better to be violent, if there is violence in our hearts, than to put on the cloak of nonviolence to cover impotence." Indeed, people in the United States and across the globe are feeling increasingly impotent in the face of the growing power and wealth of Wall Street, dimming the rest of our prospects for a prosperous future. In the face of such injustice, I don't wonder why people protest. I wonder why more people don't join them.

The opinions in this commentary are solely those of Sally Kohn.

@highlight

Sally Kohn: "Occupy Wall Street" is part of American tradition of protest

@highlight

Past protests seen now as noble were disorderly and disruptive at the time, she writes

@highlight

Kohn: Protests a choice when injustice so entrenched, a vote is not enough