LONDON, England (CNN) -- The 1992 Hollywood movie "Lorenzo's Oil," depicts the true story of Lorenzo, a five-year-old boy who suffered from adrenoleukodystrophy (ALD), a rare and incurable disease that slowly destroys the entire nervous system.

Michaela Damin and her son, Nick, who suffers from  an extremely rare disease that affects the heart.

The movie showed how Lorenzo's grave physical and mental decline was finally stopped when his tireless parents found a treatment based on a mixture of oils, despite skepticism from doctors.

The film illustrated perfectly the struggle faced by patients suffering from any of 6,000 known rare conditions worldwide, generally known as orphan diseases.

Michaela Damin, founder of the Barth Syndrome Trust, whose son, Nick, suffers from this crippling syndrome that affects the heart and immune system and only has 130 known sufferers worldwide, told CNN: "It can take years to get the correct diagnosis and even then there may be no expert who knows what to do next."

The fact remains that rare diseases are still mostly overlooked by pharmaceutical companies because of the small patient population and lack of financial incentives.

Drug companies tend to focus on the more lucrative "blockbuster drugs" for common diseases, at the expense of cures for rare conditions.

The term "orphan drug" was originally coined because the pharmaceutical industry took little or no interest in discovery, development and marketing of drugs for rare diseases.

According to the European Organization for Rare Diseases, rare diseases affect between three and five percent of the population in developed countries.

In the European Union, a disease is considered rare if it affects fewer than five in 10,000 people, while in the United States the disease must affect fewer than 200,000 people.

Many countries, such as the United States, Japan and the United Kingdom, have therefore attempted to encourage pharmaceutical companies to invest in orphan diseases by giving them tax incentives, fee reductions and extensions of patent rights.

The United States was the first country to develop an orphan drug law in 1983, followed by Japan and Australia. In 1997, the Australian Orphan Drugs policy was set up to help manufacturers overcome the high cost of marketing drugs which have not proved to be commercially viable.

Since 1998, the EU has also devoted time and resources to rare diseases and passing laws that have led to more research and development in the field.

But even when treatments are developed, they generally remain extremely expensive.  See where to get help for rare diseases »

Genzyme, one of the pharmaceutical companies that focuses primarily on rare diseases, has long charged more than $300,000 a year for patients on Cerezyme, a drug used to treat Gaucher disease, an extremely rare condition that causes bone deterioration, among other symptoms.

Do you know someone who has a rare disease? Tell us in the Sound off below or send us an iReport

Only about 5,000 people around the world are taking Cerezyme. Genzyme says that justifies the high price.  See images of children living with rare diseases »

"The cost of developing therapies for very rare diseases is not substantially lower than those for common diseases and can take years," Steve Bates of Genzyme told CNN.

In their 2005 book on orphan drugs, Daniel Hagn and Oliver Schoffski wrote that on average, only one of 5,000 to 10,000 substances tested gets as far as market authorization and that it takes eight to 12 years and €895 million ($1.2 billion)  to develop and market a new drug.

Bates said Genzyme needs to recoup those high costs and that profits are the motive for further research: "Our profits are then re-directed into research for new drugs."

Genzyme's global revenue in 2008 was $4.6 billion, Bates told CNN.

A spokeswoman for French drug firm Hoffmann-La Roche told CNN: "There is a Roche Working Group on orphan diseases, but not a separate department." She declined to say how much the company's resources were allocated for research into the diseases.

While Pfizer spokesman Oliver Stohlmann told CNN in a written statement: "Pfizer is one of the leading companies in terms of approved orphan drugs in Europe. It currently has four marketed medicines out of 50 on the EU orphan drugs register.

"Pfizer also has a new cancer therapy that was originally developed for a very rare tumor type but is now being tested in more common forms of cancer," he added.

Campaigners for rare disease causes say the prohibitively high costs of orphan drugs is a major concern for sufferers, who are often forced to pay for their own treatments.

Peter Saltonstall, president of the National Organization for Rare Disorders (NORD), which represents nearly 30 million Americans who have rare diseases, told CNN: "The biggest issue for us moving forward is that people are able to afford to pay for treatment.

"[In the U.S.] most rare disease therapies are expensive and patients are being forced to pay for things out of pocket because of lifetime caps on insurance."

In the United Kingdom, the National Health Service (NHS) subsidizes many of the drugs for rare diseases, but not in all cases. The drugs need to pass certain stringent rules, such as fairness of asking price and effectiveness of the drug.

Dr. Ed Jessop of the UK's NHS said he believes these drugs should only be subsidized if they "are dramatically effective, work in virtually every patient and if we believe we are paying a fair price."

Some patients therefore still end up footing the bill for drugs that have been deemed too expensive or not effective enough.

Alastair Kent, President of the UK's Genetic Interest Group (GIG) told CNN that is why the price of treatment should reflect the input gone into developing the product. But, he said, "there are currently no mechanisms to see if the price of some treatments is fair"

Kent would therefore like to see more publicly funded research.

He also believes pharmaceutical companies should share the knowledge they don't use: "There is a lot of knowledge in the private sector that just gets filed away and we need to find ways to get that knowledge out."

In the meantime, however, Kent is campaigning for the UK to sign a European Union resolution to be passed on June 8 and 9 that calls for member states to create national plans on rare diseases.

He hopes a national plan will ease some of the burden that is currently carried by patients. It would lead to better communication between the various bodies that deal with rare diseases and enhance care, Kent said.

But for the moment, Michaela Damin of Barth Trust explained, patients still need to take matters in their own hands:

"Proper communication is really lacking and some of our conditions are so rare, that in the end, we have to become the expert on our own conditions."

@highlight

More than 6,000 known rare diseases worldwide

@highlight

30 million Europeans have a rare disease at some point in their lives

@highlight

Small number of patients per disease means pharmaceuticals pay little notice

@highlight

EU resolution to be passed in June calls for national plans on rare diseases