Johannesburg, South Africa (CNN) -- It's just after two o'clock in the morning and a never-ending queue of South African commuters is waiting to get onto a bus that will take them to Pretoria for work. Many are carrying blankets in the hopes of getting some much-needed rest while on the three-hour journey.

The year is 1983 and this is a "blacks only" bus, where only a lucky few will get the luxury of seating as the bus travels into the city. A single white man stands at the front of the bus watching the daily commute. His name is David Goldblatt and he's there to capture life on film.

With a career spanning six decades, Goldblatt has become one of South Africa's most distinguished photographers, using a lens to chronicle the growth of a nation.

His work adorns museum walls in Johannesburg and crosses oceans to Melbourne, Paris and New York. Among his most celebrated collections is his documentation of Apartheid, where he became a witness to the discrimination faced in South Africa.

"All photographers are witnesses ... I was trying to find ways into an understanding, if you like, of who we are. Apartheid was part of that," he tells CNN.

"Apartheid became very much the central area of my work but my real preoccupation was with our values ... how did we get to be the way we are?"

Goldblatt's love of photography stemmed from his schooldays but it wasn't until the mid 1960s, aged 32, that he launched a career as a commercial photographer.

His decision to work in black and white was a direct result of his desire to convey his uncompromising view of the world.

"You need to work to look at a black and white photograph. It doesn't immediately come to you. Color is much more sensuous, sweet and welcoming," he says.

"(For) Apartheid and the anger and the fear that it stirred, there was no other medium than black and white."

In the early 1980s, Goldblatt was commissioned along with 19 other photographers by economist Francis Wilson as part of a collaborative essay on black life and poverty.

Goldblatt had not intentionally set out to visually record the Apartheid system. But after being given the subject of public transport and working alongside his friend, New York Times correspondent Joe Liliefeldt, Goldblatt began using his lens as a means of vocalizing his protest at the segregation in the bantustans -- homelands -- northeast of Pretoria.

The images he captured would become a seminal part of his photographic legacy offering a raw and naked glimpse into the hardships faced by black people who were forced into an eight-hour commute to simply go to work.

"They had got up at about half past one or two o'clock in the morning in order to get into the queues and catch the buses," Goldblatt vividly remembers.

"If they hadn't done that of course, they would have starved because the homelands was -- and I think this is quite deliberate -- placed in a place where there was no possibility of earning a living."

He recalls how the hardships people were forced to endure affected him, recounting a day when he stood on one of the early morning buses asking people if he could take their photograph.

"Very soon (I) realized that they couldn't have cared a damn about me. They were just interested in sitting down and if they could, getting sleep ... It was a very moving experience."

The resulting photographs continue to provide a stark insight into the difficulties faced during the years when the policy of racial discrimination was practiced in South Africa.

While his images are loved across the globe, Goldblatt doesn't believe in taking beautiful photographs. To the wizened 83-year-old, it is not about aesthetics but about expressing value.

"Aesthetics is not a term that I use. I'm not interested in it. Obviously I'm very interested in how a picture works ... what it means. It's a conversation between me, myself and the subject."

The use of modern technology in the photography process has allowed Goldblatt to emerge from the dark room where he previously would have spent months painstakingly developing his shots.

Advances in digital scanning and printing have also helped inspire him to spend more time working in color.

"Initially I was very skeptical, so I felt that you couldn't repeat or do the kind of nuanced printing in the dark room ... but you can, the technology is superb."

And with a wealth of experience behind him, the award-winning photographer has also turned his hand to education and passing on his craft to aspiring artists.

In the 1980s he noticed that many young black people were visiting a small photography gallery where he would show some of his work.

"I became acutely aware that they had not the slightest hope of attaining a reasonable degree of visual literacy or skill in photography," he explains. "Houses were overcrowded, they had no money, they had no running water, no electricity. So the possibility of being able to process films and print them is just not there."

With this in mind, Goldblatt set about raising finance and began workshops which, he proudly states, still run to this day.

"It's going and flourishing," he begins before modestly adding, "but it has very little to do with me, it has to do with the people who've been directors there ... many of them could have earned far more in the commercial field.

"It really was a labor of love."

For all the acclaim he has received, Goldblatt remains unpretentious about his work, which has become a historic record of South Africa. When asked which piece or collection he is most proud of, he laughs off the question.

"Sorry -- first of all I don't speak of art. I speak of being a photographer and a crafts person ... if I had to be called before a heavenly jury to account for myself, I'd have to say 'well, look at it and decide for yourselves.'"

@highlight

David Goldblatt is a world-renowned photographer from South Africa

@highlight

He has spent 50 years visually documenting the daily life of his nation

@highlight

His work presents a stark glimpse into life in South Africa through the years