(CNN) -- Two years after massive demonstrations forced out longtime leader Hosni Mubarak, Egypt finds itself right back where it started.

This time, protests have led to the removal of Mohamed Morsy, the country's first democratically elected president. Some are calling it Egypt's "second revolution."

"Think of the millions of people who cheered Morsy after his election," said Fawaz Gerges, director of the Middle East Center at the London School of Economics. "Think of the millions of Egyptians who pinned their hopes on Morsy.

"A year later, now, the millions of Egyptians who cheered for Morsy are saying he must go."

They got their wish Wednesday, when the country's military leaders confirmed that it had ousted Morsy.

How did it get to this point, and what's next for Egypt? A look at five key questions:

1. Why have so many Egyptians protested against Morsy?

Morsy, a strict Islamist aligned with the Muslim Brotherhood movement, was elected in June 2012 by appealing to all Egyptians. But his opponents say his government has been anything but inclusive since he took office, and they say it has failed to deliver on the people's aspirations for freedom and social justice.

What is the Muslim Brotherhood?

Morsy has also been accused of authoritarianism, forcing his conservative agenda through edicts and a narrow majority. He has squared off against Egypt's judiciary, the media, the police and even artists.

"The Muslim Brotherhood has not recognized that it has to take into account the 48% that didn't vote for it," CNN's Fareed Zakaria told Wolf Blitzer on Tuesday. "There are many people who feel that the constitution was rammed down the throats of a lot of Egyptians, that it contains within it many illiberal characteristics, things that are kind of the Muslim Brotherhood's Islamic agenda written into the basic framework of laws."

Egyptians are also frustrated with rampant crime and a struggling economy that hasn't shown improvement since Mubarak resigned. Unemployment remains high, food prices are rising and there are frequently electricity cuts and long fuel lines.

Large-scale protests began the weekend of June 30, on the first anniversary of Morsy's election.

2. What has been the response from the other side?

There have also been huge rallies in favor of Morsy.

His supporters -- and many outside observers -- say that by getting rid of Morsy before his term is up, Egypt is circumventing the democratic process.

"Popular protests are the sign of a robust democracy. But the change in an elected government should be at the ballot box, not through mob violence," said Ed Husain, a senior fellow for Middle Eastern studies at the Council on Foreign Relations.

Morsy stressed his legitimacy in a speech Tuesday and said he would not step down.

"The people of Egypt gave me the mandate as president," he said. "They chose me in a free election. The people created a constitution. I have no choice but to bear responsibility for the Egyptian constitution."

Morsy even said he was ready to sacrifice his blood if that's what it took to uphold his constitutional legitimacy. But by the next day, he was out and the country's constitution had been suspended, according to Gen. Abdel-Fatah El-Sisi, the nation's top general.

Morsy supporters in at least one Cairo plaza vowed to oppose the coup, chanting "down with military rule." In statements posted on the presidential Facebook and Twitter pages, Morsy said his ouster would be "categorically rejected by all the free men of our nation."

3. What's the military's role?

When Mubarak resigned in 2011, the country's military took over leadership of the country and remained in power until Morsy's election.

It had mostly stood on the sidelines until Monday, when it said it would intervene if Morsy did not come up with a solution to "meet the demands of the people." It gave Morsy 48 hours to accommodate his opponents or be pushed aside.

"We swear by God that we are ready to sacrifice our blood for Egypt and its people against any terrorist, extremist or ignorant," generals said in a statement called "The Final Hours."

A military spokesman said the ultimatum was to push everyone toward national consensus, not seize power through a coup.

But after the deadline expired Wednesday, there were reports from some of Morsy's supporters that a coup was under way. The state-run newspaper Al-Ahram, citing an unnamed presidential source, reported that Morsy was told by 7 p.m. (1 p.m. ET) "that he is no longer a president for the republic."

4. What's the U.S. stance?

President Barack Obama spoke with Morsy this week and reiterated that the United States doesn't support a particular party or movement in Egypt, a U.S. statement said. Obama "stressed that democracy is about more than elections."

State Department spokeswoman Jen Psaki denied, however, that Obama urged Morsy to hold early elections.

Senior administration officials told CNN that a military coup would trigger U.S. legislation that calls for cutting off all American aid to Egypt. Psaki confirmed there were conditions on aid, but said "that's way ahead of where we are in the process."

Zakaria said many Egyptians are suspicious of American intentions and influence.

"At some level, no matter what the United States does, it gets blamed," he wrote on the Global Public Square blog. "For decades, it was blamed for supporting the military -- it was blamed for that even a year or two ago. Now the claim is that they're too pro-President Morsy."

5. What's next for the Muslim Brotherhood and for Egypt?

Morsy's removal offers no guarantee that the protests and violence will stop. It might even get worse.

The Muslim Brotherhood still has significant support in the country, and those supporters could lash out.

Zakaria called Morsy's removal "a fairly dangerous move."

The Brotherhood was "able to survive and flourish through five or six decades of complete persecution and an outright ban on their activities," he said, "so they're not going to go anywhere.

"They will be very passionate about trying to push back on this, and that suggests the tensions in Egypt are likely to get a lot worse before they get better."

Long-term, many fear this could set a dangerous precedent. It could also create more instability, Husain said, for a country that depends on tourists and international investment for economic prosperity.

"Hopes were raised," he said, "but now the democratic dream is coming apart before our eyes. ... Is it too late to save Egypt's democracy?"

CNN's Matt Smith, Hamid Alkshali, Reza Sayah, Tom Watkins, Dan Lothian, Amir Ahmed, Ben Brumfield, Ali Younes, Chelsea Carter, Schams Elwazer, Elise Labott, Ben Wedeman, Ian Lee, Housam Ahmed and Salma Abdelaziz contributed to this report.

@highlight

Egypt is looking at its second power change in two years

@highlight

Mohamed Morsy, the country's first democratically elected president, was removed from office

@highlight

Large-scale protests began on the first anniversary of his election