(CNN) -- Less than a month ago, gun control seemed destined for its day in Congress.

In the wake of the shooting of 20 schoolchildren and seven adults in Newtown, Connecticut, a major revision to the nation's gun laws appeared, to many observers, inevitable -- a sure thing, even.

"This awful massacre has changed where we go from here," longtime gun rights supporter Sen. Joe Manchin, D-West Virginia, tweeted three days after the shooting.

"I think," said Sen. Charles Schumer, D-New York, "we could be at a tipping point."

Indeed, with bullet-riddled bodies of 6- and 7-year-olds being carried from a first-grade classroom, opposition to tighter gun laws could hardly seem to withstand the deluge of media attention and outrage from a horrified public.

Yet congressional opposition has not wilted. And this week, as the grim one-month anniversary of Newtown approaches, Vice President Joe Biden signaled that the White House might be prepared to enact reforms through executive order rather than risk a fight for comprehensive legislation on Capitol Hill.

To look at the polls, opposition in Congress seems puzzling. Although support for an assault weapons ban is not high, clear majorities of Americans support a variety of other measures proposed by gun control advocates. In a recent USA Today/Gallup Poll, 92% said they favored a law that would require background checks at gun shows. More than six in 10 Americans support a ban on high-capacity ammunition clips. Even many gun owners embrace reforms.

The political influence of the National Rifle Association, which strongly opposes any new gun laws, helps explain why some members of Congress don't support measures that large majorities of Americans want. But the dynamics of media and public attention are also crucial to understand what's happening.

The gun control debate illustrates what is known as the "issue-attention cycle." This occurs when a dramatic event -- in this case, the Newtown shooting -- causes the media and public to become intensely interested in a policy issue for a brief time, before moving on to other problems.

Following high-profile mass killings in the United States, there often is a surge in news coverage about gun control. But within a few weeks, coverage reverts to where it was before the shooting. This was evident following the 2007 massacre at Virginia Tech, the 2011 shooting of Rep. Gabrielle Giffords and last year's attack at an Aurora, Colorado, movie theater.

Newtown, for all its unique dreadfulness, has so far been little different.

In the week beginning a day after the tragedy -- from December 15 through December 21 -- 2,472 stories in the nation's newspapers mentioned gun control. These data come from a search of more than 500 news outlets indexed in the LexisNexis "U.S. Newspapers and Wires" database. In the next week, the number of gun control stories fell by more than half, to 1,192. The week after -- from December 29 through January 4 -- it was down to 962.

Meanwhile, journalists found a new object of attention. From December 29 through January 4, the LexisNexis database included 3,636 stories mentioning the fiscal cliff -- nearly four times as many as mentioned gun control in that same week. The economy didn't tumble over the cliff, but gun control did.

These patterns have consequences for public opinion, which tends to take its cues from the media. Without sustained attention to gun control, Americans are not likely to view the issue as particularly salient. Even in a Gallup Poll fielded in the days after the Sandy Hook Elementary School shooting, just 4% of Americans said guns were the country's most important problem. Most mentioned the economy, which has dominated the news for months.

As a result, there is less pressure on gun control opponents, most of whom are Republican, in Congress to strike a deal with those seeking stronger gun controls, most of whom are Democrats. Opposing gun reforms that might be popular with Americans, but not important to them, may be less risky for many politicians than running afoul of a powerful interest group such as the NRA.

This doesn't necessarily mean that gun legislation is moribund. Perhaps the efforts of the anti-gun violence organization founded by Giffords -- a decidedly compelling advocate for gun control -- may sustain the media's attention. That could make the issue more important to voters, which might create a greater incentive for Congress to act.

But with the coming political fight over the debt ceiling, media attention to guns may remain in relatively short supply, especially as Sandy Hook recedes in the rearview mirror. The reality of the issue attention cycle suggests that gun control advocates' best hope may lie in executive action, not the legislative process.

The opinions expressed in this commentary are solely those of Danny Hayes.

@highlight

Danny Hayes: After Newtown shooting, it seemed time was ripe for new gun control laws

@highlight

But congressional opposition has not wilted, Hayes says

@highlight

He says after mass killings, media attention surges, public follows; both quickly drop

@highlight

Hayes: Pattern same with Newton, and gun control opponents count on it