(CNN) -- The Metro-North train that derailed Sunday, killing four people and injuring dozens of others, was equipped with safety mechanisms that would have sounded a warning before slowing down the train if the engineer became unresponsive, a Metropolitan Transportation Authority spokesman said Thursday. It's unclear, however, if those mechanisms were activated before the crash.

The train engineer, William Rockefeller Jr., apparently "was nodding off and caught himself too late" before the accident, a union representative told CNN. His lawyer said the engineer's schedule had been switched in November from a mid-afternoon start time to a predawn start.

At the time of the accident, the train was in "push mode," meaning that the locomotive was in the rear of the train pushing it along the tracks, with Rockefeller in a cabin at the front operating it remotely. His cabin was equipped with a "dead man pedal" that required constant downward pressure with the foot to keep the train moving, MTA spokesman Aaron Donovan told CNN on Thursday.

"Should you lose consciousness or die and the foot is taken off, a whistle sounds and the train begins to slow immediately to a stop," Donovan said. "It's a pressure you have to keep -- your foot actively engaged."

The newer model locomotive in the rear, however, was equipped with a more sophisticated "alerter" system which sounds a tone every 25 seconds, requiring the engineer to respond with a tap within 15 seconds while the train is in steady motion, Donovan said.

"This train had one system in front and one in rear -- with the same goal of ensuring that engineers are alert," said Donovan.

But it is unclear if the "dead man pedal" mechanism was activated when Rockefeller allegedly nodded off at the controls. "That is unknown," Donovan said.

The National Transportation Safety Board has not commented on those mechanisms but has said the signal and braking systems appeared to be functioning.

Two passengers on the Metro-North train, meanwhile, have filed a notice of claim against the commuter railroad, an initial step in a lawsuit seeking damages in connection with the accident.

Four people died and 67 others were injured in the crash Sunday.

Denise Williams is a retired Army colonel and dentist who was on her way to a convention at the time of the crash. She suffered spine, collarbone and rib fractures after she was pinned inside an overturned car for about an hour, according to her attorney Michael Lamonsoff.

Negligence accusations

Lamonsoff said Wednesday the suit on behalf of Williams will accuse the commuter railroad of negligence. He said state law requires that negligence claims be filed against the railroad, not the train engineer who allegedly nodded off as the train was speeding into a sharp curve.

MTA doesn't comment on pending litigation, according to spokeswoman Marjorie Anders.

"While she was ... pinned down, there was a guy that, a chef who has cerebral palsy, he sat with her and prayed with her because they didn't know if she would live or die, and she was praying to live," Lamonsoff said.

"Bottom line is the guy was going 82 mph in a 30 mph zone," Lamonsoff said. He added that the railroad has been slow to implement what is known as positive train control technology, which combines GPS, wireless radio and computers to monitor trains and stop them from colliding or derailing. In 2008, Congress ordered rail lines to adopt the technology by December 2015.

"We have GPS on cars, they should have GPS on the trains," he said. "They have been stonewalling. They have until 2015, they have asked for extensions, they haven't started any upgrades."

Edward Russell was among those seriously injured in Sunday's crash. He will ask for punitive damages in the amount of $10 million, according to his notice of claim, which cites "loss of earnings," "inability to work" and "post traumatic stress" as part of the damage sustained from his injuries.

Russell's attorney, Robert Vilensky, expressed concerns about the infamous sharp curve in the tracks at Spuyten Duyvil.

"It seems like there have been several incidents in the area, I believe there were four in the past year. There's something that seems to be amiss ... whether they're not doing enough to ensure safety, (or) not paying enough attention to it," Vilensky said.

Russell's claim accuses the MTA, Metro-North, the City and State of New York of being negligent "in allowing the train to run at a place where there is a sharp curve in the terrain, (and) in failing to change the design of the tracks when another incident had occurred similar to the incident herein several months previously," among other things.

MTA spokesman Salvatore Arena said the agency began work to install positive train control technology on the Long Island Rail Road and Metro-North Railroad in 2009, budgeting nearly $600 million for its installation, including $428 million last month for a system integrator. The cost for full implementation is estimated at $900 million.

Arena said implementing it by the 2015 deadline will be difficult because much of the technology is still under development, untested and unproven on commuter railroads the size of Metro-North and LIRR.

National Transportation Safety Board member Earl Weener said Tuesday it's possible that positive train control could have prevented a derailment involving a high-speed train, like the one involved in the Metro-North accident.

Train union kicked out of crash investigation

The NTSB, meanwhile, has booted the rail union from its investigation into the derailment for violating confidentiality rules.

The agency made the announcement late Tuesday night, hours after a union representative told CNN the train engineer apparently "was nodding off and caught himself too late" before the accident.

In its announcement, the NTSB specifically cited those comments as the violation.

Anthony Bottalico, the union representative, told CNN that Rockefeller recognizes his responsibility in the incident.

"I think most people are leaning towards human error," Bottalico said.

Rockefeller's lawyer, Jeffrey Chartier, characterized what happened as "highway hypnosis." He said his client had had a full night's sleep before the crash and had no disciplinary record.

On Wednesday, Chartier said his client never blamed the accident on faulty brakes, disputing earlier statements attributed to Rockefeller.

Living through a train wreck

CNN's Felicia Schwartz, Kristina Sgueglia, Allison Malloy, Mike Ahlers and Ross Levitt contributed to this report.

@highlight

NEW: Metro-North train had safety systems designed to stop it in an emergency

@highlight

A retired Army colonel is one of the passengers who've filed a notice

@highlight

A lawyer for the engineer describes what happened as "highway hypnosis"

@highlight

"I think most people are leaning towards human error," union representative says