The Supreme Court on Wednesday unanimously ruled that police may not search the cell phones of criminal suspects upon arrest without a warrant -- a sweeping endorsement for privacy rights.

By a 9-0 vote, the justices said smart phones and other electronic devices were not in the same category as wallets, briefcases, and vehicles -- all currently subject to limited initial examination by law enforcement.

Generally such searches are permitted if there is "probable cause" that a crime has been committed, to ensure officers' safety and prevent destruction of evidence.

Criminal suspects in Massachusetts and California were separately convicted, in part, after phone numbers, text messages, photos and addresses obtained from personal electronic devices linked them to drug and gang activity.

Those cases were appealed to the high court, giving it an opportunity to re-enter the public debate over the limits of privacy rights, with a focus on the ubiquitous cellphone and its vast storage of information and video.

The appeals were not related to the recent mass surveillance of phone metadata by the National Security Agency, which has raised similar constitutional concerns.

"The fact that technology now allows an individual to carry such information in his hand does not make the information any less worthy of the protection for which the Founders fought," the ruling said. "Our answer to the question of what police must do before searching a cell phone seized incident to an arrest is accordingly simple — get a warrant."

Ellen Canale, a Justice Department spokeswoman, said the agency would work with law enforcement to ensure "full compliance" with the decision.

"We will make use of whatever technology is available to preserve evidence on cell phones while seeking a warrant, and we will assist our agents in determining when exigent circumstances or another applicable exception to the warrant requirement will permit them to search the phone immediately without a warrant," Canale said.

Most people have cellphones

A January Pew Research Center survey found more than 90 percent of Americans now own or regularly use a cellphone, and 58 percent have a more sophisticated smartphone.

They have become the most quickly adopted technology ever. It's estimated that most of the world's 7 billion people have access to mobile devices, according to the United Nations.

Lower courts nationwide are divided over how to apply a 40-year-old high court precedent allowing searches of a suspect's items after arrest. Home searches generally require warrants and are given greater constitutional protection than vehicles or a person in public.

Of the two cases addressed by the Supreme Court, David Riley's attracted the most scrutiny.

Two convictions

He was detained in 2009 for having an expired vehicle registration and driving with a suspended license. When authorities impounded his vehicle, loaded weapons were found hidden under the hood.

After the college student's subsequent arrest, San Diego police took a look at his smartphone. Text messages, contacts and video in the touch-screen device led officers to believe Riley had organized crime connections. A photograph of another vehicle owned by the suspect was linked to an earlier drive-by shooting.

He was convicted in state court and received a 15-year prison sentence.

Separately, Brima Wurie was arrested in 2007 for selling two packets of crack cocaine. He had an old-style flip phone in his pocket, and police in Boston used call logs on the device to trace his real home address, after the suspect gave a bogus one.

There, officers with a search warrant found more drugs, a weapon and ammunition. Wurie was convicted in federal court and is serving 22 years.

In neither case did police seek a warrant before the phones were searched. One appeals court upheld Riley's conviction, and another tossed out Wurie's.

Broader impact

Unclear from the high court's ruling is whether other defendants convicted on such electronic evidence will also have their cases dismissed.

But the court minced no words in separating such devices from other things a person might have on them when detained by police.

"Modern cell phones, as a category, implicate privacy concerns far beyond those implicated by the search of a cigarette pack, a wallet, or a purse," said Chief Justice John Roberts. "Cell phones differ in both a quantitative and a qualitative sense from other objects that might be kept on an arrestee's person."

The Constitution's Fourth Amendment protects against "unreasonable searches and seizures."

But the Supreme Court has repeatedly affirmed the government's discretion to conduct warrantless initial pat-downs and searches of people and vehicles -- to ensure officers' safety and prevent destruction of evidence.

That included a 1973 ruling upholding the police search of a suspect's crumpled cigarette box, where heroin capsules were discovered. The motorist had first been stopped on suspicion of driving on a suspended license in Washington.

Cellphones different

Similar law enforcement searches can include other closed containers, such as wallets and address books, even if it is not initially apparent the items are contraband or dangerous.

But privacy advocates and defense attorneys had argued that portable, easily storable technology makes these appeals different. The court, in sweeping terms, agreed.

In April: Court seemingly at odds over cell phones and searches

Opinion: What Scalia knows about illegal searches

Cevallos: Cell phone ruling keeps cops out of your business

@highlight

The cases reviewed involved searches without a warrant following an arrest

@highlight

The unanimous decision was a sweeping endorsement for privacy rights

@highlight

Most people in the United States own a cellphone