Los Angeles (CNN) -- The doctor convicted in Michael Jackson's death sees the jury's verdict in a wrongful death civil trial as "justice."

"I cried because, for once, the world was allowed to hear some of the facts at they pertain to this matter -- a lot of facts that have been suppressed, much of which I was denied and my attorneys could not present during my criminal trial," Dr. Conrad Murray said on NBC's "Today" on Thursday.

He described himself as "relieved."

A jury found Wednesday that concert promoter AEG Live was not liable in Jackson's death. The jury found that AEG Live had hired Conrad Murray, but that Murray was competent.

"The jury's decision completely vindicates AEG Live, confirming what we have known from the start -- that although Michael Jackson's death was a terrible tragedy, it was not a tragedy of AEG Live's making," AEG Live attorney Marvin Putnam said.

The jury rejected Putnam's contention that AEG Live did not hire Murray, but the conclusion that the doctor was not "unfit or incompetent" got the company off the hook for a potential billion dollar judgment.

The decision ended a five-month trial, but likely began a years-long appeal process.

It will not help Murray's appeal on his criminal conviction, however.

And the jury foreman disputed suggestions by Murray's legal team that the verdict supports his case. The foreman added that he would not want Murray treating him.

Jackson lawyer: 'We found the truth'

"AEG has denied for years, and continues to deny, that they hired Dr. Conrad Murray," Katherine Jackson's lawyers said in a statement released late Wednesday. "The jury found unanimously that AEG hired Dr. Murray. AEG has repeated the mantra that this lawsuit was a shakedown. Such a statement is a slap in the face of the entire judicial system that allowed this case to get to a jury."

While the verdict means no money in damages for the Jacksons, the statement suggested they believe they gained something from the trial. "We have said from the beginning that this case was a search for the truth," it said. "We found the truth. AEG hired Dr. Conrad Murray, the man who is in jail for killing Michael Jackson."

Jackson lawyers, who were discussing the grounds for an appeal even before the verdict was read, indicated the legal fight is not over. "All options regarding the balance of the jury verdict are being considered," their statement said.

Katherine Jackson, 83, sat with nephew Trent Jackson and a lawyer for the reading of the verdict in a large Los Angeles courtroom Wednesday. She played a word game on her iPad while sitting on a hallway bench to pass the time before the reading. None of her sons, daughters or grandchildren attended court Wednesday.

Jurors became Jackson fans

Testimony by 58 witnesses over 83 days included intimate revelations by those closest to the singer -- pulling back the curtain on Jackson's dreams, passions, pain and fears. It shed light into his intractable insomnia that led to Jackson's death from an overdose of the surgical anesthetic propofol just days before the planned premiere of his comeback concert.

Contrary to some expectations that the trial would damage Jackson's reputation with its focus on his drug abuse, jury foreman Gregg Barden said Thursday that what he saw and heard made him a bigger fan of the King of Pop. He bought some of Jackson's albums growing up, but it wasn't until serving as a juror in the wrongful death trial that he realized his talent, generosity and personality, Barden said.

Barden -- a high school football coach -- said he came close to crying in court when Jackson lawyers played a video of Jackson's children as he sang "Speechless," a song he wrote to describe his love for his children.

"This Is It" show director Kenny Ortega also won new fans from the jury.

Barden said jurors believed Ortega was "absolutely truthful" in his testimony about Jackson's deteriorated condition a week before he died, but his "miraculous" recovery at his last two rehearsals.

"He got emotional a couple of times and had to walk off the stand, we really felt bad for him, but he was also a man who put in so much work and so much effort and did everything he could, we felt, to try to help Michael," Barden said.

Several jurors, including Barden, applauded at the end of Ortega's dramatic testimony.

"It was just the absolute honesty of what he was doing," Barden said. "All of the sudden the jurors sitting there for all those months, we watched all these other guys get up there and we were asking 'Is that the truth or is that a lie?' Now all of a sudden we didn't have to do that. We could just relax and listen because everything he said was the truth. That's why he got applauded."

Fit and competent, but unethical?

Barden suggested jurors were boxed in by the wording of the second question on their verdict form: "Was Dr. Conrad Murray unfit or incompetent to perform the work for which he was hired?"

Jurors interpreted "the work" to be as a "general practitioner" who was expected to treat Jackson and his children for routine illnesses -- not to infuse him with profopol to put him to sleep every night, Barden said.

"Conrad Murray had a license, he graduated from an accredited college and we felt he was competent to do the job of being a general practitioner," Barden said. "Now, that doesn't mean that we felt he was ethical, and maybe had the word ethical been in the question, it could have been a different outcome. But because it was for the job he was hired to do, that was what we had to focus on."

Jackson lawyers argued that one reason Murray was unfit was because he had a conflict of interest. His deep financial debt made him conflicted to the point that he took dangerous risks with his patient because he feared losing the $150,000 monthly salary that AEG Live agreed to pay him to treat Jackson, they argued.

Jurors apparently did not see medical ethics as an essential element for a fit and competent physician.

HLN's Nancy Grace asked Barden if he believed Murray was unethical. "You betcha!" he answered. "Because he went way beyond what he was supposed to do."

Juror: AEG was 'in the dark'

Interviews with Barden and another juror indicate that even if they had decided Murray was unfit and incompetent, the jury still might not have held AEG Live responsible for the doctor giving Jackson the dangerous nightly infusions of propofol that eventually killed him.

"There was not one shred of evidence presented over five months to back up the fact that AEG could have known that Dr. Murray was doing that," Barden said.

Juror Kevin White agreed. "If AEG had known what was going on behind closed doors, it probably would have made a world of difference, but they didn't," White said.

AEG Live lawyers were apparently effective with their strategy of calling several of Jackson's former doctors to testify about how the singer developed close friendships with them. Jackson was talented at "doctor shopping" and keeping his various physicians in the dark about each other, they argued.

"Michael Jackson was pretty used to getting his own way," White said. "He was a big star. He had all these doctors who wanted to be his doctor and he could pretty much get what he wanted. If anybody said 'No,' well, they were out of the mix and he'd find somebody else."

Murray treated Jackson in an upstairs bedroom at his mansion, where no one else could see, White said. "How could AEG have done anything about it when they were kept in the dark?"

Murray's lawyer: 'This is huge'

No one seemed more surprised in courtroom when the verdict was read than Murray's lawyers. Valerie Wass, who had sat in on much of the trial so she could give personal reports to her jailed client, let out an audible gasp when the court clerk read the jury's "No" to the question "Was Dr. Conrad Murray unfit or incompetent to perform the work for which he was hired?"

Murray was "very, very emotional" when Wass visited him in jail to discuss the verdict Wednesday evening, Wass said.

The civil trial verdict has no impact on Murray's criminal appeal, "but in the court of public opinion, this is huge," Wass told CNN.

Murray, who is appealing his involuntary manslaughter conviction, is scheduled to be released from jail this month after serving two years of a four-year sentence.

His medical licenses were suspended after his conviction two years ago, but he could regain them, Wass said "He has a lot of patients who really want him to come back and practice," she said. "And we'll see."

On NBC, Murray said, "I will restart my life and, God willing, I will be a model to show the world that despite adversity, and when bad things happen to good people, they can restart their life and succeed.

The jury foreman bristled at the suggestion that Murray was vindicated by his verdict.

"Absolutely not," Barden said. "I don't see it as a vindication of Dr. Murray, and no, I would not hire him as my doctor. It's not a vindication. Again, it's the way the question was worded."

Asked by NBC whether he felt vindicated, Murray said the verdict showed him that "you have to wait on the Lord. You just have to know that he is there for you, and he is going to deliver his justice on his time."

CNN's Josh Levs contributed to this report.

@highlight

NEW: MIchael Jackson won a new fan during trial -- the jury foreman

@highlight

Jury foreman: "I don't see it as a vindication of Dr. Murray"

@highlight

"For once, the world was allowed to hear some of the facts," Dr. Conrad Murray says

@highlight

Jackson lawyer: "We have said from the beginning that this case was a search for the truth"