(CNN) -- It's not news that looks matter. Depending on how attractive people think we are, we may have at times found ourselves dateless or overwhelmed with unwanted attention.

Studies have indeed shown that people attribute more intelligence and competence to taller, well-turned-out or otherwise good-looking people. However, a new briefing paper by the Council on Contemporary Families tell us life's uneven distribution of beauty counts in an even more poignant place than we may have considered: in school evaluations of our children by teachers and peers.

In a recently releasted briefing report, "In School, Good Looks Help and Good Looks Hurt (But They Mostly Help)." sociologists Rachel Gordon and Robert Crosnoe show that in high school, some students -- say, a prom queen and king -- will be rated higher in intelligence, personality and potential for success just because they are considered good-looking.

More than that, they will actually get higher grades and be more likely to graduate from college.

In fact, the authors, whose the larger study -- published in book form by Wiley -- say that "the difference in GPA and college graduation rates between youth rated by others as attractive, versus average in looks, is similar to the differences in academic achievement between youth raised in two-parent versus single-parent families."

If the idea that kids get better grades based on "getting by on looks" frosts you, wait. This will make you nuts: Based on their findings, Gordon and Crosnoe believe that the effects of beauty (or lack thereof) may last far beyond high school graduation.

They say there is a cumulative boost (or loss) of self-esteem about one's own appearance that carries over from high school into college and perhaps over a lifetime.

And even though the authors say that beauty has its pitfalls (good-looking men and women, for example, dated more and drank more and some of this had a negative impact on their grades and college success), their conclusion is that, overall, this period of "lookism" in high school is important enough to merit the same kind of consciousness-raising discussion given to unfair racial or class stereotypes.

If looks translate into higher praise, better grades and even more credit for being warm and sensitive, as the authors found in their research, this is a real boon for the people with the lucky DNA. Each advantage a student has is likely to make that young man or woman feel more self-confident -- and self-confidence is an extraordinary tool to use in adult life.

The other side of the coin is what's concerning: There is, as many parents know, the depression and sense of worthlessness a young adult may feel when he or she is not deemed good-looking in high school. It is frightening to think this may lead to a lifetime of feeling awkward, unlovable and inferior.

We have all become more sensitive and activist about issues of adolescence we used to ignore. We now know how dangerous bullying is, how destructive depression can be and how important it is to reframe our view of people who have physical or mental disabilities.

While we can't mandate that people change their opinion about who is or is not good-looking, we could ask our kids' teachers to be aware of their own tendency to give a higher grade or greater approval to a good-looking kid than to one that is not. We could all bring attention to slang that kids use to assess or denigrate another person's looks.

Does this sound too PC? Maybe. But a little sensitivity here wouldn't be a bad thing.

Terms such as "tubby" or "skinny" or "lame" or other insult equivalents you may have heard don't need to be leveled at anyone. Young people are acutely aware when they are not the favored ones, and they know that popularity and good looks are usually paired.

Moreover, an ambitious student who is attractive might prefer to be complimented on what he or she said or did rather than for appearance. It does them no favor to allow them to think that their looks are their primary and best attribute; it could cause them to be insecure about other aspects of their personality or behavior.

Talking openly about this could make it clearer to the people in our children's day-to-day world that their casual remarks can have long-term effects. It can also take some of the sting out of not being in the running for prom king or queen. And here I would suggest that such beauty and popularity contests are a dicey idea for schools in the first place. They have an impact on the impressions and behavior of everyone in the school, even, potentially, teachers.

We spend time and energy to make sure our kids are treated fairly in life. Let's help ensure they are not discriminated against -- or given a free ride -- just because of the way they look.

The opinions expressed in this commentary are solely those of Pepper Schwartz.

@highlight

Pepper Schwartz: Study finds edge given attractive people can start in school with teachers

@highlight

Language, attitudes expressed by peers, adults shape kids' self-worth for lifetime, she says

@highlight

We're sensitive to race, class, disabilities; how about effect of beauty standards, she asks?

@highlight

Schwartz: Teachers, be aware of your power in contributing to beauty discrimination