(CNN) -- It's hard to imagine a video of lawyers debating points of constitutional law going viral on YouTube, but the audience for the Proposition 8 trial -- a lawsuit seeking to overturn California's voter-approved ban on same-sex marriage -- is potentially vast. Unfortunately, that audience will have to wait.

U.S. District Judge Vaughn Walker had decided to allow the proceedings to be taped, then aired on YouTube.  But as the trial was set to begin Monday morning, the U.S. Supreme Court issued an order blocking its broadcast.

Our camera-phobic high court is making a mistake. Public access should be encouraged, not thwarted, in court cases involving divisive issues -- all the more so when judicial power is invoked in an effort to invalidate the outcome of a vote.

Although some Supreme Court justices might worry that cameras in the courtroom undermine the legitimacy of the judicial process, the reality is just the opposite.

The Prop 8 trial is a case in point. People on both sides of the same-sex marriage issue are accustomed to a political process coarsened by ideological rhetoric and political posturing.

If they can view the Prop 8 trial via YouTube, they will be surprised by what they see: a decision-making process devoid of politics, in which a thoughtful and unbiased judge asks hard questions of both sides' lawyers in search of legal rules reflecting neutral principles, not political fiat.

At a time when most Americans have lost confidence in the government's ability to act in the general interest, the potentially huge audience for the Prop 8 trial would see that at least one branch of government tries to make decisions on the merits.

Broadcasting the trial will confer legitimacy on the proceedings as nothing else can.

Legitimacy matters. If, in the end, Judge Walker upholds Prop 8, rejecting challenges to its constitutionality, opponents of the law will feel angry and aggrieved -- to put it mildly. But if they have viewed the trial online, they are less likely to feel victimized in a process that was politically rigged.

Defenders of Prop 8 are against broadcasting the trial because they believe it would infringe on their right to a fair trial. They claim that release of videos on YouTube would expose participants to harassment.

The concern about harassment is not trivial. Some financial contributors to the Prop 8 campaign were harassed following voter approval of the law in November 2008.

Much as I disagree with their position on same-sex marriage, harassment infringes their First Amendment right to participate in the political process.

But the trial judge is sensitive to these issues and would be able to minimize the risk of harassment. Under the camera access procedures adopted by Judge Walker, the court would control the video cameras and can make sure that certain witnesses are not shown on camera, if necessary.

In any case, most trial participants are people who, because of their prominence in the electoral campaign, have chosen to have a high public profile on same-sex marriage. They expect to be recognized and identified with this issue. They have, or should have, thick skins.

Their First Amendment right to join the political fray must be balanced against the public's First Amendment right to know what transpires in the  courtroom. There is no secret justice in the American judicial system.

Courts must be open to assure the parties receive a fair trial and to give the public the necessary confidence that the laws are applied justly.

To be sure, the First Amendment doesn't require public access to include television broadcast or online distribution. But when judges exercise their discretion to open their courtrooms to cameras, that choice should be upheld.

Let's hope the Supreme Court quickly rescinds its order blocking online distribution of the Prop 8 trial video.

The opinions in this commentary are solely those of Peter Scheer.

@highlight

Peter Scheer: Trial seeking to overturn California's gay marriage ban should be taped

@highlight

Scheer: YouTube viewers will see tough, fair arguments on merits of case

@highlight

Discussion will be out in the open and free of political posturing, he writes

@highlight

He believes the concerns of videotaping opponents can be addressed