LONDON, England (CNN) -- New data released Thursday suggests that the Arctic Ocean will be "largely ice free" during summer within a decade.

As the Arctic sea ice melts, polar bears face extinction.

The report, complied by the UK-based Catlin Arctic Survey and the World Wildlife Fund (WWF), is the latest research into ice thickness in the Arctic.

Researchers predict that within 20 years ice cover will be completely gone during the warmer months.

The expedition, which was completed in May, was led by UK explorer Pen Hadow.

He and his team collected data by manually drilling into the ice and noting its thickness along a 450-kilometer route across the northern part of the Beaufort Sea.

They found that the area surveyed was comprised almost exclusively of first year ice.

Scientists think this is significant because traditionally the region has been made up of much older, thicker ice.

"Discovering this area of younger ice provides another body of information that supports the rapidly emerging scientific consensus that it's going to be nearer 10 years from now that we will see roughly 80-85 percent free waters in the Arctic Ocean," Hadow told CNN.

Measurements taken by Hadow and his team report that the ice-floes were on average 1.8 meters thick -- which, according to scientists, is too thin to survive next summer's ice melt.

Professor Peter Wadhams, head of the Polar Ocean Physics Group at the UK's University of Cambridge said: "With a large part of the region now first year ice, it is clearly more vulnerable. The area is now more likely to become open water each summer, bringing forward the potential date when the summer sea ice will be completely gone."

Professor Wadhams, who has analyzed the expedition data, added: "The Catlin Arctic Survey data supports the new consensus view that the Arctic will be ice-free in summer within about 20 years, and much of that decrease will be happening within 10 years."  Click here to see pictures of the expedition »

Martin Sommerkorn from the WWF International Arctic Program believes that the changes in sea-ice cover in the region are likely to increase global temperatures further.

"Such a loss of Arctic sea ice has recently been assessed to set in motion powerful climate feedbacks which will have an impact far beyond the Arctic itself," Sommerkorn said.

"Arctic sea ice holds a central position in our Earth's climate system. Take it out of the equation and we are left with a dramatically warmer world," he added.

Hadow fears that the current climate models developed by scientists may not be extreme enough. But he is hopeful that this new data will spur world leaders into action.

"We are now in a loss period," Hadow told CNN. "Maybe losing this sea ice, this roof on the top of our planet in going to be an important moment, a big visual aid to the science that in combination can bring about some sort of global agreement on emissions."

@highlight

New report says Arctic sea ice will largely disappear in summer within a decade

@highlight

Survey captured latest data on ice thickness in Northern part of Beaufort Sea

@highlight

Measurements show the ice-floes surveyed were on average 1.8 meters thick

@highlight

Scientists warn that Arctic ice melt is likely to set off "powerful climate feedbacks"