(CNN) -- Recently, the Senate Subcommittee on Consumer Protection successfully ignited a public discussion about dietary supplements. It's about time. But this is only a first step, and of no substantive value without continued careful objective and scientific re-evaluation of how we view these products.

The $30 billion dietary supplements industry, one of the fastest growing industries in the world, has reason to celebrate. More than half of Americans are taking supplements.

This year marks the 20th anniversary of the passage of one of the most skillful pieces of legislation ever to undermine the health of Americans: The Dietary Supplement Health and Educational Act of 1994. The result was to remove from regulation by the Food and Drug Administration any substances labeled as a dietary supplement. The act was passed with strong bipartisan support. After all, shouldn't we make it easier for Americans to access good nutrition? If it is nutrition, isn't it good for you? And, if a nutrient is essential for an important body function, shouldn't more of it improve that body function?

But supplements are not quite the amazing panacea that we have been led to believe. Supplements, which include substances such as vitamins and herbs, but can also include hormones and other pharmacologically active ingredients, can impact the effect and safety of various medications and alter our body's physiologic functions.

For instance, severe bleeding has been reported as a result of supplements taken at recommended doses around the time of even minor surgery. This is of great concern given that a survey conducted by researchers at the University of Colorado found that 40% of patients undergoing surgery were taking herbal and vitamin supplements that block normal blood clotting and predispose them to excessive bleeding, and 17% were taking supplements that may prolong the effect of anesthesia.

Nutrients are chemicals, and almost all are known to have toxicity when taken in high doses. Look in any nutrition textbook and you will find lists of vitamin toxicities, some of which may even be fatal.

For example, overdose of vitamin A will cause brain swelling and liver failure. This is, fortunately, not common. But intake of vitamin A, only slightly higher than the recommended daily allowance, has been associated with thinning of bones and a higher risk for fractures.

Some supplements, like zinc, may cause harm even at low doses, since it can cause a significant decrease in the levels of copper, another essential mineral for the body.

Vitamin E and selenium supplements have both been proven, in a well-designed randomized trial with more than 35,000 men, to cause statistically significant increases in the incidence of aggressive prostate cancer. The National Cancer Institute felt the results were concerning enough to post them on their website, with a strongly worded warning that men should not take these, despite the claims of supplement proponents who vehemently deny the scientific data, based on outlandish theories. Nor do these proponents disclose conflicts of interest, which real scientists are ethically bound to reveal when they are in a position to make personal gains.

Despite the proven risks, the market is glutted with supplement companies and vitamin pushers who argue that supplements, from multivitamins to herbal cures for everything from the common cold to obesity, are natural and thus, safe. They fiercely advocate for keeping access to dietary supplements unfettered by government regulation, claiming that further regulation would unfairly deprive the public of access to these potentially beneficial substances. They cite theory and inappropriate data to support their claims and dismiss any evidence to the contrary.

Proper randomized studies, such as those performed to establish safety and efficacy of prescription medications, are needed to establish cause and effect of supplements. Such studies require large numbers of patients and are extremely costly. Without regulatory pressures, there is little motivation for industry to do the studies, even as supplements bring in large profits from sales to the American public.

The other option is observational or epidemiological research, which is easier and less expensive. But conclusions from these studies can only be used to note the coincidence of events, not cause and effect. Erroneous conclusions are often drawn (e.g., only overweight people are on diets, therefore being on diets causes obesity). And guesswork, which some supplement proponents use to deny the science, costs nothing.

Most people, scientists and nonscientists, are not aware of the weaknesses in the scientific data on supplements. Part of this misunderstanding is the fault of us nutrition experts, who want very much to provide something to slake the hunger of the public for advice on what to do to stay young, thin, fit and healthy, and are loathe to say "we don't know."

It is a hopeful sign that this issue has come to the attention of the Senate Subcommittee on Consumer Protection. But there is so much to be done.

Just because a product is brought to market and labeled as a dietary supplements, guarantees neither efficacy nor, more importantly, safety. On this anniversary of the Dietary Supplement Health and Education Act, with lawmakers now willing to challenge this powerful industry, it is time to reassess the regulation of dietary supplements, consider our priorities in how funding is granted for nutrition research, reeducate the community of nutrition experts as well as the public, and be honest about our inability to offer definitive, safe and effective nutritional recommendations.

@highlight

More than half of Americans are taking supplements, fueling a $30 billion industry

@highlight

David Seres: But supplements are not the amazing panacea that we are led to believe

@highlight

He says vitamin E and selenium supplements, for example, may not be safe for men

@highlight

Seres: We need to reassess regulation of dietary supplements and educate the public