(CNN) -- The U.S. Supreme Court cleared the way Monday for legal same-sex marriages in five more states.

The court refused to hear cases from the states -- Indiana, Oklahoma, Utah, Virginia and Wisconsin -- seeking to keep their same-sex marriage bans in place.

Couples in some of those states began applying for marriage licenses just hours after the Supreme Court's decision.

CNN affiliate WVEC in Norfolk, Virginia, captured a same-sex couple who rushed to fill out their marriage license documents. Officials in Virginia began issuing same-sex marriage licenses at 1 p.m. Monday.

Tony London and Tim Bostic, two plaintiffs in Norfolk, said they were ready to receive their marriage license Monday afternoon.

"It was a pleasure suing you," London joked when a clerk handed him the license, a WVEC reporter tweeted, capturing the two locked in a kiss.

In Richmond, Lindsey Oliver and Nicole Pries left work and drove to the John Marshall Courthouse, where they were the first same-sex couple to be married.

"It's a great thing," Oliver told CNN affiliate WTVR. "There's lot of things that need to be done in Virginia to still make gays equal. This is one step and we're glad to be a part of it."

Colorado Attorney General John Suthers said all of the state's 54 county clerks must start issuing same-sex marriage licenses.

A similar order could be issued by day's end for Indiana and Wisconsin.

"Supreme Court" trended on Twitter with dozens of people weighing in -- and trying to figure out exactly what the high court's move meant.

Experts say its refusal to hear the cases from those five states also means that six more states -- Colorado, North Carolina, South Carolina, Kansas, West Virginia, and Wyoming -- could soon have to lift their bans on same-sex marriage, because they are covered by the same circuit appeals courts that initially struck down the prohibitions.

Once that happens, the number of states permitting same-sex marriage would jump from 19 to 30.

At issue is whether gay and lesbian couples in all 50 states have the same equal protection or due process right to marry that opposite-sex couples have.

The Family Research Council, a conservative public policy and lobbying organization, said voters were having their rights infringed.

"Unfortunately, by failing to take up these marriage cases, the high court will allow rogue lower court judges who have ignored history and true legal precedent to silence the elected representatives of the people and the voice of the people themselves by overturning state provisions on marriage," Family Research Council President Tony Perkins said.

In Utah, just hours after word from the high court came down, Gov. Gary Herbert said at a press conference that he felt "surprised" and "disappointed" that there was no "finality" on the issue of same-sex marriage. The state would comply with Monday's order, he said, and same-sex marriages would move forward.

"Regardless of your personal beliefs," he urged, "... please treat each other with respect and with kindness as we transition through this new law."

The court's action does not mean there won't eventually be a final ruling on the constitutional questions -- many court observers fully expect a landmark decision in the next year or two -- but it does signal the justices are not ready to jump into the politically charged debate right now.

The high court's move surprised many observers. Advocates on both sides of the issue had wanted the court to offer a definitive, binding ruling on key constitutional questions.

"The question of whether same-sex marriage bans are constitutional is a historic issue, under the Constitution and for the Roberts Court," said Thomas Goldstein, publisher of SCOTUSblog.com and a respected Washington attorney. "It's hard to imagine a situation where judges are going to have more power to define the social and family relationships of the country." He's referring to Chief Justice John Roberts.

Both sides passionate

Same-sex marriage is already legal in the District of Columbia and 19 U.S states: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Oregon, Pennsylvania, Rhode Island, Vermont, and Washington.

A Supreme Court ruling on the constitutionality of same-sex marriage would essentially end a patchwork of state laws -- some that allow it, some that prohibit it, and a few that allow protections short of marriage, such as civil unions and domestic partnerships.

Marriage equality supporters cheered the high court's Monday order.

"Today's decision by the Supreme Court leaves in force five favorable marriage rulings reached in three federal appellate courts, ensuring the freedom to marry for millions more Americans around the country," said Evan Wolfson, president of Freedom to Marry.

"But we are one country, with one Constitution, and the court's delay in affirming the freedom to marry nationwide prolongs the patchwork of state-to-state discrimination and the harms and indignity that the denial of marriage still inflicts on too many couples in too many places."

The Supreme Court hurried to schedule the appeals from the five states for its closed-door conference, even before all the legal briefs had been filed. But the justices offered no explanation of why they are not ready to resolve the issue.

Some conservative activists say the high court should stay out of same-sex marriage issues.

"When the court on such an issue -- where there are very strong opinions on both sides, and a huge issue of social change in our country -- steps in and makes it into a constitutional issue, it makes the justices look significantly more political in the eyes of the American people," said Carrie Severino, chief counsel of the Judicial Crisis Network.

"It would cast doubt on the legitimacy of the court ... by imposing one type of solution for the entire nation, instead of leaving it in the hands of the states to decide how they want to address this issue."

Many supporters of "traditional" marriage privately say preserving an inflexible one-man/one-woman definition of wedlock nationwide would not be realistic moving forward, and that a divided bloc of states upholding the status quo may be the best possible scenario. But all that hinges on what the Supreme Court does.

Virginia Attorney General Mark Herring, the first state attorney general to argue successfully at the district and appeals level for a marriage ban to be struck down, said "a new day has dawned, and the rights guaranteed by our Constitution are shining through."

Same-sex precedent

A federal appeals court in August took just nine days after intensive oral arguments to issue its sweeping conclusion that voter-approved same-sex marriage bans in Indiana and Wisconsin were unacceptably discriminatory. And state leaders then took just five days to formally ask the Supreme Court to intervene.

Even Justice Ruth Bader Ginsburg recently hinted that a "Why wait?" attitude may predominate.

"I think the court will not do what they did in the old days when they continually ducked the issue of miscegenation," she told The Associated Press in July, referring to interracial marriage, a ban on which was not struck down by the high court until 1967. "If a case is properly before the court, they will take it."

It takes just four of the nine justices to put such petitions on the docket -- but five, of course, to ultimately prevail on the merits.

State and federal judges in the past year have ruled 39 times in favor of the expanded marriage right, while two have upheld existing laws. All this follows what the Supreme Court in 2013 said peripherally on the issue.

Fifteen months ago, the justices cleared the way for same-sex marriages in California to resume after it ruled private parties did not have "standing" to defend a voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock.

More importantly, the high court also rejected parts of the federal Defense of Marriage Act in its 5-4 "Windsor" decision, citing equal protection guarantees to conclude same-sex spouses legally married in a state may receive federal benefits, such as tax breaks.

That federal question now morphs into the higher-stakes state jurisdiction, where marriage laws have traditionally been controlled, and where the equal protection issues will ultimately be resolved.

By CNN's count, various individuals and gay rights groups have launched more than 80 pending marriage equality lawsuits in all 31 states with current bans. A Supreme Court review would put all that litigation on hold.

However, the nine justices had complete discretion to stand on the sidelines for now and wait for a majority of these state battles to play out, or for a federal appeals court to uphold a ban.

CNN's Steve Almasy contributed to this story.

@highlight

NEW: One step toward making gays equal, new spouse says

@highlight

Couples go for marriage licenses, state officials order that licenses must be issued

@highlight

The Supreme Court rejected requests from five states to review bans

@highlight

Those states' bans likely to be lifted quickly; order could also affect six more states