VERACRUZ, Mexico (CNN) -- With Hurricane Dean hours away from a second dangerous encounter with Mexico, government officials warned residents of Veracruz and other coastal towns to prepare for its arrival.

A resident tries to make his way through a flooded street in Chetumal, Mexico, Tuesday.

Not only is the area particularly prone to flooding, a nuclear plant near the city supplies power to much of northern Mexico.

While the facility itself is safe, high winds could affect some pylons carrying electricity away from the plant, CNN's Karl Penhaul reported.

Winds were picking up and waves were growing higher as evening fell in Veracruz, he said, even though Dean's predicted landfall was 12 to 18 hours away.

After raking Mexico's Yucatan Peninsula earlier, making landfall as a Category 5 storm -- the most extreme level on the Saffir-Simpson scale of hurricane intensity -- Dean was back to Category 1 as it entered the Bay of Campeche later Tuesday.

It was forecast to build back up to Category 2 intensity before its second landfall.

At 11 p.m. ET, Dean's maximum sustained winds remained near 80 mph as the storm moved  west-northwest at near 18 mph, according to the National Hurricane Center in Miami, Florida. "On this forecast track, Dean is expected to be very near the coast of central Mexico during the day Wednesday," according to the center.  See the storm's projected path »

Authorities set up temporary shelters around Tuxpan, Mexico, with the capacity to hold thousands, according to Ramon Rodriguez, municipal president of the city.

The evacuation of 5,000 people in the urban areas and 4,500 people in the rural areas was under way, he said. Residents of unstable areas were being urged to go to temporary shelters as soon as possible.

On the Yucatan, Mexico's tourist areas dodged a bullet, but President Felipe Calderon expressed concern for some of the peninsula's poor Mayan communities that may have borne the brunt of the storm.  Watch Dean batter Mexico »

"We still have to know what happened in the more isolated communities," Calderon said, speaking at a summit in Quebec, Canada, with President Bush and Canadian Prime Minister Stephen Harper.

The Mexican leader left the summit early, saying he would head to the Yucatan to "supervise the rescue missions" which will concentrate on the poorer indigenous communities.

"I have a great deal of concern for the housing and the lack of services in that general area for the indigenous people there and that will be the main area of concern for us," he said.

Calderon said the government suspended oil production near the city of Campeche, Mexico's main oil production center, as Dean passed -- cutting off about 2.5 million barrels of oil per day -- and evacuated nearly 20,000 workers from oil platforms in the area.

Downed power lines and damaged buildings were reported in Mexico and northern Belize. But even in the hardest-hit area, Red Cross officials said, no deaths were reported and there was only one minor injury, CNN's Gary Tuchman said.  See CNN correspondents track Dean through Mexico »

Streets were flooded in Chetumal, just south of where Dean's center made landfall around 4:30 a.m. (5:30 a.m. ET) with maximum sustained winds of 165 mph (266 kph), according to the hurricane center.  Power was out in the coastal city, where most of the 130,000 residents appeared to have heeded government warnings to seek shelter or evacuate.

But overall, there was no major damage in Chetumal and the sense was that "this could have been a lot worse," CNN's Harris Whitbeck reported. Watch CNN coverage as Dean made landfall

The storm's eye passed just south of the resort areas of Cozumel and Cancun, Mexico, striking a rural and sparsely populated area. Watch as Dean sweeps through Playa del Carmen

Some of those Mayan communities Calderon spoke of were evacuated several days ago, Whitbeck said. About 3,500 Mayan Indians fled from a nature preserve where they live. But many other isolated communities must still be checked out.

Ancient Mayan ruins in the town of Tulum, south of Cancun, held up well, resident Enrique Perez told CNN. But the town itself was battered. Local officials say about a third of the hotels and beach cabins in Tulum were damaged, Reuters reported.

Meanwhile, in Jamaica, residents cleaned up fallen trees and debris Monday as the island nation started to recover from its brush with Dean on Sunday.  See I-Reports of what Dean has done across the Caribbean »

Dean is being blamed for at least nine deaths in its march across the Caribbean, including two in Jamaica, two in Haiti, two in Martinique, two in Dominica and one in St. Lucia.

Mexico's Yucatan resort region was devastated in 2005 by Wilma, a Category 3 hurricane. But lessons learned from the fierce storm helped the Yucatan area better prepare for Dean, Quintana Roo Tourism Secretary Gabriella Rodriguez told CNN. "This was a piece of cake compared to Wilma," she said.

The U.S. military's Southern Command, said it had deployed a 25-person damage assessment team to Belize.

Ahead of the storm, the Mexican government deployed 4,000 troops to the area, and a state of emergency was declared in the inland state of Campeche, where residents were bracing for as much as 20 inches of rain in some places.

Forecasters do not believe Dean presents a threat to the United States, although officials in Texas continued to make storm preparations just in case Dean's path takes an unexpected turn.

A hurricane warning remains in effect along Mexico's Gulf Coast from the tip of the Yucatan's Gulf Coast near the town of Progreso, northward to Tampico, where "preparations ... should be rushed to completion," the NHC said. E-mail to a friend

CNN's Susan Candiotti, Rob Marciano, Gary Tuchman and Harris Whitbeck contributed to this report.

Reuters contributed to this report.

@highlight

Hurricane may strengthen to Category 2 before its second landfall in Mexico

@highlight

Dean is expected to hit central Mexico on Wednesday

@highlight

Mexico's president cuts short a meeting in Canada to return home

@highlight

Downed power lines, damaged buildings in Mexico, northern Belize