Rome (CNN) -- A crooked Somali cop may have been the one who made the kidnapping of two foreign aid workers in October possible, the safety adviser for their employer told CNN.

U.S. military forces rescued Jessica Buchanan, 32, and Poul Thisted, 60, on Wednesday after they spent three months in captivity. Now in Sicily, the aid workers are to be reunited with their spouses.

Buchanan and Thisted were traveling in Somalia as workers for the Danish Refugee Council at the time of their kidnapping.

Fredrik Palsson, the group's global safety adviser, revealed new details about how the pair were captured.

Nongovernmental organizations such as Danish Refugee Council are required to have security while traveling in certain parts of Somalia. The Somali government provides protection, not private security companies, Palsson said.

Known as special protection units, these guards operate only in specific areas, and so aid workers must change vehicles and switch guards when they cross from one region to the next, he said.

"What happened was that one of the guards, he was sold out, and he had as a mission: to capture expatriates," Palsson said.

The kidnappers paid off one officer, who replaced the regular guards with others who were in on the corruption, he said.

"And as they came close to the changeover position, then they were stopped, and then they were moved into other vehicles and they were driven away," he said.

Meanwhile, the U.S. military said that the two rescued aid workers need time out of the media spotlight to recover.

The workers' health and welfare are the top priority, the military statement said, appealing to journalists to respect the privacy of the freed hostages and their families.

"It is extremely important that they have the chance to decompress from this event without the pressure of instant overwhelming public notoriety," it said.

In a joint statement issued through the Danish Refugee Council, Buchanan's and Thisted's families expressed relief the two were rescued unharmed.

"We are grateful for all the efforts that have been put into getting them safely back to us and for the fact that a very difficult chapter in our lives is over," it said.

"We need to look ahead now, and it is going to take time for us all to adjust and to return to normal life. We would like to thank all media for having respected our needs for privacy, and we request for everyone to continue to show us this respect and to give us time and privacy, which is all we need now."

The reintegration process allows the Defense Department to gather critical information while taking care of the freed captives, the military said.

"The process ensures returnees have the best chance to return to their previous lives following this significant event," it said.

The two hostages were freed in a dramatic overnight rescue operation.

U.S. special operations forces parachuted into Somalia from airplanes early Wednesday, advanced on foot to a compound where the two kidnapped workers were being held and then freed them, U.S. officials said.

The nine gunmen holding the hostages were killed, officials said.

The kidnappers seized Buchanan and Thisted on October 25 in the central Somali town of Galkayo after they visited humanitarian projects there, the Danish Refugee Council said. Neither was harmed, the aid group said.

Buchanan's father, John, was to go to Sicily to see her, CNN learned. She will be returned to the United States when she wants, probably in a U.S. military aircraft.

Somalia's transitional government welcomed the U.S. military operation. The rescue "is a great joy to the Somali government and to all Somalis as well as to all right thinking people everywhere," the government said in a statement.

"Hitting them hard is the only language kidnappers of innocent people, pirates and terrorists understand, and every opportunity should be taken to wipe out this scourge from our country."

The new U.N. envoy to Somalia -- the first permanent U.N. representative there in 17 years -- also expressed understanding about the military operation.

"If negotiations fail, all means must be applied, including rescue operations," Augustine Mahiga said Thursday, even as he urged that lives be protected "on both sides."

Thisted's sister and brother-in-law wept for joy when they heard he had been rescued, the brother-in-law, Svend Rask, told Denmark's TV2.

"She was overjoyed when she told us what happened," Rask said, speaking of the daughter who gave them the news.

The Navy SEAL unit that killed Osama bin Laden last year in Pakistan participated in the rescue mission, a U.S. official said, without specifying whether any of the same individuals were on both assaults. The SEALs are part of the Naval Special Warfare Development Group, formerly known as SEAL Team Six.

The area where the hostages were seized is known as a hub for pirates, rather than an area of Islamic militant activity.

Somalia Report, a website that tracks piracy statistics, said more than $150 million was paid out in ransoms in 2011.

Successful pirate attacks on merchant vessels began to drop off in 2011 in face of improved shipping security -- including on board armed security detachments -- and stronger action from the foreign navies patrolling the Gulf of Aden and Indian Ocean.

The International Maritime Bureau, which tracks piracy, said the number of attacks had risen but the success rate had plummeted to 12% in the first nine months of 2011.

The aid workers were part of the Danish Refugee Council's de-mining unit, which aims to make civilians safe from land mines and unexploded ordnance.

Buchanan has been employed as a regional education adviser with the mine clearance unit since May; Thisted, a community safety manager with the de-mining unit, has been working in Somaliland and Somalia since June 2009.

CNN's Brian Todd, Dugald McConnell and Livia Borghese contributed to this report.

@highlight

NEW: Danish Refugee Council official says bribed guard made kidnapping possible

@highlight

Aid workers Jessica Buchanan and Poul Thisted are at a U.S. base in Sicily

@highlight

The reintegration process will help the two readjust to normal life, the U.S. military says

@highlight

They were freed in a daring rescue by U.S. special operations troops in Somalia