(CNN) -- On Monday afternoon, the Pulitzer Prizes -- print journalism's highest honors --  were announced. Among the names not on the list: The National Enquirer.

It wasn't for lack of trying.

The bastion of supermarket check-out lanes, home of Elvis and Roseanne, was being considered for its work breaking the John Edwards sex scandal, a story it followed when much of the so-called "mainstream media" was looking the other way. The weekly paper, which has a paid circulation of just under 800,000, was entered in two categories -- investigative reporting and national news reporting -- but apparently fell short. (The winners were the Philadelphia Daily News with ProPublica; and the staff of The New York Times, respectively.)

Enquirer executive editor Barry Levine told CNN last week that winning would have been an honor, and he liked hearing the Enquirer's name mentioned among the titans of the mainstream media.

"It helps our credibility around the world," says Levine.

"Credibility" may not be the first word associated with the Enquirer -- but it has had some surprising journalistic scoops in years past, including the Gary Hart sex scandal and a number of leads during the O.J. Simpson trial. With the Edwards story, it had some support from mainstream media observers.

"Had the Enquirer not exercised a very tenacious reporting on this -- which we respect in the journalism world, right? -- would we not have known that this scandal was occurring?" said Geneva Overholser, director of the school of journalism at the University of Southern California. "Would Edwards perhaps have been nominated [for president]? ... I mean, there's no question the course of history would have been different."

But the Enquirer's reputation is as a scandal sheet that revels in humanity's foibles. Never mind that such publications have been a mainstay of journalism for more than a century, says Joan Saab, a cultural studies professor at the University of Rochester.

Indeed, the new respect for the Enquirer is another sign that, in the Internet age, the old divisions between "serious" news and tabloid-style coverage have broken down, Saab says. Levine, the Enquirer's executive editor, worked for mainstream outlets, including The Associated Press, before moving towards tabloid journalism.

"Even most [mainstream news organization] Internet homepages will have all the gossip," Saab says. "It makes us wonder about the validity of categorization."

The Enquirer has many forebears, but if it wins, it may want to tip a fedora to Confidential, the "most scandalous scandal magazine" of its time, in Tom Wolfe's wonderfully emphatic words.

Founded in 1952, the pulp magazine was the brainchild of Robert Harrison, a dapper, high-living New York-based publisher who made some money with 1940s soft-core girlie magazines such as Titter and Wink. Pairing with editor Howard Rushmore, who had made the journey from muckraking Communist to muckraking anti-Communist, Harrison relied on a formula of Hollywood scandal, redbaiting exposes and occasional investigative pieces to make Confidential, at a quarter a throw, the top newsstand seller of its time.

It was the first of a postwar breed of magazines to take advantage of the breakdown of the Hollywood studio system which, with back-scratching and arm-twisting, had protected stars' private lives from prying columnists. Americans were also showing a more open interest in gossip. As Humphrey Bogart once said, "Everybody reads it, but they say the cook brought it into the house."

With its lurid red-and-yellow covers and its colorful, often alliterative prose, Confidential published brazen stories that revealed stars' homosexuality, tawdry pasts and domestic battles -- usually carefully vetted and written to protect against lawsuits. It was a side of celebrities Americans had seldom seen, and it contrasted with the airbrushed images presented by more mainstream publications: The same month Look magazine published a glowing profile of "I Love Lucy" stars Lucille Ball and Desi Arnaz, Confidential headlined a story, "Does Desi Really Love Lucy?" and showcased an old Arnaz affair.

"Confidential came out and said, 'This is what life's really like,' " says Henry Scott, author of the new book "Shocking True Story: The Rise and Fall of Confidential."

Harrison got away with it, Scott said, because he didn't care what the moguls thought. "Harrison was not obligated to Hollywood. His business model wasn't dependent on advertising."

Confidential's rise earned enemies as quickly as profits, and its fall came fast and hard. Rushmore left, later to die in a brutal 1958 murder-suicide that would have made prime Confidential fodder, had the magazine not been faltering. The year before, Confidential got careless on a story about Maureen O'Hara. The actress sued for libel and won.

With many of its sources exposed, Confidential's information pipeline dried up and it soon dropped the celebrity exposes. Harrison sold it in mid-1958; its spark was gone.

But its impact, said Scott, lives on as the forerunner of today's gossip blogs, supermarket tabloids and celebrity glossies -- including the Enquirer.

Indeed, former Enquirer editor Iain Calder, who guided the publication from the '60s well into the '90s, riffs on Enquirer firsts with the brio of a character out of "The Front Page." His own book, 2004's "The Inside Story," describes searching through Henry Kissinger's garbage (which revealed allegedly secret memos), getting a photo of Elvis Presley in his coffin (it became the cover of the Enquirer's best-selling issue) and covering the "Dallas"/"Dynasty" TV battle.

It's the kind of coverage that's harder to do nowadays, said Calder, lamenting the financial squeeze that's hit media companies. "I had the highest-paid, best investigative reporters ever in America," he said in his engaging Scottish brogue. "I could hire a private jet and put 40 reporters on a major story." In those days -- the late '70s and early '80s -- the paper routinely sold more than 5 million copies weekly.

Indeed, Levine faces a more competitive media landscape. Along with all the celebrity glossies and supermarket tabloids, there are a plethora of TV shows, Web sites and blogs treading on his territory. But he said the Enquirer is holding its own, thanks to such stories as the Edwards affair, the Tiger Woods scandal and the Sandra Bullock story.

And though more mainstream publications scoff at the Enquirer's "checkbook journalism" and in-your-face headlines, those same publications are doing things they might not have considered 10 years ago.

Media watcher and former journalist Richard Laermer, who said last week that the Enquirer deserved the Pulitzer, points out that The Washington Post has hired a raft of bloggers who "say the craziest but most germane things about our culture."

"I think more people are going to use the Web to get those pajama-clad journalists. They'll aggregate them instead of compete with them," he said. "Sometimes I think to myself that maybe we're too caught up in what is an opinion and what is fact. Maybe what people want is the mix."

Not to mention a mix of styles: gossip and hard news, celebrities and human interest, investigative exposes and mundane process pieces.

Not all of it will qualify for a Pulitzer, but maybe that isn't the point, said Calder.

"We didn't want to be like other papers," he said of his Enquirer days. "Why do [journalists] care what other journalists think? There was only one thing I wanted to do, and that was to get stories to sell papers."

Somewhere, Robert Harrison is smiling.

KJ Matthews contributed to this story.

@highlight

The National Enquirer was considered for a Pulitzer Prize for John Edwards coverage

@highlight

Enquirer better known for roots as a celebrity supermarket paper, scandal sheet

@highlight

Roots of it and others can be most directly traced to 1950s magazine Confidential

@highlight

Enquirer's new respect illustrative of changes in media business