Vrindavan, India (CNN) -- In the picturesque temple town of Vrindavan, 10-year-old Maya and her three siblings walk to school every day on an empty stomach. She says her parents can't afford to feed them adequate meals; they eat bread and milk for dinner and nothing for breakfast.

As the eldest child, she often has to skip class to help her parents harvest wheat. Maya says her parents believe this is a more efficient use of her time, but she has another good reason for attending school -- more food.

"At school we get the most amount of food. At home we don't get this much. At home my mother tells us to only eat a little bit so there's enough for everyone," she says.

Following a landmark decision by the Supreme Court in 2001, all government schools in India are mandated to provide free meals to students below the age of 13. In a country where more than 40% of children below the age of five are underweight, according to UNICEF, India's midday meal scheme is making great strides.

The Akshaya Patra Foundation is working with the government to feed 1.4 million underprivileged children every day. They began in 2000, feeding a few thousand school children in several schools in the southern city of Bangalore. But in the space of a decade, they say they've served more than a billion meals across the country. Akshaya Patra's Vice Chairman, Chanchalapathi Dasa, says the benefits are manifold. Enrollment in schools has increased by roughly 20%, attendance has improved, children are healthier and their cognitive abilities have also increased.

"If a child is hungry in the classroom then he or she will not be able to receive all this education," says Dasa.

But preparing food for so many takes more than an ordinary kitchen.

You could call it a culinary revolution. In what looks like a factory for food, fresh meals are being mass-produced for millions of children. Custom-made cauldrons can prepare rice for 1,000 kids in 15 minutes. A printing press-like machine can make an impressive 40,000 Indian flatbreads or chapattis in an hour.

"India is a place of numbers. If you're doing something to provide meals for 1,000 or even 5,000 children, you are merely scratching the surface," adds Dasa. "From the beginning we at Akhshay Patra realized that in order to see a significant impact we have to do it in scale and that we have to use modern techniques of management and innovation."

They call it a three tier gravity flow kitchen. Tons of raw ingredients like rice, lentils and vegetables are taken to the top floor where they're cleaned, peeled, cut and sent down chutes into waiting cauldrons below. There, steam generated by furnaces cooks the food. The cooked meals are then thrown down chutes to another level where the meals are packaged. By 8 a.m. meals are ready to be delivered in special vehicles designed to keep the food warm.

But while the food production process is efficient, it is also considered.

"We want to treat these children with dignity. We don't say 'you are poor children and whatever we give you, you must eat that,' no. We adapt our cooking methods, our menus, recipes to meet the local children's requirements," says Dasa.

"You see, in India every 300 miles you come across a different culture, a different language, a different kind of food habit, so at Akshaya Patra we are sensitive to local cultural requirements and tastes."

While there are several school feeding programs that distribute rations of wheat and rice, cooked meal programs are rare. This is one of the most successful assistance programs yet -- nourishing food for millions of children and food for thought in the fight against poverty.

@highlight

UNICEF: More than 40% of Indian children below the age of five under weight

@highlight

Government schools instructed to give free meals to children under 13

@highlight

Akshaya Patra Foundation working with government to feed 1.4 million kids

@highlight

Foundation produces millions of fresh meals at its three-tier gravity flow kitchen