ARLINGTON, Virginia (CNN) -- For the past few years, Dan Redmond has been on a mission to change the way his household uses energy.

Dan Redmond uses an electric bicycle with a trailer to run errands.

As concerns about global warming and rising energy costs grow, many families like the Redmonds are looking for ways to change the way they use energy.

Three years ago Redmond began embracing solar energy to power his suburban Washington home.

And he's not alone in turning to the sun for energy. The Solar Energy Industries Association estimates there are about 250,000 homes in the United States with some sort of solar power, although not all of them have taken the concept as far as the Redmonds. Last year, 13,000 homes installed solar power.

"We're just making different decisions about how we live our life," Redmond said, "And what's important to us as well, as being able to show our two boys that when they grow up they're going to need to know to be more flexible in most parts of their life and they're going to need to be adaptable."

Redmond's excitement about solar energy has changed his family's daily routine and also saved money -- he paid $28.61 for electricity last month compared with $150 a month last year.

The biggest change came when Redmond put solar panels on the roof of his 1925 bungalow, which he shares with his wife, Margaret McGilvray, and the couple's two young sons.

The system, which still allows the family to use energy from the traditional power grid when the sun is not shining, uses what is known as net-metering. No electricity is stored in the house. Energy produced in excess of what is needed is fed back to the power grid, effectively making the Redmonds' electric meter run backward.

Twelve panels on the roof feed power to a device in the basement called an inverter.

The solar power system cost $23,000 after a $2,000 tax credit. Redmond estimates that the system will pay for itself in 10 to 15 years.

"As we know, our power rates are going up." He said "So it probably will take less because that number is based on what we're paying right now.

"About 80 percent of our power is used with the solar panels." Redmond says.

To get that kind of benefit, though, the family greatly cut the amount of energy they use.

"We've made a real effort to reduce how much electricity we need to use in the first place, which is much less expensive to do than to produce energy that you're wasting inside of your home."

The biggest lifestyle change is as low-tech as the solar panels are high-tech -- the family uses a clothesline to dry its laundry.

"It's OK just to simply hang your lines ... and not use your dryer," says Redmond, who cut his electric bill by 15 to 20 percent by ditching the dryer. "That to me would be the very first thing anybody should do in terms of conserving electricity for their home."

Redmond cooks using a solar oven, a small appliance that uses four reflectors, to heat food in Redmond's front yard. The device uses only solar power and leaves no carbon footprint.

Richmond says he can heat food to about 350 degrees in his solar oven, but the stove's manufacture says it can heat food up to 400 degrees.

On the days when the sun is not shining, the family uses their traditional oven powered from electricity provided by the power grid.

The family also uses a small array of solar panels to charge iPods and cell phones. Whenever possible, Redmond runs errands on an electric bicycle that pulls a small trailer. Every little bit helps keep their power bill low.

Redmond works from home as a photographer, and McGilvray telecommutes as a consultant for IBM. The couple decided that since they spend a lot of time in their 1,400-square-foot home, and not much time on the road, their best option for saving energy was the solar panels.

"We had several years of back and forth consternation. Should we buy the Prius? Should we get the solar panels?" Redmond said. "What we decided is, opposed to spending that same amount of money on a hybrid, let's offset what we're using for our home and business from our roof. ... This would make much more difference in how we live."

For Redmond, it's not just about the money.

"It was more about what we thought was important for ourselves and the decisions we're making for our family," he said.

Yet he does look forward to many years of lower power bills.

"This system that we have on our roof is going to last 30 years, which will put me into my 70s," he said. "That's a lot of free energy."

@highlight

Solar power cuts family's monthly electricity bill from $150 to under $30

@highlight

Redmond family home uses solar panels for 80 percent of its energy

@highlight

Sun-powered oven cooks meals; family runs errands with bikes

@highlight

About 250,000 homes in U.S. use solar power, industry group says