(CNN) -- Wherever we go, travel bombards us with superlatives.

Best beach bar.

Nicest mountain view room.

Freshest shrimp.

Some of these claims may verge on truth.

Most are subjective.

Then there are those rare destinations offering genuine superlative or even extreme experiences with claims that can be backed by science or cold, hard (or hot or dark or windy) facts.

Extremely hot: Death Valley, California

Just more than a century ago, on July 13, 1913, the planet's hottest recorded temperature was measured in California's Death Valley -- 134 F (56.6 C).

It's a high that hasn't been surpassed, but every summer we inch closer to it.

In July, thermometers in Death Valley National Park -- 3.3 million acres of desiccated lake beds, barren mountains and parched canyons -- can reach beyond 125 F (51 C).

What makes it so bloody hot here?

Depths of 282 feet (86 meters) below sea level, combined with a narrow length and sheer mountain walls trap and maximize solar radiation.

8 Amazing American caves

This creates masses of super-heated air that have nowhere to go and nothing to do all summer long but melt the teeth of anyone foolhardy enough to visit.

So who would venture into Death Valley when it gets this sweltering?

"I'd say it's a fairly select type who comes here in late June or July specifically to experience that level of heat, but we definitely do get those people -- and summer is now one of our busiest seasons," says Cheryl Chipman, the park's public information officer.

Recently, park officials had to ask summer visitors to refrain from frying eggs on the sidewalk when it became a thing.

Death Valley National Park; California Highway 190 transects Death Valley National Park; there's no street address for the Furnace Creek Visitor Center. GPS users can use the street address for the Death Valley Post Office, located about 400 meters south of the visitor center. The post office address is 328 Greenland Blvd., Death Valley, California; + 1 760 786 3200

Extremely cold: Fairbanks, Alaska

Fairbanks, Alaska, rewards dead-of-winter visitors with four hours of daylight and temperatures that can dip to minus-40 F on any given cold snap.

It also offers the northern lights.

The Alaskan interior is known as one of the best places on earth to see the northern lights -- winter nights are some of the most reliable viewing periods for these mesmerizing displays.

It's also the season for dog mushing, snow machining, ice fishing -- and witnessing the world's top single-block ice carvers chisel it out in sub-zero temperatures at the BP World Ice Art Championships (February 23-March 29).

Best U.S. movie locations to visit

"People are often amazed by how much there is to do here in the winter," says Amy Geiger of Explore Fairbanks. "You can even go for a winter bike ride. Those fat tire bikes have become quite popular."

You can rent those bikes from Far North Fatbikes (+1 907 888 2160).

"Forty-below is its own badge of honor," says Geiger, who notes that the Arctic Circle is just 120 miles north of Fairbanks.

"Visitors love crossing that barrier too."

Extremely dark: Natural Bridges National Monument, Utah

Yes, of course, there's an International Dark-Sky Association.

And, of course, it loves nights at Utah's Natural Bridges National Monument.

Hiding in the preternaturally dark shadow of better known national park neighbors like Zion, Bryce and Canyonlands, Natural Bridges became the world's first IDA-certified International Dark Sky Park in 2007.

That officially makes it one of the most naturally and conscientiously light pollution-free spots in the United States.

According to a National Park Service survey, Natural Bridges ranks a "Bortle Class 2" -- the darkest sky in the study.

Never mind what exactly a Bortle is (the nine-level scale measures relative observability of celestial objects), just know that Class 2 is the most pristine night sky you'll find anywhere between New York and Las Vegas.

"Its remote location, far from the usual sources of artificial light, makes Natural Bridges an unusually good place to stargaze," says park superintendent Jim Dougan.

Most insane U.S. roller coasters

"Clean air, 6,500-foot elevation, un-obscured vistas and a semi-arid environment enhance the opportunity to view a pristine night sky much as ancestral Puebloans experienced it over a thousand years ago."

Natural Bridges National Monument; entrance to Natural Bridges is at the end of Highway 275, about 35 miles west of Blanding, Utah on Highway 95; +1 435 692 1234 Ext. 16

Extremely stormy: Olympic Peninsula, Washington

March and early April is still off-season in the Pacific Northwest.

Unless you're an avid storm watcher.

Then the wave-battered, rain-hammered, wind-pelted, lost-cell phone-signaled coast of Washington's Olympic Peninsula smokes Cancun any day of the week.

For front row views on one of the most enchantingly torrential edges of the world during winter storm season, visitors can hunker down in a bluff-side cabin or ocean-facing room at Olympic National Park's Kalaloch Lodge (157151 U.S. 101, Forks, Washington, +1 866 662 9928).

There they can safely watch waves toss around giant conifer logs like matchsticks and splurge on a "brave the storm package" that includes ponchos, hand warmers and peppermint schnapps.

"The craziest gales here are usually in November and December," says Mike Guildford, Kalaloch Lodge facility manager. "But you can get some pretty impressive rain storms right up into May."

Extremely old: St. Augustine, Florida

Unbeknown to many Americans, the oldest permanently settled European town in the United States is -- no, not Jamestown, Virginia, not Old Town, Maine, not Century City, California -- but St. Augustine, Florida.

The small, tourism-fueled spot on North Florida's "Historic Coast" was founded in 1565 when Spanish explorer Admiral Pedro Menendez pulled ashore here and built a military base.

September 2015 will mark the town's 450th birthday with fireworks, festivals and a reenactment of the Menendez landing.

But in any given year there may be no better place in the United States to surrender to the forces of "extremely old" theme-tourism.

Here one can enter the old Colonial Quarter of the country's oldest city and stroll down its oldest street, get fake diplomas at the oldest school house, hear ghost stories and enter the old jail.

A bell-clanging trolley train tours 60 other points of interest in St. Augustine -- which (did we mention?) are all old.

Extremely windy: Mount Washington, New Hampshire

Any place that trademarks itself as "Home of the World's Worst Weather" -- with a World's Worst Weather coffee mug in its summit gift shop to prove it -- better be able to walk the talk.

With erratic conditions that can go from sun to blinding blizzard in the span of a half-day hike, Mountain Washington State Park's namesake peak witnessed a record-shattering wind speed of 231 mph (371 kph) in 1934.

7 super-extravagent U.S. cruises

That's since been surpassed elsewhere, but who's really keeping score at this point?

The 1,916-meter mountain sits at the perfect confluence of major storm tracks and air mass routes buffeting the U.S. northeast and pulls in gusts that exceed hurricane force on more than a hundred days each year.

"January and March seem to be the worst," says Mount Washington State Park assistant manager Nathaniel Camille, who notes that winter mountaineering and hiking here are on the rise.

"On a nice weekend in February, we will see 100 or so people on the summit."

Mount Washington State Park, 1598 Mount Washington Auto Road, Sargent's Purchase, New Hampshire; +1 603 466 3347

Extremely gut wrenching: West Virginia Roadkill Cook-off, Marlinton, West Virginia

A highlight of the Pocahontas County Autumn Harvest Festival, this gustatory tribute to all lost-in-the-headlights creatures, great and small, celebrates its 23rd season on September 27, 2014, in the small but comestibly adventurous town of Marlinton (population 1,051).

Moose, possum, snake, mole and perhaps squirrel have all been known to appear on the menu.

Entry dishes win extra points for unappetizing names, and all are welcome to sample the goods.

Or not.

Past faves have included frog meat jambalaya, smeared hog with groundhog gravy, and "South-of-the-Border Mishap Tacos" filled with armadillo, roadrunner and a mystery meat simply called "hitchhiker."

West Virginia Roadkill Cook-off, September 27, 2014

Jordan Rane writes regularly for CNN Travel and The Los Angeles Times. His work on travel and the outdoors has spanned six continents and appeared in more than 50 publications. He lives in Los Angeles.

@highlight

Temps in Death Valley National Park can reach beyond 125 F (51 C) during summer

@highlight

Utah's National Bridges National Monument is one of the most light pollution-free spots in the United States

@highlight

Conditions can go from sun to blinding blizzard in the span of a half-day hike on Mount Washington