(Health.com) -- The number of infants and toddlers under age 2 who landed in emergency rooms after ingesting too much over-the-counter cold medicine dropped by more than half following the discontinuation of medicines targeted to that age group, a new study has found.

In 2007, drug manufacturers voluntarily pulled infant cough-and-cold medicines from store shelves amid concerns about the products' effectiveness and side effects, including a risk of rapid heart rate, convulsions, loss of consciousness, and even death.

At the time, experts worried that parents would start dosing their toddlers with other, stronger medications, which would potentially cause even worse problems.

Health.com: 9 ways to stay sniffle-free

"There was some controversy," says Daniel Budnitz, M.D., a medical officer in the Medication Safety Program at the Centers for Disease Control and Prevention, in Atlanta, Georgia. "Some folks suggested that it would be a bad thing because parents would use adult-strength formulas for infants and not know how to dose them."

But that doesn't seem to have happened. The new study, which was co-authored by Budnitz and appears in the journal Pediatrics, found that cold medicine-related ER visits by children under the age of 2 dropped by 55 percent in the 14-month period after the product withdrawal, compared with the 14 months immediately before.

Using data collected from a representative sample of 63 hospitals across the U.S., the researchers estimated that there were about 2,800 ER visits before the product withdrawal and about 1,250 after.

Health.com: How to sick-proof your winter

And there did not appear to be any uptick in problems related to other medications, such as antibiotics, that parents might have been giving their children instead of cough-and-cold medicine.

Both before and after the product withdrawal, the vast majority of ER visits resulted from overdoses. More than half of the children under age 2 who landed in the ER had found and ingested the medicines on their own. The remaining visits were caused by caregiver errors -- such as a parent mixing up two siblings' medicines or confusing the abbreviations for teaspoon and tablespoon, for instance. (Many of the discontinued products were liquids.)

Although Budnitz and his co-authors can't say with absolute certainty that the sharp drop in ER visits was caused by the product withdrawal, it does seem likely. The overall number of ER visits among kids under 12 remained the same in the pre- and post-withdrawal periods, which suggests that the decline was limited to infants and toddlers.

Health.com: 5 most common myths about the common cold

Even after the 2007 withdrawal, doctors and public-health officials have continued to question the use of cough-and-cold medicines in young children. Aside from the safety risk, research has consistently shown that pediatric products are largely ineffective at relieving symptoms.

In response to the safety concerns, medicine manufacturers have taken steps to standardize their dosing devices. And in 2008, after conferring with the Food and Drug Administration (FDA), they voluntarily changed their product labels to say the medicines should not be used in children under age 4. The study findings support that change, says Budnitz.

Neil Herendeen, M.D., a pediatrician at the University of Rochester Medical Center, in New York, says the study provides a compelling reason to withdraw all pediatric cough-and-cold medicines for kids under 12 from the market, a policy he supports. "This shows that if you take it off the market, it will reduce the adverse events," Herendeen says.

Health.com: Top 7 natural cold remedies: do they work?

Difficult as it is for parents to stand by and do nothing while their infants suffer with runny noses and hacking coughs, there really isn't any way to make a cold go away, only to ease some of the symptoms, experts say.

"You're left with doing all the things your grandmother used to tell you: lots of fluids; vaporizers, but don't put any menthol medications in it, just plain water; blow your nose; and salt water drops," Dr. Herendeen says.

Jeff Sleeth, M.D., an assistant professor of pediatrics at the University of Wisconsin School of Medicine and Public Health in Madison, says that it's important to keep a sick infant's environment as well humidified as possible. That "allows the mucous and secretions that are in the nose and back of the throat to stay nice and thin so, [so] when the child does cough, it's easier to clear the secretions out," Sleeth says.

Copyright Health Magazine 2010

@highlight

In 2007, drug manufacturers voluntarily pulled infant cough-and-cold medicines from stores

@highlight

Many of the children under 2 who came to the ER had ingested the meds on their own

@highlight

Medicine manufacturers have taken steps to standardize their dosing devices