Children and teens who have a parent with bipolar disorder are 14 times more likely than their peers to have bipolar-like symptoms themselves, and are two to three times more likely to be found to have an anxiety or mood disorder, such as depression, according to a report in the March issue of the Archives of General Psychiatry.

More than 10 percent of the kids with a bipolar parent had signs of a bipolar-spectrum, mood or anxiety disorder.

When both parents are bipolar, children are 3.6 times more likely to have bipolar disorder than children with only one parent with the psychiatric condition.

Bipolar disorder, which is also known as manic-depressive illness, affects 5.7 million people over age 18 in the United States. The condition is characterized by extreme fluctuations in energy, mood, and the ability to function. For example, someone experiencing an "episode" may have a manic state of euphoria for a period of time, followed by a bout of severe depression.

Although bipolar disorder may run in families, it's not guaranteed that children of bipolar parents will develop the condition too.

"I don't want parents to think 'I have bipolar, so my kids have bipolar,'" says Boris Birmaher, M.D., of the Western Psychiatric Institute and Clinic in Pittsburgh, Pennsylvania, and author of the new study, called the Pittsburgh Bipolar Offspring Study. "Yes, these kids are at a higher risk, but that doesn't necessarily mean your child will have it." Health.com: Bipolar disorder is different for women

In the study, Birmaher and colleagues looked at 233 parents with bipolar disorder and their 388 children, ages 6 to 18. They were compared with a control group of 143 parents and 251 children with no family history of the condition.

Overall, 10.6 percent of the children with a bipolar parent had signs of a bipolar spectrum disorder (which includes a range of symptoms from severe to less so) or a mood or anxiety disorder. In comparison, only two children, or 0.8 percent, in the control group had such symptoms.

It's not clear whether genes, environment or a combination of both are responsible for the link, or possibly greater awareness and diagnosis of psychiatric conditions in bipolar families. Health.com: How a bipolar patient learned to manage mania

However, Birmaher says identifying the condition at an earlier age may ultimately help young people. "The longer you wait, the more complicated the condition could become," Birmaher says. Previous studies have suggested that it can take 10 years of symptoms before people get a correct diagnosis and proper treatment. "Ten years is a long time -- especially in the life of a child," he says.

The condition is difficult to diagnose because the symptoms can be mistaken for depression, attention-deficit/hyperactivity disorder or one of the disruptive behavior disorders. Signs of a manic episode include increased energy, extreme irritability, racing thoughts, spending sprees, abuse of drugs (particularly cocaine), and increased sexual drive. A depressive episode may range from disruptive sleeping patterns to thoughts of death or suicide.

"The chronic highs and lows are only two manifestations of the condition," says Gary Sachs, M.D., director of the bipolar clinic and research program at Massachusetts General Hospital in Boston. "But there are plenty of people who live a full, functional life and still have bipolar disorder." Health.com: How to care for and cope with a bipolar spouse

Bipolar disorder cannot be cured, and is treated with mood-stabilizing medications like lithium, as well as psychotherapy, and psychosocial intervention.

The ongoing study will follow this group of parents and children to explore further bipolar triggers including stress, family interactions, and genetics. Health.com: My story: I'm bipolar and struggle with addiction

"This study in no way should be a reason for someone with bipolar not to have children," says Sachs. "But there is a risk and that might make someone's child who has difficulty seek help sooner."

In adults with bipolar disorder, up to 60 percent say they had their first symptoms before the age of 21.

"Bipolar disorder is a multidimensional condition, and it can affect a lot of things including your physical health," says Sachs. "That is what we are learning from studies like this where you begin to see other psychiatric conditions."

The National Institute of Mental Health funded the study. Birmaher has participated in pharmaceutical company-sponsored forums and a study co-author has served on the advisory boards of several pharmaceutical companies.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Kids with a bipolar parent are 14 times more likely to have bipolar-like symptoms

@highlight

They're also more likely to have a diagnosis of an anxiety or mood disorder

@highlight

Bipolar disorder affects 5.7 million people over age 18 in the United States

@highlight

Findings might help families recognize problem, get help for a child earlier