(CNN) -- Jonathan Alpeyrie has photographed 10 wars. He's captured violence in Somalia, Afghanistan, South Ossetia and Libya. But his recent week taking pictures of rebels in Syria was the most intense, frightening experience of his career.

He compares it to Afghanistan when he was embedded in 2010 with the French Foreign Legion.

"If there's a fight, the French soldiers are trained; they're going to protect you. They are skilled in combat and can fight back," he said. "In Syria, anything goes. The rebels want you to tell the story, but what they don't tell you is if something bad happens, they spread out. They leave you. You're unprotected.

"For me, the stress level was high at all times."

See Alpeyrie's photos of rebels and refugees fleeing Syria by dark

Alpeyrie, a 33-year-old French-American, worked with Greek photojournalist George Moutafis, whose Syrian contacts helped lead them across the Turkish border into Syria. They spent one week photographing rebels -- many just ordinary Syrians who've taken up arms -- as they battle military forces loyal to President Bashar al-Assad. Syria has been locked for more than a year in a bloody conflict that began when protesters started demanding that al-Assad relinquish power. The movement grew out of the Arab Spring, a larger phenomenon across the Middle East and North Africa in which Tunisians, Egyptians and Libyans successfully protested for the removal of their leaders in 2011.

In Syria, opposition forces report that as many as 10,000 people have died since March 2011.

It's been incredibly difficult to know for certain what is happening in Syria because al-Assad has banned journalists from entering the country to cover the conflict. Several journalists who have gotten in to cover the violence have been wounded or killed.

Alpeyrie knew the risks.

"I wanted to go," he said.

Alpeyrie, Moutafis and the Syrians who helped them cross into the country had to move at night in pitch blackness, walking seven miles to a village where rebels and their families were hiding. They trudged over mountainous, rocky soil carrying their equipment, their heads hurting with worry that they could trip mines scattered along the border.

"There's a lot of fighting in the mountains. [We heard] machine-gun fire," said Alpeyrie. "The problem with that is you really don't know what's going on and who's who. You have no idea if you're going to be able to get out [of Syria] once you're inside."

When they came to the rebels' village, they saw houses made of stone and concrete. Alpeyrie relied on the contacts who helped them make it to the village to do the introductions. Neither he nor Moutafis speaks Arabic. The villagers assumed from Alpeyrie's accent that he was French.

Though he went to college in Chicago and lives in New York, the photographer never would have brought up his ties to the United States, he said.

"I never told anybody I have an American background. That's a big no-no," he said. If he had, the rebels' families would still help him out of kindness but "they wouldn't like you as much."

"You have to remember these people are conservative Muslims and America is still a problem for them, even though they wish America would help them," he said.

The Syrians took to calling Alpeyrie "Nicolas Sarkozy," the photographer said with a laugh.

Though the families were incredibly poor, they generously gave Alpeyrie and Moutafis a little rice, hummus and pita bread.

Alpeyrie got most of his shots by using their homes as shelter.

"You're hiding a lot in houses and rooms," he said. "You can't really [for safety reasons] get out and photograph as much as you'd like to."

As the days went on, the photographer noticed that he rarely saw many rebels together at one time. They came by in small groups -- maybe a dozen at once. "That's because they are retreating," Alpeyrie said. "They are losing this war. They don't have the equipment to stop the [Syrian Army]."

He managed to photograph one rebel riding his horse as other fighters napped nearby on a woven rug, their guns propped against a concrete wall.

Alpeyrie stood close to another rebel to get a shot of the young man, cigarette dangling from his mouth, pointing his gun toward an area where Syrian snipers were positioned.

Shortly after photographing this exhausted fighter, the photojournalist started to get a bad feeling. His gut told him that he'd pressed his luck enough.

"We told our contact on the ground that we want to get out of here," he said. "We said we're done with our work."

Alpeyrie's instincts were dead on. Just days later, the Syrian military decimated the nearby town of Idlib, once a rebel stronghold.

Alpeyrie and Moutafis began their journey out of Syria by simply walking in the direction of the border, accompanied by the people who had helped get them inside the country. Eventually they connected with their helpers' families who were trying to flee into Turkey. Again, they had to hike in complete darkness.

Occasionally, when the time seemed right, Alpeyrie asked one of the refugees to hold up a flashlight so he could take a photo. At one point, he captured a little boy in motion wearing a bright green sweater adorned with a heart and the word "Happy."

One of the Syrian fathers traveling with them had two babies and couldn't both hold the infants and grasp trees as he navigated through the darkness. So the man handed Alpeyrie one of the babies and the photographer held the child as he struggled across the hilly terrain.

The group reached a camp and were able to get in the back of a truck that drove them a final 500 yards to the Turkish border.

Alpeyrie remembers seeing the Turkish towers come into view.

"You're relieved," he said. "You don't even care if the Turkish army catches you. You know you're safe by then."

@highlight

French-American photographer got into Syria through Turkey

@highlight

He carried equipment seven miles in dark to reach rebel village

@highlight

He shot images of the fighting by hiding in rooms in their homes

@highlight

He made it out of Syria riding on a truck, again in the dark, with fleeing refugees