Some of the world's fastest growing population centers in Asia and Africa are at greatest risk from the impact of climate change, according to a new report.

The Climate Change Vulnerability Index (CCVI), published by UK-based risk analysis and mapping company Maplecroft, examined the climate risks and adaptive capacity of 193 nations factoring in population concentration, development, natural resources, agricultural dependency and conflict.

A total of 30 countries were classified as being at "extreme risk" with Haiti, Bangladesh, Sierra Leone, Zimbabwe and Madagascar making up the top five most in peril, while Vietnam, Indonesia and India all ranked inside the top 30.

The analysis, which forms part of Maplecroft's fourth annual Climate Change and Environmental Risk Atlas, also assesses climate impacts on towns and cities.

Six out of the 20 fastest growing cities worldwide, including Calcutta, India, Manila in the Philippines, Indonesia's capital, Jakarta and Addis Ababa in Ethiopia, were also classified as at "extreme risk" by the CCVI.

"Cities such as Manila, Jakarta and Calcutta are vital centers of economic growth in key emerging markets, but heat waves, flooding, water shortages and increasingly severe and frequent storm events may well increase as climate changes takes hold," principal environmental analyst at Maplecroft, Charlie Beldon said in a statement.

Beldon says the impacts on cities -- where infrastructures are already struggling to cope -- could have far-reaching consequences for not just local people, but for businesses, national economies and international investors.

Manila is the commercial center of the Philippines and its population is expected to rise 20% this decade, says the report.

But, as recent back-to-back batterings from typhoons has shown, it is very vulnerable to climate change and has the highest exposure to extreme weather of the top 20 fastest growing cities in the world, according to the report.

Thailand is currently dealing with its own climate-related tragedy which has left hundreds dead.

According to Maplecroft, the disaster could have negative knock-on effects for business, particularly locally-based technical companies, leading to wider disruptions to global supply chains.

Bangkok faces worst flooding yet

"As these megacities grow, more people are forced to live on exposed land, often on flood plains or other marginal land. The expansion of population must be met with an equal expansion of infrastructure and civic amenities," Beldon said in a statement.

The best-performing countries in the report are to be found almost exclusively in Northern Europe, with Finland, Ireland, Sweden and Norway all in the top ten.

Iceland heads the list of least vulnerable countries, while Qatar is also considered a low climate risk, coming in 10th.

The U.S. is categorized as low risk, although some coastal regions, including Florida, Louisiana, Georgia, North and South Carolina were rated as "high risk."

Events like Hurricane Katrina, says the report, highlight how even the economically strongest countries with a large adaptive capacity can find themselves extremely vulnerable to climatic events.

The report is released just days before the world's population is projected to reach seven billion.

"A huge task before us"

The United Nations Populations Fund's executive director Babatunde Osotimehin described the milestone as "a challenge, an opportunity and a call to action," at the launch of The State of the World Population 2011 report in London on Wednesday.

@highlight

New report assesses vulnerability of different nations to climate change effects

@highlight

Areas with fastest growing populations most at risk from environmental impacts

@highlight

Megacities in Asia and Africa most threatened including Calcutta and Addis Ababa

@highlight

United Nations launch youth focus on eve of seventh billion population milestone