London (CNN) -- You've answered the call for volunteers, signed up for the Mars trip and you are looking forward to boldly going to space, the final frontier, to explore a strange new world.

But wait. Recent evidence from NASA's Curiosity rover mission to the Red Planet has revealed that astronauts on the round-trip would be exposed to high levels of radiation from cosmic rays and high-energy particles from the sun contained in solar storms. NASA says a Mars voyager would receive a radiation dose around 100 times the average yearly exposure on Earth.

Along with all the other risks of spaceflight, this would clearly be bad for your health -- and it is proving difficult to find a solution.

Eddie Semones, a radiation health expert at NASA's Johnson Space Flight Center, told CNN that shielding to completely block the radiation danger would have to be "meters thick" and too heavy to be used aboard a spacecraft.

In contrast, with the release of the Star Trek movie "Into Darkness," science fiction fans have once again got used to the ease with which Captain Kirk gives the order for "shields up" and the crew of the Enterprise being protected instantly from the hostility of space.

Perhaps though, a real Star Trek shield may no longer be science fiction -- scientists at the UK's Rutherford Appleton Laboratory (RAL) certainly think so.

Radiation 'potential showstopper'

They have been testing a lightweight system to protect astronauts and spacecraft components from harmful radiation and working with colleagues in America to design a concept spaceship called Discovery that could take astronauts to the Moon or Mars.

"Star Trek has great ideas -- they just don't have to build it," said Ruth Bamford, lead researcher for the deflector shield project at RAL.

"The radiation problem is a potential showstopper. I'm very concerned that the radiation issue is not being addressed very publicly and it's absolutely key.

"Even if astronauts are sick for 3-4 days, it could still threaten the mission because the whole crew are affected -- and vomiting and diarrhea in space is no joke. It could also potentially lead to organ failure," said Bamford.

The RAL plan is to create an environment around the spacecraft that mimics the Earth's magnetic field and recreates the protection we enjoy on the ground -- they call it a mini magnetosphere.

"On Earth, mostly we're protected by the atmosphere but ultimately what the Earth's magnetic field is doing is forming a first line of protection for life," explained Bamford.

"The concept behind what we're suggesting is due to the evolution in our understanding of plasmas. What we discovered is that if you put a magnetic field around an object in a flowing plasma, the electrons, which are very light, will follow the new magnetic field that you've put there but the ions, the very fast ions, will overshoot -- they won't follow the magnetic field lines.

"You end up with a constant electric field that can be enough that it actually refracts or deflects enough of the radiation from inside the magnetic cavity that you've formed to protect the astronauts ... enough like the Earth that they can survive."

The mini-magnetosphere concept has also been proposed by a team at the University of Washington in the United States as a way of harnessing the solar wind to create a propulsion system.

Other shielding ideas are also being explored. The Inspiration Mars Foundation that is committed to sending a crew to Mars has proposed lining the spacecraft's walls with water, food and even human waste to help protect the astronauts.

Early results 'pleasing'

New Scientist magazine recently reported that the "hydrocarbons in excrement and food are good candidates for radiation shielding."

It added: "NASA's Water Walls project uses a similar concept, but Inspiration must make it work for real."

As a child, Bamford was inspired to explore a scientific career by the Apollo moon landings and is a fan of the Star Trek series. She believes the concepts explored in the science fiction films are a useful shorthand for scientists when trying to explain their work.

The RAL deflector shield she has helped to develop has been tested on a model inside a fusion reactor which produces a plasma like that of the solar wind. Bamford said they were delighted with the results.

The RAL team now hope the project can be scaled up and fly on a real craft. "First we need a technology demonstrator in space in, say, five years," said Bamford. "That's quite realistic for a dedicated, small, unmanned spacecraft.

"I'm sure our idea will work. It does work. There are a number of improvements to make it work better though -- perhaps we should call down to Scotty."

@highlight

NASA's Curiosity mission to Mars revealed that astronauts on a round-trip would face high radiation levels

@highlight

Scientists at the UK's Rutherford Appleton Laboratory are working on a radiation shield for astronauts

@highlight

A model has been tested inside a fusion reactor which produces a plasma like that of the solar wind

@highlight

The team are hoping to test their concept in space in the next five years