ATLANTA, Georgia (CNN) -- At its worst, Melissa Miller's blood pressure measured 153 over 95, dangerously high for anyone, never mind a woman who is 36 weeks pregnant.

Melissa Miller, put on bed rest because of preeclampsia, prepares for a doctor-ordered Caesarean section.

Miller, 29 of Atlanta, Georgia, had preeclampsia, otherwise known as pregnancy-induced hypertension. It occurs in up to 8 percent of all pregnancies in the United States during the second and third trimesters. The only cure is delivery of the baby.

As Miller was prepped for a doctor-ordered Caesarean section, she explained this wasn't the first time she has battled the disease. "In my first pregnancy, I had preeclampsia too," Miller said. "I delivered at 23 weeks." The child is fine now, but Miller learned about the disease the hard way.

"Preeclampsia is one of the most serious pregnancy complications," said Dr. Lillian Schapiro, an obstetrician-gynecologist at Atlanta's Piedmont Hospital. "It can lead to maternal death if we don't catch it early enough."

Doctors usually catch the symptoms during regular prenatal checkups. They include blood pressure higher than 140 over 90, severe headaches usually in the back of the head, swelling in the hands and face, upper abdominal pain, nausea and sudden weight gain.  Watch more on the dangerous condition preeclampsia. »

Some of the symptoms such as swelling and nausea occur in normal pregnancies, but Schapiro said a doctor can tell the difference by checking a patient's blood pressure and measuring protein in the urine. She warns pregnant women, "If you start having an unusual headache, call your doctor. If you're concerned about swelling, call your doctor."

Doctors report most women with preeclampsia, which used to be called toxemia, go on to deliver healthy babies and recover just fine. Left untreated, preeclampsia can lead to eclampsia. Women can develop seizures, which can result in strokes.

The condition can often be managed by placing a pregnant woman on bed rest. For many patients, it's an effective treatment that lowers the blood pressure and increases blood flow to the placenta, allowing the fetus to further develop.

Schapiro ordered Miller to bed about a week before her delivery. "Bed rest helps tremendously," the doctor said. "It's really the only thing we have to treat early preeclampsia."

The exact cause of preeclampsia is unknown, but doctors do know what increases a woman's risk -- including both extremes of the age range.

"Typically it is patients who are young, and patients who are older," according to Atlanta-based obstetrician-gynecologist Michael Randell.

He also said the risk of developing preeclampsia is highest during a first pregnancy and among those carrying twins, triplets or other multiples. Women with a history of high blood pressure and diabetes are also at risk, as are those moms-to-be who are obese.

Miller described herself as overweight during her first pregnancy three years ago. She developed preeclampsia early on and was forced to deliver her son a little over halfway through her pregnancy.

The experience was frightening, but Miller learned some lessons that she has applied to her second pregnancy. "I was more cautious because I knew what to look for and I knew that the doctors were monitoring me very closely."

Melissa delivered her baby a month early at the end of February. While she went home after a couple of days, the baby remained in the hospital. E-mail to a friend

Judy Fortin is a correspondent with CNN Medical News. Producer Leslie Wade contributed to this report.

@highlight

Preeclampsia is also known as pregnancy-induced hypertension

@highlight

Occurs in up to 8 percent of all pregnancies, is among most serious complications

@highlight

Symptoms include blood pressure higher than 140 over 90, severe headaches

@highlight

Patients usually put on bed rest; only cure is to deliver the baby