Kabul, Afghanistan (CNN) -- It's cold and raining in Kabul and the pothole-filled dirt roads have turned into a sea of mud. We drive up to the gateway of a high-walled compound. A soldier brandishing an AK-47 stands guard outside the building. We've come to a women's shelter to meet Gul Meena -- a 17-year-old girl from Pakistan who shouldn't be alive.

My crew and I are ushered into a room and sitting on a wooden chair slouched over is small, fragile Gul Meena. Her sullen eyes turn from the raindrops streaming down the window outside and towards us as we enter the room.

Gul's bright coloured headscarf is embroidered with blue, red and green flowers and covers most of her face. She nervously plays with it and gives us a glimpse of a frightened smile from underneath the fabric. Her guardian Anisa, from the shelter run by Women for Afghan Women, touches her head and gently moves the headscarf back. That's when we see the scars etched deeply into her face.

This Pakistani girl's life of misery and suffering began at the tender age of 12, when instead of going to school she was married to a man old enough to be her grandfather. She says: "My family married me off when I was 12 years old. My husband was 60. Every day he would beat me. I would cry and beg him stop. But he just kept on beating me."

When Gul told her family what was happening, they responded in a way that shocked her. "My family would hit me when I complained. They told me you belong in your husband's house -- that is your life."

After five years of abuse, Gul Meena met a young Afghan man and finally gathered the courage to leave her husband in Pakistan. In November 2012 she packed up some belongings and they made their way across the border into Afghanistan to the city of Jalalabad.

READ MORE: Afghanistan's future: 5 burning questions

Gul knew she was committing the ultimate crime according to strict Islamic customs -- running away from her husband with another man -- but she also knew she didn't want to continue living the life she had since her marriage.

"I'd tried to kill myself with poison several times but it didn't work. I hated my life and I had to escape. When I ran away I knew it would be dangerous. I knew my husband and family would be looking for me but I never thought this would happen. I thought my future would be bright," she says.

Days later her older brother tracked them down. Armed with an ax, he hacked to death Gul Meena's friend, and then struck his own sister 15 times -- cutting open her face, head and parts of her body.

Gul Meena shows me these scars -- taking off her headscarf, her finger gently running up and down the raised, freshly healed skin. She touches her head where the blade hit her and then shows me the deep cuts that were made to the back of her neck and her arms. It's clear to me she desperately tried to fight off her brother before she passed out.

Assuming she was dead, her brother escaped back to Pakistan. Authorities are yet to catch him, but his family denies that he tried to kill Gul.

Hearing the commotion, a passer-by discovered Gul Meena lying in a pool of blood in her bed, and rushed her to the Emergency Department of Nangarhar Regional Medical Centre.

With part of her brain hanging out of her skull, neurosurgeon Zamiruddin Khalid held out little hope that the girl on his operating table would survive.

READ MORE: Why U.S. can't deliver women's rights to Afghanistan

"We took her to the operating theatre and she'd already lost a lot of blood. Her injuries were horrific and her brain had been affected -- we didn't think she would survive", says Khalid as he shows us photos of Gul's injuries before he sewed up the wounds. In one photo her face looks like a piece of meat that has been hacked apart.

Khalid said: "We are very thankful to almighty God that Gul Meena is alive -- it really is a miracle."

But Gul's troubles were far from over. While she'd received life-saving treatment from the doctors and staff at the hospital, she had no one to care for her on the outside. Gul had been disowned by her family and despite the government and authorities knowing that she was alive and receiving care at the hospital, they wanted nothing to do with her due to the stigma and circumstances surrounding her attack.

For two months Gul stayed in the hospital thanks to the generosity of doctors who donated the money to pay for her medicine. Finally the American-Afghan organization Women for Afghan Women was informed of Gul's situation and took her in, transporting her back to a shelter in Kabul to give her the love and care she so desperately needed.

"When she first came to us she couldn't talk or walk she was barely conscious -- she couldn't eat by herself. She had to wear a diaper. If we hadn't got her when we did, she wouldn't have survived," says Manizha Naderi, the executive director of Women For Afghan Women.

Gul Meena is one of thousands of women living in shelters across Afghanistan -- many of them victims of attempted honor killings. Tragically this practice still exists in a number of cultures, including certain tribes in Afghanistan and Pakistan.

U.N. Secretary General Ban Ki Moon recently expressed concern over the 20% increase in civilian casualties among women and girls in Afghanistan in 2012. Moon said: "I'm deeply disturbed that despite some improvements in prosecuting cases of violence, there is still a pervasive climate of impunity in Afghanistan for abuses of women and girls."

READ MORE: UN: Civilian deaths fall in Afghanistan; first drop in 6 years

The U.N. claims that 4,000 cases of violence against women and girls were reported to the Afghan Ministry of Women between 2010 and 2012.

While there are 14 women's shelters in Afghanistan, all of them are funded by the international community, and the concern is that once international forces pull out of Afghanistan at the end of 2014 this funding will disappear. What will that mean for the thousands of women who rely on their services like uneducated, illiterate, homeless Gul Meena?

Naderi says: "If we send her to her family, she's going to be killed. As far as her family is concerned she's dead. That's the problem for all our women. It's a scary time for Afghanistan and especially for Afghan women, in particular the women in our shelters because we don't know what's going to happen. If they leave here, for most of them it will be a death sentence."

Gul Meena doesn't think about the future -- and in fact, she wishes she had died the day she was attacked.

"I've tried to kill myself several times since arriving at the shelter but they won't let me. When I look at the mirror I put one hand to the side of my face. People tell me not to do that ... but I'm so ashamed."

@highlight

Gul Meena, 17, left her abusive husband in Pakistan for another man

@highlight

She knew she was committing the ultimate crime according to Islamic customs

@highlight

Meena's brother hacked her friend to death with an ax, before turning on her

@highlight

Gul Meena is one of thousands of women living in shelters across Afghanistan