A cadre of top Obama administration information technology officials told Congress on Wednesday that improvements have been made to the problem-plagued HealthCare.gov portal and more are on the way in coming weeks as enrollment in Obamacare was far below what was first anticipated.

The administration experts warned the website would "not be perfect" on November 30, when the White House has promised it would be running smoothly for most users.

Administration: Site won't be perfect on Nov. 30

Source: Nov. deadline possible

At a hearing on the website, House Oversight Committee Chairman Darrell Issa asked White House Chief Technology Officer Todd Park if the Obamacare website "will work" by month's end?

Park did not answer yes or no. He said the team assembled to fix it "is working incredibly hard to meet that goal."

But White House spokesperson Jay Carney told reporters shortly afterward the website overhaul is "on track" for the site to be working smoothly for the "vast majority" of consumers by the deadline.

The website is the primary federal portal for people to sign up for health insurance under the Affordable Care Act, or Obamacare. Some states have separate web-based systems for consumers to register as well.

Capacity, enrollment fall short

Since it's troubled launch on October 1 when it could not perform the basic functions it was envisioned to do, Park said HealthCare.gov has increased capacity and is now able to handle up to 25,000 users on the site per hour. Additionally, 17,000 are able to register on the website each hour.

Although improved, it is still far short of the administration's goal of increasing capacity to at least 50,000 people per hour.

Obamacare promises: Where things stand

On signing up, only 26,794 people have completed the enrollment process for health care coverage through the federal insurance marketplace, including HealthCare.gov, Health Secretary Kathleen Sebelius told reporters on a conference call.

In addition, 79,391 have enrolled for coverage through separate state-based exchanges.

Obamacare's first month: 106,000 signed up

Map: Enrollment numbers

The government reported that nearly 27 million unique users have visited either HealthCare.gov or state exchange sites since enrollment began on October 1 — 19.5 million of those to the federal site.

Park is one of several government IT officers who testified at the 4 1/2-hour Oversight hearing. In the first hour, both Park and Henry Chao, deputy chief information officer for the Centers for Medicare and Medicaid Services, called the problems with the website "unacceptable."

At times, the question-and-answer session before the Republican-led panel became contentious, not only between witnesses and members of Congress but also between lawmakers. Democrats have accused Issa of over-politicizing the issue.

One testy exchange involved Issa and Democrat Rep. Jim Cooper, who likened the hearing to a kangaroo court. Issa shot back.

"This is not a partisan hearing. I will not have it accused of a partisan hearing," Issa said.

Cooper then said, "This is a hearing on a broken website by a broken committee."

During his opening statement, Issa said HealthCare.gov "wasn't a small mistake." He said it went "live and effectively exploded on the launch pad."

"The President should have known," Issa added, "They weren't ready. They weren't close to ready."

Rep. James Lankford, R-Oklahoma, demonstrated the website's continuing problems by holding up his iPad and saying he had been trying to use the site for about an 90 minutes. But when he hit the "create account" button, it didn't take him to the next screen. The button "just changes colors."

The top Democrat on the committee, Rep. Elijah Cummings, D-Maryland, said in his opening statement that the hearing is motivated by politics and Republicans have no intention of working on a solution to ensure the Affordable Care Act is successful.

"For the past three years, the Number One priority has been to bring down this law," Cummings said, referencing the recent government shutdown and repeated attempts by Republicans in the House to repeal or defund the measure approved without Republican support in 2010.

Park was subpoenaed

Politics around the hearing had reached fever pitch on Tuesday.

Park was subpoenaed last week by Issa, after the White House balked at a request for his voluntary immediate appearance because he is leading the team working feverishly to fulfill a promise that by the end of the month problems will be eliminated on HealthCare.gov.

Issa insisted Park appear immediately to explain why the website wasn't ready when it was launched to adequately handle inquiries and enrollment.

The White House decided at the last minute to allow him to testify.

The site's problems have been a major early policy and political setback for Obama on this issue, but the administration says it is working aggressively to fix it and should have it working smoothly for most people by month's end.

Meanwhile, former Treasury Secretary Larry Summers, who served as an economic adviser to  Obama, said the President has not been adequately served by his staff in the implementation of the Affordable Care Act.

"He was not well served by his colleagues in the administration," Summers said on CNN's "Erin Burnett OutFront." "The American people were not well served by the way in which this played out."

White House officials get earful from House Democrats

Summers wrote a memo to the President in 2010 suggesting that HealthCare.gov was not something the government could handle and he needed to bring in experts.

While Summers would not provide details about internal discussions, he said Tuesday, "You need experts. You need to trust but you need to verify. You can't go rushing the schedule when you get behind or you end up making more errors."

Security

Security of personal and financial information was also a topic of concern to committee members.

Chao admitted security aspects had not been tested "thoroughly."

The admission came when Rep. Blake Farenthold, R-Texas, a former owner of web consulting business, paraphrased Chao's previous statement about security testing, indicating that Chao said security testing had been conducted "thoroughly."

Chao jumped in and said "If I said 'thoroughly,' I apologize."

David Powner, director, Information Technology Management Issues at the nonpartisan Government Accountability Office, said security testing was done early on an incomplete system.

Powner noted however, that he did have access to testing record after mid-September.

"The fundamental question is what is being done now and is that adequate to date," he said.

Using his knowledge of web development, Farenthold said HealthCare.gov's design to access information from the IRS and Social Security Administration is a "target for hackers."

Official: Hackers tried repeatedly to attack Obamacare website

But Chao assured the committee that consumers would be notified if their credit card information has been compromised, adding that "several laws and rules apply" that the government is required to follow.

Cost of HealthCare.gov

At the hearing, the administration technology officials were stymied by the question: "how much all this is going to cost us to straighten this out?"

They had no answer. One said they were "blind to that."

The actual figure of money in the pipeline to last for development and early implementation of the website is north of $630 million.

GOP rips early Obamacare enrollment figures

Can Congress really save insurance plans lost under Obamacare?

Many in Congress avoiding Obamacare exchanges

@highlight

26,794 people complete enrollment process for coverage through HealthCare.gov

@highlight

HealthCare.gov chief testifies before House Oversight Committee

@highlight

Chairman Darrell Issa says the website "exploded on the launch pad"

@highlight

Democrat Elijah Cummings says the hearing is motivated by politics