(CNN) -- The 12-year-old Arkansas girl who was infected with a rare brain-eating parasite is showing remarkable improvement, her doctors said Tuesday.

Kali Hardig is still listed in critical condition at Arkansas Children's Hospital, but over the past 48 hours, she's grown alert to the point where she can gesture in response to questions, according to Dr. Mark Heulitt, an intensive care specialist. Heulitt has scheduled a test for Tuesday afternoon to see whether Hardig can breathe without the breathing tube that she's had for more than two weeks.

Hardig's doctors are in virtually uncharted territory. Of 128 known cases in the past half-century, just two patients have survived, according to the Centers for Disease Control and Prevention.

The infection is caused by a microscopic amoeba called Naegleria fowleri, found in hot springs and warm, fresh water, most often in the southeastern United States.

The amoeba enters the body through the nose and travels to the brain. You cannot be infected with the organism by drinking contaminated water, the CDC says.

"This infection is one of the most severe infections that we know of," Dr. Dirk Haselow of the Arkansas Department of Health told CNN affiliate WMC. "Ninety-nine percent of people who get it die."

Why 'nightmare bacteria' on the rise

Dr. Sanjiv Pasala, one of Hardig's attending physicians, says they immediately started treating Hardig with an antifungal medicine, antibiotics and a new experimental anti-amoeba drug doctors got directly from the CDC. They also reduced the girl's body temperature to 93 degrees. Doctors have used that technique in some brain injury cases as a way to preserve undamaged brain tissue.

Last week, doctors checked the girl's cerebral spinal fluid and could not find any presence of the amoeba.

Pasala said that while other cases have not met with such favorable results, what may have made a real difference is that the girl's mother got her to the hospital so quickly.

Willow Springs Water Park in Little Rock is the most likely source of Hardig's infection, according to a news release from the Arkansas Department of Health. Another case of the same parasite, also called primary amoebic meningoencephalitis, was reported in 2010 and was possibly linked to Willow Springs.

"Based on the occurrence of two cases of this rare infection in association with the same body of water and the unique features of the park, the ADH has asked the owner of Willow Springs to voluntarily close the water park to ensure the health and safety of the public," the news release said.

What's in your pool water?

The first symptoms of primary amoebic meningoencephalitis appear one to seven days after infection, including headache, fever, nausea, vomiting and a stiff neck, according to the CDC.

"Later symptoms include confusion, lack of attention to people and surroundings, loss of balance, seizures and hallucinations," the government agency's website states. "After the start of symptoms, the disease progresses rapidly and usually causes death within one to 12 days."

Getting this amoeba is extremely rare. Between 2001 and 2010, there were 32 reported cases in the United States, the CDC says. Most of the cases occurred in the Southeast.

Here are some tips from the CDC to help lower your risk of infection:

• Avoid swimming in fresh water when the water temperature is high and the water level is low.

• Hold your nose shut or use nose clips.

• Avoid stirring up the sediment while wading in shallow, warm freshwater areas.

• If you are irrigating, flushing or rinsing your sinuses (for example, by using a neti pot), use water that has been distilled or sterilized.

CNN's John Bonifield and Caleb Hellerman contributed to this story.

@highlight

Kali Hardig, 12, is in critical condition at Arkansas Children's Hospital

@highlight

Amoeba causes fatal brain infection, according to the CDC

@highlight

Parasite generally found in people who swim in warm, fresh water