Europe remained gripped by frigid temperatures and snow Friday, with the icy weather closing much of the Danube River to shipping and disrupting travel across the region.

Central and Eastern Europe have borne the brunt of the unseasonably bitter weather, which has led to hundreds of deaths and thousands of cases of frostbite and hypothermia.

Twenty-two countries have posted warnings for extreme cold temperatures and accumulating snow, CNN meteorologist Brandon Miller said.

The big freeze is not likely to end any time soon, Miller said, with the Arctic air forecast to continue spilling deep into Europe, keeping temperatures well below average and allowing the snow to continue to pile higher and higher.

In Ukraine, the worst-affected country, well over 100 people have died and more than 3,000 have sought hospital treatment.

State news agency Ukrinform said more than 120 ships -- most of them foreign -- were trapped in the Kerch Strait, linking the Sea of Azov to the Black Sea, because of ice.

Parts of the Danube River, one of the most important rivers in Europe for commerce, have nearly frozen over for the first time in 25 years.

That has led at least four countries to halt shipping along sections of the 1,700-mile-long waterway because of the risk of damage to vessels' hulls. The river is also used for drinking water, irrigation and tourism.

The stretch of the Danube running through Romania has been closed indefinitely to traffic, Romanian state television network TVR reported Friday. However, most roads had reopened as of late Thursday, TVR reported, although major problems remain on the country's rail network.

Romania's capital, Bucharest, reached a low of -24 degrees C for the second morning running Friday, its lowest temperature since the cold snap began two weeks ago.

Bucharest has not seen the mercury climb above the 0 degree Celsius (32 degrees Fahrenheit) freezing point since January 24, Miller said. The average high for this time of year is 3 degrees Celsius (37 degrees Fahrenheit).

Snow is lying 11 inches deep in Bucharest but has piled up even higher to the west, in Bosnia and Herzegovina, where the capital, Sarajevo, has seen over 39 inches accumulate in the past two weeks, Miller said. A year ago, the city was covered by less than half an inch of snow.

The Balkan Peninsula has been hammered with a series of potent snow storms, the result of a jet stream that has sagged much farther south than normal, allowing storms to pick up moisture over the waters of the Mediterranean and Aegean Seas and dump it on the already frozen landscape of the Balkans, Miller added.

In Serbia, the death toll from the cold snap rose to 16 on Friday, Interior Ministry emergencies official Predrag Maric told Serbian state news agency Tanjug.

The situation has improved, he is quoted as saying, since the government declared a state of emergency in 38 municipalities. Authorities are now focusing on getting food to people in the worst-affected areas, the news agency said.

Five more people died of hypothermia overnight in Poland, according to the Interior Ministry, the website of the publicly funded Polish Radio reported, taking the total number of cold related deaths there to 97.

Turkish Airlines, the national flag carrier for Turkey, canceled 57 domestic and international flights Friday because of severe weather, the semiofficial Anatolian news agency reported.

In a sign of the extreme weather conditions, the city hospital in Split, Croatia, has used two years' supply of plaster in only five days; a result of treating the high number of fractures caused by slips on the snowy and icy terrain, Miller said.

South-east and western Europe can also expect more wintry weather over the weekend.

Italy is braced Friday for heavy snowfall, with more than 40 deaths blamed on the cold snap so far, according to reports.

La Repubblica newspaper said it was expected to be the most difficult weekend for more than a decade, with the icy conditions extending as far south as Calabria.

Schools and offices were closed in Rome as city workers prepared to cope with as much as a foot of snow overnight. The mayor has issued an order requiring drivers to carry snow chains, and extra salt has been stockpiled for use on the roads.

Heavy snowfall a week ago paralyzed roads and trains in many cities across Italy, leading to wide criticism of authorities.

The number of beds available for homeless people in Rome has almost doubled, from 1,300 to 2,500, and new shelters have been set up in many metro stations, which are being kept open overnight, officials said.

The Six Nations rugby match between Italy and England in Rome will go ahead Saturday as planned, English rugby union officials said.

Some weather-related delays and cancellations have been reported at Italian airports. Train services have been suspended in 12 regions, the Corriere della Sera newspaper reported.

The center-north regions of Emilia Romagna, Abruzzo and Marche, where it has been snowing for several days, have been particularly affected by the bad weather. Local trains are suspended.

In the northern Italian city of Trieste, an icy wind is blowing at more than 80 miles per hour and is expected to strengthen, according to the regional civil protection agency.  An alert has been issued for strong winds over the next 36 hours, as people in the city report finding it difficult to remain standing in the gusts.

The famous canals of Venice started freezing over this week, preventing gondoliers from plying their trade on the city's picturesque waterways.

Many parts of England and Wales saw snow Thursday night and Friday morning.

@highlight

Temperatures in Bucharest drop way below freezing for the 18th day in a row

@highlight

The number of deaths blamed on the cold rises to 16 in Serbia, state media report

@highlight

Italy is braced for more heavy snow, a week after wintry weather paralyzed many cities

@highlight

More cold-related deaths are reported in Poland, taking the total to almost 100