Singapore (CNN) -- A Singapore court ruled Friday that four people can be extradited to the United States to face conspiracy charges after electronic components from a U.S. company were smuggled to Iran and ended up in explosives in Iraq.

The case is part of an effort by the U.S. to link Iran with attacks on its forces in Iraq.

The four Singaporeans -- three men and a woman -- were arrested in late October. They contested the extradition proceedings, and have 15 days to appeal.

U.S. authorities indicted them, as well as an Iranian citizen, on charges of funneling thousands of radio frequency modules from the United States to Iran. The Iranian citizen, Hossein Larijani, remained at large at the time of the indictment.

The United States alleges that 16 of the radio frequency modules were later found in improvised explosive devices (IEDs) in Iraq that had not detonated. The explosive devices are often the weapon of choice for militants in Iraq, who regularly used them to attack U.S. and coalition convoys.

David Adelman, the U.S. ambassador to Singapore, welcomed the ruling.

"This ruling reflects the strong spirit of cooperation between the United States and Singapore in combating transnational crime, including the illicit trade in arms and equipment that can pose significant threats to the United States and the international community," Adelman said in a statement.

Following the court's decision Friday, two of the Singaporeans -- Lisingm Yong Nam and Wong Yuh Lan, the female suspect -- will be extradited to be charged with one count of conspiracy to defraud the United States in relation to the radio frequency modules.

The other two -- Lim Kow Seng and Hia Soo Gan Benson -- will be sent to the United States to be charged with one count of conspiracy to defraud the United States regarding the smuggling of dozens of military antennas, like those used on military aircraft and ships, from the United States to Hong Kong.

Lim Yong Nam, Lim Kow Seng and Hia plan to appeal, their lawyer said. Wong's lawyer said he needed to talk to his client before saying whether she would appeal.

In making a decision on the extradition, the judge, Chia Wee Kiat, weighed the evidence provided by the U.S. indictment, citing emails, documents and affidavits from the U.S. case.

Chia said that if the alleged acts had indeed been committed, they would also be considered "conspiracy and cheating under Singapore law."

He noted that the Singapore court's role in considering the extradition request had been "to decide whether there is a prima facie case." Chia said that "the task of resolving doubt and weighing the evidence should be left to the trial judge."

The U.S. indictment alleges that the Singaporeans conspired to buy 6,000 radio frequency modules from an unidentified company in Minnesota and ship them through Singapore to Larijani in Iran.

The United States has in the past noted that Singapore -- a major global transshipment port -- needs to tighten its export controls, in particular of so-called "dual use" items, which can have both a civilian and military purpose

In this case, the radio frequency modules from the U.S. company have various commercial applications, including wireless local area networks to connect printers and computers in offices.

The United States says that radio frequency modules from the same U.S. company were recovered in 2008 and 2009 by coalition forces in Iraq as part of remote detonation systems for improvised explosive devices.

Prosecutors allege that the defendants told the Minnesota company that Singapore was the final destination for the components they were buying and also filed false paperwork with the U.S. government, saying the parts would be used in a Singapore telecommunications project.

The Singaporeans have been held without bail since their arrest, except Lim Yong Nam, who was released on bail on medical grounds.

They will all remain in prison until their extradition, except Lim Yong Nam, the judge said Friday.

@highlight

A Singapore judge says the four can be extradited

@highlight

The United States has requested their extradition after an indictment

@highlight

They are accused of illegally sending devices from a U.S. company to Iran

@highlight

Prosecutors say the U.S. electronics turned up in undetonated improvised explosives in Iraq