Sittwe, Myanmar (CNN)Everyone you talk to from this country's Rohingya minority knows someone who attempted the dangerous and illegal journey by sea: a relative, neighbor or friend.

In recent weeks, the United Nations says there has been a surge of boat people, hundreds of Rohingya cramming into small boats and leaving on a daily basis. They surrender themselves to human traffickers waiting in cargo ships at sea, who then charge extortionate prices with the promise to smuggle passengers to Malaysia.

At a little fishing port outside the provincial capital of Sittwe, carpenters building wooden boats explained how the system works.

"Fifty to 60 people fit into a boat like this," said Mahmud Yacoub, who squatted barefoot clutching a hammer in the skeleton of new wooden vessel about 20 feet long. "The travelers are mixed: men, women and children. It is dangerous and very expensive."

READ MORE: 'Caught between a hammer and an anvil'

The United Nations estimates more than 100,000 Rohingya fled Myanmar this way since ethnic and sectarian violence erupted in the country's western Rakhine state in the summer of 2012. Hundreds died making the seaborne journey.

The 2012 clashes between the state's Rakhine Buddhist community and Rohingya Muslims, a long-oppressed linguistic and ethnic minority in this majority Buddhist country, left hundreds dead and more than 140,000 people homeless.

More than two years after the violence, the government has forcibly segregated Rohingya from the rest of the population in Rakhine state. They live confined in enclaves -- rural ghettos, in effect -- from which they are not allowed to leave. In Sittwe, a town where Rohingya once lived side by side with Rakhines, it is now impossible to find a Rohingya walking down the street.

One of the main mosques is still in ruins after it was torched in June 2012. Another mosque appears to be occupied by Myanmar police.

READ MORE: Obama takes on Myanmar during Asian trip

"Rohingya doesn't exist. Never exist!" repeated U Than Tun, a member of the Emergency Coordination Center in Sittwe, which overseas the distribution of humanitarian assistance to the state's poor and homeless population.

He echoed the Myanmar government's official position, which denies recognition of the term "Rohingya." Instead, U Than Tun referred to Rohingya as "Bengalis," and described even those who have lived in Myanmar for generations as "illegal immigrants" from neighboring Bangladesh.

It is part of a decades-old policy that has prevented Rohingya from being full citizens in Myanmar, leaving a million of them effectively stateless.

Some community leaders in Sittwe want to take this policy of exclusion one dramatic step further.

"We want to expel the Bengalis from this land," said Than Tun, who is also a high school teacher in Sittwe.

The call for the expulsion of the Rakhine State's estimated 1.3 million Rohingya was echoed by a senior Buddhist monk at a monastery across town.

"It may be best if they are not here," said U Kaymasara.

Several of his followers sat on the floor near his chair in deference as the monk explained his views. U Kaymasara claimed the Rohingya threaten to demographically overwhelm the state's Rakhine population.

"In one Muslim family there are 82 people," the monk claimed. "In Rakhine families, there are maximum three or four or five."

According to government statistics, Rohingya make up only about one-third of the population in Rakhine state.

U.N. officials warn the strict confinement of Rohingya to enclaves has destroyed their ability to rebuild their lives after the violence and arson of 2012.

"Lack of movement means people don't have access to their fields to go farming, don't have access to the sea to go fishing, don't have access to markets to trade," said Pierre Peron, spokesperson for the United Nations' Office for the Coordination of Humanitarian Affairs in Myanmar.

"The impact on freedom of movement is quite massive on hundreds of thousands of people."

In one of the camps built for displaced Rohingya with the help of international aid organizations, several men told CNN they had no hope of finding work outside their state-designated enclave.

"The Rakhines burned down my house and my shop," said a gray-haired man named Raza Mia. He said his family of 10 now survived by sending their children into Rohingya villages to beg for food.

Another man named Nur Bashir said he had been employed as a welder in the state water and transportation department before 2012. Now, he didn't dare try to return to the Sittwe, where he had once lived and worked.

"If I go to Sittwe on my own," Nur Bashir said, "I think the Rakhine will kill me."

His statement was all the more dramatic because he was speaking in a camp located barely a mile from downtown Sittwe.

Police and soldiers here were deployed throughout the zone where Rohingya had been allowed to live. In one area, they marked the territory where Rohingya were allowed to move by erecting red flags along an abandoned railroad. Several Rohingya men said they were not allowed to cross the railroad tracks to the Rakhine village less than 100 yards away, where farmers could be seen tending their fields.

But even within the Rohingya enclave, locals said there were periods of the day when security forces prevented Rohingya from using the main road.

That coincided with the hours when Rakhine students used the same road, to get to classes at Sittwe University, which is located within the enclave.

Students there told CNN that since the clashes of 2012, Rohingya students had stopped studying at the university.

Young Rakhine men at the university disagreed on whether the Rohingya should be allowed to go back to the university.

"I want to live as we did before, living peacefully," said 22-year-old Nyo Layn, who added that he wouldn't mind welcome back Rohingya students.

But 19-year old Mah Win So said,"I don't want Muslim students here because I don't trust them."

He added, "I want them all to go back to their native place, which is Bangladesh."

Human rights organizations have denounced the policies of the Myanmar government.

"There couldn't be a clearer case of ethnic cleansing," said Matthew Smith, executive director of Fortify Rights, a human rights group that has extensively researched the crisis in Rakhine state.

"The authorities and local Buddhist populations are trying to change the ethnic demographics of the state through terror-inspiring means, and in some cases violence."

Top government officials in Myanmar have repeatedly denied these accusations.

But the sharp increase of Rohingya making the perilous journey out by sea suggests members of this community see little future staying in the country of their birth.

@highlight

A decades-old policy has prevented Rohingya from being full citizens in Myanmar

@highlight

More than 100,000 have fled by boat since sectarian violence in Rakhine state in 2012

@highlight

In Sittwe, the Muslim minority are forced to live in areas from which they cannot leave

@highlight

"If I go to Sittwe on my own," says one Rohingya man. "I think the Rakhine will kill me"