Colombo, Sri Lanka (CNN)When you look at the gleaming buildings of Colombo and the fast-paced development that has taken place in recent years, it is perhaps easy to forget that until five years ago, Sri Lanka was embroiled in a bitter civil war.

Tens of thousands were killed, and hundreds of thousands displaced, in a three-decade  conflict between the state and separatist insurgents in the north,  known as the Tamil Tigers.

Peace is therefore a relatively new concept here, and something Sri Lankans don't take for granted.

'Truth and reconciliation'

It's also the primary message from Pope Francis as he arrived in the island nation. On Tuesday, his first day of a three-day tour of the country, he told an audience that Sri Lanka cannot fully heal without "fostering reconciliation."

He said the "pursuit of truth" was important, "not for the sake of opening old wounds, but rather as a necessary means of promoting justice, healing and unity."

While steps towards reconciliation have been taken since the war ended in 2009, mainly in terms of economic and infrastructure development, real reconciliation on an emotional and spiritual level has yet to happen.

"We had a military victory, five years ago but whether after that there is a victory of the hearts is a question we need to ask ourselves," the Archbishop of Sri Lanka, Cardinal Malcolm Ranjith told CNN.

War-stricken past

Sri Lanka has had a dark history, Cardinal Ranjith said, but now it is time for the country to put that behind and construct a new Sri Lanka, with a new identity where each minority group is respected and accepted. The island nation needs, he said, to "send a message to the world that Sri Lanka is a nation of peacemakers."

The timing couldn't be more fortuitous. Pope Francis arrives just days after a new government was sworn in after a massive electoral upset. The new government under new President Maitripala Sirasena has promised to make reconciliation a priority.

He won the snap elections largely because of the support from minority groups -- including Hindu Tamils -- so reaching a consensus is expected to be easier.

Sirasena was a long time ally of outgoing president Mahinda Rajapaksa during the war but defected soon after snap elections were called in November.

Multifaith greeting

In a show of ethnic coexistence, the pope's welcoming ceremony featured traditional dancers from both the majority Sinhalese and minority Tamil groups.

At an inter-religious meeting on Tuesday, perhaps the most important part of Pope Francis' first day in Sri Lanka, the session began with Buddhist chants, Hindu and Muslim blessings and then a message from Pope Francis on religious and ethnic harmony.

He will also be traveling to Madhu, a town in the north of Sri Lanka, the former heart of the war zone, where he will meet with a number of families both Tamil and Sinhalese who suffered the consequences of the conflict.

Sri Lankans are proud of their pan-religious, multi-ethnic heritage. More than 70% of the 21 million-strong population is Buddhist, 6-7%  Christian and the remainder Hindu and Muslim, but religious tensions in recent years have given some cause for concern.

Outbreaks of religious violence

Churches have been burned down and Muslims have been attacked -- the most violent case of which occurred in 2014, when at least three people were killed in a Buddhist-Muslim riot.

Monk Galagad Atte Gnanasara's hardline Buddhist group, the Bodu Bala Sena is often blamed for the attacks.

Gnanasara told CNN they condemn violence but argued that when Christian evangelicals try to "disrupt Sri Lanka's culture and society by proselytizing and breaking Buddha statues a rage develops deep inside," his group will react.

Unity urged

While violent incidents between people of different religious groups like these attract headlines, leaders of a most religious groups in Sri Lanka say they are isolated and politically motivated.

"There are extremists, they are not the majority," Cardinal Ranjith says. "So we cannot say there are religious persecutions in an organized fashion."

Sri Lanka has a porous culture where people from various faiths have intermingled and taken aspects from other religions.

"I am a Catholic, but I am very sure Buddhism, which is followed by the majority in the country, has influenced my thinking," he said.

It is this co-existence of faiths Cardinal Ranjith wants Pope Francis to witness for himself in Sri Lanka, and thinks it's the best way forward for Christianity in Asia.

@highlight

Pope Francis visits Sri Lanka for a three-day tour, preaches reconciliation for war-divided nation

@highlight

Faith leaders aim to show him how intermingled religious groups can learn from each other

@highlight

Incidents of religious violence downplayed, harmony is highlighted