Tripoli, Libya (CNN) -- In Tripoli, "no guns" signs outnumber ones that say, "no smoking."

Khadija Teri made that telling observation in her blog a few days back.

She witnessed men drawing weapons while arguing on the street. "Seeing men shouting, waving guns and pointing them at each other just because of a silly argument is frightening," she wrote.

A year after the start of the Libyan revolution, human rights groups describe a nation of lawless militias who commit crimes with impunity and threaten to destabilize the nation by hindering efforts to rebuild.

Amnesty International said abuses committed by militias amount to war crimes and the monitoring group called on Libyan authorities to rein them in. Otherwise, Amnesty said, the risks Libyans took to demand justice in their homeland, could end up being in vain.

A year ago, Libyans dared to take to the streets of Benghazi, their simmering anger heated to a boil by the arrest of human rights lawyer Fathi Terbil. As many as 2,000 protesters gathered outside of government offices. They chanted slogans against Moammar Gadhafi, the man who had ruled them with a firm grip for four decades.

It was unimaginable then that he could ever be ousted from power. But the Libyans persisted, inspired by their neighbors to the east and west.

They called for a "Day of Rage" on February 17. After that, the protests intensified and spread and eight long months later, after brutal fighting and a NATO air campaign, Gadhafi was defeated.

This week, Libyans could hardly believe a year has passed by.

Since October, when Gadhafi was captured and killed, many aspects of life seem normal. But in important ways, Libya has foundered.

Perhaps the nation is no different than any other that is recovering from trauma and massive upheaval. Frustration is palpable on the streets, as is an unease about what the future might hold.

As Libyans prepare to celebrate their freedom, revolutionary fighters in the capital are on high alert and additional checkpoints have sprouted everywhere.

Ordinary Libyans cling to the optimism that blossomed with the first protests in Benghazi last February. Building a nation after four decades of tyranny is no easy task, they say.

At the main plaza that Gadhafi called Green Square (it's now known as Martyr's Square), revolutionary music blares from cars.

But many still fear former regime loyalists might try to disrupt anniversary celebrations or somehow still destroy the new Libya.

In recent days, text messages have circulated among former regime loyalists calling for their own uprising to "liberate (Tripoli) from the NATO revolution." Videos by what is being self described as the Libyan "resistance" have also emerged on social media sites.

Only 17% of Libyans feel people can be trusted, found an Oxford Research International poll, touted as the first national survey of Libya and startling in some of its revelations.

Consider that only 29% of Libyans said they would prefer to live in a democracy; 35% said they would still prefer rule by a strong leader.

And 16% of the 2,000 Libyans surveyed were ready to resort to violence for political ends. That means 630,000 people are potential fighters, in addition to the 280,000 people who previously picked up a gun.

The revolutionary militias on the streets call themselves their nation's heroes. They are the ones who drove out Gadhafi, after all.

They insist on retaining arms to protect their revolution, especially given that military and police presence is virtually nonexistent.

Mohammed, 28, says Libya's government is weak; its defenses not strong enough.

The nation needs a government that can quickly integrate revolutionary factions under one umbrella; one that can activate a functioning judiciary. Recruit a national army, he says.

Without strong national reconciliation measures, Mohammed fears that Libya will risk civil war.

"I am hoping for the best every day," he says.

But he worries. And is not alone in his fears.

Criticism has been rising of the National Transitional Council and the performance of the interim government.

Many Libyans say they are frustrated with the slow pace of rebuilding, not unusual for a nation almost starting from scratch. But the question is will the Libyan government be able to maintain confidence of its people?

Other Libyans decry the lack of transparency in decision-making and the government's inability to impose authority over the the militias.

Tripoli residents complain of daily cuts in electricity and an ill-equipped health care system.

Some of that frustration has surfaced very publicly.

Last month angry protesters stormed the NTC headquarters in Benghazi and the deputy head of the council, Abdulhafidh Ghoga resigned from his post amid the protests.

Government officials argue that they have inherited a mess left behind from the four decades of Gadhafi rule. They have pleaded for patience.

Anes AlSharif, the former spokesman for the Tripoli Military Council, an umbrella group of the armed factions in the capital, blames the current situation on the lack of leadership by the civilian authority.

"There is a feeling growing that the NTC is not doing enough towards driving this revolution from phase one to phase two in this transitional period," he says.

Libyans have only to look at Egypt to see how prickly the revolutionary journey can be.

"It is a government with no real power and what it really needs is to have a partnership with the guys who are on the ground and make them a part of this state," AlSharif says.

Voters are set to go to the polls at the end of June to pick a national assembly that will be tasked with drafting a constitution.

The goal before was to get rid of Gadhafi. Now, Libya's leaders will have to unify the nation with new goals -- ones that respect the enormous sacrifices of the Libyan people, AlSharif says.

"We need to be faithful to their sacrifices to our country and to ... remember the goal of this revolution was not one to get rid of the Gadhafi regime and to create chaos," he says. "This would be a disaster, an ultimate betrayal to our guys who fell in the fight for freedom and to establish an advanced modern state."

The objectives may seem lofty at times, but Friday, Libyans are taking stock in what they have already gained.

"We never believed that this revolution will come and now it's a reality so we feel like we are in a dream," says Minister of Planning Essa Tuwegiart.

Journalist Ramadan Jarbou, however, knows it's very real. He no longer has to dote on each word, consider its consequences. No one bothers him after he publishes an article.

The Benghazi writer erupts in stinging statements about Gadhafi's neglect of Libya. "I can express myself," he says.

And that, he says, was why the revolution was worth it.

Jomana Karadsheh reported from Tripoli and Moni Basu, from Atlanta.

@highlight

Tensions are high on the first anniversary of Libya's revolution

@highlight

Human rights groups warn that armed militias threaten Libya's stability

@highlight

A national survey found a lack of trust is prevalent among Libyans

@highlight

Some Libyans are frustrated with the pace of progress