(CNN) -- The mortgage settlement agreed to by 49 state attorneys general seems to be yet another stroke of good luck for the banks. Ostensibly, the settlement commits the banks to pay $26 billion to the government and homeowners to compensate for improper conduct in the foreclosure process.

In the years leading up to the financial crisis of 2007-8, banks and mortgage companies rushed to provide mortgage loans to homeowners, many of whom weren't capable of shouldering the debt. The mortgages were bundled together and sold as exotic securities to investors. When housing prices stopped rising and homeowners could no longer refinance their way out of bad mortgages, the cycle ended and the financial crisis set in. This also led to an unprecedented wave of foreclosures that continues to this day.

If anyone expects this settlement to have a noticeable effect on the housing market, they will be badly disappointed. Clearly, it will help some number of homeowners keep their homes, but the benefit is likely to limited. There are more than 10 million homeowners underwater by an average of more than $60,000. If the banks actually give $20 billion in debt relief as a result of this settlement, that would be sufficient to give $20,000 to 1 million homeowners. That's helpful, but little more than a drop in the bucket.

The settlement covers a wide range of sins committed by banks and other mortgage lenders. In some cases, it was simply an issue of sloppy paperwork. That may not seem like that big of a deal, but anyone who has taken out a mortgage and had to pay a lawyer several hundred dollars to ensure that the paperwork was in order might not appreciate rules saying that big banks are not bound by the same law. If there's no evidence of deliberate fraud, banks will be given immunity from responsibility for sloppy paperwork.

A second set of sins involved more substantive violations where servicers attached fees improperly or foreclosed without proper notice. The banks treated foreclosure as a mass production operation. In many cases, this might have meant imposing penalties that they did not have a right to impose or push through foreclosures without going through all the necessary steps.

The third and most serious issue involved foreclosures where banks could not prove that they owned the property. This may seem farfetched, but there are foreclosure cases in which the bank's servicer lacked the documentation to show that it in fact owned the property. In some of the famous cases of robo-signing, people were being paid to forge documents to substitute for ones that could not be found.

We don't know whether the number of cases where mortgage servicers could not produce the documentation to establish ownership of the house were few or many. This is an issue that is likely not to be investigated as a result of the settlement. Presumably servicers will at least have to produce proper documentation going forward.

While $26 billion sounds like a substantial sum, we don't know at this point how much of this will the banks actually pay. Most of the payment will take the form of modifications and debt write-offs in short sales.

There is no easy way to determine how much the banks will pay through this route because we don't know what debt write-offs they would have done in the absence of the settlement. If the banks are allowed to count every dollar written off as a dollar against the settlement -- as though they would have made no write-offs otherwise --then it is possible that they won't pay a dime for this settlement.

We also don't know how much the banks will pay because most of the write-offs are likely to be on mortgage-backed securities that they are servicing, not on mortgages that they own. This means that they will be paying their penalty with investors' money. If this is not a legal first, it is certainly unusual to have a settlement where the defendant is able to pay using someone else's money.

It would have been useful if the attorneys general had pushed for a settlement that gave enforceable rights to homeowners facing foreclosure. For example, if they had required servicers to give every foreclosed homeowner the right to stay in their home paying the market rent for five years following a foreclosure, millions of homeowners would have immediately been given housing security they currently lack. And, they could enforce this one themselves rather than relying on the goodwill of the bank or government overseers.

But, that doesn't seem about to happen given the political power of the banks. It looks like their good luck is continuing.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Dean Baker.

@highlight

Banks struck a deal with 49 states to pay $26 billion for improper foreclosures

@highlight

Dean Baker: This will help some homeowners, but it won't really help the housing market

@highlight

Baker: Settlement will cover a range of sins committed by banks, other mortgage lenders

@highlight

He says banks are let off the hook; they may not even have to pay the full $26 billion