Susan Craig's brother Roger died of a pulmonary embolism in 2007, at age 38. Diagnosed with bipolar disorder in high school, he had been on antipsychotic drugs for years. At the time of his death, he was carrying 280 pounds on his 6-foot-4-inch frame.

Craig, a public relations specialist who works at Columbia University in New York City, knew that Roger's medications could cause weight gain. But she had never been told that the drugs he was taking might be harming his heart.

"We were never counseled by his psychiatrist or his primary care provider to watch for symptoms of heart disease or any risk of sudden death at all," Craig says. There's no evidence that Roger's medications caused his death, but his family might have been able to get him help sooner if they had known about the risks, Craig explains.

New research published Wednesday in the New England Journal of Medicine shows that antipsychotic drugs are not risk free, and the study's authors are urging much more caution in their use. The drugs are associated with a risk of sudden cardiac death, particularly at higher doses. Health.com 10 best foods for your heart

Craig's brother was taking haloperidol, which belongs to an older class of drugs called typical antipsychotics, which have long been known to increase the risk of sudden death due to cardiac causes. He was also on risperidone, a member of a newer class of drugs called atypical antipsychotics, which had been considered safer.

Doctors prescribe these newer medications, originally developed to treat schizophrenia, for a wide variety of problems -- from conduct disorder in kids to aggressive behavior in Alzheimer's patients. In fact, they've become so popular that three of them -- olanzapine, risperidone, and quetiapine -- are among the 10 top-selling drugs worldwide, with $14.5 billion in sales in 2007.

The new study suggests that among patients taking high doses of atypical antipsychotics, there are about 3.3 cases of sudden cardiac death per 1,000 patients per year, which an editorial characterizes as a risk that's "between 'moderate' and 'low,' but not 'rare.'" Health.com: Heart drug may be a cancer fighter

About 325,000 people in the United States each year die of sudden cardiac death, which has an incidence of 0.1 to 0.2 percent per year in adults.

"[The drugs] have potentially very serious side effects," says Wayne A. Ray, Ph.D., the director of the division of pharmacoepidemiology at Vanderbilt University School of Medicine, in Nashville. "So whenever a decision is made to use one, consideration of potential side effects needs to be made." Ray and his colleagues found that atypical antipsychotics doubled the risk of sudden death from heart-related causes, most likely by causing disturbances in heart rhythms.

First introduced in the mid-nineties, atypical antipsychotics were praised for having none of the troublesome side effects of their predecessors, including frequent, involuntary movements of the face and mouth that were in some cases irreversible.

But the new study shows that the increased risk of sudden cardiac death seen with the older drugs is nearly identical to that of the newer medications. There had been suspicions that the drugs were risky, especially when used in older patients, but the current study is the first to systematically investigate their association with sudden cardiac death.

Ray and his colleagues reviewed data on Tennessee Medicaid patients, comparing 44,218 people using older typical antipsychotics and 46,089 taking the newer atypical antipsychotics to 186,600 people who had never used the drugs. People with schizophrenia may have a higher rate of cardiac problems, due to smoking and other factors. To account for this, researchers also compared antipsychotic drug users without schizophrenia to non-drug users who had characteristics (in most cases, mood disorders) that made them likely candidates for the drugs.

Overall, people taking typical antipsychotics were at 1.99-times greater risk of sudden cardiac death, while the risk for those on atypical antipsychotics was increased 2.26 times. The increased risk was greater for people on higher doses of the drugs. People who had used the drugs in the past but stopped weren't at greater risk of sudden cardiac death.

"The drugs are still very effective for conditions that there's proven evidence for," says Jeffrey A. Lieberman, M.D., a professor and chair of psychiatry at Columbia University, in New York City, and the director of the New York State Psychiatric Institute, who was not involved with Ray's research. "They clearly need to still be able to be used. I think this [study] really underscores the need to be very judicious about how these medications are used and whom they're given to."

While atypical antipsychotics have been used to ease aggressive behavior for patients with Alzheimer's disease, for example, they are not approved for this purpose by the U.S. Food and Drug Administration; in fact, in 2005, the FDA issued a warning that these drugs increased the risk of death among elderly people, extending the warning to all antipsychotic drugs last year, notes Sebastian Schneeweiss, M.D., Sc.D., an associate professor of medicine at Harvard Medical School, in Boston, who coauthored an editorial accompanying the current study. Health.com: How is depression in the elderly different from dementia?

Given the lack of better alternatives, these drugs are still widely used in patients with dementia despite the warnings, he adds. But while there's anecdotal evidence that they will "cool these patients down" and reduce their aggressive behaviors, there's no scientific evidence that they really help patients or their caregivers, Dr. Schneeweiss says.

In his editorial, Dr. Schneeweiss and coauthor Jerry Avorn, M.D., also of Harvard, call for patients to undergo an electrocardiogram before and shortly after being placed on atypical antipsychotics, to determine if the drugs are causing any heart rhythm disturbances.

For people who must be on these medications, Ray says, it's essential for their doctors to treat any other conditions, such as high blood pressure, that can harm the heart. "Sudden cardiac death usually occurs when multiple risk factors are present," he explains. "When you add one, it's kind of like the straw that broke the camel's back."

"Absolutely the lowest dose that works should be used, because we found a strong dose response," Ray says.

Jamaison Schuler, a spokesperson for Eli Lilly and Company, the maker of Zyprexa, says, "Although the study appears to have important limitations, it provides additional information for practicing physicians to consider as they decide how to treat very complex diseases such as schizophrenia and bipolar disorder."

The FDA has approved atypical antipsychotics for treating bipolar disorder, Ray adds. But the researcher recommends that physicians first try safer alternatives, such as the mood stabilizer lithium. "That's a very serious illness, and it has important consequences for patients' quality of life and relationships," Ray notes. "If the mood stabilizer doesn't work, I think it's very reasonable to consider an antipsychotic, but...other drugs should be considered first."

Finally, he says, a patient should never stop taking any drug without consulting his or her physician. Nevertheless, anyone taking an atypical antipsychotic for a non-FDA-approved use should consult his physician. "I think off-label use should be undertaken very cautiously, and its frequency should be much less than it is currently," Ray says. Health.com: Superfoods that can save your health

For Susan Craig, the new research makes it clear that treating serious mental illness must go far beyond just prescribing pills. "We need to be supporting these people in a better, more systematic way," she says. "There's no magic pill. It's treating the whole person."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Atypical antipsychotic drugs associated with higher risk of sudden cardiac death

@highlight

Atypicals were thought to be safer than older, so-called "typical" antipsychotics

@highlight

Three atypical antipsychotics are among the 10 top-selling drugs worldwide

@highlight

About 325,000 people in the U.S. die of sudden cardiac death each year