(CNN) -- "Blood, sweat, and tears" on the football pitch used to mean a very different thing in Sierra Leone.

In a country where Ebola is spreading faster than anywhere else on the planet -- with around 7,000 reported cases so far -- each droplet of bodily fluid evokes suspicion.

Here, even a post-match handshake is an uneasy encounter.

In this fearful new climate, football has been banned. And to sports-obsessed Sierra Leoneans, the embargo is tantamount to forbidding God.

"Football is like a second religion in Sierra Leone," explained the country's Football Association president Isha Johansen.

"Bearing in mind this is a poor country, you would have situations where people would rather go without food, just so they could buy tickets to a big football match."

On Sundays, the long stretch of sand at Lumley Beach, outside the capital of Freetown, would usually be filled with thousands of people playing the national sport.

That was before the outbreak which has had over 1,400 new cases in the last three weeks alone, making Sierra Leone set to eclipse Liberia as the worst-affected country on the globe, according to the World Health Organisation.

Now the national premier league has been suspended. Casual kick-abouts in the community have dried up. Even watching the game in halls and cinemas has come to a standstill.

"This virus is about sweat, blood, and interaction," said 50-year-old Johansen, when I meet her in an inner-city London cafÃ©, a world away from the devastation back home.

"And that's football. There's a lot of interaction, there's a lot of sweat and blood."

Don't touch

Beyond the deadly virus itself, are the psychological effects on a naturally "touchy, feely people who love to hug and hold hands," said Johansen.

"It's a very strained and difficult place to be in mentally. You have to reprogram yourself. So you find that when people reach out to you, it's kind of like 'argh,' she says, screwing up her elegant face and holding up her hands.

"I think one of the vital things we've failed to adhere to as a people, is not to touch a sick person," she says of a disease in which 20% of transmissions happen during burials.

"And that is such basic humanity, isn't it? When someone you love is sick, you want to hold that person, you want to carry them," says the mother-of-one.

"But you can't."

Invisible enemy

Just over a decade after the civil war which left more than 50,000 people dead, the country is now facing a new, invisible enemy.

"It's not like the war that we've been through whereby you saw the rebels coming," said Johansen, who as a little girl never owned a doll, instead playing football with her brothers and their friends.

"But with Ebola, you wake up one morning and it's hit a town, it's hit another town. For a long time we didn't know the signs, we didn't know the symptoms to look out for."

Morocco's call

Indeed, what initially appears to be a common cold, can quickly escalate into vomiting, diarrhea, and bleeding -- both internally and externally.

Transmission through bodily fluids makes football a ripe setting for infection, and last month Morocco reneged on hosting the 2015 African Nations Cup due to fears over the spread of the disease.

"Let's just say I wasn't surprised," said Johansen, who is also owner of a premier league club called -- FC Johansen.

"I think if I was in Morocco's position, I would be focusing on saving lives and wanting to contain the Ebola virus," she says with a resigned sigh.

Coming from Sierra Leone, Johansen knows full well what it's like having to "beg to play in other countries."

Her country's players have reportedly suffered "humiliating" prejudice at away games, with opponents refusing to their shake hands and crowds chanting "Ebola" at matches.

Women's work

Personally, Johansen also suffered "the most humiliating attacks I have ever endured" -- though rather than Ebola, she says they related to her gender.

As one of only two women to head a national football association in the world, Johansen says she came under fire in a country where "women are still perceived to know their place."

"In Sierra Leone, football is their all. And you don't see women playing it, you don't see women telling them how to do it, and you certainly don't see women organizing it," says the daughter of one of the founding members of the country's East End Lions Football Club, who as a child grew up with footballers constantly walking in and out of her family home.

"Yes, horrible things were said about me that I wouldn't want to repeat. Very, very degrading things and cartoons. Bearing in mind, that I am a mother, and I am somebody's wife, and I am somebody's daughter," she says about slurs during her campaign for the top job in 2012.

Her coping method has been to switch off from local media and social networks.

"I don't see it, I don't read it," she says. "I kind of disconnect from that and just stay focused."

Cleaning up

She believes part of the vitriol has come from her hardline stance on corruption.

"The FA was in total tatters before I came in," she says.

"We had a bad reputation internally and externally. We had no structures. Integrity was at an all time low. There was no discipline."

And in a country where football and gambling go hand-in-hand, Johansen's zero tolerance was a hard pill to swallow.

"If people choose to gamble as a recreational pastime, well that's up to them," she says, hands clasped around a mug of mint tea.

"But you cannot have people in high administrative offices participating in gambling or betting. It's a no-no."

When it comes to corruption allegations at the highest levels of football's international governing body, FIFA, Johansen is less willing to talk tough.

"All these things that are swimming around, these controversies, is something that I really wouldn't like to get involved in," she says.

"It's really unfortunate, and I'm really hoping that FIFA can rise above it much sooner than later," she says of the organization which this year gave Sierra Leone's Football Association $750,000 plus another $50,000 towards social projects used for tackling Ebola.

Does that mean Johansen will be voting for FIFA president Sepp Blatter in next year's election?

"Sepp Blatter has been very supportive of African nations and trying to build up our football development," she says, choosing her words carefully.

"And in that respect I think, not just myself, but I most African countries will recognize that."

For now, her main focus is on the virus which has so far claimed over 1,400 lives across the country, and silenced its beloved football fields.

"We're just waiting for that day when they tell us -- boom! -- the vaccine is out, go and take your jabs," she says.

"Every morning we wake up waiting to hear that message.

"And it'll come."

Insight: 'Criminal' twist in World Cup scandal

Investigation: Why women weren't good enough for FIFA report

@highlight

Sierra Leoneans' love affair with football hit by Ebola

@highlight

Games canceled, watching in public spaces stopped

@highlight

People must 'reprogram' themselves not to touch

@highlight

Psychological effects on naturally 'touchy, feely' community