(CNN) -- Who doesn't go a bit giddy at the sight of a castle? The good news is that you don't have to head to Europe for honest-to-goodness castles of the Cinderella variety—we have plenty right here in our own backyard.

Railroad barons commissioned most of these estates, but at least one housed a legitimate king and queen (bet you didn't know this country had its own history of royalty!). Each is an engineering wonder in its own right, with some even constructed out of old-world castles that were shipped across the ocean. And each is open to tours should you decide to make a trip (a select few will even let you spend the night). Read this and you might just discover a side of America you never knew existed.

Budget Travel gallery: See more photos of the castles

Hammond Castle

Like a modern-day Frankenstein's castle on Massachusetts's rocky Atlantic shore, Abbadia Mare (Abbey by the Sea) served as both home and laboratory for prolific inventor John Hayes Hammond Jr. after it was completed in 1929. Hammond is largely credited as the "Father of the Radio Control," as in tanks and planes and remote-controlled cars. He was also a lover of medieval art, and the castle was designed to showcase his collection.

The building itself is a blend of 15th-, 16th- and 18th-century styles, including a great hall with elaborate rose windows and pipe organ plus a courtyard featuring a two-story meat market/wine merchant's house brought over from southern France. And, yes, like any proper mad scientist, he made sure there were secret passageways. Self-guided tours are available along with annual Renaissance Faire fundraisers, psychic gatherings and spooky Halloween events. 80 Hesperus Ave., Gloucester, MA, 978/283-2080, hammondcastle.org. Admission $10.

5 unusually dangerous places to drive

'Iolani Palace

Other properties on this list may be bigger and more lavish, but the 'Iolani Palace has one thing above them all: legitimacy. America's only true palace—as in, royalty resided here—was built from 1879 to 1882 by King Kalakua and Queen Kapi'olani. The goal was to enhance the prestige of modern Hawaii in a kind of Victorian-era keeping up with the Joneses. (The palace had electricity and a telephone even before the White House.)

Stone-faced with plenty of koa wood inside, the two-floor American Florentine-style building includes a throne room, grand hall and private suites, including the upstairs room where the queen was imprisoned for five months following the 1895 coup. Today, concerted efforts are underway to find artifacts and furniture (like the king's ebony and gilt bedroom set) that were auctioned off by the post-coup Provisional Government. 364 South King St., Honolulu, HI, 808/522-0832, iolanipalace.org. Admission $12, guided tour $20.

35 passport stamps worth bragging about

Grey Towers Castle

Most colleges contend to be fortresses of learning, but Arcadia University in the suburbs north of Philadelphia can back it up with battlements acquired in 1929. Grey Towers was built by eclectic sugar refiner William Welsh Harrison between 1893 and 1898 and modeled after Northumberland's Alnwick Castle (a.k.a. the most archetypal expression of the medieval style).

The 40 rooms wowed with gilded ceilings, tapestries, ornamental paintings and hand-carved walnut and mahogany woodwork in styles from French Renaissance to Louis XV—and of course a Mirror Room—with secret passages behind fireplaces linking to underground tunnels. Self-guided tours of public areas are possible while classes are in session (the building now contains dorm rooms and administration offices). Free brochures outline the history. 450 South Easton Rd., Glenside, PA, 215/572-2900, arcadia.edu.

Fonthill Castle

Celebrating its centennial in 2012, the former home of industrialist-turned-archaeologist Henry Mercer is an ode to artisanship: All 44 rooms (10 bathrooms, five bedrooms and 200 windows), 32 stairwells, 18 fireplaces and 21 chimneys are hewn from hand-mixed reinforced concrete in a mishmash of medieval, Gothic and Byzantine styles. Thousands of handcrafted ceramic tiles were inset throughout, including Mercer's own Moravian-style tiles plus Persian, Chinese, Spanish and Dutch productions he collected.

Today, the 60-acre Bucks County estate serves as a museum to pre-industrial life, with 900 American and European prints at Fonthill and even more artifacts (like a whale boat and Conestoga wagon) in its sister building, the Mercer Museum, a fun house-like six-story castle in its own right. East Court St. and Rt. 313, Doylestown, PA, 215/348-9461, mercermuseum.org. Admission $12.

20 places every American should see

Castello di Amorosa

Word to the wise: Imbibe the cabernet sauvignon and pinot grigio at the Castello di Amorosa winery carefully, because somewhere in the 121,000-square-foot, 107-room, eight-level complex there's a dungeon with a functional Renaissance-era iron maiden. It took 14 years to construct the castle using historically accurate medieval building techniques. The end result is an "authentic" 12th- and 13th-century Tuscan castle with drawbridge and moat.

The frescoes in the Great Hall and Knights' Chamber are hand-painted, some 8,000 tons of Napa Valley stone hand-chiseled, the Hapsburg-era bricks, hand-forged nails and chandeliers and 500-year-old fireplace all tediously imported from Europe. That sense of awe? Very modern. 4045 N. St. Helena Highway, Calistoga, CA, 707/967-6272, castellodiamorosa.com. Admission $18, including wine tasting.

Boldt Castle

What do you do when you come across a heart-shaped isle while vacationing with your wife in the Thousand Islands? If you're upstart industrialist George Boldt, you buy it and hire 300 stonemasons, carpenters and artists to build a six-story, 120-room testament to your love.

There were Italian gardens, a dove-cote and a turreted powerhouse, plus all the imported Italian marble, French silks and Oriental rugs money could buy. But when his wife Louise died in 1904, the heartbroken Boldt ceased construction on the Rhineland-style Taj Mahal and left it to the elements for 73 years. Today, tourists can visit from May to October for self-guided tours—or book a wedding in the stone gazebo. +44° 20' 40.29" N, -75° 55' 21.27" W, Heart Island, Alexandria Bay, NY, 315/482-9724, boldtcastle.com. Admission $8.

Five places to find mermaids

Gillette Castle

It's elementary: Get famous (and rich) by playing Sherlock Holmes on the stage; build your own Baskerville Hall. Pet project of campy eccentric William Hooker Gillette, the 24-room castle was completed in 1919 by a crew of 20 men over five years using the actor/playwright's own drafts and designs. It's also the focal point of his 184-acre Seventh Sister estate, a forested bluff overlooking the Connecticut River.

Outside, the local fieldstone reads like crumbling medieval; inside, the built-in couches, curious detailing and inventive hand-carved southern white oak woodwork is all arts and crafts. As for cat images? There are 60. (Gillette had 17 feline friends.) Gillette Castle State Park, 67 River Rd., East Haddam, CT, 860/526-2336, ct.gov. Grounds open year-round; interior tours available Memorial Day to Columbus Day. Admission $6.

OHEKA Castle

Second behind Asheville's Biltmore as the largest private estate in the nation, OHEKA—an acronym of Otto Herman Kahn, its millionaire financier original owner—ended up abandoned in the late 1970s and sustained extensive damage from fires, vandals and neglect. After a 20-year renovation, it's back in form and is now a 32-room luxury hotel. Think Downton Abbey just an hour from Manhattan (themed packages available), or for that matter, Citizen Kane (photos of it were used in the film).

Originally set on 443 acres, massive tons of earth were moved to make the hilltop location of the 127-room, 109,000-square-foot manse the highest point in Long Island. The Olmsted Brothers planned the formal gardens, the Grand Staircase was inspired by Fontainebleau's famous exterior one, and 126 servants tended to the six-person family when they came for weekends and summers. The 1919 price tag: $11 million. That's $110 million in today's money. Sounds about right for a man whose likeness inspired Mr. Monopoly. 135 West Gate Dr., Huntington, NY, 631/659-1400, oheka.com. Admission $25. Double rooms from $395 per night. Guided tours available.

10 of America's best lake vacations

Bishop's Palace

Of all the Gilded Age Victorians built by Nicholas Clayton along Galveston's Gulf Coast, the Bishop's Palace (née Gresham Castle, 1893, after its original owner, Santa Fe railroad magnate Walter Gresham) remains the grandest—and not just because its steel and stone hulk survived the Great Storm of 1900. Its small lot and oversized proportions with château-esque detailing of steeply peaked rooflines and sculptural chimneys still dominate the street, while inside the 14-foot coffered ceilings, 40-foot octagonal mahogany stairwell, stained glass, plaster carvings and Sienna marble columns exude richness.

Keep a lookout for the bronze dragon sculptures. After serving as a Catholic bishop's residence for 50 years, the house is now open for tours. Book a private guide to see the usually off-limits third floor. 1402 Broadway, Galveston, TX, 409/762-2475, galveston.com. Admission $10, private tours from $50.

Read about three more American castles, including William Randolph Hearst's ocean-side behemoth.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2011 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

King Kalakua and Queen Kapi'olani resided in 'Iolani Palace in Honolulu

@highlight

Boldt Castle is built on a heart-shaped isle in Alexandria Bay, New York

@highlight

Bishop's Palace remains the grandest of the Gilded Age Victorian homes in Galveston