San Diego, California (CNN) -- On a recent trip to Mexico City, I had barely made my way down the concourse and arrived at the immigration processing area when I got stumped.

Signs pointed the way to two lines: one for "Mexicanos" ("Mexicans"), another for "Extranjeros" ("Foreigners.")

I stood there for a few seconds, unsure of where to go. Growing up in Central California, I had been called a "Mexican" my entire life. It's ethnic shorthand in the same way that my friends in Boston refer to themselves as "Irish" or my friends in New York describe themselves as "Italian." Later, I settled on "Mexican-American."

But, this was Mexico. And, in the homeland of my grandfather, there was no need for shorthand or hyphens. I was simply an American. I speak Spanish, good enough to handle either end of an interview in that language. But I don't have the vocabulary of a native, and I can't shake my American accent.

So I took my U.S. passport and got in the line for Extranjeros.

I thought about that moment this week when Mexican president-elect Enrique Pena Nieto visited the White House to meet with President Obama. On the agenda, as usual, when the leaders of these two countries meet: immigration, drugs and trade.

News: Mexico's new leader measured against old party

Pena Nieto was also eager to talk about the growth of the Mexican economy, which is one reason that Mexicans are now just as likely to stay in Mexico as venture to the United States. He wants to partner with the United States and Canada, and create a European Union-style trading bloc in North America. And Pena Nieto vowed to continue Mexico's war against the drug cartels, even though he offered no specifics.

For Mexico, the relationship with the United States is complicated and filled with hard feelings. Most Americans probably never give a thought to the fact that, in 1848, the United States invaded Mexico and forced its leaders to sign over half their territory at the point of rifle. But for Mexicans, who think in terms of centuries, not minutes, the reminders are everywhere.

So the minute that a U.S. official says anything the least bit critical of Mexico, you start hearing -- in the Mexican press, and among the elites -- complaints about how the Americans are encroaching upon their neighbor's sovereignty. And the children of Montezuma go on the warpath.

And yet, for Mexico, the really challenging relationship is with the more than 35 million Mexican-Americans living in the United States. You want to talk about hard feelings? There is plenty. Mexico has winners and losers, people for whom the country provides opportunities and others for whom it doesn't. The only reason you have so many people of Mexican ancestry living in cities like Los Angeles, Las Vegas, Phoenix, Denver or San Antonio is because, at some point in our family tree, there was a person, maybe a parent or grandparent, who was shut out from opportunity in Mexico and had to go north. And more often than not, that person fit a profile -- dark skin, little education, from a poor village, etc.

We're their offspring, and we're loyal to them. Not Mexico. And even though we may now be living the American Dream, having gone to good schools and taken good jobs, we can never lose sight of the fact that it's the American Dream we're living, and not the Mexican one. Our identity might sometimes be fuzzy, but our loyalty is clear. It's to the United States.

Besides, we're aware that many of the elite Mexicans in the ruling class don't like us. The feeling is mutual. They see us as a reminder of a humiliating defeat and look down on us as inferior stock that isn't sufficiently Mexican. Our Spanish will never be good enough, our ties to Mexico never strong enough. Our existence is, as they see it, all about failure.

If our families hadn't failed in Mexico, they wouldn't have left. And we wouldn't now find ourselves trapped behind the silk curtain, living well in the United States but lost souls nonetheless.

My wife, who was born in Guadalajara and came to the United States legally as a child, reminds me that there is friction between Mexicans and Mexican-Americans because Mexicans have a firmer grasp of who they are and Mexican-Americans resent that. While she's a U.S. citizen, she sees herself as a part of two countries.

Meanwhile, many Mexican-Americans I know don't feel like they're a part of either. We love listening to the Mexican band, Los Tigres del Norte, but also to Bruce Springsteen. You get the best of both worlds, but you're rooted in neither. In Mexico, we're seen as Americans. And in the United States, we're considered Mexican.

Now, to complicate the relationship even further, as I learned during my trip, some Mexican leaders and parts of the intelligentsia want to reconnect with the Diaspora. They want to put Mexican-Americans to work as makeshift "ambassadors" for Mexico, representing its interest in the United States. We would tell our fellow Americans what a great country this is to visit and pressure political leaders to strengthen ties with Mexico.

Yeah. That's not going to happen. Too many hard feelings. And, with income inequality and rampant corruption and drug violence, many of us are not so sure that it is a great country. I'm afraid you're on your own, amigos.

That's fair. If at least some Mexicans aren't yet ready to forgive the United States for how it treated Mexico a century and a half ago, then they have to accept the fact that some Mexican-Americans still hold a grudge for how their family members were treated much more recently than that.

Hmmm. Maybe we're more "Mexican" than I thought.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Long, troubled history divides Mexicans, Mexican-Americans

@highlight

He says many were forced to leave Mexico because of the lack of opportunities there

@highlight

Mexicans tend to fault those who left; they remind Mexicans of hard times, he says

@highlight

Navarrette says Mexican-Americans are caught between two worlds