(CNN) -- It's been just over two weeks since the Queen parachuted into London's Olympic Stadium, her apricot dress flapping in the breeze, to the cheers of thousands in the stadium and millions at home watching the 2012 Opening Ceremony.

Since then, a potent mix of skill, stamina and resolve turned what appeared on paper as a packed sporting schedule into real-life drama, sorting the best from those who can still only dream of reaching the top.

The hard-fought victories and stunning record-breaking performances by seasoned and new sporting superstars -- including Usain Bolt, Michael Phelps, Gabby Douglas and Ye Shiwen -- will lead many lists of the most memorable moments from London 2012.

But the 30th Olympiad stands alone in creating a number of significant other world firsts, some that have been shouted from the rooftops as well as others that passed quietly without international fanfare.

For those, it's time to get out the bunting, ticker tape, streamers or celebratory toast, wherever you may be. Here we list the sporting moments you may have missed, and others that athletes may prefer to forget.

Team USA may be ahead in the total medal count, but other countries are celebrating taking home just one after years of effort.

Grenada went straight to the top of the podium with its first Olympic medal courtesy of Kirani James,19, who won the men's 400m, making Grenada the country with the smallest population to ever win Olympic gold.

Montenegro was close to winning gold until Norway slipped ahead in the women's handball final, ensuring the country's first ever Olympic medal was silver. It was silver too for Guatemala and Erick Barrando, 21, in the 20 kilometer race walk, 60 years after the country first debuted at the Games.

Botswana won its first medal after Nijel Amos, 18, who crossed the line in a national record seconds after Kenya's David Rudisha smashed the world record in the men's 800m. On the water, Pavlos Kontides, 22, scored Cyprus' first medal, again silver, in the men's laser sailing.

Double-amputee Oscar Pistorius made plenty of headlines, but his presence at the Games to compete against able-bodied athletes was a notable first for London.

Pistorius, 25, may have gone home without a medal in his 400m events, but he solidified his place as an inspiration to all, especially after accepting defeat with grace. "I can't describe the feelings I've had this past week. Thank you all for playing a part in one of the greatest weeks of my life!" he tweeted.

It was a great week too for women's boxing, which made its debut at the Games, bringing 36 female boxers from 23 nations across three weight divisions to the ring.

Ireland erupted when Katie Taylor, 26, look home the gold in the women's light (60 kg). "It's what I've always dreamed of. I've envisaged this moment so many times before but it's better than all my wildest dreams to be sitting here as Olympic champion as well as world and European champion," she said. At just 17, Claressa "T-Rex" Shields from the U.S. won gold in the women's middle (75kg). And Britain's Nicola Adams, 29, defeated China's Ren Cancan, 24, to take gold in the fly (51kg).

And it wasn't just boxing that turned the spotlight on female athletes. Qatar, Brunei Darussalam and Saudi Arabia allowed women to compete on their teams for the first time ever, making London the first Olympics represented by both women and men from all 205 participating nations.

Read more: London 2012: The women's Olympics?

None of the women won medals but their presence alone was hailed as historic. Crowds cheered as Sarah Attar, a veiled 19-year-old from Saudi Arabia, finished last in her 800m run. "It was such a huge honor to be asked to come... I just think it could be something amazing for women in Saudi Arabia," she said.

It wasn't a record-breaking performance, but 25-year-old Andy Murray's defeat of Roger Federer, 31, in the men's tennis final was a long-awaited first for the Scot who had developed a reputation of "always the bridesmaid, never the bride." Spectators on Murray Mount went wild as their hero took gold, just one month after losing the Wimbledon final to the Swiss favorite.

While pundits argued over whether U.S. swimmer Michael Phelps' record-breaking medal haul in the pool made him to be "the greatest Olympian ever," other athletes left the Games with less than flattering claims to fame.

Headlines screamed "Oh Feck" after Germany's Stephan Feck performed what some called the "worst dive ever." The 22-year-old scored a zero when his hands slipped from his legs during a forward somersault pike.

Other athletes left London too with perhaps unwanted attention. Sixteen-year-old American gymnast McKayla Maroney inadvertantly launched an internet meme when she appeared cross-armed and scowling while on the podium to receive a silver medal in the women's vault.

Online tributes to Usain Bolt's lightning pose spread like wildfire across the internet, but towards the end of the Games Mo Farah's "Mobot" was gaining traction after the Briton sealed gold in both the 5,000 and 10,000 meters.

Olympic stars: What I can't live without

The "wall of noise" or "wall of sound" made its debut at the London Olympics, a phrase used to describe the deafening cheers of the crowd during the 200 meter stretch of the rowing course at Dorney Lake.

They may not have set any records -- yet -- but other London Olympians deserve a mention, including Manteo Mitchell, the American 4x400m relay runner who inexplicably finished his team's heat despite running on a broken leg. "Never thought that the phrase 'break a leg' would reach reality for me lol," he tweeted later.

One of the most enduring images of the London Games could be the distraught face of South Korean fencer Shin A Lam as she sat weeping on the piste for more than an hour before officials confirmed that she had lost her match. The 25-year-old had appealed on the basis of a technical fault with the clock. Shin went on to lose the clash for bronze and later refused an offer of a "special medal." She later came back though to win silver with South Korea's epee team.

Japanese equestrian Hiroshi Hoketsu, 71, may have been the oldest competitor at the London Olympics, but he'd have to do it again before becoming the oldest Olympian ever. That title is held by Swedish shooter Oscar Swahn who contested the 1920 Games at the age of 72. Hoketsu has all but ruled out competing at the 2016 Olympic Games in Rio, not because he doesn't want to but because, at 15, his horse, Whisper, is too old.

One of the final events of London 2012 could be considered its most inspiring yet. Among the field for the men's marathon was 28-year-old "lost boy" Guor Marial who fled civil war in Sudan for a new life in the U.S. Before the race, Marial dedicated his run to refugees worldwide. Officials allowed him to compete as an independent athlete under the Olympic flag because as a new nation South Sudan does not have an Olympic committee. The event was won by Stephen Kiprotich of Uganda in 2:08:01. Marial placed 47th.

Top swim coach: Australia 'getting soft'

During the past two weeks, new national heroes emerged. Australia may have disappointed in the pool, but on water the country's sailors held their own. Malcolm Page won back-to-back gold medals in the 470 in London and Beijing, earning him the honor of carrying the Australian flag in the closing ceremony. Another sailor, Ben Ainslie was chosen to wave the Union Jack for Britain after becoming the most successful sailor in Olympic history.

London 2012 legacy: Trust the British to get it right

And finally, much has been made of the countries at the top of the leader board, but down the other end accomplishments must be noted and commended. Many countries leave the Olympic Games with just one bronze medal. Step forward Tajikistan (boxing), Hong Kong (cycling), Puerto Rico (hurdles), Morocco (1500m), Saudi Arabia (equestrian), Afghanistan (taekwondo) and Kuwait (shooting) and a first medal ever for Bahrain, a bronze for Maryam Yusuf Jamal in the 1500m.

Of course, many countries went home with nothing beyond the experience. Better luck next time in Rio.

Opinion: London Olympics have redefined how Britain sees itself

@highlight

Two weeks of Olympic sporting glory has resulted in some notable firsts

@highlight

Away from the headlines, many countries took home their first ever Olympic medals

@highlight

London 2012 was the first Games when women were allowed to represent all countries

@highlight

Double-amputee Oscar Pistorius led a long list of inspiring athletes to compete