(CNN) -- More than one and a half years have passed since a boyish-looking 22-year-old Army private was arrested, suspected to be behind the biggest intelligence leak in U.S. history.

Much has been written about him. Politicians, pundits, celebrities and protesters have had something to say.

But the single voice that could tell the real story has never been heard.

Bradley Manning, are you finally going to speak?

Will you say anything when a military arraignment begins on Friday at an Army base in Maryland, the first step in the government's case that intends to figure out how hundreds of thousands of its classified Afghan, Iraq and diplomatic documents came to be published on WikiLeaks.org?

Manning is facing 22 charges of violating military code, ranging from theft of records to aiding the enemy. The latter charge is likely, experts say, to land Manning in prison for life. But, if a general sees fit, the law allows that Manning could be eligible for the death penalty, a historic turn in a case that is already unprecedented.

So what has this young soldier from small-town Oklahoma got to say for himself?

Defense attorney David Coombs isn't saying whether his client will speak at the Article 32 hearing, held to determine whether there's enough evidence to merit a court-martial, which is expected to last a week.

Manning has been held at Kansas' Fort Leavenworth prison and will be transported for the hearing to Fort George Meade, where, incidentally, the National Security Agency has its offices. Security for media will be intense; there are only 10 spots for reporters in the tiny courtroom, so most will be relegated to a media room with a single closed-circuit television showing the hearing. The military has said it will cut that feed whenever material it deems classified is discussed in the courtroom.

An Army Reserve lieutenant colonel, Coombs has a reputation for cutthroat and creative military lawyering, his contemporaries tell CNN. He is also an active blogger. He's been posting about the Manning case, including his client's alleged mistreatment at Quantico, since taking the case in 2010. An attorney for the Bradley Manning Support Network says the group has paid about $150,000 in expenses toward Manning's defense, money raised mostly in small donated increments online.

Earlier this month, Coombs hinted on his blog at how he might defend Manning. He filed in court record, and then blogged, a kind of witness wish list. Coombs said it described military personnel who, if he could call them, would testify that Manning behaved like an unhinged, potentially dangerous soldier on base in Iraq. Manning's superiors repeatedly missed chances to either remove him from his intelligence job or revoke his security clearance, the document said.

Read the entire witness filing

A few days later, Coombs posted another filing protesting the military's apparent rejection of all but 10 of his requested witnesses. The military told CNN that it will not comment until Friday's hearing.

"If Coombs uses the defense -- the 'It's not my fault, they didn't stop me' -- that's not going to fly with a military jury. That's not even a defense," said Michael Waddington, a criminal defense attorney who has tried at least 150 Article 32 hearings and many court-martial trials.

"The problem is that (the defense) is not really addressing the charges themselves. You're not saying 'I didn't leak anything, you can't prove it,'" explained Waddington, who served two tours as an Army defense lawyer and has worked as a special assistant United States attorney and as an Army chief of military justice.

Psychological problems

Military juries typically don't respond well to defense strategies that try to evoke sympathy for a defendant based on his or her alleged psychological problems, he said.

"To them, psychological problems are, like, 'Who cares?' The military takes a lot of people who have psychological problems, (then) they turn away and act like they don't see it. It's common. It will not be a shock to a military panel -- the jury -- and they aren't going to be appalled by that."

Waddington said he's tried several cases in which his clients' mental instability was known by military co-workers and superiors, yet those in power did little or nothing before a crime occurred.

Waddington pointed to the case of Maj. Nidal Hasan to illustrate his point. Hasan was an Army psychiatrist who will face a court-martial in March. Hasan is accused of killing 13 people and wounding dozens in a shooting November 5, 2009, at Fort Hood, Texas.

A Senate report earlier this year found that various federal intelligence and law enforcement agencies missed an opportunity to prevent the rampage, even though they had information that Hasan supported Islamic extremism, had communicated with a terrorism suspect, and acted in a way that waved red flags about his mental stability.

The report mirrored a Pentagon review which said that Hasan continued to advance despite concerns from others around him.

In early November, victims' families filed suit asking $750 million from the military for failing to prevent the bloodbath.

In Manning's case, if the prevention argument won't work, Waddington says, neither will painting him as a whistle-blower. In the opinion of some observers, including Pentagon Papers leaker Daniel Ellsberg, the documents published by WikiLeaks deserved to be brought to light and Manning was "brave" -- in Ellsberg's words -- to leak the information. Others who support Manning's actions contend that, at worst, war crimes and an effort by the U.S. and its allies to cover up atrocities were revealed by the leaks. That was the general thrust of The Guardian's coverage on the intelligence, which The Guardian independently examined. Numerous reports, including those in The New York Times, which also independently analyzed the documents, said that the WikiLeaks disclosures revealed widespread corruption in both wars, a gross waste of money and mistreatment of detainees.

"If you're going to appeal to a military jury, whistle-blower doesn't work," Waddington said. "The thinking they have is that when you sign up for a certain job in military intelligence and you manage data that is secret, you have a duty to protect that information."

Overclassified, overcharged

Coombs may have better luck if the defense concentrates on four other arguments, the attorney suggests.

First, Coombs should try to demonstrate that the documents Manning allegedly downloaded were not marked individually as classified, and therefore he could not be held accountable for knowingly taking secret intelligence. He might also want to present the argument, bandied in numerous media reports, that the information Manning had access to has been overclassified. In other words, it's not necessary that a cable about Saudi royals having wild parties be classified in the same way as a cable about Tehran's nuclear activity.

The defense attorney should also drive home the idea that the government has gone overboard with its charges -- especially aiding the enemy -- without proving that any actual harm was caused by the leaks, Waddington said.

"This isn't a case of someone sneaking behind enemy lines and handing over passwords to the computer system or giving a key to the back entrance to the military base," said Waddington. "This is someone who downloaded some information he shouldn't have, which has not been proven to have harmed anyone or national security."

Third, the defense can try to show that Manning won't get a fair trial due to comments President Barack Obama made last year at a fundraiser. Obama said that Manning broke the law.

"I have to abide by certain classified information," Obama said on a video posted on YouTube. "If I was to release stuff, information that I'm not authorized to release, I'm breaking the law. ... We're a nation of laws. We don't individually make our own decisions about how the laws operate. ... He broke the law."

There isn't anyone who reports to the commander in chief who would want to go against that, said Waddington, so the case seems unfair from the start.

A controversial witness

If Waddington were defending Manning, he said, his first priority would be to attack the credibility of Adrian Lamo, a California hacker who says Manning reached out to him in an Internet chat and confessed to downloading intelligence and giving it to WikiLeaks.

Neither Manning nor his counsel has confirmed or denied that Manning was indeed the one writing the instant messages in the chat log. WikiLeaks and the news organizations that published stories based on the leaked material have never identified who gave it to them.

Lamo told CNN.com last year, and reiterated in interviews throughout the past year, that he turned Manning in to the FBI because he believed that what Manning wrote to him could be used to harm national security.

In an unrelated incident, Lamo was convicted in 2004 on one count of computer crimes after breaking into the New York Times, Microsoft and Lexis-Nexis computer systems and has reportedly breached Excite@Home's company network and broken into the internal networks of Yahoo! and MCI WorldCom.

Lamo has repeatedly told CNN.com over the past year that his hacking is in his past and he had altruistic intentions when it came to turning in Manning.

Lamo was on the list of witnesses Coombs wants to question at the Article 32 hearing. Reached via e-mail late Wednesday, Lamo responded to CNN.com's question about whether he would testify.

Lamo wrote that he was in a "pre-hearing meeting." He e-mailed, "I'll be in the area, but can't confirm that I'll testify."

"I would put that guy on trial and make him lay out the evidence he has against Manning," said Waddington. "He would be the weakest link, to me, in the government's case."

@highlight

Bradley Manning is believed to have leaked classified intelligence

@highlight

The 23-year-old soldier from Oklahoma faces 22 charges of violating military law

@highlight

The most serious charge is aiding the enemy, which would likely result in a life sentence