(CNN) -- Gleaming skyscrapers towering over upwardly mobile professionals and flashy cars cruising along brightly lit avenues; young urbanites zipping past manicured lawns to enter their luxury condos; state-of-the-art labs fostering tech savvy entrepreneurs' million-dollar ideas.

A glimpse of Africa's urban future or utopian fantasies?

The jury might still be out, but these are the snapshots of urban life being touted by international property developers who are announcing plans for new satellite cities and vast modern compounds across Africa.

They are usually planned to be built from scratch on the edges of the continent's existing metropolises, many of which are creaking under the weight of growing populations and rapid urbanization rates.

From the Konza technopolis outside Nairobi, to King City near the emerging port of Takoradi, Ghana, through the luxurious Eko Atlantic on Victoria Island in Lagos, these urban projects are designed to offer high-quality services and modern infrastructure. They're typically branded as smart and futuristic, combining leisure facilities, business opportunities and social amenities for their residents -- from schools and medical centers to shopping malls, theaters and restaurants.

Out of touch?

Yet not everyone is convinced. Critics warn that many of these new developments will only serve a tiny elite, exacerbating an already deep divide between the haves and have-nots.

"They are essentially designed for people with money," says Vanessa Watson, professor of city planning at the University of Cape Town. She describes many of the plans as unsustainable "urban fantasies" that ignore the reality of African cities, where most people are still poor and live informally.

"What many of these new cities are doing will result in the exclusion and the forced removal of those kind of informal areas, which quite often are on well-located land," says Watson. In some cases, entire settlements have been relocated and large plots of land have been cleared to make way for the proposed projects.

Watch this: A new town, with few residents

Critics also bemoan a lack of adequate research to gauge the impact of some new developments on the local environment and economies.

They point out the "ghost town" of Kilamba in Angola, a grandiose project often labeled as a white elephant. Built afresh outside the capital Luanda, Kilamba was designed to accommodate hundreds of thousands of people but remains largely empty due to its expensive housing and unfavorable location.

But for others, these new developments have the potential to reshape Africa's urban future. "Our objective is to provide the basic infrastructure, planning and necessary management framework in creating satellite cities that reverses the current trend of unplanned development and urban congestion in most of Africa's growing cities," says Tim Beighton, of Rendeavour, which is developing several new cities in Africa.

Here, CNN takes a look at some of these bold projects. Tell us what you think about them in the comments section below.

Konza - Kenya

Dubbed as "Africa's Silicon Savannah," Konza Techno City is the Kenyan government's flagship mega project designed to foster the growth of the country's technology industry.

The multi-billion dollar city, located on a 5,000-acre plot of land some 60 kilometers southeast of the capital Nairobi, aims to create nearly 100,000 jobs by 2030.

It will feature a central business district, a university campus, urban parks and housing to accommodate some 185,000 people.

Appolonia, King City - Ghana

Designed by Rendeavour, the urban development branch of Moscow-based Renaissance Group, Appolonia and King City will be located in Greater Accra and Western Ghana respectively.

The mixed-use satellite cites are expected to accommodate more than 160,000 residents on land developed for housing properties, retail and commercial centers, as well as schools, healthcare and other social amenities.

Rendeavour says that all baseline studies, master plans and detailed designs have been completed and approved, while basic infrastructure work in Appolonia is expected to begin in the third quarter of 2013.

Eko Atlantic - Nigeria

Eko Atlantic is a multi-billion dollar residential and business development that will be located on Victoria Island in Lagos, along its upmarket Bar Beach coastline.

Read this: Lagos of the future

The ambitious project is being built on 10 square kilometers of land reclaimed from the Atlantic Ocean.

Eko Atlantic is expected to provide upscale accommodation for 250,000 people and employment opportunities for a further 150,000.

Tatu City - Kenya

Also being developed by Rendeavour, Tatu City will span 1,035 hectares of land some 15 kilometers from Nairobi.

It is designed to create a new decentralized urban center to the north of the bustling Kenyan capital.

Construction work began last May and the whole project is projected to be completed in 10 phases by 2022. When finalized, the mixed-use satellite city is expected to be home to 77,000 residents.

La Cite du Fleuve - Democratic Republic of Congo

La Cite du Fleuve is a luxurious housing project planned for two islands on the Congo River in Kinshasa, the capital of the Democratic Republic of Congo and one of Africa's fastest growing cities.

Developer Hawkwood Properties plans to reclaim about 375 hectares of sandbanks and swamps to build thousands of riverside villas, offices and shopping centers over the next 10 years.

It says that more than 20 hectares of land have already been reclaimed.

Hope City - Ghana

Hope City is a $10 billion high-tech hub that will be built outside Accra, aiming to turn Ghana into a major ICT player.

The planned hub, which is hoped will house 25,000 residents and create jobs for 50,000 people, will be made up of six towers of different dimensions, including a 75-story, 270 meter-high building that is expected to be the highest in Africa.

Read this: Ghana's $10 billion tech city

Ghanaian company RLG Communications is financing 30% of the project, while the remainder will be funded by a wide array of investors and through a stock-buying scheme.

Its sustainable facilities will include an assembly plant for various tech products, business offices, an IT university and a hospital, as well as restaurants, theaters and sports centers.

Kigali - Rwanda

The capital and biggest city of Rwanda has launched an ambitious urban development plan to transform itself into the "center of urban excellence in Africa."

Watch this: Kigali's vision for 2020

The bold and radical 2020 Kigali Conceptual Master Plan includes all the hallmarks of a regional hub for business, trade and tourism.

It envisages Singapore-like commercial and shopping districts boasting glass-box skyscrapers and modern hotels, as well as green-themed parks and entertainment facilities.

Urban future or utopian fantasies? Tell us what you think about them in the comments section below.

@highlight

New satellite cities are increasingly planned across Africa

@highlight

International developers usually plan them for the periphery of existing metropolises

@highlight

But some critics have labeled them as unsustainable "urban fantasies"

@highlight

Here, CNN takes a look at some of the proposed developments