Apple is releasing its latest operating system for the iPhone, iPad and iPod Touch today.

The system, iOS 7, will come installed on the new iPhone 5S and 5C models that go on sale Friday. Owners of some older Apple devices also can download it to replace their current systems. But should they?

Before you jump in and upgrade, here's what you need to know about iOS 7.

What is iOS 7?

Apple's iOS is the software that controls all the basics of your gadget, including the look, feel, settings and hardware. iOS 7 is Apple's latest update to this system and its biggest change since iOS debuted six years ago.

Siri leaves beta, enters manhood

What time is the iOS 7 download available?

Developers have been testing early versions of the new operating system for months, but Apple made it available to the general public at 1 p.m. ET today.

To see whether it is available, go to Settings > General > Software Update on your device, or visit iTunes on your computer.

How is it different from what's already on my iPhone or iPad?

Six years is a long time to wear the same look. Apple's iOS has received a major design overhaul in this version and now has a more streamlined, flat, abstract look. The typography is all new, and nice touches like transparency and subtle animations abound.

There are also a handful of new features, though some are not available on all older devices. Here are a few of the biggies:

• A new time-saving control center slides up from the bottom of the screen for easy access to basic settings such as brightness and Airplane Mode. It has shortcuts for the flashlight, timer, calculator and camera.

• An updated notification center now shows a summary of what you have in store for the day and details on the weather and your commute.

• The camera adds a square-photo option and new filters, while the photos app drops the map view and sorts your images into events by date and location.

• It adds AirDrop, a feature for people who use iCloud that makes it easier to move photos and files between computers and mobile devices.

• The Siri voice-search tool adds an option for male voice, defaults to Bing for Web searches and pulls in results from Twitter and Wikipedia.

• Multitasking looks different. The same double-click of the home button now zooms you out to show a carousel of mini versions of all your open apps.

iOS 7 won't require a great deal of re-learning. The basic layout and functions are the same: The home screen is still a grid of icons, there's a dock with your favorite apps at the bottom, and the gestures you've become used to work the same. There will probably be some initial confusion as you struggle to re-identify all the new icons, but a proper upgrade should leave them all in the same spots they were in before.

New iPhones: The reviews are in

Can I update my iPhone/iPad/iPod Touch?

Although iOS is coming out the same time as a pair of brand new iPhone models, it can also be installed for free on some older devices.

At the press event announcing the new models, Apple CEO Tim Cook said there were 600 million devices running iOS. Just because you have a year-old iPhone 5 doesn't mean you can't freshen it up with the latest operating system. Look for your device below to see whether it is eligible.

• iPhone (original): No

• iPhone 3G: No

• iPhone 3GS: No

• iPhone 4: Yes. Does not include AirDrop, Siri or camera filters (you can add filters later in the photos app).

• iPhone 4S: Yes. No AirDrop.

• iPhone 5: Yes. Includes all new iOS 7 features.

• iPod Touch: Only the 5th-generation iPod Touch can upgrade but will include all new iOS 7 features.

• iPad (original): No

• iPad 2: Yes. No AirDrop, Siri, camera filters or square format, or Photos app filters.

• iPad 3rd generation: Yes. No AirDrop or camera filters.

• iPad 4th generation: Yes

• iPad Mini: Yes

Some of the cooler new features you may have heard about, like the Touch ID fingerprint sensor and the new camera tools -- slow-motion, burst mode and image-stabilization -- are available only on the new Phone 5S.

Should I update?

Just because your device is compatible doesn't mean it should be upgraded right away. Once you update your device to iOS 7, there is no going back to iOS 6 or whichever earlier iOS you were running. (Yes, there are unofficial ways to downgrade, but these are not recommended for regular iPhone and iPad users.)

If you are not in a rush, wait a few weeks or months until Apple releases the first updated version of iOS 7. The early releases of the operation system can include bugs that should be addressed with subsequent iOS 7 updates. Let other eager people spend the next few weeks finding and reporting these issues so you don't have to deal with them.

Older devices can experience frustrating performance issues when upgraded to a new OS. The iOS 7 software was designed specifically for the hardware that's faster than your trusty old iPhone 4. If your device is anything older than the most recent generation, it might suddenly slow down, and battery life can suffer.

This should not be as much of a problem for newer devices, such as the iPhone 5, 4th generation iPad and iPad Mini, or the latest iPod Touch. If you are worried about performance issues, skip the update.

Updating immediately is recommended only for tech-savvy early adopters who are comfortable with the risks.

Are there any downsides of not updating?

Immediately, not much. You won't have the new features to play with, but your phone will continue to work as it always did.

In the long run, there could be a few drawbacks. Apple has been pushing developers to update their apps to be iOS 7 compatible. The updates can be as minor as changing the look of an icon or as major as adding all new features. Many developers may stop updating and supporting older versions of their apps as they move their focus to iOS 7. That means eventually, you could be stuck with out-of-date (or even non-working) versions of your favorite apps.

I'm going for it! How do I upgrade?

1. Back up:  Before you make the leap, it is very important that you back up your iPhone or iPad. There is always a small chance your device could be wiped clean in the upgrade process, so make a full backup of everything. To back up, plug your device into your computer, open iTunes, and if it does not start backing up automatically, click the "Back Up Now" button.

If your photos are not set to back up automatically, use Image Capture or iPhone on a Mac and Windows Explorer on a Windows PC to make copies of all your pictures.

Another option is to skip the cord and back up to iCloud over Wi-Fi. On your device, go to Settings > iCloud > Storage & Backup. Tap the "Back Up Now" button.

2: Download the new iOS: You can get the update by plugging into a computer and opening iTunes (this is the faster option) or over a Wi-Fi connection directly to your phone.

If iTunes doesn't automatically ask whether you'd like to upgrade when you plug in, click "Check For Updates" in the Summary tab. It will do the rest automatically.

From your phone, go to Settings > Software Update and click the install button. Make sure your phone is fully charged and connected to a Wi-Fi network, not your cellular network.

@highlight

Apple's latest operating system for iPhones and iPad was released Wednesday

@highlight

iOS 7 is available for some older devices, but not all features will work

@highlight

A new OS can include bugs or slow down older devices

@highlight

Unless you are eager and tech-savvy, you probably should wait to update