(CNN) -- On September 11, 2001, the city of Melbourne, Australia evacuated its World Trade Center.

This is a modest building on the banks of the Yarra River, a short distance from the city's central business district, a little over 10,000 miles from New York. It used to have a casino. Before that, it briefly hosted an exhibition of waxworks from Madam Tussaud's. If you ran a line from Ground Zero in Lower Manhattan through the center of the Earth, you would exit the planet not so far from here.

Indeed, Australia is, simply, a long way from everywhere. A flight to Sydney takes 15 hours from Los Angeles, 21 hours from London, 14 hours from Johannesburg, and 10 hours from Tokyo. There is no stopping off in Australia on the way to somewhere else, unless you're headed to Antarctica. This isolation is at the heart of Australia's identity: It is the reason the country has an aboriginal population that existed undisturbed for 40,000 years, and some of the world's strangest and most inimitable flora and fauna.

It is why the country was chosen to be a penal colony by the British in 1788. It is a place you go to be removed from the world.

And yet on Monday, the world's eyes focused on Sydney, as a man with a gun took hostages in what he claimed was an attack on Australia by the Islamic State. A self-described cleric with a history of antagonism toward Australian military involvement in Afghanistan, reports suggest he was probably a dangerously deluded loner rather than a member of an organized terrorist group. But by the time the siege ended, two hostages were still dead.

This wasn't Australia's first brush with terrorism. As I said, on 9/11, terrorists were attacking World Trade Centers, so Melbourne evacuated hers. And this didn't seem silly at the time -- that day made all horrors plausible. No precaution was too extreme when only the day before it had been inconceivable that terrorists might take thousands of lives in New York and across the United States.

So for a while, Australia forgot it wasn't part of the world. "We are all Americans," Australians said on 9/11 -- September 12, actually, on antipodean time, since Australia is so far away, it is usually a different day altogether. And we meant it: We were deeply shocked to see acts of foreign terrorism, always previously associated with unfamiliar people in unfamiliar places, happening somewhere "Over There," become suddenly intimate and recognizable.

Over time, however, as the War on Terror became the War on Iraq, and the American flags waved on TV, it became clear that although 9/11 affected the Western world, at its most pointed and personal, it was an American story. Australia, as usual, was watching from afar. We sent troops to Afghanistan and to Iraq, maintaining solidarity with our American cousins, but ultimately, we saw that the U.S. was "Over There," too.

In 2002, 88 Australians were killed by a radical Islamist group bombing on the Indonesian island of Bali, a popular holiday destination. Bali is a mere 6 hours from Sydney, and only 2Â½ from Darwin, the closest Australian city. It was a traumatic event, but again, it wasn't quite here.

More recently, there were police terror sweeps in Australian cities, with arrests made and, apparently, plots foiled. The federal government warned us that groups had developed with the motivation and ability to carry out local attacks.

You live a charmed life in Australia. The streets are safe, the weather is terrific, the people are friendly. The ocean keeps everything out. Or, at least, slows it down.

We complain when a car costs $30,000 or a TV show won't hit our screens right away, but it's the distance that has allowed Australia to stay Australia in the face of relentless globalization. It's given us more than a decade in which to rethink our ideas on society and our way of life, and the trade-offs between freedom and security we're willing to make, without having to do so in the immediate aftermath of a national tragedy.

If this hostage taker in Sydney had claimed to be acting for some other cause -- disgruntlement at the tax code, or the high price of cars -- we wouldn't call it terrorism. We would call it what it is: a lunatic with a gun. But that would overlook the deeper trend, which is that Australia's oceans are shrinking. Today technology allows a man to be more connected to militant extremists across the globe -- in spirit, if nothing else -- than he was to his neighbors in Bexley North. He can find and latch onto toxic ideas from the other side of the globe and bring them into Sydney.

Whether we call it a siege or terrorism, it was something that used to happen Over There. And now it's here. It wasn't unexpected, and arrived more benignly than it could have, and today the country will get on with business as usual. But life is becoming a little less charmed. We are no longer so far away.

@highlight

Max Barry: Sydney hostage incident brings home terrorism threat

@highlight

But this wasn't Australia's first brush with terrorism, writer says

@highlight

Dozens of Australians were killed in Bali bombing in 2002, Barry adds