New York (CNN) -- Former International Monetary Fund chief Dominique Strauss-Kahn was granted bail Thursday after being indicted on charges related to the alleged assault of a maid in his New York hotel Saturday.

"It's a great relief to the family to be able to have him with them," defense attorney Bill Taylor said to reporters outside the courtroom. He said his client would spend Thursday night at the jail on Rikers Island before being released Friday. The next court appearance, an arraignment, is slated for June 6.

Supreme Court Judge Michael Obus granted the bail on the condition that Strauss-Kahn post $1 million in cash, that he also post a bond for $5 million, that he surrender his travel documents and that he submit to home detention.

The announcement came shortly after his indictment on seven criminal charges was announced. They are: two counts of criminal sexual act, two counts of sexual abuse, and one count each of attempt to commit rape, unlawful imprisonment and forcible touching.

In the charge of criminal sexual act in the first degree, Strauss-Kahn is accused of having "engaged in oral sexual conduct with an individual ... by forcible compulsion," the indictment says.

"Under American law, these are extremely serious charges," Manhattan District Attorney Cyrus Vance told reporters outside the courtroom. "The defendant was indicted on all the charges presented to the grand jury," he said.

Strauss-Kahn resigned from his IMF post on Wednesday.

As he entered the courtroom for the bail hearing, he looked at his wife, seated in the front row, and smiled.

Strauss-Kahn on Monday had been denied bail, with the criminal court judge saying his attempt to leave the country after the alleged incident made him a flight risk. His lawyer argued Thursday that Strauss-Kahn had been scheduled to leave New York and fly to Paris on Saturday using a ticket he had bought on May 11.

Taylor said Strauss-Kahn had called the Sofitel hotel from John F. Kennedy International Airport to locate his cell phone, which he had left in the hotel, then called a second time as his plane was boarding to request that its delivery be hastened. Instead, police at the airport took him into custody.

Taylor noted that his client resigned his position as IMF chief on Wednesday, and had surrendered his passport and a U.N.-issued travel document.

"In our view, no bail is required," the lawyer said. "He has one interest at this time and that is to clear his name."

Taylor added that Strauss-Kahn had agreed to live with his wife in an apartment in Manhattan after his release.

Prosecutor John McConnell argued the high-profile economist had no right to bail. "While there is presumption of innocence, the proof is substantial and it is growing every day," he said, adding that the forensic evidence is consistent with an attack and the alleged victim has identified Strauss-Kahn as her attacker.

McConnell noted that France does not extradite its own nationals, and said Strauss-Kahn's departure on Saturday from the hotel was in haste, suggesting "something went on in that hotel room."

For his part, Obus said he was solely concerned about ensuring Strauss-Kahn returns to face charges. "We don't want his money," he said. "We just want to make sure he comes back. He has resources to live comfortably in his own country."

As the hearing recessed, Strauss-Kahn blew his wife a kiss.

Meanwhile, Strauss-Kahn's alleged victim, a 32-year-old Guinean maid for the Sofitel hotel, testified before the grand jury on Wednesday, according to an attorney representing her.

"If you've had any experience with someone who has been traumatized by sexual assault, reliving it in your mind is hard enough," attorney Jeffrey Shapiro said on CNN's "American Morning" Thursday. "Having to recount it, even to a therapist, is difficult, much less having to talk about it on the record in front of a grand jury. I mean, it's extremely difficult, and nonetheless she's making it through this."

The case has set French political circles abuzz, as the international economist was widely considered the French Socialist Party's best hope to unseat President Nicolas Sarkozy in next year's elections.

In a statement released Thursday, Sarkozy called Strauss-Kahn's resignation "inevitable" and called for an "open and transparent selection process" for Strauss-Kahn's replacement.

In a brief letter to the IMF executive board late Wednesday, Strauss-Kahn proclaimed his innocence.

He said he was stepping down to "protect this institution which I have served with honor and devotion, and especially -- especially -- I want to devote all my strength, all my time and all my energy to proving my innocence."

"To all, I want to say that I deny with the greatest possible firmness all of the allegations that have been made against me," he said.

In his letter, Strauss-Kahn said he felt compelled to resign.

"I think at this time first of my wife -- whom I love more than anything -- of my children, of my family, of my friends," he wrote.

"I think also of my colleagues at the Fund; together we have accomplished such great things over the last three years and more."

While the search begins to replace him, the first deputy managing director, John Lipsky, will lead the fund, the IMF said in a statement.

"As acting managing director, John Lipsky will provide able and experienced leadership to the fund at this critical time for the global economy," Geithner said in a statement Thursday. "We want to see an open process that leads to a prompt succession for the fund's new managing director."

In statements, South Africa called for a candidate from a developing country to be named as Strauss-Kahn's successor, while Brazil called for establishing criteria and conducting a thorough search.

On Thursday, Lipsky urged policy makers to work together to strengthen the global economy.

"I deeply regret the circumstances that have made it necessary for me to substitute for the fund's managing director," Lipsky said in a speech at the annual meeting of the Bretton Woods Committee in Washington.

Prosecutors allege that a naked Strauss-Kahn, 62, chased the housekeeping employee through his suite and sexually assaulted her.

But defense attorney Benjamin Brafman disputed the allegation, saying "forensic evidence, we believe, will not be consistent with a forcible account, and we believe there is a very, very defensible case."

Strauss-Kahn allegedly committed the offenses at noon. He checked out of the hotel at 12:28 p.m. and went to a previously scheduled lunch about 12:45 p.m., according to a document supporting his motion to approve bail. The lunch was with one of his daughters, according to a source with knowledge of the case.

After lunch, he was driven to John F. Kennedy International Airport and boarded an Air France flight that was scheduled to depart at 4:45 p.m., the bail document says.

As he sat in first class awaiting takeoff and a planned meeting the next day with German Chancellor Angela Merkel in Berlin, followed by a meeting with European finance ministers on Monday in Brussels, his world of power and privilege came crashing down.

Police, alerted by hotel staff to the employee's accusations, ordered him off the plane and placed him in custody.

Strauss-Kahn was examined for scratches and DNA samples were taken, and investigators searched for other evidence in the suite, including possible bodily fluids from both individuals, a law enforcement official told CNN.

He consented to the testing after investigators prepared a search warrant, said the official, who spoke on condition of anonymity. The official was not authorized to release the information.

Strauss-Kahn became embroiled in sexual controversy soon after joining the IMF in September 2007. He acknowledged reports that he'd had an improper physical relationship with a female employee.

But the relationship was consensual, an independent inquiry found, and the IMF's executive board concluded in October 2008 that "there was no harassment, favoritism or any other abuse of authority by the managing director."

Nevertheless, the board found "that the incident was regrettable and reflected a serious error of judgment," the IMF said in a written statement.

On Thursday, the IMF sent reporters updated standards for staff conduct that were approved May 6. Under the organization's new policy on closer personal relationships in the workplace, a supervisor who has an intimate personal relationship with a subordinate must report that relationship to the ethics adviser, his or her supervisor or the human resources department "to seek resolution of potential conflict of interests and workplace fairness concerns," the new standards say.

CNN's Susan Candiotti and Adam Reiss contributed to this report.

@highlight

NEW: Strauss-Kahn will spend Thursday night at Rikers Island

@highlight

NEW: He is to be released Friday

@highlight

The bail conditions include $1 million cash and $5 million bond

@highlight

Strauss-Kahn says he felt compelled to resign as chief of the IMF