(CNN) -- The march music stops and the camera screens come to life as 70 small black cannons fire a shower of golden confetti high above the crowds. Tumbling through the air, the shiny plume swirls in a fleeting dance, covering the ground in a sprawling blanket of gold stars.

It was with this rain of 54,000 star-shaped gold confetti, part of his "Celebration" installation, that Algerian artist Slimane Rais chose to mark the opening of the 11th edition of the Dakar Biennale of Contemporary African Art (Dak'Art) on May 10.

The month-long event is Africa's major contemporary art stage. Its main exhibition, housed on an industrial wasteland on the southeastern edge of the bustling Senegalese capital, has brought together 61 well-established and emerging artists from all across the continent and the African diaspora.

Across three old warehouses, a diverse array of paintings, sculptures, videos, installations and mixed-media work leads audiences into an immersive journey of forms and ideas that seek to go beyond aesthetics.

"We are in an era where art should speak for something," says Ugochukwu-Smooth Nzewi, one of the Biennale's three curators. "There's a crisis in Nigeria for example with Boko Haram -- you expect artists to respond to that because artists act as seers of society," he adds. "[To] engage with the real issues of our time, like inequality or social conditions, without the work losing the sublime quality that makes art art -- it's very important."

True, shortcomings such as last-minute schedule changes and repairs, as well as missing work (the area supposed to host the etching prints of Julie Mehretu, the world-renowned Ethiopian artist and one of Dak'Art's biggest names, was left glaringly empty at the time of the opening) took some shine off this year's opening event, but also added a real sense of adventure. Yet, this is still a powerful showcase, with several highlights reaffirming the renewed energy of Africa's contemporary artists and their growing relevance in the global stage.

Compelling creations

One of them is "The End of Eating Everything," a captivating video installation by Wangechi Mutu. In a small darkened room, the Kenyan artist uses a Medusa-like creature that obsessively devours everything around her to paint a grim picture of today's mass consumerism. Likewise, Cameroonian Justine Gaga deploys giant anthropomorphic gas canisters in "Indignation" to denounce issues like fundamentalism, racism and corruption and to call for resistance.

In "Corps en Resonance," Tunisian Naziha Mestaoui invites visitors to interact with three crystal bowls filled with water to produce hypnotizing sounds and eerie light reflections. This is a crowd-pleaser, just like the intriguing work by Kenya-based Sam Hopkins, who playfully mixes real and imaginary NGO logos to question the role and motivations of charity groups. Similarly, Angolan Kiluanji Kia Henda imagines an African NGO that gives grants to Western countries in a series of manipulated images that challenge assumptions over international aid.

All the exhibited work has been brought together under the central theme of "Producing the Common," an ambitious attempt to showcase art that engages with the real issues of today. Or, as the biennial's three curators -- Nzewi, Elise Atangana and Abdelkader Damani -- put it, "to connect politics and aesthetics in a vigorous and sustained way."

A more tangible link, however, is that all participating artists are exhibiting in Dakar for the first time. "The real value of Dak'Art is that it serves as a platform of visibility for African artists, so it makes no sense if you keep on repeating the same set of people over the different iterations," says Nzewi. "In a way, with this edition we are set to reposition Dak'Art going forward."

New faces

One of these newcomers is Milumbe Haimbe, a Zambian artist exploring the representation of cultural minorities in popular media. Here, she uses comic book illustrations to challenge the stereotypical portrayal of women in contemporary graphic novels, as well as the absence of female black superheroes in the genre.

"My protagonist in this particular comic is female, black, young and gay," says Haimbe, introducing "Ananiya," an undercover agent operating in a not-too-distant future, where the whole world is controlled by a powerful corporation.

"The idea is to help different people to relate to different symbolisms," says Haimbe. "A lot of the heroes in popular media, whether they are comics, movies or novels, are heterosexual white males -- nothing wrong with that but I think we need to see another alternative," she adds. "You know, the world is made out of so many people."

Like other art festivals, Dak'art gives out awards to participating artists. Haimbe herself was one of the 10 winners, scooping the "Prix de la Fondation Blachere." The grand prize was shared by Algerian artist Driss Ouadahi, for his "Unter Uns" painting, and Nigerian Olu Amoda, for his "Sunflower" sculpture, a compelling creation made of repurposed nails and spoons in Lagos's junkyards.

"The sunflower comprises of several small flowers and when they come together they glow under the sun," says Amoda. "So I'm trying to look at the positive signs of the interdependence of Africans ... because the interpretation of Africa is such that it's conflict and famine."

Rich history

Dak'Art first appeared in the calendars of art aficionados in the early 1990s, initially as an event dedicated to literature and then as a biennial of visual arts that welcomed artists from all over the world. By 1996, however, at a time when few young African artists were able to break into the international market, Dak'Art had already found a new focus as a pan-African contemporary art biennial.

The transformation helped it distinguish itself from other large-scale recurring exhibitions but also connected it to a longer history of 20th century black consciousness, where Senegal played a leading role -- it's hard to start talking today about Dak'Art without the name of Leopold Sedar Senghor, Senegal's first president, popping up. A poet, writer and an avid art collector himself, Senghor famously staged the first World Festival of Black Arts in Dakar in 1966, bringing together artists, dancers, writers and musicians from all over Africa, Europe, North and South America and the Caribbean.

Today, as more and more African artists are finally making a name outside the continent, Dak'Art has become the main platform for Africa and its diaspora to engage with the international market, attracting the usual crowds of artists, curators, critics and art historians.

Similar to previous editions, this year's biennial doesn't start and end with its five main events. Even though the local public here seems to be largely unaware of them, there are some 200 parallel exhibitions running simultaneously across and outside Dakar, giving the opportunity to 500 artists to showcase their work in a wide array of spaces ranging from art galleries and hotel lobbies to bookstores and restaurants.

Back in the main exhibition, curator Abdelkader Damani walks past the massive installations dotting the outdoor space, stopping every now and then to hug and talk to artists crossing his path. He says part of Dak'Art's goals this year were to help launch the careers of unknown artists and also help deal with the absence of an active market for contemporary art in the continent.

"There's just one problem with the African art in the continent: there are no local markets for this kind of art," he says. "There are not that many institutions who help," he adds.

"Artists need to go to Europe or America to find someone who can buy the work and help and do the exhibitions," continues Damani. "I know that what we are doing here is going to open this way to make all the people in Africa understand that."

The Dakar Biennale runs until June 8.

@highlight

The 11th Dakar Biennale is currently underway

@highlight

Its main exhibition features 61 contemporary artists from Africa and the diaspora

@highlight

Audiences can also visit 200 parallel exhibitions spread throughout Dakar and beyond

@highlight

The Dakar Biennale will remain open until June 8