Sevastopol, Ukraine (CNN) -- Pro-Russian troops reportedly smash open the gates of a Ukrainian base. Russia's navy traps Ukrainian ships. Armed men refuse to allow military observers to enter Ukraine's Crimea region.

The crisis in Ukraine took on a decidedly military flavor Friday as tensions flared between Moscow and Kiev over control of Crimea, even as the world's diplomats said conflict could be avoided.

Crimea, a self-governing peninsula in southern Ukraine with an ethnic Russian majority and strong cultural ties to Russia, has become the epicenter of a battle for influence between Moscow, Kiev and the West since Ukrainian President Viktor Yanukovych was pushed out of office by protesters who were angered over his rebuff of a trade deal with the European Union in favor of one with Russia.

In the days since Yanukovych was ousted, thousands of Russian troops have surrounded military bases and key infrastructure sites, and they have taken control of border crossings.

At the same time, a political battle has been playing out between the two countries, with Russia's Parliament on Friday giving its defiant support to Crimean lawmakers who want to see their region split from Ukraine and join Russia.

Complete coverage on the Ukraine crisis

Political moves

The lawmakers' unanimous call for a vote on separation prompted howls of outrage Thursday in the United States and Europe and the threat of sanctions, including asset freezes, visa bans and travel bans.

The delegation from the Crimean Parliament, which said it would put the decision to a public vote on March 16, headed to Moscow on Friday and got a very different reaction.

Valentina Matvienko, speaker of Russia's upper house of Parliament, told the Crimean delegation it would "support and welcome" any decision made by the Crimean people to become a part of Russia.

Ukrainian interim Prime Minister Arseniy Yatsenyuk condemned talk of a split.

"I want to warn separatists and other traitors of the Ukrainian state who are trying to work against Ukraine, any of your decisions taken is unlawful, unconstitutional, and nobody in the civilized world is going to recognize the results of the so-called referendum of the so-called Crimean authorities," he said Friday.

Russia has denounced Yanukovych's ouster as an illegitimate coup, and Russian President Vladimir Putin has refused to recognize the new Ukrainian authorities.

Putin has insisted he has the right to use military force in Ukraine if necessary to protect ethnic Russians in Crimea.

But Ukrainian officials say no threat exists, and Putin is using it as a pretext to control the region.

Map: How Ukraine is divided

U.S. President Barack Obama set out a potential solution to the crisis when he spoke to Putin on Thursday, the White House said.

The proposal includes direct talks between Kiev and Moscow, the withdrawal of Russian forces, international support for elections on May 25, and the presence of international monitors to "ensure that the rights of all Ukrainians are protected, including ethnic Russians," Obama said.

Crimean threat?

What has mostly been a peaceful standoff in Crimea, with virtually no sign of Ukrainian military movement, appeared to take a turn on Friday when pro-Russian forces smashed open the gates of a Ukrainian base near Sevastopol that controls airspace in southern Ukraine, Vitaly Onishenko, a deputy commander at the base, told CNN.

Ukraine's military spokesman initially said the forces were Cossacks, akin to Russian paramilitary troops, but Onishenko later dismissed that claim and said the forces were Russian and wore military uniforms with no insignia.

Ukrainian troops refused to surrender and barricaded themselves inside a control room, Onishenko said.

Outside the base, self-styled Crimean defense forces, similar to local militias, attacked journalists, he said. At least one person, believed to be a journalist, was injured and taken to a hospital, he said.

The standoff at the base eventually ended with the Russian-speaking forces pulling back to the outside of the base, Onishenko said.

Ukrainian authorities also reported that the Russian Black Sea Fleet sank a second of its own, old ships at the entrance to Lake Donuzlav, an inlet on the western coast of Crimea that is home to a Ukrainian naval base. Viktor Shmihanovsky, vice commander of the base, told CNN that several Ukrainian naval ships are now trapped inside.

Unidentified armed troops also have blocked unarmed European military observers from entering the country for the second straight day.

Masked men carrying rifles and wearing camouflage uniforms stopped the 43 observers from the Organization for Security and Co-operation in Europe, a regional security organization, at a checkpoint separating the mainland from the Crimean peninsula, CNN's Matthew Chance said.

One man, speaking in Russian, said: "I've been ordered by the government of Crimea not to let anyone in."

Live: Ukraine crisis updates

And in signs that the pro-Russian Crimean authorities are clamping down on dissent within the peninsula, at least two Ukrainian channels, 1+1 and Channel 5, have been blocked from broadcasting. The head of 1+1 told CNN that Russian state TV outlet Channel One is now broadcasting on its frequency.

A Bulgarian freelance journalist and his colleague also were assaulted while filming in Simferopol, the regional capital. The journalist told CNN he was wrestled to the ground, and a gun was put to his head.

The incident was captured on surveillance footage and aired on a Ukrainian TV channel, Hromadske TV.

The standoff has also prompted neighboring countries and their allies to boost military defenses, with the United States beefing up its number of fighter jets in Lithuania and Poland.

The USS Truxton, a guided-missile destroyer, was also heading to the Black Sea to join in pre-planned military exercises with Romanian and Bulgarian forces.

Asset freezes, visa bans

Meanwhile, as the West seeks to put the diplomatic squeeze on Russia, European Union nations said they'll suspend some talks with Russia and have threatened travel bans, asset freezes and the cancellation of a planned EU-Russia summit.

French Foreign Minister Laurent Fabius told French public radio Friday that tougher measures are planned if Moscow doesn't act to de-escalate the situation.

"And if another attempt is made, then we would enter into something completely different -- that is to say serious consequences for the relations between Europe and Russia," he said.

Russian Foreign Minister Sergey Lavrov warned against sanctions, saying in a statement that they would "inevitably boomerang" on the United States.

But there's help on hand for the fledgling government in Kiev.

Ukraine's new government and the EU have agreed to revive a trade deal and an aid package that could bring $15 billion to Ukraine.

The International Monetary Fund is also ready to help, the head of the agency's European section said. NATO is willing to help Ukraine's military "modernize and strengthen," Secretary General Anders Fogh Rasmussen told CNN's Becky Anderson on Friday.

Such aid is desperately needed.

The Russian gas company, Gazprom, has not received any payment from Ukraine in February, according to the company's CEO, the Russian state news agency Itar-Tass, reported Friday.

CEO Alexey Miller said Gazprom cannot give Ukraine gas for free, Itar-Tass reported.

In Crimea: 'We will protect our land from Western extremists'

Paralympic protest

Ukraine's Paralympic team sent just one member to participate in the opening ceremony of the Paralympic Games in the Russian city of Sochi, said Dmitry Bulatov, Ukrainian minister of sports and youth.

The decision to boycott the ceremonies, with the exception of a single flag bearer, was made unanimously by the team, he said.

"This is how our team expresses protest against aggressors and occupants entering our land," Bulatov said.

Official delegations from the United States, Britain, the Netherlands, Canada and Poland earlier announced plans not to attend the Games. Athletes from those countries will still compete.

Muslim minority fears for safety

Russian speakers make up about 60% of Crimea's population of more than 2 million, but around a quarter are Ukrainian and 12% are Crimean Tatar, a predominately Muslim minority. Neither of the latter two groups would welcome a switch to Russian control.

A CNN crew met with Crimean Tatars in the town of Bakhchisaray amid fears for their safety that have reminded some of past oppression under the Soviet Union.

Many spent years in exile -- in Kazakhstan, Uzbekistan or other Soviet republics -- after the Soviet Union deported them for supposedly collaborating with Adolf Hitler.

"It is not legal," one elderly man said. "We are the original nation of Crimea. Our Khan state was here. Russia left us with no rights.

"We don't want to be with Russia, we want to be with Ukraine," he said.

Ukraine PM: Crimea 'was, is and will be an integral part of Ukraine'

CNN's Diana Magnay reported from Sevastopol, and Chelsea J. Carter reported and wrote from Atlanta. Laura Smith-Spark wrote from London. CNN's Tim Schwarz in Kiev, Alla Eshchenko in Moscow, Bharati Naik, Jason Hanna and Ursin Caderas also contributed to this report.

@highlight

NEW: Pro-Russian forces face off with Ukrainian troops at Crimea base

@highlight

NEW: Journalists are attacked by self-styled pro-Russian defense forces

@highlight

European observers turned back from entering Crimea by armed men for a second day

@highlight

Russian Parliament says it'll back Crimea separation vote despite sanctions threat