(CNN) -- Apple is known for building excitement over its latest gadgets, but the company's next closely watched event has nothing to do with a product. Instead, anticipation is growing over the scheduled return of Apple's charismatic CEO.

Steve Jobs looks gaunt at an event in October. He began a leave of absence three months later.

It's been almost six months since Steve Jobs -- who co-founded Apple and has thrilled the public by launching consumer tech favorites such as the iPhone and the iPod -- announced that he was taking a medical leave of absence until the end of June.

As that time quickly approaches, Apple fans, investors and observers have been gripped by questions.

Will he come back as promised? If so, in what capacity? And how crucial is he still to the company's success?

Jobs, who is a pancreatic cancer survivor, revealed at the beginning of this year that a hormone imbalance caused the considerable weight loss that had some speculating whether his cancer had returned.  See a timeline of Jobs' life and career »

"The remedy for this nutritional problem is relatively simple and straightforward, and I've already begun treatment," Jobs wrote in a letter addressed to the "Apple community" on January 5.

"But, just like I didn't lose this much weight and body mass in a week or a month, my doctors expect it will take me until late this spring to regain it."

There had been little news since. But that all changed Saturday when The Wall Street Journal reported Jobs, 54, had a liver transplant about two months ago in Tennessee. He has been recovering well, but may work part time for several weeks when he returns to work, the newspaper reported. Fortune: Inside Steve Jobs' liver transplant

The fact that the article appeared just hours after Apple began selling its new iPhone 3GS had some bloggers questioning the timing of the report, with some suggesting that the excitement over the rollout helped draw attention away from the revelations about Jobs' health.

Apple didn't comment on The Wall Street Journal report directly, answering media questions with the same statement.

"Steve continues to look forward to returning to Apple at the end of June, and there is nothing further to say," said Apple spokesman Steve Dowling.

Dowling declined to provide a specific date for Jobs' return or say whether Jobs would be making any public appearances or statements.

'Iconic figure'

"This feels like they're clearing the way for his return. But it wouldn't be out of character for Apple to let the deadline slip a bit," said Philip Elmer-DeWitt, who writes the Apple 2.0 blog for Fortune magazine and has been covering the company since 1982.

"The real issue of Steve coming back is: How much does the company need him?"

How much, indeed?

Investors have been painfully aware of how any development regarding Jobs' health -- real or rumor -- can affect Apple's stock price. But experts say Apple has been taking steps to ensure that its fortunes are not linked with Jobs taking an active role in the company. Watch how Jobs' health has affected Apple

"He's an iconic figure that everybody wants around, he's the world's greatest salesman and that's irreplaceable," said Gene Munster, a senior research analyst at Piper Jaffray who has been covering Apple since 2003.

"But as far as the product direction and the product quality, the road map for the next five years is already in place [at Apple]."

Munster described Jobs as a visionary and someone with the ability to figure out what the next big thing is. But he said Piper Jaffray's "Buy" recommendation on the company's stock wouldn't change even if Jobs doesn't come back, based on the strength of products such as the iPhone.

Still, few companies have been so closely associated with their CEOs. Munster likened the situation to Henry Ford and the car company he founded at the beginning of the 20th century. Elmer-DeWitt said it could be compared to Walt Disney and the entertainment giant he created.

Jobs is also much more than just a CEO. His knack for developing must-have gadgets, his signature black turtlenecks and dramatic delivery during product launches have made him a cultural icon beyond Silicon Valley. He was even hilariously impersonated on "Saturday Night Live."

Smaller role

Observers say Apple and Jobs himself have made efforts in recent years to "wean" the public off his presence, such as including other people onstage with him during events and de-emphasizing his role.

"Last year a lot of pundits were [saying that] if Steve Jobs left the company, the company would just immediately fall into ruin," said Daniel Eran Dilger, a contributing editor for AppleInsider.com.

"And what's interesting is after he went on leave, and he's been gone for six months now, the company has had a couple of major announcements and events and has gone on fine."

When he began his leave of absence, Jobs put Apple Chief Operating Officer Tim Cook in charge of the company's day-to-day operations. If Jobs decides to step down, Cook can take over and probably will, Elmer-DeWitt said.

"There are lots of smart people at Apple and most people have sort of accepted the idea that ... Jobs trained an executive team to operate the company without him," he added.

"And that his DNA, the thing that makes Apple different from all the other companies, has been baked into the leadership team and that the company will do fine."

What may be lacking years down the road if Jobs retires or leaves is his "X-factor" and his unique stamp on every little piece of design.

"Once you get a bunch of people in a room, none of whom is more powerful than the other, you start to get products that are literally designed by committee and that's what Apple products never were," Elmer-DeWitt said.

"They were always designed by very smart people that Steve chose. But ultimately there was one guy who had final say on them. It remains to be seen whether there's someone at Apple who can step up and take over that role."

@highlight

Apple's charismatic CEO, Steve Jobs, is set to return to work at the end of June

@highlight

Jobs, who is a pancreatic cancer survivor, began a leave of absence in January

@highlight

Report: Jobs had a liver transplant about two months ago

@highlight

Observers say Apple has made efforts to "wean" the public off Jobs' presence