(CNN) -- Whatever other resolutions we make leading up to the New Year -- to call Mom more often, lay off the late-night snacks -- getting ourselves organized is likely near the top of the list. And that often means clearing out the clutter that keeps us from functioning efficiently, whether we're at work or at home.

Many employees -- whether they go to actual offices or do their jobs from home -- find the last week of the calendar year is ideal for sorting through e-mails, clearing their desks, and reorganizing their work spaces. Sorting through stuff is rarely fun, but those who tackle it now will find themselves a step ahead when their now-vacationing colleagues and clients come staggering back after the holidays.

According to the National Association of Professional Organizers, which sponsors the annual "Get Organized Month" each January to help folks take control of their time, tasks and possessions, 83% of members polled say that "paper organization" ranks highest on their individual and corporate clients' to-do lists. For people taking time off between Christmas and New Year's, this week offers a chance to get things in order before 2013 arrives.

Devoting time to both physically and mentally clearing out the "old" and embracing the "new" is about more than just getting rid of stuff. Being organized is really about being in control, says Susan Fleischman, a Chicago-based professional organizer, home stager and founder of clutterfree.

"As joyous as the holidays can be, the period between Thanksgiving and New Year's is probably one of the most stressful of the year for people," she says. That's why spending the week after Christmas decluttering "really helps you recover and detox from the hustle and bustle of the holidays.

"It's very symbolic -- we're ramping up to the ultimate do-over. We all get to turn the calendar page and make a fresh start."

For those at work, says Fleischman, "the phone stops ringing, there are fewer meetings. Real work probably comes to a screeching halt. There are far fewer reasons to keep letting getting organized fall to the bottom of the to-do list." And these days, when employees often feel compelled to work harder and longer, being organized can be a real competitive advantage.

NAPO Industry Member Director Mary Dykstra says that on average, Americans waste time amounting to between six and 12 weeks a year searching for things in their offices and homes. "Just imagine if you could get out from under that clutter and spend that time helping your company build their business and ultimately, your career," says Fleischman, who was a public relations and marketing executive before launching her professional organizing business.

"Every minute counts when it comes to impressing the boss, your colleagues and clients. At work, we strive to project that we're knowledgeable, in control and experts. We're constantly accessing, sharing, reacting to information. Being able to put your hands on the information or generate some information means the better you'll be able to rise to the top and have clarity of thought and creativity and maximize productivity."

But what about moving from work to the home front? Cynthia Ewer, the Washington state-based editor of OrganizedHome.com and the author of "The Complete Idiot's Guide to Getting Organized Fast-Track," suggests we use this in-between-holidays week to step back and reflect on our habits and how well they're working for us at home.

It's important to remember, says Ewer, that "there are different personality types. "Organized" is what works for you. There are filers -- people who love folders. They want the serenity of knowing where things are. Pilers like to keep their eyes on their stuff. Deniers have bags of paperwork shoved into closets. Instead of using a "What-does-it-look-like?" yardstick, it's a "How-will-it-work?" question. Know yourself, and come up with solutions that reflect who you are, she says.

After all, she says, " 'It's here somewhere' is the most frustrating phrase in the English language."

Cutting clutter also can boost the bottom line. "How many times do you go to the store and buy the things you couldn't find?" asks Fleischman. But cleaning up and cleaning out also can generate money, says Ewer.

"It can be a real fun process to turn your clutter into cash."

Nab tax deductions by donating cleared-out items to nonprofit organizations. Declutterers can send usable books, DVDs, video games and music to third-party merchants in exchange for gift cards through the Amazon Trade-In Program. Even computer manufacturers like Apple offer gift cards to customers who send in an old iPhone, iPad or computer for reuse or recycling, if those devices still have monetary value.

"Leading an orderly life is about saving time, saving money, reducing stress," says Fleischman, who also blogs about organizing tips and clutter makeovers. "And that's energy you can spend on leisure pursuits, which is very important to emotional well-being."

Some tips for cutting through the workplace and home clutter this holiday week:

• Stockpile your supplies. Fleischman advises making sure you've got the right trash bins, shredders, file folders and markers at your fingertips before you start sorting and tossing. 
• Take it a zone at a time. Your office, home and car didn't become a mess overnight, so declutter in increments. Fleischman suggests starting with desktops, then floors, then moving on to file cabinets and bookcases.
• Go from horizontal to vertical piles. If you're purging papers, clear those piles from your desk and the floor by placing newly sorted files in a cabinet or an upright vertical file. This way, your eyes can quickly scan and identify what you need at a glance.
• Free up the fridge. "Get the ghosts of Christmas past out of there -- all those little cans of this and that, the beef sticks from the gift basket no one can bear to throw out," says Ewer. Besides, this clean-up also will save you some calories.
• Be realistic. If you really write out bills at the kitchen table and not in the home office, says Ewer, get yourself a wheeled cart you can roll where the work gets done. If your kids' toys actually live in the family room -- not in the bedroom toy box -- create a storage solution there.

"Look at your patterns of living and organize yourself accordingly."

@highlight

Do your New Year's resolutions include a push to clean up? Here are some tips to start

@highlight

Being organized is about being in control, says professional organizer Susan Fleischman

@highlight

Cleaning clutter can eliminate the need to buy what you simply can't find