NATO's military chief warned Wednesday that Russian troops could begin moving on Ukraine within 12 hours of being given an order, amid fears that Moscow could seek to invade its eastern region.

Gen. Philip Breedlove, NATO's supreme allied commander Europe, also told CNN's Christiane Amanpour that with 40,000 troops massed near the border, Russia has all the components necessary to move on Ukraine.

These forces are "supported by fixed-wing aircraft, rotary aircraft, all of the logistics required in order to successfully make an incursion if they needed," he said.

In terms of deterrence, Breedlove said NATO has a good air and sea plan and is working in the next several days on developing a land component to that reassurance.

Ukraine is not a NATO member, but many countries that are members -- such Poland and the Baltic states -- have voiced their increasing anxiety about Russia's recent actions.

NATO said on Tuesday that it would suspend "all practical civilian and military cooperation" with Russia in response to its annexation of Ukraine's southern Crimea region, which has triggered the worst East-West crisis since the Cold War.

It also said it had seen no sign that Moscow is withdrawing some of its troops from the eastern Ukrainian border, as Russia has claimed.

NATO chief Anders Fogh Rasmussen, speaking in Brussels at the end of a two-day meeting of foreign ministers from the 28-member NATO bloc, said he shared Breedlove's concerns. He accused Russia of trying to intimidate Ukraine as part of an attempt to "reestablish a Russian sphere of influence covering the former Soviet space."

Rasmussen again said Russia had a "massive military buildup along Ukraine's borders," with troops in a high state of readiness, and that NATO had not seen signs of any significant reduction in that buildup.

"This is really a matter of grave concern. If Russia were to intervene further in Ukraine, I wouldn't hesitate to call it a historic mistake," he said.

"That would lead to further ... international isolation of Russia. It would have far-reaching consequences for relations between Russia and what we as a whole might call the Western world. It would be a miscalculation with huge strategic implications."

Urging Moscow to pull back its troops from the border, Rasmussen stressed that NATO wants to find a political and diplomatic solution to the crisis in Ukraine.

In an earlier media interview Wednesday, Breedlove said that Russia could "roll across the country in three to five days if it wanted to," a NATO military official said.

Russia dismisses 'Cold War' sparring

As the diplomatic back-and-forth continued Wednesday, Russian Foreign Minister Sergey Lavrov spoke with U.S. Secretary of State John Kerry by phone.

The Russian Foreign Ministry said Lavrov stressed the need for joint efforts to launch "internal dialogue in Ukraine" to reach national unity and raised concern about the decisions reached by NATO, "which don't help the implementation of these tasks."

A senior State Department official said Kerry "conveyed the strong support he was hearing for the people of Ukraine and the legitimate government of Ukraine" from counterparts at the NATO meeting. He also reiterated the objective of de-escalating the crisis and called for Russian-Ukrainian government talks.

A statement posted by Russia's Foreign Ministry on Wednesday, quoting spokesman Aleksandr Lukashevich, dismissed NATO's words as rhetoric that harks back to the Cold War.

"The wording of the statement rather reminds us of verbal sparring of the Cold War times, while the decision itself brings us six years back, when Brussels 'froze' the work of the Russia-NATO Council," it said. "It is well known how this 'freeze' ended up. NATO initiated a return to cooperation with Russia, stating an 'all-weather nature' of cooperation within the framework of the Russia-NATO Council."

The NATO ministers said on Tuesday that political dialogue in the NATO-Russia Council could continue, "as necessary, at the ambassadorial level and above, to allow us to exchange views, first and foremost on this crisis."

They said they would review NATO's relations with Russia at their next meeting in June.

Marine deployment

Within the next few days, 175 U.S. Marines from Camp Lejeune in North Carolina will begin deploying to Romania as part of an effort to beef up a Marine Corps presence in Europe for dealing with contingencies. The deployment to Romania was long planned, Pentagon spokesman Colonel Steve Warren said.

The Marines will become additional forces assigned to a so-called Special Purpose Marine Air Ground Task Force headquartered in Moron, Spain. But additional forces in Romania will beef up the U.S. military presence in the region as tensions have risen over the Russian troop buildup along Ukraine's border.

Romania has agreed to allow up to 600 U.S. forces on its soil at any one time. There are an additional 300 Marines in Romania as part of a longstanding bilateral training program.

The Pentagon is also considering additional moves in Eastern Europe to beef up military deployment exercises. A Navy warship is expected to enter the Black Sea in the coming days for another round of port visits and exercises as part of the effort, Warren said.

Kerry: Don't use energy as a weapon

Earlier Wednesday, Kerry said energy supplies must not be used as a political weapon, speaking at an EU-U.S. energy summit held in Brussels alongside the NATO talks.

His remarks came after Russian energy giant Gazprom announced a hefty increase in the price of natural gas it supplies to Ukraine.

Kerry, who spoke while flanked by EU foreign policy chief Catherine Ashton, said the European Union and United States were taking "important steps" to make it harder for one state to hold another hostage to energy supplies.

"No nation should use energy to stymie a people's aspirations," said Kerry, co-chairman of the EU-U.S. Energy Council. "We cannot allow it to be used as a political weapon or an instrument of aggression."

Europe and the United States are working together to reduce Ukraine's reliance on Russian energy by developing alternative sources of natural gas, Kerry said.

"We're working in lockstep to help Ukraine bring natural gas in from Poland and Hungary and develop a route through Slovakia," he said, adding that the United States also hopes to export more natural gas in the future.

At the same time, Kerry said Ukraine has committed to work to reduce consumer subsidies to make its energy market more efficient.

The International Monetary Fund last week agreed to lend Ukraine up to $18 billion over the next two years in return for a package of reforms, including to its energy market.

In the United States, the House of Representatives gave final congressional approval Tuesday to legislation that would provide $1 billion in loan guarantees to Ukraine and would impose sanctions on Russia for its actions in Ukraine. President Barack Obama is expected to sign the bill.

"Developments in Ukraine have brought energy security concerns to the fore and prove the need to reinforce energy security in Europe," said a joint statement issued by the EU-U.S. Energy Council.

Kerry also spoke again Wednesday with his NATO counterparts, including Frank-Walter Steinmeier of Germany, Norway's Borge Brende, Poland's Radoslaw Sikorski and British Foreign Secretary William Hague.

Gas price hike

After the increase in gas prices reported by Russian state media Tuesday, Ukraine will pay $385.50 per 1,000 cubic meters of gas, up from the previous rate of $268.50.

The move, which is now in effect, ends a discount that was agreed to before Ukraine's pro-Moscow President Viktor Yanukovych was ousted after months of street protests.

Ukraine also owes $1.7 billion in unpaid natural gas bills, Gazprom chief executive Alexei Miller was quoted as saying by the state-run RIA Novosti news agency.

In a move that may add to Ukraine's financial woes, Russian President Vladimir Putin signed a bill Wednesday terminating Russian agreements with Ukraine over the lease of its Black Sea naval base in Crimea, RIA Novosti reported.

Russia paid the Ukrainian government $530 million annually for use of the Sevastopol base, and it wrote off nearly $100 million of Kiev's debt for the right to use Ukrainian waters, according to the news agency. This deal will now come to an end.

Also terminated was an agreement under which Russia gave Ukraine a $100 discount on natural gas, RIA Novosti said. This means that the price Ukraine pays is expected to rise to $485.50 per 1,000 cubic meters of gas once the Russian government issues an official resolution, it said.

Far-right leader's death investigated

Separately, Ukraine's Interior Ministry released a statement about the death last month of prominent far-right activist Oleksandr Muzychko, better known as Sashko Biliy.

The ministry has said that Muzychko, a leader of Right Sector, a far-right group prominent in the recent anti-government protests, had been killed in a shootout with police in the town of Rivne. Ukrainian lawmaker Oleksandr Doniy, whose constituency is in Rivne, gave a different version of events, saying the activist was dragged into a car and then shot.

On Wednesday, the ministry said special forces had "acted in accordance with the law and all their actions are concluded legitimate" during his arrest. It said Muzychko was killed when he fired at himself.

What do we know about Russia's troop buildup on Ukraine's border?

Is Crimea gone? Annexation no longer the focus of Ukraine crisis

Amanpour blog: Russia could invade Ukraine 12 hours after order, says NATO commander

@highlight

NATO military chief Breedlove: Russian forces could move into Ukraine very swiftly

@highlight

Russia is trying to reestablish Soviet sphere of influence, NATO secretary general says

@highlight

Energy supplies must not be used as a political weapon, says Secretary of State John Kerry

@highlight

"No nation should use energy to stymie a people's aspirations," Kerry says