(CNN) -- The World Health Organization vowed Saturday to make public a full review of its response to the deadly Ebola outbreak in West Africa once the crisis is under control.

But the United Nations health agency, which is among those leading the battle against a scourge that has claimed more than 4,500 lives in West Africa, declined to comment on a scathing internal document, cited in an Associated Press report, describing its response as botched and riddled with incompetence.

"Nearly everyone involved in the outbreak response failed to see some fairly plain writing on the wall," WHO said in the document, according to the Associated Press. "A perfect storm was brewing, ready to burst open in full force."

WHO called the leaked document a first draft that had not been fact-checked or reviewed by its staff as part of its continuing review of the response.

"We cannot divert our limited resources from the urgent response to do a detailed analysis of the past response," WHO said in a statement. "That review will come, but only after this outbreak is over."

A timeline of the outbreak showed that WHO missed opportunities to stop the spread of the disease after it was first diagnosed in West Africa, the Associated Press reported. The document also said WHO experts failed to recognize that traditional containment methods wouldn't work in the region.

The leaked document said that Dr. Bruce Aylward, normally in charge of polio eradication, alerted WHO Director-General Margaret Chan via email in June that national health organizations and charities believed the U.N. agency was "compromising rather than aiding" the Ebola response. "None of the news about WHO's performance is good," Aylward wrote, according to the Associated Press.

According to the WHO, there have been more than 9,200 confirmed, probable or suspected Ebola cases since the outbreak began months ago, with more than 4,500 deaths. Those figures -- documenting cases in Guinea, Liberia, Nigeria, Senegal, Sierra Leone, Spain and the United States -- likely underestimate the impact, since many cases were never diagnosed, especially in locales that are more remote, do not have a vibrant health care system or do have stigmas that may have led some not to seek treatment.

And, authorities warn, it could get exponentially worse if the world doesn't step up.

Opinion: Where's the empathy for Ebola's African victims?

Appeals for countries to do more in Ebola fight

This response goes well beyond the World Health Organization.

The United Nations last month appealed to countries to contribute $1 billion toward corralling the outbreak in West Africa. U.S. Secretary of State John Kerry said Friday that only one-third of that figure has been raised.

Without a concerted effort by the international community, Kerry said, "Ebola has the potential to become a scourge like HIV or polio that we will end up fighting -- all of us -- for decades."

The secretary made the remarks to a room of foreign ambassadors at the State Department in Washington. He called on them to use their influence to bring stronger commitments to the Ebola fight, which has plagued Sierra Leone, Guinea and Liberia, and has spread as far as the United States and Europe.

Despite the political differences between Cuba and the United States, the Caribbean island has also joined the fight against the deadly virus. In an editorial published on Saturday, former leader Fidel Castro said he would "gladly cooperate with American personnel on this task."

"We understand that in carrying out this task with the maximum preparation and efficiency, we will be protecting our people, and our brothers in the Caribbean and Latin America, and prevent its spread, which sadly has been introduced and could spread further in the United States, which has so many personal links and interchanges it maintains with the rest of the world," said Castro in Granma, the official newspaper of the central committee of the Cuban Communist Party.

Castro also emphasized this is "not in search of peace between the two countries that have been adversaries for so many years, but, in any case, for world peace, an objective that can and should be sought."

On Saturday, British Prime Minister David Cameron joined those appealing for aid in urging the European Union to invest 1 billion Euros ($1.3 billion) and send 2,000 aid workers to fight it.

Canada contributed not money, but potentially life-saving medicine, to the cause on Saturday. Its Public Health Agency announced it will ship 800 vials of an experimental Ebola vaccine to the WHO in Geneva beginning Monday.

"Our nation didn't waste a minute to respond to international organizations' call for help to fight against the brutal epidemic unfolding in West Africa."

"We understand that in carrying out this task with the maximum preparation and efficiency, we will be protecting our people, and our brothers in the Caribbean and Latin America, and prevent its spread, which sadly has been introduced and could spread further in the United States, which has so many personal links and interchanges it maintains with the rest of the world. We will gladly cooperate with American personnel on this task, and not in search of peace between the two countries that have been adversaries for so many years, but, in any case, for world peace, an objective that can and should be sought."

The results of clinical trials for the vaccine, which started at the Walter Reed Army Institute of Research in Maryland this month, are expected in December. The vaccine showed promising results in animal research, the agency said.

Germ-zapping robot sets its sights on Ebola

France starts screening passengers on Guinea flight

Other countries, meanwhile, are focusing on combating or preventing Ebola within its border.

This includes the United States -- which has seen a handful of cases, including one that ended in the death of Thomas Eric Duncan.

Fears of an outbreak there led President Barack Obama to appoint an "Ebola czar." Ron Klain is a former chief of staff to Vice President Joe Biden and former Vice President Al Gore.

France began screening air passengers, on the single daily flight arriving from Guinea, for symptoms of Ebola. Passengers were given forms to fill out and had their temperatures checked.

In Spain, a nurse's assistant who contracted Ebola after caring for a missionary with the virus is being treated at the Carlos III Hospital in Madrid. Teresa Romero Ramos helped treat one of two Spanish missionaries who were brought to the hospital after becoming infected in West Africa. Both missionaries eventually died at the hospital.

A special committee set up by the Spanish government to handle the outbreak said 87 people were being monitored for Ebola in Spain. Of those, 67 were at home under observation and have not displayed symptoms. At Carlos III Hospital, two patients with symptoms were being monitored along with 15 others who have not displayed any symptoms. In the Canary Islands, three other people were under observation.

Romero was the first person to contract Ebola outside Africa in the current outbreak.

Another Spanish missionary, who had returned from Liberia last week and was being monitored, has been released from the Carlos III Hospital, the special committee said Saturday. After the preliminary Ebola test came back negative earlier this week, the second test on the missionary also came back negative, a hospital source with direct knowledge said.

Complete coverage on Ebola

CNN's Laura Perez Maestro, Greg Botelho and Mariano Castillo contributed to this report.

@highlight

NEW: Cuba's Castro: "We will gladly cooperate with American personnel on this task"

@highlight

World Health Organization declines comment on scathing internal document on Ebola response

@highlight

Agency's response was botched and riddled with incompetence, document says

@highlight

Spain has 87 under observation, including two with symptoms at Madrid hospital