For the first time in what seems like ages, Congress has passed a government spending plan without resorting to last-minute brinkmanship such as midnight negotiations to prevent an imminent government shutdown.

The Senate voted 64-36 on Wednesday to send the compromise federal budget framework to President Barack Obama, who has signaled his support.

Last week, the budget plan easily passed the House on a 332-94 vote, with solid majorities of both parties supporting it.

While Wednesday's Senate vote was closer, nine Republicans joined the majority Democrats to provide the required majority of at least 51 votes to pass.

The plan guides government spending into 2015, defusing the chances of a shutdown like the one in October that generated public anger against Congress, particularly conservative Republicans blamed for the impasse.

Budget deal: Winners and losers

Republican Rep. Paul Ryan of Wisconsin and Democratic Sen. Patty Murray of Washington, the budget committee leaders in both chambers, negotiated the deal that eliminates some forced spending cuts known as sequestration that both sides disliked while reducing the deficit by more than $20 billion in coming years.

Mixed opinions

An ABC News/Washington Post poll released Tuesday showed that 50% of respondents supported the budget plan while 35% opposed it. According to the survey, a majority of Democrats and independents backed the proposal, while only 39% of Republicans liked it.

Some Senate Republicans have said the most important issue at the moment was to lower the budget deficit, even if only by a small percentage, and avoid another damaging scenario like the 16-day government shutdown in October.

GOP Sen. Ron Johnson of Wisconsin said he wanted "to make sure we avoid any additional government shutdowns."

"The federal government does enough harm to our economy," Johnson said. "We don't need to add additional harm by this crisis management."

Poll: Congress neck-and-neck with car salespeople, lobbyists for least honest

Conservative GOP Sen. Orrin Hatch of Utah said in a statement that "sometimes the answer has to be yes."

"Ultimately, his agreement upholds the principles conservatives stand for and, with Democrats controlling the White House and the Senate, it is the best we can hope for," he said of the plan.

Other Republicans who voted "yes" on Wednesday were Saxby Chambliss of Georgia, John McCain of Arizona, Susan Collins of Maine, John Hoeven of North Dakota, Johnny Isakson of Georgia, Lisa Murkowski of Alaska and Rob Portman of Ohio.

Democratic Sen. Jon Tester of Montana said his side dislikes some elements of the agreement, but that's life in divided government when the Senate and House are controlled by different parties.

"We need to get some certainty, and that's what this does," he said Tuesday night on CNN, adding: "Nothing's going to be perfect in this world. It's called compromise."

Budget compromise

Final congressional approval was a rare example of budget bipartisanship after two years of seemingly endless confrontation and acrimony reflecting the differing ideologies of the two sides.

Republicans, especially the conservative tea party wing that emerged in 2010, want to drastically shrink the government as the main tool for reducing federal deficits and debt. Democrats insist on protecting the social safety net for the most vulnerable Americans, such as Social Security, Medicare and Medicaid.

With midterm elections next year, the Washington dysfunction has spawned public disgust reflected by polls showing support for Congress around record low levels.

Obama called the deal "a good first step away from the shortsighted, crisis-driven decision-making that has only served to act as a drag on our economy."

The plan

The budget agreement, which was months in the making, eases spending caps while softening the impact of the sequestration cuts on defense and non-defense programs.

It sets overall spending figures through fiscal year 2014, which started on October 1, as well as fiscal year 2015, with the intent of putting off any further congressional budget stalemate until after the November election.

The strong vote in the sharply divided House last week brought a collective sigh of relief among supporters, who initially thought it would sail through the Senate, where bipartisanship has been more the norm.

However, some Senate Republicans -- including several in leadership positions -- came out against the bill.

"I'd really like to stay within the (spending) caps," complained GOP Sen. John Boozman of Arkansas. "This busts the caps, and as a result, I'll vote against it."

Republican Sen. Lindsey Graham of South Carolina and others complained that the plan reduces some military pension benefits. He called for Obama to hold the bill until a bipartisan fix can be found.

Other senators from both parties called for going back later to replace the $6 billion in cuts to future cost-of-living increases in military pensions with reductions elsewhere.

"These heroes lay their lives on the line for us and they deserve us to fix this provision," Isakson said before voting for the budget agreement.

Three leading tea party-backed senators with 2016 presidential aspirations -- Rand Paul of Kentucky, Ted Cruz of Texas, and Marco Rubio of Florida -- also have come out against the budget compromise for similar reasons.

Democrats wary, too

While Democrats support the bill, many had concerns.

More liberal senators -- like Tom Harkin of Iowa -- complained that an unemployment benefit extension was not included in the deal.

"There's over a million people now who cannot find a job, out of work, and right at this time of year their unemployment insurance is being cut off," he told Radio Iowa last week. "It's really unconscionable."

Don't expect Boehner to totally change his tune

@highlight

Nine Senate Republicans join Democrats in backing the budget plan

@highlight

Legislators call for restoring plan's cuts to future military pension benefits

@highlight

President Barack Obama is expected to sign the compromise

@highlight

The House overwhelmingly passed the spending plan last week