Buenos Aires, Argentina (CNN) -- At QB9's bricked-walled workspace in Buenos Aires, about 50 employees stay busy day and night creating video games.

The company is one of 65 Argentine firms who have been making a name for themselves in recent years in the highly-popular, billion-dollar video game universe.

QB9 has found particular success with an online kids' game called "Mundo Gaturro" which has nearly one million registered users.

"The Argentine video game industry employs some 3,000 people, and we will generate $55 million in revenue this year. And we are growing fast," says Alfredo Cattan, president of both QB9 and the Argentina Game Developers Association.

Until recently, video game developers have been concentrated in the United States, Europe and Asia, but over the past decade Latin American developers have blossomed, attracting millions in venture capital funding while developing games for blue-chip brands like Facebook and MTV.

In October, Chilean game developer Atakama Labs was acquired by Japanese online services company DeNA. Last year, Argentina's Three Melons was bought by social games behemoth Playdom, now part of the Walt Disney Company.

Initially, these big firms were attracted to Latin American game developers because of their low-cost creativity, but that is no longer the only reason.

"It has been proven that [the Latin American video game] industry is really up to the standards, and we can compete with good quality works coming from the most important markets abroad. It's not about costs as much as it used to be," says HernÃ¡n Rozenwasser, CEO of QB9. "Another thing that sets us apart is our artistic traditions: Argentina has always produced high-quality movies, television and music, and that shows up in our work too."

For years, just getting access to expensive computers and consoles in Latin America was a challenge.

Globalization brought cheaper hardware and software, and programming classes at local universities allowed ambitious developers to break into the industry.

Still, many say that gamers in Latin America have had to work much harder than their counterparts elsewhere in the world, and that is what sets them apart.

"Growing up, many Latin Americans had to constantly adapt to economic and political uncertainty and a business bureaucracy that people in Silicon Valley couldn't even dream of confronting. This has forced entrepreneurs here to think outside-the-box from an early age, and develop a fiercely independent streak, which is crucial for tech innovation," says Vinod Sreeharsha, a Sao Paulo-based U.S. journalist who has written extensively about the Latin American tech industry.

Those within Latin America's video game industry have recognized their own talent and potential, and are getting proactive about raising brand awareness. Industry leaders are continually organizing conferences around the region, as well as attending important trade shows around the globe.

This month alone, video game gatherings took place in Salvador, Brazil, Montevideo, Uruguay and Buenos Aires, attracting thousands of developers and fans, as well as some of the industry's most recognized names.

James Portnow, CEO of Seattle-based Rainmaker Games, who was a keynote speaker at the Argentina Video Games Exposition in Buenos Aires on November 11, said: "Five years ago, when I first started looking at Latin America, there was no gaming industry here; you had some people really hoping, really passionate about games, but no actual businesses. Today, I see a burgeoning market.

"Latin America still has a relatively small gaming community. There is so much potential, so I would encourage developers here to concentrate on building up their internal market."

With the explosion of mobile gaming devices and social media applications, more and more proprietary work is being done by Latin American game developers, and they expect that trend to continue.

"Instead of just doing games as work-for-hire, you are now seeing Argentine products that are released for the world. For example, our game, "Regnum Online," is a massively multi-player game played by thousands of people from all around the world. It has been translated into five languages," says Andres Chilkowski of Buenos Aires-based NGD Studios.

And in any language, Latin American video game developers are saying the time has come for them to be considered amongst the world's best virtual creators.

@highlight

South American video game companies say they are ready to compete with rest of world

@highlight

Region a source of low-cost creativity but now industry chiefs are ready to compete on quality

@highlight

Argentina has 65 firms, about 3,000 employees and generates $55 million