Tatyana McFadden is a force to be reckoned with. Twenty-four years ago, she was born in St. Petersburg, Russia, with an open spinal column, a condition known as spina bifida.

Normally, babies with spina bifida are operated on immediately after birth to minimize permanent nerve damage. Tatyana had to wait 21 days. Her legs never worked and being an unwanted, disabled child, she spent the first six years of her life in an orphanage that was so poor it couldn't afford a wheelchair for her. That didn't slow her down -- she walked on her hands.

In 1994, a chance visit to the orphanage by a U.S. government official brought Tatyana and Deborah McFadden together. The girl immediately sensed this would be her mother. Once she arrived in the United States, Tatyana received much needed medical care and began to flourish.

She went from being the youngest member of the U.S. Summer Paralympic Team to 15-time World Championship medalist (including 11 gold medals), a 10-time Olympic medalist in wheelchair racing, and a gold medal winner in London two years ago. Late last year, McFadden, whose nickname is "Beast," decided to try paralympic cross-country skiing because she wanted to come back to the country she was born in, compete in Sochi and show all of those left behind at the orphanage never to give up and that disabled people "can also lead a normal life."

Q: Why did you decide take up cross-country skiing?

A: I'm really looking forward to going back to Russia and to compete for my country, the United States. It's good to go back and show that athletes with disabilities can still live a normal life and that you just have to give those people opportunity.  And especially being adopted, and happen to be adopted by an American family ... they're the ones who gave me that love and support to inspire my dreams.

So I think it's about showing that and just having fun. I'm really excited to compete. I'll be doing the sprint, the 5K and the 10K plus the biathlon. It's going to be extremely tough, cold, of course. But I'm really excited for the transition. The coaches have been very supportive and really understanding and have a lot of patience for me, because I've been spending a lot of time looking at the snow instead of actually skiing, but the transition has been so much fun.

My goal is to make the finals and see where that goes, and then after that I'm back to training for Rio (the 2016 Summer Paralympics) ... So, lots of training all the time, but I love it. Sports is definitely my passion.

Q: What's the thing you want people to take away most from hearing your story?

A: That there are no limits to what you can achieve if you put your mind to it! Perseverance, dedication, courage are all critical ingredients for success in athletics and success in life.

Q: What's one thing you'd want to share above all else?

A: Don't put limits on your dreams. If you want it bad enough, you must try, and if you miss the first time, you must try again. Don't let others tell you that your dreams are too big -- or you ambitions impractical. We all must learn to listen to that drive that is within us. If we all listen carefully to that drive within, there are no limits to what we can achieve in life.

Q: What was your biggest lesson?

A: When I was competing in the Paralympics in Beijing (2008), everyone expected that I would get the gold medal in the 100-meter sprint -- the first of my races. I came in sixth -- and I was devastated. I was in tears and thought I had failed in the eyes of all those who supported me, including my family.  My mom gave me her "signature pep talk" and sent me back to the track to continue competing ... and I came away with three silver medals and a bronze medal. What I learned was that your family, your friends, your supporters will always love you as long as you do your best and keep on trying.

Q: What made you proudest? Or what's been your hardest thing?

A: What was both the hardest ... and the proudest thing that I have done was making the decision to file suit against in Howard County, Maryland, for the right to race alongside able-bodied runners on my high school track team. We achieved victory in Howard County -- creating a new law that has been embraced nationwide -- forever changing the face of high school athletics.

Q: What's something you'd change if you could?

A: Most people think that I would "take away my disability" if I could. But that isn't true. I have lived a wonderful life -- and I do not, in any way at any time, consider myself disabled. We are all born with many gifts ... and the list of gifts that I have been given is endless.

If I could change anything, I would make this a world where all children have loving parents (birth parents or adoptive parents) and are able to grow up surrounded by the love and care that can only come from a family.

Q: What's the thing you rarely have time to share when you're telling your story but that you feel is important?

A: I rarely have a chance to talk about how grateful I am to my family and friends for their unending support -- and to my coaches, particularly Adam Bleakney at the University of Illinois, who thought it would be good idea to "try a marathon." I am fueled by the support of those closest to me -- and I can never thank them enough for all they have done to make my life's journey possible.

@highlight

Tatyana McFadden spent her first six years in a Russian orphanage

@highlight

She was born with spina bifida, and her legs have never worked

@highlight

She is a 10-time Olympic medalist in wheelchair racing