(CNN) -- Europeans are revolting -- against their leaders and established political parties, against an austerity plan 'made in Germany', and against a future that promises declining living standards and shriveling public services.

Within the past few days, Greeks have fled to opposite ends of the spectrum, with significant numbers voting for far-left and far-right parties that were but specks on the political landscape two years ago.

The French turfed out the president who wanted to make them more competitive and less indebted -- and voted for a candidate pledged to reversing the recent rise in the retirement age. Two million voters deliberately spoiled their ballot papers after the leader of the far-right National Front said that's what she would do.

In local elections in Britain both parties in the ruling coalition were rebuffed.

The left and protest groups did well in Italy's local elections Monday, with former Prime Minister Silvio Berlusconi's party taking a beating. Comedian Beppe Grillo, who wants Italy to default on its debt, took 21% of the vote in the city of Parma.

And in Germany Sunday, Chancellor Angela Merkel was snubbed in a state election -- voters apparently weary of Germany's hard-earned "fiscal rectitude" being tarnished by those spendthrift Mediterranean types.

Even if Europe is financially out of intensive care -- after a series of summits that basically endorsed Germany's blueprint for the future and sought to stabilize the banking system -- the economic and employment outlook remains grim.

In response to popular discontent, the rhetoric is changing: less stress on austerity, more on engineering growth.

Hence Merkel's olive branch to France's new Socialist President, Francois Hollande: "We are talking about two sides of the same coin -- progress is only achievable via solid finances plus growth."

But one Merkel ally -- Volker Kauder of the Christian Democrats -- was less tactful. "There will not be new public programs to boost activity, such as the (opposition) German Social Democrats and Francois Hollande are calling for," he told a German newspaper.

Hollande has vowed not to endorse the European Union's treaty on fiscal discipline without new growth initiatives.

If he means it, the markets won't like it. Chances are, according to Ian Bremmer of Eurasia Group, that it was fodder for the campaign trail. "His EU growth agenda means little in actual policy substance," Bremmer wrote Monday. "A shift in policy rhetoric, which German Chancellor Angela Merkel has already been tacking toward, should prove sufficient to keep relations on track."

So, discard a crisis in Franco-German relations, and look for a vague compromise instead -- plus a guerrilla war on whether the European Central Bank should be in the stimulus business.

Whatever government is formed in Greece, and it will likely be a makeshift coalition, it won't push Europe into diluting the medicine. The options for whoever takes office in Athens are stark: stay the internationally-prescribed course and receive further support; or go cold turkey and exit the eurozone.

The Greek electorate, after seeing their incomes fall (on average) by nearly one-third in three years, are in a foul and volatile mood. And next month, whoever is in power in Athens has to find another $15 billion in spending cuts to keep international creditors happy. This might politely be described as uncharted waters.

The old parties of center-left and center-right are short of a parliamentary majority even if they agree to combine, while Golden Dawn, replete with its neo-Nazi symbolism and threatening a war on immigrants, suddenly has 21 deputies. The headline in the Greek newspaper Ta Nea Monday, with no hint of hyperbole: "The Nightmare of Un-governability."

Essentially, the European politicians so reviled by the voters have little room to maneuver.

Neither Germany nor the financial markets will entertain increased borrowing or backsliding on targets to cut deficits.

German proposals for labor reforms to make Europe more competitive are a long-term enterprise. So is chipping away at public debt that has swollen over the past decade and more.

In Greece and across much of Europe, younger voters are suffering the highest rates of unemployment and are flocking to the political margins.

In the 17 countries of the eurozone more than one-tenth of the labor force is idle, according to the latest statistics from Eurostat. Fifty one percent of Spaniards under 25 are out of work while Italian unemployment hit a 12-year high in March.

Spain's new Conservative government has intensified spending cuts and is putting pressure on the spendthrift regional governments to get their budgets balanced.

In January, the central government had to step in to ensure the city of Valencia could repay a $160 million debt to Deutsche Bank, while Spanish banks have suffered a sharp rise in bad loans, and property prices continue to crumble.

Italy's situation is similarly parlous. Its technocratic government is trying to identify spending cuts to avert a rise in the top rate of sales tax (known as VAT) to 23%. The government expects the economy to contract 1.2% this year -- hardly the sort of performance that will get people back to work.

Writing in the Financial Times last October, former British Prime Minister John Major described a European scenario that seemed like the economic equivalent of Edward Munch's "The Scream."

The southern states "must devalue their living standards and promote reforms to enhance efficiency. This will take years. Meanwhile, wages must fall, unemployment will rise and social unrest will increase. The severity of this medicine may not be bearable in a liberal democracy."

And when Major was prime minister, he was never one to exaggerate.

@highlight

Political leaders who supported austerity, cuts suffer election defeats across Europe

@highlight

Anti-austerity votes seen in France, Greece, UK, Italy and even Germany

@highlight

Far-right, far-left and protest groups do well

@highlight

But whoever is in power austerity seems to remain the key economic policy