Kendrick Johnson's family waited months for hundreds of hours of surveillance video, hoping it would answer their questions. It raised only others.

Rather than showing how their 17-year-old son's body ended up in a school gym mat in January, the four cameras inside the Valdosta, Georgia, gymnasium showed only a few collective seconds of Johnson, jogging. The camera fixed on the gym mats was blurry.

Compounding the family's suspicions was the nature of the gym videos. They're jumpy, with students intermittently appearing and vanishing, and they bear no obvious timestamps.

The Johnsons' attorneys were not shy in stating their suspicion that someone could have tampered with the videos.

"They know their child did not climb into a wrestling mat, get stuck and die. Where is that video?" Benjamin Crump asked.

Attorney Chevene King questioned why time codes weren't shown in the videos.

"We don't have any time code with which to synchronize the events that are shown in the video. ... Either the cameras did this on their own or a human being interacted to make these cameras do these things," King said.

Crump further said the family believes someone "corrupted" the video.

Lowndes County Schools insists the video is "a raw feed with no edits," and the Lowndes County Sheriff's Office, which asserts Johnson accidentally died while reaching for a shoe in one of the mats, says it didn't edit any files, according to their lawyers.

CNN, which filed suit to secure access to the video, hired forensic video analyst Grant Fredericks to analyze more than 290 hours of material from all 35 cameras inside and outside of the gym. Fredericks is a U.S. Justice Department consultant and contract instructor for the FBI National Academy in Quantico, Virginia.

CNN also provided Fredericks and his company, the Spokane, Washington-based Forensic Video Solutions, with hundreds more hours of video from 31 cameras in other parts of Lowndes County High School.

Fredericks quickly knocked down the Johnsons' concerns -- they're all easily explained, he said -- but his examination raised what could be another mystery: at least an hour of missing video from all four cameras inside the gym.

"Those files are not original files," Fredericks said. "They're not something investigators should rely on for the truth of the video."

Addressing the Johnsons' suspicions, Fredericks said the erratic motion in the video can be attributed to motion sensors triggering the cameras' recording function, and the blurriness on the camera homing in on the gym mats is the product of an out-of-focus lens. As for the time stamp, it's there; investigators just need to know where to look, he said.

Coroner slams handling of Kendrick Johnson case

Fredericks was able to find a little more than 18 minutes of video showing Johnson throughout the school on January 10. He's first seen at 7:31 a.m. entering school and last seen at 1:09 p.m., walking into the gym where he was found dead the next day.

What Fredericks wasn't able to find was video showing whether there was anyone in the gym when Johnson was there -- images that could prove vital in determining how the teen died.

"(The surveillance video has) been altered in a number of ways, primarily in image quality and likely in dropped information, information loss," he said. "There are also a number of files that are corrupted because they've not been processed correctly and they're not playable. I can't say why they were done that way, but they were not done correctly, and they were not done thoroughly. So we're missing information."

Two cameras in the gym are missing an hour and five minutes, their hiatus ending at 1:09, when Johnson enters the gym. Another pair of cameras are missing two hours and 10 minutes each. They don't begin recording again until 1:15 and 1:16, according to their time stamps.

What's certain, based on video from a camera outside the gym, is that numerous students walked into the gym during the hour and five minutes that the cameras weren't recording, but it's not clear whether that was sufficient to activate the cameras' motion sensors.

The time stamp on a camera outside the gym also appears to be 10 minutes behind the cameras inside the gym.

"I can't tell you whether there was no information recorded in the digital video system or whether somebody made an error and didn't capture it or whether somebody just didn't provide it," Fredericks said.

CNN has requested access to the original surveillance servers. But Fredericks cautions that the video could be gone, as newer surveillance would replace it if it wasn't recovered promptly from the school's digital video recorder.

The police have said they didn't receive a copy of the videos until several days after Johnson's body was found, according to an unredacted report obtained by CNN after a legal process.

Fredericks told CNN he found it "highly suspicious" that an hour of video could be missing, especially considering how the material was acquired by police.

"The investigator's responsibility is to acquire the entire digital video recording system and have their staff define what they want to obtain," he said.

According to an incident report from the Sheriff's Office, however, a detective watched a portion of the video then asked an information technology officer employed by the school board to produce a "copy of the surveillance video for the entire wing of the school with the old gym for the last 48 hours."

Five days later, the sheriff's report says, the IT officer delivered a hard drive to the detective, who verified it contained what he requested.

"Right now, what they've done, is they've left it up to the school district as to what it is they want to provide to the police, and I think that probably is a mistake," Fredericks said.

"You don't want somebody who might be party to the responsibility to make the decision as to what they provide the police."

He added, "Until I have the digital video system in my hand and I can say, or an investigator can say, 'Everything is intact, and this is what was recorded,' I would still be highly suspicious of this."

The Johnson family will now have to wait to see whether the school's surveillance servers shed more light on their son's death, but the teen's parents say they won't be deterred.

"We are Kendrick Johnson," his mother, Jacquelyn Johnson, said. "That's my child, and we're going to fight until it's all over, until we get the truth. That's all we've ever asked for -- was the truth about what happened to Kendrick Johnson."

The start of the story: A family demands answers

@highlight

Surveillance from high school where Kendrick Johnson died raises questions

@highlight

However, it answers three of the Johnson family's suspicions about the case

@highlight

Forensic expert finds more than an hour of video missing from four cameras

@highlight

Police should have seized videos rather than request them from school, expert says