Former Guatemalan dictator Efrain Rios Montt was found guilty of the genocide of more than 1,700 indigenous Ixil Mayans during his 1982-83 rule.

A three-judge panel issued the verdict Friday, one day after the conclusion of the trial. The court sentenced Rios Montt, 86, to 80 years in prison.

The trial marked the first time a head of state has been tried for genocide by his country's own judicial system.

Yassmin Barrios, the tribunal's president, read a lengthy review of how the judges reached their verdict before announcing it. The dozens of Ixil witnesses proved that the military killed, tortured and raped the indigenous population. As de facto president, Rios Montt knew atrocities were being committed and did nothing to stop it, Barrios said.

Rios Montt's co-defendant and intelligence chief, Mauricio Rodriguez Sanchez, was absolved.

Guatemala confronts a dark chapter

The court ordered the former leader go straight to prison, revoking his house arrest.

A conclusion of the trial seemed in doubt in the past weeks, as the defense filed multiple challenges in several courts. At one point, one judge annulled the testimony in the trial before it got back on track.

"It's historic for this country," Guatemalan political analyst Martin Rodriguez told CNN en Español. "Surprising, because many of us remain incredulous that Guatemala's judicial system could handle a trial of this magnitude."

The landmark criminal trial could open the doors for future charges against military officials accused of atrocities during Guatemala's 36-year civil war. The war did not end until 1996, leaving more than 200,000 people dead and 1 million as refugees.

There will almost certainly be an appeal to Friday's verdict, Rodriguez said.

Guatemalan President Otto Perez Molina, who has said that there was no genocide during the civil war, reiterated his position following the verdict.

"Today's ruling is not set in stone," Perez Molina told CNN en Español, referring to the expected appeals.

His view on genocide is personal, and his government will respect the outcome of the legal system, he said.

Perez Molina's view has an added importance because during the Rios Montt trial, one former soldier implicated him as having ordered attacks on villages during his time as a military commander.

"When I say that here in Guatemala there is no genocide, I say it from my experiences" as commander, he said, denying that there was a conflict of interest in his publicizing his opinion.

The important thing to recognize in the verdict, Perez Molina said, is that the judicial system is working in ways it never has before.

A trial and conviction of genocide for a former head of state "was unthinkable just 10 years ago," he said.

While Rios Montt was in power, the military used the threat of leftist rebels as a guise to exterminate Ixil villages accused of harboring insurgents, prosecutors argued. Prosecutors said the campaign led to the genocide of more than 1,700 Ixil Mayans.

Rios Montt did not speak in his defense until the last day of the trial, arguing that it was not he, but local commanders, who had control over their territories.

"I never authorized, I never signed, I never proposed, I never ordered these attacks against a people, ethnicity or religion," Rios Montt said Thursday.

The former dictator was not without his supporters, who claim there was no genocide, but a high cost during a bloody civil war.

Human rights groups hailed the verdict.

"With this conviction, Guatemala leads by example in a region where entrenched impunity for past crimes sadly remains the norm," Sebastian Elgueta, Guatemala researcher at Amnesty International, said. "Guatemala must now follow up on this historic moment by ensuring that all those who took part in the murder, torture, rape and disappearance of tens of thousands of people are brought to justice."

The verdict also has implications for the United States' role in Guatemala during Rios Montt's rule.

When Rios Montt became president, human rights violations had already prompted the United States to cut off aid to the Guatemalan government. But a political scandal in the United States in the 1990s revealed that in fact the Central Intelligence Agency continued to provide money to Guatemalan military intelligence sources for years during the civil war.

Now-declassified secret CIA cables indicate the United States had knowledge of the atrocities being committed against the Ixil Mayans but did little about them.

Then-U.S. President Ronald Reagan went as far as to say that Rios Montt was being given a "bum rap" by critics. At the same time, the United States was backing other strongmen in Latin America against leftists.

Responding to Friday's verdict, the State Department noted the importance of a "strong and transparent justice system as an essential component of democracy," according to a statement from spokesman William Ostick.

"We see an opportunity for progress toward a true reconciliation in Guatemala, an essential step for the Guatemalan people to continue moving forward as everyone hopes," Ostick said.

@highlight

The U.S. notes the importance of a strong, transparent justice system

@highlight

Efrain Rios Montt was convicted of genocide and crimes against humanity

@highlight

He was sentenced to 80 years in prison; his co-defendant was absolved

@highlight

Guatemalan president insists there was no genocide