(Time ) -- In April, the Food and Drug Administration (FDA) updated the warning to finasteride, Merck & Co.'s drug marketed to treat both male pattern baldness (Propecia) and enlarged prostate (Proscar). The new warnings noted that the sexual side effects associated with the medication, including problems with libido, ejaculations and orgasm, could last even after patients stop taking the drug.

Now a new study published in the Journal of Sexual Medicine finds that side effects may not only continue after stopping finasteride, but they may last for months or even years.

In the study, Dr. Michael Irwig of George Washington University and his colleagues surveyed 54 men under age 40 who reported experiencing side effects for three months or more after stopping the medication Propecia. The patients reported a variety of sexual problems including erectile dysfunction, low libido, trouble having an orgasm, and shrinking and painful genitals. Some men also reported neurological problems like depression, anxiety and cognitive haziness.

Time.com: FDA warns statin users of memory loss and diabetes risks

For 96% of the men, the sexual problems lasted more than a year after they quit using the drug. None of the men had sexual, medical or psychiatric complaints before taking Propecia.

The study sample was small and the authors acknowledge that it may be skewed to include only men who were most negatively impacted by the drug. Most of the participants were recruited through an Internet forum called Propeciahelp.com, for men experiencing persistent side effects.

Still, the authors argue their findings may signal potentially serious risks for men using finasteride. "Our findings make me suspicious that this drug may have done permanent damage to these men," Irwig told ABC News.

The FDA's updated warning labels for finasteride were based on a review of post-marketing reports of sexual dysfunction. The agency reviewed 421 post-marketing reports of sexual side effects related to Propecia from 1998 to 2011; out of these cases, 59 reported adverse sexual effects lasting over three months after discontinuing the drug. For Proscar, the FDA reviewed 131 cases of erectile dysfunction and 68 cases of decreased libido from 1992 to 2010. As Healthland reported in April:

Finasteride labels will now warn users that Propecia's side effects can include libido disorders, ejaculation disorders, and orgasm disorders that continue after discontinuation of the drug and that Proscar can lead to decreased libido that continues after quitting the drug. Both medications will receive a new description of reports of male infertility and poor semen quality that normalized or improved after stopping therapy.

"Despite the fact that clear causal links between finasteride (Propecia and Proscar) and sexual adverse events have not been established, the cases suggest a broader range of adverse effects than previously reported in patients taking these drugs," the FDA said in a statement.

Time.com: Study finds pattern in male baldness: Could there be a cure?

Irwig acknowledges that the number of men experiencing long-lasting side effects from finasteride is small, although the incidence of sexual side effects in clinical trials was around 2%, the incidence of persistent sexual side effects is unknown, but likely less than 0.1%. "But because the medication is prescribed so commonly, it's still a lot of people, likely several thousand men around the world," Irwig told ABC News.

Both the FDA and Merck maintain that finasteride is safe and effective.

This article originally appeared on Time.com: Propecia problems: Baldness drug linked with long-lasting sexual side effects

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Study finds side effects of finasteride may continue months after stopping medication

@highlight

96% of subjects' sexual problems lasted more than a year after stopping medication

@highlight

Study authors believe finasteride may do permanent damage

@highlight

FDA labels will now warn users of post-use sexual side effects