(CNN) -- Sea-levels are rising unevenly around the world, with Pacific countries in particular suffering significant increases over the past two decades, according to accurate new satellite data.

On average, global sea-levels have been rising at about three millimeters (mm) a year, however, this masks large differences between regions of the world.

While some regions have seen sea-level rises of 12 mm a year, others have actually seen decreases of about 12 mm a year.

The results are based on radar readings from the European Space Agency (ESA) over an 18-year period from October 1992 to March 2010.

ESA used its satellites to send radar pulses to the sea surface below, recording the time delay in its return and creating a precise measurement of their height above the surface.

Special report: Sea-level rises

Scientists say sea-level rises are the result of the expansion of water due to rising temperatures, melting of glaciers and the melting of polar ice sheets.

The worst hit regions over the past two decades, according to the ESA data, have been the Pacific countries of Indonesia, Papua New Guinea, Philippines and vulnerable Pacific islands like the Solomon Islands.

The Philippines for one is already frequently subjected to flooding and landslides caused by heavy rain, with seasonal monsoon rains in August killing at least 11 people.

Scientists suggest regions that have seen high sea level rises over the past 20 years will not necessarily continue to see higher than average sea-level rises in the future.

"We suspect that the bigger the differences get, the more they will tend to level out in the future," says Robert Meisner, a spokesperson for ESA.

However, a recent study of coastal cities still predicted the Philippines' capital Manila would see its vulnerability to flooding double by the end of the century, due to sea-level rises.

In some regions of the world, the increasingly accurate sea level data is being used by planners to mitigate against the risk of flooding.

See also: Five cities battling flooding, heats and storms

In Venice, where the sea-level data was released, engineers are constructing a new set of tidal barriers to protect the historic city.

The city, which attracts millions of tourists every year, is seeing sea-level rises of around 2 mm per year, together with slow, mostly natural, subsidence of about another 2 mm every year.

The new $7.9 billion-barrier system will see giant barriers placed on the sea floor around Venice. When the water levels rise, air will be pumped into the barriers raising them up to block the tidal flow and protect the city from flooding.

The system is due to be completed in 2014 and is expected to be able to protect the city for the next 20 years.

@highlight

Global sea-levels rose by an average of 3 mm a year over the past two decades

@highlight

Most accurate data yet based on satellite data from European Space Agency

@highlight

Sea-level rises uneven around the world with Pacific region hit worst

@highlight

Venice one of many cities upgrading flood protection barriers