(CNN) -- The South China Sea has returned to the geopolitical spotlight, eclipsing the Taiwan Straits as the region's most volatile flashpoint.

But quite unlike the Taiwan or the associated Quemoy/Matsu dispute, the South China Sea's claimant nations are at least as interested in developing the region's economic potential as they are in asserting sovereignty and building military bases.

This opens a window to resolving the dispute in a way that looks beyond the traditional frame of sovereignty and towards a win-win economic benefit.

In the mid-to-late 1990s, Asia looked far from stable: naval vessels conducted provocative operations around the appropriately named Mischief Reef, the U.S.-Taiwan military relationship was causing headaches with China, the Asian financial crisis destabilized the region's "Tiger" economies, and a violent struggle for independence was waged to liberate East Timor, now known as Timor-Leste, from Indonesia.

But the decade since has been marked by almost universal growth across the region. Growth surged from China to India, Indonesia became a $1 trillion economy, Myanmar rapidly normalized its relations with its neighbors and the world, and the South China Sea became the passageway for large volumes of energy and commodities.

The main difference between today's South China Sea dispute and that of two decades ago is that China is immensely more powerful. Reflecting its growing clout, China is asserting its claims far more aggressively, claims which extend right up to the shores of the littoral nations of the South China Sea.

China claims the entirety of the Spratly Island chain, as well as the Paracel island group which it occupies, and the submerged Macclesfield Bank, in a region defined by the so-called "nine-dashed line".

China insists on negotiating bilaterally with other claimant states, dismissing the claims of other nations made in accordance with the United Nations Convention on the Law of the Sea (UNCLOS), insisting that China exercises "indisputable sovereignty" in the area without fully defining the status of the nine-dashed line.

China has built administrative and naval facilities on several islands, bullied vessels from other nations in dangerous and provocative manners not consistent with principles of good seamanship, and marginalized regional body ASEAN's role in attempting to address the dispute.

Most fundamentally, China's behavior has created a window for the U.S. to return prominently to the region and shore up fraying alliances, giving the Philippines and other nations more leverage to stand up to China, as China inadvertently pushes the nations of the region toward the United States.

But at best this scenario will lead to stalemate; militarization restores temporary balance but does not provide long-term solutions. Most of the islands in the South China Sea are too small to be permanently inhabited without substantial outside assistance, and although the oil, natural gas, and mineral deposits lying beneath have not yet been fully assessed, no nation wants to give up its potentially lucrative claims.

A similar situation existed a century ago in Arctic Europe -- and could serve as a role model for Asia. The 1920 Spitsbergen Treaty (signed during the Versailles negotiations after World War One) granted Norway sovereignty over the Spitsbergen archipelago, which Norway subsequently renamed Svalbard, in the Arctic Sea.

However, the treaty restricted Norwegian control to some extent, with limited taxation (at a lower rate than mainland Norway) and provisions to preserve the environment. Naval bases and other military fortifications were prohibited from the island, and Norway was obligated to be legally non-discriminatory against any nation or company from the signatory states seeking to undertake maritime or mining activity on the island. Norway, then, is effectively the steward of Svalbard, but not necessarily its master.

The Arctic Ocean, of course, remains disputed in various sectors, and Russia even went so far as to famously plant a titanium flagpole under what it thought was the North Pole in 2007. But at the same time, Norway and Russia also built up sufficient confidence to legally resolve an outstanding maritime boundary dispute in the Barents Sea in 2010, providing the impetus for potential oil and gas exploration.

As the Arctic ice cap recedes, more countries are peacefully using the Northwest Passage to cut shipping time between Europe and Asia. Most importantly, Norway and Russia both are massive oil explorers and exporters, not letting territorial disputes interfere with the need to provide for global commodities demand.

There is much China and the Southeast Asian maritime nations can learn from how Norway and Russia have handled Svalbard and the Arctic. Parties must agree that the aim is peaceful exploration and exploitation of resources and mutually beneficial sales in international markets.

Since the parties clearly don't trust each other to politically manage the islands, a joint-stock company should be created and listed on a major neutral regional stock exchange such as Singapore. The claimant nations -- through their national energy companies -- would collectively serve as the company's board.

This "South China Sea Exploration Company" would effectively be a multi-national joint venture with both legal and commercial authorities. In order to circumvent the massive overlapping and mutually exclusive claims to full sovereignty over the islands, all national-corporate members would be recognized as equally entitled to the development of the islands, but only through mutually agreed arrangements.

In appreciation of China's cooperation in developing such a multi-national venture, no new claimants should be recognized as parties to the sovereignty dispute, and Taiwan's claim would have to be made in the context of an entity not acting in the capacity of a nation-state -- hence the need for energy companies, not governments, to serve on any board.

This special purpose vehicle would adjudicate the exploration rights of ships registered and recognized by it in order to continue to guarantee freedom of navigation and passage for shipping, while also respecting environmental concerns with respect to economic development. Existing occupations of territories would not be forcibly overturned, but the sovereignty question would be shelved for the time being without recognizing or dismissing the claims of the current parties to the dispute.

Much as uncertified conflict diamonds from Africa are banned from sale by major private dealers, the same could be true of minerals and energy resources from unregistered deposits and unapproved operations in the South China Sea.

Asian nations have been pragmatic about their disputes for over a decade; all have benefited enormously from regional peace and the associated resultant economic growth. Today, the claimants in the South China Sea face a choice between resolving the dispute in a creative, regional, and profitable manner versus escalating the conflict and potentially sparking a regional war involving major military powers.

If Asia wants to demonstrate its capacity for independent leadership, it must start by calming its own waters.

The opinions expressed in this piece are solely those of Parag Khanna and John Gilman.

@highlight

Khanna: Territorial disputes in South China Sea can be resolved to everyone's benefit

@highlight

Nations should put aside territorial claims and start joint venture to exploit the sea's resources

@highlight

Nations can either resolve dispute profitably, or risk regional war involving major military powers