(CNN) -- Now that the campaign is over and Barack Obama has won a second term, the hard business of governing begins again. There's a presidential inbox waiting and it's not too hard to figure out what's in it. Problems don't have Democrat or Republican stamped on them: they just are. So here are my top five issues facing the president.

Finding our footing in the new Arab world

Obviously this election was about the economy first, second and third. But the world intrudes. Our election campaign did not keep terrorists from killing American diplomats in Benghazi, nor did it stop the violence in Syria. When all the ballots are counted and the parks swept clean of the debris from election night rallies, President Obama will have to figure out what is happening in this very volatile part of the world and what, if anything, we do about it.

We intervened in Libya to get rid of an awful dictator, but so far we have not intervened to get rid of the awful dictator in Syria. As the violence escalates and the Syrian president wreaks ever more death and destruction on his people, will we be drawn into an intervention there too? After 9/11 we went to war with Iraq over a mistaken fear of nuclear weapons. Is Iran developing nuclear weapons or are we wrong to be concerned? Will we go to war with Iran too?

Opinion: Obama will get little time to celebrate

Preventing the fiscal cliff

While President Obama has been crisscrossing the country looking for votes, the people left behind in Washington have been wringing their hands over the dangers posed to the fragile economic recovery by the severe combination of spending cuts and tax increases that are due to kick in on New Year's Eve. This so-called "fiscal cliff" was the result of politicians kicking the can down the road a few years ago. Will they do it again? Or will there be a grand bargain that actually puts the country on the path to smaller deficits?

World worries as U.S. fiscal cliff looms

There are plenty of plans on the shelf waiting, including those put together by the big deficit reduction commissions such as Simpson/Bowles and Rivlin/Domenici. And there's the plan almost put together by President Obama and House Speaker John Boehner. The problem isn't the lack of plans; it's the lack of courage. The outlines of any deal have been clear for some time now: Democrats have to give up some spending, especially on entitlements like Social Security and Medicare, and Republicans have to allow for some new taxes. Each side has to hold it's nose if a deal is to be done. Which brings me to the next issue facing President Obama:

Opinion: Obama's victory won't transform America

Dealing with the Republicans

Obama must figure out how to deal with a Republican Party in Congress that has become dysfunctional. In 2010 a relatively small group of voters calling themselves the Tea Party launched a surprise attack on the leadership of the Republican Party. Under President Bush, the Republican Party had gotten a little too fond of world domination and a little too dismissive of the party's traditional concern for fiscal discipline. Frankly, they deserved a trip to the woodshed.

But once their new majority in the House of Representatives was won, the leadership overreacted, and rather than forge a majority that could perhaps make some progress, they cowered before their new members like frightened children. The result? No progress. If the Republican leadership continues to tremble before their most radical members, the entire party risks a rightward slide off the face of the earth. And President Obama will have to figure out how to work around them.

Analysis: Obama won with a better ground game

Cutting a deal on tax reform

It's been 25 years since a Democratic Congress and President Reagan cleaned out the tax code and achieved lower rates and fewer loopholes. But tax loopholes grow back like dandelions in the garden. The current tax code is a mess. It rewards some sectors of the economy and not others. It distorts business decision-making and it makes sure that those who don't need it have plenty of tax deductions. It's time to weed that garden once again.

Amazingly enough in this era of extreme polarization, both presidential candidates have expressed support for lowering the corporate tax rate to 25% and simplifying the corporate side of the code. It's possible that they could agree on the easy stuff on the corporate side and move to the harder stuff on the individual side. Tax reform will be part and parcel of a long-term deficit deal. Tax cuts for the oil and gas industry are a favorite target of President Obama, and they are just one example of many industry-specific tax breaks that might get swept up in a big tax deal.

Share your reaction to the election outcome

Climate change

And finally I come to the issue that was not mentioned in the presidential campaign: climate change. The Democrats' one attempt at climate change legislation died in 2010, a victim of the recession and also of the fear that confronting it would increase energy costs on a public still reeling from the meltdown. The failure of the climate bill began, however, the issue's long, slow slide into oblivion; a slide so complete that both candidates spent their debates falling all over themselves to prove they were friends of coal.

But coal is the big culprit in climate change, a fact conveniently ignored when the votes of Ohio are at stake. How fitting then, that in the very last week of the campaign, a gigantic hurricane would destroy the Jersey shore and close down lower Manhattan. The seas are rising after all; there is something happening after all. What, President Obama, are you going to do about it? The options are plentiful, from taxing carbon to pouring more money into green energy. They just haven't been very palatable. Maybe hurricane Sandy can change that.

The opinions expressed in this commentary are solely those of Elaine Kamarck

@highlight

Elaine Kamarck: In his second term, there are five immediate challenges for Obama

@highlight

She says he must find United States' footing in fragile Arab world

@highlight

Kamarck: He must reach a grand bargain with GOP to avoid fiscal cliff

@highlight

Kamarck: He must find way to deal with fractious Republican party; confront climate change