(CNN) -- Like its trains, contract talks involving Bay Area Rapid Transit remained at a standstill Friday night -- with no plans for even a return to the negotiating table to resolve the system's second strike in three months.

The standoff left many of Oakland and San Francisco's iconic bridges, streets and freeways clogged even more than usual during both the morning and evening rush hours on Friday, the first day in which the nation's fifth-largest train system has been shut down.

Union officials, at 5 p.m. (8 p.m. ET), publicly detailed what they described as a new plan to end the strike. It includes returning to the previous contract language on all outstanding issues, according to negotiator Josie Mooney. They also offered to bring in a mediator to address the points of contention -- which it says does not include the economic part of any deal, because it says that already has been agreed to -- but rather other issues.

"These (are) real, genuine, thoughtfully written ... steps that will settle all disputes on the table," said Roxanne Sanchez, president of the local Service Employees International Union. "...It's not we win or they lose, but the trains (would be) running."

BART management quickly dismissed the proposal "as simply a repeat" of a previous "unacceptable" offer, said spokesman Jim Allison. BART is open to mediation, but only if it's on the whole package rather than "cherry-picking the parts they like and leaving behind the parts they don't like."

"We're calling on union leaders to return to the bargaining table that continues (to address) all of the issues as a whole," Allison said.

BART, whose system normally serves 26 communities including San Francisco and Oakland, has chartered buses during the strike for highly limited but free rush-hour service. Buses departed certain stations in the morning directly for San Francisco, then carried passengers back to those stations in the afternoon.

That was expected to help about 6,000 passengers in each direction, according to BART.

Still, that's just a fraction of the roughly 400,000 people who use the service daily. And for some of them -- like those behind a petition to ban BART strikes, as is done for other transit systems around the nation -- patience is running thin.

"I think the public would have such bad blood this time around for both BART and the unions," BART rider Kyle Brunnette, 53, told CNN affiliate KTVU before trains stopped earlier this week.

BART and workers' unions have been negotiating a new contract for months. Union leaders said the latest strike was called because management made a late push to change worker rules, the framework governing issues such as how work is assigned and what shifts people can work.

This came after the unions made concessions to reach an "economic framework agreement" -- after six months of talks -- on wages, pensions and health care, Pete Castelli, a local executive director of the Service Employees International Union, said Friday.

"Basically what management did was produce, in essence, a poison pill, saying, 'Great, we made this amazing progress after six months, we have an economic framework agreement. But wait, there's more. You must take this now,' " Castelli said. "At that point ... the negotiations broke down."

BART objected to that characterization in a couple of ways. First, the sides haven't agreed on wages, BART spokesman Rick Rice said.

"We're still at a 12% pay increase over four years (at 3% per year)," he said. "The union's last proposal was higher than that."

Second, Rice said, changes to worker rules -- such as ditching a regulation that requires communicating with handwritten notes and faxing in favor of using more modern technology -- have "been in our package since April 1."

"How they can think this is a surprise is simply not credible," he said.

Castelli said he wants BART to agree to arbitration on the worker rules, but not on the economic issues, which he considered all but set.

Rice, though, said that was unacceptable.

"We can't split the package apart," he said. "We can't take one part of this -- the work rules -- to arbitration (and) leave the rest of it on the table to negotiate."

BART said earlier this week that its "best and final proposal" included the wage raises as well as increases in pensions and medical coverage.

The BART board would take the whole package -- "because we do not have agreement on the salary increases," she said -- to binding arbitration. The unions seek "20% plus salary increases," she said.

"The issues that remain unresolved are not minor. We cannot get tired and give up. They get to the heart of BART's need to function efficiently and economically," the BART general manager said.

Castelli apologized to the area's commuters.

"We're very sorry. We understand that this strike -- what it does to the Bay Area riders, and we understand that it is a hardship. ... We apologize," he said. "We urge the public to contact the BART district and tell them to finish negotiating a fair deal with our union."

BART workers also went on strike in the summer, paralyzing the San Francisco regional transportation system for four days in July.

CNN's Greg Botelho and Greg Morrison contributed to this report.

@highlight

NEW: BART rejects union's latest offer, urges return to negotiating table, spokesman says

@highlight

NEW: BART is open to a mediator to address everything, not just a few issues

@highlight

The strike is the second in three months affecting Bay Area Rapid Transit

@highlight

The roughly 400,000 people who use BART must now seek other options