(CNN) -- It was two years late and billions of dollars over budget, but this week the Singapore Airline-owned A380 completed its maiden passenger journey between Singapore and Sydney.

Making history: the first double bed on a commercial jet

On board were nearly 500 passengers who had bid thousands of dollars for the historical experience. This was a turning point in aviation history as Airbus' superjumbo became the world's largest aircraft. And the time had finally come for it to receive some admiration.

Singapore Airlines' CEO, Chew Choon Seng named the jetliner the "queen of the skies". Tom Enders, CEO of Airbus said he would like to celebrate his 25th wedding anniversary on one of its double beds. And CNN's Richard Quest, who was on board the maiden flight, said there was "nothing quite like it". The luxury on board, he said, sets a new standard for air travel.

It's the quietest large passenger jet ever built (inside and out), it has a low fuel-burn to reduce fuel use and emissions, it can carry 40 percent more passengers than other large aircraft and in greater comfort. But the feature that has attracted greatest interest on the Singapore Airlines A380 is its ''beyond first class" cabins.

Behind the sliding doors of the Singapore Airlines Suites, the well-heeled can luxuriate in a private cabin designed by leading French yacht designer, Jean-Jacques Coste.

There's a wide leather seat and alongside that, a standalone bed. This is two meters long with Givenchy duvets and cushions. And for couples traveling, the beds on the middle two suites can be converted into double beds.

From bed or chair, travelers can catch a movie on a 23-inch widescreen LCD. Laptops can be plugged into an in-seat power supply and business travelers with just a thumb drive can plug this into a USB ports and access a suite of office tools on Singapore Airlines' in-flight entertainment system.

Celebrity chefs including Britain's Gordon Ramsay and Georges Blanc were behind the first class menu that can be eaten off Givenchy tableware.

Unlike other airlines, that have considered offering casinos, gyms and showers on their future A380s, Singapore Airlines has opted instead for a configuration that, whilst offering luxury, also makes money.

As Chew Choon Seng, CEO of Singapore Airlines reminded reporters last week, the first Boeing 747s soon ditched the lounges and bars on the upper decks in favor of seats that could generate cash.

Behind the 12 luxury suites there are 399 economy seats, ranked 10-abreast on the upper and lower decks, as well as 60 business class seats that are the biggest yet at 87 centimeters wide.

Singapore Airlines has ordered 19 superjumbos for an estimated price tag of $5.7 billion. The second is due to arrive next February with further deliveries later in 2008.

Tickets for the A380's first return commercial flight between Singapore and Sydney were sold at auction on eBay. One passenger paid $100,000 for the experience, with the majority paying between $1,500 and $5,000. The $1.4 million raised has gone to charities in Singapore, Sydney and a global humanitarian organization.

From Sunday 28 October, Singapore Airlines will commence its scheduled service between Singapore and Sydney on one of the three daily flights in each direction. The jetliner to be delivered next spring will be used on one of the three daily flights between Singapore and London's Heathrow Airport.

It's been a long road to this point for Airbus, but the journey is by no means over. The airline has a tough delivery schedule ahead to fulfil its 185 orders to 15 customers (see figures below). Next year it plans to deliver 13, a further 25 in 2009 and 45 in 2010.

Tom Enders, Airbus' CEO doesn't underestimate the scale of challenge ahead. "This is not a piece of cake," he told CNN, "but we have learned our lessons and we are very confident today that we can deliver to our customers."

It hasn't just been Airbus that has been frantically preparing for the A380 launch. Airports around the world have had to make changes to runways and gates, as well as buy in new vehicles that can tow the giant aircraft and lift high enough to its upper decks.

Seventy airports are now ready, Airbus has said. Singapore's Changi Airport, home to the Singapore Airlines A380 fleet, was the first, and when its new Terminal 3 opens early next year, 19 gates across the three terminals will be A380-ready with aerobridge access to both decks.

Heathrow's new Terminal 5 will be able to handle four A380s at one time. British Airways, the Terminal's sole occupant, recently confirmed an order for 12 superjumbos and it now wants BAA to upgrade a satellite building to be built next to Terminal 5 to accommodate them.

As Willie Walsh, BA's CEO told CNN, "we want to make sure that development is built with the A380 in mind."

But whether the arrival of the A380 sets a standard for future air travel is still undecided. As CNN's Richard Quest points out, while these giant airplanes may be suitable for getting large numbers of people between key destinations quickly, demand could be even higher for the medium-size jets such as Boeing's up-coming 787 Dreamliner.

As Richard Quest says, "there's no doubt the A380 will sell, but it is going to take a long time to reach the 420 sales which is the amount Airbus needs to make money." But those worries, he adds, are for another day. Thursday was a day for celebration.

SOME KEY FIGURES

Orders

Total: 185 orders (165 firm orders) 15 customers

Emirates: 47 Qantas: 20 Singapore Airlines: 19 Lufthansa: 15 Air France: 12 British Airways: 12 ILFC: 10 Emirates: 8 Virgin Atlantic: 6 Thai Airways: 6 Malaysia Airlines: 6 Qatar: 5 Kingfisher: 5 Korean Air: 5 China Southern: 5 Etihad: 4

Delivery schedule

1 in 2007 13 in 2008 25 in 2009 45 in 2010

The Aircraft

Wingspan: 79.8 meters (747 - 64.4 meters) Length: 73 meters or seven London buses in a row (747 - 70.7 meters) Height: 24.1 meters (747 - 19.4 meters) Internal cabin width: 6.58 meters (747 - 6.1 meters) Seats: 555 (747 - 416) Flight range: 15,000 kilometers (747 - 13,450 kilometers) Wiring: 500 kilometers

Ideal routes

SIN-LHR DXB-LHR SYD-LAX CDG-NRT JFK-NRT

Ticket sales for maiden passenger trip between Singapore and Sydney Top ticket price: US$100,380 The bargain: US$560 for a single economy seat E-mail to a friend

@highlight

Singapore Airlines A380 superjumbo completes historic maiden flight

@highlight

Luxury first class cabins have separate leather seats and double beds

@highlight

One passenger paid $100,000 for the first Singapore to Sydney trip