(CNN) -- When Bertrand Piccard came up with his audacious plan to fly around the world in an aircraft powered only by the sun, he found that airplane manufacturers were skeptical such a plane could be built.

So who built the first model of "Solar Impulse," Piccard's $72-million solar-powered craft? A company that makes ships.

Piccard, who won the first transatlantic balloon race and commanded the first balloon flight around the world, told CNN, "Each time we asked the aeronautical industry to build that airplane, they told us it's impossible. We cannot make an airplane so light and so big. So who did we ask for some help? A boat manufacturer. They had no idea it was impossible, so they built the pieces in carbon fiber and now we have an airplane."

The plane is made by the Swiss company Decision SA, which made the America's Cup-winning Alinghi.

"People put limitations on their creativity, believing they have to rely on what they know and what they have done," Piccard says. He sees the Solar Impulse venture as a way to dramatically demonstrate that it's possible to make a sharp break with the past -- in this case, by showing that renewable energy can replace fossil fuel.

"A lot of industries say we have a society based on oil dependency, so let's continue. ... We know how to deal with oil. The result is General Motors and Chrysler going bankrupt. It's a typical example of people who did not make the turnaround early enough. If GM made engines with much lower fuel consumption, they would not have gone bankrupt."

"We have to get rid of certainties, habits, paradigms, common assumptions," Piccard says. "These are the limits to creativity."

Piccard, who is 51, spoke about his new venture at the TED Global conference in July 2009 and elaborated on it in a recent interview with CNN.com.

CNN: Why are you interested in attempting to fly around the world in a solar airplane?

Bertrand Piccard: My life and the life of my family has to do with exploration, with adventure. My grandfather was the first man in the stratosphere, and my father was the first to touch the deepest point in the ocean. ... For me adventure and exploration is something in the blood. So that's why I flew around the world in a balloon in 1999. ... It was considered to be impossible, I said, "Let's try it."

I succeeded after two failures, and I came to the middle of my life, thinking now that adventure has to go on, and a pioneering sprit has to go on, but how can the adventure be useful -- not a personal dream like flying around the world in a balloon -- but really useful?

I came up with idea of a solar airplane flying around the world with no fuel -- that would be a beautiful message in terms of technology, the energy of the future and the environment.

CNN: So what is the status of the effort right now?

Piccard: So the airplane is built. The first flight was achieved on the third of December and in the spring and summer this year, we're going to make the high-altitude flights and the cycle of [flying] one day, one night and one day.

We take off in the morning. We climb to 27,000 feet, and at the same time we load the batteries and run the engines on solar power only. Then we fly through the night on the batteries in order to reach the next sunrise and continue the following day. So this makes a complete cycle, with no fuel. When this will be achieved, we will build a second airplane that will be able to cross the Atlantic and fly around the world.

The first airplane has to prove that it's possible to fly a complete cycle, one day, one night, one day. ... This little airplane is not a Piper or Cessna with a couple of solar cells. It's a really high-tech carbon fiber airplane which is 200 feet in wingspan. It weighs 1.6 tons.

So it has basically the wingspan of a jumbo jet 747, it has the weight of a little car, and on average it can fly with the energy of a little motorcycle -- which is only provided by the sun. ...

If an airplane like this can fly day and night with no fuel, then nobody can say in the future that it is impossible to use the same technology for cars, for heating systems, for air conditioning, for electronics and so on.

CNN: How fast will the plane travel?

Piccard: The plane will travel very slowly. Otherwise it would take too much energy. The average speed will be 40 knots, roughly 55 miles per hour.

CNN: And so a flight around the world will take how long?

Piccard: It would take around 20 days and because there is only one pilot at a time in the cockpit, we're going to land every five days and change the pilot. ... When Charles Lindbergh crossed the Atlantic in 1927, he was alone on board, and the airplane was full of gasoline and nobody thought than an airplane could take passengers over the Atlantic. And 30 years later, airplanes were taking 200 passengers across the Atlantic. So now we start the same thing over again, but with no fuel.

We need an airplane that is very big, that is very light, and full of batteries, lithium polymer batteries, and it can take only one person. We have to see afterward if the technology can improve -- and transport people.

But our goal is more to bring about a revolution in behavior than to bring a revolution in aviation. The goal is really to have people on ground who will follow this adventure and will start to use the same technologies, to save energy and to rely on renewable energy.

CNN: What is the biggest technical challenge in building this airplane?

Piccard: There are several challenges. One challenge is to have this airplane light enough despite its huge wingspan. The construction has to be done with carbon fiber with completely new technologies. The structure of Solar Impulse ... is 10 times lighter than the normal glider. It's a breakthrough in construction technologies.

The second challenge is energy. It has to fly through the night with a battery that has been loaded the previous day. So it has to be extremely energy efficient.

Another challenge is that it's difficult to ... control such a huge airplane that flies so slowly and is so light.

CNN: Do you intend to be one of the pilots?

Piccard: I will be one of the pilots, and Andre Borschberg will also be a pilot.

CNN: What's the greatest risk on the flight?

Piccard: The greatest risk is bad weather. If we cannot remain in sunny areas, we may have to land somewhere or ditch in the ocean. But we have very, very good weathermen, and I'm confident that it will work.

CNN: So you will not be flying above the cloud cover?

Piccard: We will be flying above the cloud cover, but during the night we have to fly lower because the efficiency of the batteries on the market is not yet sufficient for us to stay at high altitudes.

So during the day we climb to 27,000 feet and then during the night, we go down to 10,000 feet to save energy. When we have sunlight, we go up again. Which means that in the morning we absolutely have to be clear of clouds, otherwise we cannot go up again.

CNN: Why can't you go up through clouds?

Piccard: Because we will have almost empty batteries every morning ... so if we have clouds in morning, we cannot load the batteries to go back up. ... This will be the big weather challenge for the team.

CNN: Where will you land the plane?

Piccard: We need an airport with a large runway. We don't need a long runway. We'll have one stop in the U.S. ... We have not yet decided where it will be.

We'll have five legs, and each leg will be five days and five nights on average. So we'll stop in China, Hawaii, the U.S. mainland, Europe and one stop probably in the Arab Emirates and then back in China.

CNN: What's your projected date for takeoff?

Piccard: The schedule is like this: In 2010, we fly day and night. In 2011, we'll make international flights, several days and nights. In 2012, we'll cross the Atlantic, and in 2012 or 2013, we'll go around the world.

CNN: How much does this project cost and who's paying for it?

Piccard: The entire budget is 100 million U.S. dollars, coming from private sponsors.

CNN: Do you have children?

Piccard: Yes I have three kids.

CNN: And are they adventurous?

Piccard: Well, they fly with me with hang gliders, with balloons, paragliders, micro-lights. They like it very much. But I'd say they're a little too young to show really what they're going to do, they're 15, 17 and 19. ...

CNN: Are you hoping your children will take on adventures the way you have?

Piccard: No, I hope they will take on the challenge of improving the quality of life, bringing a pioneering spirit and new ways to think about political issues, environmental issues, technological issues, charity issues.

In the 20th century, the heroes were the ones who went to the North Pole, the South Pole, Everest, the bottom of the ocean, space and the moon.

In the 21st century I think the heroes will be the people who will improve the quality of life, fight poverty and introduce more sustainability.

@highlight

Bertrand Piccard is a ballooning record-setter; wants to fly around the world in a solar plane

@highlight

He says he wants to demonstrate the potential of renewable energy to replace fossil fuel

@highlight

Piccard says in a TED Talk that thinking creatively requires the ability to jettison familiar ideas

@highlight

He says, "We have to get rid of certainties, habits, paradigms, common assumptions"