(CNN)  -- Three years ago, the U.S. Armed Forces struggled with a serious recruiting crisis, a crisis that evaporated temporarily only when the economy slumped. As it recovers and our population continues to age, the Armed Forces will face yet another challenge in recruiting the high-quality people needed for the modern military.

For that reason, the Department of Defense identified the DREAM Act as a smart way to expand the pool of eligible candidates for enlistment.

The Development, Relief and Education of Alien Minors (DREAM) Act is a bipartisan bill that would provide a path to legal residence for undocumented young people who were brought to the United States as children. The conditions: They must graduate from high school, demonstrate good moral character, and -- to keep their legal status -- complete at least two years of higher education or at least two years service in the U.S. military.

Without the relief of the DREAM Act, the future of these American-educated young people is bleak.

About 65,000 such eligible students graduate from U.S. high schools each year, but upon graduation, these young people, who include honor roll students, star athletes and junior ROTC members, hit a wall.

Instead of advancing to college or the military and later repaying the investment that taxpayers made in their education, they live in fear of being discovered by the Department of Homeland Security and deported to their "home" country, even if it is a country they cannot remember and where they have no friends, family or support.

Two potential DREAM Act students are David Cho, a senior honors student at the University of California, Los Angeles, and Cesar Vargas, a third-year law student at the City University of New York.

Cho, who dreams of joining the Air Force after graduation, is at the top of his class and has lived in the United States since he was 9 years old.

Vargas has lived here since he was 5 and wants to be a military lawyer after graduation. David and Cesar are exactly the kind of recruits the military needs: self-motivated and eager to defend the country they love. Without the DREAM Act, both will be deported.

Bill Carr, former acting deputy undersecretary of defense for military personnel, has called the DREAM Act "very appealing" to the military because it applies to the "cream of the crop" of students.

Potential DREAM Act beneficiaries like David and Cesar are a military recruiter's dream candidates for enlistment, even if they have no legal status. They are Americanized, having lived in the United States for at least five years, unlike the newly lawful permanent residents whom the military currently enlists.

DREAM Act beneficiaries have no adult period of residence in a foreign country, making it easier to perform background checks for security clearance. They often speak both English and another language fluently. Many have participated in Junior ROTC in high school. They do not have criminal records or other evidence of bad character. They have graduated from a U.S. high school.

If approved as DREAM Act beneficiaries, they will have passed rigorous criminal background and security checks from DHS. They will have "conditional lawful residence," which is recognized under current military recruiting regulations. Thus, the military will not have to change its regulations or process their enlistments differently from other recruits. Finally, they will be motivated to serve the United States so as to be given a chance to stay here.

Opponents of the DREAM Act call it a "sugar-coated" amnesty that  rewards lawbreakers. To them, the best solution to the problem of illegal residents who are also high-achieving students with dreams of serving in the military is deportation, even though that would massively benefit their countries of birth while depriving the United States of their talents.

Instead of wearing our uniforms, these recruits could be recruited to work for foreign governments, foreign militaries and foreign intelligence agencies. At a time when we are focused on protecting our borders and quashing threats to our national security, it seems unwise to export thousands of American-educated and American-acculturated young people to militaries other than our own.

The House and Senate are poised to consider the DREAM Act during the current lame duck session of Congress. The vote presents an opportunity for our lawmakers to increase military recruitment, enhance U.S. national security and help high-achieving young people at the same time. I strongly urge members of Congress to pass this long overdue measure.

The opinions expressed in this commentary are solely those of Margaret Stock.

@highlight

Margaret Stock: Armed Forces expect to face another recruiting crisis as economy recovers

@highlight

DREAM Act could help both undocumented young people and the military, she says

@highlight

Stock: Those brought to U.S. as kids could serve in U.S. military in a path to citizenship

@highlight

This allows high-achieving young people to enlist rather than be deported, she writes