(CNN) -- Even as anti-American violence eased Saturday around the Muslim world, tensions remained high -- stoked, in some nations, by the prospect of U.S. troops arriving to protect U.S. diplomatic missions.

The widespread protests connected to an online trailer for an inflammatory anti-Islam film privately produced in the United States were relatively thin and calm, and in some places nonexistent, on Saturday compared to earlier in the week.

Yet even with this relative break, the furor has not gone away completely, nor has concern over safety and security at U.S. embassies.

To that end, U.S. officials said earlier this week that Marine teams would be dispatched to protect U.S. diplomatic missions in Libya, Yemen and Sudan in the wake of anti-Western unrest in those countries.

But U.S. troops haven't necessarily been welcomed.

Clinton demands Arab Spring nations protect embassies

Yemen's parliament issued a statement early Sunday demanding U.S. Marines leave the Arab country immediately, calling the presence of any foreign forces -- and U.S. troops in particular -- "unacceptable."

Some leading politicians, like Ahmed al-Bahri of the opposition Haq party, warned that even a few dozen American troops could "open the doors of hell for Yemen and give terrorists an excuse." Others like Abdul Majid al-Zindani, president of Yemen's Cleric Committee, equated the U.S. troops arrival to a foreign occupation.

Zaid al-Thari, a political adviser to Yemen's ruling General People's Congress, speculated that the U.S. Marines recent arrival raises doubts about who was behind this week's attacks on the U.S. embassy in Sanaa that left four protesters dead.

"In the end of the day, the United States is benefiting more than all and was able to bring its forces inside Yemen," said al-Thari.

Even with the arrival of its troops, the U.S. government isn't taking chances in Yemen -- closing its embassy in Sanaa through Saturday, September 29, because of the threat of "potential demonstrations," according to the State Department.

Meanwhile, U.S. Marines that were to travel to Sudan have returned pending further talks with the government there, a U.S. official said.

State Department spokeswoman Victoria Nuland said Saturday that Washington has requested "additional security precautions" in Sudan, whose government "has recommitted itself both publicly and privately to continue to protect our (diplomatic) mission."

Sudan's foreign ministry turned down a U.S. request to send "special forces" to protect its embassy in Khartoum, saying Sudanese security forces would protect "the diplomatic missions (and) its guests," according to a report from the state-run Sudan News Agency.

Secretary of State Hillary Clinton has warned the United States will act to protect its diplomatic facilities if countries in question did not prevent violence and seek justice for attacks.

What the Mideast protests reveal

"Reasonable people and responsible leaders ... need to do everything they can to restore security and hold accountable those behind these violent acts," she said Friday. "And we will ... keep taking steps to protect our personnel around the world."

In Egypt, where violent protests began in earnest last Tuesday and continued to rage for days, government officials have recently criticized violence targeting the U.S. Embassy in Cairo and promised to protect it. Notably, too, the thousands who participated in these demonstrations represent a fraction of the roughly 11 million people in the Egyptian capital.

Still, statements from the Muslim Brotherhood -- the Islamist group that controls parliament and whose former leader of its political party, Mohammed Morsy, is now Egypt's president -- that are in English differ from those in Arabic, which tend to be less sympathetic to diplomatic missions and focus more on the inflammatory "Innocence of Muslims" video.

And anti-American sentiments remain high in certain places, as was evident at a protest outside a mosque Friday. Those participating accused the United States of supporting "international terror" and being an "enemy of God," with some chanting, "Obama, there are a million Osamas."

"Relations between countries of the so-called Arab Spring and the West have not yet taken complete shape," saying this is especially true with Egypt, Prime Minister Hesham Kandil said Saturday, according to the state-run MENA news agency.

On the ground Saturday night, there was a marked change in Cairo -- as relatively calm returned to the area around the U.S. embassy for the first time in nearly a week.

Earlier in the day, Egyptian security forces pushed protesters away from the embassy toward Tahrir Square, where they were eventually dispersed.

Calm returns to Cairo

That gave workers the chance to finally clean the debris-ridden streets, business owners to assess the damage, and drivers to start moving against -- all under the watchful eye of hundreds of Egyptian riot police, who remained in the area.

The most heated demonstrations Saturday occurred not in the Middle East, ironically, but in a staunch United States' ally, Australia.

Carrying signs that read "Obama, Obama, we like Osama" and "Behead all those who insult the prophet," hundreds gathered on the steps of the U.S. consulate in Sydney.

The demonstration turned violent when authorities -- using tear gas and police dogs -- tried to push protesters away from the building. They were met with thrown bottles and shoes, the latter act considered a grave insult among Muslims. Six police officers were injured and eight people were arrested, Sydney police said. Seventeen people were treated for effects of pepper spray used by police.

Here's a breakdown of other developments Saturday from around the globe tied to furor over the anti-Islam film and related violence:

-- Kandil, Egypt's prime minister, said Saturday that his government has reliable information "a number" of people admitted to getting money to protest outside the U.S. embassy in Cairo, while noting other demonstrators were genuine and not paid.

-- Four protesters died and 49 were wounded during an attack Friday on the U.S. Embassy in the Tunisian capital of Tunis, the state-run Tunisian News Agency reported Saturday, citing Charles Nicolle Hospital interim general director Souad Sadraoui. Interim Tunisian President Al-Munsif Al-Marzouki said late Friday on state-run TV that two were dead and more than 20 were injured, but authorities later hinted the death toll could rise.

-- All nonemergency personnel and relatives of State Department personnel at U.S. missions in Khartoum, Sudan, and Tunis, Tunisia, have been ordered to leave and travel warnings have been issued for American citizens for both those nations, Nuland from the U.S. State Department said Saturday.

-- In his weekly address, U.S. President Barack Obama urged Americans not to stereotype all those in the Muslim world. "Let us never forger that for every angry mob, there are millions who yearn for the freedom and dignity and hope that our flag represents," he said.

-- FBI investigators probing Tuesday's killings of U.S. Ambassador to Libya Chris Stevens and three other Americans in Benghazi put off a visit to Libya until conditions are safer. Agents had hoped to arrive in the North African nation Saturday, federal law enforcement officials said.

-- Libyan authorities said they are cooperating with U.S. investigators. "Things are moving very, very well," said Muhammad Alkari, a spokesman in the prime minister's office.

Disagreement over how Benghazi attack began

-- In Egypt's northern Sinai Peninsula, a large number of security forces backed by tanks on Saturday regained control of a base housing an international peacekeeping force that was breached a day earlier by Islamist militants, state-run EGYnews reported.

Egyptian security forces, including the military, have been fighting militants in Sinai since August after 16 border guards died in an attack by Islamist militants.

U.S. intelligence warned Embassy in Egypt about anti-Muslim film

-- In Afghanistan, the Taliban claimed responsibility for an attack on a joint U.S.-British base in Helmand province that left two troops dead, saying the attack was in response to the film. The attack follows a call by the Taliban on its fighters to take revenge for the film by increasing assaults on NATO troops.

-- In Sudan's capital, Khartoum, the German and British embassies shored up their security after protesters managed to get inside a compound that is shared by both diplomatic missions, according to the foreign ministers of both nations.

-- The man behind the "Innocence of Muslims" video, identified as Nakoula Basseley Nakoula, was willingly interviewed early Saturday by a federal probation officer, said Steve Whitmore of the Los Angeles County Sheriff's Department. The questioning came hours after federal officials said they were reviewing Nakoula's probation in connection with a 2010 bank fraud conviction.

-- The Council on American-Islamic Relations said Saturday it had released a video appeal to those protesting the movie. A message in Arabic tells viewers in the Middle East that "ordinary Americans and the U.S. government should not be blamed for the religious hatred expressed in the film," the group said in a statement.

Filmmaker linked to anti-Islam video meets with probation officer

CNN's Amir Ahmed, Ian Lee, Amanda Watts, Jessica King, Ben Wedeman, Susan Candiotti, Barbara Starr, Elise Labott, Greg Botelho and journalist Hakim Almasmari contributed to this report.

@highlight

NEW: Egypt's prime minister says some were paid to protest outside U.S. Embassy

@highlight

Yemen's parliament calls U.S. troops presence in Yemen unacceptable, speaker says

@highlight

The U.S. issues travel warnings for Sudan and Tunisia due to security concerns

@highlight

Calm is restored in Cairo, site of the first protests tied to the inflammatory anti-Islam film