(CNN) -- The new Kindle Paperwhite isn't the perfect character. Just like the literary creations that live and die on its screen, it has flaws. It's wise, though it still suffers from memories of its past.

But in the great e-reader saga, it's clearly the protagonist, and one worth rooting for.

The Paperwhite's screen is brilliant in the literal sense of the word, as it glows. The new Kindle isn't the first e-reader with a screen that lights up: Barnes & Noble beat Amazon to the punch by five months with its Nook Simple Touch with Glowlight. But the light-up screen on the new Kindle surpasses the one on the Nook because it solves most (but not all) of the light uniformity issues evident on the earlier device..

Granted, illuminating an e-ink screen is difficult. The most common solution is to use a nano-printed "light guide" â€” the LEDs sit at the bottom of the device, and a thin plastic screen with tiny patterns etched into it carries the light toward the middle and top of the display. The scores gradually disperse the beams, allowing more light to permeate to the top as the nano guides get further form the light source. This creates an even distribution of soft light, and the whole screen gently glows. It's much less fatiguing than a back-lit screen (like a tablet) and is more comfortable during late-night reading sessions.

But, like the Nook, the light source creates a problem: blossoms of LED light appear at the bottom of the screen. It's fainter than the light-source bleed found on the Nook, but it's still there. It's only annoying at the bottom of the screen, but it breaks up the flow of an otherwise flawless screen.

Fortunately, the attention Amazon has paid to the rest of the screen makes up for these lighting hiccups. Text on the Kindle Paperwhite is darker and crisper than what I've seen on previous-generation Kindles. Also, the background color of the screen is lighter than previous Kindles. It's less "cardboard" and more "coffee with too much milk."

Amazon says the Paperwhite has 25 percent more contrast. Without busting out the contrast spectrometer to test Amazon's claim, I'm going to go with what I can see, and when compared to my last-generation Kindle, it's clear Amazon has indeed increased the contrast of the screen.

But this isn't just a screen you look at; it's one you touch. Amazon has added a finish to the capacitive screen that feels like the paper stock used in high-end hardcover books. It's a small detail, and if it were absent, it wouldn't detract from the e-reader. But, it's a nice touch that gives the screen a tactile feel not found on other e-readers.

One thing I would've liked to have seen on the Paperwhite: physical page-turn buttons. Touchscreens are great and all, but when you end up losing your place in a book, all the touchy-swipey technology in the world can't sway my belief that sometimes, a physical button is better.

Even without buttons, the physical execution of the Paperwhite puts it ahead of the competition. It's light, eminently pocketable, and presents the best electronic reading experience. So the fact that Amazon raised the bar with updates to the Kindle's software feature set is just gravy on the cake.

Page turning is simplified. The screen is divided into three sectors. Tap one sector to navigate forward, one to navigate backward, and one to bring up the menu. The "page forward" sector gets the largest swath of real estate, encompassing the bottom 80 percent of the screen and 80 percent of the right-hand side. The left 20 percent is reserved to go back a page. This layout make sense, considering most touches are to advance a book. The remaining top 20 percent of the screen is reserved for access to the system menu.

After a few missed taps while trying to find the sweet spot, I was able to navigate to the next page while holding the Kindle in my left hand. I'm a big guy with large hands, so reaching over that 20 percent portion of screen with my thumb is easy. Your tapping mileage may vary.

The underlying platform is really the true make-it-or-break-it feature of any e-reader, and Amazon has this dialed.

Your current location in the book in displayed in the lower left-hand corner. More impressive is the e-reader's ability to learn your reading speed and give you information on how long it will take you to finish a chapter, or the entire book. I used this "Time to Read" feature at night to help determine if I should stay up another 45 minutes to finish a chapter or just go to sleep.

The X-Ray feature that premiered on the Kindle Fire is also available on the Paperwhite. It's an incredibly helpful way to keep track of the hundreds of characters in fantasy novels (or just the five characters in a regular book). I found it especially helpful when reading multiple books in a series like "A Song of Ice and Fire," and I needed help determining which guy was doing the beheading.

And it's easy to get trapped reading multiple books at once, thanks to Amazon's ecosystem. Not just the blockbusters (everyone has those), but the Kindle Singles, the sample chapters, the periodicals, the textbooks, the lending services. Nobody can compete with the online retailer's services, or the breadth of its catalog. Amazon Prime subscribers get access to books that can be borrowed for no additional cost. And all of this is accessible from the Kindle's built-in bookstore â€” which is serviceable, though it's still easier to shop on a real computer.

The Kindle Paperwhite starts at $120. That's for the Wi-Fi-only, ad-supported model. You can get the ad-free Kindle for $140, but since you never see an ad in-book (only on the sleep screen, or when browsing your library) it doesn't really matter. In fact, my test unit eventually ended up showing me something I wanted to buy. Throw in free worldwide 3G connectivity, and the prices jump to $180 and $200. It's useful if you're buying books while sitting on the beach in Italy. Otherwise, save yourself some money and go Wi-Fi.

I should also point out that Barnes & Noble just dropped the light-up Nook's price to $120 â€” and that's without ads. But I'd still recommend the Kindle Paperwhite. It has the better software features, the stellar screen, and the unstoppable ecosystem. It keeps its crown as king of the e-readers.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Review: Kindle Paperwhite keeps Amazon at top of the pile for e-readers

@highlight

There's a little light bleeding at screen bottom, but overall feel makes up for it

@highlight

Paperwhite uses only touchscreen with no physical buttons

@highlight

E-reader is $120 with ads or $140 without