Your first view of Kamilo Beach on Hawaii's Big Island is of majestic rock, postcard-worthy waves and miles of uninhabited beach. But look closer at the sand and you see specks of blue, yellow and white plastic.

A piece of a bottle cap. A corner of a milk crate. Half a toothbrush.

Kamilo Beach is part of the devastating legacy of the March 2011 Japan tsunami.

"It's disheartening to come out here and see all this marine debris in an area that's otherwise so remote, debris that's washing up from other countries," said Megan Lamson, debris project coordinator for the Hawaii Wildlife Fund.

Hawaii is in a unique geographical spot, the center of the Pacific Ocean, to witness the impact of the Japan tsunami. Debris swirls from Asia to the continental United States through Hawaii. The islands are, in effect, a comb of the Pacific.

The nonprofit Hawaii Wildlife Fund said marine debris has been a problem for years for the island state and tsunami debris has made things worse. According to Japan, 1.5 million tons of tsunami debris floated away. The wildlife fund organizes beach cleanups along Hawaii's  shorelines and struggles to keep up with the marine debris, made up primarily of plastic.

Lamson pulled out part of a beer crate that read "Exclusively for Kirin Beer" in Japanese. She also found a Suntory Whisky bottle stamped "Japan." Lamson also found a small vitamin drink container with Japanese text. Since fall, the wildlife fund and the National Oceanic and Atmospheric Administration have found refrigerators, freezers, buoys and even an intact fishing boat, all with Japanese text.

But most disturbing to Lamson are a couple of soft plastic bottles with bite marks. "Marine life in the ocean are mistaking plastic for their natural food," Lamson said.

Lamson may suspect it, but Lesley Jantz, a NOAA fishery biologist with the observer program, can confirm it. Jantz has been studying the impact of marine debris in fish.

In her lab, Jantz sliced open the stomach of a lancetfish for CNN. You may never have heard of the lancetfish, a sometimes 4- to 6-foot long fish with enormous teeth. But bigeye and yellow fin tuna eat lancetfish. Tuna ends up on our plates.

Jantz pulled out a 12 by 12 piece of indigestible black plastic. "It would be difficult to pass through the system," said Jantz. "I've found several fish with the same black plastic bag, just like this, even larger. If it gets to a certain size, the fish is going to feel like it's full."

Jantz conducted a study that included 64 fish of varying species. Twelve percent of them, she said, contained plastic. When she looked just at lancetfish, 45% had plastic. "One concern that we have and don't know is if any chemicals from the plastic are absorbed into the tissue of the fish, which is a problem if consumed by a fish that we consume. That's definitely the next step, what is the impact?"

Across the island in David Hyrenbach's lab, the impact of plastic debris is apparent among the animal species he studies: birds. Hyrenbach cut open the bellies of some albatross for CNN. Plastic pieces spilled out of the belly of a 2-month-old albatross. Eighty percent of the stomach was packed with plastic.

Hyrenbach, an assistant professor of oceanography at Hawaii Pacific University, pulled out a small bottle top. "Toothpaste top?" he said. "No, cap of a medicine tube." He reached into the stomach again. "Oh, it's a brush, you see?" There were the unmistakable bristles of a hairbrush.

"Morally, this is terrible. How is this possible? Majestic, far ranging, beautiful birds, in a pristine place of the pacific, the northwest Hawaiian islands, you open them up and this is what you find," said Hyrenbach.

He grabbed a box, packed with toy soldiers, lighters and brushes. He explained that he pulled all the items out of albatross from Hawaii. "Every bird I looked at had plastic. Some had a little bit. Some had a lot. Everybody we looked at had plastic."

NOAA said most of the debris affecting the island cannot be tracked to any particular country, even Japan, because the plastic is often so weathered and broken by the time it hits Hawaii. "We don't really know the full impact of this type of debris. It adds to an existing problem that we have across the world," said NOAA Pacific Islands Regional Coordinator Carey Morishige. "But it is quite eerie to see an item you think may have come from Japan, someone's home, to sit on a beach thousands of miles away. It brings home the fact beyond the marine debris issue this is first and foremost a human tragedy." It should serve as a reminder, Morishige said, that "the land and the oceans are incredibly connected."

@highlight

Debris apparently from 2011 Japan tsunami is washing ashore in Hawaii

@highlight

Hawaii Wildlife Fund organizes beach cleanups

@highlight

NOAA has been studying the effects of debris on fish