(CNN) -- Fresh faced and full of energy, five recent graduates sit around the conference room table. They all hail from a different African country, and they all have big dreams about revamping education in their continent for a digital era.

These are the headquarters of Funda in Cape Town, an online training platform that's been partnering with universities in South Africa to provide short e-courses for users. Helped by a single private investor, the tech education portal is looking to harness a growing demand for online learning by allowing students to log into classes remotely.

"At Funda, we develop learning management systems and provide content development services to higher institutions to take their courses online so that the general public can access them at a cheaper price," says Nigerian-born Kolawole Olajide, one of Funda's founders.

The flexibility that comes with e-learning is just one of the many reasons Olajide says the online education tool has found success.

"It's responsive to the students' schedules," says the 22-year-old entrepreneur. "But also managers who want to do courses but are too busy to do them can now use [Funda] and sign in when they get back from work and access the resources online."

Olajide came up with the concept for Funda -- which means "to learn" in Zulu -- at university when he found he couldn't take school home. He had hoped to start the company in his homeland of Nigeria, but the obstacles were too great.

"It was very difficult because they were not digitally ready," he recalls. "They did not understand what I was trying to do. The second problem I faced was internet penetration in the country. I thought South Africa was more stable so Funda had a higher chance of success there because many people already have the Internet."

Alongside four other young entrepreneurs -- Kennedy Kitheka (Kenya), Jason Muloongo (Zambia), Sameer Rawjee (South Africa) and Kumbirai Gundani (Zimbabwe) -- the e-learning portal took shape and each founder provided a different perspective for the startup.

None are over the age of 25, yet these innovators are simply doing what is natural to the millennial generation -- using technology to find solutions to problems they've experienced.

"We bring together the problems we've seen in different parts of Africa and we are all trying to create together solutions to the problems we have experienced in different parts of the continent," says Olajide.

He adds: "I was aware of user experience because user experience of technology in Nigeria was not very good. One of the other partners was keen on developing the mobile application because he said in his area of the world, there are more mobile users. So we are bringing together solutions made by the problems we've faced in Africa."

Olajide explains that Funda offers a free mobile app that can be downloaded to a user's smartphone. Students can access the e-learning portal via a keycode provided by the university they are registered to.

"At the moment, [mobile] is very limited. Mobile phones are good for getting your results, educators checking attendance reports and all that stuff. But the real core experience is from the desktop machine."

Since its launch in 2009, Funda has been recognized by several international bodies, including the United Nations Development Programme and the World Economic Forum. It has also received a number of accolades, including the "Best Tech Innovation and Education" award at the U.N.'s World Youth Summit in 2012 and Mazar's "Best Sustainable Business Model" prize.

Looking ahead, Olajide has big plans for the startup. "Our major goal is to be a major education technology provider in Africa," he says. "So we're just trying to strategically position ourselves, so when Africa is ready we would also be ready."

For the time being however, the company's main focus is creating sustainable growth before proceeding to roll out the platform across the continent.

As for Olajide, the passionate Nigerian says he is determined to keep on working to help increase accessibility to education in the continent.

"The future of the continent lies in how educated people are," he says." All the major problems can be solved with education -- education is the key to the future."

More from African Start-Up

@highlight

Kolawole Olajide founded Funda, an e-learning tool with four other young graduates

@highlight

Offers students short courses with flexibility ,remote access through South African schools

@highlight

Olajide says success is due to a strong founding team, playing to strengths

@highlight

Hopes to become a major education technology provider in Africa