(CNN) -- Training for a race is like riding a roller coaster -- you experience highs and lows, ups and downs, and more peaks and troughs than the New York Stock Exchange.

Two weeks before I raced at the World Ironman Championships in Kona, Hawaii, last year, I had a bad bike crash. I won the race, not on physical prowess, but on grit, willpower, determination and mental strength.

I hope I showed, through my performance there, that sporting success rests, in part, with having the mental fortitude necessary to overcome our fears, pain and discomfort.

But how does one develop that strength? Is it innate, or can it be learned?

I believe it is the latter. We can all train our brains to be as strong as our bodies.

It sounds simple, but it's so easy to forget. If we let our head drop, our heart drops with it. Keep your head up, and your body is capable of amazing feats. To plunder the words of Kareem Abdul-Jabbar, "Don't ever forget that you play with your soul as well as your body."

Follow the Fit Nation team on Twitter or on Facebook

The message is this: All the physical strength in the world won't help you if your mind is not prepared. This is part of training for a race -- the part that people don't put in their logbooks, the part that all the monitors, gizmos and gadgets in the world can't influence.

But how do you train your brain to help you achieve your goals? I don't profess to have all, or many, of the answers. But in the five years that I have been a professional triathlete, I have learned a few techniques that help me keep mind over matter and ensure that I can ride the roller coaster of sporting success:

Have a mantra and/or a special song to repeat

I write my mantra on my water bottle and on my race wristband. Seeing it gives me a boost and reminds me never to let my head or heart drop.

If you use a permanent marker, be prepared for the wording to stay there long after the race has ended (and that you might receive strange looks from colleagues when you return to work with "I am as strong as an ox" tattooed on your arm).

I also carry a dog-eared copy of Rudyard Kipling's famous poem "If" everywhere I go. I believe the lines of this poem encapsulate the qualities necessary to become a successful athlete and a well-rounded person. Reading it before a race gives me the confidence to pursue my dreams.

Keep a bank of positive mental images

These images can be of family and friends, of previous races, of beautiful scenery, or a big greasy burger.

Draw on these images throughout the race, and especially if you feel the "I am tired. I want to stop. Why did I enter this race? I must be mad" doubts creeping into your mind.

Deliver these negative thoughts a knockout punch before they have the chance to grow and become the mental monster that derails your entire race.

Practice visualization beforehand

In training, when traveling, while sleeping or at work, this is the simple act of closing your eyes (although I don't recommend doing this at a work meeting or while on your bike). Relax your mind and go through each stage of the race one step at a time -- mentally imagining yourself performing at your peak but also successfully overcoming potential problems.

Before Michael Phelps has even entered the water, he has already completed the race in his mind. And won.

You can draw on the visual images (the finish line), the feelings you experience (energy surges) or the sounds you hear (roars of the crowd). That way when you race, you have the peace of mind and confidence that you have already conquered the challenges.

Break the race up into smaller, more manageable segments

I always think of the marathon as four 10 kilometer races with a little bit more at the end.

You might think only about getting to the next aid station, or lamppost or Porta Potty and, from there, set another landmark goal.

Stay in the moment and don't think too far ahead. I also try to breathe deeply and rhythmically; if you calm your breath, you can help calm your mind.

Remember that training is about learning to hurt

Push your physical limits and overcome them in training sessions, so that when you race you know that you have successfully endured pain and discomfort.

You will draw confidence and peace of mind from this knowledge.

Get people to support you

Some people thrive on the support from their family and friends, while others perceive it as added pressure.

Work out what feels right for you, and if necessary, invite friends, family or pets to come and cheer you on. Have them make banners, wear team T-shirts and generally behave in a way that would get them arrested under normal circumstances.

Mentally recall inspirational people

I recall people who have all fought against adversity to complete the Ironman. These people prove that anything truly is possible.

You might want to consider dedicating each mile to a special person in your life. That makes the discomfort easier to bear and will help give you a mental and physical boost.

Consider racing for a cause that is bigger than yourself

For me, it is to establish a platform on which to spread important messages and be a patron for charitable causes. These force me to put the race in perspective and rise to greater heights.

Champions come and go, but to me the real judge of my personal success will be whether I actually do something positive with the opportunities I have been given.

I really hope that, as four-time world champion, I can be a role model and ambassador for the sport that everyone can be proud of.

I hope that these tips provide some of that sporting gold dust, and enable you to have the race you have always dreamed of.

We will all continue to endure the downs and the dark times, but remember that it is overcoming these that makes the success all the more sweeter.

In the words of the great Muhammad Ali: "Success is not achieved by winning all the time. Real success comes when we rise after we fall. Some mountains are higher than others. Some roads steeper than the next. There are hardships and setbacks but you cannot let them stop you. Even on the steepest road you must not turn back".

You might not always have the perfect day, but with the right mental training hopefully the roller-coaster ride will be one to remember. Just remember to celebrate with that huge plate of greasy burger! Good luck!

Follow Wellington on Twitter for updates on her training and races.

@highlight

Chrissie Wellington: Mental fortitude needed to overcome fear, pain and discomfort

@highlight

Four-time World Ironman champ writes mantra on her water bottle and on her race wristband

@highlight

Keep mental images handy to recall during a race, the triathlete suggests