(CNN) -- They've lost their homes, their businesses and many are still stranded, but residents in the battered Northeast are overcoming the aftereffects of Superstorm Sandy with a gritty resolve.

"It's sort of like the transit strike a few years ago," said Elizabeth Gorman, 40, a Queens resident, who walked across the Queensboro Bridge on Wednesday.

Gorman was part of a steady stream of commuters forced to walk or bike into Manhattan after Sandy roared ashore barely two days ago, wiping out roads, bridges and mass transit systems across the region.

Commuters, homeowners and businesses struggled with the loss of power and waterlogged or burned homes.

Seven ways to manage stress in a disaster

New York Gov. Andrew Cuomo declared a "transportation emergency" Wednesday night, saying New York City subways, buses and commuter rails would be free of charge Thursday and Friday as a way to encourage people to use mass transit. Gridlock on Wednesday was "dangerous," he said.

But not all of the city's transit was operating. Fourteen of the city's 23 subway lines are opening Thursday, with buses helping to cover the unserved areas, Metropolitan Transportation Authority Chairman Joe Lhota said.

But there will be no subway service to lower Manhattan, which is still dealing with flooding and power outages, he said. And bus service, which resumed Thursday, was stopped below 23rd Street because the area is still dark and too dangerous, Lhota said.

The three major New York-area airports will all be open Thursday, albeit with limited service, authorities said. John F. Kennedy and Newark Liberty reopened Wednesday with limited service, and LaGuardia -- where floodwaters covered runways and taxiways -- will reopen Thursday.

Many people across the region are still in need of basic supplies. President Barack Obama visited a shelter Wednesday in the hard-hit town of Brigantine, New Jersey, where he said he met a woman with an 8-month-old who has run out of diapers and formula.

"Those are the kinds of basic supplies and help that we can provide," he said.

Obama promised the federal government "will not quit" until communities are cleaned up.

"We are not going to tolerate red tape, we are not going to tolerate bureaucracy," Obama said. "And I've instituted a 15-minute rule, essentially, on my team. You return everybody's phone calls in 15 minutes, whether it's the mayor's, the governor's, county officials.

"If they need something, we figure out a way to say yes."

New Jersey Gov. Chris Christie asked for patience as crews worked to turn the power back on for more than 2 million people still in the dark. He toured Brigantine with Obama, who said utilities from across the country have pledged to send crews to New Jersey as soon as possible.

Sandy came ashore late Monday in southern New Jersey, wiping out houses, pushing sand four blocks inland in places and leaving people stranded.

Seventy people were rescued Wednesday from the barrier island in Toms River, New Jersey -- people who ignored orders to evacuate, Police Chief Mike Mastronardy said.

"Everyone that we've encountered during evacuations today wish they'd left prior to the storm," he said.

Authorities are still working to extinguish 11 of 30 gas fires that broke out in the storm, he said. Flooding was still a problem in many areas.

Over its entire path, the storm killed at least 124 people -- 67 in the Caribbean, 56 in the United States and one in Canada.

The fire that broke out in the Brooklyn neighborhood of Breezy Point during the storm destroyed 110 homes, Assistant Fire Chief Joseph Pfeiffer said. Search and rescue teams were going through each home to check for victims.

"The number of homes lost in Breezy Point by fire is just tragic," Cuomo said Wednesday. "That no one lost their life in Breezy Point is a miracle."

Staten Island saw no such miracle. Half of the state's 28 deaths were on Staten Island, and two boys were missing.

Borough President James Molinaro said the waters have mostly receded, but the damage is severe.

Post-Sandy water safety tips

In Seaside Heights, New Jersey, Mayor Bill Akers said his hard-hit town will tough it out.

"We're going to just do the best we can and give the support," he said. "When it's tougher, we're the best community."

On Wednesday, the storm sputtered over the Great Lakes region, where its strong winds are expected to trigger some lakeside flooding as well as additional snowfall in parts of West Virginia, Maryland and Pennsylvania.

More than 5.3 million customers across the eastern United States were still in the dark Wednesday, down from the nearly 8 million who lost power shortly after the storm hit.

Christie described the damage along the Jersey Shore as "unthinkable."

Akers said crews are trying to get each and every person to shelters from his battered community, which he called he the storm's "ground zero."

Speaking to CNN, Akers' voice cracked a bit as he described the enormity of the destruction and the resolve to rebuild.

"I just want to try to keep the emotion out of it," he said. "For everybody, it's -- this is a loss for everybody ... not just Seaside Heights.

"If there's any good news," he added, "the water (has) receded, the roadways are accessible. But we still have downed power lines. We are not letting anybody in at that particular time."

Hurricane safety: When the lights go out

Some 10,000 Army and Air National Guard forces were on duty in the 13 states affected by the storm.

The Army Corps of Engineers was also helping, deploying water pumps and generators to New York and New Jersey, the U.S. Defense Department said. They're also going to send 80 truckloads of water to West Virginia, where snow generated by the storm has left some areas inaccessible.

Other military branches have also been deployed to help in the storm's aftermath. The U.S. Coast Guard sent airboats normally used for ice rescues in the Great Lakes, and the U.S. Navy was moving three landing ships to the affected coastlines.

Some 730,000 New Yorkers were still in the dark Wednesday night, with utility Con Edison estimating another three days before it can restore power to Manhattan and Brooklyn, and as many as 10 days for other boroughs and the suburb of Westchester.

Keep your food safe in a natural disaster

Bellevue Hospital in Manhattan evacuated its 700 patients because the pumps that supply oil to the generators are in the basement under 8 feet of water, a source familiar with the evacuation plan said.

New York University Langone Medical Center had to evacuate more than 200 patients because of a generator problem a day earlier.

The Lincoln Tunnel was open, but the Holland Tunnel, the other tunnel connecting New York and New Jersey, was still full of water. The Port Authority said it can't start pumping out the water until power is restored.

Still, there were hints amid the aftermath Wednesday that New York City was slowly getting back to normal. The New York Stock Exchange reopened after a two-day closure, Broadway's trade association said all shows would be curtains up on Thursday and Mayor Michael Bloomberg said Sunday's New York Marathon would go on as scheduled.

"For cooped-up New Yorkers and out-of-town visitors who are staying in hotels and can't get home, now is a great time to see a show!" said Charlotte St. Martin, executive director of The Broadway League.

That said, Thursday's game between the New York Knicks and Brooklyn Nets at the new Barclays Center in Brooklyn was postponed. And while traffic gridlock returned, for some it was a welcome sign that New Yorkers were at least trying to move forward.

How you can help

CNN's Joe Sterling contributed to this report.

@highlight

NEW: New York's governor declares a transporation emergency

@highlight

The storm's death toll reaches 124, with 56 of those in the U.S.

@highlight

New Jersey Gov. Christie asks for patience as crews try to restore power

@highlight

10,000 National Guard troops are on duty to help