Philadelphia (CNN) -- Perched on the edge of her hospital bed, Sarah Murnaghan performs a song she wrote and takes a bow. It's a song about perseverance, with a common refrain of "you can do it, if you try it."

Sarah is one of those 10-year-olds you feel lucky just to meet. But it's not because of her talents as a budding singer-songwriter, even though they are impressive.

It's because of her attitude and her drive for life.

Sarah was born with cystic fibrosis and has been in and out of hospitals her whole life. But it wasn't until February when Sarah and her parents, residents of Newtown Square, Pennsylvania, were forced to start living at Children's Hospital of Philadelphia.

For the past several months, her lungs have deteriorated rapidly -- much faster than her family had expected. She has less than five weeks left to live, said her mother, Janet Murnaghan.

"We knew at some point, she would need new lungs," her father, Fran Murnaghan, said. "We had hoped it would be much further down the road, but the disease has progressed."

Sarah, the oldest of four siblings, is well-aware she's sick -- but not aware of just how sick.

"I'm not going to tell her she's dying, because she's 10," Janet said. "I'm going to tell her we're going to keep fighting."

"I don't want to scare her."

While shooting an iPhone video of her daughter, Janet asks, "When are we getting you back to school?"

"Definitely a couple of months before (I go back) -- maybe even a year."

School is one of the things Sarah misses most about life outside of her new environment.

"I used to go to school before I got oxygen," Sarah says, pausing to wipe away tears as the "puffs" from the oxygen mask toss her bangs. "Got to go to school and at least try and act like all the other normal children."

Life with cystic fibrosis: 'Pretend you're on a boat'

Asked how she would describe living with "CF," Sarah says to "close your eyes and pretend you're on a boat." The boat she describes represents her lungs.

"The water keeps the boat afloat, but sand sinks your boat. And all we got is a little sandy, but we're going to be OK."

"She may feel like she's kind of sinking," mom said in a later interview. "As she said, what you can do ... is kind of brush off the sand, or if you need to get a new boat, kind of start over, which would be a transplant, to get a new set of lungs, so she'd be clean again."

But "brushing off her boat" and getting that transplant has proved difficult.

Sarah's been on the wait list for new lungs for 18 months, and the Murnaghans were under the impression a transplant was imminent. She is, after all, the No. 1 candidate on the priority list for children in her region, which consists of Delaware, District of Columbia, Maryland, New Jersey, Pennsylvania, West Virginia and northern Virginia.

But that's where it gets tricky -- she tops the list for children's lungs -- not adult lungs. For Sarah, a modified adult lung would fit as well.

Two weeks ago, Janet and Fran learned that if Sarah were 12, she'd have a much better chance of receiving adult lungs. But since she is 10, she primarily has access to children's lungs, which are in shorter supply.

"That's insane," mom said. "It shouldn't be about their age. If she's the sickest person, she should qualify."

Few lung transplants for children

In 2012, there were just 10 transplants in Sarah's age group, according to the United Network for Organ Sharing. There were more than 1,700 adult transplants.

According to the rules created by the organ network, the only way Sarah could receive an adult lung is if the other patients in her region who are 12 and older had a chance at it first.

It's a rule that Janet -- who's been dealing with getting her daughter a transplant for 18 months and who "did her research" -- learned about just two weeks ago.

"I was shocked," Janet said.

Dr. Stuart Sweet of St. Louis Children's Hospital is a board member at the United Network for Organ Sharing and helped write the current pediatric transplant system.

"It's not a perfect system. There is no perfect system," Sweet said in an interview. "It's the best we can do right now."

Sweet said Sarah's story "tugs at his heart" but that if he changed the system for Sarah's advantage, "there's another patient, very likely an adolescent, who gets a disadvantage."

"We've built a system that tries to be as fair to everyone as possible."

Mom and dad know that the rules are making it almost impossible for their daughter to receive a pair of lungs through the transplant system. But there is a shred of hope: There is always the possibility that someone steps forward with a direct donation to Sarah.

Children's Hospital of Philadelphia declined an interview with CNN for this story, but Janet said doctors are telling her that Sarah could "crash" any time now and need intubation, the insertion of a tube into her lungs for breathing assistance. The procedure is especially dangerous for cystic fibrosis patients.

She said doctors are planning to operate in coming days in an effort to divert that crash, which should buy her a few more weeks and more time for a potential direct donor to reach out to the Murnaghans. This procedure is known as ECMO -- extracorporeal membrane oxygenation -- and is used occasionally as a bridge to lung transplantation.

For now, Sarah, who has been outdoors only twice in the past 100 days, is looking forward to a possible transplant. As she puts it, "I'm not going for easy -- I'm just going for possible."

"We will (get them)! I can't wait to take my first breath with new lungs. I can close my eyes right now and imagine it."

"Are we gonna quit?" mom asks.

Sarah deliberates very briefly.

"No!" she shouts at the top of her lungs and slapping the bed with both hands. "I'm never going to quit! Never, never!"

New transplant technology keeps organs 'alive' outside body

Running with someone else's lungs

@highlight

Ten-year-old Sarah Murnaghan has cystic fibrosis and is caught up in a medical tangle

@highlight

She needs a new pair of lungs, but the rules say she's still a little too young for adult lungs

@highlight

Adult lung transplants are much more common, an organ sharing network says

@highlight

Sarah's mom, Janet: "I'm going to tell her we're going to keep fighting"