(Parenting.com) -- What does being a mother mean when your baby is dying? How do you parent a child with no future? These questions needle the reader throughout Emily Rapp's moving and beautiful new book, "The Still Point of the Turning World."

In January of 2011, when her son Ronan was just nine months old, Rapp learned he was dying from Tay-Sachs, a ruthless and heartbreaking disease with no cure. Ronan was given no more than three years to live. He had developed normally for six months until he simply stopped.

He would very gradually unravel, fading away from her piece by piece, until his death in February of this year.

Rapp, a powerfully elegant writer, turned to writing to grieve and for therapy. She processed her pain and fear on her blog, Little Seal. And now, Ronan lives on in this touching book -- as agonizing to read as it is imbued with hope and light.

Parenting.com: How a Dragon Mom taught me to live in the moment

Rapp recently spoke with Parenting's Brian Braiker about Ronan, what it was like to shepherd and protect him, and what she hopes parents of healthy children can take away from her book.

Parenting.com: This is one of the most personal and agonizing things one can imagine going through. How did the act of writing help you process and deal with it?

Rapp: I think it totally saved me. I talk to a lot of moms who lost their children to Tay-Sachs and a lot of them had children right after their child was diagnosed. I did not. I think I used the book as a way of putting life into the world.

When you're faced with death, the response is "how do you create life?" It gave me something to do that was a positive thing in the face of something that was just going to end in a horribly sad way.

Parenting.com: What can you say about parenting without a future? What does parenting become when your baby is dying?

Rapp: I think parenting is about wanting your child to have the best experience in the world possible. And I don't mean the most privileged experience. I mean the happiest. There are a lot of devastating things about this disease and one of them is that it goes against all these primal instincts we have to protect our children. But it's also a primal instinct to want to usher your child out of the world with dignity. That's also taking care of your child.

Parenting.com: And you found a kinship these other mothers of Tay-Sachs children. You call them dragon moms.

Rapp: I love those ladies. What's great about this moms' group is that no one is trying to one-up each other, which is a nice relief and change from most parenting groups. They're from all different parts of the world, different economic classes; they're hugely diverse in terms of religion, politics, age, geography. No one talks about things that would normally unite people like church or political affiliations. We talk about "how do you use a suction machine? Did you use a suction machine?"

It's grim. But it's people sharing ideas about how to make their kids most comfortable and what's best for their kids and how difficult those decisions can be when you're dealing with end-of-life issues.

Parenting.com: My special needs baby changed my life for the better

Parenting.com: What did you learn about the nature of grief and illness through Ronan?

Rapp: What I learned the most from this experience is that nobody knows anything about anything. There's no norm, there's no right life, there's no right way, there's no right person. All that stuff is completely silly. And it's meant to rank each other on this ladder: if you had a life someone wishes they had, you're a success. Which is stupid. If you're the person doing the envying, you're disregarding the things in your own life.

Parenting.com: We all struggle with that grass-is-greener syndrome, fear of missing out.

Rapp: It really shattered all of those categories for me. It's not like I'm suddenly some enlightened being. I'm not enlightened at all. I don't have any wisdom, it just made me realize so many of the things I was worried about were so silly. At first it terrified me, but now I find it really liberating.

Parenting.com: This book is also about the myths and the stories we construct for ourselves. How do you provide a narrative for a dying baby, for someone who will never be able to even understand his own story?

Rapp: A lot of the book is me projecting on him. He was just his own guy. Yes, his life was completely tragic on a biological level. His body did not work in the world. But people were really moved by being with him -- not because it was a sad story, but because he was so present and calm.

He never worried, because he didn't know how. He's sort of beyond story and we're left to create a story. But that itself is a story. It's a very weird experience being around a human person who has no ego. It's stunningly different than being around your average toddler.

Parenting.com: Living for the day my autistic son speaks

I'd think about it in yoga class, when they say "put it all out of your mind." I'd think "that's Ronan. He's just chillin'." We try so hard to drop into those moments and it's interesting when we meet a being that does it by his nature.

Parenting.com: There is of course a lot of intense sadness and grief in this book, but there are also moments of great joy.

Rapp: He would do funny things. He would giggle and have little sighs. He had a personality. Sometimes he would do something that would make me laugh. He was gorgeous and sweet. You could snuggle with him and take him places. All of that was happy.

Behind that was this thunderous knowledge and fear of what was going to happen next. You can't bear the second without the first. That's why those moments of elation happen. It's what human beings have to do. At Tay-Sachs conferences, it's the darkest humor you've ever heard. Some people would probably find it offensive. But you have to laugh sometimes, to offload the gargantuan stress that is involved in taking care of a baby who's dying. It sucks.

Parenting.com: This book is all about living that knowledge that the end is coming. Now that you're on the other side, is there something you would tell the you who was living in that?

Rapp: I would tell the me who was living that that when he died I would be relieved. And I was. I don't know if there's any right way to grieve. But when Ronan was diagnosed, it was like he died on that day. It was like he got hit by a truck.

I went through what I think any parent who loses their child suddenly goes through. I was out of my mind. When he died, he was ready to die. Anyone who has witnessed a death or knows someone who died knows that in that final moment the body is unraveling. It will do its thing and you just have to witness it. It's really wrenching but he was really, really sick when he died, and I wanted him to go because I didn't want him to suffer any more. I miss him, but there was nothing for him here.

Parenting.com: You finished writing the book before he died, but it was written in past tense. Was that a deliberate choice?

Rapp: The blog was written in present tense. I did that because I was writing things as they unfolded. But it felt really breathless to have that in the narrative in present in terms of the craft of the writing. Also I didn't want his death scene to be in the book. If it stayed in present tense it felt like it had to end that way, whereas this is more looking back.

Parenting.com: Is there anything you wish parents of healthy children would take away from this book?

Rapp: I wish parents of healthy children wouldn't be smug about it. There's something about smug parents that really hacks me off.

Parenting.com: Smug how?

Rapp: I hear this a lot from parents, and it's like how is this in any way helpful? "Looking at your life makes me feel blessed." Which is another way of saying "I'm glad I'm not you."

Parenting.com: What a horrible thing to say.

Rapp: It's disgusting. And what I want to say but don't say is "you don't know what's going to happen." I don't wish anyone ill. But you don't know what's going to happen to your children, so you better enjoy them now. They could drown in a pool or get leukemia or shoot themselves in the head when they're 30.

People don't want to hear that. But don't look at me and put that sympathy on me, because you don't know when chaos will hit you. And it will. I have a great life. It's a sad, complicated, beautiful, strange life. It's mine.

Parenting.com: You say you weren't a parent for very long. You don't feel that once you've been a mother, you're always a mother?

Rapp: It rings a little false. I miss my kid. I miss caring for him. Sometimes I'd get a glimpse of who he'd have been if he hadn't been sick and I wanted that kid. And I wanted to see him and meet him and know him. I'm glad I was his mother. I just wish I had been able to be it for longer.

Read an excerpt from Emily's book

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Writer Emily Rapp's son was diagnosed with Tay-Sachs disease at 9 months old

@highlight

As her son lived out his short life, Rapp grieved through writing

@highlight

Rapp delighted in moments of joy with her son and learned profound lessons