(Health.com) -- If you've ever seen a brown haze of pollution hanging over your city, most likely your response was, "Ugh. How can I avoid breathing that stuff?" But let's face it, even if you know it's a bad air day, you probably need to grab some sunshine, get in an outdoor run, or get to work.

Polluted air contains particulate matter, lead, ozone, nitrogen dioxide, carbon monoxide, and sulfur dioxide -- all of which can cause problems in people with allergies or asthma. Even if pollution is low, airborne pollen and mold can make a trip outdoors particularly daunting for people with respiratory conditions.

How to tell if it's a bad air day

The first step toward protecting your lungs is to know your city or town. More than 115 million people nationwide still live in counties with pollution levels considered potentially harmful to their health.

Air quality varies widely around the United States. Ozone, for instance -- which can pose a major problem for asthmatics -- tends to be more prevalent in urban areas, though it can be found in suburban and rural areas as well. If you live in Fargo, North Dakota -- one of the cities with the cleanest air in the nation -- you are likely to breathe easier than if you live in Los Angeles, which has the highest ozone levels in the country.

Local weather stations often provide this information on their websites, and radio stations typically give ozone alerts. In addition, many websites can tell you if pollutants, ozone, or pollen counts are high in your area on any given day.

• AirNow.gov, a site run by federal government agencies, provides a daily Air Quality Index as well as other useful information on air quality.

• The American Academy of Allergy, Asthma & Immunology's National Allergy Bureau has a daily mold and pollen report.

• The American Lung Association rates the air quality annually by state at stateoftheair.org.

• The Environmental Protection Agency has a feature on its website called My Environment, which gives you an up-to-date air-quality forecast for your zip code.

• Pollen.com offers a four-day allergy forecast using data from the National Weather Service.

However, it's not just pollen or air pollution that can trigger problems. Dr. Michael Benninger, M.D., the chairman of the Head and Neck Institute at the Cleveland Clinic, in Ohio, says changes in barometric pressure and temperature can also spell trouble for people with allergies to pollen and mold, people with severe sinus symptoms, and even people without allergies.

How to cope on bad air days

Once you've figured out what factors are most likely to pose a problem (usually by trial and error, or testing for allergies), and know the conditions in your area, there are several things you can do to cope.

One option is to reduce excessive exposure on days that might trigger symptoms. For example, Benninger recommends avoiding areas where pollen, mold, or other allergens are high. If you know that grass and trees are a problem, don't spend the day in a lush, tree-filled park; if you have to mow your lawn, wear a mask with a filter to reduce exposure to grass. Staying indoors with the windows closed and the air-conditioning on is also helpful, Benninger says.

Dr. Todd Rambasek, M.D., of ENT & Allergy Health Services, in Cleveland, says there are three things that typically affect your ability to breathe outside:

• How much of an allergen or pollutant is present.

• How heavily you are breathing. (For example, you breathe more heavily when exercising.)

• How well your symptoms are controlled, if you have asthma.

Health.com: Can't stop coughing? 8 possible reasons

People with asthma often need to use an everyday controller medication, which is a drug that eases underlying lung inflammation. Bronchodilators are another type of asthma drug that can be used to expand airways and relieve symptoms, such as shortness of breath or coughing. However, if you are using a bronchodilator inhaler all the time to treat symptoms, it's a sign that your asthma isn't under control and that you should be taking controller medication daily.

"If people take daily controller medications, they are less likely to have problems when they are near triggers," says Rambasek.

Health.com: How to buy the right air cleaner

In addition to regularly taking controller medications -- such as fluticasone, Singulair, and Azmacort -- asthmatics should also carry albuterol, a common bronchodilator, according to Rambasek. Using a bronchodilator inhaler about 30 minutes before going outside can be helpful, he says.

Over-the-counter antihistamines such as Claritin (loratadine) tend to work well and are relatively safe for those with allergies, Rambasek says. Benninger recommends using topical anti-allergy eye drops and Afrin for itchy eyes and congestion if symptoms are infrequent, though he cautions that Afrin should only be used for a few days at a time.

Health.com: 10 best big cities for people with asthma

Benninger also advises patients to begin taking medications two to three weeks prior to allergy season. Steroid nasal sprays are particularly beneficial when taken in advance if you have allergies that affect your sinuses, he says.

Smart ways to exercise on bad air days

If you know your triggers and have the appropriate medication on hand, there are still things you can do to prevent problems. If you exercise outdoors, try walking instead of running to reduce exertion. Don't run near high-traffic roads, if possible, and if you know what direction the wind is blowing, exercise upwind, Rambasek says.

If you are allergic to pollen, exercise when the counts are lower, in the early morning or evening, and avoid hot, windy days, he adds. Ozone levels tend to peak from 4 p.m. to 6 p.m. during the day.

Health.com: 15 hypoallergenic dogs and cats

Dr. Anne Marie Ditto, M.D., an associate professor of medicine in the allergy-immunology division at the Northwestern University Feinberg School of Medicine, in Chicago, says she generally tells patients not to avoid the outdoors. Instead, she recommends that people control their asthma and allergies so they won't have flare-ups. But there is one exception: people with asthma on high-ozone days.

"If you are in a city with an ozone action day, we tend to say, 'Stay inside if you are not well controlled ... or try to avoid a lot of outdoor activity,'" she says. "It might not be a good day to go outside and play baseball."

Health.com: 7 surprising triggers of lung trouble

Ditto says ozone causes inflammation and heightens sensitivity to outdoor allergens such as pollen or mold. This can increase the chance of an asthma attack.

Rambasek agrees.

"For someone with an ozone allergy and asthma, avoidance is their best bet because treatments aren't phenomenal," he says. "For someone with nasal allergies to pollen, treatment is good so we often don't recommend avoidance. But we don't have any shots to reduce people's sensitivity to ozone."

@highlight

Ozone tends to be more prevalent in urban areas

@highlight

Barometric pressure, temperature changes can spell trouble, says Benninger

@highlight

Ditto: Ozone causes inflammation and heightens sensitivity to outdoor allergens