(CNN) -- The cruise-line industry is a rough business.

Every time a passenger ship leaves port with a guest cabin unoccupied, that's money the cruise operators are never going to see.

Last week Micky Arison, the longtime chief executive of Carnival Corp., announced that he will be stepping down; revenues at the world's largest cruise-ship line have been falling. Arison will remain as chairman of the firm, but a new CEO will step in.

Cruise companies have always had to contend with uncertainties in the economy, which sometimes make travelers cautious about planning leisure trips, and Carnival has faced widespread unpleasant publicity in recent years. The Costa Concordia, owned by a subsidiary of the corporation, ran aground and partially sank off the coast of Italy in 2012, killing 32 people. This year the Carnival Triumph lost power in the Gulf of Mexico after a fire in the engine room, creating distressing conditions onboard for its more than 3,000 passengers.

The very nature of the cruise business -- the relentless competition between various lines, the need to fill those staterooms, a fickle public with a multiplicity of options for how and where to vacation -- might cause sleepless nights for executives, but for certain people, it provides a dream scenario:

A seldom-considered way to live the ultimate beach-bum fantasy, 21st-century style.

It's not for everyone. You need to, at least temporarily, have unlimited time on your hands, and you need to have saved, or come upon, some money that you won't one day regret using up this way.

And a desire, at least once during your time on Earth, to live your life as if it's a Jimmy Buffett song.

A few years back, I was on a cruise ship after a week at sea with the Surf City Allstars, the band with whom I occasionally travel and sing. Most of the passengers, on that final morning, were harried and tense about gathering up all their baggage and making the jarring reentry to the mundane real world. The fun was over.

But in a lounge area of the ship, one man sat near us as he waited for his debarkation group to be called. He seemed as serene and calmly blissful as if he was just getting ready to start a cruise, not end one.

That's because he was.

The way he explained it to us, he had parted company with the corporation that employed him; we got the impression that this was not voluntary on his part. He had been given some severance.

So, he told us, he had figured out a way, for a relatively small amount of money, to live, for a while, like a king. Like a sultan at sea.

He was now, he said, residing virtually full-time on cruise ships -- eating gourmet meals, lounging in the sun, listening to music and going to stage shows at night, sleeping in freshly made-up beds with the oceans of the world lulling him to sleep.

How could he do this?

Each week, he explained, he'd get on his computer and do searches for cheap, last-minute cruise deals. There are websites that specialize in exactly that.

He was counting on the need of all those cruise lines to fill every cabin -- he was counting on their willingness to do just about anything to get rid of their inventory (the unoccupied rooms) as their ships were about to sail.

He said that, by waiting until the last minute, and by not particularly caring where the ship with the best bargain was heading, he was able to find astonishing rates. The ship upon which we were talking had been sailing the Caribbean for a week. I believe he told us that the seven-day cruise, with all meals included, had cost him, as the clock ticked down and the rock-bottom price popped up, a little more than $300.

There is no way, on dry land, that you can eat a week of extravagant multi-course dinners in fine restaurants for $300 -- much less get living quarters, entertainment, recreation and all your other meals, too.

That winter, he said, he'd made the decision to base himself in the Fort Lauderdale, Florida, area, near the massive Port Everglades seaport. Occasionally he would have to pay for a night or two in a budget hotel before the next ship left, but his goal was to get off one ship, wait a few hours, and get right back on another.

And, while at sea, get on the internet and search for the next bargain.

For many people, a cruise is a once-in-a-lifetime treat. He had figured out how to make it his everyday world.

Now. . .there are tradeoffs. You don't get to plan in advance and choose exactly where you want to go. But if you do it every week, do you really care if, on a particular week, one of the ports of call is St. Lucia instead of St. Thomas? The Dominican Republic instead of Costa Rica? It doesn't matter -- for you, it's all travel roulette.

The downside -- and it's a huge one -- is that you are cast adrift in many ways.

Eventually, when your money runs out, you are going to have to think about rejoining the world of ambition and ladder-climbing, and trying to make up for lost time. You have to be the kind of person who can be content with the thought that you are accomplishing and accruing absolutely nothing while other people, back on land, are applying for jobs and working for promotions that will bring them financial security.

You have to be comfortable in the company of complete strangers, who materialize and then disappear week-by-week. You can't be a person with a family who is expecting you at the dinner table back home. And, although you don't have to be trust-fund wealthy, you have to somehow have $400 or $500 a week on hand, for weeks on end.

But the opportunity, for a particular kind of person, is there. The modern-day combination of a vast cruise industry, and an internet that makes finding 11th-hour bargains effortless, means that you can, for as long as you are able to get away with it, indulge yourself in an endless summer, letting rootlessness be a virtue.

Probably very few people reading these words will find themselves in a position, or a frame of mind, to do it, but maybe, the next time the cubicle culture begins to feel too confining, just the thought of it will bring a smile.

On gray days, it has for me. I've thought, from time to time, of that guy on the ship, and wondered how long he was able to make it last. Or whether it became a case of too much ice cream -- if he ended up deciding that the long meal of life was not meant to be an infinite succession of desserts.

And whether a fellow like Micky Arison, the head of Carnival, with all of the job's challenges and headaches, ever daydreams of being that guy instead.

The opinions in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: On a cruise, if a guest cabin goes unoccupied, that's money that's lost

@highlight

Greene met a man who was living virtually full-time on cruise ships at rock bottom rates

@highlight

He was living the ultimate beach-bum fantasy, 21st-century style, Greene says

@highlight

Greene: The downside is that you are cast adrift in many ways