(CNN)In late January, Kristiana Coignard, a seventeen-year-old woman with bipolar disorder and depression, walked into the police department in Longwood, Texas, with "I have a gun" written on her hand. She also had a knife in her waistband. Officer Glenn Derr approached her, read her message, and quickly restrained her. He then let her go, restrained her on the floor, then let her go again as two other officers entered the scene.

On the surveillance video that the department released, you can see the moment in which Coignard decides to die. She raises her knife and charged at Derr, who shoots, as does one of the other officers. The third officer deploys a TASER, but by then it was too late. She lies on the floor for a few minutes until emergency medical services arrive. The department has released a statement and held a press conference. The officers have been placed on administrative leave pending the outcome of an investigation by the Texas Rangers.

When police misread the circumstances of encounter with an individual with mental health crisis, the possibility for violence rapidly escalates. The only solution is for law enforcement to try to stabilize every encounter, to the extent possible, as if it involved psychiatric disability.

As a nation, we are in the midst of an extended conversation about police violence, and this case stands out as unusual. The victim was white and female, for one thing. Moreover, ugly use-of-force incidents usually result from police being too quick to escalate, rather than too slow.

In the last few years I've watched many videos, either from cell phones or police cameras, and read even more incident reports describing encounters between law enforcement and people with psychiatric disabilities. I cannot recall seeing a case in which an officer has a potentially violent individual so well subdued, and then just backs away. I wondered if just as being black and male sparks some officers to be overly aggressive, a confrontation with a slender white female might produce the opposite effect.

The best known victims of police violence while in mental health crisis are black men.  Police arguably are more prone to consider black men dangerous. They demand instant compliance and respond to any hesitation as a threat.

For example, in cases such as the death of Kajieme Powell in St. Louis, or Dontre Hamilton in Milwaukee, police officers engaged aggressively, demanding the individual act in a non-disabled manner and comply. In my review of such encounters, I've argued that Powell, Hamilton, and many other individuals in similar circumstances, couldn't follow orders as expected. Therefore, they were shot and killed. These are cases of law enforcement officers failing to recognize the complexity of a mental health situation.

In Longview, Texas, on the other hand, the incident shows the other side of the coin -- under aggression. I spoke to Lou Hayes, a police officer and a trainer for use-of-force incidents, he said that in his experience many officers are likely to be less aggressive toward women, especially small women, in ways that put everyone in greater danger. "Generally speaking, male officers are more reluctant to use lawful, justified, and necessary levels of force against women as compared to incidents with men." He also said that use-of-force models for a suspect armed with a knife, but restrained, might differ. Hypothetically, Hayes says that if he could control a suspect's arms, he would not let her free from the restraint hold, but that if he feared he might lose control, backing up and readying his firearm might be a reasonable choice.

At this time Officer Derr is not speaking about his decision-making, due to the ongoing investigation, so I don't know why he didn't try to handcuff her. I expect the investigation to determine that he was operating within the norms of his training for use-of-force. There's no question that using a firearm and aiming for center mass is the correct response for someone at close proximity charging you with a butcher knife raised.

It's just not the only way to handle these situations. For example, in Milwaukee recently, a man with a butcher knife charged at police officers. They held their fire, remembering the death of Dontre Hamilton, and instead led him in a chase around parked cars, shouting at him to drop his knife, and simply waited until he eventually complied. That's a model of tactical restraint that we need to see applied more broadly.

Encounters between people with psychiatric disabilities and law enforcement can be dangerous. Studies estimate that around half the people killed by law enforcement every year have psychiatric disabilities such as schizophrenia or bipolar disorder.  There will always be some situations in which the threat level is so great that there's no way to stabilize it peacefully.

But the death of Kristiana Coignard was not one of them.  Her death demonstrates that the ongoing crisis of violent police encounters with people with mental health transcends race, class and gender. It requires fundamental rethinking of strategic approaches to these types of incidents on a national level.  Until that happens, the unnecessary deaths will continue.

@highlight

Kristiana Coignard, who had mental illness, was killed after she raised knife and charged at police

@highlight

David Perry: Encounters between people with psychiatric disabilities and law enforcement can be dangerous