Hong Kong (CNN) -- Two tropical cyclones have made landfall in eastern China, prompting the evacuation of hundreds of thousands of people from coastal areas as the Philippines and Taiwan assess the damage that one of the storms left in its wake.

Tropical Storm Saola plowed into the southeastern Chinese province of Fujian on Friday morning, after the torrential rain and strong wind it brought to parts of the Philippines and Taiwan had left more than 40 people dead.

Saola arrived hours after Typhoon Damrey had reached the Chinese coast farther north in Jiangsu Province. The last time two powerful storms struck China in such quick succession was in 2006, according to CNNI Meteorologist Jennifer Delgado.

In Fujian, the authorities relocated more than 300,000 people to "safe places" ahead of Saola's arrival, the state-run news agency Xinhua reported, citing the provincial flood control and drought relief headquarters.

The authorities warned of potential floods and mudslides resulting from the storm's heavy rain.

Saola's winds had weakened by the time it hit the Chinese coast. They had been at typhoon strength when the storm slammed into Taiwan on Thursday morning, reaching more than 140 kilometers per hour (87 mph) near its center.

When Saola moved away from Taiwan on Thursday night, it had killed five people, injured 15 and left two missing, according to Taiwan's Central Emergency Operations Center. More than 6,700 people had to be evacuated from affected areas, the center said.

One of the deaths was filmed by a closed-circuit camera in Taipei, the capital of Taiwan. Video from the camera showed a man disappearing down a sink hole after the rain-sodden ground collapsed beneath him.

Taiwan's rugged terrain intensified the effect of the storm.

"The mountains really help enhance the rainfall," said CNNI Meteorologist Taylor Ward. "They basically force the air upwards, and that squeezes out the possible precipitation."

The casualties in Taiwan came on top of the 37 people killed and 33 injured by the storm in the Philippines, according to the country's National Disaster Risk Reduction and Management Council.

The deaths resulted from causes that included drowning, falling trees and landslides, the agency said.

In all, Saola dropped as much as half a meter (1.5 feet) of rain over the Philippines, Ward said. The storm hovered near the country for several days.

On Thursday night, Damrey was generating winds as strong as 126 kilometers an hour (78 mph) near its center when it made landfall in Jiangsu, Xinhua reported, citing the Chinese National Meteorological Center.

Powerful winds and rainstorms from the storm have lashed nearby cities, Xinhua said, noting that 29 flights had been canceled at the Qingdao Liuting International Airport on Thursday night. No flights were canceled Friday morning, though, it said.

Damrey had skirted southern Japan before traveling across the sea toward China's northeastern coastline.

East Asia has experienced a number of strong storms in recent weeks.

Early last week, a powerful storm that hit the southern Chinese coast prompted Hong Kong to raise its strongest typhoon warning for the first time in 13 years, shuttering much of the city.

The storm also pummeled the neighboring Chinese province of Guangdong with heavy wind and rain.

Typhoon season in the region typically lasts from June through October, with an average of seven to 10 named storms hitting the Chinese coast.

The storms usually form in the area between the Philippines and southern Japan, known as "Typhoon Alley."

Inland China has also suffered from severe rain this summer.

A violent rainstorm in Beijing last month caused the worst flooding in the Chinese capital in decades, killing at least 77 people and provoking criticism from residents about the city's infrastructure and response to the disaster.

Heavy rain elsewhere in China has left dozens more people dead, filled rivers and lakes to dangerous levels and forced the authorities to step up emergency preparations.

On Thursday, Premier Wen Jiabao called on local authorities to intensify flood control efforts during a two-day tour of Henan and Hubei provinces, Xinhua reported.

CNN's Jethro Mullen and Anjali Tsui contributed to this report.

@highlight

NEW: The Chinese authorities have relocated more than 300,000 people

@highlight

Tropical Storm Saola hits the Chinese province of Fujian

@highlight

Hours earlier, Typhoon Damrey slams into the Chinese coast farther north

@highlight

Saola has already wreaked havoc in the Philippines and Taiwan, killing more than 40