London (CNN) -- Sometimes Jaria Faraj Ali is so hungry that she ties a scarf tight around her waist to make her feel more comfortable.

The Yemeni mother of six told the international aid group Oxfam that she has now resorted to begging because food prices are so high and she doesn't have an income.

And in Pakistan, 28-year-old Asif Masih says he has to work at two jobs to buy enough food. "I drive a taxi part time as well as work in an office because otherwise me and my family won't be able to eat," he told CNN.

Their stories of hardship are echoed across the globe from Tajikistan to Peru where a recent spike in world food prices has hit the most vulnerable, and particularly in countries that rely on imported food.

Rising food prices have been blamed on a number of factors -- for example, rising energy costs, changing land use for biofuel production, local conflicts, and an increasing demand for meat and dairy products.

But 2012's severe weather events around the world have led to low yields in nations such as the U.S. that export grain. Oxfam fears climate change is responsible and that impoverished people could be facing a future of high food prices driven by extreme weather trends.

Oxfam spokesperson Colin Roach said: "High and volatile food prices spell misery for millions of people like Jaria who face a daily struggle to put food on the table. This is man-made misery in a world which produces enough for everyone to eat."

A recent study commissioned by Oxfam into global warming and food prices, said: "Against a backdrop of rising populations and changing diets which will see global food production struggle to keep pace with increasing demand, the food security outlook in a future of unchecked climate change is bleak."

Oxfam-commissioned research on extreme weather and extreme prices

It has certainly been a tough year for farmers. While much of North America baked in the hottest July on record and the Mid-West suffered its worst drought in 56 years, the UK endured its wettest summer in a century.

Back in September, CNN reported: "From Ukraine to Yellowstone, in Pakistan and Kazakhstan, the skies have stayed clear, and the earth has been parched. And on the world's commodity exchanges, the prices of corn, soybeans, wheat and tea are surging."

The driest season: Global drought causes major worry

UK cereal farmer Jeff Powell says it was the poorest harvest he had seen in 30 years of farming with low yields and poor quality grain -- and he warns that the full effects are yet to filter into the system.

"Your loaf is going to cost more money this winter without a doubt -- when we get to Christmas bread prices will be up a lot," he said.

"It's an absolute nightmare for anyone in the livestock industry -- especially pigs and dairy -- with feed prices going up they can only stand that for so long."

In the U.S. state of Kansas, Donn Teske, who runs a prairie farm, said it was not unusual to have dry years but added: "What we are finding though is that the extreme weather events are becoming much more extreme. Historically we haven't had these kind of conditions since the 1950s and before that the 1930s."

Find out how high food prices affect people across the world

The implications could be serious.

Michael Roberts, an associate professor of economics at the University of Hawaii, wrote in August that lower U.S. crop yields would impact the world's poorest and could lead to social unrest.

"For these people, a huge rise in grain prices is more than noticeable -- it can break their budget. In 2008 and 2011, when corn prices went up to levels nearly as high as today's, the world saw a sharp rise in food riots. Many pointed to wheat prices as a catalyst for revolutions in the Middle East, including Egypt, Tunisia and Libya."

Oxfam says commodities futures markets are indicating there may be another spike in prices in early 2013, but expects high and volatile food prices in the medium to long term. It says governments should do more to prevent famine.

"Putting a stop to food price crisis requires a radical new approach to the way we grow, share and manage food," said Oxfam's Colin Roach. "Governments must kick start the process by investing in small scale producers who feed billions across the developing world, regulating commodity markets; putting an end to biofuels policies which divert food crops into fuel; tackling greenhouse gas emissions which drive extreme and erratic weather and helping poor producers adapt to a changing climate."

There was better news for consumers this week when the United Nations Food and Agriculture Organization (FAO) reported that global rice production for 2012 was expected to outpace consumption, saying improved weather patterns in Africa and Asia had contributed to the rebound in rice inventories.

And farmers are trying to adapt. Donn Teske says he will be stocking fewer cattle next year and trying to plant crops with less tillage to preserve the moisture.

Some countries are also taking a longer term approach to reducing their reliance on food imports by looking for alternative staple crops.

Nigeria has a population of 170 million and according to Debisi Araba, the special adviser to Nigeria's agriculture minister, the country spends 635 billion naira ($4 billion) annually on wheat and an astonishing one billion naira ($6.3 million) each day on rice imports.

But Nigeria has a plan to combat this huge cost. Araba said Nigeria produces 34 million tons of the starchy root crop cassava every year and this can be mixed with wheat flour.

He said Nigeria was planning to replace 40% of wheat flour with cassava and was ramping up production of rice. Araba believes the country will be able to produce 2.1 million tons of rice by 2015, first becoming self sufficient, and then able to export.

Opinion: How Africa could feed the world

For other farmers, it may be more of a challenge to deal with any erratic weather patterns in the future.

Jeff Powell said: "Now with a wet autumn a lot of people are struggling to get their winter crops planted. If we have more years like this [2012] then we may aim to plant more crops in the spring... but the spring last year was bone dry. It's a bit of a catch-22."

Are you affected by high food prices? Tell us your experiences.

CNN producer Shaan Khan contributed to this story.

@highlight

This year's severe weather events have led to low yields in grain exporting nations

@highlight

Kansas prairie farmer Donn Teske says extreme weather events are becoming much more extreme

@highlight

Aid group Oxfam believes there may be another spike in food prices in early 2013 and longer term volatility

@highlight

Some countries like Nigeria are looking for alternative staple crops such as cassava