John Kerry wasn't the first to use the A-word -- apartheid -- when talking about Israel, and he likely won't be the last.

Even some Israeli leaders have mentioned the word that basically means "separate" in describing the eventual result if a Jewish state had a Palestinian majority in some areas, such as currently exists in the West Bank.

However, the U.S. secretary of state touched a diplomatic live wire last week when he predicted an apartheid situation if Israel and the Palestinians fail to agree on a two-state solution for their decades-long conflict.

Republican Sen. Ted Cruz of Texas, a tea party favorite and possible presidential candidate, called for Kerry's resignation, while pro-Israel groups accused America's top diplomat of inappropriate language and insensitivity.

The backlash reflected both the hyper-partisanship of a U.S. election year and the high stakes of Middle East peace talks pushed by Kerry that have effectively broken down in the latest episode of a dispute that seems to define the word intractable.

"Unwise, ill-timed and ill-advised"

"This was unwise, ill-timed and ill-advised for sure, but it's not going to make much of a difference frankly in the overall arc of the process that's promising only diminishing returns," said Aaron David Miller, a former U.S. negotiator on the Israel-Palestinian issue.

Kerry issued a statement on Monday acknowledging he used the wrong word in comments to a closed-door meeting of the Trilateral Commission of private sector leaders from North America, Europe and Asia.

At the same time, he  vigorously defended his long-held support for Israel and commitment to finding a two-state solution to the Middle East conflict.

"I will not allow my commitment to Israel to be questioned by anyone, particularly for partisan, political purposes, so I want to be crystal clear about what I believe and what I don't believe," he said.

"I have been around long enough to also know the power of words to create a mis-impression, even when unintentional, and if I could rewind the tape, I would have chosen a different word to describe my firm belief that the only way in the long term to have a Jewish state and two nations and two peoples living side by side in peace and security is through a two-state solution," he added.

Apartheid was the reviled system of racial segregation implemented by the white-minority government in South Africa for decades before the country transitioned to a multiparty democracy that was first led by Nelson Mandela.

A series of laws determined where black South Africans could live, work and go to school, who they could marry, and even which beaches they could use. The intent was to maintain power for the white minority while stripping blacks of all rights of citizenship.

In the rhetoric of the Middle East dispute, Palestinian nationalists and others have accused Israel of apartheid-like policies, an accusation vehemently denied by Israeli authorities.

Palestinians with citizenship rights comprise a minority of Israel's population, but non-citizen Palestinians in the West Bank and other territories face severe security restrictions that limit their movement and other basic freedoms.

Palestinians in Israel

Some Israeli officials have acknowledged that failure to reach a peace agreement that creates a Palestinian state alongside the Jewish state would result in non-Israeli Palestinians living in Israel without the same rights as Israeli citizens, including the right to vote.

"As long as in this territory west of the Jordan River there is only one political entity called Israel, it is going to be either non-Jewish or non-democratic," former Prime Minister Ehud Barak said in 2010 when he was defense minister. "If this bloc of millions of Palestinians cannot vote, that will be an apartheid state."

Other Israelis who have warned about a future apartheid state include former Prime Minister Ehud Olmert and Justice Minister Tzipi Livni, the government's chief negotiator.

Kerry's statement cited such comments, saying that "in the long term, a unitary, binational state cannot be the democratic Jewish state that Israel deserves or the prosperous state with full rights that the Palestinian people deserve."

Like Kerry, Israeli officials also have warned of potential increased violence from a growing Palestinian independence movement without a two-state agreement, as well as possible increased international condemnation for the situation on the ground.

Tuesday was the nine-month deadline Kerry set last year for coming up with some form of agreement in the talks. Despite Kerry's repeated trips to the region to try to push the negotiations forward, the process hit a road block last week when the Palestinians announced they would combine rival movements Fatah and Hamas to form a unity government.

Israel's Security Cabinet subsequently announced the country won't hold talks with a Palestinian government that includes Hamas, which the United States considers a terrorist organization.

International pressure

Palestinian negotiator Saeb Erekat issued a statement Tuesday that blamed Israel for the breakdown in the talks and said "we believe that the international community must now do what is needed, in order to make clear to Israel that choosing settlements and apartheid over peace has a political, legal and economic cost."

Kerry's controversial comments were reported Sunday by the Daily Beast, based on a secret recording of his remarks. Before his statement Monday that served as confirmation of the Daily Beast report, critics attacked.

The American Israel Public Affairs Committee called the apartheid remark "deeply troubling," while Abraham Foxman, national director of the Anti-Defamation League, issued a statement calling reports that Kerry used such language "startling and deeply disappointing."

"Even if he used the repugnant language of Israel's adversaries and accusers to express concern for Israel's future, it was undiplomatic, unwise and unfair," Foxman said. "Such references are not seen as expressions of friendship and support."

House Majority Leader Eric Cantor, a Virginia Republican who is the highest-ranking Jewish member of Congress, said the word apartheid "has routinely been dismissed as both offensive and inaccurate, and Secretary Kerry's use of it makes peace even harder to achieve."

Cruz said Kerry should step down because "there is no place for this word in the context of the state of Israel."

On Tuesday, other Republicans also weighed in.

"The secretary of state of the United States -- his words or her words -- carry great weight," GOP Sen. John Barrasso of Wyoming told MSNBC. "And I think what the secretary said was hurtful and harmful and he should have apologized."

U.S. politics at play

Some Democrats also criticized Kerry. Alaska Sen. Mark Begich chided him for improperly expressing his frustration over the foundering peace talks.

Begich faces a tough re-election race in November in his traditionally Republican state. Support for Israel is an essential policy for candidates seeking to win votes from the political right and center.

Meanwhile, some pro-Israel voices backed Kerry's analysis of the situation.

In a statement on its website, the U.S. group J Street said "Israel today is not an apartheid state, and that's not what Secretary of State Kerry said."

"For over a year now, Kerry has argued that, without a two-state solution, Israel is risking its future and its values as it moves toward permanent rule over millions of Palestinians without equal rights," said the J Street statement. "Former Prime Ministers Ehud Barak and Ehud Olmert have used the 'apartheid' term as well to describe this possible future. Instead of putting energy into attacking Secretary Kerry, those who are upset with the secretary's use of the term should put their energy into opposing and changing the policies that are leading Israel down this road."

At the State Department on Tuesday, spokeswoman Jen Psaki made a similar point when reporters grilled her about whether Kerry's statement the night before amounted to an apology.

"He still believes that, as many Israeli officials have stated, there would be challenges to a unitary state," Psaki said.

Former President Jimmy Carter came under similar criticism when he published a book on the Middle East conflict titled "Palestine: Peace, Not Apartheid" in 2006.

"Most of the criticisms of the book have been the one word in the title, 'apartheid,' " Carter said in 2007, adding that the "mandatory separation" inside the Palestinian territories and "terrible persecution and oppression of the Palestinians by the Israelis" was "a basic issue that has got to be corrected before Israel can have peace."

@highlight

Sec. Kerry takes heat for saying what some Israeli leaders have expressed

@highlight

Critics call Kerry's remarks "undiplomatic," "ill-advised"

@highlight

The backlash reflects U.S. election-year politics and the volatile Middle East conflict

@highlight

State Department: Kerry used the wrong word to make his point