(CNN) -- With its vast array of freaky specimens that seem to belong in some haunted manor, Philadelphia's 150-year-old Mutter Museum may be the gold standard in medical museums.

But it's not alone.

Museums dedicated to niche medicine, pathology, anatomical curiosities and cultural trends keep visitors fascinated and appalled with their educational and grotesque displays.

Whether it's an oversized parasite, a diseased organ preserved in formaldehyde or a historical look at the outrageous medical practices of yore, there's bound to be an address to discover some sort of unnerving discovery even in less traveled destinations.

In honor of International Museum Day on May 18, here are the world's weirdest medical museums.

Bart's Pathology Museum, England

A university collection started in 1879, this exclusive medical oddity exhibit is part of the Queen Mary, University of London.

It's open only for special soirees and events that fill up quickly. It's even hosted a pop-up cake shop by Eat Your Heart Out bakers.

The nearly 5,000 specimens include various objects pulled from human bodies over the last 150 years -- toothbrush in the esophagus, anyone?

Also on display: the dissected body parts of assassin John Belingham among other relics dating to the 1700s.

Bart's Pathology Museum, Robin Brook Centre, West Smithfield, London; +44 20 7882 8766; open for select events at the moment

Berlin Museum of Medical History at the Charité, Germany

Snippets of Germany's medical history find a home in this restored 19th-century building that houses 1,800 of the 23,000 original specimens that survived World War II bombings.

The oldest artifacts include bladder stones from the 1700s. Other curios include a 60-pound megacolon from a patient who died in 1960, an 18th-century birthing chair and various tumors alongside forms of other disease.

The museum also traces the darker side of German medicine, including how the National Socialists used science to justify their horrific actions toward race purification.

Berlin Museum of Medical History at the Charité, Charitéplatz 1, Berlin; +49 30 450 536 156; Tuesday-Sunday 10 a.m.-5 p.m. Monday, Wednesday, Saturday 10 a.m.-7 p.m.; €7 ($9)

Choowondang Korean Medical Museum, South Korea

Opened in 2008 in a thriving medical center dating from the 1800s, this museum details the history of Korean medicine.

Items including medical chests and documents are on display, giving insight into the development of Eastern medical practices.

The adjoining clinic launched just after the Korean War broke, which was when the Yoon family moved their practice south from North Korea.

A main feature of the building is the herbal-production lab with gleaming metal drums shining through the glass walls.

Choowondang Korean Medical Museum, 153-1, Nakwon-dong, Jongno-gu, Seoul, South Korea; +82 2 3672 2005; Monday-Wednesday, Friday 9:30 a.m.-6 p.m., Thursday 9:30 a.m.-12:30 p.m.; ₩2,000 ($2)

Fragonard Museum, France

Originally an anatomy collection for veterinary students begun in the 1700s just outside Paris, the curiosities-filled Musée Fragonard opened to the public in 1902, closing in the 1990s for renovations that lasted until 2008.

Skeletons and anatomical displays fill the rooms, but the main event is in the cabinet of unsettling specimens.

The skinned bodies flayed by expert 18th-century anatomist Honoré Fragonard are some of the most renowned yet unsettling specimens in Europe.

Horses, monkeys and even human fetuses are on display, showing all of the gory innards that our skin (fortunately) covers.

Fragonard Museum, 7 avenue du Général de Gaulle, Maisons Alfort, France; +33 143967172; Tuesday-Wednesday 2 p.m.-6 p.m, Saturday-Sunday 1 p.m.-6 p.m.; €7 ($9)

Ibn Sina Academy of Medieval Medicine and Science, India

Named after a 10th-century Islamic philosopher and physician, this museum takes a glimpse into medicine across the Middle East and Asia.

Its modest but ancient collection includes artifacts from Greco-Arab doctors and medical manuscripts dating to the tenth century.

Unani drugs and some dusty-looking tools are on display alongside a large array of busts of then-famous scientists, few of whom will be familiar at all.

There are also handmade antiquated clay and mud molds showing the GI and respiratory systems.

Ibn Sina Academy of Medieval Medicine and Science, Tijara House, Dodhpur, Aligarh, India; +91 571 3290275; Monday-Saturday 9 a.m.-2 p.m., Sunday 4 p.m.-8 p.m.; free admission

Meguro Parasitological Museum, Japan

Celebrating its 60th birthday this year, the Meguro Museum started out when Dr. Satoru Kamegai began exhibiting parasites to raise public awareness after World War II.

His specimens evolved into one of the most intriguing medical museums in the world, with two floors dedicated entirely to hundreds of skin-crawling (and burrowing) parasites. The museum owns approximately 60,000 specimens.

An impossibly long Diphyllobothrium nihonkaiense, or tapeworm, is on display.

Those who want to keep the experience alive can purchase a T-shirt with the creature printed on it, more or less where it would be living inside of you, feeding parasitically.

Meguro Parasitological Museum, 4-1-1 Shimomeguro, Meguro-ku, Tokyo, Japan; +81 337161264; Tuesday-Sunday 10 a.m.-5 p.m.; free admission (donations welcome)

Museum of Human Disease, Australia

This educational museum helps you to "know your enemy," presenting more than 2,000 examples of human diseases past and present.

Among the samples are a 19th-century tuberculosis lung, an ovarian tumor featuring teeth and hair and brains infected with mad cow disease.

Largely geared toward students, welcoming nearly 10,000 a year, the museum is the only one of its kind in Australia open to the public.

Opened in 1960, the museum continues to update its collection.

Museum of Human Disease, Ground Floor Samuels Building, UNSW Sydney, New South Wales, Australia; +61 29385 1522; Monday-Friday 10 a.m.-5 p.m.; AU$11 ($11)

Museum Vrolik, Netherlands

This medical and anatomy museum is just one of many trippy experiences in Amsterdam. The 10,000 oddball items from the Vrolik family's collection dating to the 1700s include one-eyed creatures, preserved conjoined twins and so-called mermaid fetuses.

The 16th-century bladder stone the size of a human fist is especially painful to look at, but no more than the pathologically deformed bones or corset livers.

Museum Vrolik, Academic Medical Center, Meibergdreef, Amsterdam; +31 20 566 4927; Monday-Friday 10 a.m.-5 p.m.; free admission

Paul Stradin's History of Medicine Museum, Latvia

Latvia doesn't scream medical tourism, but this museum's hodgepodge of items started by Latvia's greatest surgeon and medical historian is worth a visit.

Dr. Paul Stradins started the collection in the 1920s. It includes, among other things, both a two-headed canine and the dog named Chernushka, who was launched into space aboard Sputnik 9, and survived.

The museum houses more than 203,000 items, with dioramas including a recreated medieval pharmacy and town that explores healing techniques of the Middle Ages.

Paul Stradin's History of Medicine Museum, Antonijas iela 1, Rīga, Latvia; +37 167222665; Tuesday-Saturday 11 a.m.-6 p.m., Thursday 11 a.m.-7 p.m.; 1.50 lats ($3)

The Maude Abbott Medical Museum Osler Collection, Canada

A varied collection of about 150 organs dating to the late 19th century is the major draw at this Canadian academic museum. The only problem is that you can't visit it -- yet.

The museum is, for the moment, exclusively online, featuring detailed images and information for the collection, but McGill University is making room for a physical exhibition to showcase the extensive array of innards, skeletons, autopsy log books and pathological specimens.

Many of the organs come from across North America, but are primarily from local Montreal hospitals.

The Maude Abbott Medical Museum Osler Collection, Duff Medical Building, Room B4, 3775 University Street, Montréal, Quebec; collection only available online at the moment

10 of the world's best dinosaur museums

@highlight

Medical museums around the world display grotesque curiosities related to niche medicine, pathology, anatomy and cultural trends

@highlight

International Museum Day is May 18

@highlight

Curios include two-headed dog, one-eyed creatures, preserved conjoined twins and brains infected with mad cow disease