(CNN) -- 2010 began with promise for advocates of immigration reform, but it ended with a stark reminder of the obstacles they face.

In the two weeks since a Senate filibuster killed the DREAM Act (it stands for Development, Relief, and Education for Alien Minors), commentators and political strategists have already shifted their focus to the next Congress, where any legislation including legalization of undocumented people is unlikely.

To chart a path for the future, however, it's useful to take stock of what DREAM's failure reveals about the bill's opponents.

In letting this piece of legislation die, 45 senators allowed restrictionist sentiments to prevail over economic rationality and showed why it is so hard to have a sensible national conversation about immigration. (It won't help them much with the Latino electorate either.)

In actual fact, considering immigration through an economic lens makes sense these days, as Americans and their political leaders grapple with an economy climbing out of crisis. It should have been a no-brainer for Congress to promote the development of skilled workers and encourage them to stay here. Instead, they killed the bill that directly confronted what to do with the immigrant potential we already have within our borders.

DREAM was not about the relative merits of bringing in new immigrants -- an important question for another day. The most recent version of DREAM offered a way to bring roughly 1 million motivated high school graduates into our formal economy.

Conditional upon completing two years of university or military service, undocumented immigrants brought here by their parents as minors would be offered an earned path to citizenship. The students would have been able to go to college, serve in the military, and go on to use their education and talents to contribute to our economy and national security.

DREAM was based on the simple premise that we do not punish children for the actions of their parents. But allow me, for the moment, to set aside the critical questions of justice, inclusion, and compassion and focus instead on the economic question.

DREAM students have been educated in this country for up to 12 years, and the vast majority of them want to go on to college. In fact, tens of thousands of "DREAMers" have already completed at least an associate's degree.

By voting against DREAM, the Senators -- 39 Republicans and 6 Democrats -- who either abstained or voted against limiting Senate debate effectively told those immigrants to either remain in the shadows or take their education, motivation, and ingenuity elsewhere. The senators revealed a willingness to squander the investment our country has already made on these young people.

The economic effects are quantifiable. First, on the budget: The nonpartisan Congressional Budget Office calculated that passage of DREAM would have reduced the government deficit over the next 10 years by $2.2 billion because DREAMers would contribute more in taxes and social security payments.

Meanwhile the longer-term implications for the deficit are less clear, but the DREAM Act's principal economic benefit would have gone beyond public revenues and spending.

As DREAM Act participants attended college and either joined the workforce or continued studying, they would have helped fill our impending labor shortages of nurses, teachers, and computer technicians. No wonder, then, that a recent UCLA analysis found that granting DREAMers legal status would generate at least $1 trillion in income for the U.S. economy over their working lives.

Even the conservative United States Chamber of Commerce -- which supported the DREAM Act -- sees the economic benefits of legalizing immigrants like those eligible for DREAM. The Chamber, like outspoken leaders of many Fortune 500 companies, knows that the baby boomers will soon retire and that our increasingly service-based economy needs more young skilled workers here at home.

By sending educated young people away we would be doing the opposite of what sensible governments strive for: keeping the skilled labor that all economists identify as critical for economic growth. Meanwhile, allowing them to stay, complete their education, and join the workforce would bolster segments of our economy for which we will soon lack enough qualified workers.

But virtually all Republicans and a few conservative Democrats in the Senate refused to heed this simple economic argument. The bill's death-by-filibuster marked the low point for an outgoing Senate that has pandered with nothing but short-sighted enforcement policies.

The big question, now, is whether Republican leaders in the new Congress will recognize the need to shift from their current suicide path of alienating Latino voters. Here, the role of conservative advocates of comprehensive immigration reform could be critical.

Conservative religious groups, some of whom have begun advocating policy that would show compassion and respect for what they called the "God-given" dignity of immigrants, could be a powerful voice in advancing the moral case for reform.

Meanwhile, business leaders must further amplify their message about the need for immigrant labor and a sensible system to legalize and regulate it. These two groups would face steep odds in achieving any pro-immigrant legislation in the next two years, but they could begin the important work of bringing shared values and common sense back to this debate -- and setting the stage for the Dream Act's next act.

The opinions expressed in this commentary are solely those of Daniel Altschuler.

@highlight

Daniel Altschuler says it helps to look at what DREAM Act's failure says about its opponents

@highlight

Opponents ignored evidence, he says, that act would have been big economic plus for U.S.

@highlight

That's irresponsible for economy, he says, and will also hurt them with Latino voters

@highlight

Writer: Business, religious groups that back DREAM Act must help set stage for next act