When Vice President Joe Biden and Defense Secretary Robert Gates advised President Barack Obama in late April 2011 that sending a Navy SEAL team into Pakistan to capture or kill Osama bin Laden was not worth the various risks that this operation entailed, John Brennan, the president's top counterterrorism adviser, urged the president to authorize the raid.

It's that kind of call that has made Brennan the president's go-to guy since the beginning of Obama's first term on all matters related to terrorism and has also thrust him into a broader policymaking role in the Middle East and in South Asia.

From his windowless office deep in the bowels of the West Wing a few steps from the Situation Room, Brennan has been at the center of every important decision in the war against al Qaeda.

Brennan is a serious, taciturn man who grew up in New Jersey and attended Fordham University in New York, where at one point he contemplated becoming a priest. Instead, he joined the CIA and spent more than two decades in the shadows, rising to take on important positions such as Bill Clinton's intelligence briefer and CIA station chief in Saudi Arabia.

Three years after 9/11, Brennan became the first director of the National Counterterrorism Center, which shapes overall strategy against al Qaeda and its allies across the 16 agencies of the U.S. intelligence community.

After he retired, Brennan went into the private sector, where he played an early role in advising the Obama campaign in the run-up to the 2008 election.

It's this long history with Obama and his depth of experience in the intelligence community that have made Brennan the president's pick to run the CIA.

Facing tough questions

On Thursday, Brennan will testify before the Senate Intelligence Committee, a milestone on the road to what is shaping up to be a contentious confirmation to be CIA director.

At his confirmation hearing, Brennan will be asked some tough questions about the administration's policies on CIA drone strikes, policies that he has played a key role in formulating.

Taking even the most conservative estimate of casualties during Brennan's time as Obama's top counterterrorism adviser, CIA drone strikes in Pakistan have killed 1,577 people, 143 of whom were identified in credible news reports as civilians, according to a count by the New America Foundation.

Brennan will also likely be asked to discuss the still-classified Senate Intelligence Committee's three-year investigation into the CIA detainee program and the extent to which coercive interrogations of some of those CIA-held prisoners elicited useful information.

The head of the committee, Sen. Dianne Feinstein, D-California, has said that coercive interrogations did not provide key leads in tracking down bin Laden, while a number of retired senior CIA officials have claimed that they did.

Undoubtedly, this discrepancy will be something that the committee will want to delve into with Brennan.

Opinion: Bring drones out of the shadows

Role in the raid

Perhaps more than any other official, he played a key role in what has surely been the Obama administration's greatest success overseas: tracking bin Laden to an obscure city in Pakistan and then formulating the overall plan that led to the death of al Qaeda's leader.

In August 2010, CIA Director Leon Panetta went to the White House to brief the president and a handful of his top national security advisers, including Brennan, that the CIA had a promising lead that suggested bin Laden could be living in a compound in the northern city of Abbottabad.

The case that bin Laden was living there was entirely circumstantial and was based on the fact that residing at the Abbottabad compound was a longtime al Qaeda insider and that he and the other people living in the compound were taking elaborate measures to deceive their neighbors about their identities.

One of the mysterious residents at the compound was a man who never left the compound's grounds and could be seen by U.S. satellites occasionally taking a quick walk in the garden. He would come to be nicknamed "the pacer." However, the CIA could never get a photograph of the pacer's face, nor was there any other definitive intelligence that bin Laden was living at the compound.

Brennan, who had spent almost all of his working life at the CIA, met regularly with the analysts working on the bin Laden case. According to senior White House officials, Brennan pushed the analysts to come up with intelligence that disproved the notion that bin Laden was living in the Abbottabad compound, explaining, "I'm tired of hearing why everything you say confirms your case. What we need to look for are the things that tell us what's not right about our theory. So what's not right about your inferences?"

The analysts working on the bin Laden hunt came back to the White House one day and started their intelligence update, saying, "Looks like there's a dog on the compound."

Denis McDonough, Obama's then-deputy national security adviser, remembers thinking, "Oh, that's a bummer. You know, no self-respecting Muslim's gonna have a dog." (Many Muslims believe dogs to be "unclean.")

Brennan, who had spent much of his career focused on the Middle East and speaks Arabic, pointed out that bin Laden, in fact, did have dogs when he was living in Sudan in the mid-1990s. (Indeed, when al Qaeda's leader was living in the capital of Khartoum, he had taken an interest in training police dogs.)

Report: Numerous countries involved in CIA interrogation programs

Creation of the "Red Team"

In addition to pushing the CIA to refine its analysis of the case that bin Laden was living in Abbottabad, two weeks before Obama made the final decision to launch the Navy SEAL raid, Brennan authorized the formation of a "Red Team." It was made up of four intelligence analysts who had had no prior role in making the case that bin Laden was living in Abbottabad.

The role of the Red Team was to see if there were alternative explanations that could explain the "pattern of life" of the mysterious residents of the Abbottabad compound. For instance: Could they be the retinue of some drug lord who was keeping a low profile? Or might they be on the fringes of al Qaeda but unrelated to bin Laden himself?

On Thursday, April 28, 2011, during the final National Security Council meeting to discuss what to do in Abbottabad, the Red Team briefed the president and his top advisers.

One of the Red Team analysts put the odds that bin Laden was living in Abbottabad at 40%, which was discomfiting to some.

Brennan recalls: "Some of us thought, 'Whoa! We thought the prospects were higher that he was in there.' And the president recognized that when people were saying, 'Well, there's only 40% of a chance,' that some people were going to get a little bit soft on this."

Was it too risky?

The uncertainty that bin Laden was even living in Abbottabad contributed to the advice that Biden and Gates gave Obama during this final National Security Council meeting: Don't authorize the SEAL team raid. It's just too risky.

By now, Brennan had come to a very different conclusion.

He had already told the president privately the CIA officials who had developed the intelligence on Abbottabad were "the people that have been following bin Laden for 15 years. This has been their life's work, this has been their life's journey, and they feel it very much in their gut that bin Laden is at that compound. I feel pretty good, if not certain, that bin Laden is at that compound."

Brennan urged a go on the raid.

As the SEAL raid unfolded in Abbottabad on May 1, 2011, Brennan was as anxious as anyone else in the White House Situation Room: "Might there be a quick reaction force that bin Laden may have had, security that we didn't know about?" he recalled thinking.

The raid, of course, succeeded.

When photos of the dead Osama bin Laden were passed around the Situation Room, Brennan nodded and said, "It's bin Laden."

@highlight

John Brennan is up for a confirmation hearing before the Senate on Thursday

@highlight

The nominee for CIA director has been at the center of Obama's counterterrorism policies

@highlight

Peter Bergen says Brennan's been key in the drone program and in the bin Laden raid

@highlight

Bergen: Brennan supported the raid while Biden and Gates argued against it