London (CNN) -- The organizers of the 2012 London Olympics have repeatedly asserted the value of the Games in the shape of wider involvement in sport, a lasting legacy of sporting facilities, and increased tourism. But experience from previous Games suggest differently.

Not one recent Olympic host nation can point to an increase in sport participation as a result of the Olympics. Many of the stadiums built for the Greek Games are now expensive-to-maintain wrecks. As for tourism, the Olympics generally leads to a decrease in visitor spending, not an increase, as the travel industry has pointed out.

Watch how Greece's Olympic dream turns sour

Despite all this, not one politician or sports administrator has come up with a plan for a better Games, an Olympics for all. This is what my book, "Why The Olympics Aren't Good For Us, And How They Can Be," uniquely sets out to do.

Let's be clear: I love sport. My book is not anti-Olympics, and I will be caught up in the excitement of the Games once they begin. But I believe the Games could have been organized differently. I am suggesting "Five New Olympic Rings" representing five core principles that would draw in the direct participation of the maximum number of people. Otherwise, for most citizens the Games can only be experienced via the remote control from the sofa. They might as well be taking place somewhere else, saving us both the expense and the inconvenience.

So let's see what a Games organized under an alternative vision might look like:

Ring One: A decentralized Olympics held all across Britain could have created a local Games for large parts of the population, instead of everything being crammed in to London. I would ditch the idea of a host city, and replace it with a host nation.

Ring Two: Spectator attendance could have been boosted by making use of the many existing large stadiums, mainly soccer grounds. Virtually none are being utilized. Centralizing all of the events in London venues with much smaller capacities slashes the audience that can attend and results in increased ticket prices for the few, instead of lowering those prices for the many. Purpose-built stadiums also cost the taxpayer a lot more money.

Read what changed the Olympics forever

Ring Three: Significant parts of the Olympic program could have been held outside of stadiums entirely, creating large-scale free-to-watch events. A multi-stage cycling Tour of Britain, a round-Britain yacht race, a canoe marathon, even open water swimming events in the country's lakes and lochs could have been organized. A measure of London 2012's chronic lack of ambition is the abandoning of the original plan for running the marathon through East London, which would have provided spectator space for hundreds of thousands. It has been replaced with four six-mile laps around the center of the city, reducing the potential audience by 75%.

Watch how the Olympic legacy impacted Montreal

Ring Four: Preference could have been given to Olympics sports that are universally accessible. The same few countries always win the equestrian, yachting and rowing events while entire continents have never won a single medal in these sports. Substantial investment in specialist training, beyond the means of many countries, is required to take part in these competitions. Compare this with the breadth of countries that have won medals in boxing, football, or middle- and long-distance running. These are sports requiring no expensive kit or facilities, governed by simple rules, with mass appeal. Other sports with likely high participation could be added to the Olympic roster. One of my favourite candidates is the tug-of-war, which last featured at the 1920 Games. Requiring not much more than a sturdy rope, it is easy to train for, the teams could be mixed, and the spectacle could be a real crowd-pleaser.

Ring Five: The Olympic symbol could have been used as a symbol for sporting participation rather than as a logo for corporate sponsors. With priorities reversed in this way, the precious Olympics Five Rings could only have been used by voluntary and community groups to promote sport on a not-for-profit basis. Sponsors could have been forbidden any use of the Five Rings. They need sport just as much as sport needs their millions yet the Olympic authorities sell the Games short by meekly complying with the sponsors' ever-escalating demands. Let's not forget the biggest sponsor of all of London 2012: the British taxpayer.

I want to build a new Olympics, to take the best of the Games I first fell in love with as a child (I still have the sticker album to prove it). Why, up until now, has no such alternative been even discussed? My book seeks to redress that failure. Let the debate begin.

The opinions expressed in this commentary are solely those of Mark Perryman.

@highlight

Olympics assert value of Games in terms of sport, legacy of facilities and tourism boost

@highlight

Mark Perryman argues this is not true, and proposes improvements to Games

@highlight

He proposes decentralizing Games around a nation and more free-to-view events

@highlight

Olympic Rings could also be used by charities instead of by sponsors