(CNN) -- London will at be the center of the sporting universe come Friday but as far as the city's commercial community is concerned, it will be business as usual during the Olympics.

The English capital is one of the world's foremost financial and business hubs, but given the expected influx of nearly 550,000 tourists and sports fans every day during the Games, accommodation will be at a premium and getting around will be trickier than usual.

Both UK chancellor George Osborne and London mayor Boris Johnson have publicly stated their determination to ensure the city remains "open for business" and contingency plans are in place to ensure this remains the case.

But if you're visiting London in a professional capacity over the next three weeks, what can you do to avoid the crowds and make the most of your business travel time?

CNN has compiled the below guide to help the business traveler sidestep the Olympic hulabaloo.

Getting there

Heathrow Airport in west London expects to cater for 80% of all Olympic athletes, officials and media entering the UK during the course of the games, pushing its capacity to the limit.

See also: Ultimate guide to London Olympics

But London is also accessible from the sky via a number of other airports both in and around the city. Gatwick, Luton, Stansted and London City international airports all offer alternatives to Heathrow.

Smaller airports throughout the south east of England -- such as Southampton, Bournemouth and Southend -- are accessible from international destinations and have connecting bus or train services to the capital.

London is also accessible from mainland Europe by the Eurostar train, a favorite of the business traveler for its speed, comfort and disembarkation point right in the heart of the city.

Accommodation

According to the latest research by the hotel market intelligence provider Travelclick, 46% of all hotel rooms in London have already been snapped up for the Olympics (a fourfold increase on the same time last year).

This may be good news for the city's hoteliers but high demand has inflated prices. Travelclick has recorded a 70% increase in average daily rate in comparison to 2011, with the average hotel room now costing Â£189 ($293) a night.

Whilst it may still be possible to secure one of London's 120,000 hotel rooms at short notice, a cheaper option may be to head out to one of the city's nearby commuter towns.

Prices at the Holiday Inn, the official hotel partner of the Olympic Games, in the suburban town of Maidenhead on the night of the opening ceremony start at Â£115 ($175). The same stay a little farther from London at the Ramada Inn in Milton Keynes meanwhile starts at Â£55 ($85) per night.

See also: Best of London Olympic hotels

A commute into the city will still have to be negotiated, although there will be extra rail services into and out of London for the duration of the Games.

Getting around

London has an extensive urban transportation network but even that won't be enough to completely quell the Olympic stampede, with organizers expecting "delays" and "exceptionally busy" periods.

Transport for London has produced a series of interactive guides called Get ahead of the Games, which display how travel on underground and overground trains is expected to be impacted by Olympic events.

It is hoped this will enable travelers to plan their journey in advance, avoiding bottlenecks and hotspots as they arise.

Extra train, tube and bus services have been arranged, whilst boat transport along the river Thames (including to Canary Wharf, home to many of the city's big financial institutions) will also be ramped up. A Twitter handle, @GAOTG, has been set up to bring the latest transit news to city travelers as quickly as possible.

Travel by car is advised against for all but Olympic VIPs -- who have been deigned important enough to be bestowed with their own dedicated lanes on London's roads -- but there are other options for those looking to avoid public transport.

See also: Best ways to get around London Olympics

A campaign by previous British Olympic champions Sally Gunnell and Chris Boardman is encouraging those in the city to walk or hop on a "Boris Bike," London's public bike sharing service, to reach their destination.

Alternative options

Given the expected strain on the city's infrastructure, businesses have been encouraged to adopt strategies that will minimize the impact on their day to day workings.

A document from LOCOG, the 2012 Olympic Games organizing committee, advises businesses to allow employees to work from home to reduce the strain on public transport.

If business meetings cannot be avoided for those in the city, plenty of planning and time for travel is recommended.

Finding accommodation close to where meetings will take place and staggering meeting times so they don't clash with the start or finish times of Olympic events is also advised.

@highlight

London's mayor says the city will remain open for business during the Olympic Games

@highlight

But the city's infrastructure will be strained by an extra 550,000 people in the city every day

@highlight

Olympic organizers and city authorities have compiled advice for businesses to help limit the Games impact