(CNN) -- The first time I viewed an al Qaeda recruitment video, I squinted at a scratchy black blob shimmying across the screen. It took a moment to recognize this was an amateur effort to obliterate the image of a woman from a clip of a politician's visit to Saudi Arabia. The blob was evidently his wife. I wondered at the time it must have taken to erase her from every frame. Of all the rapid-fire images of death and destruction in the video, I found this one the most chilling.

That same feeling surfaced in the days after Seal Team Six killed Osama bin Laden two years ago. I watched talking heads on every network hold forth on the takedown. Almost without exception, they were men. I felt like my female colleagues had been erased from the picture.

In the 1990s it was largely women who tracked the threat from bin Laden, who pieced together slivers of data to form a surprisingly accurate picture of an international terror network that had yet to announce its existence to the world.

When Greg Barker interviewed me for the documentary "Manhunt," he asked what it was that made women so good at tracking terrorists. I felt a moment of panic at being led into the minefield of gender stereotypes. I worried about discounting the efforts of some excellent male counterterrorism analysts I had known. Then I thought to myself, "Yes, women do have a special genius for the job."

To step firmly into the stereotype minefield, is it because terrorism is all about relationships? Perhaps. Using the Boston bombing as an example, let's look at the mother and how she may have influenced the older son who in turn could have influenced the younger one. At this moment analysts are following that circle of relationships outward, looking at other friends and family members. Analysts are trying to suppress their own egos and put themselves into the minds of the suspected terrorists. What do I need to carry out this attack and to whom do I turn for help?

Suppressing one's ego is an important part of being a good counterterrorism analyst. First, you have to be willing to admit up front what you don't know. The amount of data is so large that no one individual can look at all of it. A good analyst acknowledges her blind spots and networks with other analysts to fill them.

Bergen: Bin Laden dead, bin Ladenism lives

When it comes to ego suppression, women are just better at it than men. They've had more practice. I ran across one man who never admitted to any gaps in knowledge. Whenever someone would try to tell him something, he would blithely say, "I knew that." He didn't last long as a counterterrorism analyst.

Another characteristic of the women who tracked bin Laden is that they didn't have their egos so caught up in their "careers" that they let it affect their jobs.

For an analyst, the path to career advancement lies through a "hot account," which means a subject that attracts policymaker interest. Al Qaeda was not a hot account in the 1990s. Some managers resented the amount of time the women spent on it.

On career appraisals, one report written for the policymaker often counted for more than months spent sifting through data and working with counterparts on the clandestine side of the house. Their careers suffered because the women were so focused on the job of tracking al Qaeda.

These women had the intellectual discipline and honesty to allow their conclusions to arise from the data, rather than taking the shortcut of cherry-picking the data to fit preconceived notions. For whatever reason, women are particularly good at perceiving patterns in a nonstop stream of seemingly random data.

Terrorism analysis requires persistence, tenacity, patience and dedication. The women who tracked bin Laden had those characteristics in spades. In the days after 911, one analyst was working 18-hour days despite severe back pain. When she finally took the time to go to a doctor, she found out she had a broken vertebra. Then she went back to the office and continued to work the long hours.

These women broke down in tears, struggled with guilt, depression and the physical impact of stress. They juggled the job with the demands of motherhood, eldercare and other personal issues that don't disappear after a terrorist attack. Through it all they continued to do their jobs, because, by God, they weren't going to let that bastard bin Laden win.

I have one urgent request for the CIA, FBI and other relevant agencies. After the next attack, could you please send a woman to talk to the press? You have lots of them and, trust me, they know what they're talking about. Please do it to improve the morale of your female officers and give their daughters a better understanding of their options in life. The women are tired of being invisible.

The opinions expressed in this commentary are solely those of Susan Hasler.

@highlight

Susan Hasler: Too often role of women in counterterrorism is de-emphasized

@highlight

She says women were instrumental in early days of search for bin Laden

@highlight

The analysts proved better at understanding relationships and at suppressing ego, she says

@highlight

Hasler: Agencies should put female analysts in spotlight when attacks happen