London (CNN) -- Brazil stands at a crossroads in its efforts to preserve the Amazon rainforest as the government considers controversial legislation governing land use.

For most of the past decade, it has made a dramatic reduction in the rate of deforestation, providing a model of how it could be tackled in other rainforest areas such as Indonesia and Congo.

The Amazon rainforest covers a huge area, roughly half as large as the United States, with about 60% of it in Brazil.

It is estimated that nearly a fifth of the Brazilian forest has been lost since 1970; figures from Brazil's space research institute, INPE, show that 4.1 million square kilometers (1.58 million square miles) of Brazilian forest were still standing in 1970, compared with 3.35 million square kilometers (1.29 million square miles) today.

Like in many developing nations, there is pressure on the natural environment from commercial and agriculture interests.

According to INPE, in 1995, nearly 30,000 square kilometers (about 11,550 square miles) were cleared -- that is an area about the size of Belgium or the U.S. state of Maryland -- but in 2011, the rate of loss had been reduced to just over 6,000 square kilometers (about 2,400 square miles).

Last year saw the lowest annual clearance since yearly INPE surveys began in 1988, and Brazil is aiming to reduce deforestation even further to 3,500 square kilometers annually by 2020.

See interactive maps of Brazil's land use

Brazil's environment ministry credits its success to a combination of support for sustainable activities and near-real-time satellite monitoring of forest regions that allows it to target illegal operations with extra agents.

But environmentalists worry that these results, brought about by efficient use of technology allied with a political will to slow clearing, could now be put at risk by an overhaul of Brazil's Forest Code. Protesters say the new code, which could come into effect after a crucial vote Tuesday, reduces protection and weakens enforcement laws.

"The changes in the new Forest Code will reduce this protection. Combined with the strong presence of 'ruralists' in the Congress -- congressmen linked to the agri-business sector -- there is good reason to be very concerned for the future of forests in Brazil," said Jessica Miller of Greenpeace Brazil.

"Deforestation in the Amazon has many drivers. Loggers come first to take the most precious timber and finance the building of rough, illegal roads. Then come cattle ranchers, burning what is left and planting grass. Cattle ranching is often used to guarantee the ownership of the area by land grabbers," she said.

At present, Brazilian government statistics show that about 30% of the country's land is given over to agriculture.

The power of the rural lobby is acknowledged by those close to the Brazilian government, but the environmental fears are also rejected.

Luis Antonio Carvalho, special adviser to the Brazilian environment minister, Izabella Teixeira, said, "It is true that the rural caucus representatives have much power; everybody knows that. Much of the GDP comes from the Brazilian agriculture and livestock. It is a sector of great importance for the country.

"The new proposal includes all the government's requirements. It sets out regulations to restore the land. It includes components such as social interest, public utilities and low environmental impact.

"But I think this is the best proposal that can come out for both sides. Environmental groups are concerned, but the rural caucus, on the other hand, are worried, too. So it is clear that neither side will be satisfied with any code that the government approves."

Carvalho said farmers must keep 80% of their forested land -- they will be able to clear only 20% -- and may have to use some of their land for reforestation.

But farmers are worried about the future of their businesses and are keen to modernize the existing code, which dates to 1965.

No one from the Brazilian farmers' body, the CNA, which represents 2,300 rural trade unions, was available for comment, but the group's website calls for a balanced approach that safeguards conservation and food production "because this production depends on the welfare and progress of the Brazilians."

Protecting the rainforest has attracted celebrity backing for more than two decades. Pop singer Sting and his wife, Trudie Styler, set up the Rainforest Foundation in 1989 after seeing the destruction of the Amazon rainforest and its impact on indigenous peoples.

Both the Rainforest Foundation and Greenpeace have urged Brazilian President Dilma Rousseff to use her veto to block the law change.

They are concerned about the threat to the huge range of animals and plants found in the world's rainforests: Scientists from the Secretariat of the Convention on Biological Diversity estimate that at least two-thirds of all Earth's terrestrial species are found in tropical forests.

Spring 2012 also marks a significant junction half a world away in Indonesia, which has significant forest areas. In May 2010, Norway signed a letter of intent pledging about $1 billion to help Indonesia reduce deforestation. But there have been delays in implementing the plan, and Greenpeace says it is not working.

The agreement was designed to help Indonesia with its commitment to the U.N.'s global REDD+ program (Reducing Emissions from Deforestation and Forest Degradation). It called for the establishment of an "independent institution for a national monitoring, reporting and verification system," a two-year moratorium on all new concessions for forest clearance and enforcement of laws on illegal logging.

Rainforest home to vast treasury of life

Central Kalimantan, an area of Indonesia that has seen widespread forest destruction, was chosen as a pilot project. Studies by South Dakota State University and the environmental think tank World Resources Institute show that the lowlands of Kalimantan and Sumatra have lost more than 40% of the rainforest cover since 1990. In the same period, more than 17% of Indonesia's total forest area has disappeared.

The studies also show that there has been a resurgence in clearing since 2000, but it has not reached the levels of the 1990s.

Attempts to halt deforestation in Indonesia are much less advanced than in Brazil, which started its drive in the 1980s.

Greenpeace says there are major loopholes in the Indonesian moratorium, saying the safeguards are inadequate with no review of existing concessions, and criticizes the lack of a good monitoring system.

"In short, in our opinion and analysis, the moratorium has not been working well in halting deforestation in Indonesia," said Yuyun Indradi, Greenpeace forest campaigner in Indonesia.

"The land rights issues are also a major problem in forest governance ... creating more and more conflict and human rights violations. It means the existence of indigenous peoples and local peoples are at risk as, currently, the government tends to give more priority to the large scale industries of forestry, plantation and mining," he said.

The Indonesian government insists that it is committed to REDD+ and introducing a host of measures to slow deforestation and reduce emissions. In a keynote environment speech in September, President Susilo Bambang Yudhoyono dedicated his remaining three years in office to enhancing the forests of Indonesia.

"We must attain both development and the management of our forest simultaneously," he said. "This is because forest management is tightly intertwined with the livelihood of our people, with our food security, with the availability of wood and fuel.

"Apart from the moratorium, we have built indicative maps that are important to the implementation of REDD+. These maps will also facilitate the resolution of decades-long problems of land use and land tenure."

A spokesman for the Indonesian government adds that it is working on the maps and new concessions permits, and to determine the extent of forest damage and how to control it.

But can Indonesia match the progress made by Brazil? Greenpeace's Indradi says Brazil's strong point has been to implement better forest governance, backed up with good monitoring and serious law enforcement.

It is the monitoring issue that is also acknowledged as key by the World Resources Institute. "Reliable monitoring and information are essential for protecting forests," said the institute's Fred Stolle. "Indonesia recognizes the value of good data and is working to develop such a system.

"What the world really needs is consistent, real-time deforestation data for all forested countries."

Sofia Fernandes contributed to this report.

@highlight

Brazil has made a dramatic reduction in the rate of deforestation

@highlight

Environmentalists worry that its progress could be put at risk by changes to forest law

@highlight

Greenpeace is also concerned that Indonesia's measures to halt deforestation are not working

@highlight

The World Resources Institute says the world needs consistent, real-time deforestation data