(CNN) -- A generation once labeled "slackers," detached and melancholic has grown up to find out that reality doesn't bite as much it seemed when they were younger.

To the contrary, most of the 84 million Americans ages 30 to 50 are "active, balanced and happy," according to the authors of "The Generation X Report," a research report from the University of Michigan's Longitudinal Study of American Youth.

The release is the first in a series of quarterly reports based on questionnaires, interviews and tests from 4,000 Gen X respondents who have participated in the study since 1987. The study defines Gen X as those born between 1961 and 1981, though others sources tag Gen X as those born starting in 1964.

"We hope that this series of reports will serve to correct some of the misunderstandings and misstatements about Generation X that have appeared in the media," The Longitudinal Study of American Youth says on its website. "Some commentators have characterized Generation X as being less successful than their parents and perhaps less ambitious than their parent's generation."

The study marks the latest focus on Gen X as the cultural spotlight gradually shifts away from retiring Baby Boomers. The analysis bolsters findings in a recent marketing study, "Gen X: Flirting With 40," which stated that Gen X has matured into a group of "technologically savvy, adventurous pragmatists." Recent media coverage of rants and reflections from Gen Xers in Gizmodo and The Atlantic has also generated intense discussion, fueling debate over whether a passing of the torch from Boomers is under way.

The stated mission of the study, which is funded by the National Science Foundation, is to write the history and monitor the future of Generation X. Here's some data from the report that may surprise you:

Myth #1: Gen Xers are slackers.

Reality: Generation X devotes more hours to work than average and pursues continuing education.

-- Compared to a national sample of all U.S. adults, Gen Xers are more likely to be employed and are working significantly more hours above average, according to the study. In Generation X, 86% is employed and 70% devote 40 or more hours to work each week. For those holding a doctorate or professional degree, that number shoots up to 50 or more hours. Also, 79% Gen X women work.

-- Kids from "The Breakfast Club" era weren't so strung out on emotional issues that they passed up learning: Half of Gen Xers have completed a post-secondary degree and 9% are enrolled in continuing education.

Myth #2: Generation X is hopelessly single and pessimistic about marriage.

Reality: A higher percentage of Gen Xers stay married than Boomers, and most want to be married.

-- Having spent their formative years in the era of growing divorce rates (divorce peaked in 1980) might lead to speculation that Gen X would run away from marriage en masse. In reality, two-thirds of Generation X is married and 71% report having children in the home. Additionally, divorce has been declining since 1996, according to the U.S. Census Bureau.

-- 83% of Gen Xers said finding the right person to marry and having a happy family life is very important.

Myth #3: Generation Xers are disengaged, existential isolationists.

Reality: Gen X is social.

--There's a reason Gen X is called the "Friends" generation. The report states that Gen X has extensive social, occupational and community networks outside of the immediate family. Two-thirds of respondents entertain friends for dinner or participate in group cooking at least once a month.

-- One in 3 Gen Xers is an active member of a church or religious organization, and 29% volunteer in their community.

-- 95% of Gen Xers report talking with friends or family on the telephone at least once a week, and 29% say they do so at least once a day.

Myth #4:  As former latch-key kids, Gen Xers are wimpy, neglectful parents.

Reality: About 84% of Gen X parents expect their children to earn at least a baccalaureate, and 39% expect their child to earn a graduate or professional degree.

-- 72% of parents of preschool children read to them three or more hours a week, and 83% of parents of secondary school students help with homework.

Myth #5: Generation X is depressed.

Reality: Generation X is actually pretty happy.

-Two-thirds of Generation X are satisfied with their job; 24% of these workers rated their job at 9 or 10 on the satisfaction scale.

- On a scale of 1 to 10, with 10 meaning very happy, the median happiness score was 8, with 29% of Gen Xers saying they were very happy scoring a 9 or 10.

CNN's Emanuella Grinberg contributed to this report.

@highlight

Generation X is outgrowing bad press as slackers and pessimists, study finds

@highlight

Generation born between 1961 and 1981 is "active, balanced and happy," report says

@highlight

Study finds 83% say finding right person to marry, having happy family is important

@highlight

Two-thirds of respondents are satisfied with their job, report says