(CNN) -- Coverage for 30 million uninsured. A ban on lifetime payout limits. No co-pays or deductibles on preventive medical services. Insurers prohibited from excluding patients based on pre-existing medical conditions.

The Patient Protection and Affordable Care Act (also known as "Obamacare") creates a massive, wide-scale overhaul of the heavily flawed and criticized health care system of the United States.

But for all of the Obama administration's work in creating this 906-page federal law, there is one glaring omission that could decrease the costs of health care and help relieve the upcoming physician shortage.

Medical liability reform.

How could the Obama administration create such a comprehensive overhaul of health care without addressing this issue? Although not a panacea for the health problems in the United States, the need for physicians to practice defensive medicine in order to avoid potential litigation has far-reaching consequences.

A 2008 survey of Massachusetts doctors found that 83% admitted to practicing defensive medicine. This study determined that 18% to 28% of tests, procedures and referrals and 13% of hospital admissions were performed for the sake of avoiding lawsuits.

In this one state alone, an estimated $281 million in unnecessary physician costs and more than $1 billion in excessive hospital costs was due to the practice of defensive medicine. Across the country, doctors are ordering tests and consultations as a way to protect themselves from potential liability.

In our litigation-obsessed culture, the costs for doctors to purchase liability insurance can be astronomical.

According to the Medical Liability Monitor, in 2011, general surgeons in Florida's Miami-Dade County paid $190,000 per year for malpractice insurance. General internists in Detroit paid approximately $35,000 per year for coverage.

It's a well-known fact that family medicine physicians and even obstetrician-gynecologists are giving up the practice of obstetrics because of the excessive cost of malpractice insurance and the fear of potential lawsuits.

Malpractice fees break OB-GYNs

Even if physicians purchase malpractice insurance, it's no guarantee that, should they get sued, they will not lose virtually everything they have. The maximum coverage most malpractice insurance carriers will offer a physician is $1 million per lawsuit. That means any verdict greater than this limit comes out of the doctor's pocket.

In today's climate of multimillion-dollar verdicts, one lawsuit could be financially devastating. A physician can work 30 years, healing and saving the lives of thousands of patients, yet one mistake at the end of his or her career could literally cost them everything. Is that right?

Under this type of hostile litigious climate, why wouldn't physicians order that extra test, keep their patients in the hospital that extra night or refer for a second opinion?

As a board-certified plastic and reconstructive surgeon, I'm aware of this every day. A recent study found that plastic surgeons have a 99% chance of getting sued by the time they reach age 65.

Does the fear of missing a diagnosis and getting sued cause me to order more tests and referrals for my patients? Definitely.

Opinion: Doctors and patients should talk more, test less

So why hasn't the Obama administration included medical liability reform in the Affordable Care Act? I suspect that it comes down to dollars. Not health care dollars or insurance dollars but campaign donation dollars.

According to OpenSecrets.org, since 1990, the American Association for Justice, previously known as the Association of Trial Lawyers of America, has given 92% of its $36.8 million in contributions to Democrats.

The association is also a large contributor to President Barack Obama's re-election campaign. It is opposed to malpractice tort reform, for obvious reasons, and I suspect that it may have played a significant role in the absence of malpractice liability reform in the Affordable Care Act.

In a 2009 speech to Congress, Obama stated that he "talked to enough doctors to know that defensive medicine may be contributing to unnecessary costs." With the cost of health care continuing to rise, it's a shame his Affordable Care Act doesn't include a provision addressing this.

The opinions expressed in this commentary are solely those of Anthony Youn.

@highlight

"Obamacare" does not address medical liability reform

@highlight

Doctors practice "defensive medicine" to avoid potential litigation

@highlight

Malpractice insurance costs can be astronomical for some

@highlight

One multimillion-dollar verdict can cause a doctor to lose everything