(CNN) -- The vast majority of women in the United States use birth control. Some of us may even consider it a minor annoyance. Sometimes we forget to take our pills. The side effects can be painful. But we put up with it because it's so important to have the power to determine our future.

I didn't fully appreciate how much contraceptives changed my life because I never lacked access to them.

That is, I didn't fully appreciate them until I got involved in global health and learned that hundreds of millions of women and girls in sub-Saharan Africa and South Asia don't have access to contraceptives. The lack of birth control is more than a minor annoyance. It can be a significant barrier to a better life. When I learned what many women in poor countries faced, I asked myself: What would my life have been like if I hadn't been able to use birth control?

This week at the London Summit on Family Planning, a partnership of national governments from developing and developed countries, foundations, the private sector and NGOs is launching a groundbreaking effort to make sure no woman has to ask herself that question. Our goal is to make modern contraceptives and family planning information and services available to an additional 120 million women and girls in the world's poorest countries over the next eight years.

I'm passionate about family planning because when I travel and talk to women in developing countries, what's universally clear is that they demand access to contraceptives. They want the power to determine their future. They know that when they can decide when they have children, they are healthier, their children are healthier, their families are more successful and their communities are more prosperous.

Tragically, there are too many places where this virtuous cycle of social and economic development isn't happening. Nearly 13 million adolescent girls give birth each year in developing countries, typically before they are physically, emotionally or economically prepared. And when girls delay childbearing until their 20s, they are more likely to stay in school. Women who have been educated are likely to marry later, have healthier families and be able to invest in their children's education.

Simply giving women the means to space the births of their children three years apart would decrease deaths of children 4 and younger by 25%.

Already, there are a number of efforts underway that promise to give more women access to the lifesaving contraceptives they demand. In Senegal, we are investing in a pilot project to ensure that health clinics are always stocked with the full range of modern contraceptives, including implants, injectables and IUDs that put the power in the hands of women. Imagine what it would be like to travel for hours to a clinic for contraceptives, only to find that they are out of stock.

I am excited to see that developing countries such as Senegal are investing in innovative programs to ensure that women will always have options when they go to the clinic.

There is also important research underway on new health products that offer women even more options. I am enthusiastic about a new injectable device that women can administer themselves, so they don't have to travel to the clinic. In the United States, we administer our own birth control. It's hard to picture what it would be like if we had to see our doctor constantly to plan our families effectively. This new device will empower women in countries where the pill isn't popular to plan for themselves.

Last year, I met with a group of women in Nairobi's Korogocho slum who talked openly about their family life and why they use birth control. After two hours, a woman named Mary Ann summed up the conversation with something I will never forget. She said: "I want to bring every good thing to one child before I have another."

That single phrase captures the reason I am so deeply committed to family planning and why I am so enthusiastic about the London Summit. Bringing every good thing to our children starts with women everywhere being empowered to plan their family. On July 11, I hope you can tune in to witness the unprecedented commitments of all our partners and pledge your support for every woman and girl to have the opportunity to determine her own future.

Melinda Gates responds to contraception program controversy

Overheard: Contraceptives and Catholicism

The opinions expressed in this commentary are solely those of Melinda Gates.

@highlight

Melinda Gates: Women throughout the world deserve access to birth control

@highlight

She says women in sub-Saharan Africa and South Asia often lack sufficient access

@highlight

Women who have contraception can plan their lives and make intelligent choices, she says

@highlight

Gates: A new initiative aims to provide birth control to 120 million additional women, girls