Washington (CNN) -- The following is a primer on campaign finance terms relevant to the Supreme Court's 2010 "Citizens United" ruling that loosened spending restrictions in federal elections, which will have an impact this election year.

Federal Election Commission (FEC): 
-- An independent regulatory agency created by Congress with the mandate to "administer and enforce the statute that governs the financing of federal elections," according to its website.

Individual donations:  
-- Federal law limits this kind of direct contribution to a federal candidate to $2,500 per election. Direct contributions to a national political party are capped at $30,800 per election. Elections such as primaries, general elections and special elections are counted separately.

Corporate donations:
-- Direct contributions from corporations to political parties and candidates for president and Congress are banned under long-standing federal law. The "corporate" label can mean private businesses, labor unions and nonprofit special interest or advocacy groups. Businesses had been prohibited from making such contributions since 1907, labor unions since 1943. Corporations can, however, make donations through political action committees.

"Hard" money vs. "soft money":
--"Hard money" refers to tightly regulated contributions to candidates, while "soft money" refers to unregulated, unlimited contributions to political parties for so-called "party-building" activities. Traditionally, soft money donations have been used for get-out-the vote drives, voter registration efforts and ads that say "Vote for Democrats" or "Vote for Republicans." Potential uses of soft money, however, were limited by Congress with the passage of the 2002 campaign finance law known as McCain-Feingold.

Political Action Committees (PACs):
-- PACs are separate private entities set up by business, labor, individuals or other special-interest groups to raise and spend money to directly help elect federal and state candidates. PACs may give up to $5,000 per candidate and $15,000 for a political party each year. PACs may solicit money from individual employees, shareholders, or members, who themselves may contribute $5,000 per year to the PAC. The National Association of Realtors PAC spent the most money in 2008, more than $4 million. The Supreme Court's Citizens United Ruling made independent spending lawful, but corporations or unions that want to contribute to federal candidate campaigns must still rely on traditional PACs for that purpose. PACs are subject to donor disclosure rules.

Super PACs:
-- A direct result of the high court's 2010 ruling, which placed individuals and corporations on equal "free speech" footing when it comes to independent campaign spending.
-- Technically known as "independent expenditure-only committees," super PACs may raise unlimited sums of money from corporations, unions, associations and individuals, then spend unlimited sums to overtly advocate for or against political candidates. Super PACs must also report their donors to the FEC monthly or quarterly -- the super PAC's choice -- as a traditional PAC would. That choice may prevent some donor disclosure until after the elections take place.
-- Unlike traditional PACs, super PACs are prohibited from donating money directly to political candidates.

"527" groups:  
-- 527s are certain tax-exempt groups operating in part as political organizations. Named after a section of the U.S. tax code, they are largely funded by rich individuals, labor unions and advocacy groups. They gained attention in the 2004 campaign through the campaign activities of organizations such as Swift Boat Veterans for Truth.

"501(c)(4)" groups:  
-- 501(c)(4) groups are another type of tax-exempt group, named for a section of the tax code. They have grown popular in recent years, after the FEC raised questions about how some 527 groups were operating. The earnings of these 501(c)(4) groups must be limited to "charitable, educational, or recreational purposes." They have an unlimited ability to lobby for legislation and participate in political campaigns and elections. There are no political donation limits to 501(c)(4)s, but such donations are generally not tax-deductible. These organizations do not have to disclose their donors.

Issue ads:
-- These ads are the most prevalent form of spending by outside groups, like Freedom's Watch and the National Abortion Rights Action League (NARAL). They can indirectly express support for or opposition to a candidate but may not explicitly urge the viewer to vote for or against that candidate. Critics of such advertising call them thinly disguised campaign commercials. Sponsors do not have to disclose their donors or source of funding, and political parties themselves are free to use their money on these issue ads.

Public funding:
-- Presidential candidates who have collected enough donations can qualify for federal money to match what they have raised privately. Public matching funds apply only during the early primary contests, whereas major party presidential nominees qualify for a lump-sum grant that can be used for the general election in November. In return for accepting public funds, candidates must agree not to go over specified spending limits. President Barack Obama opted out of federal matching funds during his 2008 primary race, because he was able to raise so much money from private donors. He also turned down public funds in the general election.

CNN's Robert Yoon, Alan Silverleib, and Keating Holland contributed to this report

@highlight

The rules changed after the landmark "Citizen's United" ruling by the Supreme Court in 2010

@highlight

Super PACs can spend unlimited money but must disclose donors

@highlight

They use these dollars to flood airways with issue ads and ads supporting a particular candidate