(CNN) -- A year is a very long time on Mars -- 687 days. NASA's Curiosity rover can attest that it's enough time for some unexpected life changes.

On Tuesday, the rover celebrated the Martian one-year anniversary of its touchdown on August 6, 2012.

Looking back, some things have gone much better than anticipated, in spite of one nasty snag.

Here's a look at some of Curiosity's accomplishments so far:

Signs of life

Its main mission: Find out whether Mars could have once hosted life -- small stuff like bacteria, viruses and fungus. A key ingredient for this would be signs that there was once water on the bone-dry red planet.

Bam! Mission accomplished right off the bat.

It was supposed to take longer. To find the answer, Curiosity was scheduled to take a hike up the slopes of Mars' Mount Sharp, a peak nearly as high as Earth's Mount McKinley, NASA said.

But right where the rover landed, it stumbled upon an ancient riverbed.

Not long after that, Curiosity's operators back on Earth pulled some dirt from Mar's Gale Crater, which is the rover's exploration areal. The samples revealed that water once on Mars had been the right kind to support life.

It also found traces of chemicals microbes on Earth use.

"If Mars had living organisms, this would have been a good home for them," NASA's Jet Propulsion Laboratory said in a statement.

Wheels keep turning

That success didn't make the challenge of Mt. Sharp -- which is in the middle of Gale Crater -- go away. And on the way there, Curiosity hit that snag.

It suffered wheel damage in late 2013, slowing down the rover's already tip-toe pace.

Since it landed nearly 700 days ago, it has driven slightly less than five miles, and its operators are adjusting its itinerary to take it over less rugged terrains.

Even with sensitive feet, like a resolute tourist in a foreign land, the rover is snapping lots of pictures. By August last year, it had sent more than 70,000 back to Earth.

One of its first was a selfie to show it had made it to Mars.

Artful hobbler

And Curiosity continues to poke around to see what it can find.

It has fired its laser tens of thousands of times to help scientists analyze varieties of dirt and stone. And it has drilled for more signs of the previous existence of water.

Scientists are still assessing the samples in hopes of finding out just how habitable Mars once was eons ago, NASA said.

In the meantime, Curiosity has found another similarity to Earth in its drill bit, a mineral called orthoclase. It belongs to a class of minerals that makes up more than half of our planet's crust, and the rover pulled up a rich sample on Mars.

The rover's drivers have decided to take it easy on Mt. Sharp, using cameras on NASA's Mars Reconnaissance Orbiter to map out a path on its lower slopes.

But that's also making the paths longer.

With its two camera eyes and block-shaped head atop a long shaft that looks like a neck, Curiosity has a somewhat humanized appearance akin to that of ET.

Maybe it's a sign of things to come.

During its flight to Mars and after its landing, it measured radiation levels. Scientist are using the measurements to determine how much protection would be required to send human astronauts to Mars.

Scientists create a mini Mars on Earth

Curiosity rover takes snapshot of Earth

@highlight

Curiosity has been on Mars for one Martian year -- 687 days

@highlight

It discovered right off the bat that Mars could have hosted life

@highlight

The rover broke a wheel late last year but is still hobbling along

@highlight

It has taken thousands of photos and analyzed numerous samples