Bab al-Salam, Syria (CNN) -- It is a sight almost as surreal as it is disturbing: three boys, on the cusp of being teenagers, digging furiously with their hands and sticks. It is in some ways playtime, but there is little innocence left in this refugee camp sandwiched between Syria's north and an unwelcoming Turkish border.

Muhammad Zafir says their frantic excavations are in case "jets come and drop bombs," he said. "We put children here to hide them, but of course we will make it much bigger for 20 to 30."

It is a testament to their fast and unnatural path into manhood: Hours that should be spent idling or playing football are lost to digging an air raid shelter. Muhammad can explain the different noises made by jet missiles, rocket-propelled grenades and heavy machine guns. The three boys are also digging peepholes into their structure, so they could see outside during any attack. It's rudimentary and made entirely of mud and finger marks, but it is all they have.

This is life for the 8,000 Syrians who fled everything, hoping for something but ending up with little.

Despite being some 100 yards from a NATO power -- the doorstep of Europe -- and a developed economy, they scavenge for wood and burn plastic to keep warm. They chop down weeds to supplement their faltering diet. Some 22 months into the war -- and despite the world's sympathy -- they face a winter of freezing temperatures and uncertain food.

Refugees in the Bab al-Salam camp just inside Syria can see the Turkish refugee camps from the roofs of their buildings, but Turkey for now will not accept them. So they are caught between the war they fled and the outside world that will not embrace them. They number some 200 families and growing, huddled around plastic tents that work as temporary shelter during summer but will do little to protect them from the frost of winter.

Husan Shammo used to work in the nearby town of Azaz for the Red Crescent and is now the closest thing this sprawling camp has to an organizer. He explains why so many ended up shut out by Turkey.

"Of course 80% of those here came hoping to cross into Turkey," he said, "but the Turkish government stopped hosting over six weeks ago. People are furious, and we can't provide a lot of their daily needs."

Here, within earshot of Turkey's highways, you can also hear the distant but occasional thud of artillery -- a reminder that the war they fled remains the worse option over the squalor they now endure. Winter, however, will be their greatest enemy in the months ahead. Dozens of families have taken advantage of the concrete truck shelters at this border crossing, moving their tents into the hangar-like structures, hoping the roofs will provide a little more shelter.

But for Abdul Qadr al-Hasan's daughter Siham, the cold came too fast. Holding his surviving daughter, the thick-set man describes how Siham died. "She was not sick. She didn't have any problems at all. We were up late that night and we were playing with her," he said. "We woke up the next morning ... She was curled into a ball from the cold. We buried her in the village. Her sister is afraid now of the cold."

Had his family had a stove in their tent just a few weeks earlier, Siham would have lived. But the struggle to keep warm brings its own hazards. Wood is scarce. Easier to find is plastic, which burns with a sickly, acrid smoke. Children scour the fields for this "treasure" but then reap the consequences from the heat: a poisonous blanket of smoke that brings hacking coughs to each settlement.

At the sun sets, children find a patch of herbs -- weeds almost -- growing naturally against a wall and cut them down for food. Despite being so close to a developed economy, they are reeling with the war raging next door. But now it is the best the world has to offer for these 8,000 Syrians.

For more coverage of the Syrian refugee crisis, click here.

@highlight

Three boys dig an air raid shelter to guard against attack

@highlight

They are among 200 Syrian families at Bab al-Salam camp in Syria on Turkish border

@highlight

Turkey will not accept them

@highlight

Children find weeds for food on doorstep to Europe