(CNN) -- Let's all stop for moment, catch our breath and take in the magnitude of what is happening. Before we jump from campaign frenzy to post-election celebration -- or disappointment -- we should not let Election Day pass without pausing to really absorb what an extraordinary thing democracy is.

The idea that the people have a right to decide who will govern them, that the men and women who want to become president have to undergo a grueling, months-long job application process, engaging with citizens, trying to persuade everyone, rich and poor, young, old, men, women -- everyone -- that they deserve the position, is a truly remarkable reality.

It is also a contagious idea that has spilled across the surface of the Earth like water seeking its natural level. But it is not a self-occurring, automatic state of affairs.

Over the centuries, the strong simply seized power, and the masses regularly endured unjust rule. Democracy has come because of enormous effort and sacrifice. And in too many places, many are still struggling, even dying, to claim it as their own.

America's democracy is flawed, yes. But it is nowhere near so flawed as to be rendered meaningless or beyond repair.

President Obama: My vision for America

Those who have spent their whole lives living under a democracy, or who have never witnessed the passion with which those living without it can yearn for a legitimate government, may not grasp just how stunning it is for all the people to have the power to choose their government. History, even recent and still-unfolding history, is filled with examples of dictatorship and tyranny. And it is rich with stories of courageous efforts to bring it down.

No one who remembers what happened in China in 1989 can take democracy for granted. Hundreds of thousands of students took over Tiananmen Square, erecting their crude Styrofoam and papier mache replica of the Statue of Liberty, the Goddess of Democracy they called it, smack in front of the giant portrait of Mao Zedong.

They declared that the goddess announced to the world that, "A consciousness of democracy has awakened among the Chinese people! The new era has begun."

It was not to be. Within four days, army tanks trampled the statue, along with hundreds, perhaps thousands of demonstrators. Today, the article you are reading now may not appear on Internet searches in China, which block the word "Tiananmen," along with efforts to bring democracy.

And who can forget the first multiracial election in South Africa? That day in 1994, voters lined up for miles as far as the eye could see, some waiting as long as 12 hours to cast their vote.

The winner was Nelson Mandela, revered to this day as a symbol of equality, reconciliation, non-violence and an unbending determination to make the privilege of democracy apply to all the people.

Mitt Romney: My vision for America

The passion for democracy among those who don't enjoy it can seem naive to those who have seen its flaws.

I remember interviewing women in Kuwait seeking the right to vote in that emirate's very limited democracy. What if after gaining the vote they would not make any progress, I asked. Their answer revealed complete faith that democracy would bring the best outcome. Then we just have to work better, harder, to explain our positions to voters, they said.

More recently, the images from Tahrir Square in Cairo inspired the world, as Egyptians sought to overthrow a decades-old dictatorship as part of a wave of revolutions across the region.

We have followed with nervousness the unfolding uprisings in other parts of the Middle East, wondering whether democracy will emerge victorious.

Not everyone who fights against the existing tyranny seeks democracy. There are those who would like to impose their own ideas of how the people should be ruled.

21 moments that defined the campaigns

After all, we now accept as obvious the belief spelled out in the U.S. Declaration of Independence that governments derive their power from the consent of the governed. But that is truly a revolutionary vision, one that turns the concept of power on its head.

In fact, it is a majestic idea, one that seems so romantic as to appear utopian, unreachable. And it is certainly not easy to achieve in all its fullness.

It's worth remembering that the proposition does not refer just to elections. Choosing a president and other representatives of the people to govern is just the first step. The true objective of the exercise is to establish a government that will work for the benefit of society or, as Lincoln so perfectly expressed it, "a government of the people, by the people, for the people."

For a reminder of how drastically different this could be, think back to the start of the Arab revolutions, when Mohamed Bouazizi, an impoverished Tunisian fruit vendor trying desperately to make ends meet, set himself on fire after an official capriciously confiscated his fruit cart and weighing scales.

Your take: Should we have polling places in churches?

It means that after a government takes the reins, the country has a right to expect it to function for the benefit of the nation; that when the government fails, the people have a right to be outraged and demand results.

In a few hours, the polls will close across the United States, results will begin pouring in and a large part of the population will feel deeply, painfully, angrily disappointed, while a slightly larger portion will burst into celebration (unless the election brings another excruciating delayed decision).

So, let's pause briefly to experience a sense of awe for the system. After that, the time will be right for a new push to repair its many flaws.

Frum: Our voting system is a disgrace

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Pause to marvel at democracy, where governed choose their leader

@highlight

She says idea contagious, points to Tiananmen Square, South Africa, Arab Spring

@highlight

She says elections only first step; idea is a government that works for society's benefit

@highlight

Ghitis: At election, reflect on majesty of process, then get to working to fix its flaws