(CNN) -- In the Hezbollah militia strongholds in southern Beirut and south Lebanon, they set off fireworks and fired guns in the air. In the northern Israeli city of Haifa, people waved Egyptian and Palestinian flags.

But when Egypt's vice president read President Hosni Mubarak's resignation statement Friday, patrons watching TV in Tavelino Cafe in Amman, Jordan, suddenly turned quiet.

The cafe's Egyptian manager "clearly is not happy about the news," said CNN iReporter Johnny Colt. "Just last night, the man spoke to me at length about Egypt and why Mubarak needed to stay until September. When I asked him how he felt about the Mubarak news, my new friend suddenly told me he cannot speak English and that I should use my computer to find English news."

Such was the disparity of opinions that could be heard in the Middle East about the events unfolding in Egypt on Friday. So, too, were the responses from world leaders and political organizations -- some of whom ascribed starkly different reasons for the historic significance of the moment.

To British Prime Minister David Cameron, Mubarak's departure was an important first step for a nation yearning for democracy.

"Today has been a remarkable day," Cameron said, "particularly for those people in Tahrir Square and elsewhere, who have spoken out so bravely and so peacefully for change in their country."

French President Nicolas Sarkozy hailed Egypt's "historic moment" and paid tribute to Mubarak's decision to resign. He called for steps leading to free elections and reforms and urged Egyptians "to continue their non-violent march to freedom."

For the government of Iran, Egypt's political earthquake meant something entirely different.

"A new Middle East is taking shape, not the Mideast the West had planned for but one which has been created based on Islamic awakening," said Iranian Foreign Ministry spokesman Ramin Mehmanparast in an interview with state-run Islamic Republic News Agency.

Iran's semi-official Fars news agency called it "joyful coincidence" that Egypt's revolution culminated on the 32nd anniversary of Iran's Islamic revolution victory.

Elsewhere in the region, political groups, some of which are hostile to Israel and the West, were quick to attach the success of the Egyptian revolt to their own aspirations.

Mohammed Al-Qubati, a spokesman for Yemen's biggest opposition coalition, the Joint Meeting Parties, said "the map of the Arab nations will change as a result of the revolution."

"Mubarak's fall," Al-Qubati said, "proves that oppression and use of force cannot add life to the current regimes, and time for change has come."

The Joint Meeting Parties is primarily a coalition of Islamists and Socialists.

Hamas spokesman Sami Abu Zuhri called Mubarak's ouster "a victory for the Palestinian people."

Hamas, said Zuhri, "calls on the new Egyptian leadership to lift the siege of Gaza and to open the Rafah crossing and assure the free movement between Egypt and Palestine and to start the development construction process of Gaza."

Zuhri's remarks reflected the sentiments of Palestinians in Hamas-controlled Gaza and the West Bank. In Gaza, revelers spilled into the streets, honked car horns and fired guns in celebration.

Israel's two major TV channels carried the announcement of Mubarak's departure live, with images from Cairo's Tahrir Square supplemented by their political and Arab affairs commentators debating what the development means for Israel.

The headline on the website of Israel's largest newspaper, Yedioth Aronoth, read, "Mubarak Quits -- Masses Elated."

The Israeli government said little about the fall of Mubarak.

The Anti-Defamation League in New York issued a statement expressing concern about how the political transformation of Egypt will affect Israel and "what role the Muslim Brotherhood will play in the transition and beyond."

In Lebanon, public reaction appeared muted. Diners in small cafes watched Arab satellite coverage of the Egyptian street celebrations. For some, it brought back nostalgic memories of the 2005 uprising that kicked the Syrians out of Lebanon.

However, a Hezbollah spokesman told CNN, "this is the true path when the people believe in their resolve" and it makes all their sacrifices worthwhile."

The spokesman applauded the "the steadfastness and unity of the Egyptian people, young and old, men and women, which showed that blood was stronger than the sword."

Mubarak frequently accused Hezbollah cells of infiltrating Egypt at the behest of Iran.

Western leaders have expressed concerns that a post-Mubarak Egypt could become another Iran. Egypt's pro-Western neighbors fear their governments could suffer similar fates if popular uprisings spread to their countries.

Few, if any, representatives of those governments publicly uttered such fears on Friday.

Jordanian Foreign Minister Nasser Judeh called Egypt "a pillar in the region" and sent along "wishes for stability, security and prosperity."

A statement from the United Arab Emirates said its government "is always keen to foster brotherly, distinguished historic ties with Egypt in a way that serves the interests of the two brotherly countries and their peoples."

Turkish Prime Minister Recep Tayyip Erdogan released a statement expressing his government's "hope for a peaceful transition to a participatory and pluralistic order in full respect for human rights."

Erdogan called on Egyptian military officials to exercise "common sense and restraint" in the transfer of power to a new democratically-elected government.

So did officials representing Western governments.

In the United States, Senate Majority Leader Harry Reid said "it is crucial that Mubarak's departure be an orderly one and that it leads to true democracy for Egypt, including free, fair and open elections."

"We caution all sides against violence during this transition, and we will be watching the situation closely," Reid said.

Canadian Prime Minister Stephen Harper called for an Egyptian government "that will continue to respect peace treaties and seek peace in the Middle East."

Cameron and German Chancellor Angela Merkel, among others, said their governments were ready to help Egypt make the transition to a democratic society.

Merkel said her country would "support as much as we can the justified requests of the people in Egypt."

China's government won't be joining Germany.

Chinese Foreign Ministry spokesperson Ma Zhaoxu said, "China understands and supports Egypt's efforts to maintain social stability and restore normal order and that the affairs of Egypt should be decided by itself independently without intervention from the outside."

"China cherishes the traditional friendship and strategic cooperation with Egypt, and believes that the friendly relations between the two countries will continue to develop in a sound and steady manner," the official said.

CNN's Shirzad Bozorgmehr, Hada Messia, Mohammed Jamjoom, Tim Lister, Kevin Flower and Henry Hanks contributed to this report.

@highlight

NEW: Turkish prime minister urges Egyptian army to show "common sense and restraint"

@highlight

Iranian TV calls revolution's date a "joyful coincidence"

@highlight

TVs in Middle East cafes tune to Egyptian revolution

@highlight

Palestinians in Gaza fire guns in celebration