(CNN) -- As a frequent traveler to Germany, I can't help but compare it to the United States. At first, I admired its new architecture. Then I became fascinated with how many different recycling bins line the streets. Lately, I've been marveling at the country's work-life balance.

Germans work on average 35 hours per week by law. Yet, Germany hasn't lost any edge as an industrial powerhouse. In fact, Germany has remained Europe's biggest economy, even helping to keep the continent afloat during the global recession. (Though lately, growth has been modest for Germany as anxiety looms over Europe' drag economy.)

And let's not forget the amazingly generous maternity-leave policies. When German babies are born, parents can take up to 14 months off of work while still making 65% of their salary.

Concern for work-life balance doesn't stop there. German Labor Minister Andrea Nahles is calling for an "anti-stress regulation" forbidding employers from contacting their employees after business hours. No emails. No phone calls. No text messages. Talk about protecting people's personal time.

There's good reason to be concerned about work-life balance. One-third of all heart disease cases are linked to stress, often from working too hard. A 2012 study showed that working lengthy hours increases current and future risks of depression. As NPR reported this week, a health expert from the Federation of German Trade Unions has sounded an alarm about the stress, burnout and reduced productivity that result from working too much.

Whether or not the policy is enacted, one thing is clear: America could learn a thing or two from Germany when it comes to healthy work attitudes.

Imagine the outcry if an American politician or high-ranking government official suggested a "no emails after 6 p.m." policy. The reactions? Probably: "She's a lazy bum!" "He wants a nanny state!" "The government wants to take away my right to work all the time and neglect my family!"

I happen to have a job that I love, and I don't mind answering emails at all hours. But not everyone is so fortunate. For fear of losing their jobs, many Americans not only check emails after hours but also go to work while sick. Who cares if you're giving everyone strep throat? At least the boss knows you're a hard worker.

And then there are the people who can make ends meet just fine, but still feel the need to be workaholics. Does our Protestant work ethic condition us to classify leisure time as a moral failure? Are we in some sort of sick competition to see who can be the most over-worked, over-stressed person?

Compared with other rich countries, America is more stressed and less happy. According to the Organisation for Economic Cooperation and Development, we are 28th among advanced nations when it comes to work-life balance -- ninth from the bottom. If increasing our work hours hurts us instead of helping us, why exactly do we do it?

What's fascinating about this topic is that American conservatives love to extol America's "family values" while demonizing those godless European countries like Germany. Yet America has no mandatory maternity leave, no limits to the work week and certainly no interest in curtailing the ability to be "on call" 24 hours a day.

Isn't it pro-family to be able to have the time to care for a newborn? Isn't it pro-family to be able to spend time, uninterrupted, with your loved ones in the evening?

Journalist Matt Bruenig argued in The Week earlier this year that if American social conservatives really wanted a return to households where men were the breadwinners, women stayed home with the kids and people had more time for family overall, they should embrace European-style socialism.

But as the "no email after work" proposal demonstrates, some Germans fear they're getting too close to attaining that great American value called stress. In the United States, one in nine employees work more than 50 hours a week. In Germany, it's one in 18. That's a big difference. But get this -- in the Netherlands, only one in 152 employees works more than 50 hours per week, making Germany look quite "American" in comparison.

Whether Germany restricts emails after hours isn't the point. The point is protecting your work-life balance. Germany knows how to do it, and we don't.

Granted, some jobs, such as doctors, paramedics and firefighters, require some level of being on call. Other jobs -- which is to say, the majority of jobs -- have no such need. Nevertheless, we Americans always have our laptops open, our smartphones on and our tablets handy. Better be ready in case the boss needs us during dinner, family time or vacation.

But this attitude will be worth it in the end, right? At least on our deathbeds we'll never have to say, "I wish I'd made myself more available by email after work."

@highlight

In Germany a proposed law would ban employers from emailing employees after work

@highlight

David Wheeler: Germany is far ahead of U.S. in work-life balance policies and culture

@highlight

He says conservatives like to extol "family values" yet U.S. has few family-friendly polices

@highlight

Wheeler: No wonder when compared with other rich countries, U.S. is more stressed