The next time your teen turns on MTV's "16 and Pregnant," avoid any disparaging remarks. The show may actually encourage him or her to practice safer sex, according to a new study.

The study, released Monday by the National Bureau of Economic Research, says "16 and Pregnant" ultimately led to a 5.7% reduction in teen births in the 18 months after its premiere on TV. This would account for about one-third of the overall decline in teen births in the United States during that period, researchers Melissa Kearney and Phillip Levine concluded.

In 2011, a total of 329,797 babies were born in the United States to girls between the ages of 15 and 19; that's a rate of 31.3 births per every 1,000 girls, according to the Centers for Disease Control and Prevention. The CDC does not have rates available for 2012; Kearney and Levine say that number dropped to 29.4 per every 1,000 that year.

The declining teen birth rate is a well-documented trend in the United States. Between 1991 and 2008, the rate dropped steadily at an average of about 2.5% a year. In the past four years, it has dropped even more dramatically at a rate of about 7.5% per year.

"We were really curious as to what was going on," said Kearney, who has been studying teen pregnancy interventions alongside Levine for more than a decade. When the researchers learned that Sarah Brown, CEO of the National Campaign to Prevent Teen and Unplanned Pregnancy, thought MTV's shows may have something to do with it, they thought: "Could that really be true?"

U.S. women having fewer children

"16 and Pregnant" premiered in June 2009 and has been on for five seasons, with a total of 47 episodes through October 2013. The show features one teen every episode and follows her through several months during and after pregnancy. The documentary-style show inspired several spinoffs, including the popular "Teen Mom."

Both "16 and Pregnant" and "Teen Mom" have experienced their share of controversy. The shows are often criticized for glamorizing teen pregnancy.

"Instead of really helping viewers understand the day-to-day responsibilities of attending to a new infant -- scrubbing poop stains or spit-up out of clothing -- or dwelling on the 'mundane,' MTV chooses to focus on the girls' volatile relationships with the babies' fathers or their new body piercings and tattoos," Parents Television Council Director Melissa Henson wrote on CNN. "That makes for better TV."

Kearney and Levine looked at Nielsen ratings as well as search data from Google Trends and Twitter to determine the show's potential impact on teen birth rates. They recorded spikes in Google searches and Twitter mentions about the show when new episodes aired and looked specifically for searches on terms such as "birth control" and "abortion" alongside those spikes.

Photos: When teens want to have children

They then analyzed geographic data to see whether locations with higher search activity and tweets about "16 and Pregnant" showed higher levels of searches and tweets about birth control and abortion.

They did.

The researchers also looked to see whether high viewership in certain areas corresponded with a bigger drop in teen births.

It did.

"The results of our analysis indicate that exposure to '16 and Pregnant' was high and that it had an influence on teens' thinking regarding birth control and abortion," the researchers write.

That's all well and scientific, but could a TV show really have that big of an impact on teen birth rates?

"It's an extraordinary study done by two very cautious economists," said Bill Albert, chief program officer at the National Campaign to Prevent Teen and Unplanned Pregnancy. "I jokingly refer to them as Drs. No because they generally set out to say, 'That doesn't work.' For that reason alone, we take it very seriously."

Kearney said that while she and Levine did a lot of "fancy economic work" to make sure their conclusion was right, the most compelling evidence came from the teens' social media language. "The text of the tweets are phenomenal: 'This reminds me to take my birth control.' 'Watching 16 & Pregnant, going to take my birth control,' " she remembered reading.

Of course, no one, including the study authors, is saying that MTV alone is responsible for the declining teen birth rate.

Pediatricians support condoms for teens

About half of the recent dramatic decline can be attributed to the recession, Kearney says. Research shows that all birth rates fall during slow economic times, including teens'; those who were once ambivalent about using birth control often become more conscientious when they realize that finding -- or keeping -- a job to support a baby would be difficult.

Kearney believes TV shows like "16 and Pregnant" work to deter teens in a similar way.

"Shows that make it clear how hard it can be ... affect girls who might not care otherwise," she said. "You see she's fighting with her boyfriend on a daily basis. She's gaining weight. Her friends are partying without her."

Making the immediate cost clear seems to get through to teens more than statistics that show what happens to teen parents when they're 25, Kearney says.

Teens may turn to TV shows about sex because they're lacking other options, Albert says. A recent study published in the medical journal JAMA showed that doctors certainly aren't spending a lot of time talking about the important topic: The average conversation about sex between doctors and teens in the study lasted less than two minutes.

Doctors don't talk to adolescents about sex

And parents, Albert says, are often shocked to learn that teens say their parents have a major influence on their decisions about sex.

"I think the takeaway here is that media can be, and often is, a force for good," Albert said. "We have always viewed these particular shows as sex education for the 21st century."

@highlight

MTV's "16 and Pregnant" may encourage teens to use birth control

@highlight

Teen births in the United States have been steadily declining since 1991

@highlight

Part of the decline can be attributed to the recession, expert says