(CNN) -- Jeff Szabo was by his wife's side when she gave birth to their son Gabriel seven years ago, and he was right there holding Joy's hand when their younger sons Michael and Daniel were born, too.

Jeff Szabo was there when Joy gave birth to (from left) Gabriel, Michael and Daniel, but will probably miss No. 4.

Joy is now eight months pregnant, but when this baby is born, her husband will most likely be more than 300 miles away.

The reason: Their local hospital in Page, Arizona, won't deliver the Szabos' baby vaginally as the Szabos wish, so a week or so before her November 21 due date, Joy will drive 350 miles to be near a hospital in Phoenix that will.

Their local hospital says they'll only deliver the Szabos' baby, another boy, via Caesarean section. Joy had her second son, Michael, by C-section. Page Hospital says it won't do a vaginal birth after a woman has had a C-section -- known as a VBAC -- because it has a higher than usual risk for complications.

So Joy plans to move to Phoenix in November, while Jeff stays in Page, in far northern Arizona, to take care of their three children and run the family computer business.

"I'm so upset about this," Jeff says. "I've been there in the delivery room for all the other boys and I won't be there for this baby, and I won't be there for Joy."

The Szabos and a growing number of other families are facing the choice of Mom having a surgery she doesn't want or attempting a vaginal birth at a hospital that, in most cases, would be far away.

A mother's choice

The Szabos' story began in 2004 when she was in labor with Michael. Complications arose and doctors at Page Hospital feared the baby wasn't getting enough oxygen, and so they performed an emergency Caesarean section.

"I'm grateful for that C-section," Joy says. "It saved Michael's life."

Two years later, Szabo had a successful, uncomplicated vaginal delivery with son Daniel at the same hospital. She assumed she could have a vaginal birth this time too, but, she says, a month ago her doctor told her Page Hospital had changed its policy and she'd have to have a C-section.

Studies have shown VBACs carry with them an increased risk of a uterine rupture compared with births in women who've never had a C-section, but the risk is less than 1 percent, according to the American College of Obstetrics and Gynecologists.

The results of a uterine rupture can be devastating: The baby could die or have permanent brain damage.

"I know there's a risk with a VBAC, but we think the risks of surgery are worse," Joy Szabo says. C-section risks include breathing problems for the baby and infections and bleeding for the mother, according to the Mayo Clinic.

"And I don't want to have to recover from surgery when I'll have four children at home, at least not voluntarily," says Joy.

After their discussion with their doctor, the Szabos made an appointment to speak with Page Hospital's CEO, Sandy Haryasz. When the couple told her about their desire for a vaginal birth, they say Haryasz would not budge, even telling them she would get a court order if necessary to ensure Joy delivered via C-section.

"I was a bit flabbergasted, because that seemed rather extreme," Joy says. "I'd already had a VBAC at Page and it went fine. And if something happened, I know they can do an emergency C-section, because they did one for Michael."

Conflict over guidelines

Michele Grim, a spokeswoman for the hospital, said Haryasz could not comment on her discussion with the Szabos because of patient confidentiality laws.

Banner Health, which owns Page Hospital, says it decided to stop performing VBACs at Page when ACOG, the obstetricians' group, established guidelines for hospitals that Page Hospital was not adequately staffed to satisfy.

The ACOG guidelines recommend "24/7 coverage of both physician and anesthesiologist," and that "two physicians be immediately available during the entire period of labor," Banner Health said in a statement.

But ACOG spokesman Gregory Phillips says that's not what the guidelines say. "These appear to be Banner's interpretations of the stated recommendation," says Gregory Phillips.

The ACOG guidelines recommend that doctors consider several factors when determining if a VBAC is possible. For example, two criteria that can be considered are whether there's physician availability throughout active labor, and whether anesthesia and staff can be available for an emergency C-section.

Since the ACOG guidelines came out in 2004, more and more hospitals have refused to do VBACs. Today, nearly half of hospitals won't do VBACs, either because the hospital has banned them or because doctors won't do them, according to a survey of nearly 3,000 hospitals by the International Cesarean Awareness Network, a grassroots group that has fought against VBAC bans.

Missing his son's birth

To get around the ban, Joy Szabo plans on moving to an apartment in Phoenix in the middle of November. They have no friends or family there, but a doula, or childbirth assistant, will drive her to the hospital when she goes into labor.

The Szabos have no option but to separate to get the birth they want, but in other situations, women don't have to go to such extremes.

For example, some women don't want to be induced into labor, or don't want an episiotomy.

The key is to look around for a doctor or midwife who shares your philosophy by asking questions about their induction rate, or whether they perform episiotomies routinely, according to Carol Sakala, director of programs for the Childbirth Connection, a nonprofit advocacy and education group.

Also, choosing the right hospital or birthing center makes a big difference. "The institution you walk into profoundly affects you," Sakala says. "A really good thing is to ask doulas for their recommendations, because they've worked at multiple hospitals and have a good feel for what happens in each of them."

For more information on getting the birth you want, see these recommendations from Lamaze International.

The Szabos know there's little chance Jeff will make it in time for the birth. "With our other sons, her labor only lasted three hours. It'll take me five hours to get to Phoenix," Jeff says, noting that with three little kids along for the ride, it will take even longer.

"Of course I'm scared that I won't be there," he adds. "It's my job as the dad to make sure the baby's OK after the birth, to follow him around and make sure he has 10 fingers and 10 toes. Now the chances of that happening are slim to none."

CNN's Sharisse Scineaux contributed to this report.

@highlight

One woman plans to travel 350 miles to another city in order to avoid a C-section

@highlight

Hometown hospital says it can't meet doctor group's guidelines for VBACs

@highlight

Group issued guidelines in 2004; since then fewer hospitals willing to do VBACs

@highlight

In other cases, patients can ask providers questions to get the birth they want