(CNN) -- It may have one of the fastest growing economies in the world -- but if you're young and out of work in Africa, the future remains bleak.

The search for employment is a daily struggle for 24-year-old Sherrif Mohamed. He's one of millions of young unemployed Africans whose lives have stalled, despite economic growth across the continent.

Sherrif lives in Egypt, where until recently he was pursuing a university education. The revolution that ousted Hosni Mubarak forced him out of school and into a job market, which has continued to worsen. The uprising kept tourists away and investors out -- and Egypt is yet to recover.

Around 30% of 18 to 29-year-olds are now out of work -- a figure that's echoed across Africa. Sherrif's lack of a qualification narrows his employment prospects further.

"Now there are no jobs whatsoever," he said. "I've tried working in restaurants, coffee shops, clothing stores and lately worked at my brother's store. But the wages are not sustainable at all."

Thousands of miles away in Kenya, more disillusioned young adults walk the corridors of the University of Nairobi. Unlike Sherrif, they'll get to complete their studies and enter the job market as skilled professionals. But with Kenya's youth unemployment rate standing at 40%, they feel their prospects of work are equally slim.

Eunice Kilonzo is a promising student on the campus. She said: "I'm competing with around 700 people to get the same job, probably in the same place. So the chance of getting a job is pretty thin."

She places the blame firmly at the feet of her government. Eunice feels the job market will not improve in line with economic growth until the education system is revamped.

"If the market is way beyond your education level, there won't be productivity. We need to change everything about the education system. I cannot go into the library and study a book that was published in 1969. We are in 2012."

For Eunice and Sherriff, economic forecasts make for irrelevant reading. Africa's economy is expected to grow by 4.5% this year and by 4.8% the next, and its youth population is set to double by 2045, according to the African Economic Outlook report. But the headlines that herald a burgeoning economy aren't translating into the jobs they need.

If jobless growth continues, they believe young Africans will continue to find themselves unemployed or, more frequently, underemployed in informal jobs.

World Bank Chief Economist Shantayanan Devarajan agrees that creating employment is the biggest hurdle that African nations will have to overcome.

"In low income African countries people can't afford to be unemployed. They are working in the informal sector with very low earnings and very low productivity.

"One reason for that low productivity is that these people have had very little education.

"On the other hand it's a huge opportunity because we can train them and can improve the quality of education. The other point is the rest of the world is aging, so Africa will become the place with all the young people."

The African Economic Outlook report also speaks of the importance of unlocking the potential offered by the region's youth. But it says the continent must modernize its industries and develop sustainable private sectors, in order to do so.

While, such harsh warnings are not relevant for all of Africa, the sentiment behind them is important. Devarajan agrees that private firms could provide an important source of jobs for the young and says African businessmen are taking advantage of the opportunities available now.

"Macroeconomic policies in Africa have improved inexorably in the last 10 to 15 years," he added.

"We've had commodity price booms in the past but those haven't translated to this kind of sustained growth before. And that means there is hope for a better future for Africa. This is not hype, this is real."

@highlight

Africa's economy set to grow by 4.5% this year, youth population to double by 2045

@highlight

Almost one third of young Egyptians and one in four young Kenyans out of work

@highlight

Nairobi student says she's studying with book published 40 years ago

@highlight

Young Egyptian struggles to secure work at his brother's store