(CNN) -- Americans needing health insurance or disability services could be overlooked by their local governments if a bill now being considered by the Senate passes. It would eliminate a survey that some call a vital source of information about health indicators of millions of Americans, but which House Republicans say is too expensive and raises privacy concerns.

It's called the American Community Survey. The Census Bureau surveys about a quarter of a million Americans every month. Community officials, academics and businesses rely on this information to understand the markets they operate in and the needs of individual localities. The House last week passed a Republican-backed bill that would cut the survey altogether, citing costs and privacy issues.

The survey program, which reaches more than 3 million people annually, could cost taxpayers upwards of $2.4 billion over the next 10 years. Survey supporters say that isn't much money in the grand scheme of government, but opponents say the survey is needless and unconstitutional.

"Given the intrusive nature of some of these questions, which are mandatory for Americans to answer under penalty of law, it would seem that these questions hardly fit the scope of what was intended or required by the Constitution," Rep. Daniel Webster, R-Florida, told Congress last week.

But the American Community Survey is vital to state legislators, mayors, city councils and city planners, said Robert Moffitt, professor of economics at Johns Hopkins University in Baltimore. These officials need to know information such as how many families don't have health insurance, how many people are living in poverty, and how many individuals are disabled, so that services can be directed toward the appropriate number of people in particular places, he said.

Academics who rely on the data for research have been particularly concerned about maintaining the survey, whose data is used in a wide variety of analyses.

"If you're opposed to the survey, you're opposed to understanding what's going on in America," said MIT economist Jonathan Gruber, director of the Program on Health Care Research at the National Bureau of Economic Research.

The poverty question is particularly important because in areas where poor families are concentrated, problems multiply, and community officials should know where those areas are, Moffitt said. High crime, health conditions and underperforming public schools are all consequences of poverty clusters, according to the Brookings Institution.

And with health insurance, as communities devise health insurance programs for those who are not covered, it's useful to know exactly where the uninsured live and other facts about them, such as whether they are also unemployed, Moffitt said.

Gruber says the survey is probably the best source of data on health insurance coverage currently available. Health insurance markets are quite different across areas. The survey additionally allows researchers and policy-makers to look for trends among minorities. "If you want to do any local estimates, you need big samples, and that's what the ACS gets you," he said.

The Affordable Care Act, whose constitutionality will be decided by the Supreme Court, would require that everyone have health insurance. But irrespective of that, any state doing health care exchanges needs to know about the markets it's operating in, he said.

In 2008 the American Community Survey began including questions about marriage -- for instance, how many times people have been married, and whether they have been married, divorced or widowed in the previous 12 months. This could be used to zoom in on needs surrounding child care and child support for single-parent households, as well as to create and evaluate policies and initiatives relating to the institution of marriage.

The survey is also important to businesses. Joan Naymark, director of market analytics and planning at Target Corporation, said in a video on the Census website that her company uses Census Bureau data to see the characteristics of potential customers who live in communities throughout the United States. Target's director of guest insight, Kate Whittingon, said in the video that Target looks at the American Community Survey for information about family structure and household size.

Educational attainment and workforce age are two statistics from the survey that are valuable to the Greater Houston Partnership, a nonprofit geared toward building economic prosperity in Houston.

As examples of the intrusiveness of the survey, Webster cited questions that ask if respondents have difficulty dressing, concentrating and making decisions, how long it takes them to get home from work, and what their emotional condition is. He also said that failure to answer the survey can result in a $5,000 fine.

But Martin Gaynor, professor of economics and public policy at Carnegie Mellon University, called concerns about privacy "very foolish." "People volunteer all kinds of far more intimate, sensitive information online without a thought about who is watching," he said.

And there's a harsher penalty for Census Bureau employees who identify individuals filling out the surveys: five years in prison or $250,000 in fines, or both, according to the Census website. All employees take an oath of nondisclosure, and the information is kept private.

The American Community Survey has been administered since 2005. Before that, there was a long-form questionnaire that accompanied the general U.S. Census, which is given out every 10 years. "There was a general sense in the statistical community that there was a burden and people objected to it," said Margo Anderson, professor of history at the University of Wisconsin-Milwaukee.

Supporters of the cost-cutting bill won the vote to kill the survey 232-190 in the House. But it's far from being a law -- the Senate hasn't voted on it yet, and White House has suggested it would veto such a bill.

"I think the issue really is: The Republican House right now is looking for ways to cut the federal budget," Anderson said.

"What's likely to happen is: There's now going to be a much more robust public debate about whether (cutting it) is prudent or not."

@highlight

Congress threatens to kill survey used for health coverage data

@highlight

American Community Survey costs $2.4 billion for 10 years

@highlight

House Republicans: It's expensive and unconstitutional

@highlight

House has voted to scrap it; Senate hasn't voted on it yet