(CNN) -- The number of Syrian civilians who have fled their country to escape the civil war has passed 1.5 million, the U.N. refugee agency said Friday.

"The Syrian conflict continues to have a devastating impact on the lives of those who are forced to flee," said Dan McNorton, a spokesman for the Office of the U.N. High Commissioner for Refugees, in Geneva, Switzerland.

"Refugees tell us the increased fighting and changing of control of towns and villages, in particular in conflict areas, results in more and more civilians deciding to leave. Over the past four months, we have seen a rapid deterioration when compared to the previous 20 months of this conflict," he said.

The real number of refugees is probably much higher, McNorton said, adding that "this is due to concerns that some Syrians have regarding registration."

Since the start of 2013 alone, UNHCR has registered close to 1 million refugees -- which amounts to about 250,000 people each month.

Along with the refugees, more than 4 million people have been internally displaced, according to U.N. General Assembly President Vuk Jeremic.

Syria has a population of just more than 22 million, according to the CIA World Factbook. That means nearly 30% of Syrian people have left their homes amid the violence.

The war has left at least 80,000 dead, Jeremic said, since the start of the hostilities in Syria more than two years ago.

That death toll continues to climb. On Friday, the opposition Local Coordination Committees of Syria reported 113 dead -- 39 of them in and around Damascus, 17 in Idlib province, 15 in Homs, 14 in Deir Ezzor and others elsewhere.

U.S. official: Russian missiles will 'prolong the suffering'

Russian Foreign Minister Sergey Lavrov reiterated Moscow's position Friday that it will fulfill a deal to supply air defense missiles to the Syrian government.

At a news conference with U.N. Secretary General Ban Ki-moon in Russia's Black Sea resort city of Sochi, Lavrov said he did not understand the furor over the sale of the S-300 anti-aircraft missiles.

Delivery of the weapons will fulfill a signed agreement and will not give the Syrian government any advantage in its fight with the opposition, he said.

Moscow says international concerns voiced over the move by Russia, a longtime friend of Syria that has supported the regime of President Bashar al-Assad during the conflict, are unfounded.

"All who are not planning aggressive acts on a sovereign country, should not be worried, because air defense missiles are exclusively for defense (hence their name) and they are needed to fight an air attack," Lavrov said last week, according to the Foreign Ministry website.

"We are not breaking any laws and don't want to jeopardize our reputation of a trusted supplier."

Among those expressing concern about the missiles Friday was U.S. Defense Secretary Chuck Hagel, who said the sale "does not help" the situation in Syria. "It makes it more dangerous," he said.

U.S. Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, elaborated further, calling Russia's move "at the very least a very unfortunate decision that will embolden the regime and prolong the suffering."

"What I really worry about is that Assad will decide that since he's got these systems, he's somehow safer or more prone to a miscalculation," Dempsey added.

Hagel noted U.S. efforts, led by Secretary of State John Kerry, to work with Russia to find common ground and help prevent the eruption of a regional war.

Lavrov and Ban said they were keen to see an international meeting held soon involving the Syrian government opposition.

The aim would be to implement last summer's Geneva communique brokered by Russia and the United States outlining how a transitional government could be formed.

Lavrov and Kerry said this month that they had agreed to try to organize a meeting "as soon as is practicable, possibly and hopefully, by the end of this month."

France: Iran shouldn't be part of Syria conference

Even though it's viewed as a civil war, the conflict in Syria has had a significant impact on its region.

Violence has spilled over into Turkey, Lebanon and Israel. And the conflict has become entangled in issues involving another hot-button nation in the Middle East: Iran.

On Friday, France's foreign ministry issued a statement opposing Iran's participation in an international peace conference on Syria.

Iran has been a strong ally of al-Assad and his government, as well as a focus of international condemnation over its nuclear program.

"The stability of the whole region is in question," the French ministry said. "We can't see a country, representing a threat to stability, taking part in this conference."

The French government said that Tehran should provide a "certain number of answers" and meet "international obligations" before it takes part in talks regarding Syria.

Gruesome footage shows man cutting out soldier's organs

Inside Syria itself, opposition groups responded Friday to widespread outrage this week over a horrific video showing a man said to be a Syrian rebel carving into the body of a government soldier, cutting out his heart and liver, and taking a bite of the heart.

Syrian rebel cuts out soldier's heart, eats it

The Syrian Observatory for Human Rights, a London-based activist group, questioned in a statement why the world had not paid the same attention to the many videos it has published showing atrocities allegedly carried out by forces loyal to al-Assad.

A new video purported to be of the Syrian rebel who carried out the atrocity, Khaled al-Hamad, known as Abu Sakkar, was also posted online Friday.

He is asked, "Abu Sakkar, do you regret what you have done? After the killing of the Assad militiaman and the mutilation of his body?"

He replies: "I am ready to face justice and be brought to trial for my actions on the condition that they need to bring Bashar and his thugs to stand trial as well, for the atrocities that they have committed against our women and children."

He warns that "if the bloodshed doesn't stop in Syria, all of the Syrian people will be Abu Sakkar. Everyone will be Abu Sakkar."

Although CNN cannot independently verify the authenticity of the videos, it interviewed a local rebel spokesman this week who confirmed the heart-eating incident and said he had spoken to the man involved.

Also Friday, Human Rights Watch urged the rebel groups now in control of Raqqa city, in northern Syria, to ensure that evidence of torture chambers in government security facilities seen by HRW researchers last month is preserved.

"The documents, prison cells, interrogation rooms, and torture devices we saw in the government's security facilities are consistent with the torture former detainees have described to us since the beginning of the uprising in Syria," said Nadim Houry, deputy Middle East director at Human Rights Watch.

"Those in control of Raqqa need to safeguard the materials in these facilities so the truth can be told and those responsible held accountable."

Obama cautious on Syria, Britain ups urgency for peace

Why a man eats another man's heart

Sources: U.S. believes Israel has conducted an airstrike into Syria

CNN's Pierre Meilhan and Greg Botelho contributed to this report.

@highlight

NEW: Opposition group reports 113 dead, 39 of them in and around Damascus

@highlight

Over 1.5 million are refugees, over 4 million are displaced internally, U.N. says

@highlight

Russia sending Syria missiles "will prolong the suffering," U.S. official says

@highlight

Rebel who apparently ate the heart of a government soldier appears in a new video