Islamabad, Pakistan (CNN) -- The Pakistan Taliban's No. 2 leader was killed in a drone strike Wednesday in the country's tribal region, a local tribal official and an intelligence official confirmed to CNN.

He was Wali-Ur Rehman Mehsud -- second in command to Hakimullah Mehsud, the militant group's leader. The Pakistan Taliban's spokesman told CNN he could neither confirm nor deny the information. The sources said Rehman was killed along with his close aide, Fakhar-ul-Islam, and two Uzbek nationals whose identities the sources didn't know.

Opinion: Pakistan vote the first step on a long road

This is the same strike reported earlier by intelligence officials in Pakistan, who said seven people were killed and one other was injured in the attack at a compound near the town of Miranshah in the North Waziristan district.

Rehman was wanted by the United States on suspicion of being involved in the December 2009 suicide bomb attack that killed seven CIA employees at Forward Operating Base Chapman in Khost, Afghanistan, according to a publication by the U.S. National Counterrorism Center.

The publication described him as the Pakistan Taliban's No. 2 leader and chief military strategist, and said he participated in cross-border attacks in Afghanistan against U.S. and NATO personnel.

The United States has long conducted drone strikes in its fight against suspected Taliban and Pakistani jihadist groups in Pakistan near the Afghan border. This one is the first known hit since Pakistan held general elections on May 11 and since President Barack Obama announced his new counterterrorism policy last week.

The last reported drone strike in Pakistan was in mid-April.

White House spokesman Jay Carney told reporters Wednesday that he couldn't confirm reports of Rehman's death, but he said the militant was wanted for the Khost incident and mentioned his participation in attacks. "It's important to note who this individual is," he said.

Carney read a portion of Obama's counterterrorism speech that laid out standards for taking action.

"In the Afghan war theater, we must support our troops until the transition is complete at the end of 2014. That means we will continue to take strikes against high value al Qaeda targets, but also against forces that are massing to support attacks on coalition forces. However, by the end of 2014, we will no longer have the same need for force protection, and the progress we have made against core al Qaeda will reduce the need for unmanned strikes," Carney said, reciting the address.

Core al Qaeda is a reference to the terror group along the Afghan-Pakistan border.

Opinion: 9 myths about drones and Guantanamo

Drone strikes have become controversial and unpopular because they have killed civilians, and Pakistan has said it has "serious concerns" over the latest attack.

Pakistan, which describes itself as a front-line state in the fight against terrorism, said it has "consistently maintained that the drone strikes are counterproductive, entail loss of innocent civilian lives, have human rights and humanitarian implications and violate the principles of national sovereignty, territorial integrity and international law."

When Obama discussed drone strikes last week, he said they must be used with more temperance and caution, but they remain a necessary tool to take on terrorists.

By The Numbers: Drones

"It is a hard fact that U.S. strikes have resulted in civilian casualties, a risk that exists in all wars," Obama said. "As commander in chief, I must weigh these heartbreaking tragedies against the alternatives. To do nothing in the face of terrorist networks would invite far more civilian casualties."

Nawaz Sharif, the Pakistani politician who is expected to serve as the next prime minister, has said he plans to address the unrest in his country.

Talks with militants such as the Pakistan Taliban should be taken seriously, he has said.

Taking on militants in Pakistan

The United States, in its fight against terrorism, has been using drones to go after militants it calls high-value targets.

The Long War Journal, a website that tracks, reports and analyzes the U.S. fight against terrorists, said the United States has launched 14 drone strikes so far this year.

Opinion: Add morality to list of drone victims

"The number of strikes in Pakistan has decreased since the peak in 2010, when 117 such attacks were recorded. In 2011, 64 strikes were launched in Pakistan, and in 2012 there were 46 strikes," the journal said.

The strikes have been confined mostly to North and South Waziristan, the journal said, with 322 of the 339 strikes recorded since 2004 occurring in those two tribal regions.

Obama and other U.S. officials have stressed that al Qaeda's core in Afghanistan and Pakistan is being degraded. In his speech, Obama said al Qaeda in that region is "on a path to defeat."

Asked how many high-value targets like Rehman are left in the Afghanistan-Pakistan region, Bill Roggio, the Long War Journal's editor, estimated the number is at least in the dozens, including members of the Pakistani Taliban.

"Al Qaeda has replaced its top leadership, often using seasoned Pakistani jihadists from the cadre of Pakistani terror groups," Roggio said, citing such militant movements as Harakat ul Mujahideen, Lashkar-e Jhangvi, Jaish-e-Mohammed, and Harkat-ul-Jihad al-Islami.

Peter Bergen, CNN national security analyst, said it's hard to say how many high-value targets are left because people keep being added to the list.

He also said many militants remain concentrated in the rugged North Waziristan region, where the army's lack of clearing operations makes it safe for jihadis to operate.

CNN's Shaan Khan reported from Pakistan, with Joe Sterling reporting and writing in Atlanta. Journalist Zahir Shah Sherazi and CNN's Pam Benson and Jason Hanna also contributed to this report

@highlight

NEW: Rehman was wanted by U.S. in connection with 2009 attack that killed CIA employees

@highlight

Seven killed, one wounded in drone strike, officials say

@highlight

Rehman was second in command to Hakimullah Mehsud

@highlight

It's the first drone strike since the Pakistani elections