Moscow  (CNN)Crowds of people, some with tears in their eyes, flocked Saturday to the spot on a bridge in the shadow of the Kremlin where prominent opposition figure Boris Nemtsov was shot dead hours earlier, in what appeared to be a targeted killing.

The fatal shooting of the former Russian deputy prime minister sparked outrage among fellow opposition figures, and many questions over who could be behind it.

Nemtsov, who served in the late 1990s under President Boris Yeltsin, was one of President Vladimir Putin's most vocal critics.

An ever-growing mound of flowers left by mourners marked the place where he fell late Friday night. The mood in the Russian capital is one of shock, among Putin supporters as well as those who back the opposition, one man told CNN.

Investigators are combing through surveillance footage and questioning witnesses in the shooting, Russia's Investigative Committee said in a statement Saturday.

"There is no doubt that the crime was carefully planned," it said. "It is obvious that the organizers and perpetrators of this crime were aware of the proposed route."

The weapon used appeared to be a Makarov pistol, it added.

State-run Russia 24 reported that Nemtsov had received threats related to his stance on the Charlie Hebdo attack in Paris, citing Investigative Committee spokesman Vladimir Markin.

Meanwhile, Nemtsov's former press secretary and close friend Alexander Kotyusov told the official Tass news agency that Nemtsov would be buried in Moscow. Opposition activists told CNN they believed the funeral would be held Tuesday.

Putin quickly condemned the killing and expressed his condolences to his family. He also ordered three law enforcement agencies to investigate the shooting, Tass reported.

According to the Kremlin website, Putin has written to Nemtsov's mother saying he shared her grief and promising to bring those behind the killing to justice. "He always openly and honestly stated his position, defended his point of view," he said of his erstwhile critic.

Nemtsov was a top official with the Republican Party of Russia/Party of People's Freedom, a liberal opposition group. He had most recently been critical of the Kremlin's handling of the Ukraine crisis.

Opposition leader Ilya Yashin said his friend had been working on a report about Russian troops and their involvement in Ukraine.

In a statement released by the U.N. on Saturday, Secretary-General Ban ki-moon expressed his deepest condolences to Mr. Nemtsov's family, friends and supporters while affirming an investigation into Nemtsov's murder has been announced through which he "expects the perpetrators to be brought to justice swiftly."

His death comes two days before a large opposition rally was set to take place in Moscow. Hours before his death Friday, Nemtsov had done a radio interview urging people to attend the rally Sunday.

After his death, party leaders decided to instead hold a mourning march Sunday in downtown Moscow.

Russian authorities have reversed their earlier decision not to issue a permit for the march and will now allow the procession Sunday afternoon, leader of the People's Freedom Party Mikhail Kasyanov said.

The organizers of the march claim that so far some 1,200 people have confirmed they will join.

Moscow police said they would tighten security for the march, with up to 50,000 participants allowed to take part.

The route will lead just over a mile from Kitay Gorod in downtown Moscow to the bridge near the Kremlin where Nemtsov was killed.

Nemtsov was walking with a companion, Anna Duritskaya, 23, at the time of the shooting. A political colleague and friend of Nemtsov's, Ilya Yashin, said Duritskaya called him and told him that just before midnight a car with "several men" pulled up and someone in the car then opened fire on Nemtsov.

Investigators interviewed Duritskaya on details surrounding the shooting, she wasn't wounded.

Russian broadcasters Life News and Russia 24 said the car used in the attack had been found in downtown Moscow and was being examined by police.

Life News earlier posted video of what it said could be the vehicle, a white car captured by a CCTV camera near the bridge. Police have not commented on the video.

The area in the center city is normally busy on a Friday night, though the weather was cold and wet.

Putin said he suspected it was a contract hit meant to cause political discord, according to the President's spokesman, Dmitry Peskov.

The leader of Russia's Communist Party, Gennady Zyuganov, told Tass the killing should be investigated fast to avoid it being exploited by Russia's enemies, potentially leading to "far-reaching consequences." He added that "all Russia's foes will use this murder to the maximum."

A man like Nemtsov had many enemies, experts said.

Nemtsov, 55, had been arrested several times for speaking against Putin's government.

The most recent arrests were in 2011 when he protested the results of parliamentary elections and in 2012 when tens of thousands protested against Putin.

In a restaurant interview with CNN's Anthony Bourdain last year, he lamented the situation for business owners.

"This is a country of corruption. And if you have business, you are in a very unsafe situation. Everybody can press you and destroy your business. That's it," Nemtsov said.

Nemtsov was also a vocal critic of the 2014 Winter Olympics held in Sochi, calling them one of the most "outrageous swindles" in recent Russian history.

World chess champion-turned opposition activist Garry Kasparov tweeted extensively about Nemtsov's death.

"When we argued, Boris would tell me I was too hasty, that in Russia you had to live a long time to see change. Now he'll never see it. RIP," he wrote in one.

Nemtsov's lawyer Vadim Prokhorov told Russian media that Nemtsov's life had been threatened on social media in recent weeks.

Critics like Yashin and Kasparov pointed fingers in the direction of Putin or a supporter of the Russian President.

"It's clearly a political murder. It's definitely a contract one," Yashin said. "I don't know who killed Boris, but I know that it's the government and personally Putin who are responsible for it. They've been constantly promoting a hatred towards everyone who doesn't support their course and thinks different."

It's something even Nemtsov himself had said he had thought about, acknowledging in an interview with Russian newspaper Sobesednik this month that he was "a little bit" afraid his mother's fears Putin would have him killed would come true.

But, he added, "I'm not afraid of him that much.  If I was afraid I wouldn't be heading an opposition party and do what I'm doing."

Opinion: Nemtsov killing: A chilling historical parallel?

Kasparov said the Russian President is to blame even if not directly involved.

"If Putin gave order to murder Boris Nemtsov is not the point. It is Putin's dictatorship. His 24/7 propaganda about enemies of the state," Kasparov tweeted.

"In Putin's atmosphere of hatred & violence, abroad & in Russia, bloodshed is the prerequisite to show loyalty, that you are on the team," he added.

New footage released by a Moscow city government owned TV station, TVCenter, on Saturday aired low resolution surveillance video which the TV station claims captured two people they believe to be Boris Nemstov and his friend Anna Duritskaya, just seconds before the shooting.

Critics of Putin have in the past suffered miserable fates.

Last year, a Moscow court sentenced five men to prison for the 2006 killing of Russian journalist and fierce Kremlin critic Anna Politkovskaya.

Business magnate Mikhail Khodorkovsky accused Putin of corruption and wound up spending 10 years in prison and labor camps.

Russian spy Alexander Litvinenko accused state security services of organizing a coup to put Putin in power. He was poisoned by a lethal dose of radioactive polonium and died in London in 2006. No killer has been caught.

"It's the latest in a series of high-profile killings of people who have been critics of authorities in Russia over the last few years," said Peter Baker, the author of "Kremlin Rising" and a New York Times reporter. "We don't know yet, of course, who did this or why, but it will certainly send a terrible message to people who are fighting this cause Nemtsov has been fighting."

Michael McFaul, the former U.S. ambassador to Russia, described Nemtsov as a "real patriot" who had been his loyal friend for 20 years.

"I hope a real investigation will tell us who committed this heinous crime," he tweeted, pointing out that it happened only 100 meters from the heavily guarded Kremlin.

"You teach people to hate. You encourage people to hate. You push messages of hate. They then do hateful things."

U.S. President Barack Obama called for an impartial investigation and praised the deceased leader.

"Nemtsov was a tireless advocate for his country, seeking for his fellow Russian citizens the rights to which all people are entitled. I admired Nemtsov's courageous dedication to the struggle against corruption in Russia and appreciated his willingness to share his candid views with me when we met in Moscow in 2009," Obama said in a written statement from the White House.

U.S. Secretary of State John Kerry said he was saddened by the death of Nemtsov, who "committed his life to a more democratic, prosperous, open Russia, and to strong relationships between Russia and its neighbors and partners, including the United States."

Ukrainian President Petro Poroshenko said Saturday "it is hard to believe" that Nemtsov was killed. "I have no doubt that the murderers will be brought to justice. Sooner or later. Rest in peace," Poroshenko said via Twitter.

French President Francois Hollande condemned the murder of the man he described as "a courageous and tireless defender of democracy and a fierce fighter against corruption."

Who was Boris Nemtsov?

CNN's Frederik Pleitgen and Alla Eshchenko reported from Moscow and Laura Smith-Spark wrote in London. CNN's Steve Almasy, Radina Gigova, Gena Somra, Ralph Ellis, Brian Walker, Azadeh Ansari and Jo Shelley contributed to this report.

@highlight

Nemtsov was accompanied by a friend when shots were fired from car

@highlight

Crowds flock to lay flowers at the spot on the bridge where Boris Nemtsov was shot dead

@highlight

Investigative Committee says killing of Nemtsov was "carefully planned"