Tripoli, Libya (CNN) -- Libyan government and rebel officials offered wildly disparate views of the situation on the ground Sunday, as gunfire and explosions continued to rock Tripoli not far from the home of embattled leader Moammar Gadhafi.

Saif al-Islam Gadhafi, the ruler's son and a top official in his regime, insisted on Libyan state-run television that the rebels were losing every battle -- saying so hours after his father told supporters that the "traitors" and their NATO allies were lying and nearing their end.

This perspective, however, contrasted with reports from CNN reporters, witnesses and rebel officials that government forces continued to lose ground all around the North African nation and faced fresh attacks in the capital.

Faithi Baja, political affairs chief for the rebel's Transitional National Council, said early Sunday in a video statement that rebel fighters freshly launched operation inside Tripoli is "going easily" and they are inching toward Gadhafi's Bab al-Azizia compound.

"The revolution from inside Tripoli has officially started (Saturday) evening in many parts ... of Tripoli, and is expected to spread to all of Tripoli," Jumma Ibrahim, a rebel spokesman from the western mountain region around Zintan, said hours earlier.

Heavy clashes broke out Saturday night in at least one neighborhood in Tripoli, marked by intense gunfire, explosions and people screaming as they ran through the street, a resident told CNN.

Gunfire and explosions have become normal occurrences in the capital, but CNN personnel on the ground for weeks report that the fighting appeared to be among the most intense yet.

"Most of the neighhoods in Tripoli are rising up," Jumma Ibrahim said.

But speaking just before midnight in Tripoli, government spokesman Musa Ibrahim insisted that all is safe and "in excellent condition." He said that the Libyan capital remains under government control, adding that the nearby highways remain open.

He blamed small groups of "armed gangs" -- a term that Gadhafi loyalists have frequently applied to rebels -- for the blasts and gunfire heard overnight Saturday inside Tripoli. He insisted that government forces had put down the fighters "within half an hour," making the statement at the same time gunfire continued to crackle intermittently around the capital.

About two hours later, Moammar Gadhafi echoed his spokesman in claiming rebel officials were lying about the situation in Tripoli and beyond while predicting the six-month-long conflict would climax soon.

In his audio address, broadcast on state-run TV, the Libyan leader blasted the rebel "traitors" and the NATO forces backing them as unethical and intent on destroying the county and ruining lives. And as he had done in a speech six days earlier, he tried to rally citizens to his side.

"A great thing, anyway, that despite the Christian air raids, you continue to be up in Tripoli," he said, an apparent reference to those who listened to his speech from Green Square. "March forward, march forward, march forward.

"They have lost and used everything, and their last resort is their lying campaign. Now, this is the ending," he added.

The rebel spokesman, Jumma Ibrahim, claimed opposition fighters control the main intelligence operations building in Tripoli. He also said some Libyan army personnel had defected and joined the rebels in the vicinity of the capital's airport, which he claimed the rebels were able to take over with their newfound support.

Musa Ibrahim, the government spokesman, denied that the airport had switched hands -- insisting, as with the rest of Tripoli, it was safe and under the control of Gadhafi's forces.

CNN could not immediately confirm how significant the fighting was, including whether rebel fighters had taken control of any parts of the city, including the airport.

Jumma Ibrahim, the rebel spokesman, said the clashes in Tripoli were "planned by rebels inside Tripoli in the neighborhoods of Fashloum, Souq al-Juma, Ben Ashur ... and other places." This came after coordination with other anti-Gadhafi elements, added Baja.

Musa Ibrahim confirmed that armed men had entered those three neighborhoods in the capital, but said they were confronted and defeated in a matter of minutes.

Hours earlier, Libyan Deputy Foreign Minister Khaled Kaim rejected rebel claims that the governments of Egypt, Morocco, Tunisia and Algeria have been asked to accept Gadhafi and his family. And Gadhafi, in his speech early Sunday morning, stated unequivocally that he is still in Libya.

Officials from the United States and NATO, whose forces have launched scores of strikes on Gadhafi's forces, also said they have no indication the Libyan leader is making preparations to leave.

Whatever his next move, international pressure on Gadhafi appears to be growing. Tunisia -- Libya's western neighbor that, until now, had been neutral in the conflict -- joined a host of other nations in recognizing the Transitional National Council as Libya's legitimate government.

A U.S. official said Friday that Gadhafi might be preparing for a "last stand" in Tripoli as a months-long NATO air campaign continues amid reports of rebel advances.

A second U.S. official said the longtime leader's plan could involve a final military offensive against civilians, launched from his last major strongholds around the Libyan capital.

The officials, who have knowledge of the situation on the ground, did not want to be named because of the sensitive intelligence matters.

While uncertain of how upcoming events will unfold, State Department spokesman Mark Toner said Friday that U.S. officials in Benghazi have been working with the Libyan opposition "on exactly what it's going to look like post-Gadhafi."

"Impossible to say when he'll go, but it's clear that he will go," Toner told CNN.

The fighting continues, meanwhile, on a number of fronts, including in the west, where fighting has raged for days over the strategic city of Zawiya, about 30 miles west of Tripoli and a major supply route to the capital.

On Saturday, it appeared the rebels had taken control of all of Zawiya after pushing Gadhafi's forces beyond the east gate, according to CNN's Sara Sidner who is in the city. Artillery fire could be heard, and mortars were launched toward Zawiya on Saturday, she reported. Rebel fighters told Sidner that NATO had warned civilians to leave the main part of the city. NATO has not yet commented on that statement.

Musa Ibrahim, the Libyan government spokesman, said late Saturday that Gadhafi's forces are surrounding Zawiya and still control it.

Earlier, the rebels seized a major oil refinery in Zawiya and controlled only the western part of the city, said Hobab Jomaa, a rebel fighter.

But Saif al-Islam Gadhafi sarcastically laughed at the idea the opposition would take Tripoli. And he was emphatic that he, his father and their supporters would not surrender.

"We are in our land, in our country," he said. "We have no problem if it takes six months, one year or two years -- victory will be ours. This is our country, and we will not leave it."

CNN's Jomana Karadsheh, Matthew Chance, Sara Sidner, Kareem Khadder, Roba Alhenawi, Ben Wedeman, Barbara Starr and Yasmin Amer contributed to this report.

@highlight

NEW: Saif Gadhafi says the rebels are losing, insists"we will not leave" Libya

@highlight

Moammar Gadhafi slams the rebels' "lying campaign," vows their end is near

@highlight

A rebel official says that the "coordinated" Tripoli operation is "going easily"

@highlight

Heavy clashes broke out late Saturday in a Tripoli neighborhood, a resident says