Washington D.C. (CNN) -- Kim Jong Un has further solidified his control over North Korea by reportedly purging his uncle Jang Sung-taek, Vice Chairman of the important Nation Defense Commission.

Although Jang was often referred to as the "second most powerful man in North Korea," he may now been ousted from the leadership elite for the third time. He has twice returned to the inner circle of power, but this cat may now have run out of lives.

Kim's uncle 'probably' ousted, S. Korean lawmakers say

What does the move say about the stability of North Korea? Some experts perceive a weak, embattled Kim feeling forced to fend off challengers. But it is more likely that Kim's purge of Jang -- as well as hundreds of other officials since 2011 -- shows that the North Korean ruler is firmly in control and confident enough to target even the most senior strata of power. Like his father and grandfather, Kim is playing rivals off against each other to eliminate real or perceived challengers.

Debate rages amongst experts as to why Kim felt it necessary to purge his former mentor and protector. Potential explanations revolve around four Ps -- power, parity, people and policy. Although a classic struggle for power between the leader and potential contenders is a possible explanation, Jang had seemed content to play the role of Ã©minence grise, exercising power behind the throne.

The best chance for Jang to have grabbed the ring of power would have been when Kim was weakest immediately after his father's death in 2011. But even then, the young Kim was immediately presented as the sole ruler and not as a part of a leadership consortium. After Kim acquired each of his father's titles affirming control over the government, military, and party, it became increasingly more difficult for potential challengers to oust him.

Kim Jong Un more bellicose than his dad was?

Then there's the issue of parity between the Korean Workers' Party (KWP) and the military. Under Kim Jong Il, power shifted to the military, as the National Defense Commission became the preeminent center of government power. But under his son, the KWP has regained some power. The KWP's Central Military Commission has now eclipsed the National Defense Commission as the arbiter of North Korean military policies.

Rather than a struggle to wrest power from Kim, the purge may instead result from people fighting for closer access to him. There are widespread rumors that Jang was defeated in a struggle with personal rivals.

The least likely explanation for the purge is a debate over policy. Although Jang was often referred to as a "reformer" by the media, there is little evidence that he or any hidden cabal advocated implementing significant economic and political reform or moderating North Korea's threatening behavior.

Pyongyang created the perception of factions of hardliners and reformers as part of a "good cop-bad cop" strategy to elicit benefits during negotiations. As a Korean adage warns, "The same animal has soft fur and sharp claws." When Kim ascended the throne in 2011, he was erroneously perceived as a reformer simply because he had spent a few years in Switzerland as a teen.

The likely departure of his uncle will have little impact on North Korea policy. Kim has shown himself to be just as inimical to reform and pursuing a less belligerent foreign policy as his predecessors. He showed his willingness to escalate tensions on the Korean Peninsula to dangerous levels earlier this year, threatening nuclear attacks against the United States and South Korea.

The young leader has also made clear he has no intention of abandoning his regime's nuclear weapons, even revising the constitution to enshrine North Korea as a nuclear weapons state. Pyongyang declared, "those who talk about an economic reward in return for the dismantlement of [North Korea's] nuclear weapons would be well advised to awake from their daydream ... Only fools will entertain the delusion that we will trade our nuclear deterrent for petty economic aid."

Rather than seeking an illusory North Korean reformer, Washington and Seoul should instead prepare for the extended rule of yet another member of the Kim family willing to test the resolve of his opponents.

The opinions expressed in this article are solely those of Bruce Klingner.

@highlight

Jang Sung-taek was the vice chairman of North Korea's top military body

@highlight

Klingner: Shows that leader Kim Jong Un is firmly in control and confident

@highlight

Widespread rumors that Jang was defeated in a struggle with personal rivals, he says

@highlight

Klingner: Departure of his uncle will have little impact on North Korea policy