(CNN) -- Oh there been times that I thought I couldn't last for long
But now I think I'm able to carry on
It's been a long, a long time coming
But I know a change gonna come, oh yes it will. 
—Sam Cooke

While many Americans continue to live on the "outskirts of hope," we still have reason to believe "a change is gonna come."

President Ronald Reagan's snarky comment in 1987 that "We waged war on poverty, and poverty won" was inaccurate and inhumane. Poverty is different, less widespread, and much less prevalent among older Americans now than before Social Security. I know that from my own experience, my family's experience, and the experience of the people I grew up with.

A recent study by Columbia University confirms that experience: Adjusted for inflation, poverty fell from about 26% in 1967 to 16% in 2012 as a result of anti-poverty government policies and support. Yet, at the same time, the share of earned income available is shrinking in the private sector. The end result is fewer poor because of government's safety nets, but more and more people living on the brink of poverty because they don't have access to the wealth from our recovering economy.

Contrary to what some affluent, arrogant and ignorant pundits are saying, President Lyndon Johnson's War on Poverty had nothing to do with the expansion of welfare as we used to know it -- Aid to Families with Dependent Children. The major War on Poverty programs were about education, empowerment and the elderly — Head Start, student aid and Medicare, to name a few.

Growing up around poor whites and Latinos in Texas, Johnson understood that poverty in America doesn't only have a black face. He launched the war on poverty in Appalachia, and later spoke movingly to Congress about the Mexican-American students whom he had taught as a very young man, saying: "My students were poor and they often came to class without breakfast and hungry. And they knew even in their youth the pain of prejudice. They never seemed to know why people disliked them, but they knew it was so because I saw it in their eyes. ... And somehow you never forget what poverty and hatred can do when you see its scars on the hopeful face of a young child."

Fifty years later, in the photographs of Johnson talking with poor families in Appalachia, we see that he is really listening to them -- they are not strangers to each other. They aren't props for photo-ops. He has known these people all his life. And he never forgot where he came from.

Marie Brookter, in her autobiography, "Here I Am -- Take My Hand," tells how Lyndon Johnson sought her counsel on his civil rights and poverty programs. When she called Johnson, or left a message at the White House front gate, he promptly called her back. He was open, humble, and genuinely seeking guidance in attacking poverty.

We have become bound by a political straitjacket that frames every debate: Too much federal government. Yet our forefathers forged this system for us. The federal government can accomplish what the states, acting alone or even in concert, cannot. Poverty is a national issue and needs a federal response. After all, U.S. federal government policies helped produce massive income inequality by lopsided breaks for the super wealthy.

Since the '70s, government policies have driven the economic benefits that produced the biggest income gap between the top 1% and the bottom 90% since the Great Depression. For the first time in U.S. history, the bottom 90% earn less than 50% of the nation's income. Even the rich, 52% of them, tell pollsters the economic system favors the wealthy.

The untold secret driving the obstruction to Obama's economic equality agenda is this: The opposition isn't really battling Big Government. The opposition is protecting an economic system that's putting more and more of the earned income out of reach for those aspiring to better themselves.

Helping the poor doesn't mean redistributing the wealth. It means removing the breaks that give the wealthy an advantage so huge that big chunks of the nation's income are automatically removed from individual economic competition.

We don't have to frame every debate as right vs. wrong, left vs. right. Adjusting a wayward economy's tilt to the wealthy shouldn't be an either-or, despite some pundits' delight in false dilemmas. Even the weather gets treated as "I win-you lose."

The mentality that we can "come together" doesn't exist today.

But there's nothing wrong about working to further reduce poverty, or giving all Americans a fair shot at working their way up.

We, as a nation, have moral imperatives. We need to recognize that no one has all the answers. We need to agree that income inequality is a problem, that in the wealthiest nation on earth, people should not be both working and starving. We need government solutions. Members of Congress who obstruct our meeting the needs of the people need to return to their hometowns as private citizens.

Trust me, "A change is gonna come."

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile says while poverty has decreased, it has taken on a new form

@highlight

Brazile: Lyndon Johnson knew what poverty looked like among poor whites and Latinos

@highlight

Brazile: There's a secret behind obstructing Barack Obama's economic equality agenda