(CNN) -- What sounded like the most tragic of accidents -- a dad absentmindedly leaving his toddler in the car on a scorching Georgia day -- is now being treated by police as a horrific crime.

Two new details were added to a revised Cobb County criminal warrant Tuesday: Not only did Justin Ross Harris put his son in the car minutes before arriving at work on June 18, but he also returned to his car hours later during his lunch break.

Harris placed his son, 22-month-old Cooper, into a rear-facing child restraint in the backseat of his Hyundai Tucson after eating breakfast at a fast-food restaurant. He then drove to his workplace, a Home Depot corporate office about a half-mile away, according to the warrant.

Read the criminal warrant (PDF)

The 33-year-old father returned to the car during his lunch break, opening the driver's side door "to place an object into the vehicle," the warrant states.

Later that afternoon, around 4:16, Harris left his workplace near Vinings, outside Atlanta. Within minutes, he pulled into a shopping center asking for assistance with the toddler, who had been in the car for about seven hours at that point, the warrant says.

Did Harris intend to kill his son?

Besides felony murder, Harris was charged June 19 with first-degree child cruelty.

On Tuesday a magistrate judge downgraded the lesser charge to second-degree child cruelty.

Mark Gargaros, a CNN legal analyst, offered this interpretation of the downgrading of that charge Wednesday on "Anderson Cooper 360."

"It's almost a concession that they don't believe, that the prosecutors don't believe they've got the evidence to say this is intended or premeditated," he said.

The second-degree warrant says Harris "did with criminal negligence causes (sic) a child under the age of 18 cruel or excessive physical or mental pain."

The earlier, first-degree child cruelty warrant said the crime occurs when a person "willfully deprives the child of necessary sustenance to the extent that the child's health or well-being is jeopardized. ..."

"There's a difference between negligence and gross negligence," Cobb Police spokesman Mike Bowman said at a press conference. "The thing about the negligence is that it could happen to anybody. The gross negligence shows that there's some other circumstances revolving around this."

When a reporter directly asked if authorities think it's malice or negligence, Bowman said, "I honestly don't have an answer for that question."

But in a seeming contradiction of the charge being downgraded, Cobb County Police Chief John House said Wednesday in a press release, "The chain of events that occurred in this case does not point toward simple negligence and evidence will be presented to support this allegation."

'A distressed moment'

Witness Dale Hamilton told CNN affiliate WSB-TV that an emotional Harris pulled into the shopping center after purportedly realizing he had forgotten to drop Cooper off at day care at 8:30 a.m. The day care is reportedly located at the Home Depot office where Harris works.

"Laid his son on the ground, started doing CPR trying to resuscitate him. Apparently the child wasn't responding," Hamilton told the station.

Police saw a crowd, and when officers began to investigate, they saw the child on the ground. Once it became clear that Cooper was dead, Harris had to be physically restrained, police said.

"There were a number of witnesses -- passers-by in the area who observed basically the father in a very distressed moment," said Sgt. Dana Pierce of the Cobb County police.

Added Hamilton, "He kept saying, 'What have I done? What have I done?' And that's all that I could ascertain that he was saying."

Medical examiner opinion

Police seemed sympathetic at first, and Pierce told media that Harris apparently forgot the child was in the back of the vehicle while he was at work.

The average temperature was about 80 degrees that day, but the mercury topped 92 at the hottest point in the day. Police say the temperature was 88 degrees when the child was pronounced dead at the scene.

The child's cause of death was "consistent with hyperthermia and the investigative information suggests the manner of death is homicide," the Cobb County Medical Examiner's Office said, according to a Cobb County Department of Public Safety release issued Wednesday.

The release says the medical examiner's office is waiting for toxicology test results before making an official ruling as to the cause and manner of the toddler's death.

'This could happen to anyone'

The story of the hapless father making an innocent mistake quickly changed as police released more details.

"Within moments of the first responders getting to the scene and doing their job and questions began to be asked about the moments that led up to their arrival at the scene, some of those answers were not making sense to the first responders," Pierce said last week.

"I've been in law enforcement for 34 years. What I know about this case shocks my conscience as a police officer, a father and a grandfather."

When Harris was charged with felony murder and child cruelty, there was vigorous debate over whether the heartbroken father should be punished. Surely, he had suffered enough, many thought.

A change.org petition was started urging authorities to release Harris. That petition was withdrawn Thursday, with this note explaining: "I think that based on the recent developments this petition is no longer relevant. I still pray that this was truly an accident. If that is the case, the DA now knows that the community does not want Justin prosecuted on murder charges."

Atlanta area resident Erin Krans started a second change.org petition asking prosecutors to drop the charges. It has garnered hundreds of signatures and was still operational as of 8:30 p.m. Thursday.

'A happy baby'

According to an obituary on legacy.com, Cooper "was a happy baby. He loved to speak with anyone and made impacts on many people's lives in his short time."

The toddler loved cars and trucks and would tell them goodbye as he left parking lots, the obituary said, adding that he had just learned the color red.

"As we passed red vehicles he would tell his mommy and his daddy, 'Bye red car, bye red truck.' He was a joy and will always be cherished," it said.

Last week, Harris pleaded not guilty to felony murder and child cruelty charges. He's being held without bond at the Cobb County Jail and is scheduled to appear before a county judge July 3.

Cooper's mother, Leanna Harris, told CNN last week that she's been advised not to discuss the case with the media.

"We have been in communication with the mother throughout the investigation. At this time, I'm not at liberty to discuss her involvement. That's a part of the case our detectives are working on," Pierce said.

Repeated calls to the father's attorney have not been returned, and a woman answering the phone at H. Maddox Kilgore's office said the lawyer would not be commenting at this time.

Home Depot said through spokeswoman Catherine Woodling that, per company policy, Harris is on a leave of absence without pay.

"It is not appropriate to comment on any new developments in this active investigation. Like the rest of our community, we're deeply saddened by this tragic event and we continue to cooperate with authorities on their ongoing investigation," she said in an e-mail.

Cooper Harris' funeral will be Saturday at the University Church of Christ in Tuscaloosa, Alabama. The service is open to the public.

Opinion: I, too, left my child in a hot car

CNN's Victor Blackwell, Devon M. Sayers, MaryLynn Ryan and Joe Sterling contributed to this report.

@highlight

Child cruelty charge downgraded from first to second-degree

@highlight

Justin Ross Harris has been charged with murder in the death of his son

@highlight

The boy was left in a hot car, strapped to his seat in suburban Atlanta last week

@highlight

Investigators say Harris returned to his car hours before he said he found his son