(CNN)After a weekend shipwreck off the coast of Italy that may have killed hundreds of migrants, the International Organization for Migrants said Monday that there may be three more migrant boats in distress in international waters.

Authorities still don't know the fate of many of the passengers, including children, who were on the large ship bound from Libya to Europe that capsized Saturday night in the frigid waters of the Mediterranean Sea. That sinking may be the worst in a series of disasters in which migrants have lost their lives on vessels that are too rickety to survive long voyages.

"Gangs of criminals are putting people on a boat, sometimes even at gunpoint," Maltese Prime Minister Joseph Muscat said. "They're putting them on the road to death, really, and nothing else."

A rescue operation is still underway for people who were on the ship from Libya, and the number of potential victims is not clear. A Bangladeshi survivor told investigators there were 950 people on board. Previous estimates put the number around 700.

Maltese authorities, who are working with Italian rescuers, said around 50 people had been saved. But the Italian Coast Guard said 28 people had been rescued and 24 bodies recovered.

Two of the survivors were arrested on suspicion of human trafficking upon arriving in Sicily, according to Italian police officer Maria Guia Federico.

On Monday, European Union ministers met in Luxembourg and proposed a 10-point plan to help address the crisis.

"We are not yet working on numbers, but what we have agreed on today is, for sure, the need to increase significantly the resources at sea, and the level of the operation, doing more search and rescue and doing it more together," Federica Mogherini told CNN's "The World Right Now with Hala Gorani."

The EU high representative for foreign affairs and security policy said the European Union must fight human traffickers, strengthen Europeans' duty to save lives at sea and share responsibility when it comes to the resettlement and relocation of refugees.

"We need to fight the organizations that are trafficking and smuggling people, so that we can prevent desperate people from leaving in desperate conditions," Mogherini said. "My pain is that it was a reaction coming too late after so many people died."

Migrants have been attempting the perilous journey across the Mediterranean to southern Europe for years, but authorities have reported a sudden surge in the past 10 days, along with a grim spike in the number of those who are killed en route.

Already this year, more than 900 migrants are believed to have died while crossing the Mediterranean, far more than during the same period in 2014, the International Organization for Migration said last week.

Since the beginning of 2015, more than 35,000 refugees and migrants have crossed the Mediterranean Sea -- 23,500 have landed in Italy and more than 12,000 in Greece, according to the United Nations High Commission on Human Rights. While those numbers sound high, they were even higher the previous year. In 2014, approximately 219,000 refugees and migrants sailed across the Mediterranean, with most having to be rescued by the Italian Navy, Coast Guard or merchant ships, the UNCHR said. It is estimated that 3,500 people in 2014 died at sea.

On Monday, yet another boat sank off the Greek island of Rhodes, killing at least three people, the Greek Merchant Marine Ministry said. Of the 83 people reported on board, at least 57 survived. Those confirmed dead were a man, a woman and a child.

The capsizing of the ship that departed from Libya marked the worst such disaster so far.

As rescuers approached the boat in response to a distress call Saturday night, authorities say, migrants moved to one side, hoping to be saved. Their movement caused the large, multilevel boat to capsize about 110 kilometers (70 miles) north of Libya, sending many passengers plunging into the sea.

According to one Bangladeshi survivor, large numbers of people remained trapped inside the boat as it sank. Smugglers -- human traffickers organizing the voyages -- had locked the doors to the lower levels of the vessel, the survivor told Italian authorities.

"Our troops, together with the Italian navy, are literally looking through the bodies to try to find someone who's still alive," Muscat said.

While the shipwreck was an accident, Muscat slammed the human traffickers whom he accused of risking people's lives by putting them on rickety ships in unpredictable waters.

It's "genocide -- nothing less than genocide, really," Muscat told CNN.

"A mass grave is being created in the Mediterranean Sea and European policies are responsible," said Loris De Filippi, the president of the international aid group Doctors Without Borders. He compared the high number of deaths to "figures from a war zone."

De Filippi called on European states to immediately launch large-scale search and rescue operations with proactive patrolling as close as possible to Libyan shores. "Faced with thousands of desperate people fleeing wars and crises, Europe has closed borders, forcing people in search of protection to risk their lives and die at sea," he said. "This tragedy is only just beginning, but it can and should be stopped."

Save the Children similarly called on European officials to do more.

"What we needed from EU foreign ministers today was life-saving action, but they dithered," the group's CEO Justin Forsyth said in a statement.

"With each day we delay we lose more innocent lives and Europe slips further into an immoral abyss. Right now, people desperately seeking a better life are drowning in politics."

Many of the migrants who board ships to cross the Mediterranean come from sub-Saharan Africa, often traveling for weeks or months just to get to the ships. They're seeking a better life, but many are exploited by the ruthless smugglers who organize the voyages.

"There is a well-oiled machine with the human traffickers, first by land and then by sea, and they feel the need for these desperate people who just want to get to Europe at all costs," said Rome-based journalist Barbie Nadeau.

The situation on board the boat that sank over the weekend isn't unusual, based on accounts of previous voyages.

On old fishing boats, "people are crammed into what used to be the frozen live tank compartments in the bottom of the ship," Nadeau said. "Those are the cheaper tickets. People that want to be out on the upper deck, which is the prime space, pay a little more for that service."

Traffickers are believed to charge anywhere from 6,000 euros to 8,000 euros ($6,450 to $8,600) per person for the dangerous voyage, she said.

Italy's proximity to the North African coast puts it on the front line of tackling the continent's migration crisis.

"We're swamped," Sandro Gozi, the Italian minister for European affairs, told French daily Le Monde. "There's not even enough space in Sicily's cemeteries to bury the dead."

An Italian search and rescue program, Mare Nostrum, was credited with rescuing more than 160,000 migrants in the space of a year. But it ended in October because of budget constraints and criticism from the European Union that the program itself was encouraging migrants to head across the Mediterranean.

The European Union's border control agency, Frontex, started its own mission in November, known as Triton, with a budget of less than a third of that of Mare Nostrum. Frontex has no vessels or surveillance equipment of its own, so has to rely on European member states to lend it ships.

As anti-immigrant parties thrive across the continent, European nations are collectively struggling to cope with the migration crisis on their doorstep.

"We can't act as if each tragedy is the last while crossing our fingers that another one doesn't happen," Gozi told Le Monde, lamenting "a total absence" of European Union policy on how to deal with refugees arriving in Europe.

The European Commission, the executive branch of the EU, said Sunday it was consulting member states, European agencies and international organizations to prepare what it called a European Migration Strategy to be adopted in mid-May.

"These are human lives at stake, and the European Union as a whole has a moral and humanitarian obligation to act," it said.

But international groups say European governments are failing to do enough.

Doctors Without Borders will begin its own rescue effort, De Filippi said, because "as a medical, humanitarian organization, we simply cannot wait any longer."

CNN's Karl Penhaul, Hada Messia, Josh Levs and Catherine E. Shoichet and Khushbu Shah contributed to this report.

@highlight

Two survivors were arrested on suspicion of human trafficking, police say

@highlight

European officials propose a 10-point plan meant to address the crisis

@highlight

A survivor tells authorities that migrants were trapped behind locked doors