Phoenix, Arizona (CNN) -- Jairo Tellez's seafood distribution business is a family affair. In the industrial warehouse that houses J and V Mariscos on the west side of Phoenix, his wife, Vicki, and four of his seven children load trucks, take phone calls, enter data and help care for his infant grandson, who has a playpen in Tellez's office.

But with portions of Arizona's controversial immigration enforcement law set to take effect Thursday, the business is in limbo.

"If people are not eating, we're not selling," said Wendy Cisneros, a family friend who works in the back office. "We've lost 60 percent of sales, and right now the future's uncertain. We don't know if we're going to stay in the state; we don't know if we're going to close the business. Everything's up in the air."

Most of their clients cater to the Latino community, which has effectively gone into hiding amid concerns that they may have to leave the state as soon as the bill becomes law, Cisneros said.

A key part of Arizona's immigration law was temporarily blocked by a judge Wednesday. This means police won't be required to ask people about their immigration status.

Toobin: What does Arizona immigration ruling mean?

But for the Tellez family business and others like it, the damage from the controversy already is done. Reduced spending in restaurants, grocery and retail stores has triggered a domino effect among businesses in the metro Phoenix business community and throughout Arizona.

To stay afloat even as their clients disappear or reduce inventory orders, the business has reduced employees' hours and cut back operations in the industrial warehouse, home to several large freezers and forklifts and an office sparsely decorated with posters of illustrated fish and cuts of meat.

Perhaps the toughest decision was to halt lines of credit to customers, even those with good history, she said.

"We can't really offer credit anymore because we don't know if next week they're going to close the business," Cisneros said. "But it's also a downside because some customers need that credit to operate."

Firm numbers illuminating the economic fallout of SB 1070 are hard to come by as the bill has yet to take effect. Also, summer tends to be slow for business and tourism in Arizona because it's so hot.

But anecdotal evidence from business owners, real estate agents and community leaders indicates the mere specter of the bill has created a culture of fear among Hispanics in Arizona that's slowly paralyzing sectors of the economy. Hispanics make up 30 percent of the state's population.

The state's unemployment rate in June rose for the third month in a row, to 9.7 percent. Gov. Jan Brewer signed the bill in April.

Traditionally, community groups look to indicators such as the housing market, school enrollment and data from utility companies to track economic fluctuations within a certain group, said Edmundo Hidalgo, president and CEO of Chicanos Por La Causa, a community outreach program in Phoenix.

Based on feedback from clients and preliminary data, Hidalgo said his group estimates that rental vacancies in predominantly Latino neighborhoods will be 10 to 15 percent higher than the normal rate of 12 percent.

"People are scared, and they don't want to wait around to find out what's going to happen with SB 1070," said Hidalgo, whose group offers housing, economic and education services to low-income families and individuals, both undocumented and U.S.-born.

"Regardless of their status, people are frustrated with an environment that's not accepting and potentially threatening, and they're fed up with being targeted and singled out by law enforcement. It's driving them out of the state, and not necessarily to better situations."

Reactions to the Arizona immigration law injunction

The Arizona housing market, which was already suffering from one of the highest foreclosure rates in the country, has also taken an extra hit since the passage of the law, according to real estate agents who spoke with CNN.

Some homeowners who purchased property in the past year are looking to unload, according to Saul Pua, a real estate agent who sells residential properties in neighborhoods in Phoenix's Latino communities.

"Most families usually have one person who doesn't have papers, and they don't want to risk being arrested and splitting up the family by staying in Arizona," said Pua, who is married to one of the daughters of Tellez, the owner of J and V Mariscos.

Even during the recession, Pua said business was good because property was cheap, and that in better times, he closed an average of five transactions a month. Since the beginning of the year, however, he has been lucky to sell two properties in a month, and in July, he hasn't closed a single deal.

"I had investors buying properties, but now's who gonna rent them?" he said.

Commercial real estate developer Michael Pollack was in the same situation leading up to Wednesday's ruling. Since April, clients in predominantly Latino neighborhoods across the state had been pulling out of properties or calling to relay concerns over whether they should stay if the law goes into effect.

Today, Pollack said he received several calls from clients expressing relief and letting him know they intended to stay.

"The ruling today has definitely been a move in the right direction for commercial tenants and their customers, who've been scared that Arizona wasn't going be friendly to Hispanic community," he said.

"This gives the federal government to get to work implementing an immigration policy that the American people will support unanimously and deals with the situation at the border, which is where the real problem is."

Phoenix's sprawling concrete landscape bears testimony to the abundance of vacant residential and commercial property.

"For sale" signs in English and Spanish adorn brown, sun-scorched lawns and dilapidated parking lots alike, from the heart of downtown Phoenix to as far as Chandler and Mesa -- the district of SB 1070's sponsor, Republican Sen. Russell Pearce. Boarded-up big-box stores loom large in their vast emptiness, and rows of abandoned strip mall storefronts outnumber those that are occupied in some parts.

Not only businesses targeting the Latino community are suffering. Economic boycotts adopted by other states and cities have hit Arizona's meeting and convention business.

Since groups nationwide began announcing boycotts of the state because of SB 1070, at least 40 meetings have been canceled. That's resulted in the loss of $12 million in lodging alone, according to Kristen Jarnagin, spokeswoman for the Arizona Hotel & Lodging Association.

Summer is typically the low season, she noted, and pointed out that tourism was up 8 percent statewide in June 2010 compared with June 2009, which was one of the "worst summers ever" because of the recession.

Despite that slight uptick, more telling is the lack of inquiries for future bookings, she said.

"What we're hearing from meeting planners now is they won't and can't consider Arizona for 2011, 2012 meetings not necessarily because of their own stance on SB 1070 or the boycott but just because they want to avoid the controversy and don't want to risk losing attendance," she said.

The absence of meetings and conventions not only affects the hotel industry and its 200,000 employees, but also ancillary businesses such as restaurants, retailers and taxis, Jarnagin said.

It seems that not even fast-food joints are immune to the encroaching economic fallout of SB 1070.

As the four Tellez children stood with their parents in their office Wednesday, recounting tales of friends and relatives who have left town or seen families torn apart, daughter Nikki noted her surprise at seeing a shuttered Burger King.

"I was driving down Camelback with my dad and Burger King was closed, and I was like, when have you seen that? Like Burger King -- everybody goes to Burger King, and that was closed down."

@highlight

Anecdotal evidence indicates mere specter of immigration bill is slowly paralyzing economy

@highlight

Hispanics make up 30 percent of the state's population

@highlight

Gov. Jan Brewer signed the bill in April; jobless rate has risen each month since

@highlight

Real estate agents, restaurant owner report big slowdown in business