(CNN) -- Deborah Harkness found a productive way to cope with her mid-life crisis. The accomplished academic turned to fiction writing.

"Some people buy expensive cars," the 49-year-old author says. "I wrote a novel."

It wasn't just any novel, either. Harkness' debut, "A Discovery of Witches," launched the best-selling "All Souls" trilogy, which has been described by at least one reviewer as "Harry Potter but for grown-ups."

While historian Harkness had already published several academic books and articles, fiction writing was a new endeavor.

Harkness found freedom in looking into her imagination, rather than her research, while writing about a star-crossed witch and vampire.

When she doesn't know the answer to something she's writing about, she can get creative, but she stayed true to her roots in history when she wrote the trilogy. (One character, Matthew Clairmont, is 1,500 years old and his paramour, Diana Bishop is a historian, herself).

"The Book of Life," came out in July and weaves together supernatural creatures and good old-fashioned family drama. In this series finale, the now-married protagonists wrestle with real world demons, as well as mythical creatures.

In addition to her literary career, Harkness teaches history at the University of Southern California in Los Angeles. She spoke with CNN about love, literature and why the humanities still matter in academia. Below is an edited transcript.

CNN: How have you managed the transition from academic writer to fiction writer?

Harkness: I never had a plan to be a fiction writer. It's something that happened to me. Sometimes I think maybe it was my spectacular mid-life crisis. Some people buy expensive cars, and I wrote a novel. I think even if you had said to me in 2007, "I predict you will write a novel next year," I would have bet my house against it. There was no plan for it. I was so deeply involved in the world of scholarship, and indeed I still am. I reached a point where it was really a kind of interesting challenge to me, to think about how could I make the case to a wider audience that history and a knowledge of the past was meaningful and relevant.

CNN: How has your experience of writing fiction informed your teaching?

Deborah Harkness: I think it has made me a much better teacher of writing itself. After 20 years of writing academic prose and lectures, it seems very familiar and straightforward to me. Writing a novel for the first time, I was reminded of just how difficult it is to figure out how to get this stuff done when you don't really know what you're doing. I think I have a lot more empathy for my own students, and for their learning process.

And it's a two-way street, in that my teaching, and what I'm working on and what I'm talking about in the classroom, are constantly informing the fiction as I write it.

CNN: Family plays a big role in the trilogy. How have you been able to weave that in?

Harkness: So much fiction focuses on: "Will they or won't they? Will our two heroes, or our hero and heroine, get together?" That question has not ever really interested me. Falling in love is really relatively easy, compared to staying in love and building a family that lasts. I always wanted to focus on that aspect of it, which I think is something that is so crucial and vital in so many ways, and so important, and so very tricky, because a lot of compromises and adjustments have to be made.

People who get through "The Book of Life" and then are looking back over the whole trilogy, are going to say: "She's been talking about this since the very beginning." These have never been two lovers just off on a date, with nobody around them who mattered. It's always been about building a family and a community around themselves.

CNN: How has the research process been different from your academic work?

Harkness: The research is not that much different, but the writing is. When I don't know the answers to something, and I'm writing a work of academic non-fiction, I have to look up the answers and be really, really precise. And of course, if I don't know the answer to something in fiction, I can make it up.

There are still a lot of things I do look up if I want to get them right. But it is kind of a wonderfully creative thing thinking, "Oh -- what if Shakespeare was actually not the center of attention, but kind of a hanger-on. That would be fun to play with."

You do get to imagine yourself into places where the historical research just can't take you because there are no records that survive. For a historian, who's normally not allowed to do that, that was also a lot of fun.

CNN: What courses are you teaching?

Harkness: In the Spring, I will be teaching a seminar on queens, witches and courtesans -- women and power in early Modern Europe. And the other course I'm teaching for the very first time is public history. For our undergraduate majors, (it's about) what do you do with your degree in history? How can you bring your historical skills to bear on a wider community?

There is a lot of talk in the academy about the death of the humanities. Based on my readers' response, and their interest in history and literature and art, the death of the humanities has been grossly overstated. I would love for my students to take a leading role in reminding people that this stuff is important and it really matters.

@highlight

Deborah Harkness' "All Souls Trilogy" has sold more than a million copies

@highlight

Harkness is a history professor at the University of Southern California

@highlight

"The Book of Life" came out July 15

@highlight

Harkness' academic publications include: "The Jewel House: Elizabethan London and the Scientific Revolution"