Indians awoke on Monday to find their 162-year-old telegram service rendered obsolete, superseded by SMS, e-mail and Twitter.

Arguably one of the oldest victims of the digital age, telegrams were the fastest communication method from the 19th century.

But Bharat Sanchar Nigam Limited (BSNL), India's state-run telecommunications company, announced online that "declining revenues" motivated their decision to end the service.

They added that their employees would be transferred to their landline, mobile and broadband divisions.

It comes as no real surprise when even the mail has seen better days. The U.S. postal service lost $16 billion in 2012 and $1.9 billion in the three months ending March 30. It also used up a $15 billion loan from the Treasury.

In Britain, telegrams came to an end in 1982 and the queen now sends cards instead of the famous telegram congratulating centenarians and those celebrating diamond wedding anniversaries.

The first ever telegram read: "WHAT HATH GOD WROUGHT?" and was sent from the U.S. Supreme Court in 1844 in Morse Code from Washington to Baltimore.

Unlike letters, many telegrams had the unique characteristic of typed capital letters and an abrupt "STOP" to mark the end of a sentence. They were usually sent to congratulate, commiserate, or deliver money or urgent news.

Possibly one of the most notable tragedies to be conveyed was the sinking of the Titanic ship in 1912. Bruce Ismay, the head of the ship's owners White Star Line, sent this message to the headquarters in New York: "Deeply regret advise your Titanic sunk this morning fifteenth after collision iceberg resulting serious loss life further particulars later."

The shortest ever message was sent by Oscar Wilde (or, according to other sources, Victor Hugo) to his publisher, enquiring about the sales of his latest novel: "?" wrote the author. "!" replied his publisher.

Many discovered the comical possibilities of such an exchange. American author Mark Twain served a witty one-liner to London in 1897 when his obituary had apparently been published: "THE REPORTS OF MY DEATH ARE GREATLY EXAGGERATED."

And if a message was misunderstood, humor ensured that all was not lost: "HOW OLD CARY GRANT?" a reporter questioned the actor. "OLD CARY GRANT FINE. HOW YOU?" was his supposed quip.

And it's not just email, SMS or social media that make some of us inexcusably lazy to talk to someone in the same room. British actor Peter Sellers' wife Anne answered the door to a couriered message from her husband ordering her to bring him a cup of coffee. He was in the upstairs study. And he didn't even add a "please" or a "thank you."

His explanation could have been that words were of the essence in a telegram, since they were charged. However, 10-15 words sometimes cost the same as a single word.

In a handy booklet called: "How To Write Telegrams Properly" published in 1929, Nelson E. Ross set out telegram etiquette, including an appeal to preserve politeness, regardless of word count:

"A man high in American business life has been quoted as remarking that elimination of the word 'please' from all telegrams would save the American public millions of dollars annually," wrote Ross.

"'Please' is to the language of social and business intercourse what art and music are to everyday, humdrum existence.

"By all means let us retain the word 'please' in our telegraphic correspondence."

Telegrams marked moments in history or lives and are carefully preserved by individuals, framed in museums, or auctioned to collectors. Many even rushed to telegraph offices on Sunday in India to send a souvenir telegram to their families and friends, or even themselves.

But all may not be lost: some global telegram companies are still in operation, even offering iPhone apps to update the service. Also, in Argentina, employees are required to send a telegram when resigning.

However, although Twitter may not have the same permanence or command as its predecessor, its success speaks of its convenience: "Last January [2011], we had 6.86 million followers; today, at the end of December [2012], you are 15.4 million strong," boasts Twitter on their blog.

Compare this to around 5,000 telegrams sent by BSNL in India a day and it is easy to see how far they lag behind.

Commenting on electronic bill paying, United States Postal Service chief financial officer Joseph Corbett sums up the battle: "It's extremely difficult to compete with free."

What are your memories of the telegram? Share them in the comments section below.

@highlight

India's 162-year-old telegram service came to an end Monday

@highlight

India's state-run telecommunications company said revenue had declined

@highlight

The service has been overtaken by SMS, e-mail and Twitter