(CNN) -- Hamdeen Sabahy, a leftist dark-horse candidate for Egypt's presidency, is a passionate proponent for the teeming nation's poor and an ideological devotee of the late firebrand nationalist leader Gamal Abdel Nasser.

"I am the president of the poor," Sabahy told Reuters. "I want to bring justice to those who were wrong for so long."

"My campaign is for all Egyptians and especially a campaign for the poor and the alleviation of the struggle between classes,' he said, according to the MidEast News Source.

"As a new president for a new Egypt, my first decision will be a quick rise in salaries for most of the working citizens, either in the public or private sectors, and also aid for poor people the very first moment I am in the (presidential) palace."

Egyptians head to the polls beginning Wednesday for historic elections -- the first democratic vote since President Hosni Mubarak was forced from power early last year.

The charismatic candidate has unique popularity. He's neither an Islamist nor a status-quo candidate. And, he's the most viable candidate for idealists, liberals and revolutionaries who turned out in Tahrir Square to protest the rule and help bring about the end of Mubarak's rule.

Sabahy identifies greatly with the revered Nasser, an Arab world hero whose nationalist and populist rhetoric reverberated on the impoverished streets of Cairo and other towns in the 1950s and 1960s.

Nasser led the 1952 overthrow of the Egyptian monarchy, touted and implemented socialist reforms, supported pan-Arab nationalism, and led a losing fight against Israel in the Six Day War.

Sabahy was born in the small town of Baltim and lived in a working-class environment there.

He first got involved in politics during his student days at Cairo University, where he expressed full-throated displeasure with Anwar Sadat, Nasser's successor. He also opposed Mubarak, who became president after Sadat was assassinated. Over the years, he has been imprisoned for his activities.

A longtime veteran Nasserist politician and a former member of the Egyptian parliament's lower house, Sabahy is now leader and founder of the Dignity Party.

His stirring message of economic justice, accompanied on the campaign trail by Nasserite nationalist tunes, has been well-received by citizens across society -- organized labor, youth and rights groups, academics and public figures.

One prominent supporter is noted writer Alaa El-Aswany. Another is the mother of Khalid Said -- the man beaten to death by police in Alexandria two years ago. That fatality has since become a lightning rod for human rights activists.

His campaign style is described in a McClatchy newspaper report as "a mesmerizing force, pressing hands with Egyptians who are so accustomed to neglect from the political elites that they follow him in crowds, through trash-strewn alleyways, slack-jawed as he asks about the price of tomatoes."

"He is our protector," said Mohamed Mowafi, a Baltim electric company worker. "We trust Sabahy... he's always among us and serving us. Even when he was a member of parliament, he remained here with us."

Sabahy has been critical of Egypt's relationship with Israel, even though he said he's not going to take on the Camp David peace treaty between the countries.

McClatchy quoted Sabahy as saying he would stop "pampering Israel" and that he's supportive of funding Palestinian "resistance" groups

"Everything besides the peace treaty is subject to change. Israel will not enjoy the exceptional privileges it was granted before," Sabahy told McClatchy. "I am not Hosni Mubarak, who paid the price of pleasing Washington through Tel Aviv."

The Middle East Media Research Institute -- which monitors, translates, and studies Arab, Iranian and Turkish media, schoolbooks, and religious sermons -- translated a 2005 TV interview with him espousing violence against the United States in Iraq.

"When a weapon is pointed at the Americans, it is good," he said. "Any kidnapping or slaughtering of an American in Iraq is good."

He called al Qaeda in Iraq, the militant group that conducted attacks against U.S. troops and Iraqi forces, a "resistance" group and a "positive phenomenon."

Speaking in the interview on Dream 2 TV, Sabahy said, "one must salute this organization (al Qaeda) when it kills any American soldier -- soldier, not a civilian."

In the present day, he has opposed an amnesty deal for military rulers if they face charges after they leave power.

"I have no option but putting anyone who participated in the killings and attacks on protesters to fair trial, even if those are members of the ruling military council," Sabahy told McClatchy.

"That's what I call the 'fair exit' for the military rulers, not the 'safe exit' as some other candidates may have proposed."

Sabahy's backers say their man has touched a chord with the masses and hope he gains momentum at the polls.

Aswat Masriya, a news outlet, quotes Amr Helmy, former minister of health, as saying "Sabahy has been a true revolutionary since his college years, he also has a detailed program that has room for all types of Egyptians."

Abdel Haleem Kandil, a prominent columnist, said he decided to cast a ballot for Sabahy after hearing him talk "about peasants and workers with details that shows he has a direct relation with them, something that no other candidate has."

CNN's Ben Wedeman contributed to this report

@highlight

Sabahy is a longtime champion of Gamal Abdel Nasser

@highlight

The candidate is said to have a "mesmerizing" persona

@highlight

Sabahy said he'd stop "pampering Israel"