New Delhi, India (CNN) -- In another major sign of growing ties between India and the United States, President Barack Obama on Monday backed a permanent seat for India in the U.N. Security Council.

"In the years ahead, I look forward to a reformed U.N. Security Council that includes India as a permanent member," he said in an address to the Indian parliament.

The statement came as Obama made a wide-ranging address that envisioned closer economic and security ties between the United States and India, standing "shoulder to shoulder" with the world's largest democracy.

In a swift reaction, Pakistan said it is discounting the possibility of such a development. The Foreign Ministry said that "India's aspirations for recognition as a global power notwithstanding, there are reasons enough to discredit this proposed direction of the process of UNSC reforms."

It cites "India's conduct in relations with its neighbors and its continued flagrant violations of Security Council resolutions on Jammu and Kashmir," a disputed region that the nuclear rivals have fought about.

Ben Rhodes, a top White House aide, told reporters before the speech that the Obama administration wants to "send as clear a statement as possible" that the United States sees India as a "rising player" on the international stage.

But Rhodes said the United States is "not getting into" details about the time frame in which the United States would like to see India get the permanent seat and whether it will push to get India veto power as well.

Rhodes, a senior staffer on the National Security Council, said the president's endorsement "speaks volumes" about U.S. support for India and the administration will let the key details be "hashed out" by the United Nations itself.

At present, there are five permanent members -- the United States, Russia, China, Britain, and France. All have veto power.

Actually getting India a permanent seat will not be easy. Obama administration officials acknowledged that they and previous administrations have supported Japan, Germany and Brazil at various times for permanent seats on the Security Council without any success so far.

Before Monday's announcement was made, Indian Prime Minister Manmohan Singh alluded to the deal during a joint news conference before Obama's speech to parliament in which he highlighted the close cooperation on major issues typically confronted by the United Nations.

"As states possessing nuclear weapons, we have today put forth a common vision of a world without nuclear weapons, and decided to lead global efforts for non-proliferation and universal and non-discriminatory global nuclear disarmament," Singh said.

"This is a historic and bold bilateral initiative. We have also decided to strengthen cooperation to tackle nuclear terrorism, and we welcome U.S. participation in the Global Center for Nuclear Energy Partnership, which will be set up in India."

Pakistan, noting that reform is a "difficult process and will take significant time," said it hopes that the United States "will take a moral view and not base itself on any temporary expediency or exigencies of power politics."

"Pakistan believes that U.S endorsement of India's bid for its permanent seat in the Security Council adds to the complexity of the process of reforms of the Council," the Foreign Ministry's written statement said.

"Pakistan's position on U.N. Security Council's reforms is based on principles. Any reform of the Council that contradicts the very fundamental principles of the U.N. Charter -- including the principle of sovereign equality; of equal rights and self-determination; and the principle of collective security -- would gravely undermine the system of international relations based on the U.N. Charter principles."

Obama, who mourned the deaths of American citizens in the November 2008 terror attacks in Mumbai and the killings of Indian citizens in the September, 11, 2001, strikes in the United States, said the shared bond is prompting both countries to work together to fight terrorism.

He addressed the conflict in Afghanistan and Pakistan in his speech.

"America's fight against al Qaeda and its terrorist affiliates is why we persevere in Afghanistan, where major development assistance from India has improved the lives of the Afghan people."

He said the United States is working with Pakistan to address the threat of terror networks, such as those in Pakistan that were responsible for the Mumbai attacks, and it welcomes "dialogue" between the governments in New Delhi and Islamabad.

"The Pakistani government increasingly recognizes that these networks are not just a threat outside of Pakistan -- they are a threat to the Pakistani people, who have suffered greatly at the hands of violent extremists," said Obama.

"And we will continue to insist to Pakistan's leaders that terrorist safe-havens within their borders are unacceptable, and that the terrorists behind the Mumbai attacks be brought to justice. We must also recognize that all of us have an interest in both an Afghanistan and a Pakistan that is stable, prosperous and democratic -- and India has an interest in that as well."

Obama said India and the United States "are now ready to begin implementing our civil nuclear agreement," a measure he called a "landmark" deal. At the same time, he talked about the importance of reducing the spread of nuclear weapons.

"The United States and India can pursue our goal of securing the world's vulnerable nuclear material. We can make it clear that even as every nation has the right to peaceful nuclear energy, every nation must also meet its international obligations -- and that includes the Islamic Republic of Iran."

Obama also said Monday that "the world cannot remain silent" as "peaceful democratic movements are suppressed," citing the government of Myanmar, also known as Burma.

"For it is unacceptable to gun down peaceful protesters and incarcerate political prisoners decade after decade. It is unacceptable to hold the aspirations of an entire people hostage to the greed and paranoia of a bankrupt regime. It is unacceptable to steal an election, as the regime in Burma has done again for all the world to see," he said.

He said India shouldn't avoid condemning human rights violations.

"If I can be frank, in international fora, India has often shied away from some of these issues. But speaking up for those who cannot do so for themselves is not interfering in the affairs of other countries. It's not violating the rights of sovereign nations. It's staying true to our democratic principles. "

Obama hailed Mahatma Gandhi, who used peaceful non-violence to help India gain its independence, and he noted Gandhi's influence on Martin Luther King and the non-violent resistance that typified the American civil rights movement.

"I am mindful that I might not be standing before you today, as president of the United States, had it not been for Gandhi and the message he shared and inspired with America and the world," the president said.

Obama lauded India's rise on the world stage, saying that "for Asia and around the world, India is not simply emerging; India has already emerged" and he said the country is unleashing an "economic marvel." He envisions, he said, U.S.-Indian relations as "one of the defining partnerships of the 21st century."

He said India has overcome critics who say the country was too poor, vast and diverse to succeed, citing its Green Revolution and investments in science and technology.

"The world sees the results, from the supercomputers you build to the Indian flag that you put on the moon."

Obama praised India's democratic institutions: its free electoral system, independent judiciary, the rule of law, and free press. He said India and the United States have a unique link because they are democracies and free-market economies.

"When Indians vote, the whole world watches. Thousands of political parties. Hundreds of thousands of polling centers. Millions of candidates and poll workers, and 700 million voters. There's nothing like it on the planet. There is so much that countries transitioning to democracy could learn from India's experience; so much expertise that India can share with the world. That, too, is what's possible when the world's largest democracy embraces its role as a global leader," he said.

Noting the country's rise as a world power, Obama said he sees the United States cooperating with India in various international and regional alliances. He praised India's role in the climate change negotiations and its role as a top contributor in U.N. peacekeeping missions.

Obama talked about the two countries pursuing joint research efforts, such as starting green jobs. He talked about reducing barriers to foreign investments, helping India improve weather forecasting before monsoons and aiding families in saving water.

He mentioned improved food processing and sharing India's knowledge with African farmers, with support for India's efforts to battle disease and increase educational exchanges.

@highlight

Obama makes wide-ranging speech to parliament in New Delhi

@highlight

He welcomes talks between India and Pakistan

@highlight

The president notes Gandhi's influence on Martin Luther King