New York (CNN) -- The National Association for the Advancement of Colored People, one of the oldest civil rights groups in the nation, announced the successor to Chairman Julian Bond on Saturday as the organization strives to prove its relevance and influence to a new generation.

NAACP Vice Chair Roslyn Brock was selected to fill the seat left by Bond, a civil rights leader who has held the post since 1998. Brock, 44, is the youngest person to ever serve in the position.

Brock has worked with the organization for more than 25 years in various roles, including as a youth board member and president of its Youth and College State Conference, according to the NAACP. She is also a vice president at Bon Secours Health Systems in Marriottsville, Maryland.

"We're looking at a generational shift in our communities," Brock said in a statement posted on the NAACP Web site.

"We have a 48 year old President in the White House, an NAACP President who was 35 at the time of his election, and a 44 year old Board Chair. The wisdom of those who stood the test of time got us to this point, and the youth will lead the future success of our movement."

Brock's perspective -- that of a younger leader -- will help move the 101-year-old organization forward, said Mary Frances Berry, former chairwoman of the U.S. Commission on Civil Rights.

"I think it's a great decision by the board because it changes the leadership intergenerationally," Berry told CNN on Saturday."Her views will respect those of a post-protest, civil rights generation."

The sit-ins and marches demanding racial equality have been replaced with social tussles disproportionately affecting non-white communities. Such issues include unemployment, foreclosures and incarceration rates, and Brock will have to address those in moving the NAACP forward, Berry said.

"They've got to focus on the problems that people at the grass roots have," she said.

Brock made history in February 2001 when she was unanimously elected vice chair of the NAACP National Board of Directors at the age of 35, making her the youngest and first women to get the job.

"She's very different from Julian. But the fact that she's younger, vibrant, very dynamic -- I think it's great," said historian Patricia A. Sullivan, whose book, "Raise Every Voice," chronicled the history of the NAACP. "It's an important position, and I think having someone like her in that position says something."

Bond, a stalwart of the Civil Rights Movement, helped found the Student Nonviolent Coordinating Committee, known for its student sit-ins in the early 1960s, and served as the first president of the Southern Poverty Law Center. He served in both houses of the Georgia Legislature, totaling two decades in office, before later leading the NAACP as chairman.

The 70-year-old civil rights leader had indicated he was ready to leave the organization in 2008, but stayed on in 2009 as the NAACP celebrated its 100th anniversary.

Read a Q&A with Roslyn Brock at Essence.com

At the time, there was talk about whether the organization was still relevant in what some observers called a "post-racial" United States. John McWhorter, a linguist and conservative political commentator, spelled it out in a February 2009 column titled, "If the NAACP ceased to exist tomorrow, would it have a significant effect on black America?"

For Bond, the answer was obvious.

"We have for the first time a black man who can open the doors to Air Force One, but we now know his children couldn't go to a pool in Philadelphia," Bond told CNN in July, referring to a decision by a suburban Philadelphia, Pennsylvania, swim club to revoke privileges of a largely minority day care center last year.

"So, as long as this disparity exists, we're not the national association for the advancement of one colored person, we want all colored people to advance," he continued. "And for us, people come in all colors -- black, brown, yellow, everything. We want everyone to advance, everyone to progress, and until that's true, the NAACP is going to be here."

And to ensure it will be here, the organization has showcased youthful leaders among its ranks -- most notably tapping Benjamin Todd Jealous as its president in 2008. At 35, Jealous was the youngest ever to hold the post at the NAACP.

Berry, who now teaches history at the University of Pennsylvania, was on the NAACP search committee at the time.

"The organization is clearly doing what every organization should do -- they should renew their leadership and reach out to the next generation," Berry said Friday. "Otherwise, they'll die."

In his speech on the 100th anniversary of the NAACP, President Obama said "the pain of discrimination is still felt in America" among African-Americans, Latinos and Muslim Americans.

"Even as we inherit extraordinary progress that cannot be denied; even as we marvel at the courage and determination of so many plain folks -- we know that too many barriers still remain," he said.

CNN's Samira Simone and Khadijah Rentas contributed to this report.

@highlight

NEW: "We're looking at a generational shift in our communities," Roslyn Brock says

@highlight

Brock on Saturday was named NAACP chairwoman

@highlight

She replaces longtime civil rights activist Julian Bond, NAACP chairman since 1998

@highlight

At 44, Brock is the youngest person ever to hold the post