(CNN) -- The cost of college tuition will continue to rise as long as federal student aid programs continue to increase with little or no accountability.

That was the hypothesis (now known in education circles as the Bennett Hypothesis) of a column I wrote for The New York Times in 1987, in response to tuition hikes at many of the nation's colleges and universities.

I had noticed an interesting phenomenon: Increases in federal financial aid were not improving college affordability. Each year, federal financial aid outlays would increase, but college tuitions would continue to rise above and beyond the rate of inflation. Much like the effects of subsidies on health care and the housing market, increasing student aid was insulating colleges from having to make market-driven cost-cutting measures, like improving productivity or efficiency. It appears that this may still be true today.

Last month, Andrew Gillen at the Center for College Affordability and Productivity authored a new paper introducing the "Bennett Hypothesis 2.0," an updated version of my original argument. Under the current financial aid system, he concluded, "As higher financial aid pushes costs higher, it inevitably puts upward pressure on tuition. Higher tuition, of course, reduces college affordability, leading to calls for more financial aid, setting the vicious cycle in motion all over again."

In 1987, I reached my hypothesis by examining the basic relationship between federal financial aid and tuition. Let's compare the numbers today. In 2010, the Department of Education distributed $133 billion in student aid. In 2011, it was nearly $157 billion, a 17% increase. Pell Grants increased from $29 billion in 2010 to $36 billion in 2011, a 24% increase.

At the same time, in 2011, costs at the average public university rose 5.4% for in-state students, or about $1,100. Average tuition at public universities rose 8.3%. The increases have greatly outpaced the rate of inflation, which was 3% in 2011.

While increased federal aid does not cause college price inflation, it can be a considerable factor. Many other elements influence tuition prices, such as the rise of alumni donations, the expansions of institutional services and the ever-increasing demand for higher education. Families will go to incredible, and often insane, lengths to get their son or daughter into college, and these institutions know that. Nevertheless, the federal mechanism intended to make college more affordable seems to be having little or no effect.

Furthermore, taxpayers are getting fewer returns for their money. In 2009, the six-year graduation rate of bachelor's students was 56% in the United States. In 1997, it was 52%. During that time period, student aid skyrocketed. According to the College Board, "Total student aid increased by about 84% in inflation-adjusted dollars over the decade from 1997-98 to 2007-08." Taxpayers are subsidizing higher education at greater and greater costs while institutional performance has not kept up.

This gap between enrollment and graduation costs the U.S. economy millions of dollars in potential earnings each year and expands the growing student loan bubble. Weighed down by rising tuition costs, students borrow more money each year to pay for college. The more they borrow, the more difficult it becomes for them to pay for college on their own or in a timely manner, and if they fail to graduate, they are left holding larger piles of debt.

According to the Federal Reserve Bank of New York, student loan indebtedness reached $867 billion last year. (By comparison, outstanding U.S. credit card debt was $704 billion.) And almost 15% of all borrowers have at least one past-due loan account. There are legitimate fears that this could be the next U.S. debt bomb.

Why should taxpayers continue to increase funding for federal aid programs that do little to control soaring college costs and rein in student debt? Like the 2008 subprime mortgage crisis, the middle class would be crushed by a mass student loan default. Our students and their families deserve better than this. As I said 25 years ago, "Higher education is not underfunded. It is under-accountable." Federal aid should be closely tied to academic performance, graduation rates and the ability of students to repay their loans in a responsible manner.

During his State of the Union address this year, President Obama said, "We can't just keep subsidizing skyrocketing tuition." He added, "So let me put colleges and universities on notice. If you can't stop tuition from going up, the funding you get from taxpayers will go down." It's encouraging to see the president acknowledge what has long been the argument of conservative education reformers. It remains to be seen if his threat holds any weight and if he will act on it.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: Increases in federal financial aid don't seem to improve college affordability

@highlight

Bennett: Taxpayers subsidize higher education, but institutions' performances haven't kept up

@highlight

He says student loan indebtedness could be the next U.S. debt bomb

@highlight

Bennett: Colleges need to keep costs down, or else taxpayers should stop the funding