(CNN) -- Saturday's discovery of a pulse signal in the search for Malaysia Airlines Flight 370 marks yet another potential breakthrough in the mystery of the plane's disappearance.

Officials hope this lead will be unlike the others -- which so far have yet to locate the aircraft, which is believed to be at the bottom of the Indian Ocean.

But all of the past month's leads, whether genuine or false, have made for a dramatic narrative in how a commercial airliner could vanish while carrying 239 people.

March 8

Malaysia Airlines Flight MH370 takes off just after midnight from Kuala Lumpur International Airport for Beijing.

The Boeing 777-200 disappears within an hour of takeoff, following verbal communication with air traffic controllers.

Ground eyewitnesses, however, claim they saw the plane. They are an oil rig worker in the Gulf of Thailand, fishermen in Malaysia and Indonesia, and islanders in Maldives.

But all those accounts are eventually proven to be false.

March 9

A Vietnamese reconnaissance plane spots oil slicks that stretch between six and nine miles in the Gulf of Thailand, the same body of water where Flight 370 dispatched its last communication from the cockpit within the first hour of its takeoff.

The slick turned out to be fuel oil typically used in cargo ships. Meanwhile, other sightings of a plane door and its tail also prove untrue.

March 14

Citing "satellite information" and giving scant details, Malaysian officials say they are focusing their attention on two massive "arcs" on both sides of the equator.

They release a map to the press and, suddenly, the search for the plane covers a vast canvas of the Earth.

The plane could have taken either path -- which means the search area now blankets 2.97 million square miles, nearly equivalent to the size of the continental United States.

The northern arc stretches over Cambodia, Laos, China, Kazakhstan and Turkmenistan. Speculation turns toward whether the plane actually landed to the north, but officials later dismiss this arching route as the possible location of the plane. No crashes, or even a sighting of a wayward Boeing, have been reported.

Moreover, this north corridor flies through tightly guarded airspace over India, Pakistan and even U.S. military installations in Afghanistan, and no one has reported a rogue plane.

That leaves the southern arc: it stretches from Indonesia to the southern Indian Ocean.

This becomes a solid lead for investigators.

But it raises a gargantuan question: How do you find a plane in an ocean?

March 18

The Thai military reveals the plane had virtually reversed course and took a sharp turn -- westward, toward the Strait of Malacca.

The Malaysian government says evidence suggest the plane was deliberately flown off-course and traveled back over the Malay Peninsula and out into the Indian Ocean.

It's another good lead in the hunt for the missing plane. The Thai information bolsters the search in the southern arc, over the Indian Ocean.

But a search of the Strait of Malacca yields nothing.

March 19

A U.S. official familiar with the investigation tells CNN that based on present search patterns and available data, it's far more likely that the plane would be located in the southern arc.

Based on U.S. data about the jet's fuel reserves, Australian authorities conduct a search about 1,600 miles off their western coast.

In fact, investigators spot two objects in the Indian Ocean that could be related to the missing plane, Australian officials say.

It's the best lead for the moment.

The Royal Australian Air Force and U.S. aircraft are sent to investigate -- but the search area is so far from land, that the planes can only search for two to three hours before they have to return to land for refueling.

Potential clues demand time.

March 22

Three days later, a land-and-sea search involving several countries continues for any sign of debris off Australia. The hunt is even taking place in outer space -- with satellite photos of the surface below.

Australian Prime Minister Tony Abbott says there's no shortage of leads -- just no results.

He's optimistic, however.

"We have now had a number of very credible leads, and there is increasing hope -- no more than hope, no more than hope -- that we might be on the road to discovering what did happen to this ill-fated aircraft," Abbott says.

Still, there's no sight of the reported two parcels. Experts wonder whether the two objects were part of the junk swirling in a vast Indian Ocean gyre, or rotating currents.

March 23

France's Foreign Ministry cites radar data from a satellite showing material floating in the Indian Ocean about 1,430 miles off Perth, Australia.

In all, the satellite images by a French defense firm show 122 floating objects.

Could this be signs of the wreckage?

The problem is, they're scattered over 154 square miles, about the size of Denver, Colorado.

March 26

Search aircraft spotted three objects drifting in the sea, Australia officials say.

But search teams aren't able to locate them on subsequent passes, officials add.

It's the same story with two objects spotted by a civil aircraft. And a blue object sighted by a New Zealand military plane. None could be found again on a second pass.

If that's not enough, a Thai satellite locates 300 floating objects, including a big one measuring 50 feet by 6 feet, Thai officials say. They are just 125 miles from the French satellite's sighting of 122 objects.

Then, the Japanese government says one of its intelligence satellites identified 10 floating objects, the largest of which is 13 feet by 26 feet. They're also floating near the other satellite sightings, some 1,550 miles off western Australia.

There are so many leads, it's dizzying.

Perhaps the day's most dispiriting news is that crews can't find a 75-foot-long object that was captured in satellite images provided by Airbus Defence and Space. Could it have been part of the plane's wing, experts asked?

The only good news is there's no shortage of potential clues.

The bad news is, nothing comes of them.

March 27

The search moves to a different patch of the ocean -- 680 miles northeast of the primary area of focus -- because of "a new credible lead" provided by Malaysian investigators, Australian officials say.

The new information is based on an analysis of radar data on the day the plane disappeared and suggests the aircraft was traveling faster than previously estimated before it dropped off radar, the Australian Maritime Safety Authority said.

This means the plane burned fuel faster, shortening its maximum possible distance over the southern Indian Ocean.

The advantage is the search moves closer to the Australian coast, making the area easier for planes to reach. Jets can now spend more time searching.

March 28

Aircraft spot possible debris in the new search field.

In fact, CNN's Kyung Lah is embedded aboard a New Zealand military plane that sights 11 small objects drifting at sea.

"At one point, sure, everybody on board got a little excited, but it's impossible to tell from that distance what anything is," she says.

But it's the same story: a dead end.

March 29

A Chinese war ship and a second vessel retrieve objects from the ocean, Australian officials say.

Also, a Chinese plane crew drops buoys to mark three suspected debris sites, China's state-run media reports.

But they're all blind alleys leading to nowhere. Some of the objects retrieved by the ships were merely fishing gear.

March 30

Australian aircraft put an eye on four orange items bobbing in the water. Crews take photos and send back coordinates. One item is 6.5 feet long.

The discovery become one of the "most promising leads" in the new search area, says Australian Flight Lt. Russell Adams.

But it ends as a hope dashed. The promise doesn't deliver.

Australian Prime Ministry Tony Abbott stands undaunted, however.

"We are searching a vast area of ocean, and we are working on quite limited information. Nevertheless, the best brains in the world are applying themselves to this task," Abbott says. "If this mystery is solvable, we will solve it."

The search, however, is now approaching its fourth week.

April 2

Under growing criticism at home, Malaysian Prime Minister Najib Razak pledges to get to the bottom of the plane mystery -- if not the ocean itself.

"We want to provide comfort to the families, and we will not rest until answers are indeed found," he says.

The mission, however, could last longer than initially thought.

"We'll keep going til hell freezes over," Kim Beazley, Australia's former defense minister and current ambassador to the United States, tells CNN. "It could take months, it could take years."

April 4

Time is running out.

The plane's black box -- the cockpit voice and flight data recorders -- has enough battery life to last 30 days, at most.

After 30 days, the black box's locator beacons -- known as pingers -- will die.

In other words, the plane will no longer be able to make an electronic cry for help.

We're now on Day 28.

Saturday, April 5

Crews are now searching for the plane on a prayer that the pingers will last long enough for search teams to find them.

Will that miracle arrive?

As if a godsend, a pulse is heard rising from the Indian Ocean by a Chinese ship in the search area, Australian officials say.

The pulse carries the same standard beacon frequency as the black box: 37.5 kHz, according to a China Central Television correspondent aboard the Haixun-01 (pronounced "high shuen").

The Chinese ship heard it for a minute and a half but couldn't record it, a Shanghai-based Communist Party newspaper reports.

After so many false starts, has the revelatory lead finally arrived?

It's not out of the question, experts say.

@highlight

The long list of leads in the search for Flight 370 spins a dramatic narrative

@highlight

All of the reported objects floating in the ocean have proven to be false leads

@highlight

The best leads have now placed the search closer to Australia's west coast

@highlight

Has the case-breaking lead finally arrived with a discovery of a pulse signal?