LONDON, England (CNN) -- Over the last few weeks, there has been a definite Italian flavor pervading "The Screening Room" offices.

Nanni Moretti's (pictured) "Dear Diary": "It transmits a great love of place and cinema," says Marshall.

The team is recently back from the Venice International Film Festival, where we broadened our knowledge of this years's film offerings, while vast amounts of pasta unfortunately had the same effect on our waistlines.

Italian film has also expanded its horizons this year. Paolo Sorrentino's "Il Divo" and Matteo Garrone's "Gomorrah" wowed critics at Cannes film festival, fueling, once again, talk of a resurgence in Italian cinema.

With all this in mind, we asked Rome-based film critic of 14 years, Lee Marshall to nominate his top 10 Italian films.

Don't agree? Think he's missed one? Let us know in the SoundOff box below.

1. 'La Strada' (Federico Fellini, 1954)  "Absolutely wonderful film with Giulietta Masina and Anthony Quinn. She was tiny and had an almost clown-like face, like a female Charlie Chaplin. It's about a loose couple of traveling circus performers who go around Italy juggling in the street. It's also one of the greatest tragic love stories ever filmed. Quinn's character doesn't realize how important his partner is in life and work until it's too late. 'The magic of cinema' is a phrase thrown around too much, but this film shows just how magical it can be."

2.'The Conformist' (Bernardo Bertolucci, 1970) "Italy, like Germany, had a post-war trauma syndrome and refused to think about what had happened under Fascism. This was one of the first films to confront it head-on -- it wasn't a strange race of aliens, it was us and one of the reasons was the pressure to conform. 'The Conformist' is the story of a weak man who is persuaded by Fascist secret police to assassinate his former university professor, now a leading anti-Fascist. The film explores the way in which the totalitarian state manipulates people and the way people allow themselves to be manipulated. A technically, aesthetically and visually rich film, it announced the arrival of Bertolucci as a major director."

3. 'Ossessione'  (Luchino Visconti, 1943) "It was the first film (even before the first American film) based on the book adaptation of 'The Postman Always Rings Twice.' Set in rural Italy, it is an incredibly earthy, passionate exploration of human desire. A drifter gets a job in a remote service station and starts to fall in love with the owner's wife; the pair plot to kill him. It is considered one of the first films of the Neo-Realism movement -- low budget films, made on location using non-professional actors. The classic of this strand is Vittorio De Sica's 'Bicycle Thieves.'"

4. 'L'Avventura'  (Michelangelo Antonioni, 1960)  "Starring Monica Vitti, this is one of the first really experimental films in modern Italian cinema. It was one of the first thrillers in which you never find out what happened. A woman disappears on a Mediterranean island and is never found, which becomes a metaphor for what Antonioni thought was missing in middle-class Italian society. It's a compelling drama. You feel a bit cheated at the end, but you can forgive a slap in the face if it's done with enough elegance."

5. 'A Fistful of Dollars' (Sergio Leone, 1964)  "The film that announced the Spaghetti Western to the world. It also turned Clint Eastwood's rugged face and narrowed eyes into an icon. Eastwood owes his acting career to Leone. They made the Western genre a lot darker, too. Traditionally, these were optimistic films about pushing back the frontier, part of the American Dream. In Spaghetti Westerns it became about survival. That's what Clint is doing in this film. He moves into a town where two rival families are engaged in a bitter feud and then maneuvers events so they wipe each other out and he is the last man standing."

6. 'The Battle of Algiers' (Gillo Pontecorvo,1966) "A extraordinary film about the resistance against French occupation in Algeria in the 1950s and 1960s. If you look at, say, Steven Soderbergh's 'Che' or Paul Greengrass' film 'Bloody Sunday,' they owe a huge debt to 'The Battle of Algiers.' One of the first films made anywhere in the world about war; there weren't any goodies or baddies, just roving cameras following the chaotic day-to-day bomb attacks. It also shows the brutality that was then applied by the French police in an almost documentary way. It was just holding up a mirror and this was the first war film to do that."

7. 'Dear Diary' (Nanni Moretti, 1993) "Moretti is a film maverick who first emerged in the mid-1970s, whose films are always in some way autobiographical. He's probably, the closest thing Italy has to Woody Allen, except his films have a more political slant. He's a great comic actor and merges politics and comedy in his films. 'Dear Diary' is just a diary in three episodes. One of those films that manages to be incredibly rich and satisfying, but when you describe the story it sounds inconsequential. It's just him riding around in Rome on a Vespa with a voice-over where he's talking about films. It transmits a great love of place and cinema -- as well as riding around Rome on a Vespa being brilliantly cinematic."

8. 'Cabiria' (Giovanni Pastrone,1914) "The Italian 'The Birth of a Nation' or 'Metropolis' -- a great silent film that defined Italian silent cinema. It's quite a wild ancient history epic about a woman called Cabiria sold into slavery in Carthage. An extraordinary experiment -- it was one of the first times in Italy that cinema, having been a fairground entertainment, was starting to be considered as potentially high art. A brilliantly exotic, erotic take on ancient history and wonderfully over the top."

9. "The Consequences of Love' (Paolo Sorrentino, 2004) "One of the best Italian films of the last 10 years. It's an interesting take on the mafia film and an alternative love story. It is about an accountant living in a hotel in Switzerland, leading an uneventful, measured life. All the violence happens off to one side and its absence is almost menacing. You don't realize there is anything shady about him for a long time and a love affair develops with the hotel receptionist. I think Sorrentino is a very original new voice."

10. 'Pane, amore e fantasia'  (Luigi Comencini, 1953)  "Starring Gina Lollobrigida and Vittorio De Sica, this is a wonderfully innocent, sexy comedy set in central Italy in a little village that is incredibly backward and rural. It's about a young woman who is courted by a lot of admirers, including a local police chief. It's really about the feisty, unputdownable spirit of Italy. When we think of Italy, even in a slightly cliched way -- spaghetti, sun and the whole cult of love, the feisty women and the men playing lotharios -- this film just embodies that vibrant life force and energy. It's a very funny romantic comedy."

@highlight

There is a distinct Italian flavor pervading "The Screening Room" this month

@highlight

We asked Rome-based critic Lee Marshall to nominate his top 10 Italian films

@highlight

He chose classics like "La Strada" by Fellini and "L'Avventura" by Antonioni

@highlight

As well as Moretti's "Dear Diary and Sorrentino's "The Consequences of Love"