The search for missing Malaysia Airlines Flight 370 resumed Friday in the southern Indian Ocean with long-range reconnaissance aircraft looking for possible debris from the jetliner in one of the most remote locations on Earth.

Aircraft from Australia and the United States have staggered departures to an area roughly 1,500 miles southwest of Perth, where two objects were captured on satellite and described as possible pieces of the plane, according to the Australian Maritime Safety Authority.

The first plane, an Australian air force P3 Orion, arrived in the search area early afternoon local time, the authority said.

Given the distance from Australia to where the objects were spotted by a commercial satellite, the aircraft will only have between two and three hours to traverse the search area before having to start the return journey, the maritime authority said.

Calling it the best lead so far to the whereabouts of the airliner that vanished 14 days ago with 239 passengers and crew, Malaysia interim Transportation Secretary Hishammuddin Hussein told reporters the find "gives us hope."

"As long as there's hope, we will continue," he said.

Along with the aircraft, a motley collection of merchant ships are heading to the search area, where they will join a massive Norwegian cargo ship diverted to the area Thursday at the request of Australia.

The sailors aboard the Norwegian ship worked throughout the night looking for the objects, said Erik Gierchsky, a spokesman for the Norwegian Shipowners Association.

"All men are on deck to continue the search," he told CNN. "They are using lights and binoculars."

Authorities were hoping for better results after poor weather hindered Thursday's search for the debris.

Even before suspending the search Thursday night, authorities cautioned the objects could be something other than plane wreckage, such as shipping containers that had fallen off a passing vessel.

Australian Prime Minister Tony Abbott announced the news to the world in a statement in parliament. Officials then gave more details in a briefing closely watched by relatives of some of the missing.

For the loved ones of the passengers and crew aboard the flight, the news of the possible find first announced by Australian was met with mixed reactions.

"It strikes me as just one more lead that may or may not come true," Sarah Bajc, whose fiance, American Philip Wood, was aboard the plane, told CNN. "So it's enough to make us all anxious again after a couple of days of quiet, but, you know, I'm cautiously pessimistic that it's not a piece of the plane. "

New theories about disappearance

The objects

Satellites captured images of the objects about 14 miles (23 kilometers) from each other and about 1,500 miles (2,400 kilometers) southwest of Australia's west coast. The area is a remote, rarely traveled expanse of ocean far from commercial shipping lanes.

The commercial satellite images, taken Sunday, show two indistinct objects of "reasonable size," with the largest about 24 meters (79 feet) across, said John Young, general manager of emergency response for the Australian maritime agency.

They appear to be "awash with water and bobbing up and down," Young said at the news briefing Thursday.

The objects could be from the plane, but they could be also something else -- like a shipping container -- caught in swirling currents known for creating garbage patches in the open ocean, he said.

"It is probably the best lead we have right now," Young said. "But we need to get there, find them, see them, assess them to know whether it's really meaningful or not."

It took four days for the images to reach the authority "due to the volume of imagery being searched, and the detailed process of analysis that followed," the agency said in a prepared statement.

The size of the objects concerned David Gallo, one of the leaders of the search for Air France Flight 447, which crashed in the Atlantic Ocean in 2009.

"It's a big piece of aircraft to have survived something like this," he said, adding that if it is from the aircraft, it could be part of the tail.

The tail height of a Boeing 777, the model of the missing Malaysian plane, is 60 feet.

Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation, said she believes the Australian Prime Minister would not have announced the find if officials weren't fairly sure of what they had discovered.

"There have been so many false leads and so many starts and changes and then backtracking in the investigation," she said. "He wouldn't have come forward and said if they weren't fairly certain."

Although the overall search area spans a huge expanse of 3 million square miles, U.S. officials have been insistent in recent days that the aircraft is likely to be found somewhere in the southern Indian Ocean.

If this is debris, what happens next?

Wide search continues

Until searchers make a confirmed find of debris from the aircraft, the search and rescue operation will continue throughout the search zone, Hishammuddin said.

Even as the focus shifted to the southern Indian Ocean, Hishammuddin said Malaysia was sending two aircraft to search Kazakhstan in  central Asia. That's one of the locations along a northern corridor described as a possible location for the aircraft based on satellite pings sent by the plane after air traffic controllers lost contact with it in the early hours of March 8.

Cambodia, Laos, Thailand and China were searching their territories, Hishammuddin said.

India said Thursday it is searching in the Bay of Bengal and the Andaman Sea, sending four warships and three aircraft to scour the region. That area is far north of the region where Australian forces were leading the search for the photographed objects, but in an area previously identified as a possible crash site for the plane.

Meanwhile, 18 ships, 29 aircraft and six helicopters were taking part in the search in the southern corridor, where search efforts were intensifying in the area around the Australian satellite find.

In addition to the Norwegian car carrier Höegh St. Petersburg, which arrived in the area Thursday afternoon, a second merchant ship was expected to arrive Friday night. The Australian naval vessel HMAS Success is steaming to the site but remains "some days away," Hishammuddin said.

China plans to send its icebreaker and research vessel Xue Long, or Snow Dragon, which is currently anchored in Perth, China's state-run Xinhua news agency reported. The icebreaker will take four or five days to reach the search zone, according to the news agency.

Malaysia's navy has six ships with three helicopters heading to the southern Indian Ocean to take part in the search, a Malaysian government official said.

Other angles

Although much attention was focused on the ocean search, investigators continue to follow other leads in the plane's disappearance.

Among the many theories put forth since the plane's disappearance is that one or both of the pilots were responsible in some way for the aircraft's disappearance, especially in light of revelations that appear to show that a sharp, unplanned turn in the flight path had been programmed into the plane's flight management system before one of the pilots gave a routine sign-off to Malaysian air traffic controllers.

On Thursday, a U.S. official familiar with the investigation told CNN that an FBI team is confident that it will be able to retrieve at least some files deleted from the hard drive of a flight simulator owned by Flight 370 Capt. Zaharie Ahmad Shah.

Investigators will also analyze websites that Zaharie and co-pilot Fariq Ab Hamid may have visited recently, the official said on the condition of anonymity.

Witnesses claim they saw plane

LIVE: Latest updates on the missing Malaysia Airlines jetliner

If this is the debris of Malaysia Airlines Flight 370, what happens next?

Anger as relatives confront officials

Difficulties may hamper Flight 370 search

Searching for the plane truth -- amid speculation

@highlight

First plane of the day arrives in the search area, Australia says

@highlight

Given the distance to the search area, the planes have only a few hours of search time

@highlight

Sailors aboard Norwegian cargo ship search through the night, spokesman says

@highlight

Officials caution the objects may not be plane debris, but shipping containers or something else