White Oak, Maryland (CNN) -- The Food and Drug Administration announced Friday it will deny the National Resources Defense Council's petition asking it to prohibit the use of bisphenol A, commonly known as BPA, in products manufactured in the United States.

However, the federal agency stressed the announcement is not a final safety determination and it continues to support research examining the safety of BPA.

In 2008, the council submitted a petition asking the FDA to regulate the use of BPA in human food and food packaging. The FDA had been silent since the petition was filed more than 41 months ago. The council finally, last December, sued the administration to get some form of action. Friday's announcement is a response to that suit.

BPA is a chemical used in many consumer products, including clear and hard plastics called polycarbonate used in water and soda bottles, as well as in the resin linings of food and beverage cans and containers of infant formula.

The Natural Resources Defense Council responded by saying it believes the FDA "made the wrong call."

"BPA is a toxic chemical that has no place in our food supply," said a statement from Dr. Sarah Janssen, a senior scientist in the council's public health program.

"The agency has failed to protect our health and safety in the face of scientific studies that continue to raise disturbing questions about the long-term effects of BPA exposures, especially in fetuses, babies and young children," the statement said.

"The FDA is out of step with scientific and medical research. This illustrates the need for a major overhaul of how the government protects us against dangerous chemicals."

The Natural Resources Defense Council says the FDA's approval of BPA for use in packaging food "results in human exposure" to the chemical and is "dangerous to those who use the products."

It says studies have linked BPA exposure to a number of dangerous side effects, including defects in newborns, harm to the central nervous system, increased rates of prostate and breast cancer, and metabolic changes in the body that lead to obesity and insulin resistance, which are the main causes of diabetes.

In a separate news release, the council noted a group of 38 scientific experts recently published a statement saying the evidence of adverse effects of low doses of BPA from laboratory experiments on mice "is a great cause for concern with regard to the potential for similar adverse effects in humans."

The FDA, which has been getting pressure regarding BPA exposure from other food safety groups as well the Natural Resources Defense Council, is working to remove the chemical from baby bottles and sippy cups, steps already taken by some states, such as California.

Many food manufacturers have removed or are considering removing BPA from their packaging. Campbell Soup Co. recently announced it would be taking BPA out of its cans.

Also, a growing body of research looking at subtle effects of low levels of BPA exposure has led the National Toxicology Program at the National Institutes of Health and the FDA to announce it has "some concern" about the potential effects of BPA "on the brain, behavior, and prostate gland in fetuses, infants and young children."

However, in the FDA announcement Friday the agency noted that, in response to the petition, while evidence from some studies have raised questions as to whether BPA may be associated with a variety of health effects, there remain serious questions about these studies, particularly as they relate to humans and the public health impact of BPA.

The agency also stressed that it "has been studying and continues to study the effects of BPA and will make any necessary changes to BPA's status based on the science." It said the agency "is working toward completion of another updated safety review on BPA this year to include all relevant studies and publications."

@highlight

The FDA says the decision does not represent a final safety determination

@highlight

The National Resources Defense Council pressed the agency to respond to its request for a ban

@highlight

The agency says there are serious questions about studies showing BPA's effects

@highlight

Bisphenol A is a chemical used in bottles, cans and other containers