(CNN) -- Private-aircraft manufacturers are increasingly targeting Africa's growing economies as the resource-rich continent is quietly emerging as an important hub in global business aviation.

In a continent where commercial routes are often limited, a growing number of smaller, privately owned planes are now taking to the skies, creating new connections in and out of Africa.

Driven mainly by entrepreneurs and wealthy individuals involved in the natural resources, banking and telecoms sectors, the continent's burgeoning market is expected to grow significantly in the coming years.

"Africa is an emerging market where we see a positive future," says Robert Habjanic, sales director at plane manufacturer Bombardier Business Aircraft. "Over the next 20 years, we do forecast 810 business jets to be sold into Africa."

The sector was given a big lift in May with the creation of the African Business Aviation Association (AfBAA), the continent's first initiative bringing together aircraft operators and other industry players to support their interests and promote the benefits of business aviation.

AfBAA founder and chairman Tarek Ragheb says that Africa requires a well-developed business aviation industry to support the continent's flourishing economies and realize its business potential.

He describes Africa as "China in our backyard," a continent with tremendous amounts of resources that is, however, being hampered by steep infrastructure challenges.

"If you have a requirement for an NGO or an entrepreneur or a government agency to be able to conduct its business, the options of using rail or a good highway are simply not there," says Ragheb. "So for the growth of the continent there must be an ultra-efficient means of travel and that is where business aviation could come in."

Read related: Low-cost airline in Africa by easyJet founder

For Ragheb, improving intra-African connections is key to the development of the continent.

"Flying out of Africa is not difficult," he explains. "You can go from Lagos to London, you can go from Kinshasa to Belgium, that's not a problem -- the challenge is intra-Africa flights. And you find that for African growth you're going to need intra-Africa flights and this is where the focus [of AfBAA] is going to be."

Business aviation expert Alan Peaford says that only 20% of flights in the continent are with African airlines, the remaining 80% being with international carriers.

"What this means is that if you have a cement factory in three or four countries, you may have to travel from country A to country B via Paris, London or Dubai rather than direct," says Peaford, editor-in-chief of Arabian Aerospace magazine and online news service.

"Hence, as greater investment from China, Saudi etc. leads to more industrial development, owners, investors and managers need to be agile and not waste days on what should be a three-hour flight," he adds. "So business jet usage is growing."

Read related: Bringing the Dreamliner to Africa

Although exact figures about corporate aircraft in Africa are notoriously difficult to find, the AfBAA puts the number of business jets in the continent between 400 and 600. These planes are typically owned by high net-worth individuals, wealthy investors, as well as governments and corporations.

And not surprisingly, the biggest growth is recorded in countries where there is an abundance of natural resources.

"Africa's rich in gas, minerals, oil, gold, platinum, you name it," says Ettore Poggi, managing director of South Africa for ExecuJet Aviation Group, which offers services including corporate aircraft charter, mangement and maintenance. "We're finding a lot of interest from overseas companies, focusing their attentions on the resources of Africa. Clearly, that bodes well for us because it means we have to take those people to these places in Africa."

While South Africa remains the traditional dominant player in the market, other countries have also started to make significant strides. In Nigeria, the continent's biggest oil producer, the business aviation market is growing at a rapid pace, industry insiders say.

"In the last 18 months we've grown by over 200% in terms of travel," says Segun Demuren, chief executive and founder of Evergreen Apple Nigeria, a fixed-based operator offering various services for private-aircraft users.

Demuren says that Evergreen, which began operations in July 2011, is doing "75 to 80 movements [flights] a week" and is targeting a 50% growth for next year. "I'm very sure we'll meet that instantly," he says.

Read related: Africa's daily commuting grind

Although the conditions for the market's expansion are certainly there, there are still infrastructure, policy and logistical challenges that the industry needs to navigate if it is to meet its full potential.

In many cases, entrance, exit and over-fly legislation varies from country to country, leading to significant delays. Other issues include landing permits and airport fees as well as maintenance support and pilot training and licensing.

Ragheb says that a common set of standards needs to be adopted throughout the continent "so that you have the ability to fly into Africa with a sense of security, that you know that safety and the procedures are all in place."

But first of all, he says, needs to come a true "understanding and acceptance" that business aviation can be a valuable asset for Africa's growth.

"It's a real business tool," he says. "When you bring business aviation and you let it flourish in your country, you're going to attract those investors that are going to equal money and development and projects."

Analysts say that a thriving business aviation industry can only be good news for commercial air travel as well. The arrival of the industry in a country is a good indicator of its growth potential, Peaford says, acting as a strong incentive for commercial airlines to step in and establish new routes.

"Watch where the business aviation is going," he says. "You can see the countries where business aircraft are going to and often you're going to see the commercial airlines going there, about a year, 18 months later.

"It's always 'watch the business jets' first, that's where you follow the money."

@highlight

Africa's business aviation market is expected to grow significantly

@highlight

There are between 400 and 600 business jets in Africa, say experts

@highlight

Growth is driven by strong demand in the natural resources sector

@highlight

A new industry body calls for common standards throughout the continent