Houston, Texas (CNN)  -- The judge that BP wants to hear an estimated 200 lawsuits over the Gulf of Mexico oil disaster gets tens of thousands of dollars a year in oil royalties and is paid travel expenses to industry conferences, financial disclosure forms show.

Lawyers who practice before U.S. District Judge Lynn Hughes say he's tough but fair, and a CNN review of his cases found he ruled in favor of oil companies only slightly more often than he ruled against them. But his connections to the industry have raised eyebrows at a time when BP is under fire for the worst oil spill in U.S. history.

Federal financial disclosure forms obtained by CNN show that since 2003, Hughes has consistently been paid annual fees from the oil and gas industry, mostly in the form of lease payments for wells and mineral rights on land he owns. None of the payments comes from BP, but his holdings include mutual funds that draw income from Anadarko Petroleum, a minority owner in the well now pouring up to 2.5 million gallons a day into the Gulf.

In some cases, the amounts are significant. In others, the payments are relatively small.

Oil giant ConocoPhillips paid him between $50,000 and $100,000 in 2008, the last year in which records are publicly available. In a note attached to the 2008 form, Hughes said he expected the amounts to be relatively similar for 2009. He gets smaller amounts from smaller producers such as Sun Oil, Everest Oil and Wagner Oil, which pay for the right to drill oil and gas from lands he owns.

The federal disclosure form does not require exact amounts, only estimates and approximate figures.

A legal expert on ethics, Indiana University professor Charles Geyh, told CNN that judges with financial ties to the oil industry should make their connections crystal clear.

"When you take it together, is there a concern that a reasonable person might say, 'Look-it, he's not a judge that happens to be dabbling -- he's in effect a participant in the industry he's trying to judge,' " Geyh said.

Hughes has been sitting on the federal bench in Houston since the mid-1980s, and BP has asked that he supervise all of the estimated 200 cases filed against it since the April sinking of the offshore drill rig Deepwater Horizon. The sinking left 11 workers dead and uncorked a gusher that has been fouling the Gulf for more than eight weeks.

In court filings in early May, BP requested Hughes be assigned to preside over the spill lawsuits because he already was assigned to one of the first cases, a lawsuit filed on behalf of Vietnamese-American fishermen from Louisiana. According to an e-mail sent to CNN, BP said the judge "is an appropriate choice to provide oversight of these cases."

The Department of Justice has asked that the suits be consolidated in New Orleans, Louisiana, the closest federal court to the spill. The sinking took place in the waters off southeastern Louisiana, about 40 miles off the mouth of the Mississippi River.

BP would not comment on Hughes' financial disclosures. But the judge has held two recent meetings in Houston to discuss possible ethics concerns, a lawyer who attended those meetings told CNN.

"In both of those hearings, the questions have been raised about whether or not he should preside over these cases or whether there will be a conflict," Mark Lanier, a prominent Houston plaintiff attorney, told CNN. "In the second one, the judge explained he had listed online all of his financial disclosure information, so people would be able to look at and probe."

One particular case over which Hughes presided in 2009 is raising questions.

In 2008, Hughes listed royalty payments from about 10 wells leased to Devon Energy, an Oklahoma City-based oil and gas company. The amounts were relatively small -- under $15,000, according to his disclosure form -- and a source told CNN the payments were for a collection of nine or 10 wells scattered in land across two or three states.

In May of 2009, Hughes issued a favorable decision for Devon Energy in a dispute with its insurance company. According to an attorney for the insurance firm, the total amount was $3.9 million. Court records show that Hughes did not disclose his royalty payments from Devon at any point during the proceedings.

No one claims the judge has violated the federal code of judicial ethics, but Geyh says appearances matter.

"I think the best practice that is out there, and I think what judges across the country are encouraged to do, is that if there is any doubt, put some sunshine on the problem," he said. "Turn your cards face up, to mix metaphors, and make it clear to the parties what your potential interests are."

Hughes also travels widely and speaks to meetings held by the American Association of Petroleum Geologists, including one held in early June in the Canadian city of Calgary and an earlier conference in Cape Town, South Africa.

He's the association's distinguished lecturer on ethics, having delivered 10 speeches to the trade group in the past three years.

The association doesn't pay him a fee but does supply his travel, accommodation and expenses, said Larry Nation, a spokesman for the trade group.

Federal judges rarely respond to requests for comment from journalists. But Hughes told CNN in an e-mail that while he couldn't speak to past or present cases, he did quote Thomas Jefferson: "Let facts be submitted to a candid world," he wrote.

Lawyers who know him call Hughes a tough but fair judge and say the reference is to a desire for transparency on his part. But attorneys for environmental advocacy groups say that for BP to request Hughes be assigned to the spill lawsuits is "outrageous and unseemly."

CNN examined three years of Hughes' rulings on oil and gas cases, finding he ruled in favor of oil companies only slightly more often than ruling against them. As for other federal judges, a recent survey showed more than 20 federal judges across the Gulf states have a financial interest in oil and gas companies.

Several of them have recused themselves from presiding over cases related to the Gulf spill.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

BP wants U.S. District Judge Lynn Hughes to supervise lawsuits in wake of oil disaster

@highlight

Hughes has strong financial ties to oil industry, has received large sum of royalties

@highlight

Hughes to CNN: "Let facts be submitted to a candid world," a Thomas Jefferson quote

@highlight

Lawyers who have dealt with Hughes describe him as "tough but fair"