(CNN)Look to the skies above London and you'll see the usual suspects -- rainclouds, planes and pigeons. But by the end of the year, you might just see something else.

Longer than a soccer pitch and filled to the brim with helium, at 302 feet long, the Airlander 10 will be the world's biggest aircraft. Part blimp, part plane, part helicopter, it was originally created by British design company Hybrid Air Vehicles (HAV) for military surveillance by the U.S. Army.

But budget cuts doomed the project and HAV bought the airship back across the pond, where it seemed set to remain on solid ground until the company received a £3.4 million ($5.1 million) grant from the UK government. Thanks to this recent injection of financing, designers and engineers are now readying the craft for first flight tests scheduled for later this year.

While the concept has been around for nearly a century, airships fell out of fashion following the Hindenburg disaster in 1937, when the German passenger craft erupted into flames while trying to dock, killing 36.

While an airship might seem like a craft from a time long passed, it has been given a 21st century design overhaul and HAV hopes to have airships back in the skies over the UK by 2016.

Chris Daniels, HAV head of partnerships and communications, said: "The sole problems existing old-style airships had (were) having lots of ground crew, limited ability to carry payloads and to be susceptible to weather conditions. We solved all those problems with a new concept -- a hybrid aircraft. So a mix between a wing and an airship."

The Airlander 10 -- named because it can carry 10 tons -- is made of a bespoke fabric of carbon fiber, kevlar and mylar, while the pressure of the helium inside maintains the aircraft's shape. Diesel fuel helps the Airlander take off and land and powers the propellers. The spacious cockpit is currently configured to accommodate a pilot and one observer but Daniels says this can easily be reconfigured to end-user specifications.

The airship also has green credentials -- its creators say the current version uses 20% fuel burn of existing aircraft, can be fitted with solar panels, uses near-silent 325 hp V8 engines and can stay airborne for five days while carrying its maximum payload. The vehicle can also operate in extreme weather conditions (+54 to -56 degrees Celsius).

While the previous U.S. Army project had military applications in mind, this time HAV plans to split end use 60:40 between civlian and military applications.

Daniels says that they've had incredible interest from at home and abroad. The U.S. Coastguard has expressed interest in using the hybrid airships to monitor the nation's coastline.

Meanwhile Swedish firm OceanSky, in conjunction with the government, wants to use the Airlander as an air transport system for wind turbines. Daniels explained: "At the moment, the only way of  doing (transporting the equipment) is basically plowing a 50m-wide highway through pristine Nordic forest, which is not a good thing to do and they don't want to destroy ecological environment."

Showing the versatility in air transport operations the airship could have, Daniels said the charity Oxfam is keen to task the aircraft on aid relief missions following natural disasters, while HAV is in talks with NASA's Jet Propulsion Laboratory in Pasadena, California, to help conduct scientific research.

Using airships for military purposes such as reconnaissance and surveillance is not a new idea and today faces stiff competition from drones.

Tim Robinson, editor-in-chief of AEROSPACE Magazine, said: "The Airlander does have one big benefit over UAVs. It can lift a heavier payload than most drones so allows for radars, better cameras, multiple sensors, etc. Payload weight is one of biggest limiters of UAVs -- so that would be extremely attractive to militaries looking to put larger or heavier sensors on board. It is also manned (piloted) which gives it more flexibility in being able to deploy to where it is needed."

Robinson also highlighted commercial possibilities for the Airlander, such as long-range cargo airships and humanitarian missions.

"The ability of the airship not to need runways or airports would be very attractive for disaster relief. While helicopters can also land anywhere, they are limited in payload and range -- plus the Airlander is much more efficient thanks to its hybrid 'lifting body' design."

He added: "Imagine a large airship being able to land with a medical emergency department on board, right at the scene of the disaster."

But the aviation expert is also cautiously optimistic about the future of the Airlander. He said there had been several "false dawns" in bringing about the return of the airship in previous years, including two military surveillance airship projects from the U.S. Pentagon which were ultimately sidelined "because they weren't confident in the technology."

While Robinson calls it "the most promising lighter-than-air vehicle project we have seen in a long time," only successful first flight tests at the end of the year and further demos and trials will show off the Airlander 10's true capabilities. Until then, keep your eyes fixed to the horizon, where you might just see the future of aviation re-emerge through the clouds.

More from Tomorrow Transformed

@highlight

The Airlander 10 is a 300-feet long hybrid aircraft

@highlight

Originally designed for U.S. military, it is now backed by the UK government