(CNN) -- Would you pay thousands of dollars to spend seven days running under the scorching sun of the Sahara Desert, traversing shifting sand dunes and punishing rocky plateaus for more than 220 kilometers, with all your food and kit affixed to your back?

It may sound like insanity, but it's exactly what daring men and women of all ages have chosen to do by taking part in this year's iconic Marathon des Sables (MDS).

Known as the world's toughest footrace, the MDS began Sunday morning as the driving sounds of AC/DC's "Highway to Hell" blasted through loud speakers to usher a record 1,024 competitors from nearly 50 countries into the heart of the Southern Moroccan desert.

Over the next few days, the grueling adventure will challenge participants -- the oldest aged 76 -- to test their bodies and minds as they take on whipping sandstorms and blazing temperatures of up to 50C in their epic journey across the desert.

To toughen the ordeal, competitors are required to carry all their equipment for the duration of the ultra-marathon -- from food and sleeping gear to an anti-venom pump and glow sticks. Three runners have died in the 28 years the race has been taking place.

"Some runners come here to push back their limits and brave the extreme to write their tale," says Frenchman Patrick Bauer, who founded the race in the mid-1980s.

"For a lot of participants, the Marathon des Sables is an opportunity to break with everyday life and feel a sense of timelessness. There is even a spiritual dimension, a quest for answers to what are at times very personal questions," he adds. "The desert magnifies the soul."

'Toughest race'

The exact route for the week-long event, which costs more than $4,500 to enter, changes slightly every year but racers have to complete the equivalent of five and a half marathons over six stages -- including a non-stop stage of some 75 kilometers that must be completed in 34 hours.

Read this: Sahara explorer taming the desert

Runners are provided with just their water supply and a tent to sleep in at night. They're also guaranteed spectacular views and stunning landscapes, as well as sore muscles, blisters on their feet and the inevitable moments of agonizing despair as they battle with weariness and dehydration whilst snaking their way past rolling dunes, steep-sided uplands, dried-up lakes and abandoned settlements in the baking heat.

"It's the toughest race I've ever done," says British ultra-running champion Jen Salter, who's competed at the MDS four times so far.

"That's a combination of having to carry, obviously, quite a lot of weight on your back, the temperature and the terrain -- some of the sand dunes, their stretches are really quite long. It's just unlike anything you can really prepare for or train for in another country," she adds.

'Crème de la crème'

Yet despite such hostile conditions, the race's popularity is growing every year; due to high interest, competitors have to apply to enter MDS several years in advance.

Currently in its 28th consecutive year, the roots of the MDS can be traced back to 1984, when Bauer decided to embark on a self-sufficient journey across the Algerian desert on foot, covering a distance of 350 kilometers over 12 days.

That expedition had a major influence on the adventurous Frenchman, who realized that other people would be interested in taking on similar challenges.

So in 1986 Bauer returned to Africa to organize the very first edition of the ultra marathon, completed that year by 23 pioneering runners. Twenty-eight years and more than 12,000 participants later, the MDS has grown to become a major endurance event whose model has been copied by several other races.

"It's the crème de la crème," says Salter. "There are so many multi-stage races these days, but the MDS is definitely the one that sets a bar for others to try to live up to," she adds. "The organization that goes into it is quite remarkable."

Indeed, putting the race together requires months of preparations and a plethora of resources: 120,000 liters of mineral water, 6.5 kilometers of Elastoplast, 400 support staff, 270 berber and Saharan tents, 100 all-terrain vehicles, 52 medical staff, 23 buses, 19,000 compresses and 6,000 painkillers. In addition, the organizers have two helicopters, one Cessna plane and six commercial planes at their disposal.

'1,000 people, 1,000 stories'

So, what is it that's attracting people from across the world to the vast unforgiving sands of the Sahara, turning the MDS into such a big event?

Organizers say it is the tantalizing cocktail of testing one's limits and achieving the unattainable, helped by the haunting surroundings of the desert, which have shrouded the MDS with a veil of mystique over the years, making it appeal to all kinds of thrill seekers.

Read this: An adventurer's journey to the top of the world

For experienced ultra-runners the challenge of self-sufficient running in the extreme heat of the Sahara is too good to ignore. Former competitors include British rowing legend James Cracknell, who completed the MDS in 2010.

But the race's extraordinary concept is also a major draw for anyone with an audacious spirit. Over the years, a diverse caravan of novice runners, amateur athletes, enthusiastic 16-year-olds, spry septuagenarians and even visually impaired and partially paralyzed people have all converged on the MDS to test their limits, mark an occasion or escape briefly from their regular lives.

"Of the 1,000 people [in the race], you can be sure there are 1,000 stories," says Olivier Sepulchre, member of the MDS organizing team.

He adds that more than just an endurance event, the race often becomes a breeding ground for lifelong friendships amongst runners.

"There is something magic inside the marathon because everybody is the same level," says Sepulchre. "You can be a good runner, a bad runner ... you can be the most rich, or the most poor guy, [here] you are in the same level and that's something unique."

Salter agrees. "The running is obviously amazing but a large part of it is also the camaraderie you have with your tent mates." Salter even met her partner at the race. "You share a tent with the same people for a week and it's really nice and you all help each other through."

@highlight

The 28th edition of the Marathon des Sables began Sunday

@highlight

1,024 runners will cover more than 220 kilometers in six stages

@highlight

The epic race is billed as the toughest footrace on Earth

@highlight

It has to be entered several years in advance