(CNN) -- The storm that swept last week across the Northeast left indelible memories for many, but also erased some.

Limor Garfinkle, whose Staten Island apartment is littered with scraps of paper that represent some of the most important memories of a woman she barely knows, is trying to salvage at least a few of them.

The 35-year-old art director for a Midtown ad agency drove Sunday from her home, which is on high ground and did not flood, to the hard-hit South Beach section of the borough to take pictures of Sandy's aftermath.

There, she came across Victoria Beckman, a Russian immigrant: Her family's photographs and documents were arrayed on the stone railing leading from the street to her front door.

iReport: Drying A Lifetime's Memories

"I saw she had thousands of pictures," Garfinkle said. Many were smeared with mud, others were stained by rust. The woman's house was gutted, she had no heat and she was bereft.

"I said to her, 'Would you like me to take these?'" Garfinkle recalled. "She said, 'Yes, please, I have nothing left.' So I just took it."

Sandy survivors face voting -- and another storm

Garfinkle took five plastic garbage bags stuffed full of memorabilia, loaded them into the trunk of her car and drove them back to her home.

"The whole thing was a mess," she said.

Garfinkle consulted the Internet and set about trying to preserve the treasure that had been entrusted to her. "It said to wash the pictures with water and just dry them," she said.

So she emptied the bags and set to work. Many of the pictures predate the introduction of digital photographs. They chronicle weddings and bar mitzvahs and include images of people presumably long dead. Among the pictures were citizenship papers, tax returns and a Russian Army medal.

"It's all over my house and my floor," she said.

Garfinkle, who grew up in Israel and plans to vote for the first time Tuesday in a U.S. election ("I think Obama, probably. We'll see."), said she was just trying to help.

But Alan Radom, who has restored photographs for about 25 years, said that washing wet photographs may not always achieve that end. "It's the kind of thing that sometimes can help, but sometimes many old photos have dye in them -- water-soluble dye," he said in a telephone interview.

Radom, who runs Artisan Photo Restoration in Manhattan, said he is guided by the same maxim doctors follow: First, do no harm. Washing photographs is too risky for him. "That might work, but I wouldn't take a chance doing that because you might take the whole image off it."

He advises separating any pictures that may adhere to one another and letting them dry. "Once they're stuck together, then it becomes near impossible to deal with anything," he said. "I've seen 500 pictures dry together. It's basically just a congealed block of paper and glue."

New Jersey lets Sandy victims vote via e-mail

Radom recommends leaving any picture stuck to glass since trying to pull it away can tear it apart. "Leave it be," he said. And any wet pictures should be removed from albums, he said. "The worst thing you can do is leave them in plastic sleeves and albums."

His personal trove of family pictures survived Sandy in the basement of his home north of the city in Westchester County -- "raised about 6 feet off the ground."

Tom Sobolik, a professional photographer for more than 35 years in Westchester County, advised putting wet photographs in a print dryer, but said the devices have largely disappeared since the advent of digital photography. "I don't even know if there is such a thing any more," he said.

"My recommendation would be to do as little as possible," he said. "But, if they're ruined without washing them, then you try washing them."

Sobolik, who is launching an online print laboratory called riveredgestudio.com, said some companies, including Kodak, used resin-coated paper -- covered with a thin layer of plastic. Those photographs "are more likely to wash easier and resist washing better," he said.

Remembering the victims

Seth Bogdanove, owner of Digital Archiving and Photo Restoration in Manhattan, said washing wet pictures is dangerous. "I would put them up on a piece of paper or towel or something absorbent and let the water leach out from the bottom and let the air dry the top, because the surface of the photograph is an emulsion -- you get it wet, it gets sticky and it can smear. You can get fingerprints on it. You put anything on top of it, it will stick. So the best thing to do is just put them face up and let them air dry."

Only if they were stuck together, he said, would he "very gently" soak them to separate them.

He recommends those who want to safeguard their pictures have them digitalized and stored that way.

In general, the approach worked, said Garfinkel. "Some of them, the ink in them didn't hold up very well," she said. "But very few, actually. Most of them are perfect. You know what held up best? Kodak. The ones that were printed the old-fashioned way."

Beckman, who has moved from her home to a relative's, said she was planning to pick up the photographs as soon as they are ready.

How you can help

CNN's Daphne Sashin contributed to this report

@highlight

In Staten Island, Limor Garfinkle seeks to save a woman's cache of wet, muddy photographs

@highlight

She is trying to salvage five plastic bags stuffed with soggy memories

@highlight

Photographer: "If they're ruined without washing them, then you try washing them"