Orlando, Florida (CNN) -- More than 8 million American children live in food-insecure households, according to the USDA. That essentially means those kids might not know where their next meal will be coming from. They are at risk of hunger.

Moving to Orlando 10 years ago from England and discovering these statistics about a country that is classified as a superpower was quite the shock. My husband, Justin, was born in South Africa, and we had made frequent trips there to visit family, to a country where poverty and hunger were well-documented.

But this level of hunger in the United States of America? How could that be?

Certainly not from lack of food, as in Africa. Perhaps just a shockingly bad distribution of food. And just as importantly, the wrong kind of food. But that's a whole other minefield that is the fast food culture.

My husband is a professional golfer on the European and PGA Tours and the reigning U.S. Open Champion. In his search for excellence, we had long understood that as an athlete, there is a direct correlation between the quality (and quantity) of what you put into your body and the quality of your energy, concentration and performance.

But it was in 2009 when we had our first child, Leo, that the immediacy of the food-behaviour correlation, particularly in children, really jumped out at us. If snacks were super sugary or meals were skipped, there was an immediate impact upon our toddler's behaviour. Getting the right balance of protein for growth, essential fats for brain development and balanced glucose levels for energy, mood and behavior -- well, it's everything.

We began to question how on earth children could possibly be expected to perform at school without having adequate nutrition.

Before Justin and I could even start thinking about how to assist in the educating of our local underprivileged children, we first had to figure out how to make sure they had enough food. Thanks to the federally funded food program, many American children in need receive free breakfasts and lunches at school.

But what happens to these same children on the weekends?

Through serving on the board of the PGA Tour Wives Association, an organization that has given back more than $5 million over the past 25 years, I have had the opportunity to work with numerous charities across the country while we traveled on the PGA Tour. One of those nonprofit organizations, Blessings in a Backpack, delivered a powerful and simple answer to our question.

Blessings in a Backpack provides food for elementary school children across America who may otherwise have little or no food to eat on the weekends during the school year, for only $100 per child per year. The charity serves more than 63,000 children across America. Some 1,600 of those children are in our hometown of Orlando and are funded by money raised by our generous community at an event Justin and I host each year.

We have had the opportunity to get to know some of these children and see their smiles light up their face when they receive their backpack of food each Friday, feel their arms hug us tight in gratitude and hear some of their personal stories. Like how the food in the backpack doesn't only nourish them throughout the weekend, but some of it goes in the family soup to feed all their siblings as well. Or how they're so glad they have more to eat on the weekends than the toothpaste they previously only had to eat.

As a mother, how can that not break your heart? As a father, how can that not inspire you to want to do more for these precious, innocent children?

So we were moved to set up the imaginatively titled Kate and Justin Rose Foundation. Our aim is to inspire children from the inside out through nutrition, education and experiences. Our organization has developed from feeding children in need from five schools on the weekends to creating vegetable gardens at school where they learn to grow fresh vegetables that they can then take home with them, to providing the children with a monthly allowance so they can choose their own books, to setting up field trips to broaden their horizons.

It's all we can manage to do at this moment in our lives; a busy time of raising young children, supporting Justin while he tries to fulfill his potential and compete at the highest level and keeping our children connected with our own family spread across the continents.

There's so much more we want to do, but childhood hunger in the U.S. is a huge problem to tackle!

We are chipping away slowly at some issues we can see in our Florida backyard. Feeding, educating and nourishing one child at a time. And showing a child that someone out there cares.

We can all do something. And a little something can make a big difference in the life of a child.

@highlight

More than 8 million children in the U.S. are at risk of hunger

@highlight

Golf pro Justin Rose and his wife, Kate, teamed up with Blessings in a Backpack

@highlight

Charity provides food for elementary students to eat on weekends

@highlight

More than 63,000 kids in 583 schools across America are being fed