London, England (CNN) -- The British government said Wednesday it will appeal a European court ruling that certain police stop-and-search powers are a breach of human rights.

Under Section 44 of Britain's Terrorism Act 2000, uniformed officers may stop any pedestrian or vehicle and search them, regardless of whether they have reasonable suspicion of wrongdoing.

Human rights groups complain the rules are subject to abuse, but the British government calls the powers an important tool in the fight against terrorism.

British Home Secretary Alan Johnson said he was disappointed in Tuesday's ruling by the European Court of Human Rights in Strasbourg, France, because the appeals had previously gone through the British courts and been rejected.

"We are considering the judgment and will seek to appeal," Johnson said in a statement. "Pending the outcome of this appeal, the police will continue to have these powers available to them."

London's Metropolitan Police said that because of sensitivity and concerns about use of the stop-and-search powers, they are only being used at "pre-identified significant locations" like landmarks, tourist sites, and crowded places, or where certain police operations are taking place.

The case began in September 2003, when police stopped and searched two British nationals who were on their way to a London demonstration.

Kevin Gillan was on his bicycle and wearing a backpack when police searched him. He was allowed to go after about 20 minutes, the court said.

Pennie Quinton is a journalist who was on her way to cover the demonstration when police stopped and searched her, the court said. Police ordered her to stop filming even though she showed her press cards; the official record of her search said she was stopped for about five minutes, though she says she thought it was closer to half an hour.

Gillan and Quinton complained that the police use of the stop-and-search powers under Section 44 breached the European Convention on Human Rights -- specifically their right to liberty and security, right to respect for private and family life, freedom of expression, and freedom of assembly and association.

The case reached the Law Lords, Britain's highest court, but the Law Lords dismissed the appeal in March 2006 because they said they weren't convinced the police search disrespected the plaintiffs' private lives.

Even if the search did not respect the plaintiffs' private lives, the Law Lords found, the procedure was in accordance with the law and was proportionate to counterterrorism efforts.

Gillan and Quinton then appealed to the European Court of Human Rights, which heard the case in May and issued its ruling Tuesday.

"It's fantastic news after a long struggle," Gillan said, in a statement issued by the human rights group Liberty, which took the case to court. "I look to the government for a strong response."

Said Quinton, in another statement issued by Liberty, "There has to be a balance between private life and security. The court has shown that Section 44 is an invasion of people's right to liberty and privacy."

The court found that the "coercive powers" of the anti-terrorism legislation amounted to a clear interference with the right to respect for private life. This interference was compounded by the public nature of the search, because it brings an element of humiliation and embarrassment, the court found.

Legal safeguards were not adequate enough to curb the wide discretion police had to use the powers, the court found. It said that wide discretion was a cause for concern.

"The officer's decision to stop and search an individual was one based exclusively on the 'hunch' or 'professional intuition,'" the court wrote in its decision. "Not only was it unnecessary for him to demonstrate the existence of any reasonable suspicion; he was not required even subjectively to suspect anything about the person stopped and searched."

Because officers have no obligation to show a reasonable suspicion, it is "almost impossible to prove that the power had been improperly exercised," the court said.

As a result, the court said, the stop-and-search powers were not in accordance with the law.

Liberty called on the British government to ensure that Section 44 is only applied when authorities believe it is necessary to prevent terrorism. It should be applied to specific areas and for not longer than 24 hours, Liberty said, which would prevent authorities from applying the measures on a rolling basis and over large parts of a city.

Liberty also called on the government to publish notice that authorization for Section 44 has been given.

@highlight

Britain will appeal ruling against police searches allowed by its anti-terrorism legislation

@highlight

European Court of Human Rights ruled that searches breached plaintiffs' human rights

@highlight

Case was brought by two Britons who were stopped and searched by police in 2003

@highlight

Britain says the powers are an important tool in the fight against terrorism