There's no arguing that Apple set the standard for modern mobile devices with the iPhone and the iPad. It didn't take long after those two products launched for competitors to rush out their own copycat devices.

Even then, it took another few years before Android was good enough to go toe to toe with iOS, Apple's mobile operating system.

But it's no longer about being just as good as Apple. You have to be better. Competitors have built upon the foundation Apple laid in mobile and are now leapfrogging it with bunch of useful features you can't find on iPhones and iPads.

The evidence is everywhere, but it's most apparent in products made by Apple's biggest mobile rival, Samsung.

By now, Samsung's Galaxy devices have become synonymous with Android, to the point that the manufacturer has more brand recognition than any other phone or tablet running Google's operating system. A lot of that has to do with Samsung's massive marketing budget, but you can't ignore the fact that the company has innovated a lot by creating popular new product categories that Apple is wary to try.

The best example of this is the Galaxy Note, a smartphone-tablet hybrid with a giant screen. When that device first hit the United States about a year ago, critics (including me) slammed the device for being too large. It couldn't fit comfortably in your pocket. It was really thick. And it came with a stylus, that relic of the Palm Pilot era, making the Note feel like a step backward.

None of that mattered. Samsung sold at least 10 million Galaxy Notes. The company came out with an updated version with an even larger screen called the Galaxy Note II a few months later and sold another 5 million (at last count), a very big achievement for a single Android device.

But more importantly, Samsung created a new category of smartphone that people didn't even know they wanted, much like Apple did when it released the first iPhone.

Samsung isn't afraid to tout its cool factor either. Since the first commercial debuted in late 2011, you've probably seen those "Next Big Thing" ads that make fun of starry-eyed Apple fans waiting in line for the next iPhone. Whether it's boasting about the bigger screens or sharing content by tapping phones together, Samsung seems content to blast Apple for its stuffiness while showing in a practical context what its devices can do.

On the software side of things, Samsung is taking advantage of its mobile devices' processing power to layer premium features on top of Android, such as the ability to run two apps at once in a split screen or separate window. Samsung's best tablet, the Galaxy Note 10.1, can do all that plus take advantage of a stylus so you can draw and take notes on the screen.

There is a downside to the split-screen thing, however. Developers have to tweak their apps to work in split-screen mode on the Note 10.1. There are only about 20 apps right now that can do it.

But what's most important is how nimble Samsung has become at improving its mobile devices through software updates. The Note 10.1 launched last fall, but it received a software update with a new version of Android and a slew of other features like the voice assistant Google Now, which is a lot more impressive than Apple's original Siri.

Samsung's director of product planning, Shoneel Kolhatkar, said the company takes user and reviewer feedback into account when preparing to deliver new software updates. Instead of making users wait a year for new features, Kolhatkar said Samsung can use that feedback to deliver "incremental innovation that keeps the product alive."

"We want to keep the product relevant to consumers," Kolhatkar said. "It's about how to fit our devices into people's lives versus changing their behavior."

Samsung isn't alone, of course. Microsoft's new Windows 8 operating system is built for touchscreen devices like tablets, too, and it offers a lot of advantages over iOS. All Windows 8 apps can run in a split screen so you can run two at once, plus the main menu is capable of displaying real-time updates for stuff like news and weather. Microsoft even has its own line of Surface tablets that blur the line between PC and laptop thanks to a clever snap-on keyboard cover.

Based on all this evidence, Apple feels behind. Take a look at its newest fourth-generation iPad. It has a killer processor and other great hardware features, but the operating system doesn't take advantage of any of that. The home screen is still just a grid of static icons that launch apps.

Apple also isn't nearly as versatile at adding new software features to its devices. Apple usually makes users wait a year or more for a new version of iOS, and even then some older devices can't access all the latest and greatest features.

Apple CEO Tim Cook likes to say tablets -- not laptops -- are the future of computing, yet it feels like Apple's software goes out of its way to limit what you can do on the machine.

Meanwhile there are others, especially Samsung, that appear to be innovating at a pace faster than Apple can.

The opinions expressed in this commentary are solely those of Steve Kovach.

@highlight

Mobile-gadget rivals are leapfrogging Apple with useful features not on iPhones, iPads

@highlight

This success is most apparent with Apple's biggest mobile rival, Samsung

@highlight

Samsung is more nimble than Apple at improving its devices through software updates

@highlight

With Galaxy Note, Samsung has a category of phone people didn't know they wanted