(CNN) -- Multiple Obama administration officials tell CNN that the White House is not pushing to pass a comprehensive immigration reform bill this year.

A fence separates the United States from Mexico in the U.S. Border Patrol's Yuma Sector in San Luis, Arizona.

While it's a top priority for the president's first term, White House spokesman Nick Shapiro says "the president has consistently said that he wants to start the discussion later this year because our immigration system is broken ... but the economy comes first."

The White House insisted that Thursday's New York Times story reporting that President Obama would start addressing immigration "isn't news." Administration officials say the president previously told members of the Congressional Hispanic Caucus and the Hispanic Chamber of Commerce that he's always planned to start discussions on immigration reform this year.

"There are a lot of things on his plate and a lot of pressing issues relating to the economy. I don't think he expects that it will be done this year," White House press secretary Robert Gibbs said Thursday.

But the mood on Capitol Hill could be different.

Jim Manley, senior communications adviser for Sen. Harry Reid, D-Nevada, tells CNN that the majority leader "intends to try to take comprehensive immigration reform to the floor later this year, probably in the fall."

The situation in the House is trickier. A vote on the hot-button issue could hurt freshman Democrats who were elected in swing districts. But House Democrats were presented with compelling evidence that voters want to see them trying to fix the immigration system. During the House Democrats' February retreat, Pete Brodnitz, who works for the same firm that does polling for the president, argued that Democratic House members should promote their own immigration reform plans.

"The downturn in the economy has not weakened the case for comprehensive reform and has the potential to strengthen the case for it," Brodnitz said. He added that Democrats must take a lead because "the problem won't go away as long as the GOP continues to raise it" and that since Democrats run Congress and the White House, that "makes us increasingly accountable for results."

There are roughly 12 million illegal immigrants in the United States. In addition to making a way for some of them to stay in the country legally, CNN has learned the Obama administration wants to remove incentives to enter the U.S. illegally, beef up border security and work with Mexico to cut down on illegal immigration.  Watch how the immigration fight is shaping up »

Obama will rely on a bipartisan, diverse group of experts to help build the framework for legislation, two senior administration officials said Thursday. The White House is expected to start work on the issue as early as May, the officials said.

Meanwhile, the administration is dismissing suggestions that taking on immigration this year will put pressure on Obama's already ambitious domestic agenda.

Even before the debate begins, Rep. Steve King, R-Iowa, is throwing the first punch, saying: "President Obama's amnesty plan is a dangerous path for our nation that will sacrifice the rule of law."

As a senator, Obama supported immigration legislation backed by President Bush, which would have increased funding and improved border security technology, improved enforcement of existing laws, and provided a legal path to citizenship for some illegal immigrants.

He also voted to authorize construction of a 700-mile fence along the U.S.-Mexican border.

Sen. Chuck Schumer, D-New York, said Thursday that Congress was willing to work with Obama on comprehensive immigration reform.

"We must solve the immigration issue, and we can, even in these difficult economic times. I believe there is a real chance of passing comprehensive reform this year, and the Senate panel on immigration will begin a series of meetings and hearings later this month with an eye towards meeting that goal," said Schumer, the chairman of the Senate subcommittee on immigration.

But is the political climate right for immigration reform to be brought up, given the struggling economy?

Marisa Trevino, who runs the blog LatinaLista.net, said there's simply "never going to be a good time" for immigration reform.

Trevino argues that immigration is tied to economic growth, and therefore timely.

"It's not going to be popular with some people, but I think this actually is a good time to bring it up because immigration is tied so closely with our economy, and what drives economic growth is economic development."

It's a point that one longtime immigration attorney agrees with.

"The immigration lawyers community really believes that it's long overdue. ... There are actually many economic studies and reports that confirm that there's a stimulus benefit to immigration reform," said Laura Danielson, who is the chairwoman of the immigration department at the firm of Fredrikson & Byron.

"There's a lot to be said for the fact that immigrants stimulate our economic growth, particularly those already living here, who are hiding in the shadows, [undocumented workers] who would be able to buy homes and come out in the open and work more effectively by perhaps starting businesses," she added.

CNN's Dan Lothian and Ed Hornick contributed to this report.

@highlight

Obama does not expect immigration reform to come this year, press secretary says

@highlight

Administration will start looking into possible solutions soon, officials say

@highlight

Administration dismisses idea that the move will put pressure on Obama's agenda