(CNN) -- For well over a century the world has come to call on Garden City, Kansas, every day of the year.

"I know the town would miss it," said Garden City's mayor, David Crase. "I hope it doesn't come to that."

He was talking about the Southwest Chief, the big Amtrak passenger train that runs daily between Chicago and Los Angeles.

Garden City, with a population of around 28,000, has had its own daily passenger railroad service since the town was founded in rural southwest Kansas in the late 1800s. The Atchison, Topeka & Santa Fe sent its glamorous trains through Kansas on their way east and west. Garden City built its train station right downtown.

To have the station there made the town part of the grand and glorious thread that, railroad-stop-by-railroad-stop, connected the still-young nation, the thread that made the country seem, and feel, cohesive and whole.

When Amtrak took over the passenger railroads in the early 1970s, many cities around the country -- some much larger than Garden City -- lost train service, and the need for their stations. But Garden City never did.

Twice each day, Sundays and holidays included, the Southwest Chief pulls to a full stop downtown to let passengers get off and let passengers get on. Residents who live nearby can literally stroll over to the train station, hop on the Southwest Chief, and step off at the end of the line in Los Angeles.

But even for residents who never use the Southwest Chief, its presence is a symbol. The whistle sounds, as it has since the 1800s, and it signals that men and women from large cities and small will be stopping, however briefly, in their town, at their station.

"You take pride in that sort of thing," said John Doll, a member of the city commission. "Just knowing it's there. When you see that train roll in, it's like listening to an old song that you love.

"When I was a boy, my father, my two brothers and I would ride the train to Kansas City every summer to see a ballgame. They were the Kansas City Athletics then; they weren't yet the Royals. We'd stay at the Muehlebach Hotel. Every time I see or hear that train, that's what I think about: my dad and my brothers and riding through Kansas on our way to see big-league baseball."

Nothing is forever, though, and the possibility that the Southwest Chief may, within a few years, no longer come through Garden City is one of those stories built on dry, arcane economic facts.

The great majority of tracks that Amtrak rolls over are not owned by Amtrak, but are used through financial arrangements with the freight railroads. The tracks that run through Garden City's portion of Kansas and parts of Colorado and New Mexico are owned by BNSF Railway. All across the United States, between the renowned metropolises, are smaller towns that generations ago were selected to have their own stations -- stopping-off points-- and thus were accorded a special kind of enduring identity.

This spring, the Garden City Telegram reported, Amtrak and BNSF held a meeting in Garden City with representatives of the communities the Southwest Chief serves in those three states -- towns including Dodge City, Kansas; La Junta, Colorado; Raton, New Mexico. The Telegram reported that, because of the cost of maintaining the old tracks, the Southwest Chief may, within the next several years, be switched to an entirely different BNSF route, farther south.

The sums involved are not paltry. According to the Telegram, if the Southwest Chief is to stay on its traditional route with its traditional stations, $10 million per year for track-maintenance costs and a total of $100 million for long-term improvements must be found. If not, the alternate, passenger-train-ready BNSF tracks many miles to the south beckon.

It might not make much difference to the long-haul passengers who are riding between Chicago and California and don't much care where the train stops along the way. And it certainly won't make any difference to all the travelers who fly in jet airplanes across the country and seldom look down.

But there is something about a small town that has never gone a single day, in almost 150 years, without a passenger train pulling in and pausing to see if anyone would like to step out onto the streets of Garden City, or if anyone from Garden City would like to climb aboard and join the other cross-continental travelers...

"You get on the Southwest Chief downtown," John Doll said, "and within five minutes Garden City is all behind you. You're gone, just that quickly."

When the interstate highway system was built, it managed to leave Garden City out, he said; it is an 80-mile drive on two-lane state roads to the nearest entrance to I-70.

"It would be a setback if we were to lose the passenger train," said Matt Allen, the city manager. "We like to think we are the center of activities in western Kansas, and having the daily train service is an important part of that."

And, of course, there is the romance of the rails, a romance that has somehow been able to survive all of Amtrak's struggles -- even in an era that proclaims a digital, virtual world can transport a person anywhere without that person ever leaving home. When you're boarding a long-distance train, you are not boarding a number. You are boarding a name that sounds like an orchestral overture: the City of New Orleans; the Empire Builder; the Lake Shore Limited.

Or the Southwest Chief, bound for Garden City and points beyond.

After the 1959 murders of four members of the Clutter family in a farmhouse in nearby Holcomb, author Truman Capote would arrive by train at the Garden City station to do the reporting that would result in the book "In Cold Blood."

The young county prosecutor in the case, Duane West, who would help to send killers Dick Hickock and Perry Smith to execution by hanging, is 80 now, and still lives in Garden City. He said that he and his wife, Orvileta, have gone down to meet the Southwest Chief twice in the past few weeks.

"We had friends visit from New Zealand," he said. "We went to the station to greet them, and we went to the station to see them off."

Efforts are under way to find financing to maintain the old tracks so the Southwest Chief will keep arriving in Garden City every day, as it always has.

And, with the clock ticking, if its time in town should end? If, before the end of this decade, the train is moved to a distant set of tracks?

The world will continue to spin. The Telegram reported that in 2011, the station in downtown Garden City served 7,511 passengers. A nice number, but not one that is likely to halt cold-eyed economic decisions.

Yet the importance of something like this to a place cannot be brushed aside.

Mayor Crase, who also runs the local Little Caesars pizza franchise, said that from his house he can hear the Southwest Chief pulling into town on its journey across America early each morning and late each night.

"I kind of enjoy listening to it," he said. "You'll hear that whistle, and on some days, when I have the windows open and the wind is right, I can hear the sound of the train idling at the station before it pulls out.

"It's part of our life. And once it's gone, it's gone."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says the Amtrak station is a beloved fixture of Garden City, Kansas

@highlight

He says the Chicago-to-L.A. Southwest Chief connects town to the nation

@highlight

He says townfolk are seeking alternatives to moving the tracks

@highlight

Greene: If the station closes, the world will go on, but town will lose symbol of place in U.S.