(CNN) -- As a new round of French military strikes targeted Islamist rebels in Mali on Sunday, both sides of the fight said they were determined to win.

French fighter jets bombed rebel training camps and other targets in northern Mali, France's Defense Ministry said in a statement.

"France's goal is to lead a relentless struggle against terrorist groups," the ministry said, "preventing any new offensive of these groups to the south of Mali."

Sunday's air raids were the latest in French efforts supporting Malian government forces battling militant Islamist forces. Additionally, France has several hundred ground troops in Mali, where they may soon be joined by hundreds of troops from nearby African nations.

The U.N. Security Council -- at France's request -- will hold consultations Monday on the situation in Mali, according to France's U.N. mission.

As those talks proceed, so too will French air strikes, French Defense Minister Jean-Yves Le Drian told Radio Europe 1.

"We have to eradicate this terrorism," he said.

Islamist rebels in Mali acknowledged Sunday they suffered heavy losses in fights with the country's military and French troops -- but it wouldn't stop them.

"This is a holy war. The deaths are normal," Sanda Ould Boumama, spokesman for the al Qaeda-linked rebel group Ansar Dine, told CNN by phone.

"Our fighters are prepared to die for our cause."

One of Ansar Dine's lieutenants, Iyad Ag Ghaly, was killed in the fight over the central town of Konna, security sources said.

Who is Ansar Dine?

Insurgents took the town Thursday but retreated the next day after a combined air and ground assault.

"The war has only started," said Boumama. "We expect more casualties."

He accused the French military of attacking Malians.

"Now the world can see that it's the French who are the real terrorists," he said.

But French and Malian military officials say the assaults are against rebel strongholds, not civilians. It was unclear whether there were any casualties Sunday.

Residents in the northern town of Gao said they heard fighter jets' roar and bomb blasts at a nearby Islamist rebel base. France's Defense Ministry said they "destroyed" multiple "bases for terrorist groups" in the area Sunday.

"It's still dangerous, even if they're not targeting the population," Habib Maiga, a teacher in Gao, said of the strikes. "For the moment, the town is calm. Everyone is still inside, expecting a new attack."

Bodies lay on a road between the town and Islamist base, said Vieux Dada, another teacher in Gao.

"I believe they were Islamist fighters who tried to flee," he said.

Mali's military has suffered heavy losses in previous clashes, including 11 soldiers killed and about 60 wounded in the battle for Konna, according to a government statement read on state TV.

Additionally, a French helicopter pilot died while taking part Friday afternoon in an aerial operation targeting a terrorist group moving on the town of Mopti, near Konna, Le Drian said.

What's behind the instability in Mali

A French colony until 1960, Mali had military rulers for decades until its first democratic elections in 1992. It remained stable politically until March, when a group of soldiers toppled the government, saying it had not provided adequate support for them to fight ethnic Tuareg rebels in the country's largely desert north.

Tuareg rebels, who'd sought independence for decades, took advantage of the power vacuum and seized swaths of land. A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals, who wound up in control of a large area as the Tuaregs retreated.

The United Nations says amputations, floggings and public executions -- like the July stoning of a couple who had reportedly had an affair -- became common in areas controlled by radical Islamists. They applied a strict interpretation of Sharia law in banning music, smoking, drinking and watching sports on television, and damaged Timbuktu's historic tombs and shrines.

Already, the armed groups' activity and a pervasive drought have displaced hundreds of thousands of Malians.

And the Islamists' movement southward has raised concerns among leaders in West Africa and elsewhere, some of them calling for swift and decisive military intervention in support of Mali's government, based in Bamako.

The Economic Community of West African States plans to hold an emergency meeting in Abidjan, Ivory Coast, to prepare to send troops to Mali to help government forces, a spokesman for the organization said.

West African troops are expected to number 3,500 and will operate in the framework of the United Nations resolutions, ECOWAS spokesman Sunny Ugoh said.

The U.N. Security Council last month authorized a one-year military peacekeeping mission in the country. ECOWAS members pledged thousands of troops, and the Security Council has urged other nations to contribute forces as well.

French officials earlier expressed reluctance to send troops to Mali, amid a broader vow to scale back their military involvement in Africa. So the decision to get involved in Mali -- a mission French President Francois Hollande said "will last as long as necessary" -- underscores how concerned they are about the situation there.

French hostages have been taken in neighboring Niger by al Qaeda in the Islamic Maghreb, and Paris appears intent on containing any further militant expansion in the heart of Africa.

On Sunday, a Twitter post from the office of Mali's president said Canada, Britain and the United States agreed to provide logistical support.

British Prime Minister David Cameron agreed to "provide logistical military assistance to help transport foreign troops and equipment quickly to Mali," but no British personnel in a combat role, a Downing Street spokesman said.

The U.S. military is weighing options, including logistical support and intelligence sharing with France, a U.S. defense official, who spoke on condition of anonymity because no decisions have been made, said Saturday.

"This is a serious issue, and ... the United States is committed to going after terrorists wherever they may be in order to protect American interests, but also those of our partners and allies around the world," Pentagon spokesman George Little said last week.

Journalist Katarina Hoije and CNN's Vladimir Duthiers and Saskya Vandoorne contributed to this report.

@highlight

NEW: The U.N. Security Council will meet about Mali on Monday

@highlight

France assists Mali's military in the battle to halt Islamist rebels linked to al Qaeda

@highlight

A rebel spokesman admits casualties and adds, "Our fighters are prepared to die"

@highlight

France is in "a relentless struggle against terrorist groups," government says