Sheryl Sandberg's "Lean In" venture is being rightly attacked for all the wrong reasons. She's been drubbed for being too privileged and too powerful. What could a Harvard MBA who hopped from the World Bank to Google to Facebook's COO know about the lives of "real" women?

So much of the flap -- pro and con -- over Sandberg's attempt to jump-start a women's revolution has less to do with the attempt than with resentment over her class status.

Her antagonists can't get two sentences into their critique without invoking her net worth and the square footage of her house ($500 million and 9,000, respectively). And her proponents can't get two sentences into their defense without telling us how marvelous she was at that tete-a-tete at that five-star restaurant or that world power brokers' summit that they had the good fortune to attend.

Economic envy is the skunk at Sandberg's book release party.

We hate her for being so anointed, or we love her because we were deemed anointed enough to rub shoulders with her at some post-TED-talk party -- "we" being the comfortable middle-to-upper class women fueling this media debate. Either way, what's been missed is a real opportunity that Sandberg's proposal unintentionally spotlights: the opportunity to talk honestly about feminism and class.

The unmentionable issue of class

Americans are notoriously averse to discussing class. We want to believe the prime barrier to socioeconomic advancement is ourselves. Sandberg believes that, too.

"We can reignite the revolution by internalizing the revolution," she writes in "Lean In: Women, Work, and the Will to Lead." All we need to do is "lean in" to our ambitions, and up, up and away we go.

The handpicked positive stories posted on the Lean In website all attest to the same ethos: "You are the boss of you," writes Beth Comstock, "CMO, G.E." Or, as Reese Witherspoon, "Actress & Global Ambassador," puts it: "Just jump!"

What we need to do, Sandberg tells us in her book, is jettison our fears: "Fear of overreaching. Fear of being judged. ...  And the holy trinity of fear: the fear of being a bad mother/wife/daughter."

In this feminist-sounding riff on "the only thing we have to fear is fear itself," the only fear not raised is the one FDR was addressing: economic. It's remarkable oversight in the wake of the worst economic crisis since the Great Depression.

But Sandberg isn't alone in her silence. Mainstream feminist debate, for all the lip service paid to the "intersectionality" of race, class and gender, has also left economic divisions on the cutting-room floor. It's more marketable to talk about sex or pop culture.

The recoil from class issues came early, when American feminism began retreating from its examination of root causes.

In a 1972 article in the feminist newspaper, The Furies, Coletta Reid observed: "Early in the women's liberation movement, I saw class as an issue that men in the Left used to put down feminism. Later it became an issue that many women said we had to discuss," but never seriously did.

And yet, we won't ever productively confront women's secondary status without confronting class. Our economic framework is founded on women's subjugation.

The power structure that Sandberg wants to feminize was built to cement the power of (some) men, and on the backs of (most) women, who would not only stay out of the power suites but would make all the power plays possible by assuming every backstage duty, from minding the kids to handling the least glamorous and lowest-paid work. It's in capitalism's DNA, and no cosmetic paste-ons at the top are going to change the dynamic without significant change on the bottom.

Charlotte Bunch, whose sane voice on so many feminist questions deserves more notice, limned that connection years ago in her essay, "Class and Feminism."

"Class distinctions are an outgrowth of male domination," she wrote, "a political mechanism for maintaining not only capitalism but also patriarchy and white supremacy."

You can't change the world for women by simply inserting female faces at the top of an unchanged system of social and economic power. "You can't," to quote Bunch again, "just add women and stir."

Could Sandberg's book have launched such a necessary discussion?

Well, actually, yes, if you skip the many pages devoted to variations on her exhortation to "have the ambition to lean in to your career and run the world," and linger instead on one sentence that should be at the forefront of such a conversation: "The number of women supporting families on their own is increasing quickly; between 1973 and 2006, the proportion of families headed by a single mother grew from one in 10 to one in five."

Breadwinners and barely staying afloat

Since 2000, as many households depend on a single mother as the breadwinner as depend on a traditional male breadwinner. One fourth of mothers are single, and at least half of children will spend some time in a single-mother home. In short, single mothers are now a huge demographic and a potential force for change.

And they're a subjugated majority.

Most single mothers operate under extreme social and economic impediments -- triple the poverty rate of the rest of the population, the highest rate of low-wage employment, the worst wage gap, the lowest net worth, the highest risk of bankruptcy -- that add up to a massive inequality in American society.

And this isn't because of a lack of lean-in self-confidence. The U.S. provides the worst support structure for single parents of any economically comparable nation, a recent major study by Legal Momentum found.

And it's only getting worse, as politicians aim to slash welfare programs, enforcement of child support, child tax credits and anything else they can think to deny single mothers, as they blame them for all that's wrong with society.

Nor is their plight because of a lack of lean-in commitment.

The study found that American single mothers work more hours than single mothers in any developed nation. And many of them work for subsistence wages for the same companies that have signed up to sponsor Sandberg's Lean In campaign for executive equality. Wal-Mart, a Lean In "partner," is facing sex discrimination claims from 2,000 female employees in 48 states.

Sandberg's book mentions single mothers in passing. But what if she were to champion them? What if the Lean In community or any group of feminist-minded women were to organize around the cause of single motherhood instead of the cause of their own self-congratulation?

It would involve, first of all, a change in Sandberg's rules.

Testimonials on her Lean In website must be inspirational, not troubling: "Share a positive ending," its story guidelines instruct.

The flip side of the view that women can do anything if they "just jump" is the assumption that anyone who doesn't should remain invisible. That message is the precise opposite of feminism.

Consider instead the benefits of a campaign that bore down on the causes behind the negative endings that mar so many single mothers' lives. It would not only be confronting a problem that affects huge numbers of women, it would be mounting a significant challenge to a system that will otherwise continue to stand between women and full emancipation.

Because what does a single mother signify?

She is an adult woman with responsibilities who is not supported by a man. Symbolically, she stands for the possibility of women to truly remake the patriarchal structure. That would require a movement built not around corporate bromides, but a collective grassroots effort to demand the fundamental social change necessary to grant independent mothers a genuine independence.

Single mothers can only be insulted by the advice to "lean in" -- they couldn't lean out if they wanted. And any brand of feminism that leaves them out is a faux liberation.

Liberating single mothers requires more than showing other women of privilege how they can be queen of the system. It means following the advice of Charlotte Bunch, and changing -- even destroying -- the system that the Lean In women are so happy and eager to run.

@highlight

Susan Faludi: Sheryl Sandberg's detractors and supporters focus on her class

@highlight

"Lean In" movement is missing the chance to talk about feminism and class

@highlight

Faludi: U.S. single mothers have massive disadvantages and no support systems

@highlight

Feminism that leaves out single mothers is a false campaign that misses mark, she says