Washington (CNN) -- Menachem Zivotofsky is a 12-year-old boy without a country -- he's a U.S. citizen born in the city of Jerusalem. There lies his dilemma. The U.S. State Department, in an unusual exception, will not allow his family to list "Israel" as the nation of birth on his American passport.

The Supreme Court will decide whether granting this "small" gesture on behalf of a child half a world away-- and others like him-- would disrupt the Obama administration's ongoing efforts to secure a binding, lasting peace settlement for the troubled region. Oral arguments in the separation of powers dispute are set for Nov. 3.

At issue is whether a federal law that explicitly directs the State Department how to record the birthplace of an American citizen on a passport impermissibly infringes on the president's power to recognize a foreign sovereign.

"There have been 50,000 Americans in the last 10 years that were born in Jerusalem, and many of them would like to have 'Israel' indicated as their place of birth in the passports," said Sarah Cleveland, a Columbia University Law School professor, and until recently a counselor on international law at the State Department. "But this is also an extremely important geopolitical issue and a very sensitive foreign relations issue for the United States."

The high court case is Zivotofsky v. Kerry, but the key player in this dispute is perhaps the most famous city in the world, and one of the oldest human settlements still in existence: Jerusalem. Its name translates as "City of Peace" to some and "Holy Sanctuary" to others. It is Israel's largest city and its capital, though that is not recognized by the United Nations and most of the world community.

Divided into East Jerusalem (populated mostly by Muslims) and West Jerusalem (populated mostly by Jews), the city spans more than 48 square miles, with about 775,000 people. The terms "East" and "West" come layered with political, social, religious, and geographic questions-- amorphous, often misleading terms, symbolic of the larger struggle for control and recognition of all that this city represents. Some use the terms "Jewish" or "Arab" Jerusalem to refer to the sections.

The Old City is the heart of the region, a holy symbol to the three major Abrahamic religions-- Christianity, Islam, and Judaism. That tiny area-- just a third of one square mile-- contains the Temple Mount, Western Wall, Church of the Holy Sepulcher, Dome of the Rock, and al-Aqsa Mosque.

It is believed to have been first settled in the fourth millennium BC, and according to the Bible, it was established as the capital of the Kingdom of Israel around 1000 BC by King David. It has been destroyed twice-- and attacked, besieged, and captured more than a hundred times. Canaanites, Hebrews, Arabs, Greeks, Romans, Persians, crusaders, Turks, and the British have all laid claim to the land.

Its status today remains one the thorniest issues blocking a comprehensive Mideast peace agreement, with both the state of Israel and the Palestinian people claiming sovereignty. During the 1948 war, the western part of the city was annexed by the newly formed nation of Israel, and the eastern part annexed by Jordan.

The eastern part was then captured by Israel during the 1967 Six-Day War. It considers East Jerusalem part of its "undivided capital," but most of the international community deems the annexations illegal and a part of Palestinian land. The Israeli government is based there, but no foreign embassies.

The city is home to Ari and Naomi Zivotofsky. The couple and their two oldest sons were born in the United States, but the family migrated to Israel a decade ago, and in October 2002 the youngest, Menachem Binyamin was born.

"We're very proud of the fact that he was born in Israel and that we live in Israel and it's the modern state of Israel," Ari Zivotofsky told CNN. "Religiously and historically, that's very significant." The father said his son-- who has been at the center of this legal fight for 11 of his 12 years-- frequently reminds his siblings he is the one Zivotofsky born in their current home. He is preparing for his Bar Mitzvah.

Just three weeks before Menachem was born, the United States Congress gave American citizens born in Jerusalem the individual discretion to ask that Israel be listed on passports and consular reports, where it says "Place of Birth."

President George W. Bush signed the bill, but issued an executive "signing statement" indicating he would not comply. The law, he said "impermissibly interferes with the president's constitutional authority to conduct the nation's foreign affairs and to supervise the unitary executive branch."

So the State Department's official Foreign Affairs Manual still reads: "For a person born in Jerusalem, write JERUSALEM as the place of birth in the passport. Do not write Israel, Jordan or West Bank for a person born within the current municipal borders of Jerusalem."

It is not the first time the Congress and White House have clashed over the region. The American Embassy remains in Tel Aviv despite U.S. lawmakers' objections.

The boy's mother made the "Israel" request about two months after his birth, but embassy officials refused. His passport in fact shows his round, innocent face, and just "Jerusalem" is listed as his place of birth.

"That's been the State Department's practice, the general rule for American citizens born abroad is that their passport lists only a country of birth," said Alyza Lewin, the Zivotofsky's lawyer. "So if a citizen is born for instance in Paris, it says France. If they're born in Tel Aviv or Haifa, it says just Israel. If you're born in Jerusalem, instead of saying the country, the city is listed-- just a city-- Jerusalem."

The attorneys for the Zivotofskys have framed their case as a modest request, one that does not implicate the president's foreign policy power. They are asking the high court not to decide a political question, but simply tell the administration to enforce the law, for the sake of a little boy.

"It is a very personal case. What's at stake is their deep personal pride and sense of identification with the state of Israel, and their right, given by Congress, to express that, on the passport," said Nathan Lewin, who will again argue the family's case before the high court. "That pride, and the national pride of others, is clearly what makes that region as much front page news as it often is. But I don't think that this case itself is asking for any kind of broader determination than allowing these individuals that opportunity."

The government is thinking of the bigger picture. State Department officials would not comment on the record on a pending case, but President Obama has acknowledged the stalled peace process has created divisions both in that region and in the United States.

"Palestinians should know the territorial outlines of their state; Israelis should know that their basic security concerns will be met," he said in a May 2010 speech. "I know that these steps alone will not resolve this conflict. Two wrenching and emotional issues remain: the future of Jerusalem, and the fate of Palestinian refugees. But moving forward now on the basis of territory and security provides a foundation to resolve those two issues in a way that is just and fair, and that respects the rights and aspirations of Israelis and Palestinians."

The justices in 2012 had allowed the Zivotofsky's legal claim to proceed, and will now confront the larger questions: whether the congressional law steps on the president's foreign policy power.

"It's one of those issues that people probably find remarkable that it hasn't been addressed before," Cleveland said. "Because, presidents have been recognizing states and governments for 200 years. Congress generally has acquiesced in what the president has done. There has been very little conflict over the exercise of that power traditionally, other than in, for example, the Taiwan [conflict with mainland China] and, in particular, over Jerusalem. This is an issue that has been a festering source of tension between Congress and presidents for decades."

The family again plans to attend the court session in Washington next week.

Choosing a home, and being able to decide what to call it may seem like a fundamental right. But nothing is so easy when Jerusalem is mentioned. The Zivotofskys say they recognize the geo-political complexity, but think in this case, in this judicial forum, the solution is simple.

"Whatever else they decide whatever else, the bigger issues, that's for them to decide," said Ari Zivotofsky. "What we request is just exactly what the lawsuit says, implement the law and write in the passport that my son was born in Israel."

A ruling from the high court is expected in a few months.

@highlight

Boy is a U.S. citizen born in Jerusalem

@highlight

The State Department won't allow the use of 'Israel' as a birthplace on U.S. passports

@highlight

The Supreme Court will hear the case Nov. 3