(CNN) -- A terrorist explosion in Bulgaria. Tourist kidnappings in Egypt. Sometimes violent demonstrations in Greece. A coup in Mali. Deadly drug wars in Mexico. Olympic security failures in England.

Who wants to be a tourist these days? The deadly bombing of a bus carrying Israeli tourists Wednesday in Bulgaria is the latest bit of bad news in a summer plagued by global instability.

Traveling hardly sounds relaxing. The U.S. State Department's latest worldwide safety caution issued Wednesday warns that terrorist groups "continue to plan terrorist attacks against U.S. interests in multiple regions, including Europe, Asia, Africa and the Middle East."

Targets might include public transportation systems and "sporting events, residential areas, business offices, hotels, clubs, restaurants, places of worship, schools, public areas and other tourist destinations" in the United States and abroad where large numbers of U.S. citizens gather, according to the State Department.

Despite ongoing advisories and worldwide economic uncertainty, the numbers suggest travelers are nevertheless determined to see the world. International tourist arrivals grew 5% in the first four months of 2012, according to the United Nations' World Tourism Organization. The agency estimates that 415 million tourists will travel worldwide during this year's May-August peak travel season, and international tourism is expected to increase by 3% to 4% for the full year.

"In the case of acts of violence or any other risk/crisis situation such as natural disasters, it is important that countries are prepared and have built crisis management structures and preparedness plans to deal with such unforeseen events in order to minimize their impact on tourism," wrote Sandra Carvao, a WTO spokeswoman, in an e-mail. "Yet in many cases, these are isolated events that if well-managed will have a limited impact on tourism demand."

The number of U.S. travelers going abroad last year dropped 3% from 2010 to nearly 59 million, according to the U.S. Department of Commerce's Office of Travel and Tourism Industries, but 2012 is looking strong for U.S. travel abroad.

"So far, in 2012, we are seeing increases in U.S. outbound air traffic to all world regions. It is too early to tell if any of the events that have just occurred will impact travel," a Commerce Department official said via e-mail. This year's outbound air traffic is up 5% through April 2012, according to department figures.

While most of their travelers aren't heading into political hot spots, U.S. travel agents say their clients understand terrorist threats and political unrest are part of what they have to consider in a post-9/11 world, along with the price of a plane ticket.

"We've had little to no cause for concern from our travelers, many of whom are on extensive European vacations traveling with family for up to three weeks in Europe," wrote Pattie Fanta, owner of Travel Leaders in Bay Village, Ohio, in an e-mail. "I advise my clients to remain vigilant and alert while on the road (even in the U.S.), know they have good trip insurance and call us should any problems arise."

Perspective is key, says veteran travel writer Zora O'Neill, who was boarding a Thursday red-eye flight to Greece.

"Sure, I'm going to Greece, and even Athens -- but I know where the demonstrations usually are in Athens and the scale of them -- so I know just to avoid that part of the city," says O'Neill, author of more than a dozen travel guides, plus an upcoming book on Arabic language and the Middle East.

"The key to perspective is a map! 'Demonstrations in Greece' typically boils down to one major square in Athens. 'Drug war violence in Mexico' affects only a tiny portion of the country. And for terrorist attacks, it's stone-cold to say it, but the safest time to go somewhere is after an attack, when the security is the most vigilant."

CNN's Marnie Hunter contributed to this report.

@highlight

Despite economic uncertainty and terror threats, international travel is up globally

@highlight

U.S. travelers curbed travel abroad in 2011, but numbers are up for 2012

@highlight

Travel agents say most clients are not headed to trouble spots

@highlight

Today's traveler is aware of threats and unrest in the post 9/11 world, agents say