(CNN) -- Sheltered from the Atlantic Ocean on a stunning bay in the western tip of metropolitan France, the city of Brest has at its heart one of the country's most animated harbors.

With its proximity to the British Isles, this area of France is steeped in Celtic heritage. As such, accordions are eschewed for bagpipes and the locals display a preference for zesty ciders over fine wines. The region even has its own Celtic language, "Breton", which is still spoken by nearly 200,000 people.

Brest was sadly all but destroyed in the "Battle of Brest" during World War II. It has since been completely rebuilt and is now a sophisticated city that hosts some of Europe's most theatrical sailing festivals.

By far the most prominent of these is "Les Tonnerres de Brest" ("Brest Festival of the Sea.") Every four years, more than 2,000 traditional boats sail from countries as far flung as Madagascar and Mexico to take part in the event, which is attended by nearly 700,000 avid spectators.

This year marks its 20th anniversary and, according to the festival organizers, it will be "the biggest and most spectacular event yet."

From July 13, Brest will be transformed into five "villages," representing this year's five honorary countries: Mexico, Norway, Indonesia, Morocco and Russia -- all of whom are sending a minor flotilla of historical boats. From village to village, visitors will be able to learn about each country's maritime heritage and sample its music, food and handicraft.

"There is no other festival quite like it if you like classic boats," said Adam Purser, who has sailed from England to Brest three times since 2000. "Everywhere you look there are tall ships and the atmosphere is fantastic. There is good food and music and you get to race your ships along a beautiful coastline. I wouldn't miss it for the world," he said.

But it's not just an event for maritime history buffs, this year the festival is also welcoming modern boats.

Racing enthusiasts will be able to see the finish of the New York to Brest multi-hull transatlantic "Krys Ocean Race", featuring some of the world's fastest trimarans.

"The festival has something for everyone. It's really becoming a universal exhibition of all types of boats," said Chantal Guillerm, the festival's director of communications.

"Les jeudis du Port" (Thursdays at the harbor)

Those who can't make it to the summer's main maritime festival can still experience Brest's unique harbor each Thursday during the summer months when it is transformed into a vibrant arts space, packed with live street theater, concerts, comedy and markets. The music on offer is as eclectic as it is exciting, with a mixture of folk, rock, French chanson, world music, jazz, and classical acts taking the stage throughout the summer.

Astropolis

In recent years France has produced some of the world's finest electronic bands and Brest has played an integral part in the scene's development. Every summer for nearly 20 years the city has hosted one of the most anticipated electronic music festivals in the country -- "Astropolis" -- a three-day musical feast that takes place in August each year.

But there are also plenty of things to do and see outside the summer festival season -- especially if sailing, seafood and marine life are high on your agenda.

Oceanopolis

For years Brest has been the European capital of oceanography. According to the University of Brest, more than 60% of France's maritime researchers and engineers have made the city their home, so it's perhaps no surprise that a giant marine pavilion has emerged there.

The venue is much more than your average city aquarium; it is an ocean discovery park covering nearly 10,000 square meters, with 50 individual aquariums housing in excess of 1,000 animal species.

Through three pavilions dedicated to polar, tropical and temperate marine ecosystems, "Oceanopolis" aims to immerse visitors in an underwater universe representing flora and fauna of oceans around the world.

There is also a fourth pavilion that houses the temporary exhibitions on marine biodiversity. The current exhibit, titled "The Abyss," is dedicated to the weird and wonderful creatures that hide in the deepest part of our oceans.

Castle Of Brest

Once owned by King Richard II of England, the impressive medieval fortress is the city's most important landmark that, by sheer fortune, was spared from destruction during the heavy bombing of World War II.

The castle and its ramparts offer stunning views of the city and inside the fortress hides the city's branch of the "Naval Museum of Paris," which retraces 17 centuries of Brest's longstanding naval history.

Tanguy Tower

Built on an enormous block of granite, the "Tanguy Tower" is a sightseer's favorite, with its medieval turret offering views of the long-winding Penfield river cutting right through the city.

The tower is also home to the Brest Museum - where a series of huge dioramas take visitors on a picture journey through the city's origins and development, showcasing life in Brest before it was bombed.

@highlight

Brest is one of France's most historically significant harbors

@highlight

The city is located in the region of Brittany and is steeped in Celtic heritage

@highlight

The beautiful coastline and huge harbor has made Brest a popular sailing destination

@highlight

Every four years the city hosts one of the biggest international maritime festivals in the world