It's a typically hot, humid August day in Bagan -- an ancient town in the heart of Myanmar's central Mandalay region.

Once the capital of the Pagan Empire, today Bagan is an expanse of intricate temples and pagodas, erected by the ancient kings in their names and, as the once-isolated country opens up to the world, a major attraction for tourists.

Outside the Dhammayangyi Temple -- the largest in Bagan -- a small girl runs up to me smiling, her hair slicked back into a ponytail and her cheeks streaked with tanaka. "Madam, 'Burmese Days?' Good book," she proclaims, pushing a copy of it into my hands.

"Do you like this book?" I ask her. "Yes, but I only read little bit," she said, nodding. "My English not good. This is too difficult for me. But for you good price, madam."

The fact that a girl was gleefully selling me George Orwell's "Burmese Days" in broad daylight at a tourist attraction is quite remarkable for Myanmar. Heavy-handed government censorship of literature meant that, though the book was always available, it was redacted and frowned upon for its negative portrayal of the Burmese people.

In 2012, an original translation of the book -- intact and uncut -- was finally awarded a National Literary Award. That version of the book is now openly available, marking a big step forward for this country.

Stifled environment

Under Myanmar's decades-long military rule that ended up isolating the country from the outside world and squandering its potential as a global player, authorities tried to suppress free thought and dissent by maintaining control over what people read and the information that was available across the country.

But the British Council library -- a symbol of the country's colonial rule until it gained independence in 1948 -- was a safe haven of information. For years, visitors could get their hands on books that were banned in the country, including "Love and Sunshine in the East" (1930), an obscure novel by Janet Aldis, and more recently "The Voice of Hope," (1997) pro-democracy politician Aung San Suu Kyi's inspiring tale of her years under house arrest.

Many books were carefully retained and protected by Monica Mya Muang, an English woman who married a Burmese barrister and moved to the country in 1937, at a difficult time when marriages between locals and foreigners were frowned upon.

In 1962, Myanmar's first independent government party to take power through elections was ousted in a coup d'état by the military, led by General Ne Win. As the military consolidated its control, the original British Council library was closed down.

At that point, Monica Mya Muang managed to salvage and move a handful of books into the British Embassy building, where the library now lives and has since expanded into a large collection.

Years later, when the Internet finally arrived in Myanmar and the country was still under the control of the military junta, the library was one of the few places where users could access international news and uncensored information, says Susana Galvan, director of Education and Arts at the British Council.

Members would even safely hold political discussions and dialogues at the library. "The irony is that we were allowed to keep the library open," Galvan adds.

Scattered education

In 1988, ill-conceived economic policies by the military government sparked protests, led by students and monks, that gripped major cities across the country, particularly in the former capital Yangon.

Despite the peaceful nature of the protests, the military cracked down hard. Curfews were imposed and universities shuttered as the authorities moved to ban political discussions and gatherings among students that encouraged dissent.

Most university courses were reduced to distance-learning centers scattered across the country, providing little opportunity to engage with professors and fellow students.

"Pretty much all undergraduate programs were taken via distance learning. And they were of poor quality: it involved mainly memorizing and regurgitating material," says Galvan.

The public library system also disintegrated, receiving little funding or attention.

A local library I visited in Bagan was a case in point -- bookshelves creaking under the weight of unloved, mildew-covered books, most of them obscure and unrecognizable. According to a survey by the Asia Foundation, almost 90% of books at libraries such as this one are religious texts.

"A lot of libraries are still closed or not up to date. They are usually very heavily reliant on book donations and a lot of those donations are irrelevant," says Galvan.

Yet, people were gathered inside and outside the building, reading newspapers, chatting and using the free (extremely patchy) wifi offered there. It was clearly a communal spot for the town.

Signs of Hope

In a way, the state and evolution of libraries and literature is a litmus test of Myanmar's development and change since the military leadership formally stepped aside in 2011 -- as the new translation of "Burmese Days" shows.

In 2012, Aung San Suu Kyi established the non-profit Daw Khin Kyi Foundation -- mobile libraries set up to compensate for the crumbling libraries. Vans bring a collection of over 15,000 books to the more remote areas of the country, encouraging people of all ages to delve into the literary world.

Another milestone came in December last year when Yangon University started to take undergraduates on campus again -- the first time since the crackdown, breathing new life into the abandoned institution.

Owing to the neglected state of the university's library, an "e-library" was introduced in January this year, allowing unprecedented access to thousands of up-to-date journals, textbooks and novels from organizations around the world, such as the Cambridge and Oxford journals databases.

"The first time I actually went to Yangon University in June last year, the campus was dead. There was not a single student in sight, the library materials were old, the furniture was stacked up," says Galvan. "But a lot has changed in a year."

Seeking to catch up with the outside world in economic terms, the civilian government has embraced the need for widespread education and freedom of thought. And investing in its human capital by slowly bolstering the libraries and universities across this vast country that were on once the verge of collapse is key to this.

@highlight

Much of Myanmar's literature was banned as military suppressed freedom of thought

@highlight

The country was left with thousands of libraries following British colonial rule

@highlight

In the past few years, some library buildings had re-opened under the civilian government

@highlight

Libraries in smaller towns such as Bagan became a meeting place for local population