(CNN) -- Facebook advocates are touting the company's initial public offering this week -- the biggest ever for an Internet company-- as if it will save the net, the economy and the American way. Its detractors see the final chapter in the rise and fall of a smart but solipsistic Harvard dropout, and predict the inevitable decline of Facebook's stock will spell the end to innovation in social media. Internet Bubble 2.0.

Of course, none of this is true. Such hyperbole is more about our traditional media's need for simple stories than anything happening at Facebook or on Wall Street. These are the judgments of financial analysts who don't even know what API stands for (application program interface), and technology analysts who never heard of the Greenshoe option (the provision for an underwriter to oversell).

This factless speculation, combined with the risk-off jitters of the greater markets, has led to the conflation of stock value with business, and one social media company with the future of the net. If the dot.com bubble and more recent stock market crash should have taught us anything, it's that stock prices have been uncoupled from business profitability, which has in turn been uncoupled from value creation.

Facebook can still be one of the most successful and significant companies of the past 100 years without being nearly worth an IPO valuation of $100 billion. Meanwhile, traders buying stock at that valuation can still make billions more over the next hours or days, even if the stock then plummets or slowly peters out. Likewise, Facebook can shoot to a sustained stock market success even without showing a reasonable profit for many years. Finally, Facebook can become the biggest stock market and business loser since Lucent (who?) without taking the Internet or social media down with it.

So to start, let's look at the IPO in isolation. Is Facebook worth the $96 billion reportedly implied by IPO valuation? Not at the moment. Facebook's profits are down since last year, its membership growth is stagnating and the online advertising market is softening. This IPO comes at a later than ideal time, as the potential trajectory for the company no longer seems infinite.

Does that mean you shouldn't buy the stock on opening day? Of course not. The price of Facebook shares will have nothing to do with the reality on the ground (or online). Everyone wants in, demand is outstripping supply, and the hunger for shares could push the price very high in the short term. None of this has anything to do with social media, it's just gambling.

It's also possible that even the craziest speculators are still undervaluing Facebook's ultimate worth. That's where a media theorist like me can venture an opinion -- and I'd have to say no, they're not. Facebook is certainly the best of the social media apps to come along, just as Google was the best search engine. Similarly, however, the social media playpen constituted by Facebook is temporary. Just as we are moving away from Web search into a world of applications running on smartphones, we will move away from our single Web-based social media platform toward more ad-hoc social apps on our handheld devices.

It's hard for us to imagine right now, but we won't be logging into Facebook to find out what's going on; we'll work and play in an ecology of apps that tell us where people are and what they are doing.

Yes, Facebook may have a role in that next-generation social media universe, but it will need what tech industry people like to call "a second act." Apple's second act is the iPhone. Google is hoping for "augmented reality" eyeglasses and network-controlled automobiles.

Are you living without Facebook?

Facebook's second act is far from clear. It wants to become the platform on which everybody else builds social media apps. But if all this activity is happening on smartphones, then Facebook is dangerously dependent on Android and iPhone for everything, a layer on top of Apple and Google's systems. Facebook's inability to generate income on the smartphone has led to some desperate moves, such as its billion-dollar acquisition of photo-sharing app Instagram and off-putting products like "sponsored stories."

So far, love him or hate him, Facebook creator Mark Zuckerberg has been consistent with his vision of building a more social Web: a peer-to-peer communications infrastructure that changes the way people connect, share ideas and sell things. The more comingled his mission becomes with the priorities of Wall Street, the less freedom he will have to challenge the status quo.

The Facebook IPO itself, for instance, is being conducted in the most traditional fashion possible, with underwriters establishing a price and offering shares through brokerage houses. Compare this to Google, who let the public establish the share price through open bidding, mirroring the company's revolutionary, bottom-up search algorithm, and challenging underwriters with net democracy.

The most radical thing Zuckerberg has done so far is attend investor meetings in a hoodie -- as if to say, "in your face." Cute, but it hardly asserts innovation in the face of profiteering, or social networking in the face of the corporate capitalism.

This is a week when the stock markets are particularly vulnerable to a new message. The CEO of Yahoo is resigning after a controversy over resume padding, while executives at JP Morgan Chase are falling on their swords for losing so much money, so quickly, that they may change the regulatory landscape for their entire industry. People are ready to embrace a new way of playing this tired game.

By jumping headfirst into the stock market, Facebook may be joining a zero-sum shell game at just the wrong "risk off" moment. If Facebook does succeed in the stock market this week, then it will do so at the expense of Groupon, Apple and Google, whose net-fetishizing investors will likely be selling those shares in order to buy the new ones from Facebook. Worse, by joining in the speculative economy on Wall Street's terms, a company that might have changed business instead subjects itself to forces far beyond its control.

The opinions expressed in this commentary are solely those of Douglas Rushkoff

@highlight

Douglas Rushkoff: Speculation over the meaning, value of Facebook IPO is overblown

@highlight

He says valuation of company likely too high, timing not great, but people want in anyway

@highlight

He says current Facebook will be overtaken by next-generation media; it must innovate

@highlight

Rushkoff: By accepting Wall Street's terms Facebook may sacrifice innovation to profit