(CNN) -- Michelle Lehmann wakes up at 4 a.m. Her husband, Jim, gets their eight children out of bed as she picks out their outfits, makes breakfast and packs lunches. She fixes the younger children's hair while her husband ties their shoes. After a quick check of school bags, everyone is out the door at 8.

The Lehmanns, left to right: Front row: Paige, 3; Emma, 6; Becca, 2; Monty, 5; Linus, 8. Second row: Raif, 10; Violet, 1; Michelle, 37. Back row: Jim, 38; Tess, 12.

Sure, having such a large family is sometimes wearing on Lehmann. But wearing on the Earth? She doesn't think so. She says her family leads a frugal life, but the criticism still pours in.

"People will say you are selfish; you are killing the planet," said Lehmann, 37, who started a Web site where large families can find support.

The criticism comes from those who say the Earth -- with its 6.6 billion people -- is exceeding its carrying capacity. Most estimates range from 1 billion to 1 trillion.

"Those are the people that want us to believe that there are way too many people already and we should do something about it -- preferably drastically and soon," said Joel Cohen, a professor of population at both the Rockefeller University and Columbia University. "And then there are the people who say, 'Oh, we could support very nicely 15 billion or 20 billion or 70 billion.' "

Les U. Knight falls into the first category. He's the spokesman for The Voluntary Human Extinction Movement (VHEMT). The group's motto: May we live long and die out.

Knight says the population is far more than Earth can handle.

Letting humans gradually -- and voluntarily -- die out is the best thing we can do for the biosphere, his group believes.

He says it doesn't matter whether a family has its eight kids or one -- the last has the same impact as the first.

"I don't think the intentional creation of one more by anyone anywhere can be justified today," he said. "An ideal number [of people] would be zero, because as long as there is one breeding couple, we could be right back where we are again in 10,000 years."

Those ideas are absurd and ignorant, said Sheldon Richman, editor of The Freeman, a journal published by The Foundation for Economic Education.

The concept of carrying capacity applies to the animal kingdom but not humans, he said, because humans are active agents in the environment and can change their behaviors.

"People do control their reproductive activities. ... Animals don't say, 'Well, we better not have another litter because how are we going to pay to send all those pups to college,' " he said.

A controversial concept

This whole idea of carrying capacity is heavily debated, said Gerhard K. Heilig, chief of the United Nations' Population Estimates and Projections Section.

The original idea behind the concept was that natural resources and land would limit population growth, thus slowing down a population increase.

That's clearly not the case, he said, because population growth is slowing down in areas that don't have strains on the environment. Romania, for instance, has a declining population, but the population density is low.

"[Changes in population] have to do with social change, they have to do with political change, they have to do with economic situation -- they have to do with all kinds of other things, but certainly not with people reaching our biological limit," Heilig said.

Hunter-gatherer societies illustrate how social organization and technology affect the number of people an area can sustain, he said.

An area where people hunted and gathered for a living might have supported 1,000 people.

"If you have a modern society with high technology, you can maybe support 5 to 10 million in the same area," he said.

The United Nations projects that population growth will continue to decline and will level off at about 10 billion around 2060.  Click here for a look at world growth rates and population projections »

The number sounds scary for those who say the planet is already too crowded.

"The more of us there are, the fewer resources there are. The less room, the less space. Will it be better when there are more of us? I doubt anyone of us is going to say yes," Knight said.

"I think that we are engineering our own involuntary extinction and taking a lot of species with us," he said.

But Richman points out that the entire population could fit into Jacksonville, Florida, which is about 840 square miles. Give each person 1,000 square feet, and the world's human population would easily fit inside Texas.

Lehmann's family lives in an 1,800-square-foot, four-bedroom house in Blue Island, Illinois, a Chicago suburb. They put a divider in the dining room to create two additional rooms.

She says that for her family of 10, being resourceful isn't just about being Earth-friendly -- it's a necessity. Because of this, she maintains, her family makes no more of an impact than those with huge houses and lots of cars.

"We learn to use less because we have to stretch it out," she said. "If someone works very hard to obtain a lifestyle -- they want to get lots of cars, they want a very big house -- then people think that is a positive thing. And yet if someone wants to work and the thing they desire is a large family and they are willing to work just as hard, that's criticized."

Values can't be overlooked when trying to determine the Earth's carrying capacity, Cohen said.

"Do we want to have parking lots or parks? Do we want to have Jaguars with a capital J or jaguars with a little j?" he said.

To understand the human situation and its impact on Earth, you have to consider several factors -- population, economics, environment and culture, Cohen said.

"If a person thinks that population is the cause alone of whatever problem they are discussing, then they are missing a very important part of the picture."

And Richman says one of those eight children in the Lehmanns' suburban Chicago home may be the answer to any of the problems the Earth faces.

"In that group, there may be the next great musician, great poet, great novelist, who the heck knows?" he said.

"People are not a problem. People solve problems." E-mail to a friend

@highlight

It is impossible to determine how many people the Earth can hold

@highlight

Some say we've exceeded Earth's carrying capacity; others say there's no limit

@highlight

U.N. projects population will level off at 10 billion in 2060

@highlight

Voluntary Human Extinction Movement says Earth would be better with no people