We awoke one morning in Kabul to the sound of not-too-distant explosions, marking the start to the fighting season. But bombs were not the foremost takeaway from our Mother's Day trip to Afghanistan -- the women fighting to stop the bombs left a more lasting impression.

More than a decade after American and allied forces toppled the Taliban regime, the improvement in the quality of life for Afghan women is unmistakable. Women are now participants -- and in many cases, leaders -- in a society that once systematically subjugated them. There are female government officials at almost every level, young girls going to school, young women in college, and new opportunities cropping up around the country.

On a sixth annual trip, our congressional delegation of women legislators spent several days in Afghanistan in May meeting with many of the women who have helped begin to reverse centuries of repression. We spoke with female public officials, women journalists, and heads of organizations focused on advancing the role of women.

And we had the privilege to spend time with a special group of people who, although they are not from Afghanistan, have a unique appreciation for what Afghan women are fighting for. On Mother's Day we met our "military moms" -- women soldiers from the United States who have children back home. We delivered Mother's Day cards made by American school children, hosted a luncheon and listened to their stories of heroism and sacrifice.

It became clear that all these women -- Afghan, American or otherwise -- are determined to preserve and grow the progress made by Afghan women and girls.

The most striking example came when we met with women members of the Afghan parliament. At a roundtable, we discussed the opportunities that have been made available to Afghan women and girls over the past decade; the important role they must play in the country's society, security and economy in order to see future success; and the critical need to protect these gains from backsliding.

"We can bring democracy to Afghanistan," one of the Parliamentarians said.

For emphasis, another added: "We can deliver."

By engaging with the Afghan people directly, we experienced firsthand the growing sense of cautious optimism that seems to have taken root here, due in large part to women's gains and to the recent national elections.

There is no mistaking that the situation in Afghanistan is still fragile and highly complicated.

Yes, the elections in April saw relative success with high voter turnout, a higher than expected turnout among women, and relatively small amounts of violence. But runoff elections set for June 14 are another important test of the coalition-trained Afghan security forces and voter retention.

A bilateral security agreement needs to be signed. Both remaining presidential candidates have signaled their willingness to participate in such an agreement, but details are yet to be finalized. A clear plan to maintain Afghan women's gains must be included. Our delegation urged for more focus to be placed on recruiting women to the Afghan National Security Forces. The Afghan Ministry of Defense currently has 700 women in the security forces, but that number needs to be increased significantly.

Last week, President Barack Obama announced that 9,800 American troops will remain in Afghanistan after the end of 2014, with that number stepping down in subsequent years. No one wants our troops to stay in Afghanistan one moment longer than necessary, and the transition from a combat role to one of training and advisory must be done carefully and responsibly.

Afghanistan must take the reins of their country's future, and America must play an important role in ensuring a lasting peace. A secure Afghanistan ultimately impacts America's national security. And strong signals of U.S. support contribute to the confidence of the Afghan people.

An important bellwether for the success or failure of America's efforts in Afghanistan will be the preservation of the gains made by Afghan women.

If the bombs we heard that morning in Kabul reminded us of the challenges that remain here, the women we met in Afghanistan personified how far this country has come, and the potential for where it goes next.

Join us on Facebook.com/CNNOpinion.

@highlight

A bipartisan coalition of women in Congress visited women in Afghanistan

@highlight

The improvement in the quality of life for Afghan women is unmistakable, they say

@highlight

Still, long-term success will be in the preservation of the gains made by Afghan women