Beijing (CNN) -- Beijing ushered in the Year of the Dragon with a bold move.

Starting this week, the city's Environmental Monitoring Center has begun reporting air quality data that includes readings of PM2.5, or Particulate Matter smaller than 2.5 micrometers, and other pollutants.

Zhao Jialin, a blogger on Sina Weibo, a Twitter-like microblog site, tweeted: "Thank the government for making this effort to solve the problem. It is a Chinese New Year gift from them to the people."

Changhua Wu, Greater China director of The Climate Group, a London-based independent group, hailed it as "a major step forward" for China's air pollution control efforts. "This decision is a timely response of the government to a public outcry to tighten the standards and regulations on air pollutants," she says.

Contrary to Chinese officials' claims that the city's air quality has improved since it hosted the 2008 Olympic Games, many residents in Beijing have complained about worsening air pollution. "Reached the standard?" asked Chinese blogger Fenghuangming. "They didn't just pick the spot where the air quality is the best, did they?"

Public cynicism and frustration peaked several days ago when for two days the city was covered with heavy haze and smog, forcing the cancellation of almost 700 flights at Beijing airports.

Debate over the credibility of Beijing's air quality reporting has been brewing for months. It all came to a boil in November when Beijing's Environmental Monitoring Center reported the city's air quality as "slightly polluted," while the U.S. Embassy in Beijing, using its own monitoring instruments, tweeted its real-time reading as "hazardous."

Why the discrepancy? Beijing, it turned out, merely reported the PM 10 readings, which measured only larger particles, while the U.S. Embassy readings measured ozone density and PM 2.5, referring to particulates "small enough to get into the lungs and the blood stream," according to the embassy website.

Should China adopt the stricter PM2.5 standards? Some prominent personalities, including Chinese environmentalists, entrepreneurs and journalists, think so.

Last December, real estate mogul Pan Shiyi conducted an online poll on Sina Weibo. More than 90% of the more than 40,000 respondents agreed that "the authorities should adopt PM2.5 standard this year (2011)." Four percent believed "it can wait until next year," while only one percent thought there was no need to adopt it.

Experts say Beijing's adoption of PM2.5 this week shows the growing influence of local public opinion.

"It seems clear that public pressure has played a role and has speeded up Beijing city's implementation of the new measures," says Deborah Seligsohn, advisor of the World Resources Institute, which runs a climate energy and pollution program in China.

Although China sometimes seems to drag its feet in solving its environmental problems, Seligsohn says the Chinese have taken some creditable steps. "China has implemented the largest build-out of Flue Gas Desulfurization, or scrubbers, ever seen over the last five years," she says. "These are to control sulfur dioxide on power plants."

Beijing has also increased its enforcement of building standards. "Beijing and other cities are quite good at installing insulation and other building efficiency measures that reduce energy use and this reduce pollution," says the Beijing-based expert.

Seligsohn also praises Beijing's push to expand its network of subway lines. "People often forget that they've continued to build major lines since the Olympics," she says. "It wasn't just for show, it was to serve this city."

Four new subway lines are expected to start operating later this year. Fares on subways and public buses remain cheap to encourage more people to take public transport.

The number of vehicles in Beijing reached 4.98 million last year, worsening traffic congestion and air pollution.

"We have a high population density," says Song Guojun, a professor at Renmin University. "It's not necessary for everyone to drive their own cars. If we have a more developed subway system and public buses, it's not difficult to control the number of cars."

Despite all these efforts, experts say, Beijing is still a long way from cleaning up its reputation as a polluted city.

Seligsohn likens Beijing with Los Angeles. "With their difficult meteorological conditions and a large number of pollution sources, addressing pollution is a long-term and difficult task," she explains. "LA began to combat air pollution in the mid-1950s, well before US national regulation, and still in the 1970s, 20 years later, it was famous for its smog. In the 40-plus years since the Clean Air Act was passed, LA has never been fully in compliance with EPA standards, even though it has continued to improve."

Beijing has likewise made a lot of progress since 2006, Seligsohn said. "But they have years of work ahead of them, and there isn't one single silver bullet or one fundamental problem. What is good is that they have begun, and they have an engaged public that supports tighter regulation."

Pan, the real estate billionaire who pushed for PM 2.5 readings, said adopting stricter standards is the right step. "Only when people have the knowledge of the air quality around them will they change unhealthy behavior," he said.

With the adoption of PM2.5, Beijing residents may now reasonably expect to get realistic readings -- "hazardous," not "slightly polluted" -- when the city's air quality is really bad.

@highlight

Many residents in Beijing have complained about worsening air pollution

@highlight

In November, Environmental Monitoring Center reported "slightly polluted"

@highlight

U.S. Embassy in Beijing tweeted its real-time reading as "hazardous"

@highlight

Experts say Beijing's adoption of PM2.5 shows growing influence of public opinion