San Francisco (CNN) -- Calling it "the biggest change to iOS since the introduction of the iPhone," Apple CEO Tim Cook on Monday unveiled an operating system for iPhones and iPads that will radically overhaul how users' touchscreens look.

The new system, iOS 7, was part of a two-hour presentation that included refreshed MacBook Airs, the announcement of an iTunes Radio streaming-music service and a sneak peek at a new Mac Pro that will be the most powerful computer Apple has ever made.

The keynote, kicking off Apple's annual Worldwide Developer's Conference, marked Apple's first major product event in nine months. But it was short on blockbuster launches or surprises -- no TV, no smartwatch and no upgrades to marquee products like the iPhone and iPad.

Some pundits griped about a lack of groundbreaking hardware or features at a time when Apple is facing a stock-price slump, increasing competition from rivals like Samsung and a gnawing perception that the giant computer company is not as bold or as cool as it was under Steve Jobs, its late CEO and co-founder.

Instead, developers assembled for the weeklong conference got the first look at a major reworking of Apple's mobile operating system, due this fall. iOS is home to more than 900,000 apps that collectively have earned independent developers $10 billion, according to Apple.

The mobile design, overseen for the first time by new iOS boss Jony Ive, includes new typography, redesigned icons and a new color palette.

"I think there is a profound and enduring beauty in simplicity, in clarity, in efficiency," Ive said in a video introducting iOS 7. "True simplicity is derived from so much more than just the absence of clutter and ornamentation. It's about bringing order to complexity."

Immediately noticeable: The pool-table green background on Game Center was gone.

"We just completely ran out of green felt," joked Craig Federighi, Apple's vice president for software engineering.

In fact, virtually every recognizable app shown in a brief presentation looked considerably different from its iOS 6 counterpart. Animations float by in the background of the Weather app, while Calendar is now minimalist in black and white.

But it's not just a redesign. Federighi demoed new features like Control Center, where users will be able to swipe up for music, flashlight and other tools.

Airdrop, Apple's file-sharing software, comes to mobile with iOS 7, and the Photos app has been upgraded with such features as Instagram-like photo filters and photo albums that can be created by year or location.

Siri, Apple's voice-activated "digital assistant," is becoming more diverse. Users will be able to choose a male voice -- Siri has been solely a "she" so far -- and users can ask it to perform basic tasks like playing a voicemail or turning down the brightness on an iPhone or iPad's screen.

iOS 7 became available in beta to developers on the iPhone Monday, but the rest of us will have to wait until the fall. It will work only on iPhone 4 or later, iPad 2 and later, the mini and the iPod touch.

Also coming this fall is iTunes Radio, a free streaming service that sounds a lot like Pandora or Spotify. iTunes Radio will include over 200 programmed channels, plus others inspired by music the user already listens to. The service will be ad-supported and will encourage users to buy songs they like from iTunes.

However, iTunes Radio joins a crowded streaming-music landscape -- Google launched a similar service last month -- and several analysts criticized it as a rare example of Apple playing catchup to its rivals instead of creating something new.

Also Monday, Apple introduced revamped MacBook Airs with "all-day battery life" and offered a peek at the most powerful computer the company has ever made.

Apple Senior Vice President Phil Schiller provided a peek at the new Mac Pro, a desktop that is Apple's fastest computer. In a teaser video, the new Pro looked like a shiny cylinder and, according to Schiller, will double the performance of the current model, launched three years ago.

"Can't innovate any more, my ass," Schiller told the audience in a jab at analysts who have said Apple is being surpassed by companies like Samsung and Google in the rollout of bold new products.

The new Pro will be released this year and will be designed and assembled in the United States, Schiller said

The 11-inch version of the MacBook Air will go from five hours to nine hours of battery life, Schiller said, while the 13-inch version will go from seven hours up to 12. Schiller said the new models will have faster Wi-Fi connections and faster graphic loads.

They began shipping Monday, with the 11-inch Air beginning at $999 and the 13-inch starting at $1,099 (that's a $100 break on the 13-inch).

In a departure, Apple's next Mac operating system will not be named after a cat. Instead, the 10th iteration of OS X will be called Mavericks, named for a popular surfing spot in northern California. (Previous version names have included Mountain Lion, Snow Leopard, Tiger, Lion and Cheetah.)

Among the system's new features will be Maps, previously a mobile-only product, and iBooks, which will let users read books they buy from the App Store on multiple devices.

Other features demoed by Federighi included color-coded tags, a multidisplay setup for more than one screen and integration with Apple TV. He said internal tweaks have been made to make the system faster and to conserve battery life.

The new system will be available in the fall.

In opening the keynote, Cook noted that the company's online App Store has served up 50 billion downloads in its five years of existence. He said there are 900,000 apps in the store, 375,000 of which were designed for the iPad.

"Just a few hundred from those other guys," he said, in an apparent swipe at rival tablets that run Google's Android system and others.

He also said the App Store has 575 million accounts, "more accounts with credit cards than any store on the Internet that we're aware of."

@highlight

Apple rolls out MacBook Airs with an "all-day battery"

@highlight

New Mac Pro will double performance of current most powerful PC, Apple says

@highlight

New mobile operating system, iTunes Radio also introduced

@highlight

Apple's annual developers conference kicked off Monday in San Francisco