(CNN) -- It's not easy being a Chechen. The family of Tamerlan and Dzhokar Tsarnaev, the alleged Boston bombers, have, like all their ethnic kin, led lives marked by violence and deportation.

Chechnya is a small land in the Caucasus mountains that was one of the last places to be conquered by the Russian empire in the 19th century. Chechens are also Muslims. In February 1944, Joseph Stalin added them to his list of "punished peoples," whole ethnic groups who were deemed disloyal to the Soviet Union and subjected to wholesale deportation.

Every Chechen -- man, woman and child -- was packed into freight cars and shipped to the freezing steppe of Soviet Central Asia. The republic of Chechnya was erased from the map. Around a quarter of the 400,000 deported Chechens died in the process. It was only 13 years later, after Stalin's death, that they were miraculously forgiven and allowed to return home. But some, including members of the Tsarnaev family, stayed on in places like the republic of Kyrgyzstan.

Fifty years later, in 1994, the year after Dzhokar Tsarnaev was born, the Russian government unleashed a new wave of violence, sending in the army to crush a turbulent independence movement in Chechnya. The Russian defense minister of the time predicted it all would be over in 24 hours. Ten years later, after two savage wars, the Chechen city of Grozny was in ruins, tens of thousands of Chechens were dead and many more in exile once again.

From 2002, Chechen extremists began to wage terrorist acts against Russian civilian targets, most horrifically against a school in the town of Beslan, where nearly 300 people were killed. The region is outwardly much more quiet now, but a low-level Islamist insurgency continues in and around Chechnya that takes dozens of lives each year and is mostly out of the headlines.

The two young Tsarnaev boys were the children of the war generation, displaced from their homeland, growing up as a reviled Muslim minority.

In their biographies we can see some typical characteristics of Chechen life.

Where are Chechens from? Not the Czech Republic

The first is the migrant life. Maybe one-fifth of Chechnya's pre-1994 population of 1 million has fled to different parts of the world, the vast majority of them to various European countries. A second is an aggressively macho culture. Chechnya has a warrior tradition and many Chechen males and their fellow Muslims from the Caucasus seek to compensate for discrimination by excelling in martial arts. Tamerlan and Dzhokar took up boxing and wrestling respectively.

A third characteristic is that, as refugees from a misunderstood minority group associated with "terrorism," they apparently found solace in the Islamic Internet, the multiplicity of devout or jihadist websites that linked them with similarly alienated Muslims around the world.

What makes these two different is that their alienation turned into a self-fulfilling prophecy. Resentful of being labeled terrorists, they apparently turned to terrorism.

What also differentiates the two brothers is that, unlike most Chechen migrants, they ended up in the United States. Most of the refugees who end up in this country see it as a safe haven. But in this case, a virulently anti-Western streak appears to have followed the two into exile, or caught up with them here.

Opinion: What we know about Chechnya

In Chechnya, Russian Cold War suspicions fused with militant Islamic rhetoric. Chechnya's first pro-independence president Dzhokhar (or Jokhar) Dudayev was a Soviet general turned Chechen nationalist who hated NATO as much as he did the government in Moscow.

In the 1990s, at the height of post-Cold War rapprochement, ordinary Chechens blamed Washington for turning a blind eye to President Boris Yeltsin's war against them. More recently, the local warlord Ramzan Kadyrov, whom Moscow has installed as leader of Chechnya, implausibly blames the West for backing the jihad against Russia.

Members of a wandering wounded generation, the Tsarnaevs seem to have been all-too-typical Chechens in the tribulations of their lives, but one-offs in the way their journeys ended.

The opinions expressed in this commentary are solely those of Thomas de Waal.

@highlight

Tom de Waal: Boston suspects are Chechen, a minority group that has suffered under Russia

@highlight

De Waal: Their parents were in two savage wars with Russia and displaced from homeland

@highlight

Suspects lived a typical Chechen life of migration, he says, part of a macho culture

@highlight

Chechens resent the label "terrorists," he says; suspects seem to have embraced it