Baltimore (CNN) -- Shortly after becoming the nation's 112th Supreme Court justice, Elena Kagan by tradition was presented with a silver cup, engraved with the names of those who preceded her in that particular seat. Speaking Tuesday evening before an audience at a synagogue here, Kagan recalled one name standing out in her mind: Louis Brandeis, the nation's first Jewish justice.

"His nomination was controversial, and it took some courage for the president to name him to the bench," she said. "He later faced prejudice on the bench. Justice (James Clark) McReynolds would turn his back on Justice Brandeis when he spoke from the bench, and refused to shake his hand or have his picture taken with him."

Ninety-five years and three justices removed in that seat she now occupies, Kagan said her Jewish heritage barely attracted attention when she was nominated last year. "There are three Jews on the court, but nobody talks about that. It doesn't matter, times have changed," she said.

Kagan addressed a mostly Jewish audience of Beth Tfiloh Congregation, celebrating its 90th anniversary. She was asked if her faith affected how she approaches certain cases, especially those involving religion.

A case the court will hear early next month involves the State Department's decision to currently list only Jerusalem as the place of birth on Israeli or Palestinian passports, deliberately leaving out the country name in that disputed region. An Israeli couple sued the government, and the issue is whether courts can intervene to overturn such executive and diplomatic decisions.

"I don't think the fact I'm Jewish will matter with respect to the Jerusalem passport case, and it shouldn't, " she said. "Anyone who comes before the court should expect impartial justice, and getting the same kind of treatment."

Kagan deflected suggestions the court's religious makeup -- three Jews and six Catholics -- would somehow undermine public confidence.

"It sometimes requires effort to put your feelings aside," she said. "We are all the sum of our experiences, but we (justices) all understand the role of the judge is to step back from any personal proclivities and look just at interpreting the law."

The 51-year-old justice noted her colleagues also share other things in common: all attended either Harvard or Yale law schools, and five, including Kagan, come from the New York City area.

The justice was introduced at the Baltimore event by Sen. Benjamin Cardin, D-Maryland, a longtime member of Beth Tfiloh. Cardin also sits on the Judiciary Committee, which held confirmation hearings for Kagan last year.

Kagan grew up in the west side of Manhattan, and describes her family's religious journey as "wandering Jews." "My mother never really found a rabbi she liked, so we joined several synagogues when I was growing up: Conservative, Reform, modern Orthodox."

The family settled on the Lincoln Square Synagogue, where Kagan was a pioneer of sorts, becoming the first girl to have a bat mitzvah at the Amsterdam Avenue facility. She was the one who insisted on it, after her older brother had his bar mitzvah.

"It was the great Jewish experience of my youth," she remembered. "It was a completely natural thing" to want to have a bat mitzvah. "I had to negotiate myself with Rabbi (Shlomo) Riskin," who had never before performed the coming-of-age rite with a 12-year-old girl.

Compromises were made at the modern Orthodox synagogue: her ceremony took place on a Friday night in May 1973, not the usual Saturday mornings boys enjoyed. The star student at her Jewish school read from the Book of Ruth.

"It was good, not great," she said of the ceremony. "It was not exactly what my brother had done, which is what I wanted. But the experience shaped my life, negotiating with Rabbi Riskin. It was a formative experience, and I guess I've always been a striver."

That drive led her to the job that she says "is now my life's work," a place she expects to stay for some time. Despite never having been a judge before, Kagan said the transition has been in some ways easier than she expected.

"Was I nervous, sure," she said of her first days on the bench. "But then I just starting speaking (during oral arguments) and I noticed, oh look, words are coming out of my mouth, and I think I'm making sense. I can do this."

Her colleagues too, she said, have been enormously supportive, and have even opened new worlds for her.

She recalled paying a courtesy call on Sen. James Risch, R-Idaho, shortly after her nomination to the court by President Barack Obama in May 2010. Risch asked her about gun rights, and remarked she may not realize how important the issue is to some Americans, especially in his home state.

She admitted never having owned or fired a gun before. "But I told the senator if I was fortunate enough to be confirmed, I would go hunting with Justice Scalia."

And she has, joining her conservative colleague on an excursion to a Washington-area shooting range and on several hunting trips, until now never reported. Her host at the synagogue event was surprised.

"You're Jewish," deadpanned Rabbi Mitchell Wohlberg.

"Yeah, but it turns out, it's kind of fun," said Kagan, laughing.

@highlight

Justice Elena Kagan talks about her life, her faith and her time on the Supreme Court

@highlight

She spoke to a mostly Jewish audience in Baltimore this week

@highlight

"The role of the judge is to step back ... and look just at interpreting the law," she says