Cairo (CNN) -- A day after at least 580 died amid ferocious clashes between protesters and security forces, Egypt's government defended its actions in the face of sweeping condemnation -- insisting its troops fired in self-defense and weren't even responsible for many of the deaths.

The violence stirred world leaders, some of them longtime Egyptian allies, to sharply criticize the Cairo government for going too far in its treatment of supporters of ousted President Mohamed Morsy, whom the military forced out of office several weeks ago.

In addition to the hundreds killed, the Egyptian Health Ministry reports more than 4,000 were injured Wednesday in clashes that began when security forces moved in to break up protesters demonstrating in support of Morsy, according to state TV.

There is no disputing the violence was Egypt's worst since the 2011 revolution that ousted President Hosni Mubarak. Yet Egypt's ambassador to Great Britain said his government's forces had done what it needed to do, and done it responsibly, blaming protesters for inciting and carrying out the violence.

"What the Egyptian government did, and the police, is an obligation from any state towards its people, to defend its interests and to protect them," said Ambassador Ashraf Elkholy. "And 48 days of occupying an area in Egypt, stopping civilians going to their homes or their businesses or their schools, is unaccepted in any community."

The Muslim Brotherhood -- the Islamist group that Morsy had led and that was the target of the crackdown, which it says left even more of its supporters dead -- had a very different take. Its officials have characterized the government's action as a massacre and vowed to continue protests until Morsy is restored to power.

"The protests never stopped throughout the night and we will continue our sit-ins and demonstrations all over the country until democracy and the legitimate rule are restored in Egypt," Muslim Brotherhood leader Essam Elerian said Thursday.

True to Elerian's word, pro-Morsy protesters kept up the pressure on the interim government, staging a sit-in in Nasr City, blocking a road near the country's iconic pyramids and storming a government building in Giza, according to state media. Authorities evacuated the building, which caught on fire.

Four people also died Thursday in clashes between Muslim Brotherhood members and residents of the city, state-run Nile TV said.

State-run TV also said Morsy supporters were attacking police stations, hospitals and government buildings in areas outside Cairo, despite a state of emergency declared Wednesday by the military-backed interim government that limits public gatherings and gives more power to security forces to make arrests.

Security forces were active overnight Thursday as well, including entering a mosque in the Nasr City section of Cairo where the bodies of people killed in Wednesday's violence were being held. State TV reported that Morsy supporters left the mosque after being searched -- peaceably after negotiations -- and five ambulances left with the bodies.

Adding to the tension, the Interior Ministry announced that police would be using live ammunition to fend off any further attacks on government buildings or security forces.

That announcement came as yet more protests were expected on Friday, which raised the possibility of more violence.

Gehad El-Haddad, a Muslim Brotherhood spokesman, tweeted that anti-government protests would start Friday from mosques around Cairo and converge at a massive rally in Ramses Square in the heart of the capital.

Tellingly, El-Haddad coined what was expected to come as a "Friday of Anger."

Obama condemns Egyptian military crackdown on civilians

World condemnation

The bloodshed that's already occurred has brought criticism from officials from numerous countries, threatening to further destabilize Egypt's already precarious economy and political situation.

Among them is U.S. President Barack Obama, who accused the Egyptian government of choosing violence and arbitrary arrests over an opportunity to resolve its crisis through peaceful dialogue.

World urges Egypt to show restraint

He further announced the cancellation of joint U.S.-Egyptian military training exercises scheduled for next month -- a move Pentagon spokesman George Little shows Washington's "strong objection to recent events" -- and warned that the traditional cooperation between the two nations "cannot continue as usual when civilians are being killed in the streets."

Obama was among those who urged Egyptian leaders to lift a monthlong state of emergency put in place Wednesday. The declaration mirrors the kind of stifling police state that the nation lived through under Mubarak, before the Egyptian people rose up in protests that resulted in his overthrow and eventually Morsy's rise to power as the country's first democratically elected president.

Pleading for calm, U.N. High Commissioner for Human Rights Navi Pillay asked for an investigation into the violence.

"The number of people killed or injured, even according to the government's figures, point to an excessive, even extreme, use of force against demonstrators," she said. "There must be an independent, impartial, effective and credible investigation of the conduct of the security forces. Anyone found guilty of wrongdoing should be held to account."

The U.N. Security Council convened an urgent meeting Thursday evening on the crisis.

"It is important ... that the parties exercise maximum restraint, and there was a common desire to stop the violence and advance national reconciliation," Argentine U.N. Ambassador Maria Cristina Perceval said on behalf of the council members.

Germany, France and other nations summoned Egypt's ambassadors to their nations to express dismay over the violence, with Italy typical among them in criticizing the "force used by police (as) brutal, disproportionate and ... not justifiable."

Denmark suspended economic aid to the country. As to the United States -- which provides about $1.6 billion in annual aid to Egypt -- it is continuing to review such programs "in all forms," State Department spokeswoman Jen Psaki said Thursday.

Even predominantly Muslim nations voiced displeasure, with Turkey recalling its ambassador in Egypt to return to Ankara in light of the crisis, a Turkish foreign ministry spokesperson said.

Mom's desperate text to daughter killed in Egypt

Raids followed by chaos, attacks on churches

The violence erupted as security forces raided pro-Morsy camps Wednesday after weeks of simmering tension. Clashes and gunfire broke out, leaving pools of blood and bodies strewn in the streets.

Authorities bulldozed tents and escorted hundreds of people away. Some mothers and fathers managed to whisk away their children, gas masks on their faces.

Morsy supporters also reportedly attacked a number of Christian churches. It's not clear how many were targeted, but Dalia Ziada, of the Ibn Khadun Center for Development Studies, said Thursday that her group had documented the burning of 29 churches and Coptic facilities across the country.

"This is horrible to happen in only one day," she said.

The Bible Society of Egypt said 15 churches and three Christian schools had been attacked, some set on fire.

At least 84 people, including Muslim Brotherhood members, have been referred to military prosecutors for charges including murder and the burning of churches, the state-run EGYNews site reported.

Nile TV said Morsy supporters attacked another church Thursday in Fayoum, southwest of Cairo.

The Egypt raid, at a glance

Muslim Brotherhood leader defiant

Rather than uniting Egypt after Mubarak's fall, divisions intensified during Morsy's time as president.

Critics accused him of being authoritarian, trying to force the Muslim Brotherhood's Islamic agenda on the country and failing to deliver freedom and justice.

Morsy's supporters say the deposed president wasn't given a fair chance and say his backers have been unfairly targeted for expressing their opinion.

Though Morsy has not appeared in public since he was taken into custody, his supporters have amassed on the streets nationwide to slam military leaders and demand his reinstatement.

Experts: What the bloodshed in Cairo means

Meanwhile, Elerian -- the senior Muslim Brotherhood member still at large -- said he's not deterred by calls for his arrest.

"They can arrest me and 100 of us, but they can't arrest every honorable citizen in Egypt," Elerian told CNN on Thursday. "They can't stop this glorious revolution."

CNN's Reza Sayah reported from Cairo; Michael Pearson wrote from Atlanta. CNN's Mohammed Tawfeeq, Ian Lee, Frederik Pleitgen, Laura Smith-Spark, Greg Botelho and Holly Yan also contributed to this report.

@highlight

NEW: Morsy supporters peaceably leave mosque where bodies were being held

@highlight

Health ministry: At least 580 killed, over 4,000 injured Wednesday in clashes

@highlight

Nations condemn crackdown; Egypt official defends it, says troops didn't cause many deaths

@highlight

Muslim Brotherhood touts "Friday of Anger" protests in Cairo