(CNN) -- The front-page headline put it plainly: "MURDERERS," it accused in huge capital letters, trying to capture the national mood in the Netherlands during a time of grief and anger.

Below the headline the paper printed a photo of scowling, heavily armed pro-Russia separatists in eastern Ukraine, men who many believe fired the missile that brought down Malaysia Airlines Flight 17, with support from Vladimir Putin's Russia.

The Dutch government, to no one's surprise, is moving much more cautiously than the populist press -- too cautiously, in the opinion of many, who are taking to social media to demand more forceful action, echoing the words of U.S. President Barack Obama, who called Thursday's disaster "a wake-up call to Europe."

Not usually known for impulsiveness, the Dutch are demanding that their government respond. No country lost more people on MH17. That puts the Netherlands in a position of moral leadership in the aftermath of the attack. With nearly 200 Dutch citizens on board, it seems almost everyone in the Netherlands has a connection to a passenger on the plane. In a nation of travelers, everyone feels it could have been them or one of their loved ones.

The flags across the country are at half-staff as the magnitude of the loss begins to take shape: An entire family of six wiped away, a leading AIDS researcher, a senator and professor of jurisprudence, a member of parliament along with his wife and daughter -- one son had stayed behind.

One of the most prominent among the Dutch victims was Joep Lange, former president of the International AIDS Society, and a pivotal figure for several decades in the fight against AIDS. He played a key role in developing the treatment protocols that helped HIV patients survive and in making treatment affordable for patients around the world.

The majority of the passengers of MH17-- 193 out of 298 -- were Dutch.

Who were the victims?

At the crash site, a Dutch journalist posted photos of the horror. "This probably hurts the most," he tweeted, showing a picture of an "I love Amsterdam" T-shirt resting on the debris field.

One by one, the people of the Netherlands are hearing the names, learning the stories. One elementary school, St. Willibrord, announced the terrible news on its website: "Dear parents and guardians, as you may have already heard, the whole Wals family was on the plane that crashed in Ukraine." Similar announcements are appearing in many villages, in places of work and community centers throughout the country; pictures of youngsters setting out on vacation are surfacing, along with images of the wreckage from the Ukrainian field, the travel guides, the children's stuffed toys.

Now that the names and faces of the victims are being made public, disbelief is giving way to outrage -- mostly targeted at Russian President Vladimir Putin -- along with frustration that the Dutch government is moving too cautiously because of economic concerns. Russia is the Netherlands' third-largest trading partner.

"I'm getting totally sick from the cowardly, spineless focus in business interest," said one online comment. Others, online and in private conversations, offered specific, practical ideas about how to respond.

One suggested expelling the Russian ambassador. Someone else said the crash area should be secured by an international military force while investigators, Dutch and others, do their work.

A Dutch physician who was a classmate of Lange, the AIDS researcher, told me she blames Putin for his role in backing the separatists: "All diplomatic ties with Russia should be suspended until he has been brought to justice. ... This would not have happened if it weren't for him." This, she said, "is our 9/11."

Another, skeptical of her country's ability or willingness to act, said nothing will be done unless the U.S. takes the lead.

Russia has been stirring trouble in Ukraine -- inside Europe -- for many months. Some of us have warned that things would get much worse and suggested economic trip wires, escalating sanctions that will go into effect if Russia makes more military moves. But Putin's bullying tactics have successfully instilled fear of retaliation, particularly in parts of Europe that use Russian gas to stay warm in the winter.

The shooting down of a passenger airliner may now, finally, change the calculus. If this doesn't, what will?

The Netherlands is not yet ready to indict the Russian president or the militias he supports, the separatist forces in eastern Ukraine. But Dutch Prime Minister Mark Rutte is growing visibly impatient with Putin, and he is undoubtedly feeling domestic pressure.

Opinion: How MH17 disaster backs Russia's Putin into a corner

On Friday he vowed to find and punish the perpetrators. On Saturday, British Prime Minister David Cameron said he and Rutte had agreed it's time to reconsider Europe's relations to Russia.

Later, Rutte -- clearly irritated with restrictions on access to the crash site and the "utterly disrespectful behavior" of the gunmen controlling the area -- said he had "an extremely intensive" talk with Putin, warning that time was running out for the Russian president to show he is trying to help.

Each one of the 193 Dutch dead, as well as the 43 Malaysians, 28 Australians, and every single person who died in this atrocity, is a tragedy that shakes their families and their communities. It's a chilling reminder that global politics intersects with human lives, and can do so when and where we least expect it.

The disaster puts the Netherlands in a position that goes against its instincts, but one that it cannot avoid. The Dutch are not warmongers. They are consensus-builders, methodical, averse to impulsiveness. The Netherlands has long hosted many international institutions. The city of The Hague is synonymous with international justice. Dutch cells hold war criminals on behalf of the international community, and courtrooms in the Netherlands are the scene of legal dramas over historic misdeeds.

Surely, the Dutch Prime Minister would feel more comfortable following someone else's lead, voting along with other countries in some international body to condemn someone "in the strongest terms."

But strong words and front page headlines are not enough when 298 civilians are killed in a passenger plane.

This time, the Netherlands stands at the center of an affront against the civilized world. This time, the people of the Netherlands are demanding that their country stand up and acknowledge its role to fulfill. This time, the Netherlands has to lead -- and the rest of the world should urge it to set a course of firm action.

@highlight

Nearly 200 of the MH17 victims are from the Netherlands

@highlight

Frida Ghitis: Anger is growing against the pro-Russian separatists

@highlight

She says the Dutch resist impulsiveness, believe in international cooperation

@highlight

Ghitis: Now is the time for Dutch government to lead and press for justice