(CNN) -- Here's a fact that may surprise people: Garbage collecting is one of the most dangerous jobs you can do.

A bulldozer shuffles more trash on to a heap on a landfill in Macedonia.

According to the U.S. Bureau of Labor Statistics, the people who collect our trash are carrying out "high-hazard" roles. And staggeringly, they are three times more likely to be killed at work than the police or fire services are, according to Toxicsaction.org.

Much of this could have to do with a fairly basic fact: the majority of our trash goes to landfills, and landfills have been accused of (among other things) being breeding grounds for disease.

If landfills do leak, leachate -- a toxic substance -- is released into the groundwater and soil, leading to the possibility that local drinking water supplies could get contaminated. And one of the contaminants that can potentially escape into the water supply is vinyl chloride, a human carcinogen.

According to Toxicsaction.org, there have been higher incidences of liver cancer, bladder cancer, lung cancer, leukemia and non-Hodgkin's lymphoma among adults that live within close vicinity of landfills -- while children have been known to be born with birth defects.

Modern landfills are now installed with filtering systems, so they in theory shouldn't leak at all. But as far as the old ones are concerned, that's not always necessarily the case, according to a U.S. Environmental Protection Agency (EPA) report in 1987 which said: "eventually all landfills leak".

'Landfill gas'

Aside from leachate, there is, of course, the massive environmental risk associated with landfills. Landfills give out what is commonly referred to as "landfill gas," made up 50 percent to 60 percent methane and 35 percent to 40 percent carbon dioxide (CO2).

Methane is more than 20 times more powerful than CO2 when it comes to heating the atmosphere, scientists say. And landfills are releasing enough of it to earn them the title of biggest methane producers in the world. (The world's methane levels have also tripled in the last 150 years, according to PlanetArk)

According to the EPA, in 2000, global landfills accounted for more than 730 million metric tons of CO2 equivalent -- representing more than 12 percent of global methane emissions. (The United States, Africa, Eastern Europe and China together contributed 42 percent of the world's landfill-generated methane emissions.) And the figures are going to keep growing, the EPA says, by 9 percent between 2005 and 2020.

Just 1 million tons of waste in a landfill produces enough methane, that if you removed it from the atmosphere, the EPA says, it would be the same as taking 8,800 cars off the road.

Waste varies by nation

The amount we send to landfill varies vastly from one country to another, but in sheer number of tons, the clear leaders are China and the United Staes. According to United Nations figures, the U.S. sends 53.4 percent percent of its municipal waste (222 million tons) to landfills, while China is catching up, with 43 percent of its waste going to landfills (148 million tons). (China has a growing waste problem, with now 65 percent of its cities on the edge of landfills, according to Time.)

It is estimated that the U.S alone could have around 10,000 abandoned landfills which are a potential hazard to those that live nearby. But according to the United Nations Environmental Protection Programme (UNEP), that number could be even higher. According to UNEP, "tens of thousands of square kilometers of land" worldwide have been contaminated to date by inadequate landfills and the unsafe handling of hazardous waste.

The agency says the U.S could have as many as 40,000 of them, with six European countries having another 55,000. (According to WasteAge, less than 10 percent to 15 percent of closed U.S. landfills ever get redeveloped.)

The developing world's landfill problems are getting increasingly severe, too, UNEP says. It points out that in Latin America, two-fifths of landfills that exist "do not meet even minimum standards, and are little more than rubbish tips," UNEP says. While in Africa, anything up to 80 percent of solid waste is left out in the open, presumably untreated.

Some governments around the world have come to the conclusion in recent years that securing old landfills -- by redeveloping them (or regenerating, as it is known) into something else -- is better than doing nothing at all.

Landfills have been redeveloped over the years with varying degrees of success. (Around 70 golf courses in the U.S. used to be landfill sites, according to WasteAge). According to the Scotsman newspaper, a landfill site in Glasgow has drawn ire from locals over the years who suspect that it's toxic waste could be responsible for Down's syndrome births in the surrounding areas. The locals have more reason to be cheerful these days, however, since the local county council decided to transform it into the UK's largest urban forest.

Liverpool is another city in the UK that was heralded for its decision to build a park on top of its old landfill. Even Fresh Kills, in New York, which before its closure in 2001 was given the accolade of the world's biggest landfill (covering 3.5 square miles, with 225-feet high towers of trash and allegedly viewable by space) is being primed for development as an urban paradise -- although it could take up to 20 years to bear fruit.

According to the Sierra Club, the Center for Urban Restoration Ecology (CURE), lacking the funding to fully regenerate the Fresh Kills site, set out to see if it could prompt natural forces to take care of it for them back in the early 1990s. CURE planted a small number of trees and shrubs to attract birds, bees and small mammals to it in the hope that they in turn could drop more seeds to develop it further. (As CURE's director said in an interview with Sierra Club, "We wanted to find out if we could enlist the birds as landscape architects.")

All seems to be going well there so far. But in Thailand, it's another story and perhaps there is a lesson here for any governments looking to regenerate their landfills on a more ambitious scale. Cracks have been appearing in the runway at Bangkok Airport, according to Time, delaying take-offs and disrupting schedules. It turns out Suvarnabhumi International is sitting on a landfill -- which may be sinking. E-mail to a friend

Sources: WasteAge, Time, Sierra Club, CNN.com, Scotsman, Treehugger.com, Environmental Protection Agency, United Nations Environmental Protection Programme, Project Integra, ToxicsAction.org, PlanetArk

@highlight

China and U.S landfill more waste than any other countries

@highlight

Landfills are the biggest emitters of the greenhouse gas, methane

@highlight

Higher incidences of cancer, other diseases amongst people living near landfills

@highlight

"Tens of thousands of square kilometers" of land could be contaminated