Seven years after a disastrous response to Hurricane Katrina, the Federal Emergency Management Agency is winning praise for how it's dealing with Superstorm Sandy.

"This is the all-new FEMA, and the leadership is very, very good, very focused," said Dr. Irwin Redlener, a pediatrician and director of the National Center for Disaster Preparedness at Columbia University's Mailman School of Public Health. "They're doing an excellent job."

Score one for FEMA's attempts to come back from its infamous failure after Katrina struck the Gulf Coast in August 2005.

But the post-Sandy reviews for FEMA aren't all moonlight and roses.

As Secretary of Homeland Security Janet Napolitano -- whose department oversees FEMA --  is expected to visit the region Friday, many survivors in hard-hit places are angry.

More than three days after the storm, they're mad about the lack of electricity, lack of information and the lack of gasoline to run generators.

What's going on, said FEMA Administrator Craig Fugate, is part of a priority system.

Search-and-rescue operations take priority over providing assistance, and searches are still going on, Fugate told CNN's Erin Burnett on Thursday night. Assistance for survivors "is being made," he said, "but we haven't reached everybody. Until we do, we're not stopping."

However, FEMA has "been starting to get emergency fuels in for the generators and for the responders," Fugate added.

In 2005, FEMA's slow and disengaged response was a major embarrassment for the George W. Bush administration, particularly when top officials admitted they were unaware of thousands of people stranded at a convention center in New Orleans without food and water, days after the storm hit.

To be fair, the two storms were very different. Katrina hit Louisiana with much more force, and the population of the Northeast U.S. eclipses Katrina's target area.

After Katrina, a Senate investigation found that FEMA was shorthanded, failed to commit enough people to prepare for the oncoming storm, didn't have enough supplies in position and had poor communication with state and local authorities. Its director at the time, Michael Brown, had little emergency management experience before being named to the agency's top job in 2003.

By contrast, Fugate came to Washington after eight years as emergency management director in Florida, where he dealt with several hurricanes.

One of the post-Katrina reforms passed by Congress was to require that FEMA administrator have an experienced chief, said Bruce Lockwood, an officer with the U.S. Council of the International Association of Emergency Managers.

"It couldn't be just a political appointee," Lockwood said. "It had to be somebody who had a practitioner background in emergency management or public safety field. It had to be somebody who knew what they were doing before they got into that position."

Even in the highly charged political environment days before the U.S. elections, FEMA has won plaudits from governors of both parties.

New Jersey's Chris Christie -- a Republican whose state bore the brunt of the storm -- told CBS News on Tuesday that "cooperation has been great with FEMA here on the ground," while Delaware's Jack Markell -- a Democrat -- told CNN that people in his state have been "really, really impressed by the response of FEMA."

'Leaning forward'

The agency is now aimed at "leaning forward," moving supplies like food, water, generators, blankets and cots into an expected disaster zone ahead of time, said Lockwood, the deputy emergency management director in New Hartford, Connecticut.

"Before, they would have to wait for a call from a state before they started moving material," he said. They still need a request from a state to distribute those supplies, but "They have things on the ready in a very immediate location."

In New York, for example, FEMA has publicized assistance, including rental payments for those whose homes are uninhabitable. Individuals can apply for grants for home repairs and to meet disaster-related needs. Money also is available for construction of a home.

FEMA set up online pages for Connecticut, New York and New Jersey storm victims.

But not everyone is happy with the Sandy response by governments.

Staten Island Borough President James Molinaro said Thursday that residents did not receive timely information on how to get food, shelter and tools for putting their lives back together.

"There was no one there to answer these questions," Molinaro said. "I need answers, and the people need answers."

On Friday, Napolitano is expected to visit Staten Island with FEMA Deputy Administrator Richard Serino to meet with state and local officials about response and recovery.

Ten buses stocked with needed goods were transported to the island Thursday, and FEMA has promised to have a team working with Molinaro on the ground Friday, he said.

The 2,200 people FEMA says it has poured into dealing with Sandy are about as many as it had on its entire payroll at the time of Katrina. The agency also has improved ties with its state and local counterparts as well as other arms of the federal government, said Redlener, the Columbia University disaster preparedness center director.

In addition, Fugate "has been able to attract staff back into the agency, and they have a very competent midlevel management layer to help organize efforts," Redlener said.  "They're still probably underfunded, but their staffing is much, much better," he said.

FEMA's current budget is about $7 billion.

For Sandy, the agency said nine task forces were supporting local search-and-rescue operations. FEMA mobile units are providing logistics support for response efforts.

"Community relations teams are on the ground in the hardest-hit areas of the mid-Atlantic going door-to-door to inform disaster survivors about available services and resources and to gather situational awareness," FEMA said in a statement issued Wednesday.

Lessons learned

By comparison, at the time of Katrina, FEMA had manpower and planning problems and confusion about the roles of officials in responding to disasters, according to a 2006 report by the Department of Homeland Security's inspector general.

The report said that with the destruction of communications infrastructure, it took FEMA officials about three days after Katrina's landfall to grasp the magnitude of the hurricane's destruction.

The report cited shortcomings with delivering housing and being prepared to conduct a massive search-and-rescue function. The Katrina report, which made 38 recommendations, said FEMA needed to improve the tracking of supplies.

The experts said it appears that lessons have been learned.

Lockwood said Fugate's philosophy has been that FEMA "is not the team -- they are part of the team."

"That's one of the biggest things that has come out post-Katrina," he said. "There is a cooperative relationship now between local, state and federal agencies to meet the need and fill the gaps."

FEMA's recent performance also won high marks from a former chief, James Lee Witt, who led the agency during the Clinton administration.

"I think the most important thing that FEMA has already done is to have people in the emergency operation centers, and the prestaged equipment, and following whatever resources the states are going to need to start the process of recovery," Witt told CNN 's "Starting Point."

Sandy hit the New Jersey coastline Monday night with 80 mph winds at its center, but it spread destruction across a broad swath of the eastern United States.

The storm smashed beach resorts on the Jersey Shore and flooded Manhattan subway tunnels, felled trees as far south as North Carolina, dumped heavy snow on the highlands of West Virginia and sent debris flying through the streets of Toronto.

@highlight

FEMA chief says search-and-rescue operations taking priority, some fuel being supplied

@highlight

Republican and Democratic officials praise FEMA's response to Sandy

@highlight

The agency's performance after Hurricane Katrina forced reforms

@highlight

It's now "leaning forward" and has closer ties with state and local counterparts