(CNN) -- Tunisia, the country where the wave of popular Arab discontent started and spread, will fittingly hold the Arab Spring's first election Sunday, a contest pitting secularists against Islamists.

The vote for a National Constituent Assembly is being billed as the freest and fairest since the strongman who ruled Tunisia for nearly a quarter century, Zine el-Abidine Ben Ali, was overthrown by street protests last January.

Candidates are competing for 218 seats in the assembly, which will be charged with writing a new constitution and probably deciding the structure of Tunisia's future government. Scores of political parties and independent candidates are competing in the contest. Voting began a couple of days ago in the Tunisian diaspora.

The winners will be tasked with confronting severe domestic problems front and center after the self-immolation in December of a fruit vendor whose cart had been seized by police. The vendor, Mohamed Bouazizi, died in early January. His fiery suicide touched off a firestorm among Tunisians fed up with corruption, high unemployment and escalating food prices.

The Tunisian ferment sparked uprisings in North Africa, where Egyptian President Hosni Mubarak and the Moammar Gadhafi-led Libyan regime were ousted, and public anger in the Middle East, where anti-government protesters have taken to the streets in Syria, Yemen and Bahrain. The collective unrest has been dubbed the Arab Spring.

The political debate has been robust during election campaigning and violence has erupted. Islamist groups protested in Tunis this month after a TV network broadcast an animated film called "Persepolis," which at one point depicts God, regarded as an act of blasphemy to many Muslims. Police intervened with tear gas.

A subsequent march by Muslim Salafist groups on the prime minister's office was dispersed. Also, there was an attack on the home of the TV station's owner.

Ennahada, the most prominent Islamist party, condemned the violence but did not criticize the protests.

Amid such tumult, public opinion across Tunisia has been frank and diverse.

Balti, one of Tunisia's most popular rappers and a supporter of the Tunisian revolution, told CNN he doesn't plan to vote.

"I don't trust any of these political parties," he said. "Especially the parties that are using religion to get through to the hearts and minds of the people."

In contrast, his sound engineer plans to vote for Ennahada, strongly supported in provincial cities and among the working classes.

"We are a Muslim country. Our language is Arabic. And Ennahada is close to Islam," said M.D.M.C. "I want religion to play a bigger role in Tunisian society."

Ennahada consistently wins popularity polls but for many it raises fears. One controversial ad raised the specter of an Islamist society where restaurants are empty of foreign tourists and women lose the right to have jobs or shun headscarves.

Ahmed Najib Chebbi, a leading secularist politician, said he believes "we live with this threat" from Islamist parties.

But Rachid Ghanouchi, the leader of Ennahada, said there's been a "fear-mongering campaign" against his group.

"They use scare tactics to frighten businessmen, women, and foreign countries, but I don't think this has worked."

A strong showing for Ennahada would encourage other Islamists in the region.

It also would raise questions about Islamism and democracy.

Would Ennahada impose a conservative social code on what is one of the most secular and industrialized Arab countries? Or would it follow the model of Turkey's ruling Justice and Development Party, showing that Islam and democracy are compatible?

Ghanouchi, who returned to Tunisia in January after two decades in exile, said there if his party comes to power, it won't impose a religious lifestyle on the more secular parts of the country. He has promised to protect women's rights and work with other political parties.

"Get to know us, not through what others say but through our actions. Give us a chance before you judge us," he said.

CNN's Ivan Watson, Tim Lister, and Joe Sterling contributed to this report

@highlight

The Arab Spring began in Tunisia last winter

@highlight

Secularists and Islamists are vying for seats

@highlight

One Islamist leader says, "Get to know us"