(CNN) -- Icy beers, empty beaches.

It's a compelling image, but it captures only a feeble percentage of the diversity and excellence that imbues one of the most incredible countries in the world.

Here are 10 things Mexico does better than anywhere else.

Celebrating death

Plenty of cultures do ancestor worship.

But who else turns the commemoration of their dearly departed into an annual fiesta of art, food and community?

On November 1, aka the Day of the Dead, Mexicans put together ofrendas (shrines) for loved ones who have passed away.

Every ofrenda includes pictures of the deceased, food, drinks, skull-shaped candies, candles and cempasuchil, the Aztec marigold or flower of the dead.

The belief is that souls of children come back to earth to visit family and friends on November 1 and the souls of adults do the same on November 2.

Day of the Dead festivals take place across Mexico. Three of the most elaborate are held in San Andrés Mixquic (in Tláhuac, Mexico City), Patzcuaro, Michoacán and Janitzio, Michoacán.

Horn sections

From symphony orchestras to oompah bands to soul and R&B horn sections, everyone loves a blast of brass.

Whereas most countries tend to save their horns for parties and special occasions, however, Mexico kicks out the brass jams on a daily basis.

Where else can you hear tubas -- actual tubas! -- laying down bass lines on the radio every hour of the week?

It all comes down to bandas, the heart of both traditional and popular genres of Mexican music.

Bandas are typically comprised of 10 to 20 musicians who play brass instruments, woodwinds and various percussion.

Every Mexico traveler is charmed by mariachi, but bandas are a part of several broader genres, the most characteristic being ranchera, quebradita and corridos.

Tequila

Mexico's national liquor is a worldwide bar standard, with exports to 96 countries.

But don't come to Mexico expecting to impress locals by chugging a syrupy sweet margarita or knocking down manly shots all night.

Tequila is meant to be sipped and savored, like fine whiskey, which, as any Mexican will tell you, the best tequila can compete with.

You can get a taste of the top-shelf stuff on the Tequila Trail, which includes some of the country's most renowned distilleries.

Alternates are The Tequila Express tour operated by Casa Herradura and the Jose Cuervo Express tour.

Curing hangovers

Mexican parties are notorious for going berserk in the blink of a bleary eye.

That, of course, leads to a familiar disaster the following morning.

Fortunately, Mexico's kitchens spring to life with the best hangover grub on the planet.

Wake up, guzzle water then inhale some spicy chilaquiles, carnitas (pork) or barbacoa (sheep) tacos with hot sauce and plenty of revitalizing grease -- maybe slam a light breakfast beer if you're in really rough shape -- and you'll be back making requests from the band by nightfall.

Double entendre (Albur)

Called "albur" in Spanish, double entendre isn't just a linguistic trick for Mexicans, it's an art form requiring a nimble mind and the ability to convey smart but subtle messages, often laced with sexual or R-rated undertones.

Many languages, of course, employ veiled connotations and witty wordplay.

But albur is so important in Mexico that there's a national tournament to crown the best alburero.

The current champ is Lourdes Ruiz, who's won the competition every year since 1997, defeating men and women. She even teaches albur courses.

Still not convinced Mexicans take double entendre more seriously than anyone else?

What other country has a day devoted to the subtle intricacies of its language?

In Mexico, Albur's Day is celebrated on March 1.

Diplomado de Albures Finos (Course of Fine/Classy Albures) classes are held at the Galería José María Velasco (Peralvillo 55, colonia Morelos, Tepito, Mexico City); free admission; participants receive a diploma.

Catholicism

Vatican City does a pretty fair job as the center of the faith and it has some decent paintings on its ceiling. But its population of 800 souls isn't exactly staggering.

Mexico, by contrast, ranks second in the world for number of Catholics (Brazil is first, the Philippines third) and, according to the National Institute of Statistics and Geography of Mexico, 83.9% of the Mexicans are Catholic.

Nothing says "Mexican Catholic" like a reverence for the country's seemingly endless manifestations of the Virgin Mary.

Which may be why the priest Miguel Hidalgo carried a symbolic flag of Guadalupe when he led the opening stages of the Mexican War of Independence in 1810.

Our Lady of Guadalupe is the most venerated Virgin in Mexico, maybe the world.

The Basilica of Our Lady of Guadalupe in Mexico City is also one of the most important pilgrimage sites in Mexico, reportedly the most visited Marian shrine in the world.

Each December 12, about 5 million pilgrims from across Mexico visit the Basilica to thank the Virgin for her favors or to ask for a miracle.

Basilica of Our Lady of Gaudalupe, Plaza de las Americas 1, Col. Villa de Guadalupe, Delegación Gustavo A. Madero, Mexico City; +52 55 5118 0500

Quick lunches

Known around the country as Vitamin T, tacos, tortas, tamales and tostadas are part of the everyday life.

Mexicans are constantly on the go, so it's no wonder puestos and changarros (food stands) can be found on practically every corner.

It doesn't matter if you're in the subway, leaving school or taking a lunch break away from the office -- Mexico's streets offer endless options for a fast and delicious meal cooked right in front of you with super-fresh ingredients.

Soap operas

In 1958, Telesistema Mexicano produced "Senda Prohibida" ("Forbidden Path"), the first Mexican telenovela (soap opera).

Fifty-six years later, its successor Televisa has produced a whopping 740 telenovelas.

The formula hasn't changed much.

A man and woman fall in love but, for tragic reasons, can't be together. After overcoming obstacles they finally get married.

Fifteen years after exporting its first soap opera, "Los Ricos Tambien Lloran" ("The Rich Cry Too"), Televisa has found a rich market outside Mexico.

Of all countries that export soap operas, Mexico ships out the most, carving niches in other Spanish-speaking countries, as well as China, the Philippines, Israel and Saudi Arabia. (Link in Spanish.)

Televisa isn't the only network producing successful telenovelas.

TV Azteca and Argos Comunicación also create top-notch weepers.

Wrestling costumes

Professional wrestling (lucha libre) may be more Hollywood north of the border, and grittier in other countries, but nowhere is it as full of pathos as in Mexico.

Those hilarious/spooky masks aren't just fun to look at, they're a major part of the drama.

Removing one from an opponent's head is one of the greatest triumphs and most thrilling moments in lucha libre.

Matches are held at Arena Mexico in Mexico City on Tuesdays (7:30 p.m.), Fridays (8:30 p.m.) and Sundays (5 p.m.). Tickets can be purchased from Ticketmaster.

Polite lies

Mexicans' deep fear of appearing rude has given us a bred-in-the-bone aversion to uttering the word "no."

Instead -- and unfortunately for those unfamiliar with the rules of courtesy here -- we've developed a talent for white lies that allow us to say yes to fulfilling any request.

Even if we can't do anything about it.

White lies can be as clichéd as "the dog ate my homework" or as morbid as "my beloved great aunt has suddenly developed pancreatic cancer."

But the granddaddy of polite lies is "ahorita."

"Ahorita" literally means "right now," but it's almost never that.

When a Mexican tells you they'll do something "ahorita," be prepared to take a seat, because the wait can be long.

Think of ahorita as the Mexican art of procrastination -- it's been passed from generation to generation -- a term that can mean anything from "in 10 minutes" to "in three weeks."

Ahorita's cousin in crime is "I'm on my way."

This really means, "I'm on my way to finishing this TV show, maybe getting off the couch, calling my sister, taking a shower, grabbing a snack and actually leaving home to meet you."

You've been warned -- we're great at it!

What do you love most about Mexico? Leave a comment.

Karla Villegas Gama is a Mexican journalist who writes for CNN International, CNNMéxico and CNN en Español. She's a regular contributor to several Mexican magazines and is the only Latin American journalist and youngest ever to be nominated for the LPGA Global Media Awards.

@highlight

Day of the Dead is a Mexican tradition to honor loved ones who have passed on with art, food and communal activities

@highlight

Not all tequila is for slamming -- the best stuff can compete with a fine whiskey and should be savored

@highlight

Tacos, tortas, tamales and tostadas -- no lunch ever came quicker, or more satisfying, than one provided by Vitamin T