(CNN) -- Imagine a warm brew of lager so heady you had to plunge a straw through the thick surface scum to get to the fermented liquor below.

Welcome to the favored brew of ancient Egypt's New Kingdom; a 3,200-year-old barley beer that a new archaeological find this month is shedding new light on.

A Japanese team headed by Jiro Kondo of Waseda University stumbled on the tomb of ancient beer-maker Khonso Em Heb while cleaning the courtyard of another tomb at the Thebes necropolis in the Egyptian city of Luxor.

The tomb, replete with highly colored frescoes, is being hailed as one of the most significant finds of recent times.

Egypt's antiquities minister Mohamed Ibrahim described Khonso Em Heb as the chief "maker of beer for gods of the dead" adding that the tomb's chambers contain "fabulous designs and colors, reflecting details of daily life... along with their religious rituals."

One fresco shows Khonso Em Heb -- who apart from being a brewer, headed the royal storehouses during the pharaonic Ramesside period (1,292--1,069 BC) -- making offerings to the gods along with his wife and daughter.

The newly discovered tomb is to be placed under tight security until the excavation work is completed, the ministry said in a press statement.

Read more: How not to do a desert adventure

According to Professor Poo Mun Chou, a leading Egyptologist at Hong Kong's Chinese University, the discovery is not only significant in terms of what it tells archaeologists about life during the New Kingdom period of Ancient Egypt, but marks a new direction for Egypt's beleaguered antiquities ministry.

Still reeling from a disastrous break-in at the Cairo Museum in 2011 --- when looters smashed two mummies and made off with more than 50 artifacts --- Egypt's Supreme Council of Antiquities had slapped stringent restrictions on archaeological digs.

For Professor Poo, the latest discovery is a sign that archeology in Egypt may be returning to normal.

"The significance in this find is that for quite some time archaeologists haven't been able to excavate an intact tomb," he said.

"An intact tomb will give us a more complete view of the funerary customs which can be compared with other tomb paintings."

He said the frescoes were well preserved.

"The Supreme Council of Antiquities has for some time had a policy of not excavating new tombs but preserving those tombs that have already been excavated.

"This is a new find and is quite unexpected."

Apart from the recent political turmoil in Egypt, which has led to a surge in the number of illegal digs and antiquities damaged by looters, Professor Poo said the sheer speed with which new discoveries were being made had meant the government was having difficulty keeping up with logging and preserving the finds.

Read more: Razing the dead in Bahrain

Add to this the problem of protecting ancient tombs, which begin to degrade the moment they are opened, and Egypt's antiquities authorities have their work cut out for them.

"In Egypt, of course, the dry weather means the danger of this is less, but still after some time the color of the painting begins to fade away.

"That is why Egypt now has a stricter policy."

While foreign archaeological teams are still operating in Egypt, the political climate has made it more difficult for them to do their work.

Even the International Association of Egyptologists (IAE) was told late last year that Egypt --- because of the political situation --- was unable to host the 2014 International Congress of Egyptologists.

The IAE is currently seeking bids for a second country to host the prestigious congress.

Meanwhile, historians and archaeologists are making use of the latest find while it is still available to be studied.

"Alcohol in ancient Egypt was very important -- not just in terms of daily consumption but also as an offering to deities. Beer, in particular was very important," said Poo.

"Beer during the New Kingdom period was probably one-fifth or even one-tenth the price of wine making it a very popular drink for people of all social strata."

Read more: Graffiti transforms Cairo's streets

While the appeal of beer across all social classes remains to this day, Professor Poo says the modern drinker might struggle to recognize the barley or millet-based beverage of ancient times.

"While it's a close cousin to modern beer, it's manufacture was more primitive and they had to use a tube to extract the liquid from below which would have had a fermented layer of substance floating on the top of the jar," he said.

"It would have had bubbles," he added.

@highlight

Japanese archeologists unearth tomb of pharaonic beer brewer in Luxor

@highlight

Hailed as one of the most significant finds of its time

@highlight

Tomb of Khonso Em Heb painted with frescoes; beer would have been very different from today's

@highlight

Egypt has struggled to keep tabs on its antiquities since 2011 revolution