(CNN) -- People don't generally care what politicians read. But Rep. Paul Ryan is different. His fascination with the Russian-born novelist Ayn Rand could spell trouble for the GOP's new vice-presidential candidate. It could put him at odds with the Christian right and the Roman Catholic Church.

It all depends how much you believe that he is in the thrall of Ayn Rand.

Rand (1905-1982) is controversial because of the extremism of her views. In researching my recent book, I found that Rand's influence on the Republican Party, which dates back as far as her endorsement of Wendell Willkie in 1940, has been sharply growing, largely due to her vise-like hold on the imagination of the tea party and people like Ryan.

Rand was the author of two best-selling novels, "The Fountainhead" and "Atlas Shrugged." These books, along with her other novels and essays, set forth an ideology which she called objectivism. Her books have sold in the millions and appeal to people ranging from Silicon Valley entrepreneurs to the rock band Rush. (Rush's lyricist and drummer, Neil Peart, only this year renounced his interest in Rand, three decades after writing the songs her work inspired.)

College students notoriously go through an "Ayn Rand phase" because her books emphasize self-reliance and breaking away from one's parents. For most people, it's a kind of literary infatuation. But for a few, Rand becomes a lifelong passion.

Bennett: Why Paul Ryan?

What made her books controversial is not violence or sex, though both "Fountainhead" and "Atlas" have their share of bodice-ripping, but an extremist vision of America that celebrated greed and selfishness, rejected altruism as "evil" and opposed the fundamental tenets of Judeo-Christian morality. (She was also a militant atheist who favored abortion.)

Paul Ryan says that he read her books as a youth but was not influenced by her. In April, he gave an interview to National Review in which he repudiated Rand entirely. In the interview, he called reports of his adherence to Rand's views an "urban legend" and said that he was more deeply influenced by his Roman Catholic faith and by Thomas Aquinas.

But that's not the way he was talking in 2005, when he gave a speech to the Atlas Society, a group dedicated to promoting Rand's beliefs.

In that speech, Ryan said, "I grew up reading Ayn Rand and it taught me quite a bit about who I am and what my value systems are and what my beliefs are. It's inspired me so much that it's required reading in my office for all my interns and my staff."

He went on to say that "the reason I got involved in public service, by and large, if I had to credit one thinker, one person, it would be Ayn Rand. And the fight we are in here, make no mistake about it, is a fight of individualism versus collectivism."

Avlon: Paul Ryan will shift the campaign dynamic

Ryan very succinctly summed up the Randian worldview in those remarks. Rand painted the world in stark terms, as a struggle between the individual and the collective.

In "The Fountainhead," which was published in 1943, her hero was an architect, Howard Roark, who pursued his vision despite opposition from the media and the architectural establishment. He dislikes money and status and is solely focused on seeing his vision expressed through his work. He even allows another architect to take the credit for a public housing project that he designed. But when the project is not built according to his wishes, he blows it up.

The book was widely denounced as amoral when it came out, but it had enough wide appeal that it was adapted into a 1949 movie with Gary Cooper as Roark and Patricia Neal as his love interest. But the stir that it caused when it came out was nothing like the explosion of fury that greeted "Atlas Shrugged" when it was published in 1957. That book advanced her belief that laissez-faire capitalism, unsullied by government interference or regulation, was the only moral social system.

Unlike the sometimes impoverished architect in "Fountainhead," the heroes of "Atlas Shrugged" were millionaires and industrialists, depicted as a degraded class who had to strike to throw off the yoke of oppression. The heroes of that book included a noble railroad heiress, Dagny Taggart, and a struggling steel tycoon, Hank Rearden, but they are overshadowed by a character who emerges toward the end, John Galt, an inventor who leads the downtrodden 1% on a strike.

Castellanos: Paul Ryan and Gen X GOP

Rand further expounded on her beliefs in essays that were published in her newsletters, and in anthologies with titles like "The Virtue of Selfishness" and "Capitalism: The Unknown Ideal." The latter, first published in 1966, contained three essays by Alan Greenspan, one of which argued forcefully against all forms of regulation, even building codes. These essays were published by Rand and reflected her thinking. His strident essays for that book, which he has never repudiated or withdrawn from publication, were echoed by his actions in the 1990s as a principal supporter of financial deregulation in his capacity as chairman of the Federal Reserve.

In a famous appearance before a congressional committee in 2008, Rep. Henry Waxman, D-California, asked Greenspan, "Do you feel that your ideology pushed you to make decisions that you wish you had not made?" Greenspan conceded that there was a "flaw" in his belief system, which was widely cited as a repudiation of Rand, who was his friend for 30 years.

In April 2010, appearing before the Financial Crisis Inquiry Commission, he denied that he had ever repudiated his ideology. "The flaw in the system that I acknowledged was an inability to fully understand the state and extent of potential risks that were as yet untested," he said.

Granderson: Why America doesn't like Mitt Romney

Greenspan didn't mention Rand by name, but in an interview that same month he was asked if the financial crisis was "an indictment of Ayn Rand and the view that laissez-faire capitalism can be expected to function properly, that markets can be trusted to police themselves?" His response: "Not at all."

Ryan's effort to put daylight between himself and Rand also reeks of history-rewriting. Certainly the speech he gave before the Atlas Society in 2005, in which he toed the Randian line, was no "urban legend." Ryan is no atheist, but atheism was at the core of her philosophy, because the teachings of the Bible simply do not jibe with her belief that selfishness is moral, greed is good and altruism is evil. It's not surprising that Ryan's budget plan, which cuts programs for the poor and middle class while imposing no new taxes on the rich, has been criticized by some in the Roman Catholic Church.

Paul Ryan can either be an objectivist or a Christian. He can't have it both ways. He faces a serious problem among Christians, moderate Republicans and others who dislike Rand's views if his expressions of support for Rand are believed, rather than his denials.

How do you feel about Romney selecting Ryan as his running mate? Share with us on CNN iReport.

The opinions expressed in this commentary are solely those of Gary Weiss.

@highlight

Ayn Rand was a Russian-born novelist whose work celebrated selfishness, says Gary Weiss

@highlight

In April, Paul Ryan called reports of his adherence to Rand's views an "urban legend"

@highlight

But in 2005 Ryan said she was "the reason I got involved in public service," says Weiss

@highlight

Weiss: That could put Ryan at odds with the Christian right and the Roman Catholic Church