(CNN)Barring a revelation from his parents or girlfriend, we may never know what was going through the mind of Andreas Lubitz in the moments leading up to the crash of Germanwings Flight 9525.

What we now know is that all indications point to Lubitz as the perpetrator of the crash, locking the pilot out of the cockpit and setting the aircraft on a fatal trajectory into a remote mountain range in the French Alps.

Every day, more details come to light, as the world struggles to make sense of why a 27-year-old German man would apparently choose to deliberately crash a plane with 150 people on board, including himself -- and remain so calm while doing it.

When investigators searched Lubitz's home in Dusseldorf, they found medical leave notes "slashed," suggesting Lubitz was hiding an illness or illnesses from his employers.

The dates for which Lubitz was excused from work included the day of the crash, though investigators have not yet revealed the reason he was excused, if any reason was written on the notes by his doctor.

We do know, from a German aviation source, that Lubitz passed his annual pilot recertification examination last summer.

An official with Lufthansa, the parent company of the budget airline Germanwings, said that the exam only tests physical health, not psychological health.

"He was 100% fit to fly without restrictions," Lufthansa CEO Carsten Spohr told reporters at press conference last week. "His flight performance was perfect. There was nothing to worry about."

Spohr added that Lubitz had "interrupted" his training, which he began in 2008. That break lasted several months, he said, but that such an interruption isn't uncommon.

Lubitz suffered from "generalized anxiety disorder," with severe depression symptoms dating back to 2009, according to French newspaper Le Parisien.

While the main medical clinic in Dusseldorf denies it was treating Lubitz for depression, German investigators found antidepressant medications in Lubitz's apartment, according to published reports that CNN has not yet been able to independently confirm.

Die Welt, a German newspaper, over the weekend cited an unidentified senior investigator, who said Lubitz suffered from "severe subjective burnout syndrome" and severe depression.

"Someone who has a significant depressive episode or depressive disorder will oftentimes get an antidepressant alone, and many times will have a good resolution of those symptoms," CNN Chief Medical Correspondent Dr. Sanjay Gupta told Poppy Harlow Sunday on "CNN Newsroom." "People who relapse or develop more of what is called a psychotic depression in addition may have symptoms of psychosis. Maybe they could be having delusions or hallucinations, but the idea is having breaks with reality."

One of the medications Lubitz was prescribed is said to be Agomelatine (an antidepressant medication), according to Le Perisien.

Antidepressants can sometimes make people suicidal, especially those suffering from schizophrenia and bipolar disorder. Other times, they can make patients manic or psychotic.

The drug's list of warnings and precautions include metabolic changes -- such as weight gain -- and the potential for cognitive and motor impairment. "Has potential to impair judgment, thinking and motor skills; use caution when operating machinery."

In 2010, Lubitz received Olanzpine injections (an antipsychotic medication) "to treat OCD," according to Le Perisien. Doctors advised Lubitz to be more active, practice a new sport and regain self-confidence.

"This is a powerful medication," said Gupta. "If this is true, it sort of reads into the severity of just how bad the psychosis was, at least at one point in his life."

There are other things besides psychosis for which the drug may be administered, but that's the most common use. One of the side effects is blurred vision.

Citing two officials with knowledge of the investigation, The New York Times Saturday reported that Lubitz sought treatment for vision problems that might have put his career at risk.

If he was prescribed this medication as an injectable five years ago, was now taking it as an oral antipsychotic and wasn't taking it because of it was causing these detrimental side effects, "that could be very concerning, as well," said Gupta.

Authorities have not ruled out that Lubitz's vision problem could have been psychosomatic.

Many people have been asking how likely it is that depression could result in this sort of horrific action.

In a word: "Unlikely," says Dr. Charles Raison, a professor of psychiatry at the University of Arizona.

"Most people would just kill themselves," he says. "It's very, very rare for depression to cause people to kill other people. This leads me to believe there's something else going on, like a personality character flaw."

Forensic psychologist Jeff Gardere agrees.

"It has to be a very severe depression to the point that there's a psychosis that's a result of that depression," he says. "That's different than the schizophrenia part of psychosis. With this kind of depression, it's so deep that you actually break with reality."

Remember, Lubitz was in his late 20s -- and the odds of mental illness presenting at this age are much higher for someone in their 20s or 30s.

"Sometimes people lose touch with reality slowly. Other times, they lose touch really quickly," says Raison. "Bipolar psychotic states can develop in as little as a day or two. I'm most curious what was going on in this guy's life the week before this happened. Did anyone see any changes with his behavior? Did he stop sleeping? There's a pretty good chance something would come up in speaking with the people in his life."

"If a story doesn't make sense, it means you don't have the real story," says Raison. "Even people who are psychotic will tell you a crazy story. It's crazy, but it makes sense."

More details are needed on Lubitz's story.

Perhaps the most chilling revelation so far is that Lubitz not only decided to do what he did, but that he ignored the pilot's pleas to think about the lives on board and change his mind.

"It tells you he's at peace with what he's doing," says Raison. "If you were uncertain or anxious, you might still open the cabin door (when the pilot was banging on the door and yelling to be let in). Calm determination to do this tells you he really believed in what he was doing."

"If you look at school shooters, they go into a dissociative state," says Gardere. "They've been planning for quite some time. They go into this personality where they can calmly go into murder mode -- robotic and calm. Even when they're shooting or doing something rageful, they behave in a calm manner. (Lubitz) knew when he got onto that plane that he wasn't coming back."

On Monday, Britain's most senior psychiatrist told CNN's Christiane Amanpour that when a pilot is "acutely depressed or suffering from... any mental illness" that impairs his or her ability to fly, he or she cannot fly an aircraft.

"We don't let pilots fly with depression, not because we're worried that they're going to murder everybody on board. That's such an extraordinary possibility that -- that's not depression -- but because they're impaired in concentration, memory and attention, which isn't good for a pilot," said Sir Simon Wessely, president of the Royal College of Psychiatrists and an adviser to the British army.

Wessely added that the Germanwings plane crash might open a discussion on "relaxing the laws of (doctor-patient) confidentiality in different countries," though in the United Kingdom, as well as in many other countries, a doctor is obliged to go to the authorities if he or she believes that people are genuinely being put at risk by one of their patients.

CNN's John Bonifield contributed to this report.

@highlight

Investigators believe Andreas Lubitz deliberately crashed Germanwings Flight 9525, killing himself and 149 others

@highlight

Lubitz suffered from anxiety and depression symptoms dating back to 2009, French newspaper reported

@highlight

Doctor: It's 'rare for depression to cause people to kill other people'