(CNN) -- When I saw the story, my jaw dropped.

Has journalism deteriorated so badly that Barack Obama's campaign aides are allowed to send quotes to reporters that "come back redacted, stripped of colorful metaphors, colloquial language and anything even mildly provocative," as The New York Times reported.

It's called "quote approval," and it's quite a problem.

It's also, as the Times noted, not a practice limited to Team Obama.

"Quote approval is standard practice for the Obama campaign, used by many top strategists and almost all midlevel aides in Chicago and at the White House," the story reported. "It is also commonplace throughout Washington and on the campaign trail." Some Mitt Romney staffers are afforded the same privilege, the Times said.

Dan Rather: Quote approval a media sellout

Ten years ago when I was White House press secretary, before Twitter and Facebook, in an era when reporters used to pick up their phones to conduct interviews as opposed to e-mailing, I would have been laughed out of the briefing room if I tried to get quote approval for something I said.

Occasionally, I talked on background as a senior administration official, but no reporter would ever let me pick and choose which on-the-record quotes they could use nor would anyone let me edit or clean up a quote.

My how things have changed -- and the change began, it's important to note -- toward the end of the second term of George W. Bush.

Peter Baker, another reporter at The New York Times who has covered the last three White Houses, told me in an (on-the-record) interview that quote approval evolved from something beneficial to a "pernicious practice to be avoided."

Like Prohibition, it began with good intent.

Reporters covering Bush's second term, under pressure from editors not to use unnamed sources in their stories, started asking their sources if a background quote, attributed to a senior aide, could instead be turned into an on-the-record quote, with the aide's name in print. I e-mailed last week with several former Bush staffers and many confirmed they engaged in that practice.

For a very limited number of the most senior aides, that made sense.

Let's say a reporter is talking to a knowledgeable aide at the National Security Council who won't speak for attribution, because their job is not to talk to the press. Their boss won't like it if they do, or their phone will ring off the hook with 20 other reporters who want to turn the aide into a press secretary. But the aide will talk to an occasional reporter because their conversation, often about complicated policy matters, may inform the reporter and lead to a more accurate, more nuanced story. But since the reporter can't quote the official by name, and editors don't want to use unnamed sources, what's a reporter to do?

So reporters began pushing back, persuading staffers to let one sentence be quoted by name. The sentence was e-mailed to the aide, and when permission was granted to use it, quote approval among the most senior aides got started.

Sunday's Media monitor

But pushback has now turned into quote approval for almost everyone, even when the story isn't nuanced or complicated, and that's where the problem begins. Reporters are easily acquiescing today to midlevel aides who seek quote approval.

These aides aren't talking to make certain a story is more nuanced or better informed. They're doing it because they want more control of the story or to clean up a sloppy quote -- and because reporters let them.

Baker called it an "effort to get more transparency but it's backfired. The town has found a convenient way to control the press," he said, referring to people throughout Washington and on the campaign trail.

As a former press secretary, I'm all for trying to control the press, but quote approval goes too far.

Ron Fournier, the editor-in-chief of the National Journal group, reportedly sent an e-mail to reporters who work for him declaring quote approval off limits. "Our policy and common sense dictate that we don't allow public officials to edit NJ coverage," he wrote.

The problem with quote approval is it's too easy. It turns the relationship between a source and a reporter entirely over to the source. And the practice has spread too far and wide. Too many staffers will speak only if their quotes are approved and too many reporters are happy to oblige.

The relationship between a source and the press will always resemble a tug-of-war. Since the early days of our republic, government officials and the media have clashed. It's part of the ongoing, generally healthy dynamic in our noisy democracy. Over time, the ground shifts and one party gains the upper hand, only to lose it back.

Of course, the media's focus on the trivial -- see coverage of Romney's trip to England -- makes sources fight even more for control, lest a sentence be misconstrued, exaggerated and hyperfocused.

But so long as reporters allow their sources quote approval, this round has been won by the sources.

The opinions expressed in this commentary are solely those of Ari Fleischer.

@highlight

Former White House press secretary says balance of power dominated by officials

@highlight

He says making reporters submit quotes in advance for approval goes too far

@highlight

Ari Fleischer says practice emerged out of ongoing tug-of-war inside the Beltway