(CNN)An Indiana jury sentenced a woman who says she had a miscarriage to 20 years in prison.

In 2013, Purvi Patel showed up at a hospital emergency room suffering from severe vaginal bleeding.  According to court documents, at first she denied that she had been pregnant but later told doctors that she had a miscarriage and delivered a stillborn fetus which, she said, she placed in a bag in a dumpster.

Patel was later charged with feticide and felony neglect of a dependent, though these charges are decidedly contradictory.  "Feticide" would require Patel to have terminated a pregnancy while the fetus was still in the womb.  On the other hand, "felony neglect of a dependent" requires delivering a live fetus and then neglecting it.

As Amanda Marcotte of Slate pointed out in February, Patel "was convicted both of killing a baby and killing a fetus."  The only thing more preposterous than this is that Patel was charged in the first place.

The evidence against her has been shaky from the start.  Initially, police questioned Patel when she was still in the hospital without an attorney present.  Prosecutors would later introduce text messages indicating that Patel had purchased miscarriage-inducing drugs, but there was no evidence Patel took the drugs.  In fact, they didn't show up in blood tests just after she miscarried.

Nonetheless, after five hours of deliberation, a jury convicted Patel of two entirely contradictory crimes based on entirely circumstantial  evidence.  And on March 30, 2015, she was given a 30-year-sentence on the felony neglect charge, 10 of which were suspended. She'll serve a concurrent six-year sentence for feticide.

Patel is the second pregnant woman to be charged under Indiana's anti-choice "feticide" law.  In 2011, Bei Bei Shuai was charged with feticide after she attempted to commit suicide when she was eight months pregnant.  In 2013, lawyers announced Shuai had reached a plea agreement just before her trial was set to begin.

Still, both cases presented troubled pregnant women who needed help from medical authorities and their government.  But Indiana's harsh anti-abortion laws, and the broader culture that seeks to control the decisions pregnant women can make about their own bodies, make women far less likely to reach out for this help.

Conservatives like to say that women are the "victims of abortion" and that laws such as the Indiana "feticide" measure are intended to "protect" them.  Years ago, the president of the anti-choice Susan B. Anthony List made assurances that the specter of women being prosecuted and jailed under anti-choice laws was nothing more than fearmongering by pro-choice activists.  The website of the Ohio Right to Life association similarly argues that "no one is interested in sending women to jail."

And in fact, the Indiana "feticide" law was plainly intended to criminalize "knowing or intentional termination of another's pregnancy."  But there's no escaping the reality it has been used to turn pregnant women into criminals.  So much for not sending women to jail.

Those who care about the rights of pregnant women should be deeply concerned.  After all, Patel was convicted based on text messages about miscarriage-inducing drugs, not evidence she had used or even purchased such drugs.

In Shuai's case, it was presumed that the intent of her attempted suicide was to terminate her pregnancy and thus she was charged with feticide.  So what else might be considered a "deliberate attempt" to terminate one's own pregnancy?  If a woman knew about the risks of too vigorous exercise and miscarriage but exercised anyway?  Merely googling abortion-inducing drugs?  Telling a friend you've thought about having an abortion?

The message from Purvi Patel's conviction is clear.

After all, there have always been and will always be women who try to terminate their pregnancies.  Laws like Indiana's and cases like Patel's don't change that.  What they do is make women hide, avoid medical attention and put their lives at even greater risk.

In Texas, which last year enacted some of the most restrictive anti-abortion laws in the nation and shuttered the majority of its abortion services clinics, abortion rates have indeed declined but not in proportion to the severity of such measures.  Researchers suggest that's partly because rates of self-abortion, which then go unreported in the statistics, are increasing.  And anecdotal evidence suggests this is the case.

Before Roe v. Wade made abortion legal in the United States, according to the Guttmacher Institute, the number of illegal abortions in the 1950s and 1960s ranged from 200,000 to 1.2 million per year. New anti-choice restrictions and prosecutions won't change the fact that women will sometimes choose to terminate their pregnancies.  It simply restricts their options to do so.

Ask yourself: In the case of Purvi Patel, even if she did intend to self-abort and used black market drugs to do so, and if she indeed delivered a live fetus, wouldn't we want to live in a society where she would bring that baby to the hospital for life-saving medical attention rather than be so afraid of prosecution that she threw it in a dumpster?

Purvi Patel is reportedly appealing her conviction.  We should all appeal to logic and sanity and compassion and repeal these horrid anti-choice, anti-pregnancy laws.

@highlight

Sally Kohn: Indiana jury sentenced woman to 20 years, charging her with feticide and neglect of a dependent after she miscarried

@highlight

She says absurd, unjust case makes pregnant women hide, avoid medical attention and put their lives at even greater risk