WASHINGTON (CNN)  -- A contrite head of the Federal Protective Service took the blame Wednesday for security lapses that allowed covert investigators to sneak bomb components into 10 federal government buildings.

A GAO report cites lax security in federal buildings after investigators got bomb components past guards.

The Government Accountability Office, which conducted the tests, testified that they showed the service to be "an agency in crisis."

Plainclothes investigators testing the effectiveness of private contract guards at federal office buildings were able to smuggle in bomb components in all 10 attempts. Only one investigator was stopped and questioned, but he was allowed to pass with the components of a liquid bomb.

Once inside the facilities, the testers assembled the bombs in restrooms, put them in briefcases and "walked freely" into government offices, according to the Government Accountability Office.  Watch undercover agent smuggle bomb »

Asked point-blank at a Senate hearing Wednesday why the security guards had failed, Protective Service Director Gary Schenkel said, "It's purely a lack of oversight on our part."

He added, "I take full responsibility. I am the director of the organization."

Schenkel, who assumed his post in early 2007, said the police force was hampered earlier this decade by major budget cuts, which forced the agency to reorganize how it protects 9,000 federal facilities nationwide.

Although police officers formerly protected federal buildings, the agency now uses a core cadre of 1,200 sworn federal officers or "inspectors" to oversee a small army of about 13,000 private security guards who man the X-ray machines and magnetometers at building entrances.

Department of Homeland Security put out an official statement Wednesday focusing on steps the Federal Protective Service is taking to improve the situation, but Schenkel was at times more negative, outlining some of the problems the agency faces.

The service, he said, used a "stubby pencil" system to keep track of guards, and it would take a "full year, I believe" for changes being made now to have an effect .

"When I came here, I made an analogy that we were a ship, and it takes 38 miles at sea to turn a ship, an aircraft carrier. I think we are probably on mile six, but we've certainly initiated the turn," he said.

Mark Goldstein of the Government Accountability Office testified about the investigators' operations.

"We brought in all the components that we needed to make a real bomb," he said, though the concentration of explosives was "below the trigger point" for safety reasons. Investigators obtained the components at local stores and over the Internet for less than $150, the report says.

"In a number of the locations -- three or four of them -- the guards were not even looking at the screens that would show materials passing through," Goldstein said.

"If a guard had been looking, they would have seen materials that are ordinarily not brought into a federal building, and should have stopped our investigators and asked, 'Why are you bringing these kinds of things into a fed building, and what is your purpose?' But in really no case did that occur.

"In only one instance did a guard ask about something that an investigator was carrying, [and] after a brief explanation, that guard let it go through," Goldstein said.

The covert agents then assembled bombs in the bathrooms, he said. "In some cases, bathrooms were locked, but federal employees let us in," he said.

Having assembled the bomb, typically in less than four minutes, the agents placed it an a briefcase "and walked around a variety of federal offices -- both legislative branch offices and executive branch offices in the four cities we went to," Goldstein said.

He blamed the lapses on an "antiquated approach" to security, saying federal building security is directed in part by the buildings' tenants, who form a committee to determine the appropriate level of security. So decisions are made "by people who, frankly, ought not be making them," he said.

He also said security is "budget-driven; it's not risk-driven."

But he shied away from recommending that the contract security jobs be federalized, a move the government took for airport security screeners following the September 11 terrorist attacks. That would be a policy decision, he said.

But he said the Protective Service was lax in assuring that security standards it set were followed by the private contract guards. Of 663 randomly selected guards, 411, or 62 percent, were missing some form of required certification, such as an up-to-date firearm qualification, background investigation or CPR or first aid training.

Included in the Government Accountability Office report is a photograph of a guard asleep at his post.

The report also detailed an instance in which a woman placed an infant in a carrier on an X-ray machine while retrieving identification. Because the guard was not paying attention and the machine's safety features had been disabled, the infant was sent through the X-ray machine, according to the report.

The Protective Service dismissed the guard, who sued the agency for failing to provide X-ray training. The agency lost the suit because it could not prove that the guard had been trained, the report says.

In one region, the service "has not provided the required eight hours of [X-ray] or magnetometer training to its 1,500 guards since 2004," the report says.

It report also says the service does not have a national guidance on how often its inspectors should check on the contract guards. In several instances, when inspectors have checked on guards, they found "instances of guards not complying with post orders."

In one case, the report says, a guard was caught using government computers to manage a for-profit adult Web site.

All of the buildings involved in the bomb smuggling test were "Level IV" buildings, meaning they house more than 450 federal employees and have a high volume of public contact. The Government Accountability Office has declined to identify the specific buildings "because of the sensitivity of some of the information," the report says.

After the report was obtained by CNN late Tuesday, ahead of its release Wednesday, Sen. Joseph Lieberman, I-Connecticut, chairman of the Homeland Security Committee, called the test results "simply unacceptable."

Added Sen. Susan Collins, R-Maine, "In this post-9/11 world that we're now living in, I can not imagine how security lapses of this magnitude were allowed to occur. "

Both Lieberman and Collins said they were putting the Federal Protective Service on a list of "high-risk" agencies and asked Schenkel to provide them with details of how he would fix the security lapses.

Although the investigators ensured that bombs assembled in the buildings would not explode, they later videotaped the detonation of several of the devices at a remote site to demonstrate the their destructive power.

@highlight

Report questions effectiveness of Federal Protective Service

@highlight

Plainclothes investigators test security at 10 federal buildings in 4 U.S. cities

@highlight

GAO agents able to assemble components in restrooms, enter offices

@highlight

Agency chief says changes made but effects won't be felt for months