(CNN) -- Fourteen people have died so far from the Ebola outbreak that began earlier this month in Western Uganda. According to the World Health Organization, the first case is believed to be from the Nyanswiga village in Nyamarunda, a sub-county of the Kibaale district of Uganda.

So far, 36 suspected cases have been reported, WHO spokesman Tariq Jasarevic said Tuesday.

Nine of the deaths are reported to have occurred in one household; a health official who was treating one of the patients also died. Unfortunately family members and health officials - those caring for the already sickened - are the most likely to be infected as well.

When was Ebola first discovered?

The Ebola virus was first detected in 1976 in the central African nation of Zaire (now the Democratic Republic of the Congo). The virus is named after a river in that country, where the first outbreak of the disease was found. There are five species of Ebola viruses, all named after the areas they were found in: Zaire, Sudan, Cote d'Ivoire, Bundibugyo and Reston, according to the WHO. (There can be different strains of Ebola within each species).

Health officials have determined that the Sudan species is the culprit in this current outbreak, which is among the three more lethal species of Ebola. The fatality ratios of Ebola hemorrhagic fever outbreaks in Africa are between 25% and 90%, according to a WHO fact sheet.

So far only the Reston species of Ebola has been found to infect humans and not cause serious illness or death.

What are the symptoms of Ebola and is there a cure?

Initial symptoms of Ebola can be mistaken for other illnesses like the flu because they can be very similar: sudden high fever, joint and muscle pain and sore throat. But Ebola victims then often get bloody diarrhea and/or start vomiting, followed by rashes, red eyes, and internal and external bleeding (bloody nose or gums).

Early reports from this outbreak suggest more patients were suffering from vomiting and diarrhea than visible external bleeding. But health officials caution that information about this outbreak is still very scattered and the investigation has just begun.

There is no treatment for Ebola and no vaccine. All doctors can do is provide patients with supportive care, like replenishing fluids and electrolytes, keeping their blood pressure and oxygen levels in check and treating any infections that might occur, according to the Centers for Disease Control. There's a lot that's not known about this disease, but researchers suspect that "patients who die usually have not developed a significant immune response to the virus at the time of death," according to a CDC fact sheet.

How does it spread?

Researchers do not know what the natural reservoir of the Ebola virus is. But they have found its cousin virus - Marburg, which also causes hemorrhagic fever - in fruit bats in Africa.

While there are no known cases of a human being directly infected with Ebola by a bat, sources tell CNN, there are two documented cases of humans being infected with the Marburg virus after being in a cave full of fruit bats.

However, researchers believe humans are infected either by handling of dead or alive infected animals (like chimpanzees, gorillas and forest antelopes), or by being in direct close contact with someone who is sick with or has already died from Ebola.

The virus can be found in bodily fluids like blood, urine, diarrhea and saliva, so direct contact with these fluids from infected humans or animals, can lead to the transmission. People can also become infected by coming into contact bodily secretions found on needles, scalpels, soiled clothes and linens.

Can Ebola be contained?

Once an outbreak has been identified, the transmission of the virus can be prevented, if proper precautions are taken. Avoiding contact with body fluids from someone sickened with Ebola is key. That means wearing proper personal protection equipment like gloves, gowns, masks and eye protection. Hospitals will also set up isolation wards to isolate Ebola patients from other patients.

Officials tell CNN that while those caring for the actively sick need to wear PPE (personal protection equipment), someone walking through a village where a patient was sick wouldn't need to wear a mask because the virus isn't airborne.

Could this outbreak spread to the U.S. or other distant countries?

Experts think it's unlikely the current outbreak would spread to the United States. While the only example of transmission of Ebola in the United States came with the importation of research monkeys (no humans were sickened), there was a situation four years ago where two tourists traveling in Uganda were infected with Marburg hemorrhagic fever.

Both patients returned to their home countries, according to the CDC. One survived and the other died, but nobody else was infected because proper protections were taken during treatment.

When is an outbreak considered 'finished'?

The incubation period for Ebola is two to 21 days, according to the WHO. Health officials tell CNN an outbreak is considered to be over following two incubation periods after the last person becomes ill - a total of 42 days.

@highlight

36 suspected cases have been reported, WHO spokesman says

@highlight

Ebola virus was first detected in 1976 in the central African nation of Zaire

@highlight

Initial symptoms of Ebola can be mistaken for other illnesses like the flu

@highlight

There is no treatment for Ebola and no vaccine