(CNN) -- A day before Tuesday's election, millions of people in key states already had cast absentee or early ballots despite long lines, legal disputes over poll procedures and damage inflicted by Superstorm Sandy.

In Ohio, which may be the decisive battleground state, the deadline for early voting passed Monday afternoon. By Friday, more than 1.6 million of Ohio's 7.9 million registered voters had cast ballots, either in person or by mail, said Matt McClellan, a spokesman for Ohio Secretary of State Jon Husted. About 200,000 of the 1.3 million absentee ballots that had been distributed were still out, he said.

Election officials are already facing a lawsuit over how provisional ballots -- issued to people whose eligibility to vote at a particular precinct was in question, or if they requested an absentee ballot but didn't return one -- should be filled out.

Opinion: America's voting system is a disgrace

State law says poll workers need to note a voter's drivers' license number or the last four digits of a Social Security number on the ballot. But left-leaning groups say instructions Husted issued to election officials on Friday appear to indicate that writing down those digits is the voter's job, not the poll worker's, and warn that could result in votes being thrown out when provisional ballots are counted November 17.

A federal judge has set a hearing for Wednesday on the issue. But Husted, a Republican, said on Sunday that the process "is consistent with the courts and consistent with the law."

"We believe that this is the best way to make elections run successfully so that the most votes are counted," he said. "We believe it's consistent with the law. We believe it's the right way to run elections in Ohio."

Husted had already been taken to court for trying to cut off early voting in the three days before Tuesday, with Democrats accusing him of trying to suppress the votes of Democratic-leaning constituencies. Husted called that "an absurd notion."

"The rules are the same for everybody," he said. "They don't target any one group or individual. What we're trying to do is to make the system run fair and smooth for everybody."

Other eyes were on Florida, another vote-rich state where polls show President Barack Obama and former Massachusetts Gov. Mitt Romney running neck-and-neck.

CNN Poll of Polls

There were still long lines for early voting when the deadline passed over the weekend, so election officials in the state's most populous belt -- Palm Beach, Broward and Miami-Dade counties -- allowed voters to pick up, fill out and submit absentee ballots.

In Miami, the lines snaked around the block from the office of the county supervisor of elections ahead of a Monday afternoon deadline. Oscar Silvia said he cast a ballot within 20 minutes during early voting last week -- but when he came back to pick up an absentee ballot for his son, he spent more than three hours in the queue.

"It's normal. It's election time," Silvia told CNN. "No other option -- you do what you have to do."

Melinda Soliz spent more than four hours in line. But since she had been in a similar line four years ago, she had planned for a long wait. Tuesday, she predicted, "is going to be worse."

"I am really tired, but it is worth it," Soliz said. "Thank God it isn't every day."

Florida Republicans, led by Gov. Rick Scott, had pushed to cut the number of days available for early voting from 14 to eight. Democrats went to court to get that period extended, arguing the polling facilities in south Florida, a Democratic stronghold, weren't up to the demand.

In the Northeast, the states hit hardest by Superstorm Sandy were trying to make accommodations for people who had been displaced by the storm or whose normal poling places had been knocked out of commission.

In New York, Gov. Andrew Cuomo said Monday he has signed an executive order allowing people displaced by Sandy to go to any "approximate polling place," sign an affidavit add cast their votes for president, U.S. Senate or other races that would have been on the ballot in their own precincts.

"We want everyone to vote," Cuomo said. "Just because you're displaced doesn't mean you should be disenfranchised."

Lawrence Norden, an election expert at New York University's Brennan Center for Justice, said he believes Cuomo's move is allowable under state election laws.

"This is probably not ideal," said Norden, the deputy director of the Democracy Program at the liberal-leaning Brennan Center. "But given the dire circumstances, people should be allowed to cast their ballots."

Norden said it would be "hard to imagine what the objection could be," but said there is one potential downside: Voters might be left with the mistaken impression that they could vote on local issues or races in another district.

And voters in some counties may get another day to cast ballots if the disruptions prevent enough citizens from showing up, state Board of Elections spokesman Thomas Connolly said Sunday.

County election officials could ask to allow another day of voting if Tuesday's turnout is less than 25%, he said. The state board would consider the request and, if approved, a second day of voting would be scheduled within 20 days of Tuesday, he said.

New Jersey lets Sandy victims vote via e-mail

Polls would be open for 11 hours on the second day, with only those who were eligible to vote on Tuesday allowed to cast ballots. Nassau County Elections Commissioner William Biamonte expects a "significant drop-off" in the turnout on Long Island, which saw extensive flooding when the storm hit October 29.

In New Jersey, where Sandy made landfall, residents displaced by the storm will be allowed to vote by e-mail or fax, the first time civilians have been allowed to cast ballots remotely.

New Jersey's announcement allows people who have been forced to leave their communities, as well as emergency workers working with disaster-relief efforts away from home, to do the same.

"This isn't like, 'Hell, I feel like staying at work tonight, let me fax my vote in.' No, no, no," Gov. Chris Christie told reporters Sunday. "This is if you have been displaced from your home by the storm. This is also not, 'I got evicted for not paying rent -- I'd like to vote by fax.' No."

The state is also consolidating polling places that have lost power or are cut off with others that are up and running, said Ernest Landante, a spokesman for New Jersey Lt. Governor Kim Guadagno.

In many states, remote electronic voting is already available to members of the military and U.S. citizens living overseas. But experts have raised concerns about the security of electronic voting in the past.

New Jersey officials did not explain how they will authenticate e-mails or faxes from voters. But Christie quipped Sunday that there would be "no more voter fraud in New Jersey than usual."

"Nothing's different because we're giving people different modes to be able to vote," he said. "I don't think it's any more susceptible to fraud than the system is already." And anyone who tries "better hope they don't get caught, because if they do, we'll make an example of them."

The presidential race isn't expected to be close in New York or New Jersey, both longtime Democratic strongholds in national politics.

Know your polling place

And offshore, the Navy said it would help any sailors and Marines aboard the helicopter carrier USS Wasp who had planned to vote on Tuesday get their ballots cast. The ship had been at sea on a training mission when Sandy formed, and it was then dispatched to the New York/New Jersey area to assist with relief efforts.

Many of the roughly 1,100 aboard were registered to vote in their hometowns rather than in the counties around the ship's homeport of Norfolk, Virginia, so their votes had likely been cast and mailed already. For those registered in Virginia, the Navy is working to get them a federal write-in ballot that will be transferred back to shore, Lt. Commander Chris Servello told CNN.

CNN's John Zarrella, Kim Segal, Ram Ramgopal, Larry Shaughnessy, Jason Kessler, Bill Mears, Don Lemon and Brandon Griggs contributed to this report.

@highlight

NEW: New York governor says voters can cast ballots in any precinct

@highlight

NEW: "I am really tired, but it is worth it," says a woman in line In Miami

@highlight

A judge will hear arguments over provisional ballots in Ohio on Wednesday

@highlight

New Jersey allows electronic ballots for storm-stricken towns