(CNN) -- The arcane rules governing Thursday's Iowa Democratic caucuses will test even the most organized campaign, but mastery of the process could launch a candidate on a path to the White House.

Most Americans are familiar with how elections work -- secret ballots, an 18-year-old age requirement, all-day voting.

But that's not how the Iowa Democratic caucuses on Thursday will work.

When the Democratic caucuses begin at 7 p.m. CT sharp in school gymnasiums, libraries, churches, farm houses and other locations in the 1,781 precincts across the Hawkeye state, step one will be to stand up and be counted.

"What you'll do is get up out of your seat and you'll go walk to the corner or space by the wall designated for the candidate of your choice," Chelsea Waliser, an organizer for Sen. Barack Obama, told potential caucus-goers during a recent Obama rehearsal caucus.  Interactive: A step-by-step look at how the caucuses work »

After this first step, party officials will determine if a candidate meets the 15 percent "threshold" requirement.

Supporters of candidates making up less than 15 percent of the vote in a particular precinct will have the option of making their vote count by voting in the second tally for a "viable" candidate -- one who got at least 15 percent of the vote on the first tally.

It is particularly interesting to watch what happens between the first and second tallies at the Iowa Democratic caucuses, as viable candidate camps vie for the votes of the unviable. It's one of the few times in American politics where voters directly interact with each other.   Interactive: Learn what 'caucus' and other political jargon mean »

During the "persuasion" time in between tallies, the precinct captain for the viable candidates sends a person over to each group that failed to meet the threshold to convince them to support their candidate. Once everyone has decided where to vote, a second tally is taken, and the results are then sent to Democratic state party headquarters -- not electronically but via ordinary mail.

The Iowa Democratic Party keeps the total vote tally a secret and only releases the percentage of delegates won by each candidate, so it all comes down to how many delegates each precinct has, not the popular vote.  Watch how the delegates will calculated »

By comparison, the rules governing the 1,781 Republican caucuses, which are held on the same night as the Democratic caucuses, are pretty simple. The Republican caucuses will use a secret ballot, and, since there is no viability threshold, each vote is simply tallied and the number of votes each candidate gets is reported to party headquarters.

The ability of a candidate's supporters to use the persuasion period to win over second-choice voters could be a key factor deciding who comes out on top Thursday night.   "You hit that floor and work it and try to get them. It's like a fun game,"  Clinton supporter Ed Winfry of Sioux City, Iowa, said last month.

Because the rules are so complicated, organization is key. Each campaign needs to get its supporters to the caucus locations by 7:00 p.m. sharp. If they are late, they will not be allowed to vote.

And Iowa's unpredictable winter weather could be a factor and dissuade a candidate's supporters from traveling to the caucus sites.

Democratic caucus rules also make polling very difficult. Unlike a regular election, when a voter can immediately leave the polling place after he or she casts her ballot, a caucus-goer may have to spend hours caucusing before his or her vote counts. Plus, caucus-goers without a viable group may end up switching their support to a candidate who had been trailing in standard polls.

The latest CNN/Opinion Research Corp. poll released Tuesday shows a tight race, with 33 percent of likely Democratic caucus-goers backing Clinton and 31 percent supporting Obama. But taking into account the survey's sampling error of plus or minus 4.5 percentage points in the Democratic race, the race is virtually tied.

Former Sen. John Edwards is in third place in the poll at 22 percent.

But the final results could diverge greatly from the polling numbers because it is more likely that a person who tells a pollster that he or she is going to attend a caucus may not do so.  E-mail to a friend

@highlight

Iowa caucuses start at 7 p.m. CT Thursday night

@highlight

Candidates have to show up at caucus sites to vote

@highlight

Candidates must have 15 percent of the voters to be "viable"