Editor's note: Tom Wilkerson is chief executive officer of the United States Naval Institute, a nonprofit professional association which describes itself as an independent forum for examining issues related to the Navy, Marines and Coast Guard. He spent 31 years in the military, rising to major general of Marines and, in his last assignment, serving as commander, Marine Forces Reserve.

Retired Major General Tom Wilkerson says the U.S. should attack the pirates at their bases.

(CNN) -- It is well past time to take a serious look at piracy off the coast of Africa.

Initially, the U.S. ignored the threat, and when public outcry about our seeming indifference became louder, we formed a combined task force of international navies in the Gulf of Aden under command of a U.S. Navy rear admiral to "deter, disrupt and thwart" the pirates.

Today, it is clear that initiative has failed. In fact, this bit of muscle-flexing did so little to intimidate pirates operating out of Somalia that they have actually increased the number of attacks in the last month.

Significant among those attacks, pirates on Wednesday boarded and temporarily held a U.S.-flagged vessel, the container ship Maersk Alabama. The U.S. crew and its captain retook the vessel, but at the price of the captain becoming a hostage to the four pirates in one of the Maersk Alabama's lifeboats. Several hours later a U.S. warship, the Aegis destroyer USS Bainbridge, arrived on scene and, as I write, the standoff with the pirates continues.

What an embarrassing and frustrating event! A bunch of maritime thugs brazenly seized a vessel flying the flag of the nation with the most powerful navy the world has ever known. The fault does not lie with the ships and sailors of Combined Task Force-151. They have been given the proverbial mission impossible -- stop pirate attacks in an area four times the size of Texas with only three U.S. Navy ships and a total of 12 to 15 allied/friendly warships. Not gonna happen!

But embarrassment aside, there is real potential for loss of life and for continued attacks on vessels plying these waters. The issue is simple but difficult -- how do we eliminate the pirate threat?

Strangely, we seem unable to learn from our own history. In 1804 President Thomas Jefferson said "Enough" to paying 20 percent of the U.S. national budget as tribute to Barbary pirates. His response was clear and successful -- build a strong naval task force, equip it with a sizeable contingent of Marines, and send it to attack and defeat the pirates in their lair. The sailors and Marines sent on that mission did just that -- and in the process wrote a stirring page in our nation's early history.

The problem today is that we have refused to take the Jefferson model. We've confined our anti-piracy efforts to the open seas and left the pirates' home bases on land as a sanctuary. Thus, the pirates continue to operate with relative freedom and stealth. We and our allies only respond, never seizing the initiative.

The Jefferson model is a better answer: Take on the pirates where they are, rather than guessing where they will be. In short, attack them at their home bases.

There they are vulnerable. There is where they plan and prepare for raids on vessels. There is where they arrange ransom for held ships and crew members. From these bases, pirates are free to conduct raids without fear of reprisal, let alone interference from organized justice. They are free to venture out to prey upon one of the 33,000 ships that pass near their coast each year, knowing that they can return to the absolute security of their land bases and enjoy their spoils.

It is time to change strategy and take the fight to the pirates, as our military predecessors did with great success more than 200 years ago.

In the 21st century, anti-piracy measures should ideally be the responsibility of local and regional law enforcement. Unfortunately, the non-functioning government of Somalia is unable to bring police or military forces to bear against criminal piracy launched from its own territory.

The predicament has done much to foster piracy, greatly growing the number of pirates and further encouraging their lawless behavior. They are well aware that the rewards of their activities far exceed the risks. With the potential to make millions of dollars through extortion, the Somalia-based pirates take comfort in having no fear of being arrested in their homes for their crimes, and obviously have little fear of being caught on the high seas despite the presence of the combined task force.

Of course, attacking pirate land bases in Somalia as the U.S. did against the Barbary pirates in Tripoli two centuries ago is not a simple proposition. Even without a functioning government present in Somalia, the U.S. and other countries whose ships are threatened are not free to conduct military operations on Somali soil at will.

There are many complicated legal issues concerning sovereignty and laws of armed conflict that need to be thought through before any real action can be initiated. However, these issues must be explored so that the option of a more forceful policy can be duly considered. iReport.com: How should the U.S. respond?

Some may argue that the destruction of the ships and bases of pirates is merely attacking the symptom without curing the disease. They believe that piracy cannot be defeated until its causes are sufficiently addressed. These causes are usually identified as abysmal economic conditions and the lack of a strong national infrastructure.

Previous attempts to undertake larger scale law-and-order projects in Somalia, however, have resulted in a tragedy now memorialized in the national psyche simply as Black Hawk Down. Hence my argument for consideration of smaller-scale actions targeted specifically against the criminal pirates.

Retaliatory and preemptive strikes on known bases are certainly not the only options in dealing with the Somalia pirates, but current policy has already proven to be fairly futile in dissuading attacks. iReport.com: 'Stop the pirates, Obama!'

Those who desire to combat piracy by bringing stability to Somalia must accept that the noble effort will take several years, potentially leaving thousands of ships vulnerable to attack in the meantime. One thing is for certain: Allowing the pirates to have sanctuary while also giving them a clear advantage in the rules of engagement is not going to stop their activities any time soon.

The opinions expressed in this commentary are solely those of Tom Wilkerson.

@highlight

Tom Wilkerson: Pirates based in Somalia represent threat to crews and cargo

@highlight

He says U.S. strategy so far has failed to deter piracy

@highlight

Wilkerson: We should follow example set 200 years ago by Thomas Jefferson

@highlight

He says the U.S. needs to attack the pirates at their bases