(CNN) -- Thailand is a constitutional monarchy situated in the heart of Southeast Asia.

Bordered by Myanmar, Laos, Cambodia and Malaysia, the country has a population of roughly 67 million people.

The capital, Bangkok, combines the modern skyscrapers of a bustling Asian metropolis with the ancient temples and monuments of previous Thai civilizations, dating back hundreds of years.

Bangkok: A tale of two cities

Buddhism is the country's major religion, although according to the Thailand National Statistics Office there are also minority Christian and Islamic communities.

Thailand has a diverse landscape with a jungle hinterland in the north and beaches to the south. Thai islands in the Indian Ocean and the Gulf of Thailand are home to some of the region's most spectacular beauty spots.

Since the modern nation state's founding in 1932, Thailand has been served by a constitutional monarchy and is the only country in Southeast Asia to avoid coming under European colonial rule.

The current head of state is King Bhumibol Adulyadej, who has reigned since 1946, making him the world's oldest serving monarch.

The King is viewed by most Thais as a symbol of stability and a unifying force in what has often been a politically divided country.

The extent of this polarization is borne out by the fact that Thailand has seen more than 18 attempts at military coups since the early 1930s.

The county's political climate has been turbulent in recent years punctuated with scenes of civil unrest and violence.

In 2006 former Prime Minister, Thaksin Shinawatra -- a charismatic populist who drew the majority of his support from the urban working classes and rural poor -- was deposed and forced into exile in a bloodless coup. Post-coup elections in 2007 were won by allies from Shinawatra's party, however Thailand's Constitutional Court ruled that the three main coalition partners were guilty of electoral fraud.

This decision opened the door for the leader of the country's main opposition party, Abhisit Vejjajiva, to form a coalition government in late 2008.

Vejjajiva's Democrat Party, which draws the majority of its support from Thailand's middle and upper classes, found itself with a majority in parliament. A formal parliamentary vote appointed him as prime minister.

Large scale protests against Vejjajiva's government led by supporters of the political pressure group the United Front for Democracy Against Dictatorship (UFDD), commonly known as "the red shirts", lead to large scale protests in 2009 and 2010.

The demonstrations turned violent in May 2010 when the military intervened to confront thousands of protestors who had occupied parts of Bangkok, demanding the removal of Prime Minister Vejjajiva. More than 80 people died while hundreds more were wounded.

The democratic elections in mid-2011 saw Vejjajiva defeated at the polls and Yingluck Shinawatra -- sister of the deposed Thaksin Shinawatra -- elected as the country's first female prime minister.

In her first months in charge Yingluck has had to deal with a busy in-tray, including responding to some of the most severe monsoon floods to afflict the country in living memory. More than 300 people have died as a result of the floods and over 100,000 have been forced from their homes.

Deadly floods wreak havoc in Thailand

Yingluck has also had to remain attentive to an ongoing border dispute with Cambodia and a long standing terrorist threat from Islamic Malay separatists based predominantly in the countries southernmost provinces.

In spite of these threats and the country's volatile political life, Thailand has remained one of the strongest performing economies in Southeast Asia. Indonesia is the only nation in the region that has a larger annual output according to the U.S. Chamber of Commerce.

Thailand operates a free enterprise economy and is generally pro-investment, according to data from the CIA World Factbook. It is a major exporter of machinery and electronic components, agricultural commodities, and jewellery. Combined, these industries account for over half of the country's GDP.

Another major sector for Thailand's economy is tourism. The country is home to five UNESCO World Heritage sites. The Tourism Authority of Thailand has stated that it expects to receive more than 19 million visitors in 2011 alone.

Given the extent of recent flooding however, with some internal analysts predicting that parts of Thailand may remain under water until early 2012, this figure may yet be revised downwards.

@highlight

Thailand is a constitutional monarchy that borders Malaysia, Myanmar, Laos and Cambodia

@highlight

The country has the second biggest economy in the Southeast Asian region

@highlight

Thailand has overcome political violence, military coups and natural disasters in recent years