(CNN) -- Despite the escalating violence in Syria that led to the suspension of monitoring activities, the United Nations can continue to play a crucial role in the embattled country, Secretary-General Ban Ki-moon says in a report to be presented to the Security Council.

An advance copy of the report, which is circulating among Security Council members, was obtained by CNN ahead of a Wednesday briefing on Syria to the council by Joint Special Envoy Kofi Annan.

The document outlines the efforts to implement a six-point plan that would impose a cease-fire and take measures to protect human rights, and admits that it has not worked.

In some places, the levels of violence are even higher today than they were before an initial cease-fire attempt, the report says.

Military: Shelling from Syria hits Lebanon

The 300-strong U.N. team in Syria, whose mission is to observe and help implement the plan, has been unable to do its work as envisioned because of present conditions, the document states.

Last month, the United Nations announced that it was pulling back its unarmed monitors because of escalating violence. Opposition groups slammed the international body for the suspension of its work.

The U.N. mission's role in Syria was based on the premise that there would be a cessation to the violence, and failing that, "a calibration of effort in response to the situation on the ground would be appropriate," Ban writes.

Basically, the three options Ban puts on the table are: withdrawing the U.N. team, increasing its size or adding armed protection for them; or retooling the mission of the current team.

Ban elaborates the most on the idea to shift the strategy of the current U.N. team.

The team could retain its military observer capability and continue its fact-finding work, but with a limited scope in light of the violence in Syria, the report says.

In this scenario, the U.N. mission would move its personnel from the field back to Damascus, where it would focus on pushing forward the six-point plan to the Syrian government and the opposition.

"From a central hub in Damascus, the civilian component would continue liaison and dialogue with opposition and Government representatives in the provinces as security conditions allow," Ban writes.

The other options -- withdrawal or augmentation of the force -- could have more negative consequences than good, the report concludes.

Photos: In Syrian hospital, no escape from war

Withdrawing from Syria would ensure the safety of the team, but it could signal a loss of confidence in the hopes of a cease-fire and leave the U.N. without a way to monitor progress, the report says.

"(Withdrawing) would likely precipitate a further blow to efforts to stabilize the situation on the ground, and render the prospect of a negotiated Syrian-led transition, as laid out by the Action Group, more difficult," Ban writes.

Expanding the size of the mission, with or without armed protection, poses an "unacceptably high" security risk, given that there are no signs of the violence receding immediately, the report says.

These options must be considered, Ban writes, because "in spite of the best efforts of (the mission) to support the parties in the effort to de-escalate the crisis, there is not a cessation of violence, and the basic human rights whose protection is at the core of the (six-point) plan continue to be violated," the report says.

According to the opposition Local Coordination Committees in Syria, 71 people, including 10 defectors, were killed across the country.

In fighting in Aleppo Province since Friday, four Syrian troops and one opposition fighter were killed, another group, the Syrian Observatory for Human Rights said. Heavy fighting was reported in Idlib, where the town of Al-Tamani'a was shelled by forces who tried to raid it, the group said.

Shelling was reported in several suburbs of Damascus.

The state-run SANA news agency reported at least four different incidents where "terrorist" attacks were foiled by security forces throughout the country. According to the agency, more than 11 fighters it identified as "terrorists" were killed by security forces, and at least 10 vehicles, some with weapons inside, were destroyed.

CNN cannot independently verify government and opposition claims of casualties because access to Syria by international journalists has been severely curtailed.

Analysis: Syria options dwindling

@highlight

Secretary-General Ban Ki-moon prepared a report for the Security Council

@highlight

It outlines possible options for the U.N. mission there

@highlight

Ban elaborates on an idea to keep observers, but shift their work

@highlight

Activists say 71 killed