(CNN) -- Environmental saviors can turn up in the most unexpected places. For the answer to our global waste management crisis, we need only look as far as our back gardens, for example.

Forty million manure worms are being put to use in Sydney to treat its sewage.

That's what proponents of vermicomposting will tell us, anyway. Vermicomposting is the art of composting using worms -- and it is worms, apparently, who could save us yet.

Worms are nature's waste disposal units. Or rather, it is more accurate to call them waste renewal units, as they don't simply consume the waste -- they turn it into something far more useful: nutrient-rich compost.

Earthworms are by any definition incredible creatures -- particularly, in this context: The Eisenia foetida and Lumbricus rubellus, which are the two breeds of worm commonly used in vermicomposting, according to CityFarmer.org. Not only can they eat their own body weight in organic waste every day, but they actually remove -- or neutralize -- many of the toxins in that waste in the process, according to The Ecologist.

There are a lot of them, too. You will find as many as 1 million earthworms in just 1 acre of land, according to NatureWatch, their population doubling in size every one-two months. And they work hard -- 1 million worms will get through 10 tons of leaves, stems and dead roots in one year, ploughing 40 tons of soil in the process.

What they end up producing is ready-to-go plant soluble nutrients. According to NatureWatch, earthworm castings have five times as much nitrogen, seven times as much phosphorous, 11 times as much potassium and 1,000 times more "beneficial bacteria" than the stuff the worm consumes in the first place. Literally speaking, what goes in is far less valuable than what comes out.

Utilizing 'black gold'

It is no surprise why these worms' byproducts are often referred to as "black gold," this knowledge being particularly pertinent at a time when nearly 40 percent of the world's agricultural soil has become "seriously degraded," according to the UK Soil Association.

Worm compost:

Just one pound of worms can turn 1.3 million pounds of raw manure into high quality fertilizer in around 60 days, according to ScienceDaily. And plants love it. Research has shown that plant yields experience a significant boost from vermicomposting, by as much as 40 percent for broccoli, 80 percent for tomatoes and as much as 259 percent for carrots, according to The Ecologist.

According to the World Waste Survey, compiled by Veolia Environmental Services, we generated at least 1.2 billion metric tons of municipal waste in 2004. And a high proportion of that waste was organic matter which could have been composted. Around 32 percent of the European Union's annual municipal waste (around 120 million tons) is food and garden waste, according to Waste Management World. And 30 percent of U.S. waste could have been composted in 2000, according to the U.S. Environmental Protection Agency (EPA) -- representing 92 million tons of organic waste that otherwise sat rotting on a landfill, emitting methane into the atmosphere.

As local governments and companies grapple with the issue of how to safely dispose of waste, vermicomposting is finding new fans -- some in unusual places. In Hong Kong, none other than fast-food chain McDonald's has signed up to a vermicomposting program that will have 80 million worms feasting on between 50 and 200 tons of organic waste a day, according to the Reuters news service. McDonald's aims to decrease the amount of waste it sends to Hong Kong's rapidly filling landfills by 80 percent, Reuters reports.

Other companies to have experimented with worm composting include Ikea in the U.S. state of Illinois, where, according to Treehugger.com, it is conducting vermicomposting trials. If all goes well, it aims to use worm composting to boost its 70 percent recycling rates to 90 percent, the site says.

As it happens, we have had this knowledge for centuries. Aristotle himself was even said to have called worms the "intestines of the soil," according to The New York Times, which also points out that Cleopatra was another devotee, bestowing sacred status on them and ordering them protected. Charles Darwin admired their land-tilling abilities so much that he wrote a book on them. "It may be doubted whether there are many other animals which have played so important a part in the history of the world as have these lowly organized creatures," he mused, according to The New York Times.

Greenhouse gas emitters

What Darwin, Cleopatra or Aristotle could not have known however, is that worms could also have the potential to save us from toxic waste.

Scientists in India have found that worms' digestive systems and regenerative abilities are so remarkable that they can actually absorb toxic materials yet expel toxic-free manure. According to the Indian newspaper, India Together, researchers in Gujarat have found that worms can "detox" the organic parts of the industrial sludge which results from the effluent treatment of industrial or hazardous waste.

The method is ideal for industries -- such as paper, food processing, oil, textiles, dairy, distilleries and agro-chemicals -- where there is large enough organic components in the industrial sludge, Indian researchers say.

But even with vermicomposting, something that looks like one of the most environmentally sound ideas around, there's a downside -- and it's a rather large one.

It turns out that worms used in composting emit a greenhouse gas -- nitrous oxide -- which is hundreds of times more powerful than carbon dioxide. Unfortunately, in terms of greenhouse gas emissions, large-scale composting plants could be just as damaging to the environment as landfills of the same size, reports the UK's Telegraph newspaper.

"The emissions that come from these worms can actually be 290 times more potent than carbon dioxide and 20 times more potent than methane," the Telegraph quotes Jim Frederickson, an Open University research fellow.

"In all environmental systems you get good points and bad points." E-mail to a friend

(Sources: CityFarmer.org, The Ecologist, NatureWatch, U.S. Environmental Protection Agency, Veolia Environmental Services, Soil Association, Waste Management World, New York Times, Reuters, ScienceDaily, Treehugger.com , Telegraph, India Together)

@highlight

Earthworms can eat their own body weight in organic matter every day

@highlight

Worm castings extremely nutrient rich; good for soil and plants

@highlight

30 percent of U.S. and EU total municipal waste could be composted

@highlight

McDonald's and Ikea using vermicomposting to meet environmental targets