London (CNN) -- Harry Potter author J.K. Rowling's first adult novel went on sale amid a buzz of anticipation Thursday -- but reviews suggest those hoping for a repeat of the charms and wizardry of the Hogwarts books may be disappointed.

"The Casual Vacancy" is firmly aimed at those in the grown-up world, with the writer's pen dissecting social inequality, small-town politics and snobbery -- with sex, abuse and a mouthful of swearing thrown in for good measure.

Muggle moms await J.K. Rowling's first adult book

Set in the fictional town of Pagford, in western England, it centers on a local election following the death of a parish councilman -- and relies on what reviewers agree is a cast of finely drawn but generally unpleasant characters to bring this insular world to life.

"We are firmly in Muggle-land -- about as far from the enchanted world of Harry Potter as we can get," wrote Michiko Kakutani in The New York Times.

"There is no magic in this book -- in terms of wizarding or in terms of narrative sorcery. Instead, this novel for adults is filled with a variety of people like Harry's aunt and uncle, Petunia and Vernon Dursley: self-absorbed, small-minded, snobbish and judgmental folks, whose stories neither engage nor transport us."

The Guardian newspaper's Theo Tait judges it "a solid, traditional and determinedly unadventurous English novel" but praises Rowling's depiction of the "claustrophobic horror" of a small-town community, with plenty of scheming and "everyone knowing everyone."

Sales of the book, which was released in paper, online and e-book form in Britain and the United States on Thursday morning, will no doubt be closely watched.

But while Rowling's publisher, Little Brown, and booksellers seem confident the tome will prove a bestseller, the mad rush and predawn lines that awaited some of the Potter releases were not in evidence.

Early sales seemed slow at a central London branch of the Waterstone's bookstore chain, where stacks of the hardback novel, with its stridently red and yellow cover, were unwrapped and ready for buyers.

Opinion: J.K. Rowling explains why muggles are obsessed with class

Waterstone's spokeswoman Debs Tilley said preorders had been "fantastic," suggesting Rowling commands a legion of devoted readers willing to give her new venture a try, even if they're not beating down the doors to the store.

"Having known and loved her writing for the past 15 years, the world has been waiting to see what she did next," Tilley said. " 'The Casual Vacancy' has reminded us all just how popular she is and how committed her fans are."

Store manager Lori Fazio of R.J. Julia Booksellers in Madison, Connecticut, told CNN that interest in the novel had been building for months, with lots of advance orders. "People can't wait for this, for it to finally hit the bookstore," she said.

While the book is certainly different from Rowling's previous works, Fazio predicts it will win fans if readers realize it's "an extreme opposite from Harry Potter" and go into it with an open mind.

Harry Potter is certainly a tough act to follow. The seven-book series sold more than 450 million copies and spawned a multibillion-dollar film franchise.

Details of the new book's content were kept largely under wraps ahead of its release, with Rowling speaking to only a few media outlets in the United Kingdom and the United States. Those critics lucky enough to get their hands on an advance copy also had to keep their reviews on hold until Thursday.

But one young woman in London told CNN why she's looking forward to reading it. "I think it will be really interesting to see how J.K. Rowling writes something else that isn't Harry Potter, that isn't aimed at children or young people," she said.

"I've heard lots about 'The Casual Vacancy' as being a political satire and more of that, so it's going to be nice to see if she pulls it off."

A representative for Little Brown said that presales of the novel had gone very well and that the idea behind the limited prepublication access to the book was to make it as "normal" a launch as possible.

The first print run in the United States is 2 million copies, the publisher said.

But with limited information leaked beforehand, many parents will probably be wondering Thursday if the book will appeal to -- or perhaps be suitable for -- children who have grown up loving Harry Potter's world of muggles and magic.

Will J.K. Rowling net wizard profits from switch to crime?

Kakutani of The New York Times is unequivocal in her judgment.

"This is definitely not a book for children: suicide, rape, heroin addiction, beatings and thoughts of patricide percolate through its pages; there is a sex scene set in a cemetery, a grotesque description of a used condom ... and alarming scenes of violent domestic abuse.

"The novel contains moments of genuine drama and flashes here and there of humor, but it ends on such a disheartening note with two more abrupt, crudely stage-managed deaths that the reader is left stumbling about with whatever is the opposite of the emotions evoked by the end of the Harry Potter series."

In Britain's The Daily Telegraph newspaper, reviewer Allison Pearson notes Rowling's use of humor -- but also paints a black image of the overall mood.

"The Casual Vacancy" is "sometimes funny, often startlingly well observed, and full of cruelty and despair. One teenager cuts herself to relieve her misery, another commits suicide. Online pornography is described in gynecological detail," she writes.

"It feels as if the author has unleashed all the swearing, sex and vitriol that have been off-limits to her since Harry Potter and the Philosopher's Stone was published in 1997. As for the ending, dear God, it is so howlingly bleak that it makes Thomas Hardy look like PG Wodehouse."

Other reviewers bandy about big literary names such as George Eliot, Jane Austen and Charles Dickens as they dissect Rowling's minute grasp of plot and characterization.

The Financial Times calls it "an old-fashioned novel, a thoughtful, angry and densely plotted story in the 19th-century tradition, set in a town in which class and racial divisions run deep."

Time magazine reviewer Lev Grossman finds much to enjoy in its pages, saying: "What surprised me about 'The Casual Vacancy' was not just how good it was, but the way in which it was good.

"I suppose I'd expected a kind of aged-up, magicked-down Harry Potter. ... But 'The Casual Vacancy' is a different beast entirely. It was not what I was expecting. It's a big, ambitious, brilliant, profane, funny, deeply upsetting and magnificently eloquent novel of contemporary England."

But posing the question of whether it can ever live up to the hype, the Daily Mail's Jan Moir says no. "Not unless you want to have more than 500 pages of relentless socialist manifesto masquerading as literature crammed down your throat," she writes.

As for Rowling, she told the BBC that she had written the book by choice, rather than necessity, since the success of the Potter series has made her wealthy.

"I had nothing to prove. I don't mean that in an arrogant way. I can pay my bills every day, I am grateful for that fact. I don't need to publish," she said.

But while the novel was born of an idea that excited her and is "personal in the sense that it deals with broad themes that have affected my life in a very real sense -- poverty for example," Rowling thinks it likely her next book will be for children.

For those yearning for a return to the more familiar territory of Hogwarts, however, the British author has little hope to offer. "It was murder saying goodbye, but I truly -- where Harry's story is concerned, I'm done. Now if I had a fabulous idea, I would do it. But I've got to have a great idea."

TIME: Review of 'The Casual Vacancy'

CNN's Laura Mackenzie contributed to this report.

@highlight

NEW: "A big, ambitious, brilliant, profane, funny," upsetting and eloquent novel, says one critic

@highlight

"The Casual Vacancy" is J.K. Rowling's first book for adults

@highlight

The plot centers on a local election in a fictional small English town

@highlight

"This is definitely not a book for children," writes New York Times reviewer