Phnom Penh, Cambodia (CNN) -- I visited the Cambodian Stock Exchange (CSX) last September in the heart of Phnom Penh. It had officially "opened" a few months prior but no companies were listed yet. The trading room was filled with new desks and computer monitors, waiting for someone to power them on.

Fast forward seven months and the stock exchange is now starting to breathe signs of life -- there is now one company trading on the exchange. On April 18, the Cambodian Stock Exchange started trading with the IPO of the state utility company, "Phnom Penh Water Supply Authority."

As a frontier market, Cambodia is still a work in progress. The government is trying to woo international investors by throwing open its doors and virtually saying, "We will make it easy for you." There are no capital controls. No requirements for joint ventures. International companies can own 100% of their local business in Cambodia. The only major restriction is on foreign ownership of land. With a young labor force that commands cheaper wages than China, Cambodia has been looking attractive to foreign companies. Despite these incentives, there are many challenges for the new stock exchange:

Challenge #1: Short-term Investors

Even with just one company trading, the exchange generated a lot of interest among local and foreign investors. In the first three days of trading, the share price for the water utility rose 60% above its IPO price, but by the following week, short term-investors started selling to take in profits. The stock price came down substantially. "It's kind of a typical phenomenon for a new exchange. It happened in the Laos market and Vietnam's market. It is no surprise to me," says KT Han, managing director of Tongyang Securities which was the sole underwriter of the IPO. "Some people made a 50% profit within a few days. They tend to be short sighted by this fluctuation in price and it will take some time for them to understand the market and make long-term investments."

Challenge #2: More Companies Need to List

You need more than one company to make a stock exchange thrive. Laos' stock market opened in January 2011 and it still has only two companies trading. The volume of trade is fairly stagnant. That's exactly what investors don't want to see with the Cambodian Stock Exchange. Another company, Telecom Cambodia, is preparing its IPO later this year.

"I don't see any reason why eventually you can't have a dozen companies trading on the stock exchange. A lot of the big banks are listable," says Scott Lewis, chief investment officer of Leopard Capital which invests in pre-emerging markets. "I know some brokers have mandates from garment manufacturers (to prepare to list)." He also believes the success of the Cambodian Stock Exchange can have a nice domino effect. If it starts to hum, brokers will publish research on both Cambodian and Laos stock exchange-listed companies, generating interest in the region. The key is to get more companies to list and greater volume trading.

Challenge #3: Proper Accounting

In order for a company to list on the CSX, it must have at least three years of proper audits prepared by an accredited international accounting firm approved by the Cambodian government. This is a tough challenge for many local, Cambodian companies. When I was in Cambodia last September, one analyst told me that he couldn't think of one large Cambodian company that had audited financial statements. So it will take time for some local companies to get up to speed.

Challenge #4: Volatility of a Frontier Market

The government is doing its best to showcase the stock exchange. In one of the busiest traffic intersections of Phnom Penh, there is a large stock market television screen that shows the stock market moves. It generates interest among individual retail investors who can watch the stock price as they sit in traffic. Institutional investors from Japan, Korea and China have also taken a bite of the recent IPO but whether that interest can be sustained is still a big question. Cambodia is new to the game. Risk and volatility are inherent in a frontier market. Corruption is a concern even though the government passed an anti-corruption law in 2010.

Han is very frank about the risks. "In general, the lack of a capital market infrastructure can be a challenge for investors," he says. "The cost of capacity building can be a challenge for investors who are not familiar with a market like Cambodia. In terms of corporate governance (e.g. accounting, business ethics), there's a long way to go for local family-owned businesses. But once you understand the market here, there can be more opportunity than risk."

@highlight

The Cambodian Stock Exchange started trading with one company on April 18

@highlight

There are neither capital controls nor requirements for joint ventures

@highlight

But despite incentives, the stock exchange faces many challenges