(WIRED) -- Apple has traditionally held its ground as a premium computer manufacturer, but it might just be getting sucked into a recession-prompted price war.

A worker helps a customer with a MacBook Pro laptop at an Apple store in San Francisco, California.

The company's recent MacBook price cuts signify its reluctant conformity to the economic downturn.

At its Worldwide Developers Conference on Monday, Apple shaved hundreds of dollars off its MacBook models.

The high-end, 15-inch MacBook Pros dropped from $2,000 to $1,700. And the price of the unibody MacBook (now renamed the 13-inch MacBook Pro) fell from $1,300 to $1,200. Apple's most inexpensive MacBook, the lone white model, remains $1,000.

"For a while they've been ignoring what's been happening in the economy," said Richard Shim, an IDC analyst.

"This is an indication that they're realizing that the first quarter didn't go as well as it has for them historically. I think this puts them closer in mind about what's going on in the PC world."

Still, Apple has avoided making even deeper price cuts, thanks to the juicy profit margins already baked into its products, the availability of cheap components, and the fact that the company also makes money by selling apps and music to iPhone and iPod owners.

All of these factors mean that Apple has room to comfortably trim prices even further, if it deems it necessary.

For instance, the company dropped the price of its now low-end smartphone, the iPhone 3G, to just $100 with a two-year contract. But that cut doesn't cost Apple as much as it might appear, given that the company still gets a carrier subsidy of several hundred dollars for each iPhone.

Apple's computers have historically been priced well above the average PC. However, Apple's first quarter of 2009 market-share numbers suggest the company is struggling to compete as a premium brand name in the face of the economic recession. In the first quarter of 2009, Apple's U.S. notebook market share shrank 0.4 percent compared to the same quarter a year earlier, according to Shim. And in worldwide notebook market share, the company saw 0.3 percent growth compared to the first quarter of 2008, Shim said.

Additionally, Apple is likely hurting from its competitors' aggressive pricing, cast into relief by Microsoft's recent Laptop Hunters ad campaign, a BrandIndex survey indicates.

The pseudo reality-TV commercials denounce Apple computers as too expensive and even implies Mac users are simple-minded snobs who buy gadgets as a fashion statement. As a result, Microsoft is detracting from Apple's "value" score by convincing a substantial number of consumers that they get less for their money by buying a Mac, according to the survey.

By cutting its prices somewhat, Apple may also be seizing the opportunity to strike a blow against the netbook market. In 2008, low-powered, budget netbook PCs saw rapid growth, driven by value-conscious consumers looking for a good deal. Apple has no netbook in its lineup, and has said it has no plans to create a netbook.

Fortunately for Apple, netbook sales are seeing a significant slowdown in 2009. In April, netbook manufacturers Acer, Asus and Micro Star International each reported fewer netbooks were sold than expected. Their netbook shipments for the first quarter of 2009 fell considerably below shipments during the third quarter of 2008. Asus, for example, hoped to ship 1 million Asus Eee PC systems during the first quarter, but only 900,000 units sold.

Thus, Apple's MacBook price cuts are a strategic move to reclaim growth while the netbook market is shrinking. This move allows Apple to continue to avoid offering a netbook, which is wise, because an Apple netbook would have cannibalized MacBook sales, according to ThinkPanmure analyst Vijay Rakesh. With the reduced MacBook price tags, Rakesh expects Apple to see double-digit growth in notebook marketshare -- up to 20 percent -- in the third quarter of 2009.

Regardless, Apple's MacBook price tags are still well above the cost of the average notebook -- $860 in the United States, according to Shim. Apple's cheapest MacBook is anchored at $1,000, and Apple could afford to bring it down even lower if it so chose.

According to Tim Bajarin, principal analyst with Creative Strategies, Apple's new pricing for its MacBook line and the price drop on its lightweight MacBook Air will not compromise much on its profit margins.

"They are not favoring market share over profitability in a big way," Bajarin explained. "They have already taken the pricing curve down on the unibody and chipsets, so they are building on those lower costs."

Will Apple deliver a mobile computer for the average Joe in terms of cost? Perhaps so, in the form of a touchscreen tablet that many Apple enthusiasts are placing their bets on. Piper Jaffray analyst Gene Munster predicts such a device -- a blown-up iPod Touch, of sorts -- will land as soon as 2010.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

Apple might just be getting sucked into a recession-prompted price war

@highlight

The company has shaved hundreds of dollars off its MacBook models

@highlight

Apple's computers have historically been priced well above the average PC

@highlight

Apple's MacBook price cuts are a strategic move to reclaim growth