Airstrikes by the U.S.-led coalition against ISIS targeted the Islamist rebel group Ahrar al Sham for the first time overnight in Syria, a monitoring group said Thursday.

One airstrike hit the headquarters for Ahrar al Sham in Babsaqa, Idlib province, near the Bab al-Hawa border crossing with Turkey, the London-based Syrian Observatory for Human Rights said.

Activist video and photos from the scene claimed to show a large explosion and a building blown into rubble.

Ahrar al Sham is a Sunni Muslim group that is not on the U.S. list of designated terrorist organizations and so far has not been hit by coalition airstrikes.

One of the more conservative Sunni militant groups in the rebel alliance, Ahrar al Sham has members that sometimes fight alongside the al Qaeda-affiliated Islamist militant group Jabhat al-Nusra, but against ISIS.

They are not linked to al Qaeda, have not pledged allegiance to al Qaeda, and are not named as a terror group by the United States.

There are mixed opinions on how radical the group is, mostly because its entire leadership was killed in a September blast and the new leadership's intentions are not yet clear, although some observers anticipate a more radical direction.

This may have prompted concern in some quarters that it could become more closely allied to Jabhat al-Nusra, also known as al-Nusra Front, which has been gaining ground in Syria.

However, Ahrar members are also seen by many Syrians as moderates who protect them -- and these strikes, if they did hit Ahrar, risk again confirming the idea that the United States is seeking to benefit the regime of Syrian President Bashar al-Assad.

Report: Children hit in strike

The U.S.-led coalition carried out other airstrikes overnight Wednesday to Thursday, including one apparently targeting a vehicle belonging to al-Nusra in Sarmada, a town also in Idlib province on the border with Turkey.

Video posted by activists purported to show a car in flames on the street in Sarmada while people watched it burn.

The coalition also struck the headquarters of al-Nusra Front in the city of Harim, the Syrian Observatory for Human Rights said, with initial reports indicating that two children were killed and other people were injured.

Photos posted by activists claimed to show the bodies of two young children covered in dust with severe injuries, along with other men being treated by doctors in a clinic.

CNN has not independently verified the images.

Like ISIS, al-Nusra Front is trying to establish an Islamic state, though primarily in Syria. It has emerged as one of the most effective groups fighting the Syrian regime, drawing on foreign fighters with combat experience in Iraq and elsewhere.

At least six militants from al-Nusra were also killed in a U.S.-led coalition airstrike in the western part of Aleppo, the Syrian Observatory for Human Rights said Thursday, citing reliable sources in the embattled city in northwestern Syria.

The airstrike also caused massive damage to the group's local headquarters in an area known as al-Muhameen, in the western Aleppo countryside, according to the monitoring group.

U.S. official: Khorasan bomb-maker targeted

A senior U.S. military official told CNN Thursday that all strikes around Idlib on Wednesday night targeted the Khorasan Group. There were no strikes targeting al-Nusra or any other group, he said.

According to a U.S. defense official who has access to the latest information about the strikes, a key French jihadist belonging to the Khorasan Group was killed in one of them.

The United States fired at a vehicle it believes was carrying David Drugeon, a skilled Khorasan bomb-maker who also has  ties to core al Qaeda members in Pakistan.

U.S. intelligence agencies believe Drugeon has facilitated the movement of European jihadists to Syria and back to Europe, raising worries they could then travel to the United States. Drugeon traveled to Syria in the last two years from Pakistan, where he worked with al Qaeda.

There were a total of five strikes against Khorasan targets near Idlib, the official said, using both drones and fighter aircraft. The official could not say which type of aircraft struck Drugeon's vehicle.

The United States has been searching for top Khorasan leaders since it determined initial strikes against the group in September failed to kill its main leadership.

In the wake of the strikes against the Khorasan Group in September, U.S. Central Command spoke of "action to disrupt the imminent attack plotting against the United States and Western interests."

The group was formed by senior al Qaeda members based in Pakistan who traveled to Syria to direct operations, CNN national security analyst Peter Bergen reported, citing British and U.S. officials. "Khorasan" is an ancient term for an Islamic empire.

Obama administration could expand Syria mission

Analyst: Targeting Ahrar could backfire

If Ahrar al Sham has been targeted -- rather than another target being sought that happened to be in Ahrar's headquarters, or the strike being a targeting blunder -- it could be a complex matter for U.S. policy, while also raising the specter of so-called mission creep.

"If Ahrar has indeed been targeted, it may well have deeply damaging consequences in terms of Syrians' perception of U.S. objectives in their country," said Charles Lister, a visiting fellow at the Brookings Doha Center and a leading expert on ISIS and Syria.

"For many opposition Syrians, targeting ISIS makes sense, targeting Nusra is unpopular, but targeting a group like Ahrar, despite their conservative base, would undoubtedly backfire.

"Unfortunately, it would seem that the U.S.-led coalition is still in reaction mode -- each mistake will force more reaction, but all the time, our objectives are getting further and further from us."

According to Lister, Ahrar has been going through a significant process of top-down moderation over the past nine months, with considerable consequences for the group's willingness to compromise on political objectives.

"If it's been done, adding Ahrar onto the list of coalition targets threatens to reverse this moderating process, to the detriment of international interests," he said of the apparent targeting of the group.

@highlight

U.S. defense official says Khorasan Group bomb-maker was killed in an airstrike

@highlight

At least six al-Nusra Front militants killed in airstrike near Aleppo, monitoring group says

@highlight

Airstrike hits Islamist group Ahrar al Sham, Syrian human rights group says

@highlight

Ahrar al Sham is a Sunni Muslim group that is not on a U.S. list of designated terror groups