(CNN) -- Taylor Spearnak met her boyfriend in 2002, during her third year of college, when they were both congressional interns in Washington.

A friend set them up, and they laughed for hours over cheap burgers and a terrible action movie. They kept the relationship going when they returned to their schools in Boston, and when they studied law at schools in different states.

In 2007, when they reunited in New York City, they decided it made sense for them to move in together, Spearnak said. They lived in one of the most expensive cities in the country, and had law school loans to pay off. They'd be busy as new law firm associates, and knew they'd be spending nights at each other's apartments, anyway. Spearnak's parents trusted them, and thought it was a smart decision.

"We knew we were serious, but not ready for marriage. This was the next step for us," the 30-year-old lawyer said. "We wanted to be able to spend as much time together as possible."

As the stigma of "living in sin" fades and more people delay marriage, researchers are finding that living together before marriage can be a stabilizing force in relationships. It is often leading to marriage and children, demographer Casey Copen said.

Between 2006 and 2010, 48% of women between the ages of 15 and 44 moved in for the first time with a man to whom they weren't married, according to a report released Thursday by the Centers for Disease Control and Prevention's National Center for Health Statistics. In 2002, it was 43%. In 1995, it was 34%.

That's 1 in 4 women living with a man by age 20 and almost 3 in 4 by 30, according to the report, "First Premarital Cohabitation in the United States," which studied male-female relationships.

"Generations that were cohabitating less are now being replaced by a group of women and men that find cohabitation to be quite normal," said Copen, the study's lead author. "Overall, these unions are lasting longer, they're more stable and the highest proportion of them transition to marriage."

Marriage: It ain't what it used to be

The increase doesn't surprise psychotherapist Lisa Kift, who counsels married and unmarried couples in her San Francisco, California, practice. Just as social mores are changing what families look like, long-term partnering is changing, too, she said.

The study, which is based on 12,279 interviews from 2006 to 2010, found a shrinking percentage of women moving in with a man for the first time because of marriage -- 23% in 2012, down from 30% in 2002 and 39% in 1995.

"Long-term commitments are more broadly defined and for many, can mean cohabitation without a legal document or public declaration," she said. "Many couples believe they are doing their due diligence by having the experience of living together before making a commitment to marry."

But do these unions last? And do they lead to marriage?

The study found that 40% of women living with significant others for the first time between 2006 and 2010 transitioned to marriage within three years, while 32% of those relationships remained the same and 27% dissolved.

The numbers are growing across racial and ethnic groups, except for Asian women, the study said. Demographers use the information to explore how cultural and economic differences can change the experience, Copen said. Forty-four percent of white women married within three years of living together the first time, while 31% of black women and U.S.-born Hispanic women did so.

Fifty-three percent of women with a bachelor's degree or higher had transitioned to marriage by the three-year mark, while 30% of women with less than a high school diploma had married by then.

Spearnak and her boyfriend intend to marry one day. But, they've been together so long that it sometimes feels like they're already married, she said. Her parents want them to marry, she said, but by being committed and comfortable, they've pushed back against pressure. What's the rush?

"Neither of us feels a need to put a ring on it," she said. "We know we are solid. We survived the bar (exam), assembling IKEA furniture and moving."

Cohabitation leads to childbearing with greater frequency, the study found. Nearly 20% of women became pregnant within a year of moving in with someone for the first time, up from 18% in 2002 and 15% in 1995. The chances of becoming pregnant were higher among women younger than 20, foreign-born Hispanic women and women with less than a high school diploma.

Montclair, New Jersey, resident Sarah Groom lives with her boyfriend of nearly nine years, and recently gave birth to a baby girl. They met at a fraternity house in Boulder, Colorado, in 2003 and developed an relationship a year later. It was a passionate, impulsive decision when they moved in together in 2005, but stressful, too, she said. They broke up, moved out, argued over who got the dog and reunited more than once.

They live together now, and she wants to get married, but it hasn't happened. Along the way, there was "stress, chaos, self-doubt and even resentment," but it seems to have worked out, she said.

But, her experiences have taught her the importance of foresight, she said.

"I have a beautiful baby girl now, so it is hard to say I regret my choice," Groom said.

"I would advise people choosing to cohabitate prior to marriage, to not make the decision lightly and to discuss potential issues that may arise and how they would be handled well in advance."

There are still benefits to getting married, she said.

"One works harder to preserve a relationship," she said. "Its whole nature is less disposable."

Follow Emanuella Grinberg on Twitter

@highlight

Premarital cohabitation leading to marriage, kids with greater frequency, CDC study finds

@highlight

From 2006 to 2010, 48% of unmarried women aged 15 to 44 lived with someone for first time

@highlight

Report: Nearly 20% of women became pregnant within a year of premarital cohabitation

@highlight

Couples view living together as way of testing waters for marriage, psychotherapist says