(CNN) -- The Justice Department is set to make it easier for more federal prisoners sentenced for crack cocaine offenses to get clemency applications into the bureaucratic pipeline.

Attorney General Eric Holder said Monday that expanded criteria will soon be put in place, and anticipates a sharp increase in the number of eligible petitioners.

Inmates seeking a reduced or suspended sentence must first ask the department for relief, and those applications are then reviewed by the president.

The pending changes are the latest step in an ongoing effort to remedy the once-common wide disparity in sentences handed down over powder versus crack cocaine, based on guidelines first enacted by Congress more than 25 years ago.

The issue has been a major policy priority for Holder and President Barack Obama.

In addition to the clemency angle, the administration has been pushing to give prosecutors more flexibility in certain non-violent criminal cases, and recommending rehabilitation instead of warehousing of prisoners.

"The White House has indicated it wants to consider additional clemency applications to restore a degree of justice, fairness and proportionality for deserving individuals who do not pose a threat to public safety," said Holder in a videotaped message posted on the department's website. "The Justice Department is committed to recommending as many qualified applicants as possible for reduced sentences."

Holder: I back a plan to reduce some drug-related sentences

The department later this week promised more specifics on the new criteria, including how it will handle an expected flood of clemency requests.

Obama three years ago signed the Fair Sentencing Act to address the larger issue. And last December, he commuted the sentences of eight federal inmates convicted of crack cocaine crimes, concluding those offenses that did not justify such lengthy prison terms.

The issue has racial overtones, since U.S. Sentencing Commission figures in 2006 showed African-Americans made up nearly 82 percent of defendants sentenced in federal court for dealing crack, but only 27 percent of those sentenced for dealing powder cocaine.

In 2011, federal courts dealt with more than 10,000 cocaine sentences a year, roughly evenly divided between crack and cases involving the powdered substance.

Until the changes started nearly a decade ago, the sentencing guidelines provided for a 100-to-1 ratio between the penalties for crack cocaine offenses versus those for powdered cocaine.

Dealing 5 grams of crack meant some defendants could get as much prison time as someone who dealt 500 grams of powder.

The 100-to-1 factor had long been a source of contention between government prosecutors and civil rights advocates, who argued crack dealers were targeted for longer prison terms because that drug is prevalent in urban and minority communities, while the powdered version is more commonly associated with higher-income users.

Actions taken by the President, lawmakers, and the Sentencing Commission -- an independent federal agency that advises all three branches of government on sentences -- served to cut the gap in recommended prison time for offenses involving the two varieties of cocaine.

In the private sector, Families Against Mandatory Minimums has fought for changes in mandatory cocaine penalties for years.

The fair sentencing law changed the 100-to-1 disparity between minimum sentences for crack and powder cocaine to 18 to 1.

The Sentencing Commission subsequently voted to make the reduced crack penalties retroactive, which meant more than 12,000 current inmates are eligible to request reduced sentences.

Previous presidential administrations had argued that Congress made a special point of creating the 100-to-1 ratio to send a tough message to crack dealers.

The harsher sentences came after a social epidemic of crack cocaine began destroying many urban areas in the 1980s.

Congress then established guidelines to ensure relatively consistent sentences for federal criminal defendants.

But the Supreme Court in 2005 concluded that while the guidelines are constitutional, they should nevertheless be considered "advisory," not mandatory.

Judges could consult them as needed when imposing sentences and their decisions would be given deference on appeal, so long as they were not "unreasonable."

Congressional lawmakers -- Republicans and Democrats -- then went back in 2006 with various bills that eventually reduced the disparity in cocaine sentences.

Nevertheless, said Holder, "There are still too many people in federal prison who were sentenced under the old regime -- and who, as a result, will have to spend far more time in prison than they would if sentenced today for exactly the same crime. This is simply not right."

CNN's Justice Reporter Evan Perez contributed to this report.

@highlight

The Justice Department will make it easier for certain prisoners to get clemency petitions

@highlight

Attorney General Eric Holder said new criteria would be put in place soon

@highlight

He anticipates a sharp increase in the number of inmates eligible to apply

@highlight

The move aims to remedy disparity in sentences involving crack vs. powdered cocaine