Washington (CNN) -- President Obama made his final pitch for his prized piece of legislation -- health care reform -- on Capitol Hill on Saturday, and Democratic leaders decided to abandon a plan to avoid a direct vote on the Senate bill.

President Obama told Democrats on the eve of Sunday's historic House vote: "Let's get this done."

"If you agree that the system is not working for ordinary families, if you've heard the same stories that I've heard everywhere, all across the country, then help us fix the system," Obama said.

"Don't do it for me. Don't do it for Nancy Pelosi or Harry Reid," he said. "Do it for all those people out there who are struggling."

Obama's speech came just hours after Democratic leaders decided to abandon the controversial legislative mechanism know as "deem and pass" to avoid a direct vote on the health care legislation. They will now hold an up-or-down vote on the $875 billion reform plan that the Senate has already passed.

Multiple Democratic sources told CNN that Democratic leaders decided to drop the proposed tactic, which had come under fierce criticism.

The sources said the House will have three votes Sunday -- a vote on the terms of debate, a vote on compromise changes to the Senate bill, and then finally, a vote on the Senate bill itself.

"We have been debating health care for decades," Obama said. "It has now been debated for a year. It is in your hands. It is time to pass health care for Americans and I am confident that you are going to do it tomorrow."

If the Senate bill passes the House, Obama will sign it into law. If the package of changes is passed, it will be taken up by the Senate.

Freshmen House Republicans railed Saturday against the bill.

"The health care decision should be made between a patient, their family and their physician," said Rep. Phil Roe of Tennessee. "Not the insurance company, not the federal government. And this is a great intrusion by the federal government in that decision-making process."

Democratic leaders are trying to round up the 216 necessary votes to pass the bill. According to CNN's latest count, 33 Democrats plan to vote against the legislation. Thirty-eight Democratic "no" votes are needed to kill the bill.

Multiple Democratic leadership sources told CNN that Democrats have more than 200 "yes" votes, though it was not clear Friday night how close Democrats were to securing the votes they need.

iReport: Share your thoughts on the health care bill

One undecided congressman said Friday that he refused to answer a phone call from the White House until he finalized his voting decision. On Saturday, Texas Rep. Henry Cuellar released a statement saying he has "decided to stand in support of this plan for health care reform."

Administration officials claim that the reform plan has been picking up momentum in recent days. They told CNN they had a "really good day" Thursday, when the nonpartisan Congressional Budget Office estimated that the compromise plan would cost $940 billion over 10 years while reducing the deficit by $138 billion -- $20 billion more than the bill passed by the Senate. The budget office numbers reassured some fiscally conservative Democrats, according to congressional leaders.

"Not only does it reduce the deficit, we pay for it responsibly in ways that the other side of the aisle -- that talks about fiscal responsibility but doesn't seem to be able to walk the walk -- can't claim when it comes to their prescription drug bill," Obama said Saturday in a jab at Republicans.

House Minority Leader John A. Boehner countered the president: "Democratic leaders are telling their members after this passes, it's going to become much more popular. Well, they're dead wrong."

"This is not the way to go, and the American people know it."

iReport: Health care protests at the Capitol

If enacted, the measure would constitute the biggest expansion of federal health care guarantees since the enactment of Medicare and Medicaid over four decades ago. It would extend insurance coverage to an additional 32 million Americans, according to a preliminary analysis from the budget office.

Republicans contend the plan amounts to a government takeover of the private insurance system that will do little to slow spiraling medical costs.

Obama addressed those concerns Saturday, insisting there is no government takeover.

"We are making sure that the system of private insurance works for ordinary families," he said, calling the legislation a "patient's bill of rights on steroids" and "the toughest insurance reform in history."

Republicans argue it would lead to higher premiums and taxes for middle-class families while resulting in deep Medicare cuts.

Among other things, the plan would expand Medicare prescription drug coverage, increase federal subsidies to help people buy insurance and ban denials of coverage for pre-existing conditions.

It seeks to bridge the gap between previous House and Senate bills partly by watering down and delaying the implementation of a tax on high-end insurance plans.

Republicans are fuming over the Democrats' decision to use a legislative maneuver called reconciliation, that will allow the compromise measures -- if passed by the House -- to clear the Senate with a simple majority of 51 votes.

Senate Democrats lost their filibuster-proof 60-seat supermajority in January with the election of Republican Sen. Scott Brown of Massachusetts.

Republicans contend that reconciliation, which is limited to provisions pertaining to the budget, was never meant to facilitate passage of a sweeping reform measure such as the health care bill. Democrats point out that reconciliation was used to pass several major bills in recent years, including George W. Bush's 2001 and 2003 tax cuts.

House Democrats have expressed concern that the compromise measures will not be approved by the more conservative Senate. Pelosi said Friday, however, that "when our members go to vote, they will have all the assurances they need" that the Senate will approve the compromise plan.

Meanwhile Saturday, a Tea Party protest against the bill was held in Washington.

"We want this bill stopped," organizer Jennifer Hulsey said. "This is not what the American people want, and our congressmen and our congresswomen need to listen to the American people because they really mean it this time."

Democratic lawmakers say they've faced slurs

A group of Republican congressmen, including Reps. Steve King of Iowa and Jack Kingston of Georgia, emerged Saturday night to address the protesters who chanted "Kill the bill!" throughout the speeches.

"Our fight is not over," King told the crowd over a bullhorn. "You represent what is good and right about America. We will fight this bill until we completely defeat the government takeover of your personal liberty."

@highlight

President Obama visits Capitol Hill for final pitch on health care overhaul

@highlight

Democratic leaders abandon plan to avoid a direct vote on the Senate health care bill

@highlight

House of Representatives set to vote Sunday on health care reform

@highlight

Democrats need 216 votes to pass the bill