Washington (CNN) -- For Washington, Christmas could come early. Or it could not come at all.

The deal to end the government shutdown in October included a new deadline -- come up with a plan to fund the government by December 13 -- or risk another partial government shutdown next month.

Well, December 13 is Friday and House and Senate negotiators don't yet have a deal.

And that's not the only thing Congress has to work on before the House is supposed to leave town, also on Friday, and the Senate at the end of next week.

The budget

The talks, led by Wisconsin Republican Rep. Paul Ryan and Washington Democratic Sen. Patty Murray, are working to formulate a spending bill for the remainder of fiscal 2014, which ends next September 30.

Current funding for the government runs out in mid-January around the same time as billions in new automatic spending cuts -- known as sequestration -- are set to hit.

Insisting that negotiators reach a deal, House Speaker John Boehner said last week that he "told everybody in the room (the GOP caucus) we are done at 11 a.m. on December 13."

Sen. Rob Portman, R-Ohio, who sits on the House and Senate negotiating panel, said Sunday on ABC's "This Week" that he's "hopeful" a deal would be reached by the end of this week.

Unemployment benefits

An estimated 1.3 million long-term unemployed will be cut from federal jobless benefits by the end of the year. Another 850,000 could fall off the rolls within the first three months of 2014, according to the National Employment Law Project.

That's unless Congress extends, for the 12th time since 2008, the federally funded Emergency Unemployment Compensation program. It provides benefits once a jobless worker's state benefits expire.

A 'do-nothing' Congress?

The unemployment extension could be included in budget talks, adding another challenge that Republicans and Democrats have to overcome.

While the second-ranking Democrat in the Senate said he hopes extended unemployment benefits are included, he noted on Sunday that such a step won't necessarily be a sticking point for his party in budget negotiations.

"No, I don't think we've reached that point where we've said, 'This is it -- take it or leave it,'" Sen. Dick Durbin, D-Illinois, said on "This Week" when asked if his party would demand it be included budget talks.

While many Democrats want an extension, Republicans are opposed. Kentucky Republican Sen. Rand Paul said an extension of jobs benefits harms the unemployed.

"I do support unemployment benefits for the 26 weeks that they're paid for. If you extend it beyond that, you do a disservice to these workers," he said on "Fox News Sunday."

Farm Bill

The Farm Bill, which sets national food policy, is two years overdue. Congress has been passing short-term extensions instead of the usual five-year plan, but key negotiators now say a short-term fix is not an option.

Washington gridlock risks $7 milk

If lawmakers fail to pass a Farm Bill, the economic impact for ordinary Americans could be quite severe.

The price of milk would more than double to an estimated $7 per gallon as government subsidies expire. The cost of food overall would go up, with supports for commodities, such as corn and wheat, also running out.

Another huge factor: food stamps. The Farm Bill authorizes spending for that program as well. House Republicans want to drop 3.8 million people from those rolls next year -- about 8% of recipients - while Senate Democrats aren't keen on those cuts. But they would likely have to agree to some reductions for a deal to be reached. Food stamp spending is currently

Some 47.6 million people, or nearly 15% of the population, get food stamps, according to September federal data. In 2007, only 26.3 million, or 8.7% of the population, received them.

The 'Doc Fix'

For doctors, the holidays are a stressful time if they see Medicare patients. That's because their reimbursements are caught up in political wrangling and budget negotiations. It's called the "doc fix" and they would see a 24% reduction in their reimbursements if Congress fails to act.

While there is bipartisan support for doctors to receive payments in full, there is plenty of disagreement between the two parties on how to pay for the costly program.

Washington could still screw up your holidays

The latest estimate from the nonpartisan Congressional Budget Office found the "doc fix" would cost $138 billion over the next decade. While that's far lower than the $316 billion the CBO projected the previous year, it's still hard to find that much money lying around.

The House announced a path forward but the Senate has not. It's unclear how this issue will be resolved.

If Congress fails to fully reimburse them, doctors have threatened to stop seeing Medicare patients. That's not a viable option as more and more baby boomers sign up for Medicare every day.

Iran sanctions

Despite administration objections, members of Congress are working to pass new sanctions on Iran.

The White House is opposed, saying they would undermine an interim deal with Iran meant to halt its nuclear program.

A Senate source familiar with the discussions told CNN Capitol Hill Producer Ted Barrett that senior Senators from both parties are nearing agreement on a plan that would prohibit Iran from enriching any uranium.

One source said "the (Obama) administration's preference is for us to do nothing," while another said "they're fighting us tooth and nail."

Kerry sees hope of progress for Iran, Israel

Even if a deal is reached, it's not clear that Senate Majority Leader Harry Reid would defy President Barack Obama and bring the package to a vote.

Presidential nominations

The Senate is back in town for the first time since it changed the rules to allow a simple majority to confirm Presidential nominations instead of the previous 60-vote threshold. They are expected to clear a backlog of appointments.

The first vote is expected on Patricia Ann Millett to the U.S. Court of Appeals for the District of Columbia Circuit.

Other nominees likely to come up for a vote before the end of the year include Robert Wilkins and Cornelia Pillard, also for the D.C. court, Janet Yellen to head the Federal Reserve, Jeh Johnson to be Secretary of the Department of Homeland Security and Democratic Rep. Melvin Watt of North Carolina to run the Federal Housing Finance Agency.

Defense bill

Senators also will return to legislation that sets policy goals and spending targets for the military.

The Defense Authorization measure has passed the House but is moving slow in the Senate because of the numerous amendments that receive a vote -- common procedure for that legislation.

While the Senate is scheduled to be in town for two weeks, it must hurry since the House is set to leave on Friday.

CNN's Ted Barrett, Deirdre Walsh, Dana Davidsen and CNNMoney's Jeanne Sahadi contributed to this report

@highlight

Congress has made a habit of working until the last minute to meet fiscal deadlines

@highlight

This year, Congressional negotiators are working on a budget for 2014

@highlight

If Congress fails to act, the price of milk could spike

@highlight

Doctors face cuts to reimbursements for seeing Medicare patients