New York (CNN) -- When asked what the Americans with Disabilities Act means to him on its 20th anniversary, Gary Talbot pauses and says it's tough to put in words.

Instead of directly answering the question, he begins to describe in vivid detail his journey from able-bodied man to able-bodied wheelchair user.

A gifted auto mechanic, Talbot was driving home in his yellow '76 Honda CVCC Civic around 11 p.m. on Interstate 25 just north of Denver, Colorado, after a 14-hour shift.

The lanky, freewheeling 24-year-old had just completed an overhaul of his Honda that night -- October 4, 1980 -- when, as Talbot put it, he ''literally took a nap behind the wheel.''

A few weeks earlier, Talbot said, a concrete hauler had hit the freeway median, taking out a big chunk of it.

Instead of hitting the median, which might have woken him up in time, Talbot's Honda went straight through the open gap and into oncoming traffic.

The collision flipped his car a few times and sent it skidding down the highway.

Before police arrived, people rushed to the crash site to help while Talbot sat in the driver's seat of the now upside down car -- with its engine still running.

"I was all so proud of my work and to crunch it up on the first day, I was really pissed,'' Talbot said.

When he turned off the engine, gas began pouring out of the carburetor. Talbot thought he was going to go up in flames.

That was when he tried for the first time to push himself out -- and he realized he couldn't move.

"I thought, what the hell's going on, I must have slipped a disc or something and then I asked the guy to help me and he said he wouldn't'' because he was afraid of being sued.

A few other men approached the wreckage and ''put a coat over my head so I wouldn't be able to identify anybody,'' Talbot said.

Once at the hospital, Talbot remembers the doctor's good news-bad news speech: "'You're going to live; you're never going to walk again,' '' Talbot recalled.

Rebuilding his life

After the initial shock and physical pain started to ease, Talbot was relieved to be alive and thankful no one else was hurt in the accident.

"'I think I can make this work OK. I can still move my upper body. I'll still have good arm strength and shoulder strength. I can figure this thing out, and it won't be that bad of a deal,' '' Talbot recalls thinking.

Within weeks, Talbot was fixing his doctor's car at the spinal cord hospital where he was being treated. The car wouldn't idle and the doctor challenged him to give it a try.

Everyone in the hospital was in worse condition than Talbot, who said the doctor told him, ''You're going to learn how to get up off the floor and into your wheelchair by yourself and you're going to learn how to do wheelies and bounce up and down stairs.'''

He tossed Talbot the keys to his MG and told him to get to work.

When he was finally home again, Talbot had trouble finding a job as a mechanic, even though he proved he could do the work.

"They wouldn't let me fill out applications,'' he said. "They would tell me there weren't cripples on staff and that their customers didn't want to see a guy in a wheelchair fixing a car."

So he opened his own auto shop, Gary's Honda Service. Six years later, he lost the business after becoming ill. Talbot then went back to school to earn his GED and then to the University of Michigan to study mechanical engineering.

He also began learning about the need for accessibility for the disabled and landed a job with General Motors and later Disney -- helping both companies comply with ADA regulations.

A new mission

In 2007, Talbot left Florida to join the Massachusetts Bay Transportation Authority as assistant general manager for systemwide accessibility.  As the new guy heading up the Boston transit system's efforts to comply with the Americans with Disabilities Act, Talbot learned the hard way that he had a tough ride ahead.

The ADA debate rages on, 20 years later

After he and his wife drove 30 hours to Boston and they dropped off their rental car, they decided to take the city bus.

The bus pulled up in the middle of the road and, "The driver looks right at me, lets three people off the second door in the back, looks at me, closes the door, slams the throttle and splits.''

"It was just typical.''

In a class-action lawsuit in 2003, a group of riders sued the area's mass transit operator, the Massachusetts Bay Transportation Authority, because it was so inaccessible.

According to Talbot, the elevators didn't work half the time, bus lifts were broken and drivers were not educated in dealing with the disabled.

The next morning, the driver who'd left Talbot on the street found himself in Talbot's new office along with union representatives.

Talbot said the driver was remorseful but gave the excuse that he was running late to get back to the terminal near the end of his shift.

"Boy, I tell you, I wanted to fire that guy so bad I could taste it.''

They agreed to a few days off without pay and two years of probation. The union and management urged Talbot to understand that drivers had not been trained yet.

After all, his new job, they said, was to develop tools to turn around accessibility compliance at MBTA, which serves more than 1.3 million riders a day.

And in building up the organization, that is exactly what Talbot did.

Fast track to accessibility

Since he's been on board, he estimates MBTA has spent about $100 million on accessibility, putting it on what he calls a fast track to carry out projects that should have been done 15 years ago.

Now 54, Talbot said his prime accomplishment has been revamping the procedures bus drivers follow to accommodate wheelchair users, the deaf and blind and people who use a cane, walker or crutches.

He oversaw the creation of a step-by-step ''cookbook" that teaches a driver "how to win -- how to feel good about himself when someone with a disability gets on the bus.''

When Talbot started at MBTA three years ago, drivers pulled to the curb and lowered the bus -- or kneeled -- for disabled passengers about 25 percent of the time.

That percentage figure is now in the mid-80s, Talbot said, but he won't be satisfied until it happens without fail. Under the rules, drivers who fail to kneel their buses for the disabled are disciplined, which wasn't the case in the past.

MBTA went from ''the bottom of the barrel to industry leading'' in its accessibility for the disabled, Talbot said.

Drivers underwent rigorous training that involved sitting in wheelchairs themselves and pushing their way up ramps and into buses.

Many of the drivers couldn't even do it, Talbot said.

With a staff of nine whose full-time job is to focus on accessibility, his department's budget is $1.5 million.

Talbot also spearheaded a new accessibility design standard for future MBTA rail vehicles, meaning the system will tell manufacturers what to put in the car, rather than "buying them off the rack."

The Americans with Disabilities Act doesn't just give disabled people physical access to buildings, restaurants and restrooms, Talbot said. It opens invisible doors and walls that would-be employers and others can put up when they see a disabled person.

"How can you think about being a participant and getting that full bite of the apple out of all our society has to offer if you're just taken and set aside and told 'You know, we don't have enough work.' You don't even get to fill out the application," Talbot said. "That was pre-ADA.''

''Now you have to look at the value of the individual and what the individual could potentially do rather than what your perception of the individual could do was.''

ADA: Too far or not far enough?

While critics say the law, which President George H.W. Bush signed on July 26, 1990, can be burdensome, costly and an overextension of the government's  authority over the private sector, others say it could be stronger.

For instance, Talbot says the ADA requires that at least one entrance on new buildings be accessible.

"What about the other two entrances? Why in the world would you segregate people with disabilities to only one entrance?"

Talbot also thinks faith helped him through his own life circumstances.

"I think I've made it. I have a great job. I wouldn't wish my injury on anybody and I don't like the fact that I can't walk down the street or go jogging or climb a hill or ride a bicycle.''

''There's so much that I can do and I've been able to do that I just wouldn't change anything about my life.''

Talbot has been invited to celebrate the ADA's 20th anniversary with a visit to the White House on Monday. There he hopes to toast his 13th wedding anniversary with his wife, Pamela.

"I've been given a second chance, and I value that second chance every minute of every day.''

@highlight

Paralyzed auto mechanic's life transformed by Americans with Disabilities Act

@highlight

Gary Talbot describes rise from a horrific car wreck to transit executive

@highlight

On first day in town as transit exec, bus driver won't pick him up because of his wheelchair

@highlight

Talbot will celebrate ADA's 20th anniversary at the White House on Monday