CANKIRI, Turkey (CNN)  -- In the searing heat of an Anatolian afternoon, work continues busily on the vast building site that fills an entire block of Cankiri's otherwise quiet town center.

Polls suggest the Erdogan's AKP is heading for another victory.

A massive Western-style shopping complex is rising from the ground. Next the local mayor, Irfan Dinc, has plans for a smart new bus terminal on the outskirts of this small regional capital a couple of hours north of Ankara.

Designated a "preferential province," investors in Cankiri already receive lucrative tax breaks. Now Dinc hopes to tap into European Union funds as part of his efforts to put the town on the map.

"Cankiri is generally known for being a rural, modest province," Dinc tells CNN. "But we are becoming more integrated. We are connecting Cankiri to the rest of the world."

Cankiri is typical of the Turkish provincial towns and regions that are beginning to emerge from the shadow of Istanbul and Ankara driven by surging economic growth -- and the sort of place where campaigning ahead of Sunday's parliamentary elections is at its most fierce.

Yet the issue that forced Prime Minister Recep Tayyip Erdogan into early elections showed how fragile Turkey's young democracy can still be -- and how a dispute in Ankara's corridors of power can still tip the entire country into political crisis.

Erdogan's critics in Turkey's traditional establishment accuse his Justice and Development Party (AKP) of Islamist tendencies and of plotting to dilute the secularist principles of the modern Turkish republic, as laid down by the country's revered founder, Mustafa Kemal Ataturk.

That came to a head in April when the government nominated the country's foreign minister, Abdullah Gul, for the presidency.

The fact that Gul's wife chooses to wear a headscarf prompted a secularist outcry, with opposition lawmakers backed by the constitutional court blocking the nomination, millions protesting in Ankara, Istanbul and Izmir and even the leaders of the army -- the traditional defenders of secularism -- issuing an e-mail in which they stated their readiness to intervene in the event of the election of a president not to their tastes.

In Cankiri, it is hard to see how the headscarf could have become such a potent political symbol. Many women here chose to wear them, but plenty of others don't and life continues harmoniously as it has done for decades in this culturally conservative country.

Suat Kiniklioglu, a local AKP parliamentary candidate and one of a new breed of technocratic young politicians attracted by the party's modernizing instincts, told CNN the real divide in Turkey was between "those who want the old order to continue and those who want the old order to change."

He argues it has been the AKP -- rather than the main opposition Republican Party (CHP) led by veteran politician Deniz Baykal, the self-styled defenders of Ataturk's legacy -- that has argued for closer integration with the European Union and for a globalizing drive that has brought visible benefits to places like Cankiri.

"We represent the people who believe Turkey should open up and that the old ways of doing things no longer work for us. We do not reject secularism -- we just argue for a more user-friendly secularism. We do not think it should matter if a woman chooses to wear a headscarf."

Final polls ahead of Sunday's vote suggest the AKP is heading for another victory, but this is not a straightforward election. The party still faces the job of electing a president and has vowed to press ahead with constitutional changes to prevent a similar crisis occurring again.

But without securing an unlikely two-thirds majority, it could find itself blocked by its parliamentary opponents just as easily after the elections as before them.

And while the CHP is not expected to get the votes it needs to form a government, the secular establishment remains a dominating presence in Turkish politics, notably through its close ties to the army, which has acted four times since 1960 to bring down governments of which it disapproved.

Also damaging for the AKP has been a surge in Turkish nationalism, largely on the back of reaction against regular terrorist attacks by the PKK which have led military chiefs to call for action against Kurdish Northern Iraq.

That feeling has been capitalized on effectively by the Nationalist Party (MHP), which may well achieve the 10 percent share of the vote necessary to enter parliament, further shifting the political balance of power. Particularly successful in rural areas, the MHP is challenging strongly in Cankiri -- an AKP stronghold -- to win a place on the list of three MPs the province will send to parliament.

For Ibrahim Kalin, an Ankara-based political analyst and newspaper columnist, the main question surrounding Sunday's vote is not who will win, but whether Turkey can return to anything approaching normal politics after a bitterly polarized campaign.

"Politicians are ruining Turkish democracy, they are ruining people's trust in politics, they are ruining people's faith in politicians," Kalin told CNN.

"There needs to be a little more calmness, a little bit more of a sense of responsibility for the immediate future. I'm talking two weeks down the road when they come back to parliament and you have a country to run. They have to make some compromises and compromises I think have to begin now." E-mail to a friend

@highlight

PM Recep Tayyip Erdogan was forced into early elections; new poll on Sunday

@highlight

Many parts of Turkey are seeing impressive economic progress

@highlight

Erdogan's critics argue his AKP party has Islamist tendencies

@highlight

Final polls suggest the AKP is heading for another victory