New Delhi (CNN) -- When I left India to move to America 13 years ago, the President of the United States was George W. Bush, a man who was often internationally lampooned for mismanaging two wars and tainting Washington's image abroad. But moving back to India this month, I've been struck by the number of Indians who look back wistfully at the Bush years.

For Indians, Bush is considered a better friend than President Barack Obama. In fact, right now, Indians don't see Obama as much of a friend at all.

It didn't start off that way. In the early days of his presidency, in 2009, Obama marked India's Republic Day by saying Indians "have no better friend" than the people of the United States. A year later, when he visited New Delhi, he famously predicted India and the U.S. would form "the defining partnership of the 21st century." At the time, Obama won Indian hearts and minds as he chowed down kebabs at the city's famous Bukhara restaurant. The chefs created a special platter that exists to this day -- the Obama platter. (There was already a Bill Clinton platter, as well as a Hillary one.)

Today, the platters have gone cold: New Delhi feels jilted.

Instead of a defining partnership, Indians couldn't quite define where they stood. Talk of a G-2 -- a U.S. mega-alliance with China, an idea which didn't come from Obama -- inflamed old feelings of jealousy. Washington's impending pullout from Afghanistan, along with its generous aid to Pakistan, has stoked angst. But the real low point was reached late last year when an Indian diplomat in New York was arrested and then strip-searched for allegedly underpaying her nanny.

Obama likely had no prior knowledge of the case or the arrest, but still, the perceived American high-handedness turned out to be too much for India to digest.

New Delhi revoked privileges to U.S. interests in the country, and across India, there were anti-American protests. Regardless of the merits of the dispute, Indians wondered: If they had no better friend, was this the treatment they deserved?

The sense of betrayal is mutual. Washington feels let down, too -- and with some good reason. When Russia annexed Crimea from Ukraine this year, India chose not to side with the United States but to abstain on a U.N. General Assembly resolution against the Russian action. (Russia is, incidentally, India's largest supplier of arms.) When Washington sought to coalesce support for stringent sanctions against Iran, the surprise spoiler turned out to be New Delhi, which said it needed Iranian oil.

What happened to what was promised to be a close friendship between the world's two biggest democracies?

One could look to history for answers. Since its independence in 1947, India -- scarred by centuries of invasions and interventions -- has been a reluctant global player. Its first Prime Minister, Jawaharlal Nehru, co-founded the Non-Aligned Movement, a group of nations that aspired to steer clear of great powers and their geopolitics.

But 67 years on from its creation, India is now itself an aspiring great power, already among the top 10 economies in the world. Indian diplomats routinely express their hopes for India to become a permanent member of the U.N. Security Council, joining the ranks of Russia, the United States, China, France and the United Kingdom.

And yet India's foreign policy has remained aloof, lagging well behind its growth. The country has about the same number of diplomats abroad as Singapore, a country with a population 1/250th of India's. The United States, with a population one quarter of India's, has 10 times as many diplomats. How can India make or maintain friendships when it has always stayed at home?

Instead of the past, Indians and Americans should look to the future and the potential it could bring. A recent Pew survey shows that despite recent troubles, Indians trust and like America. For every Indian expressing an unfavorable view of the U.S., four Indians are favorable. By another four-to-one margin, Indians say the U.S. is the world's leading economic power, not China. By a margin of 21 percentage points, Indians are more favorable to the United States than China.

The data should not be surprising. India and the United States have more in common than they have differences. One may be a parliamentary system, the other presidential, but both celebrate and cherish democracy, however chaotic and frustrating it can be. At any given time, nearly 100,000 Indians pursue degrees in the United States. Many of them stay on and contribute to American society and business. Strategically, as Washington competes for influence in Asia with China, it will find a natural ally in New Delhi.

Obama's early rhetoric was spot-on: The two countries share common ideals. But can they share a friendship and nurture it? Both sides need to take a long, hard look at the world around them and wonder what kind of role they want to play and who can help them do it.

As Indians head to the polls Monday to elect a new government, foreign policy is not a campaign issue. It rarely is anywhere. People tend to vote for the things that tangibly impact them: the economy, taxes, infrastructure, education, health care. But whether Indians realize it or not, the next few weeks could offer a chance to rejuvenate a troubled relationship.

Whoever India's next Prime Minister is, he or she has an opportunity to start afresh with the United States. Washington has already opened a door to this, suggesting that Narendra Modi, the current favorite for PM, will be allowed a U.S. visa. Modi was denied one in 2005 for his alleged complicity in Hindu-Muslim riots 12 years ago. More than 1,000 Muslims were killed. Modi was chief minister of Gujarat at the time, the state in which the riots took place.

The last time Washington tried to hit the reset button -- with Russia -- things went awry. But the stakes are too high to not try again. If it gets this one right, Obama will be vindicated: This century's defining alliance may yet be the one between the two biggest democracies in the world.

@highlight

President Obama predicted U.S.-India friendship would be defining alliance of 21st century

@highlight

India and U.S. have been at odds over Crimea and Iran, says Ravi Agrawal

@highlight

India blames the U.S. for the arrest of diplomat whose nanny complained of exploitation

@highlight

Agrawal: U.S. needs to hit reset button and take advantage of elections to patch up relations