Washington (CNN) -- Foreign aid, a topic often overlooked on the presidential campaign trail, seems to sport a giant bull's-eye among Republicans this election season.

GOP presidential hopeful Rick Perry proposed setting foreign aid accounts to zero if elected. One of his opponents, Mitt Romney, suggested last month that China should bear more responsibility for direct humanitarian aid abroad, instead of collecting interest on loans to the United States. These candidates and others imply that cutting this one-line item is the key to balancing our federal budget and a near panacea for economic woes at home.

Understandably, GOP candidates have focused inward in their stump speeches, promising to create jobs and stimulate our sluggish economy. Americans rightly are worried about their own livelihoods and bank accounts.

In Tuesday's GOP debate being aired on CNN, I urge the presidential candidates not to dismiss the lifesaving work done overseas by nonprofit organizations such as those I represent. Not only is helping others part of this country's moral fabric, but it also makes fiscal sense for the United States and, thus, for voters' wallets.

Just as Americans' systematically examine their own family's spending decisions, I suggest that GOP presidential candidates apply similar personal finance principles to evaluate why foreign aid is worth the investment.

Don't be penny wise but pound foolish

Emergencies and disasters are inevitable -- from natural calamities to catastrophic illness. Financially savvy Americans know to protect their assets by spending small amounts on insurance and other precautionary measures. Foreign aid is this nation's insurance.

First, the investment -- like an insurance premium -- is relatively small. Foreign aid comprises less than 1% of the federal budget. Secondly, experts agree that small cash outlays can prevent major expenses later.

For example, droughts happen everywhere -- from Texas to East Africa. What is not inevitable, however, is famine. In places such as Texas, Ethiopia and Kenya, investments in agriculture techniques, good storage facilities and infrastructure have allowed people to plan for the unexpected. The Texas drought, which affected 70% of the state, did have a ripple effect on food and cotton prices worldwide. But no Texans starved to death.

Similarly, in East Africa earlier this year, long-term farming and food infrastructure investments in Ethiopia and Kenya meant that this year's drought in these countries was far less catastrophic. In Somalia, by contrast, the famine has put the lives of millions at risk.

Invest wisely and enjoy significant returns

History shows us that investing in today's aid recipients will help convert them to tomorrow's consumers of American exports. Eleven of the 15 largest importers of American goods and services are former recipients of U.S. foreign aid -- including South Korea, Taiwan and Brazil.

In today's increasingly global economy, experts agree that the United States will not recover from the Great Recession on its own. The U.S. Department of Commerce estimates that for every $1 billion in goods the U.S. exports, 6,000 manufacturing jobs are supported here at home. And 95% of the world's consumers live outside the United States.

Research released in October by the African Development Bank shows that Africa's income is expected to triple in the next 50 years, and that most African countries "will attain upper middle income status" by then. All these individuals are potential consumers of American goods.

Always hunt for bargains

For necessary items and services, bargain hunting pays off. Foreign aid's real price tag is a bargain compared with what it's worth to taxpayers.

Year after year, polling shows that Americans are willing to spend 10 times what the government now allocates to foreign aid. The majority think humanitarian aid and development programs eat up 25% of the federal budget, and then settle on 10% as an appropriate amount. And yet the real amount is less than 1% -- a bargain.

Five former secretaries of state -- from Henry Kissinger to Condoleezza Rice -- last week expressed their support for funding the international affairs budget not only as "strategic investments in our nation's security and prosperity," but also to "demonstrate America's proud tradition of goodwill and global leadership."

Americans have always shown tremendous generosity even in tough economic times. More Americans donated to Haiti earthquake relief efforts than watched the Super Bowl last year. Giving USA reports that giving by individuals is on the rise -- up 2.7% in 2010 over the previous year. And the biggest percentage increase in donations went to charities involved in international affairs: a 15% increase.

No presidential candidate wants to be out of touch with voters. I urge GOP candidates to frame their position on foreign aid based on what Americans want: To safeguard their wallets and show compassion for people suffering overseas.

The opinions expressed in this commentary are solely those of Samuel A. Worthington.

@highlight

GOP presidential hopefuls are targeting foreign aid, says Samuel A. Worthington

@highlight

Foreign assistance comprises less than 1% of the federal budget, he says

@highlight

Countries we aid now may be tomorrow's consumers of American exports, he says

@highlight

Worthington: Americans have always shown generosity, even in tough economic times