(CNN) -- After an astounding debut on Friday, Facebook's shares have tumbled for the most part. Is the most highly anticipated technology IPO in recent years a failure?

It's too early to know.

As we probe every aspect of Facebook's initial public offering, we should remember that the long-term performance of a company or its stock bears virtually no correlation with its first week's or month's market performance. In fact, the early days of Amazon.com's stock chart looked similar to Facebook's. Amazon's stock has done just fine since then.

Facebook has smartly capitalized on new market forces on a scale never seen in the history of commerce. But the jury's still out -- and will be out for a while -- on whether Facebook is a "phenom" or a real, growing company.

Facebook and its bankers did their jobs superbly well. They extracted the maximum amount of money possible from Wall Street and Main Street investors, raising $16 billion at eye-popping valuations and making it one of the largest IPOs ever. Some observers wondered, "what's it worth?" while others yammered about the market-cap-per customer calculus, knowing full well that no one really knows what that number is today or in a few years.

With all the hoopla surrounding Facebook's IPO, is it surprising that something went wrong? Facebook's IPO process is now being scrutinized closely, with regulators looking into impropriety on the part of the banks. There were "leaked" upbeat memos about the company. There were last-minute reductions in revenue forecasts while the bankers were pumping the price higher and higher. Some investors may have had more information than others. There were even technical glitches with NASDAQ's systems that disrupted trading. More "innocent" mistakes than a toddler makes in years.

Maybe the IPO was mishandled. If we had a more functional Securities and Exchange Commission, perhaps it would have made Facebook redo its IPO filing documents, which would have given some investors pause, and might have forced further tuning of a variety of key accounting metrics, all in full public view.

Moving forward, Facebook needs to do one thing right: Mature into a great company that constantly innovates based not on just Mark Zuckerberg's vision alone, but with lots of help, feedback and direction from its nearly 1 billion users. Ask Rupert Murdoch and MySpace about the importance of staying exciting, compelling and relevant to customers. Or Yahoo, or dozens of other companies that were so focused on their quarterly numbers and stock prices that they lost focus of their users and watched them drift away. Was a $38 FB share a great deal? Don't ask me this week -- ask me a year or two from now.

The Facebook IPO is remarkable for another reason, though: It could change the investing culture of Silicon Valley forever.

Startups can now think about a "total available market" in the billions of users (smart phones, tablets, PCs, etc.) and try to reach a customer base that was unimaginable even decades ago. And as more people use their devices/apps 24/7 -- possibly in some sort of social way -- the potential revenue that can be generated would be enormous.

For that reason, investor money is suddenly racing toward social media. Years ago, a great venture capitalist could make a solid return on an investment in about a decade or less. Now, a simple photo-sharing app like Instagram can be valued at $1 billion in less than three years.

But what's great for making tons of money may not be the same as what's great for innovation or for our country. In Silicon Valley, the investor flight to social media marks the beginning of the end of the era of venture capital-backed big ideas in science and technology.

Social media is the pot of gold that everyone wants a piece of right now. Will it change the way people interact? Stay tuned. Will it make the world a better place? Hard to say.

In the meantime, there isn't a whole lot to be learned in Facebook's first week or month of trading. We'll just have to see if this social media giant grows into a solid and profitable company over time.

The opinions expressed in this commentary are solely those of Steve Blank.

@highlight

On Tuesday, Facebook's stock has plunged nearly 18% from its IPO price

@highlight

Steve Blank: It's too early to judge Facebook based on its initial performance on the market

@highlight

Despite its IPO process mess, Facebook just needs to prove its long-term worth, he says

@highlight

Blank: Facebook IPO could change the investing culture of Silicon Valley forever