(CNN) -- Effective Saturday night, Yemeni Vice President Abed Rabbo Mansour Hadi took over Ali Abdullah Saleh's responsibilities as president, Yemeni government spokesman Abdu Ganadi told CNN.

The power transfer comes as a source close to the Saudi government said that the long-time Yemeni ruler arrived in Riyadh around midnight Saturday, a day after being hurt in an attack on a mosque in his palace.

Some Yemeni officials continue to insist that Saleh, who for months has resisted calls to step down, is still in Yemen. Yaser Yamani, Sanaa's deputy mayor, told Yemeni state TV Saturday night that "Saleh is still being treated in the military hospital in Sanaa."

Yet the Saudi source said that Saleh was immediately taken to a nearby hospital after his plane landed in Saudi Arabia.

A senior Yemeni government official had told CNN that Saleh was fine after sustaining a slight head injury in Friday's attack, and he gave a nationally broadcast speech later that night. But Saleh's medical condition is worse than originally thought, according to the Saudi source.

In response to that attack, Yemeni security forces on Friday pounded the home of Sadeq al-Ahmar, the tribal leader whose supporters are suspected of being behind the presidential palace offensive. The flurry of shelling left 10 people dead and 35 others wounded, according to Fawzi Al-Jaradi, an official with Hamil al-Ahmar, a Hashed tribal confederation led by Sadeq al-Ahmar.

The Saudi government source said Saturday that the Riyadh government has helped to broker an open-ended cease-fire aimed at ending spiralling violence in Yemen. Demonstrators have demanded Saleh's ouster for months, and fighting between Yemeni government forces and Hashed tribesemen has spiked considerably in recent weeks.

Key members of all pertinent parties agreed to the deal, with the signatories including Brig. Gen. Ali Mohsen al Ahmar, who defected to the opposition; Sadeq al-Ahmar, the Hashed and Hamil al-Ahmar leader; and Saleh's sons, representing the government. The Saudi source said that King Abdullah and Crown Prince Sultan bin Abdul Aziz Al-Saud have been heavily involved in setting up the framework for the cease-fire.

This is not the first time that the opposition and Saleh, who has led Yemen for 33 years, have seemingly agreed to a peace deal. The Gulf Cooperation Council, which consists of representatives from six neighboring nations, helped broker a pact that involved Saleh stepping down from power -- but that agreement ended up breaking down weeks ago.

Meanwhile, the popular unrest in the impoverished Arab nation continued Saturday.

Tens of thousands of demonstrators congregated Saturday in Sanaa's Change Square.

Meanwhile, in the flashpoint town of Taiz, protesters retook an iconic square in the city's center Saturday after government forces cleared it out last week. Eyewitnesses said security forces tried to disperse crowds of anti-government demonstrators by shooting at them and that at least two were injured.

Yemen's tough crackdown against peaceful protesters in Taiz prompted a new denunciation by Human Rights Watch, an international organization that monitors human rights violations.

"First the security forces kill and wound protesters, then they keep medical workers from treating the wounded and raze the protesters' camps to wipe out all traces of them," said Joe Stork, deputy Middle East director at Human Rights Watch.

"Foreign countries need to respond. They should freeze the assets of the president and other top officials until these horrendous abuses stop and those responsible are brought to account," said Stork, whose group also called for the export bans on arms and security equipment to Yemen.

Friday's presidential palace attack illustrates the escalating violence.

A Yemeni official who asked not to be named told CNN that Saleh was in the mosque when two "projectiles" were fired during Friday prayers. He confirmed the death of Sheikh Ali Mohsen al-Matari and four bodyguards. State-run news agency SABA, citing a source in Saleh's office, said three guards and the sheikh were killed.

Others taken to Saudi Arabia for treatment include Prime Minister Ali Mujawar; deputy prime ministers Rashad al-Alimi and Sadeq Amin Abu Rasand; Shura Council Chairman Abdul Aziz Abdul Ghani; parliament speaker Yahya Al-Raee; and Shura Council Chairman Abdul Aziz Abdul Ghan.

In a televised speech Friday night, the president said the attack occurred as talks were taking place between himself and affiliates of Sadeq al-Ahmar, the Hashed tribal leader whose break with Saleh has been followed by spiraling violence.

Eyewitnesses, residents and government officials say Hashed tribesmen were responsible. But the spokesman for Sadeq al-Ahmar insisted this was not true.

"The Hashed tribesmen were not behind these attacks on the presidential palace and if they were, they would not deny it," Abdulqawi al-Qaisi said.

In his speech, the president said those behind Friday's attacks were not connected with the youth-led movement in Sanaa's Change Square. Rather, he said that "gangsters" perpetrated the strike as part of their bid to overthrow his government and destroy Yemen's economic achievements.

"I salute the armed forces everywhere and the courageous security forces who are keen on combating the attacks by a criminal gang that is acting outside of the law and is not affiliated with the youth's revolution present in Change Square," Saleh said.

Mohammed Qahtan, the spokesman for the Joint Meeting Parties, Yemen's largest opposition coalition, said "the attack on the palace was preplanned by President Saleh to make people forget about the attacks that he has committed over the last two weeks."

Qahtan said Saleh's forces have "bombarded most of the al-Ahmar family properties after the palace attack" and have killed hundreds over the past two weeks.

According to the independent International Crisis Group, tensions escalated May 23 when fighting erupted between military forces controlled by "Saleh's son and nephews and fighters loyal to the pre-eminent sheikh of the powerful Hashed confederation, Sadeq al-Ahmar."

While Saleh has been unpopular among many inside his country, he has been a longtime ally of the United States in the war against terror.

The United States has counted on his government to be a bulwark against militants, including al Qaeda in the Arabian Peninsula, but it believes he should transfer power in order to maintain stability in the country.

White House spokesman Tommy Vietor said on Friday that John Brennan, the president's homeland security adviser, traveled to Saudi Arabia and the United Arab Emirates for meetings with government officials to "discuss options to address the deteriorating situation" in Yemen.

Human Rights Watch has confirmed the deaths of 166 people in attacks by security forces and pro-government assailants on largely peaceful protesters since February. It said at least 130 people have died in heavy fighting since May 23, though it could not confirm how many of those were civilians.

CNN's Nic Robertson, Mohammed Jamjoom, Hakim Almasmari, Chris Lawrence, Jamie Crawford and Joe Sterling contributed to this report.

@highlight

NEW: President Saleh has arrived in Riyadh for medical treatment, a source says

@highlight

Saleh's injuries from Friday's attack on his palace are worse than first thought

@highlight

Vice President Abed Rabbo Mansour Hadi has taken over, a Yemeni official says

@highlight

All the key players in Sanaa have agreed to an open-ended ceasefire, the source says