It's starting to feel like Groundhog Day for women in corporate America.

Another year, another story of zero growth for women when it comes to holding corporate board seats and executive office positions, according to a new report by Catalyst, a nonprofit focused on women and business.

For the eighth year in a row, the group found no significant change in the number of female members of corporate boards, with women holding 16.9% of board seats in 2013 versus 16.6% last year.

And while there was big news earlier this week when Mary Barra was named GM's new chief executive officer -- the first woman to head a major U.S. automaker -- there has been no uptick in the total number of female executive leaders for the fourth year in a row, according to Catalyst.

Last year, women had 14.3% of executive officer positions, and this year the percentage is nearly the same, 14.6%.

"I would look at the numbers and say, for those companies who are not making the advancement of women to leadership a priority, they should really be embarrassed," said Deborah Gillis, Catalyst's chief operating officer, who will take over as president and chief executive officer in January.

"There is absolutely no excuse in 2013 to continue to have women underrepresented to this degree in the leadership of Fortune 500 companies."

Consider Twitter, where women weren't just underrepresented on the company's board -- they didn't exist.

That is, until earlier this month when the company, after criticism of its all-male board, named its first female board member: Marjorie Scardino, the former chief executive officer of a London-based education and media conglomerate.

Why no change for women at the top?

The big question is: Why so little movement for women? Why -- at a time when women make up half the labor force, when there has been plenty of research on how a diverse board and leadership team of men and women improves a company's bottom line and when women have been thinking more about "leaning in" through marriage and motherhood -- are we finding absolutely no change for women at the top?

Tom Falk is chairman and chief executive officer of Kimberly-Clark Corp., one of the 20% of companies where women hold one-quarter or more of executive officer positions. In fact, at Kimberly-Clark, four out of 10 executive officers are women and 25% of the board's seats are held by women.

In his view, the issue isn't about equity or fairness, but attracting the best talent, which benefits a company's bottom line.

"Malcolm Gladwell tells a very simple analogy," said Falk, a Catalyst board member, during a phone interview.

"If you and I were going to pick an all-star team and we had a room with a hundred people in it and you got to pick your share of the team from the whole hundred people and I only got to pick from 50 people on the right side of the room, who would have a better team? You would," he said.

"For some reason, I think lots of management teams aren't seeing it that way. They're picking the best athlete for a role, but they are not really insisting on a diverse slate and looking broadly to make sure they've got talent from all the best pools that are available to them," said Falk, a 30-year company veteran.

What stands in the way of women

Charlotte Laurent-Ottomane is executive director of The Thirty Percent Coalition, a national advocacy organization focused on getting 30% of board seats in the United States to be held by women by the end of 2015.

One big stumbling block for women, she said, is the length of term limits on boards, which, on average, are about 10 years.

"If you are not renewing your board, regardless of who your candidates are, except for every 10 to 20 years, then you are obviously not going to bring any new candidates in."

Laurent-Ottomane also said the composition of many boards is a problem: "If you take a board (where) the leadership is only considering sitting or former CEOs of their industry, which I think most corporate governance experts would agree ... is not a healthy approach ... obviously, you are not going to get women because it goes all the way down the food chain."

Part of the challenge, too, is convincing male leaders there's not a limited supply of strong female candidates.

Men and women see different reasons for why there aren't more women on corporate boards, according to a survey of more than 1,000 board members from around the world in 2010, 2011 and 2012 by Harvard Business School professor Boris Groysberg and researcher Deborah Bell.

"When it came to trying to understand ... why we are not making as much progress having more women on boards, you had male board directors who basically said, 'You know what, there's not enough supply,'" said Groysberg, who created a class at Harvard Business School focusing on ways to get more women on corporate boards.

"Then you have another side -- you have female boards of directors who are basically saying it has nothing to do with supply. What's happening is that it's impossible to get on boards. So you have two very different explanations," he said.

Falk, the CEO, shared a story from an executive many years ago who wanted to hire a female sales rep on his team. "His group that was doing the hiring came back and said, 'You know what, we've looked and looked and we just can't find good female sales reps. Can we just hire from our usual sources?'"

"He said, 'Well, I'll tell you what: I want to first interview all the females that you've rejected.' So guess what? They went out and found some female sales reps."

What works to add female leaders

While the story for women in corporate America hasn't changed much over the last several years, there's a completely different narrative for women in many other countries.

"The bottom line is countries around the world are paying attention," said Gillis of Catalyst. "The key is, they're saying this is a priority and we need to act now."

In Australia, the country launched a "Male Champion of Change Initiative," which, among other measures, includes having companies publicly disclose their gender diversity targets. Since then, women's share of executive officer positions jumped from 8.3% in 2009 to 16.6% in 2013, Gillis said.

In England, after a call for companies to voluntarily increase targets for the number of women in leadership, women's representation in the FTSE 100 Index or the "footsie" -- the 100 companies listed on the London Stock Exchange -- jumped to almost 19% from 12.5% in 2011, according to Catalyst.

Some European countries, like Norway, have gone further, mandating controversial quotas, requiring a certain number of seats of every company's board be filled by women.

Laurent-Ottomane of The Thirty Percent Coalition likes much of what other countries are doing, but said she believes quotas wouldn't be effective in the United States.

"Quotas basically force companies to bring in candidates just to achieve (a) goal, and I'm not sure that's necessarily the most healthy way to put a board together," she said.

The key, Laurent-Ottomane said, is getting the commitment and engagement of corporate leaders themselves.

"If corporate leaders engage and work together and try to determine tactically how we do this, I think that we will be successful," she said.

Putting diversity on the agenda

Falk, who has been leading Kimberly-Clark for 10 years, said he probably didn't put enough emphasis on the issue of advancement for women early in his tenure as CEO.

"I had women on my team. I was supporting the diversity, but it wasn't enough on my leadership agenda. I wasn't pushing hard enough on it so my board pushed me to say, 'Hey, you've been going sideways for a couple of years on this. What are you going to do to get it on your agenda?'"

Groysberg's new class at Harvard focuses on what women can do to build their careers, what organizations can do to create more inclusive cultures and what governments can do to help. For many reasons, he sees a personal stake in the future.

"I have four children, two are girls and they're pretty young," he said. "I am going to do everything in my power to make sure that I helped to build companies in 10 years that will be much, much more receptive to my daughters than the companies that I know exist in 2013."

Follow Kelly Wallace on Twitter and like CNN Living on Facebook.

@highlight

Eighth consecutive year of no growth in female corporate board seats, new report says

@highlight

No change in number of women executive officers, nonprofit Catalyst report finds

@highlight

One CEO says companies should focus on finding the best talent, including women

@highlight

Harvard survey: Some male board directors think there aren't enough female candidates