(CNN) -- Let's start with the disclaimer: if you go, and something undesirable happens, CNN cannot be held responsible.

This is an article that shines a light on the pariahs and the bad eggs, the places that keep Ban Ki Moon up at night and have your travel insurers running for the hills.

Why give them column inches?

Because the truth is that even the most rough and tumble corners of the world invariably have more to offer than a brag-worthy passport stamp. Often hidden behind the negative headlines and inflexible preconceptions are genuine treasures.

These aren't escapades one should embark on lightly. All of the following destinations are currently subject to travel warnings from the U.S. State Department.

But the reality is that people do go and, most of the time, not only come back in one piece but have a great time while there.

1. Band-e-Amir Lakes, Afghanistan

If there's one destination guaranteed to upset your parents, it's Afghanistan, a country as synonymous with holiday making as the Taliban are with female emancipation.

You may therefore be surprised to discover that intrepid over-landers occasionally travel down the Bamiyan Road to visit a chain of six mountain-rimmed lakes called Band-e-Amir, located high in the Hindu Kush, 150 miles west of Kabul.

Designated Afghanistan's first national park in 2009, the sapphire waters of Band-e-Amir have become the shimmering emblem of its concealed tourism potential.

More on CNN: Daredevil photog's extreme pictures

It's not quite the deathwish it might sound. During summer weekends, local families often descend in droves to enjoy much-needed respite from the tensions that prevail elsewhere in the country.

"Bamiyan is Afghanistan's safest region, and the local Hazara tribe are the friendliest people I met in the country," reports Ã•nne PÃ¤rl, from Estonia, who visited the lakes while living in Afghanistan with her husband.

"Apart from the odd occasion when locals go fishing with grenades, the lakes are so peaceful you could almost forget that the country has been at war for the last 30 years."

A 14-day Afghan Explorer tour with Wild Frontiers costs around $7,200 per person; www.wildfrontiers.co.uk

2. Ciudad Perdida, Colombia

One of South America's most alluring jungle treks -- to Ciudad Perdida or "The Lost City" in Sierra Nevada -- has long suffered from its proximity to the western fringes of the Santa Marta Mountains, historically a hotbed of cocaine production and the violence that goes with it.

The events of 2003, when eight tourists were abducted from the trail by leftist guerrillas (they were released three months later) did little to boost its reputation.

A decade on, however, and Colombia's improving security situation has doubled its annual influx of tourists. The trail's popularity has soared, leading some to anoint it the next Machu Picchu.

More on CNN: 10 of world's last great wilderness areas

According to local tour agencies, the recent season was the busiest in memory, with travelers scrambling to play Indiana Jones on 25 miles of ancient pathways and river crossings, which culminate in the 1,300-year-old ruins of what was once the capital of the indigenous Tayrona people.

"My boss's parting words to me were: 'don't get killed,'" says Jason Bortz, of New Jersey, whose subsequent bus journey to Santa Marta was marred by the driver's decision to show blockbusting hostage film "Taken 2."

"Once you're trekking there's no more room in your mind for paranoia, and you can just enjoy the trip."

Turcol offers five-day tours to the Lost City from around $330; www.buritaca2000.com

3. Mount Damavand, Iran

Never heard of Mount Damavand? If you ever find yourself in the country battling North Korea for the title of Nuclear Ambitions Most Often Cited By Western Leaders As The Greatest Threat To World Peace, you're unlikely to miss it.

More on CNN: 10 surprising things to do in Kenya

Standing 5,671 meters (18,605 feet) at the heart of the Alborz range, this dormant stratovolcano -- visible on clear days from Tehran -- is the highest volcano in Asia and a ubiquitous Iranian icon, found on everything from bottled water advertisements to the 10,000 rial banknote.

When President Ahmedinejad issues his anti-Western tirades, he often stands in front of an image of Damavand's snow-capped profile.

It's also one of the planet's great trekking peaks -- a Kilimanjaro without the crowds and exorbitant price tag.

"Damavand presented the perfect balance of challenge and reward," says hiker Simon Bonner, who has climbed peaks on five continents, including Mount Damavand.

"Best of all, we had the mountain entirely to ourselves. Climbing it makes you feel like a bona fide pioneer."

A five-day summer ascent with Iran Mountain Zone costs from $655 per person; www.mountainzone.ir

4. Kashmir, India

Thirteen years after Bill Clinton endowed Kashmir with the world's worst tourism slogan, dubbing it "the most dangerous place on earth," things are looking up on the Indian side of the disputed border.

Despite intermittent bouts of violent protest and a monumental military presence, around 20,000 foreign tourists -- and upward of 500,000 Indians -- visit the Heavenly Valley each year.

More on CNN: Walking vs. Cycling: Which is better for travel?

Among the many attractions is Gulmarg, a fledgling ski resort located disconcertingly close to the infamous Indo-Pakistan Line of Control, one of the world's most disputed borders.

With only one ski lift, it presents a raw off-piste experience that can't claim to rival its Western counterparts for infrastructure.

But that lift is one of the highest in the world, depositing skiers on the 4,000-meter (13,000 feet) ridgeline of Mount Apharwat. From there, you can pick your line down slopes that benefit from regular dumps of virgin powder.

"Gulmarg is the only ski resort in the Greater Himalayas," says mountain guide Nick Parks, who has been leading tours here since 2006. "Stepping out of the gondola, skiers and snowboarders are spoiled for choice with runs up to 2,300 meters (7,500 feet) long."

A 10-day ski-tour of Gulmarg with Mountain Tracks costs around $2,960; www.mountaintracks.co.uk

5. Mount Nyiragongo, Congo

This one is out of the question at the moment.

Since November, when rebels entered the embattled city of Goma, signaling the latest chapter in eastern Congo's seemingly endless cycle of conflict and atrocity, Virunga National Park has been closed to visitors.

But the park will eventually reopen, enticing adventurous travelers back to its forested volcanic slopes to view its resident mountain gorillas.

There's more here than gorillas. Located deep within the summit of Mount Nyiragongo (3,470 meters/11,384 feet), just a few miles from Goma, is the world's largest lava lake, a roiling 250-meter wide cauldron that ranks among the most spectacular natural marvels on the planet.

More on CNN: Meet a drug lord's brother on Pablo Escobar trail

Prior to the latest upheaval, tourists had been defying the volatile human backdrop and the volcano's hyperactive reputation (its last eruption, in 2002, engulfed 14,000 homes) to spend a night on the crater rim.

"I'd never climbed a mountain, let alone an active volcano," says Lucy Owen, a Londoner who decided to make the trip after an agent bent her ear in the Rwandan border town of Gisenyi.

"But it turned out to be one of the most memorable things I've ever done. Sometimes you just have to trust your instincts, and hope you don't regret it."

For updates on the park's status, visit www.visitvirunga.org.

@highlight

Band-e-Amir Lakes in Afghanistan regularly attract travelers

@highlight

Colombia's improving security situation has doubled its annual influx of tourists in recent years

@highlight

Congo's Virunga National Park is closed to visitors, but contains world's largest lava lake