(CNN) -- Last week, 19-year-old California university student Adeline Munguia was reported missing after she stopped responding to Snapchats and texts from her roommate.

As it turns out, Munguia was fine -- she'd just turned off her phone for a while -- but the expectation of constant, instant communication was so normal in her social circles that taking a break was a shock to her friends.

There's a growing movement that wants to make taking such a break from our electronics the rule, not the rare exception. Friday marks the start of the fifth annual National Day of Unplugging, an initiative launched by the national nonprofit group Reboot to help people take a break from their always-on lifestyles.

Participants are encouraged to put away their phones, tablets, laptops and other Internet-connected doodads from sunset Friday to sundown Saturday for a digital sabbath. The time might instead be used for quiet reflection, communing with nature, reconnecting with family or friends, focusing on a project and even getting a rare, uninterrupted night's sleep.

"I think that people are overwhelmed. It's physically taken a toll on people," said Reboot's communications manager, Tanya Schevitz. "If you think you have to respond to everything all the time, that's an unrealistic expectation."

Participants are encouraged to sign a pledge on the event's website and post a photo of themselves saying why they unplug. Some recent examples:

" ... to focus on the faces in front of me."

" ... to be open to the divine."

" ... to connect."

The concept has caught on since the first unplugging day in 2010. Organizers have signed up more than 200 local and national groups as partners, including the Ad Council, Digital Detox and Google. Many will be hosting their own official events such as in-person gatherings and phone-free parties.

Without the safety net of a smartphone, event-goers will probably work on dying social skills like maintaining eye contact, making small talk and communicating verbally in more than 140 characters.

Although the official holiday lasts for just 24 hours, the idea is to create more awareness of how we interact with our devices and the impact this has on our work, family and mental health. Then people can take smaller steps to carve out device-free pockets of time during the day and eventually find a balance that works for them.

"Day to day, throughout your day, you should be thinking about unplugging moments," Schevitz said.

Concern about our dependence on our electronic devices has grown in recent years as it's become increasingly difficult to step away from the online world. Phones beep and blink and beg for our attention with e-mail, text notifications, breaking news or updates from social media. Even when a phone is quiet, many of us still reflexively pick it up to check news and messages during moments of downtime.

Researchers are still studying the impact that smartphones and mobile technology have on our lives. In the work sphere, there's increasing evidence that multitasking is inefficient. The brain can't fully focus on a task when it's constantly jumping around to do bite-size tasks like checking e-mail.

At home, the divided attention can have a negative impact on relationships with children and partners. Schevitz recently heard stories about overly connected families firsthand when she spoke to a class of eighth-graders about unplugging. The students shared tales of their parents working at all hours or not listening because they were glued to their smartphones.

It takes willpower to step away from technology. Schevitz has some tips for people interested in cutting down.

1. Replace the phone on your bedside table with an alarm clock. That way, you're not checking the device right before bed and first thing in the morning. The stimulation and even the light from the smartphone screen can disrupt sleep.

2. Set goals and schedule times when you think it would be beneficial to go sans phone. Make sure some of those times are when you're alone, not doing anything at all. People instinctively pick up their smartphones when there's a lull in a conversation or when they're waiting in line. Look around, observe people, be alone with yourself and think about what you might be missing in those moments.

Psychologists have been researching something called attention-restoration theory. The idea is that people can better focus on tasks after taking a break to experience nature and giving part of their brains a rest. Something as simple as taking a walk or looking at photos of nature can reset people's attention spans and reduce stress.

3. Before you drop off the grid, be sure to give people a heads up. As the Munguia incident illustrates, going cold turkey can be jarring when your friends or bosses expect instant responses to their messages. Set boundaries -- like letting your workplace know you won't be checking e-mail after a certain hour -- and stick to them.

The more people who participate, the less unusual it will seem, according to Schevitz.

"What we we need to do is reset society's expectations," she said.

@highlight

National Day of Unplugging asks people to put away mobile devices for 24 hours

@highlight

The digital sabbath begins at sundown Friday

@highlight

Time away from devices can improve concentration and interpersonal relationships