(CNN)Political unrest has plagued Yemen for years, and the entire Mideast has been in turmoil for decades, particularly since 2011's Arab Spring uprising.

But on Tuesday, the situation in Yemen apparently became much more dire, as the country's minister of information said Shiite Houthi rebels had taken over the nation's presidential palace.

Amid reports of renewed fighting in Yemen, Nadia Sakkaf told CNN that the residence of Yemen's Prime Minister was under attack. Sakkaf called the situation "the completion of a coup," adding that President Abdu Rabu Mansour Hadi "has no control."

Yemen, the poorest country in the region, is home to al Qaeda in the Arabian Peninsula, or AQAP, which most recently claimed responsibility for the massacre of journalists at the French satirical magazine Charlie Hebdo in Paris. It's one of the world's biggest exporters of terrorism.

AQAP is benefiting hugely from the current conflict in Yemen.

Gunfire could be heard throughout the capital, Sanaa, on Tuesday, as CNN's Nick Paton Walsh reported that security there was tenuous.

On Monday night, unknown assailants fired shots at a U.S. Embassy vehicle in the city, the embassy said. It has said it's prepared to evacuate but no orders have been given.

Here are seven things you need to know about what's happening in Yemen and why it matters.

Yemen is a country of about 26 million people on the southwestern tip of the Arabian Peninsula. It borders Saudi Arabia and Oman, and is near important Red Sea shipping lanes.

Yemen is a young nation, having been created in 1990 when North and South Yemen united. The north and south started a civil war within a few years, with the north prevailing after thousands died.

Yemen is very poor because of declining oil resources.

Because terrorists in Yemen have reached into the United States.

Remember Umar Farouk AbdulMutallab, the "underwear bomber" who tried to blow up an American jetliner over Detroit in 2009? He took his marching orders from AQAP.

The Boston Marathon bombing suspects and Maj. Nidal Hasan, the American soldier who gunned down 13 people at Fort Hood, Texas, apparently were inspired by an American-born cleric in Yemen, Anwar al-Awlaki. An American drone killed him in 2011.

Many would-be jihadis from the West are recruited into al Qaeda through a slick English-language online magazine, Inspire, that's run out of Yemen.

U.S. officials consider AQAP the most dangerous branch of al Qaeda, according to CNN terrorism analyst Paul Cruickshank.

It's actually a three-way battle among the government, the Houthis and AQAP.

The Houthis, a rebel group composed of Shiite Muslims, feel marginalized in the majority Sunni country.

In September, Houthis seized government buildings in Sanaa and its airport. They demanded greater political influence.

President Hadi introduced a new constitution without the Houthis' approval, and the rebels abducted Yemen's presidential chief of staff to show their disapproval. In response, the government closed roads as a security measure. That set off renewed fighting. Most of the recent fighting has been for control of the presidential complex.

On Monday, the government and the Houthis announced another ceasefire.

Hadi has battled AQAP since taking office in 2012, and the United States has invested heavily in this campaign. He reorganized Yemen's military, and for a while put AQAP on the defensive. But the conflict with the Houthis diverted resources that could be used against AQAP.

AQAP is working to keep things unstable, but it doesn't look like the group has been involved in the Sanaa fighting so far.

In October, AQAP staged a suicide bombing against a Houthi rally that killed 50 people. It also released a video showing members executing 14 Houthis. At the same time, it has stepped up attacks against police and the army.

No way. In fact, they're adversaries in the long-running Sunni-Shiite conflict.

Differences between the two main branches of Islam developed over the centuries. Shiite Muslims believed the Prophet Mohammed's cousin should have been the successor after his death in in A.D. 632, while Sunnis believe a successor should have been elected.

Only 10% of the world's Muslim population is Shiite.

They're named after the late cleric Hussein Badreddin al-Houth (or Hussein Badr Eddine al-Houthi), who was killed during a 2004 rebellion against the government in Saada, according to the U.S. State Department.

Houthis are mostly militias and tribes that follow the Zaidi sect of Islam. Al Qaeda considers them Shiites.

Some members of al Qaeda and even Western diplomats allege that Iran, one of the few Shiite Muslim nations, is bankrolling the Houthi rebellion in an effort to control Yemen's Red Sea coast on one of the world's busiest shipping lanes. The Houthis deny Iran is funding them.

Hadi has said the Houthis are being trained and advised by Hezbollah, the Lebanese Shiite militia.

Some presidential officials are worried about actions by republican guards, former regime officials who are still loyal to Ali Abdullah Saleh, the ex-President who was kicked out in 2012 during the Arab Spring.

Chaos is good for terrorists.

The weaker the government, the easier it will be for al Qaeda to bring in people and train them for terrorism. The chaos hampers Western efforts to hunt down al Qaeda, and hampers Western efforts to even be in the country.

CNN's Raja Razek contributed to this report.

@highlight

Yemen presidential palace overrun; president "has no control," government official says

@highlight

3 groups fighting: the government, Houthi rebels and al Qaeda in the Arabian Peninsula

@highlight

AQAP is responsible for major acts of terror, including the attack on Charlie Hebdo magazine