(CNN) -- Modern medicine is remarkable, but only if you have access to it.

In many countries, including the United States, people are suffering because they can't get the health care they need.

Three everyday people are trying to help change that, though.

Georges Bwelle, Richard Nares and Laura Stachel, three of this year's top 10 CNN Heroes, are medical marvels dedicated to improving other people's health.

Here's how each of them, in his or her own way, is trying to save lives:

Georges Bwelle

The problem: In Cameroon, there is only one doctor for every 5,000 people, according to the World Health Organization. For comparison's sake, the ratio in the United States is one doctor for every 413 people.

And even if they could see a physician, many Cameroonians couldn't afford it. Two out of five people in the country live below the poverty line, and nearly three-quarters of the country's health-care spending is private.

"The only problem they have is poverty," Bwelle said. "And with poverty, they ... cannot enjoy their life."

How Bwelle took action: Seeing his father and so many of his countrymen suffer, Bwelle was determined to do something about it.

He became a doctor himself, working as a vascular surgeon in Yaounde's Central Hospital. And he started a nonprofit, ASCOVIME, that travels into rural areas on weekends to provide free medical care. Since 2008, he and his group of volunteers have helped nearly 32,000 people.

Each of these weekend clinics provides a variety of medical care. Many people are treated for malaria, tuberculosis, malnutrition, diabetes, parasites and sexually transmitted diseases. Others might receive crutches, a pair of donated eyeglasses or free birth certificates -- documentation that's required for school but that many impoverished families simply can't afford.

In the evenings, the team will do simple surgeries with local anesthesia. Operations are usually done in a schoolhouse, town hall or home; after the procedure, patients get up and walk to the recovery area to make way for the next person.

"We are receiving 500 people in each trip," Bwelle said. "They are coming from 60 kilometers (37 miles) around the village, and they're coming on foot."

Richard Nares

The problem: For many children fighting cancer, it can be extremely tough to make it to their chemotherapy appointments.

When Nares' 3-year-old son, Emilio, was being treated in 1998 for leukemia, Nares met many families who struggled: Single moms forced to take leave from jobs without pay, kids having to ride the bus alone to their chemotherapy appointments, siblings left home alone.

Nares said it broke his heart.

"It's extremely tough, not just emotionally, but now financially," he said. "Sometimes, both parents have to either leave their job or cut back severely. Some ... don't have (an) extra $10 to pay for cafeteria food."

How Nares took action: When Emilio died, his father decided he had watched too many people struggle. He went back to the hospital in San Diego where Emilio had received most of his treatment, and he asked how he could help.

"Transportation," they said.

So Nares started picking up families in his old Buick.

"I was going every day, picking up families all over the county," he said.

Soon, however, Nares couldn't handle the number of requests that were coming in. So he teamed up with nurses and social workers from the hospital to create a formal transportation program. He hired a driver, formalized a schedule for pickups and drop-offs and started the Emilio Nares Foundation in 2003.

"No child should miss their cancer treatment due to lack of transportation," Nares said.

Laura Stachel

The problem: During a two-week trip to Nigeria in 2008, Stachel witnessed countless times when the lives of mothers and babies were at risk simply because of a lack of reliable electricity.

Pregnant women would arrive at the hospital with severe complications, but without adequate light to treat them, procedures had to be compromised or delayed until daylight. Some women were even turned away.

"I realized that my skills as an obstetrician-gynecologist were utterly useless (without) something as basic as light and electricity," Stachel said.

Stachel said midwives in Nigeria use all kinds of makeshift lighting when they deliver babies: kerosene lanterns, candles, even cell phones.

"That's not adequate light for maternity care," she said.

How Stachel took action: With the help of Hal Aronson, her husband and a solar energy educator, Stachel developed a special solar energy kit that can easily provide much-needed light and power for medical equipment.

Since 2009, the kits have been helping healthcare workers save lives not only in Nigeria but in facilities throughout Africa, Asia and Central America.

"I really want a world where women can deliver babies safely and with dignity," Stachel said.

Check out all of this year's CNN Heroes

@highlight

Three of this year's top 10 CNN Heroes are dedicated to saving people's lives

@highlight

Georges Bwelle runs free medical clinics in the poorest parts of Cameroon

@highlight

Richard Nares is giving children rides to their chemotherapy appointments in San Diego

@highlight

Laura Stachel created a solar energy kit to make sure babies are delivered safely