New Orleans (CNN) -- A titanic courtroom showdown with billions of dollars in the balance opened in New Orleans on Monday, with oil giant BP arguing it shouldn't face the government's steepest penalties for the 2010 Gulf oil spill.

BP already pleaded guilty to criminal charges and agreed to a record-setting $4 billion fine for the spill. But it could face more than $20 billion in additional environmental penalties if found to have committed gross negligence in the disaster.

In a packed federal courtroom Monday afternoon, BP attorney Mike Brock said blame for the disaster wasn't the oil company's alone. A string of bad decisions by Transocean, the company that owned the doomed drill rig Deepwater Horizon; well cement contractor Halliburton; and BP all led to the blowout, he said.

"We do not believe that men and women of BP behaved in willful misconduct," Brock said. "It was a multiparty event."

But Halliburton attorney Don Godwin said BP ignored the contractor's recommendations about the cement job and that Transocean didn't move fast enough to contain the blowout.

Transocean settled with the government last week for $1 billion in Clean Water Act penalties but could face additional additional liability in the case that started Monday. Transocean lawyer Brad Brian said that last week's settlement was not an admission of gross negligence and that last-minute changes to the well design by BP had the rig's crew "at wits' end" before the disaster.

All three companies have been pointing fingers at each other since the April 20, 2010, blowout that sank the Deepwater Horizon, killed 11 men aboard and uncapped an undersea gusher that spewed for nearly three months. The spill's effects on the environment are still being cataloged.

The plaintiffs in the civil case that opened Monday include five Gulf states, individuals, businesses and the federal government.

"Evidence will show BP placed huge financial pressure to cut costs, cut corners, and rush the job," attorney James P. Roy, who represents the coalition of plaintiffs, said during opening arguments on Monday.

And Alabama Attorney General Luther Strange said the oil giant "was blinded by their bottom line."

"The spill was tragically inevitable due to BP's corporate culture," Strange said. "The evidence will show that, at BP, money mattered most."

If it is found to have been "grossly negligent" under the Clean Water Act, it could be fined as much as $4,300 per barrel of oil spilled into the Gulf of Mexico. If it's found "negligent," the company could be fined about $1,100 per barrel.

Attorneys will also likely square off over how much oil gushed into the gulf, another key figure that will be used to calculate how much money BP might owe. Officials have said 4.9 million barrels -- about 205 million gallons -- of oil spilled, while BP says that number is overblown and that authorities should use a maximum figure of 3.1 million barrels of oil when calculating the fine.

The trial will also determine what fines the company faces under National Resource Damage Assessment, which aims to restore environmental damage caused by the spill. Environmental groups want to see those fines -- which will put a specific price tag on damage to plants and wildlife -- total around $25 billion.

With so much money at stake, each side has brought an army of lawyers to the fight. With almost 60 lawyers filling the courtroom, the judge created a seating chart for all the attorneys. Lawyers representing the federal government and other plaintiffs sat on one side, while the BP lawyers and other companies' lawyers sat across the room.

Three overflow courtrooms were also packed on Monday.

BP says it has already paid billions in spill-related cleanup and compensation costs and has been barred from new federal contracts. Though Halliburton and Transocean could also face penalties, much of the criticism from environmentalists before the high-profile trial has focused on BP, the undersea well's owner.

"The damage done here is real, both to the environment and to the people," said Brian Moore, of the National Audubon Society. "And BP should not have the chance to get off cheaply on this."

In his statement before the trial began, BP General Counsel Rupert Bondy said the company would push for the court to consider lower penalties, arguing that BP made efforts to do the right thing and "immediately stepped up" and acknowledged its role in the spill.

"To date we've spent more than $23 billion in response, cleanup, and payments on claims by individuals, businesses and governments," he said. "No company has done more, faster, to meet its commitment to economic and environmental restoration efforts in the wake of an industrial accident."

CNN's Vivian Kuo and Catherine E. Shoichet contributed to this report.

@highlight

NEW: The Gulf oil spill was "a multiparty event," BP lawyer argues

@highlight

Billions of dollars are at stake as a judge weighs negligence and financial penalties

@highlight

BP is fighting to limit fines, while the company's critics hope to see a landmark punishment

@highlight

A judge will weigh whether BP was grossly negligent and determine how much it owes