A team of international investigators is exploring a site for chemical weapons when a sudden explosion rips through the air, scattering the workers and terrified civilians, who make a frantic run for cover in the ensuing chaos.

In a split second, this group of inspectors from the Organisation for the Prohibition of Chemical Weapons have become de facto field medics, scouring the scene for survivors and administering first aid to those injured in the blast.

It is only after the inspectors have dressed the wounds of all the victims that an instructor appears and tells the men he is satisfied with their performance. And although this is merely a training exercise being acted out in a foggy field in central Germany, the lessons inspectors learn here could potentially save lives on their next deployment.

OPCW inspectors have been tasked with cataloguing and monitoring the destruction of all of Syria's chemical weapons. They have been in hostile environments before, but never as a war is still raging on the ground. The conflict in Syria has claimed at least 100,000 lives since 2011, and dozens more are being killed every day.

EXCLUSIVE: Inside an OPCW chemical weapons lab

Franz Ontal is the head of training for OPCW inspectors in Germany. "We are performing our inspections in the middle of a conflict," he tells CNN. "We've never done this before. It's not something you could have foreseen two years ago and planned for."

This hostile environment training course, conducted by the German army, is teaching OPCW inspectors to identify dangerous situations and to avoid getting kidnapped, but also to help if they witness violent events -- knowledge that may be indispensable in war-torn Syria.

In August, snipers opened fire on a convoy of U.N. experts investigating a suspected chemical weapons attack in the suburbs of Damascus. One U.N. vehicle was disabled in the attack, and the inspectors were forced to turn back.

Reinhard Barz, the head of hostile environments training for the German army, believes the biggest threats could emerge when the inspectors move into areas contested between rebel fighters and the regime forces of Syrian President Bashar al-Assad.

"We have different players in Syria and I think [it will not be] easy for the trainees here," Barz tells CNN. "They have to be prepared for ambushes, but also fighting might break out in some areas. The key is to try and get out of those situations quickly."

The OPCW, which has been on the ground in Syria since October 1, was awarded this year's Nobel Peace Prize.

The organisation has two branches. One is comprised of the laboratory scientists who analyze field samples and send them to other independent partner labs for separate analysis.

The other branch is the inspectors who catalogue stockpiles of chemical weapons, oversee their destruction, take samples after alleged attacks and speak to witnesses on the ground.

Many inspectors have a background in science, but their ranks are also made up of logistics experts, weapons experts who identify munitions that may have been used to deploy chemical weapons, and health and safety experts to make sure the teams do not get overexposed to potentially dangerous chemicals.

Twenty-five inspectors from 17 nations have taken part in the training program in Wildflecken, Germany this week. The head of training tells CNN he is happy with their performance.

"They identified what had happened and quickly helped everyone. I think they did really well."

But as realistic as the training was, it was just an exercise. And the next stop for some of inspectors could be one of the most dangerous places in the world.

@highlight

OPCW inspectors are preparing for deployment to Syria with a training program in Germany

@highlight

Week-long program teaches risk awareness, first aid, dealing with kidnapping threat

@highlight

Syria mission marks first time OPCW inspectors will be sent into a live war zone

@highlight

OPCW has been on the ground in Syria since October 1 and won this year's Nobel Peace Prize