The companies that make 3-D printers want a spot in your home. They're just not sure exactly why you need one of their futuristic devices yet.

The 3-D printing industry is taking aim at entry-level customers with cheaper, easier-to-use hardware and online marketplaces filled with predesigned files. At the annual Consumer Electronics Show in Las Vegas, the 3-D printing section was larger and busier than in previous years and had an increased focus on consumer-friendly products.

The technology is trying hard to become mainstream, but first it needs to figure out what average people will really want to create.

What is a 3-D printer for?

Entry-level 3-D printers are popular with makers and crafters, people who want to get their hands dirty and create prototypes, figurines and small toys. People are constantly experimenting with the devices, trying out unconventional uses like printing guns, fashion accessories and fine art.

These hobbyists are a fairly minor market when compared to the lofty aspirations of the consumer 3-D printing industry, which imagines a 3-D printer in every home, like paper printers were before people realized printing on paper was passé.

"There's no killer app yet," said Trevor Townsend, co-owner of Matterform, a 3-D scanner company.

The people selling printers, files and scanners aren't discouraged by the lack of an obvious use case. They seem confident that it will come in the next few years as more people get their hands on the devices and start experimenting, and as the technology becomes more advanced and takes on a wider range of materials.

Plastic is the most commonly used material, but it is just the beginning. 3DSystems demonstrated its ChefJet 3-D food printer at CES, which creates complex shapes out of edible materials such as sugar and chocolate and will cost less than $5,000. The company also is working on a product that prints ceramics. The CeraJet concept device would take pottery to another level with complex designs that can be glazed and fired.

Even at this early stage, the demand for 3-D printers is rising. Shipments of 3-D printers will grow 75% in 2014, according to market research firm Gartner. It expects the consumer 3-D printing market to hit $133 million this year, which is still far less than the $536 million companies will spend on the product.

New crop of consumer products

At CES, the printer companies were focusing on a more immediate problem: 3-D printing is too complicated for the average person.

Designing a model and creating a workable file takes skill, and the machines themselves can require technical know-how and adjustments like leveling to get a decent final product.

The newest hardware is trying to make 3-D printing simple. MakerBot announced a new one-button 3-D printer called the MakerBot Mini. Files can be sent directly to the compact printer from a mobile phone or tablet over WiFi. One push of a button and the Mini will start creating the object in PLA plastic.

A big barrier to mass adoption of 3-D printers is price, and hardware costs are falling every year. When it comes out in May, the Mini will cost $1,375. That is around $1,500 less than the company's flagship product, the MakerBot Replicator. There are a number of less expensive 3-D printer options already on the market, some as cheap as $200.

To make 3-D printing completely hassle free, there are companies that handle the actual dirty work of printing. Services like Sculpteo create small batches of 3-D printed objects and let the designer control the process online. UPS and Staples are testing in-store 3-D printer services.

A number of companies are trying to make the design process easier, too; 3-D scanners can take precise photographs of existing objects from every angle to create a printable 3-D file. Matterform showed off its consumer-friendly 3-D scanner at CES. The $579 scanner looks like a portable record player and can scan objects up to 9.8-inches tall. MakerBot also recently released an entry level scanner called the MakerBot Digitizer.

Another twist on scanning comes from 3DSystems, which demonstrated a 3-D photo booth. The 3DMe booth scans a person's face and then prints it on an existing figurine body such as a "Star Trek" crew member.

MakerBot is betting that many people will pay to use existing 3-D files instead of having to create their own. The company announced its new MakerBot Digital Store at CES, a sort of iTunes for 3-D content. Prices start at 99 cents, and the first designs are focused on kids and families. There are cars, characters, animals and other cute 3-D models, all original content created by MakerBot.

The future might break the law

The MakerBot Digital Store doesn't carry replicas of existing products or commercial characters. That's because without licensing deals, it could step into the murky world of 3-D intellectual property law. While it's still a couple years off, the threat of litigation will become a major issue in 3-D printing down the line.

One of the more practical future uses for a 3-D printer includes replacing broken parts, say a cracked plastic base to an Oster blender. The part costs a few dollars online, but in the future it could be easier, faster and cheaper to simply print out a replacement at home. But unless you buy the file from Oster, are you stealing it? If companies decide to crack down on user-created files, 3-D objects could be pirated like movies and music.

Whatever the legal, technical and practical challenges, 3-D printing has its eyes on the future. It's still a long way from being an in-home "Star Trek" style replicator, but the industry is confident it will have enough uses to warrant a spot in your home office or kitchen.

@highlight

3-D printers are aiming at consumers with cheaper, easier-to-use devices

@highlight

A number of 3-D printing companies introduced personal printer tech at CES

@highlight

The devices are mostly used by hobbyists, but a mainstream use could be around the corner