(CNN)It's true that Bali's beaches, rice paddies, volcanoes and temples lure the crowds.

Those seeking serenity, however, shouldn't be put off -- the island offers a smattering of under-the-radar destinations where life ambles along at a more sedate pace.

Here are a few places where travelers can escape the hustle but still find plenty to fill an itinerary.

Balian

West Bali's Balian beach has long been popular with intrepid surfers, with the beach offering multiple breaks.

While they're mostly suited to experienced surfers, beginners can probably have some fun in the wash.

The black-sand beach has a rugged, somewhat desolate feel thanks to the thundering surf.

While it's not really swimmer-friendly, it's great for long contemplative walks and rummaging for flotsam and jetsam.

There are yoga retreats at the low-key resorts along the beach, and rental motorbikes for exploring the side road around Balian, where rice paddies tumble down to meet the sea.

At nearby Soka, a temple plays host to a massive cave full of bats that emerge at sunset.

Accommodation at Balian is mostly targeted toward surfers but some family-friendly as well as upper-end places are available.

Expect a mix of surfer fare and local food at the guesthouses.

Sidemen

Sidemen is a small village located in a yawning valley about an hour's drive inland from the mid-east coast.

Here you'll enjoy paddy views from your guesthouse or along a rejuvenating ramble through terraces with occasional red hibiscus or pink frangipani trees that make for pretty photo opportunities.

Sidemen is a great spot to rent a pushbike or join a small group tour to coast downhill via a route with fantastic views.

Overnight visitors can wake up early to climb the summit of Gunung Agung, the island's tallest and most revered volcano, in time for sunrise -- this is a challenging hike.

Accommodation at Sidemen is generally a great value and ranges from basic through to mid-range, with a few places offering pools.

Amed

Truth be told, Amed has long been on the map for tourists seeking to elude Bali's crazy south, but the series of looping bays along the coast of east Bali retains a charming washed-out feel -- like a spot that enjoyed a long-passed heyday and now has a rather slightly sleepy European feel.

The appeal here is solid off-the-beach snorkeling and diving in several of the bays, including the Japanese wreck at Banyuning.

You can base yourself at Amed to snorkel the liberty wreck at Tulamben, too.

Otherwise, it's a great place to just relax and watch the jukungs (traditional outrigger canoes) fan out with their colorful triangular sails onto the waters before dawn, returning in the early morning.

Or, hire a boatman to take you out to see the sunrise over Lombok's highest peak, Gunung Rinjani.

Munduk

Bali isn't all beaches, cocktails and tropical weather.

After driving through the winding scenic roads in north Bali, through forest-clad mountains, you'll reach the little out-of-the-way village of Munduk, where the air is so crisp you can forget about air-conditioning.

Offering mostly guesthouses and home stays, this isn't a place for luxury, but anywhere you pick should have fantastic views of forest, farmland and paddies studded with coconut palms to remind you that, yes, you're still on a tropical island.

Maps available at hotels highlight an array of low-key walks, including several impressive waterfalls that are easy to reach on foot.

Munduk is mostly appealing for what isn't here: no crowds, no tourist shops and no hassles.

Nusa Penida

Bali doesn't just include the main island itself.

A cluster of three islands lie about 20 kilometers to the east, easily reachable by public boat or speedboat: Nusa Lembongan, which is popular with expatriates, tiny Nusa Ceningan and the largest of them all, stunning Nusa Penida.

The island is geographically similar to Bali's Bukit Peninsula and, thanks to its relative remoteness, was a prison during the early 18th century.

While the diving here is excellent -- manta rays and mola molas when conditions are right -- you'll also be  rewarded by renting a motorbike to go exploring on the relatively barren island, where you can skirt spectacular cliffs soaring hundreds of meters high.

Best to get here soon: a luxury Chedi hotel is slated to open at Crystal Bay in 2015.

West Bali National Park

Northwest Bali is home to a national park with excellent snorkeling and diving at Menjangan Island, and is the last refuge of the endangered Bali starling.

In fact, Menjangan is arguably Bali's best snorkeling and diving location: you can float over coral gardens of brilliant blues, greens and pinks and spot a vast array of marine life on an organized trip or rent a boat from the pier yourself -- you may see dolphins along the way, with Java's volcanoes in the distance providing an impressive backdrop.

Travelers can base themselves at Pemuteran, located outside the park, though those on a larger budget can try the Menjangan Resort within the park.

Hotels can arrange hikes, where chances are good you'll see Java Rusa and Indian muntjac (barking) deer.

Samantha Brown has been living and working in Southeast Asia since 1997and these days manages online regional guide Travelfish.org.

@highlight

Bali might be a popular tourist destination but there are crowd-free corners worth exploring

@highlight

With its black-sand beach, Balian is popular among intrepid surfers

@highlight

West Bali National Park is home to Bali's top snorkel site