Washington (CNN) -- In testimony that sharply contradicted the Obama administration's initial narrative of the September 11, 2012, terrorist attacks in Benghazi, Libya, three witnesses shared firsthand accounts this week of what happened before, during and after the attack.

The three testified before the House Oversight and Government Reform Committee, recounting the horrific events that took the lives of four heroic Americans that day at the U.S. Consulate. Much of what we have known about Benghazi to this point has come from Obama administration sources. The accounts of these brave witnesses raise troubling questions about the veracity of what we've been told by official sources since the attack took place.

The first contradiction pits former Secretary of State Hillary Clinton's explanation of security conditions at the compound against that of Eric Nordstrom, the former regional security officer at the U.S. Embassy in Tripoli. In his testimony Wednesday, he repeated assertions he'd made to Congressional investigators last year that his recommendations to upgrade security were ignored at the highest levels.

Yet roughly four months after the attacks, Clinton told the House Committee on Foreign Affairs that "specific requests and decision making" on security "rest with the security professionals."

Even more disturbing was the discrepancy over what happened during the attack. The official story in the Accountability Review Board (ARB) report concluded there was no "undue" denial of support or assets. Yet we heard testimony from Deputy Chief of Mission Greg Hicks that four special operations military personnel in Tripoli were preparing to go to Benghazi on a rescue mission when they were told to stand down. This is jarring, taken against then-Defense Secretary Leon Panetta's claim in February that "time, distance, the lack of an adequate warning. . . prevented a more immediate response."

Opinion: Benghazi hearing's real target: Clinton in 2016

Furthermore, the Foreign Emergency Support Team (FEST), which the State Department's website calls "the United States Government's only interagency, on-call, short-notice team poised to respond to terrorist incidents worldwide" was not called into action.

For nearly two weeks after the attack, the Obama administration continued to peddle the story that it began as a demonstration against a video and got out of hand -- a claim that is now universally understood to be false. But at Wednesday's hearing, Rep. Trey Gowdy, R-South Carolina, quoted what he said was an internal e-mail dated the day after the attack in which Assistant Secretary of State Beth Jones told the Libyan ambassador that Islamic group Ansar al-Sharia was responsible for the attack.

The video claim was pure fiction, but Hicks testified that he was reassigned to a lower-level position after he questioned it. (A State Department spokesman maintains that Hicks was not subjected to retaliation.)

More troubling than the initial video claim, however, is the allegation of serious flaws in the report issued by the Accountability Review Board, convened by Clinton, whose members include retired diplomat Thomas R. Pickering and retired Adm. Mike Mullen, former chairman of the Joint Chiefs of Staff. All three career diplomats who testified Wednesday complained about the report, which they said was incomplete and assigned blame to the wrong personnel.

As Congressional investigators have tried to get answers, the State Department has thrown up roadblocks. For example, Hicks testified that the State Department sent a lawyer from Washington in an unsuccessful attempt to ensure that I did not speak to him privately during my visit to Libya after the attacks.

These concerted efforts by the State Department to conceal information from Congress should raise red flags.

We have four dead Americans. To date, nobody has been captured or killed. The terrorists are still on the run. And we have an increasing number of contradictions between what we were led to believe and what the witnesses say actually happened. It's hard to take any refutations of the testimony seriously given the impeccable credentials of the witnesses and the despicable record of misdirection from this administration.

The opinions expressed in this commentary are solely those of 
Jason Chaffetz.

@highlight

Jason Chaffetz: Testimony this week on Benghazi contradicts administration's initial narrative

@highlight

He says 3 diplomats' firsthand testimony cast doubt on veracity of administration's account

@highlight

Rep. Gowdy said an email showed State Dept. knew Islamists, not video, behind attack

@highlight

Chaffetz: Administration has repeatedly misdirected, thwarted Congressional investigators