(CNN) -- "It's tough to make predictions, especially about the future" is an aphorism attributed to the great baseball player Yogi Berra.

But one topic where pundits, politicians and prognosticators of every persuasion don't have any problem about making pessimistic predictions is terrorism.

The Winter Olympics in Sochi, Russia, was an Olympic-level example of this. In the lead-up to the Games, the airwaves were filled with glum predictions that Sochi would be the 1972 Munich Olympics on steroids.

Rep. Michael McCaul, R-Texas, chairman of the U.S. House Homeland Security Committee, told Fox News, "There's a high degree of probability that something will detonate, something will go off. ... But I do think it's probably, most likely going to happen outside the 'ring of steel' at the Olympic Village."

Similarly, Michael G. Grimm, co-chair of the House Russian Caucus, issued a press release headlined, "Sochi Olympics Cannot Become a Benghazi Nightmare." The New York Republican warned, "We cannot sweep these threats under the rug, like we did with Benghazi or the warnings from Russia on the Tsarnaev brother behind the Boston Marathon bombing. Each time we fail to recognize these threats, we not only risk the lives of innocent Americans, but appear weaker and vulnerable in the eyes of the enemy."

Bill Rathburn, who directed security for the 1996 Summer Olympics in Atlanta, in an interview with Yahoo News predicted of Sochi, "It's not a matter of whether there will be some incident, it's just a matter of how bad it's going to be."

No wonder that two days before the Sochi Olympics, more than half of Americans believed a terrorist attack on the Games was likely, according to a CNN/ORC poll.

Now cue up the swarms of "black widows" descending on Sochi to kill themselves along with many Olympic spectators.

And then the Games were held and ... nothing happened

It turned out that the most terrifying image from Sochi was the look of disgust on the face of American figure skater Ashley Wagner when she learned of her lower-than-expected score.

Sochi is only the most recent example of the hyperventilating hyperbole of the doomsday terrorism prognosticators. Because so many folks were caught flat-footed by 9/11, some seem to overcompensate by keeping up a steady drumbeat of dire terror warnings.

In November, House Intelligence Committee Chairman Mike Rogers, R-Michigan, told CNN that al Qaeda "poses a bigger threat to attack inside the U.S. right now than it did before 9/11."

Rogers' statement defies common sense.

Before 9/11, al Qaeda had an entire county, Afghanistan, as a safe haven; its training camps there churned out thousands of militants every year; it had access to funding substantial enough so that it could spend several hundred thousand dollars on the 9/11 plot. It was a formidable enemy.

Now al Qaeda's safe haven is long gone; the group hasn't mounted any successful attack in the States since 9/11 or, for that matter, anywhere in the West since the London transportation system bombings in 2005.

On 9/11, the United States had never used armed drones in combat. Since then, the CIA has launched 370 drone strikes at suspected militant targets in Pakistan. During President Barack Obama's tenure alone, those drone strikes have killed more than 30 of al Qaeda's leaders in Pakistan.

Not only that: The United States is a much harder target than it was on 9/11. Then there were 16 people on the U.S. "no fly" list.

Today there are more than 20,000. In 2001, there were 32 Joint Terrorism Task Force "fusion centers," where multiple law enforcement agencies worked together to chase down leads and build terrorism cases. Now there are 103.

The U.S. intelligence budget also grew dramatically after 9/11. In 2010, the United States spent more than $80 billion on intelligence collection and other covert activities, much of it directed at terrorist groups -- more than three times what the country spent in 1998.

At the time of the 9/11 attacks, the U.S. Department of Homeland Security, the National Counterterrorism Center and the Transportation Security Administration all didn't exist. All these new post-9/11 institutions make it much harder for terrorists to operate in the United States.

The gloom and doom about terrorism becomes much worse when the specter of terrorists deploying chemical, biological, radiological or nuclear weapons is added to the mix.

Graham Allison, the respected political scientist and founding dean of Harvard's Kennedy School of Government, published a book in 2004 titled "Nuclear Terrorism, which garnered considerable attention with its prediction that "on the current path, a nuclear terrorist attack on America in the decade ahead is more likely than not."

Of course, now we are a decade later, and nothing of the sort has happened.

Indeed, a striking finding of a database of every jihadist terrorism case in the United States since 9/11 maintained by the New America Foundation is that not one of the more than 200 individuals who were indicted or convicted of a jihadist terrorism crime acquired, manufactured or deployed chemical, biological or radiological weapons, let alone a nuclear device.

It's relatively easy to say the sky is always falling. Indeed, given the human capacity for evil, bad things are, indeed, going to happen. But when the sky doesn't fall, which is much of the time when it comes to terrorism, the doomsday prognosticators are rarely held to account. In any event, they are too busy warning of the next catastrophe.

@highlight

Before Sochi Olympics, predictions of terrorist action were rampant

@highlight

Peter Bergen says the Games were unaffected and predictions turned out to be wrong

@highlight

He says such forecasts fit into a long history of "sky is falling" warnings

@highlight

Bergen: Statements that al Qaeda represents big threat to U.S. now are off base