(CNN) -- "Everyone agrees we need to go forward with the relief well," National Incident Commander Thad Allen said Friday of the now-plugged BP gusher in the Gulf, adding that officials are now considering other options in addition to the relief well.

Work will resume on a relief well as scientists and BP engineers continue to assess whether a planned "bottom kill" is necessary, he said.

The BP oil well, which ruptured April 20 after an explosion on the Deepwater Horizon oil rig, spilled more than 2 million gallons of oil per day into the Gulf of Mexico before being successfully shut.

Allen said that pressure tests were finished and that pressure within the wellhead was unchanged. That means there are options about how to handle the well, which has stopped pouring oil into the Gulf, he said.

"We have successfully shut in this well. We have something now that we haven't had before and we have we have -- I wouldn't call it a luxury -- but we have the trade space to consider alternatives under less than a high-pressure situation."

Allen said crews probably did "too good a job on the top kill." Cement and mud got into a core area of the well. But Allen said it's not clear how thick the cement layer is, or how vulnerable it might be to pressure inside the well.

"Everyone agrees we need to go forward with the relief well," Allen said.

"The relief well will be finished. How it gets finished will be determined on risk mitigation and the way forward is the essence of what is being discussed right now. The relief well will be finished. We will kill the well."

As they await answers about the condition of the well, businesses in the Gulf Coast are hoping high-profile visitors will help boost local economies.

President Obama and his wife, Michelle, plan to travel to the region this weekend to support businesses that have been devastated by the oil disaster. One of their daughters, Sasha, will join them for the trip. Their other daughter, Malia, is at a camp and will not make the trip, a senior administration official said.

The family will leave Saturday morning for Panama City Beach, Florida.

"Even as the president talks about what our next steps are in our response, obviously part of this will be highlighting the tremendous economic toll that has taken place," White House spokesman Robert Gibbs told reporters earlier this week.

Visitors spent more than $34 billion in 2008 in congressional districts along the Gulf Coast, sustaining 400,000 jobs.

The effects of the oil spill on the region's travel industry could last up to three years and cost up to $22.7 billion, according to an analysis conducted last month by Oxford Economics for the U.S. Travel Association.

In preparing the research, Oxford Economics looked at current spending, government models predicting oil flow and the effect of 25 past crises on tourism to develop a model to gauge the Gulf disaster's impact.

Case studies of past disasters -- including the SARS respiratory disease outbreak, Hurricane Katrina and the 2004 Asian tsunami -- show that tourism often is affected beyond the disaster area and long after the resolution of the crisis.

To mitigate the effects of the disaster, changing perceptions is key.

"The president will meet with those folks and have a chance to update, I think, the region on where we are," Gibbs said. "And I think it will be important for the president to talk about what are the next steps in bringing the region back."

Meanwhile, work is expected to resume Friday on the drilling of a relief well that is intended to give engineers a better look at the core of the well. Pressure tests will help them make a recommendation to former Adm. Thad Allen, the federal government point man on the disaster, on whether a bottom kill is necessary to permanently seal the ruptured deepwater oil well.

The well erupted after an April 20 explosion aboard the drilling rig Deepwater Horizon that left 11 dead. A temporary cap contained the spill on July 15, and nearly 3,000 barrels of heavy drilling mud and cement drove the oil back under the ocean floor last week in the static kill process.

The well gushed an estimated 53,000 barrels (nearly 2.3 million gallons) of oil per day before it was capped.

Since then, fresh, green grass has started growing again in some of the hardest-hit marshes of southern Louisiana, but oil continues to wash ashore in some places.

CNN's Vivian Kuo contributed to this report.

@highlight

NEW: Work on relief well will resume

@highlight

NEW: Unchanged pressure in wellhead gives crews more options on killing well

@highlight

The first family will travel to Panama City Beach, Florida, Saturday

@highlight

Financial effects of the spill could hurt area businesses for up to three years