(CNN) -- Connectivity was the name of the game at this year's Consumer Electronics Show, held last week in Las Vegas -- especially when it came to health-related products. From cloud-connected scales to music-connected sex toys, these gadgets rose above the rest as those that might really help you keep your New Year's resolutions.

Sleep soundly

A small, lightweight band users wear on their heads during sleep, the Zeo Sleep System measures brain waves while you're in dreamland, and will sync via Bluetooth with your smart device.

Zeo's free app plots out how many hours of quality snooze time you're getting each night. Great feedback for our highly caffeinated, tech-obsessed society, it also plots out sleep quality based on behaviors you input.

How much did those three glasses of vino affect your sleep? How about that late night fast-food run, or actual run?

Zeo gives you concrete tips for improving your sleep routine based on your habits, and will even wake you up at the optimum time in your sleep cycle. The Zeo is available for a one-time purchase price of $99. (No monthly subscription required.)

Body bands

A bevy of body bands made a splash at CES this year, among them the BodyMedia Fit and the Basis Band.

BodyMedia's Fit monitoring system consists of a small electric band the user wears on his or her arm, that works in conjunction with a software interface that's available on your smartphone or online. Users input their daily calorie intake, and the device monitors calories burned.

The band uses sweat sensors, an accelerometer and skin temperature monitors to figure out how much exercise you're doing, and for how long. It compares that to your food intake to give a picture of your daily health. The accelerometer knows when you're lying on your back for hours at a time (presumably sleeping), and adds that to your fitness picture as well.

The Fit CORE is available for $149, but requires plugging in to synch your data. The new Fit LINK is Bluetooth-enabled for wireless synching, and is available for $179. Both products require a $6.95 monthly subscription to BodyMedia's online dashboard.

Similar to the BodyMedia's Fit, the Basis Band adds real-time heart rate monitoring to the mix by using a optical engine that "looks through the skin to see actual blood flow," similar to the technology used in pulse oximeters (those little things they put on your finger at the doctor's office.)

The Basis Band is also worn on the wrist rather than on the arm, and looks more like a trendy watch than a fitness monitor. The Basis is available for pre-order, shipping sometime this quarter; and will be $199. The price includes lifetime access to the cloud service and online interface -- no monthly subscription required.

Smart medical devices

Smart medical devices abounded on the expo floor this year.

The Withings Wi-fi Body Scale, a sleek device that looks like an iPhone you can step on, connects with your iPhone, or other iOS or Android-capable phone.

The scale measures your weight, lean and fat mass and calculates your BMI almost instantaneously. To keep things simple (and less depressing), the display only shows your weight -- the rest of the information floats up to the cloud, and is available on your smartphone. The free app interface also lets you invite friends, family members or your doctor to view your progress; and it will keep track of data for up to eight users.

The Withings Wi-fi Scale is available for $159, which includes lifetime access to the web and phone service. Unfortunately, just because this scale is cloud-connected, doesn't mean you're going to be any lighter.

Withings also had another smart medical device: the iPhone Blood Pressure Cuff. Wrap it around your arm and then plug this bad boy into your iPhone, iPod touch or iPad. A small compressor in the device inflates the cuff, using power from your device.

Once the reading is complete, the information is logged in a free app, and is available to send to your doctor for analysis and tracking. The cuff is available for $129 with no recurring monthly fees.

California-based iHealth Labs also brought a Wi-Fi scale and blood pressure cuff to the table; but a third product really caught our attention: the Smart GlucoMeter. As more of the connected generation starts dealing with diabetes, this high-tech tool may encourage diabetics to check their blood sugar more often.

The device is simple: Plug a pack-of-gum-sized accessory into the bottom of your Apple device, insert a test strip, prick your finger (unfortunately, they haven't been able to eliminate that step). Put a drop of blood on the strip. Within a few seconds, the device measures your blood sugar, and catalogs it for you and your doctor to track. The GlucoMeter is pending approval with the FDA, and should be available in the latter half of 2012. The price has not yet been set.

Health apps

Just as cool as some of the hardware at CES was the software. "Gamification" of health was a popular phrase on the show floor, and several companies weighed in with entries to that category. Among the coolest were ...

UnitedHealth Group's OptumizeMe is a social fitness app that lets you challenge friends and family to get healthy. The app allows users to make their own health challenges or select from a list of popular challenges. Among them: competitions to see who can walk the most steps in a day, who can be the first to run 100 miles, and who can eat their daily servings of fruits and veggies.

The app allows you to add a prize for the top dog and share your results on social networking sites with friends. OptumizeMe is a free app, and it allows you to sync fitness information with your employer's benefits plan if your company has United Healthcare coverage. (TimeWarner, CNN's parent company, is a member of United Healthcare insurance coverage.)

This app isn't a new entry into the category, but a much improved one. Lose It! is a weight-loss management tool that allows users to keep track of food and exercise on the go. The app has a catalog of thousands of the most popular foods, and all of the nutrition information for each of them.

Popular new additions to the app include bar-code scanning of your favorite prepackaged food items, the ability to create and share custom foods and recipes with your friends, and a FourSquare-like badge-earning system, that rewards users' daily entries, weight loss milestones, and sharing activities.

Lose It! is a free app, and will integrate data from many of the connected medical devices listed above into your health picture.

The cool stuff

There are a few other notable additions to the list, though they only sort of qualify as health devices.

The 4Moms Origami Stroller is so cool, it might make you want a baby! This "iPhone of baby strollers" both collapses and rebuilds itself at the touch of a button, using on-board motors that are charged when the user pushes the stroller. It also features daytime-running lights, a cupholder, and a smartphone-charging pouch (using the same charge-as-you-push technology).

An onboard LCD screen monitors the weather, battery level and whether or not your child is in the seat -- critical info if you're considering pushing the "fold" button. But rest assured, the device isn't as scatter-brained as new moms tend to be, and won't fold if your bambino is inside. The origami is available for $849.

The Nest Thermostat gives some much needed love to the oft-neglected category of home heating and cooling interfaces. This $249 piece of wall art automatically learns your temperature preferences, and your comings and goings to make sure your house is cool when you want it to be.

Users can also control the Wi-Fi connected device remotely via smartphone; and special plastic technology enables it to pick up the color of the wall it's on to blend in with your decor.

And for those of you whose New Year's resolutions included having more, uh, fun in the bedroom, the OhMiBod musical vibrators use an audio-enabled microchips to vibrate to the beat of your favorite music. The line features personal-use and partner-friendly devices; even a wearable model to take with you to the clubs. This product was a little difficult to test on the show floor, though.

@highlight

Zeo Sleep System gives you concrete tips for improving your sleep routine

@highlight

Withings Wi-fi Body Scale connects with your iPhone or Android-capable phone

@highlight

OptumizeMe is an app that lets you challenge friends and family to get healthy