New York (CNN) -- The world's largest computer chip maker Intel faces an uncertain future. In a post-PC world where mobile is king, the Silicon Valley stalwart is aware it's fallen behind on innovation.

But in an effort to turn the tide, Intel unveiled a bevy of concept products reflecting the latest industry trend -- the Internet of Things (IoT) at the Consumer Electronics Show in Las Vegas earlier this month.

There were gesture tracking 3D cameras, smart earbuds that can track fitness activities, a bluetooth personal assistant headset nicknamed "Jarvis" after Iron Man's own virtual aide, a baby monitor of the future in the form of a onesie that observes the child and relays information back to the parent and smart watches galore.

Behind the bold strategic expansion is Renee James, the highest-ranked female at the company and president of Intel.

A veteran of the tech giant with over 25 years experience, James makes up one half of Intel's new two-person executive duo along with CEO Brian Krzanich. Together they manage over 100,000 employees worldwide.

"We're very excited about the strategy and what we're going to do with the company," James tells CNN. "When I started in this industry, we were all about building PCs, in the early-mid 90s. And PCs at the time changed the way people lived.

"We invented mobile laptops, so we were very good at a certain kind of mobile. What we didn't do, and I think that we got behind on, was going even lower -- phones."

With an established smartphone market already in place, James is pushing the chip maker to focus on the recently announced "Edison" product which they tout as a computer the size of an SD card and other highly-integrated smaller processors like their new "Quark" chips, tailor-made for wearable tech applications.

The software side of the business is an arena she knows well. Over the years James -- who was recently named one of Fortune's most powerful women in business -- has spearheaded company strategy through various R&D leadership positions at Intel.

"I do a lot more of what you would consider operational, the manufacturing, human resources. But I did keep the business units that I had before -- software services, security."

During her ascent to the top of the corporate ladder, James got to work under Andrew Grove -- a pioneer in the semiconductor industry. A legend in his own right, James says meeting Grove was one of the most important moments in her career. Not that the initial introduction during a presentation went all that smoothly.

"We got into a little bit of an argument because he started to tell me how [the technology] worked and I said, 'No, no, no.' And apparently you don't argue with Andy Grove.

"I was too young, too stupid to know better ... So I thought I'm going to get fired."

But for Grove, it was quite the opposite. He liked her gumption and years later made James his technical assistant and then chief of staff.

"He's a fabulous mentor. I learned more about thinking, about industry structures and strategy and [about] 'what's the real issue?' from him than I'll learn from anybody."

Despite this wealth of knowledge and experience, many questioned her appointment as the company's number two in early 2013.

"I expected it. There haven't been a lot of women at the top of semiconductor companies," she says. "Mostly [the criticism] makes me want to be more successful ... I try to focus on what [Intel] needs to do to be successful. What's the next big thing?'

Additionally she refuses to let gender be seen as a handicap and instead embraces how being a women brings something different to the role.

"I realize that I'm a role model, and so I feel more of a responsibility to give back to other women who are facing similar challenges."

Her advice?

"Follow your gut. A lot of women have very good intuition but they second guess themselves. Don't. The first answer is not always the right answer but it's usually a very good directional, correct answer.

"You have to imagine success and work backwards. What are you going to do to make that be the outcome? Anything is possible, until it's not."

@highlight

Intel moving away from PCs and into small processors designed for mobile, wearable tech

@highlight

Expansion masterminded by new president Renee James, CEO Brian Krzanich

@highlight

James is 25-year Intel veteran behind some of the company's biggest successes