Washington (CNN) -- The annual Conservative Political Action Conference drew 10,000 activists to Washington over the weekend. The event traditionally concludes with a presidential straw poll. Last year, the poll was won by Mitt Romney. This year, Ron Paul won, with 31 percent of the ballots cast.

CPAC's organizers cautioned against over-interpreting the Paul win. Participation in the poll had been light, the Paul team had just out-organized, etc. All true enough.

But it's also true that Ron Paul-style themes have percolated through the conservative movement since Paul's beat-the-spread 2008 presidential campaign. Of all those themes, the one that has achieved the widest audience is Paul's call for a return to money based on precious metals such as gold and silver.

G.K. Chesterton observed that you should never pull down a fence until you understand why it was put up.

So let's rediscover why it was that Americans abandoned the gold standard in the first place.

In 1929, the U.S. economy slumped into recession. Under the weight of a series of terrible decisions, that recession collapsed into the worldwide Great Depression.

But why did decision-makers make so many bad decisions? The short answer is that they were trapped. Almost all of the right decisions would have ballooned the U.S. federal budget deficit. As budget deficits expanded, investors would inevitably worry that their dollars might lose value in the future. They would demand to trade their dollars for gold at the fixed price of $20.67 to the ounce. Under the rules of the gold standard, the U.S. government would be obliged to sell.

As long as the deficits continued, the U.S. government would lose gold. Threatened with the exhaustion of its gold supply, the government felt it had no choice: It had to close the budget deficit. So, in the throes of a severe downturn, the U.S. government did exactly the opposite of what economists would otherwise advise: It cut spending and raised taxes -- capsizing the economy even deeper into depression.

It's very strange to hear gold standard advocates criticize President Hoover for imposing steep tax increases in 1932, the Depression's worst year. Yet the gold standard they champion was the reason for the tax increases they deplore.

Between 1929 and 1932, the U.S. money supply collapsed, as banks failed and bank deposits and commercial credit vanished. In their classic "Monetary History of the United States" (1966), Milton Friedman and Anna Schwartz identified this contraction of the money supply as the proximate cause of the Great Depression. Why didn't the Federal Reserve act to prevent the contraction? Again: the gold standard.

In a modern recession, the Fed will buy Treasury securities in the open market. After the purchase and sale, the Federal Reserve has more securities -- and the former owners of the securities have new cash.

Those new cash owners then spend or lend their cash, spurring economic activity. But in 1930, the new cash owners didn't spend or lend. They swapped their cash for gold. The "open market" operations that were supposed to accelerate economic activity instead accelerated the country's gold drain.

So the Fed ceased -- and instead passively allowed the economy to collapse in order to save the nation's currency.

Every other gold-standard country faced similar challenges in the 1930s. Those countries that quit gold first, like Britain, suffered least. Those that hung onto gold longest -- the United States and France -- suffered most.

Imagine now if the gold standard were in operation today. The federal government would be scrambling to balance its budget in the midst of recession, cutting spending and raising taxes. Instead of pumping money into the economy, the Federal Reserve would be sucking money out. Priority 1 would not be creating and saving jobs, but preserving the nation's gold hoard.

Instead of living through the nastiest recession since the war, we'd be deep into a second Great Depression.

But in a way, this counterfactual is impossible. No government ever can return to the gold standard.

Back in the 1930s, governments accepted horrific suffering because they were terrified of the consequences of going off gold. When President Franklin Roosevelt told his budget director, Lewis Douglas, of his decision to quit gold, Douglas replied: "This is the end of Western civilization." He wasn't kidding either.

In fact, the decision was the turning point of the Depression, the beginning of recovery. And every monetary economist knows it. Which means that the first thing any future gold-standard government would do in the event of recession would be to jettison gold. And every market trader knows that too.

So ... as soon as the first sign of recession materializes on the horizon, the traders would dump the currency of the gold standard country. The gold standard country would then have to decide whether to self-impose draconian 1932-style budget-balancing or forgo the whole painful experience and surrender right away to what is inevitable sooner or later.

Since everybody knows that a gold standard country would quit gold as soon as times got tough, nobody will ever believe the decision to restore the gold standard in the first place.

It's as dead as monocles and walking sticks. Deader, really.

The punch line to one of my favorite anecdotes goes, "Son, your answers are so old, I have forgotten the questions." Has the Depression receded so far into history that the answers that once plunged the nation into misery can possibly look credible again?

The opinions expressed in this commentary are those of David Frum.

@highlight

Ron Paul won the presidential straw poll at the CPAC conference

@highlight

David Frum says part of Paul's appeal is his advocacy of basing dollars on precious metals

@highlight

He says the gold standard made the downturn of the 1930s into the Great Depression

@highlight

The markets won't take seriously any revival of the gold standard, he says