(CNN) -- A month after the Sewol ferry sank, leaving 284 people dead and 20 missing, the incident set off a bout of national soul searching in South Korea over what went wrong.

Much of the blame has fallen on the ferry's crew, who scrambled to safety while the passengers were told repeatedly to stay put. Four of them have been charged with murder, prosecutors told CNN Thursday. The company's CEO has also been charged with "causing death by negligence, as well as causing the capsizing of the ship in the line of duty."

Beyond the ferry's owners and crew, the sinking has spurred a debate about governmental oversight and what preventive measures could've been taken. The South Korean president, Park Geun-hye, said in a speech on April 21: "This accident is highlighting many problems. First, the ship's introduction (how it came into the country), inspections, operational permits must be examined."

The reckoning over the accident has been a bitter one. Here is a look at some of the suspected factors behind the tragedy:

1. South Korean investigators: Sewol was overloaded

The passenger ferry was carrying more than double the ship's limit when it capsized, according to South Korean investigators.

Since Chonghaejin Marine Company started the Incheon to Jeju route in March 2013, 57% of its trips carried excess cargo (139 times out of 241 trips), according to the prosecutors. The company profited from overloading the ferry, earning an extra profit of $2.9 million since March 2013, investigators say.

Too much cargo contributed to sinking, police say

2. Prosecutors: Cargo on the ferry was not properly secured

Investigators have been probing the possibility the ship overturned because of a sharp turn that may have shifted the cargo, knocking the vessel off balance. Witnesses have described how several containers fell over and made booming sounds as they tumbled off balance.

Loosely tied goods contributed to the Sewol's sinking, because the cargo hadn't been tied properly, senior prosecutor Yang Joong-jin said earlier this month.

"The lashing devices that should have held cargo goods steady were loose, and some of the crew members did not even know" how to use them correctly, Yang said.

3. Crew insisted passengers stay put

"Please do not move from your location," the ferry's loudspeakers blared at those on board. "Absolutely do not move."

This type of warning was heard repeatedly as the Sewol began its descent into the water. Hundreds of passengers, unable to tell what was happening, complied. The instruction to remain in place, instead of getting on lifeboats, has been described as "terribly, tragically wrong," by one CNN analyst.

It's unclear why the crew made this determination, which remains one of the most haunting and perplexing questions surrounding the incident.

A transcript of the communication between Sewol and the local authority shows that the decision was made fairly early. At 9:00 a.m., the Jeju Vessel Traffic Services Center told an unidentified crew member: "Please put on the life vests and get ready as people may have to abandon ship."

The Sewol crew member immediately replied: "It is hard for people to move."

During communications with the local traffic services center that lasted until 9:38 a.m., the unidentified crew member repeatedly asserted that passengers could not reach life rafts or rescue boats because "they can't move... the vessel has listed."(From transcript)

4. The captain abandoned ship, while passengers were told not to move.

Capt. Lee Joon-seok of the Sewol has come under heavy criticism for abandoning the ship while hundreds of passengers remained on board. Pictures of the captain in what looks like his underwear hopping into the arms of the rescuer infuriated the nation.

President Park Geun-hye described the crew's actions as being "like murder." Lee is now facing murder charges. He initially defended the decision saying that he had everyone "stand by and wait for the rescue boat to arrive."

"The tidal current was strong and water temperature was cold, and there was no rescue boat," he told reporters last month. "So I had everyone stand by and wait for the rescue boat to arrive."

5. Inexperienced crew member steered the ship.

Authorities have questioned why an inexperienced third mate was guiding the ship at the time of the accident.

That third mate is also facing charges of not abiding by emergency safety law, negligence which led to the ship sinking and causing injuries leading to deaths.

The captain was not at helm at the time of the accident. There is no law requiring the captain to be on the bridge when the third mate is steering, but that an inexperienced member of the crew was navigating in one of the most treacherous stretches of the trip has raised questions.

The third mate denied making a sharp turn a few days after the accident and said, "The steering turned much more than usual. There are aspects where I made mistakes but for some reason the steering turned so much faster than usual."

6. Delays on notifying proper authorities of the accident

The first distress call came not from the ship's crew, but instead from a boy on board who used a cell phone to contact emergency services at 8:52 a.m. His call to emergency services gave rescuers a few extra minutes to get to the stricken Sewol as it is listed dangerously before capsizing.

Three minutes later, the ship's crew made a distress to authorities in Jeju -- which was the ship's destination rather than near its accident site. The miscommunication may have caused delays.

7. Ship's modifications raise questions

The Sewol had been renovated in 2013 to expand the top floor to make room for more passengers.

The 20-year-old ship was originally used in Japan, until Chonghaejin Marine Co. purchased the ferry in 2012 and refurbished it. Chonghaejin added extra passenger cabins on the third, fourth and fifth decks, raising passenger capacity and altering the weight and balance of the vessel.

Investigators want to know if the renovations may have made the ferry more likely to capsize or raised the ship's center of gravity. The South Korean Ministry of Oceans and Fisheries announced in late April that it would ask lawmakers to consider legislation prohibiting modifications to ships to increase passenger capacity. The government plans to take away the company's licenses for all its routes, including the one on which the Sewol sank, according to an official at the ministry.

CNN's Kyung Lah, KJ Kwon, Judy Kwon, Paula Hancocks, Jung-eun Kim, Frances Cha and Stella Kim contributed to this report.

@highlight

284 have died on Sewol ferry, since accident on April 16, a month ago

@highlight

Blame has fallen on crew, ferry operating company, South Korean government

@highlight

Captain and three crew members have been charged with murder