(CNN) -- Scientists said Wednesday that they had discovered a new particle whose characteristics match those of the Higgs boson, the most sought-after particle in physics, which could help unlock some of the universe's deepest secrets.

"We have reached a milestone in our understanding of nature," said Rolf Heuer, the director general of the European Organization for Nuclear Research, which has been carrying out experiments in search of the Higgs boson at the Large Hadron Collider (LHC), the world's largest particle accelerator.

"The discovery of a particle consistent with the Higgs boson opens the way to more detailed studies, requiring larger statistics, which will pin down the new particle's properties, and is likely to shed light on other mysteries of our universe," Heuer said.

The particle has been so difficult to pin down that the physicist Leon Lederman reportedly wanted to call his book "The Goddamn Particle." But he truncated that epithet to "The God Particle," which may have helped elevate the particle's allure in popular culture.

More: Why the 'God Particle' may be key to universe

Announcements by scientists about their analysis of data generated by trillions of particle collisions in the LHC, which is located beneath the Alps, drew avid applause at an eagerly awaited seminar in Geneva, Switzerland, on Wednesday.

Finding the Higgs boson would help explain the origin of mass, one of the open questions in physicists' current understanding of the way the universe works.

The researchers stressed the preliminary nature of the results they were announcing Wednesday.

"A more complete picture of today's observations will emerge later this year after the LHC provides the experiments with more data," the nuclear research organization, known as CERN, said in its statement.

But despite the words of caution, the scientists' mood and many of their comments were brimming with enthusiasm about the potential scope of what they had discovered.

"It's hard not to get excited by these results," said Sergio Bertolucci, the research director at CERN.

The announcements by the CERN researchers come two days after scientists in Illinois said they had crept closer to proving the existence of the Higgs boson but had been unable to reach a definitive conclusion.

The U.S.-based scientists outlined their final analysis based on more than 10 years of research and 500 trillion particle collisions using the U.S. Department of Energy's Fermilab Tevatron collider near Batavia, Illinois, whose budgetary woes shut it down last year.

Fabiola Gianotti: The woman at the leading edge of physics

They passed the baton onto their counterparts using the LHC, which is much more powerful than the Tevatron.

Located 328 feet underneath the border of France and Switzerland, the LHC cost $10 billion and has been sending particles smashing together in 17-mile tunnel for the past 18 months.

High speed proton collisions generate a range of even smaller particles that scientists have been sifting through in search of a signal in the data suggesting the existence of the Higgs boson.

The elusive particle is part of a theory first proposed by physicist Peter Higgs and others in the 1960s to explain how particles obtain mass.

Higgs boson is like... a Justin Bieber fan?

The theory proposes that a so-called Higgs energy field exists everywhere in the universe. As particles zoom around in this field, they interact with and attract Higgs bosons, which cluster around the particles in varying numbers.

Imagine the universe like a party. Relatively unknown guests at the party can pass quickly through the room unnoticed; more popular guests will attract groups of people (the Higgs bosons) who will then slow their movement through the room.

The speed of particles moving through the Higgs field works much in the same way. Certain particles will attract larger clusters of Higgs bosons -- and the more Higgs bosons a particle attracts, the greater its mass will be.

While finding the Higgs boson won't tell us everything we need to know about how the universe works, it will fill in a huge hole in the Standard Model that has existed for more than 50 years, according to experts.

"The Higgs boson is the last missing piece of our current understanding of the most fundamental nature of the universe," Martin Archer, a physicist at Imperial College in London, told CNN.

More science news from CNN Light Years

CNN's Jethro Mullen, Nick Thompson and Atika Shubert contributed to this report.

@highlight

Finding the Higgs boson would help explain the origin of mass

@highlight

"We have reached a milestone in our understanding of nature," scientist says

@highlight

The announcement is based on data from the Large Hadron Collider

@highlight

Researchers stress the preliminary nature of the results