(CNN) -- On Sunday, during the inauguration ceremony, and followed by endorsement of the Supreme Leader Ayatollah Ali Khamenei, Iranian President, Hassan Rouhani presented Majlis [the Iranian parliament] with a list of proposed cabinet members.

A look at candidates shows that after eight years of the chaotic and catastrophic presidency of Mahmoud Ahmadinejad, things are getting back to normal. This could also mean that the old guard is in charge again. Senior ruling elites (the average age of Rouhani's new cabinet is 57) are celebrating their victory after surviving Ahmadinejad pressures to uproot them.

Read more: Rouhani takes over as Iran's president

After nearly two months of heated discussion and wild speculation about the makeup of Rouhani's cabinet, the list of the proposed ministers can finally predict Iran's future. A close aide to Rouhani, Hesamodin Ashna, wrote on his public Facebook page: "This cabinet has been designed to return peace to the government of the country. The presence of veterans indicates difficult crisis that must be resolved. It takes at least two years to find out what in the past eight years has caused this country to fall apart."

The economic orientation of the new administration is clear. The appointment of Mohammad Nahavandian -- head of Iran's Chamber of Commerce, Industries and Mines -- as the presidential Chief of staff, sends the message that the new government will be relying on the private sector. And the composition of the cabinet seemingly shows Iranian liberals will be at the helm of the economy.

However, there is still speculation about the political proportions of the new administration. A mistake that many political critics make is trying to determine the political weight of the cabinet based on the overused dichotomy of principlist-reformist, neglecting that such a categorization can no longer describe the political arena of Iran, particularly in the post-election era.

Read more: Rouhani feels limits of office

Now, let's look at a few facts. All 18 proposed ministers have good relations with Ali Akbar Hashemi Rafsanjani, the head of the Expediency Council who became known as the kingmaker in this election. Some of these candidates are even considered Rafsanjani's apostles. Sixteen of them have held prominent positions in the administration of Mohammad Khatami, the former reformist president who is out of favor with the hardliners and was not even invited to Rouhani's inauguration.

More interestingly three of these proposed ministers, Mohammad Akhoundi, Bijan Namdar Zanganeh and Ali Rabiei, were three of the most important members of the Mir-Hussein Mousavi campaign in 2009. (This candidate is still under house arrest with his wife after protesting the vote result and leading the Green Movement).

Naturally such a makeup of the cabinet drew criticism from the radicals in the principlists' camp. But more interestingly, radical reformists, particularly the activist and journalist body associated with them, have criticized Rouhani for his cabinet picks. Why? Because the position of the three sensitive ministries of culture, intelligence and interior were not given to pure reformists.

The Ministry of Culture and Islamic Guidance was offered to Ali Jannati -- the son of 87-year-old head of the Guardian Council Ahmad Jannati -- who unlike his father has good relations with Hashemi Rafsanjani and during the presidency of Khatami was Iran's ambassador to Kuwait. In an interview conducted less than a week ago he uttered almost everything that a reformist would say. Jannati said he did not believe in censorship before publication of books. Censoring has been the standard procedure in the past three decades of publication in Iran. He also promised that if a newspaper criticizes the administration it would not land in hot water.

Read more: Presidential elections without buzz

Despite being a principlist, Seyyed Mahmoud Alavi, the candidate minister of intelligence has mostly trodden his own path. Less than two years ago he was disqualified from running for Majlis by the Guardian Council for "lacking practical commitment to Islam and the regime." In a recent interview, Alavi had the courage to openly say "there is a security atmosphere in the country at present and individuals are not at ease to speak [their minds]" and promised that the situation would change.

Unlike the candidates for culture and intelligence ministries, Abdolereza Rahmani Fazli, the proposed interior minister whose job description includes appointing the 31 governors, has not revealed his view points. A principlist, Rahmani Fazli is very close to the speaker of Majlis, Ali Larijani. Therefore, many radical reformists have criticized Rouhani for giving a share in his cabinet to Larijani. An unofficial campaign has also started lambasting the speaker of Majlis as the sole obstacle to reforms in the country.

It appears that certain political currents in Iran are repeated like short cycles. About 12 years ago, the reformists launched a campaign against Hashemi Rafsanjani and his cohorts including Hassan Rouhani to blame him for all the country's problems in order to prevent his election to the sixth parliament. Demonizing Rafsanjani actually turned out to hurt reformists most as they lost a powerful ally, who could have helped them in furthering their agenda and paved the way for the victory of Mahmoud Ahmadinejad in the 2005 election.

Portraying Larijani as the new wicked could have similar sequels. Larijani has already shown that he wants a relationship based on give and take. In the aftermath of the 2009 presidential election, despite pressure by hardliners to condemn popular protests, he remained silent as long as he could. In the beginning, he even tried mediating between the defeated candidate Mousavi and the supreme leader.

It is only natural for the new president whose campaign slogan was "solving things with prudency" to choose negotiation to strengthen the position of his camp instead of resorting to confrontation and exclusion. The boldest step Rouhani has taken is nominating Mohammad Javad Zarif as foreign minister. Zarif's candidacy has been heavily opposed by the hardliners who insist this choice means that the new administration is serious about reducing tensions with the West, particularly with the U.S.

Some have claimed that Rouhani's cabinet does not create strong hope of a political opening in Iran. But the reality is that the winds of change began blowing two months ago immediately after the election by the republication of two highly circulated reformist magazines that had been banned. And even though Mohammad Khatami was not allowed to attend the inauguration ceremony, his pictures have once again found their way to the front page of the newspapers.

However, it appears that the threat of the radicalization of the supporters of change is stronger for the new administration than the pressure from extremists. Two weeks ago, one of the most prominent anti-regime figures in the country, 81-year-old Ebrahim Yazdi -- who has been sentenced to eight years in prison -- stressed in an interview with a reformist paper that Rouhani's administration should not be expected to perform miracles: "He has to arrange the melody of desired change with the increasing tolerance and endurance levels of the opponents of reform," he said.

The opinions expressed in this commentary are solely those of Ali Reza Eshraghi

@highlight

President Hassan Rouhani has presented Iran's parliament with a proposed cabinet list

@highlight

Ali Reza Eshraghi says it suggests a return to the old guard, after Ahmadinejad

@highlight

16 proposed ministers had positions in the government of reformist Mohammad Khatami

@highlight

However, three key posts were not given to pure reformists, Eshraghi says