BEIJING, China (CNN) -- The head of China's quality watchdog is reported to have resigned over the tainted baby milk scandal that has killed four children and sickened nearly 53,000 others.

The official Xinhua News Agency said Li Changjiang had quit with the approval of China's State Council. Li's agency is responsible for ensuring that China's food supply chain is safe.

Monday's resignation came hours after the World Health Organization said the scandal had highlighted flaws in the country's entire food supply chain.

The chemical melamine blamed for causing kidney stones and kidney failure has been detected in formula milk powder from 22 dairies across China.

The crisis was initially thought to have been confined to baby milk powder, but tests have found melamine in samples of liquid milk taken from China's two largest dairy producers, Mengniu Dairy Group and Yili Industrial Group, as well as Shanghai-based Bright Dairy.

WHO China representative Hans Troedsson said on Monday quality issues could occur anywhere from the farm to the retail outlet.

He said "it's clearly something that is not acceptable and needs to be rectified and corrected," according to The Associated Press. Troedsson said the WHO was discussing with officials how to strengthen China's food quality system.

Chinese Premier Wen Jiabao has called milk manufacturers "heartless" and promised stricter laws to protect the public.

China's Health Ministry said Sunday that about 13,000 children were hospitalized, while another 40,000 had undergone outpatient treatment for illnesses related to suspected melamine-tainted milk products.

The scandal has spread beyond the mainland with melamine being found in three Chinese-made dairy products in Singapore.

The country's Agri-Food and Veterinary Authority said tests on "White Rabbit Creamy Candy" showed that it was contaminated with melamine and it ordered stores to remove the product from shelves.

Taiwan announced Monday it was banning the importation of all dairy products from China because of melamine contamination in milk supplies on the mainland, Taiwan's Health Ministry said Monday.

And a second child in Hong Kong has been diagnosed with a kidney stones after drinking the tainted milk as worried parents continued to take their children for health checkups, the government said Monday, AP reported.

The 4-year-old boy was in hospital in a stable condition, the Hong Kong government said in a statement. A three-year-old girl was sickened by a suspected melamine-tainted milk over the weekend -- the first known illness outside of mainland China.

The Chinese premier visited Beijing hospitals and a supermarket Sunday to show his concern for the crisis.

"What we need to do now is to ensure that nothing like this happens in the future, not only in dairy products, but in all foods," he said. "Manufacturers and owners of dairy companies should show more morality and social responsibility in these cases. They are heartless, so we have to create strict law and legislation. I'm sorry."

Investigators arrested two brothers who sold milk used to produce the contaminated baby milk powder last week. They could face death if convicted, according to China Daily, a state-run newspaper.

The raw milk had been watered down and the chemical added to fool quality checks, the newspaper said. Melamine is commonly used in coatings and laminates, wood adhesives, fabric coatings, ceiling tiles and flame retardants.  Watch CNN visit the company at the center of the scandal »

But anger has been directed not just at the producers accused of adulterating their milk to increase profits, but also at government regulators, Time magazine reported.

"Xinhua was quick to blame the dairy industry for their skewed rules, but what it didn't say was that the government also played a part in that ugly game," the magazine quoted a blogger, identified as sadmoon109, as saying.

Health experts say ingesting melamine can lead to kidney stones, urinary tract ulcers, and eye and skin irritation. It also robs infants of much-needed nutrition.

Thousands of tons of the tainted milk powder have been recalled.

Melamine is the same industrial contaminant from China that poisoned and killed thousands of U.S. dogs and cats last year.

The chemical, a byproduct of plastic manufacturing, can be used to mimic high-protein additives.  Learn more about the chemical melamine »

A senior dairy analyst said Chinese farmers were cutting corners to cope with rising costs for feed and labor.

"Before the melamine incident, I know they could have been adding organic stuff, say animal urine or skin," Chen Lianfang of Beijing Orient Agribusiness Consultant told Time.

"Basically, anything that can boost the protein reading."

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

Head of China's quality watchdog resigns over tainted baby formula scandal

@highlight

WHO representative said scandal shows up flaws in China's food supply chain

@highlight

Four infants in China dead, 53,000 reported ill from tainted milk powder