(CNN) -- When world leaders gather in Rio Wednesday they will be hammering out a new set of goals to measure sustainable development.

This time it's the SDGs (sustainable development goals) -- goals which will influence a new development framework. But before we rush to embrace another acronym, we need to tackle a basic injustice left over from the last development goals -- access to reproductive health.

Across the world more than two in five pregnancies are unplanned. Clearly this is a wasted opportunity to boost development and stabilize population growth - through something women want and need, the ability to decide when to become pregnant.

More: Africa's birth rate: 'Why women must be free to choose'

Rapid population growth puts pressure on economies as governments struggle to provide education and health services, yet in many countries around the world women still have little choice when it comes to childbearing.

More than 215 million women in the developing world who wish to protect themselves from unwanted pregnancy are still not using an effective method of contraception.

This unmet need highlights just how far reproductive health and rights have slipped off the agenda: just at the time when it should be key to the challenge of sustainable development.

Reproductive rights and health services not only provide immediate health benefits and reductions in maternal and child mortality, but helps end poverty passed on from one generation to another and lightens the burden on countries with few natural resources.

Experience has shown us that educating girls, legal reform and access to family planning have made all the difference in many countries.

While it's true that economic and social development leads to women having smaller families, the converse is also true -- that the gains that contraception has made possible in women's health make family planning one of the most successful international development stories.

In the words of Nafis Sadik, former head of the United Nations Population Fund, "it is the freedom from which other freedoms flow".

The evidence continues to bear this out - family planning saves lives, contributes to the fight against HIV and AIDS and helps governments and communities achieve sustainable social and economic development.

World Bank studies have found reproductive healthcare extremely cost-effective: an investment of US $4.10 per person could avert eight per cent of the global burden of disease.

See also: Why family health makes moral and economic sense

Fully meeting the unmet need for family planning services would result in global unintended pregnancies dropping from 75 million to 22 million. This would result in 25 million fewer abortions, 22 million fewer unplanned births, and 680,000 fewer deaths among women and newborns.

As a result, couples and individuals and communities will become more resilient - they will be better able to prepare for unpredictable events, including climate change disasters, and to adapt towards economic, social and environmental sustainability.

See also: Mother's Day is not so rosy in Africa

That's why IPPF, the world's largest reproductive health and rights organization, will be vocal and visible at the Rio Summit. We will be lobbying for a clear road map for the SDGs and one that prioritizes women's representation, binding agreements on universal access to reproductive health and pledges to deliver those services.

Ahead of the Rio summit, IPPF is making three positive commitments of its own to meet the sexual and reproductive health needs of people in the world's poorest countries to increase their resilience to climate change.

More: Road to Rio special coverage

Firstly we will meet the needs of some 120 million women by increasing our provision of services for the poorest and most vulnerable people by 50%.

Secondly, we will work towards making comprehensive sexuality education available to the world's largest ever generation of young people have by 2020.

See also : 7 billion reasons to empower women

Finally we will lobby governments for legislative changes to ensure universal access to sexual and reproductive services by 2020.

As climate change begins to influence our lives, it is the poorest women and children who again will pay the highest price. It is also women who can lead the changes required for increased resilience in the face of climate change and to enable them to do this we must meet their unmet need for health and education.

We must now make up for lost time, investment and the opportunity. We need to hold governments and international agencies accountable for the commitments they have made -- financial, political and legal.

This level of unmet need will expand as the world's largest generation ever of young people enter their reproductive lives - increasing demand for contraception by 40 per cent by 2050.

This represents a crisis for health, human rights, and development. How can we hope for global sustainability and resilience unless we invest now in sexual and reproductive health and rights?

The opinions expressed in this piece are solely those of Tewodros Melesse.

@highlight

Across the world more than two in five pregnancies are unplanned

@highlight

As the world's largest generation ever enters their reproductive lives, the demand for contraception will rise

@highlight

World Bank studies have found reproductive healthcare extremely cost-effective