Beijing (CNN) -- Chinese state media frequently treats Japan's atrocities of the past like breaking news of today. But lately, the steady flow of war history-related news has become a flood.

Amid fast-deteriorating Sino-Japanese relations, China's State Archives Administration recently re-opened case files from a Chinese military tribunal in 1956 and launched a dedicated website to publish summaries of confessions by 45 convicted Japanese war criminals.

Among the horrifying accounts posted online by Chinese authorities are confessions of raping countless women, burying people alive and performing human vivisections in China -- all handwritten by captured Japanese army officers after World War II and long sealed in the state archives in Beijing.

The Chinese government's target is clear.

"Since the Abe cabinet came into power in Japan," begins the online introduction to the confessions, referring to Japanese Prime Minister Shinzo Abe. "It has openly confused right and wrong to mislead the public, in an attempt to whitewash the history of external aggression and colonialism."

Tense seas

China and Japan have a dark history of conflict, including the nine-year Second Sino-Japanese War during which the contentious Nanjing Massacre took place from December 13, 1937 to March 1, 1938. Japanese soldiers committed mass murders and forced Chinese and Korean women into sexual slavery during the occupation of Nanjing.

But it was a more recent flare-up, say analysts, which brought the historic grievances back out into the open.

Relations between China and Japan became strained in 2012 when Japan claimed islands in the East China Sea.

China then declared in November 2013 an Air Defense Identification Zone over the East China Sea, imposing air traffic restrictions over the disputed area.

China's moves have made Japan and other nations in South East Asia nervous over it's expanding military and more assertive foreign policy, accusing China of trying to change the status quo.

A right turn

In December, Abe further stoked tensions by visiting the Yasukuni Shrine where Japanese soldiers are honored -- including wartime leaders convicted as class-A war criminals. Abe became the first sitting prime minister to make the provocative visit since Junichiro Koizumi went in 2006.

Six months later, Abe declared a more liberal interpretation of Japan's post-war pacifist constitution, essentially lifting a decades-long ban that prevented its military from fighting abroad.

The following month, China released the Japanese wartime confessions online. Beijing also marked the anniversary of the Second Sino-Japanese War with an elaborate commemoration ceremony at Lugou Bridge, the site of the first showdown.

"China is responding to Prime Minister Abe's attempts to rehabilitate the discredited wartime past. It's trying to underscore the fact that Japan suffers from selective amnesia," says Jeff Kingston, an expert in Asian regional tensions and a professor at Temple University, Japan Campus.

Global strategy

For long-time China watchers, this back-and-forth may be escalating at an alarming rate, but it is nothing new.

"Since the early 1990s, the communist party has been trying to stoke anti-Japanese patriotism among the Chinese people mostly because they wanted to regain some of the legitimacy they lost in the Tiananmen Square massacre," says Kingston, referring to the bloody military crackdown on Chinese student demonstrators in 1989.

For China's president, the nationalism stoked by anti-Japanese sentiment, could become a powerful tool.

"Nationalism is a very potent force in China right now. Xi is strengthening nationalistic sentiment to unify the country behind him and reinforce his own position as leader," says Frank Ching, a political commentator.

Beyond fomenting patriotism at home, China is also reminding its international partners that Japan hasn't come clean about its past.

Kingston explains that Japan's imperialist history "is Abe's Achilles' heel." By highlighting Abe's right-wing inclinations, China can drive a wedge between the U.S. and Japan, while pulling South Korea -- another nation that suffers wartime scars inflicted by Japan -- closer.

China appears to be using it's propaganda push to isolate Japan from its allies.

Resolution

But China's heavy-handed propaganda may backfire in the end because foreign governments may see it in a more cynical light.

"If they press their case more quietly, it would be more effective," says Kingston.

It may also lead the nations further away from resolution.

"These battles over history undermine trust and limit the room for diplomacy. It's very difficult for both sides to find a face-saving way to climb down," says Kingston.

Abe has repeatedly called for face-to-face talks with his Chinese counterpart, President Xi Jinping. "The door for dialogue is always open on my side, and I hope China has the same attitude," the Japanese leader said.

But analysts are not hopeful for talks, as both nations wait for the other to make the first move.

"The Chinese side has made it clear that they will not talk to Abe unless he takes action to show that his attitude has changed, but I don't see Abe doing that in the absence of any commitment from China for a meeting first," says Ching.

All eyes are now on the Asia Pacific Economic Cooperation summit coming up in November during which Abe has invited Xi to a meeting on the sidelines. The two leaders have never met since both came to power in 2012.

@highlight

Sino-Japanese relations fast deteriorating amid tensions over disputed islands in the East China Sea

@highlight

Analysts say China and Japan are engaged in a war of propaganda and rhetoric

@highlight

Jeff Kingston: "These battles over history undermine trust and limit the room for diplomacy"