(CNN)Thousands remain missing in Nepal after a devastating earthquake struck the region on Saturday. A majority of them are Nepalese, Indian and Chinese residents, but a handful are adventurers, trekkers and vacationers who have not been heard from since the catastrophe.

Technology has played a huge role in helping families share their worries, ask for help and search for their missing loved ones.

Several organizations, such as Google and the Red Cross, have published features about the missing on their websites. And on CNN iReport, dozens of people have filed reports pleading for information that might help them locate their missing friends and relatives.

The death toll in Nepal is rising; it has now surpassed more than 5,000. Though the news is mostly heartbreaking and worrisome, there have been stories of survival, of families reconnecting with loved ones days after the disaster.

The walk of survival

After hearing about devastation in Nepal, Ahmed Shadmann of Bangladesh reached out to his nation's embassy in Nepal, made calls to old college contacts in South Asia and posted pleas on social media to help find his younger sister Raisaa Tashnova.

Tashnova, 25, was with a group of friends at The Last Resort, a spa-like resort near the border with China. When the earthquake struck, she was getting ready for a group excursion, a canyon swing.

She could see the ground splitting apart beneath her feet. What scared her most was seeing large boulders crashing down from the mountains above.

She prayed she wouldn't be crushed.

She ran from the toppling boulders and shielded herself. When the tremors subsided, Tashnova and her friends huddled together and camped on higher ground overnight, expecting to be rescued.

When three days passed and no one came to their aid, the group decided to take their chances and leave the confines of the resort.

The walk toward Kathmandu was treacherous. The roads near the resort were mostly blocked or in bad shape because of a landslide.

But the worst part was the smell of rotting flesh, which permeated the air as she passed countless villages flattened by the quake.

"It was a walk of survival," she said. "My brain refused to feel anything apart from putting one leg before the other until the mountains were left behind."

Tashnova hiked six hours through mountainous terrain toward Nepal's capital. After navigating down tricky mountain slopes, she and her friends came across a village and hitched a ride on a local bus.

She was able to connect with her family, nearly four days after the quake, from the airport in Kathmandu while waiting for the next flight to Bangladesh. She was exhausted. She hadn't showered or slept since before the quake.

When Shadmann got the call from his sister, he said it felt fantastic.

"What was surprising is that her voice sounded very strong. It didn't seem like she had gone through a terrible episode in her life," he said.

There was little information

Dr. Carol Pineda and her husband, Michael MacDonald, of Massachusetts, were vacationing in Nepal when the quake struck. Her brother, James Pineda, got news of the disaster from a friend.

It wasn't until he heard the high casualty figures and reports about the avalanches that he started to get scared. He was prepared for the worst, knowing they were traveling to a Himalayan base camp in Nepal.

But that was basically all he knew.

James combed through what little information his sister left for him before the trip, but it didn't include the name of the tour group or the hotel where they were staying. He took to social media and started emailing and calling hiking groups that operated in Nepal, but no one was getting back to him.

On Sunday, he managed to get inside his sister's apartment in Boston and find documents with information on the trekking company the pair were using. It wasn't until that evening, after emailing the company, that he got a short reply saying that his sister and her husband were safe.

But that was all the information he had, and he wanted to hear directly from his sister, so he took to Twitter to see what other people were doing to track down loved ones. Several strangers who were in the same location as the couple responded to his inquiries on social media, saying they were fine.

"It was incredible to see people that were stranded themselves over there wanting to help me. At least now we knew they were safe," he said.

On Monday, the couple left a voicemail for MacDonald's parents saying they were making their way to the Kathmandu in hopes of catching a flight out.

Only one phone call left

Janaki Parajuli, a Nepalese tour guide, was busy Saturday morning, leading a tour group of 17 senior citizens -- nine Americans, five Canadians and three Nepalese -- from Kathmandu to Tibet.

They had stopped for lunch at Liping village, just near the border, when the magnitude 7.8 quake struck.

Once the tremors eased, Parajuli noticed that his cell phone had died. His connection with the outside world had vanished. Worse, he had a group of older travelers and a short supply of food and water.

One American in the group had an international cell phone, but its battery was quickly dying. Unable to contact anyone in the area, Parajuli made one last attempt, calling his daughter.

Thousands of miles away, in Louisiana, Jyotsna Parajuli picked up that call. Her father explained the situation: The roads were blocked and there was no way to get back to Kathmandu or enter into Tibet.

The only way to escape was by helicopter.

Jyotsna learned from the U.S. Embassy that a family had hired a private rescue team, working with the Nepalese army, to rescue the stranded tourists by helicopter, but the team was unable to land because of bad weather.

Other rescue and relief operations in the region have faced similar weather issues. Crews planning to help those desperately in need are having to wait for storms to subside.

Parajuli was told later that 23 people were rescued from the area and left on a bus headed for Kathmandu, but she wasn't sure if her father or his tour group were among them.

"All the people in the group are 60 years old or older. My dad said two Americans in the group were sick because of the weather and altitude, and since the people were older, they couldn't walk to help," she said.

Now she is anxiously waiting for the weather to clear, and hoping to hear her father's voice again.

If you are looking for someone, we invite you to share your story on CNN iReport.

See scenes from Nepal after the earthquake

CNN's Sarah Brown and Anne Claire Stapleton contributed to this report.

@highlight

Thousands remain missing in Nepal after a magnitude 7.8 earthquake struck

@highlight

Social media has helped people overseas tracked down their loved ones in Nepal

@highlight

Technology has helped those stranded after the quake reach out for help