Cairo (CNN) -- Thousands of Egyptians gathered in Cairo's Tahrir Square Tuesday night to protest what they call a coup by Egypt's military rulers and show their support for the Muslim Brotherhood presidential candidate.

Conflicting reports about the health of ousted President Hosni Mubarak overshadowed the protest, as one news agency reported he was clinically dead, which the military quickly denied.

"He is not clinically dead as reported, but his health is deteriorating and he is in critical condition," Gen. Mamdouh Shahin, a member of the Supreme Council of the Armed Forces, told CNN.

Conflicting reports about whether Mubarak has died

"They're playing with us," one Tahrir Square demonstrator said. "All of the sudden, all of this? If he's really dead, it's God's will. I would hope he lives to see the new president."

Both candidates in what the United States called Egypt's "historic" presidential runoff over the weekend are claiming victory, the latest twist in the country's chaotic political upheaval.

A spokesman for Ahmed Shafik -- the last prime minister to serve under Mubarak -- said Tuesday that Shafik had won, state-run Nile TV reported.

At a news conference, Mahmoud Abu Baraka said the campaign was certain it had the correct numbers.

Mohamed Morsi, the Muslim Brotherhood candidate, claimed victory Monday and vowed to build an inclusive government. "No one's rights will be left out of it, and no one will dominate over the other," he said.

Egypt has not announced an official result.

The dueling announcements come amid questions over just how much authority the president will even have in the new Egypt. The Supreme Council of the Armed Forces, which has run Egypt since Mubarak's ouster, stripped the position of much of its power.

Under an interim constitutional declaration released Monday, the military council retains the power to make laws and budget decisions until a new constitution can be written and a new parliament elected.

The declaration says Supreme Council members "shall decide all matters related to military affairs, including the appointment of its leaders."

The president has the power to declare war, it says, but only "after the approval of the SCAF."

That move came days after Egypt's highest court dissolved the lower house of parliament and the military council announced it had full legislative authority.

The Muslim Brotherhood, the country's largest Islamist group, was the dominant party in the parliament.

What is the Muslim Brotherhood?

The April 6 revolutionary movement and the Muslim Brotherhood called Tuesday's "million man march" in Tahrir Square.

By evening, a crowd of thousands had gathered in the square, which was the central home to protests that toppled Mubarak's regime last year.

Many demonstrators chanted "Morsi, Morsi" and waved Egyptian flags and his portrait.

Several lawmakers from the Brotherhood stood sweating in the crowd talking to journalists.

"This protest rejects the constitutional addendum and demands that the military council surrender power by the end of June. We object to the military council remaining in power beyond June," said Mohamed Gabber, a Brotherhood representative in the Shura Council, Egypt's upper house of parliament. Egypt's highest court last week dissolved the recently elected lower house of parliament, casting doubt over the future of the Shura, which has continued to meet.

"The constitution is supposed to be in the hands of the Egyptian people," Gabber added.

Earlier, Mohamed el Omda, a former member of parliament with the Muslim Brotherhood, complained that the "powerful TV channels" in Egypt are owned by businessmen collaborating with the military council.

"They tried to destroy the image of the parliament in preparation for this step that was taken to dissolve the parliament," he said.

El Omda stood outside the parliament building, where police prevented former lawmakers from entering Thursday.

The military council rejects complaints of a "coup d'etat," insisting it remains temporarily in control until a new constitution is formed. The council said last week it will appoint a council to create the constitution.

As for the declaration about the presidency, SCAF member Gen. Mohamed el Assar insisted the position retains "great authority, very vast authority."

"And the military council did not take anything away from him," el Assar said.

But the Muslim Brotherhood's Freedom and Justice Party, in a statement, said the "SCAF does not have the right, power or authority to issue any constitutional article -- and indeed it has only ten days before it hands over ruling power to the elected president.

"Ultimately, this announcement amounts to a total coup d'Ã©tat against constitutional, popular and revolutionary legitimacy."

Each side in the election accused the other of voting irregularities and called for an investigation.

U.S. State Department spokeswoman Victoria Nuland said Tuesday, "This is a very important couple of days for the Egyptians to get it right, in keeping with their commitment to have free, fair, and transparent presidential elections."

The Carter Center, which monitors elections worldwide, said Tuesday that its mission in Egypt had issued preliminary findings about the runoff.

"The Center noted that the Egyptian people again have demonstrated their deep commitment to the electoral process. However, The Carter Center expressed grave concern about the broader political and constitutional context, which calls into question the meaning and purpose of the elections," the agency said in a statement.

Former U.S. President Jimmy Carter said in the statement, "I am deeply troubled by the undemocratic turn that Egypt's transition has taken. The dissolution of the democratically elected parliament and the return of elements of martial law generated uncertainty about the constitutional process before the election. The Supreme Council of the Armed Forces' new Constitutional Declaration, in which they carve out special privileges for the military and inject themselves into the constitution drafting process, violates their prior commitment to the Egyptian people to make a full transfer of power to an elected civilian government.

"A constitution is a permanent foundation for the nation, and must be fully inclusive and legitimate. An unelected military body should not interfere in the constitution drafting process."

U.S. Ambassador to Egypt Anne W. Patterson visited polling sites. She said the United States was pleased to "participate in the process," calling it a "historic event" for "democracy in Egypt," the U.S. Embassy in Cairo tweeted.

In an interview on CNNI's "Amanpour," Morsi spokesman Jihad Haddad said parliament plans to meet this week -- potentially forcing a confrontation with military rulers and Egypt's high court.

How Egypt's generals cut the revolution down to size

CNN's Ivan Watson and Josh Levs contributed to this report.

@highlight

NEW: Report of Mubarak's death overshadows Tahrir Square protest

@highlight

NEW: "He is not clinically dead as reported, but his health is deteriorating and he is in critical condition," a general says

@highlight

"Very important couple of days for the Egyptians to get it right," the State Department says

@highlight

Former U.S. President Jimmy Carter is "deeply troubled by the undemocratic turn"