(CNN)At least 3.7 million people, including world leaders, marched in anti-terrorism rallies in Paris and elsewhere in France on Sunday, French officials said, calling the massive gathering in the nation's capital the largest in France's history.

The day was emotional and peaceful, a gesture of unity just days after Islamic extremists slaughtered 17 people.

World leaders joined French President Francois Hollande, including British Prime Minister David Cameron, German Chancellor Angela Merkel and Spanish Prime Minister Mariano Rajoy. The day also brought together an unlikely duo at the rally: Palestinian Authority President Mahmoud Abbas and Israeli Prime Minister Benjamin Netanyahu.

A photographer captured Merkel leaning her head gently on Hollande's shoulder.

The rally began with a march through Paris streets at 3 p.m., but a massive group of people stayed into the night. Among them was Dalil Boubakeur, the rector of the Great Mosque of Paris and president of the French Council of the Muslim Faith.

One man in the crowd said the French people must not "give in to fear." Terrorists, he said, "will not win."

Others carried signs that echoed the now-famous phrase that honored slain journalists at the magazine Charlie Hebdo, "Je suis Charlie."

Zineb El Rhazoui, a journalist at the magazine, talked about the magazine's financial struggles and the difficulty of working under constant threats: "I am very happy for all this help, but for us, it was a heavy price to pay, and it is too much.

"It took 12 deaths for us to finally be a little bit understood after we have been hated and booed by everybody."

For the guards and police officers who lost their lives in last week's attacks in France, there were signs reading "We are all cops."

For Muslims in France who want to convey that the ideology embraced by the Muslim gunmen does not represent the whole of the faith, signs read "We are all Muslims."

For everyone, no matter their race, class or ethnic background, signs that said "We are all French" were held up with pride.

Sunday brought the end to a traumatic week in France.

Brothers Cherif and Said Kouachi, the Charlie Hebdo gunmen, were killed Friday after one of two violent standoffs. Twelve people were slain at the satirical magazine offices on Wednesday.

In the other standoff, Amedy Coulibaly, suspected in the shooting death of a police officer, was killed by security forces Friday after he shot and killed four hostages during a siege at a kosher market.

French law enforcement officers were told to remove their social media presence and carry their weapons at all times, because terror sleeper cells had been activated over the past 24 hours in the country, a French police source who attended a briefing Saturday told CNN terror analyst Samuel Laurent.

Coulibaly had made several phone calls about targeting police officers in France, according to the source.

A video that appears to show Coulibaly pledging allegiance to terror group ISIS leader Abu Bakr al-Baghdadi is being shared on Jihadist websites.

Brian Hale, the spokesman for the U.S. director of national intelligence, told CNN on Sunday that the U.S. intelligence community is "aware of the video and is reviewing it to determine its authenticity."

Threats against people outside of France, particularly against journalists, persisted Sunday.

The offices of Belgian newspaper Le Soir were evacuated Sunday after members of the newsroom received an anonymous phone call of a bomb threat, the newspaper reported. Police locked down the street where paper operates.

And officials in the New York City Police Department responded to a threat from ISIS after someone re-released a September 2014 message that tells followers to "rise up and kill intelligence officers, police officers, soldiers, and civilians," specifically naming the United States, France, Australia and Canada as targets.

NYPD employees were told to "remain alert and consider tactics at all times while on patrol," especially in light of the attacks in France last week, in an internal memo.

The Federal Bureau of Investigation and the U.S. Department of Homeland Security issued a similar bulletin to law enforcement. Both notices make clear that the threat is consistent with previous threats ISIS and others, including al Qaeda, have made.

As investigators worked leads, a sea of demonstrators in Paris broke into song, held hands, cheered and passionately denounced violence.

An imam and a number of Muslims were in the crowd. A young Muslim French woman held a sign that said, "I am a Jew." She told CNN's Frederik Pleitgen that she was horrified to hear of the killings, and the killers do not live according to the Islamic principles she's been taught.

"Our religion is the religion of love. ... Our religion loves Jews ... loves Christians. We are not terrorists," one Muslim man said, his voice rising.

He lifted his arm and gestured to many people around him who came to denounce violence: "We are all Muslim!"

French officials announced "exceptional measures" to protect the throngs gathered near the Place de la Republique in central Paris, and a who's who of foreign leaders at the rally -- a test of the security forces of a nation rocked by days of terrorist violence.

After the rally, Hollande arrived to huge applause and a cheering crowd at the Synagogue de la Victoire to show support for France's Jews. He was joined by Netanyahu.

The targeting of the kosher grocery store shook the nation's Jewish communities. Amid heightened security concerns, the synagogue was closed Saturday for the first time since World War II.

On Sunday, "Jerusalem of Gold" -- a popular song by Naomi Shemer that became an anthem during the Six-Day War in 1967 -- played in the place of worship.

It was just one of several gestures of solidarity Sunday among some of the world's most influential leaders.

Russian Foreign Minister Sergey Lavrov, Turkish Prime Minister Ahmet Davutoglu, Jordan's King Abdullah II and Queen Rania were at the rally.

Several people in the crowd and on social media wondered why U.S. President Barack Obama was not there; he was at the White House on Sunday.

CNN has asked for an explanation from the State Department and White House of his absence. There has been no response so far.

Secretary of State John Kerry was not at the rally either.

A senior State Department official told CNN that Kerry had committed a long time ago to be the lead speaker at Indian Prime Minister Narendra Modi's entrepreneurship and innovation summit in India. The official said that Kerry did not want to cancel that as he continues to work on the United States' relationship with the nation.

Attorney General Eric Holder was not at the rally but was in Paris this weekend to attend a security summit on combating terrorism. He recorded interviews that aired in the U.S. on Sunday.

Ambassador to France Jane Hartley represented the United States at the rally. She tweeted several images of the crowd.

Speaking on air with CNN's Jake Tapper, who was at the rally, "Global Public Square" host Fareed Zakaria tried to put Obama and other senior leaders' absence in context.

Zakaria called it a mistake.

France is the United States' "deepest ideological ally," he said, and it would have been a meaningful image to have a senior administration member, or the President, standing shoulder to shoulder with other leaders.

Tapper noted that security has been tenuous. Interior Minister Bernard Cazeneuve and other officials said 2,300 police officers, as well as paramilitary forces, would be deployed Sunday. The dignitaries and leaders were to be protected by special units.

Police snipers, plainclothes and anti-terror officers were deployed, and parking and transit restrictions were in place. The government planned to close large sections of the city to traffic, Cazeneuve said.

Zakaria observed that security concerns didn't dissuade Netanyahu or Abbas or other controversial leaders from showing up. The bright side, he said, is that Obama's absence showed that the struggle against radical Islam is "not all about America."

"Many people have tended to think that Islamic terrorism wouldn't exist without America," Zakaria said. "This is really a struggle between the civilized world and a band of extremists. Even if you take the U.S. out of it ... the civilized world is up in arms."

French investigators are still trying to piece connections between three terror suspects killed Friday and their suspected links to al Qaeda in the Arabian Peninsula and other terrorist groups. Security will remain heightened as the investigations continue, officials have said.

CNN's Evan Perez, Lorenzo Ferrigno, Laurie Segall, Pamela Brown, Kristina Sgueglia,  Kevin Bohn, Ray Sanchez and Jim Sciutto contributed to this report.

@highlight

NYPD and other U.S. law enforcement alerted to threat from ISIS

@highlight

Massive crowd at anti-terrorism rally in Paris was the largest in French history, French Mission to U.N. says

@highlight

Many world leaders present, but Obama, Kerry, Holder not at rally to represent U.S.