Austin, Texas (CNN) -- It's a spring break with a purpose: Ten days in Texas when the entertainment and tech worlds collide on the neo-bohemian streets of this Texas party town.

The annual South by Southwest festival will have its share of parties for the tens of thousands who will attend. But it will also be showcasing the best and brightest in its three main subject areas: Music, film and interactive (read startups, technology and the Web).

It's a lot to try to keep up with. So here, broken down by the three major divisions of the fest, are some of the expected highlights we'll be keeping an eye on.

Interactive

It could be ideas, not apps that win the day at this year's interactive gathering.

If there's a new Twitter, Facebook or Foursquare preparing to break out next week, nobody has pegged it yet.

In fact, some of the most "buzzworthy" apps pre-festival are the location-based "discovery" apps that were supposed to be all the rage last year. (And which, by and large, have underwhelmed most digital travelers and may soon face competition from Facebook).

So, if no app leaps to the forefront (and, in fairness, it may take a couple of years to figure out if one did), what will?

How about outer space?

Elon Musk, CEO of SpaceX, will be speaking at the festival just days after an unmanned freighter owned by the private company arrived with supplies at the International Space Station. It was the second of 12 missions SpaceX will fly for NASA in the wake of the space shuttle program shutting down.

There are no fewer than 15 space-related panels scheduled for Interactive week, including one featuring the Web's viral star of last year's Mars rover landing: NASA "Mohawk Guy" Bobak Ferdowsi.

While gadgets have never been SXSW's forte -- ceding that to the glitzier Consumer Electronics Show in Las Vegas -- practical applications for emerging tech like Google Glass, 3-D printers and wearable gizmos like Apple's rumored "iWatch" could be on the minds of the technorati gathered in Texas.

Other featured speakers at the interactive portion of the festival include Julie Uhrman, who as founder of OUYA seeks to shake up the video game industry with a $99 Android-based console that raised $8 million on Kickstarter, and Matthew Inman, creator of wildly popular webcomic "The Oatmeal."

Also? Shaquille O'Neal. Yes, Shaq, who is expected to talk about how he followed NBA stardom by becoming a social-media pioneer. His online presence once led Twitter co-founder Jack Dorsey to say the site "wouldn't be what it is today" without Shaq.

Movies

Sundance is still the best-known name, but SXSW has become another top destination for filmmakers hoping to launch an independent film or create buzz for a coming studio release.

Having successfully stirred interest in his "Cabin in the Woods" in Austin last year, writer and director Joss Whedon is back this year to work with The Bard.

Whedon shot his black-and-white take on Shakespeare's "Much Ado About Nothing" during his off days from filming "The Avengers" and he relies on an ensemble cast from his stable of regulars -- including "Firefly" alum turned "Castle" star Nathan Fillion.

As far as big names go, the festival tops out with Jim Carrey and Steve Carrell in the comedy "The Incredible Burt Wonderstone." It's a quirky tale, a battle between rival Las Vegas magicians, and seems tailor-made for a South-By crowd.

The second coming of cult favorite "Evil Dead" will also be showcasing, as will "At Any Price" starring Zac Efron, "The East" with Alexander Skarsgard and Ellen Page and Matthew McConaughey's "Mud."

Documentaries are always big at the festival and, this year, "Hawking" will bring together film and interactive with a doc about the life of famed physicist Stephen Hawking.

The film, which will air on PBS later this year, featured exclusive access to Hawking's life, is narrated in his own voice and includes contributors ranging from Sir Richard Branson to astronaut Buzz Aldrin to actors Carrey and Benedict Cumberbatch.

Music

In its secret heart, South by Southwest will always be about the music.

Founded 26 years ago to showcase the burgeoning, eclectic music bubbling up deep in the heart of Texas, the festival has become the music world's most well-known and eagerly anticipated annual showcase.

More than 2,200 bands turned virtually every square foot of the city into a music hall last year, and organizers promise to ramp it up even more in 2013.

Most of the acts that play won't leave Austin with a big contract. But it's worth noting that Alabama Shakes was considered SXSW's musical breakout last year, just months before the group won the Best New Artist Grammy.

Established artists will be hitting stages in Austin as well.

Green Day, the band that took snarly punk rock all the way to Broadway, will play one of this year's most anticipated sets. The performance will be their first major showcase since front man Billie Joe Armstrong checked himself into rehab seven months ago for what he called a drug- and alcohol relapse that culminated in a profanity-laced rant onstage in Las Vegas.

Dave Grohl has parlayed his drummer gig for one of the most influential rock bands of the last quarter-century (that's Nirvana, in case you forgot) into the front man role with perennial Grammy winner Foo Fighters and is now a sort of de facto spokesman for the world of rock.

He'll be the music keynote speaker for the festival.

Grohl will also be playing with his latest project, Sound City Players, which, against all logic, brings together artists ranging from Rick Springfield and Stevie Nicks to Creedence Clearwater Revival's John Fogerty to members of Slipknot, Fear and Rage Against the Machine.

Punk-rock icons Iggy & the Stooges will play, as will gothic troubadour Nick Cave, psych rockers The Flaming Lips and reunited British ska act The Specials.

Pop star/actor Justin Timberlake, who has become a bit of a tech entrepreneur in recent years, is hosting a private party and rumored to be pondering a surprise gig himself.

@highlight

South by Southwest is a 10-day music, film and tech festival in Austin, Texas

@highlight

Past SXSWs have helped launch Twitter, Foursquare and numerous indie bands

@highlight

Green Day will play an anticipated gig after singer Billie Joe Armstrong's rehab

@highlight

SpaceX's Elon Musk highlights a new look at private spaceflight