Atlanta (CNN) -- A federal government advisory committee voted Tuesday to recommend that males ages 11 to 21 be vaccinated against the human papilloma virus, which is blamed for thousands of cases of cancer among women and men.

The Centers for Disease Control and Prevention's Advisory Committee on Immunization Practices said the vaccine series can be started as early as age 9.

Twelve members of the committee voted in favor of a recommendation that 11- and 12-year-old boys be vaccinated; one member abstained.

In a separate vote involving males age 13 to 21, eight voted in favor; five against, and one abstained. The same recommendation said men ages 22 through 26 may be vaccinated.

Much of the debate focused on whether it would be cost-effective to vaccinate boys against HPV. The vaccine is administered over a six-month period in three doses, each of which costs about $120.

Dr. S. Michael March, clinical professor of pediatrics at the University of Southern California and a member of the group that devised the recommendations, said the cost to vaccinate 11- and 12-year-old boys would be $38 million. "We have the money, we just have to set the priorities," he said. "If we don't, I don't know who will."

HPV is the most common sexually transmitted disease in the United States. At least half of sexually active people will get it at some point in their lives.

Why vaccinate middle schoolers? Experts say that it's important to immunize people before they become sexually active. According to the Guttmacher Institute, which studies sexual health, 13% of 15-year-olds have had vaginal sex. By 19, that figure has risen to 70%. The vaccine is less effective after a person is sexually active.

Study: Males should get HPV vaccine too

The HPV votes took place as part of the advisory committee's meeting in Atlanta. The vaccine is 89% effective against genital warts in males and 75% effective against anal cancer in males, according to CDC.

The HPV vaccine is already recommended for females between the ages of 9 and 26 to reduce the risk of cervical cancer. The CDC recommends girls also get the vaccine at age 11 or 12.

The Food and Drug Administration approved the first HPV vaccine, Gardasil, in 2006. A second vaccine, Cervarix, was approved in 2009.

Gardasil protects against most genital warts and anal, vaginal and vulvar cancers, all of which are associated with HPV, according to the disease agency.

Although the vaccine has been approved for males since 2009, it hasn't been as heavily promoted for them.

Increase in oral cancers linked to HPV

One reason for the push now is that girls aren't getting vaccinated in the numbers doctors had expected. "If the boys are also immunized, it reduces the transmission back and forth," said Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University, who attended the CDC meeting as an adviser but not a voting member.

In addition, the committee voted to recommend that men who have sex with men up to age 26 be vaccinated against HPV because that would protect them from cancers of the penis and rectum.

There also is growing evidence that HPV is responsible for a recent increase in head and neck cancer. A study published this month found approximately 70% of all oropharyngeal cancers are caused by HPV. Oropharyngeal cancers are those that form in the middle of the throat behind the mouth, an area that includes the back third of the tongue, the soft palate, the side and back walls of the throat and the tonsils.

This year, the American Academy of Pediatrics added the HPV vaccine to its list of recommended vaccines for boys.

A new study suggests that HPV may also be linked to cardiovascular disease. Researchers from the University of Texas Medical Branch at Galveston studied 2,450 women ages 20 to 59 who had participated in a national survey from 2003 to 2006 and found that 1,141 women tested positive for HPV. Of them, 573 had cancer-associated HPV types.

Those whose who tested positive for HPV were 2.3 times more likely to have said they suffered a stroke or heart attack, the authors found.

That odds ratio went up to 2.86 when women with cancer-associated HPV types were compared with women who had no such infections, according to the study, which was published in the Journal of the American College of Cardiology.

"Nearly 20% of individuals with CVD (cardiovascular disease) do not show any risk factors, indicating that other 'nontraditional' causes may be involved in the development of the disease; HPV appears to be one such factor among women," Dr. Ken Fujise, the lead author of the study and director of the division of cardiology at the University of Texas said in a news release. "This has important clinical implications. First, the HPV vaccine may also help prevent heart disease. Second, physicians should monitor patients with cancer-associated HPV to prevent heart attack and stroke, as well as HPV patients already diagnosed with CVD to avoid future cardiovascular events."

But an accompanying editorial, by Dr. Joseph B. Muhlestein, a cardiologist at Intermountain Medical Center in Murray, Utah, pointed out weaknesses in the study that make it difficult to point to a causal effect. He noted the small number of infected patients, their relative youth, the fact that it depended on their recall of their history and the fact that no adjustment was made for their socioeconomic status. He called for further work to be done.

The results "may just apply to a certain subset of people with genetic early atherosclerosis," said Dr. Joseph Ricotta, director of clinical research at the Division of Vascular Surgery and Endovascular Therapy at Emory University in Atlanta. "Not every person who has HPV is going to get cancer, it may be that only those kinds that have a link to cancer will have a link to cardiovascular disease," said Ricotta, who also called for further studies before reaching "hard and fast" conclusions.

The HPV vaccine became a political hot potato when Republican presidential contender Michele Bachmann criticized fellow Republican contender and Texas Gov. Rick Perry's support of the vaccine for girls. In 2007, he signed an executive order that required Texas schoolgirls to receive vaccinations against HPV. The order ended up not being implemented.

The CDC notes that the FDA has licensed the vaccines as safe and effective. "Both vaccines were tested in thousands of people around the world. These studies showed no serious safety concerns. Common, mild adverse events reported during these studies include pain where the shot was given, fever, dizziness, and nausea," according to the CDC website.

CNN's Aaron Cooper, Trisha Henry, William Hudson and Saundra Young contributed to this report.

@highlight

CDC: Tests on thousands of people show "no serious safety concerns"

@highlight

The advisory committee votes to recommend males ages 11 to 21 be vaccinated

@highlight

HPV is the number one sexually transmitted disease in the nation

@highlight

The HPV vaccine has been approved for males since 2009