Decatur, Georgia (CNN) -- They've survived the brutality of war, extreme poverty, religious and racial persecution.

But here at a baseball field outside Atlanta, a group of giggling teenage girls from Ethiopia, Burundi, Afghanistan and Myanmar have found a level playing ground.

It's around noon, time for physical education class at the Global Village School, a small private institution for refugee teenage girls who have little or no English education.

The girls -- some wearing donated sneakers, others barefoot -- split into teams and take their positions.

A girl with a scarf worn loosely around her long wavy brown hair is next up. She surveys the field and gets ready to kick.

"Kick the ball clear to Russia!" shouts the coach.

Robika laughs excitedly as she kicks the ball, then makes first base.

Russia is where Robika, a 16-year old Afghan refugee, lived before arriving in the United States three years ago. Her family was forced to leave Afghanistan because of "a lot of trouble" there, she says.

With the help of a U.S. government aid agency, Robika, her mother and two brothers resettled in Clarkston, about 14 miles outside Atlanta.

Clarkston is home to more than 6,000 refugees who make up a majority of the small suburb's population, which is about 7,800 people, according to its mayor, Emanuel Ransom. Refugee families started streaming into Clarkston in the 1990s after federal officials found a large number of vacant apartment complexes there, he says.

That's still the case today. Because of its affordable housing and access to public transportation, thousands of refugees from Somalia, Eritrea, Ethiopia, Bosnia, Iraq, Iran, Nepal, Vietnam, Kosovo and Myanmar (formerly Burma) now call this small rural enclave home.

Ransom says programs like the Global Village School help the entire community bridge the communication and culture gap.

When Robika arrived in the United States at age 13, she could not understand or communicate in English. She would have easily "fallen through the cracks" at a public school, says Kelley Provence, the Global Village School's academic director.

"She has some difficulty learning but has made significant progress," says Provence, who has worked closely with Robika to improve her English comprehension.

Provence is one of a handful of full-time teachers at the Global Village School. The school, which has an annual operating budget of $250,000, survives solely on grants and donations and the help of volunteers.

Founders of the school saw a need to focus on teenage girls who would never be able to adapt at public school because of their lack of English skills. There was already a school for refugee boys in Clarkston -- the Fugees Academy, where Robika's brother is a student.

Like most of the other refugee students, Robika uses public transport to travel from her home in Clarkston to school, a trip that can take anywhere from 30 to 90 minutes.

Despite the commute, she says she believes pursuing an education is a privilege.

"When I come here I didn't understand anything," says Robika. "The school has a lot of respect for the student," she says with a smile.

New and prospective students to the Global Village School are assessed on their ability to communicate, as well as their reading skills.

Once accepted into the program, girls are placed in different levels of learning. Some eventually go on to high school, while others can go on to receive their GEDs and apply for college.

Students are not only dealing with education and cultural barriers. Many girls were forced to leave family members behind, or worse -- lost them to violence, sickness or war.

Robika's classmates, sisters Melody, 18, and Rita, 16, arrived in the United States with their older sister more than a year ago. Their parents are still in their home country, Myanmar.

"Sometimes when we talk, my mom ... she cries," says Melody. "They never told us if they are in danger, they don't want us to be sad for them."

The girls never dwell on or analyze what they've been through before arriving in the United States. Robika says she wants to go to college and become a journalist one day. But now, she stays focused on her studies and improving her English.

Melody, who likes to dress in the latest trends, says she's interested in finding a career in the beauty industry. Rita says math and science are her favorite subjects, and she hopes to be a researcher one day.

"In these cultures, everybody would be paralyzed if they thought about and talked about their past experiences," says Provence.

@highlight

Global Village School educates teen girls from refugee families

@highlight

Most students are from Clarkston, Georgia, home to more than 6,000 refugees

@highlight

The school survives solely on donations and grants

@highlight

Students go on to high school, college or GED programs