The drug called Molly isn't what most of its users think it is. If you Google "Molly," many articles say the drug is "pure" MDMA, the active ingredient in Ecstasy.

Users often talk about the "purity" of taking Molly, as if it's somehow better; after all, MDMA was originally developed as a medication to treat depression. But today's Molly is most often not MDMA -- in the last few years, the drug has become a toxic mixture of lab-created chemicals, according to the U.S. Drug Enforcement Administration.

Here are nine things everyone should know about this rapidly changing party drug:

1. What is Molly?

Someone who buys or takes Molly now is probably ingesting dangerous synthetic drugs that have not been tested and are produced in widely varying strengths. The DEA says only 13% of the Molly seized in New York state the last four years actually contained any MDMA, and even then it often was mixed with other drugs. The drugs frequently found in Molly are Methylone, MDPV, 4-MEC, 4-MMC, Pentedrone and MePP.

2. What does Molly do?

The lab-created chemicals mimic the effects of MDMA; most of them are central nervous system stimulants that cause euphoric highs. They can also cause a rapid heartbeat, high blood pressure, blood vessel constriction and sweating, and can prevent the body from regulating temperature. Some of the chemicals have been reported to cause intense, prolonged panic attacks, psychosis and seizures.

After they wear off, the chemicals can cause devastating depression. Several of these compounds have caused deaths.

3. Who is using Molly?

Molly is being marketed to young first-time drug abusers between the ages of 12 and 17, as well as traditional rave, electronic dance music fans who may think they're getting MDMA. "Our kids are being used as guinea pigs by drug traffickers," says Al Santos, associate deputy administrator for the DEA.

4. What does Molly look like?

Molly can take many different forms, although it's most often found in a capsule or powder. The DEA has also seen Molly applied to blotting paper, like LSD, and in injectable form.

5. What makes Molly so dangerous?

Molly is dangerous because of the toxic mix of unknown chemicals; users have no idea what they're taking or at what dose. Unlike MDMA and other illegal drugs that have known effects on the body, the formulas for these synthetic drugs keep changing, and they're manufactured with no regard to how they affect the user.

"You're playing Russian roulette if you take these compounds because we're seeing significant batch-to-batch variances," Santos says.

For example, officials have found completely different ingredients in drugs sold in the same packaging.  Santos also says the amount of active ingredients can be dangerously different, because "the dosing for these sorts of drugs are in the micrograms. The room for error is tremendous, and we've seen a lot of deaths with some of these compounds."

The DEA has developed its own reference materials for state and local law enforcement because they were encountering so many different drug compounds they'd never seen before. At the DEA testing lab, technicians are constantly trying to unravel the chemical makeup of newly discovered drug compounds that have been seized.

What you need to know about synthetic drugs

6. Where do the chemicals come from?

Almost all the chemicals in Molly and other synthetic drugs come from laboratories in China. Chinese chemists sell the drugs online, and middlemen in the United States and around the world cut it with other substances, and either place it in capsules or sell it as powder. Other kinds of synthetic drugs can be sprayed onto plant material and smoked, such as synthetic marijuana.

But it's difficult for law enforcement to keep track of all the chemicals. The DEA says it's seen about 200 individual chemical compounds since 2009 and 80 new compounds since 2012. As soon as a compound is discovered and banned, another one is created to take its place.

Interestingly enough, the formulas for these drugs were discovered by legitimate scientists working on new medications. The formulas couldn't be used as medicine because of the stimulant or hallucinogenic effects they had users, but the "recipes" for the drugs still remain.

Clandestine chemists have used the scientific literature to create hundreds of new chemical compounds for the sole purpose of getting people high. There is no known legitimate purpose for any of these chemicals.

Music festival canceled after 2 deaths blamed on drugs

7. How widespread is the problem?

Huge. The fastest-emerging drug problem in the United States is the synthetic drug market, which now includes Molly. The chemicals in Molly have been found in nearly every state in the U.S.

And it's a multibillion-dollar business. In two days, the DEA seized $95 million off drug traffickers during a crackdown. It is a growing problem in Australia, New Zealand and Europe as well.

8.  What's being done about it?  Why can't the government just make it illegal?

Congress passed the Synthetic Drug Abuse Prevention Act in July 2012, which controlled 26 compounds by name. But there are hundreds of compounds, and every time the government makes one illegal, chemists alter the formula slightly to make it a substance that is no longer controlled.

U.S. officials say they are discussing the issue with the Chinese government, but most of these chemicals are legal in China.

There's something (potentially dangerous) about molly

9. How can I tell if someone is using or has used Molly?

The effects can vary widely, depending on the chemical, but while users are under the influence, they may exhibit the following symptoms: sweating, jaw clenching, violent or bizarre behavior and psychosis.

After the drug has worn off, a user may show signs of depression or may not be able to get out of bed for an extended period of time.

@highlight

Molly is a drug that used to be the powder or crystal form of MDMA, or Ecstasy

@highlight

Now, Molly is more often made up of a toxic mix of lab-created chemicals

@highlight

Almost all the chemicals in Molly and other synthetic drugs come from laboratories in China

@highlight

The DEA says using Molly is like playing Russian roulette