(CNN) -- Few things enrage normally calm people like finding a parking ticket tucked under the windshield wiper of their car.

Parking tickets can be infuriating, especially when they seem undeserved. (Officer, there's no sign saying I can't park here!). But most people don't want to invest the time and energy to would take to dispute them.

Now there's a new iPhone app, Fixed, that will fight parking tickets for you. The app, expected to launch next week, will do the heavy lifting of contesting a ticket: suggesting reasons it might be invalid, gathering supporting evidence and submitting the proper appeals paperwork.

If the driver beats the ticket, they pay Fixed 25% of what the citation would have cost. If they can't get out of the ticket, Fixed doesn't charge them anything.

In this way, Fixed hopes to add navigating bureaucracy to the list of urban tasks and nuisances -- catching a cab, ordering food, finding a place to crash -- made easier by popular tech startups.

"When you mention parking tickets to people it engenders such an emotional reaction ... because so many people think they've received an unfair parking ticket," said Fixed co-founder David Hegarty, who came up with the idea after getting six parking tickets in one day. Much of this anger is directed at local governments, which many people see as using parking tickets to fill budget gaps.

That emotional response, as well as a desire to not shell out $100 for blocking a couple inches of someone's driveway, could make Fixed a hit. But its success will depend on how good the service is at navigating parking laws, which are often a confusing hodgepodge of local and state ordinances.

Here's how Fixed works: When someone gets a ticket, they snap a photo of it on their iPhone and enter the violation code. The Fixed app will tell them what percentage of those types of tickets are usually overturned and then show a list of possible reasons it could be found invalid. For example, a street cleaning sign might be obscured by a leafy tree, or a parking meter could be broken.

If the motorist thinks they have a case, the app will prompt them to capture any additional photographic evidence with their phone and then digitally sign a letter.

Fixed has contracted with a team of legal researchers fluent in local traffic laws who will review each case before printing out the letter and submitting it via snail mail to the city. Over time, Fixed hopes to learn more about what methods and which errors have the highest success rates when contesting tickets. That information will be used to make the system more automated.

"It will always be reviewed by human eyes before it's sent, but I'm pretty confident that we can get to the point where 80% of tickets are 95% automated," said Hegarty.

Fixed is expected to launch in the Apple App store next week, although its service will only be available in San Francisco at first. The startup has been testing its service with a small group of 1,000 people, mostly friends and friends of friends, and there's already a waiting list of 25,000 people wanting to sign up.

Hegarty and with Fixed's other two co-founders, David Sanghera and DJ Burdick, hope to expand into the top 100 U.S. cities over the next 18 months.

San Francisco is fertile ground for motorists who can effortlessly rack up hundreds of dollars in parking tickets. As in many cities, parking in San Francisco is an exercise in frustration, with a limited number of spaces on the street and parking garages charging top dollar.

The company hasn't had any official talks with the city. But Hegarty hopes his service is not seen as adversarial. Rather, he thinks Fixed could help people pay their legitimate parking tickets in a more timely manner.

"We do not have concerns if people want to use a third-party service, but there is no secret to overturning a citation if it has been issued erroneously. If someone feels that their citation was written in error, they might want to consider protesting themselves, for free," said Paul Rose, a spokesperson for San Francisco's transportation agency.

San Francisco issues about 1.5 million parking tickets every year, typically for $45 to $115 each (there are also some significantly pricier violations, such as having an expired plate or abandoning a car on a highway). The fines add up to about $95 million a year, according to Hegarty.

Of those 1.5 million citations, only five percent are actually contested. And of that small amount, only 30% are actually overturned, according to Rose. There are three rounds of appeals -- two by mail and a court hearing.

Fixed will only handle the first two appeals for the time being.

The number of overall citations in San Francisco has fallen in recent years as the city has rolled out its own technological tools, such as pay-by-phone and meters that take credit cards, in an effort to make payment easier.

"We'd much rather have people pay the meter than pay a fine," said Rose.

Fixed's business model isn't completely new. There are companies that handle driving and parking violations for large corporations such as FedEx and UPS. In New York City, commercial delivery companies account for 20% to 30% of the city's 10 million parking tickets every year, according to Crain's New York Business.

The difference is that Fixed is making this service available to individuals. Hegarty can see eventually expanding into speeding tickets and other small financial annoyances, such as cable company fees. He thinks Fixed could help in any area where the fee amount is small enough not to protest in person, but still big enough to make someone angry.

"That's our sweet spot," he said.

@highlight

A new app, Fixed, will contest parking tickets on a driver's behalf

@highlight

Users submit a photo of their ticket and the app handles the legal paperwork

@highlight

If Fixed gets someone out of a ticket, it charges them 25% of the ticket fine

@highlight

Fixed is rolling out in San Francisco first but hopes to expand to more cities