(CNN) -- After two years of claiming that his views were "evolving," President Obama said on Wednesday that he has finally reached a conclusion and supports same-sex marriage. Obama's public endorsement is an important step in the right direction, but it does not undo the fact that he has a mixed record on gay rights.

This defining moment came only after the issue was pushed to the headlines by Vice President Joe Biden's open support for same-sex couples.

When Obama first took office, many had high hopes. After all, six months in, a press release was sent out entitled: "President Obama Announces Benefits for Gay Partners of Federal Employees." It seemed like a momentous occasion, the fulfillment of a promise by the candidate who had vowed to become a "fierce advocate" of gay rights.

Instead, what followed was mostly a charade, and a very successful one.

At the time, almost everyone thought Obama was extending equal rights to same-sex employees in the government. Why wouldn't they? There was a White House ceremony, seen around the world, that showed the president signing some sort of impressive-sounding document regarding federal benefits and nondiscrimination.

Give the Obama team credit for a successful political maneuver. But the discrimination against same-sex federal employees did not end. Not even close.

Benefits for gay federal employees are much closer to those of their heterosexual colleagues, if they are posted abroad. So if you want the federal government to stop discriminating, you basically have to leave the country.

It also turned out that federal employees cannot sign up their partners -- even their legally married ones -- for benefits as basic as health insurance. Obama's highly touted memorandum gives partners of same-sex federal employees the ability to apply for private long-term care insurance, with no discernible advantage over what they would find elsewhere.

Let's be clear -- it's not Obama's fault that Congress passed and Bill Clinton signed the 1996 Defense of Marriage Act, which says marriage refers only to heterosexual couples. Obama has said that he opposes the legislation.

But the Obama administration has gone out of its way to create an impression that it has done much more for gay people than it actually has. In fact, Obama's Justice Department actively defended the anti-gay Defense of Marriage Act in court until last year. When Karen Golinski, a federal lawyer, managed a rare victory in obtaining coverage by the Federal Employees Health Benefits Program for the woman she legally married, the Obama administration made sure the benefits would not extend to anyone else.

In light of these contradictory -- almost deceptive -- moves by his administration, it's no wonder that Obama has found himself swirling in turbulence over his wobbly position on gay rights.

Comparatively, discrimination on employee benefits is not controversial and it requires much less ammunition than fighting against other forms of discrimination. Americans reject it decisively. Several years ago, two-thirds of Americans told Gallup that "gay and lesbian domestic partners should have access to health insurance and other employee benefits." And that was before support for gay marriage became broader.

The president can only gain from taking a strong position against same-sex discrimination. It will energize his base and help him look like an advocate for fairness and not just another cynical politician. The people who strongly oppose equality in employee benefits would never vote for him anyway. Everyone else would probably find it refreshing to see a politician march out of the morass of ambiguity and double-talk and for once take a clear strong position.

Ironically, Obama has mocked Mitt Romney for flip-flopping on gay rights. In fact, both of them have tried to play all sides of this issue, coldly calculating political advantage.

Some have thought that Obama's personal experience as the African-American son of a mixed-race couple would make him into a fierce advocate of equality and justice. Instead, many in the gay community have derided him for his "cowardice."

But the president's record hasn't been all misses. He achieved an important victory when he had don't ask, don't tell overturned. But until he seemed to have no choice, he remained extraordinarily quiet on gay issues, even though he continues to collect millions of dollars in donations from gay activists.

He has spoken out only when absolutely necessary and sometimes not even then. Gay leaders implored Obama to lend support before a close vote on gay rights in Maine. They blamed him partly for the loss. On the recent North Carolina constitutional amendment banning same-sex marriage, Obama issued a statement against the amendment through a spokesman, and declared that he was disappointed only after it passed.

Obama's claims that he cares about equality for gays have not seemed sincere. Now that he has emphatically stated that same-sex marriage should be legal, he ought to make passage of the Employment Non-Discrimination Act a priority. He should take a stand personally, not through press releases and spokesmen, against discrimination. He should support the bill that calls for the repeal of the Defense of Marriage Act. Now he should follow up his landmark statement with actions that will have practical, not just symbolic impact

As country after country removes barriers to equality for gay couples, the United States should take a lesson. Same-sex marriage, one of the highest hurdles, is already recognized legally in places as different as Canada, Argentina, Israel, South Africa and Spain, among others. Nondiscrimination in employee benefits is far more common, not just for reasons of fairness but also because it allows organizations to compete for the best talent.

The decision to at long last finish the evolution and come out in support of gay marriage is a major step. But, Mr. President, when it comes to fighting discrimination, there are principles to defend, promises to keep and miles to go before you sleep.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

President Obama announced on Wednesday that he supports same-sex marriage

@highlight

Frida Ghitis: Endorsement does not undo the fact that he has a mixed record on gay rights

@highlight

The gay community has derided him for his "cowardice" on gay issues, she says

@highlight

Ghitis: Obama needs to back up his words with actions going forward