(CNN) -- "For architects, perfection is necessary," said Japanese architect Kengo Kuma.

"It is my mission to use the kindness and delicateness that old architecture had. I believe that this mission is not easy to complete. So I am planning to work until I fall down."

With nearly 60 projects on the go across the world, Kuma's search for perfection is all consuming; he rarely takes a day off from work and sometimes even finished projects are analyzed and amended.

The 55-year-old from Tokyo has become synonymous with delicate simplicity and sensitivity to a building's surrounding. From the Great (Bamboo) Wall House located near the Great Wall of China outside of Beijing to the Suntory Museum of Art in Tokyo, Kuma has employed natural materials that complement a building's location to great acclaim. View the gallery of Kuma's spectacular buildings

"I try to catch the atmosphere of the place where we build the house. We try to find out how the people live there and what kind of materials they use. After we find out the atmosphere of the place, we will think how we can relate that with the architecture."

Using mostly glass and Chinese bamboo to make the house by the Great Wall, it comfortably blended into the natural surroundings, but the Suntory Museum of Art, completed in 2007 presented different challenges.

"Usually, a building in a massive developed area tends to be a sad building. However, I wanted to make a building which is warm and could feel a human's touch. To make that ideal building, I used natural material such as Japanese paper and paulownia [wood]. I wanted to take back the human element even if the building was inside the city."

Much of modern architecture is often unfairly portrayed as lacking that human element, but Kuma's focus on retrieving and remaining Japanese traditions in architecture has gone some way to dispel that myth.

It is a far cry from his initial architectural fascination with concrete, in part inspired by the Olympic stadium designed by Kenzo Tange for the 1964 Games in Tokyo.

"I learned that architecture can impress people. If the Olympics were not held in Tokyo, I might not have become an architect," he told CNN.

If Tange's buildings for the Olympics were responsible for sparking Kuma's imagination, he's followed a different path in his career. After earning a master's degree in architecture from The University of Tokyo in 1979 and further study at Columbia University in New York, he returned to Japan in 1986 -- a boom time for architects.

"People who were only about 30-years-old could design a building. It was an era of post-modernism and a lot of young people were making outstanding buildings during that time."

But the economic recession hit Japan in 1992 and it had a profound impact on Kuma's life and changed his attitude to architecture.

"I didn't have a job in Tokyo for 10 years. I was designing small buildings in the countryside. I worked with a craftsman and studied how to use natural materials in those 10 years. From this experience, I learned the great aspects of Japanese traditional architecture. I started to design traditional Japanese architecture and foreign people took notice of the design," he said.

"I think the cities of Japan are a bit damaged by the concrete buildings," Kuma added. "Because of the sub-prime issue and now another economic crisis, I feel this is again a good opportunity for architects to design buildings slowly."

In focusing taking a more holistic approach to his craft, Kuma has promoted the humanizing elements of architecture and its ability of improve people's lives. It's an approach that he has likened to making sushi.

"There are two important things to make sushi. One is the material and the other is the skill... For sushi, both the power of the material and skill is important and their balance is very important.

"I believe that this balance is what people want," Kuma continued. "People and society are seeking the thing like sushi for the architecture and their city. A variety of people are interested in Japanese architecture and traditions and this is parallel to why sushi is popular in Western country."

@highlight

Japanese architect has popularized sensitive Japanese traditions in buildings

@highlight

Has works across the world including museums and private residences

@highlight

"Architecture is like sushi: balance of material and skill is very important"