Havana, Cuba (CNN)You would think if something was not officially permitted in communist-controlled Cuba then it would be forbidden.

But that's not the way Cubans see things. They regard many facets of daily life as falling into a gray area -- open to their own selective interpretation, at least until the authorities catch up with them.

That was the case when I decided to join 93-year-old Tono Torrente on a trip to the outskirts of Havana to a cockfighting arena.

On paper, this was a privately operated, underground venue -- unsanctioned and unregulated by the Cuban state.

For a semi-clandestine event, it was clear plenty of people seemed to know about it. As I picked my way down a short dirt track and past a couple of tethered oxen, I heard voices shouting and what sounded like scores of roosters crowing.

In front of a metal gate, two men barred my way.

"There's a problem," they said. I assumed they were referring to the camera gear in my hands, or the fact I was a foreigner.

"Entrance fee will cost you 75 (Cuban) pesos," they said.

That's the equivalent of about three U.S. dollars -- more than half a week's salary for a Cuban state worker. But for me, it was the price of passage into the twilight world of many ordinary Cubans, where rules are never quite what they seem.

On the other side of the gate one of the first people I ran into was the event organizer.

Not allowed, but not really forbidden

"Well, this definitely isn't permitted but I don't really think it's forbidden," he said laughing and explaining he'd been staging cockfights every Saturday for the last 14 years.

Many fans of the bloodsport had told me stories of how they had been at fights that had been raided by the police and were forced to run away to avoid arrest.

When I asked this organizer how he had managed to sidestep sanctions for so long, he winked and placed two fingers on his shoulder -- a hint he was bribing a contact in the security services to turn a blind eye.

Talking about official corruption, however, is highly frowned upon -- as well as bad for his business -- so I made my way ringside without further questions.

The cockpit and small terraced stands were made of welded scraps of rusty metal. Not elegant, but highly effective. About 200 men and a handful of women and children were clinging to the bars, cheering on their favored rooster as it flapped and scrapped in a sawdust circle.

My guide for the day, Tono Torrente, who lives miles away in ornate Old Havana, quickly filled me in on tactics.

"It's part technique and part luck," he said.

"In fact, it's mostly luck. It's a bit like life itself. If you were born to win then you'll win. But if you were born to lose, it doesn't matter how good you are, you'll end up like this," he said, flapping his arm and simulating the death of a rooster.

I'd met Torrente a few days earlier as I searched for a barber's shop. The salon was closed, but Torrente sat nearby clipping the belly feathers off one of the four fighting cocks he is currently rearing.

His birds are still too young and too underweight. He's feeding them corn and putting them on a strict training routine. But on the Saturday afternoon I joined him, he had no direct stake in the fights.

Dollars exchange hands at the ring

Cockfighting itself may be somewhat a gray area -- the letter of the law appears to permit a handful state-run events at venues where health and safety measures are enforced but bans private events, like the one I was at.

But Cuban law seems unequivocal in declaring gambling illegal. Prior to Fidel Castro's 1959 Revolution, the U.S. mafia controlled casinos and prostitution in Cuba. Thanks to the income from those rackets, the capos also had a say in how government was run.

The revolution's law book somehow seemed to have been misplaced here on the outskirts of Havana.

Gamblers shouted across the arena and flicked hand signs at one another, offering odds to any takers.

When one rooster collapsed in a bloodied heap and the other was hoisted victorious, small wads of banknotes changed hands.

On the sidelines of the cockfight, a man running a dice game on a green baize table invited me take to a photo. He quickly rescinded the offer when I reminded him dice games and gambling were illegal.

"You can't get rid of cockfighting, it's part of Cuban culture. It's the sport of the common people," one prize cock owner, who gave him name as Noel, told me.

Beyond the question of legality, it's clear cockfighting is a passion for some in Cuba -- like in other parts of Latin America.

Torrente told me he grew up in western Cuba alongside a cockpit.

"Ever since I was born there was a cockfighting arena near my house. The peasants would come on their horse to the fights. I used to love that, " he said.

Torrente's father died when he was just a boy. His uncle Antonio paid for his upbringing. His uncle left Cuba in the early 1920s for New York and worked as a traveling pharmaceutical salesman.

Uncle Antonio used to send a check back to Torrente's mother every month. And when Torrente was 12 -- in the early 1930s -- his uncle sent for him and put him into school in New York.

By his own admission, Torrente learned nothing and was an appalling student. He remembers swimming in the Hudson River when he should have been in class. His uncle sent him back to Havana after a year.

"They told my uncle not to waste any more of his money on my education. It wasn't worth it," Torrente explained.

Women, cockfighting and boxing

By the time the Cuban Revolution came, Torrente says his uncle had purchased six or seven buildings in Havana as an investment. He had also gifted a barber's shop to Torrente who took up the trade.

But Castro and his rebels stripped wealthy, absentee landowners like Torrente's Uncle Antonio of his property and redistributed some of it among society's poorest. Torrente was left with a single apartment where he's lived for the last 60 years.

Three of his own children decided to leave Cuba and head to the United States. But Torrente says he refused to go for a very simple reason.

"Cockfighting was illegal in the United States. I didn't want to go," he said.

"When it boils down to it, I think life revolves around just three things: women, cockfighting and boxing," he said. In Cuba he had all three.

Torrente is clearly no fan of Cuba's socialist system.

"It seemed that when the Revolution took place everything was going to change and get better. But for me and many others it didn't. They took away my barber's shop. They took my uncle's buildings. Now I get just $9 pension a month," he said.

Then he gently placed his index finger on the tip of his tongue.

"But you can't speak too much about that," he said, reflecting the reticence of an older generations of Cubans not to openly voice criticism of the government to strangers.

With U.S. President Barack Obama's December announcement to work towards normalization of ties with an old Cold War foe, Torrente is hopeful.

He says he doubts he will live to see the Cuban government returning the property it expropriated from his uncle.

But the easing of trade and travel restrictions will make it easier for his three children and grandchildren to come back and forth to visit from Florida. The changes will also allow his relatives, if they can afford it, to send higher value remittances to fund him in his retirement.

Funding his retirement, of course, means funding his undying passion for fighting cocks. On sunny days, Torrente places his four raucous roosters in separate, small cages outside on the sidewalk.

And while he is surely hoping for a thaw in U.S.-Cuba relations, he's reserving his biggest hope for a young rooster he calls Painted Indian.

Torrente sets him on a rusty kitchen scale, holds up three fingers and says:

"He weighs three pounds. Maybe in six months he'll be ready. I think he's going to be a great fighter."

@highlight

Visit to cockfighting ring on the edge of Havana is a study in contradictions

@highlight

Government forbids it and gambling -- well, maybe

@highlight

Bird owner: It's part technique, and part luck