ST. PAUL, Minnesota (CNN) -- If a state held a yard sale of government entities to bring in some much-needed cash, this might be what it would look like.

Two Minnesota lawmakers have proposed selling the capital's airport to alleviate the state's budget deficit.

Two Minnesota lawmakers are asking the state's legislature to consider a proposal that would sell to private firms the Minneapolis-St. Paul International Airport, along with other state property and programs, in an effort to bring in roughly $6 billion or more.

Coincidence or not, that's about the same size as the state's estimated budget deficit. State Sen. Geoff Michel and state Rep. Laura Brod -- two Republicans from Minneapolis suburbs -- say they don't want to go about solving the budget crisis in a traditional way.

"The discussion is often 'do you tax more, [or] do you spend less?'" Brod says. "But it seems to me that there is a third option out there, and that's reforming how government operates."

They also say their proposal is a way to spark debate over whether government should be in control of certain entities in the first place.

"Government doesn't always have to do it," Michel says. Running the Minneapolis-St. Paul airport (MSP) is a prime example of something the government could do without, they say.

"The airport is a significant asset," Brod adds. "Why is the state running the airport, which provides restaurants and shops and the functions and the operations that a private business probably would do very well?

"So what we're looking at is just ... raising the real question of 'what should government be doing?'"  Watch the lawmakers discuss their proposal »

Michel and Brod also cite a recent survey by J.D. Power and Associates that put the Minneapolis-St. Paul airport at the bottom of a list of 19 "large airports" in terms of customer satisfaction. But they say their intention is not to "indict" anyone -- merely to "shine a little light on what is a new idea for Minnesota," according to Brod.

While privately owned and operated airports are much more common overseas, Michel and Brod could offer only one example of a similar notion in the United States: Chicago's plan to privatize Midway airport.

That plan, however, has yet to be finalized by the Federal Aviation Administration.

Michel says their proposal might mimic the Midway deal in that it could be a leasing of the entire airport and its operations for a term of 99 years. Midway sold for $2.5 billion, and Michel estimates that, given how much more use MSP sees, Minnesota might be able to bring in $5 billion with its airport.

Even though a final draft of a proposed bill is still days away from even being introduced, one lawmaker from across the aisle is already promising to make it an uphill battle.

State Sen. Steve Murphy, a Democrat and chair of the transportation committee, says the plan is a "horrible idea" and a "gimmick."

"You have to do what you have to do to get by [in] these economic times, and it's not having a fire sale on government," Murphy says. "It's sitting down with a sharp pencil and cutting out programs that have run their useful life. It's cutting back on maybe Sen. Michel's per diem, things like that."

The bill would have to get through Murphy's committee before it could make it to the floor of the legislature, and Murphy says his panel "would not go for this."

Despite the J.D. Power survey touted by Brod and Michel, Murphy calls the airport "one of the best-run operations in the world."

"This is ... government that works," Murphy adds. "So now we want to sell it? For what reason?"

In response, Brod calls Murphy's comments mere "scare tactics." And Michel adds: "There's nothing more predictable than a politician defending the status quo. And the days of status quo in Minnesota -- and, I think, the world -- are over."

Adeel Lari, a research fellow at the Center for Transportation Studies in the Hubert Humphrey Institute of Public Affairs at the University of Minnesota, specializes in innovative financing in state and local policy-making. He says privatization can work, but given the economy, now may not be the best time to consider selling anything, let alone an airport that could be worth billions of dollars.

"Everything is in turmoil," Lari says. "Even if it was the right thing to do, there's no market for it."

Lari says the ideal philosophy -- "buy low and sell high" -- would be next to impossible to realize in today's situation. He says the state's holdings would almost certainly go for a less-than-desirable price.

Lari also worries the state may not see enough profit in the long run.

"Selling infrastructure is one-time money you're getting," Lari says. "If you're selling the infrastructure [as opposed to just the internal operations] then basically you're losing out on everything."

The issue of whether the average customer -- the air traveler, in this instance -- would be protected has also come up.

Jerry Zhao, an assistant professor at the University of Minnesota who focuses on state and local public finance, says privatizing has mixed results and may not be the best option, especially when it's only considered "as the last resort of the desperate."

"Some recent cases of [public-private partnerships] of transportation facilities have led to widely spread concerns on whether the public interest is protected in these concessions," Zhao says. "Some services tend to be reserved for the public sector because of their 'public good' nature that won't be factored into consideration by profit-oriented businesses.

"Without careful research, a desperate rush into selling or leasing public facilities may lose value on public assets, lose long-term interests of the public in the exchange of short-term budget benefits, and lose democratic control."

Michel and Brod say the airport is only the tip of the iceberg. Their bill will also include the sale of the Minnesota State Lottery. Brod says that in this case, it's more of a fundamental question of ethics.

"Is gambling something that the state ought to be doing anyway?" Brod asks rhetorically.

The lottery would bring in between $500 million and $1 billion, they guess. It would be a different scenario, however, in that, since lottery proceeds come back to the state, Michel says they would include a provision to have the state keep that money. If not, he admits, they wouldn't be able to garner lawmaker support.

It doesn't end there. The lawmakers say they're looking at everything the state owns as possible items to be auctioned off, including roads, parks, prisons, rest stops -- even the naming rights to public transit systems.

Once drafted, the bill would have to pass through any relevant committees depending on what state entities end up in the final version. Only once it moves through could it be brought to the floor of the legislature.

"Our job now is to educate our fellow colleagues," Michel says.

@highlight

Minnesota lawmakers propose selling airport and other government holdings

@highlight

State, like many others, is struggling with budget woes

@highlight

Opposing lawmaker calls idea of selling government entities a "gimmick"

@highlight

Financial experts say now might not be a good time to get a good return on sales