(CNN) -- The thing about presidential elections, be it in Ukraine or anywhere else for that matter, is that it makes sense to ignore everything that was said during the election campaign and, especially, in the immediate aftermath.

Election promises are made to be broken or ignored altogether -- remember "Yes We Can?" And in the first few days, or even weeks, after results are announced lots of things are said that mean pretty much nothing.

To say that the presidential election campaign in Ukraine produced a lot of statements and pledges that made little or no sense would be an understatement. If you summarise them all, then Ukraine should be in fine shape to join the G7 group of industrialised nations, replacing Russia, in about five years' time.

The election winner, confectionary billionaire Petro Poroshenko, and his nearest rival, former Prime Minister Yulia Tymoshenko - the two have received 57 and 12 per cent of the votes respectively - have promised to unite Ukraine, suppress the rebellion in the east, return Crimea grabbed by Russia, revive the country and put it smack at the heart of Europe while practically no-one even bothered to contradict them. And even Darth Vader -- one of 17 candidates for the presidency, walking around in full Star Wars costume -- didn't really sound over the top compared to others.

The whole point of the hastily-arranged election in Ukraine was to get a "legitimate" president, of sorts, to emerge in Kiev, even if he would be the best of the worst, as someone said, and attempt to introduce some sense of normality in Ukraine which has been rocked by violence and upheaval since November last year after the then President Viktor Yanukovich walked away from a free association deal with the European Union, and was later ousted as a result.

All the talk of a possible second round if no-one won more than 50 per cent of the vote was obviously intended to put a bit of "competitiveness" into elections that were predetermined from the moment one of the favourites, former heavyweight boxer Vitaly Klitchko, stood down from the race, throwing his impressive weight behind Poroshenko.

Not to mention the approval of his candidacy by Washington (President Barack Obama's cover was blown when he congratulated the winner before the votes had been counted -- he really needs some coaching in the art of diplomacy.)

Announcing his victory late on Sunday, Poroshenko said all the things that he had been saying during his election campaign: That under his presidency Ukraine would be united, that the economy would grow, that the country was going to join Europe, that he was prepared to deal with Russia but would never accept the annexation of Crimea and the two referendums on independence that had been conducted in Donetsk and Lugansk regions in the east on May 11.

Opinion: Will Ukraine's new president tame country's elite?

In fact, the "Candy Man" as he was dubbed during the election campaign, said that the anti-terrorist operation in the east against the anti-Kiev rebels would be intensified, although hinted that it won't be running for months but would be wound up relatively quickly. If that wasn't a hint to Moscow that the soon to be crowned new leader was open to suggestion, then I don't what is.

The big challenge that Poroshenko, a clever political operator who has managed to steer through troubled waters under four presidents, is facing comes from the mere fact of his victory. As of now, the buck stops with him and he will be held responsible for anything that happens in the country.

That was why the cunning Tymoshenko, when she accepted defeat in the election, pointed out that her former opponent was now in charge and would be taking on the weight of responsibility. (Tymoshenko still fares her chances of becoming president quite highly and, as I was informed, plans to highlight all the problems that Poroshenko would no doubt start encountering with gusto.)

Seasoned Ukraine watchers, who have slept through the current revolution in Kiev and failed to predict the overthrow of President Viktor Yanukovich in February, have now got a new spring in their step, pointing out that a lot would depend on how the Kremlin will play its cards and whether it would be serious in dealing with Poroshenko.

Although Moscow has already signalled, on all levels, that it is prepared to give the new Ukrainian leader a chance, and a possible visit to Russia in June has already been mentioned.

But, ironically, the biggest challenge facing Poroshenko in the next several months comes not from Russia or the so-called separatists in the east but from Ukraine's very own oligarchs, who now see the newly-elected president as a potential threat to their business empires.

It was one thing when Poroshenko was just a candidate, but once that inauguration comes, he will have the power to not only to put financial pressure on the oligarchs but also to order their arrest and put them in prison for the many sins they have committed. And the example of Tymoshenko ending up in the slammer in the times of President Yanukovich must be still fresh in their minds.

Make no mistake, the oligarchs with their vast wealth, their personal armies and their people in the government machine, the police and the intelligence services will not stay idle. The horse trading and the scratching of backs was going on ever since Poroshenko emerged as the favorite for the presidency.

But that doesn't mean he can't be pragmatic and go back on his promises. And it sure doesn't mean that the rest will keep their word as well. Especially as some of the oligarchs actually prefer a situation of instability and uncertainty, as they thrive under such conditions and find it easier to jostle for power.

So what can happen in the next year or so? Well, the parliamentary elections will obviously take place this year in Ukraine, with Poroshenko promising to "see them through." The talks with Russia will commence very soon, if only to resolve the gas supply issue, but won't bring any dramatic results on most other subjects in the foreseeable future, with the prospect of Crimea coming back to the Ukrainian fold looking as likely as Joe Biden winning the next presidential election in the U.S.

So the only realistic way out could be agreeing some sort of compensation, paid out by Russia to Ukraine, say something like $500 billion over a period of 10 years or more, in return for Kiev accepting the loss of the peninsula and the world recognising it as part of Russia.

The resolution of the problem with the separatist Donetsk and Lugansk regions promises to be a thorny issue, but if Poroshenko and President Putin were able to negotiate a ceasefire in the next few weeks or so, this would be seen as a great achievement. And although Poroshenko is telling everyone that the idea of federalism and giving Donetsk and Lugansk greater autonomy is totally unacceptable to him, things, as has been pointed out above, do tend to change a lot after elections, so he might change his mind on this one as well.

Finally, a lot will depend on whether the U.S. and the EU would actually allow Poroshenko some serious room for manoeuvre to deal with President Putin. If he is boxed in by the demands of his Western patrons to keep the pressure on Moscow high, then his chances of achieving anything will be quite slim and the other oligarchs might just be tempted to bring him down.

The opinions expressed in this commentary are solely those of Alexander Nekrassov.

@highlight

Election promises are made to be broken or ignored altogether, writes Alexander Nekrassov

@highlight

Nekrassov: The point of the election was to introduce some sense of normality in Ukraine

@highlight

Petro Poroshenko will be held responsible for anything that happens in the country, he says

@highlight

But his biggest challenge comes from Ukraine's own oligarchs, writes Nekrassov