(CNN) -- Something remarkable is happening Wednesday. A large swath of the Internet is blacking out in protest of two controversial copyright bills being considered in Congress. Major Web juggernauts such as Google and Wikipedia, some graduate schools and a number of start-ups and prominent advocates are participating in what is expected to be the largest organized online protests in more than a decade.

While the actions vary from site to site -- some are shutting down, some are turning their pages black -- the message is clear: Neither the Senate's Protect IP Act nor the House's Stop Online Piracy Act represents a consensus view on how to address online piracy without undermining the open Internet, and neither should be rushed to a vote.

The bills propose new enforcement tactics to be carried out by Internet intermediaries -- Internet service providers, search engines, payment processors and ad networks -- against foreign websites that flagrantly infringe U.S. intellectual property rights. This is a laudable goal, but some of the proposed measures would do more harm than good, and there is significant risk that the bills as they currently stand could infringe on First Amendment rights.

The online backlash against the legislation, which began with the introduction in October of the House bill, known as SOPA, is already having a meaningful impact. Large social media sites and online communities have spread the word, and thousands of Internet users have kept up a steady stream of calls and tweets at their senators and representatives.

Under intense pressure from their constituents, Sen. Pat Leahy and Rep. Lamar Smith, the bills' principal sponsors, issued separate statements last week indicating that they would revise the bills to remove requirements that ISPs attempt to block access to websites using the domain-name system, or DNS.

In addition, a group of six Republicans -- including co-sponsors of the legislation -- sent a letter to Senate Majority Leader Harry Reid urging him not to proceed to a vote on the Protect IP Act, or PIPA, citing the public outcry as well as their own concerns.

And on Saturday, the White House issued a formal response to two petitions that had each received more than 50,000 signatures. The Obama administration said it would oppose legislation that risks online censorship of lawful activity, inhibits innovation or creates new cybersecurity risks -- all charges that have been levied against PIPA and SOPA. It also criticized mandated DNS-filtering on cybersecurity grounds, offered some guiding principles and called for continued discussion between proponents, opponents and the public on how best to proceed.

However, the Senate remains scheduled to try to break a filibuster against PIPA next week. If that vote succeeds, the Senate will move to an up-or-down vote on a bill -- currently being revised -- that no one has seen. If the DNS-filtering provision is indeed removed, it will be a major improvement, but this is not PIPA's only problem. Countless technologists and advocates still question whether the remaining enforcement tactics meet the balanced, sensible criteria laid out by the White House.

There is still room for debate and a path forward on anti-piracy legislation. Some of PIPA and SOPA's biggest opponents have expressed support for an approach that would "follow the money" by requiring carefully targeted action by payment processors and ad networks to stem the flow of revenue to websites that make a business of infringement. But despite rumored changes, PIPA is not yet that bill. Reid should delay next week's Senate vote to give the bill a real chance of developing into something all sides can agree on.

Editor's note: Time Warner, the parent company of CNN, is among the industry supporters of the legislation.

Join CNN Opinion on Facebook and follow updates on Twitter.

The opinions expressed in this commentary are solely those of Andrew McDiarmid.

@highlight

Some websites are blacking out in protest of two controversial copyright bills in Congress

@highlight

Andrew McDiarmid: Stop Online Piracy Act and Protect IP Act would undermine open Internet

@highlight

Online backlash against the bills are forcing supporters to back down, McDiarmid says

@highlight

McDiarmid: Voting on the legislation should be delayed because it can be improved