Atlanta, Georgia (CNN) -- In the beginning the question was whether we could do it at all.

Around-the-clock news? Was there even enough news to fill 24 hours?

Those were the questions being asked when I joined the staff of CNN on February 4, 1980, five months before the network went on the air.

I had come to CNN from the Atlanta Journal via a six-year stint at UPI. Aside from knowing how to write a five-minute newscast for the broadcast wire, I knew nothing about television.

That day I was told I would be the broadcast industry's first full-time copy editor. Even at the networks, it seemed, producers had read scripts, but with 24 hours of news, editors had been added to the team.

Down to the last few minutes before we went on the air at 6 p.m. on June 1, 1980, there were doubts about whether we could do it.

Ted Kavanau was the fast-talking, endlessly energetic vice president whose job was not only to get us on the air but make our shows interesting. As the clock ticked down, he called the show team into the back where the executive offices were located. "Listen," he intoned. "We don't know if this is going to work or not. But do not worry. If it doesn't work, we will all go to TV stations and hire one another."

And on that cheery note, out we went to produce the first show. We had been asked to tie our futures to the dreams of Ted Turner, someone many considered to be a mad man. Not only were we ready, but eager.

As Turner was dedicating the news channel to America, I was marking up seven-part scripts with a black copy pencil in the newsroom downstairs. And by the end of that first hour, I knew the answer to the question of whether CNN would survive.

Civil rights leader Vernon Jordan had been shot and was in a Fort Wayne, Indiana, hospital. That day his friend, President Carter, flew to Fort Wayne to visit his bedside.

When Carter came out of Jordan's room and stepped up to the waiting microphones, CNN was live. The three broadcast networks would air portions of Carter's remarks later on their 30-minute evening newscasts, but CNN was live as it happened.

As I listened to Carter speak, I thought to myself, "You know, this is going to work."

And it did. Cell phones were still a few years away. There was no Internet, but people could look at CNN and see history unfold before their eyes.

A cartoon in the New Yorker magazine from that time showed a dead bird, its feet in the air and a CNN cameraman capturing the event. "A sparrow falls," said the caption, "and CNN goes live."

There were countless important events in those first years. The arrival of the hostages who had been freed by Iran in 1981, the chaos following the shooting of President Reagan that year, and those unforgettable images as the Challenger blasted off into a clear blue Florida sky in January 1986 only to explode a few moments later.

A breakthrough moment came with the start of the Persian Gulf War. That war produced something called "CNN Syndrome." As video of bombs falling on targets and reports from the field streamed in, people were reluctant to be away from their televisions. They carried pocket radios into business meetings to listen to CNN Radio. They were unwilling to be unplugged, and it was more than exciting to be a part of it.

In 1993, CNN created its own internal wire service, The CNN Wire, and I was one of three members of that fledgling staff. We were to be the repository of what CNN knew because our charge was to cover the major story of the day.

In 1994, it included a slow chase down a Los Angeles freeway. When caught, O.J. Simpson was charged with murdering his wife, Nicole Brown-Simpson. My colleague Anne Brown and I watched and filed dispatches on every day of the trial.

In 1996, I went to Moscow to cover the first democratic election of a Russian president. Boris Yeltsin danced on the stage at Rostov-on-Don and swept past the Communists to win.

Then followed four trips to Israel to cover elections there. One evening my colleague Izzy Lemberg invited me to visit his home in Abu Tor, a mixed neighborhood in Jerusalem where Israelis and Palestinians live. The cab driver was a little reluctant but took me anyway.

On the terrace roof of Izzy's home that summer evening we ate cool slices of watermelon and sipped Israeli wines. As darkness fell, an arc of lights was visible on the horizon. "That is Amman, Jordan," Izzy said. "It's only about 70 miles away."

Soon bright flashes of light began to appear off to the right, beyond the Mount of Olives. Izzy and his wife Rickie seemed to pay no notice. What was that, I wanted to know. "Oh, that, just the Israelis practicing tank fire in the Jordan Valley," Izzy said. Normal life in Israel.

One of my most memorable days at CNN was a day of tragedy, April 19, 1995.

A national desk editor had received a call from a CNN affiliate in Oklahoma City. The station had heard on a police scanner that an explosion had occurred at the federal building and planned to send a reporter and a microwave truck.

I called the Oklahoma City police to find out what was going on. I asked if there had been an explosion at the federal building. "Yes," the dispatcher told me, "and it's bad."

She slammed down the phone, but with that confirmation I wrote the first bulletin of many I would write that day.

Within the next 10 minutes, the first video of the scene was streaming in -- the mushroom cloud of black smoke, the faÃ§ade of the building collapsed into the street.

As the lead writer on the story, it was my job to take that stream of facts, update the story as developments came in, and try to keep the story as coherent as possible. At times that day, it felt as if I had grabbed a live wire as the death toll inched toward 168.

The stories of survivors began to flow in. And then there were the questions. Who did this and why? About 80 minutes after the blast, Timothy McVeigh, the man who would ultimately be convicted of the worst act of homegrown terror in American history, was arrested in a routine traffic stop in Perry, Oklahoma. In 1997, I would go to Denver to cover his trial.

My worst day at CNN was an even worse day of tragedy. September 11, 2001, when almost 3,000 people died.

That Tuesday morning began routinely. An editorial meeting had started on the 6th floor of the CNN Center when word came from the New York bureau that a plane had hit the World Trade Center.

Like many, I thought it must have been a small private plane and wondered how it got so close. Then the first video came in from CNN affiliate WABC with the Trade Center's North Tower ablaze. I sat down and wrote a bulletin.

My colleague, international desk editor Lynn Felton, and I were watching a monitor when a plane entered the frame and struck the South Tower. Did we really see what we just saw?

I wrote another bulletin.

Then, as we tried to understand the magnitude of what had occurred, a third plane, at the Pentagon. Another bulletin. Then a fourth plane crashed into a field in Pennsylvania. Another bulletin.

That short span -- between a few minutes before 9 a.m. until just after 10:30 a.m. -- was the longest period of time I have ever experienced. The seconds ticked down as if they were made of lead. We were under attack, and it wouldn't stop.

But, of course, the story was just beginning to unfold. Very soon, the twin towers would collapse in roiling clouds of smoke and ash.

A lead writer's job when a story begins is to give the facts as quickly, clearly and concisely as possible.

But as the day progresses, it is the writer's job to pull back, look at the larger picture, include some context, and say, if possible, what this means. My final lead that day talked about terrorists striking the twin symbols of America's financial and military might, the World Trade Center and the Pentagon.

The only routine thing about September 11 was at the end of the day when the lead writer who was to replace me tapped me on the shoulder. I logged off the computer, stood up and stumbled away -- spent both emotionally and physically in a way I had never been before.

On the day of Ted Turner's last visit to his office in the CNN Center, my old friend and colleague Will King, who like me was there on day one, happened to ride the elevator down with Turner.

As they crossed the bridge over the food court, Will tried to express to Turner what his vision had meant to us, how proud those of us who were there at the beginning had been to be a part of it.

Turner thanked him and headed down the escalator. Then the mad man turned, threw up his hand, and shouted back to Will, "Keep the spirit!"

This week, more than 32 years after I joined CNN -- after being a part of thousands of stories, working with thousands of people, and forming friendships that have lasted a lifetime -- I will sign off of my computer for the last time and retire.

It has been a great career. As I leave I am as convinced today as I was early on that there is no better front seat to history than to be a part of CNN.

And as I slip down the escalator, I plan to turn back and wave to all the colleagues I'm leaving behind, confident that the spirit lives on.

@highlight

Randy Harber retires this week after a career that goes back to the first day of CNN

@highlight

He says the 24-hour news channel quickly overcame doubts that it was needed

@highlight

Harber: Ted Turner's innovation found an audience as events demanded constant attention

@highlight

He says his 32-year career provided a front row seat to history