Sitting cross-legged at her office desk, Abhina Aher expounds on what it means to be trapped in the wrong body.

She is a 37-year-old Hijra -- a South Asian term for male-to-female transgendered people. She appears at ease when she speaks about her sexual orientation and about the stereotypes associated with her community.

Aher is relaxed because she's in the confines of a non-profit workplace espousing the cause of sexual minorities like herself.  Here, she's not judged by her deep voice or her masculine face, its lines softened by make-up, or by her feminine dresses, nail-polish and jewelry.

Aher has gained a new found place in her country.  India's Supreme Court recently granted her and other transgendered people, status as a third gender. So, men can now be identified as females and females can be identified as males.

But the outside world, she says, is harsh. In a largely conservative, family-structured region, proclaiming you are not what you are born could entail a harrowing ordeal that Aher suffered -- and survived.

She raised a few eyebrows when she first slipped into her mother's sari at the age of six. Her cross-dressing habits, she remembers, were then ignored for some time.

But her secret desire to break free from her anatomic sex would only become more intense as she grew older.

"The issue about gender and sexuality kept coming back to me. But the unfortunate part of that was I did not have anybody to talk to; I had no one to share my thoughts with," Aher says.

From rejection to acceptance

Aher's self-discovery created a sense of loss for her widowed mother, for whom Aher was a boy.

"My mother would take me to a temple and make me swear by God that I would change my behavior," Aher said. "But it was beyond my control."

And Aher was rejected. Her mother didn't speak with her for almost nine years. Her teachers weren't supportive either. Rather, she became a target of jeers.

The hurt became deeper when she stepped into the adult world. Her lovers, she says, also abandoned her.

"My journey was lonely. All my lovers rejected me. They either used me for money, or for sexual pleasure or for some momentary emotional support. There was a huge vacuum," she says, her voice thick with emotion.

That's when, she says, she set off on a journey for acceptance within the Hijra community.

And as is the protocol, the initiation into the fold required her to pursue a Hijra "guru" or a mentor, which she did. She also underwent a long, drawn-out feminization process.

The reward, she says, was priceless: liberation.

In contrast to Aher, opportunities for employment are extremely limited for most members of the Hijra community. Many end up in prostitution and begging on streets, she says.

At a 45-minute drive from her office, a cramped, three-storied building along an unpaved road serves as a multi-purpose center for transgender and gay people.

Volunteers walk up and down its dusty, unplastered stairs for an HIV counseling session on the first floor. According to the Indian government, the country's transgender community is seen as disproportionately vulnerable to the deadly infection despite its tiny size.

A portion of a dimly lit room segregated by makeshift partitions is then used as a practice hall for the young Hijra members to hone their skills in dancing.

In today's wired world, they don't have to outsource professional instrument players. Instead, it's just a case of hooking a set of speakers into a mobile phone before setting off, dancing and lip-syncing to popular Bollywood songs.

But beneath the joyous mood, despair lurks.

Many Hijras at this center are at least 10 years younger than Aher. They say they, too, faced tough social resistance to their choice to reject gender binarism.

Kyra Sharma, 27, says her family thought she was under the influence of black magic when she starting cross-dressing and applying cosmetic powder to her eyes.

She suppressed her true nature for a while. "I had to wear male outfits although I didn't feel comfortable," Sharma says. Her brother, she says, was more rigid than others. "There was a deadline for me to be home at 8 pm every day. Life became difficult."

But as transgender issues attracted more attention, she used the increased media focus to explain to her family she's not the only one.

"Eventually, there was some understanding. Thankfully, I don't have to retreat into my biological sexual appearance now when I am home," says Sharma, who aims to become a make-up artist.

Equal rights for transgender and gay people

Within a span of few months, India's Supreme Court has come out with what activists say are conflicting judgments, on transgenders and Hijras on one hand, and the gay community on the other.

This month, the justices granted Hijras the right to self-identify their gender in what has been hailed as a historic ruling to end centuries-old discrimination against the country's transgender citizens.

In December 2013 though, the same top court re-criminalized consensual homosexual relationships, reinstating a colonial-era law banning people from engaging in "carnal acts against the order of nature."

Known as Section 377, that law was initially struck down in 2009 by a high court in New Delhi but its reinstatement has led to fears for gay people in the country.

Many of them came out in the open about their relationships when Section 377 was thrown out in 2009.

Image consultant Rishi Raj, who is gay, is now apprehensive. "What happens to those teenagers and those young people who came out of the closet thinking that 'my country is on my side, the court is on my side and my parents can't throw me out'?" he asks.

The anti-gay law and its revival, he feels, violate personal freedoms in a diverse democracy.

"How can you take away something which is integrally my right -- what happens behind closed doors in my bedroom -- and judge me for that? (To) call me a criminal for making love? It's just silly."

READ MORE: The transgender community: Legally invisible no more?

@highlight

India grants Hijras the right to self-identify their gender, a historic ruling to end discrimination

@highlight

Activists say Supreme Court has come out with conflicting judgments on transgenders and gay community

@highlight

India's transgender community is seen as disproportionately vulnerable to HIV despite its tiny size