(CNN) -- Iranian Foreign Minister Mohammad Javad Zarif insisted Wednesday that the Obama administration mischaracterizes concessions by his side in the six-month nuclear deal with Iran, telling CNN in an exclusive interview that "we did not agree to dismantle anything."

Zarif told CNN Chief National Security Correspondent Jim Sciutto that terminology used by the White House to describe the agreement differed from the text agreed to by Iran and the other countries in the talks -- the United States, Britain, France, Russia, China and Germany.

"The White House version both underplays the concessions and overplays Iranian commitments" under the agreement that took effect Monday, Zarif said in Davos, Switzerland, where he was attending the World Economic Forum.

As part of the accord, Iran was required to dilute its stockpile of uranium that had been enriched to 20%, well above the 5% level needed for power generation but still below the level for developing a nuclear weapon.

In addition, the deal mandated that Iran halt all enrichment above 5% and "dismantle the technical connections required to enrich above 5%," according to a White House fact sheet issued in November after the initial agreement was reached.

Zarif accused the Obama administration of creating a false impression with such language.

"The White House tries to portray it as basically a dismantling of Iran's nuclear program. That is the word they use time and again," he said, urging Sciutto to read the actual text of the agreement. "If you find a single, a single word, that even closely resembles dismantling or could be defined as dismantling in the entire text, then I would take back my comment."

He repeated that "we are not dismantling any centrifuges, we're not dismantling any equipment, we're simply not producing, not enriching over 5%."

"You don't need to over-emphasize it," Zarif said of the White House language. A separate summary sent out by the White House last week did not use the word dismantle.

In an interview with CNN's Fareed Zakaria on Wednesday, Iranian President Hassan Rouhani echoed Zarif's statement, saying the government will not destroy existing centrifuges. However, he added: "We are ready to provide confidence that there should be no concern about Iran's program."

Responding to Zarif's comments to CNN, a senior administration official said "we expected that the Iranians would need to spin this for their domestic political purposes, and are not surprised they are doing just that."

Iranian and U.S. officials have tried to sell the nuclear agreement to domestic opponents in their respective countries who could scuttle it.

Iranian officials have called the interim pact a victory and said it failed to halt the nation's nuclear development program, while U.S. officials say the agreement essentially froze Iran's nuclear program and rolled back some capabilities.

Zarif noted the political pressure facing both sides, which includes a push in Congress for more sanctions against Iran that Tehran warns would destroy any chance for success in talks on a long-range nuclear agreement intended to prevent development of an Iranian nuclear weapon.

"All of us are facing difficulties and oppositions and concerns and misgivings," he said, noting he had been summoned Wednesday to Iran's parliament to answer questions.

Asked about his relationship with Secretary of State John Kerry, Zarif called it "very difficult because we're both going into these negotiations with a lot of baggage."

Progress has been made, he said, but "it's yet too early to talk about trust."

Zarif and Rouhani traveled to Switzerland for annual gathering of world political and business leaders in Davos as a new round of Syrian talks started in Montreux before moving to Geneva.

Iran, a major backer of Syrian President Bashar al-Assad, was invited to the Syrian talks by U.N. Secretary General Ban Ki-moon, then disinvited under pressure from the United States because Tehran refused to endorse conditions in a previous agreement setting up the talks.

"We do not like the way Iran was treated," he said, adding "it did not enhance the credibility of the United Nations or the office of the Secretary General."

Zarif expressed hope that the Syrian talks could succeed, but he criticized Syrian opposition groups and their supporters that opposed Iran's participation in the talks for what he called spreading extremism and trying to impose their will on the Syrian people.

He explained Iran's support for the Syrian government, a longtime ally, by saying "Iran finds itself in a situation where we see the very prominent and serious danger of terrorism, extremism, sectarian tension being fed from outside and creating a very dangerous environment in Syria."

To Zarif, an agreement among Syrians that brings a democratically elected government is the only solution, and he dismissed concerns that a free and fair vote would be impossible with al-Assad in power and running as a candidate.

Kerry said earlier Wednesday in Montreux that there was "no way" al-Assad will be part of a transitional government sought by the Geneva talks.

"Why don't we talk about it?" Zarif asked. "And why don't we allow the Syrians to talk about how they can conduct a free and fair election? Why do people need to set an agenda and impose their agenda on the Syrian people?"

Sciutto also asked Zarif about his visit last week to lay a wreath at the grave of Hezbollah leader Imad Mugniyah in Lebanon.

The United States condemned the gesture, saying Mugniyah was "responsible for heinous acts of terrorism that killed hundreds of innocent people, including Americans," said a statement by National Security Council spokesperson Caitlin Hayden.

Zarif responded that his visit should be seen in the same context as the U.S. delegation that attended the recent funeral of Ariel Sharon, the former Israeli leader who was defense minister when mass killings occurred at refugee camps under his command in 1982.

"It's a decision based on national perceptions and national beliefs," he said, describing Mugniyah as a revered figure for resisting Israeli occupation while calling Sharon responsible for the massacre of Palestinians and Lebanese in the Sabra and Shatila camps.

"I believe Sabra and Shatila were crimes against humanity," Zarif said.

Democracy: Egypt's beautiful dream in the wrong hands
Opinion: Will global elite listen to Pope of poor?
Can Davos make a difference to global inequality?
Opinion: Tunisia's leaders have failed the Dignity Revolution

CNN Chief National Security Correspondent Jim Sciutto reported this story from Davos, Switzerland. It was written by CNN's Tom Cohen in Washington. CNN's Faith Karimi, Reza Sayah and Kevin Liptak contributed to this report.

@highlight

CNN Exclusive: Iranian official says the White House mischaracterizes nuclear deal

@highlight

"You don't need to overemphasize it," Foreign Minister Javad Zarif tells CNN

@highlight

The nuclear agreement took effect on Monday

@highlight

It calls for Iran to freeze part of its nuclear program in exchange for eased sanctions