Eager to highlight signs of an economy on the rebound, President Barack Obama launched a midterm election effort Thursday designed to convince voters of a vigorous recovery that a majority still doubts.

At stake: the power to get anything done in Washington during the final quarter of his presidency.

"I want people the know there are some really good things happening in America," Obama declared at Northwestern University's Kellogg School of Management in Chicago, both summarizing his election-year pitch and capturing the political problem inherent in having to describe an economic recovery that many Americans still aren't feeling.

"Sometimes the noise clutters and I think confuses the nature of the reality out there," he said before listing his economic achievements, including bailing out the American automobile sector and reducing the rolls of people without health insurance.

And despite his assertion that Thursday's remarks didn't amount to a "political speech," Obama took sharp aim at Republicans who have blocked his economic agenda on Capitol Hill.

"A true opposition party should have the courage to lay out their agenda," he said, slamming GOP efforts to cut taxes for top earners.

"Nearly all the gains of the recovery have gone to the top 1%, so I find that a little hard to swallow," he said, in one stroke jabbing Republicans while highlighting the problems he faces in selling an economic recovery that millions of Americans have yet to feel.

Although Obama can cite statistics that show a renewed U.S. economy, many Americans are still feeling battered by the downturn's legacy: stagnant wages and not enough full-time work. In a CNN/ORC survey released Thursday, 57% of those polled said the nation's economy was poor, compared with 42% who described conditions as good.

While still underwater, those numbers reflect an improvement in the economic mood of the nation. A year ago, only 29% of Americans thought the economy was good, and polls taken between then and now show a steady rise in the number of people who are feeling better about the country's economic state.

The question is whether Obama gets any credit: A CNN/ORC poll conducted in late September showed that 56% of respondents didn't approve of how the president is handling the economy.

Key Midterm races to watch

Part of his challenge is explaining why the economic recovery has been so good to the coastal rich while leaving poor and middle-class Americans struggling. The poll released Thursday showed Americans who earn north of $100,000 per year, and those living in the Northeast and West, far more likely to describe economic conditions as good.

"Our broader economy in the aggregate has come a long way, but the gains of recovery aren't yet broadly shared or at least not broadly shared enough," Obama said Thursday. "The stress that families feel -- that's real. It's still harder than it should be to pay the bills and put away some money. Even when you're working your tail off, it's harder than it should be to get ahead."

As long as Americans keep citing the economy as their top issue, as they did by a wide margin in CNN's latest survey, the White House will attempt to drive home the message that things are a lot better than they were six years ago.

"Most people this fall are going to vote on economic issues," said Jay Carney, Obama's former press secretary, now a CNN contributor. "Like they often do, except in those circumstances like post-9/11 where they perceive an existential threat to the United States."

With a little more than a month to go before November's vote, Obama has spent the bulk of his political energy delivering the economic message to Democratic donors at high-dollar fundraisers. He has yet to make an appearance at a campaign rally for a Democrats, though he's expected to appear with candidates as Election Day nears.

@highlight

Obama says economy is doing better despite remaining hardships

@highlight

In speech in Illinois, he slams Republicans for blocking agenda

@highlight

A majority of Americans still disapprove of how Obama has handled economy

@highlight

Democrats hope to win midterm voters with their economic message