(CNN) -- New York City's billionaire Mayor Michael Bloomberg can get pretty much whatever he wants, whenever he wants. Yet the item at the top of his wish list doesn't usually carry a price tag.

"In some ways, there's nothing more significant you can do for New Yorkers than making their lives better by giving them more life," explained Deputy Mayor Linda Gibbs.

Since taking office in 2002, Bloomberg has unleashed a tsunami of public health initiatives intended to do just that -- cutting sodium in prepared meals, ordering that menus in chain restaurants carry calorie counts, posting restaurants' health department grades, as well as limiting the use of tobacco products.

His first acts included a ban on smoking in restaurants and workplaces. In 2011, the restriction was extended to public parks and beaches.

The restrictions spurred a backlash of criticism.

"I got a lot of one-fingered waves -- as I would describe them -- when I marched by bars on St. Patrick's Day, for example," he told CNN's Jake Tapper last week.

Now, Bloomberg said, attitudes have changed.

"Today, you march by a bar on St. Patrick's Day and everybody seems to love you," he said.

In fact, the policies have worked and have been widely copied, according to Dr. Susan Kansagra, an assistant commissioner at the New York City Department of Health and Mental Hygiene.

Since Bloomberg took office, she said, the city's smoking rate has dropped from 22% to just above 14%, "one of the fastest declines in the country."

That drop would be hailed as a major success by any other politician, but Bloomberg is not easily satisfied. So this week, he unveiled the Tobacco Product Display Restriction Bill, which would force retailers to keep tobacco products out of sight of customers -- particularly young ones.

"What we're trying to do is just deglamorize, don't remind them, don't make it look like it's a normal product," Bloomberg said. "Cigarettes are not a normal product."

Its passage would be unprecedented, Bloomberg said.

That proposal too has stirred opposition. "The notion of forcing licensed, tax-collecting, law-abiding retailers to hide their tobacco inventory is patently absurd," said Jim Calvin, president of the New York Association of Convenience Stores.

Opinion: Why cigarettes are here to stay

"This proposal arises from a wild theory that the mere sight of packs of cigarettes on a wall behind the store counter compels kids to start smoking," Calvin continuted.

A spokesman for the parent company of Philip Morris USA, whose cigarette brands include Marlboro, said the manufacturer opposes the measure because "we believe it goes too far."

Bloomberg's eat-your-vegetables approach to public health has triggered cries that the 71-year-old media mogul, politician and philanthropist has turned the city that never sleeps into a nanny state, one where finger-wagging admonitions about what to eat and drink and how to live have become annoyingly intrusive.

But he is undeterred.

This month, Bloomberg's attempt to limit the size of soda cups to 16 ounces was rejected by a state Supreme Court judge as "arbitrary and capricious."

Not surprisingly, Bloomberg is appealing the ruling.

Risk and reward

The mayor embraces risk and, though he doesn't particularly revel in failure, he is not afraid of it, said Gibbs.

She recalled his telling a story of having spent a day skiing. Afterward, a skier remarked proudly that he had not fallen once. Bloomberg was unimpressed. "He said, 'That means you didn't try hard enough,'" Gibbs said. "If you succeeded at everything, you left opportunities on the table."

Bloomberg himself has left few opportunities on the table. After graduating from Johns Hopkins University with a degree in engineering, he got an MBA from Harvard Business School and then, in 1966 at the age of 24, he moved to New York for a job with Salomon Brothers, an investment bank.

He rose quickly, eventually overseeing the firm's information systems.

In 1981, squeezed out of the bank in a merger, he started Bloomberg LP, the financial news and information company used by Wall Street's trading firms. It has made him rich.

Since then, he has donated more than $2.4 billion to a variety of causes and organizations. About half of that -- more than $1.1 billion -- has gone to Hopkins, which named its school of public health after him.

"He's driven by the metric of how do we make the most impact in terms of improving health and saving lives," said Dr. Michael J. Klag, dean of the Bloomberg School of Public Health. "Mike is a data-driven guy, he's a numbers guy."

Klag credits the businessman's investments in public health with paying big dividends.

"New York is now the healthiest city in America because of what he's done," Klag said.

It's also one of the safest, with the lowest murder rate of any big city in America. And traffic deaths and fire deaths are the lowest since the city started keeping records in 1916.

"Parents from around the country used to dissuade their kids from moving to New York because it was dangerous," Bloomberg said last week. "That doesn't happen any more. Parents want their kids to move here because they're probably safer than where they're coming from."

Putting a dent in obesity

Bloomberg's focus on food is recent and the data to support it are not as strong.

"With tobacco, we have a pretty established set of policies we know are effective, but with obesity, it's still new," New York City Health Commissioner Dr. Thomas A. Farley told an audience at Fordham University in New York during a conference last fall on Bloomberg's public health legacy.

But talking about legacy is "a little presumptuous," according to Peter Zimroth, a lawyer with Arnold & Porter, which has represented the restaurant industry.

"The legacy is yet to be written on some of these initiatives," he told the conference, adding that the evidence that such efforts would reduce obesity was itself thin and could wind up being counterproductive. "There's a limited amount of capital, I think, that government has to engage in coercive measures," he said.

Bloomberg sees restrictions on food as a critical component to his public health mission, according to Klag. "He sees this avalanche of diabetes coming," he said. "That's why he attacks the sugar intake."

In reaching for opportunities, Bloomberg has lost his footing several times. In addition to losing his effort to ban large, sugary drinks, he failed in his bids to get a soda tax adopted and to ban the use of food stamps to buy soda.

The so-called soda ban provoked ridicule from some observers. "I think this is what makes liberals look like elitist bullies who think they know everything and can tell people what to do," Bill Maher said on his HBO show "Real Time." "You shouldn't have to clear what you eat with the municipal government."

Video: Sarah Palin mocks Bloomberg's soda ban

A executive with the National Restaurant Association -- which represents 500,000 restaurant businesses across the country -- called the city's efforts at change "heavy-handed" and was effervescent over Bloomberg's most recent loss.

"We very much questioned the efficacy of putting a dent in obesity by restricting the cup size in restaurants in New York City that sold sugar-sweetened beverages," said Scott DeFife, the association's executive vice president for policy and governmental affairs. "We don't think that micromanaging food service packaging is the way to end obesity in New York City."

Bloomberg's attempt to limit the size of sodas inspired Mississippi -- whose 34.9% obesity rate is the nation's highest -- to pass an "anti-Bloomberg" law.

"It simply is not the role of the government to micro-regulate citizens' dietary decisions," Gov. Phil Bryant wrote.

But Bloomberg lashed back.

"'Saturday Night Live' couldn't write this stuff," he said about Mississippi's move. "We have a worldwide, nationwide problem on obesity. This year, more people will die from overeating than from starvation -- first time in the history of the world."

"How can somebody try to pass a law that deliberately says we can't improve the lives of our citizens?" he asked. "It's farce."

Looking ahead

While his critics might accuse him of simply trying to expand his political power through his health initiatives, Bloomberg's colleagues say that's not the case.

Bloomberg's focus is simple and singular, explained his former colleague Dr. Tom Frieden, director of the Centers for Disease Control and Prevention.

"Any time I came to him for a decision, he only asked one question: Was I certain that this would save lives?" said Frieden, who served as commissioner of the New York City Health Department from 2002-2009. "When it comes to failure - if he works on something for six months and it fails, the next day it's as if it didn't happen. He is always looking ahead."

Meanwhile, Bloomberg appears to be meeting his goal of adding length to the lives of New Yorkers.

A New Yorker born today is likely to live three years longer than a New Yorker born a decade ago, a year after he took office. "That's a huge surge, and it puts us a little more than two-and-a-half years ahead of the national life expectancy," Deputy Mayor Gibbs said.

Gibbs predicted that Bloomberg will remain focused on public health, even after he leaves office at the end of the year.

"He's very clear that that will, in fact, be a large part of the work that he does," she said.

@highlight

Mayor Michael Bloomberg has made public health a top priority for New York

@highlight

He has touted many controversial health measures since becoming mayor in 2002

@highlight

Critics denounce it as too much government; supporters say the initiatives have worked

@highlight

This month, a large sugary drink ban was set to take effect until a judge struck it down