Guatemala City (CNN) -- The courtroom erupted in cheers after former Guatemalan dictator Efrain Rios Montt was found guilty of genocide in May 2013 for allegedly allowing massacres of more than 1,700 indigenous Ixil Mayans in the early 1980s.

Hundreds dressed in traditional ethnic "huipiles," crossed their arms over their chests in a sign of gratitude to the tribunal for being the first in the world to try a head of state for genocide in his own country's judicial system.

But the verdict would only stick for 10 days.

Guatemala's Constitutional Court annulled the conviction and ordered a retrial in 2015, a move critics considered politically motivated.

As the one-year anniversary of the Rios Montt trial nears, many -- including U.S. officials -- are sounding the alarm over recent judicial moves they say threaten the country's weak justice system.

"For the proper functioning of democracies, independent and capable public servants are essential," the U.S. Embassy in Guatemala said in a recent statement. "If judges are subject to threats and intimidation, justice will suffer."

Such statements followed two controversial decisions.

First, the nation's highest court ruled in February that Attorney General Claudia Paz y Paz, who was instrumental in bringing charges against Rios Montt, must step down from her post in May, seven months before her term was to expire.

The court's ruling was based on a technical interpretation of Paz's term. The 47-year-old prosecutor was appointed in 2010 after a prior selection process was scrapped due to alleged corruption. The court interpreted that hers was an interim mandate.

Then this month, the Guatemalan Bar Association suspended magistrate Yassmin Barrios, the presiding judge in Rios Montt's trial. Just weeks after the suspension was handed down, Barrios was awarded an International Woman of Courage award by first lady Michelle Obama and the U.S. State Department, in part for her role in the genocide trial.

Barrios was sanctioned by the Bar Association after attorney Moises Galindo, part of Rios Montt's legal team, accused her of an ethics violation for the way she expelled one of Rios Montt's lawyers from the proceedings for contempt.

Both Barrios and Paz were key to the short-lived conviction of the 87-year-old retired general.

"The dirty campaign started last year," Alberto Brunori, representative of the Office of the United Nations High Commissioner for Human Rights in Guatemala, told CNN en EspaÃ±ol. "It's been a series of attacks in the media, etc. by various conservative sectors."

There's no conclusive evidence that the actions against Paz and Barrios are retaliation for their role in prosecuting Guatemala's one-time dictator, but the sentiment among many is that this is exactly what happened.

Guatemala's elite have long had a strong grip on power, and some experts say the elite feared that a decision against a stalwart of the old guard like Rios Montt could have opened the door to further prosecutions of former leaders. Longtime critics have also denounced organized crime gangs' collusion with judges and courts. Some experts say these two corrupt factions have too much influence over the judiciary.

The trial unearthed Guatemala's complicated relationship with its own history as both protesters and supporters rallied outside the courtroom last year.

Rios Montt came to power in a March 1982 coup, only to be overthrown 18 months later. During the trial, prosecutors argued that Rios Montt's junta government oversaw the bloodiest period of the country's 1960-1996 civil war that left more than 200,000 people dead and 1 million refugees, according to various truth commission reports.

Leading figures, including President Otto Perez Molina, deny genocide took place in Guatemala.

On the same day that the verdict came down in the Rios Montt trial, Perez Molina predicted that it would not stick.

"Today's ruling is not set in stone," the President told CNN en EspaÃ±ol that night.

"Let's just say it showed the good, the bad, and the ugly," said Jo-Marie Burt of the conviction and subsequent reversal. Paz's ousting and the sanction against Barrios signal that the entire legal system is still at risk, said Burt, senior fellow at the Washington Office on Latin America and political science professor at George Mason University.

Barrios continues to stand by her verdict despite facing what she calls retaliation.

"History cannot be undone," she said.

But Francisco Palomo, chief counsel for Rios Montt, calls the initial trial a "farce," and with several appeals in play, said it is possible that Rios Montt might avoid a second trial.

To date, the general's defense team has lodged over 70 motions and appeals. The most controversial move was a ruling on one of those appeals that basically reverted the trial back to its initial phases, undoing the conviction.

"Perhaps the kernel of light in this whole process is that it was much, much harder for the elites than it would have been 10 years ago," said Marcie Mersky, program director at the International Center for Transitional Justice in New York and longtime Guatemala expert.

"They've had to resort to outrageous forms of pressures and measures."

The Guatemalan Congress this week delivered the shortlist to the President of those favored to take the helm of the attorney general's office, and Paz did not make the cut.

"With Paz driven out and being few days from having a new attorney general, this reflects that various power groups continue to benefit from maintaining impunity," said Michel Andrade, coordinator of the Dutch watchdog Impunity Watch.

For others like anti-impunity commissioner Ivan Velasquez, the future of the judicial system is really a test about the strength of the country's democracy.

"After all," he said, "it's the proper functioning of the judicial system that gives Guatemalan citizens faith in other structures within the state."

Guatemala has one of the highest murder rates in Latin America. The Central American nation of almost 15 million placed fifth deadliest in the United Nations Office on Drugs and Crime rankings this year. A recent U.S. State Department report stated that widespread institutional corruption continues to be a concern.

@highlight

A year ago, Efrain Rios Montt was found guilty of genocide

@highlight

But the verdict was overturned within 10 days

@highlight

The attorney general and judge in the case have had their jobs affected

@highlight

Some say it is in retaliation for prosecuting Rios Montt