(CNN) -- Interest in hunting and fishing is on the rise, and autumn's prime season for getting outside and up close to your food.

The number of recreational hunters and anglers in the United States has increased significantly over the past five years, according to a recent U.S. Fish and Wildlife Service survey. The number of hunters has increased by 9%, while the number of anglers has jumped by 11%.

While hunting has always been a way for self-sufficient people to feed their families, another theory for its current popularity is that it can also be an affordable "staycation" for people trying to spend less in a poor economy.

Steven Rinella, host of "Meat Eater" on the Sportsman Channel and the author of a just-released hunting tome of the same name, says there's more to it. As an increasing number of Americans become interested in where their food comes from and want to play a part in making it, Rinella says that many are newly compelled to try killing their own meat.

"I think it's a cultural sense of people losing connection to the land and to their food, and they're looking to rekindle their fires of passion for self-sufficiency," says Rinella.

The growing interest in farm-to-table dining is part of that rekindling.

"Meat is not just a trip to the supermarket and a Styrofoam-wrapped cut of meat. That meat starts as an animal," says Jeff Rupert, chief of the Division of Natural Resources of the National Wildlife Refuge System.

'The Hunger Games' bucks hunter stereotypes

Hunting takes years to master

Yet hunting is not the easiest hobby for a newcomer to master. Hunting is visceral. One is often in uncomfortable settings, and it requires a certain skill set that can take years to master. Those who still want to try hunting this fall have plenty of options all over the country in a wide array of comfort levels, and the Fish and Wildlife Service offers special hunting programs for children, novice hunters, hunters with disabilities, and women.

Right now, Rinella recommends wild pig hunting in northern California and central Texas; pheasant, geese, and duck hunting in North and South Dakota; grouse hunting in northern Minnesota and Michigan; and quail hunting in the southeast.

Dear deer, you're delicious

Big game hunting -- think bear or elk -- requires permits that are a little harder to obtain without a long lead time.

Here are a range of hunting and fishing experiences in the United States:

High Lonesome Ranch, Colorado

Some big-game hunting accommodations are about as bare-bones as it gets -- outdoor camps, roadside motels, RVs. And then there's the High Lonesome Ranch, a sophisticated resort and ranch with guest houses and remote cabins on a property encompassing 300 square miles on the Western slopes of the Colorado Rockies.

The ranch offers a range of guided big-game hunts that include access to the property's free-range elk and mule deer herds. It also offers fly-fishing expeditions for five species of trout, and phenomenal wing shooting. Due to its conservation efforts and its work with state wildlife agencies, High Lonesome Ranch has reduced the annual numbers of big-game hunters, so be sure to call to see what's available at any given time.

Fly-fishing packages start at $1,530 and wing shooting packages start at $2,410. Both include three nights' lodging, meals, and guided fly-fishing for two days. Big-game packages vary based on species.

275 County Highway 222, De Beque, Colorado; 970-283-9420

Southern Woods Plantation, Georgia

A classic quail hunt usually means sophisticated lodging, and rural Georgia -- a quail hunter's paradise -- is dotted with old-school Southern plantations that specialize in guided hunts with trained dogs. Options abound, but check out Southern Woods Plantation in the Bobwhite Belt of South Georgia. The main house is sprawling and comfortable, and the hunting expedition is led by expert guides with traditional and specially designed buggies and a set of trained hunting dogs. Hunts are $450 for a full day plus $250 for lodging, with all meals included.

Also in Georgia, the Bond Swamp National Wildlife Refuge, six miles south of Macon, just added migratory bird hunting and upland game hunting to its roster and added wild turkey to its big-game hunting program. To check out Bond Swamp, drive down to Macon from Atlanta and choose from a variety of accommodations, from Hilton and Marriott to Super 8s and independent hotel operators.

2331 Georgia Highway 33 South, Sylvester, Georgia 31791; 229-776-0585

Justin Trails Resort, Wisconsin

The Driftless Area of Wisconsin is experiencing a great white-tailed deer season this year. To see some of the action, or to hunt turkey, wild pheasant, or waterfowl during the fall migration, book a room at the ecofriendly Justin Trails Resort in the countryside of Sparta, Wisconsin, a destination for nature lovers.

The property -- a series of log cabins and suites equipped with fireplaces and jacuzzi tubs -- caters to nature photographers, hikers, and golfers, but the resort has relationships with local hunting and fishing guides in Sparta and in nearby Viroqua and Onalaska. They will be able to help out with licenses and gear. Hunting also takes place on the property during the gun deer season around Thanksgiving (so hiking is off limits). Rooms range from $135 to $325 a night.

7452 Kathryn Avenue, Sparta, Wisconsin 54656; 608-269-4522

The Webb Farm, North Carolina

For another quaint quail hunting getaway, try The Webb Farm, an inn encompassing 1,200 acres in central North Carolina. The Webb family has been organizing hunts in the Sandhills region for generations, and it puts a lot of time and resources into quality bird management and dog training, with a full kennel on the property. Webb Farm is big on encouraging the next generation of hunters to get into the sport and hosts plenty of corporate clients -- so experience and passion for hunting are not prerequisites here.

Guests stay in a 19th-century style lodge with a large front porch, a great room with a fireplace, and simple but comfortable rooms. Days at Webb Farm end with a cocktail and a multi-course dinner (think fried quail, pear tarts, lobster mac 'n' cheese) prepared by the chefs. Rates range from $700 for a half-day duck hunt with lunch to $1,300 for a duck and quail hunt, lodging, lunch and dinner. Otherwise, lodging is $250 and includes breakfast and dinner. The fall season began on October 1 and will run through March.

522 John Webb Road, Ellerbe, North Carolina; 910-995-0207

Grosse Ile Pilot House, Michigan

The Detroit River International Wildlife Refuge, located near the Detroit suburb of Trenton, opened for the first time this fall to migratory bird hunting, upland game hunting, and big-game hunting. It's a potential boon for a local economy that could use an influx of spending.

The refuge includes islands, marshes, coastal wetlands, and 48 miles of the Detroit River. Because it is located so close to an urban area -- a rarity in the hunting world -- there are plenty of places to stay during a hunting expedition. But a unique option is the Grosse Ile Pilot house, a historic World War II officers club. Rooms are simple but not inelegant, with kitchens and queen beds, and the house itself is an old brick beauty with a white-columned porch. Rooms run from $86 to 96 per night.

9645 Groh Road, Grosse Ile Township, Michigan; 734-671-2295

Shelter Harbor Inn, Rhode Island

Those who don't want to travel too far from major Northeastern cities to hunt may want to venture to Rhode Island's Ninigret National Wildlife Refuge, which just added deer to its big-game hunting program and is open to sport fishing.

This is a great destination for RVs and camping, but those disinclined to roughing it should try the Shelter Harbor Inn about five miles away in Westerly, Rhode Island. The property includes a large main farmhouse, a barn annex, and a carriage house, and rooms run from $116 to $198 a night.

10 Wagner Road, Westerly, Rhode Island; 401-322-8883

How do you feel about people hunting for their own food or hunting as a sport? Have you ever hunted on vacation or to supplement your pantry (or both)? Please share your thoughts in the comments below.

@highlight

Hunting makes connection between the live animal and meat, says "Meat Eater" host

@highlight

Hunting wild pigs, pheasants, geese, ducks, grouse are all popular right now

@highlight

Big game requires permits and a longer lead time