(CNN) -- I have a distinguished astrophysicist friend who sets an alarm to ring every 15 minutes when he's at work. As soon as it does, he closes his eyes for nine seconds, takes a deep breath and collects himself.

The break represents only 1% of his working day â€” nine seconds every 900 â€” and yet it's a regular reminder to him to look up as well as down, to ensure he's not overheating and to put his work within a larger frame.

The man is not a New Age flake or idler; he has been a fellow for 33 years at the Institute of Advanced Study in Princeton, Einstein's old home, and I first met him at the World Economic Forum in Davos.

But he's a seasoned scientist who's aware, from empirical research, that the best way of completing a task, often, is to look away from it; it's the pause in a piece of music that gives the piece its beauty and its shape.

As J.P. Morgan used to say, I'm told, of his habit of taking two months off every year, "I can get done in 10 months what I could never do in 12."

It's an old principle, as old as the Buddha or Marcus Aurelius: We need at times to step away from our lives in order to put them in perspective. Especially if we wish to be productive.

It's no coincidence that the word "holiday" suggests a holy day, or that the longest book in the Torah concerns the Sabbath. If you wish to advance in any sphere, the best way is to take a retreat.

Has the need for taking a break -- a breath -- ever been so urgent as right now?

Sociologists studying time diaries have found that Americans are working fewer hours, at home and in the office, than they were in the 1960s, but they feel they're working more.

The more time-saving devices we own, the less time we seem to have.

It takes 25 minutes to recover from a phone call or an e-mail, researchers have found, and yet the average person receives such an interruption every 11 minutes. Which means that we're never caught up; we're always out of breath, running behind.

Many of us know that Google has regularly given its workers 20% of their paid time off, to let their minds go foraging, setting up meditation programs and trampolines to offer them a more imaginative space.

Intel experimented with giving 300 of its executives and engineers a four-hour "quiet period" every Tuesday morning, when they were asked not to take calls, handle e-mails or engage in idle chat, and the fortunate specimen cases found the results to be so invigorating that they suggested the program be expanded.

Fully a third of American companies now have stress-reduction programs, if only because stress is costing them $300 billion a year, and the World Health Organization is quoted as calling stress "the health epidemic of the 21st century."

But what of those of us who don't work for enlightened companies willing to allow us to go to the mental health club as readily as to the fitness center?

Well, relief is always close at hand. Most people I know nowadays go for a run every day, or practice yoga, or cook after work, taking conscious measures to step out of the pace that technology has imposed on us and return to something human.

A friend at Google reminds me that it's always easy just to step into a conference room, close the door and close one's eyes.

When I was working in a very high-pressure job in a 25th floor office in Midtown Manhattan, I would take myself to a long, multi-course tea mid-afternoon, and be amazed at how much better and more directed my work was when I returned.

All of us are feeling scattered and distracted as we try to keep up with an accelerating world. But nearly all of us have an answer in our hands, in simply choosing to do nothing and go nowhere for a while.

I once got onto a plane in Frankfurt for a 12-hour flight to Los Angeles, and a young, attractive German woman came down and set next to me.

She engaged in friendly and highly animated conversation for thirty minutes or so, and then politely turned away and sat where she was. She never played with her video monitor or took out a book. She didn't even sleep. She simply sat, for the next eleven hours, visibly still.

As we prepared to land, I asked her about this, and she explained that she had a very draining job, as a social worker. She was now on her way to a five week holiday in Hawaii, and she wished to use the flight just to get all the stress out of her system and to detoxify.

The next flight I took, I tried the same: No movie, no work-related reading. Just a chance to take my mind for a walk, or let it do nothing at all.

When I awoke next morning, I felt as if I was ready to remake the world.

Read more:

Could being quiet help you get ahead

Modern schools for mastering life

@highlight

In an age of constant movement and connectedness, maybe what we really need is some stillness

@highlight

A recent study found that Americans work fewer hours than they did in 60s, but feel like they have less time

@highlight

Writer Pico Iyer argues that when we feel scattered, most of us already have the answer

@highlight

Maybe we need to just do nothing and go nowhere -- even if it's for five minutes