(CNN)We may all feel like we're under a cloud from time to time, but in hot and dry climates having your own personal misting cloud is as uplifting as it can get.

In Dubai, the Gulf State mega-city situated in one of the hottest parts of the world, the benefits of evaporative cooling have long been known.

Neighboring Saudi Arabia is already one of the world's largest dairy producers and its massive indoor herds are kept at an even 21 and 23 degrees Celsius with gigantic misters.

Now one group of designers is reinventing the technology for human beings, devising a system that uses motion tracking and ceiling-mounted misters to provide each pedestrian with their own cooling spray.

Ultrasonic sensors embedded in the canopy structure recognize visitors and send data to a control system that activates hydro-pumps and LED lights in their proximity.

"If you create a more responsive climate around people, you can save a lot of energy by creating just a bubble of heat or a bubble of cool in which they can travel," Professor Carlo Ratti, the head of the team at Carlo Ratti Associati from Turin, Italy, that developed the Cloud Cast technology, told CNN.

"If you use a system like this it allows people to use more outdoor spaces. This is very important in a city like Dubai which is so hot that people really can't spend much time outdoors."

Cloud Cast works by creating mobile responsive clouds that follow people as they move under a canopy. An array of responsive nebulizers is guided by sophisticated motion sensing, creating a personal climate for each person that walks under it.

"It's something that people have been using for centuries, it's called evaporative cooling," Ratti said. "People in this part of the world have been using water to freshen the air for a long time."

Dubai - with its vast shopping malls and indoor leisure centers -- is currently one of the world's biggest consumers of power for air-conditioning.

According to the International Energy Authority (IEA), the emirate is among the largest consumers of energy per capita in the world. An estimated two-thirds of that in the summer months is burned on driving air-conditioning.

Outside temperatures might reach 50 degrees Celsius, (122 degrees Fahrenheit) but inside its public buildings the temperature can be so low that people wear jackets.

At some cinemas, customers can even rent blankets.

Energy consumption solely for air-conditioning is now one of the region's looming headaches. According to Chatham House, neighboring Saudi Arabia could actually be consuming more oil than it exports in 15 years due largely to air conditioning.

The UAE is experimenting with many traditional solutions to air-conditioning, including wind towers that funnel upper currents of cool air down into houses.

The most elegant examples of these wind towers still stand in Dubai's historic quarter of Al Bastakiya -- known locally as The Creek -- where Persian traders created ornate structures in the 1850s to cool and ventilate their urban mansions.

Often, the towers were wrapped in wet fabric to increase their cooling ability.

The towers also did more than simply cool the air -- the creation of positive pressure inside the building automatically creates a negative pressure on the outside, which means that stale and bad air inside the building is drawn away.

While air-conditioning might provide immediate thermal comfort, wind towers rid buildings of the constant build-up of CO2 and reduce stuffiness.

Contemporary variants of wind towers in the United Arab Emirates have achieved a temperature reductions of as much as 12 degrees in buildings.

Ratti, however, says the beauty of their Cloud Cast system is that it is responsive to people.

"It can cope with as many people as you want -- whether it's a crowd of people or whether there's just one, there will be a misting spray," he said. "It's also highly efficient because you're not misting a whole space -- you are just cooling a small volume around the person."

The Cloud Cast is currently at the prototype stage and is debuting at the Museum of Future Government Services in Dubai this month, but Ratti believes the evaporative cooler could become popular anywhere there's a hot climate.

"We think we'll have some ready for commercial sale in the near future," Ratti said. "Hot and arid climates are perfect for evaporative cooling."

Read more from Make, Create, Innovate:

Will you soon be able to 'swallow the doctor'?

Meet the world's first 1,000 mph car

Out of juice? Try a cardboard battery

@highlight

Cloud Cast is a personal cooling system designed for very hot climates

@highlight

Ultrasonic sensors recognize visitors and activate hydro-valves and LEDs in proximity to the target

@highlight

Debuting in Dubai, the project belongs to an array of studies on temperature control infrastructures

@highlight

The UAE is experimenting with many traditional solutions to air-conditioning, including wind towers that funnel upper currents of cool air