(CNN) -- In Europe, the English have a reputation. They are notorious for prodigious drinking at Mediterranean resorts, a complete inability to master other languages and the habit of recalling World War Two every time England plays Germany at football -- or when it's time to remind the French of their spineless defeatism.

In turn, the words "perfidious Albion" have for centuries been part of a deep-seated French distrust of the English. "The English lie at mid-point between men and beasts," wrote the French author Robert-Martin Lesuire in 1760. Much more recently, French politicians have railed against "Anglo-Saxon" free-market capitalism as being responsible for the global financial meltdown. Just two weeks ago, French President Nicolas Sarkozy complained that globalization and free trade were at the root of the Eurozone crisis.

For their part, Germans are puzzled by the endless fascination of the British with the wars of the 20th century. "The older generation in particular see it as the last great act of national collective effort and self-assertion, the final episode in the history of the Empire before its imminent dissolution," writes the philosopher Gunnar Beck. He's not making it up. In 2010, an astonishing 850 books about the Third Reich were published in Britain.

Germans are relieved that the French don't have such visceral memories of war but wish they'd have more financial rectitude and a little less flamboyance. The Germans have fond memories of the deutsche mark, which rose out of the ashes with West Germany and was sacrificed for the euro. Chancellor Angela Merkel is conscious of a growing resentment among Germans that they must constantly open their wallets to support the more profligate Europeans.

This strange triangular relationship is often played out in the councils of Europe. But frequently Britain is the odd man out -- the semi-detached and half-hearted member of the European Union. The United Kingdom has always looked across the Atlantic as much as across the Channel to pursue its interests -- a sentiment only reinforced by memories of wartime Atlantic convoys that resupplied Britain and by the allied landings in Normandy.

By contrast, visionaries like Jean Monnet of France and Konrad Adenauer of West Germany, looking out at the ruins of Europe in the late 1940s, sought ways to bind together former enemies. The First World War had supposedly been the "war to end all wars." But this time, when they said "never again," they meant it. "Make men work together. Show them that beyond their differences and geographical boundaries there lies a common interest," Monnet said.

Last week, both Merkel and Sarkozy have summoned the ghosts of conflict to galvanize support for the European ideal, with Merkel warning the continent faces its gravest hour since 1945.

The ideal they are trying to save began modestly enough, with the formation of the European Coal and Steel Community in 1952: a single market for the coal and steel of six countries. But that common market was soon extended to become the European Economic Community (EEC), and gradually more aspects of national sovereignty were pooled. It was a Franco-German dream. Britain was too busy divesting itself of empire.

And when it turned from colonies to Europe, it bumped up against Charles de Gaulle, who dominated French politics for much of the post-war period. De Gaulle was innately suspicious of Britain and its "special relationship" with the United States. He twice vetoed British applications to join the evolving common market; and pulled France out of NATO's military command.

Once de Gaulle was gone, Britain -- under the leadership of the pro-European Conservative Edward Heath -- was finally accepted into the EEC. But Heath was in a minority among Britain's Conservatives, who would spend the next generation arguing over Europe.

The centrists saw Europe as essential to Britain's trading and financial future in a world of titans. The "Little Englanders" as they were often scornfully described, thought Europeans elitist, given to endless bureaucracy and determined to undermine a millennium of English self-rule.

And the Germans and the French were usually the villains. When Jacques Delors, a Frenchman who was president of the European Commission, advanced the cause of deeper union, Margaret Thatcher famously told the House of Commons, "No, no, no." The tabloid Sun newspaper joined in with one of its most famous splash headlines: "Up Yours Delors."

It was no surprise, then, that Britain opted out of joining a single European currency under Thatcher's successor, John Major. The alternative was the implosion of the Conservative party. The euro (whose very name was squabbled over for months) was another Franco-German enterprise, but its backers had different motives.

For President Francois Mitterrand of France, it further bound Germany into a closer European union just when German unification -- after the collapse of the Berlin Wall -- threatened to make Germany the dominant continental power. For Helmut Kohl, then German chancellor, closer integration in defense, security and foreign policy was a prize worth the sacrifice of the deutsche mark (though few Germans agreed with him.)

Which brings us full circle. The euro came into being in 1999, but other targets (inflation, public debt, deficits) were at best patchily met. Europe had monetary union, but no fiscal union or convergence among national economies.

John Major recently revisited the "folly" of the scheme in an op-ed for the Financial Times. The "convergence of the powerful northern economies with southern Europe was unlikely," he wrote. Bad politics had taken precedence over sensible economics.

The British, of course, usually have a sporting metaphor for these European crises. After Major won an opt-out from the single currency and a "social chapter" aimed at establishing, for example, common labor standards, he declared, "game, set and match" for Britain. The prominent Conservative politician Boris Johnson said Prime Minister David Cameron "had played a blinder" (a uniquely Anglo-Saxon compliment) in Brussels -- after Cameron had refused to countenance a European financial services tax.

The Sun took aim at Sarkozy Friday: "Who do you think EU are?" screamed its headline.

As one European official puts it, the Brussels summit has given the European Union a vague road map and a not terribly accurate compass. Just who is coming along for the ride is not entirely clear, but Europe's third largest economy (or second if you use sources preferred by the British) is clearly not.

The words of German Chancellor Adenauer, spoken in 1954, are about to get one of those stress tests that banks are getting used to: "The unity of Europe was the dream of a few. It became the hope of many. Today it has become a necessity for all of us."

@highlight

Britain, Germany and France have long had a strange triangular relationship

@highlight

Britain has often been the odd man out, not fully buying into European unity

@highlight

Just who is coming along for the latest ride is not entirely clear