(CNN) -- When plans were announced to build a giant new transoceanic canal across Nicaragua, the young Hong Kong businessman leading the project acknowledged the widespread skepticism. "We don't want it to become an international joke," said Wang Jing, a 40-year-old with no significant engineering experience and a background he described as "very normal."

That was in June 2013, when the Nicaraguan legislature, controlled by President Daniel Ortega, had just allowed Wang to move forward with his five-year project .

It is not certain that the canal, which would be one of the most ambitious and expensive engineering projects on Earth, will ever get built. But it looks set to move forward, and even some of the most determined doubters are starting to reconsider.

Last Thursday, the government and Wang's company, Nicaragua Canal Development Investment, announced that construction will start on Dec. 22.

The development's estimated price tag -- $50 billion -- is four times the size of the entire Nicaraguan economy. The canal itself would be deeper, wider and longer than the Panama Canal, just a few hundred miles to the south. The Panama Canal's expansion is almost ready, which raises the question of why another costly canal is needed.

The Nicaraguan opposition has called the project the biggest scam in the country's history, and engineering experts are divided over whether the project is feasible.

Pedro Alvarez, chairman of civil engineering at Rice University, has expressed doubts that it will ever be completed. He worries that it will be abandoned. His greatest concern is severe damage to Lake Nicaragua, the largest freshwater reservoir in Latin America.

Other engineers say the quick turnaround between contract signing and construction leaves room for doubt that the plans are solid. And David Ashley, an engineering professor at the University of Nevada who was a consultant to the Panama Canal Authority, said the Panamanians examined the Nicaraguan idea and concluded that it did not pose a threat to their own expansion plans.

Mystery and suspicion have surrounded the proposal from the beginning. To this day, nobody understands who will pay. When Vladimir Putin made a surprise visit to Managua last July -- the first by a Russian president -- Nicaraguans wondered whether the canal figured in Russia's new geopolitical calculations.

But it is the Chinese government's role that has most people talking. The country is abuzz with rumors that Wang is a front for Beijing, which is looking for strategic security for its vital imports.

Wang, who was born in Beijing, has repeatedly denied the accusations. Nicaraguan officials also deny Russian involvement.

Wang was also in town last July, startling many Nicaraguans by revealing the exact route of the canal. The announcement made the project seem real, threatening the potential displacement of people living on its path and fueling concerns from environmental groups.

Chinese workers have started arriving for construction that will run from the Rio Punta Gorda on the Caribbean Coast to Brito on the Pacific. By some estimates, 30,000 people will have to be relocated to carve a path 172 miles long, up to 1,700 feet wide and 90 feet deep. The prospect is nothing short of alarming for those living in the area.

Demonstrators have launched at least a dozen protest marches, and an environmental lawyer has filed suit against the project at the Inter-American Commission on Human Rights, charging "The government has sold us to the Chinese."

The president says the project will mark a turning point in the country's development, creating tens of thousands of jobs and giving a long-term boost to economic growth.

But critics see something different. The idea of building a canal linking the Pacific and the Atlantic across Nicaragua dates back hundreds of years. This new, enigmatic venture, however, began almost as an Ortega family project. In 2012, the president sent his son Laureano to China. That's when Wang first made contact with the Ortegas. Not long after that, Wang was in Managua and by June of 2013, the president and the Chinese businessman signed the agreement to build the canal. The legislature quickly rubber-stamped it.

At home, critics say Ortega is relinquishing national sovereignty in order to help those close to him enrich themselves. Small farmers living along the planned path worry about displacement and environmental degradation. Environmentalists say the proposed route, which includes a large tract across Nicaragua's largest lake and its main water supply, will put the country at risk.

Whether or not Wang is a straw man for China's government, there is no question that a new Chinese-built waterway across Central America and a project of this magnitude would expand China's influence in the region. A transcontinental canal, of course, is an important strategic asset.

China's influence in Latin America is nothing new. Beijing has a voracious appetite for natural resources and very deep pockets. It is steadily supplanting the United States as the main trading partner in the region.

There is a difference between trade with China and trade with the United States. Commercial exchanges with American firms are, for the most part, conducted with the private sector of the United States, which has much weaker ties to the government in Washington than Chinese firms do with their central government.

Already China has become the top trading partner for major Latin American economies, notably Brazil and Chile. Beijing is lending  money to Latin America, developing multiple projects and making more business inroads. Economic ties tend to translate into political links.

The skeptics still doubt the canal will be built, but the ambitious time line signals the parties are serious. The biggest mystery surrounding the project, whether it would ever get off the ground, is about to be resolved.

@highlight

Frida Ghitis: Chinese man leads plan to build transoceanic canal through Nicaragua

@highlight

It would be one of world's most ambitious engineering projects, bigger than Panama canal

@highlight

She says it would boost China, not U.S., in Central America. Critics say Ortega pushing for it

@highlight

Ghitis: There are many skeptics, but project set to start Dec. 22. It's looking serious now