(CNN) -- The war between natives and immigrants is ending. The natives have won.

It was a bloodless conflict fought not with bullets and spears, but with iPhones and floppy disks. Now the battle between the haves and have-nots can begin.

The post-millennial "digital native," a term coined by U.S. author Marc Prensky in 2001 is emerging as the globe's dominant demographic, while the "digital immigrant," becomes a relic of a previous time.

The digital native-immigrant concept describes the generational switchover where people are defined by the technological culture which they're familiar with.

Read more: China looks to lead the Internet of Things

Prensky defines digital natives as those born into an innate "new culture" while the digital immigrants are old-world settlers, who have lived in the analogue age and immigrated to the digital world.

Although not Luddites, the immigrants struggle more than natives to adapt to hi-tech progress.

Read more: 'Father of the internet': Fight for its freedom

The author of "Teaching Digital Natives," whose success pushed him onto the speaking circuit, says the explosion of technology over the last 10 years is just the start of a symbiotic new world. Computers and handsets are becoming an extension of body and mind, creating a Cyborg-like population.

Prensky cites the 100-meter runner Oscar Pistorius, an athlete with prosthetic legs, as an example of how technology is used to enhance our lives. He told CNN: "For humans, what used to be this body of flesh and bone, all that is now just the center... Being human is a moving target."

The human race and its struggle to keep up with technology

Prensky says that at no time in history has technology moved so fast. Today the latest high-tech gizmos can be passe even before hitting the shop floors.

In the past -- during the post-industrial revolution era, for example -- accelerating technology has plateaued. So, with the meteoric rise of new social media outlets including Facebook, Twitter, YouTube and Skype, history suggests the world is overdue for a slowdown.

Read more: Why aren't robots doing my dishes yet?

But Prensky says this time, any slowdown in the digital age is a "myth," as innovation will only press forward "faster... And faster and faster."

He told CNN: "We are not going through a transition to another faze of stability, and that is the key point. People will always be behind now and that will be a stress they have to cope with."

The new norm

Connecting with one another in the modern world requires a knack for social networking and texting, which is the norm for the digital native. But for the immigrant, it can be akin to learning a whole new language.

Prensky illustrates his point with former director of the CIA David Petraeus. In November, he was embroiled in a scandal that revealed he had an affair with Paula Broadwell.

The FBI uncovered the affair while it investigated e-mails that Broadwell allegedly sent to a Petraeus family friend, Jill Kelley.

Prensky labels this naivety by immigrants as "digital stupidity" -- by assuming that when people decide to post online or send e-mails, they believe privacy is automatically applicable.

"People get frightened by change and they should be. They need courage to face the future these days, especially those who feel left behind." Prensky said. "People adapt instinctively and humans are very good at that. The young people live in the context; the older people see the changing context and struggle."

Digital poverty

As technology filters into every corner of the globe and tech cities spring up in some unlikely places from Bangalore to Tel Aviv, a new gulf is emerging to separate the digitally savvy from the disconnected: Poverty.

In India, over two-thirds of the population live on less than $2 a day, according to the World Bank. But a United Nations report still says that mobile phones are more common than toilets, with nearly half of India's 1.2 billion population armed with a handset.

Nishant Shah, a director at the Centre for Internet and Society in India, told CNN that defining natives and immigrants by generation is a "serious concern." According to Shah, Prensky's views were formed from the "privileged" position of living in the U.S.

Shah added: "[Prensky's] observations may describe a generation gap that the U.S. faced, but if you transplant the same definition to other parts of the world, natives are sometimes indistinguishable from immigrants."

The real fear for Shah is the new hierarchies created by digital literacy and the class systems that will be shaped by access to digital technologies.

The call of the developing world

As mobile networks extend their reach and areas become increasingly urbanized, Western tech companies are seeking to tap markets with large populations.

Last year, Finnish phone maker Nokia released a range of smart phones targeted at consumers in emerging markets, particularly in Asia, to compete with cheaper Android devices.

But Shah argues bombarding a country with technology and infrastructure is not a rounded solution to the digital poverty problem.

India, for example, has connectivity and access in abundance, but the country continues to suffer from a generation of "digitally poor classes." He argues that simply providing the equipment does not help young people understand how that technology can better their lives without education and training.

Shah told CNN: "Just because young people have tech access in India, it doesn't make them digital natives." He added, "It creates digital outcasts -- people whose supposed problem of access to the world has been resolved."

Prensky, however, believes a "networked planet" is a sign developing nations will soon close the digital divide. Even those who don't yet have the technology still know that it exists, and will have it before long.

The world in 2020

By 2020, Prensky predicts people across the globe will be plugged into the "AORTA," -- Always On RealTime Access -- a term coined by Mark Anderson, the chief of the Strategic News Service -- specializing in technology news. A future in which people are constantly able to access information and news from anywhere on the planet.

Shah says that the works of science fiction may offer the most accurate insight into our futuristic society.

He said: "The presents that we live in, are the futures that our pasts have imagined."

"Let us hope that the technologies of the future will also be designed to protect that which is sacred, and that which is important in our own understanding of being human."

@highlight

U.S. author Marc Prensky says that at no time in history has technology moved so fast

@highlight

Prensky defines digital natives as those born into "new culture" while the immigrants are old-world settlers

@highlight

Shah says that the works of science fiction may offer the most accurate insight into a futuristic society