Tokyo (CNN) -- The widening fallout from an increasingly volatile territorial dispute between China and Japan prompted a Japanese company to halt work at plants in China on Monday, and the United States to urge the two sides to avoid letting the situation spiral out of control.

The electronics company Panasonic said Monday that it was suspending operations at three plants in China after two of them were damaged amid violent anti-Japanese protests set off by the clash between Beijing and Tokyo over a group of small islands in the East China Sea.

Japan calls the islands Senkaku; China calls them Diaoyu.

Background: How remote rock split China, Japan

The United States, a key military ally of Japan, has called on the two sides to find a peaceful resolution to the disagreement, which is generating more and more unease in the region and starting to hurt economic links between the world's second and third largest economies.

"It's in everybody's interest for Japan and China to maintain good relations and to find a way to avoid further escalation," U.S. Defense Secretary Leon Panetta said Monday at a joint new conference in Tokyo with his Japanese counterpart, Satoshi Morimoto.

Despite describing the U.S.-Japan alliance as the "bedrock of peace and stability" in the Asia-Pacific region, Panetta reiterated that Washington doesn't take a position on competing sovereignty claims. He did, however, express concern about the demonstrations in China.

Parts of Panasonic's facilities in Qingdao, Shandong Province, and Suzhou, Jiangsu Province, were damaged by anti-Japanese protestors on Saturday, the company said. It is halting work at the factories until Tuesday, it said, as well as at a plant in Zhuhai, Guangdong Province, where some employees have staged a strike over the island issue.

Unrest took place in dozens of other cities in China over the weekend. Thousands of protesters hurled bottles and eggs outside the Japanese Embassy in Beijing on Saturday, expressing anger over Tokyo's announcement last week that it had acquired several of the disputed islands from a Japanese family to bring them under public ownership.

China declared the purchase to be "illegal" and sent six surveillance vessels to carry out patrols on Friday around the remote islands in an effort to underscore its claim to sovereignty.

The ships briefly entered Japanese territorial waters despite warnings not to do so, the Japanese Coast Guard said. The islands, situated in the East China Sea between Okinawa and Taiwan, are under Japanese control, but China claims they have been a part of its territory "since ancient times."

Asia's disputed islands -- who claims what?

The events last week ratcheted up the tensions between the two East Asian nations, where lingering resentment from past conflicts remains close to the surface.

That was in evidence in Beijing at the weekend. Waving Chinese national flags and holding portraits of the late leader Mao Zedong, the mostly young protesters chanted "down with Japanese imperialism" and called for war as they made their way down the streets under the watchful eyes of police and guards.

Messages and photos posted on Chinese social media sites showed angry mobs in numerous cities ransacking Japanese stores and restaurants as well as smashing and burning cars of Japanese make.

In the southern industrial city of Shenzhen, near Hong Kong, a protest Sunday in front of a local Communist Party office over the island dispute descended into violence when the security forces moved in, said resident Ronald Rossi.

The demonstrators began smashing large plant pots and other objects in the street so they could throw the shards at the police, Rossi said. The anti-Japanese tone of the protest was clear from the slogans and images on display, he added.

Japanese news media organizations have also reported incidents of assaults on Japanese citizens in China in the past few days. A Chinese foreign ministry spokesman insisted Friday that the public anger was not aimed at the Japanese people, whose safety would be protected in China according to law.

The authorities rarely permit protests in China, prompting suspicion that the nationwide rallies over the weekend were government-sanctioned. In Beijing, police walking alongside the demonstrators were seen to ask spectators to join in instead of blocking the street.

By Saturday night, China's state-run media had started appealing for restraint, running commentaries that condemned violence and lectured the public on the expression of patriotism. In a sign of rising concern over the gathering of large crowds, the authorities in cities that had seen the most ferocious protests canceled entertainment and sporting events.

"Violence cannot be tolerated simply because the protests are aimed at Japan," said an editorial published Monday by the Global Times, a newspaper affiliated with the ruling Communist Party.

On Monday morning, the streets leading to the Japanese Embassy in Beijing appeared to blocked off by the authorities.

After his meetings in Japan, Panetta is due to travel to China, where he will meet with "top military and civilian leaders including Defense Minister Gen. Liang Guanglie," according to the Pentagon.

Animosity between China and Japan over the disputed islands runs deep.

They have come to represent what many Chinese see as unfinished business: redressing the impact of the Japanese occupation of large swathes of eastern China during the 1930s and 1940s.

China says its claim goes back hundreds of years. Japan says it saw no trace of Chinese control of the islands in an 1885 survey, so formally recognized them as Japanese sovereign territory in 1895.

Japan then sold the islands in 1932 to descendants of the original settlers. The Japanese surrender at the end of World War II in 1945 only served to cloud the issue further.

The islands were administered by the U.S. occupation force after the war. But in 1972, Washington returned them to Japan as part of its withdrawal from Okinawa.

A public initiative begun in April this year by the outspoken governor of Tokyo, Shintaro Ishihara, to raise money to acquire the islands for the city authorities set off a new cycle of tensions that included civilian protesters from both sides landing on the islands to stake their nations' claims.

Ishihara's move put pressure on the government of Prime Minister Yoshihiko Noda to step in with its own bid, which resulted in the controversial deal last week with the Kurihara family, the private owners up until that point.

Japan's attempts to portray the purchase as a routine internal real-estate transaction, with the islands passing from one Japanese owner to another, has failed to placate the Chinese authorities.

CNN's Junko Ogura reported from Tokyo and Jethro Mullen from Hong Kong. CNNs Stan Grant in Beijing contributed to this report.

@highlight

NEW: Panetta urges both sides to "avoid further escalation"

@highlight

Two Panasonic factories are damaged from anti-Japanese protests, the company says

@highlight

Demonstrations in China over the weekend turned violent at times

@highlight

Tensions have risen between Tokyo and Beijing over a disputed set of islands