(CNN) -- Slavery is the most abhorrent chapter in America's history. Everyone knows it happened, but few people know much about it or want to think about it. Which means that it's not exactly something that pops up with regularity in popular entertainment--even though slavery's legacy, 150 years after the Emancipation Proclamation, is still very much with us.

This makes the release of "12 Years A Slave" something of a major historical-cultural event. The film, which opens Friday with an A-list cast--Chiwetel Ejiofor, Michael Fassbender and Brad Pitt--is based on the memoir of Solomon Northup, a free black man kidnapped in 1841 in Washington and sold into slavery in New Orleans. Uncompromising and extremely violent, "12 Years" refuses to downplay the racism, brutality and crude Darwinian mindset that typified the "peculiar institution."

This is not "Django Unchained," which was a blend of spaghetti Western, Blaxploitation flick and whatever else popped into Quentin Tarantino's genre-fevered brain. And it's not last year's "Lincoln," a film that was about emancipation but was so genteel in its approach, it skipped the part about plantation culture.

'The Butler' reflects America's racial conversations

"12 Years a Slave" is easily the most hard-hitting portrayal of slavery since the 1977 TV blockbuster "Roots." It is the kind of film that many people will avoid, in part because of its depiction of everything from the surrealism of slave markets to whippings, rapes, hangings and the myriad ways in which slave owners terrorized and ruled over their property.

It's also a movie that Americans need to see, if they are to better understand their country. It's an uncomfortable reminder that the legacy of this once deeply rooted institution continues to resonate in our society, whether it is the current fight over voter ID laws in states like Texas and North Carolina that disproportionately affect minorities; the fact that the African-American incarceration rate, fueled by years of poverty and racism, is six times the national average, and the unemployment rate for blacks is double that of whites; or the continued high rate of out-of-wedlock births among contemporary black women.

A country that refuses to confront its past is a country in denial. "12 Years A Slave" startles the viewer like a slap in the face, and the film is even more astonishing since it is the work of Steve McQueen, a black British director who said during a press conference at the Toronto International Film Festival that he was particularly interested in the subject because it "is about how to survive an unfortunate situation." Yet he also admitted that "I made this movie because I want to tell a story about slavery and a story that hasn't been given a platform in cinema. ... If that starts a conversation, wonderful."

That conversation has long been virtually ignored by the mass media, which has treated the subject of slavery as if it were the bastard child of American history rather than an original sin that must be faced.

For most of the last century, movies and TV in the pre-Civil Rights era, always sensitive to race issues and how they might affect box office in the Southern states, either ignored slavery or sugar-coated it. Films like "Gone With the Wind," for example, glamorized the antebellum South. The harsh realities of field work were almost never shown, most slave owners were benevolent, and slaves, most of whom tended to work in the big house, were basically ordinary servants (who could be bought and sold at will and worked without pay, of course), devoted to their masters.

When that story wasn't enough, the most lurid aspects of the slave trade were front and center -- in particular, interracial sex between slave and master, depicted in films like "Mandingo," "Drum" and 1957's "Band of Angels," in which good-guy slave master Clark Gable buys beautiful mulatto Yvonne De Carlo and then falls in love with her. Needless to say, none of these films bothered to fully explore the political and power dynamics involved.

Must-see African movies of the 21st century

"Roots" helped changed the narrative. The massively popular miniseries followed the slave Kunta Kinte (played by LeVar Burton) from his African home to the Middle Passage, a Maryland slave auction and plantation life in Virginia. It featured an aborted slave revolt, whippings, torture, rape and other horrors.

But despite Roots' enormous audience (the final episode was watched by 100 million people) the subject of slavery did not return soon. When filmmakers did try to address it, they were met with indifference - films like "Amistad," "Beloved" and "Glory" drew critical praise but failed to gain much traction at the box office.

Will "12 Years A Slave" change all that? Already critically praised and the winner of the People's Choice Award at the Toronto Film Festival, the film is being touted as a serious Oscar contender. Yet whether moviegoers beyond the art house crowd will continue to duck McQueen's "conversation" and this lesson in American depravity is another matter altogether.

"12 Years A Slave" tells us how we got to where we are today racially. It is not a story that Confederate flag wavers, states' rights advocates, talk radio stalwarts and all too many other Americans want to entertain. I can just hear them saying "Slavery ended 150 years ago. Get over it."

It did, and it didn't. And that's the point.

The opinions expressed in this commentary are solely those of Lewis Beale.

@highlight

Lewis Beale: Slavery a stain on America, but few people want to know much about it

@highlight

He says it's essential to confront this past to understand how slavery's legacy is still with us

@highlight

The film "12 Years a Slave" is brutal, unstintingly realistic. Few movies have dared to be

@highlight

Beale: The film tells us how we got to where we are today racially. Will people watch?