(CNN) -- Is anyone surprised that more than half of births to American women under 30 now occur outside of marriage? Or that marriage is losing ground in Middle America?

What's the big deal? After all, some Americans believe that "marriage is just a piece of paper," while others think that fathers are no longer essential.

Despite these worrisome statistics and views, the institution of marriage is not disappearing in American life.

Marriage is certainly not in trouble for the privileged and powerful. Forget Kim Kardashian, Arnold Schwarzenegger or Tiger Woods. In spite of the high-profile marital misbehavior of a few politicians, professional athletes and Hollywood starlets, marriage is actually growing stronger, in many respects, among educated and affluent Americans.

For Americans with a college degree, divorce is down, marital quality is stable, and family stability is up since the divorce revolution of the 1970s and early 1980s, according to research I have conducted.

However, marriage is in trouble not only in poor communities but also increasingly in Middle America -- communities where most people have a high school degree but not a four-year college degree. For Americans without a college degree, divorce remains high, marital quality is falling, and nonmarital childbearing is surging.

The problem with the growing marriage divide in America is that children -- and men -- often pay a big price.

For instance, research indicates that boys who are reared outside of marriage are about twice as likely to end up in prison by the time they turn 30, compared with boys raised in an intact, married home. Similarly, studies show that girls raised in fatherless homes are at least twice as likely to end up pregnant, compared with girls raised in intact, married homes with their fathers.

In general, children born and raised in a married household are more likely to graduate from college, find employment and enjoy stable marriages as adults.

Likewise, married adults are happier and less depressed than their unmarried peers. And because they work harder, act more strategically and carefully after they tie the knot, men enjoy a wage premium that may exceed 10% compared with their single peers. Married men are also much less likely to abuse alcohol, drugs or run into trouble with the law, compared with their unmarried peers. In the words of Nobel Laureate George Akerlof, an economist at the University of California, Berkeley, "Men settle down when they get married: If they fail to get married, they fail to settle down."

Thus, the problem with the retreat from marriage in poor and working-class communities is that fewer children, not to mention adults (especially men), benefit from the meaning, direction and stability afforded by an intact, family life. Conversely, American adults and children hailing from more educated communities and affluence are more likely to be doubly blessed with high levels of income and education as well as strong and stable families.

There are at least two ways to bridge the growing marriage divide. First, liberals correctly note that one reason marriage is disappearing is that men in poor and working-class communities are having greater difficulty finding stable, decent-paying jobs -- particularly as manufacturing jobs head overseas. Our government should aim to strengthen vocational education and job programs in these communities.

Conservatives are also correct to point out that the cultural foundations of marriage have weakened in poor and working-class communities. For instance, since the 1970s, less-educated Americans have become more accommodating of divorce, whereas college-educated Americans have become more intolerant of divorce and are in fact, more likely to embrace what I call a marriage mind-set.

Accordingly, policymakers should consider a public health campaign to educate people, especially those in poor and working-class communities, about the value of marriage and fatherhood, much like they have educated the public about the dangers of smoking and drunken driving. Such a campaign may seem quixotic, but the evidence suggests such campaigns can drive behavioral changes.

Given the importance of a strong and stable family life in children's lives, our leaders should take actions that will strengthen the institution of marriage. The alternative is a future where children from some communities are consigned to increasingly unstable and unhappy homes. That is simply not acceptable.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of W. Bradford Wilcox.

@highlight

More American women under 30 are having kids outside of marriage, research shows

@highlight

W. Bradford Wilcox: Marriage grows stronger among educated but less so among the poor

@highlight

Wilcox: Children and men often pay a big price when they are not in a married home

@highlight

He says policymakers should take actions to strengthen the institution of marriage