(CNN) -- If you told me eight years ago I'd end up writing an article extolling the virtues of Los Angeles, I would have laughed.

I moved to the City of Angels in 2004 reluctantly. I had a great job offer for a newly minted position as the Supervising Producer of CNN's Entertainment Unit. There was just one problem: It was in L.A. Flash forward to 2012, and I proudly call Los Angeles home. But the road to loving my city certainly had its potholes and traffic jams.

A sage Los Angeles resident offered some excellent advice that's useful for anyone contemplating a move: Don't come to a conclusion about a place before you've lived there at least a year. So I suspended judgment and decided to look at the city with fresh eyes. Here's what I saw:

In Southern California, you can view snow-capped mountains from a warm sandy beach. You can surf and ski or snowboard in the very same day, should you choose. Our city is defined and criticized for its car culture, but we have access to the most amazing surfing, biking and hiking trails in the Santa Monica Mountains and beyond. Deserts, old growth forests and lakes are all within easy reach.

When people come to visit, I drop the top on my old convertible and take them up the Pacific Coast Highway into Malibu, through Topanga Canyon down the 101 (immortalized in the America song "Ventura Highway") into "The Valley" and then on to Mulholland Drive, where the winding road along a ridgeline provides breathtaking views. It's a trip that offers visitors an immediate snapshot and understanding that Los Angeles is not a flat, squalid concrete jungle. It has curves, sexy curves.

Photos: The glamour of Los Angeles

Our incredible natural resources are only enhanced by our weather. The year-round warm temperatures draw visitors from around the world to our miles of golden, sandy beaches. Southern Californians love their bikes, motorized or otherwise. Readers of a certain age will remember the opening from the '70s sitcom "Three's Company," where roommates Janet, Chrissy and Jack ride their bikes down a pathway on the beach in Santa Monica. I live 10 blocks from that very same bike path and love riding my beach cruiser to Venice for an icy cold beer at the Candle CafÃ© with good friends.

Los Angeles is criticized for not having a defined city center, but I'd counter with the assertion that our many different "centers" are a positive. Each neighborhood has a distinctive flavor and appeal. The Hollywood Hills offers homes with little street appeal and amazing views. There's the always-posh Beverly Hills, and Silverlake and Los Feliz are hipster heaven, albeit hipsters with bank accounts. Brentwood seems to have its share of agents, psychiatrists and TV producer types.

The beach vibe is like most coastal communities, relaxed and low-key. Westwood is packed with students, and driving down Western Boulevard through Koreatown, you're hard-pressed to find a sign in English. On the edge of Hollywood, Thai Town and Little Armenia merge and intertwine; the written languages, to my untrained eye, look similar. I shop in the Korean and Thai markets tucked away behind dazzling gold statues, and get the most amazing hummus and sujuk from an Armenian restaurant with the worst lighting.

Speaking of food, Los Angeles' ethnically diverse population offers an incredible array of restaurants and eating experiences. You can get great BBQ in Koreatown, fabulous banh mi from a food truck, a steamy pupusa from a number of tiny strip mall restaurants, and homemade tamales from the guy who rolls his cooler down the street every Sunday morning yelling "Tamales, tamales here." Local food critic Jonathan Gold built his career chronicling L.A.'s diverse cuisine; he was the first food writer to win a Pulitzer Prize for criticism.

On Sundays, the Hollywood Farmer's Market takes over two streets and four blocks. It's a great way to spend a morning strolling between stalls, choosing from produce that was picked just days before at the height of ripeness. I once heard an Aussie extolling the virtues of basil from a particular herb stand. I turned and realized it was the late Heath Ledger, with Michelle Williams, their new baby Matilda Rose and Jake Gyllenhaal. The very produce we ship across the nation is at our fingertips, and you can taste the difference.

Not only are the vegetables lush, so is the vegetation. Outside my kitchen window is a Bird of Paradise. Most people see them in flower arrangements, but here it's the size of a small palm tree. Bougainvillea blooms year round, palm trees are everywhere dotting the skyline like enormous chrysanthemums and ficus trees reach the size of old growth oaks, reminding you that California is a very hospitable place to grow and bloom on many levels.

Photos: Hollywood and beyond

If you happen to like sports, we have the Dodgers, and while the team has had its woes, my co-worker David Daniel (an L.A. native) reminds that "they play in a real league without the designated hitter." Speaking of baseball, CNN reporter Casey Wian loves the fact that the late Casey Stengel, the Hall of Fame manager of the Yankees, Mets and Brooklyn Dodgers, called Glendale home. Some will cite our lack of a football team, but if you're comparing us to New York, just remember that the Giants and the Jets both play in New Jersey. Oh, and let's not forget the Lakers, designated the most valuable NBA franchise by Forbes magazine. Their 16 championships, five of which came in this millennium, don't hurt either.

When people judge Los Angeles, many criticize it for being plastic and fake. If you just scratch the surface of the city that might be all you see, but don't forget Los Angeles is home to an enormously creative population. Much of your entertainment is generated here. The musicians, artists, writers, producers, photographers and directors who call Los Angeles home also imbue the city with an incredible energy. It's palpable in our bars, restaurants and on our streets. It's infectious; we clap during credits at the end of movies because we know how much work goes into making that two-hour film and we applaud the effort.

In Los Angeles, we know hard work, we know how to meet the deadline and we know how to get the job done. The difference here is that we just don't stress the journey. It may have a few potholes and traffic jams, but it also comes with a double helping of sun, sand, surf and smiles. The City of Angels is a heavenly place, and even though it's not for everybody, we're sort of happy to keep it that way.

Are you a hardcore New Yorker or surfing Angeleno? Vote in the poll above, defend your city of choice on CNN iReport, and share your tips for visitors. We'll reveal the winning city in an upcoming story.

@highlight

As part of our Destination USA series, we pit rival cities and let you decide which is best

@highlight

First up, the classic city smackdown: New York vs. Los Angeles

@highlight

CNN's Jennifer Wolfe explains how she became an unlikely L.A. fan

@highlight

Fight for your city! Show us why you think New York or L.A. is better on CNN iReport