Rome (CNN) -- A group representing survivors of sexual abuse by priests named a "Dirty Dozen" list of cardinals it said would be the worst candidates for pope based on their handling of child sex abuse claims or their public comments about the cases.

The list names three U.S. Roman Catholic cardinals and nine from other countries.

Watch for the smoke: How is a new pope elected?

SNAP, the Survivors' Network of those Abused by Priests, said as it released the list Wednesday that its accusations were based on media reports, legal filings and victims' statements.

A representative for one of the cardinals on list dismissed the group. The remaining cardinals or their representatives couldn't be immediately reached by CNN for comment Wednesday.

"I'm not going to respond to this group which has little to no credibility," said Joseph Zwelling, a spokesman for Cardinal Timothy Dolan of New York.

When asked about the SNAP list, the Rev. Federico Lombardi, a spokesman for the Vatican, told CNN: "We believe it is not up to SNAP to decide who comes to conclave and who is chosen. ... cardinals can decide themselves without asking SNAP for advice."

Lombardi and another Vatican spokesman, the Rev. Thomas Rosica, read the SNAP press release together, Rosica said. Lombardi declined to comment further.

The two other U.S. cardinals on the list are Sean O'Malley of Boston and Donald Wuerl of Washington, D.C., the group said.

A spokeswoman for Wuerl declined to comment.

The others listed are Leonardo Sandri of Argentina, George Pell of Australia, Marc Ouellet of Canada, Dominik Duka or the Czech Republic, Peter Turkson of Ghana, Oscar Rodriguez Maradiaga of Honduras, Tarcisio Bertone and Angelo Scola of Italy, and Norberto Rivera Carrera of Mexico, the group said.

Not all of them are linked to alleged coverups of sexual abuse, SNAP said. Some were placed on the list because of their public remarks related to the abuse scandal, SNAP said.

On Monday, SNAP also called for some of the older cardinals to remove themselves from the meetings held before the election of the new pope, arguing that some have been accused of complicity in protecting priests accused of sexually abusing children.

Cardinals from around the globe have been summoned to Rome to take part in the process of choosing the next pontiff, after the resignation of Pope Benedict XVI last week.

As of midday, 113 of the 115 cardinals eligible to elect the new pope are in Rome, according to Lombardi. To be eligible to be a part of the group, a cardinal must be under the age of 80.

The two cardinal-electors who are not yet there are Kazimierz Nycz of Warsaw, who was due to arrive later Wednesday, and Jean-Baptiste Pham Minh Man of Vietnam, who is arriving Thursday.

Interactive: A look at possible papal contenders

No date has yet been proposed for the secret election, or conclave, to select the former pontiff's successor.

Meanwhile, a new study says American Catholics view sex abuse by clergy as the most important problem facing the church today, according to the Pew Forum on Religion and Public Life.

When asked to put in their own words what's the most pressing issue facing their church, 34% of the U.S. Catholics questioned cite pedophilia, sex abuse or another phrase for the same problem, Pew said. No other problem received a more than 10% response; the next biggest issue named is low trust and low credibility, at 9%, Pew said.

'Silence didn't work'

SNAP is intentionally focusing on candidates with a realistic chance of being named pope, its executive director David Clohessy said Wednesday as the group released its list.

"The single quickest and most effective step would be for the next pope to clearly discipline, demote, denounce and even defrock cardinals and bishops who are concealing child sex crimes. We think that's the missing piece," he said.

The new pope should order each bishop around the world to hand over "every piece of paper he has on proven, admitted or credibly accused child-molesting clerics to law enforcement," Clohessy said.

Barbara Dorris, victims' outreach director for SNAP, said: "The short answer is we've tried silence, silence didn't work, so we have to speak out. We have to do everything we can to get this information out there."

The Catholic Church has been rocked by a series of child sex abuse scandals in recent years -- and the new pope will be under pressure to deal more effectively with a crisis that has shaken public confidence in the church.

SNAP says it's vital to look at how the world's bishops have handled claims of abuse by priests because the crisis is far from over.

"This scandal, we believe, has yet to surface in most nations. It's shameless spin and deliberate deception to claim otherwise. It's tempting to reassure the public and the parishioners by making this claim. But it's also irresponsible," a statement on SNAP's website said.

"Clergy sex crimes and coverups remain deeply hidden in the vast majority of nations (where most Catholics live), and has really only become widely known -- and barely addressed -- in the U.S. about a decade ago and in a few European countries even more recently."

What's in a name? Clues to be found in next pope's moniker

Media leaks concern

A news conference scheduled by American cardinals for Wednesday, following media briefings on Monday and Tuesday, was canceled at short notice.

Asked if the Vatican had told the American cardinals to stop their daily media briefings, Vatican spokesman Rosica suggested that the details of what was discussed in the general congregations were not meant to be publicized.

"It's not up to Father Lombardi or myself to tell them what to do," he said. "It could be that among themselves they realized that there are different ways and different methods of getting things out."

Sister Mary Ann Walsh, director of media relations for the U.S. Conference of Catholic Bishops, said via e-mail that the U.S. cardinals were committed to transparency and had wanted to share "a process-related overview of their work" with the public "in order to inform while ensuring the confidentiality" of the general congregations.

"Due to concerns over accounts being reported in the Italian press, which breached confidentiality, the College of Cardinals has agreed not to give interviews," she said.

In total, 153 cardinals gathered Wednesday at the Vatican for a third day of meetings, known as general congregations, before they set the timetable for the election.

The cardinals spoke about new evangelization, restructuring of the church hierarchy, or curia, and the need for good governance of the church, Lombardi said.

A five-minute limit has been imposed on cardinals speaking at the meetings, although the microphone is not being switched off if they run over the time allowed.

The cardinals have decided to meet twice Thursday, in the morning and afternoon, in order to "intensify the rhythm of work," Lombardi said.

Video shown at a Vatican news conference showed workers preparing the Sistine Chapel for the secretive conclave.

An elevated floor is being put in place to protect the elaborate mosaic tiling, said Lombardi, where seats will be placed for the cardinals.

The Sistine Chapel and its ornate ceiling by Michelangelo are normally a must-see for tourists in Rome, but it was closed to the public beginning Tuesday afternoon to allow for preparations to take place.

CNN's Richard Allen Greene and Hada Messia reported from Rome, and Laura Smith-Spark reported and wrote in London. CNN's Michael Martinez also contributed to this report.

@highlight

NEW: Rep for D.C. cardinal declines to comment

@highlight

Group "has little to no credibility," says spokesman for New York cardinal

@highlight

Cardinals won't give any more interviews because of leak concerns, U.S. nun says

@highlight

Vatican says it's not up to priest abuse survivors' group to decide what cardinals do