As the search for a missing Malaysia Airlines jet entered a sixth day Thursday, investigators remained uncertain about its whereabouts.

Here's a summary of what we know and what we don't know about Flight 370, which was carrying 239 people when it disappeared from radar screens over Southeast Asia.

THE FLIGHT PATH

What we know: The Boeing 777-200ER took off from Kuala Lumpur, the Malaysian capital, at 12:41 a.m. Saturday (12:41 p.m. Friday ET). It was scheduled to arrive in Beijing at 6:30 a.m. the same day, after a roughly 2,700-mile (4,350-kilometer) journey. But around 1:30 a.m., air traffic controllers in Subang, outside Kuala Lumpur, lost contact with the plane over the sea between Malaysia and Vietnam.

What we don't know: What happened next. The pilots did not indicate any problem to the tower, and no distress signal was issued. Malaysian military officials cite radar data as suggesting the plane might have changed course. But the pilots didn't tell air traffic control that they were doing so.

Malaysian officials say they are still trying to determine if a radar blip detected heading west soon after the plane lost contact was in fact the missing jet. If it was, the plane would have been hundreds of miles off its original flight path and headed in the wrong direction. Malaysian officials say they have asked U.S. experts to help them analyze the radar data.

We don't know why the plane would have turned around. While one expert tells CNN the plane's possible deviation could mean someone deliberately turned the plane around, another expert says power failure could have disrupted the main transponder and its backup, and the plane could have flown for more than an hour.

Adding to the puzzle, the Wall Street Journal reported Thursday that the plane may have kept flying for a further four hours after its last reported contact. The newspaper attributed the information to two unidentified people who were citing data automatically transmitted to the ground from the passenger jet's engines. CNN has so far been unable to confirm the report.

'We have to find the aircraft'

THE PASSENGERS

What we know: There were 239 people on board: 227 passengers and 12 crew members. Five of the passengers were younger than 5 years old. Those on board included a number of painters and calligraphers, as well as employees of an American semiconductor company.

According to the airline, the passengers' 14 nationalities spanned the Asia-Pacific region, Europe and North America. Passengers from China or Taiwan numbered 154, followed by Malaysians, at 38. There were three U.S. citizens on the plane. Four passengers had valid booking to travel but did not show up for the flight, according to the airline. "As such, the issue of off-loading unaccompanied baggage did not arise," it added Tuesday in a prepared statement.

What we don't know: Whether any of the passengers had anything to do with the plane's disappearance.

Friends tell of fears as hopes dim for passengers

THE PASSPORT MYSTERY

What we know: Two passengers boarded the plane using stolen passports. Authorities have identified them as Pouri Nourmohammadi, 18, and Delavar Seyed Mohammad Reza, 29, both Iranians. Malaysian police believe Nourmohammadi was trying to emigrate to Germany using the stolen Austrian passport. The men entered Malaysia on February 28 using valid Iranian passports, according to Interpol.

The use of the stolen passports had raised concern that the people who used them might be involved in the plane's disappearance. But officials have said they think it is unlikely the Iranian men had links to terrorist groups. Malaysian police said Nourmohammadi's mother contacted them after her son didn't arrive in Frankfurt as expected.

"The more information we get, the more we're inclined to conclude that it was not a terrorist incident," Ronald Noble, the secretary general of the international police organization Interpol, said Tuesday.

What we don't know: More details about the two men, particularly Reza. Malaysian officials and Interpol also gave slightly different information for Nourmohammadi's name and age. It was unclear what caused the discrepancy. Would-be immigrants have used fake passports to try to enter Western countries in the past. And Southeast Asia is known as a booming market for stolen passports.

THE SECURITY SCREENING

What we know: Interpol says the passports were listed as stolen in its database. But they had not been checked from the time they were entered into the database and the time the plane departed. Noble said it was "clearly of great concern" that passengers had been able to board an international flight using passports listed as stolen in the agency's database.

What we don't know: Whether the passports had been used to travel previously. Interpol says it's "unable to determine on how many other occasions these passports were used to board flights or cross borders." Malaysian authorities are investigating the security process at the airport in Kuala Lumpur, but have insisted it meets international standards.

How does a jet go missing?

THE CREW

What we know: The crew members are Malaysian. The pilot is Capt. Zaharie Ahmad Shah, a 53-year-old veteran with 18,365 flying hours who joined Malaysia Airlines in 1981. The first officer, Fariq Ab Hamid, has 2,763 flying hours. Fariq, 27, started at the airline in 2007. He had been flying another jet and was transitioning to the Boeing 777-200 after having completed training in a flight simulator.

What we don't know: What went on in the cockpit around the time the plane lost contact with air traffic controllers. The passenger jet was in what is considered the safest part of a flight, the cruise portion, when it disappeared. The weather conditions were reported to be good. Aviation experts say it's particularly puzzling that the pilots didn't report any kind of problems before contact was lost.

THE SEARCH

What we know: Dozens of ships and planes from various countries have been scouring the South China Sea near where the plane was last detected. Debris spotted in the area has turned out to be unrelated to the plane. Similarly, an oil slick in the search area was determined to be from fuel oil typically used in cargo ships, not from the plane. Vietnamese searchers found no trace Thursday of "suspected floating objects" detected in Chinese satellite imagery near the plane's last confirmed location.

What we don't know: Whether the search is concentrating on the right place. Authorities initially focused their efforts around the mouth of the Gulf of Thailand, near the plane's last known position. But they have expanded efforts westward, off the other coast of the Malay Peninsula, and northward into the Andaman Sea, part of the Indian Ocean.

On Wednesday, authorities announced that they'd widened the search area to nearly 27,000 square nautical miles (35,000 square miles).

Jet was 'at safest point' in flight

THE CAUSE

What we know: Nothing. "For the aircraft to go missing just like that ... as far as we are concerned, we are equally puzzled as well,"  Azharuddin Abdul Rahman, director general of the Malaysian Civil Aviation Department, said this week. The aircraft model in question, the Boeing 777-200ER, has an excellent safety record.

What we don't know: Until searchers find the plane and its voice and data recorders, it may be difficult to figure out what happened. CNN national security analyst Peter Bergen says the range of possible reasons behind the disappearance can be divided into three categories: mechanical failure, pilot actions and terrorism. But all we have are theories.

THE PRECEDENT

What we know: It's rare, but not unprecedented, for a commercial airliner to disappear in midflight. In June 2009, Air France Flight 447 was en route from Rio de Janeiro to Paris when communications ended suddenly from the Airbus A330, another state-of-the-art aircraft, with 228 people on board. It took five days to locate the first piece of debris from that plane -- and nearly two years to find the bulk of Flight 447's wreckage and most of the bodies in a mountain range deep in the Atlantic Ocean. It took even longer to establish the cause of the disaster.

What we don't know: Whether what happened to the missing Malaysia Airlines plane is similar to what happened to the Air France flight. Investigators attributed the Flight 447 crash to a series of errors by the pilots and their failure to react effectively to technical problems.

How traffic control keeps you safe

@highlight

The WSJ reports the plane may have flown for four hours after its last known contact

@highlight

A multinational search over a 35,000-square-mile area is under way at sea

@highlight

Malaysian officials say they are analyzing radar data from after the plane lost contact

@highlight

They are trying to determine if a blip on the radar heading west was in fact the plane