(CNN) -- It's been a great week for Cleveland. On Monday, the Republican National Committee announced its intention to hold the 2016 GOP convention in Cleveland. Then on Friday, LeBron James said he was "coming home" to the Cavaliers.

While sports analysts have universally praised the decision by "King James," political observers have not been as kind to the Republicans. The consensus is that the location of political conventions doesn't affect elections. To a degree, this conclusion is supported by the political science literature, particularly a 2004 study by Richard Powell at the University of Maine, which found that parties gained no significant electoral benefits in states where they held conventions.

One has to be careful, however, about reading too much into these past election results. After all, we only have one presidential election every four years. That means in the last 50 years, we have only 13 data points. Since each party holds a convention, perhaps that number can be doubled. Still, when looking at conventions, there is the additional problem of looking at all states as if they were equal.

More than half of the 26 conventions held since 1964, however, occurred in only four states (Florida, New York, California and Texas). Moreover, the convention in Cleveland will be just the start of a major investment of time and money by the GOP in the Buckeye State. Clearly this was not the case in New York and Massachusetts, for example, where the Republicans and Democrats held their conventions in 2004.

While it is true that the outcome of the 2016 race will not be determined solely by where the political conventions are held, this early choice might help Republicans at the margins. In our 50-50 nation, anything that moves the needle, even slightly, in one direction or the other, is important -- especially if that movement is in Ohio. It is very difficult to construct a plausible winning 2016 electoral map for Republicans that does not include Ohio.

It is difficult to exaggerate just how evenly divided the two major parties are in Ohio. For example, if one adds up all the Democratic votes for president between 2000 and 2012, and then compares that number to all the corresponding Republican votes during that same period, the difference is only about 150,000 votes out of more than 21 million cast. This comes out to a difference of less than 1%. There is no reason to think, therefore, that the election won't be very close in Ohio in 2016.

And this is where the choice of Cleveland becomes very interesting. For Republicans, the path to victory in Ohio runs directly through what Ohioans call the "three C's": Cleveland, Columbus and Cincinnati.

More accurately, the election depends on the final tallies in the three counties that contain these cities: Cuyahoga (Cleveland), Franklin (Columbus) and Hamilton (Cincinnati). These are by far the three largest counties in the state, which, taken together, account for nearly 30% of the population of Ohio.

If, on election night in 2012, you began tabulating the vote in Ohio using these counties first, Republicans would have been seen as starting out behind by 413,590 votes. Working though the remaining 85 counties, the Republicans were not able to overcome this deficit, though they narrowed the gap to 166,272 votes.

In comparison, the last time Republicans won Ohio (2004), Democrats came out of these three urban counties ahead by only 252,594 votes. It is not that Republicans have to actually win in any of these counties to win Ohio (they lost two out of three in 2004). They just have to narrow their losses.

The problem for the GOP is that the trend is getting worse. Even though President Obama's margin of victory in Ohio dropped by almost 100,000 votes between 2008 and 2012, the Republican vote gap in these three countries increased by nearly 10,000 votes. Republicans simply cannot hope to win Ohio if they continue to do worse and worse in the three largest counties.

But can the GOP use a Cleveland convention to turn this tide? Simply selecting Cleveland over the other finalist, Dallas -- pierogies over porterhouses -- sends a good message to the thousands of working-class voters who live in these counties. The millions of dollars that will flow into the coffers of Cleveland and Cuyahoga County because of the convention will also not hurt.

Finally, there is a wild card that is precisely the kind of nuance that is often passed over by statistical analyses of past election results.

A convention in Cleveland will allow the Ohio GOP to remind Cuyahoga County voters, and urban voters throughout Ohio, that they once supported Republicans. Without a doubt former Ohio governor, senator, and perhaps most importantly, Cleveland mayor, Republican George Voinovich, will be prominently featured in his home city convention. It bears noting that Voinovich carried all three counties during both his gubernatorial campaigns.

In the end, the analysts may be right and, despite holding their convention in Ohio, Republicans will still lose both Ohio and the national election in 2016. Hillary Clinton, the likely Democratic nominee, is very popular in Ohio. On the other hand, if Republicans do manage to capture both the state and the White House, it will be hard to not give some credit to the GOP leaders who decided to take their convention to Cleveland. And although it is too early to speculate, we should not discount the fact that two Ohioans, Sen. Rob Portman and Gov. John Kasich, have at least a shot at standing on the stage in Cleveland accepting their party's nomination for president.

Join us on Facebook.com/CNNOpinion.

@highlight

Paul Sracic: The selection of Cleveland to host the GOP convention makes a lot of sense

@highlight

Ohio has been a key state in presidential elections, and every little bit helps, he says

@highlight

Three counties -- Cuyahoga, Franklin, Hamilton -- will likely determine the next president