(CNN) -- To start with, Cordell Jude was hungry.

He was 22, the spring days were growing longer and the temperature in Phoenix had climbed to 80 degrees that Tuesday in April 2012.

It was not much cooler as the sun slipped behind the Sierra Estrella mountains, so shortly before 8 pm, Jude drove with his pregnant fianceÃ© toward a suburban intersection crowded with fast-food restaurants, a Home Depot, a Starbucks, drug stores and gas stations.

Not far off, another man was headed the same way. Daniel Adkins was 29, older than Jude, but mentally disabled. His family described him as more like a 12- or 13-year-old. Adkins was walking his yellow Labrador retriever named Lady past a Taco Bell in the gathering evening, when he stepped around a blind corner and was nearly hit by Jude's vehicle.

Police say the two men exchanged angry words, the dispute rapidly escalated, and it ended when Jude pulled out a .40-caliber pistol and shot Adkins dead.

Jude, who was still in his car at the time of the shooting, told police it was self-defense, that Adkins had lunged at him with a bat of some kind. But investigators found no such weapon, and even if they had County Attorney Bill Montgomery says, "The threshold that people believe needs to be crossed when they brandish a weapon, never mind actually use it ... is a lot higher than what it actually is."

Jude is now charged with murder in that killing last year, and because he is black and Adkins was not, the case is drawing comparisons to the killing of Trayvon Martin by George Zimmerman.

Why the comparison? If Jude is convicted, some would argue there's racism in the justice system. In the Florida case, a black teen is killed and an Hispanic shooter is acquitted. In the other, a black man who claims self-defense faces prison time.

Unstable ground: The fine line between self-defense and murder

The key questions being asked by many: If Zimmerman was acquitted because he felt threatened, shouldn't Jude also walk? And if he doesn't, will his race and that of the victim have played a role?

The nation has a long history of self-defense laws. Almost every state allows some version of the "castle" defense, as in "a man's home is his castle." These laws generally allow people to defend themselves, their family and their property against anyone who intrudes upon their living space, with deadly force if necessary.

CNN legal analyst Mark NeJame says, "If you walk into my house uninvited, odds are you aren't going to be walking out. And most people support that. You're going to protect your home and your family, and there's very little argument about that."

It gets trickier when we start talking about so-called "stand your ground" laws which exist in more than 20 states.

Those laws extend the castle principle so that if you are legally in some place --a parking lot, a mall, a football stadium -- it becomes like your home. Accordingly, if someone attempts to attack you there, once again you are free to fight back and are under no compunction to attempt to avoid the conflict.

U.S. Attorney General Eric Holder finds such laws troubling, saying they "senselessly expand the concept of self-defense and sow dangerous conflict in our neighborhoods. These laws try to fix something that was never broken."

But if self-defense laws have never been broken, many legal analysts have long noted that they can certainly be bent. Rob a bank, steal a car, set fire to a house and authorities usually don't much care how you feel about the crime.

But self-defense cases are all about feelings. Why did the person feel afraid? Was that fear justified? Was the response warranted?

NeJame says that is where the slope gets slippery. "The standard is generally what a reasonable person would do under the circumstances and do you reasonably fear death or bodily injury? That's a very subjective standard. It's not an objective standard. We're all human beings. Everyone is going to perceive something differently."

The Zimmerman case illustrates his point perfectly. Many African-American trial watchers had no trouble seeing Zimmerman -- trailing after Martin with his cell phone on a rainy night -- as the aggressor. That interpretation makes sense if you frame it with a long history of black people feeling unfairly targeted by police, security guards and others.

As President Barack Obama put it Friday, "I don't want to exaggerate this, but those sets of experiences inform how the African-American community interprets what happened one night in Florida."

Many whites, however, have enjoyed a different relationship with the police and saw Martin as an architect of his own violent end.

They asked: Why didn't he call the police if he felt threatened? Why didn't he ask Zimmerman if something was wrong and explain where he was going?

Everyone who watched the trial saw the same facts and heard the same witnesses, but like characters in the old Japanese film "Rashomon" they came away with different stories. Grappling with such vagaries is the challenge in a great many self-defense cases.

To be sure, sometimes cases in which people are purportedly protecting themselves or their property are easy to sort out.

Protesters stand up to 'stand your ground,' but laws likely here to stay

Just this past week in Milwaukee, 76-year-old John Spooner, who is white, faced charges that he killed a 13-year-old neighbor who was black. Spooner accused Darius Simmons of burglarizing his home, and two days later accosted the young man as he retrieved his family's trash cans from the curb.

On a surveillance tape, Spooner is seen emerging from his house with a pistol in hand, waving the weapon at Simmons, and ultimately shooting him at a distance of five or six feet. The boy, who offered no visible signs of resistance during the entire confrontation, died on the street in his mother's arms.

Spooner's lawyers argued that their client suffers from mental illness, saying "He didn't appreciate the wrongfulness of what he was doing" as he railed about his property. The court did not buy it, and Spooner was convicted.

But so many other matters of self or property defense involve difficult, complicated questions.

Was the defendant previously assaulted and thereby living in a state of heightened alarm? Was he or she a naturally excitable or nervous type? Did something else happen near the same time or in close proximity to the final incident that might have spurred an excessive reaction?

"We have to defend ourselves if someone is truly coming after us," NeJame says. "The last thing anyone wants to do is put themselves, their home or their family at risk. On the other hand, we need to make it so that we don't have a trigger-happy society."

All of that means in the end, as much as people may want to find a perfect parallel to the Zimmerman case; a "gotcha" verdict from some other place in which a black man is convicted for doing just what Zimmerman did, it is unlikely.

Because self-defense cases that look alike from a distance on a dark evening, may be substantially different when the details and defendants are dragged into the light of day.

@highlight

Arizona fatal shooting raises questions of self-defense

@highlight

It has drawn parallels to Zimmerman case

@highlight

But varying circumstances can make comparisons difficult