(CNN) -- In the empty towns surrounding the ravaged Fukushima Daiichi power plant, piles of radioactive dirt serve as monuments to the difficulty of cleaning up the worst nuclear accident since Chernobyl.

While the physics and engineering that go into a nuclear power plant may be sophisticated, undoing the damage left behind by the Fukushima Daiichi meltdowns is largely a brute-force affair that relies on shovels, fire hoses and bulldozers.

"It's pretty simple stuff, at least early in the process," said Kathryn Higley, an Oregon State University professor who studies the effect of radiation on the environment. "They seem very low-tech, but low-tech works reasonably well."

Sunday, Japan marks a year since the historic earthquake that killed nearly 16,000 people in the country's northeast. The tsunami generated by the quake flooded the Fukushima Daiichi plant, triggering meltdowns in its three operating reactors. While no deaths have been attributed to the nuclear disaster, more than 100,000 people remain displaced from the towns where its long-lived fallout settled.

Unlike Chernobyl, where the former Soviet Union abandoned a 30-kilometer (19-mile) radius around the plant following that 1986 disaster, Japan's government says it will reclaim the stricken area. Prime Minister Yoshihiko Noda says more than 1 trillion yen ($12 billion) has been budgeted for the reclamation effort, and they hope to begin allowing some of the residents to return home by April.

Nearly 60% of that money has already been committed, including $3.4 billion to compensate affected residents.

But the decontamination effort is expected to take another two years, and what it can do to make the worst-hit towns habitable again remains to be seen, Noda spokesman Noriyuki Shikata told CNN.

"We are putting our priority to the areas where we have a realistic prospect of having residents return," Shikata said.

Ultimately, Japan has set a goal for cleaning up all areas where radiation levels are 1 millisievert over normal background, based on an estimate of eight hours a day spent outdoors. That's 104 towns, some in which work has already begun. The government expects to have more than 30,000 people involved in the cleanup effort by April.

The work so far focuses on areas where annual doses of radiation are between 20 and 50 millisieverts a year -- seven to 16 times the typical amount a resident of an industrialized country receives in a year, but below the threshold for an increased risk of cancer. Most of those are outside the 20-kilometer exclusion zone drawn around the plant in the early days of the disaster.

Monitoring posts in the towns closest to the plant, such as Namie, Futaba and Okuma, report radiation levels many times higher. At some points, annual radiation doses run five to 10 times what's allowed for nuclear plant workers. For residents of those towns, which were battered by the earthquake before the meltdowns occurred, the frustration levels remain elevated as well.

"I have to accept this because an earthquake and tsunami are natural disasters," Namie town councilman Bunsai Watanabe said. "But a nuclear accident is a man-made disaster. The government decides the policy and the operator caused this accident."

Places like Namie remain largely frozen in time a year after the disaster, untouched by the rebuilding boom seen in other parts of Japan. The stillness is broken only by the occasional foray by people like Watanabe, who are periodically allowed back in to check on their properties, and by animals such as dogs and cattle that now roam freely around the former farm towns.

Shikata said the government is still studying how to clean up areas where the annual dose tops 50 millisieverts, the standard international limit for nuclear industry workers -- "a difficult area to realize returns," he said.

The bulk of the reclamation effort so far involves scraping away the top 2 inches of soil in the contaminated areas, with particular focus on clearing grounds of public facilities like hospitals and schools.

Higley and her colleagues have been studying how contaminants spread through the soil and get absorbed into plants -- a major concern in the largely agricultural area around the plant. Studies conducted since Chernobyl have shown that the ammonium nitrate in common fertilizer or the addition of potassium slows that process, while natural processes drive radioactive particles into the ground, she said.

Vacuuming, sandblasting, painting and stripping surfaces and hosing down roads and walls are "consistently effective" decontamination techniques in urbanized areas, a 2007 review by the U.S. government's Idaho National Laboratory found.

But Jan Vande Putte, a radiation expert with the anti-nuclear environmental group Greenpeace, said the government in Tokyo has made a mistake by concentrating on the abandoned towns around the plant.

"They created expectations with population that was evacuated that they would be able to return in a reasonable time," Vande Putte said. "Now it's become more and more clear, and is very frustrating to those people, that they will not be able to return soon or may never be able to return at all."

Meanwhile, he said, local authorities are struggling to clean up "hot spots" in still-inhabited areas like the city of Fukushima, well outside the exclusion zone.

"We see that some parts have been decontaminated -- for instance, the soil has been removed and new soil has been put down," he said. "In those areas, radiation levels have dropped. But on the concrete and asphalt, it is a very sticky problem."

Shikata said the government is responding to the demands of its people who wish to go home.

"We wish to respect their intentions, their wish to go back to their homes," he said. "Of course, as I explained to you, we are carrying out massive decontamination efforts. I don't really get the point that you can disregard the wish and will of those residents."

But Shikata said the government is still trying to figure out where to put the contaminated soil and debris that has piled up during the effort. An October report by the International Atomic Energy Agency estimated that material could be as much as 29 million cubic meters, roughly enough to fill the landmark Tokyo Dome two dozen times.

And even when annual radiation levels can be cut below the 20 millisieverts the government says is safe -- itself a measure that has been the subject of debate -- former residents may be reluctant to come home.

"It's a little bit of a chicken and an egg," Higley said. "People don't want to be the pioneers, if you will, to go in where there's no supporting infrastructure. So if you're a family and you're told the place is clean, but there's no school open, are you going to move your family back into that area? How are you going to encourage them to come back so that you really do have a functioning town again?"

CNN's Kyung Lah in Tokyo and Tomas Etzler in Namie, Japan, contributed to this report.

@highlight

Decontaminating towns around Fukushima Daiichi is a largely low-tech affair

@highlight

The work has focused on areas with a "realistic prospect" of people returning

@highlight

Japan has pledged about $12 billion to the effort over the next two years

@highlight

Radioactive "hot spots" linger beyond the exclusion zone