Tokyo (CNN) -- The Japanese company trying to contain the release of radiation from its Fukushima nuclear plant must pour enough water to cool its damaged reactors without creating an overflow of contaminated water from the plant, a government official said Tuesday.

Yukio Edano, Japan's chief Cabinet secretary and the government's point man for the nation's nuclear crisis, said the effort to prevent the reactors from overheating "must be given priority."

But Edano acknowledge the danger posed by continuing to pour water into them.

"If we need to increase water injection, this is what we need to do.  If we stop water injection, fuel rod temperatures may increase and that may result in overheating," Edano said.  "But fundamentally we need to drain the water as soon as possible."

Edano's remarks came a day after he told reporters that the containment structure surrounding one of the reactors at a quake-battered nuclear power plant is damaged and may be leaking radioactive material.

The plant's owner disclosed that small amounts of plutonium had been found among contaminants around the facility late Monday as Japanese authorities struggled to explain how radioactive water was leaking into maintenance tunnels and possibly, into the Pacific Ocean.

Edano told reporters Monday afternoon that "there may be a leak" from the containment vessel surrounding the No. 2 reactor. He said experts were still trying to determine the condition of the reactor's pressure vessel, which sits inside the containment vessel and immediately surrounds the radioactive fuel rods at the reactor's core.

"Somehow, we understand water is being moved from one place to another," Edano said. "We need to hear an explanation from experts."

Reactors 1 to 3 at the plant, located about 240 kilometers (140 miles) north of Tokyo, are believed to have suffered core damage after their cooling systems were knocked out by the March 11 earthquake and tsunami that ravaged northern Japan. The tsunami knocked out backup generators that ran their coolant systems and damaged water pumps at the plant, forcing workers to scramble to prevent a meltdown.

Technicians restored external electric power late Monday to the No. 3 reactor plant, a step toward restoring cooling systems there, the plant's owner reported late Monday. But hydrogen explosions -- an early symptom of core damage -- inflicted heavy damage on the buildings housing the No. 1 and No. 3 reactors in the days following the quake, and another suspected explosion rocked the No. 2 reactor on March 15.

Japanese nuclear regulators and the owner, the Tokyo Electric Power Company, say they know little about what damage was sustained in that blast.

Tokyo Electric announced late Monday that plutonium -- a reactor byproduct that is also part of the fuel mix in the No. 3 reactor -- had turned up in soil on the plant grounds in tests taken last week. However, the company said it was equivalent to the amounts that fell on Japan following above-ground nuclear weapons tests by other countries in past decades, and posed no health risk to humans.

"Just in case, TEPCO will increase the monitoring of the nuclear plant grounds and the surrounding environment," the company said.

Three plutonium isotopes -- Pu-238, -239 and -240 -- were found in soil at five different points inside the plant grounds, Tokyo Electric reported. The element can be a serious health hazard if inhaled or ingested, but external exposure poses little health risk, according to the U.S. Environmental Protection Agency.

The company said the discovery would not change efforts to bring an end to the crisis at the plant, which has spread radioactive contamination across much of northern Japan.

Water found in a maintenance tunnel leading to unit No. 2's turbine house remained radioactive enough to pose an immediate hazard, authorities reported after taking new readings Monday afternoon.

The 1,000 millisievert per hour reading is more than 330 times the dose an average person in a developed country receives per year and can result in vomiting and up to a 30 percent higher risk of cancer, according to the International Atomic Energy Agency. The level is also four times the top dose Japan's Health Ministry has set for emergency workers struggling to control the further emission of radioactive material from the damaged plant.

Cham Dallas, an expert on radiation and public health at the University of Georgia, told CNN's "American Morning" that the level suggests operators are facing "a deteriorating situation" at the No. 2 reactor.

"Fortunately, that's in the reactor area, not outside and not in Tokyo or even in the area in Fukushima province," Dallas said. "But in the reactor area itself, that's -- that's concerning to me. We're starting to see levels now that are dangerous to reactor workers if they're in those contaminated areas."

The officials said it was unclear how contaminated water got into the tunnel, or if it might have spilled out and seeped into the Pacific Ocean from there.

"Right now, it is not known," Hidehiko Nishiyama, an official with Japan's Nuclear and Industrial Safety Agency, said  Monday evening.

Water was being pumped out of the No. 1 and No. 2 turbine building, but Nishiyama noted that there is no place to put water pooled in the No. 2 building's basement.

The plan is to extract the water using what he called a condenser. But that apparatus is "almost full," as are several storage tanks nearby. A similar challenge is holding up the removal of collected water in the No. 3 unit's turbine building basement.

"So we will first have to empty some of the tanks," he said, adding later only that the tainted water needs to be removed "as soon as possible."

Seawater readings from a monitoring post 330 meters (361 yards) into the Pacific Ocean showed elevated readings of the reactor byproduct iodine-131, an isotope that loses half its radioactivity every eight days. The measurement was taken north of the discharge canal for reactors 1-4, where a reading of 1,850 times normal was recorded Sunday.

And despite reduced alarms in recent days, Nishiyama noted Monday that the temperature is rising inside the No. 1 reactor -- a sign that the nuclear fuel rods in that unit remain in danger of overheating.

Units 1, 2 and 3 were the only three of the six reactors operating when the magnitude 9 earthquake struck. The quake and resulting tsunami knocked out backup generators that ran their coolant systems and damaged water pumps at the plant, leaving authorities scrambling to pump water into the reactors and the spent fuel pools to prevent a meltdown.

Authorities have switched from pumping seawater into the reactors to using fresh water, and plan to switch from seawater to fresh water in the spent fuel pools, where old fuel rods are stored.

Monday was the 32nd anniversary of the worst U.S. nuclear accident, a partial meltdown at the Three Mile Island power plant outside Harrisburg, Pennsylvania. Though no deaths or injuries resulted, the accident hamstrung the American atomic power industry for decades.

CNN's Whitney Hurst contributed to this report

@highlight

NEW: Japanese official says contaminated water overflow a threat

@highlight

Plutonium found in small quantities on plant grounds

@highlight

Power restored to No. 3 reactor

@highlight

Radioactive water, possible containment leak plague plant