(CNN) -- Michael Vick, the comeback story like no other -- the nation's largest ongoing rehabilitation project not named Sheen -- makes his postseason splash Sunday night.

A bigger audience means more fans than ever face this question: Can I embrace the Philadelphia quarterback's singular talents without getting the blood of past sins on me?

It's been more than 19 months since Vick's release from federal prison in Leavenworth, Kansas, on his dogfighting conviction. And still the debate over his crime and his place back at the forefront of the NFL achieves spectacular extremes. Within two days in late December, the president of the United States congratulated Philadelphia Eagles owner Jeffrey Lurie for giving Vick a second chance while a Fox News analyst suggested that Vick should have been executed for his crime.

But this process of redemption also works itself out quietly, modestly, one oil change at a time.

A Nissan dealer in Woodbury, New Jersey, has a played a small role in reintroducing Vick to the segment of society that doesn't kill dogs for sport. Thomas McMenamin, executive manager of the dealership, was the first businessman to sign the ex-con QB to an endorsement deal.

Before the feds started digging around Vick's Bad Newz Kennels in Virginia, he was the hottest property in the league, making a reported $7 million a year in endorsements. Afterward, he was an untouchable. Now, for a series of promotional appearances and one television spot, he reportedly is receiving the free use of a $50,000 Nissan Armada.

"When we first met, he wasn't ashamed to admit that he did wrong and was wrong," McMenamin said.

Would you buy a car from Michael Vick?

McMenamin said the response has been mostly positive. "We have gotten some phone calls from people saying, 'We'll never buy a car from you again,' but a lot of those came from out of town, from people who wouldn't buy here anyway."

To help ease the expected criticism, the dealership struck a promotional arrangement in which it would donate to the local humane society for every car sold until the end of January. McMenamin estimates the total should amount to $10,000.

One episode last month struck the manager as telling. A customer came to him irate over how long it had taken the service department to perform a simple oil change. He left dramatically, vowing never to return.

The next day, McMenamin's phone rang. It was the same disaffected customer. He had seen the Vick commercial that night. "You gave Michael Vick a second chance, and I'm willing to give your store a second chance" are the words McMenamin remembers.

Sport has always had its gamblers and rogues, its cheats and addicts. In one Super Bowl night in Atlanta, Baltimore linebacker Ray Lewis became part of a double murder case (he eventually pleaded to misdemeanor obstruction of justice). The following year, 2001, he was the Super Bowl MVP.

There'd be none of the usual failings for Vick, though. Like his skill set of speed, elusiveness and arm strength, his downfall had to be so out of the norm as to challenge belief. He'd bankroll a dog fighting ring.

The cruelty of Vick's crime was spelled out in unsettling detail in the indictment against him, in passages such as:

"In or about April 2007 (Purnell) Peace, (Quanis) Phillips and Vick executed approximately eight dogs that did not perform well in "testing" sessions by various methods including hanging, drowning and slamming at least one dog's body to the ground."

And the price he paid for his crime was steep: 23 months in prison, three years probation, bankruptcy and great heapings of public scorn.

But fans love a good comeback story, and they are quick to grant forgiveness to those who lead them back to the top of the standings. Now, with Vick, they are being asked to process an entirely foreign kind of crime along with a startling kind of ability. It's like trying to read a Greek tragedy -- in Greek.

After serving as a backup with the Eagles in 2009, Vick took over the starting role early this season. The team had shed its longtime marquee quarterback, Donovan McNabb, with plans of plugging in Kevin Kolb as his successor. But Kolb suffered a concussion, and Vick rediscovered his Vickness.

At 30, he appeared to be a star at peak brightness. Against Washington in November, he put on such a show -- passing for four touchdowns and rushing for two others -- that the Hall of Fame requested his jersey.

He threw for more than 300 yards three times in a month. (During six seasons in Atlanta, he had done that only twice.) Throwing for a career-high 21 touchdowns, with only six interceptions, he was 8-3 as an Eagles starter and led them to a division title.

On Sunday, versus Green Bay, Vick returns to the site of his last playoff appearance, this time leading the home team at Philadelphia's Lincoln Financial Field. It has been seven eventful years since he last played the postseason. And that was a largely forgettable performance, the Atlanta Falcons losing in the 2003 NFC championship by 17 and their quarterback rendered practically invisible.

He enters this game with an injured leg, and his last start, a loss to Minnesota, was his least productive of the season.

But it's so much more than the numbers with Vick; it's how he amasses them. Dan Reeves, Vick's first coach in Atlanta and an unabashed supporter, is an old-school, understated football lifer. But on the subject of Vick, he raves:

"(Vick's) just exciting. I love what Peyton Manning and Drew Brees and Tom Brady do. But it's different. They are great at what they do; I love to watch them, but Mike takes your breath away.

"You watch him and you say, 'How did he get away from that guy; how did he make that deep throw; how did he throw across his body like that?' "

By all accounts, Vick has dedicated himself to the craft of his position as never before. In interviews now, he sounds markedly more clear-headed than during his Atlanta days. He has struck all the right notes thus far this season, including dedicating himself to regular appearances on behalf of the anti-dog fighting campaign of the Humane Society of the United States.

That cause has benefited even from those wishing Vick ill. A pair of Green Bay fans this season pledged $10 to the Humane Society for every time the quarterback was sacked. The total currently stands at $340.

NFL Commissioner Roger Goodell told the Philadelphia Inquirer, "This young man has turned his life around, and he's going to contribute."

While Vick never can outrun his past, there are signs that he has begun to at least give it a good race.

Nowhere has the Vick conversation been more divisive than in Atlanta, where he was the franchise's No. 1 overall draft pick in 2001. His rise lifted the Falcons profile nationally and titillated the fan base like no other player, including Deion Sanders. And his fall absolutely laid waste to the franchise for two seasons.

Chris Dimino, co-host of morning sports talk on Atlanta's 790 The Fan, has found himself moderating the debate over Vick's standing among Falcons fans. It often swings between vitriol and blind adoration, seeming to break down frequently along racial lines.

"I never thought I'd see the light at the end of that tunnel. But I do sense that there is a turn (in the tone of the conversation)," Dimino said.

"Most people now are playing the good-for-him, give-him-a-second-chance card," he added. "He was stupidity personified. He paid the price; now let's move on. People like a redemption story.

"Of course, if the Falcons weren't 13-3 now, there might be a heck of a lot more venom than there is now."

Vick's past and present teams may be on a collision course for an NFC Championship game meeting in Atlanta, at which time the old scab will be ripped clean off.

Deciding on how to deal with Vick here at center stage would be so much easier if only there were a porthole to his soul, allowing a peek at what's really in there. How can any fan know?

Vick's road to fan acceptance is the same one that will take him to a new contract; his two-year deal (which with bonuses and incentives have earned him a reported $7 million) runs out this season. He seems to realize the practical truth that what he does is going to amount to much more than what he utters. He recently told Sports Illustrated, "I don't think me saying the right thing is going to get me a new deal. It's all about my play. It's all about how you conduct yourself as you play well. I don't have to put on a front around anybody."

The idea that people can change -- that's the notion Wayne Pacelle's life is built around. "If it was my belief that people were static, I don't think I could come to work every day," says the president and CEO of the Humane Society of the United States.

Vick is just one of a number of former dog fighters and animal abusers that Pacelle's group has enlisted as spokesmen against cruelty. Vick has made a dozen appearances in major cities in the East, attempting to reach youngsters who could be lured into the practice of pitting dogs against each other in back alleys and abandoned buildings, so-called "street fighting."

Pacelle said he has been asked a thousand times whether he believes Vick is sincere. Asked for the 1,001st time, he said, "I don't get into that."

All he knows for sure is that he has seen Vick speak to hundreds of youngsters who, because of the quarterback's status, "sit and listen in rapt attention."

Will the head of the Humane Society be rooting for the one-time dog fighter this weekend?

Pacelle is one of the very few who remain mute on that subject.

@highlight

Philadelphia Eagles quarterback makes his NFL postseason splash Sunday

@highlight

It's been 19 months since his release from prison on dog fighting conviction

@highlight

Fans love a good comeback story, often forgive those who lead them back to top