(CNN) -- In "Black Diamond," best-selling author Martin Walker uncovers the trouble behind truffles. Before you crack open the pages of Walker's new novel, make sure and pour yourself a glass of red wine. Better have some cheese with a baguette close at hand too, because this book is deliciously good.

The title, "Black Diamond" refers to France's highly-prized truffles of the same name. They're knobby, round, roughly the size of a golf ball and so sought-after that a pound will cost you several thousand dollars. Set in the south of France, specifically the Perigord region, this is Walker's third mystery featuring Bruno Courreges, chief of police in the sleepy town of St. Denis.

This time out, Chief Bruno must investigate a price-fixing scandal involving the international multimillion-dollar truffle market. There's a murder -- two of them, in fact -- arson and a conspiracy, Asian thugs and some unsavory secrets from France's colonial past.

While the plot is a page-turner, the real allure of this novel lies with the author's other ingredients: the rich French food, the historical detail of the picturesque region and the eccentric cast of characters, including a truffle-hunting basset hound named Gigi.

It's an enticing mix of the savory and suspenseful, a recipe for a great read. Besides his career as a novelist, Walker is also a senior director of the Global Business Policy Council, a private think-tank based in Washington, He is a historian, an award-winning journalist and editor emeritus at United Press International.

CNN spoke to him recently from his home in France. The following is an edited transcript.

CNN: For new readers, tell me more about Chief Bruno and how he became the hero of your series?

Walker: When we bought a holiday home in the Perigord region of France, I joined the local tennis club and met a wonderful man, our village policeman, who became my tennis partner, my good friend and my guide and teacher on French cooking, hunting, how to train dogs, make jam and enjoy the splendidly relaxed and convivial way of life.

He's a man who understands the difference between the law and justice and he keeps the peace in an admirably low-key way. He spends his mornings teaching the local children to play rugby in winter and tennis in summer. We have no crime, because all the kids grew up knowing him and would hate to disappoint him.

He struck me as a marvelous character for a novel, and then as a reporter I was covering the 2005 riots in Paris when young immigrants began torching cars by the thousand, and I knew I wanted to write about Europe's big challenge of adapting to large-scale immigration and about the way the modern world and globalization impacts a small, traditional community like mine. And so I had my theme, my plot and my hero.

CNN: Your new book focuses on the multimillion-dollar truffle trade. Tell me more about this big business.

Walker: Truffles are at the heart of classic French cuisine. They are the emperor of mushrooms, with a strange power to perfume and flavor and enhance a dish, from meat and eggs and cheese to a dessert like crÃ¨me brulee. The truffles of Perigord, the famous Black Diamonds, are the most renowned and along with the white truffles of Piedmont are the most expensive, selling for over $2,000 a kilo for the finest quality. In a good year, the Perigord will produce over 50 tons, which adds up to a $100 million industry.

In recent years, fraud has crept into the market, in the form of cheap Chinese truffles, which is part of my story. And most Perigord truffles are found the traditional way, by trained dogs searching and digging in the woods. These 'wild' truffles are incomparably better than the farmed variety people are trying to produce in plantations. Favored locations for truffles are a closely guarded family secret, and we even had one recent case of a truffle hunter shooting at someone trespassing on 'his' favorite spot.

CNN: Your books are filled with mouth-watering details on French food and wine. Like Bruno, are you also a master chef and wine connoisseur?

Walker: A strange thing about the wonderful food of Perigord, with its ducks and venison, its foie gras and truffles and fine wines, is that it turns out to be a healthy diet. People in Perigord have the lowest rate of heart disease in France, but it can be tough on the waistline. Luckily it's an outdoor life with lots of sport and exercise, and lots of walking in the woods to find truffles and hunting for venison and wild boar and game birds like the becasse.

I love to cook, but I'm not in the same class as my wife or Pierrot, my policeman friend. It's a wonderful hobby because I'm always learning and it gives friends and family so much pleasure. It made me start my own vegetable and herb garden and now I've even started keeping chickens to produce my own eggs with glorious golden yellow yolks. I call my cockerel Sarko, after the French president (Sarkozy), and all the hens are named after women politicians. So far, Angela Merkel lays the most eggs, Margaret Thatcher is the bully who gets to the food first, Hillary Clinton will eat anything and Carla Bruno is the pretty one.

Wine is one of the great pleasures of life, and between the great wines of Bordeaux and the much cheaper (but very good) wines of the Bergerac I'm spoiled for choice. Increasingly I buy wines direct from vineyards that I know and visit, often buying en primeur, which means I buy it this year and collect it next year or the year after it has matured in the barrel. My friends and neighbors all have their favorites, and we swap wines and drink together and compare notes over a good meal, and often it's not the most expensive wines that give the most pleasure, but a wine that somehow perfectly matches the food, the mood and the company.

CNN: Your books paint an idyllic picture of life in the French countryside, how would you describe it?

Walker: We know that human beings have lived in the valley of the river Vezere, which is my home, for over 40,000 years. This is the centre of pre-history and the great cave paintings of Lascaux are just up the road. The Romans built a town near here and the invading Arab armies in the eighth century crossed the river near my house on their way to their historic defeat at the battle of Tours, when the Frankish army saved Europe for Christendom. The valley is filled with castles from the Hundred Years War, with chateaus from the centuries of French elegance, and it was also an important battleground between the French resistance and the Nazi occupation in World War II. I love this sense of living history, and try to bring it into my books.

It's a key part of the unique charm of the Perigord, and along with its food and wines, its warm and gentle climate, its enchanting landscape and lovely old stone buildings and friendly people, it adds up to a little corner of paradise and I love it dearly. So if my books are not just crime novels, but also a little bit travel books and a little bit cookery books and a little bit history, they are also in a way love

Read some of Chief Bruno's favorite recipes on Martin Walker's website.

@highlight

"Black Diamond" refers to France's highly-prized truffles of the same name

@highlight

This is Walker's third mystery featuring chief of police Bruno Courreges

@highlight

The real allure of this novel are the author's enticing details of the south of France