As international leaders express outrage over mass killings in Syria -- and lament the inability to pass a U.N. Security Council resolution denouncing the Syrian regime -- questions linger about the two countries behind the impasse.

On Saturday, China and Russia vetoed a draft resolution that would have demanded Syrian President Bashar al-Assad stop the killing and answer calls aimed at finding a Syrian-led solution to the 11-month crisis.

Analysts say both China and Russia have their reasons to maintain good relations with Syria.

Russia is one of Syria's biggest arms suppliers. And China ranked as Syria's third-largest importer in 2010, according to data from the European Commission.

"Beijing's renewed interest in Damascus—the traditional terminus node of the ancient Silk Road ... indicates that China sees Syria as an important trading hub," according to a 2010 report from The Jamestown Foundation, a Washington-based research and analysis institute.

Even as reports mounted that the Syrian government was killing protesters en masse, the Chinese foreign ministry issued a statement in August noting the "steady development" of friendly relations "over the past 50 years and more."

"China and Syria gave each other understanding and support on issues concerning each other's core and major interests," the statement said. "China showed consistent understanding and firm support for Syria's position on the Golan Heights while Syria remained committed to the one China position and rendered China staunch support on matters related to Taiwan, Tibet, Xinjiang and human rights."

Last week, China's permanent representative to the United Nations said the killing of innocent civilians must stop, but also said he is against "pushing through" a regime change.

An earlier version of the U.N. Security Council draft resolution called for al-Assad to step down and delegate his powers to his deputy, but that element was not in the draft voted on by members Saturday.

"China is of the view that the Syrian people's request for reform and safeguard of their interests should be respected," Li Baodong said Tuesday, according to China's state-run Xinhua news agency. "It is imperative to put an immediate end to all violence in Syria and oppose and stop the killing of innocent civilians.

"At the same time, an inclusive political process with a wide participation of all Syrian parties must be started without delay to speed up reform and resolve differences and disputes peacefully through dialogue and consultations," he said.

Russia also has an economic interest in Syria.

The total value of Syrian contracts with the Russian defense industry likely exceeds $4 billion, according to Jeffrey Mankoff, an adjunct fellow with the Center for Strategic and International Studies Russia and Eurasia Program.

He noted the Stockholm International Peace Research Institute estimated the value of Russian arms sales to Syria at $162 million per year in both 2009 and 2010.

Moscow also signed a $550 million deal with Syria for combat training jets.

Russia also leases a naval facility at the Syrian port of Tartus, giving the Russian navy its only direct access to the Mediterranean, Mankoff said.

As Western leaders sought to pry al-Assad from power, Moscow sent an aircraft-carrying missile cruiser to Syrian waters in a show of support last month and shipped Syrian  troops a consignment of Yakhont cruise missiles, according to Daniel Treisman, a professor of political science at the University of California, Los Angeles.

Speaking after the Saturday vote, ambassadors from both Russia and China said they do support an end to the violence but felt the resolution did not address the crisis properly.

Russian Ambassador Vitaly Churkin said the text "did not adequately reflect the real state of affairs and sent an unbalanced signal" to the various sides in Syria. He noted that the minister for foreign affairs will visit Damascus to hold a meeting with al-Assad this week.

Chinese Ambassador Li Baodong called on all parties in Syria to restore order as soon as possible. But he said the text would have served only to "complicate the issue" and would "prejudge the result of dialogue."

China and Russia vetoed another Security Council resolution in October that would have called for an immediate halt to the crackdown, which United Nations officials have said resulted in an estimated 6,000 deaths since protests began nearly a year ago.

With the Security Council failing to approve a resolution, what happens next is unclear.

But as the diplomatic stalemate continues, the death toll in Syria climbs even higher. The Local Coordination Committees of Syria, a network of opposition activists that organizes and documents protests, said the violence has killed more than 7,300.

@highlight

China and Russia veto a draft resolution calling for the Syrian regime to stop killings

@highlight

In 2010, China was Syria's 3rd largest importer, according to EC data

@highlight

Analyst: The value of Syrian contracts with Russia likely exceeds $4 billion

@highlight

China and Russia say they support an end to the violence but disagreed with the draft