On Wednesday, three senior U.S. senators sent Michael Lynton, the CEO of Sony Pictures, a letter about "Zero Dark Thirty," the much-discussed new movie about the hunt for Osama bin Laden, which described the film as "grossly inaccurate and misleading."

In the letter, Senate Intelligence Committee Chairman Dianne Feinstein, D-California, Senate Armed Services Committee Chairman Carl Levin, D-Michigan, and Sen. John McCain, R-Arizona, expressed their "deep disappointment" in the movie's depiction of CIA officers torturing prisoners, which "credits these detainees with providing critical lead information" about the courier who led the CIA to bin Laden's hiding place in northern Pakistan.

The senators point out that the filmmakers of "Zero Dark Thirty" open the movie with the words that it is "based on first-hand accounts of actual events." The film then goes on, the senators say, to give the clear implication "that the CIA's coercive interrogation techniques were effective in eliciting important information related to a courier for Usama Bin Laden."

Review: 'Zero Dark Thirty' is utterly gripping

The senators write that this is not supported by the facts: "We have reviewed CIA records and know that this is incorrect."

Last week, the Senate Intelligence Committee voted to sign off on the findings of its three-year study of the CIA's detention and interrogation program, during the course of which the committee's staff reviewed more than 6 million pages of records about the program.

Based on the findings of that review, Sens. Feinstein and Levin had released a statement eight months ago that said, "The CIA did not first learn about the existence of the Usama Bin Laden courier from CIA detainees subjected to coercive interrogation techniques. Nor did the CIA discover the courier's identity from detainees subjected to coercive techniques. ... Instead, the CIA learned of the existence of the courier, his true name and location through means unrelated to the CIA detention and interrogation program."

In their letter to Sony, the three senators write, "(W)ith the release of Zero Dark Thirty, the filmmakers and your production studio are perpetuating the myth that torture is effective. ... We believe that you have an obligation to state that the role of torture in the hunt for Usama Bin Laden is not based on the facts."

Requests from Sony Pictures for comment on the senators' letter yielded a response referring to a statement that the film's director Kathryn Bigelow and screenwriter Mark Boal had released last week:

"This was a 10-year intelligence operation brought to the screen in a two-and-a-half-hour film. We depicted a variety of controversial practices and intelligence methods that were used in the name of finding bin Laden. The film shows that no single method was necessarily responsible for solving the manhunt, nor can any single scene taken in isolation fairly capture the totality of efforts the film dramatizes. One thing is clear: the single greatest factor in finding the world's most dangerous man was the hard work and dedication of the intelligence professionals who spent years working on this global effort. We encourage people to see the film before characterizing it."

'Zero Dark Thirty' puts U.S. interrogation back in the spotlight

"Zero Dark Thirty" does indeed show many scenes of the various forms of sleuthing at the CIA that were necessary to track down al Qaeda's leader.

But the statement from the filmmakers does not address the fact that eight months ago, the chairman of the Senate Intelligence Committee had publicly said that based on an exhaustive investigation, there was no evidence that coercive interrogations helped lead to bin Laden's courier -- which is clearly what the film suggests, no matter what retrospective gloss the filmmakers now wish to apply to the issue.

Nor does the statement indicate if Sony plans to put a disclaimer at the beginning of "Zero Dark Thirty" explaining that the role of coercive interrogations in tracking down bin Laden that is shown in the film is not supported by the facts.

As I outlined in a piece on CNN.com 10 days ago assessing the role that coercive interrogations might have played in the hunt for bin Laden, about half an hour of the start of "Zero Dark Thirty" consists of scenes of a bloodied al Qaeda detainee strung to the ceiling with ropes who is beaten; forced to wear a dog collar while crawling around attached to a leash; stripped naked in the presence of a female CIA officer; blasted with heavy metal music so he is deprived of sleep; forced to endure multiple crude waterboardings; and locked into a coffin-like wooden crate.

These are the scenes that will linger with filmgoers, far more than the scene in the movie where two CIA analysts discuss what will prove to be a key lead to bin Laden that surfaces in an old file. Brutal interrogations, of course, make for a better movie than a discussion at the office.

It is only after systematic abuse by his CIA interrogators in "Zero Dark Thirty" that the al Qaeda detainee is tricked into believing that he has already given up key information, and he starts cooperating and tells them about a man known as Abu Ahmed al-Kuwaiti, who ultimately proves to be bin Laden's courier.

Acting CIA director Michael Morell, in a letter to CIA employees on Friday, took strong exception to this portrayal of how bin Laden was found:

"The film creates the strong impression that the enhanced interrogation techniques that were part of our former detention and interrogation program were the key to finding Bin Ladin.  That impression is false.  As we have said before, the truth is that multiple streams of intelligence led CIA analysts to conclude that Bin Ladin was hiding in Abbottabad.  Some came from detainees subjected to enhanced techniques, but there were many other sources as well. "

"Zero Dark Thirty" opened Wednesday in New York and Los Angeles and will open nationwide in the second week in January.

Let's hope that the attention that "Zero Dark Thirty" has directed to the issue of what kind of intelligence was derived from the CIA's coercive interrogations will help to put pressure on the White House and the CIA to release to the public as much as possible of the presently classified 6,000-page report by the Senate Intelligence Committee that examines this issue.

_____________

Full disclosure: Along with other national security experts, as an unpaid adviser I screened an early cut of "Zero Dark Thirty." We advised that al Qaeda detainees held at secret CIA prison sites overseas were certainly abused, but they were not beaten to a pulp, as was presented in this early cut. Screenwriter Mark Boal told CNN as a result of this critique, some of the bloodier scenes were "toned down" in the final cut. I also saw this final cut of the film. Finally, HBO is making a theatrical release documentary which will be out in 2013 based on my book about the hunt for bin Laden entitled "Manhunt."

Follow @CNNOpinion on Twitter.

@highlight

Sens. Feinstein, McCain, Levin send letter calling new film "grossly inaccurate"

@highlight

Letter adds to controversy over depiction of torture as a key to finding bin Laden, Bergen says

@highlight

Senate committee has approved 6,000-page classified report on CIA interrogations program

@highlight

Bergen says as much as possible of that report should be released to the public