Seoul, South Korea (CNN) -- North Korea on Monday fired more projectiles into the sea off its east coast, South Korean officials said, urging Pyongyang to refrain from "tension-creating acts."

But Pyongyang described the launches as a "regular military exercise."

The South Korean Defense Ministry still needs to analyze exactly what the North has been firing for the past three days, said Choi Yong-su, an official in the ministry representative's office.

They could be short-range missiles or a new kind of large-caliber artillery rocket, the ministry said.

The North fired three projectiles into waters off its east coast Saturday and a fourth Sunday. It fired two more Monday, Choi said.

The short-range launches haven't so far caused major concern in Seoul or Washington. North Korea last fired this kind of projectile as recently as March, South Korea said.

Nuclear weapons: Who has what?

Accusations of escalation

The office of South Korean President Park Geun-hye said Monday that the North "should not engage in tension-creating acts," Yonhap reported.

A government statement carried Monday by the North's state-run Korean Central News Agency described the activities over the weekend as "rocket launching drills." It said the South's reaction to them was "another unpardonable challenge."

"Their description of the drills as a factor of escalating the tension on the peninsula and in the region reminds one of a thief crying, 'Stop the thief!' " the statement said.

This month's launches come after Pyongyang last week criticized the presence of a U.S. nuclear-powered aircraft carrier in a South Korean port and its reported participation in joint naval drills.

The stop in Busan by the USS Nimitz and its strike group signified a move "to escalate the tension and ignite a nuclear war against" North Korea, the state-run newspaper Rodong Sinmun said in a commentary last week.

Also last week, North Korea announced that Kenneth Bae, a U.S. citizen it had sentenced to hard labor, had begun his stay at a "special prison." Bae, whom the North Koreans call Pae Jun Ho, was arrested in November. The North says he wanted to bring down Kim Jong Un's regime, but the U.S. and his family say he was just a tour operator.

North Korea is considered to have one of the most repressive penal systems in the world. Human rights groups estimate that as many as 200,000 people are being held in a network of prison camps that the regime is believed to use to crush political dissent.

Before last week, tensions in the region had eased from a period in March and April that included near daily North Korean threats of war against South Korea and the United States.

U.S. and South Korean officials feared at that time that Kim's regime was planning to carry out a test launch of longer-range ballistic missiles, believed to be Musudans. The South Korean government says Musudans have a maximum range of 3,500 kilometers (2,175 miles).

North Korea's missile capabilities

Missiles or artillery?

On Monday, South Korean Defense Ministry Spokesman Kim Min-seok said it remained unclear exactly what the North has been firing over the past few days.

"There is a possibility that the projectiles are either short-range missiles or large-caliber rockets with a similar trajectory as short-range missiles," he said at a regular news briefing in Seoul.

South Korea suspects that North Korea is still developing large-caliber rockets and isn't yet capable of deploying them, Kim Min-seok said. That could mean the North's recent launches are tests of the weaponry.

"Large-caliber means bigger destructive power, so the threat can be greater," he warned.

Andrew Salmon, a journalist and author based in Seoul, said over the weekend that North Korea's short-range launches should not cause the same degree of concern as the launch of a satellite or medium-range Musudan missile.

"It's a short-range tactical weapon. If any other country launched this kind of weapon, it's a routine test, nobody would be too worried. It's really simply because it's North Korea doing this that it raises concerns," he said.

South Korean officials haven't so far said any of the projectiles were aimed at the South.

Tensions on the Korean Peninsula flared in recent months after the North's long-range rocket launch in December and underground nuclear test in February, both of which were widely condemned.

Pyongyang's fiery rhetoric intensified in March, when the U.N. Security Council voted to tighten sanctions on the regime after the nuclear test.

Annual U.S.-South Korean military drills in South Korea also fueled the North's anger, especially when the United States carried out displays of strength that included nuclear-capable B-2 stealth bombers.

North Korea is demanding recognition as a nuclear power, something the United States refuses to accept.

READ MORE: More tests will take North Korea closer to nuclear missile, Pentagon says

READ MORE: North Korea says it won't warn South Korea before an attack

Journalist Yoonjung Seo reported from Seoul, and CNN's Jethro Mullen reported and wrote from Hong Kong. CNN's Laura Smith-Spark in London contributed to this report.

@highlight

North Korea says the launches are a "regular military exercise"

@highlight

North Korea has fired six projectiles into the sea over the past three days, Seoul says

@highlight

The South says they could be short-range missiles or large-scale artillery

@highlight

The North last week criticized the presence of a U.S. aircraft carrier in the region