(CNN) -- Childhood is confusing. It's difficult to fully understand things at the best of times and, occasionally, you'll experience something that is unlike anything that you've experienced thus far.

One such example came early for me. During our regular family drives, my father would play a cassette from an old BBC radio program that he'd first listened to as a kid growing up in the 1960s.

The show was called "Round The Horne" and it featured a couple of camp homosexual characters who went by the names of Julian and Sandy -- played by Hugh Paddick and Kenneth Williams.

The pair were out-of-work actors who could be found running various fashionable and niche enterprises that always started with the word "bona" -- such as "Bona Films."

The sketches usually began with a very middle-class Kenneth Horne knocking on a shop door and asking "Hello, anybody there?" before Paddick answered "Ooh, hello! I'm Julian and this is my friend Sandy!"

The audience loved them and their appearances became a highlight of the show thanks to a mixture of "Polari" language -- gay slang -- and ever more risque double entendres.

Perhaps their best-known sketch is when Horne is looking for legal representation and pops into a little shop called "Bona Law."

Horne: "Can you help me? I've erred."

Sandy: "Well, we've all erred, ducky. I mean, it's common knowledge, ennit, Jule?"

Horne: "Will you take my case?"

Julian: "Well, it depends on what it is. We've got a criminal practice that takes up most of our time."

Horne: "Yes, but apart from that, I need legal advice."

This was my first exposure to homosexuality and, because it was through humor, ably explained by my father, it meant that the only confusion around the subject came as I wondered why the kids in my school playground called each other "bender" or "queer."

As a 10 or 11-year-old kid, you ask yourself very obvious and basic questions about the things that you're unsure about. Why are the kids calling each other these names when the kid in question isn't funny? Gays are funny, aren't they?

It was, of course, down to an ignorance brought about by a lack of exposure at my age.

As you build up more encounters, so you build up a more complete picture of something. But the older I get, I do find myself continually amazed by the amount of people I meet who are still ignorant or underexposed to a whole range of things.

It isn't necessarily their fault but it has a profound knock-on effect nonetheless.

The fact is that there are millions of gay people all over the world and if you're a fairly relaxed person like me, well, that's just the way it is. Big deal.

I'm not a religious fellow in any way whatsoever so, where homosexuality is concerned at least, Jesus Christ is not my barometer.

Then again, maybe I'm the ignorant one. Until I typed that last sentence, that thought had never occurred to me.

For some people, it is a big deal and I only really came into contact with that once I became a footballer.

Up until then, my life had been fairly colorful, to say the least.

In football, homosexual players remain scarce.

There have been a couple of players who have "come out," most recently Robbie Rogers, the former Leeds United and United States forward, who took to his website to announce that he was gay ... and promptly retired from the beautiful game at the tender age of 25.

It was unfortunate for football and the gay community -- football is in desperate need of a gay icon -- yet was completely understandable.

"They (the players) often don't mean what they say," Rogers said. "It's that pack mentality. They're trying to get a laugh, they're trying to be the top guy. But it's brutal. It's like high school again -- on steroids."

Rogers was talking about a changing room that doesn't know that it has a gay player in its midst.

But I'm as certain as I can be that a changing room that does know that it has a gay player in its ranks would be a very safe place for a gay footballer.

That pack mentality works the other way, too. The group protects its own. It doesn't matter whether you are white, black, straight or gay. I'm as certain of that as I can be.

Sure, players will talk behind each other's backs, not necessarily in a disparaging way, but -- to the outside world at least -- the team is a united front.

There are no veils, curtains or walls in a changing room because every team has a player who will call a spade a spade.

Somebody who will point out that the king has no clothes on and, with one not-so-subtle comment, remove the awkwardness of almost any situation.

The first time my roommate met the man at our club who has one hand, he said to him: "Are you right-handed or left-handed?"

It was the ice-breaker everybody needed, especially for the man in question, who said that the worst thing about his disability is when people walk around him on eggshells.

But it is difficult, if not impossible, for even the tightest of squads to protect a player from the taunts of tens of thousands of fans.

Or, for that matter, even just a few people. As recently as 2008, a section of Tottenham Hotspur fans sang the following words to Sol Campbell as he lined up for Portsmouth against his former club:

"Sol, Sol, wherever you may be

Not long now until lunacy

And we won't give a f**k

When you're hanging from a tree

You're a Judas c**t with HIV."

It's easy to see why Robbie Rogers gave the answer he did when a journalist asked him what he thought the reaction might be if he were to line up for Leeds against, say, Millwall. "Woah!" Rogers exclaimed. "I can't even think about that." I can tell you now, it would be horrendous for him.

You know as well as I do that the abuse a homosexual player would receive from "fans" throughout the land would be intolerable.

That isn't to say that it wouldn't ease off, but would you want to be the player who goes first?

On England's south coast in Brighton -- an area with a large gay community -- the football team and its fans take a fair amount of stick both during home matches and at away grounds.

I've heard "fans" singing to their counterparts: "Who's the f****t in the pink?" And once during a home match: "Does your boyfriend know you're here?" -- which, I won't lie, made me smile because of the laughter it generated among the traveling Brighton contingent.

Interestingly, there are few, if any, headlines written about it either as a social commentary or by a journalist going for a bit of sensationalism.

However, Brighton currently occupy a playoff berth in the Championship and, should they win promotion to the Premier League, I guarantee you that the headlines will begin in earnest next season -- something that will force the authorities to take a very public, zero-tolerating stance.

Perhaps that will turn out to be the first step on the ladder to a player "coming out."

Julian and Sandy broke down many of the social barriers that existed in post-war UK at a time when homosexuality was still illegal.

It stands up because the writing is exceptional and the risque tone of it is expertly delivered on stage.

Kenneth Williams, in particular, seemed to go about his role with such relish that it almost sounded as if he'd been freed from some terrible secret.

Many years later, after his death, his private diaries would reveal a man at tremendous odds with his own sexuality.

Imagine that; imagine not being able to live out the true meaning of your life with the same freedom as most other people. Imagine having to keep your true identity a secret.

I wouldn't wish that on anybody.

@highlight

Homosexual players in football remain scarce with Robbie Rogers the latest to come out and then retire

@highlight

Footballers protect their own but cannot shield players from terrace abuse

@highlight

Abuse for a gay player even in 2013 would be "intolerable"