Notre Dame, Indiana (CNN) -- The crackdown on pro-democracy protesters in Syria has resulted in at least 3,500 deaths. The United Nations Security Council should immediately request that all charges of crimes against humanity in Syria be referred to the International Criminal Court.

If the claims of gross misconduct by the Arab League and many national governments are correct, then something definitive would finally be done. And if the accusations prove to be wrong, as the Syrian government claims, then the court would confirm that.

The Security Council needs to act because the court lacks jurisdiction to investigate on its own, since Syria has refused to join the court. But with Security Council authorization, the legal door opens for a full-fledged investigation that could reach President Bashar al-Assad himself and, if warranted, indict those accused of responsibility for mass murder.

Russian and Chinese officials, who feel they were taken advantage of by NATO countries when they expanded the Security Council authorization of a no-fly zone for civilian protection in Libya into a military effort to overthrow Moammar Gadhafi's government, have resisted taking strong action against Syria. To encourage them to support a council referral of atrocities to the court, a U.N. resolution could explicitly take international military action against Syria off the table. This would also reassure members of the Arab League who oppose external military intervention even though some want Assad to resign.

To obtain that reassurance, the Arab League simultaneously could ask the Security Council to refer alleged Syrian crimes to the court, while also underscoring its disapproval of the Syrian government's violation of its agreement with the Arab League to stop atrocities.

An investigation by the international court could produce many benefits. It might deter heinous crimes, because Syrian officials would know that the world is now watching and ready to take legal action. If indictments resulted from the investigations, they would discredit any Syrian officials who refused to stand trial, even if arrests of indictees could not be made in the immediate future.

If Assad were indicted, this would add strength to the claim of those arguing that he should step down. Indictments would encourage and empower democratic forces within Syria, while also helping to keep protesters nonviolent, thereby discouraging the kind of civil war that occurred in Libya.

A Security Council referral might even put pressure on Damascus to accept a proposal being advanced by some in the Arab League to deploy 400 to 500 observers throughout Syria from a coalition of 16 Arab human rights organizations. Of course, Assad might refuse to allow them into Syria, fearing that they might find evidence useful for prosecutions. However, if he refused the Arab League offer to observe what is going on, that refusal would undermine his claim that officials are doing nothing illegal.

Finally, a swift Security Council referral would place the killings of several thousand people and the question of wrongful conduct precisely where they should be: in a legal framework where the conduct of officials and others is judged against well-established international laws that few dispute. Such a move, in tandem with European Union economic sanctions already taken to freeze the assets of 74 Syrians and an expanding oil and possibly arms embargo, would reduce the likelihood of violence among Syrians themselves, discourage external military intervention and enable the council to honor its charter obligation to take responsibility for preventing armed conflict.

An indictment could even produce a humanitarian consequence for an accused official. This is suggested by events surrounding Gadhafi's son Saif al-Islam Gadhafi, whom the court indicted because of suspected abuses of civilians in the Libyan revolution. He and any accused Syrian officials might prefer going to The Hague to face their legal fate rather than run the risks of a more violent destiny closer to home.

The opinions expressed in this commentary are solely those of Robert C. Johansen.

@highlight

Crackdown on pro-democracy protesters in Syria has resulted in at least 3,500 deaths

@highlight

It's time to refer Syria's leaders to International Criminal Court, Robert C. Johansen says

@highlight

U.N. Security Council must act because court lacks jurisdiction to investigate, he says

@highlight

Johansen: Indictments would encourage and empower democratic forces within Syria