Suicide continues to plague the American military, with an estimated 18 war veterans in the United States ending their lives each day. One of the last resorts for veterans struggling with the return to civilian life is a suicide-prevention hot line based in upstate New York.

The humble offices of the Veterans Crisis Line in Canandaigua, New York, are like any other office space:  desks, computers, telephones.  But as you walk past each cubicle, you begin to hear extraordinarily disturbing conversations.

"I have a .45 pointed at my head," one caller says.

"Can you put that knife away for a bit while we talk? Can you do that for me? Can you hold off just for a little bit?" a hot line worker asks.

"What sort of weapons do you have?" another calmly responds.

The men and women who answer the Veterans Crisis Line phones are on the front lines of an all-out war on suicide.   Each speaks to the caller with a very clear purpose:  keep the person on the phone long enough to get help.

"The first thing I say to a caller when they do have the object that they plan on killing themselves with them on their person, whether it's a loaded gun on their lap or the rope already strung, I always say to them, 'Can you agree to not shoot yourself, take your pills, get up on the ladder while we're on the phone?' " explained Maureen McHenry, a crisis line responder.

The responders are part investigator, part therapist and part best friend.

"We never ever give up on a rescue.  Whenever a vet needs help, we will do whatever it takes to find him if he can't tell us where he is.  Whatever it takes to get them help," said Rob Griffo, a health tech at the Veterans Crisis Line.

In 2011, the U.S. Army recorded 246 cases of confirmed or potential suicides among active-duty and reserve soldiers, according to statistics released in November. That number appears to be below the 2010 level of 305 for the full 12 months but above the second-highest year: 2009, which had 242 suicides.

The U.S. Marines have recorded 28 confirmed suicides and 163 attempted suicides this year through October. Current numbers were not available for the U.S. Navy, Air Force and National Guard. Those three branches reported suicides among service members in 2010 to be 39, 100 and 112, respectively.

The numbers illustrate a small segment of the continuing emotional and physical toll of 10 years of war in Afghanistan and Iraq and how it defies a host of efforts by the government to detect and solve the problem of suicide.

The Veterans Administration launched the Veterans Crisis Line in 2007, and close to 20,000 veterans have been rescued, officials say.

"We've taken over half a million calls, and 30,000 chats have come into the system," said Janet Kemp, the national director of the Veterans Crisis Line.

In addition to calling the hot line at 1-800-273-8255, veterans who are thinking about taking their own lives can chat with a responder at www.veteranscrisisline.net. Veterans can also reach out for help by sending a text to 838255.

And it's not just about the veterans.  Active-duty soldiers also call in.

"We have had several thousand active-duty people who have called, but we suspect many more, because it's anonymous.  We think that there are many more active-duty people who call and use our services," Kemp said.

Families and friends can call in to the hot line as well.  Kemp says she encourages those who know a veteran who may be struggling with depression to reach out to the crisis line.

She says some of the warning signs that someone is contemplating suicide include "talking about death more often, starting to give away their possessions, saying things (like 'I) probably won't be around by Christmas. I won't need to know that next year.' "

"If you hear those and know that they're depressed or trouble with work or families, certainly give us a call," Kemp said.

While the responders handle the incoming calls to the hot line, health techs alert police departments and ambulances across the country to get help to veterans trying to take their own lives.

During a recent visit to the Veterans Crisis Line office,  one veteran told responder Valerie Beaman that he planned to kill himself with a large knife to end what he called pain issues.

"When she talked to him further, he said that had taken all of his medication," said Melissa Morellaro, a crisis line health tech.

Beaman spent 45 minutes on the phone with the caller, trying to figure out exactly where the man was and then getting help to his front door.  At one point, the veteran was so confused that he didn't know his address, presumably because of all the pills he had taken.

"Where's your wife now?  She's at work? Can I send somebody to help you? OK,  I think that's what I'm going to do.  I think you want help.  You called the hot line.  And that's the best thing,"  Beaman told the veteran.

When police arrived, there was problem.

"I could hear the struggle, but I don't think they knew I was there.  They did say he's safe, and the officers were safe," Beaman said.

The responders are flying blind most of the time.  They ultimately have no idea what is happening on the other end of the phone.  The anxiety is excruciating.

A short time later, a Korean War veteran called the hot line, saying he was ready to end his life.

"So you said as soon as we get off the phone, you're going to take some pills?  Is that all you plan on doing?" McHenry asked.

The veteran told McHenry his wife died this year.

"He had been married for 20 years. ... He called simply to give me a message to give to his family about funeral arrangements and that he wanted to be buried with a photograph of her," McHenry said.

She began to ask simple questions to deduce a location.  In just a few minutes, she knew his race, his age, what he was wearing and that he was at a pay phone on the Staten Island Ferry dock.

In less than 15 minutes, police arrived to help. At least one life was saved that night.

@highlight

The Veterans Crisis Line was launched in 2007

@highlight

Dispatchers have saved 20,000 lives, according to the director

@highlight

Veterans and their loved ones can call 1-800-273-8255 or text 838255

@highlight

They can also chat with a responder at www.veteranscrisisline.net