(CNN) -- Politics is a contact sport, and presidents tend to get tackled on every play, even the ones they've executed perfectly.

There is no better example than the criticism being hurled at President Obama for the killing of Osama bin Laden. It was a daring mission, fraught with peril for the Navy SEALs, but also full of political danger for Obama. Had the attempt failed, Obama would have faced the same kind of political and policy disaster that confronted President Jimmy Carter after his helicopter rescue attempt of the Iran hostages crashed in April 1980. Everyone would have second-guessed Obama, just as they did Carter, who lost re-election six months later.

Instead, bin Laden was eliminated, the SEALs became instant heroes and the nation rejoiced. Americans approved of the raid overwhelmingly, and Obama got a much needed, though brief, job approval spike in the polls. At the time, even Obama's fiercest foes gave him a salute for making the right, tough choice.

Fast forward a year. Now President Obama is being reproached for taking too much credit for the success during his re-election campaign. Sen. John McCain called it "cheap" and "a pathetic, political act of self-congratulation." Democrats responded by questioning whether Mitt Romney would have gone after bin Laden, since he had criticized the expenditure of so much money to catch one person. Romney retorted that of course he would have grabbed bin Laden, adding that "even Jimmy Carter would have given that order." America's emotional high point in the last couple of years has become just one more partisan football.

Too bad. It would have been nice if that special moment of justice for bin Laden had remained above politics. Perhaps President Obama and the Democrats have overdone the "self-congratulation." But did Republicans think Obama's most clear-cut achievement in his first term would go unmentioned? A campaign team that didn't focus on the key unifying event in Obama's entire presidency should be sued for political malpractice.

The old rule still applies: A president should get the credit for all the good things, and must take the blame for all the bad things that happen on his watch. Politicians are not shrinking violets, least of all presidents. Naturally, Obama and his staff have capitalized fully on bin Laden and will continue to do so all the way to November.

Instead of trying to diminish the accomplishment, Republicans would be better off conceding the point, congratulating Obama, and making the argument that the bin Laden mission was the exception that proves their contention that the president has failed to do what he promised in other spheres.

Is the country better off economically? Most Americans don't seem happy with the weak recovery, which is the real issue that Romney will focus on in his pursuit of electoral victory. Obama promised a much stronger rebound after passage of his economic stimulus program, and he should be held to account for that. Similarly, Obama's health care legislation -- controversial from the start -- has remained consistently unpopular, to judge by the polls, and is a legitimate target for the GOP.

A political party enhances its credibility if it mixes praise for something done well with criticism for the inadequacies that, in its view, should lead voters in a new direction. In our hyper-partisan era, political figures and both parties seem to be permanently stuck in petty attack mode, to their own detriment.

The bin Laden success also illustrates an irony we should appreciate. The 2008 conventional wisdom about Obama was wrong. He was expected to be an effective domestic policy leader, but his lack of foreign policy experience meant he wouldn't know what to do when he got that dreaded 3 a.m. phone call. The reality of Obama's presidency has been the opposite.

Domestically, Obama has failed to revitalize the economy to the satisfaction of most voters, and his divisive health care and energy proposals increased partisanship in Congress and around the country. Yet in foreign policy, he can tout many successes, from the ending of the disliked Iraq War and the scaling back in Afghanistan to the overthrow of Moammar Gadhafi and the flowering of democracy in several Middle East nations.

What parts of our current conventional wisdom about Obama and Romney are misguided? Since the future is unknowable, perhaps our projections should be less definitive and more tentative, if not humble.

The opinions expressed in this commentary are solely those of Larry J. Sabato.

@highlight

President Obama has been criticized for touting his success in killing Osama bin Laden

@highlight

Larry Sabato: Obama's campaign should capitalize on the president's achievement

@highlight

He says Republicans are better off picking on other issues

@highlight

Sabato: Defying expectations, Obama has more success in foreign policy than domestic