The parents of Army Sgt. Bowe Bergdahl want the world to know they're beyond grateful their son has been released from Afghanistan after five years in captivity, but the battle is far from over.

"The recovery and reintegration of Bowe Bergdahl is a work in progress," Bob Bergdahl told reporters Sunday in Boise, Idaho, just one day after his son was set free.

"It isn't over for us. In many ways. It's just beginning for Jani, and I, and our family. There's a long process here," he said, referring to his wife, Bowe's mother.

Both parents addressed their son, telling him how proud they are of him. They have not yet spoken to him directly.

"There's a reason for that, and that's because Bowe has been gone so long that it's going to be very difficult to come back," said Bob Bergdahl.

He compared his son's situation to that of a diver going deep on a dive: "If he comes up too fast, it could kill him."

Bergdahl is hospitalized in Germany, where his mother said there is a team of people in place to assist him.

"Trust them. It's OK, and give yourself all of the time you need to recover and decompress," Jani Bergdahl said to her son. "There is no hurry. You have your life ahead of you."

She continued: "You've made it ... You are free."

Worsening health

Bergdahl, the last American soldier held captive from the Iraq and Afghanistan conflicts, is on a long journey home after being freed in exchange for five Taliban detainees who had been held at the U.S. military prison in Guantanamo Bay, Cuba.

Believing that his health was deteriorating, the United States acted quickly to save his life after years of work to free him from being a prisoner of war, Defense Secretary Chuck Hagel said Sunday.

"It was our judgment that if we could find an opening and move very quickly with that opening, that we needed to get him out of there essentially to save his life," Hagel said. "I know President Obama feels very strongly about that, I do as well."

Bergdahl arrived Sunday morning at Landstuhl Regional Medical Center in Germany, a U.S. Defense official said.

There was no word on Bergdahl's condition. He was last seen in a video obtained by the U.S. military in January and appeared in diminished health.

National Security Adviser Susan Rice said Sunday that the move to free him came after the United States learned his health was deteriorating in captivity.

"He had lost ... a good bit of weight.  And we were very concerned that time was not ... something we could play with, that we needed to act when we had the opportunity," Rice told CNN's "State of the Union With Candy Crowley."

Bergdahl's father told reporters his son had "passed through all the checkpoints with flying colors."

Hometown celebrates

On Sunday, people in Bergdahl's hometown of Hailey, Idaho, cheered the news and looked forward to the day he might return.

Yellow ribbons were tied on trees in his honor.

"I think as a community we had our ups and downs, as did the rest of the country. There were times where we wondered, but Jani and Bob Bergdahl never once gave up faith that their son was coming home to them," said Stefanie O'Neill, a family friend.

"They knew. It was never if Bowe comes home -- it was when Bowe comes home," she said.

Five years detained and many questions remain

U.S. special operations forces recovered Bergdahl without incident early Saturday local time at a pickup point in eastern Afghanistan, near the border with Pakistan, a senior Department of Defense official told CNN. American officials said the government of Qatar brokered the deal.

The 28-year-old Bergdahl spent five years in the hands of Afghan militants. Questions surround just how and why he disappeared. In addition to undergoing medical treatment, he is expected to be debriefed at Landstuhl.

A reporter asked Hagel Sunday whether Bergdahl had left his post without permission or deserted -- and, if so, whether he would be punished. The defense secretary didn't answer directly. "Our first priority is assuring his well-being and his health and getting him reunited with his family," Hagel said. "Other circumstances that may develop and questions, those will be dealt with later."

A senior Defense official said Bergdahl's "reintegration process" will include "time for him to tell his story, decompress, and to reconnect with his family through telephone calls and video conferences."

Bergdahl will likely go to Brooke Army Medical Center in San Antonio after he leaves Landstuhl. It's unclear whether his parents will see him first in Germany or Texas, a Defense official said.

'He was never forgotten'

Obama, flanked by Bergdahl's parents at the White House on Saturday, praised the diplomatic officials and troops who helped secure Bergdahl's release.

"While Bowe was gone, he was never forgotten," the President said.

His father spoke a few phrases in Pashtun, saying that his son is having trouble speaking English after his captivity in Afghanistan, according to a military press service.

"The complicated nature of this recovery will never really be comprehended," his father said.

A senior Defense official confirmed Bowe Bergdahl is having trouble speaking English but the reasons for that were not clear, given the trauma he's been through.

'Our only son'

The U.S. government secured Bergdahl's freedom in exchange for the release to the Taliban of five of its members detained at Guantanamo Bay.

Bergdahl's parents issued a statement thanking the Emir of Qatar, the U.S. government and the former captive's supporters.

"We were so joyful and relieved when President Obama called us today to give us the news that Bowe is finally coming home! We cannot wait to wrap our arms around our only son."

After Bergdahl was handed over, a series of secret procedures was set in motion so each side knew the other was living up to the bargain. Qatari officials were already at Guantanamo and took custody of the detainees.

A U.S. Air Force aircraft carrying them left the U.S. Navy base in Cuba on Saturday afternoon, a senior Defense official told CNN. The United States has "appropriate assurances" that Qatar will be able to secure the detainees there, where they are under a travel ban for a year.

The leader of the Afghan Taliban, Mullah Omar, praised the release of the detainees in a rare public statement Sunday.

"Thanks to God that as a result of the Taliban's sacrifice and the Taliban's political office's nonstop efforts, five important members of Taliban are released from Gitmo prison," the statement said.

The operation was so secretive that Afghan President Hamid Karzai was left out of the loop.

"Secretary (of State John) Kerry did inform President Karzai after the fact," Hagel said.

Hagel was asked if this prisoner exchange could lead to more breakthroughs with the Taliban. Getting Bergdahl out of captivity was the first concern, he said.

"Whether that could lead to possible new breakthroughs with the Taliban, I don't know. Hopefully it might," he said. "But we pursued this effort specifically to get Sgt. Bergdahl back."

Held by warlord

Bergdahl was deployed to Afghanistan in May 2009. He was 23 and a private at the time of his capture, which happened after he finished a guard shift at a combat outpost on June 30, 2009, in Paktika province.

He was believed to be held by operatives from the Haqqani network, an insurgent force led by warlord Siraj Haqqani, who has a reputation for holding positions that are extreme even by Taliban standards.

The network is affiliated with the Taliban and al Qaeda, and it was not always clear whether Haqqani operatives would abide by any agreement among the United States, Qatar and the Taliban.

An Afghan Taliban commander not authorized to speak to the media confirmed to CNN that Bergdahl was captured by insurgents with links to the Haqqani network in Pakistan. Over the years, the captive was transferred back and forth between Afghanistan and Pakistan.

Fast Facts: Bowe Bergdahl

Critics question the negotiations

The United States has long declared that it won't negotiate with groups linked to terrorists, but analysts have said the United States has effectively maneuvered around the edges of that declaration over the years.

"As the administration has repeatedly affirmed, we will not transfer any detainee from Guantanamo unless the threat the detainee may pose to the United States can be sufficiently mitigated and only when consistent with our humane treatment policy," a senior administration official told CNN, adding that the detainees will be "subject to restrictions on their movement and activities."

Many of the released Guantanamo detainees held political positions in the Taliban government that fell in Operation Enduring Freedom in 2001.

But Sen. John McCain, a former POW, called the released detainees "hardened terrorists who have the blood of Americans and countless Afghans on their hands." He demanded to know exactly what steps are being taken to guarantee that they never fight against the United States again.

Rice told CNN the Qatari government gave Washington assurance that the risk to the United States would be mitigated.

"They enabled us to have confidence that these prisoners will be carefully watched, that their ability to move will be constrained," she said.

Other members of Congress have complained about being cut out of the loop.

Rep. Buck McKeon, chairman of the Armed Services Committee, said he still has not been briefed by administration officials on the swap.

The California Republican plans to hold hearings about the Bergdahl exchange, he told CNN Chief Congressional Correspondent Dana Bash on Sunday.

"We're getting our information -- other than a very brief notification -- we're getting most of our information now from the media," he said in an exclusive interview on "Newsroom."

McKeon said his staff was notified by the Defense Department Saturday after the exchange took place, but he pointed to a law that requires the administration to notify Congress 30 days before detainees are released from the facilities at Guantanamo Bay.

Rice said Sunday that the "acute urgency" of Bergdahl's declining health justified the administration's decision to execute the swap without telling Congress.

"It was determined that it was necessary and appropriate not to adhere to the 30-day notification requirement, because it would have potentially meant that the opportunity to get Sgt. Bergdahl would have been lost," she said.

Susan Rice responds to political debate over negotiations

@highlight

"You've made it ... You are free," Bowe Bergdahl's mother tells her son

@highlight

Afghan Taliban leader praises release of detainees in rare statement

@highlight

Susan Rice says U.S. feels confident released prisoners will be monitored

@highlight

Bergdahl arrives at Landstuhl Regional Medical Center in Germany