It is impossible to ignore the impact of Pope Francis, a modern-day pope who operates with humility and directness, who lives simply, who prefers to spend his time with the poor and the marginalized, and who sees his role as pastor, compassionate friend and fellow sinner on the Christian journey.

The photos of Pope Francis embracing a man disfigured by neurofibromatosis and the scene of the little boy on the stage in Vatican Square as Francis addressed pilgrims tell us all we need to know about the humanity and accessibility of our new Pope.

Some bishops are desperately trying to reassure their followers that nothing is changing. But that's a tough sell when the head of the Roman Catholic Church tells his bishops that they are obsessed with abortion, contraception and same-sex marriage and when he says he doesn't judge gays and lesbians. Something is changing. But is this change simply one of tone?

Francis' comments on the appointment of bishops suggest that his criteria has less to do with loyalty and orthodoxy and more to do with pastoral experience and compassion. But in his first American appointment, one that was not in the pipeline before his papal election, he named Bishop Leonard Blair as the new archbishop of Hartford, Connecticut.

Blair is a true believer culture warrior and former Vatican official who led the charge against the Leadership Conference of Religious Women last year and earlier joined in the condemnation of Notre Dame University for having President Barack Obama as a speaker.  And in light of Francis closing the door on female priests, many women theologians and lay leaders are wondering about his emphasis on a new role for women in the church.

Jamie Manson, a Yale trained theologian and a writer for National Catholic Reporter, suggests that we should not get too excited. For her, the bottom line is that in spite of the warmth and sincerity of the Pope's words, he is not indicating any change in church teaching.

She points out that the Pope says that the church does not want to wound gays and lesbians, but "Francis doesn't seem to understand that it is precisely the teaching of the church that is doing the wounding."

And Manson asks the broader question: "What good is a more pastoral church when ultimately, gays and lesbians are still told their relationships are sinful, women are still barred from answering God's call to ordained ministry, African-American women and men routinely affected by HIV/AIDS cannot get access to condoms, women in need of lifesaving abortions are forced to die, and starving families in countries like the Philippines are denied access to condoms?"

Manson has a point. It's possible that the most that Francis' words will accomplish will be to neutralize those bishops who lean whichever way the papal wind blows. Worse, the pope's comments will provide protective cover for the more outspoken orthodox bishops.

They might tone down their comments, but they will not change their attitudes or their policies.

Cardinal Timothy Dolan of New York may praise Francis, but this is the man who has compared same-sex marriage to incest and declared that gays and lesbians "don't have the right stuff." And San Francisco Archbishop Salvatore Cordileone, the American church's cheerleader against same-sex marriage, hasn't let Francis' softer tone slow down his continued negative crusade.

Cordileone and others like him are young enough to wait out Francis, organize before the next papal conclave and put a true believer back in place. Pope Francis may be a bridge builder, but for now, no bridge is long enough to span the dichotomy between the church's expression of love for gays and lesbians and the simultaneous condemnation of them when they act consistent with their nature.

I'm a 73-year-old, white, heterosexual male and have not been on the receiving end of the ignorance, hate and narrow orthodoxy that religious belief can still stir up. But Jamie Manson and her partner have been. My son and his partner have been. And thousands like them, all made in the image and likeness of God, have been on the receiving end of hate and ignorance, and in the context of our church, the maddening, wounding, mixed message of love and condemnation.

Until there is an openness to new interpretations of Scripture regarding homosexuality, until the new thinking on natural law is accepted that sexual orientation is not a choice but part of the nature of the person and until the growing number of moral theologians who offer compelling arguments that sexual acts should be seen in terms of harm or good to individuals rather than in terms of offending God, there is no lasting change and the wounds remain open.

And our new Pope, unintentionally, may seduce many into thinking that things are getting better and provide cover for the Cordileones of our church to continue their campaign of condemnation and exclusion.

On the other hand, I've learned from my own recent life experiences that God's grace can mysteriously arise out of excruciating pain, so I don't give up hope. Nor would I want to underestimate the potential grace of a modern-day pope who prioritizes Jesus' message of love and inclusiveness over doctrine and orthodoxy.

Join us Facebook/CNNOpinion.

@highlight

Brian Cahill: The photos of Pope Francis show his humanity, compassion, accessibility

@highlight

Cahill: But church doctrine unchanged; Francis named a conservative archbishop

@highlight

Cahill: Being gay or lesbian is still a sin, women can't be priests, condoms are banned

@highlight

Still, a pope who believes in love and inclusiveness can do much good, he says