WASHINGTON (CNN) -- The 2009 presidential inauguration is looking to be historic and, frankly, headache-inducing for the throngs of people descending on the nation's capital to watch Barack Obama sworn in as the 44th president.

Workers are putting the finishing touches on the innaugural stage on the steps of U.S. Capitol.

CNN has compiled a list of frequently asked questions and answers.

Q: How crowded will Washington be, and how will I get around?

A: Think Times Square on New Year's Eve. Throw in tight security, then multiply that by 12. At least, that's how it will most likely feel.

Nearly 2 million people are expected to hit the streets of the nation's capital January 20. Police will be shutting bridges across the Potomac River into Washington, along with a huge chunk of the downtown area.

Two of the major routes coming into the city -- Interstates 395 and 66 -- will be closed to inbound traffic, at least for private vehicles.

And for those coming from Virginia, all of the bridges between the state and Washington are going to be shut. In order to get in: walk or take public transport, such as the metro area's subway system.

Amtrak says that it has increased the number -- and length -- of trains running to Washington on Inauguration Day and that tickets are still available but are going fast. iReport.com: Are you going to the inauguration?

Security officials also say charter buses, taxis and car services will be another option for those attending.

Q: What can't I bring?

A: There are several obvious items that are prohibited, according to the U.S. Secret Service, including:

"Firearms, ammunition, explosives, weapons of any kind, aerosols, supports for signs and placards, packages, coolers, thermal or glass containers, backpacks, bags exceeding size restrictions, laser pointers, animals other than helper/guide dogs, structures, bicycles and any other items determined to be a potential safety hazard."

Items surrendered to security officials will not be returned.

Other items that are being banned include baby strollers and umbrellas. Read more about Secret Service traffic, security plans (PDF)

Q: When do the festivities start?

A: Saturday, January 17. Obama and Vice President-elect Joe Biden will begin their whistlestop-like train tour, stopping in Philadelphia, Pennsylvania; Wilmington, Delaware; and then making a stop for an event in Baltimore, Maryland, before pulling into Washington.

That evening, Michelle Obama, Jill Biden and their families will hold a free "Kids' Inaugural" concert to honor military families.

Sunday, January 18

Obama will kick off the schedule of official inaugural activities in Washington, D.C., with a welcome event on the steps of the Lincoln Memorial. The event will be free and open to the public.

HBO will exclusively broadcast the event from 7 to 9 p.m. ET. The event will be televised by HBO on an open signal accessible to all U.S. viewers with access to cable, telcos or satellite television.

It will also be a star-studded affair, with Beyoncé, Mary J. Blige, Bono, Garth Brooks, Sheryl Crow, Renee Fleming, Josh Groban, Herbie Hancock, Heather Headley, John Legend, Jennifer Nettles, John Mellencamp, Usher Raymond IV, Shakira, Bruce Springsteen, James Taylor, will.i.am and Stevie Wonder -- among many others.

The Rev. Gene Robinson, an openly gay Episcopal bishop, will deliver the invocation.

Monday, January 19 (Martin Luther King Jr. Day)

Obama and Biden will honor King's legacy by urging supporters to participate in activities dedicated to serving others in communities across Washington, according to the Obama transition Web site, Change.gov.

On Monday night, Jazz at Lincoln Center and The Rockefeller Foundation will present "A Celebration of America" at the Kennedy Center in Washington. The event -- marking King's legacy and the 56th inauguration -- will be broadcast live on CNN.

Special guest stars will be announced shortly.

Tuesday, January 20: Inauguration Day

The order of events, according to the Presidential Inauguration Committee, include:

• Musical selections: The United States Marine Band, followed by the San Francisco Boys Chorus and the San Francisco Girls Chorus

• Call to order and welcoming remarks: Sen. Dianne Feinstein, D-California

• Invocation: Dr. Rick Warren, pastor of the Saddleback megachurch in Orange County, California

• Musical selection: Aretha Franklin

• Vice President-elect Biden will be sworn into office by John Paul Stevens, associate justice of the Supreme Court

• Musical selection: John Williams, composer/arranger, with Itzhak Perlman, Yo-Yo Ma, Gabriela Montero and Anthony McGill

• Obama will then take the oath of office, using President Abraham Lincoln's inaugural Bible, administered by John G. Roberts Jr., chief justice of the United States

• Inaugural address

• Poem: Elizabeth Alexander

• Benediction: The Rev. Joseph E. Lowery

• The national anthem: The United States Navy Band "Sea Chanters"

According to Change.gov, after President Obama gives the inaugural address, he will escort outgoing President George Bush to a departure ceremony before attending a luncheon in the Capitol's Statuary Hall.

The 56th Inaugural Parade will then make its way down Pennsylvania Avenue from the Capitol to the White House, with groups traveling from all over the country to participate. iReport.com: Sneak peek of inauguration parade stand

Wednesday, January 21

Obama -- as the new president -- will take part in a prayer at the National Cathedral in northwest Washington.

The Rev. Sharon Watkins, the general minister and president of the 700,000-member Christian Church (Disciples of Christ), will be the first woman to deliver the sermon at the traditional inaugural event.

Q: What's the dish on the inaugural balls?

A: There will be 10 balls throughout Washington on Tuesday night. They include:

• Commander-in-Chief Ball, which is dedicated to military personnel and their families.

• Five regional balls dedicated to each section of the United States. Only those invited may attend.

• Neighborhood Ball, which will be open for Washington, D.C., residents who paid for tickets in advance. Both Obamas will attend the ball, which will be broadcast live on ABC and over the Internet.

• Youth Inaugural Ball at the Washington Hilton. It is reserved for those between the ages of 18 and 35. Tickets are relatively cheap: $75 a pop. MTV will broadcast the event live.

• Obama Home States Inaugural Ball at the Washington Convention Center, includes invited guests from Illinois and Hawaii.

• Biden Home States Inaugural Ball also at the Washington Convention Center, includes invited guests from Delaware and Pennsylvania.

For a full listing of the balls, log on to Pic2009.org.

CNN's Mike M. Ahlers contributed to this report.

@highlight

Barack Obama to be sworn in as president January 20

@highlight

Several million are expected to descend on Washington

@highlight

CNN has your guide to all things Inauguration 2009

@highlight

Activities begin January 18 with an Obama-Biden whistlestop-like tour