(CNN) -- Attempts to purge Muslims from parts of the war-torn Central African Republic have prompted "a Muslim exodus of historic proportions," rights group Amnesty International warned Wednesday.

International peacekeepers have "failed to prevent the ethnic cleansing of Muslim civilians in the western part of the Central African Republic," the group said.

Another rights group, Human Rights Watch, also warned Wednesday that the country's minority Muslim population is "being targeted in a relentless wave of coordinated violence that is forcing entire communities to leave the country."

The Central African Republic, a former French colony, was plunged into chaos last year after a coalition of mostly Muslim rebels dubbed Seleka ousted President Francois Bozize.

They have since been forced out of power, but Christian militias, known as the anti-balaka, which translates as "anti-machete," have been allowed to fill the power vacuum, Amnesty International said, with dire consequences for Muslim civilians.

"Anti-balaka militias are carrying out violent attacks in an effort to ethnically cleanse Muslims in the Central African Republic," said Joanne Mariner, senior crisis response adviser at Amnesty International.

"The result is a Muslim exodus of historic proportions."

The Amnesty International report said international peacekeepers in the country must do more to protect Muslim communities and rein in the anti-balaka militias. There are about 1,600 French troops on the ground, alongside about 6,000 soldiers from an African Union-led peacekeeping force, known as MISCA.

Forcible expulsion

The rights group also said the backlash against Muslim civilians was foreseeable -- and should have been prevented.

"In power for nearly 10 months, the Seleka were responsible for massacres, extrajudicial executions, rape, torture, and looting, as well as massive burning and destruction of Christian villages," it said.

"As the Seleka withdrew, the international forces allowed the anti-balaka militias to take control of town after town. The resulting violence and forcible expulsion of Muslim communities were predictable."

For its report, Amnesty International interviewed more than 100 people who witnessed attacks against Muslims firsthand.

The worst violence documented was in the northern town of Bossemptele, where at least 100 Muslims were killed in January, it said. Among the dead were women and old men, including an imam in his mid-70s.

Other northwestern towns where Muslims communities have been attacked include Bouali, Boyali and Baoro, it said.

The spiraling ethnic violence in the Central African Republic has led some observers to fear another genocide like that seen in Rwanda nearly 20 years ago.

Antonio Guterres, head of the U.N. refugee agency, said he has "witnessed in the Central African Republic a humanitarian catastrophe of unspeakable proportions. Massive ethno-religious cleansing is continuing."

He cited "indiscriminate killings and massacres" and "shocking barbarity, brutality and inhumanity." He said he's "deeply distressed that nearly half a million Central Africans have been newly displaced since December alone. In all, 2.5 millions are in desperate need."

He said the country is "falling through the cracks of international attention" and that can't be permitted.

"Tens of thousands of people are fleeing the country for their safety, many are trapped with nowhere to go. In Bangui alone, thousands of people are in ghettos in grave conditions," he said in a statement.

He said the international community must act by deploying forces on the ground.

"It is imperative to re-establish security, law and order. For the people of the Central African Republic, safety and security for all is the most urgent priority," Guterres said. "Acting in concert, particularly with the support of religious leaders, all actors must enhance mediation and pave the way for the restoration of peace and sustainable reconciliation."

Human Rights Watch highlighted the language used by the anti-balaka militias -- which, it said, "suggests their intent is to eliminate Muslim residents from the Central African Republic."

"At this rate, if the targeted violence continues, there will be no Muslims left in much of the Central African Republic," said Peter Bouckaert, emergencies director at Human Rights Watch.

"People whose families have peacefully lived in the country for centuries are being forced to leave, or are fleeing the very real threat of violence against them."

Human Rights Watch cites the example of a gold trading center, Yaloke, which had an estimated Muslim population of 30,000 and eight mosques before the conflict. When the group visited the town last week, fewer than 500 Muslims and one mosque remained, it said.

Fled into exile

The medical aid group Doctors Without Borders, or Medecins Sans Frontieres, last week also warned of "extreme and unprecedented levels" of violence against civilians as Muslim and Christian militia groups clash.

"Although the conflict is complex and all communities are affected by the violence, the minority Muslim community is increasingly targeted," the group said in a statement.

"In many towns, Muslim groups are isolated and threatened by anti-balaka forces while tens of thousands of Muslims have already left the country into exile in Chad or Cameroon."

The African Union also raised concerns over violence toward Muslim civilians and Chadian nationals.

The chief prosecutor of the International Criminal Court, Fatou Bensouda, said Friday that she was opening a new investigation into serious abuse allegations.

"In many incidents, victims appear to have been deliberately targeted on religious grounds," she said

Support for peacekeepers

A jointly penned column by Presidents Barack Obama and Francois Hollande, published Monday in The Washington Post, said the two nations were working together to confront the crisis, as the French leader pays a state visit to Washington.

"In the Central African Republic, French and African Union soldiers -- backed by American airlift and support -- are working to stem violence and create space for dialogue, reconciliation and swift progress to transitional elections," it said.

The U.N. Security Council voted last month to continue its peacekeeping mission in the country and to authorize the use of force by European Union troops there.

The decision came after the nation tapped Catherine Samba-Panza, mayor of the capital of Bangui, as its interim president.

She replaced Michel Djotodia, the leader of the Seleka rebels who seized power in March only to step down in January after failing to halt the escalating violence.

Last year's coup was the latest in a series since the country gained independence in 1960.

CNN's Nana Karikari-apau contributed to this report.

@highlight

NEW: Head of U.N. refugee agency 'deeply distressed'

@highlight

Amnesty International says peacekeepers have failed to prevent ethnic cleansing

@highlight

Violence has led to a "Muslim exodus of historic proportions," says the rights group

@highlight

Christian and Muslim militia groups are warring in the Central African Republic