Abu Dhabi, United Arab Emirates (CNN) -- World powers beefed up financial and moral support for the Libyan opposition Thursday at an international coalition meeting aimed at charting the course of a post-Moammar Gadhafi Libya.

Talk at the meeting in the United Arab Emirates focused on sustaining pressure on the embattled Libyan leader. U.S. Secretary of State Hillary Clinton said "numerous and continuous discussions" on a transition of power were taking place among people close to Gadhafi.

A spokesman for a Libyan opposition group told CNN that Gadhafi's son, Saif al-Islam Gadhafi, was the primary negotiator for an exit plan for his father, but suggested the timing of the talks might not be good.

"I'm not sure there's a lot of people willing to listen right now," said Mohammed Ali Abdallah of the National Front for the Salvation of Libya.

Abdallah said a southern front had opened up in the fighting and that Gadhafi's days were numbered.

"We are in the final phases," Abdallah said. "Gadhafi's military power has significantly been reduced. He is basically rattled."

Clinton announced an additional $26 million in U.S. aid for the victims of Libya's ongoing war and said time was on the international coalition's side so long as Gadhafi faced sustained pressure.

"The violence must stop," she said. "Gadhafi must go."

Britain's minister for the Middle East and North Africa, Alistair Burt, concurred: "Gadhafi's regime is crumbling," he said in a statement. "He has lost all legitimacy and must go immediately."

Promises of financial assistance flowed at the meeting, the third the international Libya group has held since war erupted.

Italy pledged up to $580 million to the Libyan opposition's Transitional National Council -- which is facing a budget shortfall -- to cover its expenses, but not weapons, Foreign Ministry Spokesman Maurizio Massari said.

And Kuwait is donating the $180 million it promised in April for humanitarian needs, said Sheikh Mohammed Sabah al Salman al Sabah, the Gulf nation's deputy prime minister and minister of foreign affairs.

France, Italy and Qatar are among a small number of countries that have recognized the Transitional National Council as the legitimate government of Libya.

While the United States has yet to officially recognize the rebel government, President Barack Obama "has invited them to open an office in Washington," a senior administration official told reporters traveling with Clinton to the meeting in Abu Dhabi.

The official spoke on condition of anonymity as a matter of practice for a press background briefing.

In Washington, Obama's choice to lead the Defense Department, Leon Panetta, warned Thursday that if Gadhafi survives as leader of Libya, it could undermine American credibility.

"I think it impacts on our national security interests in the world if that happens," Panetta said at his Senate Armed Services Committee confirmation hearing.

The Obama administration has resisted congressional efforts to end or rein in the Libya mission, which started in March.

The Abu Dhabi conference got underway as Gadhafi's forces launched a new attack against the rebel-held port city of Misrata, the scene of some of the bloodiest fighting in the months-long civil war that has killed thousands of civilians.

The assault followed intense NATO bombardment of the capital, Tripoli. The alliance intervened in the conflict in March under a United Nations mandate to protect civilians as Gadhafi tried to crush the armed revolt against him.

NATO Secretary General Anders Fogh Rasmussen told CNN Thursday that the alliance has carried out more than 10,000 airstrikes that have damaged or destroyed more than 1,800 military targets, and have "considerably degraded Gadhafi's war machine."

Rasmussen predicted the end was near for Gadhafi.

"Well no one knows exactly what will be the endgame, but I think the endgame is approaching, and this is the reason why we have strongly encouraged international organizations -- and notably the United Nations -- to speed up the preparations for that day," he said.

But Gadhafi has vowed not to step down. "We will not surrender," he said this week during a live audio broadcast as NATO warplanes bombed his Tripoli compound.

In Misrata, rebels reported intense shelling by Gadhafi's forces from three sides.

It was the bloodiest day of fighting in a week, said Dr. Khaled Abu Falgha, a spokesman at Misrata's Hekma hospital.

Rebel spokesman Ibrahim Beit-elmal said Gadhafi forces failed Wednesday in their attempt to enter the city on the three front lines. He said the rebels had gotten most of their weapons by taking them from Gadhafi forces "as spoils of war."

Beit-elmal said Gadhafi's latest tactic has been to send girls to join the front-line fighting. "We arrested three, then let them go," he said.

He said a high-ranking officer defected this week from Gadhafi's forces and joined the rebel forces on the front. In all, he said, 15 of Gadhafi's officers have surrendered and joined the rebel forces.

In Zlitan, fighters attacked Gadhafi forces Thursday, taking four of their vehicles, but they failed to establish complete control, he said.

This week, 22 rebel fighters were killed in the fighting, with many others wounded -- including 45 who were injured Wednesday, he said. Most of the casualties occurred on the western and eastern front lines.

More than 100 members of Gadhafi's forces were killed Wednesday, half of them on the southern front (of Abdul-Rauf), said Fathi Bashaagha, Misrata military-NATO coordinator.

More than 1,000 people are believed to have been killed since fighting began there in early February, including 686 civilians who lived in the city, he said.

Misrata has been under siege for months by Gadhafi's forces, who have cut off all land access. The only escape route is by sea.

The Transitional National Council, based in the de facto rebel capital of Benghazi in eastern Libya, has been seeking international support, including money, in its battle to oust Gadhafi.

Meanwhile, the International Criminal Court's chief prosecutor said a decision was expected within days from judges at the Hague on whether to charge Gadhafi and two others with crimes against humanity.

Chief Prosecutor Luis Moreno-Ocampo is seeking the arrest of the Libyan leader and two relatives -- his son Saif al-Islam and brother-in-law Abdullah al-Sanussi -- accusing them of "widespread and systematic" attacks on civilians as they struggle to hold power.

Moreno-Ocampo told CNN that investigators have evidence that Gadhafi ordered rapes as part of his campaign to hold on to power. He said Libya's acts of brutality were not the works of low-level soldiers, but that orders were coming from the top.

The arrests the court is seeking, Moreno-Ocampo said, would "stop the rapes, stop the killings, stop the torture."

CNN's Nic Robertson, Charley Keyes, Jamie Crawford, Jenifer Fenton and Max Foster contributed to this report.

@highlight

Panetta warns that Gadhafi's staying in power could undermine U.S. credibility

@highlight

An opposition spokesman says Moammar Gadhafi is rattled

@highlight

Hillary Clinton says people close to Gadhafi have been in transition talks

@highlight

World powers pledge more money for the Transitional National Council