(CNN) -- As you step closer to the artwork, it's as if you're venturing into a crimson-hued dreamscape, a psychedelic realm immersed in feverish landscapes and eerie sounds.

Yet, this is no dream.

Using a special and discontinued technology, which registers an invisible spectrum of infrared light, Irish artist and photographer Richard Mosse has captured beautiful and challenging imagery of people and landscapes in eastern Democratic Republic of Congo.

Designed by the U.S. military in the 1940s for camouflage detection, the Kodak Aerochrome film renders the landscape in an unexpected light, turning shades of lush green into dramatic pinks and glowing reds.

The result is both spectacular and shocking: Rolling hills appear dotted with candy-coated trees; river valleys are covered with pink savannah grasses; gun-holding soldiers, clad in purple uniforms, stroll under darkened skies.

Set against the horrors of eastern DRC's humanitarian disaster, where more than five million people have died due to war-related causes since 1998, Mosse's surreal palette presents an alternative view of the region's complex situation.

Read this: Why the world ignores Congo conflict

It's this juxtaposition of alluring panoramas and defiant militia, of haunting beauty and unsettling violence, that forces viewers to pause and think.

"The idea was to use this medium to see into the unseen, to reveal the hidden and make visible the invisible of this forgotten conflict," says Mosse, 33. "That works really on a very simple level through the color palette," he adds. "The pink is so surprising and shocking and unnatural that really makes people stop."

Mosse first used infrared film in his highly praised 2011 photographic series "Infra," also about eastern DRC. He now takes that project a step further with "The Enclave," a multimedia installation that opened last weekend at the Irish Pavilion of the Venice Biennale in Italy.

"The Enclave" is centred on a six-screen projection of a nearly 40-minute documentary, shot on 16mm infrared film.

Throughout large parts of last year, Mosse traveled across eastern DRC with cinematographer Trevor Tweeten and composer Ben Frost. Embedded with armed militia, they captured video, stills and audio to create a powerful installation about the region's rebel groups and their surrounding communities.

"There's no plot, there's no narrator, there's no dialogue -- it's very much a video art piece," says Mosse, who first travelled to eastern DRC in 2010.

Read this - War reporter: 'My camera is my weapon'

"Throughout, the camera it's very much a documentary work," says Mosse. "It is unscripted; we just really go into the warzone and it comes to us. We can't really make things up; it's really what we had the luck to capture and what we turned our sights on."

Mosse says that at the heart of the project is an effort to bring "two counter-worlds into collision: art's potential to represent narratives so painful that they exist beyond language, and photography's capacity to document specific tragedies and communicate them to the world."

"The Enclave" is exhibited at Fondaco Marcello in Venice until November 24.

@highlight

Artist Richard Mosse has taken infrared images of eastern Congo

@highlight

His artwork shows rolling landscapes and heavily armed militia

@highlight

His latest work,"The Enclave," is a multimedia installation blending stills, video and audio

@highlight

It opened last weekend at the Venice Biennale in Italy