(CNN) -- Buyout guys usually "run the numbers" on a takeover target before spending too much time on it. As takeovers go, the United States looks pretty good. Here's a tongue-in-cheek look at how a private equity executive might sum them up for a former private equity guy.

To: Mitt Romney
Re: Project November
From: The Buyout Nation Team

The team has finished running the numbers on Project November and they look really strong.

First, if we're successful in the upcoming auction (they call it an election), we will have bought in cheap and should make a killing since the economy is improving and is likely to do so for the next four years even if we don't do much after the takeover.

Second, it looks like we have a lot, and I mean a lot, of room to increase sales. I've never seen a business with so much ability to raise prices.

The customers (they call them taxpayers) have little opportunity to leave, by law they have to pay, and not many have the resources to take advantage of the tax-minimizing options in Switzerland and the Caymans. But the pricing structure is a total mess. While every other business charges premium customers more, since they have the cash and benefit most from the services, here it's backwards.

A lot of the premium customers, the ones who've done really well for the last decade or two, actually pay the lowest rates! So raising prices on these guys should be a cinch. And we can also get some early revenue from one-time gimmicks like drilling a million gas wells, selling non-core assets (Guam?), sale-and-lease-backs on real estate (the Capitol?) and more aggressive corporate partnerships (Exxon-Yellowstone National Park?)

Third, on the expense side things look equally promising. As Larry Summers first discovered, a lot of the value created in takeovers can come from promise breaking and we've got great opportunities to do that with Medicare and Social Security.

Even better, our modeling shows that if we only break promises for younger people (say, under 54) they won't feel any real pain until after 2016 or 2020 when we'll already have exited the deal and been long gone.

Another easy option is to cut expenses for the poor and for kids since it turns out that they can't vote (too young), don't vote (those new ID rules), or won't vote for you anyway. (By the way, where did you get that 47% from? Your overall figure feels about right but the team wants to double-check the calculation.) We also found big potential cost savings from outsourcing not just jobs but entire government departments to India. This may be an option for lower value-added departments like Housing and Urban Development, and Education.

Another potential expense-cutting option is the military, but this seems a bit tricky given the whole military-industrial complex thing.

But a takeover of the nation also presents some unique challenges compared with the smaller companies we usually target.

First, if things get tight, we can't save cash by slashing long-term investments because it turns out that there aren't any. I know it's unbelievable, but there just isn't much money going into the stuff that will pay off big time for competitors in the long-run: education, public transport, bridges and infrastructure, and clean/green technology.

Second, we're unlikely to make money by restructuring or refinancing the debt. It's already dirt-cheap (we could borrow for 30 years at 3%) and the experts I've spoken with are convinced that the nation really is too big to fail. I know you've been through a lot of tough restructurings, think the market should be allowed to work things out, and were willing to let the auto industry go to the wall. But I've pushed these guys hard and they remain adamant that if we get too close to that fiscal cliff, really bad stuff will start to happen: markets gyrating, interest rates rising, the dollar plunging, rating downgrades, you name it.

While this type of chaos might actually be a boon to some of our hedge fund supporters, I really think we should try to avoid it. (And there's no guarantee that the guys running your blind trust will have had time to bet against America before things start to unravel.)

Finally, I reviewed the nation's shareholders agreement and bylaws (they call it the Constitution) and it's a catastrophe.

In fact, the bottom line is that even after we take control, there will be real limits on what we can do without the support of some really crazy people. People who don't appear to believe in arithmetic or science, let alone rationality and analysis. These guys are definitely not the McKinsey and Goldman types we're used to dealing with so it's going to be a total nightmare.

It makes me wonder whether this whole thing is really worth the hassle. Where's the upside? Do we really have a special insight that makes us the natural owner or are we just willing to spend more than the competition to win? I'm a little bit worried that we may have a touch of deal fever for another trophy on the wall.

Anyway, the model is ready so just send me your plan so I can finalize the assumptions about price hikes, expense reductions, investments and the like. I couldn't find a copy on the server and everything in the public domain is vague and contradictory. My daughter's got soccer tonight so I hope to leave the office by 7 but call my cell if you need anything else.

The opinions expressed in this commentary are solely those of John MacIntosh.

@highlight

Imagine former private equity exec Mitt Romney approached election as corporate buyout

@highlight

MacIntosh says the buyout team would "run the numbers" on America

@highlight

MacIntosh: Since taxpayers are captive, there's a lot of potential to raise "prices"

@highlight

MacIntosh: But unlike most businesses, the customers with the most pay the lowest rates