(Time.com) -- Last month, Sean Parker of Napster fame launched Airtime.

Amid the hoopla of the launch -- attended, for some reason, by Jimmy Fallon and Snoop Dogg -- Parker told an anecdote about meeting his business partner, Shawn Fanning, 15 years ago in a chat room, saying, "There's something exciting about bringing spontaneity to the Internet. All of your interactions online are constrained by the people you already know."

Time.com: Chatroulette 2.0? Napster founders launch Airtime video chat

So far, Airtime hasn't exactly been a hit. Apparently people don't feel constrained by interacting with the people they know -- they feel comforted by it. But what, exactly, did happen to the chat rooms Parker so fondly remembers?

I talked with Joe Schober, the longest-running employee at AOL and its current chief architect.

His relationship with the company started in 1988, before it was America Online. Back then it was called AppleLink, a project commissioned by Apple Computer and a company called Quantum Computer Services to connect Apple II and Macintosh computers.

The beta test was dubbed "Samuel" and for Schober, a teenage fan of BBSes (bulletin board systems), it was an intriguing opportunity. He recalls a "little frontier town" where you could initially recognize almost every screen name you came across. When the main chat room filled to capacity, necessitating the creation of Lobby 2, the community celebrated.

It only took 23 people to fill a chat room.

"I know for myself, personally, I found it fascinating," says Schober. "The BBS world, it tended to be a one-line experience -- you were the sole user of the service, you could send email, you could leave messages, but it wasn't interactive in real-time in the same way. So the experience of going into a chat room and getting a response a couple of seconds later from someone who was in the same chat room was just really cool."

Time.com: 12 unique compouters, tablets and gadgets that are just around the bend

Slowly, the service grew, expanding to support DOS and eventually Windows. The chat product, called People Connection, had a variety of rooms for people interested in such topics as genealogy and strategy games. Schober remembers a ticker dubbed "Network News," a kind of virtual community newsletter that would let people know when certain chat rooms had a special guest or were discussing certain topics.

Schober moved from beta tester to full-time employee in 1992, when the service -- now officially called America Online -- went public. The company was positioned perfectly for the onset of the Internet Age. Windows 3.1 was released, making personal computers both more affordable and easier to use. And, despite our memories of the slow-dialing modems of the '90s, connecting to the World Wide Web was faster than ever at the time.

"In the '80s, if you had a 2400 baud modem you were pretty hot stuff," says Schober. "2400 baud is painful. People talk about their cellphones being slow now; a slow cellphone might be 256k or 512k, so if you think about something being 100 times slower than that, it's ridiculous. So you started getting to the 9600 and 14,400 baud modems that made the speeds a little more comfortable."

Time.com: Google Graveyard, meet Microsoft's Morgue

Participation in chat rooms started to snowball; as more people used them, the variety of chat rooms increased, attracting even more people. Then, in 1996, America Online opened the floodgates by introducing a monthly flat rate instead of charging by the hour. For $19.95 a month, users could now linger in chat rooms for as long as they wanted.

The late '90s, according to Schober, was when chat rooms hit their peak. Just how powerful was America Online during this time? Reggie Fairchild, product manager for AOL 4.0, shared this little story on Quora:

"When we launched AOL 4.0 in 1998, AOL used ALL of the world-wide CD production for several weeks. Think of that. Not a single music CD or Microsoft CD was produced during those weeks."

It worked. People signed up in droves.

AOL's subscriber base grew to 17 million in 1999. This is the era that many people, myself included, remember most vividly. As a gawky kid entering high school, chat rooms were a haven from the awkwardness of real human interaction. I'd use them to discuss punk bands like Operation Ivy with other teenagers, to play the chat room-equivalent of Dungeons & Dragons, and talk to what I very much hoped were actual girls.

Around 2000, however, I found myself drawn more to AOL Instant Messenger (AIM) than I did to AOL's chat rooms. Launched in 1997, AIM became widespread once it was made available to non-subscribers in 1998.

Time.com: AOL's thoroughly modern AIM

Then in the 2000s, the rise of DSL and cable modems made paying AOL a monthly fee for Internet access seem increasingly unnecessary. Friendster launched in 2002, Myspace in 2003 and Facebook in 2004. Massively multiplayer online role-playing games (MMORPGs) like World of Warcraft made gaming in chat rooms seem antiquated.

Time.com: Atari at 40: Catching up with founder Nolan Bushnell

There were, in short, a lot more options for people who wanted to interact online. AOL's walled garden was officially dismantled in 2006. Chat rooms were available to AIM users until 2010, when AOL announced, "Since usage of AIM Chat has declined significantly in recent months, our focus has moved to other products."

Today, chat services such as Facebook Messenger and Google Talk (a.k.a. Gchat) are popular, but chat rooms as they existed in the 1990s are mostly a relic.

So, is the chat room dead? Schober doesn't think so.

"I don't think people have necessarily stopped using them -- there are just different ways of expressing the same concept now," says Schober. "Now people on Facebook will start a thread on someone's Timeline and really start interacting with one another. It's a different visual format, it's organized differently, but its really the same concept we had around the chat room."

Time.com: Five years ago today, the iPhone went on sale

Yes, that's true, but to me the experience just feels different. That's what Parker was getting at when he talked about the "spontaneity to the Internet" during the Airtime launch. In the '90s, I constantly interacted with people known to me only by their screen names; today, I only interact that way in comments sections and on Twitter, and only occasionally.

That's not necessarily a bad thing. I'm nostalgic for AOL chat rooms, but would I use them if the company brought them back? No. But that doesn't mean some entrepreneur out there isn't working on something that captures the same spirit, albeit without the same hegemony AOL enjoyed. In the meantime, I'll have to settle for talking with strangers on Twitter. Anybody want to talk about punk bands from the late '80s and early '90s?

This article originally appeared on Time.com:

AOL's longest-running employee on the history of AOL chat rooms

@highlight

AOL chat rooms, popular in the 90's and early 00's, are less so today thanks to new technology

@highlight

Chat rooms helped the users communicate rapidly with others like themselves

@highlight

Today, social networks' chat services let people exchange in real time with existing friends

@highlight

Still, some networks like Twitter and Linked In thrive on creating bonds between strangers