When IBM's Watson system defeated the human champion on "Jeopardy!" in February 2011, it surprised the world with its unprecedented command of a vast array of facts, puns, and clever questions.

But how will that feat change our lives over the next decade? What does it mean for the future of intelligent machines?

Watson accumulated its wide-ranging knowledge by "reading" the equivalent of millions of books, foreshadowing a revolution in how computers acquire, analyze, and create knowledge.

Read more: Ray Kurzweil's future of humanity

Given the explosive volume of text available to anyone today in the form of web pages, articles, tweets and more, automatic machine reading is a critical part of technology's future.

Here are five ways we predict the Machine-Reading Revolution will change your life in the coming decade:

1. Being a scientific assistant: By 2020, machine reading and understanding of scientific text has the potential to accelerate breakthroughs like helping find new cures to diseases or solutions to climate change.

The Allen Institute for Artificial Intelligence's Aristo project is building software that will enable computers to "learn" from textbooks, ask questions, and draw tentative conclusions. Building on this, and related projects like Watson, this kind of assistant will become an indispensable tool for scientists and researchers.

Read more: I'm the original voice of Siri

2. Answering questions:  When you ask your  smartphone a specific question like "when's the next flight to Atlanta?" or even "what's President Obama's current approval rating?" You'll be able to receive direct and concise answers on your device.

Programs like Siri and Google Now can already answer spoken questions like "when's the next Yankees game?"

Over the coming decade, the range of answerable questions will broaden substantially, and the answers will be based not only on databases of facts, but also on information automatically extracted and synthesized from news, web pages, and tweets.

Thus (as Etzioni anticipated in 2011):  On our phones, ten blue links will gradually become a thing of the past.

3. Being an online shopping concierge: We foresee an automated concierge that makes personalized product recommendations based on your tastes and reading all available reviews on the Web.

Today, if you want to find a quiet hotel in mid-town Manhattan, you may be forced to spend hours combing through hotel reviews to figure out which ones are relevant, authentic, and informative.

Read more: Siri says 'dump him'

In just a few years, a computer will comb through the reviews for you. Research prototypes like Huang and Etzioni's RevMiner have already shown that computers can read and analyze reviews with high accuracy.

It's only a matter of time before shopping excursions are truly one-click endeavors.

4. Acting as an automated medical assistant: Imagine getting an immediate "second opinion" based on the latest medical studies and experiments right in your doctor's office, or even in the comfort of home.

Today, any doctor is overwhelmed by the deluge of new medical studies and discoveries.

By 2023, your doctor will have a tireless medical assistant who keeps up with the scientific literature on his or her behalf, and warns against potential errors such as unnoticed drug interactions, dangerous side effects, and more.

5. Delivering real-time statistics: Within a decade, authoritative statistics on health, inflation, and unemployment will be available in real-time, benefiting both policy makers and the general public.

Read more: The best Twitter jokes about Amazon's drones

Today, we often find out about the outbreak of epidemics, health hazards, and economic concerns long after the fact. Yet status updates on social media can reveal important clues about our location, community health, and even employment status immediately.

Research is underway to anticipate epidemics and address other public health questions that today are studied via surveys and slower, less-inclusive methods.

Henry Kautz reports on research to monitor food poisoning outbreaks in New York City, University of Michigan researchers are computing analogous statistics for unemployment, and the Billion Prices Project at MIT provides far richer inflation measurements than the government's official index.

In the near future, approximations to official data will be available instantaneously.

Read more: Forget flying cars, check out these flying robots

We recently launched the Allen Institute for Artificial Intelligence (AI2) in Seattle to carry out basic research in the area of machine reading and understanding of text, which will enable the broader community to pursue the above innovations.

Within a decade, computer knowledge acquired from "Big Text" will be available at any time, any place, and accessible via a dialog that would make the Star Trek Communicator proud and put Siri to shame.

As Allen observed in 2011, the singularity is far beyond the horizon, but the Machine-Reading Revolution is coming to a mobile device near you.

@highlight

IBM's Watson system defeated the human champion on "Jeopardy!" in February 2011 -- surprising the world

@highlight

But that feat was a precursor to what is being called a "Machine-Reading Revolution," which is underway now

@highlight

Microsoft co-founder Paul G. Allen and entrepreneur Oren Etzioni reveal five ways it will change how you live

@highlight

They say it will impact on how we find a hotel, follow our favorite sports team and receive medical advice