(CNN)Sleek chassis, alluring paintwork and a need for speed, but these are no ordinary motors. When pedal hits metal, an eco-friendly process gets set in motion.

Powered by electricity and engineered for efficiency, car enthusiasts from across Africa are sparking home-grown concepts that have gotten experts revving.

In Zaria, a city in northern Nigeria, a team of students from the Ahmadu Bello University are currently applying the final touches to the "ABUCAR 2."

The students used locally available materials to build the vehicle, and even included recycled electrical components in the engine. While it runs on gasoline, the engine maximizes fuel efficiency and produces fewer emissions than normal cars.

"We are sure we have a great car," says the project's supervisor Muhammad Dauda. "Now we are focusing on making some final enhancements to hone the driving strategy -- this is just like Formula One."

Their compact creation, which was built over five months, will travel to The Netherlands in May to compete in the European leg of this year's Shell Eco-marathon -- the motoring competition rewards those who travel the longest distance using the least amount of fuel.

But the team is also working towards a hybrid petro-electric motor, which they hope to unveil in 2016.

At low speeds the vehicle will be powered by electricity alone, but at higher speeds both electric and petrol components will work together. Between extremes, excess power generated by the engine recharges the batteries that power the electric motor. It's the model that Toyota uses in the Prius.

Green-focused designs like these are increasingly needed on the continent, as some studies say 50% of global emissions of organic carbon could come from Africa in 2030.

At May's Shell Eco-marathon, ABUCAR's team will be hoping to race past the sleek "Autonov III" creation from the University of Lagos.

Painted the colors of the Nigerian flag and powered by a solar battery, the car's aerodynamic teardrop shape helps minimize drag.

Constructing earlier iterations of this vehicle was put under stress in 2013 when university teachers went on a six month strike, but the industrial action didn't stop the team from tinkering with the electric engine.

"We've used small tires to reduce the overall weight of the vehicle," explains team manager Chukwuemeka Isiogu. "We've trained ourselves to just think about fuel efficiency and create the most efficient vehicle."

Other eco-friendly engineers are less about sleek and more focused on comfort.

Uganda's Makerere University has produced a two-seater electric car called "Kiira EV".

With a super-light fibreglass body and lithium ion battery, the car can go 50 miles on a single charge.

The design project cost $35,000, but the engineers made sure to include leather seats and a CD player.

Whilst working on the Kiira, the team is also developing an 28-seater electric bus which will run on a mixture of electric and solar power.

Innovative creations have also come from the University of Benin in Nigeria. Their "Tuke-Tuke" car -- named after local mini-buses -- is made from locally available materials. The brake pads, for example, are made from palm kernels.

Tuke-Tuke also has some key features that will come in handy when slipping through the city's streets. Windscreen wipers start automatically when rain hits the sensors, gears can be changed with the touch of a button and owners use their finger rather than a key to unlock the doors. And when it gets dark, the driver just needs to clap their hands to turn on the interior lights.

Elsewhere, engineers are working on green vehicles for the whole family. One Ghanaian inventor is building SUVs with electric motors powered by rechargeable batteries.

Apostle Safo, who also founded a church, dreams big in his five-seater creations which are hand built in Gomoa Mpota, except for the headlights and tires.

While he says the product will be affordable, it remains to be seen just how much a handmade SUV would cost.

These innovations certainly are impressive concepts, but it's unlikely electric vehicles will be filling roads on the continent any time soon -- it is unclear how economically viable it would be for governments and companies to build the right number of charging points, but the issue of power itself is even more pressing.

"Reliability when it comes to electricity supply is key," says South African sustainability consultant Anthony Dane. "Convincing consumers across Africa to invest in an electric vehicle whilst electricity shortages are such a major issue in so many communities is a challenge."

Read this: Africa's 10 most prosperous countries

More from Marketplace Africa

Editor's Note: CNN Marketplace Africa covers the macro trends impacting the region and also focuses on the continent's key industries and corporations

@highlight

African students and car enthusiasts are creating eco-friendly cars

@highlight

Nigerian students will compete in an "Eco-Marathon" in May