(CNN) -- Goran Hadzic, the last Yugoslav war crimes suspect still at large, was captured in Serbia Wednesday, a war crimes tribunal announced.

An ex-Croatian Serb rebel leader who has been a fugitive for seven years, Hadzic was wanted for crimes against humanity and war crimes in connection with the wars that followed the break-up of Yugoslavia in the early 1990s.

The former president of a self-proclaimed Serbian republic in Croatia, Hadzic is accused of trying to remove Croats and other non-Serbs from the territory and the "extermination or murder of hundreds of Croat or other non-Serb civilians," among many other crimes, according to the International Criminal Tribunal for the former Yugoslavia.

He was the last fugitive of the 161 people indicted by the tribunal.

The announcement, also made by Serbian President Boris Tadic, comes less than two months after the capture of the highest-profile war crimes suspect still at large, former Bosnian Serb general Ratko Mladic.

Plans were being made for Hadzic's transfer into the Tribunal's custody after the completion of legal proceedings in Serbia.  Authorities hope he'll soon be in custody at The Hague in the Netherlands, where the court is based.

"I welcome the arrest today of Goran Hadzic, the war-time Croatian Serb political leader of the self-proclaimed Republic of Serbian Krajina," Tribunal Prosecutor Serge Brammertz said.

"Hadzic's transfer into the Tribunal's custody is a long awaited development for the victims of the crimes charged against him. It is also an important milestone in the Tribunal's history. Eighteen years after the Tribunal's creation, we can now say that no indicted person has successfully evaded the Tribunal's judicial process. This is a precedent of enduring significance, not only for this Tribunal, but also for international criminal justice more generally."

The European Union and NATO welcomed the capture of Hadzic, with the EU saying it would help clear the way to Serbian membership in the club of nations.

"This arrest sends a positive signal to the European Union and to Serbia's neighbors, but most of all on the rule of law in Serbia itself," EU leaders said in a joint statement, saying Serbia was "confronting the past and turning the page to a better European future."

British Foreign Secretary William Hague said on Twitter that the arrest was "an historic moment for international justice & the victims of war crimes during the Balkan wars of the 1990s."

Ratko Mladic was seized May 26 after more than 15 years in hiding and extradited to the Netherlands to face trial at the criminal tribunal five days later.

He has proved an obstructive defendant, arguing with judges about who should represent him, and in a recent appearance, a judge ordered him removed from the chamber.

His superiors during the wars that saw thousands massacred were Radovan Karadzic, who was captured earlier and is now on trial, and Slobodan Milosevic, who died in jail while on trial at The Hague.

Brammertz said the apprehension of both Hadzic and Mladic "mark a long-awaited step forward in Serbia's cooperation with the Tribunal.  Serbia has now produced visible evidence that cooperation with the Tribunal is not an empty promise but a genuine commitment and we look forward to Serbia's assistance with our ongoing work."

The prosecutor touched on the "prosecution of war crimes" in Balkan nations, saying they pose "a critical challenge for the region and its people."

"The Office of the Prosecutor will continue to use its best efforts to assist the fight against impunity in the former Yugoslavia, by providing national prosecutors with information, evidence and expertise. The international community also has a key role to play in ensuring that national prosecutions can successfully take over the Tribunal's work in establishing accountability for the atrocities committed."

Hadzic is the former president of the self-proclaimed Republic of Serbian Krajina and was indicted in 2004 for crimes against humanity and war crimes allegedly committed in the eastern Slavonia region of Croatia in the early 1990s.

The indictment against Hadzic said he was "a co-perpetrator in a joint criminal enterprise" -- the permanent and forcible removal of a "majority of the Croat and other non-Serb population from approximately one-third of the territory of the Republic of Croatia"  to make the land part of a "new Serb-dominated state."

Under the indictment, Hadzic is charged on the basis of individual criminal responsibility for having participated in the following actions:

"Exterminating or murdering hundreds of Croat and other non-Serb civilians, including women and elderly persons, in Dalj, Dalj Planina, Erdut, Erdut Planina, Klisa, Lovas, Grabovac and Vukovar.

"Imprisoning and confining hundreds of Croat and other non-Serb civilians in detention facilities within and outside of Croatia, and establishing and perpetuating inhumane living conditions, including repeatedly torturing, beating and killing detainees in these detention facilities.

"Forcing Croat and other non-Serb civilians to perform labour when detained or under house arrest in Vukovar, Dalj, Lovas, Erdut and Tovarnik."

He is also accused of other crimes against the Croat and other non-Serb civilian population.

They are "imposing restrictive and discriminatory measures," beatings, robberies and arbitrary arrests, deportations and forcible transfer of thousands, and the deliberate destruction of "homes, other public and private property, cultural institutions, historic monuments and sacred sites.

CNN's Claudia Rebaza and Richard Allen Greene contributed to this report.

@highlight

NEW: The prosecutor calls the capture an "important milestone"

@highlight

Serbia's president announces that Goran Hadzic is seized

@highlight

Hadzic is wanted for war crimes and crimes against humanity

@highlight

The announcement comes less than two months after the capture of Ratko Mladic