Athens, Greece (CNN) -- Greece's main center-right party has failed to form a coalition government Monday, adding yet more uncertainty to the debt-ridden country's political situation.

New Democracy leader Antonis Samaras said he did "everything possible" to form a coalition, but that none of the parties agreed to join with his party, which won first crack at forming a government after finishing first in Sunday's parliamentary elections.

It will now be up to the leftist Syriza coalition, which opposes unpopular austerity measures imposed to secure a European bailout, to form a government.

That group will have three days to form a government.

Syriza leader Alexis Tsipras left little doubt Sunday about what direction his party would take in a new government.

"European leadership and especially (German Chancellor Angela) Merkel have to understand that austerity policies have suffered defeat," Tsipras said Sunday.

He called the election results "a message of a peaceful revolution."

Sunday's election results were widely seen as a message to politicians to back away from the harsh economic austerity measures imposed in Greece.

A European Commission spokeswoman said Monday that Greece needs time to work through its political process but reminded the country's leaders that they would be expected to abide by terms of a bailout program meant to avoid a crippling financial meltdown.

"The commission hopes and expects that the future government of Greece will respect the engagements that Greece has entered into," spokeswoman Pia Ahrenkilde Hansen told reporters.

The center-right New Democracy party finished first in Sunday's voting, but with just 19% of the vote, giving it 108 seats in Greece's 300-seat parliament. Voters also delivered a rebuke to PASOK -- New Democracy's socialist partner in the outgoing coalition government -- stripping the party of 119 seats.

Together, the parties fell short of the 50% necessary to continue the coalition, requiring formation of a new government.

"I asked for a strong mandate, but people chose differently. I respect their message," Samaras said Sunday on state television. "Today's result expresses people's disappointment toward the implemented dead-end economic policy that tested their limits and didn't include the necessary development policy."

PASOK leader Evangelos Venizelos said after meeting with Samaras that his party would be willing to participate, but only in a coalition with a friendly view toward Europe led by a prime minister willing to renegotiate terms of the bailout deal with the European Commission.

Last year, Greece's debt threatened to force it to drop Europe's common currency, the euro, prompting the European Central Bank and other lenders to swoop in with emergency funding. In exchange, they demanded that the government slash spending.

The resulting measures have led to tax increases and cuts in jobs, wages, pensions and benefits -- and significant public outcry.

The national unemployment rate for January, the latest month for which figures are available, was nearly 22%, prompting widespread protests and leading some young people to leave the country in search of work.

Furthermore, for the past two years, the country's massive amount of debt has threatened the stability of the 17-country eurozone.

Greece pushed through a huge debt swap in March to save it from disorderly default and clear the way for it to receive a second bailout from the European Union, the European Central Bank and the International Monetary Fund, worth â‚¬130 billion ($171.5 billion).

The debt restructuring deal gave some breathing space to the eurozone bloc, where fears that Greece might collapse had increased pressure on other debt-laden nations such as Spain and Italy.

The Greek stock market was down about 6% Monday as concerns that Sunday's election could prompt Greek leaders to reconsider the deal resonated throughout Europe.

Hansen, the European Commission spokeswoman, said Greece needs time to form a government and said the commission stands ready to continue its assistance. But she said it would need to be within the framework of the second bailout.

Politicians have until May 17 to come up with a new working alliance or, if they cannot, set a date for another round of elections.

Before New Democracy's failure to form a coalition, Samaras said his party's two priorities would be to remain in the eurozone and alter existing policies, including stringent austerity measures, to "achieve development and offer people relief."

"I understand people's rage, but I will not let the country (exist) without a government," Samaras said.

PASOK's Venizelos said he favors the formation of a unity government that is "EU-oriented, regardless of what their take is" on previously implemented measures. His party will have 41 seats in parliament, down from 160 before the elections.

The tribulations of New Democracy and PASOK were matched by triumphs of a number of other parties that were also-rans and in some cases nonexistent just a few years ago, propelled by voters angry about stringent austerity measures.

Elections in Europe: Socialist wins French presidency

The radical leftist coalition Syriza passed PASOK with a strong second-place showing. Exit polls predicted it would garner 10% support, but instead Syriza garnered 16.7%, according to the results. That more than triples its parliamentary representation to 51 seats.

The fourth-place finisher, the Independent Greek party, was founded in February by ousted New Democracy member of parliament Panos Kammenos. With 10.6% backing, this right-wing nationalist party, which opposes Greece's agreement with the European Union and International Monetary Fund, will now have 33 seats in parliament.

The Communist Party, which wants Greece to leave the single-currency eurozone, also saw gains in winning 8.5% support.

And the far-right Golden Dawn party, which got 0.3% of votes in the previous election, ended up with 7% support on Sunday. That equates to a rise from zero to 21 parliamentary seats.

Its leader, Nikos Michaloliakos, gave a rousing speech after Sunday's vote, saying Golden Dawn will "fight so that Greece won't be a slave of the memorandum and of the social jungle that illegal immigrants have brought in this country."

"Everyone who betrays Hellenism should be afraid. We are coming," he said.

Katerina Sokou, financial editor of the Greek daily newspaper Kathimerini, called what happened Sunday "a protest vote (against) the main two political parties of Greece."

Yet Sokou added that she expects New Democracy and PASOK again will be part of the ruling coalition government, even though there may be notable policy changes and challenges to come, including a "renegotiation" of the already approved austerity measures.

"I believe that these electoral results ... show that people need a coalition government," she said. "They also want the parties to cooperate."

CNN's Antonia Mortensen and Matthew Chance contributed to this report.

@highlight

NEW: New Democracy party fails to form coalition, hands baton to leftist Syriza coalition

@highlight

Syriza had refused to join a unity government after elections Sunday

@highlight

Voters delivered a strong rebuke to parties that supported harsh austerity measures

@highlight

Greece should stand by the bailout terms, a European Commission spokeswoman says