(CNN) -- Politicians, generals and clerics have all played their part in shaping the new Iraq, with varying results.

Now the geeks are giving it a shot.

In recent months, Baghdad residents from science, engineering and tech backgrounds have been meeting regularly to participate in Iraq's first "hackerspace."

Known as Fikra Space, from the Arabic word for "idea," this open-access laboratory is intended as a technological playground to promote collaborative innovation, entrepreneurship -- and potentially solutions to some of the problems facing the country.

"There's nothing else like this here," said Salih Ammar, a 16-year-old high school student with an interest in smartphone technology, who has become heavily involved in the project. "It's open for all people, no matter their ages and their religion."

Sectarian tensions have been a hallmark of life in Iraq following the ouster of former dictator Saddam Hussein. Shia Arabs form the largest group in the country, but for centuries were dominated by the Sunni minority. Today, Shias dominate the government, and Sunni activists routinely protest what they consider discriminatory treatment.

The hackerspace concept, where participants were free to drop in, experiment with specialist tech equipment and share ideas, has been imported to Iraq via Bilal Ghalib, a 27-year-old Iraqi-American. Ghalib became involved in hackerspaces when he visited about 50 across the United States in 2009, shooting footage for a possible documentary.

The model, he told CNN, had originated in Germany in the 1990s, but had taken off in the U.S. in the wake of the global financial crisis, as skilled, newly unemployed people sought different ways to re-tool and channel their energies in a more entrepreneurial way.

Ghalib says he saw parallels with the situation across the Middle East where a young generation looking for greater control of their own destinies were being worn down by high unemployment and political instability.

"How do you look into the future and see your (hand) in it?" he added. "That's what entrepreneurship is, putting control back into your hands and letting you create what you want to see and make a living doing it."

See more: Ten of the Gulf's coolest green buildings

Ghalib started Fikra Space during a flying visit to Iraq in October, paid for through crowd-funding to his organization GEMSI (the Global Entrepreneurship and Maker Space Initiative).

Having put the word out through online networks, he convened a series of workshops to demonstrate the new technologies people could play with in the setting -- such as a 3D printer -- and to introduce them to the ethos of the hackerspace itself.

Since then, the group, which meets in the offices of a local journalism institute, has been drawing as many as 30 active participants to its meetings, held weekly if security allows, said Fikra Space member Mujtaba Zuhair.

Although attacks by sectarian militants in Iraq have decreased since the height of the insurgency in 2006 and 2007, religious violence is still common and security remains a prime concern for civil society groups and other organizations pushing a progressive agenda.

Zuhair, a 19-year-old student with an interest in electronics and programming, said many locals struggled to wrap their heads around the concept, while Ghalib added that the project has been regarded with suspicion in some quarters.

"First, they're confused by the word hacker -- they think it's something to do with piracy," said Zuhair. Rather, the term here refers to an inventor or creator.

The "open-source," everyone-is-welcome philosophy that underpinned the project is also unique.

"There aren't many communities in Baghdad that operate like this," said Zuhair, who has been using his time in the lab to conduct experiments in home automation -- connecting items in the home to a network which can be operated through a mobile phone.

"We don't have a manager, board, administration. We're all equal and every member can do whatever they want."

But despite its novelty, the facility is proving a major draw to a certain type of technologically curious, enterprising Iraqi, the majority of whom are college students or professors.

"The most interesting thing is the people themselves, the people who want to help their community and others," said Ali Mohammed, a 21-year-old student of materials science and engineering who uses the labs to further his interest in artificial intelligence.

Read more: Who will win the battle for the new Tunisia?

Along with others behind the space, he hopes the lab might eventually prove an incubator that could generate products and services providing solutions for problems facing Iraq.

"The problem here in Iraq is that people have lost hope in making things," said Zuhair. "People became unused to making things -- they just wanted to survive. If someone has a great idea they will get discouraged. But the new generation want to change, and they're looking for other people like them who want to change."

To this end, Ghalib has had a similar hand in the establishment of hackerspaces in Lebanon and Egypt -- operating on the basis that he helps seed the idea, then lets the community take over -- and has a vision for a chain of similar spaces throughout the region. "I want to see 1,000 hackerspaces from Turkey to Morocco," he said.

Ghalib added that you don't need to spend long in Iraq to be exposed to the challenges the country faces -- when he was in Baghdad, explosions occurred close to where he was staying -- and the Middle Eastern hackerspaces had some way to go before they began generating solutions to those problems.

Experiments thus far had been more modest in scope.

Projects in Egypt include a high-tech reimagining of a "fanuz," the colourful lamp traditionally lit during Ramadan -- a home-grown response to the loss of the fanuz-manufacturing industry to China. Beirut's hackerspace has conducted experiments with clay and cryptography, and while Baghdad's experimental makers are a long way from solving the city's notorious traffic issues, Zuhair is proposing a simple intervention to make it more tolerable: Starting a podcast to entertain gridlocked commuters.

"We haven't gotten there yet," said Zuhair, acknowledging that the sort of game-changing innovations promised by the hackerspace movement were probably some way off.

But that's okay, said Ghalib. "I think it's really important for the people in the Middle East to feel like they have a place to come and play. People don't really have that."

He acknowledges that his faith in the hackerspace concept has previously been described as "irrationally optimistic" -- but says that's a good fit for the city.

"I think that's the only way to be when you're working in a place like Baghdad," he said. "I believe it's this type of optimism that will allow me and others around me to look past the challenges that surround us, and begin to do something."

@highlight

Hackerspaces have begun operating in Baghdad and elsewhere in the Middle East

@highlight

Hackerspaces are open-access laboratories intended to promote entrepreneurship

@highlight

Its members hope to generate tech solutions to some of the problems facing Iraqis