Ever wondered how to drive from the center of Pyongyang, the showcase capital of North Korea, to Yongbyon, the location of the secretive regime's main nuclear complex?

Well, a recent update to Google Maps has the answer for you.

It has filled in the big, largely blank space that previously lay north of the well-mapped South Korea with streets, towns and landmarks.

Users curious to virtually explore one of the world's most reclusive states can zoom into the heart of Pyongyang and pull up photographs of the Kumsusan Memorial Palace, which houses the bodies of the revered former leaders Kim Il Sung and Kim Jong Il.

The availability of photos quickly thins as users scroll into the North Korean countryside and dries up almost entirely around more controversial areas marked on the map, like the Yongbyon nuclear complex and what Google labels the Yodok and Hwasong gulags.

Human rights groups say as many as 200,000 people may be being held in North Korea's network of political prison camps.

The Punggye-ri Nuclear Test Facility, where the regime may be about to carry out a new nuclear test in defiance of international pressure, doesn't appear to be featured on the map at the moment.

'A community of citizen cartographers'

In a blog post Monday announcing the update, Google said that North Korea had been one of the largest places with limited map data in the world.

Unsurprisingly, the details added to the map didn't come from the young North Korea leader Kim Jong Un's regime.

Google said "a community of citizen cartographers" used the Internet search giant's Google Map Maker software over a period of years to pinpoint road and place names. Google Map Maker works in a similar way to Wikipedia, allowing users to add, edit and review information.

The company encouraged people to keep working on the maps, saying, "Creating maps is a crucial first step towards helping people access more information about parts of the world that are unfamiliar to them."

It said the North Korean maps could be particularly useful to South Korean citizens, "who have ancestral connections or still have family living there."

Restrictions inside

But people inside North Korea, where the Internet is extremely restricted, are unlikely to be able to see the mapping information Google is making available.

The company's executive chairman, Eric Schmidt, visited North Korea earlier this month along with former New Mexico Gov. Bill Richardson in a trip that left many observers puzzled.

Schmidt, who has in the past written at length about the Web's ability to empower citizens oppressed by autocratic governments, urged North Korea to embrace the Internet or face further decline in its impoverished economy.

Schmidt's daughter Sophie, who accompanied him on the trip, said in blog post about the visit that they had been able to take a look at North Korea's national intranet, which she described as "a walled garden of scrubbed content taken from the real Internet."

@highlight

Google publishes detailed maps of North Korea for the first time

@highlight

It says "citizen cartographers" used map making software to add the data

@highlight

The maps show the reclusive regime's main nuclear complex and gulags

@highlight

Google's executive chairman, Eric Schmidt, visited North Korea this month