(CNN)Last summer, amid startling news reports of manipulation, mismanagement and possibly death caused by failures at the Department of Veterans Affairs, Congress came together and passed legislation to overhaul veterans' access to health care. I was proud to sponsor the Veterans Access, Choice and Accountability Act of 2014 (the Choice Act), and deliver good news to veterans: They would have a choice when it comes to accessing health care they deserve, and many would have the option of seeing their local physician.

Now, the VA is trying to take the choice away.

A mere six months after the Choice Act was signed into law, and only three months after veterans began to receive their Choice Cards, the President's budget attempts to reallocate the law's emergency funds that are solely meant to pay for veterans' health care in their communities. The VA says these funds aren't being used quickly enough because veterans aren't interested in getting care from their local physicians. That could not be further from the truth.

Thousands of veterans are struggling to access the care they were promised through the Choice Act because of the VA's flawed implementation of the law and foolish interpretation of the 40-mile rule in the distance criteria.

When Congress passed the Choice Act, the intent was that veterans be allowed to access local health care if they cannot receive the VA care they need within 40 miles of their home, or their wait time for an appointment is more than 30 days.

Unfortunately, the VA decided to narrow the interpretation of the 40-mile rule, choosing to take into account only the distance of a VA medical facility from a veteran's home and not whether the VA facility can actually provide the services the veteran needs. Veterans are being told they cannot use their Choice Cards because they live within 40 miles of a VA facility, even though that facility does not offer the care they require. The VA is denying the access the law was intended to provide and forcing veterans to choose between traveling hours to a VA medical facility, paying out of pocket or going without care altogether.

Veterans simply want what they were promised in the Choice Act: the choice to access the care they deserve in their community. In my hometown of Hays, Kansas, a veteran is forced to drive 200 miles several times a month for routine cortisone shots because the VA outpatient clinic just 25 miles from his home does not offer the shots he needs. One would think this veteran could use his Choice Card to visit a local physician or local hospital to get the shots he needs -- but the VA is denying access to this care. Thousands of veterans across the country are facing this same frustration.

Why is common sense not prevailing at the VA? Why is the VA not bending over backward to take care of veterans?

As a member of the Senate Veterans' Affairs Committee, I have questioned VA Secretary Bob McDonald and other VA officials for months in hearings, personal meetings, phone calls and correspondence about the VA's flawed interpretation of the 40-mile rule and what can be done to fix the problem. Congress specifically included language in the Choice Act that gives the VA the authority and flexibility it needs to provide veterans with access to care outside the VA when the care needed by a veteran is "either unavailable or not cost-effective to provide at a VA facility." But for some reason, the VA refuses to use the authority Congress gave it and put the best interest of veterans first.

Enough is enough. In the absence of VA action, I authored legislation that would make certain veterans are not dismissed or forgotten just because of where they live. The Veterans Access to Community Care Act of 2015 (S. 207) would require the VA to utilize its authorities, including the Choice Act, to offer community care to veterans who are currently unable to receive the health care services they need from a VA medical facility within 40 miles of where they live. This legislation enjoys broad bipartisan support in Congress and has been endorsed by numerous veterans' organizations, including the American Legion, Veterans of Foreign Wars, AMVETS, Vietnam Veterans of America and the National Guard Association of the United States.

When Congress passed the Choice Act, we called on the VA to live up to its commitment to care for those who have sacrificed for our country -- and we will not back down. We ought to always err on the side of what is best for the veteran, not what is best for the Department of Veterans Affairs.

@highlight

Veterans' Choice Act was signed into law in August 2014

@highlight

Jerry Moran: VA is denying the access the law was intended to provide