San Francisco (CNN) -- From the ninth floor of an office building here, Verizon Wireless executives peered out of a window at the breathtaking view of the East Bay.

Behind them, baristas wrestled with an espresso maker and served up free cappuccinos to guests.

The newly renovated office, located in SoMa, San Francisco's tech hub, is home to the Verizon Application Innovation Center, which opened last month. Big and small software developers are invited to work here at no charge, with unlimited access to development phones, wireless equipment, shielded test rooms and lattes.

The modern workspace is part of Verizon's plan to improve its image in the technology industry and particularly with people who develop mobile phone apps, executives said in interviews. App makers often condemn carriers for monthly data caps and limits on high-bandwidth apps, which they see as stifling innovation.

Cell giants, including AT&T Mobility and Britain's Vodafone, are taking approaches similar to Verizon's to deflect criticism and position themselves as friends, not foes, of developers. Vodafone, which partially owns Verizon Wireless, opened its own development center in Silicon Valley this month.

AT&T cut the ribbon last week on its Foundry Development Center in Palo Alto, California. All of the furniture there is on wheels to facilitate makeshift meetings. Currently, 106 projects are under way at the foundry, many of them in collaboration with other companies.

"The purpose here was really to be right in the middle of Silicon Valley, in the heart of innovation," Jon Summers, an AT&T technology executive, said last week. "The one thing that we are extremely passionate about is enabling innovation through these partnerships and within this community."

AT&T also is working with esteemed venture capital firms Kleiner Perkins Caufield & Byers and Sequoia Capital to identify small companies with which the carrier should work, Summers said. Third-party developers are welcome to show up at the foundry unannounced and receive technical support from people there, he said.

An AT&T spokeswoman declined to say how many workers staff its facility, but Summers said Ericsson has employees there along with AT&T engineers, and that people from Microsoft and Juniper Networks will also work there intermittently.

Ericsson is also a founding partner in Verizon's innovation-center program. A Verizon spokesman said 25 engineers work at its San Francisco office.

Verizon previously launched a similar facility in Waltham, Massachusetts, for hardware developers. AT&T opened two others earlier this year in Plano, Texas, and Ra'anana, Israel. Work at these centers has resulted in exclusive projects for each company, executives said.

Part of the motivation for the significant investments is to avoid being seen as a "dumb pipe," or as solely a conduit for data, said Michael King, a Gartner Research analyst.

"I think the long-term goal for a lot of these carriers is they don't want to become pipes," King said. "When you think about it, the carriers don't bring a lot to a developer."

There may be technical limits to what developers can accomplish with these new carrier-specific app stores.

Telecoms operate many parts of their business as "a closed loop," rather than unlocking services such as text messaging to developers, said Andrew Bosworth, a Facebook product director.

The carriers will have a tougher time convincing software makers, especially those who produce hot consumer apps, to sign exclusivity contracts, King said.

"If you've got a really compelling app, why are you going to limit yourself to half your potential market?" King said. "You are not going to tie yourself to a carrier."

Verizon and AT&T executives acknowledged as much in interviews. Developers who use their facilities likely will offer their apps on competitors' networks, they said.

"No one has a monopoly on good ideas," Verizon Wireless CEO Dan Mead said at the center's opening last month.

Verizon appears to be winning good will with smaller tech companies, however, which could be a valuable asset. Some developers, who, according to Verizon tech exec Kyle Malady, saw Verizon as "the big, bad carrier," changed their outlook after meetings at the new office.

"The partners started saying, 'You guys are so open,' " he said.

Apple has attributed some of its successes in the mobile industry to a massive base of support from developers. Verizon CTO David Small said in an interview last month that people in the wireless industry see Apple as the impetus for renewed interest in Silicon Valley.

Apple has been holding an annual summer developers conference for more than two decades. AT&T had its fifth annual developer summit in January on the eve of the Consumer Electronics Show. Verizon wrapped up its third last week in Las Vegas.

"We recognized from the beginning," said Verizon's Small, "that the potential for innovation is bigger than Verizon."

@highlight

AT&T opens a Foundry Development Center in Silicon Valley

@highlight

Verizon Wireless also has an Application Innovation Center in San Francisco

@highlight

The cell carriers are working to improve their images among app makers