The U.S. Army's new ban on many types of ethnic hairstyles has African-American women who wear their coifs in dreadlocks, braids and cornrows in a twist.

The Army's regulations stipulate such guidance as hair "must be of uniform dimension, small in diameter (approximately ¼ inch), show no more than 1/8 (inch) of the scalp between the braids."

Dreadlocks "against the scalp or free-hanging" are banned. "Unkempt" or "matted" braids and cornrows are also considered dreadlocks and "are not authorized," according to the regulations that were updated this month.

It's that type of language, words like "unkempt" and "matted," that read to some African Americans, as code for racial bias.

"These new changes are racially biased and the lack of regard for ethnic hair is apparent," Sgt. Jasmine Jacobs of the Georgia National Guard wrote in a White House petition she started in late March asking the Obama administration to reconsider the policy.

Currently, the petition has more than 13,000 signatures.

White House petition

"We feel let down," Jacobs told the Army Times. "I think, at the end of the day, a lot of people don't understand the complexities of natural hair. A lot of people, instead of educating themselves, they think dreadlocks and they think Bob Marley, or they see women with really big Afros and they think that's the only thing we can do with our hair."

The updates in appearance standards were crafted, in part, with the help of African-American female soldiers and are intended to clarify the professional look of soldiers, said Troy Rolan, an Army spokesman.

Previous regulations did not specifically address things such as braid widths or numbers, or the definition of twist styles.

"Many hairstyles are acceptable, as long as they are neat and conservative," Rolan said, noting the Army has banned dreadlocks since 2005.

If soldiers aren't happy, they can go through a formal process to request changes to the hairstyle regulations, the Army said.

"We encourage soldiers to make use of this process by sending recommendations and examples of hairstyles which could present professional appearances and conform to the regulation," Rolan said.

The rules' conciseness isn't the problem, say some African-American women and black studies scholars.

The problem, they say, is a perception that ethnic hair that is "natural" or not straightened with heat or chemicals is somehow unruly, unkempt and must be carefully regulated to fit within white cultural norms.

Black female soldiers say new grooming reg is 'racially biased'

"In a broad sense, it's just another example of U.S. institutions policing black style," said Mark Anthony Neal, an African-American studies professor at Duke University. "And it's not that there aren't other examples of such policing among other racial and ethnic groups. But, given the fraught relationship between black identity and culture and what some Americans might perceive as 'normal,' it strikes a particularly dissonant chord among some blacks."

Mandating what should be done with black hair is a particularly sensitive matter.

During slavery and for generations after, hair texture, along with skin complexion, was used to classify which slaves were more valuable, given jobs in the master's house rather than the field, and — by default — deemed beautiful.

Straighter hair, lighter skin and features that looked white were considered preferred traits, African-American scholars noted.

Those values were internalized and perpetuated within the black community for years in a way that was particularly damaging to the self-esteem of black women, African American scholars said.

"The gender dynamic here is also important; hair is so tied to the idea of black womanhood and self-esteem," Neal said. "There have been many stories, for example, of the extra scrutiny black women with locs or dreads face going through airport security. The Army's ban is just another knock from the dominant society that somehow black women are out of step with the so-called status quo."

Black pride and natural hair movements have emphasized that all hair types and the rainbow of skin hues are all beautiful.

However, the Army's regulations, some natural hair advocates and African American scholars fear, might suggest to black soldiers that their tresses must be straightened or closely cropped in order to fit in and be valued.

Army: Female focus group helped determine new hair rules

That type of pressure is "both unfair and racially biased," said Imani Perry, an African-American studies professor at Princeton University.

"While it is reasonable for the military to expect some degree of conformity and neatness in hairstyles, those expectations ought to take into account the variety of natural hair textures people have," Perry said. "For many African-American women who have tightly curled, coily or kinky hair, cornrows braids and locs are styles that allow for ease of close to the head grooming. Hence, banning those hairstyles puts black female soldiers in a difficult bind with respect to the requirement."

That type of pressure is "both unfair and racially biased," Perry said adding that the Army conformity isn't absolute because female soldiers are allowed to wear their hair long.

"Likewise, consideration ought to be made for different textures of hair," Perry said. "Otherwise, a burden is placed disproportionately upon some soldiers due to an immutable characteristic, natural hair texture that is tied to race."

@highlight

Army's updated appearance guidelines ban many African-American hairstyles

@highlight

African-American soldiers; scholars say rules against dreadlocks, twists, cornrows are biased

@highlight

Army says the regulation is needed to maintain a professional, uniform look among soldiers

@highlight

Controversy touches on historic tensions about black hair and white beauty standards