(CNN) -- Two years ago, Dino Mazzetti hit the lowest point of his life.

The Lake Zurich, Illinois, middle school music teacher was hovering dangerously close to 300 pounds and was feeling horrible.

Pain radiated in every joint in his body because of his weight. "I could barely bend over to tie my own shoes," the 29-year-old wrote on CNN iReport. If he dropped something on the floor at school, he had to ask a student to help him pick it up. It was humiliating.

Being overweight was not always the norm for Mazzetti. He and his two siblings were slender kids, eating home-cooked meals and playing often outside. But that all changed after Mazzetti became a sophomore in high school in August 2000. He quit the high school football team, and instead joined the school's music and theater programs. Unfortunately, the ferocious appetite he had developed as a football player didn't change. In just a few months, the 5-foot, 10-inch student had grown from 120 pounds to 200.

Mazzetti went from eating healthy meals at home to buying school lunches that consisted of French fries, pizzas and mozzarella cheese sticks. He would wash those greasy meals down with a 32-ounce soda, which he would get from the school's soda dispenser that he visited multiple times a day. As a teenager, he was making his own food choices, and those choices consisted of mostly junk.

By the time he went to college in 2003, Mazzetti was obese. Some people even called him the "Big Mac Attack" because he would eat a Big Mac in four bites, "just to prove I could," he said.

After graduating college in May 2007, he started a teaching job at Nippersink Middle School as a music teacher and choir director, and his weight only got worse. He was wearing XXL shirts and size 48 pants. His weight climbed to 291 pounds.

This was the heaviest he had ever been, and he became self-conscious about it. The teacher dressed himself in loose trousers that stretched around his waist, and wore hefty button-up shirts that made him look like he was in his 40s rather than his 20s. Mazzetti started secluding himself because of his lack of confidence, and turned to food for comfort.

"Being a teacher is a really hard job. It's an emotional job. I think he found solace in eating," said Mazzetti's sister Julia, who is an English teacher. "He told me that he would eat fast food three times a day. He was sitting in front of the TV eating all the time. He would stand in front of the pantry, always looking for something to eat. It looked like an addiction."

By summer 2012, though, Mazzetti realized the lonely nights eating in front of TV were taking their toll. He needed to socialize. He joined a community college theater production of "Sweeney Todd." He was cast as Beadle Bamford, the short, greasy and overweight lackey of Judge Turpin. A theater buff, Mazzetti was enthused to get the part, but he discovered it was hard to physically keep up with the rest of the cast on and off the stage.

During a cast party to mark the end of the show that summer, Mazzetti joined his fellow actors for a friendly volleyball match. A few minutes into the game, he was already panting and totally exhausted. "I thought to myself at that moment, 'I'm 27 and I feel like I'm 60!' " he wrote in his iReport. A scary thought crossed his mind: What would he feel like when he did turn 60?

That question nagged him after he left the party. He came home and decided to go on a walk around his neighborhood to get more exercise. It wasn't easy. He was winded within minutes. He knew then that he needed something to change if he wanted to start feeling his age.

"My goal was to get to a point where I felt good," he said.

June 30 would become another birthday for him: the day he decided two years ago to change his life. He remembered a colleague from school telling him to use the elliptical because it was gentler on joints. Mazzetti took the advice and went to the fitness center at the middle school to give it a try.

The pedaling resistance of the elliptical was intense. He broke out in a sweat within minutes. He wasn't a fan, but after spending 30 minutes working out, he decided he would give it another try the next day.

"It took me 15 years to get to where I was. It was surely going to take me more than a couple of days to lose this weight. So I told myself to keep coming back," he said.

Soon, Mazzetti was working out on the elliptical an hour every day, even on the weekends. He would drive an hour from his home in Lake Zurich to his school's fitness center in Richmond just to work out. He also decided to cut soda out of his diet entirely. He replaced it with carbonated water so he could get the fizziness he loved without the empty calories.

He changed his diet, too, cutting out simple sugars like cookies and candies. Instead of eating fast food meals for lunch and dinner, he started cooking big breakfasts in the morning. He would wake up before 5 a.m. and whip up entrees like steak and eggs before jetting off to school. His lunches were medium-sized and his dinners were usually light, like a salad. Everything was home cooked, something he had never attempted before.

"The first time I went to a grocery store, I bought a piece of steak and an ear of corn and I was like, 'I can do this,'" he said. "I realized cooking was fun." He went from ordering nearly all his meals from restaurants to preparing 95% of his meals at home.

It didn't take long for him to see drastic changes in his stamina -- and his waistline. By December 2012, he had slimmed down to 200 pounds, a number he hadn't seen since high school.

By January 2013, Mazzetti weighed 180 pounds. He was starting to feel less anxious around people. He began motivating his coworkers to exercise with him at school. He also saw big changes in the way his music and choir students interacted with him. They were more engaged and responsive in his class. He was gaining their respect.

His family was so inspired by his dramatic weight loss that the whole clan, including Mazzetti, got a gym membership near their home in February 2013.

At the gym, Mazzetti got a trainer to help him transition from a weight loss mentality to a weight maintenance mentality. He started lifting weights and allowed himself to eat more carbohydrates so he would have energy for his workouts.

"He just really transformed his whole life," Julia said. "He went from the unhealthiest person in our family to the healthiest. He was hiding himself, in his house, in the food, and that's not who he is."

Today Mazzetti is down to a 32-inch waist. He weighs 170 pounds. He wears fashionable, slim-fitting shirts to show off his slender frame, which is a drastic change from his old school attire of oversized khaki slacks and bland dress shirts. He also lost the comb-over and started growing out his hair to accentuate his newly defined jawline. The trimmed body, smaller clothes and new hair revealed the 20-something hiding underneath all that weight.

"I can honestly say I'm in the best shape of my life," he said.

His new confidence brought him to the realization that he wanted to pursue a different life path, too. He quit his seven-year teaching career and enrolled in Illinois State University to get a master's degree in choral conducting.

But the beloved teacher hasn't been forgotten by his students. His sixth, seventh and eighth graders created a Facebook fan page for him. On the page, one of his students wrote: "This is a tribute to one of the greatest humans to ever grace this planet. Dino was not only a great director, but a great friend. He's always there to lend a helping hand or a crappy joke, and I thought it was only right to make a group for him."

His newfound confidence has also affected Mazzetti's acting life. In July, he nabbed the lead role as Dr. Frankenstein in the production of "Young Frankenstein" by College of Lake County.

The dance routines and long rehearsals made it the most physically demanding role he has ever played. "I would not have been able to do this role if I was not as fit as I currently am," he said. "I usually played characters who did little or no dancing at all."

For him, the key to weight loss was to stay positive. "You'll be the last person to see the physical changes because of the fact that you see yourself differently than anyone else," he said. "Go for it. Do it. The only person riding the roller coaster of your life is you."

@highlight

Standing at 291 pounds, every joint in Dino Mazzetti's body hurt

@highlight

He felt like he was in his 60s rather than his 20s, so he decided to lose weight

@highlight

In seven months, he transformed his body, dropping 121 pounds