(CNN) -- Imagine going in for a cancer screening, and the technician turns to you and says, "We're finished, but if I push this button over here, the machine can detect even smaller cancers. But here's the hitch: You have to pay $700 if you want me to push this button."

"You'd be enraged," says Ellen Matloff, director of cancer genetic counseling at Yale University Cancer Center. "You'd want to know why you have to pay extra to push that button. Why didn't they just do it right the first time?"

Doctors and genetic counselors interviewed by CNN say that Myriad Genetics in Utah is doing something very similar with tests that determine if a woman has a potentially dangerous genetic abnormality linked to breast cancers.

Most breast cancers do not seem to be genetic. Instead, they're the result of cells gone wild for no apparent reason. However, some women get breast cancer because a bad gene runs in their families. When testing shows that a woman carries such a gene, she has a much higher chance of getting breast cancer. These women usually then get more frequent MRIs, ultrasounds and mammograms to detect a cancer, and sometimes even choose to remove their breasts to prevent a cancer from growing in the first place.

Myriad owns the patent on breast cancer genes and so is the only company that can test for them. It offers one test that catches most, but not all, abnormalities, and then charges nearly all patients $700 for a second test that catches the rest.

If a woman can't afford the $700 fee, she may miss an abnormality, which could mean the difference between life and death.

"What Myriad's doing -- charging extra for this test -- is really sleazy," Matloff says. "They're collecting blood money off my patients."

Myriad defends the $700 charge for its second test, called BART, even though many patients can't afford it and insurance won't pay for it.

"The BART test is based on different and separate technology," Rebecca Chambers, a Myriad spokeswoman, wrote in an e-mail to CNN. "[It's] based on a sophisticated new technology developed exclusively by Myriad."

She added that Myriad is trying to persuade insurance companies to pay for the test and that it offers financial assistance to patients who meet certain criteria, and monthly interest-free payments to those why do owe the $700 fee.

"Myriad's mission is to improve the patient's quality of life and to save lives," she added in the e-mail.

Understanding the furor

To understand the anger and bitterness that patients, doctors and genetic counselors harbor toward Myriad, it's important to know the basics of genetic testing.

In 1996, Myriad offered its first test for breast cancer genetic abnormalities. Known as the BRCA test, it's been revolutionary and has saved countless lives: If the test reveals that a woman has a genetic abnormality, it means she has a very high chance of getting breast cancer in the future, and some women then opt to remove their breasts as a pre-emptive strike against cancer.

Women who test positive for BRCA also sometimes opt to have their ovaries removed, since having a breast cancer gene abnormality gives them a higher-than-normal chance of getting ovarian cancer as well.

"Genetic testing has been a godsend for so many women," Matloff says.

Myriad calls its test the Comprehensive BRACAnalysis, but it soon became clear that it wasn't truly comprehensive. It did not catch all genetic abnormalities linked to cancer, and so in 2006, the company began selling BART, the newer test that catches genetic defects that the original test misses. Doctors and counselors expected Myriad to offer BART as part of its original test, but instead the company offers it separately and charges nearly everyone $700 to take it.

"This is so irresponsible of Myriad," says Molly Klein, director of genetic counseling at Piedmont Hospital in Atlanta.

She and other genetic counselors have been fighting to get Myriad to stop the $700 charge. They say they worry that women who tested negative under the first test feel assured that they don't have a bad gene when in fact they might, and wouldn't know they're at increased risk for getting breast cancer.

Klein and other genetic counselors say that when Myriad came up with an improvement in its colon cancer test, it wrapped it into its original screening at one price. The counselors say they think Myriad handled the breast cancer test differently, charging a separate fee, because it has no competition.

"From a business perspective, I guess I understand why Myriad is doing what they're doing, because this is a good chunk of money for them," says Kristen Shannon, the senior genetic counselor at the Massachusetts General Hospital Cancer Center. "But I feel really strongly that Myriad is doing the wrong thing."

"That accusation is incorrect," Chambers wrote in an e-mail to CNN.

"I'm so angry"

For Eileen Kelly and Kathleen Maxian, money wasn't the issue.

The two sisters were stunned three years ago when Kelly was diagnosed with breast cancer at age 40. They breathed a sigh of relief when Kelly tested negative for the BRCA gene using Myriad's original test. This meant Kelly's cancer was a fluke, and not something her sister or other relatives needed to worry about.

Then two years later, at the age of 47, Maxian found out she had ovarian cancer. Surgeons removed her ovaries and found the cancer had spread to her abdomen. After chemotherapy, the cancer came back a year later.

"I told my surgeon my sister had genetic testing, but it came back negative," Maxian says. "My surgeon just hung her head down and shook it back and forth. I was like, 'What? How weird is that?' "

The surgeon told Maxian that her sister's test might have been incomplete. She instructed Maxian to ask her sister, who lives in Atlanta, to find out if she'd received the second test, BART, in addition to the original breast cancer genetic test.

Kelly found out she had not had not received BART. She went back to Piedmont Hospital to have it done, and the test was positive. Maxian and her father then had BART, and it turns out that they, too, carry a genetic abnormality.

Women who have genetic abnormalities like Maxian's have a 50% to 85% chance of getting breast cancer, and a 10% to 40% chance of getting ovarian cancer. She says that if her sister had had BART from the beginning, she also would have taken the test, and the positive result would have made her remove her breasts and ovaries "in a minute."

"If BART had been done from the beginning, it could have saved Kathleen from getting ovarian cancer," says Dr. Nefertiti duPont, Maxian's surgeon at the Roswell Park Cancer Institute in Buffalo, New York.

"It could have prevented my cancer, or at least caught it early," Maxian adds. "Now my cancer is so advanced, I have only a 20% chance of being alive five years from now. I'm so angry."

Klein, the genetic counselor at Piedmont Hospital, says she never mentioned BART to Kelly, nor to most of the women who came in for testing at that time. She says information from Myriad led her to believe that BART mutations were extremely rare among women like Kelly without an extremely strong family history of breast or ovarian cancer. When some women do have a very strong family history, Myriad will do a BART analysis for free as part of its original test, and has spent $20 million on these tests.

"We were left with the impression that BART wasn't necessary for families like Eileen's," Klein says. "It just didn't seem urgent."

But over time, it's become clear that Myriad might have been wrong about who needs BART testing, counselors say. Several studies, such as one done by Shannon at the Massachusetts General Hospital Cancer Center, show that a substantial number of women had BART mutations even without a very strong family history. Now, Klein and others offer BART to all their patients, but many can't do it because of the cost.

"This is all really frustrating," Klein says. "We know we're missing women out there with BART mutations because they can't afford to pay. If you miss just one BART mutation, that woman could be in danger, and so could her mother, her sisters and her other relatives."

"It's heartbreaking," says Mollie Hutton, Maxian's genetic counselor at the Roswell Park Cancer Institute. "It's so sad that now Kathleen is fighting for her life when something could have been done to avoid it. It's just crappy."

Chambers, the Myriad spokeswoman, says studies show "less than one percent of all women tested" have a BART mutation.

What to do when you get breast cancer genetic testing

If you're about to get breast cancer genetic testing, specifically ask if you'll receive BART testing.

If you've had breast cancer genetic testing, don't assume you received the BART test.

Also, don't assume that the place where you had the testing will get back in touch with you to let you know about BART. CNN contacted four genetic testing centers, each of which did something different: One center quickly contacted all patients to tell them about BART; another contacted only patients they considered high risk; the third contacted patients three years after BART became available; and the fourth still hasn't contacted patients to tell them about BART.

Genetic counselors recommend that you call the place where you had testing every year or so to see if there have been any improvements in the test.

Most women will have to decide whether they want to spend $700 to get BART testing.

Eileen Kelly wishes she'd had the opportunity to spend that money.

"I'm so mad at Myriad. It's even hard just to talk about it," Kelly says, starting to cry. "A test could have put the information in our hands that could have prevented my sister's cancer. It's frustrating and really hard to comprehend."

Aaron Cooper contributed to this report.

@highlight

Myriad Genetics owns the patent on breast cancer genes

@highlight

Myriad offers one test that catches most abnormalities, then charges $700 for second

@highlight

Company defends BART test, based on separate technology