Editor's note: Anthony S. Barkow prosecuted federal and local crime for 12 years in the U.S. attorney's offices for the Southern District of New York and for the District of Columbia and is now the executive director of the Center on the Administration of Criminal Law at New York University School of Law.

Anthony Barkow says Sonia Sotomayor would provide the perspective of a former prosecutor on the high court.

(CNN) -- Many have noted Judge Sonia Sotomayor's personal story -- from being raised by a single mother in a public housing project in the Bronx to top honors at Princeton and Yale and now, potentially the Supreme Court -- will give her a perspective that other justices lack.

But commentators typically miss another life experience of Sotomayor's that will bring diversity to the court.

If she is confirmed, she would be the only justice with experience as a local prosecutor. For five years, Sotomayor was an assistant district attorney in Manhattan.

In that position, she interacted with some of the poorest, most troubled residents of New York and handled matters ranging from shoplifting, prostitution and petty drug offenses to robberies, child abuse and murders.

Sotomayor's experience on the front lines in a big city's fight against crime will bring a much-needed perspective to the court. Only Justice Samuel Alito has any real background at all in criminal law. He was an assistant U.S. attorney and was later U.S. attorney in New Jersey.

It's quite likely that, as a result, Alito may have disproportionate influence on his colleagues in criminal cases because he can refer to that experience. But Alito was never a local prosecutor and has deep exposure only to federal criminal law.

Federal criminal cases make up only about 6 percent of all criminal cases, and they typically involve complex white-collar crimes and large-scale narcotics trafficking.

Federal prosecutors do not typically see the day-to-day carnage in neighborhoods from murders, rapes, burglaries, robberies and assault, or interact with the victims of those crimes. Nor do they see low-level vice crimes such as prostitution, small-time drug deals or gambling.

The other justices are even further removed from the realities of street crime. The only other justice who has even a modicum of criminal justice experience is Justice Breyer, whose exposure to criminal law as an architect of the federal sentencing guidelines was not to victims and criminals but to data and number crunchers.

The other justices' professional experiences are even more insulated from life on the streets. They spent their time in lofty government appellate or legal counsel positions, working in the halls of Congress, devising litigation strategies at top law firms or public interest organizations, or pondering legal questions as academics.

Even the justices' experiences on the bench isolated them from the real world of criminal law. Not a single member of the current Supreme Court served on a state court -- the courts that handle about 94 percent of criminal cases.

For that matter, no one on the Supreme Court served on a federal district court, the trial courts in the federal system that see federal criminal cases up close. Here, too, Sotomayor fills a critical gap. In addition to her time in the DA's office, she was also a federal district court judge for six years.

Sotomayor would bring a much-needed dose of reality when it comes to criminal law issues.

It is all too easy for someone who has not spent time working on these issues to caricature them. For conservatives, the risk is assuming all crimes are a failure of personal responsibility that lead to serious breaches of public order and demand incarceration and a tough response. For liberals, the risk is seeing every defendant as a victim of poverty or society's failures.

The reality, as  Sotomayor knows well, is far more complicated. She has seen the human condition up close and personal. She knows the pain of victims and has looked into the eyes of defendants who have committed unspeakable acts with no remorse and are unredeemable.

She has also seen defendants who need treatment and jobs, not prison. Many of these individuals may have committed petty crimes, such as shoplifting or drug possession, to feed an addiction.

This interaction with the criminal justice system also showed Sotomayor on a daily basis just how powerful the state is and the tragedy that is every single criminal case. In no other area is government more intrusive. This is the power to lock someone in a cell, or even to take away life.

Sotomayor's experience shows her that this government power is sometimes necessary -- and sometimes isn't. She also knows that, in every criminal case, people suffer, and not just victims and defendants. Family members, children and entire communities pay the price when we send away too many people for too long or fail to pay attention and don't provide neighborhoods enough protection.

One never knows how personal experience will translate to life on the bench. But Sotomayor's experience in a big-city prosecution office would likely to make a difference on a bench that deals with crime every day but has very little real-world exposure to it.

The opinions expressed in this commentary are solely those of Anthony S. Barkow.

@highlight

Anthony Barkow: Sonia Sotomayor's experience would set her apart on top court

@highlight

He says her time as a local prosecutor gave her invaluable experience

@highlight

Barkow says that background would be of great value to Supreme Court