LONDON, England (CNN) -- Imagine every time you closed your curtains, you were capturing enough solar energy to power your laptop. The technology is available, but no one's packaged it up in a handy DIY kit at your local hardware store.

Solar textiles use the same technology as traditional solar panels to convert sunlight into energy.

Sheila Kennedy hopes to be the first. She's not an interior designer but an architect and professor in practice at the Massachusetts Institute of Technology who is convinced that solar textiles will revolutionize the way we collect and consume power.

"I've been thinking about what happens when power and light become flexible, literally flexible," she said.

She calls it "soft power," as in the "soft energy path," a term coined Amory Lovins in the 1970s as a way to describe a world where renewable energy would gradually replace the centralized grid.

Later, Joseph Nye used the term "soft power" to describe the ability of persuasion, values and culture to influence change.

Kennedy's work with soft power builds on both of these ideas. For her , soft power is the ability of flexible materials to convert sunlight into energy.

"The soft power approach says there are some incredibly sensual, compelling, beautiful spaces and products that we can be producing using these emerging energy-harvesting materials," Kennedy said.

Her Boston-based firm, Kennedy & Violich Architecture, has been working with thin-film photovoltaic material, a fabric that looks and moves like cloth but does the job of a solar panel.

"These are materials which can be prepared in the chemistry lab or can be found in nature. They produce electricity when exposed to light. They are very efficient and flexible," she said.

"We are pairing the thin-film photovoltaic material with another semi-conductor material, the light-emitting diode; they're two sides of the same coin. One takes a little bit of the energy of sunlight and transforms it into electricity; some takes that electricity and turns it into light."

Rechargeable batteries pocketed into the hem of the curtains gather energy that can be downloaded into a larger home battery.

"From a technical view, the thin-film has the potential to be produced in very high volumes, with a very low embodied energy and a low carbon footprint. These new photovoltaic materials can be produced in the same way one might print and produce a newspaper, roll to roll. That can make it very affordable," Kennedy said.

Its limitations are its performance. It's less efficient that glass-based solar technology, but Kennedy predicts that's going to change.

"Right now there's research being done on developing sensitivities in thin-film that will allow the energy to continue to be harvested, even at night. That's going to revolutionize the applications for solar textiles," she said.

The current technology can be found hanging in the Vitra Design Museum in Essen, Germany, in a prototype pre-fabricated home called the Soft House.

Farther south and west, the designers are taking their ideas from the Soft House and applying them to a research project for a Soft City.

Kennedy and her team have calculated that by covering just 10 percent of a roof area in Porto, Portugal, solar curtains could provide as much as 70 percent of the average electricity used by a typical household each day.

"It goes to show that you don't need a very large area. We've calculated that 15 square meters would be enough."

Kennedy envisions a future in which a single homeowner or a group of neighbors would decide to wean themselves off the centralized grid and power their homes using the energy they've "harvested" themselves from the sun.

"You could look at it as a type of urban farming," Kennedy suggested, adding that one of the reasons people aren't doing it now is not the lack of technology but old habits and inherited centralized building systems in architecture.

"Instead of tucking way electricity and lights in walls and accessing that with a plug, we have the possibility of thinking of a whole new experience for energy, energy-harvesting and for light."

She talks about material that you could reel in from the roof and wrap around to make a new type of instant room, a Zip Room. Plastic wall plugs would cease to exist; instead you'd harness your appliance into the surface or edge of the textile.

Her ideas may seem radical to homeowners who don't give much thought to where their power comes from or how much it costs, which is why Kennedy is so keen to see the solar curtains in consumer-friendly packs on hardware store shelves.

"Energy-harvesting solar textiles are a very good beginning point. I think that the notion of tying in a new technology with something very familiar really has its advantages if one's about large-scale uptake and widespread adoption of a new energy regime."

Regime may sound like a hard word to be used in the context of soft power, but as Kennedy says, it's up to architects and designers to convince homeowners that there are more efficient alternatives to traditional homes.

Her firm is going one step further with the offer to work with developers and manufacturers who are interested in building digitally fabricated Soft House demonstration projects.

"My team is actively interested in speaking to people who are serious about realizing a pilot program that adapts the Soft House model to actual needs on urban or rural sites. I do think the moment is now."

@highlight

Solar-harvesting curtains could convert sunlight into power source for homes

@highlight

Rechargeable batteries slot into hem, power downloaded to larger battery

@highlight

Cheap to produce but not as efficient as traditional hard solar panels

@highlight

"Soft House" curtain concept being expanded into plans for a "Soft City"