(CNN)President Abraham Lincoln never lost his ardor for the United States to remain united during the Civil War.

In his Second Inaugural address he attempted to salve the nation with an eloquent summation of his philosophy and plans for putting it into practice.

"With malice toward none, with charity for all, with firmness in the right as God gives us to see the right," he orated, "let us strive on to finish the work we are in to bind up the nations' wounds, to care for him who shall have borne the battle for his widow and his orphan, to do all which may achieve and cherish a just and lasting peace among ourselves and with all nations."

The spirit of Lincoln's second inaugural was self-evident on April 9, 1865 -- 150 years ago -- when Confederate Gen. Robert E. Lee dramatically surrendered his approximately 28,000 troops to Union General Ulysses S. Grant at Appomattox Courthouse (McLean House) in Virginia.  Over 600,000 Americans -- Northerners and Southerners alike -- had perished in the bloody Civil War.  But the carnage was now about to end.

The historic meeting between Grant and Lee began with pleasantries about the weather and their mutual service in the Mexican War.  The good fellowship was palpable.  Lee, in fact, had to abruptly remind the chatty Grant about the diplomatic business at hand.   After all, they were at Appomattox Courthouse to hash out terms of surrender.

Grant purposely ended up being generous to Confederate soldiers. They would be paroled, not condemned to prison camps.  Rebel officers were even allowed to maintain their sidearms.  Personal property of Southerners would now be respected.  Even rations were provided by Grant for Lee's hungry soldiers.

It was Palm Sunday and in the spirit of Christian reconciliation Grant ordered that no celebration occur within Union Army ranks.  "The Confederates were now our prisoners," Grant wrote, "and we did not want to exult over their downfall."

The myth-making about Appomattox started from the moment Lee left the courthouse on his horse to travel to Richmond.   Surrendering hadn't been easy for Lee.  Sullen from defeat, his own family property in Arlington had been confiscated by Union forces (converted into a Union cemetery with lines of white crosses on the lawn).

All 11,000 acres of his Virginia land holdings had been stripped from him by the U.S. government.  With no real home, Lee rode to Richmond, depressed and destitute, rendezvousing with his sick wife Mary Curtis Lee at a spare apartment.  Remarkably, the stoic Lee didn't express bitterness in public.

When news reached Lee that Lincoln had been murdered, in fact, he was distraught, calling it "a crime" that was "unexampled" and "deplorable." Although much remained unresolved between the victors and vanquished, the little courthouse became a symbol of unity, just like the "Star Spangled Banner" from the War of 1812.

One post-Appomattox story that has long interested me was that of Littleberry Walker.  After being present at Lee's dramatic surrender at Appomattox, Walker, a battle-fatigued Confederate, laid down his rifle and journeyed back to red-clay, Georgia, traveling mainly on foot, passing ragged clusters of Rebel amputees, many hobbling on bayonet crutches, others with arms or heads swathed in bandages and all heading in the same direction: home.

Upon arriving in Atlanta, a weary Walker found the Confederate railroad-city smoldered in ruin, the handiwork of Gen. William T. Sherman's "scorched earth policy."  (One-hundred-twenty years later, Walker's great-grandson, 39th President Jimmy Carter, would construct his Carter Center, an NGO dedicated to diplomatically resolving global conflicts, on the very hilltop overlooking Atlanta on which Gen. Sherman once stood.)

Upon leaving Atlanta, Walker continued walking south, anxious for his kinfolk.  Unfortunately, he returned to Sumter County only to learn that his father had died and that the family farm was teetering on the brink of bankruptcy.

One suspects Inman, the main character of novelist Charles Frazier's "Cold Mountain," spoke for the battle-hardened Civil War veterans like Walker, when he lamented that, "What you have lost will not be returned to you.  It will always be lost.  You're left with only your scars to mark the void.  All you can do is go on or not.  But if you go on, it's knowing you carry scars with you."

As we reflect on the sesquicentennial of Lee's surrender at that forlorn Virginia courthouse, today marvelously maintained by the National Park Service, we recognize that the scars of the Civil War are still with us.  The Mason-Dixon Line divide still exists.  Almost all the old Confederate States are now considered "Red" (Republican), while the Union States are "blue" (Democrat) -- a residual variation of Big Federal Government versus States' Rights paradigm of the Civil War era.

While the old spiritual "Slavery Chain Done Broke at Last" was sung by blacks in the hours following the Appomattox surrender, racism sadly continues to be a crippling national scourge. While there no longer are beatings in Congress (like in 1856 when Preston Brooks of South Carolina caned Charles Sumner of Massachusetts on the Congressional floor) the gridlock on Capital Hill in 2015, the inability to get anything done, is similarly cold-cocking the spirit of our participatory democracy.

All American eyes should be fixated on Appomattox today.  The McLean house is our collective sanctuary of national healing.  As a public place, the McLean parlor remains small but the legacy which Grant and Lee made at the truce table is timeless in world history.

For while the scars of the monstrous Civil War still remain, the wounds have closed since 1865, in large part, because of the civility of Grant and Lee.  With grace and dignity, these brave West Point generals gave righteous credence to Lincoln's "with malice toward none" finery.

@highlight

150 years ago on April 9, Confederate General Robert E. Lee surrendered at Appomattox Court House

@highlight

Douglas Brinkley: The spirit of that event is something to keep in mind for today's divided America