(CNN)Our minds still try to resist the idea that someone is willing to kill another human being because of the words that he or she writes. Yet that is exactly what happened to Avijit Roy, an American citizen hacked to death by men brandishing knives and machetes during a trip to his native Bangladesh.

Roy and his wife, Rafida Ahmed Bonya, now in critical condition after also being attacked Thursday, were in Bangladesh to attend the national book fair, where Roy was promoting his books advocating tolerance, education and secular humanism.

Why was he killed? At the time of writing, the perpetrators had not been caught, but there seems little doubt he was killed by Islamist radicals, who were likely angered by his devastatingly critical writings. Just last month he wrote about the Charlie Hebdo killings in Paris and the December 16 massacre in Peshawar, Pakistan, in which Pakistani Taliban opened fire inside a school, killing 145 people, including 132 children. "To me," he wrote, "such religious extremism is like a highly contagious virus."

Roy strongly disagreed with President Barack Obama's statements distancing the so-called Islamic State from Islam. "ISIS," he said, "is what unfolds when the virus of faith launches into action and the outbreak becomes an epidemic."

His assassination came the same day we learned  the identity of the man known as Jihadi John, infamous for narrating in English as Western hostages of ISIS were decapitated. He has been identified as the London-raised, university educated Mohammed Emwazi.

Taken together, these two tragedies help shed light on what motivates people to conduct these brutal acts.

The revelations about Emwazi's life story were pieced together with the help of an organization that wants to make us believe Jihadi John's radicalization is the fault of the British security services, not of a murderous, apocalyptic ideology that helped make 2014 the deadliest year for terrorist attacks on record.

According to the Washington Post, which relies partly on information from a group called CAGE, Emwazi was described by some as a perfectly normal young Londoner, showing no signs of becoming the barbaric murderer he is alleged to have become, until security services started harassing him. The problems began, friends referred to in the article would have us believe, when he tried to go on safari to Tanzania with a couple of friends. He was stopped in Tanzania, and according to the article, he claims he was accused of planning to travel to Somalia, where the al Qaeda affiliate al Shabaab has been conducting its reign of terror.   

An official from CAGE, which is described by the Washington Post as a "rights group," described  Emwazi as "extremely kind, extremely gentle," before Britain's MI5 started making his life hell for no apparent reason other than that he was a Muslim.

It is a misleading interpretation of events, one seemingly aimed at furthering the alleged agenda of CAGE. Indeed, reports suggest that the security services had reason to believe Emwazi was already engaged in supporting Somalia's al Shabaab before his troubles began. Any "harassment" he experienced therefore seems more likely to have been because he was regarded as a threat.

And that reality seems to get at a very real truth in all this -- people who decapitate journalists, or who hack to death bloggers, or who massacre Shiite Muslims, or set on fire fellow Sunni Muslims don't do it because the authorities in London weren't kind enough toward them. And the blame for the acts of murderous extremism we are seeing cannot be laid at the door of poverty, lack of jobs or anti-Muslim prejudice.

As Roy so accurately pointed out, and as his death tragically demonstrates, the culprit is an apocalyptic, ultra-extremist ideology that religiously justifies every atrocity as it seeks to intimidate its foes and impose its vision.

Meanwhile, claims that the "root causes" of Islamist extremism lie in unemployment or prejudice simply serve to derail the campaign to eradicate it. Of course, unemployment and prejudice are ills that must be fought. But they are not what is getting bloggers like Ahmed Rajib Haider -- hacked to death in the streets of Dhaka in 2013 -- killed.

And it is not just atheists who are at risk, something that most Muslims fully understand; these extremists are just as likely to target a Shiite, a moderate Sunni, or anyone else who wants to live in the modern world or who disagrees with their extremist ideas.

Still, as an outspoken atheist, Roy knew that his views were putting his life in danger. He wrote about how last year, at the same Dhaka book fair, his book "The Virus of Faith" quickly rose to the top of the fair's best-seller list. It was enormously popular, but also "hit the cranial nerve of Islamic fundamentalists." That's when the death threats started pouring in across social media. "I suddenly found myself a target of militant Islamists and terrorists," he wrote.

In 2014, local media reported on some of the threats coming out of a local college known as a stronghold of politicized religious extremists. One Facebook post read "Avijit Roy lives in America and so it is not possible to kill him right now. He will be murdered when he comes back."

And so he was. The Islamist group Ansar Bangla-7 reportedly tweeted after Roy's killing, "Target Down here in Bangladesh."

Roy was right about where the threat lies: in a dangerous ideology that takes religious teachings to their most extreme interpretation.  He was working to counteract its effects, to open minds. And he understood the one thing that can be so difficult for the rest of us to fully comprehend: that there are people prepared to kill someone else just because of what they believe or what they write.

Nothing could be more dangerous to a society, and to the basic rights of all human beings. Roy's tragic death is the latest reminder of that.

@highlight

Bangladeshi-American blogger Avijit Roy was killed Thursday

@highlight

Frida Ghitis: Root cause of Islamist extremism is not poverty