(CNN)I would have done anything to get to Europe. It was worth the risk, the bad treatment and the fear, hard as that may be to believe. Simply put, I have a better life now than I did before.

But my journey across the Mediterranean, like those of thousands of other migrants, wasn't easy. Here's my story.

It all started late last year when I lost my job in Dubai. My work visa had expired, and I had nowhere else to go. I'm Syrian, and returning to Syria wasn't an option -- going back means you either have to kill or be killed.

But Syrians don't need visas to get into Turkey, so Turkey it was. I arrived in the country in December with an old dream in my mind: reaching Europe.

While in Istanbul, I discovered many Facebook pages about illegal smuggling from Turkey to Italy by sea. All of them mentioned that Mersin, a port city on the southern border, was the jump off point, so I made my way there.

I met a Syrian guy in a hotel in Mersin who had already paid money to one smuggler and was planning to depart within a few days. He told me his smuggler was a decent man with a great reputation.

Reputation: It was a funny thing to hear for the first time, the thought that these people, who I always considered to be little more than criminals, were concerned about what people thought of them. But why wouldn't they be? It's a long-term business, and the Syrian conflict isn't ending anytime soon. So I decided to meet the guy.

We spoke about terms of payment and agreed on a fee of $6,500. Some of the money would be deposited into an insurance company, with the usual transaction fees. When I reached Italy the money would be released to the smuggler -- or, if I changed my mind, I'd be able to get some of it back.

"Be ready all day, every day for the next few days, because you might receive the call to go," the smuggler told me. One evening a few days later, I got the call and my journey began.

They gathered 100 men and women in five buses and drove us to the smuggling point. It was far from Mersin. We walked for 30 minutes, through rough terrain and orange farms near the beach, in darkness to avoid detection by police.

The idea was to take us in three small boats to the main ship. I still remember an old lady, barely able to walk, with her two sons, marching along as fast as they could to try to reach the boats. They were told that if they didn't walk faster, the boat would leave without them.

I asked myself so many time what could possibly drive a normal person to put himself and his family in this kind of danger. I decided that anyone with a past but no future was capable of doing crazy things.

Finally we reached the boat. It was just as the smuggler described. For three days we waited in the boat for two other parties of 100 people to join us before departing. We were in the middle of the Mediterranean, far enough away from the surrounding countries to be in international waters.

On the fourth day we started our journey with a mix of excitement and fear -- fear that this madness often ends in tragedy, ends with us as numbers piled on top of all the other unfortunate, nameless numbers who never made it to the other side. But there was no going back -- it's a one-way ticket.

We sailed for eight hours before the boat's engine broke down. There were around 300 of us on board, and as the waves began to push us towards Cyprus the crew sent a distress signal, hoping to alert maybe a U.N. or Red Cross boat, anyone who could help us.

Eventually our boat hit a cliff and got stuck. Luckily, before long, a Cypriot coast guard ship arrived to rescue us and deport us back to Turkey. Turkish authorities fingerprinted and released us within a few hours.

Some of the people I had been traveling with said they weren't going to try to make the trip again. When they asked me what I planned to do, I told them I would do it again tomorrow if I could -- another journey through a sea where no prayer works, where no one is bigger than nature, where you can feel so small, no matter how big your dreams are.

I'd already lost everything. My family didn't know what I was doing, but I dreamed of being a human being who is treated like one. I wasn't going to stop.

So I called the smuggler the same night I was released, and said I wanted to get on the next ship out.

Two days later I received the call, and again I headed to a smuggling point. This time, they had a bigger boat -- a cargo ship, in fact, maybe 85 meters long or more.

It took five days to get everyone on board the ship -- 391 of us in total, refugees from cities all over Syria. And for the first time, I began to feel like I was in jail, trapped in conditions no human should ever suffer.

We lived in the hold. There were no mattresses or sheets, but we found some wooden planks to put our stuff on to keep it from getting wet.

Hundreds of migrants killed when boat capsizes

For five days we had no food and little water. But at least it meant not having to make frequent trips to the "toilet," if you could call it that, which was an old car tire covered with a piece of cloth. Huge waves crashed against the ship from all angles and water leaked in from the ceiling as we slept on the cold metal floor of the ship, the smell of urine emanating from the corner.

Seven days in, despite the poor conditions, everything was going well and we were nearing the island-dotted seas near Greece. On the eleventh day, 200 miles off the coast of southern Italy our guides began to alert Italian authorities to our presence.

We were adrift at sea, they told the authorities, with no captain or crew. And that was actually true -- we didn't have a registered pilot, just one guy who had worked on this ship before.

An Icelandic ship -- working in conjunction with Frontex, the joint European Union border patrol -- rescued us from our captain-less boat with the help of a scientific research boat from New Zealand.

The rescue ship approached us but was unable to get close at first because the waves were so high. We knew we would have to wait some time before leaving our boat forever. The other refugees were waving their hands like children and then telling each other: "Stop waving, they've already seen us." I was one of the last 10 people to be rescued from the boat. I can still see it like it was yesterday; it was the rebirth of a new life.

Why migrants head to Mediterranean

They took us to Catania, on Sicily, where we finally reached land a day later. When we arrived, the first thing the Italian authorities did was look after the urgent medical cases. There was a man who was poisoned by the drinking water on the boat, a few pregnant women and old people who needed medical attention.

They took us to a refugee camp and the only thing anyone talked about was being fingerprinted. They were saying: "We didn't risk everything to be refugees. We are not going to give our fingerprints, even if they torture us."

Later that night a Moroccan-Italian man told us not to worry: "They will not fingerprint you." They would simply take us to different camps and we could leave from there.

Twelve days after it began, our journey to Europe was over. I spent two days in Sicily before making my way first to Milan with two Syrian guys who had become friends. We decided to go to Germany and went to Paris first and ended up in a city called Saarbrucken.

I didn't know where my fellow travellers were heading, but I knew one thing: my dream of making it to Europe, no matter the cost and risk involved, had been achieved. It was worth it.

@highlight

Moutassem Yazbek describes harrowing 12-day journey from Turkey to Italy

@highlight

Yazbek, a Syrian refugee, paid a smuggler $6,500 to get him to Italy in December