(CNN)It's something pioneer nurseryman Johnny Appleseed likely never imagined.

The U.S. Department of Agriculture on Friday approved America's first genetically modified apples. Their appeal: They don't turn brown when bruised or sliced.

"This is really huge. It's what we've waited almost five years for with regulatory approval," says Neal Carter, founder and president of Okanagan Specialty Fruits, the Canadian company that engineered the apples. "Now we can get down to business planting trees and selling Arctic apples. We're stoked."

The USDA's Animal and Plant Health Inspection Service granted its approval "... based on a final plant pest risk assessment that finds the GE (genetically engineered) apples are unlikely to pose a plant pest risk to agriculture and other plants in the United States ... [and] deregulation is not likely to have a significant impact on the human environment."

The Food and Drug Administration is not required to approve genetically engineered crops for consumption. Most companies engage in a voluntary safety review process with the FDA, and Okanagan is doing that.

Scientists working on genetically engineered plants and animals typically add -- rather than remove -- genes to formulate more desirable variations of their products. For example, a GMO salmon, engineered by AquaBounty Technologies, is mostly Atlantic salmon -- with a Pacific salmon gene added to make it grow faster, plus an added eel gene to make it grow year round.

To create their Granny and Golden varieties, Okanagan turned off an enzyme that causes apples to turn brown.

But what else did they turn off?

"These are called 'nontarget effects,' and I'm comfortable and confident this hasn't happened," says Carter. "We've had them in the ground and have been watching them grow for 12 years, compiling data and statistics. The trees produce flowers and fruit of the same composition and analysis [as conventional apples]."

But not everyone is convinced.

Mira and Jayson Calton, the husband-and-wife authors of "Rich Food, Poor Food," launched a Change.org petition two years ago to "Say NO to GMO Apples."

"We sounded the alarm back in 2013 and hoped people would understand what a slippery slope it is to have all of these foods that are genetically modified," says Mira Calton. "Obviously, we can't say without a doubt that GMOs are dangerous, but we can say that not enough human studies have been done. We don't want to be the guinea pigs."

"This particular food is very upsetting because we give it to our children," says Mira Calton. "It's the symbol of health here in America. 'An apple a day keeps the doctor away.' "

What you might not realize is that some genetically modified foods are likely part of your diet already.

In November, the USDA approved a genetically engineered potato, developed by the J.R. Simplot Company, which uses a similar technique to prevent browning.

Still, most of the genetically modified foods we eat are processed, containing ingredients made from bioengineered corn or soybeans. The majority of GMOs have been modified to fend off insects or survive being sprayed down with weedkillers, but the benefits of these new apples are geared toward the consumer.

Where Carter sees apples that don't turn brown opening opportunities for more varied and prolonged use of the fruit, the Caltons see a conundrum. How will we be able to know when the apples have gone bad if they're no longer turning brown?

We've got some time to mull it over.

"It takes two years to build a nursery and another two years to get fruit," says Carter. "We're saying 20 acres of trees in the ground this spring will produce a small amount of fruit by fall 2016."

When that time comes, Carter doesn't feel his company should be forced to use a GMO label.

"We've spent time and money on five years of regulatory work to prove and to demonstrate our product is as safe as any other," he says. "Label it just like any other apple. We'll have information at the point of sale, and we're very transparent on our website. Let the consumer decide."

@highlight

The U.S. Department of Agriculture approves America's first genetically modified apples

@highlight

Okanagan Specialty Fruits, a Canadian company, engineered the apples

@highlight

Authors of "Rich Food, Poor Food" warn that genetic modification of food is a slippery slope