(CNN) -- Dozens of Americans have been among the thousands of foreigners who flocked to Syria to take part in its bloody, messy civil war. Yet for the three years, there was only one known American casualty.

But, in a few short days, that death toll may have tripled.

On Wednesday -- months after a Florida man killed himself in a northern Syria suicide bombing and a day after news broke that Douglas McAuthur McCain, a 33-year-old man reared in Minnesota, died fighting for ISIS -- a coalition of Syrian opposition groups announced that its forces had killed another American in battle.

The coalition did not name the fallen American. But it did say he and McCain died as its forces battled Kharijites, a historical reference to fanatical Muslims who rejected moderate teachings and advocated killing those who violated ultraconservative values.

The coalition noted that its fighters from groups with names such as Hazem Movement, the Islamic Front, Al-Mujahideen Army, Noureddine, al Zanki Battalion, Faylak Al Sham had joined those from the more moderate Free Syrian Army and more extremist al-Nusra Front. They took on ISIS forces last weekend in and around Aleppo -- which is where McCain was killed.

U.S. State Department spokeswoman Jen Psaki, who was among those who reported McCain's death, said the U.S. government is "looking into" this latest reported American casualty, even if it hasn't confirmed his death.

Still, the idea of more Americans fighting for groups like ISIS, and more of them dying, wouldn't be surprising.

Syria, after all, isn't exactly a stable place with stable borders. Nor is neighboring Iraq, where ISIS -- under the name it calls itself, the Islamic State -- has made major advances in recent weeks.

"The ability to travel into these countries demonstrates how porous the borders are," said U.S. Army Brig. Gen. Mark Kimmitt, who had top roles in the State and Defense Departments in President George W. Bush's administration. "I think we need to understand that there's going to be more of this rather than less of this."

Sources: McCain radicalized gradually

There are no details on the third American casualty, but more is known about the other two.

The first was Moner Mohammad Abu-Salha, a 22-year-old from Florida who joined al-Nusra Front, an al Qaeda-linked organization that the U.S. government has blacklisted as a foreign terror organization. The group showed a video of him, and U.S. officials later confirmed, taking part in a suicide bombing earlier this year in northern Syria.

U.S.: Jihadi in suicide bombing video grew up in Florida

And on Tuesday, the world was introduced to Douglas McCain.

Friends and relatives described him as a decent man who loved to play basketball and loved his family. His conversion to Islam didn't alarm his relatives, according to uncle Ken McCain, though Facebook posts in support of ISIS did.

He'd been on U.S. authorities' radar for some time by then. They become aware of McCain in the early 2000s, due to his association with others -- including one person from Minnesota who died in Somalia, apparently while fighting as a jihadi -- a U.S. official said.

Still, there was no indication then that McCain -- who at one point studied Arabic at San Diego City College -- was involved in anything nefarious. Law enforcement sources told CNN that he appears to have radicalized gradually in the years since his conversion.

Authorities didn't know about McCain's travels to Turkey until he was already there, a U.S. official said. Turkey was also the last place where, several months ago, McCain was in contact with his relatives.

At the time of his death, at least, McCain was on a list of Americans believed to have joined militant groups. Such people would be stopped and subjected to additional scrutiny if they traveled, according to the official.

State Department spokeswoman Jen Psaki added that U.S. authorities knew about McCain's ties to ISIS. Psaki didn't say how they approached his case, specifically, though she did lay out the government's general strategy and concerns about cases like his.

"We use every tool we have to disrupt and dissuade individuals from traveling abroad for violent jihad and to track and engage those who return (to the United States)," Psaki told reporters Wednesday.

"(McCain) is a reminder of the growing concern that the United States has, that many countries in the world have, about the thousands of foreign fighters from 50 nations who are engaged in Syria and who are affiliating themselves with ... extremist groups."

Opinion: ISIS: Is it really a threat to the U.S.?

Official: Americans-turned-extremists 'willing ... to die'

ISIS, especially, isn't just any extremist group.

Its tactics are so brutal that even al Qaeda -- which was behind the September 11, 2001, terrorist attacks -- disown them. Defense Secretary Chuck Hagel last week called ISIS "beyond just a terrorist group. They marry ideology, a sophistication of strategic and tactical military prowess.

"This is beyond anything we have seen, and we must prepare for everything."

Who is ISIS?

That includes more Americans dying. Some might be like McCain, who went to the Middle East to join the jihad. Or there may be more like James Foley, the American journalist that ISIS beheaded -- a gruesome execution that it videotaped and broadcast, along with the promise of more such killings if the United States doesn't continue to strike ISIS in Iraq.

Not only aren't U.S. officials refusing to back down against ISIS in Iraq, they are signaling that they might go after the group in Syria.

If President Barack Obama OKs such strikes, he'd be on the same side as Syrian President Bashar al-Assad. Nonetheless, U.S. officials insist they won't coordinate with al-Assad; in fact, the Obama administration is pushing Congress for funding to train and equip "moderate opposition" forces trying to unseat the Syrian leader.

Official: Obama weighing options against ISIS in Syria

Military action isn't the only way the United States is going after ISIS, officials say. There are also things like cutting off funding for the group as well as promoting stable and productive governments as an alternative to ISIS.

But the U.S. focus isn't just about what's happening in Syria and Iraq. It's also about making sure there aren't people like McCain who join ISIS and end up returning home -- perhaps intending to unleash the group's brutal brand of terror in their homelands.

To this point, White House spokesman Josh Earnest insisted Wednesday "we are working with Interpol and other law enforcement agencies, as well as homeland security agencies ... throughout the West and the region, to try to monitor the movements of these individuals and to mitigate the threats.

"...These are individuals who have been radicalized," Earnest said. "These are individuals who received some military training. And they have demonstrated, as Mr. McCain did, a willingness to die for their cause."

California man arrested, wanted to join ISIS

Man arrested after overseas trip, accused of sympathizing with ISIS

CNN's Raja Razek, Josh Levs, Jim Sciutto, Andy Rose, Evan Perez, Rosalina Nieves, Samira Said and Hamdi Alkhshali contributed to this report.

@highlight

Rebel coalition group claims 2 Americans -- including Douglas McCain -- die in Syria

@highlight

Only one has been named; both were fighting with extremist militant groups in Syria

@highlight

U.S. official: Foreigners fighting for such extremist groups come from 50 nations

@highlight

Obama spokesman: U.S.-born extremists dangerous due to training, willingness to die