Washington (CNN)At least three would-be Republican presidential contenders have said that vaccinating children should sometimes be done on a voluntary basis, but their careful comments on the issue underscore how problematic it could be for some of them in a primary fight.

Kentucky Sen. Rand Paul joined New Jersey Gov. Chris Christie on Monday morning in asserting that the choice should be left up to the parents. And BuzzFeed highlighted comments made by former Hewlett-Packard CEO Carly Fiorina last week defending parents' rights on the issue.

The scientific community overwhelmingly agrees that vaccines are needed to protect the public, and the Centers for Disease Control and Prevention has provided assurances that the United States "has the safest, most effective vaccine supply in history."

With the outbreak of the measles epidemic in December — after the disease was eradicated from the U.S. in 2000 -- the scientific community is mobilizing to counter the "anti-vax" movement, which has grown over the past decade.

RELATED: CDC says 102 measles cases in January, most stemming from Disney outbreak

Paul, in comments on conservative talk-radio show host Laura Ingraham's show Monday, said he's "not anti-vaccine at all."

"But particularly, most of them ought to be voluntary," he added. Paul cited incidents where you have "somebody not wanting to take the smallpox vaccine, and it ruins it for everybody else."

"I think there are times in which there can be some rules, but for the most part it ought to be voluntary," Paul went on. "While I think it's a good idea to take the vaccine, I think that's a personal decision for individuals to take."

He also said he was "annoyed" that his kids were supposed to receive the Hepatitis B vaccine as newborns, and that he had doctors space out the 10 vaccines they wanted to give his infant children over time.

And in a later interview with CNBC, Paul suggested he had seen the negative effects of vaccines that those in the anti-vax movement cite in their opposition. None, however, are widely supported by the scientific community, and Paul's office did not respond to a request for comment for details.

"I've heard of many tragic cases of walking, talking, normal children who wound up with profound mental disorders after vaccines," Paul said. "I'm not arguing vaccines are a bad idea. I think they're a good thing. But I think the parents should have some input."

Christie also took a measured approach, saying that while he vaccinates his own children, parents should be able to choose.

"All I can say is that we vaccinate ours. I think it's much more important as a parent than as a public official, and that's what we do," he told reporters during his trip to England on Monday. He went on to say that's "part of making sure we protect their health and public health."

"I also understand that parents need to have some measure of choice as well. So that's a balance the government has to decide," Christie added.

Asked whether he was advocating leaving parents the option to not vaccinate their kids, Christie said "I didn't say I'm leaving people the option," but that "it depends what the vaccine is, what the disease type is and all the rest."

"And so we have to have that conversation. [It] has to move and shift to disease type. Not every vaccine is created equal. Not every disease type is as great a public health threat as others," Christie said.

He went on to say that the debate over whether to vaccinate children should measure "whatever the perceived danger by the vaccine is — and we've had plenty of that over a period of time — versus what the risk to public health is."

Shortly after Christie's comments were picked up by national media, his spokesman, Kevin Roberts, issued an email clarifying the governor's position, asserting that states should have jurisdiction over the issue, as they currently do.

"The Governor believes vaccines are an important public health protection and with a disease like measles there is no question kids should be vaccinated. At the same time different states require different degrees of vaccination, which is why he was calling for balance in which ones government should mandate," he said.

Christie's careful dance on the issue reflects the potential political trouble brewing over the question of whether parents should vaccinate their children.

The Democratic National Committee knocked Christie for putting on a "tin foil hat" and "bowing to junk science," warning him to "sit down and shut up, before people actually get hurt" in a release.

Another group of potential 2016ers also weighed in on the need for children to be vaccinated.

Texas' Sen. Ted Cruz told reporters Tuesday that "children of course should be vaccinated" and also jumped to Christie's defense, a potential foe for the Republican nomination.

"This issue is largely silliness stirred up by the media," Cruz said. "Nobody reasonably thinks Chris Christie is opposed to vaccinating kids other than a bunch of reporters who want to write headlines."

Cruz added in a statement that vaccines "have tremendous public health benefits."

"But on the question of whether kids should be vaccinated, the answer is obvious, and there's widespread agreement: of course they should. We vaccinate both our girls, and encourage all parents to do the same," Cruz said.

Sen. Marco Rubio of Florida, who is also weighing a presidential run, was unequivocal: children should "absolutely" be vaccinated and the practice should "absolutely" be mandatory, he said Tuesday.

Rubio added to the heap of doctors and experts who assert there is no link between vaccinations.

And unvaccinated people, Rubio added, put infants at risk.

"If enough people are not vaccinated you put at risk infants that are three months of age or younger that have not been vaccinated, and you put at risk immune-suppressed children that are not able to get those vaccinations," Rubio said. "So absolutely, all children in America [should be vaccinated]."

Gov. Bobby Jindal said in a statement Tuesday he has "no reservations" about the benefits of vaccines and urged "all parents to get their kids vaccinated."

"There is a lot of fear mongering out there on this. I think it is irresponsible for leaders to undermine the public's confidence in vaccinations that have been tested and proven to protect public health," Jindal said. "Science supports them and they keep our children safe from potentially deadly but preventable diseases. Personally, I would not send my kids to a school that did not require vaccinations."

President Barack Obama weighed in on the issue during a Sunday interview with NBC, urging parents to get their kids vaccinated.

"I understand that there are families that, in some cases, are concerned about the effect of vaccinations," he said. "The science is, you know, pretty indisputable. We've looked at this again and again. There is every reason to get vaccinated, but there aren't reasons to not."

But despite Obama's insistence that the science supporting the need for vaccines is "indisputable," the vaccine debate has been problematic for Republicans in the past.

Former Texas Gov. Rick Perry came under fire in the primaries from opponents during his 2012 run for president for issuing an executive order that mandated all young girls must receive a vaccine that protects against some forms of cervical cancer.

He eventually flipped on the mandate and supported the Texas legislature's decision to overturn it, saying he made a mistake.

"If I had it to do over again, I would have done it differently," he said then.

Indeed, Carly Fiorina, in explaining her position to BuzzFeed, referenced that vaccine as one worthy of "concern." Paul decried it as well.

She drew a distinction between "a vaccination when a girl is 10 or 11 or 12 for cervical cancer" and one for measles.

"I certainly can understand a mother's concerns about vaccinating a 10-year-old," she said. "I think vaccinating for measles makes a lot of sense. But that's me. I do think parents have to make those choices."

Richard Greene contributed to this report from London.

@highlight

New Jersey Gov. Chris Christie was asked about requiring vaccines, while he was visiting London

@highlight

The scientific community overwhelmingly endorses vaccines and the CDC says the U.S. "has the safest, most effective vaccine supply in history"

@highlight

Christie's spokesman later clarified his comment to say that Christie believes there's "no question" that kids should get the measles vaccine"