Washington (CNN) -- President Barack Obama signed legislation on Wednesday aimed at restoring Americans' faith in the nation's public institutions at a time they rank at record lows in opinion polls. The act bans insider trading by members of Congress and many executive branch employees.

In a ceremony at the White House, the president referred to the need to address public skepticism about an uneven system.

"The powerful shouldn't get to create one set of rules for themselves and another set of rules for everybody else," Obama said. "If we expect that to apply to our biggest corporations and to our most successful citizens, it certainly applies to our elected officials, especially at a time when there is a deficit of trust between this city and the rest of the country."

The STOCK Act -- the Stop Trading on Congressional Knowledge Act -- is a rare bipartisan measure coming out of a deeply divided Congress. It makes it clear that members of Congress, their aides and many members of the executive branch cannot use inside information they learn on the job to trade stocks or other securities. The law makes such practices criminal and requires public disclosure of any trades within 45 days. It also requires those reports to be made available online in a database that members of the public can search.

The new law also limits members of Congress and executive employees to participating only in those initial public stock offerings that are available to the general public.

But many public interest groups call the final version weak, because it omitted a provision in the Senate version that would have regulated "political intelligence," the practice of gathering information from lawmakers and Hill aides that could be used to make investment decisions.

Obama pledged to work on additional reforms that would "limit the corrosive influence of money in politics." He suggested that elected officials should not own stock in industries they can affect in their positions, and those who bundle campaign contributions should be banned from lobbying Congress.

Although New York Democratic Rep. Louise Slaughter introduced the legislation six years ago, it didn't have many supporters or much traction on Capitol Hill until a story that aired on CBS's "60 Minutes" in November. The report raised questions about whether the access several high-profile members of Congress had to inside information on legislation helped them profit from financial transactions involving companies that were affected. After the report, both House and Senate leaders, mindful of the low public regard for Congress, fast-tracked the measure.

Originally, the bill's restrictions applied just to members of Congress and their staffs, but Republicans expanded it to cover many executive agency employees.

Despite the overwhelming vote in favor of the bill in both the House and the Senate, none of the top GOP Hill leaders attended the White House bill signing ceremony on Wednesday. House Majority Leader Eric Cantor, who worked on the final version that was enacted, was invited but had events already scheduled in his Richmond, Virginia, district.

Massachusetts Republican Sen. Scott Brown, facing a tough re-election race this fall, was the lone Senate Republican to stand on the stage with Obama as he wielded several pens to enact the new law.

Republican Reps. Sean Duffy of Wisconsin, Bob Dold of Illinois and Mike Fitzpatrick of Pennsylvania -- all representing districts Democrats are targeting in November -- also attended. The president praised Slaughter for championing the bill, but noted she couldn't witness the signing in person because she had broken her leg.

House Democratic Leader Nancy Pelosi, whose financial transactions were examined in the "60 Minutes" story, did not attend. Her office said she had commitments in New York on Wednesday morning and did not return to Washington in time.

Another subject of the CBS investigation was Alabama GOP Rep. Spencer Bachus, the chairman of the House Financial Services Committee. His office put out a release saying he will attend a bill signing on Thursday on jobs legislation, but he was not among the Republicans who attended the STOCK Act signing.

Cantor said the bill was evidence that a divided Congress could work together on other issues.

"Rather than letting our differences divide us, as so often happens in Washington, this bipartisan bill shows that we can come together and deliver results for the American people," Cantor said in a written statement.

The Sunlight Foundation, a nonpartisan, nonprofit group that pushes for greater transparency in government, said that while the final measure omitted some stronger provisions it believed would crack down on insider trading, it was an important step forward.

But the group's policy director, John Wonderlich, maintained there were plenty of other abuses involving improper behavior by officeholders that had yet to be exposed.

"The STOCK Act was just one vehicle for ethics and transparency reform in Congress, and a response to a particularly objectionable idea -- representatives seeking to make a private profit through their public service. There are 20 more exposÃ©s like the CBS story just waiting to happen," Wonderlich wrote Wednesday.

The spotlight on Congress' recent string of bipartisan action continues Thursday, when Obama is scheduled to sign a bill making it easier for small businesses to gain access to capital and make public offerings.

CNN White House Producer Becky Brittain contributed to this report

@highlight

In signing ceremony, Obama talks of need to address public skepticism

@highlight

Bill makes it illegal to use inside information to trade stocks and securities

@highlight

Public interest groups say the bill was weakened before it was passed

@highlight

Issue came to light after "60 Minutes" story on some profiting from inside information