(CNN) -- The film "Blackfish" compellingly describes many of the reasons why keeping orcas in captivity is -- and always has been -- a bad idea.

The main premise of the film is that these large, intelligent, social predators are dangerous to their trainers. But orcas are also directly harmed by being confined in concrete tanks and the science is growing to support this common sense conclusion.

The latest data show that orcas are more than three times as likely to die at any age in captivity as they are in the wild. This translates into a shorter life span and is probably the result of several factors. First, orcas in captivity are out of shape; they are the equivalent of couch potatoes, as the largest orca tank in the world is less than one ten-thousandth of one percent (0.0001%) the size of the smallest home range of wild orcas.

Second, they are in artificial and often incompatible social groups. This contributes to chronic stress, which can depress the immune system and leave captive orcas susceptible to infections they would normally fight off in the wild.

Third, they often break their teeth chewing compulsively on metal gates. These broken teeth, even drilled and cleaned regularly by irrigation, are clear routes for bacteria to enter the bloodstream. These are the obvious factors; there are almost certainly others contributing to the elevated mortality seen in captivity.

These factors boil down simply to this: Captivity kills orcas.

Yes, they may survive for years entertaining audiences, but eventually the stressors of captivity catch up to them. Very few captive orcas make it to midlife (approximately 30 years for males and 45 for females) and not one out of more than 200 held in captivity has ever come close to old age (60 for males, 80 for females). Most captive orcas die while they are still very young by wild orca standards.

There is a win/win solution to both the trainer safety and orca welfare dilemmas facing marine theme parks around the world, including SeaWorld in the United States.

These facilities can work with experts around the world to create sanctuaries where captive orcas can be rehabilitated and retired. These sanctuaries would be sea pens or netted-off bays or coves, in temperate to cold water natural habitat. They would offer the animals respite from performing and the constant exposure to a parade of strangers (an entirely unnatural situation for a species whose social groupings are based on family ties and stability -- "strangers" essentially do not exist in orca society). Incompatible animals would not be forced to cohabit the same enclosures and family groups would be preserved.

Show business trainers would no longer be necessary. Expert caretakers would continue to train retired whales for veterinary procedures, but would not get in the water and would remain at a safe distance (this is known in zoo parlance as "protected contact"). And the degree to which they interact directly with the whales would be each whale's choice.

A fundamental premise of these sanctuaries, however, is that eventually they would empty. Breeding would not be allowed and captive orcas would no longer exist within the next few decades.

Many wildlife sanctuaries, for circus, roadside zoo and backyard refugees, exist around the globe for animals such as big cats, elephants and chimpanzees. The business (usually nonprofit) model for these types of facilities is therefore well-established for terrestrial species and can be adapted for orcas.

Wildlife sanctuaries are sometimes open to the public, although public interaction with the animals is usually minimized. A visitor's center can offer education, real-time remote viewing of the animals, a gift shop, and in the case of whales and dolphins can even be a base for responsible whale watching if the sanctuary is in a suitable location for that activity.

Marine theme parks do not need to lose out financially by phasing out orca shows; this is a transformative proposal, not a punitive one.

Creating a whale or dolphin sanctuary is not entirely theoretical. Merlin Entertainments is pursuing the establishment of the world's first bottlenose dolphin sanctuary with Whale and Dolphin Conservation), a nonprofit environmental group. Whale and Dolphin Conservation put together a team to determine the feasibility of such a concept and the company has now identified potential sites and is studying the infrastructure that will be needed to support a group of retired dolphins.

Before the tragic death of SeaWorld trainer Dawn Brancheau in 2010, the ethical arguments against keeping orcas in captivity came largely from the animal welfare/animal rights community, with the marine theme parks basically ignoring or dismissing their opponents as a vocal and out-of-touch minority.

Now even staunch SeaWorld supporters are wondering if the time has come to think outside the (concrete) box.

Furthermore, the marine mammal science community, which has long maintained a neutral stance on the question of whether orcas are a suitable species for captive display, has finally recognized the need to engage. An informal panel discussion on captive orcas is scheduled at the 20th Biennial Conference on the Biology of Marine Mammals in December, the first time this topic will be openly addressed by the world's largest marine mammal science society.

The first orca was put on public display in 1964. The debate on whether that was a good idea -- for people or the whales -- began the next day but didn't really heat up until the 1970s. It raged mostly on the fringe for the next 25 years. It picked up steam in the mid-1990s, with the release of the film "Free Willy" and the rehabilitation of its orca star Keiko. And now, thanks in part to "Blackfish," it is mainstream and consensus is building that orcas don't belong in captivity.

The marine theme parks can shift with the paradigm or be left behind -- it is up to them.

The opinions expressed in this commentary are solely those of Naomi A. Rose.

@highlight

Naomi A. Rose is working with an entertainment conglomerate to create a dolphin sanctuary

@highlight

She says this business model could work for other marine theme parks, like SeaWorld

@highlight

Rose, a marine mammal scientist, says "captivity kills orcas"

@highlight

Watch an encore of "Blackfish" on CNN, Saturday, Nov. 2 at 9 p.m. ET