(CNN)Twenty years ago, on April 19, 1995, Timothy McVeigh detonated a massive truck bomb in front of the Murrah Federal Building in Oklahoma City.  The attack killed 168 men, women and children, injured hundreds more, and remains the deadliest act of domestic terrorism in U.S. history.

The attack's aftermath saw a storm of media coverage with themes such as "attack on the heartland" and America's "lost innocence." In fact, the bombing took the country by surprise. It wasn't simply the scale of the tragedy that drew attention, but the fact that the bombing exposed something new: American citizens targeting their own government with a deadliness hitherto unseen.

The public became aware of the true danger of the extreme right.  Reports connected McVeigh and his accomplice Terry Nichols to anti-government ideology movements, such as the militia movement, as well as to white supremacist causes.

Law enforcement also played catchup. The Federal Bureau of Investigation's 1994 annual report on terrorism had given short shrift to the extreme right.  Its coverage of domestic terrorism focused on the activities of Puerto Rican radicals and animal rights and environmental extremists.

In contrast, the report spent only a paragraph describing the threat from right-wing extremists.  It ignored the rapidly growing militia and sovereign citizen movements, and made no reference to events in Idaho and Texas.

In late 1992, at Ruby Ridge, Idaho, a standoff between U.S. Marshals and Randy Weaver's family resulted in the death of a marshal, a young boy and the boy's unarmed mother. And in 1993, federal agents launched an ill-conceived raid on property near Waco, Texas, belonging to the Branch Davidians sect, leading to a bloody shootout and a 51-day standoff, which ended in the death of almost all the Davidians, including a number of children. These incidents infuriated the entire extreme right, which saw them as deliberate attempts by the government to kill American citizens.

After Oklahoma City, everything changed. The FBI shifted its priorities, hiring new agents and reassigning staff to work on domestic terrorism cases.  It significantly expanded the number of Joint Terrorism Task Forces and went to Congress with a lengthy "want" list.

The effort actually paid off.  Increased scrutiny of right-wing extremists resulted in a flurry of arrests for everything from terrorist plots to hate crimes.  Though it had paid a high price to do so, it seemed that the United States had recognized the dangers that right-wing extremists posed.

However, just six years after the Oklahoma City bombing, an event occurred that pushed to the background those lessons so dearly won. The September 11, 2001, terror attacks -- attacks of a scale and ferocity that dwarfed even that of the Oklahoma City bombing -- commanded the full attention of the nation.  The government, law enforcement, the news media and the public all rushed to grapple with the issue of Islamic extremism.

Unfortunately, rather than expanding national attention to encompass the dangers of both radical Islam and right-wing extremism, the 9/11 attacks simply shifted attention away from the extreme right.

Certainly, the 9/11 attacks warranted great attention.

They made starkly clear the threat that international radical Islamist groups posed to the United States. Moreover, the surge of right-wing extremism that marked the 1990s had seemingly ebbed. Thus it is no real surprise that concern over right-wing violence faded into the background.

The significance of the Oklahoma City bombing, in terms of its service as a warning about right-wing violence, became greatly lessened.

This is a lesson that Americans must now recall and recover.

Radical Islam, whether abroad or homegrown, represents a serious threat to the safety and security of Americans.  But right-wing extremism did not disappear after September 11. Its history since the Oklahoma City bombing has consisted of a steady stream of plots, conspiracies, terrorist acts, and hate crimes.  It, too, represents a serious threat.

In fact, in recent years, violence from the extreme right has again surged—and at levels reminiscent of the dark days of the 1990s. From 1995 through 2000, according to statistics from the Anti-Defamation League's Center on Extremism, right-wing extremists were responsible for at least 47 different terrorist acts, conspiracies or plots.

However, during the past six years, from 2009 through 2014, right-wing extremists in the U.S. were involved in at least 42 actual or attempted terrorist acts.

In other words, right-wing violence today is actually at or very close to levels during the days of the Oklahoma City bombing.

These statistics illustrate that "homegrown violent extremism" is not limited to extremism motivated by radical Islam.  The anger and hate that generated the Oklahoma City bombing in 1995 is still around in 2015—and still dangerous.

The 20th anniversary of the Oklahoma City bombing provides a new opportunity for us to ensure that its significance does not disappear from the public eye. What the tragedies of 1995 and 2001 together teach is that the United States faces threats from multiple sources of extremism, all of which must be taken seriously.

Consequently, Americans must have the wisdom to respond effectively and intelligently to ideological violence stemming from all sources. That would be the most positive way to pay homage to the victims of April 19, 1995.

@highlight

Twenty years ago, on April 19, 1995, Timothy McVeigh set off a massive bomb in Oklahoma City

@highlight

Deborah Lauter and Mark Pitcavage: Right-wing extremism should still be taken seriously