(CNN) -- There's one solution out of 43 quintillion possible combinations, and even the man who invented it spent a month of solid research trying to figure it out. But that hasn't stopped the Rubik's Cube from becoming the most popular toy in history.

The colorful puzzle, consisting of small blocks rotating on a central axis, has sold an estimated 350 million units since its conception nearly 40 years ago. And yet the man whose name it bears -- Erno Rubik -- only ever intended it to be a teaching aid for his small class of design students.

The son of a poet mother and a father who manufactured glider planes, Rubik grew up in Soviet-era Hungary, studying both sculpture and architecture.

Read: Rubik's Cube in numbers

His life-changing idea arrived when he was in his late 20s, a young professor still living at home with his parents.

Starting off with just chunks of wood and rubber bands, Rubik set about trying to create a structure that would permit individual blocks to move independently of one another without the whole thing falling apart.

It took six years to go from prototype to market, but when it finally hit the shelves at the start of the 1980s, it became the fastest selling puzzle of all time.

It stills retains its appeal to this day. Last year alone it sold seven million units and so-called "speed cubing" competitions -- where contestants attempt to solve the puzzle against the clock -- are as popular as ever.

In a rare interview, the publicity-shy Rubik retraces the journey of his iconic toy.

CNN: What do you think it is about the cube that continues to capture the public imagination?

Erno Rubik: I believe probably the most characteristic part of the cube is the contradiction between simplicity and complexity. I love the simplicity of the cube because it's a very clear geometrical shape, and I love geometry because it's the study of how the whole universe is structured.

I think probably that's part of the key to the success of the cube -- you are able to have a connection with this order and chaos.

CNN: You had the idea in 1974 and at the time you were a lecturer in interior design, what set you off on this invention?

ER: I was searching to find a good task for my students.

When you are studying from a book, lots of people go straight to the end to look for the answers. But that's not my style. For me, the most enjoyable part is the puzzle, the process of solving, not the solution itself.

Also, we were playing with geometry, which is not a static subject. It's a very mobile thing, it's changeable.

So, I was looking for a mobile structure and I found the geometry of a cube very exciting because of the high level of symmetries it has and the fact that you can do a lot of things with it.

CNN: What was the puzzle you were trying to pose?

ER: Usually structures are pieces that are connected in some way or another, and usually these connections are stable things. So all the time "A" is connected to "B." But with the structure of the Rubik's Cube, you realize these elements are moving very freely, but you don't understand what keeps the whole thing together, so that was a very interesting part of it.

CNN: How did you go about building the prototype?

ER: Nowadays you've got three-dimensional printing and CAD [computer-aided design] programs on computers, but I was working at a very different time.

There was a workshop in the school, and I just used wood as a material because it is very simple to use and you don't need any sophisticated machines.

So I made it just by using my hands -- cutting the wood, drilling holes, using elastic bands and those kind of very simple things.

CNN: How does the internal mechanism actually work?

ER: Usually people are surprised by how simple it is, but it is also very difficult to explain. So the best way to discover it is to take it apart!

CNN: How long did it take you to solve the cube once you'd created the prototype?

ER: It took more than a month of research, facing the problem, trying to understand it, building up theories, testing them, thinking to myself things like: "I have one side and one turn is 90 degrees and if you turn it four times I'll be back where I was," and so on. You have to find rules and then you find the law of symmetry, the law of movements.

CNN: Do you remember the moment when you solved it?

ER: I remember it was very emotional, but I don't remember what time it was exactly. I don't make notes on that, and I have no diary about it, but I remember it was a very emotional feeling.

Read: 'Li-Fi' provides a light bulb moment for wireless web

But then it's not something like a jigsaw puzzle where you start to work on it, spend some time on it, and in the end it's solved, it's finished. If you find a solution with the cube, it doesn't mean you find everything. It's only a starting point. You can work on and find something else, you can improve your solution, you can make it shorter, you can go deeper and deeper and collect knowledge and many other things.

CNN: What did you do next?

ER: I showed it to the people in the school and my students liked it very much.

And I had the feeling that because it has very simple structure, it can be manufactured easily and it can be a product that is available for others. And so I applied for a patent because I had some experience of my father's work and he has got several patents.

After that I was searching to find a manufacturer here in Hungary. But the country was a very different place from how it is today. We were behind the Iron Curtain, we had different social circumstances -- so it was not an easy task.

Read: DIY inventors flock to Maker Faire

But I found a small company who was working with plastic - their main line was manufacturing chess sets -- and we started to negotiate.

CNN: Did you make any mistakes with the patent application, would you do it differently given what you know now?

ER: You know, there is a Hungarian saying that it's easy to be clever after the event.

One problem was the speed of the process because from the beginning to the real marketing [point] was six years. Six years is too long because there is a rule on how you can patent: When you start the process, you need to make the next step within a year, because otherwise you lose the patent.

But in the end we partly solved the problem because we used my name as a trademark, and this too is a good tool for protection. I was lucky because in the New York phone book there is less than five people who have the same name!

CNN: What would you advise an inventor now to do to protect themselves?

ER: That's a very difficult question. There are many more protection possibilities than in that time. One thing is, you need to find partners, you can't do it alone. You need professionals; you need advisers and you need partners who are capable of helping you both on the legal part and also the financial part as well.

And naturally it is very important to realise you product. You can protect your patent but if you don't develop the product it's meaningless.

CNN: In a couple of years, it'll be 40 years old, how do you feel about it? Are you still discovering things about it?

ER: Yeah, nowadays my discoveries come from watching the impact of the cube. I'm wondering how people are so creative, and how many things were born out of and inspired by the cube. That's a very interesting thing.

CNN: The final question: Are you a good Rubik's Cube player?

ER: I am really not a speedcuber. My best time when I was practicing was about a minute.

Usually people say if you can create a piano, you must be a good piano player, but it is not true. They are different type of human activities and need different capabilities.

@highlight

Rubik invented cube that bears his name as teaching aid for his class of students

@highlight

The colorful puzzle has gone on to become the world's biggest selling toy -- with 350 million sold

@highlight

Hungarian-born Rubik retraces the moment of inspiration that led him to his iconic invention