Princeton, New Jersey (CNN) -- With all eyes focused on how the Democrats will do this November, the story about the divisions unfolding within the Republican Party have equally important long-term consequences for national politics. And now with the Tea Party movement as an additional force in the party, Republican leaders are struggling to contain tensions between right-wing activists and fiscal conservatives.

In recent months, these tensions have been growing because new faces have emerged within the Republican Party that don't fit neatly within the Tea Party fold.

One of the candidates who has received the most buzz in Republican circles is New Jersey Gov. Chris Christie, dubbed "Gov. Wrecking Ball" by one columnist. How Christie fares in the coming year will be a critical test to gauging where the GOP might be in 2012.

The blunt and humorous Republican who replaced Democratic Gov. Jon Corzine has been making a name for himself by taking on New Jersey's fiscal mess. Christie, a former U.S. attorney general who looks and sounds like the kind of guy you would sit next to at a New York Jets game, has focused all of his energy on reducing the budget and limiting property tax increases.

He has been willing to challenge powerful interest groups like the teachers' unions, and he didn't budge when citizen protesters took to the streets and railed against the impact of his budget.

Christie also instituted reforms to the pensions of government workers. He has received some grudging support from Democrats and has persuaded the state legislature to go along with many controversial proposals, primarily because most experts acknowledge tough steps are needed to avoid having New Jersey become another California.

The first test for Christie will be the political response when New Jersey residents see the impact of the budget cuts. Historically, at the national level, Republicans have often backed off from tough talk about spending reduction when programs proved to be more popular than conservatives expected.

This is what happened when President Ronald Reagan was forced to back off Social Security cuts in 1981-1982 and the Republican Congress stepped away from Medicare cuts in 1995-1996.

In New Jersey, it is one thing for voters to hear tough talk on controlling spending coming out of Trenton, but quite another to see your child's school program shut down. Now that congressional Democrats are on the verge of passing legislation to provide aid to the states in these areas of government, the contrast will be even sharper. There are also many questions about whether Christie's actions will really be able to stop property taxes from rising.

The second test has to do with whether Christie, assuming that he continues to be successful, can find a place at the national Republican Party table. In the era of the Tea Party, the Republican leadership has been moving toward the right on many nonfiscal issues.

Last week, Senate Minority Leader Mitch McConnell said he favored the idea of reviewing the 14th Amendment -- originally passed to protect the citizenship rights of freed African-American slaves.

Some Republicans, including South Carolina Sen. Lindsay Graham, want to make sure that citizenship rights are not granted to children who are born to illegal immigrants in the United States. Also, the ruling by a federal judge that California's ban on gay marriage is unconstitutional is sure to generate pressure on Republicans to take a tough stand on this issue.

Following the 2008 election, the conservative commentator and former speechwriter for President George W. Bush, David Frum, a CNN contributor, had warned that Republicans needed to be cautious about doing things to win in 2010 that would harm them in 2012 and beyond.

The threat is to radicalize the party by moving it so far off center that future Republican candidates would have trouble winning national office. As Frum wrote in his blog post with regard to health care reform, "We followed the most radical voices in the party and the movement, and they led us to abject and irreversible defeat."

If Republicans want to rebuild their party, they must make room for more pragmatic, fiscally minded conservatives like Christie, who are generating excitement in famously blue states.

If Christie can survive politically from the fallout of the budget cuts, he and other Republicans like him could cause significant trouble for Democrats by focusing on issues like taxes, deficits and spending that, at least on the campaign trail, have often had far more impact than the social issues that tend to excite the Republican Party's base.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: New Jersey Gov. Chris Christie is earning praise for tackling budget problems

@highlight

He says Christie's focus on cutting spending is a test for the Republican party

@highlight

It runs counter to a national GOP trend of stressing issues such as birthright citizenship, he says

@highlight

Zelizer: Christie, others in GOP like him could give Democrats trouble in many states