(CNN) -- Imagine discovering a plant that has the potential to help alleviate post-traumatic stress disorder, suicidal thoughts and paralyzing anxiety. That's what some believe ayahuasca can do, and this psychedelic drink is attracting more and more tourists to the Amazon.

If you Google "ayahuasca," you'll find a litany of stories about Hollywood celebrities espousing its benefits, as well as the dangers of this relatively unstudied substance that triggers hallucinations.

On this Sunday's episode of "This Is Life," Lisa Ling goes inside an ayahuasca ceremony in Peru and talks to the men and women who are drinking this potent brew in hopes that it will alleviate their mental and emotional traumas.

Here are six things to know about ayahuasca, which some call a drug and others call a medicine:

War vets are seeking it for PTSD

Former Marine Lance Cpl. Ryan LeCompte organizes trips to Peru for war veterans, like himself, who are seeking ayahuasca as a possible treatment for PTSD and other emotional and mental trauma suffered after multiple combat deployments.

He says he's aware of the risks, as there's very little known about ayahuasca's effect on the body, but he says "it's a calculated risk."

"Ayahuasca is a way to give relief to those who are suffering," says LeCompte, who says many veterans are not satisfied with the PTSD treatment they receive when they return from combat.

"It's just, 'Here's a pill, here's a Band-Aid.' The ayahuasca medicine is a way to, instead of sweeping your dirt under the rug, you know, these medicines force you to take the rug outside and beat it with a stick until it's clean," LeCompte explains. "And that's how I prefer to clean my house."

Libby, an airman 1st class, is one of the veterans who accompanied LeCompte to Peru to try ayahuasca for her PTSD diagnosis, which includes sexual trauma while on active duty. She says antidepressants made her more suicidal.

"I would like to wish not to die all the time," she said, when asked why she was seeking ayahuasca. "I want that to go away"

It's endorsed by some Hollywood celebrities

As more ayahuasca centers pop up in the United States, not surprisingly, celebrities including Sting and Lindsay Lohan have spoken publicly about their experiences with the substance -- albeit illegal outside of religious purposes in the United States.

Lohan, who has struggled with addiction, called her ayahuasca experience "eye-opening" and "intense." "I saw my whole life in front of me, and I had to let go of past things that I was trying to hold on to that were dark in my life," she said on her OWN reality series "Linsday."

Sting said he and his wife, Trudie Styler, traveled to a church in the Amazon where they tried ayahuasca, which the British singer said made him feel like he was "wired to the entire cosmos."

It's not a cure

Those of have tried ayahuasca say that any benefits -- like with other drugs or medicine -- must be combined with therapy.

"If you think you're just going to take 'joy juice' ... you're nuts," explained author and ayahuasca expert Peter Gorman, who settled in Iquitos, Peru, during the first wave of ayahuasca tourism in the 1990s.

"The five years of work to get rid of [mental trauma] is still gonna be on you."

Gorman, author of "Ayahuasca in My Blood," explains that ayahuasca can help "dislodge that negative energy" and show people what their life could be like without the negativity.

"[Then] you can go back home and work on getting rid of it."

And it used to be taken by only the shaman

Gorman says ayahuasca traditions in the Amazon have changed since Western tourists began seeking its benefits.

"Traditionally, the shaman drinks [ayahuasca], he accesses other realms of reality to find out where the dissonance is, that if the shaman corrects, will eliminate the [symptoms] -- could be physical, could be emotional, could be bad luck," Gorman explains. "[Then] we Americans come, and we said we insist on drinking the damn stuff -- we want our lives changed and we want that experience, so that certainly set things right on its head."

You can even buy ayahuasca powders and extracts online and in the local markets in the Peruvian Amazon, but Gorman warns "you don't know what it would be."

As more and more Western tourists consume ayahuasca, Gorman says it has him worried. "I've had this feeling in my bones for five or six years that something could go slightly wrong here that could sour a lot of stuff."

Some ayahuasca tourists have died

In April, 19-year-old Briton Henry Miller died after taking part in an ayahuasca ceremony in Colombia, according to various media reports. And Kyle Nolan, an 18-year-old from northern California, died under similar circumstances in August 2012 in Peru.

The shaman who provided Nolan with the ayahuasca and who initially lied about his death was sentenced to three years in prison, his mother, Ingeborg Oswald, told CNN.

There have been other reported deaths, as well as reports of physical and sexual assaults. Writer Lily Kay Ross says she survived sexual abuse by an ayahuasca shaman.

"We have to take seriously the potential for harm alongside the huge potential for benefit," Ross says on a video on a fundraising website for the Ethnobotanical Stewardship Council. "Standards of safety and ethics would go a long way in making sure that this kind of abuse isn't experienced by anyone else."

Ron Wheelock, an American shaman who leads an ayahuasca healing center in the Peruvian Amazon, says he fears there may be more deaths.

"I hate to say it, yes there probably will be," he told Lisa Ling. "It's in the cards"

There's a movement to create safe ayahuasca

Through IndieGogo.com, the Ethnobotanical Stewardship Council is raising money to create a health guide for ayahuasca centers in the Amazon, so tourists know which centers are safe and harvesting the plants in a sustainable manner that supports the local communities.

The idea would be to put the ESC's logo outside ayahuasca ceremony sites to signify those centers that meet the council's criteria for safety and sustainability.

In addition, there are efforts to study the medicinal benefits of ayahuasca so that it can be regulated and legalized in the United States, explains Rick Doblin, executive director of the Multidisciplinary Association of Psychedelic Studies.

"At a time when drug policy is being reevaluated, when marijuana looks like it's on the road toward legalization, when psychedelic medicine is moving forward through the FDA and we can envision a time when psychedelics are available as prescription medicines, how ayahuasca should be handled in a regulatory context is really up in the air," Doblin said.

@highlight

Ayahuasca, or yage, is a brew made from a plant in the Amazon

@highlight

Some believe it can help with mental trauma and PTSD

@highlight

But there have been some deaths associated with it

@highlight

Go inside an ayahuasca ceremony on "This Is Life With Lisa Ling" at 10 p.m. ET on CNN