(CNN) -- In an almost unbearably predictable recurrence of conflict between Israel and the Hamas-led Gaza, the two find themselves once again squaring off for another round in the never-ending vicious cycle of violence.

Nearly four years after the deadly "Cast Lead" operation, Israel's military has embarked on a new operation, this time codenamed "Pillar of Cloud," killing the most senior military Hamas commander and escalating pre-existing hostilities.

The hundreds of rockets that have been fired from Gaza at Israel following the assassination and Israeli air and artillery attacks come as no surprise: It is all too familiar.

However, this round of violence is taking place in a very different Middle East to the one in which both sides clashed on a similar scale at the end of 2008. From Tunisia and Libya to Egypt and Syria, civil uprisings and revolutions have rapidly changed the political and social landscape of the region.

These changes, together with the ever-present Iran and Hamas's improving military capabilities, are creating new realities which also affect the environment in which the Israeli-Palestinian conflict is conducted.

The border between Gaza and Israel is never entirely peaceful, always on the verge of full-blown war. Trouble regularly flares as result of tit-for-tat attacks which spiral out of control, or because of military and political considerations.

Like "Cast Lead," this operation is taking place just a few weeks after Israeli elections were declared -- they will be held in January next year. Soon after Prime Minister Benjamin Netanyahu's announcement, Israel allegedly bombed a military arms factory in Khartoum, Sudan, which supplied arms to the Hamas in Gaza.

Notwithstanding the constant provocation of rockets fired on Israeli towns and villages by Hamas and its allies in Gaza, the proximity of Israel's attack to their impending elections doesn't seem to be a coincidence. There is almost a long standing political tradition by Israeli governments to avert attention from their social and economic failures. Launching a military campaign against an obvious, albeit not innocent, enemy will bring short term military and potential electoral success. However, it will only exacerbate the situation.

Ahmed Ja'abari was long a marked man, considering his involvement in hundreds of deadly attacks on Israel. Nevertheless, he had also shown pragmatism in the protection of, and deal to release, the kidnapped Israeli soldier Gilad Shalit. According to Gerhson Baskin, an Israeli peace activist who was involved in the negotiations to release Shalit, Ja'abari was very seriously considering a permanent ceasefire with Israel. Bearing in mind his prominence within the organisation, this might have led to a significant and critical change in relations between these two sworn enemies.

In the past, Israeli heavy-handedness with Hamas was met with either half-hearted protestations or even tacit approval from the Arab World. It remains to be seen if there will be a different reaction this time, and what the long term impact on relations between Israel and the newly shaped region will be.

Secular regimes are quickly being replaced by Islamist parties which have both mandates and legitimacy, having been elected in free and fair elections. These governments' immediate instinct is sympathy, not only with the people of Gaza, but also with the Hamas government, an offshoot of the Muslim Brotherhood movement which currently holds the presidency in Egypt.

Egyptian President Mohammed Morsi wasted no time, immediately recalling his country's ambassador to Israel to Cairo and vowing to stand by the people of Gaza "until we stop the aggression."

On Friday, Egypt's Prime Minister Hisham Qandil called on the world to stop Israeli "aggression," describing Israel's actions as a disaster.

Both countries have a strategic interest not to let the situation in Gaza endanger the peace treaty which was signed more than 30 years ago, even if the Muslim Brotherhood has always been critical of it.

It is also an opportunity for Egypt to show its leadership and broker a ceasefire -- doing so would enhance the country's international credibility in the post-Mubarak era.

Elsewhere, the Qatari foreign minister called the events in Gaza a "filthy crime" which should not go unpunished. This is strong language from one of Israel's less critical neighbours in the region.

It is conceivable that events unfolding in Syria will bring more religious elements into government when, more likely than if, the Assad regime falls. This, coupled with ongoing disquiet in Jordan, makes Israel's position in the region seem more precarious than it has been for a long time.

The current show of force by Israel may be aimed at sending a clear message to its neighbors that its policy of using its military might whenever it deems necessary hasn't changed, especially amid growing concerns that the civil war in Syria is gradually spilling over into the occupied Golan Heights. Moreover, Netanyahu and his Defence Minister Ehud Barak signal that despite elevating the containment of Iranian nuclear programme to the top of their priority list, they won't neglect strategic challenges closer to home.

Israel's policy of the uncompromising use of force may prove counterproductive, both military and politically. No one questions the right of Israeli citizens to live free of rocket attacks from Gaza, yet time and again it has proven that the army can provide a very limited solution.

Militarily, the first few days of hostilities have proved that the Iron Dome interception system is only partially successful, and Hamas rockets can reach as far as Tel Aviv and its neighboring cities, exposing Israel's vulnerability.

However, even more alarming is the lack of political wisdom in learning from the past that the use of excessive force only leads to further radicalization of Palestinian society, a future of increasing bloodshed between Israelis and Palestinians, and the deterioration of relations with the Arab world. This is increasingly so as a result of the Arab Spring.

The answer to Israeli security challenges lies around the negotiation table. Unfortunately, the current government in Israel has no political plan that can bring about peace, and believes its ability to regain power at the next elections relies on a show of military force instead of diplomatic efforts and a genuine peace process.

The opinions expressed in this commentary are solely those of Yossi Mekelberg.

@highlight

Israel-Gaza conflict nothing new, but current violence is taking place in a very different Middle East

@highlight

Yossi Mekelberg says region's political, social landscape changed by the Arab Spring

@highlight

Mekelberg: New regimes' instinct is sympathy with people of Gaza, Hamas government

@highlight

Israel's lack of political wisdom in learning from the past is alarming, says Mekelberg