(CNN) -- Ever since a devastating earthquake struck Haiti on January 12 followed by others in Chile, Baja California and Indonesia, many people have asked the question, "Are earthquakes getting worse?" The answer is a firm and unequivocal "No."

I know it's hard to believe given the devastation these earthquakes have caused and the intense level of media attention they have received. However, it turns out that large earthquake frequency has not changed at all over the last 20 years.

But don't take my word for it. Go to the United States Geological Survey website and see for yourself. As of April 25, 2010 is on pace to have approximately 18 earthquakes larger than a magnitude 7 on the Richter Scale.

That sure sounds like a lot, but it's only one more than last year and very close to the 15.4 large earthquakes per year that Earth has averaged over the last 20 years. Of course, some years are more active than others, but that is to be expected.

In fact, in 1995 there were 20 of these large earthquakes, but nobody talks about that year as being particularly lively. The fact that several of this year's large earthquakes occurred near populated areas only adds to the perception that the overall frequency or intensity of earthquakes has increased.

Before the earthquake in Haiti, there hadn't been an earthquake of that size in over two months. This ebb and flow of earthquakes is completely natural. And what about volcanic eruptions? USGS records show they have also remained constant since the 1960s, with between 50 and 70 eruptions each year.

Over the last few days, another misconception began to emerge when CNN published an opinion article by author Alan Weisman titled "Is the Earth striking back?" The piece outlined a theory that, as glaciers melt due to global warming, the Earth's crust will begin to stretch and rebound.

It goes on to imply that this stretching could cause not only earthquakes, such as in Haiti and Chile, but also volcanic eruptions. The article even suggests this process is responsible for the recent eruption of Eyjafjallajokull in Iceland with its neighbor, Katla. "threatening to detonate next." Do these studies exist? Yes. Is this really what they say? No.

First, some background. The source of this idea is a series of papers published by the Royal Society in England that looked at the potential effect of climate change on some types of natural disasters. This idea is generally based on the well-known phenomenon that, as Earth's glaciers continue to melt, the crust rebounds as it is relieved of the burden. In fact, this has been happening for thousands of years since the peak of the last ice age.

Several of these papers did propose that climate change could affect certain types of earthquakes on the ocean floor or underneath melting glaciers, however, Haiti is neither on the bottom of the ocean nor under a glacier. As for the Chilean quake, it was caused by the incredible amount of pressure generated as two tectonic plates are forced together.

The point is that not all earthquakes are caused by the same forces and earthquakes on the ocean floor or under glaciers could not be more different from earthquakes in Haiti or Chile. It's like saying cigarettes cause lung cancer, therefore they cause skin cancer as well.

The bottom line is that Weisman's claims that earthquake frequency is increasing and that earthquakes in Haiti and Chile are caused by global warming are unsupported by the scientific articles he uses to form his conclusions. The effect of his article is to take several well-meaning, preliminary, cautious and limited scientific studies and create unnecessary fear and confusion in the general public.

If the public concludes that earthquake frequency has increased, it will be wrong. If it concludes that volcano eruption frequency or intensity has increased, it will be wrong. If it believes that earthquakes in Haiti or Chile were caused by global warming, it will not only be wrong, but it will believe it because it was told it was the conclusion of geologists. It wasn't.

Most scientific papers do not lend themselves to sound bites or headlines. That means the media needs to do a much better job understanding them. For their part, scientists need to be willing to confront these errors before they spread. Whatever effect climate change has on our planet in the future, inaccurate reporting of research leaves the public at a huge disadvantage and cannot be tolerated.

The opinions expressed in this commentary are solely those of Ian Saginor.

@highlight

Ian Saginor says many people have asked if there's an increase in earthquakes

@highlight

He says quakes, volcanoes are occurring at average level

@highlight

Saginor says the Haiti, Chile, Iceland events are not related to global warming

@highlight

Only a certain class of quakes might be affected by melting ice sheets, he says