(CNN) -- A Massachusetts congressman called on the federal government Tuesday to distribute potassium iodide pills to Americans living near nuclear reactors, a preventive step one expert warns might do more harm than good.

Rep. Ed Markey wants the federal government to distribute doses of the compound -- which can be used to block the thyroid gland's absorption of radioactive iodine -- to every household within a 20-mile radius of a U.S. nuclear power plant "in recognition of the probability that rapid evacuation during a nuclear meltdown will be difficult and time consuming."

Markey, D-Massachusetts, said the battle to halt a suspected meltdown at a Japanese plant should spur the Obama administration to action.

"Despite more than 30 years of clear and unequivocal evidence that potassium iodide protects people, especially young children, who are most vulnerable, from cancer-causing releases of radioactive iodine that would occur if a nuclear disaster occurred, the nuclear industry has continued to fight its use," Markey said at a press conference.

A 2002 law calls for the U.S. government to make stockpiles of potassium iodide available to states and local governments in preparation for a possible nuclear accident, but the congressman said the provision has not been enforced.

"The Japanese nuclear disaster is the reminder we need that the law should be followed, and American children should be protected in the event of another nuclear meltdown here on U.S. soil," Markey said in a statement issued by his office. The congressmen urged potassium iodide be stockpiled in schools, hospitals and other places within the 20-mile radius.

Markey is the ranking Democrat on the House Natural Resources Committee and a former chairman of the Energy and Commerce subcommittee on the environment. He was a leading critic of BP during last year's massive oil spill in the Gulf of Mexico, pushing the oil company to release more information about the disaster.

Since the crisis at a Japanese power station that followed the March 11 earthquake and tsunami, he has called for a safety review of U.S. nuclear plants.

Markey said Tuesday he plans to introduce legislation to overhaul nuclear safety. The bill imposes a moratorium on new reactor licenses until "new safety requirements are in place." The bill, he said, would require reactors to have backup power supplies and systems that can withstand "earthquakes, tsunamis, strong storms and long power outages."

But Dr. James Cox, a radiation oncologist at Houston's MD Anderson Cancer Center, called Markey's potassium iodide proposal "a well-intentioned but bad idea."

"The idea of trying to protect people and trying to prevent illness is always a good idea," said Cox, a CNN consultant. But he said the pills carry side effects that might be worse than low doses of radiation -- and they have "very little likelihood" of being used, "except by people who might be so anxious that they might use them inappropriately."

Radioactive iodine is among the contaminants released from the earthquake-damaged Fukushima Daiichi nuclear power plant in northern Japan, where crews have spent more than two weeks trying to prevent meltdowns in three of its six reactors.

Potassium iodide blocks the absorption of radioactive iodine isotopes by filling the thyroid with the benign iodine compound, stopping the thyroid from absorbing radioactive iodine. This reduces the risk of cancer from exposure.

Its use is recommended for children in particular, because they would have a higher risk of thyroid cancers, but it doesn't protect against radiation from other elements -- nor does it protect any other organs from radiation exposure.

The supplement disappeared from some store shelves in California this month after trace amounts of radioactivity were picked up by sensors on the U.S. Pacific Coast, even as California's emergency management agency warned residents against taking it.

"It is not necessary given the current circumstances in Japan," the agency said. "It can present a danger to people with allergies to iodine, shellfish or who have thyroid problems, and taken inappropriately, it can have serious side effects."

Cox said that ideally, if a nuclear accident happened, health departments would tell people in the affected areas when they should take a dose of the compound. But having potassium iodide at hand can be a problem as well.

"Because just like people are running out and trying to hoard these pills, that anxiety might lead them to take the medication when they are told there is some detectable amount of iodine-131 in the atmosphere, when it's not enough of a concentration to be health concern."

Irwin Redlener, director of the National Center for Disaster Preparedness at Columbia University, said his main message is the United States should be prepared for a potential disaster.

"Americans shouldn't take it (potassium iodide) now because Americans are not, at the moment at risk, so they should not take it now," Redlener said. "This should not be an advisory for people to go out and stockpile potassium iodide themselves necessarily."

CNN's Matt Smith contributed to this report.

@highlight

Congressman wants people living near reactors to have pills handy

@highlight

A CNN consultant calls that "a well-intentioned but bad idea"

@highlight

Trace amounts of radiation prompted a run on pills in California