Starvation. Execution. Imprisonment. Rape. Torture.

In a human rights report, these can seem like distant concepts or dry statistics, but when told by the people who experience them first hand, they take on new meaning.

That is why U.S. officials invited two young North Korean defectors to address a crowd at the State Department on Wednesday -- to share their personal experiences of abuse at the hands one of the world's most notorious regimes.

Yeonmi Park's family was part of North Korea's ruling elite. Her early life was comfortable, and her family even enjoyed access to smuggled Hollywood films and South Korean television shows. From these, Park said, she learned how different life could be in other places, and she started to feel more repressed by the government's rules.

"I remember wanting to be like Julia Roberts after watching the Pretty Woman," Park said. "But in North Korea, the regime restricts even what I can wear, so instead I made paper dolls and I made the clothes that I wanted to wear for them."

When she was nine years old, Park remembers that one of friend's mothers was arrested for sharing DVDs and was publicly executed. The experience, she said, shocked her.

Many people in her world participated in the underground economy, including her father, a government official. In 2004, he was arrested for illegal trading, and was severely beaten. Park and her mother were ostracized, and fled to China where they underwent further hardships as one of countless North Korean immigrants, and she saw her mother raped.

After a harrowing journey on foot to Mongolia, they finally made it to South Korea, where Park is now a university student.

Joseph Kim also grew up new the China-North Korea border.

After famine hit the region, Kim's family struggled to find enough food to eat.

"Hunger is humiliation," Kim told the audience at the State Department. "Hunger is hopelessness."

He watched his father die of starvation, after which his mother and sister left for China to find work.

"At the time I was so young and naive it never occurred to me that it might -- they might never be able to make it back," said Kim.

He never saw his sister again.

His mother sold his sister to a man in China, thinking her fate there would be less cruel than a life back in North Korea.

"This is my first time saying that in public," Kim said Wednesday after relaying the story, "mostly because I was afraid that people would judge my mom for what she did."

"But I realized this is an important part of my story, that I hope illustrates how difficult and desperate the life is," Kim continued, "and how many North Korean mothers were forced to make this kind of heartbreaking decision."

The event at the State Department is just the latest in a string of events aimed at drawing attention towards North Korea's dismal human rights record, as the international community works towards shaming, and potentially prosecuting officials there.

Last month, a United Nations committee approved a draft resolution recommending the International Criminal Court take action against North Korea over a slew of human rights abuses. That resolution, which is non-binding but symbolically important, is expected to come up for a vote in the General Assembly this month.

Earlier this year, the United Nations Commission of Inquiry on Human Rights in North Korea published a detailed 400-page report documenting abuses, which it submitted to the International Criminal Court for review along with recommendation that North Korean officials face prosecution.

That report accused the government of murder, kidnapping, torture, slavery, sexual violence, mass starvation and other abuses. It includes personal testimonies from people who experienced life inside North Korea's infamous prison camps, including that of a woman who claims a fellow female inmate was forced to drown her own baby in a bucket.

Testimonies also reveal how prisoners suffered from chronic hunger, and would sometimes resort to eating rodents and lizards to survive.

Following the release of the report, Michael Kirby, the committee's chairman, told reporters: "The suffering and tears of the people of North Korea demand action."

The North Korean government is sensitive to accusations against them, and is quick deny these reports as they emerge. Representatives have claimed the U.S. and its allies are fabricating abuse claims to justify meddling in North Korea's internal affairs.

In September, North Korea's Association for Human Rights Studies came out with its own rights report, which proclaims that North Korea has "the world's most advantageous human rights system," and makes no mention of the country's infamous forced labor camps.

The North Korean government has also called out the U.S. government for what they see as hypocrisy when it comes to human rights abuses -- particularly in light of a new report released by the Senate on Tuesday, which details how the CIA tortured terror detainees.

North Korea's state-run news agency KCNA said the use of such enhanced interrogation techniques is "inhuman" and called on the UN to investigate those offenses.

And according to Yeonmi Park, the North Korean government views it as essential to control the narrative when it comes to information in the public sphere if it hopes to maintain the image of Kim Jong Un as an all-powerful leader.

This was demonstrated recently when North Korea demanded Sony Pictures stop the release of the upcoming movie "The Interview," a comedy starring Seth Rogen and James Franco, whose characters are tasked by the CIA to assassinate Kim Jong Un.

The North Korean government came under suspicion after Sony's systems were infiltrated by anonymous hackers.

"I didn't even see the movie yet," Park said Wednesday when she was asked about the film's potential impact. "But it will be a really big sensation in North Korea if they see that movie."

@highlight

International pressure is mounting on North Korea when it comes to human rights abuses

@highlight

Defectors share their stories of hunger, imprisonment

@highlight

North Korea comments on Senate CIA report, accusing America of "inhuman" acts