(CNN) -- When Shorter University in northwest Georgia recently informed its 200 employees that they had to sign a "personal lifestyle pledge" requiring them to reject homosexuality or lose their jobs, school administrators underscored a staggering injustice: In 29 U.S. states, people can still be fired for being gay.

While same-sex marriage and other equality debates soak up political and media attention, the Employment Non-discrimination Act, a 37-year-old bill, languishes in the U.S. Congress.

Without that federal law, a majority of our states condone job, housing and other discrimination based on sexual orientation. An even larger number -- 35 -- have no protections for transgender people.

Even corporate America is ahead of our legislators on this issue: 87% of Fortune 500 companies have policies barring discrimination based on sexual orientation. (About 46% also protect gender identity.) What do the innovators and drivers of our economy know that our politicians do not?

Despite a bomb threat that canceled classes, hundreds of Shorter students, faculty, alumni and neighbors protested against the pledge on November 11. These individuals demonstrated tremendous courage in standing up to the university and its leaders' opportunistic interpretation of religious tradition.

I know something about the personal strength that kind of protest requires. In the late 1990s, when I stood as President Bill Clinton's nominee as U.S. ambassador to the small European nation of Luxembourg, Christian extremists circulated false allegations of pedophilia and other lies in hopes of sinking the nomination. They never once questioned my professional qualifications; the only issue was my sexuality.

One of the main reasons discrimination persists is that many people in America -- whether we speak of Don Dowless, Shorter's president, or presidential hopefuls Herman Cain or Michele Bachmann -- advance and reinforce the myth that being gay is a choice.

For them, it is as if we silly LGBT people would be perfectly happy and healthy if we would just make a different set of decisions about our lives.

As a young boy growing up in Austin, Minnesota, teachers forced pens into my right hand in the futile hope of correcting my left-handedness. If they had known I was gay, they might have tried to fix that, too. They would have failed.

I spent the first 35 years of my life trying very hard not to be gay, to the extent that I married my college sweetheart and created a beautiful family of five children with her. Hard as I tried to make that life work, I could not escape my attraction to men. Choice had nothing to do with it.

Scientists from San Francisco to Stockholm are finding evidence of what gay people know in their hearts: that sexual orientation is innate. Recent research in Sweden has identified differences in brain structure that may determine whether a person is gay or straight.

Until the time that people accept that all of us are born into our sexual orientation and identity, LGBT citizens will still endure discrimination and selective application of the Constitution's protections.

Through a social media campaign that includes online petitions, the anti-bigotry protesters are keeping pressure on Shorter to drop its policy. But the question must be asked: Why is it legal for a university to discriminate?

The protesters must next take their demands to Georgia's legislature. Discrimination based on sexual orientation has no place in America today.

The opinions expressed in this commentary are solely those of James Hormel.

@highlight

Shorter University told employees to sign an anti-gay pledge or lose their jobs

@highlight

James Hormel: In 29 states, you can still be discriminated against, fired for being gay

@highlight

Hormel: Congress needs to pass 37-year-old Employment Non-Discrimination Act

@highlight

It's not a choice, he writes; people are born into sexual orientation and identity