(CNN) -- Next time you go to the grocery store to pick up steaks or some hamburger, you'll know where the cow it came from was born, raised and slaughtered, thanks to new labeling rules that became final Saturday.

The Country of Origin Labeling, or COOL, rule went into effect in May, though companies were given six months use up older labels "to clear the chain of commerce, thus preventing retailer and supplier confusion and alleviating some of the economic burden on regulated entities," the U.S. Department of Agriculture explains.

But as of Saturday, that leeway period was over.

Here's how it works: If everything happened domestically, the label would say, "Born, Raised and Slaughtered in the United States." A product that crisscrosses multiple countries would have wording like, "Born in Mexico, Raised and Slaughtered in the United States."

If it is entirely imported, the label would state -- as it would have previously -- "Product of" whatever country it came from.

This new labeling system aims to bring the U.S. in compliance with World Trade Organization guidelines. In addition to "muscle cuts of beef" (including veal), the COOL law applies to similar cuts of lamb, pork, goat and chicken; wild fish and certain nuts and other food products.

Ground meats have to have such labels, too, "listing all countries ... that may be reasonably contained therein," the USDA explains. "'Reasonable' means when any raw material from a specific origin is not in a processors inventory for more than 60 days, that country should not be included."

The Agriculture Department said the "program is neither a food safety or traceability program but rather a consumer information program."

The new regulations have riled some in the meat industry. Tyson Foods, for instance, said they are others "are very disappointed by the changes."

"These new rules significantly increase costs because they require additional product codes, production breaks and product segregation, including a separate category for cattle shipped directly from Canada to U.S. beef plants, without providing any incremental value to our customers," Tyson Foods said in a statement announcing it was suspending cattle shipped from Canada to its beef plants.

The National Cattlemen's Beef Association likewise has spoken out in opposition, with its president calling the action "short-sighted" and fearing it would spur "increased discrimination against imported products" in light of anger internationally about the move.

"While trying to make an untenable mandate fit with our international trade obligations, USDA chose to set up U.S. cattle producers for financial losses," said association President Scott George, a dairy and cattle producer from Cody, Wyoming.

Others, though, have applauded the move -- and fought efforts against it.

Some are in the industry. Dr. Patricia Whisnant, the head of the American Grassfeed Association, said that "the meat business needs more transparency, not less."

And Jonathan Lovvorn, an official with The Humane Society, argued that the change makes sense because it serves consumers' best interests, whether or not it affects some companies' bottom lines.

"Consumers deserve to know where their food comes from," he said. "And factory farming organizations that seek to have it otherwise are out of step with their customers."

@highlight

New labels must be on meat sold in the United States

@highlight

They may show meat was born in one country, slaughtered in another

@highlight

Some in the meat industry are strongly opposed to the new guidelines

@highlight

But others say they better serve consumers