(CNN) -- An extensive internal review of the debacle at Penn State that left a child sex abuser in place on campus for years forever casts a shadow over a heroic figure at the school: Joe Paterno.

The report, the result of months of investigation, finds Paterno and a few other top officials not only showed a "callous and shocking disregard for child victims," but also helped "empower" assistant football coach Jerry Sandusky to attract victims, according to former FBI Director Louis Freeh, who spearheaded the review.

Review at Penn State: 'Total disgard' for the victims

Allegations have swirled around Paterno, the legendary head football coach who led Penn State to national prominence, since the scandal broke last year. Still, the official independent review deals a heavy blow to those who love college football and idolize Paterno.

Penn State trustee Kenneth Frazier, head of the committee addressing the Sandusky scandal, said it was clear that Paterno and other key university leaders exhibited "inexcusable failures" when it came to protecting children.

But, Frazier said, figuring the coach's legacy will be a bit more complicated.

Paterno defended Penn State in letter before his death

"There is a lot about his life that's worth emulating," he said. "You have to measure every human by the good they've done, the bad they've done. I don't think any of us wants to be measured by the worst things we've ever been done in our life."

Following the report's release Thursday, many people took to social media to condemn the aura of support that has long surrounded Paterno -- and the students who rioted in November after he was fired.

" 'JoePa' participated in a cover-up to protect a child rapist and allowed it to continue," Facebook user Ted Gannon wrote Thursday on Penn State's Facebook page. He added that "there's a statue of him on campus. What on earth are people being taught at that university?"

But some people in State College -- a small town that revolves largely around the big university -- insisted Paterno, who died in January, has not been judged fairly.

"I think from the very beginning, Paterno was made a scapegoat," said local resident Kathy Gburuk. The football program itself, she added, "really had nothing to do with this."

Reactions to review flood social media

Student John Zang said he believes "there is some merit" to the idea that Paterno has been scapegoated. But Zang praised the report, including what he described as its calls for changing the culture at Penn State.

"It's hard for a lot of people" at Penn State to hear Paterno's name "not used in the best of light," he added.

Lee Rubin, who played for Penn State between 1991 and 1993, told CNN shortly after the report came out that what he heard of it had not changed his opinion of the legendary coach, though he had not yet read it.

"I think in fairness it needs to be read. It needs to be digested to be responded to," Rubin said. "I think the accusations are very direct, they are very clear, and it would be unwise to try to defend any wrongdoing. I just think there needs to be an opportunity to respond to those accusations."

Weeks before his death, Paterno himself wrote an op-ed that was never published. In it, he generally defended his actions and the university.

At a glance: Key players in Penn State report

"Regardless of anyone's opinion of my actions or the actions of the handful of administration officials in this matter, the fact is nothing alleged is an indictment of football," he wrote.

Freeh, in his report, notes that Paterno once told a reporter, "I didn't know exactly how to handle it and I was afraid to do something that might jeopardize what the university procedure was. So I backed away and turned it over to some other people, people I thought would have a little more expertise than I did. It didn't work out that way."

But "it is more reasonable to conclude" that he and former President Graham Spanier, former Vice President Gary Schultz and former Athletic Director Tim Curley, in order to avoid bad publicity, "repeatedly concealed critical facts relating to Sandusky's child abuse from the authorities, the Board of Trustees, Penn State community, and the public at large," Freeh wrote in a statement accompanying the 267-page review.

Evidence shows that Paterno was made aware of a 1998 criminal investigation of Sandusky relating to suspected sexual misconduct with a young boy in a Penn State football locker room shower, the report says. But Paterno "failed to take any action, even though Sandusky had been a key member of his coaching staff for almost 30 years, and had an office just steps away from Mr. Paterno's.

January: Paterno remembered at public memorial

"At the very least, Mr. Paterno could have alerted the entire football staff, in order to prevent Sandusky from bringing another child into the Lasch Building," where the incident took place.

Paterno and the others also failed to alert the Board of Trustees, Freeh's statement says.

"None of them even spoke to Sandusky about his conduct. In short, nothing was done and Sandusky was allowed to continue with impunity."

Once, in February, 2001, the four men decided they would report the incident to the Department of Public Welfare; but Paterno then had a conversation with Curley, and the men agreed not to do so, Freeh wrote.

After then-Penn State graduate assistant Mike McQueary reported to Paterno that he had seen what appeared to be a sexual attack involving Sandusky and a boy in a shower room in February 2001, Paterno responded to McQueary, "You did what you had to do. It is my job now to figure out what we want to do," according to Freeh's report.

"To his credit, Mr. Paterno stated on November 9, 2011, 'With the benefit of hindsight, I wish I had done more.' " Freeh wrote.

Freeh also said the team that carried out the investigation believes Paterno would have spoken to them before he died, were it not for his declining health.

The Paterno family released a statement saying it was reviewing the report. "From the moment this crisis broke, Joe Paterno supported a comprehensive, fair investigation. He always believed, as we do, that the full truth should be uncovered."

Despite scandal, Penn State raises more than $200 million

The probe found that Paterno "reported what he was told about the 2001 incident to Penn State authorities" -- meaning Curley, Schultz, and Spanier -- "and he believed it would be fully investigated," the family wrote.

"One great risk in this situation is a replaying of events from the last 15 years or so in a way that makes it look obvious what everyone must have known and should have done. The idea that any sane, responsible adult would knowingly cover up for a child predator is impossible to accept. The far more realistic conclusion is that many people didn't fully understand what was happening and underestimated or misinterpreted events. Sandusky was a great deceiver. He fooled everyone -- law enforcement, his family, coaches, players, neighbors, University officials, and everyone at Second Mile," the charity program for children that Sandusky ran.

Sandusky was convicted in June of sexually abusing young boys over a 15-year period. He maintains his innocence.

"Joe Paterno wasn't perfect," the family statement said. "He made mistakes and he regretted them." But if he "had understood what Sandusky was, a fear of bad publicity would not have factored into his actions."

The family statement acknowledged, "It can be argued that Joe Paterno should have gone further," but it deflected blame from him, saying Paterno assumed others were "doing their jobs."

LZ Granderson: Mourning Joe Paterno, a flawed hero

The College Football Hall of Fame, which inducted Paterno in 2007, says in his biography, "No coach has been as synonymous with one school as has Penn State's Joe Paterno." He was a five-time National Coach of the Year.

"More important than all of the wins and titles he has accumulated may be his legacy with the influence he has had on his players, Penn State Students and alumni. Paterno has generously contributed millions to the school and its academic programs. The National Football Foundation has honored him with the Distinguished American Award in 1992 and the Gold Medal Award in 2006."

The organization did not immediately respond to request for comment Thursday from CNN.

John Tecce, a Penn State student who has sat in the first row for every Penn State football game throughout his entire college career, cautioned against letting the scandal, and specifically the damage to Paterno's reputation, cast a pall over the entire university.

"I received my diploma in May, and it says 'The Pennsylvania State University,' not 'Joe Paterno University,' " he said. "The university is not defined by one name or the actions of a few."

Karen Peetz, chairwoman of the board of trustees, said the question of whether the university should honor Paterno "is a very sensitive topic."

"We believe that with the report's findings, this is something that will need to continue to be discussed within the entire university community," she said.

Penn State community still admires Paterno, wants to move forward

@highlight

Freeh review finds Joe Paterno and others showed "shocking disregard" for victims

@highlight

Some students say the legendary head football coach has been scapegoated

@highlight

Paterno's family says he must not have understood what Sandusky was doing

@highlight

This is not "Joe Paterno University," a new graduate and avid football fan says