(Health.com) -- Caffeinated alcoholic beverages such as Four Loko have come under fire from lawmakers and public health officials in recent weeks, following reports of hospitalizations and even some deaths tied to the potent drinks.

Now, a new study suggests that combining caffeine and alcohol can pose a risk to young people even when the substances aren't mixed in the same can or cup. College students who consume nonalcoholic energy drinks such as Red Bull at least once a week are more than twice as likely as their peers to show signs of alcohol dependence, including withdrawal symptoms and an inability to cut back on drinking, according to the study.

Health.com: Do you have a drinking problem?

"The odds were fairly strong, especially when you look at the dose of energy drink used," says the lead researcher, Amelia Arria, PhD, director of the Center on Young Adult Health and Development at the University of Maryland School of Public Health, in College Park.

The study, which appears in the journal Alcoholism: Clinical & Experimental Research, was based on interviews with about 1,100 college seniors. The findings do not show cause and effect, and it's unclear whether energy-drink consumption is directly linked to alcohol problems.

For instance, students who spend a lot of time partying may simply be more likely to resort to energy drinks to help them pull all-nighters and cram for tests, the researchers say. On the other hand, energy-drink consumption could be a more immediate symptom of alcohol problems -- if a student often drinks Red Bull in the morning to shake off hangovers, say.

Health.com: Being choosy about booze helps avoid hangover (to a point)

Another possibility is that energy drinks actively contribute to problem drinking. If mixed with alcohol -- a common practice among college students -- caffeine-laden energy drinks can prolong drinking sessions and mask the feeling of drunkenness, potentially raising the risk for dangerous binges and behavior. (This has been the main concern with caffeinated alcoholic beverages, including Four Loko.)

"Caffeine keeps you awake but just as impaired," Arria says. "You may feel as if you can get into a car or play a risky game. That's why this feeling of wide awake drunkenness is more dangerous."

A similar dynamic can exacerbate alcohol problems over the long term, says Jeffrey Parsons, PhD, a professor of psychology and public health at Hunter College, in New York City. Consuming energy drinks "masks the extent of the drinking in such a way that it can sneak up on people," he says. "They don't realize that they're developing the problematic patterns that are characteristic of alcohol abuse and dependence."

Health.com: Can a bigger booze tax reduce disease, crime?

Nearly two-thirds of the students in the study reported having an energy drink in the past year, and just over half said they consumed the drinks about once a month or less. About 10 percent of the students consumed the drinks weekly, and roughly 3 percent did so daily, or almost daily. Red Bull was the most popular drink.

Compared to those who consumed energy drinks rarely or not at all, students who consumed them at least once a week drank alcohol more frequently and in greater amounts, on average. They were also more likely to experience blackouts, skip class or other activities due to hangovers, be involved in a fraternity or sorority, and meet the criteria for alcohol dependence.

The researchers took into account a number of other student characteristics, including sex, race, socioeconomic status, depression symptoms, and total alcohol consumption. Factors such as depression were associated with alcohol problems, as expected, but energy-drink consumption was independently linked to alcohol dependence even after controlling for all risk factors.

Health.com: Family, friends are big influence on drinking

Energy drinks -- which include brands such as Monster, Rockstar, and Amp, in addition to Red Bull (by far the market leader) -- generated about $5 billion in U.S. sales in 2008 and have skyrocketed in popularity. Although the economic downturn appears to have somewhat slowed their growth, sales of the beverages in the U.S. increased by 136 percent between 2005 and 2009, according to the market research firm Mintel.

The American Beverage Association, a trade group that represents the makers and distributors of nonalcoholic beverages (including Red Bull, Monster, Rockstar, and Amp), emphasized in a statement that the study did not prove a direct link between energy-drink consumption and alcohol problems. The findings "do not show that energy drinks encourage misuse of alcohol in any way and state that further research is warranted," the association said.

The association also said that the amount of caffeine in most energy drinks is comparable to that in 1 to 2 cups of coffee. (In the study, Arria and her colleagues did control for caffeine intake from sources other than energy drinks.)

Energy drinks contain anywhere from 50 to 500 milligrams of caffeine per can, but the caffeine content is largely unregulated and isn't required to be listed on the label, Arria says.

Health.com: 12 surprising sources of caffeine

In 2009, Arria joined a group of scientists in asking the FDA to review the safety of premixed caffeinated alcoholic drinks. Although the new study did not look specifically at these products, the risk of alcohol dependence associated with drinks such as Four Loko may be even greater, Parsons says.

People with alcohol problems who are determined to mix caffeine and alcohol "don't need help from the manufacturer," he explains. "But for those who haven't developed a problem, the ease with which they can get drinks that have the combination in them makes it more likely they're going to try these out in a way that can potentially have negative consequences."

The Food and Drug Administration is expected to make an announcement about caffeinated alcoholic beverages on Wednesday, according to news reports. In a press release, Senator Charles Schumer (D--N.Y.) said Tuesday that the FDA "will rule that caffeine is an unsafe food additive to alcohol beverages," effectively banning the sale of the beverages in the U.S.

Copyright Health Magazine 2010

@highlight

The amount of caffeine in most energy drinks is comparable to that in 1 to 2 cups of coffee

@highlight

It's unclear whether energy-drink consumption is directly linked to alcohol problems

@highlight

Energy drinks generated about $5 billion in U.S. sales in 2008