Oslo, Norway (CNN) -- Norway mass killer Anders Breivik should be considered sane and acquitted for the attacks that left 77 people dead, his lawyer said in closing arguments Friday.

Breivik has admitted carrying out the July 22 attack on a Labour Party youth camp on Utoya Island that killed 69 people and a bombing targeting government workers in Oslo that killed eight.

But Breivik, who boasts of being an ultranationalist who killed his victims to fight multiculturalism in Norway, says he acted out of "necessity."

Defense lawyer Geir Lippestad argued that Breivik should be fully acquitted on the charges of voluntary homicide and committing acts of terror in Norway -- and that this should be on the grounds of necessity, not insanity.

If Breivik is not acquitted, he should be given the lightest possible sentence, Lippestad said as he wrapped up his closing arguments.

He asked the judges to discount the claim by prosecutors that Breivik is mentally ill and should be transferred to a psychiatric institution.

Many friends and relatives of the victims left the courtroom in protest as Breivik rose to give his own closing argument, the last one heard before the trial concluded.

He described his actions on July 22 as "barbaric" but said that only two of more than 30 experts who have evaluated him consider him insane. Some in the courtroom laughed as he made points criticizing Norway's multicultural society and moral values.

The court ruled that his speech could not be broadcast.

After Breivik's statement, the judges said the verdict would be delivered August 24.

Several outcomes are possible. Prosecutors have asked that Breivik be acquitted on the grounds of insanity, in which case he would be held in a secure mental health unit. If he is fully acquitted on the grounds of "necessity," as urged by his defense, he could go free. If he is ruled sane and found guilty of some or all the charges, he would be sentenced to prison time.

Earlier, applause greeted the accounts of survivors and relatives of those killed when they addressed the court. The judges and prosecutors were among those displaying emotion as they listened, with some moved to tears.

Outside the courtroom, one of the survivors of the Utoya attack, Tore Sinding Bekkedal, said he was "very relieved this trial has been as dignified, thorough, proper as it has been."

Seeing the legal system treat it like any other criminal case has been the best show of strength possible, the 24-year-old said.

Bekkedal, a youth politician in Oslo, said the case had highlighted the danger of Islamophobia in Norwegian society and the need to fight it.

Hearing fellow survivors testify about the attacks on Utoya had been less difficult than seeing their impact on the relatives of those killed, he said.

"You meet people who have lost relatives and children, sisters and brothers, and it's a much more profound bereavement than losing friends, even though I did lose some very good friends and role models," he said.

The issue of Breivik's sanity has been at the heart of the case.

If he is not found to be mentally ill, prosecutors will ask for a prison sentence of 21 years, a spokeswoman for the prosecutor's office said.

Giving his closing arguments Friday, Lippestad sought to argue that his client's past did not point to a history of violent acts but rather to political activism.

"The central criterion for insanity is that the ability of realistic assessment of one's relationship to the outside world is largely abolished," he said. "Is it violent fantasy that is the mother of these actions, or is it his political opinion?"

The lawyer outlined Breivik's political life and activity as heard by the court, from the early days when he was member of a party to the extreme political arguments he posted online.

Lippestad also recalled how Breivik's mother and his friends said he was intense when he talked about politics but never said he was intense about violence.

He questioned an initial psychiatric report given to the court that said his client had been acting under a delusion, saying Breivik's radicalization had developed through his engagement with extremist communities online.

The lawyer cited Breivik's active stock trading, social life and preparations for the attacks as examples of how he did not meet the criteria to be considered insane.

Under those criteria, he should be disinterested, aimless, inactive, self-centered and socially withdrawn, Lippestad said. "That he has been aimless is certainly the last thing I would call this man," he said.

Lippestad also argued that Breivik had chosen his targets politically, noting that he didn't attack nonpolitical people like the captain on the boat to Utoya and the youngest children on the island.

"Breivik knew that killing was wrong, but it's what any classic terrorist does," he said.

The lawyer told the court he shared the prosecutor's view that the attacks, which he called "a cruel act of terrorism," were almost too horrible to be true.

But, he said, the key question for his client was whether he acted under the legal principle of "necessity."

Lippestad has previously said it is important to Breivik that people see him as sane so they don't dismiss his views.

Last month, Breivik promised that he would not appeal if a court finds him sane and guilty.

Bjorn Ihler, a survivor of the Utoya attack, said it is down to the court to deliver a "good and fair judgment" on Breivik, in accordance with Norway's longstanding principles of justice.

Its ruling on whether he is sane matters less than the fact that Breivik's extremist views are shared by other people, he said.

However, listening to Breivik in court had made him appear as less of a "scary monster," Ihler said. "Now it's just a pathetic man sitting there."

Asked what his personal message to the court would be, he said, "I am still alive. I'm a survivor, not a victim, and I will live on and fight on to work against future extremist acts."

The issues thrown up by Breivik's trial have led the Norwegian authorities to re-evaluate the country's provision for holding dangerous criminals who are found to be insane.

The government proposed amendments to the Norwegian Mental Health Care Act in May, aiming "to strengthen the security measures relating to a small group of particularly dangerous patients."

The current law allows "too great a risk for escape, hostage-taking and severe violence against patients and staff" in the health institutions where such patients are currently housed, a statement from the Ministry of Health and Care Services said.

The new legislation would strengthen security measures and allow for a high-security unit to be based within a prison, opening the possibility that Breivik could be held in a secure unit in the same Ila Prison where he has been detained for almost a year.

The amendments will come into force July 1.

In the course of the trial, which started in mid-April, the court has heard grueling testimony from the survivors of the July 22 attacks.

Survivors and relatives of those killed and injured have also been present in the courtroom to hear Breivik give his account of the events of that day and the motivation for his acts.

In his testimony early in the trial, Breivik claimed to represent a "European resistance movement" and "Europeans who don't want our ethnic rights to be taken away."

The shocking attacks prompted Norwegians to reassert their commitment to multiculturalism and tolerance at a series of mass public tributes.

CNN's Diana Magnay and Laura Smith-Spark, and journalist Olav MellingsÃ¦ter in Oslo contributed to this report.

@highlight

The trial ends, and judges say the verdict will be delivered on August 24

@highlight

A survivor says he is relieved Breivik's trial has been "dignified, thorough, proper"

@highlight

As Anders Breivik addresses the court, relatives of some of the 77 victims walk out in protest

@highlight

Prosecutors say they believe he is mentally ill and should be transferred to a mental institution