Atlanta, Georgia (CNN) -- Whether I was squeezing myself into a crowded subway car or admiring the fall leaves around at Tsaritsino Park, I was constantly learning new Russian words during my two-week study trip to Moscow last October.

When I came back, I had vague notions of continuing my linguistic education through classes and books. Unfortunately, I couldn't find any convenient classes, and the textbooks didn't hold my attention for long.

I had basically given up when, about two months ago, I came upon the opportunity to use a program called Rosetta Stone. Having refreshed my vocabulary with it, I then turned to the Internet to see what other resources were available to help me stay on top of my language learning.

Here's what I've found:

Free online learning

With the boom in social media, it makes sense that learning a language online would take on a Facebook-like component. My general impression is that these are great ways to exchange languages with people all over the world, but you might not always get helpful feedback.

With Livemocha, you get to learn the language of your choice while helping others who want to speak your native tongue. Once you complete a structured lesson, you submit your own writing and audio recordings to other users for feedback. Reading a sentence aloud and then sending my recording off was pretty intimidating, but I got a response within 10 minutes from a girl in Russia who gave it five stars and a "Good!!" -- although she was surely too kind.

I also got to review English submissions from other users, which felt especially gratifying because I had just been in their uncomfortable situation of sending off my words to strangers.

There's also Lang-8, which is all about the practice of writing. You essentially keep a journal in the language you are practicing, and others in the online community read and correct it.

Want more structure? The Computer Assisted Language Instruction Consortium gives out awards every year for outstanding language-learning Web sites: read the full list. No Russian sites made it there, but for Spanish (my second language) they cite a wonderful (and free) interactive refresher called Spanish Language and Culture with Barbara Kuczun Nelson.

This site uses popular Spanish songs, photo essays and other activities to teach grammar and vocabulary. It's intended for people who have had some exposure to the language, however.

iPhone apps

If you've got an iPhone, you've got a way to get exposure to your language of choice wherever there's adequate reception. In general, I'm kind of in awe of the idea that I can have a pre-recorded voice pronounce words as many times as I want so I can match it (although standing in the subway and repeating the same foreign word over and over might draw some unwanted attention).

First, I checked out AccelaStudy, an iPhone app that offers practice in 15 languages, including Russian. The free version shows and pronounces 132 words in "study" mode. In "flashcard" mode, you get a word in English and then touch the screen to "turn over" the card and hear and see the Russian translation. I like that you can listen to each word as many times as you want before you think you're pronouncing it right.

The quiz, though, is only 10 words, which are the same in the audio version and don't seem to vary. However, $7.99 will get you access to more than 2,100 unique words. This seems like a good supplement for language learning but not ideal on its own, especially since there's no speaking or writing practice.

For some, Byki, also available in multiple languages, may be more useful. For $7.99, you get flash cards with audio and pictures, and I feel that both elements are essential for my own learning of new words. The app comes with 1,000 words, which is less than half that of AccelaStudy, however.

I am intrigued that you can use this app to see how your vocabulary words are being used in real time on Twitter. For those without an iPhone, you can get free version of Byki for Mac or PC, or a "deluxe" version you can use to import vocabulary lists to the iPhone.

Paying more for immersion

The gold standard of computer-based language learning seems to be Rosetta Stone. Here's what I love: It forces you, like a real situation in a foreign country, to stretch the limits of your understanding but gives you feedback so that you learn and progress.

Instead of memorizing words, you confront pictures and learn to describe what's going on. In the two months since I started the beginning Russian levels, I've been exposed to a variety of everyday vocabulary words through pictures and constant audio reinforcement. It is gratifying at the end of each unit to have a "milestone" activity in which you interact with the people in pictures, simulating the frustration you feel when you forget how to say something basic off-the-cuff in a new language.

The obvious downside for this program is the cost: $229 for Russian Level 1, for instance. Some people, such as myself, are able to get Rosetta Stone through corporate programs or universities. The other downer, depending on what your needs are, is that there is no explicit explanation for why the grammar is used the way it is.

In other words, I have no idea what the different "cases" are in Russian, even though I understand that endings of words change in different constructions. On the other hand, small children who grow up fluent in English don't learn that in English the phrase "if I had known" is in the "pluperfect subjective tense"; they just learn to say "if I had known."

A rival to Rosetta Stone is Transparent Language, which is less expensive ($179 for the complete edition) and owns the Byki products mentioned above. But Mac users beware: It's only for PC.

Use it or lose it?

All of these resources have shown me that, although I let many months lapse before trying to resume my Russian, I haven't lost it all. In fact, Grant Goodall, linguistics professor at the University of California, San Diego, says that if you spent a significant amount of time interacting in a language at some point -- even a decade ago or more -- a lot of it may return.

"It seems to be that the higher your ability level that you attained to begin with, the more likely it is to come back later in life," he said.

He also noted that, although your ability to learn a new language goes down with age, it never goes away completely. A 20-year-old will learn faster than a 40-year-old, who will learn quicker than a 60-year-old, but anyone at any age has the ability to take on a new tongue.

I believe these digital resources are worthwhile tools for improving your language skills. Of course, nothing replaces the learning, and the joy, that comes with negotiating daily life in a different language in a foreign place.

@highlight

Web sites such as LiveMocha have language exchange among site users

@highlight

iPhone applications allow foreign language study on the go

@highlight

Rosetta Stone works by immersion but is expensive

@highlight

Person's ability to learn languages never goes away, expert says