Boston (CNN) -- James "Whitey" Bulger was one of the most "vicious, violent and calculating criminals to ever walk the streets of Boston," prosecuting attorney Fred Wyshak told the jury Monday as closing arguments began after 35 days of testimony in Bulger's trial.

Bulger is accused of 19 killings and 13 counts of extortion and money laundering during a 20-year "reign of terror" that defined South Boston from the early '70s through 1995, when Bulger fled Boston.

The prosecution took close to three and a half hours for its closing. The defense took over two and a half hours to make its case, then the prosecution had the final word in a rebuttal.

The jury will begin deliberating the fate of the alleged crime boss Tuesday.

Defense attorney J.W. Carney summed up his case by questioning the credibility of prosecution witnesses, some of whom came to court with extensive criminal resumes and who had worked out deals with the government in exchange for testifying against Bulger.

"If you cannot say in your deliberation that I personally can believe (prosecution witnesses) beyond a reasonable doubt, then the government cannot prove its case about the alleged murders," Carney told the jury.

"The government is buying the testimony of these witnesses. The currency used here (is) how much freedom someone is going to get. What the government can pay the individual is the individual's freedom," Carney continued.

Earlier, prosecutor Wyshak said Bulger and his partner "plotted, they schemed, they robbed they murdered together, they were also informants together."

Prosecutors contend Bulger was an FBI informant who used protection from rogue agents as he continued his life of crime. Defense attorneys have argued Bulger was not an informant, and that FBI bungling was key in the case.

"If there is one thing you heard during this trial, it's how secretive that relationship is," Wyshak said to the jury Monday. "The last thing a criminal wants ... is for people to know he's an informant."

But he also said that it "doesn't matter whether or not Bulger is an FBI informant when he put the gun to the head of Arthur Barrett and pulled the trigger." Arthur "Bucky" Barrett died after being shot in the head in 1983.

"It's not about whether or not the FBI in Boston was a mess," he said. "... It's about whether or not the defendant is guilty of crimes charged in the indictment."

He added, "When he puts a gun in the stomach of Mr. (Michael) Solimando and tells him you own me $400,000, it doesn't matter if he is an informant or not, it doesn't matter whether or not the FBI is leaking information to him."

The defense rested its case Friday with no rebuttal from the government.

During their weeklong defense, Bulger's lawyers seemed to have three goals:

One: Try to cast doubt on who killed two of the 19 victims, both of them women.

Two: Shift the blame onto the FBI, specifically agents who either did nothing or did too little to prevent several killings.

Three: Convince the jury that Bulger was not an FBI informant, a notion prosecutors called "ludicrous" in light of his FBI informant card and a 700-page file loaded with "tips" on rival gang members.

In closing arguments, defense attorney Hank Brennan told jurors why he thinks the government has made Bulger's informant status the crux of its case.

"Think about why it's so important, if it's not an issue, why do they keep bringing it up," Brennan posed to jurors

Brennan explained that other than to "embarrass" his client, the government was boasting Bulger's informant status to cover up years of corruption.

"If he's not an informant, think of the liability," he said, recounting instance after instance where government officials as high as strike-force attorneys in the Justice Department protected Bulger throughout his criminal career.

Prosecution defends plea deals

Defense attorneys also attacked the credibility of gangsters who became star witnesses for the prosecution, testifying under immunity after they learned Bulger was an informant for the FBI for nearly two decades.

Wyshak on Monday defended the government's unsavory plea deals with those gangsters, three of whom together implicated Bulger in the 19 murders and various acts of extortion.

"The government didn't choose them, Bulger chose them," Wyshak said.

"The only thing worse than making a deal with (former hit man) John Martorano would have been not making a deal with John Martorano." Wyshak said the government "held its nose and made the deal."

It took prosecutors 90 minutes to detail the 19 murders Bulger is accused of, showing photos of each of the victims and the crime scenes.

Bulger is not charged with delivering the fatal blow in all of the murders, but is charged with participating as part of a racketeering conspiracy. Wyshak called Bulger "the leader of a very wide-ranging, broad organization," who is culpable for his co-conspirator's crimes.

But Wyshak made clear Bulger was the alleged triggerman in some cases, recalling testimony from Bulger's partner, Steve "The Rifleman" Flemmi, about the murder of John McIntyre, whose remains were exhumed from a shallow makeshift grave in 2000.

McIntyre had begun cooperating with the government on the shipment of weapons to the Irish Republican Army and 36 tons of marijuana imported into Boston Harbor.

"It's Arthur Barrett all over again, held at gunpoint, chained to the kitchen chair, interrogated," Wyshak said.

Flemmi said he was holding McIntyre's body while Bulger was trying to strangle him with a rope, but the rope was too thick.

After that didn't work, McIntyre practically begged for a bullet after Bulger asked him "would you like one in the head," according to Flemmi.

Wyshak got choked up at some points, trying to make Bulger appear utterly heartless.

In talking about the murder of Paul McGonagle, Wyshak recalls that Bulger's former cohorts testified that whenever they passed the Neponset River, where McGonagle's remains were exhumed in 2000, Bulger said, "'Drink up, Paulie.' That's the level of humanity that this defendant is operating at. ... And every time he goes by there its 'Drink up, Paulie.'"

Victim's mother warned FBI about an impending murder

Bulger was a fugitive for more than 16 years, after a crooked FBI agent told him in December 1994 he was about to be indicted on federal racketeering charges. The FBI track him down and arrested him 2011 in Santa Monica, California, where he had been living with his girlfriend under an alias.

During the trial, jurors heard dramatic testimony from convicted gangsters, bookies, extortion victims, a disgraced FBI supervisor, ex-drug-dealers, retired FBI agents and relatives of people Bulger is accused of killing.

Prosecutors called 63 witnesses. The defense called 10. Martorano testified for both sides, making a total of 72 witnesses over 35 days.

Bulger never took the stand despite repeated hints from his lawyers throughout trial he would testify. In fact, Bulger seemed to want to testify. Questioned by Judge Denise Casper, Bulger called his decision a "choice made involuntarily."

He claimed he had been given immunity for his crimes by the former head of New England's Organized-Crime Strike Force, Jeremiah O'Sullivan, now deceased.

"The evidence is overwhelming," Wyshak said as he concluded his closing argument.

He called Bulger "the leader of one of the most ruthless criminal organizations ever in Boston," one that "wreaked havoc on this city for decades."

"In his capacity as the leader, he is legally responsible for it all, as either a principle an aider and abettor or conspirator."

'Bulger: I didn't get a fair trial'

Bulger, who lost his temper several times during the trial, appeared angry, shaking his finger at the judge and claiming he was "choked off from making an adequate defense."

"I didn't get a fair trial. This is a sham. Do what ya's want with me," Bulger said.

Families of the victims have been in court every day of the trial. The wife of one of the victims shouted "You're a coward!"

Patricia Donahue's husband, a truck driver, was killed in the crossfire of a slaying Bulger allegedly committed. She later explained Bulger had a chance to take the stand and tell the truth.

Flemmi testified as one of the government's star witnesses, and he said that he saw Bulger strangle the two women. The defense team, however, presented evidence that Flemmi had the greater motive to kill the women -- his girlfriend and his stepdaughter.

Bulger's attorneys release photos designed to show his softer side

The girlfriend, Debra Davis, was about to leave him for another man. The defense recalled Martorano, who testified that Flemmi admitted he "accidentally strangled" the 26-year-old woman.

Flemmi acknowledged he lured Davis to a home but says Bulger strangled her because she was talking too much and had become a liability.

Wyshak recalled testimony that Bulger always needed to take a nap after strangling or shooting his victims to death.

In his closing argument, prosecutor Wyshak told the jurors they "don't have to decide who strangled Debbie Davis."

"He doesn't need to be the one that strangled her to be criminally liable," he said. "If he is a co-conspirator or he aids and abets, he is just as liable as he is if he puts his hands around her neck and strangles the life out of her."

A number of retired FBI agents and supervisors also took the stand, many testifying that they believed Bulger should have been shut down as an informant because he wasn't providing any useful information.

The agents said they never pressed the issue because apparently FBI headquarters felt Bulger was useful in taking down the New England Mafia.

There are 18 jurors,12 with six alternates. Eleven are men and seven are women.

Man arrested in death of alleged Bulger extortion victim

@highlight

NEW: Both sides make closing arguments in the trial of James "Whitey" Bulger

@highlight

NEW: Defense: "All our government cared about -- get the mafia at all costs"

@highlight

NEW: Prosecution: "It's not about whether or not the FBI in Boston was a mess"

@highlight

Bulger is accused of 19 killings during a 20-year "reign of terror"