(CNN) -- From fighting common colds to cancer, Chinese herbal medicines have long been touted for their healing properties. But this week, environmental group Greenpeace says it found many herbs purchased from Chinese and Hong Kong retail stores contain alarming levels of harmful pesticides.

One herb, a sample of San Qi flower purchased from popular chain Beijing Tong Ren Tang, contained over 500 times the EU safety limit of a restricted pesticide. Another herb contained over 100 times that limit, according to the report. Beijing Tong Ren Tang did not return calls for comment.

Of the 65 herbs sampled by Greenpeace, 51 contained pesticides with 26 having chemicals classified as "extremely or highly hazardous" by the World Health Organization, it said.

"These herbs are of doubtful quality and not safe to consume," said Jing Wang, a Greenpeace project leader.

The pesticides pose significant risks for consumers and farmers, Greenpeace said. "We found some old, obsolete pesticides, with highly hazardous chemicals. Even a tiny dose can result in acute toxicity or sickness," said Wang. "Other pesticides can affect our immune system or hormones, and some may have an impact on children's brain development."

This is not the first time China has experienced a pesticide-related food scandal. In 2010, batches of cowpeas in Hainan province tested positive for a highly toxic pesticide, according to state media. Last month, an investigation by China Central Television (CCTV) found that farmers in Shandong province were using "three to six times" the recommended level of pesticides on ginger crops.

According to Greenpeace, China uses more pesticides than any other country in the world. Wang said the Chinese government has "no regulation or guidance" regarding the use of pesticides with herbal crops. "We want government agencies to strengthen the control, monitoring, and guidance of pesticide use," she said.

"The Hong Kong government has more standards than the mainland, but it's still not enough," she added.

Dr. Stephanie Ma, an expert on pesticides at the University of Hong Kong, said that Hong Kong generally has "adequate safeguards" to protect consumers from pesticides in food. "All pesticides are fully assessed by the regulatory authorities for safe use before registration," she said. A Hong Kong law scheduled to take effect in August 2014 will set further limits on pesticide residues in food.

Ma said pesticide levels that exceed standards set by the European Union "do not automatically indicate imminent health risk to consumers." Conclusions about risks cannot be drawn without taking into account consumers' "level of intake and consumption frequency," she added.

In a statement, the Hong Kong Department of Health said, "The Department of Health (DH) is concerned about the findings released by Greenpeace. DH is requesting Greenpeace to provide us with the full report for detail study. In particular, there is lack of information on the testing methods, testing standards and the testing laboratory which are needed to conduct an appropriate risk assessment."

"The DH has also in place a market surveillance system to obtain Chinese herbal medicine samples to test the levels of pesticide residues and heavy metals," it added. "So far no abnormal results have been detected from the decocted Chinese medicine samples."

The Chinese Ministry of Health did not respond to requests for comment.

Meanwhile, Ma offered a simple piece of advice: "In general, the level of pesticide residues in a crop commodity will be reduced substantially following washing and processing: boiling in particular."

@highlight

Greenpeace: Of 65 herbs tested, 26 contained "highly hazardous" pesticides

@highlight

Greenpeace: One herb contained over 500 times European safe limit of pesticide

@highlight

NEW: Hong Kong Department of Health says it is "concerned about the findings"

@highlight

Scientist says pesticides do not necessarily pose risk; boiling herbs can help