(CNN) -- It was 2:30 a.m. on the morning of June 4, 1989. From a balcony of the Beijing Hotel, I looked down Chang'an Avenue towards Tiananmen Square a few hundred meters away. Red tracer bullets whizzed through the air. The crackle of gunfire echoed through the humid Beijing night.

I could see armored vehicles of the People's Liberation Army moving just in front of the famous portrait of Chairman Mao hanging above the vast square.

Below me crowds gathered, surged forward, and then broke and dispersed as soldiers opened fire at them. Several people were hit. I watched as others loaded the dead and wounded onto flatbed bicycle carts.

WATCH: "Assignment China"

As the drama unfolded, my colleagues and I reported it live on CNN over a scratchy phone line to transfixed TV audiences around the world.

The events that night were a turning point for China, as well as a watershed moment in the history of the media.

Weeks of student-led protests had become the largest movement for political reform in the history of the People's Republic. The military crackdown I covered had far-reaching consequences, not only for China's development but also for its relations with the rest of the world.

Global coverage

The protests generated unparalleled international coverage, and became a defining moment in the Information Age. It was the first time a popular uprising in an authoritarian state was broadcast live across the globe.

According to Bernard Shaw, who anchored CNN's live round-the-clock coverage from Beijing for much of the crisis: "You could say that that was the beginning of the 'CNN effect'" -- the idea, which became widespread after Tiananmen Square, that the immediacy of live TV news available 24 hours a day played a crucial role in influencing the behavior of key players during major crises.

The images from that time -- the Goddess of Democracy, the man in front of the tank -- became enduring symbols of popular resistance to injustice.

In the United States, the coverage of Tiananmen redefined the relationship between the press, public opinion, and foreign policy-making, and brought an end to the romance in Sino-American relations that had begun with Richard Nixon's trip in 1972.

To this day, the event and the images continue to shape international perceptions of the country.

It was no accident that at a U.S. Congressional hearing on Tiananmen in late May, lawmakers from both parties emphasized how the television coverage from 25 years ago had influenced popular views of China.

Tiananmen legacy

Inside China, Tiananmen also continues to exert a profound influence.

The crisis in 1989 led paramount leader Deng Xiaoping to purge liberal officials who had sympathized with the students, and replace them with more conservative figures.

Yet for Deng, a central lesson of Tiananmen was that public confidence in the Chinese Communist Party could only be maintained by continuing the market-oriented economic reforms begun in the 1980s. In the wake of Tiananmen, Deng pushed to revive and accelerate the reform process, triggering a bitter fight with the very conservatives he had relied on to back his decision to crack down in 1989.

In what was his last great political battle, Deng triumphed, and his efforts paved the way for China's emergence as an economic powerhouse.

Yet for the same reason -- ensuring the Party's survival -- Deng also stifled any new moves towards political reform, as did those who followed him.

In particular, fearing that the events of that June could undermine the Party's legitimacy, Beijing has relentlessly sought to erase June 4 from public memory. All public discussion of the crisis is banned. Every Spring, the authorities move against anyone seeking to raise the issue, whether dissidents, lawyers, or relatives of those who died.

The Communist Party in effect offered the Chinese people a bargain: greater economic opportunity and more personal -- as opposed to political -- freedom in return for not challenging the Party's monopoly on power.

'Suffocating control'

Despite pervasive political repression, it is a bargain many Chinese have accepted.

And with the passage of time, the suffocating control of any public discussion, along with stunning economic growth, has meant that for the vast majority of Chinese, the events of 1989 have faded from memory.

An entire generation knows little but the official government version of what occurred. Yet memories of 1989 still haunt the Communist Party. Ensuring that nothing like it occurs again remains a central feature of Beijing's policies on a host of issues.

This can be seen in the exceptionally nervous reactions to the Arab spring and so-called "color revolutions" in parts of the former Soviet Union, the growth of the internal security services, the intense repression in Tibet and Xinjiang, the harsh actions against dissidents like the imprisoned Nobel Peace Prize winner Liu Xiaobo, and the government's management of the thousands of protests over local issues that occur in China every year.

So far, Beijing's approach has generally worked and the Chinese leadership has proved itself to be more skillful and resilient than many in 1989 would have predicted.

However, with the country's economy slowing, social and economic tensions rising, and the Internet and other new forms of communication giving citizens new tools to voice their opinions and generate political pressure, the Communist Party is facing new challenges -- which could give new resonance to the legacy of Tiananmen Square.

Beijing's approach to June 4 therefore remains a paradox. A quarter of a century later, the Communist Party still feels compelled to use all the powers of the state to convince people inside China that nothing worth remembering happened on a date that, outside the country, will be an occasion for reflection and analysis of what remains the gravest crisis the Party has faced since the revolution of 1949.

@highlight

Chinoy: The Tiananmen Square crackdown was a watershed moment in the history of Western media

@highlight

Coverage of the protests was the beginning of the "CNN effect"

@highlight

To this day, the event and the images continue to shape international perceptions of the country