Washington (CNN) -- President Barack Obama's assertion of executive privilege ahead of a hearing before a House committee, which subsequently recommended his attorney general be cited for contempt of Congress, sets up a fight that has had mixed results in the past.

At stake are Justice Department documents relating to the flawed Fast and Furious gunrunning sting that House Oversight Committee Chairman Darrell Issa, R-California, wants in his hands, and that Attorney General Eric Holder says are confidential.

The White House move means the Department of Justice can withhold the documents from the committee, which recommended by a 23-17 vote Wednesday that Holder be cited for contempt.

The full House is expected to consider the motion next week.

More details: House panel recommends contempt citation

If it votes to issue a contempt citation, a statement of facts would be delivered to the U.S. Attorney in the District of Columbia, "whose duty it shall be to bring the matter before the grand jury for its action," according to the law governing contempt citations.

Executive privilege also has been around since the earliest days of the country, and gives the executive branch the ability to withhold certain internal discussions and documents from scrutiny.

"It's there to give the executive branch some breathing room for its own deliberations," said Josh Chafetz, professor of law at Cornell Law School.

Executive privilege "has a long history, but it often plays out very differently," he said.

The last major confrontation over executive privilege also involved the Justice Department, but the partisan roles were reversed.

Q&A: What's going on and what comes next

In 2007, President George W. Bush insisted that White House Counsel Harriet Miers and White House Chief of Staff Joshua Bolten wouldn't testify under oath or provide subpoenaed information about the firings of nine U.S. attorneys, a controversy that had led to the resignation of Attorney General Alberto Gonzales the year before.

House Democrats, who were in the majority at the time, believed the firings were politically motivated and wanted to force the pair to testify about them.

The House voted 223-32 to cite Miers and Bolten for contempt (most GOP members walked out in protest), but when Congress sued the pair, the case never made it to court. It was settled between the two sides with mixed results: The House got some of the testimony it wanted, but not until 2009, when Obama was in office.

The real aim of Congress had been to get oversight of the Bush administration, but he had already left the White House when the information was made available, Chafetz said.

Historically, presidents' claims of executive privilege rarely have been accepted by Congress. When power brokers from those two branches clash, it is often left to political expediency or the courts to sort out the competing interests.

Edward Lazarus, author of a book on the Supreme Court, "Closed Chambers," said that when such a "showdown among two co-equal branches of government" occurs, "the judiciary often becomes the referee."

iReport: Tell us what you think

The claim arises from the constitutional idea of separation of powers. The concept is not a settled legal precept, since it has been open to varying interpretations, and it remains a controversial, litigated part of government business.

"The main factor that courts usually use is internal deliberations," said CNN Senior Legal Analyst Jeffrey Toobin. "The courts want to respect the president's internal deliberations so he can get freely given advice from his aides. They don't want to invade that privilege. However, that's not an absolute privilege for everything that goes on in the White House."

Constitutional groundwork

The U.S. Constitution does not expressly mention this idea of executive privilege.

President George Washington set the precedent in 1796 when he refused a House request for documents relating to how the Jay Treaty with Great Britain was negotiated.

The Supreme Court first decided the issue in 1807, during Aaron Burr's separate trial for treason. Chief Justice John Marshall ordered President Thomas Jefferson to produce a letter that might have exonerated the former vice president. The court concluded the Sixth Amendment right of compulsory process did not exempt the executive branch.

The letter was turned over, but its contents never were publicly revealed, at Jefferson's insistence. As may ultimately prove to be the case in the Fast and Furious controversy, the Burr issue was privately negotiated, without a subpoena being issued.

The high court has not spoken with one voice on executive privilege.

In 1927, it ruled that the executive branch was not protected from "legitimate" outside investigations. In 1948, presidential prerogatives were preserved in relation to private lawsuits where national security or military matters are involved.

Executive privilege claims have risen sharply since the 1950s, but most presidents since Dwight D. Eisenhower have assured Congress that such claims would only be asserted with their personal approval, as Holder indicated Obama did in this case.

Of Watergate and task forces

The biggest recent executive privilege case was U.S. v. Nixon in 1974, during the Watergate crisis. That involved a criminal grand jury subpoena for the president to turn over secretly recorded Oval Office audiotapes. The justices unanimously ruled against his legal claims, saying there was great national interest that the tapes be produced.

Nevertheless, for the first time the Supreme Court recognized the constitutional basis for executive privilege. "Nowhere in the Constitution ... is there any explicit reference to a privilege of confidentiality," that ruling said, "yet to the extent this interest relates to the effective discharge of a president's powers, it is constitutionally based."

The court then recognized that "those who expect public dissemination of their remarks may well temper candor with a concern for appearances and for their interest, to the detriment of the decision-making process."

In other words, the Supreme Court laid out a balancing test of sorts: a basic need for executive confidentiality and candor, weighed against the public interests of congressional oversight, a criminal inquiry or prosecution.

President Bill Clinton's first term produced an interesting legal dilemma that later popped in subsequent administrations. Then-first lady Hillary Clinton chaired a health care task force that was sued for closing to the public several meetings with government and private officials. The issue was whether she as the first lady was a government employee and therefore could claim executive privilege. A federal appeals court concluded she could.

The issue emerged again in 2001, when Vice President Dick Cheney was sued for his role chairing an energy task force. Only this time the issue was whether executive privilege applied to conversations by White House officials with those outside the government.

Cheney was taken to court by private groups and the Government Accounting Office seeking information on what energy company officials and lobbyists might have advised the group, whose conclusions later formed the basis of the administration's energy policy. A lawsuit claimed those contacts improperly benefited private energy businesses.

The private lawsuit reached the Supreme Court after two years of legal wrangling, and the White House won a temporary victory. Justice Anthony Kennedy wrote, "Special considerations applicable to the president and the vice president suggest that the courts should be sensitive to requests by the government" in such appeals.

The government claimed in its legal brief that it is "clear that the president's authority to receive opinions from executive officers is not subject to interference from or control by other branches" of government.

The case was sent back to the lower courts and, after about five years, was settled without the government turning over the requested documents.

The foreseeable future and beyond

Time may be on the side of the White House, if it is determined to see this issue played out in the courts. The case could take many months, or even years, to be resolved.

The use of contempt measures or executive privileges can blur the line between law and politics.

Congress benefits from having the Fast and Furious controversy viewed as an issue of tremendous national importance, and from affirming the power of the legislature to serve as a check on the executive. It has not been shy invoking the threat of subpoenas. Administration supporters have countered that the request for documents by the Republican-led oversight committee amounts to election-year politics, with the goal of embarrassing Obama.

The president has two centuries of precedent to rely upon, and no clear sign the courts want to resolve the issue with some bedrock finality.

"The executive branch is taking the long-term view of this," said legal analyst Lazarus. "You need to develop golden rules in this situation that will apply regardless of who is in power, to come up with a fair way to hold the president accountable without unduly chilling speech with the executive branch."

Holder contempt vote could come next week

@highlight

Executive privilege is often invoked by the president but rarely accepted by Congress

@highlight

Differing circumstances have led to a mishmash of Supreme Court rulings over time

@highlight

Early cases involved the Jay Treaty of 1796 and Aaron Burr's trial for treason in 1807

@highlight

Most recent case involved the firings of U.S. attorneys by George W. Bush in 2007