(CNN) -- The shooting of 14-year-old Malala Yousufzai in Pakistan's Swat Valley has awakened the world to the dangers a resurgent Taliban poses to the rights and safety of girls and women, particularly those who are human rights activists like Malala.

Here is a question for Tuesday's presidential debate: Will Malala's shooting prompt concrete steps to prevent more of such attacks, which potentially affect tens of thousands of girls and women --and could seal the fate of an entire region?

Late last week, as the teenager lay hooked to a ventilator, her recovery uncertain, the Taliban pledged to come after her and her family again to punish her efforts to keep girls schools open. This is the mark of a committed foe of women's rights, impervious to how its brutality has outraged the people of Pakistan and the globe. The Taliban appears determined to extinguish women's freedom at any cost.

Profile: Malala -- Global symbol, but still just a kid

The stakes are undeniable, yet the fate of women has been glaringly absent from nearly all high-profile discussions on the future of Afghanistan and the wider region. When NATO heads of state met last May in Chicago, it was not until protests were held by Amnesty International and other groups that women were even included as full members of the Afghan delegation. Once invited into the room, Afghan women reported that they were denied a significant role in summit deliberations or decisions.

At last week's vice presidential debate between Vice President Joe Biden and Wisconsin Rep. Paul Ryan, there was extensive discussion of Afghanistan, but no mention of women. The issue has scarcely figured in President Obama's many statements and speeches about the region. As we approach the final debates of this campaign season, it is vital that the candidates answer the "Malala question."

This is not an easy problem to solve. As the United States and its allies draw down, security responsibility is being transferred to Afghan government forces without sufficient steps or resources to protect civilians. Funding for development is tenuous, at best. Institutions are weak, and outside influence by key governments and other actors is limited.

In Swat Valley, violence and harm to civilians is coming from a range of sources, including U.S. drones in parts of Pakistan. While their challenges differ, the rule of law in both Afghanistan and Swat Valley ranges from fragile to nonexistent.

But women's rights in Afghanistan and Taliban-influenced areas of Pakistan must not be written off as a lost cause. Nor is it good enough to simply proclaim that something must be done. The Taliban's siege on women puts the impressive rhetorical and legal commitments to women's rights over the past few decades to perhaps its most visible and high-stakes test. It is not just about women. Communities, local economies, indeed the entire region suffers if women are kept from contributing.

Before 9/11, the Taliban in Afghanistan was notorious worldwide for its iron, repressive rule toward the country's more than 17 million women. Women were barred from education, professions and even from leaving their homes without being accompanied by a man. Maternal mortality levels were among the world's highest.

In the decade since the Taliban's overthrow in Afghanistan, modest but key strides have been made. Today, 3 million girls go to school, compared to virtually none under the Taliban. Women make up 20% of university graduates, and their numbers are growing. Maternal mortality and infant mortality have declined, and 10% of all prosecutors and judges are women, while there were none under the Taliban.

Securing and advancing these gains if the Taliban grows in influence will be difficult. Members of the Afghan Women's Network, a women's rights consortium, express grave concern about the future, but also fierce determination not to see the clock rolled back. They have also joined Amnesty International in outlining a specific action plan of steps that must be taken in Afghanistan that may have relevance to Swat Valley, as well.

World: Attack on Pakistani schoolgirl galvanizes anti-Taliban feeling

One of the most important of these is a guarantee of significant, secure financial support controlled by women's institutions and organizations in the region. Development funds and economic activities are being funneled through Afghan government ministries in an effort to build up those institutions. But unless local women's organizations, including those serving rural areas, have unimpeded access to steady funds, the work and influence of dozens of organizations working to promote women's education, health care, freedom from violence, economic opportunities and rights are in jeopardy. These groups and their leaders are the best bulwark against regression and deserve assured support.

As internal deliberations and political maneuvering over the region's future unfold, local actors, the United Nations, outside partners, funders and the media must keep up the pressure to ensure that women are heard around the negotiating table and within government organs in the region. Women's rights must be codified in all negotiated instruments, and existing legal and constitutional guarantees strengthened and enforced. A wide range of governments and institutions globally will continue to hold sway over subjects like the handling of terrorist militants in the region. They need to use that influence to weigh in consistently on behalf of the region's girls and women.

Critically, the number of women at all levels in national security and police forces must be increased through incentives, recruitment efforts and training to ensure that those serving in military and law enforcement roles do not suffer discrimination and can do their jobs.

The U.S. presidential candidates should endorse and Congress should enact legislation focused on addressing the threat posed by the Taliban in Afghanistan and parts of Pakistan. This legislation should be tied to larger U.S. policies and appropriations in relation to Afghanistan and Swat Valley. A new law is the best way to ensure that sufficient funds are set aside and that women's rights and their status are rigorously tracked and reviewed.

Having cited the betterment of women as one justification for its invasion of Afghanistan 11 years ago, the United States needs to show that it is not turning its back on the region's women. When Malala is well enough she should be the one to decide whether she wants such an effort dubbed "Malala's law." It would be an apt naming.

Opinion: Girl's courage, Taliban's cowardice

It took a point-blank assassination attempt of a 14-year old girl to get the world to pay attention to the threat to women from a resurgent Taliban. Unless the shooting of Malala is news heard round the world, prompting sustained action in government offices, legislatures, newsrooms, U.N. halls and public squares, her fate may foretell the lot of millions of other women and girls, and the destiny of an entire region.

The opinions expressed in this commentary are solely those of Suzanne Nossel.

@highlight

Suzanne Nossel: Shooting of 14-year-old girl shows resurgent, repressive Taliban

@highlight

She says presidential candidates must answer: Will they take action to push back?

@highlight

She says in talks on region's future, women's rights chronically left out

@highlight

Nossel: U.S. must tie women's rights to laws on appropriations, policies in region