(CNN) -- She's a veteran reality television star, not to mention an author, entrepreneur, wife and mother. Kendra Wilkinson's life in the limelight demands that she travel by plane about five times a month. She can handle fame, but flying terrifies her.

"I cannot stand it," she says.

When she flies, Wilkinson, whose reality show, "Kendra on Top," debuted this month on WE tv, turns to her fellow passengers to help her cope.

"Every time I fly, I grab on to the person next to me," she says. "People pray with me." The airline staff members she encounters are especially empathetic. "The flight attendants give me ice packs."

Millions share Wilkinson's anxiety, and the fear can be debilitating. Many turn to professional therapy. Others try to resolve their fears themselves; some have more success than others.

Experts caution that it's hard to pin down a precise number of people who suffer from a fear of flying, without a recent comprehensive survey. Also, many are reluctant to share details of their phobia -- or how disruptive it can be.

Wilkinson, who rose to fame as one of Hugh Hefner's girlfriends on the reality show "The Girls Next Door," turns to the cocktail cart to calm her nerves. "I do try to have a glass of wine. Wine helps me cool down a little bit," she says. "Or two glasses of wine."

Pinot grigio aside, she also tries to picture calming images.

"I try my hardest to close my eyes and picture my son," she says. "I think of my happiest moments."

Wilkinson, who hasn't received formal treatment, aspires to fly with her 2Â½-year-old son without scaring him with her unconcealed fear.

Reason doesn't always conquer fear

John DiScala was terrified to fly. From his late teens until his early 20s, he rarely left his home in Connecticut. Now, he visits more than 20 countries a year -- by plane -- and runs the travel blog JohnnyJet.com.

But his runway toward recovery was a long one.

His terror set in when he was 17. Waiting with his parents to board a flight from New York, bound for Australia, he had an anxiety attack at the airport.

"I felt this tingling all over my body," he says. "I felt like I was not in control."

The year before, his doctor had diagnosed him with asthma. He had also suggested that the cabin pressure on the flight could give him respiratory problems.

"It kept running through my head what the doctor said," DiScala remembers: " 'You will have trouble breathing.' "

He missed that trip to Perth, where he would have visited his sisters -- and didn't travel again for more than three years.

"I was basically afraid to leave the house," he says. "I was full of fear."

This unchecked terror arises despite statistics that show how safe flying is. Less than 1% of total transportation fatalities in the U.S. were the result of air accidents in the most recent figures from the Bureau of Transportation Statistics.

But numbers don't necessarily calm nerves. And a fear of air travel isn't always rational.

"It doesn't have to do with how safe flying is," says Tom Bunn, the president and founder of the SOAR program. He counsels fearful fliers with a mix of one-on-one therapy and education about how airplanes work.

He says his clients, who hail from a wide range of backgrounds and professions, try to talk themselves out of their fear but fail.

"Oftentimes, they struggle tremendously on their own to fix it, and find they can't," he says. Many turn to therapy when their fear starts to disrupt their lives as well as their livelihoods.

Phobia interferes with work

Patty McLoughlin, 53, is a sales representative in the gift industry. She needs to travel to meetings at least twice a year. Based in Columbus, Ohio, she would regularly drive 12 hours just to avoid a flight. She hadn't flown in 16 years. "For pleasure, I could work around it," she says. "Not with business."

But when a West Coast meeting came up at a new job, she realized she had to conquer her fear. "It was difficult to drive to California," she says. It was impractical as well. She realized that her fear was getting in the way, and flying to meetings would help her make the most of her new job.

"If I wanted to grow within the company, I knew I'd have to overcome it," she says. And she did, with the help of a SOAR course.

There are people who buy plane tickets but are too scared to use them.

"We hear from people who want to go someplace special, and they can't go," says Alies Muskin, executive director of the Anxiety and Depression Association of America. "They just don't do it."

Karina Slota of Maryland, 39, was supposed to be maid of honor at her sister's wedding in Bermuda 10 years ago. Her entire family traveled to the event, including her 80-year-old grandmother, who had flown over from Germany.

Slota boarded the flight from Maryland to Bermuda but didn't make it to takeoff. "If I stay on this plane, I am going to die," she thought.

While the plane was still at the gate, flight attendants had to open the plane door to let Slota off. She calls the experience humiliating.

"I was crying," she says. "I felt like I was being judged."

She missed the wedding, and for 10 years, she didn't fly. Finally, Slota took a course with SOAR. Although she still gets anxious ahead of a trip, she says she manages to stay calm on the flight itself. She uses the mental exercises she learned from the program's videos, such as focusing on her surroundings, to stay calm and now flies about once a year.

More treatment available

Some travelers are afraid to travel by plane without letting that fear interfere with their lives. They might grip their armrests tightly during takeoff, say a prayer before they board or take anti-anxiety medication. And when a flight gets bumpy, almost anyone can get scared, even frequent fliers.

"I really don't like turbulence," says Liz Borod Wright, editor of the travel blog Travelogged. But she doesn't let that stop her from traveling overseas. Driving isn't a realistic option when holiday plans include Europe. "I'm not going to let my fear of flying prevent me from flying."

Fear of flying "doesn't discriminate," says Josh Spitalnick, director of Research and Clinical Services at the Virtually Better clinic in Atlanta.

He says some of his clinic's clients became wary after unpleasant flights, sometimes involving severe turbulence. Others just anticipate a rocky ride.

"Through treatment, we teach people relaxation skills to better allow them to cope," Spitalnick says.

His clinic uses virtual reality technology to simulate a flight. It also uses data and statistics to teach nervous fliers that thousands of flights take off successfully every day.

A wide range of treatments are available for people with flying fears. So whether a person hasn't flown in decades or just gets anxious during turbulent flights, he or she should be able to find the right remedy.

"Over the last 30 years, there have been a lot of treatments that have been developed, and refined," Muskin says. "Thirty years ago, there were no treatments at all."

Every person's anxiety takes a different form, so their solutions do, too. "No two individuals are treated the same way," she says. With the range of remedies, people with flying phobias have a higher chance of curing their fears.

"People have a lot of success," she says. "We know that they can get better."

Conquering a fear of flying comes at a cost: Sessions can cost hundreds of dollars, and most patients need more than one. But for many, the cost of living with the phobia and missing important personal and professional obligations can be higher than the price of curing it.

For DiScala, the thrill of traveling helped him overcome his fear. "I almost think travel is a drug," he says. "I love to explore new places."

Are you afraid to fly? Have you overcome a fear a flying? How did you do it? Share your experiences below.

@highlight

Kendra Wilkinson travels by plane five times a month and hates to fly

@highlight

Wilkinson tries to calm her fear with visualization, a glass of wine

@highlight

Various therapies have helped others conquer the fear