The story of the Beatles has taken on the power of myth.

Today, five decades after Beatlemania erupted, it seems almost inevitable, a magical confluence of talent and timing. A group of scruffy musicians from Liverpool, a depressed port in northern England, become the biggest band in the world, known on a first-name basis? They put out album after groundbreaking album, their influence as great as their popularity? They dominate the pop culture of the 1960s and break up while still at the top of their game?

You couldn't make this stuff up.

But there's been enough mythmaking, says Mark Lewisohn. It's time to get down to the facts.

"It's a story that's lost all its excitement, because it's been trodden down through too many bad tellings through the years," says Lewisohn, the Beatles historian and author of such detailed works as "The Beatles Recording Sessions" and "The Beatles Chronicle." "I just felt I would disregard everything that's been done. I would start again."

The result is "Tune In," a mammoth (800 pages, not including notes) biography of the Fab Four that's just the first of a projected three-volume work. The book ends in 1962, with the band on the cusp of stardom. (For those who really can't get enough detail, there's an "Extended Special Edition" available in Britain that runs 1,728 pages and retails for £120 -- about $190.)

The Beatles in color: Unseen photos

Lewisohn, 54, has immersed himself in original documents, listened to and read contemporary accounts and interviewed those who were there, all those years ago. He compares the work to Robert Caro's equally monumental biography of Lyndon Johnson, which is now four volumes long and has just started the story of LBJ's presidency.

"This is a proper work of history," he says. "And it needs to be done, and it needs to be done now, while the witnesses are still with us -- most of them -- and while access to archives is still possible."

He's emphatic that "Tune In" isn't a hagiography, the literary version of a Beatles concert's high-pitched screams.

"It's not about legends, it's not about icons, it's not about myths," he says. "The book is anti-myth."

A little bit raw

Ah, but it's a season for myths. American media is currently drowning in biographies and retrospectives linked to the 50th anniversary of the JFK assassination, and for all the attempts at hard-nosed history, it's still challenging to watch videos of the youthful president and not be swept away by the yearning, emotional pull of what-might-have-been.

The Beatles, too, have become encrusted by an aura of nostalgia and wonder, as if subjects of an ancient legend.

Lewisohn is far from the first to try to get underneath the shell. Hunter Davies wrote an authorized take in the late '60s; Philip Norman published the essential "Shout!" in 1981. Just seven years ago, Bob Spitz published "The Beatles: The Biography," which is just as massive as "Tune In."

As the 50th anniversary of their "Ed Sullivan Show" debut nears on February 9, the marketplace fills with more -- not just books, but also a new music release.

The 2-CD set, "On Air -- Live at the BBC Volume 2," may in its own way be as revelatory as the books.

Here are the Beatles from 1963, when they were still a little raw, driving the motorways of Britain in the era's version of an Econoline van to fulfill the latest one-nighter on their concert schedule. For the BBC, Britain's broadcasting monolith, the group was energetic and eager-to-please, says Kevin Howlett, who helped put together the collection. It's a sequel to the recently re-released and remastered "Live at the BBC," which originally came out in 1994.

For one recording, during a bitter, snowy winter, they did a show in Bristol and then drove to London -- a two-hour trip on a good day -- for their BBC take the next morning. Another day they recorded 18 songs in seven hours for the BBC's "Pop Go the Beatles." Later they did 19 songs in a single long session. The BBC didn't play many records, so it was perform live or nothing.

"They knew they only had one shot, really," says Howlett, who's also written a companion volume, "The Beatles: The BBC Archives." "You hear how proficient they are as a live group -- not only doing the unusual repertoire (of covers on the earlier BBC album), but doing their own songs."

'The biggest nickers in town'

Indeed, they were amazingly versatile. One song on the CD, "Beautiful Dreamer," is a Stephen Foster classic rearranged for Tony Orlando in late 1962, but didn't come out in Britain until January 1963. The Beatles somehow obtained a copy -- it probably helped that their manager, Brian Epstein, managed a record store -- quickly learned it and performed it on a broadcast.

They were also known to adapt American favorites for cover versions or to give them ideas for originals. Those kinds of talents are what set the Beatles apart from their competition, says John Covach, the director of the Institute for Popular Music at the University of Rochester, who's taught courses on the group.

Covach mentions a variety of early songs -- "She Loves You," "I Want to Hold Your Hand," "If I Fell" -- that start out with fairly conventional structures but always have a twist somewhere: a drop to a minor chord, a leap to a high note.

"Most of what's going on is something you'd hear routinely in even the most mediocre of pop songs," he says. "But they twist it a bit and they come up with something that's innovative without seeming like it's totally strange."

The Beatles freely admitted borrowing from others. They had "big ears," in the jargon of music aficionados -- they'd listen to anything -- and tried to write their own versions of American hits. After all, their Liverpool colleagues were doing the same covers the Beatles did.

"We were the biggest nickers in town," Paul McCartney told Playboy in 1984. "Plagiarists extraordinaires."

Though the songs came in handy for their own group, even McCartney and John Lennon were under no illusions that the Beatles would last. Their long-term goal was to simply be songwriters for others, after all.

"When they came to America, the people they most wanted to meet were people like Carole King and Gerry Goffin -- the Brill Building," Covach says. "This was all really about setting up a lifetime of writing songs and being involved in pop culture in a fairly old-school way. It kind of morphed into something else."

See Ringo's photographs

'They never existed in isolation'

Of course, that's what leads to the present mythology -- the "something else."

It's all become wrapped up in a ball by now: the cheeky press conferences, the madcap lads of "A Hard Day's Night," the psychedelic savants of "Tomorrow Never Knows," the Apple business and the fade-out -- not to mention the tragic deaths of Lennon's friend Stu Sutcliffe, manager Brian Epstein and Lennon himself.

Even the parodies -- National Lampoon's "Magical Misery Tour," Mark Shipper's 1978 novel "Paperback Writer," the Rutles -- have somehow buffed the legend instead of undermining it. No wonder there are entire festivals devoted to all things Beatle, and have been for decades.

For Lewisohn, the biographer, that just means digging deeper to get to the heart of it all.

"In life, there are those people who are always sticking their hand up saying, 'Come and see me,' and maneuvering themselves more centrally into a story they weren't so central to in the first place, and then there are other people who don't put their hand up at all," he says. "You have to gain their trust, but then they'll tell you fantastic things. And then a key element is not believing everything people tell you, because people embroider things." (For those who want to share their Beatle-related stories, he has a page on his website for contributions.)

After he returns to his writing desk, he believes he has several years ahead of him. Volume 2 is 40% done; Volume 3 might be 10%. He expects the entire project may take to the end of the decade.

Through it all, he's maintained great admiration for the group, of course -- they've been his life's work. But he's careful to separate the men from the myth.

"They never existed in isolation. They were always in the mix with other people," he says. "They're not legends. They're just people."

In that, he echoes none other than John Lennon himself from his 1970 Rolling Stone interview.

"We were four guys. I met Paul, said 'want to join me band.' Then George joined, and then Ringo joined," he said. "We were just a band who made it very, very big. That's all."

@highlight

New biography tries to set Beatles record straight

@highlight

Author Mark Lewisohn's "Tune In" is exhaustive, and just first volume of three

@highlight

Beatles can be heard at career's beginning on new album of BBC recordings

@highlight

The group may have been groundbreaking, but they were still just people, says Lewisohn