Washington (CNN) -- On Tuesday, for the second time this month, the Republican field will debate foreign policy, a topic that hasn't seen much attention in the race until now. The candidates will be fighting an uphill battle against the president's strong record on national security.

President Obama has racked up an impressive series of foreign policy victories and promises kept: He ordered a daring raid that resulted in the death of Osama bin Laden and has taken out scores of top al Qaeda leaders, including lead recruiter Anwar al-Awlaki. He brought the Iraq war to a close, as promised, and has started a responsible withdrawal from Afghanistan.

Without putting a single American soldier on the ground and for only about a thousandth of the cost of the Iraq war, the president helped the Libyan people oust Moammar Gadhafi, a ruthless dictator who supported terrorists. Obama has also led the international community in putting the squeeze on Iran's leaders through tough sanctions and ratified the new START treaty negotiated with Russia. The list goes on.

Voters have recognized these successes. Polls show the public backs Obama's pragmatic, results-based approach to foreign policy. Fulfilling his promise to end the Iraq war is the president's most popular move: More than three in four Americans -- 77% -- approve of Obama's decision to withdraw U.S. troops from Iraq by the end of the year, according to CBS News polling. In addition, 63% approve of the president's terrorism policies, turning what was expected to be a weakness into a strength.

The Republican field has responded to the president's successful efforts abroad with what the New York Times editorial board called "bad analysis and worse solutions, nothing that suggests real understanding or new ideas." Instead of taking seriously the need for the commander in chief to have at least a basic knowledge of the world, Republicans have embraced their lack of experience on the issue. Herman Cain made a telling gaffe last week when he insisted that he is "not supposed to know anything about foreign policy."

The Republicans running to lead the country don't seem to understand that the president can't plead ignorance. International crises especially require quick, effective decision-making -- presidents don't have time to study up on Foreign Policy 101.

The lack of knowledge or experience hasn't stopped Republicans from falling into a familiar habit: opposition for the sake of opposition. If Obama favors something, Republicans almost certainly oppose it.

Mitt Romney originally built his argument against Obama's foreign policy by attacking the new START treaty -- an agreement supported by every living Republican secretary of state and our entire current military leadership. Now Romney, along with others, is calling for bombing Iran, an action that former CENTCOM commander four-star Gen. Anthony Zinni has said would "drag us into a conflict." Obama has effectively rallied other nations for the strongest sanctions ever against Iran's nuclear program. Republicans have lots of ideas about starting new wars, but few about how to keep meaningful pressure on Tehran.

Regarding Israel, the GOP field has routinely condemned Obama's leadership in trying to avert a crisis over the Palestinian request for statehood at the U.N. Obama's policies have made Israel safer. Israel Prime Minister Benjamin Netanyahu praised Obama for his handling of the rescue of the Israeli diplomats in Cairo in September.

The candidates continue to take any position that will distance them from the president and allow them to sound tough -- but it's putting them out of step with military leaders and nonpartisan national security experts. Much of the field has endorsed waterboarding -- widely considered torture -- and many have argued for cutting off all foreign aid. Both of those positions are opposed by generals such as David Petraeus and James Cartwright as well as fellow Republicans, including former Defense Secretary Robert Gates and Sen. John McCain. Abandoning our values and "soft power" means abandoning leadership in the world.

In addition, the field has tried to turn the phrase "leading from behind" into an overarching criticism of Obama's foreign policy. That rather inaccurate term was coined to explain Obama's response to the situation in Libya.

It's funny that Republicans would latch onto the phrase, because they've shown a distinct lack of judgment and resolve on the issue. Jake Tapper of ABC News documented that Mitt Romney has held five different positions on the Libya operation. It is probably Newt Gingrich's most blatant flip-flop; the former House speaker first endorsed intervention, then said he wouldn't have acted. The Republican field just can't admit that Obama got this right.

Even more telling than the issues candidates have talked about are the issues that have been downplayed. The last debate included little or no mention of post-war Iraq, ignored the security implications of China's rise, and only at the last minute began to explore candidates' thinking on the European financial crisis. Twenty-first-century problems require 21st-century thinking. The Republicans have displayed stunningly little of such thinking so far.

Expect lots of bluster and loose talk at Tuesday's debate, the sort that brought us the Iraq war earlier this century while the search for Osama bin Laden was essentially called off. Then compare it to the pragmatic, effective approach of Obama and his list of accomplishments. It's clear who should be on the receiving end of the 3 a.m. phone call.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: GOP presidential candidates can't beat Obama's record on national security

@highlight

Three-quarters of Americans approve of his decision to pull troops from Iraq, Brazile says

@highlight

Yet if Obama favors something, GOP candidates almost certainly oppose it, she says

@highlight

Brazile: Expect bluster at Tuesday's GOP debate -- then compare it to Obama's approach