Jedda, Saudi Arabia (CNN) -- Every time I talk to a group of Syrians, I learn another layer of the complex construct that weaves Syrian society together and complicates any analysis of the conflict.

Talking to Syrians in Saudi Arabia is no different. Of three Syrian National Council representatives I met who live there, two told me they shared tribal ties with Saudis.

The three were actively campaigning to support the rebels back home. Guns -- big guns -- were at the top of their wish list in meetings with Saudis. Although the Syrians told me they weren't sure any were being sent, I'd have been surprised, if they told me they were. Such issues are shrouded in secrecy.

What did surprise me, however, was the two Syrians with tribal ties who told me their motivation was to support their own tribes back home. Other Syrians, too, they said -- but tribe first.

The borders of Syria, Saudi Arabia, Iraq and Lebanon were drawn up in 1916 by French and British cartographers, indifferent to the realities of tribal life straddling the new lines emerging over the desert sands.

Today those historic tribal ties are paying dividends for Syria's rebels. The ancestral connections are igniting sympathies among some of the region's richest people. Thousands of Saudis, Kuwaitis, and Qataris share tribal kinship with their Syrian cousins.

Add to tribal sympathies religious conviction. Most Saudis are Sunni Muslims, the same as the Syrian majority who kicked off the uprising. It's little wonder that when the residents of the desert kingdom dipped their hands in their pockets for the Syrians, they didn't disappoint.

Close to half a billion Saudi riyals -- almost $150 million -- was raised by the end of Ramadan, a 30-day period of fasting and giving that ended this weekend. Most of it was given during a five-day telethon, much of the rest deposited in an account in a Saudi bank.

The three Syrians I met told me they don't know what the money will be spent on, but they do know they won't get their hands on it.

In the post-9/11 era, Saudis have cracked down on fund-raising to the point that all cash coming in for Syria is tightly controlled by the Saudi Interior Ministry. It's an attempt to prevent extremist groups like al Qaeda from benefiting from Saudi largesse.

But that, according to the Syrian trio, may be hard to enforce. SNC member Mohammed Alterkawi, who also represents the high council of the Free Syrian Army, explains: "The feeling now inside Syria is that those extremists -- they are coming here to help us, OK. And this feeling -- it make this extremist my friend, OK. So it's not enemy now, it's my friend."

Put simply, whoever gets the aid, be it guns, grain or bandages, will use it as they see fit. And if helping their new extremist friends is what it takes to win the fight in the absence of international support, that's what they'll do.

And that's why these Saudi-based Syrians are doing their best to make their aid networks transparent. One Syrian dentist I met, Mohammad Yasser Tabbaa, told me he'd been to Turkey to learn how to set up a charity.

He and his friends put together the Syrian Expat Medical Association, setting it up with a bank account in Paris. He can't take money from Saudis, but he can work with official registered charity collection organizations.

"So whomever comes to us, we refer them to those organizations, those relief groups, and they help us," he explained. How they help is quite simple.Tabbaa and his colleagues visit medical suppliers and nail the best deal for the goods. Then "we present those projects to the local or governmental organization," and the Saudi government group buys the goods, delivering them to activists in Turkey, he said.

By operating within Saudi law today, Tabbaa hopes his medical charity can keep on giving when the time comes to rebuild Syria. He says the group is going to great lengths to make sure it gets what it pays for. "We ask for video tapes, for pictures, for some kind of documentation."

But he says once supplies cross the border, it's hard to maintain transparency. "We care more about our activists than our money. I'm not willing to lose any activists on the ground, but I am willing to lose a little money."

Money isn't all the Saudis seem prepared to give. Tribal and religious ties, Tabbaa says, may inspire some to pay the ultimate price.

What activists in Syria are asking for now is not medical supplies, but doctors, he says. "I tell the young men who volunteer, 'Are you ready not to come back?' It's a life or death decision." Even so, he says he's been told Saudi Arabia will soon start sending medics.

He's still waiting to see them show up. But he doesn't doubt the bonds that shape young men's minds here are strong enough to overcome their fears.

@highlight

Syrians' tribal ties with Saudis are fueling aid to Syrian rebels

@highlight

Saudi government keeps tight rein on aid to Syrian groups, trying to keep it from extremists

@highlight

Saudi-based Syrians set up charities carefully to stay within the rules

@highlight

But one says once aid gets to Syria, it's out of their control