(CNN) -- When Ryan Arnold died after donating a piece of his liver to his brother, Chad, his friends and family mourned the loss of a hero who risked his life to save his brother.

The death affected someone else, too -- someone who'd never met the Arnolds. Her name is Laura Fritz, and when she learned about Ryan's death in August in an online television news piece, she was "devastated."

"It hit really close to home," she told CNN. "Because I knew that could have been me."

Four living liver donors have died in the United States since 1999, according to the United Network for Organ Sharing, including Arnold and another patient who died earlier this year at the Lahey Clinic in Massachusetts. About 38% of liver donors have some kind of complication, according to the Adult-to-Adult Living Donor Liver Transplantation Cohort Study, a project to disseminate information about living donor liver transplants. Some experts think some of these deaths and complications could have been prevented if there was a change the way hospitals exchanged information about complications with organ donations.

"My body was just shutting down"

Like Ryan Arnold, Laura was young and feeling great when she gave away part of her liver. Both had surgery at the University of Colorado Medical Center, one of the world's most respected transplant centers.

In Laura's case, it was her mother, Jane Fritz, who had a debilitating liver disease and needed a transplant. Laura was 26 and her mother 59 when Laura had 60% of her liver surgically removed and given to her mother on September 30, 2009, less than a year before Ryan Arnold had the same surgery.

At first, everything seemed fine. The surgery went well, and both were discharged from the hospital without complications.

When Laura Fritz got home, everything changed.

"I realized I wasn't doing as well as I was supposed to be doing," she remembered. "I wasn't eating anything. I wasn't keeping anything down, fluids or anything."

Jane Fritz took her daughter back to the hospital, where doctors admitted her and diagnosed a small bowel obstruction, which meant a section of her intestines was blocked. After three days of treatment in the hospital, she was able to eat and move her bowels, and she was discharged.

Back at her home in Denver once more, Laura again started to feel ill, and three days later, she went back to the hospital.

"I was really pale. My lips were turning blue, and they couldn't find a blood pressure on me," she said. "My body was just shutting down. ... No one at the hospital said I was going into organ failure, but my mom's a nurse, and she put two and two together."

Laura was rushed to surgery. Afterward, the doctors told her parents that Laura had a hole in her intestines, a medical emergency because if the hole isn't repaired in time, bacteria inside the intestines leak out and cause deadly infections.

Laura fought for her life in the intensive care unit, and she spent the next 36 days in the hospital.

"There was a time when the doctors came to [my mother] and my father and said if this infection doesn't clear up within 24 hours, I'm not going to make it," she said. "They went to the chapel and prayed."

Laura recovered completely, and she hopes doctors learn from her complication and from Ryan Arnold's death, which happened about 10 months apart.

She added that she'd donate to her mother again in a heartbeat.

"It was a terrible, terrible situation, but what came out of it is my mom is alive, and I'm alive," she said.

Surgeon: "A devastating feeling"

Laura Fritz and Ryan Arnold had the same surgeon: Dr. Igal Kam, chief of the division of transplant surgery at the University of Colorado.

In the past 22 years, the University of Colorado Hospital has performed 142 living liver surgeries, and Kam says he's been the surgeon for nearly all of them. Out of those 142 surgeries, there's been one death -- Ryan Arnold's -- and three major complications, including Laura's.

He says Arnold's death and Fritz's complications are unrelated. Ryan Arnold was fine after surgery, and he was up and walking around just two days later.

"I checked on him personally at 8 o'clock on the third evening after his surgery, and everyone said he was doing great," Kam said.

Then at midnight, he said, he received a call saying Arnold needed to be resuscitated.

"By that time, he was already dead," Kam said. "He went to sleep and never woke up."

After Arnold's death, the University of Colorado issued a statement saying it was conducting a "thorough review" of his case.

Kam said Laura Fritz's complication was ultimately caused by a pre-existing condition that was impossible to detect before the surgery.

In her case, he said, one loop of her intestines "kinked on itself" and stuck to another loop of her intestines, and this adhesion caused swelling, which caused the hole in her intestines.

Sometimes in abdominal surgery, a surgical instrument can poke a hole in the intestines, but that wasn't the case with Fritz, Kam said. He said the hole was in a section of the intestines far from her surgical site. Plus, he said, the pathologist who looked at the adhesion after it was removed reported that it was chronic and existed before the surgery.

Kam says he gets a "devastating feeling" whenever there's a major complication or death of a living liver donor.

"I don't wish anybody, good friends or enemies, to have this type of feeling," he said. "It's hard to live with."

He said Arnold's death hit him especially hard.

"I've lived with it every day, every minute of my life, since then," he said.

After Arnold's death, the University of Colorado stopped doing liver transplants that involved living donors, but it expects to start up again in the next few weeks with new procedures for monitoring patients after the surgery, Kam said. Velvet Kelm, a spokeswoman for Ryan Arnold's widow, Shannon Arnold, declined comment when asked if they planned legal action.

A call for a living donor death task force

When a donor has a complication, the hospital is expected to do its own investigation and report to the United Network for Organ Sharing, or UNOS, which oversees transplants for the federal government.

"This isn't acceptable," says Dr. Lloyd Ratner, director of renal and pancreatic transplant surgery at Columbia University.

"Never in a million years would we say to BP, 'Oh, you had an oil spill in the Gulf, why don't you do your own investigation and just tell us about it?' " he said. "That would be just crazy. It's not acceptable in other industries to do that, so why is it acceptable in ours?"

In an article published recently in the American Journal of Transplantation, Ratner said that a national living donor death task force should be established to systematically review organ donor deaths, and that these findings should be disseminated to all hospitals that perform live donor transplants.

He says that right now, the lessons a hospital learns from the death of a donor are not disseminated to other hospitals, and that surgeons tend to learn from one another based on "serendipity."

For example, in 2006, he and colleagues from another hospital were having lunch when they started discussing patients who'd died, or had severe complications, when a certain type of surgical clip was used. He said the clip would fall off the stump of a renal artery after the kidney had been removed from the donor.

They  published their observations in a medical journal, and the major manufacturer of the clips alerted hospitals to stop using them for kidney donors.

"We found a suboptimal surgical technique, but it never would have happened if we hadn't just gotten interested in this and started to talk about it," he said. "There should be a system for reporting these problems and learning from each other."

UNOS told CNN that its Operations and Safety Committee recently advocated a process similar to the one that Ratner suggested in his article, but it might not be adopted.

"While promising, we must weigh procedural and legal issues in determining whether and how to develop such a system," according to a statement from UNOS.

Sharing data with the public

Transplant centers are required to inform UNOS when they've had a death or major complication, but UNOS doesn't share that information with the public, which means patients can't look up a hospital's transplant safety record.

Donna Luebke, a registered nurse who donated a kidney to her sister and once served on the board of UNOS, says the organization ought to share that information with the public.

Donors can make a fully informed decision only "if all the data is out there, and we don't have that data," she said.

In a statement to CNN, UNOS emphasized that serious complications and deaths are rare, and that "through data collection and the input of many who have personal experience with living donation, we will do our utmost to minimize risks for future potential donors."

CNN's John Bonifield contributed to this report.

@highlight

Ryan Arnold died after donating a piece of his liver to his brother, Chad

@highlight

He and Laura Fritz, who also donated part of a liver, had the same surgeon

@highlight

Arnold's death and Fritz's complications are unrelated, surgeon says

@highlight

Some fault system under which hospitals do own investigations of donor complications