North Korea, China's longtime ally, has vexed Beijing for years with its rocket launches, nuclear tests, kidnapping of Chinese fishermen and other erratic behavior. Yet, Beijing has run interference at the United Nations to temper punishments against Pyongyang, and has even helped Pyongyang circumvent sanctions.

In the wake of North Korea's third nuclear test in February, its reckless threats to strike the United States, and now -- its decision to scrap the armistice that ended the Korean War -- has China finally had enough?

Beijing signed on to sanctions that, in the words of Susan Rice, U.S. ambassador to the United Nations, will "bite and bite hard." China's ambassador to the U.N. declared Beijing's commitment to "safeguarding peace and stability on the Korean peninsula."

One shouldn't exaggerate the significance of these recent developments. After all, in the U.N. negotiations over sanctions -- this time as before -- the Chinese have consistently played the role of watering down the degree of punishment imposed against Pyongyang. And in the past Chinese firms have helped North Koreans evade sanctions. It remains to be seen whether Beijing intends to enforce the new measures.

As rhetoric heats up, North Koreans ready to 'rain bullets on the enemy'

Beijing also has good reasons that continue to make it reluctant to crack down on its unruly ally. The Chinese perceive that they have a powerful interest in maintaining the status quo. As hard as it is to live with North Korea, Beijing fears it may be harder to live without it.

The Chinese worry that coming down hard on Pyongyang, by cutting off their vital oil or food exports, could trigger a collapse of the North Korean government or other political instability on the peninsula. Beijing's nightmares include a loose nukes problem and a humanitarian disaster.

Beijing also has fears about the effects of a North Korean collapse on the strategic balance in East Asia. If North Korea collapsed and the two Koreas unified, China might find astride its border a unified, U.S.-aligned Korea hosting American troops.

Chinese analysts also commonly argue that North Korea serves as an important distraction for the U.S. military, which might otherwise train its focus on defending Taiwan.

Thus, despite the nuisance that North Korea regularly makes of itself, for all these reasons, it would be sorely missed by Beijing.

North Korea declares 1953 armistice invalid

But the days of "lips and teeth" (Mao Zedong's's famous statement about the closeness of Sino-North Korean relations) are clearly over. Chinese scholars and analysts increasingly express open frustration with Pyongyang's behavior. In the wake of North Korean piracy against Chinese fishermen, Chinese microblogs overflowed with outrage.

Most recently, in a meeting of an advisory group to the Chinese government -- the Chinese People's Political Consultative Conference -- participants openly debated the question: whether to "keep or dump" North Korea?

The two countries have evolved from vitriolic BFFs to East Asia's odd couple. When China and North Korea formed their alliance, the countries were both poor, weak, resentful, isolated, and the target of cold-war containment by the United States and its allies.

While North Korea is still that country, China is emphatically not. China's remarkable four decades of economic reform and growth have catapulted it to wealth and power -- China is a global power, with global interests. China has a deep stake in maintaining stability in order to sustain its pathway to prosperity.

China's relationship with the United States can be tense. But quite unlike in the days of Mao, the two countries are vital trade partners that share a vast array of ties and often overlapping interests.

A look at North Korea's escalating rhetoric

Beijing also values its relationship with South Korea, which Pyongyang's provocations seriously jeopardize. Booming trade flows, warm political relations, and deeply intertwined ties have created a relationship that makes it increasingly awkward for Beijing to look away when North Korea murders South Koreans as it did in 2010 (with the sinking of the South Korean vessel Cheonan that killed 46 sailors, and when it shelled Yonpyeong Island).

China is a great power that is increasingly concerned with its standing in the world, and with cultivating "soft power." Beijing's support for North Korea's ruthless, bloody regime -- that attacks its neighbors, and brutalizes its people at home -- only draws attention to China's own human rights failings, and undermines China's soft power.

Because the specter of North Korea's collapse could potentially destabilize the Korea peninsula, Beijing may continue to shield Pyongyang. But the two countries' increasingly divergent interests suggest that China's dissatisfaction with North Korea is only likely to grow.

@highlight

North Korean officials said the Korean Armistice Agreement is to be scrapped

@highlight

Jennifer Lind: Even Beijing signed on to sanctions against its longtime ally

@highlight

Has China finally had enough? But she says China may still prefer the status quo

@highlight

Lind: If North Korea collapses, it could potentially destabilize the region, which China fears