Calls mounted Thursday for a criminal investigation into sometimes fatal delays in care at Veterans Affairs hospitals amid revelations that patient wait times were tied to employee bonuses in at least one hospital.

The demands by lawmakers and veterans groups come as President Barack Obama appears to be asking Veterans Affairs Secretary Eric Shinseki to set the stage for his own departure, perhaps as soon as Friday.

Obama is waiting for an internal audit he ordered from Shinseki on the growing scandal before deciding whom to hold accountable, White House spokesman Jay Carney told reporters.

Shinseki's preliminary report is due this week, Carney told reporters amid more calls from across the political spectrum for the secretary to step down or be dismissed over problems known for years but apparently never addressed.

Carney stopped short of saying Obama is standing by the embattled secretary, pointing instead to the President's recent statement that Shinseki would likely not be interested in continuing to serve if he believed he let veterans down.

But that was not enough for a number of lawmakers in Congress after Wednesday's release of a preliminary VA inspector general's report that described a "systemic" practice of manipulating appointments and wait lists at the Veterans Affairs medical center in Phoenix.

The VA inspector general reported that at least 1,700 military veterans waiting to see a doctor were never scheduled for an appointment or were placed on a waiting list at the Phoenix VA, raising the question of just how many more may have been "forgotten or lost" in the system.

Rep. Steve Israel of New York, the head of the Democratic Congressional Campaign Committee, is among those taking the outrage one step further, calling for a criminal investigation by the Department of Justice.

"I want to know if anybody at the VA doctored papers, engaged in a cover up, withheld care from veterans," he told CNN, adding the demand in the form of a letter was hand delivered Thursday to Attorney General Eric Holder's office.

"They need to be investigated They need to be prosecuted. They need to be fired."

Republican Rep. Jeff Miller of Florida, chairman of the House Committee on Veterans Affairs, made a similar demand of the Justice Department.

"I think the facts are too many now for them to look the other way," he said.

The U.S. Department of Justice is reviewing the VA inspector general's report but has not formally opened an investigation, Peter Carr, an agency spokesman, has told CNN.

The VA is under fire over allegations of alarming shortcomings at its medical facilities. The controversy, as CNN first reported, involves delayed care with potentially fatal consequences in possibly dozens of cases.

CNN has reported that in Phoenix, the VA used fraudulent record-keeping -- including an alleged secret list -- that covered up excessive waiting periods for veterans, some of whom died in the process.

The VA's troubled history

The VA has acknowledged 23 deaths nationwide due to delayed care. The VA's acting inspector general, Richard Griffin, told a Senate committee in recent weeks that his investigation so far had found a possible 17 deaths of veterans waiting for care in Phoenix. But he added that there was no evidence excessive waiting was the reason.

Among the findings at the Phoenix VA, investigators determined that one consequence of manipulating appointments for the veterans was understating patient wait times, a factor considered in VA employee bonuses and raises, the report said.

Miller believes the actions may be in part about money for "VA bureaucrats."

"Why else would somebody work so hard to manipulate the lists?" Miller said.

The issue of patient wait times is not an overall performance factor ordered by the VA, Dr. Thomas Lynch, the VA's assistant deputy undersecretary for clinical operations, told Miller's committee.

The factors tied to bonuses and raises are decided by each VA network, Lynch said.

The VA inspector general's report did not offer any further details about financial incentives.

Carney repeated Thursday that Obama found the report deeply troubling, and a White House official speaking on the condition of anonymity told CNN that Shinseki was on "thin ice" with the President.

Shinseki finds himself in a firestorm

In an opinion piece published Thursday in USA Today, Shinseki wrote that he found the report "reprehensible" and that he's "not waiting to set things straight."

"I immediately directed the Veterans Health Administration ... to contact each of the 1,700 veterans in Phoenix waiting for primary care appointments in order to bring them the care they need and deserve," Shinseki wrote.

Shinseki reiterated other steps he's taken, including putting the leadership at the Phoenix facility on leave May 1 and ordering a "nationwide audit of all other major VA health care facilities to ensure understanding of, and compliance with, our appointment policy."

"We are doing all we can to accelerate access to care throughout our system and in communities where veterans reside," Shinseki wrote. "I've challenged our leadership to ensure we are doing everything possible to schedule veterans for their appointments. We, at the Department of Veterans Affairs, are redoubling our efforts, with commitment and compassion, to restore integrity to our processes to earn veterans' trust."

Even so, it wasn't enough for an increasing number of Washington politicians who called for Shinseki to go. A number of Democratic senators -- many of them facing rough re-election battles later this year -- have joined a growing bipartisan chorus urging the secretary to resign or the President to fire him.

"The inspector general's preliminary report makes it clear that the systemic problems at the U.S. Department of Veterans Affairs are so entrenched that they require new leadership to be fixed," said Mark Udall of Colorado, the first Senate Democrat to call for a change at the top.

List of senators calling for Shinseki resignation

Still, others question whether removing Shinseki would address the core problems at the VA or simply serve as a distraction for now.

"Is him resigning going to get us to the bottom of the problem? Is it going to help us find out what's really going on?," asked House Speaker John Boehner, the chamber's top Republican, adding that his answer so far was "no."

House Democratic Leader Nancy Pelosi also warned against targeting only Shinseki, telling reporters that "we have to be careful about thinking that just because you remove the top person, means that you've changed the systemic problem that existed in the organization 10 years before Shinseki, or five years at least before Shinseki became the secretary."

Pelosi also joined the push for a criminal investigation of the VA problems, saying "certainly what was done was dishonest."

VA pledges faster appointments

Document: VA audit report released

@highlight

Bipartisan push under way for a Justice Department investigation

@highlight

Reps. Miller and Israel have written letters to Attorney General Eric Holder

@highlight

White House: President Obama awaits Eric Shinseki's internal report on problems

@highlight

Secretary Shinseki: "We are doing all we can to accelerate access to care"