(Health.com) -- Women run a lower risk of having babies with certain birth defects if they eat a diet rich in fruits, vegetables, and whole grains during their childbearing years, a new study suggests.

Women who followed healthy Mediterranean-style diets in the year before pregnancy were up to one-half as likely as those who ate diets high in meat, fat, and sugar to have a baby with anencephaly, a neural-tube defect that blocks the development of the brain and tends to result in miscarriage.

Compared with fat- and sugar-heavy diets, healthier diets -- which included plenty of folate, iron, and calcium -- were also associated with up to a one-third lower risk of cleft lip, a one-quarter lower risk of cleft palate, and a one-fifth lower risk of spina bifida, another neural-tube defect.

"Diet quality matters, and it was protective," says Suzan L. Carmichael, Ph.D., the lead author of the study and an associate professor of pediatrics at the Stanford School of Medicine, in Palo Alto, California.

Health.com: Feed the Belly: Recipes for a healthy pregnancy

The defects covered in the study are very rare overall, occurring in less than 0.1% of all births. They have become less common since the 1990s, when government health officials led a campaign to increase folic-acid intake among pregnant women through supplements and fortified grain products.

Deficiencies in folic acid -- the synthetic form of folate, a B vitamin -- have been linked to both neural-tube defects and cleft lip and palate. Carmichael and her colleagues took into account whether the women in the study were taking folic acid, which suggests that a healthy diet provides protection against birth defects over and above that provided by folic acid.

Women of childbearing age should, however, still take folic-acid supplements, says Gail Harrison, Ph.D., a professor of community health services at the UCLA School of Public Health, in Los Angeles.

"Folic acid has made a difference," says Harrison, who was not involved in the study. "In countries that have used fortification levels higher than the U.S., it has made an even bigger impact."

Health.com: How to soothe heartburn during pregnancy

Most research on diet and birth defects has focused on single nutrients, such as vitamins A and B12 (in addition to folate). Carmichael and her colleagues took a different approach by looking at overall diet quality -- a method that has become common in cancer and heart-disease research.

The government-funded study, which appears this week in the Archives of Pediatrics & Adolescent Medicine, compared the diets of 3,824 mothers whose children experienced birth defects with those of 6,807 mothers of healthy children.

The researchers collected detailed questionnaires about the women's diets in the year before they became pregnant, and used that data to score their diet quality on two indexes, one modeled on the U.S. Department of Agriculture dietary guidelines and another based on the Mediterranean diet. Both indexes considered fruits, vegetables, whole grains, and "good" fats to be healthy, and saturated fats and sweets to be unhealthy.

Health.com: Good fats, bad fats: how to choose

Across the board, women with the healthiest diets were far less likely to have had children with birth defects than the women with the poorest-quality diets. High scores on both indexes were associated with a reduced risk of defects, although the association was stronger for the USDA score.

Seventy-eight percent of the women took supplements containing folic acid during early pregnancy, but higher-quality diets were protective regardless of whether the women took folic acid.

The study authors and other experts strongly recommend that pregnant women continue taking folic-acid supplements. But the study does raise the general question of whether "eating the right foods" can provide health benefits that supplements do not, says David R. Jacobs Jr., Ph.D., a professor of public health at the University of Minnesota, in Minneapolis.

Health.com: Diabetes? 7 tips for a healthy pregnancy

"We have evolved to eat food. We have not evolved to eat supplements," says Jacobs, who cowrote an editorial accompanying the study. "If you would like to be healthy, the better way to do that is by getting what you need from food rather than isolated compounds."

Copyright Health Magazine 2011

@highlight

Women who eat fruits, vegetables and whole grains run a lower risk of having babies with certain birth defects

@highlight

Mediterranean-style diets lower a woman's risk of having a baby with a neural-tube defect

@highlight

Deficiencies in folic acid have been linked to both neural-tube defects and cleft lip and palate