CANNES, France (CNN) -- The line-up at this year's Cannes Film Festival is a cineaste's dream.

There are high expectations for Jane Campion's "Bright Star," a drama about 19th-century poet John Keats.

Packed with big name auteurs (Pedro Almodovar, Ken Loach, Lars Von Trier, Quentin Tarantino, and Park Chan-wook among others) and intriguing propositions, the competition for the coveted Palme d'Or is sure to be fierce.

While there may be a dearth of surprises in the line-up, the world's shiniest cinema event has certainly proved that in these tough economic times it can still cherry pick the best of what's out there.

But what among the dizzying array of celluloid magic has caught the eye of industry insiders and professionals?

The Screening Room asked a blogger, a critic and a film buyer attending the festival what films they will be watching out for at this year's event.

THE CRITIC

Name: Jonathan Romney

Credentials: Film critic for British newspaper The Independent on Sunday

Cannes experience: 17 years

It's heavily loaded with big names and the strange thing is that this year there are very few surprises in there.

Last year there was Italian Matteo Garrone's "Gomorrah" (which won the Grand Prize) and Israeli Ari Folman's animation "Waltz with Bashir," films that nobody knew anything about in competition.

The one that people are either really looking forward to or dreading is "Enter the Void," Gaspar Noe's new film. Noe gave everybody a rough time in 2002 with "Irreversible," a violent, confrontational rape-revenge drama.

The thing about him is once he's got you in the cinema you're not going to get out. This one has been made in Japan and is the story of someone looking at the events leading up to their own death.

In particular, I'll be looking at Jane Campion's film, "Bright Star," starring Abbie Cornish and Ben Whishaw. It's based on the three-year romance between 19th-century poet Keats and Fanny Brawne, which was cut short by his death at the age of 25.

She hasn't delivered for quite a while. Her last few films were at best patchy and at worst disappointing. She's shown skill at her version of costume dramas in the past with films like "The Piano," which won the Palme d'Or in 1994.

Five-times Palme d'Or nominated German[-born] Michael Haneke's "The White Ribbon" is another film people are talking about. It is set in 1914 and is apparently about the emergence of Nazism.

I imagine it will be fairly austere and confrontational. I also imagine it will be very good. He has never made a film that doesn't really engage or impress on some level.

There's also Danish Cannes stalwart Lars von Trier's film "Antichrist," starring Willem Dafoe and Charlotte Gainsbourg about a grieving couple who retreat to a small cabin in the forest to mourn following the death of their child.

There has been some controversy over why he is making what looks like a conventional Hollywood horror. It almost certainly won't be that. I suspect it will be philosophical.

A lot of these filmmakers are not entertainers. They like to give their audiences a hard time. One of the keynotes of this year is going to be confrontation.

THE BLOGGER

Name: Karina Longworth

Credentials: Co-founder of Cinematical film blog and editor of Spout blog

Cannes experience: two years

In the Directors' Fortnight section I'm really excited about "Go Get Some Rosemary," which is directed by these two young American brothers, Joshua and Benny Safdie.

Their style is reminiscent of the French New Wave -- but with this sense of humor and willingness to experiment in real locations, and use the people that are walking by as accidental characters.

They're sometimes lumped together with the young American "Mumblecore" scene but their films are really different. They've got a really interesting sense of style.

Another film I'm really excited about is a documentary by French Oscar-winner Michel Gondry. The English title is "The Thorn in the Heart," and it is about his aunt. Because it is in the Special Screening section and it's not in competition, it won't get the full red carpet treatment. But while the international press is looking the other way, if it's really good it could stand out from the crowd.

Of course I'm excited to see a Quentin Tarantino movie, but my experience of being at Cannes is that going to see one of those giant films ends up taking all day long. I try to go and see films that I might not ever be able to see again.

The film I'm most excited about seeing is Lars von Trier's "Antichrist." It looks sort of "Rosemary's Baby"-ish and it is a return to working in English with American-known actors.

I'm also looking forward to Jane Campion's new film.

THE BUYER

Name: Robert Walak

Credentials: Senior vice-president, Acquisitions Worldwide, Momentum Pictures

Cannes experience: seven years

Sometimes a film is going to "pop" where you least expect it, and it's often not the film with established directors.

It's quite difficult to find those -- the ones that create industry buzz, the ones that the critics suddenly go for, but also when you finally do get around to releasing it in your territory that the film actually crosses over and becomes an art house hit.

I've already read the scripts for a lot of the films in competition -- you really want to get all of the information and do your homework.

This year there's buzz about a film by an Iranian director, Bahman Qobadi, called "No One Knows Persian Cats," which is being sold by innovative production company Wild Bunch. Qobadi has served as a juror on the Cannes jury before and took home a Golden Camera award in 2000 for "A Time for Drunken Horses," a drama about young Iranian Kurds.

I'm also looking forward to "Antichrist." It's going to be interesting to see what von Triers' take on a horror movie is going to be. The script was off the wall and I want to see how he brings it all together.

The Ken Loach film "Looking for Eric," which stars ex-footballer Eric Cantona, is meant to be fantastic. It's already sold in the UK but the script was wonderful and I think it's going to be a very distinctive, different film for Loach. Feel-good is a very overused term, but people are going to be looking for more feel-good films now anyway.

@highlight

From Quentin Tarantino to Ken Loach, Cannes is packed with big names

@highlight

Critic Jonathan Romney's looking forward to Jane Campion's "Bright Star"

@highlight

Blogger Karina Longworth can't wait for Lars von Trier's "Antichrist"

@highlight

Buyer Robert Walak says people will be looking for "more feel-good films"