Being a father has had an unexpected result for best-selling author Khaled Hosseini -- it's boosted his fan base.

Hosseini explains with a laugh that his 12-year-old son posted a gushing review of his latest book, "And the Mountains Echoed," on Goodreads.

His son is at an age when many children experience what Hosseini calls an awakening into adulthood: They start to realize their parents are flawed.

While there is no inkling of that sentiment in his son's review, Hosseini remembers that moment in his own life. Coming of age is a common theme in his books.

"And the Mountains Echoed" tells the story of two loving siblings ripped apart by their family's hardship. That rupture affects generations in a story that stretches across continents, and through decades.

Afghanistan provides the inspiration and backdrop for "And the Mountains Echoed" as well as Hosseini's previous novels, "The Kite Runner" and "A Thousand Splendid Suns." His books have sold more than 38 million copies around the world.

The author credits his children with making him a powerful writer. Hosseini says when he became a parent, he could empathize with the agonizing decisions his characters face in his novels.

"There is no question that it has transformed and informed my way of writing," he says.

Hosseini yearns to take his son, Haris, and his daughter, Farah, 10, to Afghanistan. "That would be my dream," he says.

Hosseini lived in Kabul until he was 11. Since then, the 48-year-old author has traveled to his native country as a goodwill envoy for the U.N. Refugee Agency.

He has not yet taken his children to Afghanistan because he says he worries about their safety. But he plans to bring them to Kabul one day: "I would love to go back with them and show them around the city, show them where I was raised, where I went to school, so they can see for themselves this place that I keep writing about," he says.

In addition to writing, Hosseini dedicates his time to providing shelter for returning refugee families through the Khaled Hosseini Foundation, which funds learning centers for women and helps to protect children involved in the rug-making industry.

"I see the mission of my foundation to reach out and help people who are exactly like the characters in my books," he says.

His travels to Afghanistan not only inform his philanthropic efforts -- they also shape his writing. But he says he doesn't intend to travel there to find material for his books.

"Nevertheless, it seeps into my consciousness," he says. "And when I sit down to write stories what I've seen in Afghanistan does inform me."

He remembers meeting a pair of sisters in the fall of 2009. They lived in an isolated village, about an hour outside Kabul.  The older sister, who was about 6 years old, treated her little sister like a daughter. "They were strikingly beautiful and extremely sweet-natured," he says.  "And they were clinging to each other."

As he left, he gave the older sister an apple. She quickly turned around and gave it to her little sister. "It touched me deeply, and I was very moved by seeing that," he says.

That bond between those two sisters became the inspiration for the young siblings at the heart of "And the Mountains Echoed."

Children are often the protagonists in Hosseini's books. He says he is fascinated with the time when a young person has one foot in childhood and another in adulthood: "That age of 12 or so, when the foundations of the world as the child has thus far known it are beginning to crack, and the world is revealing itself to be more nuanced, more complicated, more messy, more troubling (than they imagined)."

Many of his characters go through this metamorphosis. He draws on his childhood to make that journey compelling.

"All of us grow up with these kind of archetypal notions of our parents and of the people we admire," he says. "And as we grow older, we recognize them to be more fallible than we thought."

He recalls his relationship with his father changing when he was a young man. "Of course, I grew up thinking my Dad was the strongest man in the world. He was the smartest man in the world," he says of his father, who died in December 2009.

"He was very, very, very dear to me," Hosseini says. "But I do remember getting older and beginning to disagree with my Dad, on important issues: politics and other things."

Hosseini and his family came to the United States as asylum seekers. He considers himself lucky. On World Refugee Day last week, he helped to spread awareness about the more than 40 million people who are displaced.

"Refugees are people, just like us, just like anybody else. They're not just statistics," he says. "We can all contribute to those essential programs that bring resources and services to some of the world's most vulnerable people."

Hosseini's work reinforces his message. For many readers, "And the Mountains Echoed" will lend faces and emotions to refugees who live in danger of being overlooked.

@highlight

"And the Mountains Echoed" is Khaled Hosseini's first new book in six years

@highlight

"The Kite Runner" and "A Thousand Splendid Suns" have sold more than 38 million copies

@highlight

Afghanistan provides inspiration and backdrop for Hosseini's novels

@highlight

Writer says he yearns to take his son and daughter to Afghanistan