NEW YORK (CNN) -- Frank DiPascali, formerly the finance chief at Bernard Madoff's investment advisory business, pleaded guilty in federal court in Manhattan on Tuesday to 10 charges including securities fraud and international money laundering.

Frank DiPascali, center in this courtroom sketch, said he knew for about 20 years he was engaged in wrongdoing.

The charges carry a maximum sentence of 125 years. With his guilty plea, DiPascali waived his right to a trial.

As Tuesday's hearing commenced, U.S. District Judge Richard J. Sullivan explained that for him to accept DiPascali's guilty plea, DiPascali would have to sufficiently convince him that he was, in fact, guilty. That set the stage for a dramatic statement from DiPascali about his history at Madoff's firm, his personal relationship with Madoff, and the mechanics of a multibillion-dollar Ponzi scheme for which Madoff was convicted in June.

While DiPascali's guilty plea and the judge's acceptance of it were expected, both the defense and the prosecution were surprised by the judge's decision to reject DiPascali's bail agreement -- and to have him escorted from the courtroom in handcuffs.

The defense and even the prosecution pleaded with the judge not to order DiPascali into custody. Prosecutors told the judge they believed remanding DiPascali would impede the "efficiency" of their Madoff investigation.

Marc Mukasey, the lead defense attorney, stood multiple times to dispute the decision, variously suggesting to the judge that DiPascali instead be put under house detention, that he wear an electronic monitoring device, and that the decision on his bail agreement be postponed for 48 to 72 hours. He added that DiPascali's family was "completely unprepared" for this outcome.

While Sullivan patiently heard out Mukasey's many counterproposals, he refused to back down from his decision, asserting that DiPascali was too serious a flight risk given the "astronomical" maximum sentence he may receive.

The judge also said that he could not "overlook the conduct [DiPascali] admitted to" despite DiPascali's avowed determination to do the right thing henceforth.

Though DiPascali remained outwardly calm for much of Tuesday's proceedings, the judge's decision not to grant him bail appeared to stun him. He seemed in a daze as it became clear he would leave the courtroom in handcuffs, cupping his head in his hands and rubbing his temples.

Earlier in his testimony, DiPascali recounted how he joined Madoff's company as a newly minted high-school grad in 1975. He held numerous jobs during his 33-year tenure -- options trader and research analyst among them -- but above all he was a "guy who did whatever he was told to do around the office."

Working side by side with Madoff for decades, DiPascali developed a tight bond with his employer. "Bernie was a mentor to me and more," he said, adding that he was "loyal to a terrible, terrible fault."

His sense of loyalty led him to falsify documents for his boss for years on end, he said. Using a financial program, he looked up historical prices of stocks and then drafted customer statements showing bogus stock transactions. He calculated theoretical commissions that the business should have received from the trades that it did not actually make, and then wired money from account to account to make those commissions appear, he said.

And as a principal point of contact for investors in Madoff's investment advisory business, DiPascali said, he also regularly fielded calls from investors curious about how their money was being managed, knowing that the trades he told them about were entirely fictitious.

He said he had been aware that what he was doing was wrong since the "late '80s, early '90s."

"I don't know how I went from an 18-year-old kid who happened to have a job [to] standing in front of you today," he said.

DiPascali repeatedly stated that he perpetrated the massive fraud in collusion "with others," though he specified neither who those other were nor how many they numbered.

DiPascali said he rationalized to himself that Madoff's victims would have a soft landing if the Ponzi scheme ever came crumbling down. He said he thought Madoff had assets he could liquefy in a worst-case scenario.

"I know my apology means nothing," DiPascali said. His voice quavered as he expressed remorse for his part in swindling charities that had invested with Madoff.

Miriam Siegman, a Madoff victim who said she lost 40 years' worth of personal savings in the scheme and was now on the brink of homelessness, asked the judge to reject DiPascali's guilty plea. She insisted that the "full truth" would come out only if DiPascali stood trial.

Both legal teams said they expected sentencing to happen in May. Each side will have the opportunity to submit documents and testimonies in support of or against DiPascali before Sullivan hands down the sentence.

DiPascali is the second person involved in the Madoff scheme to land behind bars as a result of the fraud. In June, Madoff pleaded guilty to 11 counts and was sentenced to 150 years in prison for masterminding the scheme.

Prosecutors have said it was the largest investor fraud committed by a single person, totaling billions in losses to investors.

@highlight

NEW: Judge denies bail for Frank DiPascali, despite deal he had with prosecutors

@highlight

DiPascali, Bernie Madoff's fiance chief, pleads guilty to securities fraud

@highlight

Madoff was sentenced to prison this year for orchestrating Ponzi scheme

@highlight

DiPascali admits to creating false statements with historical stock prices