WASHINGTON (CNN) -- Thousands of Americans learn a painful lesson in banking every day: Waiting for a check to clear and then getting access to the money from a bank doesn't mean the check has really cleared.

When Harry Smith, of New York, responded to an ad on Craigslist for an office assistant, a woman e-mailed him and said her British company was starting to sell its product in the United States, but was having trouble with dealing with checks from customers.

Smith said the woman needed someone to collect the checks and then send the money to her company. It was a commission job -- deposit the checks, wait for the funds to become available at his bank, then send cash to her, minus 10 percent for Smith.

After Smith checked out what seemed like a legitimate company on the Internet, he started receiving checks totaling several thousand dollars and deposited them in his account. When his bank released the funds, he sent cash to an address outside the country.

But after a few weeks, Smith's bank notified him the checks he had deposited had actually been returned, and that he owed the bank all the money he had withdrawn.

Smith has not heard from his business partner since and doesn't even know who she really is. He still owes his bank money, is unemployed and doesn't know what action the bank might take against him.

What happened to Smith is one example of a wide range of fake check scams carried out in the United States every year. A Consumer Federation of America survey estimates that 1.3 million Americans have been the victim of a fake check scam, with an average loss of $3,000 to $4,000 per consumer.

The most common scams are fake sweepstakes or lotteries, phony government sponsored grants and fraudulent work-at-home opportunities, the survey says. The scams follow the pattern of the so-called Nigerian Internet scams, which often involve accepting transfers of money that become obviously phony when it's too late.

On Wednesday, the Consumer Federation launched a campaign to combat check scams. Many consumers don't know they are responsible if they deposit a bad check, said Susan Grant, the federation's director of consumer protection.

Grant said its survey shows an alarming level of misinformation among consumers, and the problem includes money orders and cashier's checks.

Fifty-nine percent of respondents in the survey incorrectly thought that, when you deposit a check or money order, your bank confirms it is good before allowing you to withdraw the money. That number goes up to 70 percent among adults age 18 to 24. More than 40 percent of those surveyed also incorrectly think that the person who gave you the bad check must pay back the bank.

American consumers are mostly unfamiliar with the time needed to process checks and money orders, say consumer watchdogs. Government banking rules mandate that money from deposits become available within one to five days.

However, it can take weeks, especially with foreign checks or money orders, for the originating institutions to get the checks or money orders back and determine that they are counterfeit. When that happens, scam victims are in for a rude surprise.

Publishers Clearing House, which runs legitimate sweepstakes, warns consumers that scammers might claim that you are being given an advance on a prize, but that some fee, tax or other payment needs to be sent before you get the jackpot. That's the heart of the scam, and it's something that a real sweepstakes will never ask for, say legitimate companies.

Consumer protection groups, state attorney generals, the Federal Trade Commission and government bank regulators warn consumers that the number of fake checks, money orders and even cashier's checks being used to scam victims is increasing.

The bottom line: "There's no legitimate reason why anyone who wants to give you a check or money order for something would ever ask you to send money anywhere in return. It's as simple as that," said Grant of the Consumer Federation of America.

Smith said he suspected that his part-time job was not on the up-and-up, but didn't know about fake check scams. He's not sure how he will pay back his bank, but hopes his story will help keep other people from becoming victims.

The Consumer Federation of America's tips against fake check scams:

-- Never agree to pay to claim a prize.

-- Never agree to pay for grants from the government or foundations.

-- Never agree to cash checks and send the money somewhere as part of a job working from home.

-- Never agree to wire money to anyone you have not met in person and known for a long time.

-- If it seems suspicious, consult your state or local consumer protection agency, the Federal Trade Commission, the U.S. Postal Inspection Service or another trusted source.

-- Remember that there is no legitimate reason why anyone who wants to give you a check or money order would ask you to send money anywhere in return.

@highlight

More than 1 million Americans have been victim of fake check scams, study finds

@highlight

Experts warn not to accept checks from someone seeking money in return

@highlight

Survey: Most American consumers unfamiliar with time needed to process checks