President Barack Obama says he's postponing executive action on immigration until after November's elections because it would be "more sustainable" then.

Speaking to NBC's Chuck Todd, Obama said the immigration debate was affected by concerns over the large number of unaccompanied children from Latin America flocking to the U.S. border.

"The truth of the matter is that the politics did shift mid-summer because of that problem," he said.

"What I'm saying is that I'm going to act because it's the right thing for the country," Obama said. "But it's going to be more sustainable and more effective if the public understands what the facts are on immigration, what we've done on unaccompanied children and why it's necessary."

The decision to postpone means any political repercussions for trying to reform the immigration system by himself would come after the congressional midterm contests.

Obama still "will do something before the end of the year" on the issue, a White House official told CNN on Saturday.

People on both sides of the immigration debate criticized the postponement, including pro-immigration reform groups that are impatient for action.

Obama has been weighing executive action on immigration -- including moves that could allow a path to legal status for millions of undocumented workers -- after congressional action on the issue stalled. The options could include expanding a deferred deportation program for children of immigrants.

But he decided to delay any move to "take this issue away from those who would use it to score points as a kind of grandstanding issue," the White House official said, speaking on condition of anonymity.

"It's too big of an issue to allow it to be used as a tool for people trying to get votes," the official said. "It isn't about votes for any particular candidate; it's about dealing with this issue in an environment that avoids the grandstanding we've seen in the past."

Another reason to wait: Should the Democrats retain control of the Senate in November, Republicans may feel it necessary "to try a different strategy" and compromise on immigration, the White House official said.

Scott Brown criticizes move

Republican Scott Brown, the former U.S. senator from Massachusetts who is now running for Senate from New Hampshire, ripped the move, saying it was a cynical ploy to protect Obama's fellow Democrats for the elections.

After Obama threatened to take executive action this summer, Republicans pushed back, saying among other things that the President shouldn't remove Congress from the equation. Some GOP lawmakers had suggested holding up a bill funding federal agencies -- thus forcing a government shutdown -- if Obama took unilateral action.

"President Obama's decision to delay executive action to grant amnesty to illegal immigrants until after the election is of little comfort to people like myself who believe in the rule of law," said Brown, who faces Sen. Jeanne Shaheen in November.

House Speaker John Boehner said Saturday there was "never a 'right' time" for the President to take action by himself.

"But the decision to simply delay this deeply controversial and possibly unconstitutional unilateral action until after the election -- instead of abandoning the idea altogether -- smacks of raw politics," the top House Republican said.

The Democratic National Committee blasted the Republican criticism.

"The GOP, the party that has blocked meaningful comprehensive immigration reform at every turn and sued the President for acting, is now outraged that he hasn't taken steps that many in their party deemed impeachable offenses," the committee said in a statement.

But pro-immigration reform groups weren't impressed with the delay.

The website of one group, United We Dream, displayed a message Saturday that Obama "has further cemented his legacy as the #DeporterInChief by delaying the usage of his executive authority to stop the deportation of millions of immigrants."

Cristina Jimenez of United We Dream said: "The President's latest broken promise is another slap to the face of the Latino and immigrant community."

The immigration challenge

An estimated 11 million or more immigrants are living illegally in the United States, many of them for years or even decades. The Obama administration has deported or turned back more than 2 million people.

Last year, the Senate passed a comprehensive bill that would provide a path to legal status for the millions of long-term undocumented immigrants while also strengthening border security.

The legislation would have required immigrants illegally living in the country to register with the government, pay a penalty, learn English and begin the process of applying for legal status. It had the backing of the business community, organized labor and religious organizations.

However, House Republicans refused to consider the Senate bill, which Obama and Democrats claim would pass if put to a vote.

Conservatives say the Senate plan amounts to amnesty for lawbreakers, arguing they should be sent back to their home countries because they drive up the size and cost of government while competing with U.S. citizens for jobs.

Democrats want to remove the legal uncertainty for as many of the undocumented immigrants as possible, allowing them to continue living and working here so they can eventually gain legal status and possibly full citizenship.

What Obama has been considering

Among the actions that Obama was considering as recently as August, according to reform advocates involved in conversations with the White House: an expansion of the Deferred Action for Childhood Arrivals program. It allows immigrants brought to the country illegally as children to stay without fear of deportation and apply for work permits if they meet certain criteria.

So far, some 660,000 young people have taken advantage of the program, according to a report by the nonpartisan Migration Policy Institute. That's 55% of the 1.2 million who were immediately eligible.

Advocates said the administration also has been considering expanding the program to cover the parents of U.S. citizens or all undocumented parents.

The White House could also decide to cover undocumented immigrants in industries such as farming, or it could expand deportation relief based on how long a person has been living and working in the community. While there are many different mechanisms that could be used to provide relief, using the existing program as the template is an attractive alternative because that process has been running since 2012.

Many Republicans have called for immigration reform that includes tighter border controls. Before for August recess, the Republican-controlled House passed a bill that would have prevented Obama from granting new deferrals -- or even renewing previously granted ones -- under the Deferred Action for Childhood Arrivals program.

The Senate has not taken up the bill.

How far can the President go on executive actions?

5 things Obama can and can't do on immigration

@highlight

Obama says he wants public to know "what the facts are on immigration"

@highlight

White House official: Delay is to prevent election grandstanding

@highlight

President Obama has been weighing ways to change immigration system on his own

@highlight

Pro-immigration reform groups express disappointment in delay