Washington (CNN) -- The Obamacare enrollment is 8 million strong and growing.

Polls have shown that voters love popular provisions calling for mandatory coverage for maternity care and extending coverage for young people up to age 26 to stay on their parents' health insurance policies. And recent figures from the Congressional Budget Office show that Obamacare will cost about $5 billion less to implement in 2014 than originally estimated.

Still, some Democrats have run from the President's signature health care reform law so fast, they've practically left skid marks.

The question is: Will they run back?

"I don't think we should apologize for it. I don't think we should be defensive about it. I think there is a strong, good, right story to tell," President Barack Obama said in a rare appearance Thursday at the daily White House news briefing.

Obama: Republicans 'were wrong' about Obamacare

A Democratic strategist and pollster thinks some Democrats will follow that advice.

"I think it's easier to talk about issues like equal pay or an increase in the minimum wage," said Margie Omero, president of Momentum Analysis LLC, a public opinion research firm in Washington, and a Huffington Post contributor. "Obamacare has always been less popular. ... I think we're going to see some of these impressions change. But for some members, they look at one poll number and they think maybe I should speak about something else."

2014 Midterm Elections

Obamacare a tough sell for embattled Democrats

Singing Obamacare's praises is especially tough for politically vulnerable Democrats.

So tough, in fact, that a Democratic super PAC, the House Majority PAC, ran ads for Reps. Joe Garcia of Florida and Ann Kirkpatrick of Arizona highlighting the lawmakers' efforts in bucking the administration on some aspects of Obamacare. The ads credit the lawmakers for "blowing the whistle" on the botched rollout of the HealthCare.gov website.

Republican groups and some wealthy donors are pouring millions of dollars into ad campaigns targeting Garcia, Kirkpatrick and other vulnerable Democrats and trying to tie Obamacare to them.

Democratic super PAC praises Democrat for blasting Obamacare rollout

The ads then go on to credit Garcia and Kirkpatrick for supporting provisions to block insurance companies from denying coverage to patients with preexisting conditions or dropping patients when they become ill.

The ads do not, however, make clear that these popular provisions are a key part of Obamacare.

The House Majority PAC says their ads address Republican criticisms over Obamacare.

"Vilifying Obamacare may make good sound bites for the Republican base, but candidates will be forced to answer tough questions about what dismantling the ACA really means for voters," said Matt Thornton, the organization's communication director. "Poll after poll shows that people approve of the constituent parts of the legislation -- popular provisions Republicans have vowed to repeal."

Garcia was elected in 2012 and has voted numerous times against a full Obamacare repeal and for measures aimed at changing provisions in the law. Kirkpatrick voted for Obamacare in 2010, lost a re-election bid that year, and then won back her seat in 2012.

Democrats like Garcia and Kirkpatrick are trying to find artful ways to run on Obamacare, said Omero, the Democratic strategist. Those techniques include pointing out, " 'Here are some things I might change or disagree with but it's starting to work' and talk about going forward how it's going to work," she said.

Treading lightly on Obamacare

To be sure, there are reasons why some Democrats feel skittish boasting about Obamacare.

From its inception, the partisan bickering over the law was acrimonious and led, in part, to the tea party-backed uprising that saw a number of Democrats unseated and control of that chamber go to Republicans. Despite a victory in 2012, when the U.S. Supreme Court ruled core provisions of the law constitutional, Democrats still found themselves on the ropes as Republicans hammered them on the law's failings and voted in the House for repeal "more than 50 times," Obama pointed out Thursday.

Last November, the Obama administration struggled to recover from the rocky rollout of the health care website and explain why the President broke a promise that people who prefer their insurance could keep it under the law.

On the campaign trail, vulnerable Democrats are dogged by questions about Obamacare.

Republicans hit a nerve when it comes to Obamacare

As he made his way this week through the chill and crowds at a southeastern Virginia political gathering, Sen. Mark Warner was asked several times about the health care reform law. One man wearing an NRA sticker asked: "Senator, did you read the Affordable Care Act before you voted for it?"

Warner told the man: "I've outlined a series of changes to it. Five separate bills."

And in March, when Democrat Alex Sink lost by less than 2% of the vote to Republican David Jolly in Florida's special election for the 13th Congressional District, the GOP said Sink was defeated in part by Obamacare.

"His (Jolly's) victory shows that voters are looking for representatives who will fight to end the disaster of Obamacare," Republican National Committee Chairman Reince Priebus and co-chair Sharon Day said in an e-mail to reporters after the candidate's win.

It is worth pointing out, though, that the seat has been held by Republicans since the early 1980s.

'This thing is working'

The President is aware that he is partly to blame for the nervousness surrounding running on Obamacare.

"There is no doubt that our failure to roll out the ACA smoothly has put a burden on Democrats, whether they're running or not, because they stood up and supported this effort through thick and thin," Obama said at Thursday's news briefing. He added that he feels "deeply responsible for making it harder for them rather than easier for them."

But, Democratic strategists and political analysts say, it's time for that party's members to stop running from Obamacare and start proudly touting the law's successes. Failing to do so could cost the party in the long run, said Julian Zelizer, a Princeton University historian and CNN contributor.

"The party could make a collective mistake in continuing down this path," he said. "Generally, for most Democrats, they need a message from the top saying they should not be responding to Republican attacks by saying 'we agree with you.' They need to point out the numbers and say we have some successes."

The President agrees, and he said as much on Thursday: "This thing is working."

"I find it strange that the Republican position on this law is still stuck in the same place that it has always been. They still can't bring themselves to admit that the Affordable Care Act is working," Obama said Thursday. "They said nobody would sign up; they were wrong about that," he continued. "They said it would be unaffordable for the country; they were wrong about that."

CNN's Leigh Ann Caldwell and Peter Hamby contributed to this report.

@highlight

Despite Obamacare's successes, some Democrats are avoiding being tied to the law

@highlight

Obama, Democratic leaders and party strategists say they think this is a mistake

@highlight

Politically vulnerable Democrats are in an especially tough position on Obamacare

@highlight

More Democrats might be willing to embrace the law's wins in time, strategists say