Dressed in all white with a striped shawl across his shoulders, the gaunt American looks up at the Black Hawk chopper circling overhead.

Armed Taliban men stand around him, one with a rocket-propelled grenade launcher ready.

When the chopper lands, the American is led there by two men, one carrying a white flag. He is given a pat-down, loaded on to the helicopter and whisked away.

A new video released by the Taliban showed the final moments of Army Sgt. Bowe Bergdahl's five years in captivity, just before he was handed over to the United States.

As debate over the circumstances surrounding Bergdahl's release showed no signs of slowing Wednesday, the video revealed intriguing clues about Bergdahl, his Taliban captors and his American rescuers.

The narration on the video says the transfer took place in Khost province, in eastern Afghanistan.

"We had a number of tribal elders with us ... in order to build trust between us and the other side," a voice in the video says.

"We told them that we had warned all our Mujahideen fighters in Khost province and especially in Batai area not to attack them."

The 17-minute video also showed an unusual sight: Taliban members shaking hands with men from the Black Hawk. The Pentagon said Wednesday it has no reason to doubt the video's authenticity.

"But we are reviewing it," Pentagon spokesman Rear Adm. John Kirby said.

"Regardless, we know the transfer was peaceful and successful, and our focus remains on getting Sgt. Bergdahl the care he needs."

Mike Baker, a former covert operations officer for the CIA, said there's a clear purpose behind the video.

"The Taliban doesn't operate in a bubble. They don't live in a cave. They understand the importance of social media. They understand the importance of marketing and public relations," he told CNN's Brooke Baldwin. "This is a scripted propaganda piece for them. ... And so they're doing this, in a sense, to show their credibility, to show their strength as warriors to their supporters, and to try to use it as a recruiting tool."

Bowe Bergdahl: Strong, well-rounded and easy to talk to, friends say

Surrounded by Mujahideen

At one point in the video, Taliban members start chanting, "Long live Mujahideen of Afghanistan, long live Mullah Omar, the leader of Taliban."

Mujahideen refers to those who carry out jihad.

The narrator's voice said armed fighters were stationed throughout the transfer area.

"We waited in the area for around 10 minutes before the helicopters arrived, and there were 18 Mujahideen fighters with me in the area," the narrator said.

Indeed, the video showed armed men perched high and low on nearby hillsides.

"Our arrangement was that once the helicopters are on the ground, three people from the other side would get off the helicopter and three from our side, including the captive, would move toward the helicopter to hand him over."

The video has few words in English, other than this message superimposed over Bergdahl:

"Don'come back to afghanistan"

Narrator in video: 'He was fine'

In the video, the narrator also gives his opinion about an issue that's become a focal point since Bergdahl's release: the soldier's health.

"They first asked us about the health condition of the captive and told us to tell them the truth if he was not well, but we saw him, that he was fine, and we told them that," the narrator says.

Since announcing Bergdahl's release over the weekend, Obama administration officials have repeatedly said they fast-tracked the operation over concerns about his health and safety, which appeared to be in jeopardy.

Recent intelligence, in addition to two proof-of-life videos of Bergdahl released in recent months, led to growing concern about his health and safety, a senior defense official said Wednesday.

Chris Voss, the FBI's former lead international hostage negotiator, said that might have been exactly what Bergdahl's captors wanted.

"You expect the hostage-takers to make it look like the hostage is in bad shape so that they can drive a better bargain, and clearly it looks to me that's what they did here," he told CNN's "The Lead with Jake Tapper" on Wednesday.

Deserter or hero?

National Security Adviser Susan Rice said Bergdahl served with honor and distinction. But there's a growing chorus of criticism from some who served with him, describing him as a deserter.

"I believe that he totally deserted not only his fellow soldiers, but his leadership that wanted the best for him and for our country," said former Army Staff Sgt. Justin Gerleve, who was Bergdahl's squad leader.

Some soldiers involved in operations to find Bergdahl have said at least six soldiers were killed searching for him. Asked about this point, Defense Secretary Chuck Hagel told reporters Wednesday that he did not know of specific circumstances or details of soldiers dying as a result of the efforts to find Bergdahl.

Gerleve told "The Lead" that he believes Bergdahl is at least partly to blame for the soldiers' deaths.

"I can't really say I blame Bergdahl to fullest extent, but if he wouldn't have deserted us, these soldiers very well could have been in a different place at a different time," he said.

An Army fact-finding investigation conducted in the months after Bergdahl's 2009 disappearance concluded that he left his outpost deliberately and on his own free will, according to a U.S. military official briefed on the report. The official spoke to CNN on Tuesday on the condition of anonymity due to the sensitive nature of the information.

There was no definitive finding Bergdahl deserted because that would require knowing his intent -- something Army officials couldn't do without talking to the soldier.

On Wednesday, a U.S. official said that commanders referred to Bergdahl as a "good soldier" in that initial fact-finding report, and that fellow soldiers said he'd left the post on other occasions.

The official, who has been briefed on the investigation, said the report said that Bergdahl had mailed his computer and other items home before his disappearance, but his motivation was unclear.

Hagel said Wednesday that it's "unfair" to Bergdahl and his family to presume anything about his motivations for leaving the base. He reiterated that the Army will conduct a review of the case.

Hagel spoke with Bergdahl's family via telephone Wednesday, a senior Defense official told reporters. The defense secretary reassured them that Bergdahl would continue getting support with regard to his medical care and reintegration, and that the department was focused on their son's health, the official said.

Bergdahl will remain at a U.S. Army medical center in Germany until he completes treatment, a U.S. defense official there told CNN. After that, Bergdahl will return to the United States and go to a San Antonio military base, the official said.

As the debate over Bergdahl showed no sign of slowing Wednesday, his hometown of Hailey, Idaho, canceled a "Bowe is Back" event planned to celebrate his return "in the interest of public safety." Organizers, the city said, expected a large number of supporters and protesters to increase attendance.

"Hailey, a town of 8,000, does not have the infrastructure to support an event of the size this could become," the city said.

Controversial swap

Bergdahl's captors handed him over to the United States in exchange for the release of five prisoners held at Guantanamo Bay, Cuba.

The Gitmo detainees swapped for Bergdahl: Who are they?

Both Democrats and Republicans have criticized the deal, arguing that it puts American lives at risk by releasing terrorists and accusing Obama of breaking the law by not notifying Congress 30 days in advance.

Administration officials have said they consulted the Justice Department and acted legally. But some Republican lawmakers have said they're not buying that argument, and want proof that Bergdahl's health was really in jeopardy.

"This American is going home to his family," Sen. Marco Rubio told CNN's "The Situation Room" before heading into a classified Senate briefing on Bergdahl on Wednesday. "These five members of the Taliban are going back to the battlefield."

Afterward, Rubio and several other Republicans told reporters that the briefing had done nothing to stem their skepticism.

"I remain increasingly convinced that the President has now set a precedent that will encourage enemies of the United States to target American men and women in uniform," he said.

Rep. Debbie Wasserman Schultz, chairwoman of the Democratic National Committee, said criticism from lawmakers who'd long been pushing for Obama to help bring Bergdahl home is "disingenuous."

"We had intelligence, from everything that I understand ... that this was our last, best opportunity, that he was potentially on death's door. Looking at grainy video is not a way for us to determine that. But from everything I understand, this was our last best opportunity," she said.

John Bellinger, a former State Department legal adviser in President George W. Bush's administration, told CNN that the prisoner swap deal was "defensible."

"This is one of those tough national security situations that presidents face," he said, "where all the options are bad."

Clinton wanted a tougher deal with Taliban for Bergdahl?

Was Bergdahl swap legal? Depends on who you ask

Bowe Bergdahl: A deserter or a hero?

@highlight

Republicans say Senate briefing on Bergdahl doesn't stem their skepticism

@highlight

A video shows the minutes before Bergdahl is swooped away by a Black Hawk chopper

@highlight

Taliban members shake hands with men from the Black Hawk

@highlight

Bergdahl's hometown cancels an event planned to celebrate his return