(CNN) -- Leonard Maltin was 18 when the first edition of his "Movie Guide" came out in 1969.

Forty-five years later, the book -- a well-thumbed totem as familiar on film fans' coffee tables as a bowl of popcorn or a stained drink coaster -- will soon be no more. The 2015 edition, out Tuesday, will be the last.

Maltin wishes he didn't have to end its run, he said in a phone interview. But the writing is on the wall.

"I saw it coming a couple years ago," said Maltin, 63. "There were pretty consistent strong sales for many, many years, and that started to change. It came as kind of a jolt."

Ironically, it's a screen that's killed off the "Movie Guide" -- the computer/tablet/smartphone screen. In the digital age, the paper "Movie Guide," like former competitors such as Steven Scheuer's "Movies on TV" and Leslie Halliwell's "Film Guide," isn't as necessary when IMDb and Wikipedia (not to mention countless blogs) are at your fingertips. For that matter, even the long-dead "Cinemania," a CD-ROM that was cutting edge in the mid-'90s, is now a quaint artifact.

Maltin admits as much in the new guide's introduction.

"The book's loyal followers know that we strive to offer something one can't easily find online: curated information that is accurate and user-friendly, along with our own reviews and ratings," he writes. "But when a growing number of people believe that everything should be free, it's impossible to support a reference book that requires a staff of contributors and editors."

The material won't be moving to the Web, he told Deadline.com in an interview.

"Leonard Maltin's Movie Guide" -- originally "TV Movies" -- has been Maltin's claim to fame since he was a senior in high school. The historian and reviewer was a movie fan even as a child growing up in New Jersey, and through the years -- whether coordinating programs for the Museum of Modern Art, teaching at Manhattan's New School or reviewing films for "Entertainment Tonight" -- he's always come back to the "Movie Guide," compiled with the assistance of reviewers such as Mike Clark, Pete Hammond and managing editor Darwyn Carson.

Oh, he's not retiring -- there will still be a "Classic Movie Guide," and he continues to review movies for his Indiewire blog and Reelzchannel. He also has other claims to fame, such as the Guinness record for shortest review.

CNN talked to Maltin about the origins of the "Movie Guide," the role of the critic and whether he's ever changed his mind. The following is an edited and condensed version of the interview.

CNN: How did "Maltin's Movie Guide" start?

Leonard Maltin: It was not my idea. I was doing what we used to call fanzines. A friend and I did our first version of that when we were in the fifth grade, and it just kept going from there. When I was 13 years old, I found out about a couple fairly successful fanzines (The 8-Millimeter Collector and Film Fan Monthly) and wrote and offered my services as a writer. They both said yes. So I saw my first byline in print when I was 13 years old.

After two years of contributing to Film Fan Monthly, the editor and publisher wrote to me and said, "I don't have time to do this anymore. Would you like to take it over?" So I inherited his mailing list, his magazine and his format. He had 400 subscribers around the world. It was a big step up for me. I was 15 years old and I was editor and publisher of this magazine.

A couple years later, I was walking down the hallway of my high school in Teaneck, New Jersey, and an English teacher stopped me. She'd seen the magazine and said, "I have a friend who's an editor at Signet Books in New York and I think you two would hit it off. Call him and go see him after school one day." I went to see him and I brought some copies of the magazine. He said, "What's that?" I said, "It's a magazine I publish for old movie buffs."

He said, "Do you know this book called 'Movies on TV' by Steven Scheuer?" I said yes. He said, "What do you think of it?" I said, "I think it's fine as far as it goes." He said, "What would you do differently?" Now, I knew this book backwards and forwards. (So) I rattled off all those ideas.

He said, "I'm looking for someone to do a rival book. How would you like to do it?"

What do you say? I said, "Well, I guess so."

CNN: You're still in high school.

Maltin: 17 years old. High school senior. It was rather stupefying.

CNN: And the first edition came out the next year?

Maltin: The next year, when I was 18. Go figure.

(At first) it was only a modest success, and when it came out all I saw was its flaws and shortcomings. It was five years before we got a chance to update it. At that point, I said I want to make it better, and that's what I've been trying to do ever since.

One of the nice things when it became an annual (in 1986) was that, if somebody would send us a correction, I knew we could fix it the next time out.

CNN: What movies have evolved over the editions that were four stars and now two, or vice versa?

Maltin: The most extreme example I can think of is "Alien," because I'm a wimp. I can't see graphic horror movies -- won't and can't. I was chewing my jacket most of the time I was watching it. I found it upsetting on a visceral level. I did not enjoy myself. So I wrote a review that reflected that.

Twenty-five years later it was reissued theatrically and I went to see it again, having absorbed an awful lot in the 25 years that had passed, including all the imitations and ripoffs. I said, this a masterful piece of work. So I completely rewrote and rerated the film. I haven't done it a lot.

CNN: Do those changes have any effect?

Maltin: When people used to ask me about the influence of critics, I'd say, what influence? If film critics really had influence, there wouldn't have been a "Friday the 13th, Part 2," let alone two decades' worth. And conversely, the small films we love to champion would become big hits. That doesn't happen either.

CNN: You're kind of the last national film critic now, since Roger Ebert passed away.

Maltin: That's because of television, let's face it. Even the book got its biggest boost when I got on TV. In fact, I'd been on "ET" about a year, early '80s, and I got a call from my editor in New York. He said, "We've just had our sales meeting and we'd like to make two changes to the cover: We'd like to put your name above the title and your picture on the cover." I said, that's OK with me.

There are many other critics who are more eloquent than I am, more incisive than I am, but I got national television exposure for 30 years on "Entertainment Tonight" and on various cable channels and that's given me tremendous visibility and recognizability.

CNN: Who do you read?

Maltin: I think my favorite film critic is one who's not as widely read as he should be, which is Todd McCarthy, formerly of Variety and now of The Hollywood Reporter. I think he's brilliant and incisive. I don't know how he absorbs as much as he does in one viewing of a movie. He's also extremely articulate -- great command of language. I read other people too, but I don't read very much because I'm writing my own reviews.

CNN: What do you think of aggregation sites, like Rotten Tomatoes and Metacritic?

Maltin: They serve their purpose, but as I like to remind people, every tomato is a critic. For people who say film critics are obsolete, then you wouldn't get a score on Rotten Tomatoes or Metacritic. Those scores are indicative of something.

CNN: Do you feel a sense of loss with the book finishing its run?

Maltin: I probably couldn't even describe to you how enormous a change this is. It's affected me already. We'd already be working on next year's book by now. It takes a lot of doing things to break old habits, and one of my habits is keeping track of details when I watch a movie -- is somebody unbilled, does the movie say it's a British-French co-production, things like that. And I really don't have to keep track of that, do I?

@highlight

"Leonard Maltin's Movie Guide" 2015 edition will be the last

@highlight

Film historian and critic has been compiling it since he was 18

@highlight

Critics have little influence, he says, but can call attention to good work

@highlight

End of the guide leaves him at a loss