(CNN) -- Deep in my heart, I do believe that we shall overcome someday: This is the refrain that guided the hearts and hands and voices of the '60s generation. At the LBJ Library, April 8-10, the Civil Rights Summit will begin -- the celebration of the 50th anniversary of the passage of the great 1960s civil rights laws.

It was legislation that changed America forever and for the better.

There were four great laws, each building upon the other. The 1964 Civil Rights Bill, also known as the Public Accommodations Act, ensured that people of color could use the same water fountains, toilets, public transport and seats in restaurants and hotels as white people.

The 1965 Voting Rights Act ensured people of color the right to vote. The 1968 Fair Housing Act made it possible for people of color and all religions to be able to buy a house where they could afford to. The 1968 Immigration Act eliminated racial and ethnic quotas.

These laws opened the doors of liberty and justice for all as never before. No matter how imperfect they were, they made ours a more just society. For me it was all so very personal.

My father, President Lyndon Baines Johnson, signed the 1964 Civil Rights Act on my 17th birthday. The only handwritten note I have from my father was his birthday letter written at 12:10 p.m. that day. Daddy didn't have time to go to the pharmacy to buy a Hallmark card. At 6 p.m., he was signing a bill into law that would liberate my generation from the shackles of legalized apartheid. It was the best birthday present anyone could ever receive.

Many doubt 1964 Civil Rights Act could pass today

When I questioned why he gave the first pen used to sign the bill to the Republican leader Sen. Everett Dirksen instead of one of the great civil rights leaders, he shook his head in disappointment that I hadn't gotten the obvious lesson.

He told me, "Luci Baines, I didn't have to convince one of the great civil rights leaders to be for that legislation. They were already for it. But because of Everett Dirksen's decision to support this law and bring his supporters with him, the great civil rights leaders and I have a law, not just a bill. That's why Senator Dirksen got the pen. He deserved it."

When I questioned why we had gone to the Capitol Rotunda for the signing, Daddy shook his head in disappointment again. "Luci Baines, we have to go to the Rotunda of the Capitol.

"There will be many brave men and women not returning to these hallowed halls because of their courageous stand for voting rights. And there are many brave men and women who will be able to serve here only because of the courage of this Congress. That's why we must go to the Rotunda to let the world know how grateful we are to this Congress."

I was on "Daddy duty" on August 6, 1965, and stood behind him in the Rotunda as he signed the Voting Rights Act into law. That day he taught me not only about the justice of the act; he taught me the importance of his favorite biblical passage, "Come, let us reason together."

These lessons of social justice have changed our country forever, for the better, although their work is far from done. The lessons of coming and reasoning together remain a cry we need to answer now more than ever.

It was all so very personal.

I grew up in Washington in an area fondly known as "Hanukkah Heights." We lived in "Hanukkah Heights" because there were no restrictive covenants as there were in other areas that discriminated against buyers based on their color or religion. My first employer and forever friend was one of the first Jews able to buy a home in what had been a restricted neighborhood. The Fair Housing Act was not just a bill for justice to me. It was all so very personal.

There are 25 members in my immediate family. We are of mixed race, mixed ethnicities, many nationalities. We are Catholics, Protestants, Jews and others. We are a family of immigrants with all the diversity that Lyndon Johnson celebrated.

At the head of the stairs in the LBJ Library is one of my favorite quotes of my father. "Until justice is blind to color, until education is unaware of race, until opportunity is unconcerned with the color of men's skins, emancipation will be a proclamation but not a fact."

Much was accomplished when our nation "came and reasoned together." But there are still laws that make it harder for the poor to have access to the voting booth. And there are laws that still exist that bar equality based on whom you love. There remains much to be done.

Generations of Johnsons are so grateful that four presidents are coming to the LBJ Library to celebrate this Civil Rights 50th anniversary with a new generation committed to social justice.

It is our hope that by coming and reasoning together once more, we can renew our commitment to making ours a country "blind to color, where education is unaware of race and opportunity is unconcerned with the color of men's skins."

Only then will our proclamation for emancipation become a fact. Only then will we overcome the bondage of social injustice that hurts us all. But with a new renewal to the needs of social justice, I do believe, deep in my heart that we shall overcome someday!

@highlight

Civil Rights Summit April 8-10 at LBJ Library honors 50th anniversary of civil rights laws

@highlight

Luci Baines Johnson's father, LBJ, signed the 1964 Civil Rights Act on her 17th birthday

@highlight

She stood behind him as he signed the Voting Rights Act; he taught her justice of the law

@highlight

Her dad wanted U.S. to be "blind to color," where education, opportunity is unaware of color