(CNN) -- For those that live and work in the Middle East, Ramadan is a period of considerable downtime. In many countries, special laws require the working day is reduced to accommodate those fasting (observers are meant to abstain from food, water, cigarettes -- even gossip -- during the daylight hours of the month-long holiday).

As a result, TV consumption goes up, and with it, TV advertising budgets.

"It's like the Super Bowl and Christmas combined, only instead of one week or ten days, it lasts all month," explains Khaled Gadallah, the managing partner at Dubai-based advertising firm Tonic International.

While many countries in the region lack metrics to measure the ratings, there are several indicators that viewership spikes dramatically. An audience measurement system called Tview was introduced in the UAE last year prior to Ramadan, and found that Emirati viewers watched TV for an average of six hours and nine minutes a day during the first ten days, 32 minutes more than during the first six months.

"Average viewership is a couple of hours during normal days. On Ramadan, it is double that, because people have more downtime; more me- and we- time," says Vatche Keverian, the CEO of J. Walter Thompson's Middle East headquarters (JWT MENA).

Read more: Innovation gets a kick-start

As a result, it is not uncommon for companies in the region to spend a third or more of their advertising budget over Ramadan, according to the Pan Arab Research Center (PARC). If advertisers can hitch themselves to the right program, the benefits can extend well beyond the season.

"Past trends indicate that television media that performs well during Ramadan carry their ratings earned for months to come," explains M Shaharyar Umar, PARC's marketing director.

Coca Cola and Pepsi are among the biggest spenders in the Middle East during the month, with telecommunication companies often bringing up the rear. In 2012, Pepsi spent $91 million on Pan-Arabic television spots, Coke $40 million, and telephone companies like Vodafone and Etisalat spent between $40 and $50 million each.

A good portion of Ramadan commercials are rife with clichÃ©s, says Gadallah.

"You can expect to see a lot of star-studded skies, night time, lanterns, and some sort of Islamic motif in the background," he says. Traditionally, he adds, breaking the mold can prove challenging.

"What stops a lot of agencies from pushing the envelope is this fear of offending people with a new idea."

Watch: Backstage at Iraq's hottest TV show

In 2006, Gadallah decided to try something different with Nando's, an international fast food chain that wanted to gain more traction with Arab youth. They decided to take a humorous approach to the ritual of fasting, and depicted a man hovering over a Nando's drumstick, waiting anxiously for the sun to set before taking his first bite.

"The beauty of it was that we showed Muslims have a good sense of humor and enjoy having a good laugh. We didn't rely on a local idea that only people from the region would understand," he explains.

Though it's been several years since the Nando's ad first launched, it remains the most viewed ad during the Ramadan season, thanks to its internet presence.

"The PR Nando's gained from the ad was great. It was not geographically limited to the Middle East, but went across the globe."

It is not uncommon for an exceptional ad to take on a cult status during this time of year. JWT MENA accomplished a similar feat last year with a series of commercials for Vodafone Egypt featuring the country's most famous soap actors. Despite the advert's kitsch-value, Keverian notes that the themes, which revolve around values and the spirit of giving, rarely change.

"The idea is always caring and sharing. You can show that in the expected way -- using traditional families, moons and smiles -- or you can do it in the unexpected way," he adds.

Last year, JWT MENA created some community service spots for Zain's, a telecommunication company. The commercials addressed issues like litter clean-up and respectful line formation. Far from saccharine, however, they depicted people losing their patience and entertaining The Incredible Hulk-like fantasies before reigning in their temper and engaging in the forgiving spirit of Ramadan.

"One of the things that's so peculiar about Ramadan is that all Muslim countries live the same routine of life for a month; they go back to the traditional values of their culture -- I would say that's what's at the heart of it," notes Keverian.

In spite of the holiday's unifying properties, Gadallah notes that regional differences shape the types of ads that run.

"In the Gulf region, you still don't really have the freedom to explore new ideas when it comes to Ramadan because it's still a bit more conservative. In cultures such as Egypt, where the season is a lot more festive, you find a lot more engaging content than anywhere else in the world," he says.

@highlight

Islamic holiday of Ramadan seen as opportunity by advertisers

@highlight

TV watching increases and big budget adverts are launched

@highlight

Coca Cola and Pepsi are biggest spenders in the region