Russia looks richer in the snow. Muscovites, as they always have, stroll the main boulevard, Tverskaya Street, in their fur coats and hats on snowy evenings, basking in the holiday lights and decorations, their capital transformed into an icy wonderland.

Moscow's coffee shops are full of young Russians still willing to pay 300 to 400 rubles for a latte. But the foreign currency exchange shops I pass are an ominous sign. Just a few weeks ago, 300 rubles was worth about $10. Now, it's about half that.

Thursday, I exchange dollars for rubles and get a rate of 54.20. By Saturday it's 57 rubles to the dollar.

Consumer prices are up about 8% from a year ago. Inflation is growing at its fastest pace in three years. In the food store where I used to shop, I search in vain for my favorite imported cheese. It's fallen victim to Russia's ban on dairy, meat, fruit, poultry, fish and other products imported from the West -- Moscow's retaliation for U.S. and European economic sanctions over its actions in Ukraine.

Even the price of bread, which holds a near-sacred place in Russian popular culture, is rising. The business daily Kommersant reported that bread prices will increase 5% to 10% in the near future due to the rising price of "flour, grain, sugar, foreign raw materials, packing supplies and transportation costs."

Food wholesalers want to adjust consumer prices more frequently, once a week instead of every 45 days, according to the paper.

In Moscow's working-class neighborhoods, the falling ruble is reawakening old fears and old methods of coping with economic uncertainty. Some middle-aged Russians, who lived through the economic chaos of the early 1990s, are beginning to put away reserves of salt, matches, macaroni, flour and other staples.

Middle-class Russians are buying TVs, cars and household appliances, convinced that prices after New Year's will be higher. "Russians live one day at a time," a 40-year-old woman who works for a livery service tells me. "We never know what the future will bring."

A new Russian poll shows that Russians are losing confidence in the future and are making plans for only a few months in advance. In that poll, by VTsIOM, 51% of those questioned said they are confident in the future, down from 61% in the spring of this year. Nearly half said "life is difficult, but bearable."

The U.S. and Europe imposed economic sanctions in response to President Vladimir Putin's actions in Ukraine and Crimea, but Putin blames the West for trying to weaken Russia. His fellow citizens, by and large, agree; Putin's latest public approval rating is an overwhelming 82%.

But some, especially among Russia's beleaguered political opposition, see a silver lining in the economy's woes:  the end, sooner or later, of the Putin regime.

"My prognosis? In three years the situation will change," Dmitry Stepanov of the liberal RPR-PARNAS Party told me at an opposition conference in Moscow. "The country is in economic crisis and no one in the government knows how to solve that."

The economy will tank, Stepanov predicted, "and this will elicit mass dissatisfaction among the public. That will activate political battles, and that will lead to a peaceful change of power."

Several people I spoke with at the conference said there's a perfect storm brewing that could sweep Putin from office: low oil prices resulting in plunging profits for Russia, Western sanctions, and a faltering economy. But no one I spoke with wanted that "perfect storm" to end in revolution.

The conference, "Crisis in Russia-E.U. Relations: Causes and Ways Out," was held on December 12, Russia's Constitution Day, and brought together approximately 200 members of the opposition along with some liberal European politicians.

It was co-sponsored by Russia's liberal opposition party, RPR-PARNAS -- short for the Republican Party of Russia/Party of People's Freedom -- and the transnational European party, the Alliance of Liberals and Democrats for Europe.

One of the hosts: Mikhail Kasyanov, co-leader of RPR-PARNAS, who served as minister of finance from 1999 to 2000 and as Russia's prime minister from 2000 to 2004. Putin fired him, along with his Cabinet, shortly before running for and winning a second presidential term.

The current Kremlin policy, Kasyanov told me, is "leading nowhere," and he predicted growing economic and political problems.

"We want to force the present leadership of the country, using pressure from society, to change its aggressive course in its international as well as domestic policy and abide by the Russian Constitution," he said.

Just where that pressure will come from, however, is not clear. Historically, the opposition has been divided internally, and so far, Putin has most Russians on his side.

One participant in the conference, who works in a nongovernmental organization and did not want her name used, told me that Putin won't willingly leave power. ""He will never leave of his own accord," she said, "so somebody will have to help him. And they will do that once they are frustrated enough." His inner circle, she said, could turn on him.

"They are Russians like everybody else, so their patience is very, very long," she told me. "One day, however, it will crack. That's what I think. What it will take to crack, I don't know."

@highlight

Consumer prices in Moscow soar, ruble falls, some Russians stockpile essentials

@highlight

Poll shows Russians' confidence in future is fading

@highlight

Russian President Putin blames economic woes on the West; his approval rating still sky-high

@highlight

Russian opposition hopes economic "perfect storm" could bring down Putin regime