Beijing (CNN) -- A prominent Chinese human rights activist has called for an investigation into what he describes as corrupt and cruel officials who he says "violently assaulted" him and his family before he escaped from house arrest and fled to Beijing.

Chen Guangcheng addressed the Chinese premier, Wen Jiabao, in a video posted on YouTube on Friday, detailing the abuses he said he and his family had suffered at the hands of authorities during more than 18 months of heavily guarded detention in their home.

"They broke into my house and more than a dozen men assaulted my wife," he said. "They pinned her down and wrapped her in a comforter, beating and kicking her for hours. They also similarly violently assaulted me."

Chinese authorities have not commented.

The activist, who is blind, was driven to Beijing on Sunday after evading his guards in the tiny village of Dongshigu in Shandong Province, He Peirong, a friend and fellow activist, said Friday.

Escape was like a Hollywood thriller

His high-profile breakout appears to have angered the local authorities who were holding him captive, with members of his family already reporting that they have suffered reprisals.

Chen, 40, is a self-taught lawyer who rose to fame in the late 1990s thanks to his legal advocacy for what he called victims of abusive practices, such as alleged forced abortions, by China's family-planning officials.

A local court sentenced Chen to four years and three months in prison for damaging property, disrupting traffic and "pressurizing the government" in a protest, according to a story from the state-run Xinhua news agency.

The same 2007 story, which reported that a higher court had denied his appeal, described Chen as a "blind mob organizer." His supporters have maintained authorities used trumped-up charges to silence him.

Since his September 2010 release from prison, he had been confined to his home along with his wife, mother and daughter.

In the video posted Friday, he said the treatment of him and his family by the local security forces "was so cruel it has greatly harmed the image of the Communist Party."

Calling on Wen to investigate his case, he asked: "Is it just local officials flagrantly violating the law or do they have the support of the central government? I hope you will give the public a clear answer in the near future."

The blind activist had prepared for his escape for months, He Peirong said, by lying in bed for prolonged periods so that the guards wouldn't be suspicious if they didn't see any activity from him for a long time.

Once free, Chen contacted He Peirong and a few other activists.

"We learned that he had escaped and needed our help," she said, in an interview via Skype from her home city of Nanjing.

They met him at a rendezvous point, and then drove him to Beijing and hid him in a safe house, He Peirong said.

She said that Chen's fellow activists had decided to publicize his flight from captivity after hearing that Shandong authorities, upon discovering his disappearance, had sent people to assault members of his family.

Chen Kegui, the blind activist's nephew, said in a phone conversation with a Chinese activist that local officials broke into his family's home. He said he used kitchen knives to defend himself when the officials tried to arrest him.

"I was afraid they might knock me down unconscious or beat me to death, so I went out to find somewhere safe," the nephew said in the conversation, a recording of which was posted online. He added that he had since called the police and was waiting for them to come and pick him up.

Repeated attempts to reach Chen Kegui by phone were unsuccessful.

The blind activist expressed concern in the video about the welfare of his wife, mother and daughter -- who did not escape with him and whose whereabouts were unknown Friday.

"Although I'm free, my worries are only deepening," he said. "My wife, mother and children are still in their evil hands. They have been persecuting my family for a long time, and my escape would only prompt them into a mode of revenge."

U.N. High Commissioner for Human Rights Navi Pillay echoed those sentiments, saying in a statement released Friday that she is "disturbed to hear reports that other family members ... have now been detailed."

Noting she has raised concerns about Chen's case before, Pillay urged Chinese authorities "to investigate the treatment of both him and his family, to ensure their physical integrity and to provide redress for any wrongdoing by local officials."

Repeated calls seeking comment from the local authorities in Shandong went unanswered.

Chen is relatively weak physically but his spirits are high, said He Peirong. There have been concerns about Chen's health during his time under house arrest, surrounded by a heavy police presence.

"He wants to live freely in his own country," He Peirong said. "He said he hopes to hold my hand and take me to his village one day."

The authorities' reaction to Chen's escape appeared to have ensnared He Peirong, too, after she spoke to CNN and other news media organizations Friday to publicize the situation.

Bob Fu, the head of the U.S.-based nonprofit group ChinaAid, said that he was communicating with He Peirong via Skype when she said that state security agents had arrived at her home. Attempts to contact her since then have been unsuccessful.

She had acknowledged that, by speaking out about Chen's escape, she was putting herself at risk.

"I'm not concerned about my own safety," she said during the Skype interview. "I hope they'll arrest me, not my friends."

Chen himself has been a focal point for some time, with journalists and sympathizers being prevented from visiting him. They include actor Christian Bale, who was roughed up by security guards during such an attempt in December.

Last year, in a video smuggled out of the country by a U.S.-based human rights group, Chen described his dire conditions of being a prisoner in his own home.

"Those people stand at the four corners of my house, spy on my family and monitor what we do," he said. "They installed floodlights and surveillance cameras around my house."

Chen's incarceration and allegations of abuse by local officials have drawn international criticism from the likes of U.S. Secretary of State Hillary Clinton and Gary Locke, the U.S. ambassador to China.

Women's Rights Without Frontiers, a U.S.-based nongovernmental organization that has been advocating Chen's release, urged Clinton to raise the case when she visits Beijing next month.

"We are grateful that Chen is no longer under house arrest, but we are concerned about his safety and that of his family," Reggie Littlejohn, the organization's president, said in a statement.

CNN's Jethro Mullen contributed to this report.

@highlight

NEW: U.N. human rights chief is "disturbed" Chen Guangcheng's kin may be detained

@highlight

The blind activist fled to Beijing after being under house arrest for over 18 months

@highlight

He expresses concerns about his family and calls for a probe of local officials

@highlight

The whereabouts of a fellow activist who talked about Chen's case are unknown