(CNN) -- Syria's besieged leader says he regrets that his soldiers shot down a Turkish jet last month but said they thought the plane belonged to Israel.

"I would not wish it for any plane other than an enemy one. Especially for a Turkish plane, I say 100%, if only we did not shoot it down," President Bashar al-Assad told Turkey's Cumhuriyet newspaper in an interview published Tuesday.

"The Turkish people are our brothers and something that would make them sad would never make me happy and it did not. If this was an Israeli plane, of course, I would have been happy."

The June 22 shootdown of the F-4 Phantom jet came after Israeli planes had previously used the same air corridor three times, al-Assad said. Israel and Syria are longtime adversaries.

"A plane coming from that side is perceived by the Syrian military as an Israeli plane. It was accepted as an enemy plane, reacted against fast and fired at," he said. "Since we couldn't see it on our radars and no information was given either, the soldiers downed it. We learned that it belonged to Turkey after shooting it down."

As a result, al-Assad said, the significance of the downing "should not be exaggerated."

The shootdown underscores rising tensions between the two nations over Syria's nearly 16-month government crackdown and the grass-roots uprising against the regime.

Syria and Turkey have acknowledged that the plane strayed into Syrian airspace, but Turkey said the incursion was accidental and quickly corrected. Turkey's National Security Council has bolstered its forces along the border and said last week the nation would act against any "hostile action" by Syria.

Turkish Prime Minister Recep Tayyip Erdogan said his country was changing its rules of engagement and would treat any military approach by Syrian forces toward its border as a threat that "will be dealt with accordingly."

NATO deplored the shootdown, but the alliance, of which Turkey is a member, did not promise any action in response to the incident.

Turkish officials said Tuesday that they scrambled jet fighters Monday to track Syrian helicopters flying near the border between the two countries. It was the third consecutive day in which Turkish officials have sent jets to intercept Syrian helicopters closing in on the border, the Turkish armed forces said. No shots were fired.

The search for the downed jet's wreckage and pilots was ongoing.

The Turkish government, once close with al-Assad, has been sharply critical of the Syrian leader's clampdown against his citizens. Turkey is hosting thousands of Syrian refugees and anti-Assad opposition groups.

Al-Assad criticized Erdogan's "dangerous" posturing after what he said was an understandable military move.

"In an environment like this, arrival of such a plane is naturally perceived as an enemy plane," he said. "Anyone who understands military matters a bit would know this. A country at war would behave this way anywhere in the world. This is absolutely not a political decision. However, unfortunately, the Erdogan government is after narrow calculations using this incident. He hasn't gotten the Turkish people's support for 15 months about the Syria policy. Now, he wants to use this incident as an opportunity to turn the animosity between governments to animosity between the people. This is very dangerous."

Despite the tensions, al-Assad draws a distinction between the Turkish government and Israel, its longtime adversary. He said he doesn't see Turkey as an enemy.

Al-Assad criticized Turkey for cutting off ties between its army and Syria's. That hurt communication after the downing, he said.

"We would have handled the matter between military officials," he said. "However, in the recent months we do not even have a telephone number anymore of a Turkish commander to call in case of an emergency."

Asked under what conditions he would leave his position, al-Assad said, "If millions of people in my country don't want me, of course I would go. Why would I sit where I am not wanted?"

A report published by Human Rights Watch accused the Syrian regime of carrying out "a state policy of torture" to crush dissent.

The group, citing interviews with more than 200 former prisoners and security officers who defected, identified 27 detention centers across Syria where prisoners were tortured.

The carnage has spiked in recent days, with at least 109 people killed Sunday and 114 people killed Monday, opposition activists said. At least 71 deaths were recorded Tuesday, the opposition Local Coordination Committees of Syria said.

CNN cannot independently confirm the reports of casualties or violence because Syria restricts access by international journalists.

Al-Assad's forces are showing signs of fracture, with reports of defections growing. At least 258 people, including soldiers, officers and their relatives fled Monday, said Col. Malek Kurdi, deputy commander of the rebel Free Syrian Army. He said it was not certain how many were soldiers and how many were relatives.

As violence raged, diplomats and dissidents continued to search for ways to resolve the problem. Opposition groups have been meeting in Cairo, Egypt, in an attempt to unify their platform.

World powers huddled Saturday in Geneva, Switzerland, in an attempt to devise steps to end the crisis.

Ahmad Fawzi, spokesman for Kofi Annan, the U.N. and Arab League joint special envoy to Syria, called the meeting "an accomplishment," with all parties coming together to agree on the need for a transitional governing body in Syria.

Speaking to reporters Tuesday, he said Russia and China, which have pushed back on tough world action against al-Assad's regime, "will put their full backing behind this agreement and do whatever they can do."

"We are appealing to the parties to take a deep breath and step back from the brink and look long and hard at the proposals on the table because they form a framework for a solution," he said.

The group in Switzerland agreed that both the regime and opposition fighters should immediately observe a cease-fire and implement Annan's six-point peace plan without waiting for the actions of others.

The transitional government could include members of the current Syrian regime, making it theoretically possible that al-Assad could be be a part of any transition. Annan pointed out that the Syrians will decide the makeup.

CNN's Ivan Watson, Salma Abdelaziz, Holly Yan, Yesim Comert and Joe Sterling contributed to this report.

@highlight

NEW: The Tuesday death toll stands at 71, an opposition group said

@highlight

Bashar al-Assad: Israeli planes have used the same corridor where Turkish jet was downed

@highlight

Al-Assad: Turkey's prime minister wants to stir up animosities

@highlight

Envoy Kofi Annan's spokesman says forging peace will be "a long, bumpy road"