Washington (CNN) -- Two hit-and-run deaths in rural Mississippi just a few miles apart highlight a disturbing problem about data collection on possible hate crimes.

Last summer, 61-year-old African-American Sunday school teacher Johnny Lee Butts was hit and killed by an 18-year-old white driver. The teen told Panola County Sheriff deputies he thought he hit a deer but the driver's two passengers said he steered straight for Butts. One passenger said he could see that Butts was black. The killing has sparked outrage in the local African-American community. Civil rights groups have demanded that police prosecute Butts' killing as a hate crime.

Nonetheless, prosecutors chose not to.

There was no evidence, authorities said, to suggest a racial motive. The driver was charged with murder. He has not yet pleaded in the case.

Related: Three plead guilty in Mississippi hate crime

In another hit and run, 41-year-old African-American Garrick Burdette was found dead along a Panola County road in November 2009.

His mother, Ruby Burdette, says for three years she had heard nothing about any police investigation into her son's death until CNN began asking about the case.

Update: Burdette case didn't have to go cold

CNN received no response after calling the Panola County Sheriff's department, but just hours after CNN's call, a sheriff's investigator drove to Ruby Burdette's house.

"He came in and said he was the investigator," she told CNN. "He told me he apologized for no one coming out before now. And he told me that the first investigators they had didn't do anything."

If police suspect Burdette's death was a hate crime, they're not saying. And even if Burdette's death turns out to be a hate crime, there's a chance it won't even be reported.

"The data sucks," said Heidi Beirich of the Southern Poverty Law Center, which tracks the issue. "Hate crime data as the FBI reports is underreported by an ungodly amount."

In 2005, 2006 and 2007 there were zero hate crime incidents reported in the state of Mississippi, according to the FBI.

"States like California have thousands of hate crimes, and the state of Mississippi with its record of racial animus has none?" said Beirich. "It's ridiculous."'

Federal law has required states to collect hate crime data since the early 1990s. Congress has defined a hate crime as a "criminal offense against a person or property motivated in whole or in part by an offender's bias against a race, religion, disability, ethnic origin or sexual orientation."

But states don't have to report their data to the FBI if they don't want to. Four states -- Indiana, Mississippi, New Mexico and Ohio -- don't even have a Uniform Crime Reporting (UCR) program.

The result, critics say, is a federal data system that costs $1 million-plus but offers very little help to authorities who investigate, identify and track hate crimes.

"We can only report by the numbers we are given," said the FBI's Michelle Klimt, who says the lack of data could be because of a lack of state funding.

In states that do have UCR programs, the FBI offers training for state and local law enforcement on how to collect and report hate crime data.

On Capitol Hill, 26 senators have asked U.S. Attorney General Eric Holder to expand UCR programs to include tracking of hate crimes against Hindus, Arabs and Sikhs. Last year's deadly attack on a Wisconsin Sikh temple raised awareness about crimes targeting Sikhs.

"Without accurate, nuanced reporting of these crimes, it is more difficult for federal, state, and local law enforcement to assess and respond to the particular threat that the Sikh community faces," the senators said last month in a letter to Holder.

If authorities don't know how many hate crimes are committed, it's difficult to get an accurate picture of whether hate crime laws are effective.

In a 2011 killing that received national attention, authorities in Mississippi did prosecute the hit-and-run murder of James Craig Anderson, an African-American auto plant worker, as a hate crime. The attack was captured on video by a hotel security camera. Anderson's accused killer, Deryl Dedmon, who is white, pleaded guilty last year to murder and hate-crime charges and was sentenced to life in prison.

So how many possible hate crimes are actually committed throughout the United States each year? No one really knows.

In fact, the difference between data from different federal agencies is alarming.

A survey by the Bureau of Justice Statistics counts around 190,000 hate crimes a year, compared with the FBI, which counts somewhere between 6,000 and 8,000, Beirich said.

Here are some of the reasons behind the gap:

Instead of using information from law enforcement -- like the FBI -- the Bureau of Justice Statistics uses information directly from victims.

It's based on interviews with thousands of households each year where people say whether they believe they were victims of hate crimes. "Sometimes victims don't go to the police," said Klimt. "And sometimes the police report is not filed." And if police don't know about a crime, they can't report it to the FBI.

The BOJ statistics, which supporters say generally provide a more accurate picture of crime, cost $23 million more a year to produce than the FBI's annual hate crime stats.

The FBI stats show the following trends in hate crimes reported by states from 2008-2011:

-- Crimes linked to bias against sexual orientation increased from 16.7% to 20.8%.

-- Crimes linked to religious, ethnic and disability bias were unchanged.

-- Racially motivated hate crimes -- the most commonly reported type -- decreased from 51.3% to 46.9%.

Back in Mississippi, Ruby Burdette's pain over the death of her son has been resurfacing as police investigate the case more than three years later.

She believes it could have been racially motivated.

"I would hate to say it, but it could," she said. "Being a mother, I want the truth to come out."

In the end, she may never know.

CNN's Drew Griffin contributed to this report.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Mississippi sheriff's office says hit-and-run-death wasn't a hate crime

@highlight

Critics say U.S. hate crimes are severely underreported

@highlight

FBI and Bureau of Justice stats show wide gap in reported hate crimes