(CNN) -- Editor's note: Amy Gahran writes about mobile tech for CNN.com. She is a San Francisco Bay Area writer and media consultant whose blog, contentious.com, explores how people communicate in the online age.

As AT&T and other wireless providers move away from offering unlimited data plans, many smartphone owners want to better understand their own wireless data usage to avoid racking up surprise charges.

While you can log on to your wireless carrier account to check how much data you've used so far during the current billing period, you often can't tell how much data each type of mobile activity consumes.

Recently in Fierce Broadband Wireless, Cintia Garza of Maravedis (a wireless market research and analysis firm) offered a table of smartphone data usage by mobile activity. She estimates that if you generally send or receive 20 e-mails on your smartphone daily (no attachments), that's probably about 0.01 GB of data usage over the course of one month. Bumping that up to about 70 no-attachment e-mails sent or received daily uses about 0.04 GB per month.

Viewing an average of 20 web pages on your smartphone per a day would consume about 0.11 GB in a month, according to Garza. Watching 20 minutes of mobile video per day uses about 1.14 GB per month. An hour of streaming mobile music per day uses about 0.86 GB per month.

Garza's benchmarks can help you plan a mobile "diet" that won't bust your budget. She based these estimates on data from AT&T smartphone users, and not all smartphones and carrier networks are created equally.

But it helps to know which mobile activities generally are more data-heavy, so you know what to cut back on to keep your wireless bill under control.

What's a "normal" level of mobile data usage? According to Garza, an average residential (non-business) smartphone user consumes about this much data per day:

• Fewer than 10 e-mails sent/received (no attachments) = 2.5 MB

• 1 e-mail with photo attachment = 10 MB

• 3 e-mails sent/received (with other attachment) = 12 MB

• 5 minutes of streaming music per day (about 2.5 hours per month) = 72 MB

• 5 web pages visited = 25 MB

• 0-1 applications downloaded (games/songs) = 60 MB

• 10 social media posts per day = 14 MB

• 1 minute of streaming video per day (about 30 minutes per month) = 60 MB

Over the course of a month, that adds up to 255.5 MB (about a quarter of a gigabyte) on average -- but that's just for mobile content. Mobile access to data also entails considerable overhead, and consumers pay for that, too.

The smallest of AT&T's new data plans gives mobile users 200 MB of data per month for $15. The "DataPro" plan gives people 2 gigabytes of data -- about 10 times more -- for $25 per month.

"Signaling traffic" is how smartphones keep in touch with wireless data networks and move between cells. Garza explains that the growing problem of wireless network congestion comes mostly from smartphones constantly querying the network as they move among cell sites. This means that you're racking up some data usage anytime your smartphone is on.

According to Garza, "While data traffic is also growing, signaling traffic is outpacing actual mobile data traffic by 30 percent to 50 percent, if not more."

There's not much that consumers can do to control the amount of signaling traffic from their smartphones -- aside from simply turning your phone off or operating it in "airplane mode" when you don't need online access or incoming calls. However, mobile content usage is something that you can control.

@highlight

One expert's benchmarks can help you plan a mobile "diet" that won't bust your budget

@highlight

Garza: An average residential smartphone user consumes about 255.5 MB per month

@highlight

Consumers can't do much to control the amount of signaling traffic from their smartphones