Archaeologists working alongside builders on a new London rail link have turned up a grisly find that harks back seven centuries, to a time when Black Death stalked the medieval city.

A shaft sunk for the underpinnings of the new Crossrail link in Farringdon revealed 13 skeletons, lined up neatly in two rows, the company said Friday.

Suspicions are that the dig has revealed a "plague pit" -- one of many mass graves used to dispose of the bodies of those who succumbed to the Black Death, or bubonic plague, in the 14th century.

Since then, the bones have lain undisturbed just 2.5 meters (8 feet) below the surface in one of the few areas of the central London neighborhood not to have been developed over the years.

Historical records talk of a "no man's land" established in 1348 in the Farringdon area, where some 50,000 plague victims were buried, according to a contemporary historian. Up to now the area has never been found.

The shaft sunk as part of Crossrail's construction is located on the edge of Charterhouse Square in Farringdon, formerly the site of a monastery.

Crossrail's lead archaeologist, Jay Carver, quoted in a company media release, said it was "a highly significant discovery," and one that left many questions still to answer.

"We will be undertaking scientific tests on the skeletons over the coming months to establish their cause of death, whether they were plague victims from the 14th century or later London residents, how old they were and perhaps evidence of who they were," he said.

Body found under parking lot is King Richard III, scientists confirm

"However, at this early stage, the depth of burials, the pottery found with the skeletons and the way the skeletons have been set out, all point towards this being part of the 14th century emergency burial ground."

The pottery found with the skeletons dates to before 1350, the archaeologists said.

The skeletons are being excavated and taken to the Museum of London Archeology for further testing. Scientists hope to extract a DNA profile that could be used to study the development of plague since then.

However, there is no risk to people's health now because the plague bacteria cannot survive long in the soil, Crossrail says.

Eventually, the shaft will be sunk 20 meters deep to support the Crossrail tunneling works. The archaeologists may turn up other unexpected finds as they dig back through soil packed down over centuries.

The Yersinia pestis bacterium that is behind the plague is found mainly in rodents, particularly rats, and in the fleas that feed on them, the U.S. National Institutes of Health website says.

Each year, roughly 10 to 20 people in the United States develop plague from flea or rodent bites, mostly from infected prairie dogs in rural southwestern areas, the NIH says. About one in seven of those infected dies. No person-to-person transmission has been recorded in the past 90 years.

In the 1300s, the Black Death killed an estimated 20 million to 30 million people in Europe, the NIH says. Another 12 million fell victim to the scourge in China in the mid-19th century, and smaller outbreaks have occurred elsewhere.

Once completed, the Crossrail route will run 73 miles from east to west across London, improving access to Heathrow Airport, central London and towns to the east. Central London services could start as soon as 2018.

Opinion: After Richard III, can we find Genghis Khan?

According to the company, it is currently running the country's largest archaeology program. Other finds turned up in the course of excavations for the rail route include bones from prehistoric animals, Bronze Age and Roman tools, and the largest piece of amber ever uncovered in Britain.

Archaeologists also found a former cemetery in excavations near Liverpool Street, where 300 skeletons were found. Those are thought to have been buried between 1500 and 1700.

More space and science news on CNN's Light Years blog

@highlight

Archaeologists working for London's Crossrail project find 13 skeletons in 2 neat rows

@highlight

They are thought to have been buried in the mid-14th century amid a plague outbreak

@highlight

The area excavated in central London has lain undisturbed for centuries

@highlight

Plague bacteria are still carried by some rodents and the fleas that live on them