Barry Eichengreen is George C. Pardee and Helen N. Pardee Professor of Economics and Political Science at the University of California, Berkeley. He is the author of "Golden Fetters: The Gold Standard and the Great Depression, 1919-39" and "Financial Crises and What to Do About Them."

Barry Eichengreen says Barack Obama will have to fix the credit crisis, the auto industry and trade policy.

BERKELEY, California (CNN) -- President-elect Barack Obama has been holding his economic cards close to his vest. He did not participate in person at last weekend's meeting of G20 leaders.

He has been reluctant to encourage the lame-duck Congress to adopt a major fiscal stimulus package.

He may be right in saying that the U.S. has only one president at a time. But this makes it all the more important that he hit the ground running on January 20.

This will mean, first of all, addressing the credit crisis. Despite all the actions of the Fed and the Treasury, the banks are still not lending. In some cases this is because their own finances are weak. But in others it is because they have other more convenient uses for their funds, ranging from acquisitions to dividend payments.

This reflects a flawed bank recapitalization scheme that gives the government no voting shares in the banks into which it is injecting public funds and hence no say in their decisions. Fortunately (as it were) there will be an opportunity to correct this, since as the recession deepens there will be more loan losses and the need for more capital injections. The next round of public money should come with voting rights so that taxpayers' interests are protected.

Then there is the need for increased public spending on infrastructure and federal grants to state and local governments to offset the collapse of private spending.

Candidate Obama spoke of $150 billion of fiscal stimulus. But if this recession turns out to be the deepest since World War II, as now seems certain, the appropriate figure will be at least four times that large. Anything less would fail to cushion the downturn.

A trillion-dollar deficit will excite fears of government out of control if not accompanied by a plan to balance the budget once the recession ends. The new president therefore will need to offer not just a stimulus package but also a multiyear budget.

Then there is the problem of the auto industry. The best course normally would be Chapter 11 bankruptcy. This would allow the Big Three to shed bad management and contracts, both of which would be thrown out in the bankruptcy process.

If GM, Ford or Chrysler is then able to come up with a viable business plan, they should be able to obtain the new money, known as debtor-in-possession financing, needed to implement it.

Admittedly, the credit crisis makes new money difficult to obtain. But if this is a problem, then the government can provide the debtor-in-possession financing. In other words, it can make its aid conditional on the Big Three first going through bankruptcy workouts.

A further complication arises from the fact that cars last for years and when they break down are expensive to repair. Warranties matter, in other words. If a producer was undergoing bankruptcy reorganization, from which it might or might not emerge, consumers would question whether its warranties were worth the paper they were written on.

But if this is the problem, then the government can guarantee the warranties. It could reimburse the cost of major repairs subject to terms and conditions. It is not as if our government has been reluctant to guarantee other products, ranging from bank deposits to money market mutual funds. And this guarantee should be provided only to auto companies that undergo bankruptcy reorganization.

Finally, it will be important for the new president to reassure our foreign partners about his economic intentions. There may be jubilation in Kenya and Indonesia over the election of a candidate they may view as a native son, but there is trepidation in Asia and Latin America about his protectionist rhetoric.

President Obama will need to reassure Mexico that while he believes in labor and environmental standards, he also believes in NAFTA. He should encourage the Congress to ratify our free trade agreements with Colombia and Korea. He should reassure the Chinese, who now have economic problems of their own, that he will not bash them over their exchange rate policies.

If Obama wishes to help Americans impacted by import competition there are better ways. He can expand trade adjustment assistance for displaced workers. He can propose wage insurance -- partial compensation for a limited period for workers moving to lower-paid jobs.

He can ramp up spending on education and training. He can address concerns over the environment by proposing a carbon tax rather than allowing blame for global warming to be shifted to Mexico and China.

That should be enough to keep the new president occupied for his first 100 days.

The opinions expressed in this commentary are solely those of Barry Eichengreen.

@highlight

Barry Eichengreen: Obama will have daunting agenda on economy

@highlight

He says government must take a voting stake in banks getting public money

@highlight

Eichengreen: Economic stimulus package must be large, at least $600 billion

@highlight

Obama should take steps to show he is committed to free trade, he says