(CNN) -- People with a stable mood and better capacity to handle stressful situations without anxiety have a reduced risk of developing dementia, according to a study published this week in the journal Neurology.

Stress can increase the risk of dementia in older people, a study has found.

This finding was particularly strong in highly extroverted people, the study said. Subjects who were both socially active and not easily stressed had the lowest risk for dementia. But even socially isolated individuals who were more calm and self-satisfied showed a reduced likelihood of dementia, the study said.

Extroverted people usually have more optimistic outlooks on life, and "may be better equipped to cope with stressful events and therefore less prone to depression," said Hui-Xin Wang of the Karolinska Institute in Stockholm, Sweden, and lead author of the study.

The study looked at 506 older people from the Kungsholmen Project in Stockholm who did not have dementia at the first examination. These people then filled out questionnaires that determined their personality types and level of social activity. Those who said they were easily distressed were classified as having high neuroticism.

Researchers followed these participants for six years, during which time 144 of them developed dementia.

Although it is not easy to change someone's personality, "The good news of our finding is that an active lifestyle -- having a rich social network and participating in physical, mental and social activities -- may buffer the negative effect of high neuroticism on dementia risk," Wang said.

One in seven Americans age 71 and older, or about 3.4 million, have dementia, according to the National Institutes of Health. In this age-group, 2.4 million people have Alzheimer's disease, NIH research has shown. Alzheimer's disease is the most common cause of dementia, according to the Mayo Clinic.

Previous research has documented that personality factors may play a role in how people cope with dementia. This study is unique in that it looks at a combination of different lifestyle and personality traits, said Dr. Yaakov Stern, professor of clinical neurology at Columbia University Medical Center, who was not involved with the study.

Stern and colleagues have found that people with higher educational or occupational attainment, or who engage in leisure activities, appear less demented. They call this concept "cognitive reserve," because these lifestyle factors seem to allow them to cope with the pathology of the disease better. That is, as the disease progresses in the brain, those who have a greater "reserve" do not show symptoms of Alzheimer's -- memory loss and impairment of day-to-day functions -- as quickly.

Mounting evidence suggests that lifestyle factors also directly influence brain changes, he said. The Swedish study builds off the established idea in the field that stress actually harms the brain.

The pathology of dementia appears about 10 to 15 years before a person actually develops Alzheimer's disease, Stern said. That means, just like a man with prostate cancer may not have any symptoms, a person's brain may have undergone changes that lead to Alzheimer's without visibly affecting a person's day-to-day life.

Doctors can look for indications of the disease using positron emission tomography (PET) scans. A chemical called Pittsburgh Compound B is used in the imaging of brain tissues to find signatures of Alzheimer's -- namely, beta-amyloid plaques and neurofibrillary tangles.

"The working idea is that if we can detect it before it's clinically expressed and stop it then, we can prevent people from developing the disease," Stern said.

@highlight

Study: Less-stressed older individuals had lower risk of developing dementia

@highlight

3.4 million Americans age 71 and older have some form of dementia

@highlight

Some people do not show symptoms of Alzheimer's but have pathology