Washington (CNN) -- Hillary Clinton is at the top of every 2016 poll. She is crisscrossing the country picking up sizable speaking fees and addressing audiences who cheer any mention of her future plans. And nearly every analyst has her as the likely Democratic nominee next time around, should she run.

While Clinton's closest advisers are trying to keep supporters from anointing her the inevitable nominee - for fear it will create a backlash among grassroots voters - they are losing that fight in part because some Americans, especially Democrats, want to be a part of history.

A Gallup poll Friday showed that 18% of Americans surveyed said Clinton becoming the first woman president would be "the best or most positive" thing about her winning the election. It was cited by 30% of Democrats and 17% of independents.

Breaking the Glass Ceiling

"Potent is an understatement. Is there a word stronger than potent?" said Dan Mahaffee, the director of policy at the Center for the Study of the Presidency and Congress, when asked about the potential impact on the electorate of Clinton becoming the first woman president.

"There certainly is that dynamic for there to be a historical president, to feel part of that is certainly a strong driver," he said.

When Barack Obama ran for president -- defeating Clinton for the Democratic nomination -- a strong, but far from the only aspect of his draw was the history of electing the first black president.

A similar case could be made for Clinton, who regularly talks about women getting into politics and the importance of electing the right first woman to the White House.

Nathan Gonzales, deputy editor of The Rothenberg Political Report, echoed Mahaffee, saying "people want to be a part of history" even though some would like to believe that elections are driven by issues and differences between candidates.

Gonzales said electing a woman would crash through another glass ceiling.

"I think voters could be driven by this sense of history," he said.

Finding that Clinton becoming the first woman president would be the "best" thing about her winning in 2016, the survey also found that number outpaced all other factors in the open-ended question.

Nine percent of people said her experience would be the best, while 3% said her competence, 2% said her intelligence and 2% said the fact that Bill Clinton would be back in the White House.

"From the American public's perspective, Hillary Clinton's greatest selling point going into the 2016 presidential election, should she decide to run, would be the historic fact that, if elected, she would be the first female president in the nation's history," wrote Frank Newport, editor in Chief of Gallup.

Clinton not helping inevitability fight

For her part, Clinton has fed this inevitability.

The former senator made it clear when she halted her 2008 primary campaign: She was proud of the "about 18 million cracks" - the number of people who voted for her - that her campaign put into the glass ceiling of electing a women president.

Clinton proclaimed that "the light is shining through [the ceiling] like never before, filling us all with the hope and the sure knowledge that the path will be a little easier next time."

Those comments are put into a different context considering Clinton is actively mulling another run at breaking that ceiling.

Female participation in politics and business has become a part of nearly every speech Clinton delivers.

In Florida, she talked about the importance of women in leadership positions; in Vancouver, she looked to inspire women to get involved and participate, and Tuesday in Montreal, the former first lady talked about the benefits of having more women in politics.

"Having people get out of their comfort zones and think about being somebody's shoes - or high heels - as the case may be, gives you a broader view," she said, adding that more women in politics is better for the United States political system.

"I believe that there can be and hopefully will be differences by having more women in these positions," Clinton said, noting that "of course it depends on who the women are."

Clinton told the audience that while she hadn't yet made up her mind on 2016, she has "a deep sense of commitment to my country and its future."

Not just about being a woman

For Marcy Stech, spokeswoman for Emily's List, the historic factor of a possible Clinton presidency is obviously a draw to Democratic voters.

"We see right now that there is an overwhelming excitement in battleground states to elect the first woman president," said Stech, whose group runs Madam President, a program to elect a woman president. "There is a clear desire among Democrats to break that glass ceiling."

But to Stech -- and others -- Clinton's inevitability is more than just Americans looking to elect a woman.

"We know that voters don't support women candidates just because they are women," Stech said. Instead, she added that voters tend to see women as more focused on problem solving and more likely to work with people who they may disagree with.

Mahaffee agrees with Stech.

"There is such a talent and resume gap between her and everyone else that is even potentially being floated and it is even shocking to think that one of those people is the sitting vice president," added the historian.

Even according Clinton, electing a woman just because she is a woman is not the right way to vote.

When asked during a question and answer session of an appearance at UCLA whether it was important for the United States to elect a female president, Clinton quickly and bluntly said, "Well, the right female president, yes."

@highlight

Possibility of electing the first woman president important for many Americans, survey shows

@highlight

Hillary Clinton has not said whether she'll enter the race for the White House in 2016

@highlight

Barack Obama generated similar excitement when he became nation's first black president