The House of Representatives voted Thursday to hold Attorney General Eric Holder in contempt for refusing to turn over documents tied to the botched Fast and Furious gun-running sting -- a discredited operation that has become a sharp point of contention between Democrats and Republicans in Washington.

The House approved a pair of criminal and civil measures against the attorney general, marking the first time in American history that the head of the Justice Department has been held in contempt by Congress.

House members approved the criminal contempt measure in a 255-67 vote.  Almost every House Republican backed the measure, along with 17 Democrats.   Shortly thereafter, the civil measure passed in a sharply polarized 258-95 vote.

A large number of Democrats -- including members of the Congressional Black Caucus and House Minority Leader Nancy Pelosi -- walked off the House floor in protest and refused to participate in the criminal contempt vote.  A slightly smaller number of Democrats appeared to boycott the vote on the civil measure as well.

Speaking in New Orleans, Holder dismissed the House action as "the regrettable culmination of what became a misguided -- and politically motivated -- investigation during an election year."  In a written statement, White House Communications Director Dan Pfeiffer blasted congressional Republicans for pushing "political theater rather than legitimate congressional oversight."

The criminal contempt charge refers the dispute to District of Columbia U.S. Attorney Ronald Machen, who will decide whether to file charges against Holder.  Most legal analysts do not expect Machen -- an Obama appointee who ultimately answers to Holder -- to take any action.

The civil measure allows the House Committee on Oversight and Government Reform to file a lawsuit asking the courts to examine the Justice Department's failure to produce certain subpoenaed documents, as well as the validity of the administration's recent assertion of executive privilege over the documents in question.

Executive privilege: A rocky legal and political road in U.S. history

Legal experts contacted by CNN have said, based on recent precedent, that it could take years for the courts to reach any final decision in the civil case.

Fast and Furious, a so-called "gun-walking" operation, allowed roughly 2,000 guns into Mexico with the goal of tracking them to Mexican drug cartels. Two guns found at the scene of Border Patrol Agent Brian Terry's fatal shooting were linked to the operation. Guns from the operation have also been linked to an unknown number of Mexican civilians' deaths.

GOP leaders say the documents they seek are needed to get to the circumstances surrounding Terry's death.  Democrats insist the Republican-led probe is all about politics.  Thursday's vote came two days after House Republicans rejected the latest offer by the White House and Justice Department to turn over some of the documents sought by congressional investigators in exchange for dropping the contempt measures.

A senior House Republican aide told CNN the offer was insufficient.

In the hours leading up to the criminal contempt vote, Republicans repeatedly insisted that they were exercising proper legislative oversight of the executive branch and seeking answers for Terry's family.

"In the real world Americans are expected to comply with subpoenas.  Is the attorney general any different?  No he is not," said Rep. Dennis Ross, R-Florida.  "The attorney general can stonewall all he wants.  The attorney general can misremember all he wants.  But whether he likes it or not, today responsibility will land on his desk."

Rep. Ted Poe, R-Texas, warned that "even the attorney general cannot evade the law.  (It's) time for America to find out the truth. ... (It's) time for a little transparency.  Today is judgment day.  That's just the way it is."

House Speaker John Boehner, R-Ohio, said the "House needs to know how this happened, and it's our constitutional duty to find out. ... No Justice Department is above the law, and no Justice Department is above the Constitution."

Democrats accused Republicans of playing political games with an operation that leaders on both sides of the aisle concede was a mistake.

"What the Republicans are doing with this motion ... is contemptible," Pelosi declared.  "This is something that makes a witch hunt look like a day at the beach.  It is (the) railroading of a resolution that is unsubstantiated by the facts, based on a false premise."

Rep. Jim McGovern, D-Massachusetts, complained that "every single attempt for even-handed investigation has been thwarted by the Republican majority."  Holder is "a good, decent, honorable man.  He's doing an excellent job as attorney general.  He does not deserve this."

Among other things, Democrats contend that California GOP Rep. Darrell Issa, chairman of the Oversight and Government Reform Committee, has refused to let witnesses proposed by Democrats give public testimony.  They also claim he has been demanding documents outside the scope of the subpoenas Holder is accused of violating.

Specifically, Issa and other Republicans are seeking documents showing why the Justice Department decided to withdraw as inaccurate a February 2011 letter sent to Congress that denied any major flaws in Operation Fast and Furious.

Holder has repeatedly refused to turn over materials containing internal deliberations, and asked Obama last week to assert executive privilege over such documents.

Opinion: Holder contempt vote sign of 'broken' Washington?

A video released Tuesday by Democrats on Issa's panel showed the chairman making past allegations of White House links to Fast and Furious, juxtaposed with Issa saying Sunday there was no evidence of a White House cover-up.

Some gun rights advocates, including the National Rifle Association, maintain that the program allowed hundreds of weapons, including assault rifles, to end up in the hands of Mexican drug cartels in order for the Obama administration to press for new gun control laws.  The NRA heavily pressured House members -- most notably moderate and conservative Democrats -- to back the contempt measures.

The contempt vote in Issa's committee last week fell along strict party lines, with Republicans supporting a contempt recommendation and Democrats opposing it.  The vote occurred before the gun lobby formally registered its support for the contempt resolution.

Rarely has any pro-gun-rights Democrat representing a rural and Southern district broken with the NRA's position on key votes, especially in an election year.

Meanwhile, Pelosi argued last week that Republicans were targeting Holder because he is fighting their efforts to suppress voter turnout in November.  Rep. John Larson, D-Connecticut, chastised Republicans earlier this week for pushing ahead on the contempt vote as part of a strategy to prevent economic progress and harm Obama's re-election chances in November.

"This is just all part of a continuing plan, and whether it's suppressing the vote or suppressing the economy -- this obstructionist regime that we see that continues to block because they think they would rather see President Obama fail than the nation succeed," Larson said.

Read the Congressional Resolution

Read the full contempt report

The truth about the Fast and Furious scandal

@highlight

House passes a measure also authorizing civil action against Holder

@highlight

House passes criminal contempt measure against Attorney General Eric Holder

@highlight

Holder dismisses vote as "politically motivated"

@highlight

At issue is whether Holder complied with a subpoena from congressional investigators