(CNN) -- The calendar is overflowing with occasions to mark. It seems like there's a special day for almost everything.

For example, September 19 is celebrated by some as International Talk Like a Pirate Day. But the surplus of observances shouldn't detract from the really important ones, like Friday, March 8, International Women's Day.

The first International Women's Day was held in 1911, but it was international only in the technical sense that women in four European nations marched. These activists were ahead of their time in thinking about women's economic and political equality; they may not have been so far ahead of their time that they envisioned what it has come to mean for many of us today.

Now, International Women's Day represents a movement that is for every woman and girl, no matter where they live. This year, Malala Yousafzai became the youngest Nobel Peace Prize nominee in history by risking her life for the cause of universal girls' education.

Her courage has inspired women across the world. Some of the bravest, most revolutionary voices about empowerment are coming from women and girls like Malala who are calling the world's attention to social norms that prevent women from realizing their full potential.

I just spent some time visiting the poorest parts of Northern India, where I met a courageous woman named Sharmila Devi. Because the government has invested in its basic health system, she received a visit from a trained health worker who told her that spacing her pregnancies was safer for herself and her children.

Sharmila decided to use contraceptives despite the opposition of her mother-in-law. In India, husbands and mothers-in-law have been at the core of family decision making power structures for generations. Sharmila's courage in seeking outside information and defying her parents-in-law as a way to determine her own future and improve that of her children represents a huge leap forward for women throughout the country.

Here is the reality we must confront on International Women's Day: The decisions women make about their families are the key to improving life for many of the poorest communities in the world.

The evidence shows that in the developing world, women play a different role than men and are more likely to take care of their family's health care and nutrition, things that children need to become productive adults and contribute to the economic and social development of societies.

In fact, research has shown that a child's chances of survival increase by 20% when the mother controls the household budget. Yet in many places, women, especially young women, have very little decision-making authority to be able to effect this kind of change.

The work of making sure that women and girls everywhere can seize their potential is about making specific changes that will set into motion these longer term outcomes. For me, it means making sure they have access to the contraceptives so many women tell me they want and need. It's also about harder to measure changes like whether they have the information and the power to plan their families on their own terms.

When I try to imagine the future, I am optimistic because I see women demanding information and opportunities in the face of social norms that say they're not permitted to do so. I'm also optimistic because no matter where I go, people ask me, "What can I do to help?"

Malala and Devi aren't the only heroes. Millions of peopleâ€”men and womenâ€”stand by the conviction that empowered women are a source of progress, and they want to take action.

That's why I'm proud to announce the launch of my team page on Catapult.org, a crowd-funding platform dedicated to supporting women and girls. I identified these three great projects from GirlUp, Breakthrough, and Jacaranda Health and hope you can join Catapult to help fund them.

Our foundation will match every dollar donated to these projects. Together, we can help women and girls determine their own future, no matter where they're from.

To me, this is why marking International Women's Day is important. It's a chance for so many people to move beyond "celebrating" and take action to create meaningful and sustainable change for women and girls.

The opinions expressed in this commentary are solely those of Melinda Gates.

@highlight

Melinda Gates: International Women's Day started small a century ago

@highlight

She says there's now global awareness of vital role of women in society, economy

@highlight

When women can direct family budget, health care and education improve, she says

@highlight

Gates: Empowered women are a source of progress, want to take action