(CNN) -- A grey day in Brussels provided an apt backdrop for addressing the bleak job prospects facing Europe's younger generations.

With a quarter of their 16 to 25 year-olds out of work, youth unemployment has become one of the most pressing issues facing EU leaders today.

Among the potential solutions tabled was using the European Investment Bank as a mechanism for providing small businesses with loans, so they can hire.

Job and training guarantee schemes were also agreed by member states as well as a plan to roll out 6 billion euros ($7.8 billion) to the hardest hit countries like Greece and Spain where more than half of the young workforce is standing idle.

But the funds committed so far are a drop in the ocean compared to the size of the problem.

And unless the initiatives are backed up by complementary policies in individual nations, the EU's June summit is likely to deliver patchy results.

Youth unemployment is a tricky subject, especially for the EU which was partly conceived to ensure free movement of labor, goods and services.

Without growth it's hard to see companies hiring at the moment.

But even when the economy improves there's no guarantee the region's so-called lost generation will get on the job ladder either.

Studies by the International Labour Organization have shown those who have trouble finding work initially often end up stuck with lower wages for years to come as they give up on their dream and settle for a different career.

Speaking on the sidelines of the summit, Swedish Prime Minister Fredrik Reinfeldt said he reckoned at least half of the EU funds agreed will be directed towards Greece, Spain and Italy where the issue is more acute.

Whilst, throwing money at the problem may alleviate the symptoms, it won't necessarily provide a cure.

EU Employment Commissioner Lazlo Andor says 'there is no silver bullet' for the region's jobless problem. And he's right. It's up to each member state - not the commission - to create the conditions for hiring.

Yet Brussels is paying the price for its obsession with austerity.

After demanding cuts in the age of austerity, politicians didn't seem to realize they'd have to support the private sector to provide jobs for people left unemployed in the public sector.

Cutting red tape for businesses and covering employers' social security contributions would be one way of encouraging firms to take on staff, as Lithuania has learned.

Such measures helped the Baltic state to slash its under-25 jobless tally by 4%, the most anywhere in the EU.

Yet just as the EU tries to tackle a sorely neglected subject, its unemployment numbers are set to swell again, as Croatia - with 51% youth unemployment - joins the club.

A reminder for Europe's leader there's much work to be done -- even as 7.5 million of their young have none.

@highlight

A quarter of the European Union's 16 to 25 year-olds are out of work

@highlight

Member states have agreed to job and training guarantee schemes

@highlight

They also plan to roll out 6 billion euros to the hardest hit countries

@highlight

EU Employment Commissioner Lazlo Andor says 'there is no silver bullet'