Bekaa Valley, Lebanon (CNN) -- He escaped the war, but life's no happier now for Omar. The 8-year-old Syrian refugee longs for friends back in Qusayr, hard hit by a civil war that grinds on. He also misses days in school -- when the most he had to worry about was finishing his homework.

"I work so I can bring money for my family," says Omar. His mother, like other refugees, asked that their last names not be used as they are worried for their safety.

Eddie Izzard: In Syrian refugee camps, another day of childhood is lost

I met Omar on a hot, dusty day in Lebanon's wind-swept Bekaa Valley. We were interviewing his mother when Omar and his 14-year-old brother came zooming by on a motorbike. They had just finished gathering eggs at a nearby farm -- what little money the kids make is the only way their family is able to survive.

The job is hard, but Omar went through an even more difficult experience recently.

"They hit us," he says timidly, describing how Lebanese boys his age beat him up.

"They said to me," he adds, embarrassed and close to tears, " 'Damn every Syrian.' "

Omar now faces a different kind of brutality -- a harsh reality reflected in the weary faces of kids all around. Their eyes make them seem far older. There's no childhood spark, with smiles few and far between.

I ask a 15-year-old girl what life's been like for her here.

"Life?" She asks unbelievingly -- as if the question were a farce.

"We manage to live, but it's nothing like before."

She's forced to share a small tent with nine others. She says her circumstances are difficult, but at the same time, she feels blessed with what her family even has.

In makeshift refugee camps such as this one, the overwhelming feeling is sadness. The Syrians interviewed say they can't believe their lives have come to this -- adding how they're not just destitute, but they're also facing discrimination.

Bushra, a Syrian woman in her 40s, says she's still shocked at the kinds of hateful words she's heard since arriving.

"Some people say to me, 'God bless Bashar al-Assad's hands,' " she says, " 'the hands that slaughtered you all -- you deserve worse.' "

Bushra says it's told as a joke, but she and her family aren't laughing.

The United Nations says more than 600,000 Syrians have fled to neighboring Lebanon, a tiny country of about 4 million people. Aid workers warn resentment toward Syrian refugees is on the rise here.

"The crisis entered its third year now," says Patricia Mouammar with World Vision, a humanitarian aid and development organization. "And the Lebanese community -- even though very generous at the beginning of this crisis, now they cannot take the burden."

Mouammar says there are many reasons for increasing tensions.

"Rent -- the prices of the rent have gone up, up to 400% in some areas," she says. "Salary wages plummeted, and Syrian refugees are working for less, and they're sharing homes with multiple families. And everyone is feeling that -- everyone is feeling the burden on the Lebanese hosting communities."

Mouammar says her organization is "calling for the humanitarian aid to direct more assistance toward both communities -- the Syrian refugees and the Lebanese communities."

It's gotten so bad that some Lebanese families have even been displaced.

Taha, a Lebanese father, says his family's former landlord kicked them out when a recently arrived Syrian family was willing to pay double the rent.

His younger son's anger is clear as day.

"The Syrians took our world away from us," says 9-year-old Iyad. "There's nothing left for us."

His father's outrage, however, is reserved for others.

"We're not against Syrians -- we have to help the refugees," Taha says. "But our government has to take care of us, too."

Pointing to his oldest, he says, "My son here, now he has to work too -- it's awful."

There's no indication the teenager has heard us. He sits and stares -- his hopelessness and exhaustion apparent. He isn't just drained. Like so many Syrian children, he's also desperate.

Syrian refugees plead with U.S. secretary of state in Jordan

Syrian refugees flood Jordanian town

@highlight

More than 600,000 Syrians have fled to neighboring Lebanon, U.N. says

@highlight

Resentment toward Syrian refugees is on the rise in Lebanon

@highlight

Syrians say they're destitute and face discrimination in new country

@highlight

"The Syrians took our world away from us," Lebanese boy says