Johannesburg, South Africa (CNN) -- A lawyer breaks down sobbing in court. The president's children sit in the public gallery. The secretary general of the ruling party, the African National Congress, sits behind them. Outside, military veterans and riot police hold back crowds dancing in support of the president. This is no normal high court case hearing.

At issue is "The Spear," a piece of artwork depicting the president of South Africa as a Lenin figure with his genitals exposed, accused of offending the dignity of Jacob Zuma.

The painting has pitched culture and tradition against constitutional rights. It has polarized a nation: Those who believe it is offensive to depict the President -- and in fact any black person -- in this way against those who believe in the freedom of expression.

South Africa is the custodian of one of the most progressive constitutions in the world, held up as a model state when it comes to protecting freedoms and rights.

The furor began nearly two weeks ago when an exhibition entitled "Hail to the Thief" went up in a small suburban gallery in Johannesburg. It was the artist Brett Murray's interpretation of what has become of South Africa's young democracy. And it was not kind. Through his art he portrayed the ruling party, the ANC, as corrupt, selfish and full of broken promises.

But it was the one painting of Zuma that got the nation hot under the collar. For a few days it sat there largely unnoticed, quietly minding its own business, until the ANC woke up and saw the picture in a Sunday newspaper. The party demanded it be taken down. The gallery refused. And so the legal battle ensued.

Then, this week, along came the protesters, one white, one black, both working independently of each other, who calmly walked into the gallery and smeared the painting with red and black paint. Both claimed the painting was an insult to the honor of the president. The two were arrested, the painting was taken down and the gallery closed. The image of the painting, however, remains on City Press' website. The defacing of the painting was not going to stop this battle.

Foes of painting plan march to gallery

Today was the first day of the hearing in the High Court of Johannesburg. Outside, the ANC had erected a stage and struggle songs burst out into the streets. Throngs of people gathered with posters demanding Zuma's dignity be restored and the painting destroyed. Former ANC armed-wing veterans dressed in full military uniform held the crowds back from the court. Riot police looked on. Reporters filmed their pieces to camera.

Inside the court an air of calm reigned despite being full to capacity. Rows of journalists tweeted incessantly, ANC bigwigs greeted each other fondly, and a handful of the President's 21 children looked on.

Sitting on the bench were three highly respected judges, one white Afrikaaner male, one Indian female and one black female: A true reflection of this country's diversity and equality.

The leading lawyer, Gcina Malindi, began by arguing for the removal of the painting and the image on the basis that no one deserves such indignity whoever they are.

The judges retorted that it was an impossible feat to take it out of public circulation. The image is everywhere: On social networks, Twitter and the internet -- it even has its own Wikipedia page.

One judge then asked how dignity could be restored by removing the picture from websites. The senior lawyer began his answer. He took the court back to South Africa's fight for freedom and human rights. They were now free and had been vindicated. His last line was, "The struggle was a just struggle."

It was then that the sobs rang out across the courtroom.

The lawyer had broken down crying. As he began to talk of the struggle, he held back the tears, trying desperately to contain himself, but it was no use.

The impact of his breakdown was made all the worse by the fact that he was hooked up to the microphones. His sobs were loud and clear for all to hear. With his head in his hands he fell to the desk.

The judges looked awkward, adjourned the case and scuttled off into their chambers leaving a stunned courtroom to work out exactly what had just happened.

Malindi had been imprisoned and tortured on Robben Island during apartheid. He was a freedom fighter and is now a highly regarded lawyer. He simply could not contain his emotions when talking about the freedom that he and many other black people in South Africa had fought for.

He later said his line of argument had brought up many emotions that he had felt 25 years ago. He added that he should have had more self-control, but "unfortunately I did not'.

When the court returned, Malindi calmly walked back into the courtroom and requested a postponement. Both the complainants and respondents agreed as did the judges. It was not to be a cut-and-dried case. Three days have been set aside to hear the case in full at a date yet to be decided.

So the nation awaits the final verdict as the court balances the president's dignity against freedom of expression

And in the meantime, the ANC has called for further protests and the boycotting of City Press. The battle rages on.

@highlight

Painting by Brett Murray, "The Spear of the Nation" shows Jacob Zuma's genitals

@highlight

South Africa's ruling ANC claims the artwork offends the president's dignity

@highlight

Party wants the controversial image to be removed from websites

@highlight

Lawyer sobs in court describing South Africa's struggle for freedom, human rights