(CNN) -- Jack Borden would like you to consider working well past retirement age. As a 101-year-old attorney, he has the credibility to encourage it.

Attorney Jack Borden, 101, says he's never thought about not working. "What would I do?" he said.

Borden, who has been practicing law for the better part of 70 years, still spends about 40 hours a week at his office in Weatherford, Texas, handling estate planning, probate and real estate matters.

Retire? Not while he's able to help folks.

"As long as you are capable, you ought to use what God gave you. He left me here for a reason, and with enough of a mind to do what it is I'm supposed to be doing," said Borden, who also has been a district attorney and Weatherford's mayor.

He arrives at the practice he shares with his nephew at 6:30 a.m. He goes home for lunch at 10:45 a.m., rests in bed for 45 minutes -- doctor's orders after pneumonia a few years back -- returns to work by 12:45 p.m. and stays until at least 4.

Not everyone who works past 65 does so because they want to. In a survey completed last month, 38 percent of respondents working past the age of 62 said they may have to delay retirement even further because of the recession, according to the Pew Research Center's Social and Demographic Trends project.

But in answer to another question in the same survey, 54 percent of workers 65 or older said they're working now mainly because they want to. Seventeen percent said their main reason was money, and 27 percent said both factors motivated them.

"Some of them enjoy it, and some of them need the money. But even if they need the money, they also enjoy the work," said Cynthia Metzler, president of Experience Works, a nonprofit that helps low-income workers ages 55 and older acquire new job skills.

The group, which operates in 30 states and also uses federal funds to pay participants a minimum wage to work community service jobs while they look for other work, last month named Borden as America's Outstanding Oldest Worker -- a title it bestows annually to a worker over 100.

Last week, Borden was in Washington to participate in events the group was holding to mark National Employ Older Workers Week.

When it comes to putting off retirement out of desire, Borden is hardly alone.

Preston Brown, 70, is a police officer in Yakima, Washington. He's enjoying the challenges that come with patrolling streets full time, and the experiences are relatively fresh: The former marketing worker and real estate broker didn't join the force until he was 51.

He was attracted to law enforcement as a teen but was told he was too short. The height requirements eventually changed, and after some friends persuaded him to go on a patrol ride-along, he began a process that landed him a job with Yakima police in 1990.

Whatever is required, from report-taking to chases, he's up for it.

"From time to time there will be a physical confrontation ... and we can get involved in foot chases and vehicle chases. Usually the vast quantity is on night shift more than [my daytime shift], but still I'm involved in those," Brown said.

Nineteen years later and still in good shape, he has no plans to stop. He likes the pay but he doesn't have to work: His wife of 53 years has a pension. He could be doing other things, such as playing racquetball and motorcycling with friends, but because he gets four days off after working five roughly 11-hour days, he already has time for that.

"When I wake up and prepare to leave for work, I'm looking forward to it," he said. "It's challenging and exciting."

In Anderson, South Carolina, customers at a Chick-fil-A restaurant might see 88-year-old Frank Childers fixing a door. His wife, Gertrude Childers, 88, might be carrying a tray to a table or refreshing someone's beverage.

When Frank Childers retired from his insurance sales job in 1985, he looked forward to free time and fishing.

"I stayed retired for five years. I got tired of sitting around," he said.

Frank Childers, who had some mechanical experience before working in insurance, took some jobs to stay busy. In 1998, Jon Holmes, the owner-operator of three Anderson Chick-fil-As, asked him to lead his maintenance staff, and Childers has been working there since.

Gertrude Childers, a former mill worker, also was hired in 1998 to be a dining room hostess at one of the restaurants. She works 20 hours a week; her husband works about 30.

They each said they enjoy the work and the people they've met. They don't have to work for the money, they said, but the pay doesn't hurt.

"It's nice to have your own money, because when I want to go shopping, I don't have to ask nobody," Gertrude Childers said, laughing.

Experience Works says many low-income workers 55 and older need to find jobs but can't, in part because of the recession. It points to the age group's unemployment rate: It was 6.8 percent in August, up from 2.9 percent three years earlier, according to the Bureau of Labor Statistics. That's still better than the rate for all age groups, 9.7 percent in August.

Lynn Dusenbery, 62, faces many more years of work out of necessity. The Ashland, Wisconsin, resident sold her floral business four years ago to cover medical bills. Once hoping to retire at 65, she now has no savings, is uninsured, and -- living in a rural area with perennially high unemployment -- still hasn't found full-time work.

"I was a florist for 40 years. I came out with no skills that would get me by in the outside world," Dusenbery said.

Dusenbery enrolled with Experience Works three years ago and has picked up computer skills and other training and part-time jobs with the group. She's looking for full-time work.

As for Borden, work is still energizing and rewarding.

"If I were to quit, I might last a year, but probably not over six months," said Borden. "I have to use a walker because of old age, so there's not much else I could do except sit in my house. Why do that when I can not only enjoy life, but help some people?"

@highlight

Texas attorney Jack Borden, 101, still works 40 hours a week

@highlight

Group named Borden "America's Outstanding Oldest Worker" for 2009

@highlight

"If I were to quit, I might last ... not over six months," Borden says

@highlight

Police officer, 70, didn't become cop until he was 51