(CNN) -- "Lift Every Voice and Sing" is an uplifting spiritual, one that's often heard in churches and popularly recognized as the black national anthem. Timothy Askew grew up with its rhythms, but now the song holds a contentious place in his mind.

"I love the song," said Askew, an associate professor of English at Clark Atlanta University, a historically black college. "But it's not the song that is the problem. It's the label of the song as a 'black national anthem' that creates a lot of confusion and tension."

The song and its message of struggle and hope have long been attached to the African-American community. It lives on as a religious hymn for several protestant and African-American denominations and was quoted by the Rev. Joseph E. Lowery at Barack Obama's presidential inauguration.

After studying the music and lyrics of the song and its history for more than two decades, Askew decided the song was intentionally written with no specific reference to any race or ethnicity.

Askew explains his position in the new book, "Cultural Hegemony and African American Patriotism: An Analysis of the Song, 'Lift Every Voice and Sing,'" which was released by Linus Publications in June. The book explores the literary and musical traditions of the song, but also says that a national anthem for African-Americans can be construed as racially separatist and divisive.

"To sing the 'black national anthem' suggests that black people are separatist and want to have their own nation," Askew said. "This means that everything Martin Luther King Jr. believed about being one nation gets thrown out the window."

Askew first became intrigued with "Lift Every Voice and Sing" while working on his master's degree at Yale University. He was a Morehouse College music graduate, young, passionate and hungry for knowledge about African-American culture. A fellow classmate suggested Askew explore Yale's collection on James Weldon Johnson, an early civil rights activist who wrote the song decades earlier.

Johnson first wrote "Lift Every Voice and Sing" as a poem in 1900. Hundreds of African-American students performed it at a celebration of Abraham Lincoln's birthday at Jacksonville, Florida's Stanton School, where Johnson was principal. Johnson's brother, John Rosamond Johnson, later set the poem to music. By 1920, the NAACP had proclaimed the song the "Negro National Anthem."

"I remember methodically going into the Yale library every day and sitting there on the floor, rummaging through 700 boxes of James Johnson's work," Askew said. "I became so fascinated in his life and letters, that I wanted to know more about the creation of the song and how it related to our modern understanding of it."

He found letters of appreciation to Johnson from individuals of all different ethnic backgrounds. At that moment, Askew had a revelation: The song he'd known as the "black national anthem" was for everybody.

Some will call his perspective on the song a contradiction, Askew said, especially because he works at a historically black college. But he argues that universities like Clark Atlanta accept students of many races and ethnicities; a national anthem for one race excludes others, and ignores an existing national anthem, "The Star-Spangled Banner" by Francis Scott Key.

"Some people argue lines like 'We have come, treading our path through the blood of the slaughtered,' signify a tie to slavery and the black power struggle," Askew said. "But in all essence there is no specific reference to black people in this song. It lends itself to any people who have struggled."

He's not the only one who sees fault in a national anthem just for African-Americans.

Kenneth Durden, an African-American conservative blogger, responded to Askew's claims on his blog, "A Free Man, Thinking Freely." He said in an interview that Askew is right to make connections to King's view of one America.

"King always appealed to the American dream for all," Durden said. "He was a patriot and he never wanted blacks to deny or separate themselves from being American. I think claiming an anthem for ourselves as black people is doing just that."

What troubles Askew more is that the song became an identity marker for African-Americans.

"Who has the right to decide for all black people what racial symbol they should have?" Askew said. "Identity should be developed by the individual himself, not a group of people who think they know what is best for you."

Hilary O. Shelton, senior vice president for advocacy and policy for the NAACP, said Askew's ideas might be far-fetched.

"I don't see anything that is racially exclusive or discriminatory about the song," Shelton said. "The negro national anthem was adopted and welcomed by a very interracial group, and it speaks of hope in being full first-class citizens in our society."

"Lift Every Voice and Sing" isn't meant to cloud national identity or persuade African-Americans to be separatists, Shelton said. It's often sung in conjunction with "The Star-Spangled Banner," or with the reciting of the Pledge of Allegiance at NAACP events.

"His presumption is that this song is sung instead of our national anthem -- that we are less American and we are not as committed to America because we take pride in the Negro national anthem," Shelton said. "It is evident in our actions as an organization and here in America that we are about inclusion, not exclusion. To claim that we as African-Americans want to form a confederation or separate ourselves from white people because of one song is baffling to me."

This isn't the first time "Lift Every Voice and Sing" has sparked debate. In 2008, jazz singer Rene Marie substituted the words of "The Star-Spangled Banner" with the words of "Lift Every Voice and Sing" at Mayor John Hickenlooper's State of the City address in Denver, Colorado. Marie said it was a matter of artistic expression, but critics viewed the lyrical switch as disrespect toward the national anthem, a lack of patriotism and an insinuation of racial division.

"I think that we often try to separate the black experience from the American experience," said Marc Lamont Hill, an associate professor of education at Columbia University who studies hip-hop culture. "It's a black national anthem, but it's also a quintessential American song because of its message of fighting for freedom. It's not 'lift the black voices,' it's 'lift every voice.'"

Askew, though, maintains there's only one national anthem, "The Star-Spangled Banner," and that "Lift Every Voice and Sing" could take on a new role: a message of victory for all ethnic groups in the United States.

"We need to consider eliminating this alternative label of 'black national anthem' in order to promote unity," Askew said. "I know people will probably think that I'm a sellout, but I think it is important that African-Americans nationally understand that we should be moving towards racial cohesiveness."

@highlight

"Lift Every Voice and Sing" was written by James Weldon Johnson in 1900

@highlight

The spiritual hymn is recognized as the "black national anthem"

@highlight

HBCU Professor Timothy Askew claims a national anthem for one race is racially divisive and separatist