London (CNN) -- Whatever U.S. and European leaders may say, it seems clear a majority of the residents of Crimea were only too happy to abandon Ukraine and join the Russian Federation. The referendum held there on Sunday was illegal according to Ukrainian constitutional law and took place under duress, following the large-scale incursion of "pro-Russian forces" -- and voters did not have the choice to say "no" to severing ties with Kiev.

But these failings aside, it appears plain that most of Crimea's population, with the exception of the Tatar minority and some ethnic Ukrainians, was content to return to what it regards as its ancestral home. The crucial turnout figures of up to 83% are suspect and may well be inflated. But independent reporting of enthusiastic celebrations suggested the overall outcome genuinely reflected popular wishes -- and was crudely democratic.

For this reason, it is unwise of U.S. President Barack Obama and his European counterparts to declare they will "never" recognize the Crimean result.

This crisis erupted when anti-Russian opposition forces in Kiev overthrew the country's democratically-elected president, Viktor Yanukovych. This action, too, was illegal under Ukraine's constitutional law and had little support in Crimea. But it was swiftly endorsed by Washington and in European capitals.

Now, faced by the pro-Russian opposition's rebound success in Crimea and a political result he does not like, Obama cries foul and refuses to accept the outcome. He cannot have it both ways.

In his telephone conversation with Obama on Sunday, Russian President Vladimir Putin quoted the "Kosovo precedent," a reference to the recognition by the U.S. and several European states (but not Russia) of a 2008 declaration of independence by the provincial assembly in Pristina, even though Kosovo was then still a part of Serbia.

The unrepentant Russian president's slightly disingenuous question to Obama was: So what's the difference?

The right of self-determination of peoples is guaranteed under Chapter One of the U.N. Charter.

In South Sudan (which became independent in 2011), in East Timor, in Croatia and Montenegro and various other Balkan states, the U.S. and its allies have upheld and encouraged this principle. A similar process is currently underway in Scotland. If Catalonia enjoyed a similar freedom, it would quite possibly part company with Spain.

The answer given by Western governments when confronted with the "Kosovo precedent" is that each case is different and indeed, unique, and must therefore be treated on its separate merits. But this, too, is a slightly spurious argument, akin to the hypothesis which states that my invasion of a country (Iraq or Afghanistan, for example) is legally and morally justified, whereas your invasion is not.

In pragmatic as well as theoretical terms, it is a mistake to make of the assisted, hurried but essentially voluntary secession of Crimea a major issue of principle on which there can "never" be compromise. It will obscure the bigger picture. The key challenge for Obama and the EU is not the fate of Crimea per se, but what its destabilising departure implies for the future of Ukraine as a whole and for the wider region.

The sanctions and other punishments now being prepared for Russia in Washington and Brussels should pivot on what Moscow does or does not do next, most especially in the cities of eastern Ukraine where additional, large ethnic Russian populations live but so too do many non-Russian Ukrainians. This pre-emptive policy should also apply to Moldova (which has a breakaway, pro-Russian region known as Transnistria), to the Baltic states, and to Georgia, where Putin might be tempted to intrude again.

Putin was left in a minority of one at the U.N. Security Council at the weekend because Chapter One of the U.N. Charter also states the following: "All members shall refrain in their international relations from the threat or use of force against the territorial integrity or political independence of any state."

Whether Putin has absolutely contravened this principle in Crimea may be open to debate. But eastern Ukraine, with its mixed populations, heritage and loyalties, is a different matter altogether -- which even China, which did not support Moscow at the U.N., understands. If an emboldened Putin now makes the mistake of thinking he can extend his modern-day form of rolling Anschluss into these areas, he must be knocked back very hard indeed.

That means going much further, and acting much tougher, than the rather feeble travel and visa bans now being discussed will allow. An Iran-style sanctions regime blocking energy exports, investment, banking and other mainstream business and commercial activities such as arms sales would be more appropriate. So, too, would be direct U.S. and European military assistance to Kiev, as proposed by Senator John McCain.

Judging by his behaviour in Chechnya and elsewhere since he first became Russia's prime minister in 1999, Putin is a bully with a massive inferiority complex who responds to strength, not weakness. When Obama stresses that diplomatic solutions can still be found, as he did on Sunday, Putin reads that as fear. You can almost hear the snigger.

The only way to stop this strutting menace, if he continues to over-reach, is to frighten him right back -- and if necessary, help create the conditions inside Russia in which he and his ugly, reactionary regime are brought down.

Read more: Ignore Western hypocrisy, Putin will do what he wants

Read more: Crimea's vote: Was it legal?

Read more: CNN Money: Russians spend billions on Europe deals

The opinions expressed in this commentary are solely those of Simon Tisdall.

@highlight

Voters in Crimea overwhelmingly back a resolution to leave Ukraine and join Russia

@highlight

Backlash against the decision in U.S., EU, with sanctions, travel bans suggested

@highlight

Simon Tisdall: Barack Obama unwise to declare U.S. will "never" recognize Crimea vote

@highlight

Tisdall says West needs to frighten Vladimir Putin, to prevent him moving in to other regions