(CNN) -- The immediate destruction from the typhoon are visible and palpable. But after the body bags are removed, the deceased mourned and debris cleaned, what happens next?

The toll from typhoons can linger long after and is linked to disproportionate deaths of Filipino baby girls two years after a storm, according to a recent report. In comparison, male infants were not affected to the same extent.

The authors posit that female infants in the Philippines suffer "economic deaths," resulting from economic hardships to households and impacts on how families allocate resources. These female infant deaths is 15 times greater than typhoon exposure deaths.

"A lot of times when you think about climate change or disasters, we focus on obvious immediate damage," said Jesse Antilla-Hughes, assistant professor at University of San Francisco. "When you look at the enduring legacy of the events, the lag damage is diffused, long-lasting, but serious -- it takes a long time to show up."

Long before Typhoon Haiyan, the authors, Antilla-Hughes and Solomon Hsiang, conducted research on the cost of climate change. They chose the Philippines because of the frequency of typhoons.

The working paper was completed earlier this year, and is now in peer review for an economic journal. It does not examine Typhoon Haiyan, which hit the Philippines on November 8 and killed more than 4,000 people.

The authors had collected economic and health data from the Philippines government spanning from 1979 to 2008 on how households were affected by typhoons. The annual average typhoon exposure deaths was 740 and their analysis found about 11,261 "economic deaths" of female infants in the year after the storms.

"We saw the big spike in mortality in female infants," said Hsiang, assistant professor of public policy at University of California Berkeley. "What was confusing was the mortality emerged a long time after the storm."

Roughly half of the dying female infants weren't even conceived before the typhoon, so they were not even exposed in the womb.

The authors found that families reduced health-related expenditures such as nutritious foods and medical visits after a typhoon. Being struck by a colossal storm can upend a household's finances. For example, a family could lose its roof, toilet and walls, the authors said. And the local economy may be devastated as it's hard for adults to recoup jobs, find income and rebuild homes.

"The storm is having an impact in the first year of life," Hsiang said. "It's the fact the storm destroyed the family livelihood, they have to rebuild and get their economic foothold back. In that process, they have to cut back in what they spent."

Filipino households reduced spending by 7.1%, and the average income per household dropped by 6.6% a year after a typhoon.

"We see every sector deteriorate after the storm," Hsiang said. "People working in agriculture and services, people working in construction suffer income loss. It's hard for families to get back on their feet after they've lost their ability to make more money to rebuild their lives."

Their research suggested that baby girls may inadvertently be bearing the brunt of the economic devastation as families cut back.

"We think what happens is they cut corners, try to use money to rebuild, but that's cutting back and damaging people's health particularly the most vulnerable -- most likely the infant," Hsiang said.

But boys were not affected like girls.

"The big thing is we don't think it's active, malicious poor treatment of the girls," said Antilla-Hughes. "We suspect it's something more diffuse, something subtle about family's resources in sons versus daughters."

Worse health outcomes for female children in times of economic hardships are common patterns, generally thought to occur as parents allocate less resources to girls in their household in countries like China, India and Bangladesh. But what perplexed the authors is that the Philippines is considered an egalitarian society in terms of gender.

It ranked as the top performer in Asia Pacific in terms of gender equality, coming in as fifth overall in this year's World Economic Forum's report.

The authors found that mortality among first-born females were moderate, but their risks doubled when the girls had older sisters, and doubled again if they had older brothers. "We interpret these findings as strong evidence that female infant mortality is driven by resource scarcity within households and not by physical exposure to typhoons themselves," the authors wrote.

With Typhoon Haiyan, it's difficult to determine whether the female infant mortality could be much worse the storm exposure deaths, as researchers found in previous years.

"It's almost certainly the case there's a risk of high death toll of female infants in the Philippines that's easy to miss if you're not looking for it," Antilla-Hughes said.

The authors say relief workers and government officials should pay attention to the impact on infant mortality especially in the next few years in the typhoon-devastated areas.

@highlight

Economic research: Researchers find spike in mortality in Filipino female infants after typhoons

@highlight

Research looked at typhoons in Philippines and impact on household economics and health

@highlight

Report does not include Typhoon Haiyan, but authors say attention needed in infant mortality years after typhoon