(CNN) -- In homes all across America, working parents struggle to pay their bills at the end of the month. College graduates move back in with their parents because student loan debts are so high. Young families juggle two jobs just to afford their rising health care premiums.

These are the problems Americans face every single day, in every state across the country. As the heads of the Republican communications offices in the House and the Senate, it's our job to listen to these problems and share Republican solutions.

Our party has heard Americans' concerns, and that's why we've put forward hundreds of bills to help grow the economy, create jobs, expand opportunity and give American families hope for tomorrow. Our conversations with people back home, from the supermarket to the church pews to the doctor's office, have helped us develop legislative solutions that will make life better for Americans in every corner of this country.

The House Republican majority has passed one jobs bill after another -- bills like the Small Business Capital Access and Job Preservation Act, which eliminates costly regulations for small and medium-size businesses, and which passed the House with the support of 36 Democrats.

The House passed the America's Small Business Tax Relief Act, which gives small businesses more certainty by making permanent the maximum expensing allowance at $500,000, and the measure passed with the support of 53 Democrats. And House Republicans advanced the bipartisan Hire More Heroes Act, which would help America's veterans get back to work by excluding them from Obamacare's employer mandate threshold and therefore incentivizing businesses to hire them, and that legislation passed the House with almost unanimous Democratic support.

And those are just the beginning.

Unfortunately, once these bills go to the Democrat-led Senate, their progress comes to an abrupt halt. Scores of jobs bills and other important legislation are currently gathering dust on Senate Majority Leader Harry Reid's desk.

The same thing has happened to Senate Republicans.

Senate Republicans have put forward numerous bills to help create jobs and opportunities and solve the challenges facing working families, but Reid has resolutely refused to allow any of them to come to the floor. And Senate Republicans have repeatedly been prevented from offering amendments to Democrat bills, including amendments that would have garnered bipartisan support, like an amendment to repeal Obamacare's burdensome medical device tax.

While the Democratic majority in Washington refuses to debate the challenges facing the American people, Republicans continue to introduce solutions. While Reid ties up the Senate with political gimmicks and boutique bills designed to appeal to Democrats' far-left base -- like this month's effort to erase the free speech clause of the First Amendment with a proposed constitutional amendment on campaign contributions that would have empowered incumbent politicians to suppress the speech of their constituents -- Republicans move forward pro-jobs, pro-growth legislation that will get Americans back to work.

While Democrats stand in the way of 21st-century solutions that will move our economy forward, Republicans continue to advance them.

The contrast between the two parties couldn't be more clear: Republicans are working to create jobs for Americans. Democrats are working to save their own.

American families can't afford to keep waiting for Senate Democrats to get their act together. Unemployment is high, and jobs and opportunities are few and far between. Obamacare has driven up health care premiums and significantly reduced health care choices for some Americans. Gas prices have risen by 84% since President Obama took office. And household income has fallen by about $2,600.

Right now, too many Americans are struggling to make ends meet, support their families, pay their premiums and get back to work. In fact, nearly one in three Americans says their financial situation has gotten worse in the past year. We want to make it better.

Americans need solutions. But as long as Reid continues to obstruct meaningful legislation in the Senate, they're not going to get them.

The American people should not have to endure another two-year solutions blockade from Senate Democrats.

The Senate needs a new majority with leaders who understand that they were elected to govern and who will work with the House to actually pass legislation to address America's challenges and provide the relief hard-working American families need: more jobs, increased take-home pay and more opportunities for advancement, expanded workplace flexibility, lower energy prices and real health care reform that will lower costs and put patients in charge.

It's our hope that when Congress reconvenes next year, there will be new leadership in the Senate. We need leaders who will create opportunities, not stand in the way of them. We're ready and waiting to get things done for the American people. We just need willing partners.

Join us on Facebook.com/CNNOpinion.

@highlight

Leaders of Republican conferences make their case for the midterm elections

@highlight

They say a GOP-led Senate would result in a Congress that can solve problems

@highlight

Authors: House has passed bills to improve economy, but they've been blocked in Senate