Burlington, Vermont (Travel + Leisure) -- On a recent afternoon along Church Street in Burlington, Vermont, young aspiring actors recited passages from Shakespeare's Henry V as jugglers, break-dancers, and blowers of didgeridoos displayed their skills nearby, creating a visual and aural cacophony. Just another day in a thriving college town -- this one happening to be home to the University of Vermont.

There are notable distinctions between college towns and other American cities.

In the student-centric spots, bicycles seem to outnumber cars.

Affordable restaurants serve up authentic cuisines from all around the world. The streets are densely packed with businesses, making for a highly pedestrian-friendly environment.

Nature is usually accentuated: the shimmering Lake Champlain, backdropped by a sawtooth silhouette of peaks, forms the western edge of Burlington.

Madison, Wisconsin, is situated on an isthmus between two lakes that draw hordes of hikers and bikers. Boulder, Colorado, is an outdoor enthusiast's dream.

And don't forget the bars.

Each of these locales offers plenty of opportunities for imbibing, many of them ideal for both people-watching and soaking in the scenery.

It's hard to beat sunset cocktails at Austin's Oasis, where tiered decks jut from a 450-foot-high cliff over Lake Travis.

These attractions are mainly geared toward the students, naturally, but they can be readily enjoyed by those with no homework assignments or college connections.

After all, few sports experiences can top the rafter-shaking raucousness in Chapel Hill, North Carolina, during a Tar Heels basketball game.

Many schools benefit from world-class art collections in glittering facilities designed by marquee architects; Chapel Hill's Ackland Art Museum, featuring a wing by Polshek Partnership, tempts visitors with Warhols, Titians, and Dalís in a way that many university-less cities cannot.

The performing arts also abound. Most campuses host an array of dance, theater, and performing arts to rival a season at Lincoln Center. Not to mention rock. This fall, for instance, the Boulder Theater, near the University of Colorado, will host the Psychedelic Furs, Aimee Mann, and Dinosaur Jr.

So, as students zip up their backpacks for a return to the classroom, it's a good time for any traveler to pack up a trunk and visit one of these bustling campus locations. Just don't count on peace and quiet if you go to bed early.

Oxford, Mississippi (University of Mississippi)

On autumn Saturdays when Vaught-Hemingway Stadium is packed with 65,000 whooping fans, it may be tough to associate Oxford with anything but football.

But in a place named for a scholarly English city and that is home to William Faulkner's columned retreat, Rowan Oak, paperbacks take precedence over quarterbacks, especially at Square Books. Its tens of thousands of volumes include autographed copies of works by southern authors like Eudora Welty.

When not reading, residents pedal the city's fast-growing network of bike trails. "I was surprised to learn Mississippi could be so progressive," says Kevin Stuart of Oxford Bicycle Company.

Local taste: Act the southern gentleman on the upstairs porch at City Grocery by ordering a "Just North of South" bourbon mojito.

Olympia, Washington (Evergreen State College)

State capitals and colleges fit together seamlessly in a number of locales (see Austin and Madison).

Olympia nicely mixes buttoned-up government workers and dreadlocked students. It's hard to miss the Capitol Campus -- you can see the legislative building's sandstone dome from almost anywhere in the city.

Take a guided tour, and then stroll through the lovely conservatory and gardens. Every Earth Day, the Procession of the Species parade, with participants colorfully dressed as birds, turtles, killer whales and more, weaves through downtown -- near where Harlequin Productions draws theatergoers to its unconventional shows at the State Theater.

Local taste: Though vegetarians are plentiful in Olympia, shellfish fans are, too; find them slurping Fanny Bays, from the British Columbia bay of the same name, at the Oyster House.

Charlottesville, Virginia (University of Virginia)

The music scene was fertile here B.D.M.B -- that is, before the Dave Matthews Band, which formed in Charlottesville in the early 1990s.

These days, alternative rock, country, and reggae acts -- as well as, of course, jam bands -- get crowds moving at the Charlottesville Pavilion, the Paramount Theater, and even Scott Stadium, where U2 arrives in October.

But the best performances may lurk along the brick sidewalks of the postcard-perfect downtown, in tiny venues like Miller's, a former drugstore that's now known for jazz and blues.

When the music's over, be sure to get a good look at the Thomas Jefferson -- planned campus and explore a Blue Ridge Mountain trail.

Local taste: Matthews, who was born in Johannesburg, might enjoy the "boerie burgers" at the Shebeen, a South African restaurant.

Austin, Texas (University of Texas)

Texas's retro-stylish capital prides itself on turning out offbeat characters -- Willie Nelson and Matthew McConaughey, for starters.

But for something truly batty, check out the Ann Richards/Congress Avenue Bridge, where 1.5 million Mexican free-tailed bats hang out -- quite literally.

At dusk, from March through October, they flap off to chase insects. Viewed from a lawn below next to Lady Bird Lake, the swarm will blot out the sunset. Austin, the so-called live music capital of the world, turns into a music fanatic's dream each March during the SXSW festival.

Local taste: Go for some Texas barbecue at the low-key Artz Rib House, where for $16.99 you can get messy with a full rack of baby-back ribs. Sip alfresco drinks and take in the sunset at Oasis, where tiered decks jut out from a 450-foot-high cliff over Lake Travis.

Burlington, Vermont (University of Vermont)

College towns don't get more scenic than Burlington, where a 7.5-mile bike path on old railroad beds provides wind-riffled views of Lake Champlain. It's understandable, then, that outdoor activities figure prominently here.

Rent a kayak from Umiak to explore bays fringed with pines, or hike Burrow's Trail to the summit of nearby Camel's Hump, whose bald-faced 4,083-foot summit offers living-map panoramas.

Local taste: Dine on local delicacies at the Green Room, which offers locavore favorites like Vermont lamb braised with green peppercorns.

Boulder, Colorado (University of Colorado)

In a town that always pops up on "healthiest cities in America" lists, bike trails are abundant and outdoor options are endless.

The Wild West begins along Baseline Road in Boulder, in the foothills of the Rockies known as the Flatirons, for their sharply angled faces. Rent climbing shoes from Neptune Mountaineering, whose in-store museum features dozens of ice axes and an early pair of Rossignol skis.

Local taste: The Chautauqua National Historic Landmark, built in the 1800s as a Methodist retreat, now serves up salmon with salsa verde on a wraparound porch. The on-site summer-camp-type cottages provide eagle-eye views toward the flatlands.

Berkeley, California (University of California)

If coffee shops define a good college town, Berkeley has the competition beat. Some host bands, others show art, many sell fair-trade blends, and most offer a space where it's okay to relax for hours.

"It's kind of a universal hangout place, not just for professors and students," says Erik Hvezda, a barista at Brewed Awakening.

Many residents prefer the crackle of vinyl to MP3s; pick up some LPs at the well-stocked Amoeba Music on Telegraph Avenue, Berkeley's festive commercial strip. In the heart of campus, the 61-bell carillon provides the tunes atop 307-foot Sather Tower, which also offers stunning panoramas of San Francisco Bay.

Local taste: For brunch, fit in with the crunchy crowd by ordering a tofu scramble at Venus. For some local suds, stop in for pints at the festive Pyramid Brewery.

Ann Arbor, Michigan (University of Michigan)

If a town's name references trees, it's a good bet nature will figure prominently. At the lush, 123-acre Nichols Arboretum, gravel paths wind past blazes of yellow, pink, and white peonies and the occasional reclining student. The "Arb" is also frequently the setting for Shakespeare stagings.

Slake your thirst amid more flora at Dominick's, whose garden is ideal for enjoying any of the 10 local microbrews on tap.

Local taste: Apart from the various Wolverines sports teams, the pride of Ann Arbor is Zingerman's Roadhouse, where the rooftop vintage neon sign reads "Really Good American Food." And that's what you'll get, of every type, from New Mexican chiles to oysters from Apalachicola, FL.

Madison, Wisconsin (University of Wisconsin)

Like oases in deserts, college towns in the Midwest can be refreshing splashes of hustle and bustle amid the plains.

The Wisconsin capital squeezes cafés, art galleries, and the César Pelli -- designed Madison Museum of Contemporary Art onto an invigorating pedestrian-only thoroughfare. In warm weather, the museum's roof is the setting for concerts and films.

Elsewhere are found lively neighborhood block parties, like the Atwood Summerfest, which annually offers rock bands on multiple stages.

And there's no shortage of aquatic fun: the city is located on an isthmus between a pair of glittering lakes.

Local taste: L'Etoile Restaurant is the region's slow-food mecca.

Chapel Hill, North Carolina (University of North Carolina)

Yes, there's a fine clutch of Georgian classroom buildings around a shaded, picturesque quad, but during the winter months, everyone's attention is fixated on the Dean Dome, home to the powerhouse Tar Heels basketball team.

Come November, tickets that haven't been snapped up by students are available to the public.

Die-hards check out the 8,000-square-foot, year-old Carolina Basketball Museum, which doubles as a de facto shrine to alum Michael Jordan (old jerseys included).

Still, nothing beats game time, says ticket director John Miller: "It's really just electric." During the off-season, browse for art at Red Window, owned by Elizabeth Edwards, wife of former senator John Edwards.

Local taste: Though the building's a flyspeck, the long lines of cars at the drive-through window of the Sunrise Biscuit Kitchen testify to the restaurant's celebrated sweet tea and fried chicken.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

If coffee shops define a good college town, Berkeley has the competition beat

@highlight

Check out the Carolina Basketball Museum -- also a shrine to Michael Jordan

@highlight

Hang out at the Ann Richards/Congress Avenue Bridge, with 1.5 million bats