Bangkok, Thailand (CNN) -- The Thai military on Friday tightened its grip on the politically unstable Southeast Asian nation, banning more than 150 prominent figures from leaving the country and threatening to arrest politicians who disobey its orders.

Former Prime Minister Yingluck Shinawatra was among those who reported to the military junta, which seized power in a coup Thursday after months of turmoil that paralyzed much of the government and caused deadly clashes in the streets of Bangkok.

The United States and other countries have criticized the military's intervention, the latest in a long list of coups in Thailand, and called for the swift restoration of democracy.

Yingluck, whose government was in power when the unrest began in November, was removed from office this month by the country's Constitutional Court over the appointments of top security officials.

Prominent people summoned

Yingluck arrived around noon Friday at a military compound in Bangkok with one of her sisters and was still there hours later, a source close to the former leader told CNN. The military on Thursday summoned Yingluck and three other members of her politically powerful family to report to authorities.

It has also called on more than 100 others, including prominent figures on both sides of Thailand's political divide, to come to military facilities. Those who don't report, it has warned, will be arrested.

Military officials haven't provided much explanation about the reasons for the summonses, saying it's necessary "to ensure smooth operation of restoration of peace and order."

They have also placed travel bans on Yingluck and scores of others.

Yingluck was being detained at a military barracks outside Bangkok, the Thai government's national security adviser, Lt. Gen. Paradon Patthanathabut, said late Friday. Paradon said Yingluck was detained for her own safety along with and former ministers and one-time members of her Cabinet.

The junta on Thursday detained some of the leaders of the country's deeply polarized political factions. Some of those held, including opposition leader Abhisit Vejjajiva and members of Yingluck's Pheu Thai Party, were later released.

Constitution ditched, curfew imposed

Gen. Prayuth Chan-ocha, the head of the military, has assumed the powers to act as Prime Minister until a new one takes office, the military said Thursday.

How the government will operate remains unclear, given that the military also has thrown out the constitution it drew up in 2007 after a previous coup, except for Section 2, which acknowledges that the King is the head of state.

The last six months have been marked by large-scale protests, both by those backing Yingluck's government and those opposed to it. There have been periodic outbursts of deadly violence in the streets.

Protest camps of both sides in Bangkok have been cleared away since the coup.

Under the new order, schools will be closed nationwide between Friday and Sunday, the military said. A curfew is in place between 10 p.m. and 5 a.m. And all state-run, satellite and cable TV providers have been ordered to carry only the signal of the army's television channel; CNN is among those networks that have been taken off the air.

The military warned against posting misleading or critical comments on social media platforms.

In a speech Thursday, Prayuth explained that these actions were necessary to restore order and push through reforms.

In Bangkok, calm and a cleanup

The day after the coup, a peculiar calm had settled on the streets of much of the Thai capital, which has been the focal point of political unrest.

A few hundred anti-coup protesters gathered in central Bangkok, some cheering and whistling and others holding banners saying "no to coup," but members of the military kept a distance.

A few demonstrators from rival camps argued among themselves, but police tried to calm both sides down. The crowds were thinning out by early Friday evening.

Life in most of the city's center appeared normal during the day, with shops open and people going to work.

In the area by the Democracy Monument, where anti-government protesters had camped out for months, work had begun to clear up the detritus that had been left behind.

Dozens of people were dismantling large tents, cleaning and sweeping. Trucks and cranes were pulling down the infrastructure the protesters had put up at the camp.

The military presence around the city remained subtle, with few soldiers in view, except outside the Defense Ministry and military sites.

"The situation in Bangkok is quite calm at the moment, but obviously we're all watching very, very closely to see what happens next," Kristie Kenney, U.S. ambassador to Thailand, told CNN.

Kenney said she would not be attending a briefing Friday that the Thai military was holding for diplomats but would send someone from the U.S. Embassy.

Her comments came after U.S. Secretary of State John Kerry said Thursday that there was "no justification" for the military coup.

The U.S. Embassy in Bangkok has updated its guidance for Americans traveling to Thailand. It "recommends that U.S. citizens reconsider any nonessential travel to Thailand, particularly Bangkok, due to ongoing political and social unrest and restrictions on internal movements, including an indefinite nighttime curfew."

The question many analysts are asking is how the popular "Red Shirt" movement, which supports Yingluck and her exiled brother Thaksin Shinawatra, will respond to the coup.

The Red Shirts, whose support base is in the rural north and northwest of Thailand, were already angered by Yingluck's ouster this month, a move they viewed as a judicial coup by Bangkok elites.

Senior Red Shirt leaders, as well as prominent figures from the anti-Yingluck protesters, were still being held Friday by the military, according to Paradon, the national security adviser to the government.

Thaksin, a business tycoon who built a highly successful political movement through populist policies benefiting the rural masses, was deposed as Prime Minister in a military coup in 2006.

In 2010, when the pro-Thaksin party was out of power, the Red Shirts mounted large protests in the heart of Bangkok. An ensuing crackdown by security forces resulted in clashes that killed around 90 people.

Thailand martial law: A cheat sheet to get you up to speed

Soldiers, selfies and a military coup

CNN's Kocha Olarn and Paula Hancocks reported from Bangkok, and Jethro Mullen reported and wrote from Hong Kong. CNN's Paula Hancocks, Simon Harrison, Neda Farshbaf and Greg Botelho contributed to this report.

@highlight

U.S. says Americans should "reconsider any nonessential travel to Thailand"

@highlight

Source: Ex-Prime Minister Yingluck Shinawatra at a military compound in Bangkok

@highlight

The Thai military imposes a travel ban on scores of people

@highlight

Anti-coup protesters demonstrate in central Bangkok; military keeps a distance