So ill he could not move, Wolfgang Amadeus Mozart supposedly sang parts of his final masterpiece, "Requiem," from his deathbed. Two centuries later, the exact cause of the Austrian composer's premature death, in December 1791 at age 35, is still a mystery.

This portrait by painter Johann Georg Edlinger, showed Mozart not long before his mysterious death in 1791.

Theories abound. It's known that his entire body was so swollen he couldn't turn over in bed; some say jealous rivals poisoned him, while others suggest scarlet fever, tuberculosis, or lethal trichinosis from undercooked pork.

Now, new evidence points to an altogether different conclusion: Mozart may have died from kidney damage caused by a strep infection, possibly strep throat. Health.com: Can't stop coughing? 8 causes of chronic cough

Dr. Richard H.C. Zegers of the University of Amsterdam and his colleagues analyzed data from Vienna's death registry. Researchers had not previously analyzed the daily death registry -- begun in handwritten script in 1607 and maintained until 1920 -- for clues to Mozart's death.

Zegers and his team looked at information for 5,011 adults who died during three consecutive winters starting in 1790, as well as eyewitness accounts of Mozart's death, according to the study published this week in Annals of Internal Medicine.

"By looking at the patterns of death during Mozart's time and combining them with the signs and symptoms of his final disease, we have not one but two pillars on which our theory is built," said Zegers. "Although we can't be 100 percent conclusive, I'm convinced that we have come very near the exact reason he died."

The researchers found that there were more than 500 deaths related to edema, the swelling caused by fluid in the body's tissues. Edema was the third most common cause of death at the time, after tuberculosis and malnutrition/cachexia, a physical wasting-away that was possibly caused by cancer or diabetes. Health.com: Your nutrition needs in your 30s, 40s, and 50s

During the winter of 1791, there was a spike in edema-related deaths among younger men, possibly because of an epidemic of strep throat, according to Zegers. He and his colleagues suspect that the epidemic's origin was the local military hospital, since crowded quarters are more conducive to the rapid spread of airborne bacteria such as group A Streptococcus, which can cause strep throat.

Strep throat can progress to rheumatic fever, which can lead to heart valve and joint damage; scarlet fever, which is characterized by a skin rash; and poststreptococcal glomerulonephritis (APSGN), a condition that causes fluid buildup throughout the body because of kidney damage.  Health.com: How one doctor helps patients avoid kidney problems

Strep bacteria's serious side effects are why today's experts recommend testing and prompt antibiotic treatment of strep, which causes a fiery red throat, severe pain and a high fever. However, most present-day throat infections are caused by viruses (in which case antibiotics are useless), and they often go away without treatment or serious complications.

Dr. Martin Schreiber, the head of the nephrology and hypertension department at the Cleveland Clinic, in Ohio, said that the researchers might be on the right track. "Is this plausible? Yes," said Schreiber. "But is it definitive? No."

Contrary to previous theories suggesting that Mozart died in extremely rare circumstances, the new study does have a more reasonable conclusion based on what was happening in the community, Schreiber said.

"Using the most credible sources available from that period, they're relying upon deductive reasoning. I'm not sure if there's a more scientific approach to doing this," he added.

Even though the death registry's data helps shed light on Mozart's cause of death, significant gaps still leave doubt.

Many people witnessed the composer's final days, but most of those accounts were published decades after his death. Historians have found no written accounts by Mozart's physicians, and have relied largely on medical reports by a doctor who was familiar with the case -- but didn't treat the composer.

Other sources used in the study include a biography written by the composer's wife's second husband, Georg Nikolaus von Nissen, and an eyewitness account given by Mozart's sister-in-law, Sophie Haibel, 33 years after his death.

Dr. Stephen Gluck, a nephrologist at the University of California, San Francisco, finds some faults with the new theory: There are no accounts of Mozart suffering from a sore throat in the last weeks of his life; nor were there reports of high blood pressure or blood in his urine. All are telltale signs of APSGN. Gluck adds that APSGN now occurs mainly in children and is nonfatal in most cases.

Mozart's cause of death is listed on the city's official registry as hitziges Frieselfieber, or miliary fever, a condition whose symptoms include a high temperature and rash. Zegers suggested this guess was made by a layperson instead of a medical authority because it was a term widely used to describe symptoms instead of an actual medical diagnosis.

Although a rash is a symptom of scarlet fever, which is also caused by strep bacteria, it's more likely that Mozart's death was due to strep throat, Zegers said.

None of the people who were with him during the last weeks of life reported that he had a rash, suggesting that he had the rash only at the time of his death. Scarlet fever's rash shows up the first or second day after you get sick and then subsides within six to nine days, said Zegers, so that condition is unlikely to have been the cause of death. Health.com: Four things you didn't know about natural medicine

What's more, Mozart was reported to have had a fever in the fall of 1791, which may have been caused by the initial strep infection, the researchers say. Some strep complications can occur weeks after the initial infection, and it's possible that Mozart had a sore throat before or at the time of his death and it wasn't recorded.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Exact cause of Mozart's death, at age 35 in 1791, is still a mystery

@highlight

In 1791, edema-related deaths among younger men increased due to strep throat

@highlight

But there are no accounts of Mozart having sore throat in his last weeks of life