Tripoli, Libya (CNN) -- As Moammar Gadhafi's inner circle showed possible signs of cracking Friday, heavily armed forces loyal to the Libyan leader continued pounding cities that were once some of the country's most prosperous places.

Officials and analysts said the surge in firepower from the Libyan government sends a message: Gadhafi is determined to prevail, and defections of some of his high-profile allies are making him nervous.

"You're certainly getting evidence that there are a lot of tensions. ... Each person that leaves, that makes it a little scarier for the people that are still remaining. And you may, at some point, get a tipping effect," said Anne-Marie Slaughter, a professor of international affairs at Princeton University.

On Thursday word emerged that Gadhafi's pick for U.N. ambassador had defected to Egypt -- a day after Libya's foreign minister fled to London and told the government there that he had resigned.

Citing unnamed British government sources, the Guardian newspaper reported Friday that a senior adviser to one of Gadhafi's sons was in London for secret talks with British officials. The adviser to Saif al-Islam Gadhafi, Mohammed Ismael, told CNN earlier this week that he would be traveling to London for family reasons. Calls placed to his mobile phone by CNN on Friday were not answered.

Asked about the Guardian report, a UK Foreign Office spokesman neither confirmed nor denied it.

"We are not going to provide running commentary on our contacts with Libyan officials," the spokesman said. "In any contact that we do have, we make it clear that Gadhafi has to go."

Rebel fighters also said they remained determined to topple Gadhafi's nearly 42-year reign.

But the battles over key cities are far from over.

Rebels massed on the outskirts of the government-controlled oil town of al-Brega, which has changed hands six times in six weeks under dramatically shifting circumstances in the country's civil war.

Misrata, Libya's third largest city and the final rebel stronghold in the western part of the country, was under siege by pro-Gadhafi forces. Badly damaged buildings lined streets covered with wreckage after weeks of urban combat.

Witnesses said most residents fled the downtown area after government forces positioned snipers on tall buildings and used tanks and artillery in the city center.

Clearly outgunned, opposition forces have pinned their hopes on more NATO airpower.

"We want to bring a speedy end to this," Col. Ahmed Omar Bani, an opposition spokesman, told CNN. "A strike is not a strike unless it kills."

U.S. officials claim Gadhafi's military capabilities have been steadily eroded since the onset of U.N.-sanctioned airstrikes.

But the dictator's forces still outnumber rebels by about 10-to-1 in terms of armor and other ground forces, Joint Chiefs of Staff Chairman Adm. Mike Mullen told the House Armed Services Committee Thursday.

U.S. Defense Secretary Robert Gates, also speaking before the House committee, warned that the Libyan rebels still need significant training and assistance.

"It's pretty much a pickup ballgame" right now, he said.

U.S. and British officials say no decision has been made about whether to arm the opposition.

Gates reiterated the Obama administration's promise that no U.S. ground forces will be used in Libya, telling committee members that the rebels had indicated they didn't want such an intervention.

But the United States does have CIA personnel on the ground.

CIA operatives have been in Libya working with rebel leaders to try to reverse gains by loyalist forces, a U.S. intelligence source said. The United States, insisting it is now fulfilling more of a support role in the coalition, shifted in that direction as NATO took sole command of air operations in Libya.

A U.S. intelligence source said the CIA is operating in the country to help increase U.S. "military and political understanding" of the situation.

But officials leaving Libya may end up playing a more decisive role than troops or CIA agents on the ground.

After defecting Wednesday, former Libyan Foreign Minister Moussa Koussa was voluntarily speaking with officials in the United Kingdom, British Foreign Secretary William Hague said.

Hague said Koussa's departure from Libya provides evidence "that Gadhafi's regime ... is fragmented, under pressure and crumbling from within."

Koussa did not tell the Libyan government he was planning to quit before he arrived in Britain, Libyan government spokesman Moussa Ibrahim said Thursday.

But Ibrahim downplayed the defection itself, saying Koussa was an old man in poor health who had not been able to handle the pressure of his job.

On Thursday an opposition leader and a relative said that the man Gadhafi tapped as the country's U.N. envoy had defected to Egypt.

Former Foreign Minister Ali Abdussalam Treki, who recently served as the president of the U.N. General Assembly, was to replace Abdurrahman Mohamed Shalgham as ambassador in New York. But he never arrived.

Such defections are significant, but not as important as the departure of one of Gadhafi's family members would be, according to Robert Baer, a former CIA operative in the Middle East.

"Crack that clan and he's done. Those elite units will fall apart, the tribe will defect, and it will all be over," Baer told CNN's AC360.

CNN's Frederik Pleitgen, Ben Wedeman and Nic Robertson contributed to this report.

@highlight

Britain's foreign secretary says Libya's former foreign minister is speaking with officials

@highlight

Report: A senior adviser to one of Gadhafi's sons was in London for talks

@highlight

The battles over key cities are far from over

@highlight

U.S. military leaders officials say Libyan opposition forces are outgunned