Seoul, South Korea (CNN) -- The United States deployed stealth fighter jets to South Korea on Sunday as part of ongoing joint military exercises between the two countries, a senior U.S. defense official said.

The F-22 Raptors were sent to the main U.S. Air Force Base in South Korea amid spiking tensions on the Korean peninsula. The U.S. military command in South Korea said they were deployed to support air drills as part of the annual Foal Eagle training exercises, which are carried out in accordance with the armistice that put an end to armed hostilities in 1953.

North Korea has been ramping up its rhetoric and military show of force in response to the annual joint military exercises, declaring the armistice invalid on March 11, 10 days after Foal Eagle began. It is something Pyongyang has done before during heightened tensions.

North Korea's threat: Five things to know

The United States' participation in Foal Eagle is intended to demonstrate the country's "commitment to stability and security in the Asia-Pacific Region," the U.S. military command in South Korea said in a statement that also urged North Korea to tone down its rhetoric.

"The (Democratic People's Republic of Korea) will achieve nothing by threats or provocations, which will only further isolate North Korea and undermine international efforts to ensure peace and stability in Northeast Asia," the statement said. "The North Korean leadership is urged to heed President Obama's call to choose the path of peace and come into compliance with its international obligations."

North Korea's hot rhetoric

The deployment follows fresh insults over the weekend from Pyongyang's propaganda machine comparing the U.S. mainland with a "boiled pumpkin," unable to endure an attack from a foreign foe, the state-run Korean Central News Agency reported. North Korea, on the other hand, could withstand an offensive from the outside, the report said, thanks to shelters that the government had built around the country.

But the Pentagon and the South Korean government have said it's nothing new.

"We have no indications at this point that it's anything more than warmongering rhetoric," a senior U.S. Defense Department official said late Friday. The official was not authorized to speak to the media and asked not to be named.

The National Security Council, which advises the U.S. president on matters of war, struck a similar chord, saying Washington finds North Korea's statements "unconstructive" and is taking the threats seriously.

"But, we would also note that North Korea has a long history of bellicose rhetoric and threats, and today's announcement follows that familiar pattern," said Caitlin Hayden, a spokeswoman for the security council.

The United States will continue to update its capabilities against any military threat from the North, which includes plans to deploy missile defense systems.

No, North Korea can't hit Hawaii

In an added slap, North Korea has declared that it had entered a "state of war" with neighboring South Korea, according to a report Saturday from KCNA.

"The condition, which was neither war nor peace, has ended," North Korea's government said in a special statement carried by KCNA.

Saturday's reports also asserted any conflict "will not be limited to a local war, but develop into an all-out war, a nuclear war."

South Korean President Park Geun-hye on Monday issued a warning of her own to Pyongyang.

"If there is any provocation against South Korea and its people, there should be a strong response in initial combat without any political considerations," she said in a meeting with senior defense and security officials, according to her office.

Analysis: Just what is Kim Jong Un up to?

The South: It's not new

South Korea has not, however, treated its neighbor's latest threat as imminent danger.

Seoul noted scores of its personnel had entered the Kaesong Industrial Complex -- a joint economic cooperation zone between the two Koreas situated on the North's side of the border -- on Saturday morning. Hundreds more were set to join them later in the day, seeming to suggest both sides were going about business as usual.

The South's officials said that North's threats to shut down the complex earlier Saturday were part of the North's "measures of putting military alert to highest level," but the South was taking the North's words "seriously," the South Korean Unification Ministry Press Office said.

The threats aren't "beneficial" to the development of the economic zone, the South's ministry said. Currently, 310 people work in the industrial complex, the ministry said. However, the South hasn't detected any "irregular trend" in the zone, the ministry said.

Pyongyang's declaration it was readying its missiles also did not seem to worry officials in the South.

"The announcement made by North Korea is not a new threat, but part of follow-up measures after North Korea's supreme command's statement that it will enter the highest military alert" on Tuesday, South Korea's Unification Ministry said in a statement.

Threats of annihilation normal for South Koreans

Map appears to show U.S. targets

A day earlier, the same official North Korean news agency reported its leader Kim Jong Un had approved a plan to prepare standby rockets to hit U.S. targets in the Pacific, including in Hawaii, Guam, and South Korea.

Behind North Korea's heated words about missile strikes, one analyst said, there might not be much mettle.

"Unless there has been a miraculous turnaround among North Korea's strategic forces, there is little to no chance that it could successfully land a missile on Guam, Hawaii or anywhere else outside the Korean Peninsula that U.S. forces may be stationed," James Hardy, Asia-Pacific editor of IHS Jane's Defense Weekly, wrote in an opinion column published Thursday on CNN.com.

Behind the veil: A rare look at life in North Korea

U.S. official: We're 'committed ... to peace'

U.S. defense officials said Friday that the North's bantering is destructive.

"This is troubling rhetoric that disrupts the prospects for peace on the Peninsula," the senior official said.

Some observers have suggested that Washington is adding to tensions in the region by drawing attention to its displays of military strength on North Korea's doorstep, such as the flights by the B-2 stealth bombers.

Defense Secretary Chuck Hagel argued against that assertion Thursday.

"We, the United States and South Korea, have not been involved in provocating anything," he said. "We, over the years, have been engaged with South Korea on joint exercises. The B-2 flight was part of that."

Washington and its allies "are committed to a pathway to peace," Hagel said. "And the North Koreans seem to be headed in a different direction here."

Opinion: Why North Korea regime is scary

Pyongyang's allies irked

The tense situation has irritated North Korea's traditional allies, China and Russia, drawing regular calls for restraint on all sides in recent weeks. Saturday, the Kremlin repeated this admonition.

"Moscow expects all parties to exercise as much responsibility and restraint as possible in light of North Korea's latest statements," the Russian foreign ministry said according to Russian state broadcaster Russia Today.

China, which has expressed frustration over Pyongyang's latest nuclear test, also called for calm.

"We hope relevant parties can work together to turn around the tense situation in the region," Foreign Ministry spokesman Hong Lei said Friday, describing peace and stability on the Korean Peninsula as "a joint responsibility."

Sweden's Foreign Minister Carl Bildt noted Saturday that "Beijing likely to try to calm things down," he said on his Twitter account.

"But the Pyongyang regime is the most militarised, the most authoritarian and the most closed in the world," Bildt tweeted.

U.S. officials concerned about North Korea's 'ratcheting up of rhetoric'

Tensions have been rising for months

Tensions escalated on the Korean Peninsula after the North carried out a long-range rocket launch in December and an underground nuclear test last month, prompting the U.N. Security Council to step up sanctions on the secretive government.

Pyongyang has expressed fury about the sanctions and the annual U.S.-South Korean military exercises, due to continue until the end of April.

The deteriorating relations have killed hopes of reviving multilateral talks over North Korea's nuclear program for the foreseeable future. Indeed, Pyongyang has declared that the subject is no longer up for discussion.

Korean nightmare: Experts ponder potential conflict

CNN's Michael Martinez, Dayu Zhang, Catherine Shoichet and Greg Botelho contributed to this report. K.J. Kwon contributed from Seoul.

@highlight

NEW: South Korean president warns of "strong response" to any provocation

@highlight

U.S. deploys F-22s to South Korea as part of joint military exercises, U.S. official says

@highlight

The Pentagon says North Korean threats follow a familiar pattern

@highlight

North Korea threatens "all-out war and nuclear war" on its enemies, state news reports