(CNN) -- As the number of suspected and confirmed swine flu cases continued to rise around the world, health officials announced new measures to contain the outbreak.

Quarantine officers monitor arrivals with a thermographic device at Bangkok's main international airport.

By Tuesday, the swine flu outbreak in Mexico was suspected in 159 deaths and roughly 2,500 illnesses, Mexican health officials said.

So far, the World Health Organization says at least 104 cases have been confirmed worldwide, including 64 in the United States; 26 in Mexico; six in Canada; three in New Zealand; two each in Spain, the United Kingdom and Israel.

With at least 11 other countries suspecting infections, the World Health Organization has raised its alert level from three to four on its six-level scale.

The following is sample of what some countries are doing to combat the virus:

CANADA

Cases: Six mild cases

Measures: Issued a travel health notice, saying its public health agency was "tracking clusters of severe respiratory illness with deaths in Mexico." Tell us what you think about the swine flu outbreak

CHINA

Cases: None

Measures: Banned pork imports from Mexico, and from California, Kansas and Texas in the United States.

INDIA

Cases: None  Watch how public health officials grade phases of pandemic alerts »

Measures: Indian health officials advised citizens to postpone their non-essential travel to the swine flu-hit regions.

Stepped up surveillance at ports and airports.

States asked to review their preparedness.

INDONESIA

Cases: None

Measures: Increased surveillance; testing the temperatures of travelers flying into the country.

ISRAEL

Cases: Two (a third is suspected)

Israel's Health Ministry confirmed a second case of swine flu Tuesday. The man is in good condition, according to a spokeswoman at Meir Hospital.

The first patient, who tested positive after a visit to Mexico, was recovering, and his 5-year-old niece was suspected of having the disease, said a spokeswoman at Laniado Hospital in Netanya. She is undergoing testing and treatment.

Measures: The Health Ministry has not issued special instructions to the public, nor adopted measures for monitoring those returning from Mexico.

The country is calling the outbreak "Mexico flu" so that citizens do not have to pronounce the name of an animal considered impure in Judaism and Islam.  Watch efforts in Mexico to prevent spread of the virus »

JAPAN

Cases: None

Measures: The foreign ministry suspended visa waivers for visitors from Mexico.

Airport officials are checking passengers before they disembark.

KENYA

Cases: None

Measures: Screening passengers from Europe and the Americas at Jomo Kenyatta International Airport in Nairobi.

Government encourages Kenyans to defer traveling to Mexico.

Kenya set up 26 screening centers to test people for avian flu following that outbreak a few years ago, and will also use the centers for swine flu testing.

MEXICO

Cases: 159 deaths are thought to have been caused by swine flu, according to Jose Angel Cordova, Mexico's secretary of health. iReport.com: Do you think we should be worried about swine flu?

So far, however, only 26 cases -- 19 infections and seven deaths -- have been confirmed by laboratory tests in Mexico and reported to the World Health Organization.

Measures: Mexico City has closed its schools and universities until further notice. It has also ordered restaurants only to serve takeaway meals, so customers do not congregate. In addition, bars, clubs, movie theaters, pool halls, gyms, sport centers and convention halls have been told to close until May 5.

Troops passed out 4 million filter masks in the city of 20 million residents.

Officials are considering shutting down the bus and subway systems.

Citizens are asked to avoid large crowds, refrain from kissing, and stay at least six feet from one another.

The World Bank is offering $205 million to deal with the outbreak.

NEW ZEALAND

Cases: 11

Nine students, a teacher and another person who returned to New Zealand from Mexico over the weekend have confirmed cases of swine flu. Health officials said their symptoms are mild, and they are responding well to treatment. The students and teacher were part of a group from Auckland's Rangitoto College who spent three weeks in Mexico.

Measures: New Zealanders who traveled to Mexico or North America in the past two weeks are asked to get in touch with health officials if they have flu-like symptoms.

RUSSIA

Cases: None

Measures: Banned all meat imports from Mexico and the southern United States.

Announced it will screen incoming passengers from those two countries by taking their temperatures.

Set up a government commission to plan response, and advised citizens against traveling to Mexico.

SOUTH KOREA

Cases: A 51-year-old woman, who recently returned from Mexico, tested positive for type-A influenza. Tests are being conducted to see whether the influenza is of the swine flu strain. The woman remained quarantined Tuesday.

Measures: Suspended pork imports from Mexico, the United States and Canada.

Stepped up inspections of passengers returning from affected areas.

Took steps to double its stockpile of Tamiflu anti-viral medicine -- enough to treat about 5 million people, or 10 percent of the country's population.

SPAIN

Cases: Two cases confirmed and 32 others suspected -- all of whom had recently traveled to Mexico, according to the health ministry. None is in serious condition.

Measures: The government is trying to reach passengers who were on flights with people suspected or confirmed with the flu.

THAILAND

Cases: None.

Measures: Airport officials are keeping a closer eye on passengers arriving from Mexico.

The health ministry is calling the virus "the flu that has caused an outbreak in Mexico," so that the public does not confuse "swine flu" with "bird flu." The ministry also said it did not want to hurt the pork industry.

UNITED ARAB EMIRATES

Cases: None

Measures: The ministry of health issued a circular, asking doctors to be prepared to deal with any potential swine flu cases.

UNITED KINGDOM

Cases: Two confirmed, in Scotland. The patients are recovering.

Measures: The Foreign Office advised against all but essential travel to Mexico.

UNITED STATES

Cases: 64 confirmed by the Centers for Disease Control and Prevention.

The CDC has confirmed 10 cases in California, six in Texas, two in Kansas, one in Ohio and 45 in New York. Health officials in California, Indiana and Texas reported others Tuesday that the CDC had not yet added to its list.

Measures: The government declared a public health emergency to free up federal, state and local agencies and their resources, should the need arise.

The government urged travelers to avoid non-essential travel to Mexico.

The U.S. Food and Drug Administration issued emergency authorization for the use of two of the most common anti-viral drugs, Tamiflu and Relenza. The authorization allows the distribution of the drugs by a broader range of health care workers and loosens age limits for their use.

VENEZUELA

Cases: None.

Measures: Security stepped up at airports and borders.

@highlight

Health officials around world act to prevent swine flu from entering their borders

@highlight

More than 150 deaths in Mexico are thought to have been caused by swine flu

@highlight

Russia bans all meat imports from Mexico and southern United States

@highlight

In the United States, the largest number of cases is in New York City