(CNN) -- How difficult is it to board a plane with a stolen passport?

Not as hard as you might think.

In any major international airport, it's not uncommon to have your passport checked four times or more between check-in and boarding the aircraft. But if passenger documents aren't checked against Interpol's database of stolen and lost travel documents, travelers using those documents can slip through layers of security.

Reports that two passengers on missing Malaysia Airlines Flight 370 were traveling on stolen Austrian and Italian passports have highlighted security concerns that have troubled Interpol for years, the international law enforcement agency said Sunday. The flight, carrying more than 200 passengers, disappeared from radar Saturday and hasn't been seen or heard from since.

Interpol identified the men using the stolen passports as Pouri Nourmohammadi, 18, and Delavar Seyed Mohammad Reza, 29, both Iranians. Malaysian police believe Nourmohammadi was trying to emigrate to Germany using the stolen Austrian passport. The men entered Malaysia on February 28 using valid Iranian passports, Interpol said.

"Interpol is asking why only a handful of countries worldwide are taking care to make sure that persons possessing stolen passports are not boarding international flights," Interpol Secretary General Ronald K. Noble said in a statement.

Before the departure of Flight 370, no country had checked the stolen passports against Interpol's list since they were added to the lost-documents database in 2012 and 2013, Interpol said.

Countries, but not airlines, have access to Interpol's data, and many governments don't routinely check passports against the database.

In 2013, passengers were able to board planes more than 1 billion times without having their travel documents checked against Interpol's data, the agency said. Airlines carried more than 3.1 billion passengers globally in 2013, according to estimates from the International Air Transport Association.

Are stolen passports related to plane's disappearance?

Interpol head Noble said Tuesday that the disappearance of Malaysia Airlines Flight 370 does not appear to be related to terrorism.

"The more information we get, the more we're inclined to conclude that it was not a terrorist incident," Noble said at a news conference in Lyon, France.

There's no evidence to suggest either of the men traveling on the missing Malaysia Airlines flight was connected to any terrorist organizations, according to Malaysian investigators.

On any given day, many people travel using stolen or fake passports for reasons that have nothing to do with terrorism, aviation security expert Richard Bloom told CNN.

They might be trying to immigrate illegally to another country, or they might be smuggling stolen goods, people, drugs or weapons or trying to import otherwise legal goods without paying taxes, said Bloom, director of terrorism, intelligence and security studies at Embry-Riddle Aeronautical University.

"For all of those reasons, the very notion that passports might be important in this particular situation may be a red herring," Bloom said.

Noble said Sunday that the fact that any passenger was able to board an international flight using a stolen passport listed in Interpol's databases is a big concern.

"This is a situation we had hoped never to see," he said. "For years Interpol has asked why should countries wait for a tragedy to put prudent security measures in place at borders and boarding gates?"

Few countries look up stolen passports

Interpol does not charge countries for access to its databases, but some of the 190 Interpol member countries may not have the technical capacity or resources to access the network, according to Tom Fuentes, a former FBI assistant director.

"It's just up to the will of the country to set it up and do it," Fuentes said.

Interpol's Stolen and Lost Travel Documents database was created in 2002, following the September 11, 2001, attacks, to help countries secure their borders. Since then, it has expanded from a few thousand passports and searches to more than 40 million entries and more than 800 million searches per year.

About 60,000 of those 800 million searches yield hits against stolen or lost documents, according to Interpol.

The United States searches the database more than 250 million times annually, the United Kingdom more than 120 million times annually and the United Arab Emirates more than 50 million times annually, Interpol said. (Some 300,000 passports are lost or stolen each year in the United States, according to the U.S. State Department, which collects reports of stolen passports and sends them to the U.S. Customs and Border Protection and Interpol.)

According to the Department of Homeland Security, Customs and Border Protection vets all travelers booked on flights to, from and heading through the United States through the Advanced Passenger Information System.

It conducts a thorough review of all relevant domestic and international criminal databases, including Interpol's, for any issues of concern. This review includes reports of stolen documents.

"If Malaysia Airlines and all airlines worldwide were able to check the passport details of prospective passengers against Interpol's database, then we would not have to speculate whether stolen passports were used by terrorists to board MH 370," Interpol's Noble said.

The Thailand connection

The Austrian and Italian passports were stolen in Thailand in 2012 and 2013, respectively, according to Interpol.

Thailand is a booming market for stolen passports. Paul Quaglia, who has been working in the region as a security and risk analyst for 14 years, said the situation in Thailand is better than it was five to 10 years ago "but still not up to international standards."

"Unfortunately, Thailand remains a robust venue for the sale of high-quality false passports (which includes altered stolen passports) and other supporting documentation," he said.

Not all "lost" passports are necessarily "stolen" passports, Quaglia said. "Some passports 'lost' are actually sold by the passport holder. Some young men and others traveling to Thailand, short on cash after extended partying and high living, can be approached to sell a passport, which can be easily replaced at embassies upon presentation of a routine 'lost passport' police report," he said.

Searching for true identities

An investigation was launched into the Flight 370 matter, with Malaysian and aviation authorities reviewing video and other documentation to try to identify not only who the passengers were that used the stolen passports but how the illegal passports cleared security.

In an interview with CNN on Monday, Thailand Prime Minister Yingluck Shinawatra said the country is cooperating with Interpol in the investigation.

Interpol's Noble urged countries and airlines to adopt routine checks against its lost and stolen document database.

"I sincerely hope that governments and airlines worldwide will learn from the tragedy of missing flight MH 370 and begin to screen all passengers' passports prior to allowing them to board flights," Noble said.

"Doing so will indeed take us a step closer to ensuring safer travel."

@highlight

Two passengers on the missing Malaysian Airlines flight were traveling on stolen passports

@highlight

Authorities say there's no indication of terrorism links

@highlight

Travelers smuggling drugs, other contraband might use stolen passports, experts say

@highlight

Human traffickers also may travel on passports to hide their identities, they say