(CNN) -- Bolivians are widely expected to approve a new constitution Sunday that would allow leftist President Evo Morales to run for another term this year, which he can't do under the current document.

The new constitution would eliminate term limits and allow President Evo Morales to run again for president.

The new constitution would replace the 1967 charter and give greater voice to the indigenous people who make up most of the country. It would also give more power to the central government.

Morales, speaking at rallies in La Paz and Cochabamba this week, said the new document will propel the nation.

"Once approved, this will be the refoundation of Bolivia and the refoundation of a new state where there will be equality and we will all have the same rights and the same obligations," he said.

Others say the referendum is a way for Morales to keep himself in power, a move that could plunge the country into further violence, division and uncertainty. That effort, critics say, is in ample evidence as some regions fight to break away and as the deaths of up to 30 peasant government supporters a few months ago led to accusations of a right-wing massacre.

"What will be opened is a new chapter of violence," said Carlos Toranzo, an investigator in La Paz with the Friedrich Ebert Foundation, a policy institute associated with the Social Democratic Party of Germany.

As campaigning on Sunday's referendum came to a close Thursday with massive festive rallies for each side, Bolivians gave voice to the chasm that separates them.

"What this constitutional project does is divide us," said Fernanda San Martin, who was at the final opposition rally in the city of Santa Cruz. "What it does is feed hate and racism in the country."

Efrain Tico Quispe, at a rally in favor of the new constitution, sees it from a different perspective.

"For them, it's division. It doesn't benefit them," he said. "But for humble people of our class, it serves us well."

The referendum has two parts: a straight yes-or-no vote on adopting the new constitution and a question asking Bolivians whether the maximum amount of private property that can be owned should be 5,000 or 10,000 hectares (12,355 or 24,710 acres).

The wide-ranging constitution would give the government a greater role in the economy and more control over natural resources, broaden nationalization of private industries and increase the rights of indigenous people.

The new document also would eliminate term limits for all elected offices and would allow the president to run for re-election to a second consecutive five-year term. The current constitution limits the president to one five-year term.

Under provisions of the new constitution, current terms would not be counted, so Morales could run in December and in 2014. In return for support for the constitution, Morales reportedly has agreed not to run in 2014 if he wins this year.

But Morales, who was elected in December 2005 by the largest margin since civilian rule was restored in 1982, would still be in office for nine years.

That part bothers those who see the vote as a way for Morales to keep himself in power.

Peter Hakim, president of the Inter-American Dialogue policy institute in Washington, warns against politicians "who use democracy to concentrate power."

Sunday's vote comes after a long and troubled path that saw the referendum postponed three times.

Morales, who campaigned on a promise to change the constitution, convened a constitutional assembly in July 2006, with a referendum scheduled for August 2007. The assembly did not have a draft document ready until December 2007.

After much wrangling and accusations that opponents were locked out of crucial votes, the Bolivian congress approved a referendum in February 2008, scheduling it for May. But the government suspended that vote in March because some of the nation's nine departments, or states, wanted to hold local referendums on greater autonomy during the May balloting.

In August, Morales said the referendum would be held in December. That vote also was postponed after unrest in Pando department in which pro-government peasants were killed. In October, an agreement was reached to hold the referendum January 25, 2009.

Hakim and others understand why many Bolivians are eager for the vote, particularly in a country with 85 percent indigenous or mestizo lineage and only 15 percent white.

"There's a certain amount of ethnic identity that's involved. That's really important," said Peter DeShazo, director of the Americas Program at the Center for Strategic and International Studies in Washington. "People believe that somehow this is going to translate into something positive for their lives."

A turning point came with the election of Morales, the nation's first Indian president.

"In Bolivia, you have a society that was very segregated," Hakim said. "There was a lot of repression against Indian groups. There's a lot of impatience in the country. They feel that past governments have neglected them. They feel that the international communities and the United States have ignored them."

Morales, who won a recall vote last summer by a two-thirds margin, also is eager for a vote. The referendum is as much about him as it is the constitution.

"It's a very important development," said Erasto Almeida, an analyst with the Eurasia Group, a political research and consulting firm. "Morales came into office with an agenda of radical change. The new constitution is an important step to consolidate this agenda."

Analysts and everyday Bolivians agree that the referendum is nearly certain to pass.

DeShazo notes that more than 100 new laws will be required to put the constitution into play. That will take time.

Almeida points out that Morales had to compromise on many issues "as the result of a long and difficult negotiation." More than 100 of the 411 articles in the constitution Morales' party drafted in 2007 were changed as a result of negotiations with congress, DeShazo said.

"The fact that Morales made concessions and made the constitution more moderate makes the constitution more resilient," Almeida said.

He sees a couple of ways in which the opposition might try to make trouble for Morales.

"He's going to get about two-thirds [of the vote]. That's what's expected," Almeida said. "If he gets lower, you could have more tension because the opposition will be emboldened."

If Morales gets significantly more of the vote than expected and tries to ram through his agenda, the opposition also could be energized, Almeida said.

Toranzo, the La Paz investigator with the Ebert Foundation, has a more dire forecast.

"From Monday on," he said, "Bolivians won't know what to respect: what was before or what will come. This will destabilize the country."

He also thinks Bolivia's faltering economy may factor into Sunday's vote.

The constitution was formulated, he said, "during a time of fat cows, but it is being voted on during a time of skinny cows."

Though spirited, the campaign has been relatively trouble-free. About 3.8 million Bolivians are eligible to cast ballots in the mandatory voting.

Jennifer McCoy, director of the Americas Program at the Carter Center, is head of a nine-person group of observers sent by former President Carter, who frequently monitors elections. The Organization of American States has sent a 65-person delegation, and the European Union has 45 observers, she said.

"It's fairly quiet now. It's fairly calm," she said Friday. "There were some protesters. There was a little bit of rock-throwing. But there has been no real violence, no deaths. There's more real calm than previous events in Bolivia."

Hakim agrees, to a point.

"It's a drama that's playing itself out now," he said. "The degree of polarization and friction does not leave me terribly optimistic. On the other hand, things haven't gotten out of hand."

CNN's Gloria Carrasco in La Paz, Bolivia, contributed to this report.

@highlight

New constitution would eliminate term limits, give more voice to indigenous people

@highlight

Some say it's just way for president to keep himself in power

@highlight

Critics express concern that dramatic change could lead to violence, divisions

@highlight

Policy investigator: "Bolivians won't know what to respect" under new constitution