(CNN) -- A few days before he graduated, one of my students asked me how does one keep up with public affairs (as I was advocating) when you have a demanding full-time job, a cute but fussy baby, an elderly parent who needs attending and something of a social life? I suggested that he listen to NPR, watch CNN -- and once in a while choose a particular story to follow. For example, the report of what happens when major American corporations break the law.

The New York Times recently investigated the ways  the Securities and Exchange Commission (SEC) deals with companies who have violated anti-fraud laws. Very often, the settlement that follows contains a promise not to break the law again, which the Times noted is odd because the company, "after all, was merely promising not to do something that the law already forbids." Often the same corporations violate the law again -- and make the same promise again and again.

The Times found 51 cases over the past 15 years in which 19 Wall Street firms broke anti-fraud laws they had promised not to break. These firms include Goldman Sachs, Morgan Stanley, JPMorgan Chase and Bank of America. When faced with these multiple violations, the SEC simply reaches another settlement and extracts another promise, rather than bring a contempt charge in court.

Furthermore, these settlements do not even require the companies to admit to the charges brought against them. Instead, there is a provision that lets them "neither admit nor deny" the violations, which makes them less vulnerable to investor lawsuits.

Shortly after the Times article appeared, the Washington Post reported that the SEC agreed to collect $285 million as a penalty for a $700 million loss to investors due to fraud committed by Citigroup, and again allowed Citigroup to cop the "neither admit nor deny" clause. On Monday, U.S. District Judge Jed S. Rakoff rejected the settlement as too weak, joining others who criticized the SEC as toothless, saying it gives a pass to executives and allows corporations to conceal that they violated the law.

The director of the Oscar-winning documentary "Inside Job," Charles Ferguson, pointed out earlier this year the widespread fraud involved in the mortgage scandals. Despite corporations having hired people to forge thousands of signatures, "not only has nobody gone to jail, but there haven't even been any criminal prosecutions. Literally zero under the Obama administration."

When some suggested that bringing cases against high-ranking executives in the financial industry is difficult, Ferguson argued that the common use of cocaine and prostitutes on Wall Street could easily be used as "leverage." However, no action has been taken.

The main lesson about public affairs, I told my student, is in the reactions that followed the Times and Post revelations.

Nothing happened.

The rest of the media paid much more mind to the latest person accusing Herman Cain of sexual misconduct than to new revelations about common corporate crime and how corporations get away with it. The White House seemed not to have noticed. We heard nothing from the Department of Justice. Democratic leaders in Congress did not express any outrage, let alone order a new investigation.

True, a federal judge rejected a settlement with one of these corporations, but it is far from clear what the final settlement will be.

I told my student that such news stories tell volumes about the state of our polity: a strong Wall Street, a weak political class and an exhausted public.

Some days one cannot but wonder whether one should join Occupy Wall Street, the tea party or both.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

It's instructive to follow a news story and see how people respond to it, says Amitai Etzioni

@highlight

For example, Wall Street firms repeatedly break laws they've pledged not to break, he says

@highlight

Etzioni: SEC lets these firms off with weak settlements, and they won't admit wrongdoing

@highlight

The media and our government ignore such outrages, allowing them to continue, he says