Las Vegas (CNN) -- President Barack Obama threw his full support behind a comprehensive overhaul of U.S. immigration laws on Tuesday, saying "now's the time" to replace a system he called "out of date and badly broken."

The president specified three pillars of immigration reform: better enforcement of immigration laws, providing a path to citizenship for the more than 11 million undocumented immigrants already in the country, and reforming the legal immigration system.

Speaking at a majority Hispanic high school in Las Vegas, Obama said "a broad consensus is emerging" behind the issue across the country, with signs of progress in Congress.

Mexico 'welcomes' new U.S. immigration reform push

However, he acknowledged a fierce debate ahead on an issue he described as emotional and challenging, but vital to economic growth and ensuring equal opportunity for all.

"At this moment, it looks like there's a genuine desire to get this done soon. And that's very encouraging," Obama said, later adding: "This time, action must follow. We can't allow immigration reform to get bogged down in an endless debate."

The president spoke a day after eight senators -- four from each party -- introduced a framework for overhauling the immigration system that would provide an eventual path to citizenship for most of the more than 11 million undocumented immigrants in America.

While touted as a breakthrough by its drafters, the plan was similar in many aspects to previous immigration reform efforts that have failed in recent years.

Obama described the blueprint as a sign of renewed desire by Democrats and Republicans to tackle the issue, saying the plan was "very much in line with the principles I've proposed and campaigned on for the last few years."

Immigration Q&A: Amnesty or path to citizenship?

He was criticized by Latino activists for failing to deliver on a 2008 campaign promise to make overhauling immigration policy a priority of his first term.

As his re-election campaign heated up last year, the Obama administration announced a halt to deportations of some young undocumented immigrants in a move that delighted the Latino community.

Exit polls in November indicated that Latino voters overwhelmingly supported Obama over GOP challenger Mitt Romney, who had advocated a policy that amounted to forcing undocumented immigrants to deport themselves. Obama won Nevada, a battleground state with a large Hispanic population.

Obama appeared on Tuesday at Del Sol High School, which has a 54% Hispanic student body, according to U.S. News and World Report rankings.

To earn the opportunity for citizenship, Obama said undocumented immigrants must first pass a background check, learn English, pay a penalty, and then get "in the back of the line" behind people trying to come to America legally.

Immigration plan: A new era of bipartisanship or a political necessity?

Millions of undocumented immigrants would get immediate but provisional status to live and work in the United States, under the compromise plan crafted by the senate group. That outline also called for strengthening border controls, improved monitoring of visitors and cracking down on hiring undocumented workers.

Only after those steps occurred could undocumented immigrants already in the country begin the process of getting permanent residence -- green cards -- as a step toward citizenship, the senators said at a news conference on Monday.

Before Obama spoke on Tuesday, Republican Sen. Marco Rubio of Florida said any legislation based on the framework he helped draft must include tougher law enforcement sought by conservatives to get his vote.

Immigrants' days filled with fear, uncertainty, separation

"We need border security, we need workplace enforcement, we need a visa tracking system," Rubio said, adding later that would oppose a bill that lacked language guaranteeing that "nothing else will happen unless these enforcement mechanisms are in place."

Rubio and other senators involved in the bipartisan immigration effort said Monday they plan to provide a bill to the Senate Judiciary Committee in March, with hopes of getting the measure passed over the summer

A few hours later, Obama said he would propose his own immigration bill if Congress failed to act on the issue in a timely manner.

On the House side, a similar effort on immigration is said to be under way involving a group of Republicans and Democrats.

Two senior House Democratic sources briefed on that effort told CNN the group was working to release some sort of outline of its plan soon, possibly as early as this week, but concede "they are not as far along as the Senate."

By the numbers: Immigration and naturalization

Senate lays out blueprint

The principles described by Obama on Tuesday were similar to the framework proposed Monday by the eight senators.

Conservatives split on reform

Other conservatives immediately voiced their opposition to what they called amnesty, a code word on the political right for providing undocumented immigrants a path to legal status.

"Our immigration laws aren't broken, they just aren't enforced," argued Rep. Lamar Smith, R-Texas, after Obama's speech. " ... We've been down this road before with politicians promising to enforce the law in return for amnesty. And then after the amnesty, they fail to make good on the enforcement promises. The American people should not be fooled. When you legalize those who are in the country illegally, it costs taxpayers millions of dollars, costs American workers thousands of jobs and encourages more illegal immigration."

Republican Sen. Mike Lee of Utah objected to the framework by his Senate colleagues, saying the guidelines "contemplate a policy that will grant special benefits to undocumented immigrants based on their unlawful presence in the country."

What's in Senate immigration plan?

Rubio rejected such a characterization on Tuesday, saying that the framework would require undocumented immigrants to undergo a background check and face immediate deportation if they committed any serious crimes.

Otherwise, they then would have to pay any taxes owed as well as a fine to get what Rubio called "the equivalent of a non-resident visa that allows you to work here." An opportunity to get a green card and possible citizenship would only come after the government undertakes other steps, such as increasing border security, he added.

Obama, meanwhile, signaled disagreement with Republicans over the state of border security, saying in his speech that the Southwest border was more secure than ever.

He mentioned steps to crack down on the hiring of undocumented workers, as well as unclogging the legal immigration system to encourage highly skilled and educated workers already in the country to remain instead of taking their expertise abroad.

Democratic senators backing the framework unveiled Monday plan include Chuck Schumer of New York, Dick Durbin of Illinois, Robert Menendez of New Jersey and Michael Bennet of Colorado. On the Republican side were Rubio, John McCain of Arizona, Lindsey Graham of South Carolina and Jeff Flake of Arizona.

Durbin said Tuesday that immigration reform must have bipartisan support to work, so it won't include everything everyone wants.

Path to citizenship: Senators outline bipartisan immigration plan

"It's going to look different than what I might write, or the president might write," he said.

Like the Senate framework, the House plan will include a path to citizenship, but details of how that will work are still being discussed.

The Senate proposal is a good starting point, Rep. Joe Garcia, D-Florida, said Tuesday on CNN.

"I think it puts us in a very good place," he said.

A litany of left-leaning advocacy groups spoke out on the senators' plan, praising it as a good first step but cautioning against harming the rights of workers.

"The people of this country are ready for us to be one country again without second-class people being mistreated simply because they lack paper, even though they are already contributing to our economy and our tax system," NAACP President Ben Jealous said.

Opinion: Worker visas are the key to immigration reform

AFL-CIO President Richard Trumka told Yahoo News on Tuesday that his labor federation representing 12 million people will mount a "full-fledged" campaign in support of comprehensive immigration reform.

"We think everybody ought to have the right to work hard and to progress to citizenship," Trumka said.

Meanwhile, U.S. Chamber of Commerce President Tom Donohue has been in talks with Trumka on the issue. He said after Obama's remarks that American business hoped for changes this year.

"We should seize this opportunity to create an immigration system that serves the interests of our economy, our businesses, and our society," Donohue said.

In a sign of the heated public debate on the issue, a group of about two dozen protesters standing across the street from the Las Vegas high school waved signs opposing amnesty for undocumented immigrants as Obama's motorcade drove past.

Lawmakers: GOP needs to back immigration overhaul

CNN's Dan Lothian in Las Vegas and Dana Bash, Ed Payne, Deirdre Walsh, Kevin Liptak, Catherine E. Shoichet , Jessica Yellin and Matt Smith contributed to this report, which was written by Tom Cohen in Washington.

@highlight

NEW: President Obama: "Now's the time" to move on immigration

@highlight

Sen. Rubio warns Obama against a "bidding war" for easier green cards

@highlight

Eight senators, four from each party, have laid out a bipartisan blueprint for reform

@highlight

House legislators are also said to be working on a bipartisan immigration plan