Tokyo (CNN) -- Crews resumed spraying water at the quake-damaged Fukushima Daiichi nuclear facility early Monday, Kyodo News reported, one day after the Japanese government slapped restrictions on some food produced around the plant.

Workers have begun to see some success in their battle to cool down the reactors, but Japanese officials said they may need to release additional radioactive gas into the air.

The plant's owner, Tokyo Electric Power Co., said electricity was being supplied to a switchboard in reactor No. 2.

But officials said they were monitoring reactor No. 3 to determine whether to release gas to reduce mounting pressure in the containment vessel -- the steel and concrete shell that insulates radioactive material inside.

Power company officials said pressure was higher than previous readings -- but stable -- Sunday afternoon. And Chief Cabinet Secretary Yukio Edano said the pressure increase did not require "an immediate release of the air at this moment."

Still, "even in the best scenario, there will be a lot of bumps ahead," Edano told reporters as he assessed the situation at the plant in a briefing Sunday.

There are six reactors at the nuclear plant, where workers have been struggling to stave off a full meltdown since a 9.0-magnitude earthquake and ensuing tsunami knocked out cooling systems.

Workers have injected steam to release pressure in previous operations.

The dual disasters, which struck March 11, devastated much of northeastern Japan. On Monday, the country's national police said 8,649 people were confirmed dead, 2,702 were injured and 12,877 remained missing as search efforts continued. In Miyagi prefecture alone -- one of the hardest-hit areas -- police said the death toll could climb to 15,000.

Amidst the gloom came a ray of hope Sunday when medical officials in the Miyagi city of Ishinomaki said they had rescued an 80-year-old grandmother and her 16-year-old grandson, who had been trapped inside their house for nine days.

Police were searching for survivors in the vicinity, Kadonowakimachi, in the southern part of Ishinomaki near the coast. The boy managed to crawl through the rubble onto the roof, the Ishinomaki police department said.

A relative had reported the two missing on March 13, police said.

In Fukushima, authorities have evacuated about 200,000 people from a 20-kilometer (12-mile) area surrounding the plant, but the crisis there has sparked concern across the country.

Very small amounts -- far below the level of concern -- of radioactive iodine have been detected in tap water in Tokyo and most prefectures near the Fukushima plant.

The health ministry said levels of radioactive iodine three times greater than the regulated standard were found in drinking water in a village near the Fukushima plant and asked residents not to drink from the tap, Kyodo News reported Sunday.

The Japanese government has banned the sale of raw milk from Fukushima Prefecture, where the Fukushima Daiichi plant is located, and prohibited the sale of spinach from neighboring Ibaraki Prefecture after finding levels of radioactive iodine and cesium higher than government standards, the country's Health Ministry reported. And officials in Fukushima halted the distribution of locally grown vegetables outside the prefecture.

Edano said the contaminated milk detected in Fukushima prefecture had not been distributed or sold.

On Saturday, officials said tainted milk was found 30 kilometers (18 miles) from the plant, and spinach was collected as far as 100 kilometers (65 miles) to the south, almost halfway to Tokyo.

A person who consumed the tainted food continuously for a year would take in the same amount of radiation as a single CT scan, Edano said Saturday. That's about 7 millisieverts, or double what an average person in an industrialized country is exposed to in a year, according to the U.S. Food and Drug Administration.

"Even if you consume the spinach in question for a long time, it will not pose an immediate threat to your health," Edano said Sunday.

Six members of an emergency crew working to restore electricity at the plant have been exposed to more than 100 millisieverts of radiation per hour.

Officials say regaining electrical power could bring cooling systems back online -- a key step in curbing the further emission of radioactive material and preventing a full nuclear meltdown. A meltdown occurs when nuclear fuel rods get so hot that they melt the steel and concrete structure containing them, spilling out into the air and water with potentially deadly results.

The earthquake and tsunami knocked out regular and backup cooling systems at the plant.

It was unclear whether the cooling system in reactor No. 2 was working after power was restored Sunday.

The plan is to get power up and running for the Numbers 1, 3 and 4 reactors soon. Cooling systems at the Numbers 5 and 6 reactors -- the least troublesome of the group -- have already been restored, Kyodo News said.

On Saturday, authorities set up a new system to spray sea water continuously on the troubled reactors for extended periods of time. Previously, firefighters, soldiers and electric company workers had manually done the same in brief intervals to avoid prolonged radiation exposure.

Water was directed at the No. 3 reactor's spent fuel pool on Saturday in order to cool it and prevent the emission of more radioactive material into the atmosphere. Authorities have also started spraying the No. 4 reactor and continued efforts there Sunday.

CNN's Junko Ogura and Yoko Wakatsuki contributed to this report.

@highlight

NEW: Crews resume spraying the damaged plant with water, Kyodo News reports

@highlight

Japan bans the sale of raw milk and restricts vegetable sales from Fukushima prefecture

@highlight

The power company says electricity is being supplied to reactor No. 2