A soak in a steamy tub, surrounded by candles sure seems like a great way to unwind. But new research suggests that burning certain kinds of candles may generate indoor air pollutants.

Frequently lighting many candles in an unventilated space could lead to problems, say the study researchers.

Researchers at South Carolina State University studied petroleum-based and vegetable-source candles to determine their emissions. They let candles from different manufacturers burn for up to six hours in a small box (8 inches x 8 inches x 26 inches), and then collected and analyzed substances released into the air.

They found that paraffin-based candles -- the most popular kind -- emitted toxic chemicals like toluene and benzene. Soybean candles did not, according to the study, which was presented this week at the American Chemical Society meeting in Washington, D.C. Candles made of beeswax or soybean tend to make mention of that ingredient on their label; paraffin candles may not.

The researchers say that lighting a paraffin candle once in a while is unlikely to pose a health threat. However, frequently lighting many candles in an unventilated space could lead to problems, and may aggravate asthma, cause allergy-like symptoms, or irritate the respiratory tract. Health.com: 10 ways to fight indoor mold

However, whether some candles are safer than others is still debatable, according to one expert. "I think there's some controversy out there as to which candles are better than others," says George Thurston, Ph.D., an associate professor of environmental medicine at the New York University School of Medicine.

Thurston urges people to be prudent about lighting any kind of candle -- whether it's paraffin, beeswax, or soybean -- in an enclosed space. "Just lighting a match to start a candle creates sulfur pollution in the air," he adds. "It's one of the big sources of sulfur in the indoor environment, so using a lighter would probably be cleaner." Health.com: Why belly fat is bad for your lungs

While you aren't putting your life on the line by lighting a candle, he says you should exercise at least some caution. "You ought to try to minimize your exposure to paraffin wax candles," says Thurston. "And when you light any kind of candle, you might turn on the exhaust fan; even if it ruins the mood, it vents out the fumes. People just need to use common sense."

Candles are only one potential source of indoor air pollution.

"A lot of household products give off volatile organic compounds, or VOCs," says David Rosenstreich, M.D., the director of the division of allergy and immunology at New York's Montefiore Medical Center. Cleaning products, hair sprays, and mousses all contribute to indoor air pollution. "We live in a highly chemically infused environment where people use tons of products," he adds. "Just because it's on the supermarket shelves doesn't mean it's safe."

Central heating and cooling systems, as well as gas fireplaces, can generate indoor air pollution too. "People have these fake fireplaces that are unventilated and the pollution just sits in the room," says Thurston. "You need ventilation, just like you do with candles." Health.com: Air purifier buying guide

People with respiratory problems such as asthma and chronic obstructive pulmonary disease should make an extra effort to cut down on indoor air pollution, says Rosenstreich. And it's easier than it sounds. "You can wipe down your counter with a little soap and water," he says. "You don't need to use these powerful cleaners."

He also suggests ventilating your home as naturally as possible by opening the windows at night once the house has cooled down. "That way you're not breathing in the same old stale air," he says. If you are prone to outdoor allergies, use a filter in your central air and heating systems to cut down on dust.

Simply thinking twice about the chemical products you use in your home can go a long way toward improving air quality. "A lot of things we take for granted aren't really safe at all," Rosenstreich says.

Barbara Miller, a spokesperson for the National Candle Association, says "no candle wax has ever been shown to be dangerous or harmful to human health."

"Paraffin wax is neither toxic nor carcinogenic," says Miller. "All types of properly formulated candle wax have been shown to burn cleanly and safely." Health.com: How to make your own all-natural home cleaners

She notes that a 2007 industry-funded study found that none of the candle waxes tested -- including paraffin, soy wax, and beeswax -- produced benzene. The levels of volatile organic compounds were less than 2 percent of the indoor air-quality standard.

In that study, nine 6-ounce candles of each type containing no fragrance or dyes were burned simultaneously in a test chamber. The test simulated four hours of daily burning of one container candle in a room about 1765 cubic feet (50 cubic meters) in size.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Study: Burning certain kinds of candles may generate indoor air pollutants

@highlight

Paraffin-based candles emitted toxic chemicals like toluene and benzene

@highlight

National Candle Association says no candle wax harmful to humans

@highlight

Plenty of other household products give off volatile organic compounds