A nurse's assistant in Spain is the first person known to have contracted Ebola outside of Africa in the current outbreak.

Spanish Health Minister Ana Mato announced Monday that a test confirmed the assistant has the virus.

The woman helped treat a Spanish missionary and a Spanish priest, both of whom had contracted Ebola in West Africa. Both died after returning to Spain.

Health officials said she developed symptoms on September 30. She was not hospitalized until this week. Her only symptom was a fever.

"We are working in coordination to give the best care to the patient and to guarantee the safety of all citizens," the health minister said.

An investigation is under way to find everyone the assistant may have had contact with while contagious. So far, there are no other known cases.

The assistant was one of about 30 health professionals in Spain who helped to treat the Ebola patients.

The news came amid growing fears in the United States that the disease could spread.

"As I've said from the start of this outbreak, I consider this a top national security priority. This is not just a matter of charity ... This is an issue about our safety," President Barack Obama told reporters Monday.

He called for protocols to help stop the spread of the disease, while downplaying the risk of an epidemic in the United States.

"We're also going to be working on protocols to do additional passenger screening, both at the source and here in the United States," he said. "Here in the United States, at least, the chances of an outbreak -- of an epidemic here -- are extraordinarily low."

Texas Gov.: Quarantines at borders

To avoid an outbreak, the federal government should start enhanced screening and quarantines at borders, Texas Gov. Rick Perry said earlier Monday.

"There's only so much that a state can do," said Perry, whose state is the first to have a patient diagnosed with the disease inside the United States.

Thomas Eric Duncan flew into the United States last month from Liberia, the country hit hardest by the epidemic. He was coming to visit family and friends. After his Ebola diagnosis at a Dallas hospital, Duncan now lies in an isolation unit in critical condition.

He is receiving brincidofovir, health officials said Monday. The experimental antiviral drug was originally developed to treat life-threatening viruses including smallpox. But antiviral drugs can be used to treat a wide variety of diseases.

"We appreciate and we applaud the assistance we've received from the Centers for Disease Control and other federal agencies we've worked with," he said. But, he added, "Washington needs to take immediate steps to minimize the dangers of Ebola and other infectious diseases."

Customs and Border Protection "should immediately be directed to conduct enhanced screening procedures, obtaining more information about people who are coming from affected areas," and taking "appropriate steps" as simple as taking a person's temperature, Perry said at a news conference.

The procedures "will also necessitate fully staffed, prepared quarantine stations wherever people are entering the country, ready to care for anyone whose screening turns up a concern, helping to prevent contagions from entering this country," he said.

Perry also announced the signing of an executive order creating the Texas Task Force on Infectious Disease Preparedness and Response.

The group is charged with studying and improving the state's plans for dealing with outbreaks such as Ebola and helping Texas quickly halt the spread of diseases. It will also share expertise with other states when needed.

Patient's dad: I told him not to cover the outbreak

As he spoke, another state was treating its second Ebola patient in the current outbreak. The first was Dr. Rick Sacra, who was treated and no longer has Ebola.

Freelance cameraman Ashoka Mukpo, who contracted the virus while covering the epidemic in West Africa, arrived for treatment in isolation at Nebraska Medical Center on Monday.

His father, Mitchell Levy, said he had tried to dissuade his son from going to cover the outbreak. "I told him he was crazy," Levy said.

Mukpo was strong enough to walk off the plane, said Dr. Brad Britigan with the hospital. Doctors are evaluating his condition.

U.S. troops set to deploy to West Africa: Will they be safe?

'All options on the table' for screening at U.S. entry points

To prevent more situations like Duncan's, federal officials are now considering tougher screening measures,

"All options are on the table for further strengthening the screening process here in the U.S.," a federal official said. They include thermometer checks for fever, something West African authorities are already doing.

But finding the right passengers to screen is not so simple.

Direct flights from Ebola-affected areas are rare. Travelers typically take flights that connect through other countries. "Then they come here, so that makes it more of a challenge," the official said.

And even if Duncan had undergone a temperature screening, it would have turned up negative. Many people with Ebola have no symptoms at first.

Who's in charge of stopping Ebola in the U.S.?

So while the Centers for Disease Control and Prevention is considering enhanced screenings at major U.S. airports, according to a CDC official, there are no concrete plans.

"We're looking at all of the options. We want to do something that protects Americans, not something that either is done for show or something that won't have an impact," CDC Director Dr. Tom Frieden told CNN's "The Lead with Jake Tapper," when asked about what new protocols could be put in place.

Frieden spoke shortly after meeting with Obama and other senior leaders to discuss next steps.

Officials want to make sure that new screenings would be worth potentially disrupting air travel and that they wouldn't unintentionally increase the risk of spreading the disease.

"The question that's being considered now and readdressed is that, should there be entry screening of some sort?" said Dr. Anthony Fauci, of the National Institutes of Allergy and Infectious Diseases. "If you do implement it, what would it look like and what would be the resources that are necessary to implement it?"

Opinion: Protecting against Ebola trumps personal liberty

@highlight

President Barack Obama and the director of the CDC discuss next steps

@highlight

The President calls Ebola a "top national security priority"

@highlight

A nurse's assistant is the first person known to contract Ebola outside of Africa in this outbreak

@highlight

She was one of about 30 health professionals who treated two Ebola patients in Spain