Jonathan Pollard, the former U.S. intelligence agent who was convicted of spying for Israel, could be released before the Jewish holiday of Passover as part of efforts to save Israeli-Palestinian peace negotiations, an Israeli official involved in the talks told CNN.

Suggestions for deals for Pollard's release have been floated over the years but have not materialized. Passover starts on April 14.

Talk of Pollard's possible release came as Secretary of State John Kerry traveled to Israel on Monday to try to mediate a dispute between Israel and the Palestinians over the release of Palestinian prisoners. Kerry was in Belgium on Tuesday.

He was expected to go back to Israel on Wednesday and to visit Ramallah, West Bank, but a senior State Department official told CNN that trip is no longer happening.

Kerry stated Tuesday night that "no agreement has been reached with respect to any prisoner" -- be it Pollard, whom he was asked about, or anyone else -- though talks involving all parties are ongoing in hopes of reaching a broader agreement.

"At this point in time, no agreement has been reached with respect to any prisoner, not even the ones that at this moment are at issue in terms of the transfer. The Cabinet in Israel has to vote. I'm not sure exactly when that might take place or not. So there is no agreement at this point in time regarding anyone, or any specific steps, there are a lot of different possibilities in play," Kerry said.

"It is difficult, it is emotional, it requires huge decisions, some of them with great political difficulty," he continued. "... We are continuing, even now ... to find the best way forward."

White House spokesman Jay Carney said Tuesday that President Barack Obama hasn't decided whether to release the convicted spy at Israel's request.

"The Israelis frequently raise this issue, and they have raised this issue in our discussions," Carney said. "Beyond that, I'm not going to get ahead of the work that Secretary Kerry is doing and the conversations that he's having."

Pollard's possible release was being discussed as part of a broader agreement that has not been finalized, according to sources familiar with the talks.

In exchange for the release, the sources have said that Israel would have to make significant concessions to the Palestinians, which could include a settlement freeze, the release of additional prisoners beyond the current group in dispute and an agreement to continue peace negotiations beyond the end-of-April deadline.

Pollard was convicted in 1987 of spying for Israel and is serving a life sentence in the United States. His imprisonment has been a source of tension between the United States and Israel.

27 years later, Pollard case remains a diplomatic thorn

Parameters

The Israeli official said the parameters of a deal still emerging include negotiations with the Palestinians continuing into 2015, and an agreement that during that time, Palestinians would refrain from taking their case to international bodies.

However, Mustafa Barghouti, a Palestinian lawmaker who met Monday with Palestinian Authority President Mahmoud Abbas to discuss Kerry's efforts, said the Palestinian leadership believes the Israelis are making claims of an "emerging deal" to create an impression that a breakthrough is imminent so that when it falls apart, it can be blamed on the Palestinians.

Barghouti doubted the notion that the Palestinians were on the verge of signing a deal and said Abbas is increasingly convinced that Israel is not interested in any process that would lead to Palestinian statehood.

According to the Israeli official, though, a fourth Palestinian prisoner release would go ahead and would include Israeli Arabs, the official added. An additional 400 Palestinian prisoners would be released. Israel would determine those to be released, and they would not have blood on their hands, the official added.

Regarding settlements, there would not be a total freeze, but "Israel will act with great restraint," he said.

But in what one nongovernmental organization's director called "a blow to the American efforts in trying to achieve an agreement between the Israelis and Palestinians," Israel pushed forward Tuesday with tenders for new settlement construction in Gilo, in East Jerusalem.

"Israel today re-announced pushed tenders for 708 new settlement units in Gilo that were originally published in November," said Hagit Ofran, director of Peace Now, an Israeli NGO that monitors Israel's settlement construction in the West Bank and Jerusalem.

The Israeli official said Jerusalem would not be included in the provision calling for no tenders for new housing in the West Bank, although work would proceed on tenders already issued, the official said. The halt on new tenders refers to housing only. Construction of other infrastructure, such as roads and hospitals, he said, would continue.

Asked about the talks and a possible release, Asher Mivzari, a spokesman for The Free Jonathan Pollard Committee, said the committee was not "reacting to the news."

"Their message all along has been that Jonathan Pollard should have been freed a long time ago and this should be an outcome of justice in the American legal system," he said.

Separately, a spokesman for Cabinet Minister Uri Ariel confirmed he had said he was against the release of "murderers" in exchange for Pollard.

Opinion: Trade a spy, get Middle East peace?

Parole consideration

Israel has in the past tried to link Pollard's release to peace negotiations. Current and former U.S. officials and experts have suggested the United States government might tie his release to a comprehensive peace deal between the Israelis and Palestinians.

Pollard is up for parole consideration in November 2015, and the United States is running out of time to use his possible release for leverage with Israel.

Carney, the White House spokesman, said on Monday that it is a "complicated issue" and declined to "get into details" about the negotiations.

"And with regards to Mr. Pollard, he is a person who was convicted of espionage and is serving his sentence, and I don't have any update on his situation," Carney said.

But the fact the United States is apparently willing to discuss his release before even a framework agreement has been reached between the parties shows the extraordinary efforts Washington is making to salvage the troubled negotiations.

When asked whether Pollard was a topic in Kerry's talks with Israeli Prime Minister Benjamin Netanyahu, State Department spokeswoman Jen Psaki stuck to the White House line and said she had no updates on his status.

Talks hit a snag

The peace negotiations, which began in July, have hit a snag over whether Israel will agree to release more than two dozen prisoners, including 14 Arab Israelis whom Israel considers terrorists. They were scheduled to be freed on March 29, and now Palestinian negotiators are threatening to end the negotiations over the delay.

Israel has already released three groups of prisoners, most of whom have served lengthy prison terms for attacks on Israelis. But this final release is especially contentious because it includes convicted murderers. Netanyahu has said he would seek approval for any further releases with his Cabinet, which has been critical of the previous releases.

Israeli Deputy Defense Minister Danny Danon told CNN he will resign if Israel goes ahead with the prisoner release, and other Likud Party members in the Cabinet, along with members of the HaBayit HaYahudi Party, which has 12 members in the Knesset, could join him, creating a political crisis.

Netanyahu has also said he would not release any more prisoners if Abbas did not agree to continue negotiations and to stop threatening to seek recognition for Palestinians before international bodies.

A new possible stumbling block in the overall talks arose Tuesday, when Abbas signed 15 requests to have his government join international organizations, according to Palestinian lawmaker Mustafa Barghouti.

Asked about this development, Kerry said none of the organizations that Abbas asked to join "involved the U.N." Furthermore, he scuttled any thought that this could derail negotiations while insisting that the key players remain engaged.

The United States is ready and willing to play a significant role, Kerry said.

Still, Kerry stressed that it's the Israelis and Palestinians who will ultimately decide if a deal gets done.

"In the end, this is up to the parties," he said. "... The leaders have to make the decisions."

Opinion: The truth about Pollard

@highlight

Kerry is no longer traveling to the Mideast on Wednesday, source tells CNN

@highlight

Kerry says there's "no agreement" with regards to any prisoner

@highlight

Pollard is a former U.S. intelligence agent convicted of spying for Israel

@highlight

Palestinian lawmaker says no deal imminent, alleges Israeli ruse