(CNN) -- The doctor-patient relationship is a complex one.

It occurs at a stressful and busy time for both the patient and the doctor. Because it involves at least two humans, there are usually at least three versions of the conversation: the doctor's, the patient's and the true version.

A survey published this week in the journal Health Affairs reflects this complex relationship. Lisa Iezzoni and her colleagues surveyed 1,891 physicians nationwide about how honest they are with their patients regarding medical mistakes and a patient's prognosis.

The survey found that although two-thirds of doctors agree they should share serious medical errors with their patients, one-third did not completely agree. Nearly two-fifths of the respondents said they did not disclose their financial relationships with drug and device companies. And more than 55% of physicians said they often or sometimes described a patient's prognosis in a more positive manner than the facts might support.

These survey results are unsettling. We all want to think of medicine as an honorable profession and that the people in it work with integrity.

While we should all be appalled that a doctor would deceive or lie to a patient, we should also look beyond the white coat for an explanation. While it is not a vindication, the fact is physicians are human. They have all the feelings and failings of humans.

Please keep in mind, medical errors can be due to negligence, but they are more often a failure to analyze data appropriately.

Many doctor errors are simply a matter of bad luck: The doctor was not good enough that day and would have done better the day before or the day after. Some bad outcomes are not really the physician's fault.

Some doctors do not admit error out of fear of litigation. But my experience is that the discomfort of addressing one's own failings or weakness is more commonly the reason for not coming forward.

It is a normal human tendency to not want to admit an error. Confession is difficult, especially when you have to admit responsibility to the person you have hurt.

In the case of a "bad luck" outcome, the physician may be unwilling to admit their lack of control. This is often due to a lack of communication during the consenting process -- when doctors explain the possible outcomes or side effects -- and can lead to patient anger when things go badly.

Ironically, when I have seen a doctor admit an error, the patient or patient's family is usually forgiving and rarely sues.

So why would a doctor not be honest about a patient's disease or prognosis? This is likely because doctors are not always the best communicators. Medical explanations involve defining some complicated things. This is difficult and it is often easier to just not do it. Sometimes there is a tendency to simplify to the point of not telling the truth.

It is unfortunate that our medical system pays doctors handsomely to do medical procedures, but does not reimburse well for talking to, counseling and spending time with patients.

In a normal office environment, a physician is often forced to see four or more patients per hour. Questions go unanswered or half answered as the physician moves from room to room assessing the patient, reading a patient's history and lab research, documenting and looking things up.

It's a rare private practice physician who can block extra time for a patient with special needs. This can be costly.

Telling a patient bad news is horribly difficult. It is always an emotional struggle for any caring human being. The emotional incentive is to hold back information or be less than honest. It is harder for me to tell a patient that they are dying -- and that all we can reasonably do is try to keep them comfortable -- than it is to tell a family member that a patient has died.

As someone who studies how health care is provided and how health care is consumed, this survey's findings do not surprise me and the solutions are not simple.

We need to transform health care. This involves empowering the patient. Patients need to take an interest in their own health. Ask good questions and expect if not demand answers. Some patients will need advocates or navigators to help them.

The transformation also involves more members of the medical profession coming to realize the meaning of the term "profession." A "profession" is a group of people who put their own interests secondary to the interests of the people they serve. A profession is also a group that educates and polices itself.

My greatest concern is many doctors and patients fail to comprehend just how complicated medicine can be.

Even doctors fail to remember that medicine is a science and an art, often with unclear answers. There are things in medicine that are scientifically known, and things that are unknown. There are also things that are believed.

The wise physician draws a distinction between the three. The unwise doctor often confuses what he believes with what he knows. These unwise doctors may not know they are not telling their patients the truth.

The opinions expressed in this article do not necessarily represent those of CNN, The American Cancer Society, or Emory University.

@highlight

Survey published in Health Affairs shows one third of doctors don't share medical errors

@highlight

Results are unsettling, doctor says, but we should remember that physicians are human

@highlight

Doctors often try to soften the blow of a prognosis by not giving all the negative details