Tripoli, Libya (CNN) -- Rebel fighters say they are in control of most of Libya's capital, though the months-long war appeared far from over Saturday.

As rebels worked to extend their reach,  Moammar Gadhafi's forces battled back from a number of loyalist strongholds in Libya.

The fighting followed warnings by the United Nations and its diplomatic partners that widespread shortages of food, water, fuel and medical supplies could further destabilize the region.

"All agreed that the crisis in Libya has entered a new and decisive phase," U.N. Secretary-General Ban Ki-moon said, following conversations Friday with the heads of the African Union, the League of Arab States and others.

"All agreed, as well, on the importance of a smooth transition."

Ban said the transition from Gadhafi's rule must be based on inclusiveness, reconciliation and national unity.

"All agreed that, if the Libyan authorities request, we should be prepared to help develop police capacity, bearing in mind that the country is awash with small arms," Ban said.

The rebel's leadership, the National Transitional Council, has called on the U.N. Security Council to order the release of billions of dollars frozen by the United States and others at the onset of the war.

Though the National Transitional Council has been recognized by 57 countries and the United Nations as the legitimate representative of the Libyan people, the African Union failed to follow suit during a meeting Friday. It also has opposed the release of Libyan funds to the rebel leadership, saying there was no one in charge of the country.

The African Union's Peace and Security Council issued a communiqué that urged the "formation of an inclusive transitional government."

Gadhafi, who served as chairman of the organization in 2009, has strong ties to some of its members, including Algeria and Chad. There has been speculation that should Gadhafi flee Libya, one of the two countries would accept him.

Gadhafi has not been seen since rebels advanced on the Libyan capital last week, though he has taken to radio airwaves and urged loyalists to fight. The transitional council has placed a $1.4 million bounty on Gadhafi's head to whoever brings him in or kills him.

"Right now, as I've been saying the past few days, right now there is no evidence to indicate that Gadhafi has left Libya," Josh Earnest, President Obama's principal deputy press secretary, told reporters Friday.

It is unclear who is directing Gadhafi's forces, who have been battling back at a number of loyalist strongholds.

In Gadhafi's hometown of Sirte, NATO warplanes bombed a headquarters bunker, the UK Defence Ministry said. Tornado aircraft fired a salvo of precision-guided missiles into the city, which is east of the Libyan capital on the central coast, it said.

Clashes also were reported along Libya's western border, where rebels took control of the main border crossing between the two countries, according to Tunisian state-run media.

In the heart of the capital, rebels began exploring a vast network of tunnels that run underneath Gadhafi's Bab al-Aziziya compound -- the scene of heavy fighting in recent days.

Inside the tunnels, rebels discovered a golf cart believed to be used to navigate the thick-walled hallways, which they believe lead from the compound to the fiercely contested airport, said CNN's Sara Sidner, who joined the rebels to explore the underground network.

A former U.S. airbase converted by Gadhafi into a military airport also was opened up by the rebels in Tripoli, revealing long lines of helicopters and dust-laden jets once worth millions of dollars apiece rusting on the tarmac.

Rebels tore down a statue at the airport of a fist clenching a fighter jet, which was erected by Gadhafi after American fighters struck the leader's Tripoli compound in retaliation for sponsoring terrorism strikes against U.S. citizens.

Rebels fought to retain control of the Tripoli International Airport, which has been shelled repeatedly in recent days by loyalists entrenched in a village to the east.

A 17-year-old rebel said he hates war but feels forced to fight until the war ends. At that point, "I'm going to see my mother. I'm going to see my family," said Louis al-Zinatni. "I'm going to remove this gun from my hands. It's not for me."

The war's toll was evident at one Tripoli hospital where dozens of bodies lay abandoned, said CNN's Nic Robertson, who toured the hospital with rebels.

One man was overwhelmed with joy to discover his son among the wounded inside the hospital. But his joy was tempered by the fact that the son's wound -- a bullet to the chest -- could still prove fatal, Robertson said.

The continued fighting came amid mounting evidence of revenge killings by rebels and loyalists.

Amnesty International said Friday it had gathered accounts from survivors of abuse in Zawiya by pro-Gadhafi soldiers and rebel forces.

Amnesty said it also uncovered evidence that pro-Gadhafi forces killed detainees at two military camps in Tripoli on Tuesday and Wednesday.

Escaped detainees said loyalist forces had used grenades and gunfire on scores of prisoners at one camp, while guards at the other camp fatally shot five detainees.

"Loyalist forces in Libya must immediately stop such killings of captives, and both sides must commit to ensuring no harm comes to prisoners in their custody," Amnesty International said.

The International Criminal Court has issued an arrest warrant for Gadhafi alleging crimes against humanity.

Meanwhile, the United Nations Education, Scientific and Cultural Organization warned antiquities dealers and others to be on the look out for Libyan artifacts that may be looted during the unrest.

"Experience shows that there is a serious danger of destruction during times of social upheaval," Irina Bokova, UNESCO's director-general, said.

"Careless dealers who buy these objects and fragments are in fact inciting more looting. It is, therefore, crucial that the international antiquities market be particularly wary of objects from Libya in the present circumstances."

CNN's Nic Robertson, Dan Rivers, Sara Sidner, Arwa Damon, Raja Razek, Chelsea J. Carter and Pam Benson contributed to this report.

@highlight

The United Nations warn that food and fuel shortages can further destabilize Libya

@highlight

Rebels and NATO battle loyalists in Tripoli and Gadhafi's hometown, a defense official says

@highlight

The African Union fails to recognize the rebel leadership as legitimate representative

@highlight

UNESCO warns antiquities dealers against buying Libya treasures