(CNN) -- Thursday, the White House revealed its efforts to reform the patent system, following up on President Obama's call in the State of the Union address.

The White House called on Congress to pass legislation to combat patent trolls, known less pejoratively as "patent assertion entities." PAE's are firms that don't manufacture anything. They buy patents and threaten to sue people to extract licensing fees, like the mythical troll charging a fee to cross a bridge. Apple, Google and AT&T have each faced more than 100 such suits since 2009.

Critics suggest that trolls create a drag on innovation by diverting resources to litigation.

In response, the House of Representatives passed the Innovation Act of 2013 in December. The Senate is considering various anti-troll bills. Even the Supreme Court has gotten into the act, hearing cases this term that relate to the troll issue.

If all three branches of government are reacting to trolls, clearly they are a huge problem.

Except, they aren't. What is lost in this mudslinging is that much of what PAEs do is laudable â€” paying inventors. Patents don't grow on trees. Someone came up with the invention and incurred considerable expense to obtain the patent. Many inventors can't bring their invention to market themselves, however, so selling the patent may be the only way for them to make money. By buying these patents, PAEs compensate inventors, one of patent law's objectives.

Patents give their owners the right to seek compensation for unauthorized uses of the invention, so there is nothing wrong with a PAE enforcing a valid patent.

The key word, though, is valid. Problems arise when PAEs sue on improperly issued patents, ones that never should have gotten out of the US Patent and Trademark Office.

For example, many patents on software and business methods -- areas where PAEs often operate -- are not sufficiently different from earlier technology to justify the patent, or are too vague to discern what they legitimately cover. Even though companies can knock these patents out in court, most parties settle. But, if they aren't legitimate patents, why do parties settle? Simple: to avoid the expense.

According to a 2013 American Intellectual Property Law Association survey, median litigation costs are $3.3 million when $10 million to $25 million is at stake. Discovery -- the process of looking for evidence relevant to the case --is responsible for much of the expense. Defendants must wade through voluminous records and e-mails to find anything relevant to the case. For a case worth $10 million to $25 million, the survey estimates that the median cost through discovery in defending a PAE suit is $1.5 million.

A PAE doesn't face these expenses. Discovery is easy for it because all it has is the patent. Plus, its lawyers usually take these cases on contingency, taking a percentage of whatever money they bring in, so there are no upfront attorney costs. When manufacturing companies face these costs, many simply settle, leaving the invalid patent in place.

But these are not troll problems; they are litigation and patent quality issues. Scapegoating trolls risks disrupting the useful compensatory purpose they serve and may cause unintended consequences in non-troll litigation.

Unfortunately much of the Innovation Act's proposals are ill-considered from this perspective. For example, the act makes all patent litigation -- troll and non-troll -- a "loser pays" system. The losing party must pay the attorney fees of the other side unless the loser's case was "reasonably justified." So, if a PAE sues on a bad patent and loses, it may have to pay the company's attorney fees. By having more skin in the game, hopefully PAEs would think twice about asserting bad patents.

Unfortunately, the provision applies to all patent cases, likely increasing litigation expenses in all cases as parties fight over fees -- worrisome and chilling the willingness of non-trolls, such as startups, to enforce their patents.

Such legislation is premature because two of the troll-related cases at the Supreme Court deal precisely with this issue. Other provisions in the act attempt to reduce litigation expenses, but they inappropriately micromanage the federal courts.

Patent quality concerns must be addressed by the patent office. Unfortunately, the relevant provisions of the Innovation Act were removed prior to passage, so the final version contains no provisions relating to patent office procedures.

The President's proposals, however, are directed to improving the quality of the patent office's review of patent applications. If successful, enhancing the clarity of what a patent covers would be a welcome improvement. The patent office's efforts to create greater transparency of patent ownership is also important because PAEs often hide their ownership behind various corporate shells.

Finally, in 2011, Congress created new procedures to challenge patents after the patent office has issued them. Time will tell whether they successfully enhance patent quality, yet the promise is there.

But all three branches must remember that not all patent trolls are demons. PAEs create markets for compensating inventors. Patent reform efforts should not myopically focus on trolls per se, or it may disrupt these markets and create other unintended consequences.

Reform must address patent quality and exorbitant litigation costs. The President's proposals offer hope, but the Innovation Act's efforts are misplaced. The Senate proposals are more modest. Let's hope Congress pauses to consider the broader role PAEs play in our economy and appropriately tailors legislation to the patent system's real problems.

The opinions expressed in this commentary are solely those of Timothy Holbrook.

@highlight

President Obama, Congress have proposed reforms to curb patent trolls

@highlight

Supreme Court is considering cases relating to the issue of patent trolls

@highlight

Timothy Holbrook says some trolls sue to enforce bad patents, but others serve useful purpose

@highlight

Holbrook: The problem is mostly with Patent Office failings and with exorbitant costs for lawsuits