(CNN) -- A refugee and mother of three young boys who is being held in indefinite detention in Australia has two days to convince the country's highest court why she should be freed.

It's her last shot at overturning a government policy which was recently condemned by a United Nations Human Right Committee report as "cruel, inhuman and degrading."

Failure will mean that Ranjini, a 34-year-old Sri Lankan refugee, will continue to be held without trial for the foreseeable future, for reasons that remain a national secret. And she's not the only one.

"The core issues in Ranjini's case are common to more than 50 other refugees deemed a security risk and has serious implications for their liberty too," said her lawyer David Manne, who as the executive director of Australia's Refugee and Immigration Legal Centre, is representing most of the refugees involved.

Ranjini is seeking to be released into the community to live with her family, the two young boys she fled with who are now aged seven and nine, her new husband and their eight-month-old child.

"It has caused Ranjini, her boys and her husband profound distress and harm," Manne said. "Every day of detention is another day of damage."

CNN is unable to verify details of Ranjini's story with the Australian Department of Immigration and Citizenship (DIAC) because it will not comment on individual cases.

Ranjini's supporters say they suspect her detention has something to do with her former husband, a Tamil who was killed during fighting in Sri Lanka, though that is unable to be confirmed.

Fleeing Sri Lanka

Ranjini fled Sri Lanka in 2008 with her two sons Pirai and Kathir -- then aged four and two -- two years after her husband and their father was killed in the civil war.

They're from the Vanni region, where the United Nations has alleged both the government and the Liberation Tigers of Tamil Eelam (LTTE) targeted civilians, according to a report released in March 2011.

They first went to India, but Ranjini struggled to care for her family so paid a people smuggler to board a boat to Australia.

During what she has described as a "painful" journey, the boat ran out of fuel and was eventually intercepted by the Australian Navy who took the bedraggled and by now desperate asylum seekers to Christmas Island for processing.

Ranjini and her sons were moved to the Australian cities of Perth, then Adelaide before being released to community detention in Brisbane in 2011. In September of the same year, Ranjini and the boys were granted refugee status. Their three-year quest for safety and freedom was over. Or so she thought.

OPINION: Australian parties in race to bottom on asylum issue

Back in detention

In December 2011, Ranjini met a man, Ganesh, who is also from Sri Lanka but was living in Australia as a permanent resident, working as an I.T. consultant in Melbourne.

The Immigration Department gave them permission to marry, and in April 2012 they exchanged vows in a traditional Tamil ceremony witnessed by 200 guests.

However, within one month, Ranjini was back in custody. Immigration officials summoned the family to a meeting to inform them that she had failed a security test and would be detained indefinitely.

She and the boys were flown to the Villawood Detention Center in Sydney. The next day she found out she was pregnant with Ganesh's child.

Born into custody

Baby Paari was born in January, 2013, and lives with his mother in detention. "I can't take the baby out, because if I take him out he'll cry," Ganesh told CNN. "Once I tried but I couldn't keep him calm. After 10 minutes he started crying so I took him back."

He has taken Paari into the car park for photos; cameras aren't allowed within the detention center. And last month, Ranjini was allowed to visit Ganesh's home for four hours for a Hindu ceremony called Kolukaddai Kodduthal, which marks the arrival of their baby's first teeth.

As an Australian citizen, Baby Paari is not being detained. Nor are his brothers who were granted permanent residency in June. The elder boys choose to live with their mother during the week, but leave the secure facility every Friday to spend weekends with Ganesh.

Ganesh says over the past 16 months the boys have come to realize that other detainees only stay for a month or two while their claims are processed.

"They see people come and go but only their mother can't get out. It makes them very sad. They're starting to realize that their mother is in a difficult situation -- it's very hard for them," he said.

Detained as national security risk

The security test that Ranjini failed was conducted by the Australian Security Intelligence Organisation (ASIO).

According to its website, ASIO says part of its protective security work is "to assess whether people applying for entry or permanent residence visas have the potential for espionage, have links with a terrorist organization, or may in other ways be a threat to national security."

Refugees who fail the assessment are not told why and they have no right to legal appeal. Because they're refugees, the country is obliged to offer them protection under international law. But under Australian law, they can't be freed.

On Wednesday, the High Court of Australia will be asked to assess whether it's legal under Australian law and the constitution to detain refugees indefinitely and "whether Australian law puts a different value on liberty for non-citizens, one where liberty is more easily put in jeopardy," Manne said.

It's not known when the court will release its findings, nor the extent of the potential implications for more than 50 other refugees in the same situation.

'Serious psychological harm'

Australia's policy of indefinite detention has been harshly criticized in the past, most recently by a special committee of 18 human rights experts assembled by the United Nations.

In a report released on August 22, the committee said the policy was inflicting "serious psychological harm" on the 46 detainees who brought their complaints, the largest ever against Australia, to the U.N. Human Rights Committee.

"The combination of the arbitrary character of (their) detention, its protracted and/or indefinite duration, the refusal to provide information and procedural rights to (them) and the difficult conditions of detention are cumulatively inflicting serious psychological harm upon them," the Committee said.

The report claimed the policy represented 143 violations of international law and urged Australia to free, compensate and rehabilitate the refugees involved.

Ranjini was not one of the detainees who took their complaints to the United Nations, though she is among those being held.

The independent reviews

Almost one year ago, the Australian government, then led by Julia Gillard, appointed an independent reviewer to examine evidence used by ASIO to determine whether a refugee was a national security risk.

It followed an Australian Senate Committee report into the country's Immigration Detention Network which found that cases of indefinite detention should be subject to review.

Of the 10 reviews completed so far by retired Federal Court Judge Margaret Stone, eight of the negative assessments were found to be "appropriate." Ranjini's was one of them. She still doesn't know exactly why.

"We didn't expect that outcome," Ganesh said. "We were expecting that (the judge) would give a positive indication to release Ranjini. That was very sad for myself and my family."

Political parties vie for asylum votes

Australia's asylum policy has been one of the key issues of the upcoming Australian election to be held on September 7. Both leading political parties have announced plans that include sending asylum seekers offshore for processing.

Under a Labor government, led by Kevin Rudd, asylum seekers found to be refugees would be settled in Papua New Guinea or the island of Nauru. None would be allowed to remain in Australia.

The opposition's policy, led by Tony Abbott, goes a step further and proposes refusing permanent visas to some 32,000 people already in Australia who are waiting for their claims to be processed.

Both parties have defended their policies as necessary to discourage the thousands of people who are paying people smugglers to board often unseaworthy boats for the dangerous trip to Australia.

"What we're seeking to do through these arrangements at the moment is to send a message to people smugglers around the world that the business model is basically undermined,'' Rudd said during the policy launch. "It says if you jump on a boat you're going to end up in Australia. That doesn't apply any more.''

Abbott -- who is currently leading pre-election opinion polls -- went one step further over the weekend in announcing that, if he came to power, asylum seekers would be denied government-funded legal assistance, a move the Refugee Council of Australia has slammed as "disastrous" for people seeking refuge.

Abbott would also scrap independent reviews for people like Ranjini, denying them the one opportunity they have for their cases to be re-examined.

Ranjini's court hearing -- hope

Neither Ranjini nor her husband will be in court for the hearing in Canberra on Wednesday and Thursday, but they're both eager for her ordeal to be over.

"We are looking forward to the outcome because she's been in detention since 2010 -- one way or another she's been in detention," he said.

Despite the setbacks -- including the independent reviewer's confirmation of the negative ASIO security assessment -- Ganesh is daring to hope that the High Court will rule in Ranjini's favor.

"There were two boys, now there are three boys... I trust the system so at least they will think that because of her family -- myself and the boys are here -- I'm expecting a positive outcome," he said.

@highlight

Refugee held in indefinite detention taking case to the High Court of Australia

@highlight

Ranjini is seeking to be freed into the community to live with her family

@highlight

She's been detained indefinitely since May 2012 after failing an ASIO security test

@highlight

Her case has "serious implications" for more than 50 others in same situation