(CNN) -- In March this year, Kenya's President Mwai Kibaki officially launched the new Lamu Port project, a massive infrastructure project that is expected to cost a whopping $20 billion. The red-carpet affair was attended by his South Sudanese and Ethiopian counterparts, Salva Kiir and Meles Zenawi respectively, on a stretch of leveled mangroves, flattened especially for the launch.

The new port is part of a larger project, known as LAPSSET (Lamu Port--South Sudan--Ethiopia Transport Corridor), a pearl in the crown of the Kenyan government's Vision 2030, an ambitious program to propel Kenya's economy, like those witnessed in Asia.

The LAPSSET project includes an oil refinery, pipelines from South Sudan, transportation hubs for rail, road and air, and a mega port for oil tankers, plus a number of tourist resort cities along its path.

Several months on, very little work has been done, even though President Kibaki committed the finance minister to release funds to enable construction of the first three berths. Rumors circulate that the government lacks financial backing even though the local media ascribes China as the main supporters because of their desire for South Sudan's oil.

Watch: Bringing Sudanese oil to Kenya

It is no wonder at the speculation. The Lamu Port plans have been shrouded in secrecy ever since the government began its search for capital. The lack of transparency and the dearth of information have created an aura of suspicion and mistrust of the government, particularly among affected communities.

Lamu is listed as a World Heritage Site by UNESCO. The medieval stone town is the home of Swahili culture and architecture. Its rich history is linked to the Indian Ocean trade-world, connecting China, India and the Arab Peninsula from as early as the 9th century.

Early stone ruins of Swahili towns dot the area under the care of the National Museums of Kenya. Nearby, a marine reserve protects the islands dotting the Lamu Archipelago teeming with coral and mangrove and home to endangered marine animals like sea turtles and dugongs.

Inland, the Boni-Lungi Forest -- last of the coastal forests that once spread from Kenya to Mozambique -- is listed as a protected biosphere with conservationists actively trying to protect the area because of its concentration of endemic plants and animals and the fast rate at which it is disappearing.

Lamu County is home to five indigenous ethnic groups: Sanye, Aweer, Bajun, Swahili and Orma, who have lived with political marginalization since Kenya's independence. Each of these communities utilize their natural resources for survival.

Traditionally the Orma are pastoralists, Bajun and Swahili are fishermen and farmers, the Sanye and Aweer are hunters and gatherers. Their livelihoods and cultural existence are at stake with the government's plan to build a mega port and transport corridor linking Lamu to South Sudan and Ethiopia.

Save Lamu, a coalition of local civil society organizations, is taking the government to court over the port project. They argue that the government is legally bound to provide an environmental impact assessment (EIA) by independent experts and consultations with the community. This, they claim, has not been done.

"We have been the stewards of this land and coastline for centuries," says Mohammed Baddi, member of the Save Lamu coalition and a legal petitioner. "How can the government begin to construct such a huge project with dire environmental hazards without consulting us and without an EIA?"

Kenya PM: Sudan conflict threatens world oil prices

Baddi's words are echoed by many in Lamu. One of the biggest community complaints is the lack of transparency on the part of the government. "Getting information about the port project is incredibly difficult," states Abubakar El-Amudy, chairperson of the Save Lamu coalition.

Save Lamu maintains that it is not against the port, but against the way it feels the government is strong-arming the community into submission. "They say we are anti-port and anti-development," states El-Amudy. "We are not. But we are demanding that the government provide us with information, otherwise it appears that the new port will only benefit a few select people."

And that is the way it looks from the ground. Land ownership is a heated point of contention here. As well it would be, for the majority of the county's land mass is categorized as Kenya government land. Lamu's indigenous communities have lacked legal land rights and, under corrupt administrations, their ancestral land has been a means of rewarding political cronies.

Many locals believe that the port project will obliterate their culture heritage. The population of the county, according to reports, is expected to increase tenfold, from 110,000 people today to 1.25 million in 10 years. The incoming migration will make the indigenous communities a minority, thus disabling any political power that they might wield.

The population increase is also expected to damage Lamu's status as a world heritage site. At the latest World Heritage Committee Meeting in St. Petersburg, in June 2012, Kenya's LAPSSET project and its effects on Lamu was discussed. The committee recommended that the Kenyan government halt the project until an Environmental and Historical Impact Assessment report is provided to UNESCO.

Whether the government will agree is not certain.

Meanwhile, Save Lamu's momentum is gathering strength and their court case is pending. The growing opposition to the LAPSSET project by local and international organizations may bring the government to the negotiating table to rethink its plans for LAPSSET.

The opinions expressed in this commentary are solely those of Hadija Ernst.

@highlight

The Kenyan government has announced plans for a new port in Lamu, a World Heritage Site

@highlight

It is part of bigger project that includes an oil refinery, pipelines from S.Sudan and transportation hubs

@highlight

Local civil society groups are taking the government to court over the port project

@highlight

They ask for more information and call for an environmental impact assessment