(CNN) -- The Achilles heel of America's policy against terrorism is its failure to counter the narratives that inspire individuals to become extremists and terrorists.

That's why -- despite the skill and numerous successes of our military, intelligence and law enforcement agencies -- the type of tragic events seen most recently with the stabbings of soldiers in London and outside Paris, and the April bombing of the Boston Marathon, will continue to occur. We're failing to use a key weapon that needs to be used.

There's no question that the United States has been extremely effective tactically against al Qaeda and other terrorist groups since 9/11. Our military, intelligence and law enforcement agencies have done what they were charged with doing, from routing them in Afghanistan to hunting down Osama bin Laden to thwarting plots against New York.

But this isn't enough. For as long as extremists are able to attract new recruits, they'll keep producing replacements for those killed or apprehended and the battle will never end. This is why the strategic tool known as "countering violent extremism," or CVE, has to be used alongside special operations, drones and other weapons.

As an FBI Special Agent, I interrogated dozens of senior terrorists. It quickly became clear that part of al Qaeda's effectiveness in gaining recruits was in their tailoring their rhetoric and their messenger to the personality, location and likely local grievances of their target.

Extremists won't use a Yemeni railing about U.S. "crimes" in Iraq to try to appeal to American-Somali youths in Minnesota. They'll find someone with as close a background as possible, and who understands grievances that resonate, such as foreign powers intervening in Somalia's affairs.

Once a person is recruited they are indoctrinated with the group's counterculture. Asymmetrical groups like al Qaeda often develop their own countercultures, with certain religious texts, events and a consciousness that allows them to in many ways create their own religion within Islam. It isn't an ideology. That's factually inaccurate and gives it undeserved credit. It's a false narrative.

As I travel around the world today, I've seen how that counterculture, once centered in Afghanistan and Pakistan, has worryingly spread to places like Nigeria and Southeast Asia.

Its spread is helped by today's new technological tools: Recruitment is not just happening in training camps and in secret meeting rooms, but in Internet chat rooms and through social media. That has been a major factor in the increase in homegrown terrorism in the West, seen horrifically on May 22 on the streets of London and April 15 at the Boston Marathon.

In his recent speech on terrorism, President Obama told the nation that the values the United States holds will ultimately defeat the terrorists. This will be the case as long as we take the steps to effectively deploy our message. We need to counter extremists in the same manner that they recruit: Targeting extremists with the ideal medium, messenger and message.

A mistake the United States has been making to date is in repeatedly making broad gestures toward the Muslim world and the U.S. Muslim community, making the argument that the United States is a friend. These broad messages don't have an impact on those who need to be targeted.

The United States is working on developing a CVE program, but it has mistakenly spread the domestic portfolio across a range of agencies, from the Department of Education to the FBI. This makes it difficult to have a clear and effective strategy, and also hampers efforts: Charging law enforcement with both collecting intelligence on suspected extremists as well as handling community engagement programs creates natural conflicts and means that neither job can be done effectively.

The ideal situation is one in which the federal government provides support to local efforts to deal with local extremists and recruitment factors, not by imposing a strategy dictated from Washington. This requires local communities -- whether in New York or in Sana'a, Yemen -- to step up and take the lead in increasing the resiliency of their communities against these groups by identifying what the extremist narratives are and where they're spreading -- and then by countering them.

When people are being recruited because of alleged local or tribal grievances, it is community leaders who are the best messengers to counter that narrative. When it's a distortion of Islam, it's the duty of religious leaders to take the lead. Sometimes it's former extremists, who have taken the same path and have credibility, who can be the most effective messengers.

The best CVE programs, such as Singapore's, do this. They have a focused aim of reducing the pool of potential recruits and the appeal of violence, and they target accordingly. When done correctly, CVE should not be an excuse for broad social work or for anthropological studies; it's a focused counterterrorism weapon.

The opinions expressed in this commentary are solely those of Ali Soufan.

@highlight

U.S. has been effective tactically vs. al Qaeda, since 9/11, says Ali Soufan

@highlight

He says tragic events such as the Boston bombing keep happening

@highlight

Soufan: We need to craft narratives to counter the ones terrorists are using to recruit