(CNN) -- For centuries, the Vatican has required celibacy from its priests.

It is a vow the Catholic Church says not only underscores the commitment of seminarians to their vocation but also is a model of Christ's own celibacy.

But with the election of a new pope, many church watchers are wondering whether church teachings could change to allow all priests to marry.

Abuse victims' group names preferred picks for new pope

Currently, the Vatican allows married Anglican priests who join the Catholic Church to become ordained as priests. Young Catholic seminarians, meanwhile, must remain celibate, and church leadership seems unlikely to move on the issue.

New York Cardinal Timothy Dolan told CNN's Christiane Amanpour that while changes to church law on celibacy might be discussed, it is unlikely to change soon.

"It startles me sometimes (when people) say why doesn't the church talk about married priests," he said. "I think we talk about it; I can't get my hair cut without my barber asking me about it. (But) I don't think there would be that kind of change.

"For a pope, the mission statement is to conserve in the best sense of the word ... preserve the spiritual patrimony of the church, the timeless teaching that's taught to us from Jesus to his apostles through 2,000 years of the Church.

"Now that doesn't mean he might not change the way it's presented."

Follow the CNN Belief Blog on Twitter

For the Vatican, the debate on celibacy is nothing new; it has been going on in various forms since the Reformation of the 16th century -- but the past 50 years has put new pressures on the priesthood.

The Vatican reaffirmed its commitment to continuing the practice at the height of the social and sexual revolution of the 1960s.

In 1967, Pope Paul VI, who charted the Catholic Church through the difficult shoals of the cultural upheavals of the 1960s, published an encyclical, or open letter to the church, entitled Sacerdotalis Caelibatus (Latin for "Of the celibate priesthood").

In it, he outlined the reasons for keeping the tradition of celibacy a part of church teaching: it was a superior way of achieving grace, it freed priests from familial obligations in order to devote themselves to God, it mirrored heaven as a place without marriage.

Smoke signals: How is a new pope elected?

"In any case, the church of the West cannot weaken her faithful observance of her own tradition," Pope Paul VI wrote at the time.

Britain's most senior Roman Catholic, Cardinal Keith O'Brien, told the BBC in February that many priests struggle to cope with celibacy and should be able to marry and have a family. Just three days later he was forced to resign over allegations of a 30-year-old sex scandal with seminarians in his charge. O'Brien later admitted his conduct had "fallen below the standards" expected of a priest.

"I'd be very happy if others had the opportunity of considering whether or not they could or should be married. It's a free world and I realize many priests have found it very difficult to cope with celibacy as they lived out their priesthood, and felt the need of a companion, of a woman, to whom they could get married and raise a family," he told the British news agency.

O'Brien is not the first or the highest ranked Catholic to question the tradition of priestly celibacy. In 1993, at a weekly audience, even Pope John Paul II said celibacy did "not belong to the essence of the priesthood." Even so, he qualified this, saying there was "no doubt about its suitability and indeed its appropriateness to the demands of sacred orders."

Celibacy in the Catholic Church is a law, not a doctrine, and can be changed by the pope at any time. Despite this, Pope Benedict XVI made it clear during his tenure that the traditional practice was unlikely to change.

The Rev. Joseph Fessio, founder and editor of the U.S.-based conservative Catholic publishing house Ignatius Press, told Boston's The Good Catholic Life radio in February that while celibacy is a discipline and not a dogma, it made it no less an important part of the Catholic Church.

"People say celibacy is only a discipline, but it's not only a discipline," he told the radio program. "It's something the church in its wisdom for 2000 years has recognized as a closer, more exact, more profound following of the example Jesus set us."

CNN's Belief Blog: The faith angles behind the biggest stories

In the meantime, the arguments against celibacy have been mounting.

Opponents argue that Jesus did not require celibacy from his apostles, that sexual repression has led to the sex abuse scandals currently racking the church and that celibacy has been responsible for the dwindling numbers of young men taking up the vocation.

Sister Chris Schenk of the Ohio-based Catholic reform movement Futurechurch believes that celibacy should be made optional.

"Around the world there is a severe shortage of Catholic priests and over 50,000 churches have no pastor," she said. "While the number of Catholics is rising, the number of priests is in decline -- mandatory celibacy can deter quality candidates from entering the priesthood.

"According to the Vatican yearbook, between 1975 and 2010 the world's Catholics increased by 59% from 709.6 million to 1.96 billion, but the number of priests increased only 1.8%.

"In 1975 there were 404,783 priests worldwide compared with 412,000 now. Forty-six percent of the world's priests are in Europe but only 24% of Catholics live there ... and the number is diminishing."

It seems her view may be supported by a majority of American Catholics.

According to a survey of American Catholics by the Pew Research Center taken after Pope Benedict announced his resignation, 58% of congregants favored allowing priests to marry. Even so, the figures showed the divisive nature of the debate: Of those who attend Mass regularly, only 46% supported marriage for priests while 66% of those who attended less regularly supported marriage.

What's in a name? Clues to be found in next pope's moniker

One former seminarian, who did not want to be named because he is still active in the church and not authorized to speak publicly, told CNN the vow of chastity was one of the chief reasons he dropped out of the vocation.

"I had strong issues with celibacy and, at that time, wanted the freedom to get married and didn't know why there could be Lutheran pastors that led perfectly normal family lives and also ran their congregations.

"I certainly understood the celibate side to priesthood and had a certain respect for it -- strangely I still do -- but I just felt that you should be given options."

He said the diocesan college he attended in the United States -- a type of minor seminary -- was designed to prepare students for their commitments at major seminaries if they decided to continue their studies.

"They were obviously making changes from the middle of the century -- in the '30s, '40s and '50s - when the seminaries were packed full, but probably after the whole peace revolution and the sexual revolution guys obviously started having a lot of second thoughts," he said.

He said he saw little evidence of the kind of sexual abuses that have recently come to light and derailed the Catholic Church.

"When you're young, growing up in a big, serious Catholic family - and I went to a Catholic grade school, I was essentially raised, socialized and educated by nuns and priests - that has a very deep impact especially if they're good role models.

"I never had any sleazy nuns or priests when I was growing up, at least none that I knew about," he said. "When you've got such good role models, both nuns and priests, who are celibate, that makes a big mark on you."

Possible papal contenders

@highlight

Celibacy in the Catholic priesthood still a contentious issue

@highlight

Vatican says the vow underscores a priest's commitment to his vocation

@highlight

Opponents say celibacy should be optional, citing low seminary numbers

@highlight

Speculation strong about whether a new pope will keep the discipline of celibacy