(CNN) -- With over 250 of the world's leading galleries on show and in excess of 50,000 attendees, Art Basel Miami Beach can make a legitimate claim to being America's leading art fair.

Set against the city's neon buzz, the annual four-day event -- which comes to a wrap on Sunday -- is not just a big draw for the nation's art-lovers, but a stampede of fashionistas, style spotters and unrepentant party-lovers alike.

No surprise then that here, the blurred line between art and fashion fades into obscurity, with this year's ABMB taking their ever-incestuous mingling to new heights.

For instance, YBA star Tracy Emin has designed a limited edition range of t-shirts and sandals to run alongside her exhibition and, in his Miami boutique, Christian Louboutin exhibited five leather sculptures by Italian artist Caemelo Tedeschi.

Meanwhile, Gap hosted a brunch to celebrate a limited edition collection of 45 t-shirts designed by artists like Yoko Ono. And Louis Vuitton hired Italian artisans to construct "La maison au bord de l'eau"—a beach house, originally designed by French architect Charlotte Perriand in 1934.

They then shipped it to a beach in Miami.

"Everyone in fashion is seeing Art Basel Miami Beach as an opportunity," says Lucie Greene, the editor of LS:N Global, the trends network at forecasting agency Future Laboratory.

"Fashion brands are collaborating with artists more than ever. By being present at major international art fairs like Art Basel, brands get face time with a high concentration of high net-worths who are all here to buy art."

And shoes, sunglasses and handbags.

Miami-based shoe brand Del Toro has launched a pop-up store in collaboration with Italia Independent.

Likewise Etnia Barcelona, the makers of eye wear for the jet-set, have released a range of sunglasses in Yves Klein blue inspired by the artist's archives.

"It really is a brand fest here—all the major events are branded and there are tie-ups and collaborations for everything," says Greene, who has been scouting art and design in Miami for several days.

"It has become such a hotspot for luxury brands and the art crowd," she added.

Handbags and history

Art Basel Miami Beach is the most timely example of where art meets fashion, but the mingling of artists and designers is by no means a new phenomenon.

Back in the early 20th century, for instance, the French couturier Paul Poiret employed graphic artists such as Paul Iribe and Erté to create textile prints for his creations.

Between 1927 and 1954, the Italian fashion designer Elsa Schiaparelli initiated the modern practice of collaborating with contemporary artists via her informal partnerships with Jean Cocteau, Salvador Dalí and Alberto Giacometti. Schiaparelli placed far less emphasis on the concept of 'collaboration' -- a 21st-century label—and she did not prominently credit her artists as is common practice now.

But the publicity this work received, particularly the 'Lobster' dress designed with Salvador Dalí and later worn by Wallis Simpson, set the trend for future collaborations between contemporary artists and fashion houses.

The level of collaboration has always varied, and it still does today.

At a basic level, a house may employ an artist for the purpose of decorating its staple products, such as leather goods, accessories and fabrics.

In more involved collaborations, they may invite an artist to alter a product's physical proportions, construction and style, or indeed imagine an entirely new product.

But most collaborations merely involve a print that is sold or licensed for a negotiated price based on the status of the house and the size of the production, and then applied to the brand's existing products. Whatever the level of creative involvement on the part of the artist, such collaborations between art and fashion represent an important meeting of the two worlds.

Museums around the world have celebrated this and other important collaborations. In 2012 the Metropolitan Museum of Art in New York staged "Impossible Conversations," an exhibition that featured Schiaparelli's work alongside that of contemporary Italian designer Miuccia Prada, also known for her collaborations with visual artists.

In 2010, MoMA PS1 in New York recognized the modern-day proliferation of fashion--art collaborations with "Move!", a series of performances and installations by fourteen pairs of designers and artists, including Marc Jacobs and Rob Pruitt, Cynthia Rowley and Olaf Breuning, and Proenza Schoulder and Dan Colen.

Mutual benefit

The modern fashion industry is intensely profit driven. The fact that so many collaborative projects come to market indicates that luxury brands regard these initiatives as commercially viable.

Collaboration with an artist almost always takes the form of a one-off capsule collection. From Brian Rea's 2012 illustrations for Marni t-shirts and bags to Damian Hirst's recent collection of scarfs for Alexander McQueen, limited edition collections have an aura of authenticity normally associated with works of art.

Fashion consumers also equate exclusivity with luxury, and nothing is so desired as that which has sold out. The reception of Takashi Murakami's 2003 collection for Louis Vuitton -- one of the house's most commercially successful special projects to date -- indicates this desire from consumers for something 'extra'. This sense of added value makes them more collectable.

"You're not just buying Vuitton," says Greene of the Future Laboratory. "You're buying a collectable piece which is connected to a specific year and will go up in value when sold as vintage."

The incorporation of visual art into a fashion item also adds an of-the-moment relevance that is especially important for historic luxury brands. It can bring an additional gravitas to functional product lines such as leather goods.

Just as there is mutual benefit, there is also mutual risk. Fashion houses must invest money in an experimental collection that may not resonate with consumers. And the artists who collaborate with them risk being branded 'sellouts' by their colleagues in the art world. However, the potential for wider exposure is often worth the risk.

There are also benefits for society at large. For many consumers, a collaborative fashion project is the their first introduction to a particular artist's work. It comes in a digestible form that -- unlike contemporary art -- does not require a strictly defined body of knowledge. It is open to anyone with the means to buy the products or the willingness to explore them via the media. In this way fashion collaborations widen public access to contemporary art and give them a cultural education via the cash register.

Whether at Art Basel Miami Beach or a Paris catwalk, long may it continue.

Milena Veselinovic contributed to this story

@highlight

Art Basel Miami Beach has become a fashion hotspot

@highlight

Fashion houses are keen to work with celebrated artists

@highlight

Collaborations help artists gain wider exposure to the mass market