(CNN) -- London has spent billions preparing to host the 2012 Olympics, constructing state of the art stadiums, overhauling transport links and installing anti-aircraft missiles to beef up security.

But there is one thing organizers can't control: The Great British Weather.

Recently two titanic events of the sporting summer -- tennis at Wimbledon and Formula One's British Grand Prix -- have been hit by violent storms and the persistent rain that has been stalking the UK for months.

Only this week a major concert in London was canceled after a series of severe deluges rendered Hyde Park unsafe for the thousands of fans who bought tickets.

With just 15 days to go until the opening ceremony and forecasters predicting more turbulence ahead, Olympic officials and their government partners are making contingency plans for those events that could be decimated by adverse weather.

As well as umbrellas, a mass of red, white and blue ponchos will be on sale to keep patrons dry, yet those who have spent the most on tickets -- up to £2,012 ($3,100) in some cases -- could well be stationed in the parts of the Olympic Stadium that aren't fully sheltered.

Many events, such as the beach volleyball on Horse Guard's Parade and the show jumping in Greenwich Park, are open and vulnerable to whatever the elements decide to throw at them.

Photos: Olympic sports add variety to photographer 'diet'

The W-Factor

But despite fears the July 27-August 12 sporting extravaganza could be a washout, the London Organizing Committee of the Olympic and Paralympic Games (LOCOG) has stressed that combating the challenges the UK's unique climate offers has featured heavily in its seven years of meticulous planning.

"I don't think the issue of the weather has kept anyone awake at night," a spokesperson said. "We've had several years of detailed planning and I think this comes with any major outdoor sporting event. You have to factor the weather into your plans, and we have done.

"The weather in the UK is what it is -- changeable. People organize sporting events all year round and deal with the weather, so the Olympics is no different in that regard -- but there is planning in place if there is extreme weather so we can deal with it and the Games can continue."

LOCOG said there was enough flexibility in the Games program to reschedule events if necessary.

The grass in Greenwich Park has been treated for three years to ensure it is better able to cope with any downpours that may occur during the equestrian events, LOCOG said, while the dressage arena is built on a platform to shield it from any surface water.

In addition, there are five alternative venues for sailing, should they be required, and a team of meteorologists from the Met Office -- the UK's national weather service -- will be stationed at various locations to provide up-to-the-minute forecasts.

LOCOG's confidence is shared by the UK government, which is footing the extensive bill that comes with hosting the four-yearly showpiece.

Photos: The art of shooting the Olympics

Government's guarantee

Sports minister Hugh Robertson said most venues are "reasonably weatherproof."

"It won't surprise you to learn we've been spending quite a bit of time on this, given the way June and July have gone," he was quoted as saying by The Guardian newspaper.

"The Thames would have to rise a huge amount before the rowing is under the threat; the mountain biking is up a mountain and if it's a bit muddy it doesn't matter; the canoeing is an artificial venue; the football pitches shouldn't be a problem.

"There is sufficient slippage in the individual programs in various sports to cater for a certain amount of this. With hockey, which you can't play if there is a tropical monsoon going on, there is enough slippage in the program to enable you to reschedule the matches."

All facets within organizers' control have been covered, Robertson said, and he confidently predicted those attending the first Olympics in London since 1948 wouldn't let the weather dampen their spirits.

"It would be nice if the weather was perfect. It's completely out of our control," he said. "The British themselves are pretty stoic; there is a long tradition of watching sport in rain macs or listening to Cliff Richard or whatever. It has rather dogged this project since we went to Greece (to receive the Olympic flame) and it rained.

"People who come to watch the Olympics tend not to be born yesterday, they tend to do a bit of research. Anyone coming to this country this year probably know they are going to get a drop of rain. Regardless of the weather, we will have a great party. The fun of the party will overcome the inconvenience of the rain."

Olympic-level security underway

Queen's rain

Should the heavens open, it won't be the first time inclement weather has put a soggy spin on huge celebrations in the English capital, or that the famous British "stiff upper lip" has been deployed to combat depressing conditions.

Many regions of the UK were officially in drought conditions in early spring, but there has been a deluge since late April.

The Queen's Jubilee celebrations were hit by torrential rain, as the Royal Family had to brave the wet and chilly conditions during a flotilla procession down the Thames, albeit undercover.

The tennis at Wimbledon wouldn't be the same unless it was punctuated by breaks for rain, and sure enough, the weather forced organizers into a well-worn routine of rescheduling.

The installation of a roof on Centre Court in 2009 has allowed some of the game's biggest names to complete their matches, and came to the rescue again this year when a heavy shower adjourned the men's singles final between Andy Murray and Roger Federer.

While the weather didn't interrupt the British Grand Prix it did turn camping areas for the 120,000 fans who attended into a mud bath, with organizers asking those with cars to stay away from Saturday's qualifying.

Why so wet?

The reason for this particularly soggy summer, meteorologists say, is to do with the position of the all-important jet stream to the south of England, when it should usually be stationed far further north.

It has already produced the wettest June the UK has seen since records began in 1910, with July continuing in a similar vein.

One of the Met Office's observation towers, next to Weymouth, the venue for the sailing events during the Olympics, has already seen three times the average rainfall in the opening 11 days of the month.

"The jet stream is a narrow band of fast flowing winds that run from west to east across the Atlantic and it effectively steers low pressure systems, so with it running to the south it's steering those low pressure systems over the UK," the Met Office's Dan Williams told CNN.

"We're in the UK, we have Great British weather and that as we know can entail lots of different weather, sometimes in the same day or even less time than that.

"Our advice to those going to the Olympics is to keep up to date with the forecast to know whether to pack your sunscreen, a poncho or both. Always go prepared for whatever the weather has in store."

Though the Met Office is reluctant to nail its colors to the mast in terms of a detailed Olympic forecast, its website does say a lengthy spell of hot, sunny weather looks "unlikely."

The British obsession with the weather is well documented even when there isn't an Olympic summer to contend with, but with the biggest event in world sport approaching, the nation's eyes are sure to be glued to the forecast right up until the opening ceremony kicks off.

Photos: Portraits of Olympic athletes

@highlight

Britain is experiencing its wettest summer months since records began in 1910

@highlight

Visitors arriving for the Olympics have been warned to prepare for more rain

@highlight

Despite drought warnings in spring, there have since been floods across the UK

@highlight

Sporting events, such as Wimbledon, and music festivals have been affected