(CNN) -- America's painful struggle with racism has often brought great satisfaction to the country's rivals, critics, and foes. The killing of Michael Brown by a police officer in Ferguson, Missouri, and its tumultuous aftermath has been a bonanza.

"Protests spread across U.S." announced Iran's state-run Press TV. Russian government-controlled media showcased the dramatic pictures, "huge explosions," "mayhem unraveling," and what might look like the wholesale collapse of social order in America.

Countries hostile to the U.S. ignore this key aspect: Behind the TV images of violence and the stunningly excessive, counterproductive police response, is that America is engaged in a profound, honest and what will prove to be a constructive debate about racism, law enforcement tactics, the weapons police use, and what life is like for minority teens.

In countries where law enforcement is a tool to keep the regime in power and suppress political opposition, countries that have been on the receiving end of American and Western criticism, Ferguson was a propaganda godsend.

Michael Brown's killing is an event with many layers. First, the killing itself, as details slowly emerge. Second, the people of Ferguson's reaction, which points to a reservoir of real grievances beyond the specifics of the Brown case. Then, the police response to the killing and to the protests.

Ferguson has become a symbol of America's continuing struggle against racism, and the extremely serious and very urgent issue of police shooting to kill -- and killing. And there is the matter of their attitude and treatment of minorities.

Any coverage that deliberately ignores the context, that ignores the debate, is incomplete, and there is a good chance that it is deliberately misleading.

Responsible journalists covered the story with nuance and perspective. But that wasn't the case everywhere.

The government of Russia didn't even try to hide its efforts to gain political advantage. In Rossiskaya Gazette, the official government daily, under a picture of what is presumably an African-American man wearing leg shackles, readers learned of a Russian Ministry report condemning the U.S. government's "uses of such inhumane methods as testing medicines on inmates, forced sterilization of minority women, abuse of power by police."

The Kremlin clearly relished the opportunity to clobber the U.S. on its prison system in response to the West's sharp criticism, particularly after members of the group Pussy Riot spent time behind bars  and made Russia's prison conditions the subject of international condemnation.

Russia's RT, a government-controlled network whose reporters have been resigning in protest against its biased coverage, had fun mocking America's media freedom after Ferguson police arrested reporters covering the story.

In Iran, where opposition leaders languish in prison for years and human rights violations at the hands of the government are well-documented, authorities used Ferguson to undermine America's criticism.

Iran's Deputy Foreign Minister Majid Takht Ravanchi slammed the U.S. for "its racist behavior and oppression of the protesters in Ferguson." Speaking to reporters in Tehran, he condemned the "racism of Western societies ... those who claim to be advocates of human rights."

Even in Venezuela, the government of Nicolas Maduro, heir to anti-American firebrand Hugo Chavez, portrayed the events in Ferguson as something close to an uprising against the government. The state-owned television network TeleSur, which broadcasts throughout Latin America, said the Ferguson demonstrations confirm "the presence of profound systemic problems with human rights and democratic norms in America society."

Just to be clear, this is Venezuela, Iran, and Russia, criticizing the U.S. for the weaknesses in its democracy and its handling of human rights.

They were not alone in outrageous irony. The government of Egypt, which killed thousands of protesters, urged the U.S. to exercise restraint. And Chinese media twisted the State Department spokesperson's words when she called Ferguson a "domestic affair" outside her purview, to make it sound like Beijing's defense against criticism of its human rights abuses, which it calls domestic affairs, should be off limits to foreign critics.

Even the terrorist group ISIS got in the game, urging Ferguson protesters to embrace radical Islam. "How is democracy treating you guys?" it asked.

To be sure, undemocratic, human rights violators criticizing the U.S. does not exempt America from blame. Clearly, Ferguson points to serious problems which need to be addressed, and are being addressed, with the rapt attention of the entire country.

Less cynical coverage can be readily found in other countries. The respected Dutch newspaper NRC delves not just into the problem of race and policing in America, but into the debate Ferguson has sparked in the United State. Spain's El Pais noted how the lingering racism undercuts America's moral stance in judgment of rights violators. Many describe the inequality and prejudice that persists, but makes it a point to include the progress that has been made in race relations and the race conflicts that have surfaced in the author's own country.

In the end, for all the intensity of emotions and wall-to-wall domestic and international coverage, the Ferguson protests were limited in scope. Another unarmed black man was shot and killed in St. Louis, and there was no uprising. The killing of Brown was a tragedy, but nobody died in the ensuing protests despite high-powered rifles and dramatic fireworks.

America is hardly alone in experiencing racism, as the Pakistani-born Canadian writer Tarek Fatah pointed out. News coverage of the events in Ferguson are a reminder for all of us of the importance of looking at the full context when viewing what happens in any country and protecting ourselves from political manipulation as we follow the news.

@highlight

Frida Ghitis: Critics, foes of U.S. making hay with Ferguson, to portray U.S. in flames

@highlight

Ghitis: Venezuela, Iran, Egypt, Russia media played story as if U.S. social order breaking down

@highlight

She says Ferguson definitely brings up racism, police weapons, treatment of minorities

@highlight

Ghitis: But stories miss Americans' soul searching, civil rights history, size of protests