(Health.com) -- Over the past several years, researchers have noticed an odd pattern in the relationship between body weight and Alzheimer's disease: Middle-aged people have a higher long-term risk of developing the disease if they're overweight or obese, while older people have a lower risk of the disease if they're carrying excess weight.

A new study, published this week in the journal Neurology, may offer a clue to this so-called obesity paradox. Non-overweight individuals in their late 60s, 70s, and early 80s who have no outward symptoms of Alzheimer's are more likely than their heavier peers to have biological markers (or biomarkers) of the disease, the study found. This finding raises the possibility that weight loss or a low body mass index (BMI) later in life may be an early warning sign of mental decline, the researchers say.

"Weight changes or body composition changes may actually be a manifestation of disease, which would explain the obesity being an apparent protective factor," says Jeffrey M. Burns, M.D., the lead author of the study and the associate director of the University of Kansas Alzheimer's Disease Center, in Kansas City.

Health.com: 25 signs and symptoms of Alzheimer's disease

Well before memory loss and other symptoms appear, Alzheimer's may trigger metabolism changes that promote weight loss, Burns says. "In general, we think of Alzheimer's as a brain disease, but this is evidence that there are systemic problems throughout the body in the early stages of Alzheimer's."

Burns and his colleagues analyzed data from the Alzheimer's Disease Neuroimaging Initiative, a huge study spanning 58 hospitals and universities that's funded by the National Institutes of Health and an array of nonprofit organizations and drug companies. The goal of the initiative is to find ways to measure the progression of Alzheimer's and the precursor condition known as mild cognitive impairment.

The researchers looked at 101 people who underwent brain scans designed to identify the plaques and abnormal tangle of proteins that are the hallmark of Alzheimer's, and another 405 people whose cerebrospinal fluid was analyzed for fragments of these proteins (beta-amyloid peptide and tau). Each group included some people with Alzheimer's disease, some with mild cognitive impairment, and some with no signs of mental deterioration.

Health.com: 7 ways to protect your memory

There was no connection between BMI and Alzheimer's biomarkers in the patients who actually had Alzheimer's. But in the other two groups, lower BMI was associated with higher levels of biomarkers and a higher likelihood of having brain plaques and tangles. Among people with mild cognitive impairment, for instance, 85 percent of non-overweight individuals had signs of these brain abnormalities, compared to just 48 percent of those who were overweight or obese. (A BMI of 25 or above is considered overweight.)

Richard Lipton, M.D., an attending neurologist at Montefiore Medical Center, in New York City, who was not involved in the new research, agrees with the authors that the findings suggest that Alzheimer's can affect the entire body early on.

"The most obvious manifestations of Alzheimer's disease are in the brain, but Alzheimer's disease has a large number of effects on the body as well," says Lipton, the principal investigator of a long-running study on aging and Alzheimer's. "The brain regulates blood pressure and respiratory rate and pulse and hunger and satiety and blood flow to various organs in the body, so it wouldn't be surprising if a widespread disease of the brain had effects on many, many different aspects of bodily function."

Health.com: Aging workforce means dementia on the job could rise

The study shows only an association, not cause and effect, so Burns and his colleagues can't be sure that Alzheimer's directly causes weight loss (or prevents weight gain). In fact, the researchers found no association between BMI changes and Alzheimer's biomarkers in a subset of study participants whose weight was tracked for two years.

May Ahmad Baydoun, Ph.D., a staff scientist at the National Institute on Aging who studies risk factors for dementia, described the study as "very strong" overall. But, she says, "the results would have been a lot stronger if they found weight loss over time is associated with increased Alzheimer's disease pathology, also over time."

The relationship between weight loss and the progression of Alzheimer's is likely a two-way street, Lipton says. People who start to experience declines in mental function may shop for groceries less regularly, cook less frequently, and eat less -- and the poor nutrition that results could in turn accelerate the progression of the disease, he says.

Health.com: Foods that may help save your memory

"It seems pretty likely to me that both things are true -- that good health practices prevent illness, and health practices may fall apart in the early stages of illness and accelerate cognitive and physical decline," Lipton says.

Copyright Health Magazine 2011

@highlight

A new study may offer a clue to the relationship body weight and Alzheimer's disease

@highlight

Jeffrey M. Burns, M.D., says Alzheimer's may trigger changes that promote weight loss

@highlight

The goal of the study is to find ways to measure the progression of Alzheimer's