Editor's note: Simon Johnson, a former International Monetary Fund chief economist, is a professor at MIT Sloan School of Management and a senior fellow at the Peterson Institute for International Economics. Peter Boone is chairman of Effective Intervention, a UK-based charity, and a research associate at the Centre for Economic Performance, London School of Economics. They run http://baselinescenario.com/, a global economy Web site.

Simon Johnson, above, and Peter Boone say the U.S. could be in for a long period of virtually no growth.

(CNN) -- Euphoria returns! Who could have guessed that Bank of America stock would rally 70 percent the week it learns the Feds are demanding new capital equal to nearly half the bank's market capitalization?

The ongoing grim news -- on rising unemployment, continued (albeit slower) economic decline, and ordinary working Americans being hammered on all sides -- is being ignored by stock and commodity markets. Is America now back on track for growth?

The answer to that is almost surely no. Rising stock markets don't necessarily mean a sharp recovery is under way. Consider the case of Japan in its first lost decade of the 1990s.

After falling 63 percent from its peak in late 1989, the Nikkei staged a 32 percent rally in one month. It then remained volatile but around the same level for nearly 10 years -- because the return on assets and capital investors could earn proved so low throughout that economy.

During the 1990s, Japan's banking system was burdened with bad loans that kept eating into profits and its nonfinancial companies had excess capacity that had to be wound down; these problems were made worse by a decline in the working population.

The initial excess of capital, supplemented by high ongoing savings from households and corporations, kept interest rates low. Throughout this period the price/earnings ratio on stocks ranged from 30 to 50 (it's 51 today), compared with 15 to 20 in Europe and the United States. The logic was simple: With so little return available on all assets, local investors were willing to pay up for stocks even if the dividends were a paltry 1-2 percent.

Does this sound familiar? We think so. The current rally in stocks marks one clear success -- the fear of a systemic collapse due to loss of confidence in our financial system has subsided. This is good news, and an important achievement of President Obama's team.

However, our "turning Japanese" phase may just have begun. The "stress tests" that were just completed do not mark the renewed health of our banking system. We still have 22 percent of Americans with houses worth less than their mortgages, and there are parallel problems for commercial property and other sectors.

Many bankruptcies are yet to come. Most publicly traded large homebuilders are deep in debt, yet they are burning cash and waiting to see if -- magically -- the two-year stock of unsold housing can somehow disappear.

We've barely begun to downsize our auto industry, and the parts suppliers and dealers that go along with it, to reflect the lower level of consumer spending and scarcer availability of credit for the future. All of this is also true across much of Europe.

In essence, Europe and the United States both are saddled with zombie banks (which don't really lend), zombie corporations (which don't grow), and a decline in the relative size of the working population (as more people try to retire). This "Japanese" scenario can persist for many years.

The biggest risk now is that the Federal Reserve and the Treasury try to re-leverage our way out of a Japanese-style prolonged recession by flooding the economy with cheap credit -- like they did in 2002, but to an even greater degree.

Cheap government finance for powerful banks is a great cocktail for re-election; running stress tests that weren't really stressful is a good indication this is where policy is heading.

This time the money won't come from consumers (or from China, as it did after 2002); it will be American and European central banks providing funds and our governments running massive budget deficits.

If this is the strategy, the next crisis will be even more traumatic. Budget deficits over 10 percent of Gross Domestic Product and trillions of dollars of new loans to the banks from the Federal Reserve are recipes for hyperinflation and, if the Fed and Treasury don't pull away the punch bowl soon, sharply increasing inflation is very much in the cards.

The opinions expressed in this commentary are solely those of Simon Johnson and Peter Boone.

@highlight

Johnson, Boone: Stocks are rallying as if economy is out of the woods

@highlight

They say that's premature, and we could be in for a long period of stagnation

@highlight

Japan's economy suffered for years from similar problems, they say

@highlight

Johnson, Boone: We have zombie banks and zombie companies