(CNN) -- American University professor Adrienne Pine began her first day back in the classroom this semester the same way she has since her teaching career began: making sure her research was up to date, her notes reviewed, and the lecture she was about to give was ready. But before she left for school, she noticed her infant daughter wasn't feeling well. Since her usual daycare center doesn't allow children with fevers, Pine decided to bring her baby to class.

What started as a challenging day for the single working mother soon exploded into a national controversy because after her daughter started fussing, the professor began nursing -- in front of 40 students -- to get her to stop. The campus newspaper quickly heard about it and a student reporter from the Eagle asked the professor for a comment.

Pine, angered that her actions were seen as provocative, fired back -- hard -- on the website CounterPunch, saying she was "annoyed that this would be considered newsworthy" and that she "had no intention of making a political statement or shocking students. I merely had a sick baby who I couldn't leave at daycare on the first day of class. ... As it turned out, the baby got hungry, so I had to feed it during lecture. End of story."

Her remarks ignited a small protest on campus in Pine's favor and against the student newspaper. Pine's comments, which went viral, also forced the Eagle to defend its reporting. Meanwhile, some criticized Pine's response to the student journalist and the tone of her rebuttal.

Today professor Pine spoke with CNN: "Frankly I felt, and I continue to feel, that the most professional thing I could do was to carry out the class with as few as possible interruptions. Leaving class for 10 minutes would have been a serious interruption for my students. And I also feel that since I've been breastfeeding inp public in every place possible -- in buses, on planes -- I didn't realize the degree to which people are afraid of breasts in this country and in particular, in the workplace."

American University, which today acknowledged it does not offer any emergency backup child care for its faculty or staff, says this controversy has given rise to a much-needed internal debate. "We want our faculty to be the best teachers and scholars possible and, at the same time, we are sympathetic to the need for work-life balance. Now that this important question has been raised, we consider it healthy to discuss it and we are indeed addressing it in our community," said Phyllis Peres, senior vice provost and dean of Academic Affairs.

Latch on NYC: In support of breastfeeding

Missing in all this finger-wagging is a discussion about access to emergency backup child care for working parents. Is there enough, and if not, should employers of all stripes -- public, private, big, small -- be compelled to offer more? And if it's the child who is sick, and not the babysitter, what provisions do these centers reasonably need to provide?

According to the latest Families and Work Institute National Study of Employers, only 6% of companies surveyed in 2005 offered backup child care. This year, the number has dropped to 3%.

Bright Horizons, a leader in the field of backup care, serves the emergency needs of more than 750 companies and even provides services when a child runs a fever. Last year, a representative of the company said, it provided backup care to infants, toddlers, preschoolers, school-aged children, as well as disabled, ill, and elderly adults on more than 640,000 occasions -- meeting the emergency needs of 4.6 million employees.

I know about Bright Horizons because like professor Pine, I'm also a working parent, and Time Warner, the parent company of CNN.com, is a client. When my children were younger and I worked for another network, I've used a similar center on various occasions when my regular child care imploded. But unlike professor Pine, if my son or daughter was ill, I thought ahead and had a plan. I never brought a sick child to work. And the fact that professor Pine did on August 28 only fueled the uproar over her actions.

Breastfeeding intuitive and easy? No!

I recognize Time Warner is a big company and many smaller organizations and schools of higher learning don't have the budget to offer backup child care to employees. But that's not an oversight in my thinking -- it's central to my point. Perhaps in this election year, uneven access to emergency backup child care is something President Obama and Republican presidential nominee Mitt Romney need to address for all working parents.

While I am not a single mother, I've known my own brand of child-care challenges. My husband's parents never wanted to play backup babysitter -- they had their own full and busy lives -- and my parents are deceased. In reality, working parents always need to have reliable, go-to options when a child gets sick -- a friend, a neighbor, a relative -- and if you can't come up with even one alternative, you may want to consider if you're honoring your end of the bargain when accepting a job.

There does seem to be good news in all this, particularly for professor Pine. Between 2009 and 2011, Bright Horizons reports, the field of higher education has seen the second fastest growth rate of all industries it serves in terms of number of employees covered by backup child care. Liz Kennedy, a spokeswoman for the company says, "One of the reasons we are seeing a shift in demand for backup care in higher ed is the changing demographic makeup of college faculty and professors." And if American University chooses to move in that direction, professor Pine might feel she has real backup child care options as a working parent, instead of believing, as she currently seems to, that she has no choice at all.

Do you think breastfeeding in a professional setting is appropriate? Share your take in the comments section below.

The opinions expressed in this story are solely those of Allison Gilbert.

@highlight

American University professor Adrienne Pine breastfed her daughter in a class

@highlight

The student newspaper found out and sought comment from Pine

@highlight

The incident and Pine's response led to heated debate about public breastfeeding

@highlight

Allison Gilbert hopes the controversy brings the need for emergency child care to the fore