Las Vegas (CNN) -- At the gadget industry's annual crystal-ball convention, laptops look more like products of Aston Martin than Fisher-Price.

With sales of budget laptops plummeting, computer makers are swinging the pendulum toward sleeker, metallic and pricier portable PCs that they're calling Ultrabooks. Many of these were shown for the first time here this week at the International Consumer Electronics Show.

Most PC giants have committed to building Ultrabooks. The laptops typically use flash memory instead of hard drives, have no disc readers in order to stay thin, and weigh less than three pounds.

Some computer makers see Ultrabooks as an evolution of the laptop in response to demands created by lightweight tablet computers. This view is even shared by PC companies that produce tablets of their own.

"We have learned a lot from the tablet," Lenovo Group CEO Yang Yuanqing said in an interview. "I don't think the desktop will die."

Similarly, Dell CEO Michael Dell told an audience in Bangalore, India, on Monday that tablets and smartphones are not a preferable way to browse the Web compared to computers. Dell has not had success in the smartphone market and failed in its brief foray into tablets, though the company plans to return this year, Reuters reports.

Lenovo, the second-largest PC maker, makes tablets based on Google's Android software but has not had much success with them.

"The tablet is a niche market," Yuanqing said. "People still cannot give up the keyboard and the larger screen."

Ultrabooks often draw comparisons to Apple's MacBook Air, which sells well in spite of the iPad's continued dominance of the tablet computing market. Apple is expected to increase its sales of that line of laptops to 8.9 million next year, but competitors are expected to sell about 10 million Ultrabooks, according to International Strategy & Investment Group analyst Brian Marshall.

The Ultrabook's prospects for bolstering the PC industry come at an opportune time. Global shipments of PCs fell 1.4% compared to the same three-month period last year, according to industry research firm Gartner. The rare decline comes amid a slowdown in computer demand from the United States and Europe, the Gartner report said.

Companies such as Dell and Acer, the third- and fourth-largest Windows PC vendors respectively, were major proponents of netbooks and happened to be among those hit the hardest. Analysts have suggested that the past success of netbooks was a fad born in a bleaker economy and that consumers are now turning away from lower-quality equipment.

Sprint Nextel plans to take a cautious approach rather than throwing its support behind the emerging Ultrabooks trend, Fared Adib, the company's product chief, said in an interview. Sprint had sold cellular-equipped netbooks at its stores but got burned when customer interest evaporated.

"Instead of jumping in and being a first mover, sometimes be a follower," Adib said.

Yet, the computer industry is embracing the Ultrabook, and at CES, the laptops have been met with enthusiasm.

Hewlett-Packard announced that the Envy 14 Spectre will arrive in stores on February 8 costing $1,400. The 14-inch laptop has reflective, black Gorilla Glass on its lid and weighs less than four pounds.

Lenovo showed off several new Ultrabooks at CES. All laptops are poised to be like Ultrabooks in the future, said Yuanqing, the Lenovo CEO. However, "the price is the main obstacle," he said.

The IdeaPad Yoga from Lenovo, typically a bargain brand in the United States, won some fans at CES despite its $1,200 price tag. The laptop's screen can bend backwards creating a stand for watching video or transforming into a traditional touchscreen tablet. It will be available in the second half of the year, after the launch of Microsoft's Windows 8, Yuanqing said.

Dell's Ultrabook may be the most practical option for many consumers. The XPS 13 has an aluminum lid and weighs about three pounds. It won major praise for its price, $999, and overall features, which includes the ability to download e-mail while the laptop is in sleep mode.

ARM Holdings, the mobile chip maker that will enter the PC market this year when Microsoft adopts its architecture in Windows 8, welcomes the move toward slimmer computers. But the Ultrabook is a creation of Intel, a competitor of ARM.

"Ultrabooks is really just a marketing concept built around the success of Apple's fashionable products," ARM CEO Warren East said in an interview. ARM was created as a joint venture in 1990 that included Apple, which now uses ARM chips in the iPhone and iPad, though not in laptops.

Intel had pressed its partners to invest in lighter, high-end laptops, and those negotiations are now paying off. To promote Ultrabooks at its CES news conference, Intel brought on Black Eyed Peas band member Will.i.am, who described Ultrabooks as "the new ghetto blaster."

@highlight

Ultrabooks have drummed up buzz at CES

@highlight

Ultrabooks are slimmer, lighter and metallic laptops

@highlight

The initiative is being led by Intel, the PC chip maker