Jakarta, Indonesia (CNN) -- Prita Mulyasari has become an "accidental hero" in Indonesia, spawning a social movement among many Indonesians in support of her battle with the country's legal system.

About a year ago, she sent a private email to a list of friends complaining that the Omni Hospital in Jakarta had misdiagnosed her illness. Somehow the hospital got hold of the email and reported her to police, pressing charges of defamation.

That was only the beginning. The police promptly arrested the mother of two, throwing her in jail for two weeks before her trial had even begun. Then, she was tried and convicted in a civil suit -- twice -- before the criminal proceedings had even started. On December 4, a court ruled in the hospital's favor and ordered Prita Mulyasari to pay more than US$20,000 in damages -- many times the annual salary of many Indonesians.

"For one year, I've gone through this legal process," said Prita, who is known by her first name. "There's no certainty in the legal system. It's not clear at all." She smiled softly and said, "I'm just very, very confused and really very tired."

Her case has gotten widespread attention -- and public sympathy -- among Indonesians who believe she has been treated unfairly by a legal system that favors the rich at the expense of the poor.

"When you've got money you can do anything," said her lawyer, OC Kaligis. "It's always the small people that are victims of this injustice."

The hospital, prosecutors and -- even Prita -- did not expect what happened next: a major support movement driven by the power of Indonesia's growing middle class and its mastery of social media.

It started on sites such as Facebook and Twitter. "Free Prita" became the rallying cry. Images of the clearly distraught Prita, separated from her two young children, generated a wave of sympathy from ordinary Indonesians and quickly made her a cause celebre. Soon, the country's leading politicians were flocking to have their photos taken with this soft-spoken woman in a modest, Muslim headscarf.

"She's just like us," explained one Indonesian housewife. "If this could happen to her, it could happen to me, to any one of us."

When the courts handed down the fine of $20,000 -- a small fortune in Indonesia -- bloggers began "A Coin for Prita" campaign. They encouraged the public to send in 100 rupiah coins -- little more than a cent -- to help pay off Prita's fine.

"When we heard about the fine, we all thought, that's just not right," said Yusro Santoso, one of the organizers behind the campaign. "We thought the courts have treated this case as worthless as small change. And we thought, okay, then let's collect all the small change to at least pay that fine."

The response was overwhelming. From street performers to business tycoons, thousands of Indonesians sent in contributions. The vast majority were coin collections, but a few wealthy donors chipped in thousands of dollars in cash.

"It's a sign of reprimand to all the judges and the police that you can't do what you want anymore," explained Prita's lawyer, OC Kaligis. "The conscience of the small people, they are crying why is there no justice for them?"

Volunteers stayed up until the early morning hours for a week to count the coins that kept coming in. Schoolchildren were seen counting next to retirees. One wealthier woman had enlisted the help of her entire domestic staff to help count.

"Seems to me she's not at fault, right?" said one girl still in her school uniform delivering a collection of coins from her class. "Everyone has the right to criticize others, yet she was sentenced for it."

By December 20th, volunteers counted more than $60,000 -- far exceeding the amount needed to pay off the fine. No one seems quite sure what to do with all this generosity. Organizers have handed it all over to Prita, but she insists the money needs to go to charity.

"In my heart, my wish is to be acquitted. This money from the people shouldn't be given to people who already have money," she told CNN. "They probably earn that money in a month. But for us, it really means a lot. This money has to be used for humanitarian purposes. It's the people's money, so it has to be for the people to navigate the justice and health system."

In the wake of the public outcry, the Omni Hospital has offered to drop the case and waive the fine that Prita owes -- if she submits a written apology. The Omni Hospital maintains that the previous court rulings were fair and just. Omni's lawyers have an interesting take on the "Coin for Prita" phenomenon.

"This coin collection, legally speaking, is effectively an admission of Prita's guilt, even though she is still appealing," Heribertus Hartojo, Omni's lawyer told CNN. "We have won in the state court and the high court. Prita was proven to be guilty. So, of course, we expect the same result in any appeal."

But Prita is refusing to apologize. Instead, she is vowing to appeal to the country's Supreme Court while she waits for criminal proceedings to conclude. She also plans a countersuit against Omni hospital.

"I think Indonesians are just tired. They are fed up with the injustices in this country," she says. "These coins can speak for us. After all, anyone can give a coin so anyone can be a part of this."

@highlight

Prita Mulyasari sent email to friends complaining a Jakarta hospital misdiagnosed her illness

@highlight

Hospital got hold of her email and reported her to police, pressing charges of defamation

@highlight

Court ruled in hospital's favor and ordered her to pay more than US$20,000 in damages

@highlight

Bloggers began "A Coin for Prita" campaign to help pay off Prita's fine; Prita vows to appeal