(CNN) -- When photography first became a method to document events, both large and small, more than a century ago, there was a certain understanding that what one was seeing in a picture was more or less what happened.

The ability to use photography to recount life in a visual way and replicate it in the mass media allowed people around the world to see and understand things they may only have imagined before. The "truth" of photography, embodied by the phrase "the camera doesn't lie," was something that came to be generally accepted. Yet the camera, like most tools used by people, is more than capable of lying if used in the wrong way.

A picture is simply a moment, and although we might think we can divine what it is we are looking at, there are times when a visual representation of life is simply neither the whole truth, nor nothing but the truth.

Increasingly, with the ubiquitous arrival of smartphones, what matters most is simply that someone, not necessarily a trained professional, was able to take a photograph by the simple fact that he or she was present. According to an old press photography saw, when a long-time pro was asked how he made a picture, he replied "f/8, and be there," capturing the essence of what news photography is really about. It is the ability to witness, and capture, a moment in time. Does it always tell the "truth?" That is a good question, since what we define as truth can sometimes have many meanings.

If a picture is meant to be the sole, definitive description of what happened, and no one else is around to see, then to a certain degree, we might have to accept its veracity. But the ever-increasing presence of cameras, both traditional and camera phones, has added a new dimension to what we see. And with the invention and perfection of Photoshop and other photo editing software, it has become much easier to add to, take away from, or alter an image to change its very nature. Can the camera lie? Not sure. Can photographers or editors lie? Most assuredly, if they are of a mind to.

The photograph of President Obama taking a "selfie" with the British and Danish prime ministers is a case in point. Many news organizations and social media platforms jumped on the bandwagon to showcase the photographs where Michelle Obama is looking away, with what could be considered an angry expression. Yet those pictures may not necessarily tell the whole story.

The AFP photographer who took the photos wrote a blog describing how surprised he was at the reaction to them. And though he released no photos showing the first lady looking more light-hearted, he says, the glum look in the published pictures was simply a moment "captured by chance."

A photojournalist covering an event will take dozens, sometimes hundreds, of pictures in the process. For large-scale events -- the Olympics, political conventions -- often the photographer doesn't even get to edit his own pictures, that job being handed off to an editor. In the digital, WiFi, connected age, this becomes the efficient way of getting work processed and out into the real world. In the end, as viewers, we have to try to sift through not only what we are seeing, but try to understand what we are not seeing.

The growth of social media and the concept of so-called "citizen-journalists," has created a real quandary for the older forms of media and news delivery. Most professional journalists, both photographers and writers, try to adhere to a code of fairness and objectivity.

In the United States, it's only in the last generation that politically charged, partisan reporting has started to become the norm.

It may seem old-fashioned to think that the light of truth is the most important force for good. But that is the place where most professional photographers stand. When you decide on your message first, and then try to make the reporting adjust to it, you have created a place where truth becomes the first casualty. And if you ask it to, the camera -- like the people who use it -- can certainly lie.

The opinions expressed in this commentary are solely those of David Burnett.

@highlight

David Burnett: People used to believe that photojournalism depicted the truth

@highlight

A picture is just a moment, he says, not the whole truth. Context is important

@highlight

Photographer says his shots of President Obama and the first lady were misinterpreted

@highlight

Burnett: Pros try to make photos truthful, but photos can lie if they're misused