(CNN) -- By the time photographer Luigi Baldelli arrived in Sierra Leone early August, the Ebola epidemic had spread like wildfire.

Contagion and death rates grew exponentially during those summer months of seasonal rainstorms while, strangely, an eerie calm prevailed in the capital city of Freetown, he said.

That's when Baldelli, on assignment with Italy's Corriere della Sera daily, trekked through the muddy roads of the West African nation, straight into the eye of the storm: the village of Kenema on Sierra Leone's porous border with Liberia and Guinea, an area cordoned off by presidential decree for its alarming rate of Ebola cases.

"Freetown was quiet," said Baldelli, adding that at the time, there was still a level of denial in the capital.

"Kenema is a place where you had to get a special permission to go there. ... When I arrived, the situation was so tense at the local hospital ... doctors and nurses would not touch anybody," he said.

A bustling diamond hub in West Africa, the trading town of Kenema and its outlying villages by then seemed like an apocalyptic science fiction movie, said Baldelli.

Panic was palpable in the streets, lined with health workers in white suits, wallpapering public spaces with alarming bright posters depicting figures vomiting blood, spraying bleach here and there and taking the temperature of anyone suspected of carrying the virus.

This new body language in the age of Ebola is unnatural in such a tactile culture, where mourners embrace corpses and people are often seen holding hands.

"In the streets, you don't shake hands, you just say hello from afar," said Baldelli. "Usually people talk about 1 meter away from each other because they are afraid."

But the real horrors, said Baldelli, he witnessed in the makeshift hospitals in the outskirts of Kenema where people suspected of having Ebola were put together in forced quarantine with little food or no access to family members.

The state-enforced isolation, however, didn't stop family members from visiting these wards, said Baldelli. Daring fate, sisters, cousins, uncles traveled through the thick forest in order to bring food to family members infected with Ebola, several times a day.

"I tried to take a different point of view about Ebola: not only the cemetery, not only guys with white clothes but the people, but life as it is. I took a picture of two women walking close to each other talking but they don't touch each other."

Baldelli, who was only allowed to shoot from a distance of a meter or more, said he did not sense there was a great fear of contagion from locals in and near Kenema, at least the kind of hysteria he'd seen in developing nations.

A very physically expressive culture, he said, people from the area found it hard to repress their desire to touch a loved one, heal a family member, kiss a child, frustrating many health officials.

"But it is in the culture of the local people. They touch all the time," said Baldelli.

" And in even smaller villages people follow old traditions. They are not afraid of Ebola because they don't believe it too much," he said.

"There is a much bigger relationship between each other in a smaller village. And if someone has Ebola, they are in denial. They say: 'Maybe this is Malaria.' "

The way a nation copes with a monumental crisis such as Ebola is revealing, said Baldelli. There is a lot to learn from their grief.

"They are fatalists," said Baldelli.

"They continue to live the same kind of life. They won't change anything. They are not so afraid. They say we need help, but they continue to go on as it was before," he said.

"One man said he was sick with Malaria and called a man with a taxi," said Baldelli.

"This man drove the sick one without any care or precaution and took him to another village. So both of them died of Ebola," he said.

The avalanche of tragic stories are followed by moments of tenderness. And more tragedy. A priest who closed the eyes of a man infected by Ebola only to die a few days later. Mourners who insist on kissing the body of their deceased loved ones. Many who refuse orders not to perform important rites of passage in order not to contract Ebola.

"This is all normal to them," said Baldelli.

Considering that in Sierra Leone more people die from Malaria than Ebola, "it is normal for a mother to know that if her child reaches the age of 5, she is very lucky. Because many many children die when they are 2 or 3 years old," he said.

Luigi Baldelli is an Italian photographer. You can follow him on Twitter.

@highlight

Photographer Luigi Baldelli documented the Ebola epidemic in Sierra Leone in early August

@highlight

Baldelli was only allowed to shoot no less than a meter away from his subjects

@highlight

View high-resolution photos of Baldelli's Ebola in Sierra Leone project