Kiev, Ukraine (CNN) -- Both Kiev and Washington say that Russian forces are massing in large numbers near Ukraine's eastern border -- and that they represent a threat to Ukraine and potentially to other former Soviet states.

It's hard to pin down an exact figure, amid a welter of different views, but the U.S. and Ukraine agree the number of Russian soldiers present has risen fast in recent weeks.

Russia, meanwhile, says it is simply conducting exercises in its southern and western military regions. It said one battalion was pulled back from a border area Monday after completing those drills, but NATO says it cannot confirm any withdrawal.

Here's what the different parties are saying about the apparent Russian troop buildup:

United States:

Russia may have as many as 40,000 troops near its western border with Ukraine, two U.S. officials said last week.

But the officials stressed this was only an estimate, largely based on satellite imagery, saying that it is difficult to come to a firm assessment because the Russians are continuing to move units around. Early last week, U.S. officials put the number at more than 30,000, up by 10,000 from what it was a week to 10 days before.

U.S. State Department spokeswoman Jen Psaki said Monday that if reports about Russia removing some troops from the border were accurate, "it would be a welcome preliminary step."

Last Wednesday, a classified U.S. intelligence assessment concluded it was more likely than previously thought that Russian forces would enter eastern Ukraine, CNN learned. The buildup was seen to be reminiscent of Moscow's military moves before it went into Chechnya and Georgia in both numbers of units and their capabilities, U.S. officials said.

The assessment's points included:

• The 30,000-plus troops on the border are "significantly more" than what is needed for the "exercises" Russia says it has been conducting, and there is no sign they are making any move to return to their home bases.

• The troops on the border with Ukraine include large numbers of "motorized" units that can quickly move, as well as air defense artillery.

• Additional special forces, airborne troops, air transport and other units that would be needed appear to be at a higher state of mobilization in other locations in Russia.

• Additional intelligence indicates that even more Russian forces are "reinforcing" the border region, according to U.S. administration officials, and all of the troops are positioned for potential military action.

• The United States believes Russia may move toward three eastern Ukrainian cities -- Kharkiv, Luhansk and Donetsk -- to establish a land bridge into Crimea.

• Russian forces are currently positioned in and around Rostov, Kursk and Belgorod, according to U.S. intelligence information.

In a Pentagon briefing Thursday, Rear Adm. John Kirby said the United States has seen "no specific indications" that Russian troops are in fact conducting military exercises along the border with Ukraine and that, whether they do or not, their presence does nothing to de-escalate the situation.

Defense Secretary Chuck Hagel was told by his Russian counterpart, Sergey Shoigu, that the troops did not intend to cross the border but were there only to conduct military exercises.

President Barack Obama on Friday urged Russia to pull back its troops.

"You've seen a range of troops massing along that border under the guise of military exercises, but these are not what Russia would normally be doing," he said in an interview aired by CBS News. "It may simply be an effort to intimidate Ukraine, or it may be that they've got additional plans.

"And, in either case, what we need right now to resolve and de-escalate the situation would be for Russia to move back those troops and to begin negotiations directly with the Ukrainian government as well as the international community."

Ukraine crisis: NATO chief says no Russian troop withdrawal seen

Ukraine:

Ukraine's estimate of the number of Russian troops at the border is 88,000, a spokesman for the Ukrainian National Defense and Security Council, Yarema Dukh, told CNN on Thursday.

Earlier in the week, National Security Council sources put the number at up to 100,000, including units not immediately on the border that could be rapidly deployed from other nearby areas in the event of a Russian incursion into Ukraine.

Also, according to Ukraine's Foreign Ministry:

• There's "a concentration of military equipment" in Russia's Bryansk region -- which borders northeastern Ukraine and Belarus -- near the town of Churovichi and Klimovskiy district, about 18 kilometers (11 miles) from the border.

• On March 25, two trains up to 60 cars long arrived at Klimovo train station, about 16 miles northeast of Churovichi, carrying troops and equipment.

• According to intelligence reports, camps, communication systems, medical facilities and military field facilities have been set up in the area.

• Russia is using intelligence activities from the air in border areas; 40 drone flights were reported in two days this week in Ukraine's eastern border control area.

Russia:

Russia's Defense Ministry says it is carrying out snap military exercises in its southern and western districts. The numbers it says are involved in the drills -- due to run until the end of March -- are much smaller than those cited by Washington or Kiev.

• One Russian infantry battalion is being withdrawn from Russia's southern Rostov region, having finished military exercises, state news agency ITAR-Tass reported Monday. It is returning to its base in the Samara region, hundreds of miles from the border, the outlet said, citing Russia's Defense Ministry. It's not clear how many soldiers are concerned, but a battalion would typically number in the hundreds.

• On March 13, Russia said that about 8,500 members of artillery units were training in the southern military district, using weaponry including multiple rocket launchers, howitzers and anti-tank cannons.

• These artillery exercises are taking place in the Rostov, Belgorod, Kursk and Tambov regions, all near the border with Ukraine.

• On March 11, the Defense Ministry said about 4,000 paratroopers were taking part in airborne exercises in Russia's western military district, including the Kursk region, which borders Ukraine.

• Russia also had about 22,000 troops in Crimea as of last week, according to President Vladimir Putin. Up to 25,000 were allowed in Crimea under the terms of Russia's lease of the Sevastopol naval base there.

Is Crimea gone?

NATO:

Secretary General Anders Fogh Rasmussen said Monday that NATO "cannot confirm that Russia is withdrawing its troops" from Ukraine's border.

"This is not what we're seeing. And this massive military buildup can in no way contribute to a de-escalation of the situation," he said.

Gen. Philip Breedlove, head of the U.S. European Command and military chief of NATO, previously said the Russian force is "very sizable."

In remarks on March 23, he described Russia's snap military exercises as "worrisome," suggesting they had been used as a tool to bring Russian forces into a high state of readiness without prompting a NATO response.

"A snap exercise puts an incredible force at a border. The force that is at the Ukrainian border now to the east is very, very sizable and very, very ready," he said.

"You cannot defend against that if you are not there to defend against it. So I think we need to think about our allies, the positioning of our forces in the alliance and the readiness of those forces in the alliance, such that we can be there to defend against it, if required, especially in the Baltics and other places."

Breedlove also voiced worries that Russian troops could roll into Ukraine's southwestern city of Odessa and Moldova's separatist region of Transnistria, on the opposite side of Ukraine.

"There is absolutely sufficient force postured on the eastern border of Ukraine to run to Transnistria if the decision was made to do that," he said.

Analysis from Igor Sutyagin, of UK-based defense think tank RUSI:

Sutyagin, an expert on Russian military matters whose assessment is based on Russian, Ukrainian and Eastern sources, rather than Western, puts the number of Russian combat troops at 30,000 to 40,000 in total.

Including the support troops also present, for example in transport and communications units, gives a significantly higher number and explains the disparity in estimates given by Ukraine and others, he added.

There are four groups of these Russian forces dispersed along the borders of Ukrainian territory, he said.

One group is in Crimea, the southeastern peninsula now annexed to Russia, while the three other groups are positioned in a kind of triangle oriented toward three eastern Ukrainian cites: Kharkiv, Luhansk and Donetsk. There are also reserve forces deeper in Russian territory.

The forces grouped in southern Russia, near the cities of Taganrog and Rostov on Don, number several thousand, he said.

Sutyagin says he does not believe that forces in Russia's western and southern military districts are on the snap exercises claimed by the Ministry of Defense.

One indication is that they are in nontraditional training areas, he said. Other signs are that the troops are carrying out only low-level activities, that the supposed drills are lasting for longer than usual, and that the forces are dispersed over a wider area than might be expected.

"If that is the exercise, it's an exercise to invade Ukraine," said Sutyagin. This doesn't mean Russia will invade tomorrow, but it does show clearly what Russia's military planners may have in mind if they do go into the eastern region of Ukraine with the intention of severing it from the rest of the country, he said.

In that scenario, the Russian combat troops in Crimea could act as a powerful second front designed to strike into the rear of Ukraine's forces as they defend an assault from the east.

CNN's Laura Smith-Spark wrote in London, while Barbara Starr reported in Washington and Karl Penhaul in Kiev. CNN's Alla Eshchenko, Shirley Henry and Alexander Felton, and journalist Victoria Butenko contributed to this report.

@highlight

NEW: NATO chief says he can't confirm Russian withdrawal from area bordering Ukraine

@highlight

Russia says one battalion is being pulled back from border region after finishing drills

@highlight

U.S. officials say Russia may have as many as 40,000 troops near its border with Ukraine

@highlight

NATO commander Gen. Breedlove says Russia has a sizable force that is "very, very ready"