(Health.com) -- Cleanup workers exposed to spilled oil may be at long-term risk for breathing trouble and other health problems, according to a new study examining the aftereffects of a 2002 oil spill in Spain.

However, it's not clear whether the respiratory problems reported by the workers in the study are likely to crop up in the more than 50,000 people who have helped clean up the spill in the Gulf of Mexico caused by the explosion of the Deepwater Horizon oil rig.

"We can't assume it's going to be the same here as it was there," says David Savitz, Ph.D., a professor of community health and ob-gyn at the Brown University School of Medicine, in Providence, R.I.

"But this shows that there is the potential for health effects that go well beyond the immediate period of exposure, and it reinforces what we've known before -- that respiratory health effects are high on that list," adds Savitz, co-author of an editorial accompanying the study.

Health.com: Can't stop coughing? 8 possible reasons

The study, which appears in the Annals of Internal Medicine, included 501 fishermen who helped clean up spilled oil after the tanker Prestige sank off the coast of Spain in November 2002. The researchers compared the workers with a similar group of 176 fishermen who did not participate in the cleanup efforts.

Two years after the accident, the fishermen who were exposed to oil were more likely to report wheezing, chronic cough, and other respiratory symptoms compared with those in the control group. The breath of the exposed fishermen also contained higher levels of chemicals associated with lung damage. (Smokers were excluded from these tests.)

In addition, the researchers found higher rates of chromosome changes in the white blood cells of the exposed fishermen -- changes that have been linked to an increased risk of cancer in other studies, says Gina Solomon, M.D., a senior scientist with the National Resources Defense Council, a nonprofit environmental group.

Health.com: 7 surprising triggers of lung trouble

"Given these chromosomal abnormalities, I'd also worry about effects on sperm and egg cells," says Solomon, who was not involved in the study.

The study results "indicate that participation in the cleanup of oil spills can have undesirable effects on health," says the lead researcher, Joan Albert Barberà, M.D., but he stresses that the cleanup workers in the study weren't sick.

"No evidence was found of any active illness, only biological alterations that might predispose to develop disease," says Barberà, a professor at the August Pi i Sunyer Biomedical Research Institute (IDIBAPS), in Barcelona.

The findings suggest that doctors and health officials in the U.S. should be on the lookout for respiratory problems in workers who were exposed to the huge amounts of oil that gushed from the recently capped leak in the Gulf of Mexico.

Health.com: Breathing tips for people with COPD

But the two spills aren't necessarily comparable, experts say. For starters, the Prestige spill -- which was roughly one-tenth the size of the Deepwater Horizon spill -- involved bunker oil, which contains different proportions of carcinogenic compounds (notably polycyclic aromatic hydrocarbons and benzene) than the crude oil spilled in the Gulf, according to Solomon.

Moreover, the oil from the Prestige was spilled on the surface and therefore may have had a different makeup from the oil from the Deepwater Horizon well, which ascended through almost a mile of water before it could make human contact, says Arch "Chip" Carson, M.D., a professor of occupational and environmental health at the University of Texas at Houston School of Public Health.

The oil that cleanup workers in the Gulf will encounter is "reasonably friendly bad stuff," Carson says. "The likelihood of respiratory problems for these workers is negligible."

Oil isn't the only hazard, Carson points out. The dispersants used in both cleanup efforts could potentially cause respiratory effects as well.

Health.com: Gulf oil spill still a health threat to many

The U.S. National Institute of Environmental Health Sciences recently announced the launch of a long-term study, known as the Gulf Worker Study, to investigate potential health problems stemming from the Deepwater Horizon spill.

Although the Prestige spill may not be a perfect comparison, it still highlights the need to safeguard cleanup workers in the U.S., Solomon says.

"Gulf workers need to have adequate training and protective equipment, as well as access to health care and evaluations," she says. "And they are going to need careful follow-up for years to come to make sure that if they do develop health problems, they are recognized and addressed."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

Workers exposed to spilled oil may be at long-term risk for breathing trouble

@highlight

Doctors should be on the lookout for respiratory problems in the Gulf of Mexico workers

@highlight

The Gulf Worker Study will investigate the Deepwater Horizon spill