Washington (CNN) -- House Republicans, who fervently pound the podium against the deficit, didn't blink Friday at passing a whopping $287 billion business tax cut measure with no effort to pay for or offset that amount.

GOP lawmakers argued the bill helps the economy, but budget-watching organizations outside Congress proclaimed it an irresponsible move.

The 258-160 vote marked one of the largest unpaid-for measures passed by the House in years, but was also the latest sign that tax cuts are at the center of the Republican universe and the ballyhooed deficit fight is not on the same level as a priority.

"Here in the House, we're doing what we can to help (pass jobs)," read the statement from GOP House Speaker John Boehner, "passing another bill today that would create more certainty and give small business owners an incentive to invest and put more Americans back to work."

What $287 billion does

The bill, H.R. 4718, would make permanent something called "bonus depreciation": a significant and recent benefit for businesses. Bonus depreciation allows companies to deduct 50% of the value of new equipment or assets in the year they are purchased. It's considered a "bonus" because the provision provides a much greater and much faster tax benefit than traditional depreciation.

The idea first became law under President George W. Bush in 2002, who said it was meant to be temporary. The tax benefit has been extended repeatedly until the end of last year. At that time, it expired along with a slew of other temporary tax provisions called "tax extenders" because they have gone through this process so often.

The issue of $287 billion now

The move by Republicans to back $287 billion in tax cuts comes at a time when they are loudly questioning much smaller spending bills: the president's request for $3.7 billion to respond to children crossing the border, $11 billion to keep highway projects afloat for less than a year and the roughly $35 billion Senate measure to revamp the veteran's health care system. Combined, those measures are still less than a fifth of the tax cut bill.

"Wildfire season is approaching and there are not enough resources," said Texas Democratic Rep. Lloyd Doggett during Friday's debate, "Our highways crumble, bridges literally fall down... While there is so much of vital needs that we just don't seem to have the resources to address, these same Republicans tell us that we can afford to borrow from the Chinese or the Saudis to deliver (tax cuts)."

Should tax cuts be paid for?

"Permanency is something we need to strive for," said Rep. Peter Roskam, R-Illinois, on the House floor, arguing that if a tax provision is extended year after year, it should be made into firm law.

But that was a change in position from February, when he and other Republicans on the House Ways & Means Committee initially proposed erasing bonus depreciation altogether, a point Democrats stressed.

"The gives inconsistency a bad name," said Rep. Sander Levin, D-Michigan, the ranking Democrat on Ways & Means. "I want to say how appalling it is for Republicans to come forward and say 'let's (push $287 billion) unpaid for.'"

Conservative groups split on the question, with Heritage Action urging Republicans to vote "yes" and issuing a blunt statement that cut to the heart of the GOP argument.

"Members should not hesitate to make bonus depreciation permanent," the political organization wrote in a statement to Congress. "Nor should they feel compelled to offer a "pay for" as reducing taxes does not require a budget offset. "

That is a central point of debate, should tax cuts require an offset? Is it OK to add the cost of tax cuts to the deficit?

While Republicans point to sweeping economic benefits, opponents insist those benefits will never materialize if the tax breaks are made permanent.

"The temporary nature of the break may induce a modest number of firms to accelerate some purchases," wrote Chuck Marr, in an analysis for the nonpartisan Center on Budget and Policy Priorities that slammed the bill. "If, however, the tax break is permanent, then there is no incentive for firms to accelerate purchase."

The CBPP called the measure "irresponsible." Separately, the nonpartisan Congressional Research Service has also indicted that the tax cut loses some economic bite when made permanent.

The conservative Club for Growth objects to tax extenders in general but did not issue a statement on Friday's vote, because the organization sees it as maneuvering in a predictable battle with the Senate.

"The whole process is silly and everyone knows how it's going to end," said Club for Growth's Barney Keller to CNN. The spokesman thinks the House and Senate will combine their bills and pass some form of tax extenders later this year. "It's ridiculous."

What next?

While the vote passed with the overwhelming endorsement of House Republicans -- just two voted 'no' -- this will not be the final version of a tax cut bill.

The Senate also must ring in on how deal with the expired tax cuts.

And as Keller with the Club for Growth noted, House members openly are positioning for those negotiations with the Senate.

That could happen in the last months of the year.

"We'll have a good old-fashioned compromise," said Rep. Pat Tiberi, Republican of Ohio and sponsor of Friday's bill.

@highlight

Boehner says measure meant to help small businesses

@highlight

Critics say the measure may not get the desired effect

@highlight

Senate must weigh in