Beijing (CNN) -- China's legislature meets this week to seal a power transfer to new leaders, but don't hold your breath for signs that the new team will ease up on the tough Chinese foreign policy that has ruffled feathers in its neighborhood recently.

As the National People's Congress opened in Beijing, Vice Minister of Foreign Affairs Fu Ying warned that the country had sent an "important signal" to the region that it would respond "decisively" to provocations on territorial disputes.

That means we can expect Beijing to continue with its "reactive assertiveness" foreign policy tactic. China has perfected this approach in its ongoing maritime disputes in the South and East China Seas.

The approach allows Beijing to use perceived provocations as a chance to change the status quo in its favor -- all the while insisting the other party started the trouble.

In Beijing's eyes, it is a means of satisfying domestic pressure for a tougher foreign policy to match its economic might, all while trying to cling to the mantra of peaceful development. But this juggling act does not always work, and a number of countries in the region are giving up on the notion of a peacefully rising China.

The prolonged deadlock with Japan over the sovereignty of a few islets offers a vivid example of this approach.

In September, the Japanese government bought from a private owner three of the disputed islands -- called Senkaku by Japan and Diaoyu by China -- in the East China Sea. Japan says it purchased the islands to prevent the hardline Tokyo mayor from acquiring them and carrying out a plan to build there.

Beijing interpreted the move as a betrayal of the two countries' agreement to shelve the dispute, and the subsequent months witnessed a string of Chinese retaliations that have kept tensions in the East China Sea simmering.

China's retaliatory measures, termed "combination punches" by the state media, ranged from the verbal -- leaders labeling Japan's purchase of the islands a "farce" and vowing to "never yield an inch" -- to economic pressure, large-scale anti-Japan protests and naval exercises in the East China Sea.

But the game-changer came when Beijing declared its territorial baselines around the islands, a move that legally places them under Chinese administration. Once the announcement was made, China began to regularly dispatch law enforcement vessels to patrol waters off the disputed islands, directly challenging Japan's de facto control of the area for the past 40 years. Such is the new normal, claim Chinese officials.

But Beijing did not stop there. It sent a reconnaissance flight directly over the disputed islands, and Japan responded by scrambling fighter jets. The Chinese navy and air force have intensified their reconnaissance missions and drills in the East China Sea and, according to Japan, even locked weapons-guiding radar on Japanese military assets, claims China denied.

Despite these actions, officials in Beijing have repeatedly stated that Tokyo started all the troubles and must accept full blame.

Now, analysts in Beijing claim that a "Pandora's Box" has been opened, and there is no going back to the tacit agreement that has kept peace in the East China Sea for decades.

Similar heavy-handed action was used against the Philippines in a spat over the Scarborough Shoal in the South China Sea in April 2012. When Manila maladroitly responded to a fishing run-in by sending a warship, China took the opportunity to strengthen its claim over the disputed shoal by deploying law enforcement vessels to the area, extending its annual unilateral fishing ban to cover the waters around the shoal; quarantining tropical fruit imports from the Philippines and suspending tourism; and roping off the mouth of the lagoon to keep out other fishermen.

By maintaining regular law enforcement patrols and preventing Filipino fishermen from entering those waters, China has managed to establish a new status quo in its favor.

A similar blueprint was then used in response to a maritime law passed by Vietnam in June 2012 that covered the disputed Spratley and Paracel Islands. Before the ink on the law had dried, China upgraded the administrative status of Sansha City, encompassing a group of disputed islands in the South China Sea, and established a military garrison. The development of Sansha City has continued apace. Following the central government's provision of 10 billion yuan ($1.6 billion) for the construction of the city, Sansha officials are said to be considering plans to build more ports, open casinos and create an offshore tax haven.

By all accounts, new leader Xi Jinping has played a key role in crafting China's response in its maritime disputes and was central to Beijing's response to Japan's island purchase announcement. He was put in charge of a maritime security leading group in mid-2012, then the "Office to Respond to the Diaoyu Crisis" in September. After taking control of both the communist party and the military in November, his rhetoric essentially formalized the reactive assertive tactic by repeating the importance of "peaceful development" while pledging zero tolerance for those who would harm China's "sovereignty, security or development interests."

That is not to say that Beijing is necessarily looking for external troubles, as it remains preoccupied with maintaining the momentum of economic development and preventing domestic problems from erupting into potentially destabilizing unrest.

But unfortunately, there is little appetite in Beijing for blunting the edge of China's "reactively assertive" foreign policy. If anything, opinions are going the other way. As Fu Ying, Vice Minister for Foreign Affairs, put it: When facing provocations, the Chinese public "hopes that China will be even more assertive." If there is any perceived slight, no matter how minor, expect China to pounce.

The opinions expressed in this commentary are solely those of Stephanie Kleine-Ahlbrandt.

@highlight

China has warned it will respond "decisively" to provocations on territorial disputes

@highlight

There are signs Beijing will stick to its policy of "reactive assertiveness"

@highlight

China's leaders are meeting at the National People's Congress in Beijing

@highlight

Xi Jinping is expected to formally assume China's presidency