Atlanta (CNN) -- International travelers, rejoice! The world's busiest airport is debuting a billion-dollar solution to the much-griped-about entry procedure for Atlanta-bound passengers.

The screening hoops international travelers have long faced to escape the confines of Hartsfield-Jackson Atlanta International Airport have led veteran traveler Nancy Megehee to avoid bringing anything more than a carry-on along on long-haul trips. Arriving back in Atlanta was just too much trouble.

"If you're going to walk the concourse, you have to clear your luggage to walk through. Typically, what I'm doing is carry-on, but I still have to go pick my bag up and have my bag re-examined by the TSA," Megehee said.

That was one of the annoying quirks of an airport that handled nearly 10 million international passengers last year. Before May 16, even international travelers whose final destination was Atlanta had to pass through Transportation Security Administration checkpoints and recheck checked bags after clearing U.S. Customs and Border Protection to leave the airport.

That's because there was no way to exit the international security zone to the outside world without crossing through the secure domestic terminal. All that duty-free fine wine had to get stuffed back into a traveler's luggage to avoid violating the TSA's 3-ounce rule. Then add a trip to the baggage claim to pick up checked bags before exiting.

With Wednesday's opening of the Maynard H. Jackson International Terminal, six years later than planned and at a higher-than-expected cost of $1.4 billion, there will be much beyond the new ease of exiting to admire and celebrate: the natural light-filled structure, lovely views of airplanes taking off to foreign lands and taxiing to the new terminal gates, new retail and restaurant choices, art installations, a swanky new Delta Sky Club and technology charging areas that recognize the ubiquitous use of smartphones, laptops and other electronic devices.

The logistics of getting to and from the terminal might present the biggest challenge. The new terminal is accessed via a different highway than the rest of the airport, and the city's rail service connects to the original terminal but not to the new international gateway. Shuttle buses will run around the clock to connect the old and new facilities.

While we wait for international travelers to test Atlanta's newest terminal, we asked noted architects, airport operations executives and other travel industry experts to share what they look for in a world-class airport's design and features.

An airport must nail down the basics: security, federal processing, technology, retail and restrooms, said Bill Fife, an airport consultant who has worked in positions with the Port Authority of New York and New Jersey, including a role as deputy general manager of John F. Kennedy International Airport.

Make security obvious and easy

Whether travelers are taking off from a home airport or landing in a foreign land for the first time without speaking the language, travelers want airports to make the process clear.

Do they have time to get snacks before security, or will the security lines be too long and stressful? If they're landing for the first time in a foreign country and don't speak the language, do they know where to get their bags, clear customs and get to their hotel?

"People want to know where they're at, every step of the way," says Jason Clampet, senior online editor at Frommers.com.

After Clampet flew into the Copenhagen Airport last fall, he noticed a big clock above security that showed how many minutes it would take to get people through the process.

"It said one minute, and I didn't believe them, but I was through security in 52 seconds," Clampet said. "Whatever they said it was going to be, it was good to know. "

When airport architect Mark Leininger landed at Incheon International Airport in Seoul, South Korea, and went through security, he watched a video showing the procedure of showing one's passport to security, getting a picture taken and other details of the process.

"You want to make security seem like it's effective and people understand what they're doing, not just being treated like rats in rat maze," said Leininger, associate director of the architecture firm of Skidmore, Owings and Merrill, who has worked on Boston Logan International Airport and the current redesign for Delta's terminal at John F. Kennedy International Airport in New York.

Reducing the stress of flying

Cramped security spaces, lack of light and too much noise can contribute to an already-stressful flying experience, where travelers often have to remove much of their clothing in public before being allowed to head to their respective gates.

"You're often in an absolutely lightless space with low ceilings, and usually the occupancy rates are in excess of what the building's mechanical systems would allow," said architect Simon Smithson, who worked on Madrid Barajas Airport's Terminal 4 project.

The use of natural light, enormous windows to show people where they're heading (to the plane or to customs) and acoustics to dampen the sound of thousands of travelers and workers can contribute to a nicer flying experience, said Smithson, project architect on the Madrid airport and a partner at the architecture firm of Rogers Stirk Harbour + Partners in London.

"We designed a nice, generous space with some sort of natural light so people would see how the process is working," Smithson said. "We also used light to let people inside the building know the time of day outside." That helps fliers landing in a different time zone to reorient their body clocks.

Get me something to eat

Many travelers heading to foreign ports are too squeezed for time to pack their own snacks, and some want more than the usual fast food options that will just sit in their stomachs on a 10-hour flight. Careful placement of restaurants with seating and to-go options along the walk to a traveler's gate can minimize the stress that hunger will cause.

Some winners: Fife applauds the design at the JetBlue terminal at Kennedy Airport, noting that customers can pick from many options and pay at the same registers. Frequent traveler Charles Kunz loves the local restaurant options at the San Francisco airport's international terminal.

Let me use my technology

With the proliferation of smartphones, laptops and iPads for work and pleasure, customers are using technology to check into their flights, check on gate locations and flight delays, and play or work while waiting for their flights. That puts more pressure on airports to supply outlets for people to keep charging their devices.

"It's clear that connectivity is just a huge issue," said Chris Oswald, Airport Council International-North America's vice president of operations. "If you have to go plug into an outlet outside the bathroom down the hall, that's not the level of service you want."

Some airports have added outlet trees placed in seating areas, while others have added power strips in the seats themselves, he said. "It's absolutely something you have to have."

Connect to public transportation

Many frequent international travelers appreciate airports that are easily accessed by public transportation. Architect Anthony Mosellie loves flying out of Hong Kong International Airport. Mosellie, a principal at Kohn Pedersen Fox Associates and head of its airport practice, simply boards a train in central Hong Kong that takes him directly to the airport. "The train doors open, and I walk 10 or 15 yards, and I'm right in the airport terminal."

Clampet has a similar experience landing in Vancouver.

"The train just zips right downtown," he said. "You know you're being taken care of all the way as opposed to being on the edge of town and taking a taxi and not knowing if you're being ripped off."

A change in attitude

Kunz, who runs an independent car rental company in Durham, North Carolina, wants U.S Customs and Border Protection to make people coming home or visiting the United States feel welcome.

He echoed the complaints of many U.S. travelers: They say they often feel presumed guilty upon arrival back home in the United States. It's an attitude they say they don't get when arriving in other airports around the world.

"You know you have nothing in your bags, and yet you feel guilty," said Kunz, who took part in a recent simulation to test the systems at Atlanta's new terminal. "I know they see a million people a day, but I only see one (of them) that day. It's fun to come back home. If they could just say 'welcome back,' that would help add a human touch."

And it's not just about manners. International tourist arrivals to the United States are projected to grow 36% between 2010 and 2020, according to the U.S. Travel Association, and those visits contribute to the U.S. economy.

The association advocates fully staffing customs desks to match international arrival schedules and expanding the U.S. Customs and Border Protection's Global Entry Trusted Traveler Network to include more trusted international travelers. (Currently, U.S. residents and citizens of a few test countries are eligible to apply for membership.)

"People are coming here and spending thousands of dollars and leaving with a better impression of the United States than when they came in," said Cathy Keefe, USTA spokeswoman.

"How are they treated when they arrive in the United States?" she asked. "It's their first impression when they come into the United States. We can have a standard welcome message and still maintain security."

Which international airports have you flown through? What do you like or dislike about them? Tell us in the comments section below.

@highlight

New international terminal opens Wednesday in Atlanta

@highlight

The facility will eliminate the need for arriving travelers to recheck bags

@highlight

Architects and industry experts share their top priorities for successful operations