(CNN) -- The young women in a Kabul classroom are learning how to deal with a difficult birth. As instructors watch over and guide the simulation, the girls gently tug at a baby doll as it passes through the model of a birth canal.

These students, all in their third semester at the Ghazanfar Institute of Health Sciences, will soon join the growing number of midwives in a country where being a mother is ranked among the worst in the world. Women in Afghanistan are 70 times more likely to die in childbirth than from a bullet or a bomb, according to Save the Children.

It's a grim statistic the women here are trying to change.

"My father encouraged me to do this because when he was 10, he lost his mother when she was giving birth to another child," says Almasa Katawazi, who, like the rest of her classmates, hopes to make Afghanistan a better, safer place for mothers and their babies.

Katawazi says she wants women in far-flung provinces to have access to good medical facilities, doctors and midwives. To that end, she says she plans to go and work in Paktika province once she's certified.

In 2003, there were only about 500 midwives in Afghanistan. Today, there are some 3,000. But many more are needed.

"Increasing the numbers of midwives, particularly midwives that live and work within communities and rural communities that might not have access to other health services is an extremely important factor in reducing maternal mortality," says Rachel Maranto of Save the Children.

Still, less than two-thirds of Afghan women have access to nearby health facilities.

"Many, many mothers and children will never see a trained health worker, a doctor, a nurse or a midwife in their lifetime," Maranto says, "and that really needs to be improved and turned around."

It's one of the reasons why groups such as Save the Children, along with other nongovernmental organizations and foreign donors, are funding programs in conjunction with the country's Ministry of Public Health to improve the chances of mothers' and children's welfare and survival.

A mother bravely campaigns for president

One pilot program in Guldara District teaches volunteers how to become community health workers. Many of the women being trained have lost mothers, sisters and cousins to pregnancy-related complications. Many have also buried their babies. They decided it was time to change things.

The women are illiterate, so they learn from pictograms.

"It's good work," says Noorzi, a mother of six. "In my village, maternal mortality has gone down 100% in the last two years."

Noorzi's village may be an exception, but most women there now give birth in the presence of qualified health workers.

Still, sustaining and spreading initiatives such as this one will take even more investment from the international community.

And while NGOs point to a certain success in the reduction of mother and child mortality rates in recent years, the situation in Afghanistan remains dire -- here, a woman dies from pregnancy-related causes every two hours.

That statistic is just one that illustrates the fragile state of women in Afghanistan more than a decade since Western forces ousted Taliban rule.

Speaking out against rape | Tortured teen: 'Same should be done to them'

Back in the Kabul classroom, the midwives in training stay focused.

"Their main goal should be serving mothers and decreasing the rate of maternal mortality," says Turpekai Azizi, a midwife instructor.

It's a noble goal, but one that could be in jeopardy, women and aid workers say they fear, if foreign funding falls off once coalition troops withdraw.

@highlight

Afghanistan has long been ranked among the worst in the world for mothers

@highlight

Afghan women 70 times more likely to die in childbirth than from a bullet or a bomb, group says

@highlight

Trained midwives are helping battle grim statistics