Havana, Cuba (CNN) -- In the '90s a certain joke became very popular in the streets and homes of Cuba. It began with Pepito -- the mischievous boy of our national humor -- and told how his teacher, brandishing a photo of the U.S. president, launches into a harsh diatribe against him.

"The man you see here is the cause of all our problems, he has plunged this island into shortages and destroyed our productivity, he is responsible for the lack of food and the collapse of public transport," the teacher says.

After these fierce accusations the teacher points to the face in the photo and asks her most wayward student, "Do you know who this is?" Smiling, Pepito replies, "Oh yes, ... I know him, it's just that without his beard I didn't recognize him."

Photos: Cuba -- a sense of home in a timeless place

The joke reflects, to a large measure, the polarization of national opinion with regard to our economic difficulties and the restrictions on citizens' rights that characterize the current Cuban system. While the official discourse points to the United States as the source of our greatest problems, many others see the Plaza of the Revolution itself as the root of all the failures of the last 53 years.

True or not, the reality is that each one of the 11 administrations that have passed through the White House since 1959 has influenced the course of this island, sometimes directly, other times as a pillar of support for the ideological propaganda of Fidel Castro's government (and now that of his younger brother Raúl).

Hence the growing expectations that circulate through the largest of the Antilles every time elections come around to decide who will sit in the Oval Office. Cuban politics depends so greatly on what happens in the ballot boxes on the other side of the Florida Straits -- and some share the view that we have never been so dependent on our neighbor to the north.

Postcard: Why India longs for U.S. election

Cuban diplomacy seems more comfortable contradicting America than seeking to solve the problems between the nations, which is why many analysts agree it would be easier for Raúl Castro to cope with an aggressive policy from Uncle Sam than with the more pragmatic approach of Barack Obama.

Obama's easing of the rules on family remittances, reestablishing academic travel, and increasing cultural exchanges add up to an unwieldy formula difficult for the Castro regime's rhetoric to manage. But the regime has also tried to wring economic and political advantages from these gestures from Washington.

The real question in this dispute is which approach would more greatly affect democratization in Cuba -- to display a fist? Or to offer a hand? To recognize the legitimacy of the government on the island? Or to continue to treat it as a kidnapper holding power over 11 million hostages?

Postcard: Can Tokyo learn from election "matsuri?"

When the Democratic party, led by Barack Obama, came to the White House in January 2009, our official press was faced with a dilemma. On the one hand the newly elected president's youth and his African descent made him immediately popular with Cubans, and it was not uncommon to find people walking the streets wearing a shirt or hat displaying the face of the former senator from Illinois. It was the first time in decades that some compatriots dared to publicly wear a picture of the "enemy" (the U.S. president) himself.

For a population that saw the top leaders of our own government approaching or passing 80, the image of a cheerful, limber, smiling Obama was more consistent with the myth of the Revolutionary than were the old men in olive green standing behind the national microphones.

Obama's magnetism also captivated many here as well, and disappointed, of course, those who hoped for a heavier hand toward the gerontocracy in Havana.

Farewell socialism ... hello to pragmatism

Beyond the political issues, the measures undertaken by the Obama administration were felt quickly in many Cuban families, particularly in their economy and relations with their exiled relatives in America.

With the increased cash from remittances, the small businesses that emerged from Raul Castro's reforms were able to use the money coming from the north for start-up capital and to position themselves. Meanwhile, thousands of Cuban-Americans arrived at José Martí airport every week loaded with packages, medicine and clothes to support their relatives on the island.

Those who see the Cuban situation as a pressure cooker that needs just a little more heat to explode feel defrauded by these "concessions" to Havana from the Democratic government. They are the same people who suggest that a hard line -- belligerence on the diplomatic scene and economic suffocation -- would deliver better results.

Sadly, however, the guinea pigs required to test the efficacy of such an experiment would be Cubans on the island, physically and socially wasting away until some point at which our civic consciousness would supposedly "wake up." As if there are not enough historical examples to show that totalitarian regimes become stronger as their economic crises deepen and international opinion turns against them.

No wonder Mitt Romney is a much talked about figure in the official Cuban press. His strong confrontational positions feed the anti-imperialism discourse like fuel to a fire. The Republican candidate has been the focus of numerous articles in the official organ of the Communist Party, the newspaper Granma. His photos and caricatures appear in this same daily that was stymied when trying to physically mock Obama. Given the high rate of mixed marriages among Cubans, it's quite sensitive to enlarge the ears and fatten the lips of the U.S. president without it reading as racist ridicule.

Postcard: Parisians marvel at Obama's "coolitude"

If, in the eighties, the media's political humor was honed in the wrinkled face of Ronald Reagan, and later the media had a field day with the physique of George W. Bush, for four years it has been cautious with the current resident of the White House. All this graphic moderation will go by the wayside if Mitt Romney is elected as the next president of the United States. There are those who are already laughing over the possible jokes to come.

But whoever scores the electoral victory will find Cuba in a state of change. The reforms carried out by Raúl Castro lack the speed and depth most people desire, but are heading in the irreversible direction of economic opening.

Havana is full of private cafés and restaurants, we can now buy and sell homes, and Cubans are even managing to sell the cars given to them during the era of Soviet subsidies in exchange for political loyalty. The timid changes driven by the General President are threatening to damage the fundamental pillars of Fidel Castro's command. Volunteerism at any cost, coarse egalitarianism, active adventures abroad, and a country kept in a state of constant tension by the latest economic or political campaign appear to be gradually fading into things of the past.

On the other hand, citizens themselves have begun to experience the most definitive of transformations, that which occurs within. Public criticism is on the rise, although it has not yet found ways to be heard in all its diversity, but every day the fear of police reprisals diminishes.

More: Cuba disputes reports of jailed American's health

The official media have unquestionably lost a monopoly on the flow of information and thanks to illegal satellite dishes Florida television now comes to Cuba. Alternative news networks circulate documentaries, films, and articles from independent journalists and bloggers. It's as if the enormous ocean liner of Revolutionary censorship was taking on water through every porthole.

Young people are finally pushing to have Internet access, while the retired complain about their miserable pensions and almost everyone disagrees with the travel restrictions that prevent our leaving and returning to our own country. In short, the illusion of unanimity has fallen to pieces in Raúl Castro's hands.

More: Raul Castro's daughter endorses Obama

To this internal scenario, the result of the American elections could be a catalyst or obstacle for changes, but it is no longer the most important factor to consider. Although the billboards lining the streets continue to paint the United States as Goliath wanting to crush little David who represents our island, for an increasing number of people the metaphor doesn't play out that way. They know that in our case the abusive giant is a government that tries to control the smallest aspects of our national life, while his opponent is a people who, bit by bit, is becoming more conscious of its real stature.

@highlight

While Castro regime blames U.S. for Cuba's ills, many Cubans blame regime

@highlight

Sanchez: Cuban politics depends greatly on U.S. presidential elections

@highlight

Sanchez: Whoever wins the race to the White House will find Cuba in a state of change