(CNN) -- "All around me my friends were lying injured and dead."

These are not the confessions of a battle-hardened soldier who signed up to fight in his nation's war. They are the words of a 15-year-old boy lying in a hospital bed in Peshawar, Pakistan, after Taliban militants attacked his school in an act of savagery so bloody and brazen it seized the attention of a world grown nearly indifferent to the barbarism vying regularly for its attention.

At a time of playground bombings in Syria, kidnapped schoolgirls in Nigeria, girls' schools shuttered under threat in Afghanistan and conflicts descending into chaos in real time, the attack on the Pakistan's Army Public School brought home once again the danger children face simply for the act of heading to school.

Are we ready to watch schools become the new front lines? It is a question we all must answer.

The Peshawar attack was not a one-off. It was simply larger and even more horrific than previous carnage.

"In 2013, 78 attacks against schools, teachers and schoolchildren were reported to the United Nations in Pakistan," a news release from the U.N.'s special representative for children and armed conflict noted.

This morning, condemnations poured in, including one from a global leader who knows firsthand such deadly violence.

"I condemn these atrocious and cowardly acts," Nobel Peace Prize winner Malala Yousafzai said in a statement. Two years ago, the Taliban shot the Pakistani teenager at close range on her school bus in retaliation for her eloquent advocacy for girls' education in Swat Valley in the province of Khyber Pakhtunkhwa; its capital is Peshawar, site of Tuesday's attack.

Nor is the violence new. Armed conflict increasingly has made the world's children its front lines.

In a wrenching interview, a girl named Margaret tells of being abducted from her girls' school in northern Uganda in 2004 at 14 by soldiers for Joseph Kony. She was forced to become his sex slave and to bear his children, one of countless children forced into soldiering and slavery by Kony's Lord's Resistance Army.

As schools become battlefields, the need to protect them has never been greater.

Indeed, education is one of the most potent weapons in the fight for global stability and security. Another Nobel Prize winner, economist Amartya Sen, has written that there is no clearer route to economic development and, ultimately, to peace than education. In 2011, 57 million children were out of school; half of them in countries that are home to armed conflict. And that should concern everyone who wants to see a world that is stable, peaceful and secure.

And yet, today in Syria millions of refugee children remain out of school. A "No Lost Generation" campaign to fund education and support for these children is under way but remains vastly underfunded.

"Before the war, almost all of Syria's children were enrolled in school," according to the charity Save the Children. Today, "Syria now has the second worst enrollment rate in the world with almost 3 million school-aged Syrian children no longer in school."

At an event in September hosted by U.N. Education Envoy Gordon Brown, frustration was palpable. Everyone agreed that education was key to guaranteeing that millions of Syrian children had a chance at a future. But getting the world to open up its wallet when it came to keeping them in any kind of classroom has proved more challenging.

One of the people fighting for that safer world is Beatrice Ayuru Byaruhanga, founder of the Lira Integrated School in once violence-riddled northern Uganda. Herself a groundbreaker -- as a woman who graduated from college -- Ayuru grew and sold cassava to fund a school that would fight illiteracy and poverty and battle for the rights of children to stay in the classroom.

"During the war, we would always run with the children from school to the town to hide them," Ayuru told a reporter. "Then, during the day we collected them from town again to come and have lessons."

Ayuru would not be cowed by the violence around her.

Nor would Malala Yousafzai. "I, along with millions of others around the world, mourn these children, my brothers and sisters -- but we will never be defeated," Yousafzai said in her statement.

That resolve will be required for the fight ahead.

The militants have shown they will stop at nothing to take the fight to the Pakistani Army. And they have made clear the stakes.

Those who care about the future not just of their own children, but the stability and prosperity of the world they will inherit, must agree that the world needs a lot more Malalas and Beatrice Ayurus if there are to be fewer blood-soaked days like today. And they must fund, support and speak out for the right of every child to have a classroom that does not double as a battle zone.

It is a shared fight. And one in which we all have a stake.

@highlight

Gayle Lemmon: Peshawar attack wasn't a one-off; schools have been targeted often

@highlight

She says the bloody, brazen attack has seized the world's attention

@highlight

Lemmon: Are we prepared for schools becoming the front lines of a barbaric battle?

@highlight

We must speak out for the right of children to education and peace, she says