(CNN) -- "When you want to know how things really work, study them when they're coming apart."

That bit of wisdom from Hubertus Bigend, the brilliant Belgian billionaire at the center of sci-fi author, William Gibson's latest novel, "Zero History."

Bigend (pronounced Bayh-jhan) is the morally ambiguous mastermind behind a global marketing operation, the Google of trend forecasting. He's a "cool hunter," reminiscent of Charles Foster Kane with an Andy Warhol eye for spotting emerging underground trends.

Also returning is Hollis Henry, a semi-famous former singer from a 90s indie band, she's been hired by Bigend to uncover the identity of the designer behind the mysterious clothing brand, The Gabriel Hounds.

"Zero History" is the final chapter in a trilogy that Gibson began with "Pattern Recognition" in 2003 and continued in 2007's "Spook Country."

The London-based caper also involves paramilitary contractors, computer hackers, base-jumping spies, black market jeans dealers and something called the Festo AirPenguin.

It's a long way from Gibson's 1984 award-winning debut novel, "Neuromancer," a classic which helped launch the "cyberpunk" genre. He's been called a sci-fi prophet, and is credited with coining the term, "cyberspace" when the Internet was still largely unknown.

Mystical P.I. in 'City of the Dead'

More recently, Gibson isn't writing so much science fiction but what he calls, "speculative fiction of the very recent past." Instead of an imagined future, in "Zero History" Gibson examines the present-day impact of new technologies, the current tension between the cutting edge and the mainstream and how all of it is branded, marketed and manipulated for profit.

CNN recently spoke with the author; the following is an edited transcript.

CNN: "Zero History" seems like it could take place in the very near future or an amplified present. Does the rapid pace at which the world is changing make your job more difficult or just more interesting?

Gibson: Actually, it takes place in the year before it was published. Literally in the year in which it was written. A speculative novel of the very recent past. Historically, it will be seen as having taken place before the Murdochalypse/Hackgate era. So Bigend's warning to Hollis, to assume all phones in the UK are tapped, will have a little sheen of prescience. But I'm not really shooting for prescience. I'm trying to realistically describe the inherently fantastic world we live in.

CNN: You've written about 21st-century inventions like the Internet, reality TV and guerilla marketing before they became part of everyday life. What new developments or technology trends do you find interesting right now?

Gibson: All of those things existed before I wrote about them; they just weren't that big a part of life yet. With reality TV, "Cops" was running when I wrote "Virtual Light," and I knew about but hadn't seen the UK's "Big Brother," likewise the Japanese show that had inspired "Big Brother." So I was working with something real, but something that struck me as inherently surreal, and trying to imagine it having extremely powerful pop culture legs. Which fortunately it turned out to have. My current stock of things like that is always quite small, so I try not to give them away!

CNN: Hubertus Bigend is one of your most memorable characters. For new readers, give us a little background on who he is and what role he plays in "Zero History."

Gibson: Bigend is the founding genius behind Blue Ant, a global PR/ad firm. I originally assumed he was just a standard walk-on evil figurehead, but the other characters started falling into a weird kind of love-hate with him, and I suppose I did, too. I don't always believe his explanation of our world, and I doubt he does either, but he's definitely been a delight to work with.

Fantasy fans ready to 'Dance with Dragons'

CNN: You're a frequent user of Twitter, how does it or other social media influence you as a writer or as a culture consumer?

Gibson: I only know Twitter. The others seem too socially engineered. Too mall-like. I see Twitter as a virtual extension of "the street." You can run into anybody. And it makes breaking news more fun. Hugely more fun.

CNN: Anything you're reading, watching or listening to you'd care to recommend?

Gibson: I've already entered my pre-book stage, in which I quit reading fiction. If I could magically see anything I want, today, it would be "Juan of the Dead," Cuba's first feature horror film. Zombie plague in Havana, deadpan Cuban comedy. Google the trailer. I recently saw Terry Gilliam's brilliant staging of Berlioz's "The Damnation of Faust," in London. I imagine that was my cultural high point for the year.

CNN: What's next for you?

Gibson: I'm edging into a new book, not a Bigend one, and my collected nonfiction, "Distrust That Particular Flavor" should be out fairly soon.

Out of this world heist leads to 'Sex on the Moon'

William Gibson is the award-winning author of nine previous best-selling novels. His latest "Zero History" comes out in paperback on Tuesday.

@highlight

"Zero History" is the final installment in a trilogy about billionaire Hubertus Bigend

@highlight

Sci-fi author William Gibson is credited with coining the term "cyberspace"

@highlight

The author wrote about Internet, reality TV and guerilla marketing before they became popular

@highlight

Gibson: "I see Twitter as a virtual extension of 'the street.' You can run into anybody."