In diplomacy, like in sales, success often depends on making your adversaries believe they proposed the result you wanted.

By that measure, Russian President Vladimir Putin appears to have closed the sale on annexing Crimea from Ukraine.

On Monday, Russian Prime Minister Dmitry Medvedev visited the region that Moscow now claims over international protests, while Russia also said it was withdrawing a battalion of infantry troops from the tens of thousands deployed near the border with eastern Ukraine.

Meanwhile, diplomatic efforts focus on defusing the immediate threat of armed conflict and setting up a negotiating process, rather than necessarily reversing the Crimean annexation.

Here are some questions and answers on how we got here and what to expect:

What's the story?

The Ukraine crisis has its roots in the breakup of the Soviet Union more than two decades ago. A country of deep ethnic and cultural divisions, it comprises a more ethnic Russian population in the East and a more ethnic Ukrainian population in the West, including Kiev, the capital.

Months of increasingly violent political protests in Kiev over the government's reluctance to expanded relations with the European Union culminated in a February 21 agreement that called for constitutional changes and new elections.

Putin says he's pulling some troops back from Ukrainian border

Moscow responded by sending forces into Ukraine's formerly Russian region of Crimea, which is home to Russia's Black Sea fleet. Putin claimed ethnic Russians in Crimea faced oppression and needed Moscow's protection, a scenario rejected as false by Washington and its European allies.

Despite objections by the Ukrainian government, the United Nations, European nations and the United States, Russia then engineered a Crimean independence referendum that easily passed.

As Washington and the European Union imposed sanctions, Moscow and Crimea took the legislative steps in recent weeks to complete the annexation.

Meanwhile, Putin warned Russia would protect ethnic Russians elsewhere from alleged attacks and discrimination, and tens of thousands of Russian troops gathered near Ukraine's eastern border raised fears of an imminent invasion.

What's the latest?

As tension climbed, Putin called President Barack Obama last Friday and the two leaders agreed that their top diplomats would try to find an opening for negotiations on resolving the crisis.

In four hours of talks on Sunday in Paris, Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov focused on easing the border tension and working out a formula for a negotiating process that includes the Ukraine government.

Afterward, Kerry told reporters that both governments agreed on the need for a diplomatic solution, and that the goal for now was de-escalating the crisis to allow for further talks.

However, he never directly mentioned Crimea or its annexation and he didn't repeat an earlier U.S. demand that Russian troops leave Crimea.

"Both sides made suggestions on ways to de-escalate the security and political situation in and around Ukraine," Kerry said. "We also agreed to work with the Ukrainian government and the people to implement the steps that they are taking to assure the following priorities: the rights of national minorities, language rights, demobilization and disarmament of the regular forces and provocateurs, an inclusive constitutional reform process, and free and fair elections monitored by the international community."

His bottom line? "No decisions about Ukraine without Ukraine."

Meanwhile, Monday's movement of Russian troops -- whether a real withdrawal or symbolic shift --signaled Moscow's acceptance that the Kerry-Lavrov talks yielded some progress.

"If reports that Russia is removing some troops from the border region are accurate, it would be a welcome preliminary step," State Department spokeswoman Jen Psaki said on Monday.

What does it all mean?

Two weeks ago, Ukrainian President Oleksandr Turchynov declared that his country was willing to hold talks with Russia, "but we will never accept the annexing of our territory."

While Kerry alluded to the Crimea annexation on Sunday, calling Russia's "actions" illegal and illegitimate, he also noted that "Russia obviously has long ties and serious interests" in Ukraine.

In tense, defiant Ukraine border region, prayers are for peace -- unless peace fails

In Washington, Democratic Sen. Dianne Feinstein of California made a similar point earlier Sunday on CNN, saying that Crimea is "dominantly Russian."

She sounded resolved that the peninsula with a majority ethnic Russian population now had returned to Moscow's provenance, as Putin wanted all along.

"A referendum was passed. That, I think, has been done," said Feinstein, who chairs the Senate Intelligence Committee. "But Ukraine is a different subject."

Her acknowledgment clashes with Obama and the United Nations, who call the military backed annexation of Crimea a violation of international law and dismiss the Crimean secession referendum as a sham.

Obama has threatened further sanctions targeting vital sectors of Russia's economy such as financial services, energy, mining, defense and engineering.

However, it remains unclear if European powers such as Germany and Britain would join in such an escalation because of their stronger economic links with Russia.

What now?

More talks and diplomatic posturing,

The Russian force shift Monday involved several hundred troops at the most, which would be only a fraction of the 40,000 or more estimated to be near the Ukrainian border for what Moscow calls exercises.

That means the next steps occur under the shadow of the Russian forces that U.S. military officials say could launch an incursion on short notice.

Obama's trump card is the possible increased sanctions targeting strategic sectors of the already struggling Russian economy as Moscow assumes greater costs because of the Crimea annexation.

Medvedev said Monday Crimean state salaries and pensions should be raised to Russian levels, as should the pay for military personnel, while compulsory social insurance would be introduced to the region next year.

He also said Moscow would make Crimea a special economic zone and review water supply projects for the region that now gets 90% of its water, 80% of its electricity and roughly 65% of its gas from Ukraine.

A variety of outcomes remain possible, ranging from further Russian military incursions in other ethnic-Russian strongholds in the region to a negotiated political agreement in which Ukraine adopts a new constitution and holds new elections -- almost certainly minus Crimea.

@highlight

Secretary of State Kerry cites defusing tensions and setting up talks as goals

@highlight

Kerry doesn't mention Crimea by name after meeting with Russian counterpart

@highlight

Russian troops near the Ukraine border now the main topic

@highlight

Kerry's bottom line: "No decisions about Ukraine without Ukraine"