Havana, Cuba (CNN) -- Capt. Carl Gamble was behind the controls of Piedmont Airlines Flight 451 as the plane headed to Miami when a stewardess delivered a note from a passenger saying the flight was being hijacked.

Nearly 30 years later, Gamble still recalls the sense of dread wash over him as he read the hijacker's demand to be flown to Cuba.

"It's such a shock that for the first 30 seconds you can't remember your name," Gamble said. "But then it all falls into place."

Gamble was an Air Force veteran who, exactly 15 years to the day of the hijacking, had been shot down in Vietnam. Over the plane's intercom system, Gamble tried to negotiate with the hijacker, a pistol-wielding man dressed in black, who called himself "Lt. Spartacus."

The hijacker threatened to take the lives of the 57 passengers and crew aboard the plane if Gamble didn't fly him to Havana.

In addition to the small pistol he had smuggled aboard, the hijacker claimed to have a bomb in his suitcase.

"He said he had a detonator," Gamble remembered, "and that he was prepared to blow up the airplane."

Q&A: When hijackings were common

The airline told Gamble to comply with the hijacker's demands. The pilot remembers seeing U.S. military C-130s accompany him south and then, as he approached Cuban air space, turn back.

Shortly after landing in Havana, Gamble said his plane was surrounded by a bright green swarm of Cuban soldiers.

The Cubans had plenty of experience with hijacked planes from the United States. After Fidel Castro took power, the island became the go-to destination for dozens of hijackers -- some were aspiring revolutionaries, others common criminals seeking refuge in a country where the lack of diplomatic relations with the United States meant they were unlikely to be extradited.

Gamble said the Cuban soldiers removed the passengers and crew, swept the plane for explosives and found nothing. Then the soldiers escorted the hijacker off the aircraft.

"I only got a glimpse of him," Gamble said. "I never understood what he was trying to do."

U.S. doctors see American jailed in Cuba

This week, the world is getting another glimpse of the hijacker, a former Black Panther named William Potts, now 56, who returned to the United States on Wednesday to turn himself into authorities for the 1984 hijacking.

FBI agents arrested him at Miami International Airport on charges of air piracy, federal prosecutors said in a statement.

He is scheduled to make his first appearance in front of federal magistrate on Thursday. If convicted, prosecutors said, he faces a minimum sentence of 20 years in prison and a maximum term of life behind bars.

Potts has already served time in Cuba for his crime. He had hijacked the plane thinking he would be greeted as fellow revolutionary and given military training so he could begin his own uprising in the United States. Instead, the Cuban government tried Potts and sentenced him to 15 years in prison.

"In a Machiavellian sense, the Cubans changed," Potts said. "They simply changed. They used to do it and now they don't do it."

Instead of becoming the next Che Guevara, Potts found himself a foreigner who spoke little Spanish in crowded and often violent prisons. But he refused Cuban offers to return home.

"If you are not able to suffer for the cause you are just a play revolutionary," he said.

Cuba and U.S. talk mail cooperation

Potts served his time and after leaving prison married and had two daughters with a Cuban woman.

Although a minor celebrity in his neighborhood of crumbling Soviet buildings east of Havana, Potts never fully fit into Cuban society.

He converted to Islam and often wears a prayer cap and flowing robes accessorized with a combat vest. The pidgin Spanish he learned behind bars is combined with the occasional word in English or Arabic .

Potts said he yearns to see family, including two daughters born in Cuba who now live in the United States. And he said he no longer feels the same zeal he once did for Cuba's political system.

"Two generations were forced to sacrifice everything and we can't give our children a decent lunch, we can't give our old people a decent meal," he said. "That's after 50 years of revolution."

Homesick American hijacker offers to return from Cuba

Even though he's a fugitive after being indicted by a U.S. court for the hijacking in 1985, Potts has been trying to turn himself over to U.S. authorities for more than a year. Federal prosecutors have never explained the year-long delay in bringing him into custody.

In a statement Wednesday, U.S. Attorney Wifredo Ferrer "commended the investigative efforts of the FBI and the assistance of the Diplomatic Security Service, Coast Guard and the Transportation Security Administration in securing Potts's return to the United States."

Potts said before he could leave Cuba, U.S. diplomats had to issue him a single-use passport and an exemption from the no-fly list. There also were to be two U.S. marshals accompanying him on the flight to Miami on Wednesday, Potts said, in case he has second thoughts.

But the one-time hijacker will return to an uncertain future. Potts was unable to negotiate a plea deal and, while he hopes any sentence he faces in the United States would be reduced by the time he has served, there are no guarantees.

"I did the crime but I did the time," Potts said before his arrest in the United States. "I paid the price for that crime I committed, I am entitled to a second chance."

When he sent his daughters to live in the United States and watched their plane take off, he said he was filled with regret for having hijacked a plane.

"I live with the dread of what would have happened if the plane went down," Potts said. "I didn't have that perspective at the time, but I have it now and will have it until the day I die. I would have been responsible for all those people dying."

It's not clear whether Potts will ask for forgiveness from the passengers and crew of Flight 451, many of whom are no longer alive or only dimly recall their brief diversion to Cuba.

Now retired after 37 years of flying, Carl Gamble vividly remembers the ordeal of the hijacking, trying to keep the plane's passengers calm while complying with Potts' orders.

Asked whether he would accept an apology from Potts, Gamble said he holds no grudges. "I would consider it," he said.

Cuban newspaper alleges bribes for U.S. visas

@highlight

NEW: FBI agents have arrested William Potts on air piracy charges

@highlight

William Potts served time in Cuban prisons for a 1984 hijacking

@highlight

Potts, 56, says he regrets the crime and wants to be with his family

@highlight

The pilot of that plane said he holds no grudges against Potts