Los Angeles (CNN) -- California officials said Tuesday they won't arbitrarily free 33,000 inmates and they will submit plans to the federal courts in two weeks specifying ways to remedy prison overcrowding under a U.S. Supreme Court order this week.

"The goal is not to release anybody early," said spokeswoman Terry Thornton of the California Department of Corrections and Rehabilitation. "Nobody wants to do that."

"Nobody wants to open the door and let everyone out," she added.

The state's plan to reduce prison overcrowding is still being prepared for a special federal three-judge panel, Thornton said. California's 33 adult prisons now hold 143,435 inmates, she said.

Thornton said that state plan may or may not include ongoing state initiatives that are targeting the overcrowding issue, which the U.S. Supreme Court said in a 5-4 decision Monday fall "below the standard of decency."

One such initiative is the so-called AB 109 law that Gov. Jerry Brown signed in April that will transfer low-level offenders from state prisons to county jails.

But the "public safety realignment" plan doesn't have state funding yet, which could be stymied by how the state treasury deals with a staggering $25 billion budget deficit.

"We particularly need the support and cooperation of the legislature with the immediate funding and implementation of AB 109," California Department of Corrections and Rehabilitation Secretary Matthew Cate said in a statement. "The governor has repeatedly called for full and constitutionally protected funding of this bill to allow certain offenders to serve their incarceration and parole term under local supervision."

In ongoing state remedies that may be submitted to the federal courts for approval, the state has already transferred 10,088 inmates to contracted out-of-state facilities  to reduce sleeping in gymnasiums, dayrooms and other places not intended for housing, according to the corrections department.

In May 2007, the state authorized construction of the California Health Facility in Stockton, which will provide medical and mental health treatment with more than 1,722 beds for inmates, the corrections department said. More than 18,000 beds are planned to provide health care to thousands of other inmates, the agency said. These measures may also be sent to the federal court panel, Thornton said.

On Monday, the Supreme Court affirmed a federal order telling California to reduce its overflowing prison population. The case was a classic battle over state versus federal authority, focusing on whether U.S. courts can step in and essentially run state prisons when officials have repeatedly violated basic constitutional guarantees afforded inmates.

The issue came down to a sharply divided debate between public safety concerns and individual rights, a debate that goes into how the three branches of government should balance competing state interests.

The swing vote was Justice Anthony Kennedy, who wrote of the "continuing injury and harm resulting from these serious constitutional violations," including as many as 156,000 people crammed into correctional facilities designed to hold about half that many.

He said that "needless suffering and death have been the well-documented result. Over the whole course of years during which this litigation has been pending, no other remedies have been found to be sufficient."

In dissent, Justice Samuel Alito warned that any mass release of inmates to alleviate overcrowding would be "gambling with the safety of the people of California."

The state now has a two-year window to comply, with the clock starting Monday. Officials have not fully explained how their ongoing inmate reduction plan will need to be modified to meet the federal order.

In a statement issued Monday afternoon, California Gov. Jerry Brown said he would take "all steps necessary to protect public safety" in resolving the prison overcrowding crisis.

Prison overcrowding is a nationwide problem, but California's dilemma is unique in its massive scope and time frame. There is general agreement that the prison conditions across California are disturbing.

Prisoners are stacked three deep in 6-by-9-foot cells designed to hold only one. Open spaces meant to be gymnasiums and clinics have been transformed into crowded encampments with bunks and unsanitary conditions. Suicides occur once every eight days, on average.

California has the nation's largest prison system, and the state says it has reduced the prison population to meet overcrowding concerns. But a special federal court panel had ordered 36,000 to 46,000 more inmates released or transferred quickly, about a quarter of the total.

That figure has now been reduced to 33,000, achieved through ongoing state remedies to overcrowding, according to Thornton, the state prisons spokeswoman.

Despite some recent drops, the prison population in the state has increased by about 75% in the past two decades.

Two lawsuits -- one filed in 1990, the other in 2001 -- say overcrowding is the core cause of what has become a domino effect of unsafe and unhealthy conditions for those on both sides of the iron bars.

State legislators and corrections officials have admitted that the prisons violate the ban on "cruel and unusual punishment" contained in the Constitution, and have organized more than 20 panels and commissions to address the crisis.

The special federal court in 2009 had ordered the state to shrink the prison population from the current 200% over capacity to a maximum of 137.5%, and to accomplish that in two years. The state was given wide latitude to meet the goal, but the court was adamant the state do it without delay and without excuse.

The task was made more difficult by the state budget crisis and a national economic downturn that have created turmoil over funding solutions not just in prisons, but also in education, transportation and social programs.

CNN's Bill Mears contributed to this report.

@highlight

State officials must reduce prison overcrowding under a U.S. Supreme Court order

@highlight

They pledge to fix overcrowding and not let loose 33,000 inmates

@highlight

But state funding remains an issue

@highlight

California's adult prisons house 143,435 inmates