(CNN) -- It is unfortunate that Mike Daisey lied about Apple's labor practices on "This American Life" by fabricating some harrowing details about the suffering of workers in China who make iPads and iPhones. But this revelation should not divert attention away from the very real, pressing issue of labor abuses in China.

The public radio episode that aired Daisey's falsified account helped set in motion a series of news reports and close scrutiny from the media, forcing Apple to acknowledge that conditions in its supplier factories can be improved and that workers should be treated better.

Now, because of Daisey's lies, some people might dismiss the problem of China's labor abuses. They should not.

Daisey should not have lied, even if he were doing it to serve a bigger purpose. Daisey's bigger point -- that workers in China are mistreated -- is true.

Analysis: Apple, China, Foxconn and the fabulist

Labor abuse in China is hardly confined to Apple's supplier, Foxconn. It is widespread. In some ways, the working conditions in foreign-invested factories such as Foxconn is better than that of domestic factories. Compared with workers in large foreign-invested factories, workers in domestic factories often encounter delayed payment of wages, lack of safety measures and no health care. In an incident in 2003, Chinese Premier Wen Jiabao helped a migrant worker reclaim her overdue wage from her employer. To date, unpaid and delayed wages remain one of the most serious problems for migrant workers.

Outside of factories, workers such as miners or construction laborers fare even worse since they forgo written employment contracts and face substandard working conditions. In the event of injuries or wages withheld, they cannot even file for legal protections.

China has about 153 million migrant workers. According to a 2006 nationwide survey conducted by the government, 86% of them work more than 8 hours every day and more than half of them cannot receive their monthly wages on time. A study from an academic group last year shows that these conditions have not improved.

Of course, Chinese workers have not suffered in silence. Wage disputes are on the rise. So has the number of distraught workers who threaten to jump from the top of factory buildings or skyscrapers that they have just built.

The plight of Chinese workers is rooted in the skewed power relations between business and labor. In the 1980s and 1990s, local governments often colluded with businesses to keep down labor costs. In the past decade under President Hu Jintao, the government has sought to improve conditions for laborers. A labor contract law was enacted and overt discrimination against migrant workers was lifted. But they are not enough.

Migrant workers with little experience or few connections are in a very weak position in large cities. They often take whatever job is available just so that they can survive. Businesses, on the other hand, incur little or no cost when they engage in unfair labor practice. Many existing laws are only good on paper, and businesses face no severe penalty for flouting them. In a country where the government often considers a partial recovery of overdue wages as a success, it's an upward battle for workers.

Despite a more tolerant attitude by the government toward labor protests in recent years, no channel exists to translate that into political energy for change. The Chinese government outlaws independent unions so that workers cannot organize or strike collectively. Even if workers have the advantage of people power of their side, they are simply not on par with businesses in terms of political clout.

In this context, the spotlight on China's labor problem raised by Daisey and others is important. If multinational corporations follow high standards in their home countries, they should abide by similar rules abroad. And if more of them follow Apple's example in allowing independent groups to inspect their suppliers' labor practice, it will go a long way to helping Chinese workers. Improving conditions in factories such as those owned by Foxconn will affect China's labor market as a whole and help workers gain bargaining power in dealing with domestic factories.

We hope that with continued international attention on the plight of Chinese workers, the government eventually will enact meaningful reform that will guarantee workers basic labor rights.

The opinions expressed in this commentary are solely those of Yang Su and Xin He.

@highlight

Mike Daisey lied on "This American Life" about Apple's labor practices in China

@highlight

Yang Su and Xin He: Daisey shouldn't have lied, but his bigger point is true

@highlight

They say labor abuse in China is a serious, widespread problem

@highlight

Su and He: If foreign-invested companies improve, it will help the Chinese labor market