Washington (CNN) -- Did the FBI make the right decision in reading the suspected underwear bomber his Miranda rights and placing him in the civilian court system only hours after he was detained for trying to blow up a Northwest flight on Christmas?

That question has been at the heart of heated discussions on Capitol Hill.

This is what we know about the interrogations:

FBI Director Robert Mueller said suspect Umar Farouk AbdulMutallab was interviewed twice by what Mueller called some of the best FBI agents. Officials said the first interrogation lasted about 50 minutes, and the second was shorter. AbdulMutallab provided information that "has already proved useful in the fight against al Qaeda," Justice Department spokesman Matthew Miller said.

It was after the second interrogation that AbdulMutallab was read his Miranda rights -- rights under U.S. law that are read to individuals before arrest. At that point, he stopped talking to the agents.

Though Mueller acknowledged that he was not consulted about the decision, he said the Justice Department and others in the administration were contacted before the second interview.

Choices in how to proceed

Law enforcement officers did have choices in how to proceed with AbdulMutallab:

-- They could have read him his Miranda rights, placing him in the civilian judicial system.

-- He could have been designated an enemy combatant and held for a military trial.

-- He could have been held and interrogated for a longer period before they decided how to proceed.

At a series of congressional hearings on the handling of the AbdulMutallab case, senior intelligence and Homeland Security officials testified that they were not consulted on how the suspect should be handled.

Director of National Intelligence Dennis Blair said a newly created high-value, detainee-interrogation group, or HIG, should have been brought into the loop.

"That unit was created exactly for this purpose: to make a decision on whether a certain person who is detained should be treated as a case for federal prosecution or for some of the other means," he said.

However, Blair later discovered that HIG was not yet operational, a revelation that surprised many senators.

Some in Congress incredulous

Sen. John McCain, R-Arizona, called the decision to place AbdulMutallab in the federal judicial system "a terrible, terrible mistake when it's pretty clear that this individual did not act alone."

Sen. Joseph Lieberman of Connecticut likened it to "a kind of 'Alice in Wonderland' turning of the world of common sense on its head."

And Thomas Kean, who led the investigation into the 9/11 terrorist attacks, said he was "shocked and upset" that AbdulMutallab received all his rights before being fully questioned.

FBI Director Mueller defended his agents' actions.

"In this particular case, in fast-moving events, decisions were made, appropriately I believe, very appropriately, given the situation," the director said.

Mueller added, "There was no time to get a follow-up group in there."

Those comments prompted a sharp rebuke from Sen. Jeff Sessions, R-Alabama.

"I don't think you can say it's appropriate," Sessions said. "We don't know what that individual knows and learned while he was working with al Qaeda, and we may never know, because he's now got a lawyer that's telling him to be quiet."

Sessions went on to say, "if he were properly interrogated over a period of time, we may find out that there are other cells, other plans, other AbdulMutallabs out there boarding planes that are going to blow up American citizens."

Others in Congress defend decision

Some, such as Sen. Russell Feingold, D-Wisconsin, were mystified by the reaction to the decision to try AbdulMutallab in federal court. The senator cited the example of Richard Reid, the so-called Shoe Bomber, who was successfully prosecuted in civilian courts and is now serving a life sentence.

Sen. Sheldon Whitehouse, D-Rhode Island, chimed in, "Very successful interrogations have been conducted and very significant intelligence information has been obtained from suspects who have been Mirandized."

Whitehouse said he was not convinced that advising someone of Miranda rights is a "sort of per-se inhibition on our ability to collect intelligence from an individual."

Justice Department spokesman Miller defended the FBI's decision, touting the bureau's success in handling terrorist suspects since the 9/11 attacks.

"Those who argue that a different action should have been taken in this case were notably silent when dozens of terrorists were successfully prosecuted in federal court by the previous administration," Miller said.

He said "results, not rhetoric" will guide the department's actions.

A bipartisan group of senators on the Homeland Security Committee has introduced legislation that would require U.S. intelligence officials to be consulted whenever a suspected foreign terrorist is detained in the United States.

Sen. Susan Collins of Maine, the ranking Republican on the committee, said the FBI action "may have prevented the collection of valuable intelligence about future terrorist threats to the United States." Committee Chairman Lieberman said, "This bill forces the law enforcement and intelligence community to recognize that preventing the next attack should be the first priority."

Lieberman and Collins also have written a letter to Attorney General Eric Holder, urging the Obama administration to transfer AbdulMutallab to military custody and charge him as an enemy combatant.

The American Civil Liberties Union is disturbed by the congressional efforts to treat terrorism as an act of war.

ACLU Executive Director Anthony Romero said, "To abandon due process in terrorism cases turns the rule of law on its head and flies in the face of the values that we are fighting to protect in the first place."

As the congressional hearings demonstrated, the nation's leaders still have not come to grips with how to handle terrorism suspects.

There has not been the degree of high-level coordination -- among the White House, the intelligence community and law enforcement -- that one might expect more than eight years after the 9/11 attacks.

@highlight

FBI read suspected underwear bomber his Miranda rights just hours after being detained

@highlight

Senior intelligence, Homeland Security officials testify they were not consulted

@highlight

Some members of Congress outraged AbdulMutallab wasn't held over for military trial

@highlight

They say he was providing valuable intelligence on al Qaeda before being Mirandized