DENVER, Colorado (CNN) -- On a good day, Keri Christensen spends the day watching her children. She prepares their meals, gets them ready for school and helps them with their homework.

Keri Christensen was nearly a victim of a roadside bombing in Iraq when the convoy in front of hers was hit.

But this housewife and mother of two is far different than most of the women living in her Denver, Colorado, suburb.

She's an Iraqi war veteran, among the first women in the United States to be classified as combat veterans.

Even though she's been home from the war for more than 2½ years, she's now fighting another battle -- this one with depression, nightmares, sleeplessness and anger. She says all of it is caused by her time in Iraq.

"I start feeling those feelings of 'I'm not worthy. I can't raise my family,' " Christensen said.

Women have made up about 11 percent of the military force in Iraq and Afghanistan in the past six years, according to the Department of Defense; that's an estimated 180,000 women in the war zone. The figure dwarfs the 41,000 women deployed during the Persian Gulf War and the 7,500 who served during the Vietnam War, mostly as nurses.

Unlike past wars, women are assigned to combat support roles. Many are seeing violence firsthand in an unconventional war.  Watch CNN's Randi Kaye report on female veterans »

As a member of the National Guard, Christensen transported tanks in Iraq. She says she was shot at and was nearly a victim of a roadside bomb when a convoy in front of hers was hit.

"You have this fear, 'Oh, my God, I still have to go through there,' " she recalled. " 'Am I going to make it?' "

Christensen says that she was sexually harassed by a superior while serving in Iraq and that the harassment added to the pressure created by just being in a war zone.

"I just know it took a big toll on me because I was trying to deal with it myself. Just trying to be a soldier," Christensen said.

In 2007, the Department of Veterans Affairs found that women are reporting signs of mental health issues when they return home at a higher rate than their male counterparts.

The VA diagnosed 60,000 veterans with post-traumatic stress disorder. Of those, 22 percent of women suffered from "military sexual trauma," which includes sexual harassment or assault, compared with 1 percent of men.

Christensen, who has been diagnosed with PTSD, says she doesn't like leaving her comfort zone. She doesn't drive more than two miles from her home.

"When I get outside my familiar safe territory, I start to feel overwhelmed," Christensen said. "It gets foggy. Not sure where I'm really going. Something comes over me where I don't feel like I have control over it."

"PTSD is actually something that shows up over time, and so the natural recovery process doesn't happen," said Dr. Darrah Westrup, who counsels female veterans at the VA-run Women's Health Clinic in Menlo Park, California.

"So three months out or so, you find yourself still not sleeping, still with nightmares, still having intrusive thoughts," Westrup said.

Westrup says another factor contributing to poor mental health is the high amount of sexual trauma reported by women screened by the Veterans Administration. She says many women have trouble reporting the trauma to their superiors out of fear of retribution.

"When you are in a war zone, your survival depends on people watching your back and on unit cohesion," Westrup said. "The same individuals who attacked you are those who will be protecting you, or you'll be fighting alongside the next day."

Christensen receives counseling and group therapy sponsored by the VA. However, the military has said there is no merit to her claims that she suffered military sexual trauma.

Like many who suffer from post-traumatic stress, Christensen still has her ups and downs. She says she's just working to get past the feelings of guilt, shame, loss of control and low self-esteem.

"I don't think we'll ever be the same. I think that you can learn to cope with it, and that's what I'm learning right now," she said. E-mail to a friend

@highlight

Dept. of Veterans Affairs diagnosed 60,000 veterans with PTSD

@highlight

Women have comprised 11 percent of military force in Iraq and Afghanistan

@highlight

VA: 22 percent of women, 1 percent of men suffered sexual trauma in military

@highlight

Expert says women afraid to report sexual harassment for fear of retribution