Erbil, Iraq (CNN) -- Along the road in the semi-autonomous Iraqi region of Kurdistan frozen oil bleeds out of the rock face.

For Todd Kozel, CEO of the independent oil and gas exploration and production company Gulf Keystone, it was an irresistible lure at the time few were daring to invest in Kurdistan.

But not all is well in Kurdistan and old arguments with Baghdad over oil power and revenue are likely to loom large as U.S. forces withdraw from the country.

Kozel says Kurdistan offers opportunity. "To be able to compete with majors we have to be able to go places and do things and try to find opportunities that are unconventional," he says.

"After that first visit, I never looked back. After visiting Kurdistan in June of 2006 and literally seeing oil running down rocks at a road cut, I was just fascinated. I had to be here and I had to participate."

At the site where it all began, Shaikhan 1, drill manager Michael Chisnall remembers the day they realized they had hit it big.

"As we carried on the drilling process it was one of those things where I use to say to Todd or send an email everyday with an operational update that we have a big problem. We just cannot stop finding oil."

Initially they had estimated the Shaikhan field held about a billion barrels of oil.

"It's turned out to be something that we never would have dreamed, that it would be this size. It's now an oil field of 8-13.5 billion barrels and that's one of the largest oil fields covered in this part of the world in history," Kozel says.

The risk he took turned out to be well worth the reward.

"Our market capital was 45 million pounds (about $70 million) in August of 2009. Our market cap right now is 1.6 billion pounds as a result of the Shaikhan discovery."

Others have been just as intoxicated by the potential that Kurdistan holds. Oil rigs are mushrooming all over the hills, on the outskirts of cities. The exploration is entirely driven by and reliant on foreign companies able to shoulder the risk.

Exxon Mobil, the first of the majors, recently signed its own deal for six plots. It was a deal that elated the Kurdistan Regional Government (KRG) but it left the central government in Baghdad fuming as oil once again ended up mired in Iraqi politics.

The KRG signs profit sharing deals, much to the ire of Baghdad -- which only signs service contracts and views the KRG deals as illegal and unconstitutional.

Iraq still doesn't have a hydrocarbons -- or oil and gas -- law.

While both sides agree that some revenues are funneled back to the central government, the dispute is over power and authority to sign contracts and the type of contract.

Both sides are so far unable to come to an agreement, and Baghdad blacklists any company that signs a deal with the KRG.

On December 5, the Iraqi Cabinet approved a revised draft budget for 2012 of 117 trillion dinars ($100 billion), government spokesman Ali al-Dabbagh said in a statement released on Thursday. Projected income estimates exports of 2.6 million barrels of oil per day including 175,000 barrels a day from the Kurdish Autonomous Region.

The heightened tensions manifested themselves at a recent oil and gas conference in the capital of Kurdistan, Erbil.

The Prime Minister of the KRG, Barham Salih addressed the conference, emphasizing: "I also say to our partners in Baghdad very clearly, Kurdistan has a constitutional right to develop its own oil resources."

Speaking on behalf of Baghdad, Moaffak al-Rubaei, former national security advisor slammed back calling the deal illegal, threatening to ban and sue the oil giant.

"In Baghdad some people view this contract to be targeting the federal government, to weaken the federal government and it has some political connotations."

But the Kurds will not be stopped.

"Development of oil resources in Kurdistan is a contribution to the Iraqi economy," Salih told CNN.

"But there is also one other factor. Our recent history is very instructive. There is no way that we will be dissuaded from our constitutional right to developing our resources and allow ourselves to ever again become hostages to the whims of some bureaucrats in Baghdad. We've been there before. Oil was used to strangle our people, to commit genocide."

In the late 1980s Saddam Hussein led a vicious Arabization campaign against the Kurds, forcibly displacing them from their homes and replacing them with Arabs. Entire villages were razed to the ground. Other places like Halabja were gassed with deadly chemical agents.

There is a continuing territorial dispute between the region of Kurdistan and the rest of Iraq, which is under the command of the predominantly Shi'a Arab central government in Baghdad.

The current Kurd-Arab tensions don't just center around land, but what's underneath it. Billions and billions of barrels of black gold are in disputed territories, like the oil rich city of Kirkuk, all of which lends to the volatility.

The Kurds for their part are extremely worried about the vulnerable state that the U.S. is leaving Iraq in.

"There is one fundamental topic for Iraq, one fundamental challenge," Salih says. "Where do you want to be 10 years from now? Would we want to risk another centralized dictatorship with access to oil resources and turn it into weapons and tear into the communities and the people of Iraq here again? Absolutely not."

Iraq's tantalizing oil wealth could very easily turn from a blessing into a curse.

@highlight

Fight brewing over who has the rights to sign oil contracts for Iraq's Kurdish region

@highlight

Exxon Mobil signed a deal with the Kurdish regional government that Baghdad says is illegal

@highlight

Gulf Keystone says it is working an oil field of at least 8 billion barrels -- one of the largest oil fields covered in this part of the world

@highlight

As Kurds insist they should sign the oil contracts, they also remember Saddam Hussein attempts to wipe out their communities