Looking to turn a few degrees in his long-awaited "pivot to Asia," President Barack Obama embarks on Tuesday on a four-country tour of the region in the hopes of convincing Pacific allies the United States remains focused on them.

But like Obama's last attempts to renew diplomatic and economic attention on Asia, this trip comes amid distractions: unrest in Ukraine, recent transportation disasters at two of his stops, and wary lawmakers back home who aren't on board with Obama's plan to expand trade.

The trip itself -- with stops in Japan, South Korea, Malaysia and the Philippines -- is a rain-check from last October, when the White House nixed a visit to Asia at the last minute amid the government shutdown.

The cancellation only prompted more questions about the administration's capacity for a foreign policy realignment that sought to counterbalance China's growing influence in Asia.

That repositioning first came about during Obama's first term, when the President and then-Secretary of State Hillary Clinton made a point of referencing a "pivot" toward relations in the Asia Pacific -- and implicitly, away from traditional foreign policy hotspots in the Middle East and Europe.

But in the intervening years, heightened diplomacy with Iran, and more recently unrest in Ukraine, have grabbed far more headlines than the United States' increased efforts in Asia. And a vow to allocate more military resources in the region coincided with a plan to reduce Pentagon spending substantially.

"The region does, I think, feel like there's a bit of distraction here in the United States," said Victor Cha, a former director of Asian affairs in the George W. Bush White House who is now a senior adviser at the Center for Strategic and International Studies.

"In polite company, people won't say it, but behind closed doors, I think they'll openly ask where the pivot is -- they don't know where it is -- or the rebalance in the second term," Cha said at a briefing with reporters last week. "Strong messaging on the U.S. commitment to the region I think is an important way to try to compensate or try to fill that gap."

Administration officials say U.S. alliances in Asia have remained strong despite several years of flashpoints in other parts of the world. And they bristle at the notion the White House and its diplomats can focus only on one region at a time.

"There are often questions raised about whether or not we get distracted with Ukraine or the Middle East, and this trip is yet one more example that we can walk and chew gum at the same time," said Evan Medeiros, Obama's senior director for Asian affairs. "There are huge parts of the government -- I'm part of them -- that are devoted to advancing U.S. interests in the Asia Pacific."

While there aren't any major announcements expected on this week's trip, Obama officials hope the visits will yield progress toward showing America's commitment to each country, and the region as a whole.

In Japan, the President will look to further progress on a trade deal, though Democrats on Capitol Hill have proven wary of the Trans-Pacific Partnership, at least until November's midterm elections.

And in the Philippines, a new military cooperation agreement is being negotiated that could boost U.S. troop presence in a region where China has pushed for greater control.

Elsewhere, Obama's schedule is dotted with social and cultural events to highlight the region's dynamic growth -- including an innovation center in Kuala Lumpur and a science exhibit in Tokyo.

"I think we go to the region at a time when our allies in the region are very much appreciative of and committed to our alliance relationships," said National Security Adviser Susan Rice during a briefing Friday. "These alliances are only strengthening in the context of a more uncertain security environment."

Fueling that uncertainty is the situation in Ukraine, where pro-Russian forces effectively annexed the Crimean peninsula and have moved into the eastern part of the country.

The White House has announced several rounds of sanctions against Russian officials and businesses, but Obama has been explicit that any military intervention is out of the question for the United States.

That's a cause for concern among some Asian allies -- including Japan -- who have their own territorial disputes with China, though some experts say that worry is overblown since security pacts in place would compel more robust U.S. response in a conflict between Asian nations.

"The notion that Japanese or Taiwan or American allies in the region are nervous about the U.S. reaction to the Ukraine and that means something for them I think is fundamentally false," said Jeffrey Bader, who until 2011 served as senior director for East Asian Affairs on the National Security Council.

"The U.S. has a mutual security treaty with Japan for over 50 years which is NATO-like in its firmness," said Bader, who is now a senior fellow at the Brookings Institution.

Obama's trip also comes as two of his stops contend with major transportation disasters. Both the sinking of a ferry full of high schoolers in South Korea and the disappearance of Malaysian Airlines Flight 370 have occupied those countries' leaders in recent weeks.

Ben Rhodes, the deputy national security adviser, said Monday it was likely Obama would express his support for the ferry victims' families during his visit to Seoul. Last week, Obama said the tragedy was "heartbreaking."

In the case of Malaysia, officials' response to the crash has drawn wide criticism, though not from the White House -- and that's expected to remain the case through next week.

"This trip has a very positive, affirmative agenda and that's how we are looking at it -- as an opportunity to solidify and modernize our alliances and partnerships," Susan Rice said Friday.

@highlight

President heads out on four-nation tour to convince allies the U.S. is focused on them

@highlight

The trip will include stops in Japan, South Korea, Malaysia and the Philippines

@highlight

Obama likely to express support for families of victims from Korean ferry disaster

@highlight

President not expected to criticize Malaysia over handling of Flight 370 disappearance