(CNN) -- Scientists say they are a step closer to recreating the conditions at the birth of the universe and to understanding life as we know it, after the successful collision of heavy lead ions in a massive machine in Europe.

This week, for the first time, ions were smashed together inside the Large Hadron Collider along the French and Swiss border. Until now, only protons had been collided in the experiment.

The tiny particles' lightning-fast collision promised to produce temperatures up to 100,000 times hotter than the sun, said Michael Tuts, a professor in experimental high-energy physics at New York's Columbia University and one of hundreds of scientists involved in the project.

"What we're doing is reproducing the conditions that existed at the very early universe, a few millionths of a second after the Big Bang," said Tuts, referencing the cosmic explosion that many scientists believe spawned the universe from one minuscule particle.

ALICE, an acronym for A Large Ion Collider Experiment, is run through the European Laboratory for Nuclear Research and involves physicists, engineers and technicians from around the world. Many of these scientists will examine the aftereffects of this latest ion collision as they try to step back further to the universe's emergence billions of years ago.

The lead ion, Tuts explained, is a lead atom that does not contain electrons -- thus, is more likely reflective of what matter existed in the millionths of a second after the Big Bang. By combining more and more basic elements, scientists hope to better understand how various particles came together to create the modern-day universe and all it contains.

"We hope to understand how we're put together, how these (basic) constituents go on to make protons and neutrons, which in turn go on to make the atoms that you and I are made of," Tuts told CNN.

Microseconds after the Big Bang, there was a "hot soup" of particles called quarks and gluons at a temperature of around 2 trillion degrees above absolute zero, John Harris, professor of physics at Yale University, said last year.

Although they have never been directly seen, these particles are theoretically the building blocks of the bigger particles -- protons, neutrons and electrons -- that form the universe as we know it.

@highlight

Lead ions have collided for the first time inside a massive machine in Europe

@highlight

The collision is part of an experiment aiming to recreate post-Big Bang conditions

@highlight

Scientists are working with basic elements to understand how atoms came together