Leon, Mexico (CNN) -- It happened during my taxi ride from the airport to the hotel. After giving me a quick look, the cab driver asked: "So where can I take you, Father?"

I had just arrived in Silao, Mexico located in the state of Guanajuato, which has the highest percentage of Catholics in Mexico. Yes, I was wearing a dark suit -- my blue shirt had no collar though -- but the confusion had to do more with the cab driver's sense of anticipation than the way I looked.

More than 3,000 archbishops, bishops, priests and nuns descended on Guanajuato last week with the hope of meeting the head of the Church. Pope Benedict XVI was coming to Mexico for the very first time in his seven-year papacy and the sense of anticipation was great. It was to be the pope's first trip to Spanish-speaking Latin America as well. The country was chosen carefully: Mexico has the second largest population of Catholics in the world, after Brazil.

By the time Benedict arrived at El Bajio Airport Friday afternoon, there were tens of thousands of people lining up the streets along the 20-mile stretch that would take him to Colegio de Miraflores, a Catholic school run by nuns in the city of Leon where the pope would stay three nights.

Most greeters were high school students who seemed genuinely excited about the pope's arrival. But others were compelled to attend by schools and church authorities. The City of Leon cancelled classes and declared a holiday.

Mexico was the first country Pope John Paul II visited in 1979, only months after being elevated to the papacy. Benedict XVI has been pope for seven years and had received two personal invitations from Mexican President Felipe Calderon, who traveled to the Vatican in 2007 and again in May of last year.

Before the visit, many Mexican Catholics perceived Benedict as a distant and reserved pope who felt uneasy when interacting with people -- a perception the Catholic and the Mexican Church were trying to lay to rest.

That probably explains the reason why Benedict wore a broad-brimmed sombrero on arriving at Guanajuato state's Bicentennial Park to celebrate a mass attended by hundreds of thousands. He again wore a sombrero when addressing worshippers congregated outside Colegio de Miraflores on the last night of his visit.

"I've made a lot of trips, but I've never been welcomed with such enthusiasm. Now I can understand why Pope John Paul II used to say 'I feel like I'm a Mexican pope'," Benedict told a crowd of thousands of excited followers.

And then, there were the references to the Virgin of Guadalupe, the patron saint of Mexico. As an academic with deep knowledge of theology and canon law, the pope is probably not thrilled about the fact that some Mexicans put images of the dark-skinned representation of the Virgin Mary right next to that of Christ.

"To love her [the Virgin Mary] is to get committed to listen to her Son; to venerate the Virgin of Guadalupe is to live according to the words of the blessed fruit of her womb," the pope reminded people attending the open-air Mass.

At the Mass, the pontiff urged Mexicans to rely on their faith to fight poverty, drug violence and other ills that have afflicted Mexico in recent years. The pope made repeated references to the sorrow of recent violence in Mexico.

Mexico is only three months away from holding presidential elections and the opposition questioned the timing of the visit. President Calderon's party, the PAN, is Catholic-oriented and deeply conservative. The president appeared with the pope every single day of this visit. That would have been unthinkable before 1992, when Mexico resumed diplomatic relations with the Vatican after a 130-year freeze.

All four presidential candidates attended the pope's main mass at the park.

The only controversy about the visit surfaced Saturday. On the same day Pope Benedict addressed and blessed a group of 1,800 children in Guanajuato, three Mexican authors released a book accusing the Vatican of hiding or ignoring cases of child sex abuse by Roman Catholic priests. The book entitled "La Voluntad de no Saber" (Willing not to be Aware), focuses on Father Marcial Maciel, a now-deceased, Mexican-born Roman Catholic priest accused of multiple cases of sexual abuse of minors. Calls for the pope to meet victims of sexual abuse while in Mexico went unanswered.

The big question after the visit is whether Pope Benedict XVI was able to connect with young people.

The Catholic Church has lost a significant number of members in the last few decades. The percentage of Catholics now stands at 83% in a country that used to be almost universally Catholic. Was Pope Benedict able to erase the perception that he is a distant academic or is he now seen as a warm and affectionate, grandfather-like figure, much like his predecessor? Only time will tell.

@highlight

Pope Benedict XVI's trip to Mexico first since becoming pope seven years ago

@highlight

Once near universal, Catholic population in Mexico now stands at 83%

@highlight

Visits comes only three months away from Mexico's presidential election

@highlight

Pope Benedict fighting image in Mexico of being academic and aloof