(CNN) -- Health care workers returning to New York who've had contact with Ebola patients but don't show symptoms can serve a mandatory 21-day quarantine in their homes, Gov. Andrew Cuomo announced Sunday night.

This is a change in the recently instituted state policy on health workers who return to the United States from the Ebola zone.

Cuomo and New Jersey Gov. Chris Christie had jointly announced a mandatory quarantine policy on Friday. Over the weekend, the Obama administration lobbied the governors to change it.

The temperatures of a asymptomatic health care workers will be checked twice daily. Returning health care workers who show symptoms of the Ebola virus will be transported to hospitals for mandatory quarantine, according to a fact sheet on the new guidelines.

People who return from the Ebola zones but didn't have contact with Ebola patients will be handled on a case-by-case basis, the fact sheet said.

The fact sheet said the state would provide financial assistance to the quarantined health workers if their employers do not.

In New Jersey, Christie spokesman Kevin Roberts said the Garden State's policy also allows at-home quarantines.

"New Jersey is not changing its quarantine protocol. The protocol is clear that a New Jersey resident with no symptoms, but who has come into contact with someone with Ebola, such as a health care provider, would be subject to a mandatory quarantine order and quarantined at home," Roberts said. "Nonresidents would be transported to their homes if feasible and, if not, quarantined in New Jersey."

The Obama administration has been urging Cuomo and Christie to reverse their recently enacted policies that require a 21-day quarantine for all health workers who had contact with Ebola patients in West Africa, The New York Times reported Sunday.

The conflict has taken place privately in phone calls and negotiations, with federal officials saying they think the governors are wrong about needing a total quarantine, the Times reported.

A senior administration official told CNN on Sunday that "we have let the governors of New York, New Jersey and others states know that we have concerns with the unintended consequences of policies not grounded in science may have on efforts to combat Ebola at its source in West Africa."

President Barack Obama met with his Ebola response team Sunday.

"The President underscored that the steps we take must be guided by the best medical science," a White House statement said. "He also emphasized that these measures must recognize that health care workers are an indispensable element of our effort ... and should be crafted so as not to unnecessarily discourage those workers from serving."

Also on Sunday, New York City Mayor Bill de Blasio talked about Ebola at a news conference but didn't offer any direct criticism of Cuomo or Christie. He did, however, mention a nurse under quarantine in New Jersey, saying "what happened to her was inappropriate."

Mandatory quarantines -- now what?

'Disincentive for the health care workers'

A top federal health official publicly criticized Christie and Cuomo on Sunday, saying the two states' quarantine rule could discourage health workers from helping fight Ebola in Africa, which would ultimately endanger the United States.

"I'm concerned of the disincentive for the health care workers," said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health.

A federal policy starting Monday requires all travelers coming to the United States from Ebola-affected areas to be actively monitored for 21 days.

The quarantine policy announced by Cuomo and Christie came one day after a doctor who treated patients in Guinea became the first Ebola case diagnosed in New York City and the fourth in the United States.

Illinois also implemented a new rule. It is requiring "high-risk individuals who have had direct contact with an individual infected with the Ebola virus while in Liberia, Sierra Leone or Guinea" to undergo a mandatory 21-day home quarantine, according to a news release from Gov. Pat Quinn's office issued on Friday.

Christie says he's not backing down

Should health care workers be quarantined?

The Centers for Disease Control and Prevention sets baseline recommendations. But state and local officials have the prerogative to set tighter policies.

Samantha Power, U.S. ambassador to the United Nations, expressed worries about stigmatizing health workers.

In an interview aired Sunday before she traveled to Ebola-affected nations in West Africa, Power told NBC, "We need many more than are going right now. We need to find a way when they come home that they are treated like conquering heroes and not stigmatized for the tremendous work that they've done."

The Pentagon Sunday would not say whether it's willing to still send an active duty military Ebola response team to states ordering mandatory quarantine for Ebola health care workers.

The 30-person team finishes training Monday and will then be ready for deployment on 72 hours notice. Defense Secretary Chuck Hagel would have to approve any deployment.

The new policy for New York and New Jersey was implemented the same day nurse Kaci Hickox landed at Newark Liberty International Airport in New Jersey. She had worked with Doctors Without Borders, treating Ebola patients in Sierra Leone.

New federal policy starts Monday

Hickox said she was ordered placed in quarantine at a hospital, where she tested negative in a preliminary test for Ebola. Still, hospital officials told her she must remain under mandatory quarantine for 21 days.

"This is an extreme that is really unacceptable, and I feel like my basic human rights have been violated," Hickox told CNN's Candy Crowley in an exclusive interview on "State of the Union."

Complete coverage on Ebola

The new federal policy, which starts Monday, requires all travelers coming to the United States from Ebola-affected areas to be actively monitored for 21 days.

Already, such travelers landing at five U.S. airports -- New York's Kennedy, Washington's Dulles, New Jersey's Newark Liberty, Chicago's O'Hare and Hartsfield-Jackson in Atlanta -- must go through enhanced screening.

Ebola has killed nearly 5,000 people, mostly in Liberia, Sierra Leone and Guinea, in what health officials call the worst outbreak of the disease in history.

How the Ebola virus spreads

New York Ebola patient's fiancee cleared

A New York doctor who tested positive for the Ebola virus was listed in serious but stable condition on Sunday, according to New York City Health and Hospitals Corporation President Dr. Ram Raju.

Dr. Craig Spencer, 33, is in isolation at Bellevue Hospital in New York City. He arrived back from Guinea on October 17 and had limited his public interactions but did not eliminate them, according to officials.

Spencer's fiancee, Morgan Dixon, had been under quarantine at Bellevue, but was cleared and has no symptoms, according to Weinberg, the city health department spokeswoman.

CNN's Joshua Berlinger, Joe Sutton, Daniel Burke, Greg Botelho, Dr. Sanjay Gupta, Poppy Harlow, Haimy Assefa, Kristina Sgueglia, David Shortell, Barbara Starr and Josh Levs contributed to this report.

@highlight

NEW: Cuomo changes policy on quarantining Ebola health care workers

@highlight

White House says Ebola policy must "be guided by the best medical science"

@highlight

New York Times says White House pressuring Govs. Chris Christie, Andrew Cuomo

@highlight

N.Y., N.J. implemented a 21-day quarantine on workers returning from treating Ebola patients