(CNN) -- When two important countries appear to be goading each other into a dangerous and meaningless war, it can be useful to take a deep breath, lay the rhetoric aside for a moment, and go back to basics.

The past several weeks have seen a sharp increase in the three-decade war of words between the United States and Iran. Iran has held maneuvers in the critical Strait of Hormuz, combined with threats to interrupt commerce there. The United States has lost its third drone over Iran, and unnamed parties are conducting an unprecedented covert campaign of cyberwar and assassinations inside Iran. Iran says it has broken up a U.S. spy ring and has condemned a U.S. citizen to death.

President Clinton launched U.S. sanctions against Iran's oil industry by executive order in the election year of 1995; at that time, Iran had not a single centrifuge turning. After a decade and a half of the United States and the international community's escalating sanctions, Iran has more than 8,000 centrifuges spinning and a substantial stock of low-enriched uranium. This is the very definition of a failed policy.

The U.S. Congress in December passed a defense authorization bill that included provisions intended to bring down the Central Bank of Iran. Although President Obama expressed reservations, he signed it into law. This latest U.S. sanctions package is openly intended to deprive Iran of its oil revenues. By prohibiting other countries from dealing with Iran's banks, it is intended to prevent Iran from selling its oil. That is the equivalent of an act of war -- a financial blockade of Iran's oil ports that would deprive Iran of more than half its budgetary revenues.

We should not be surprised that a country faced with economic warfare would remind the world that it, too, can create mischief. Iran cannot close the Strait of Hormuz for a prolonged period of time, but it is capable of impeding oil traffic out of the Persian Gulf for many months. The loss of its own oil exports would be the trigger for such action, which would drive up the price of oil to unforeseeable levels and risk a wider regional war.

A war with Iran would not be surgical, brief, or one-sided. As memorably noted by Gen. Anthony Zinni, if you like Iraq and Afghanistan, you will love Iran. It is a huge country, well-defended, with a fierce sense of nationalism. No air campaign, even if prolonged, will end the problem. Regardless of how a conflict begins, it is most likely to end with lots of boots on the ground. A squad of special forces will not do the job.

Paradoxically, the quickest way to insure that the Iranians decide to go for a bomb may be to bomb them. The most predictable result of a military strike would be Iran's withdrawal from the Nuclear Non-Proliferation Treaty and the ejection of International Atomic Energy Agency inspectors and cameras that watch every step of the Iranian enrichment process.

Iran has a dreadful leadership. The surest way to rally the Iranian people around this corrupt and repressive system is for an external power to attack it.

In the past few days, we have been reminded by Secretary of Defense Leon Panetta that Iran has made no decision to actually build a nuclear weapon. At the same time, Secretary of State Hillary Clinton, while denouncing Iran's decision to proceed with its deep underground enrichment facility near Qom, has forcefully reiterated the U.S. call for Iran to return to the nuclear negotiating table. In the midst of all the saber-rattling and the clamor of an election year, what is there to talk about?

A good place to begin would be the original U.S. offer to swap 20%-enriched fuel plates, to be used in Iran's research reactor, for Iranian enriched uranium. The fuel plates were originally a gift from the United States to be used in the production of medical isotopes. Iran tentatively agreed to such an offer in 2009, only to withdraw it in the face of domestic opposition. It later accepted the proposal in writing, guaranteed by Turkey and Brazil, only to have it rejected by the United States in 2010. Iran has since signaled its willingness to resume discussions without preconditions.

U.S. policy has been one of pressure leading to negotiations. Iran has also pursued a dual-track policy of threats combined with offers of negotiation. These policies have resulted in the prospect of a war that would be disastrous to all. What we need right now is a crisis exit ramp. Perhaps this is the moment to explore the negotiating track that both sides say they prefer.

Join CNN Opinion on  Facebook and follow updates on Twitter.

The opinions expressed in this commentary are solely those of Gary Sick.

@highlight

Gary Sick: Iran and U.S. are goading each other and need to step back

@highlight

Sick: Sanctions to stop nuclear program in Iran, set in 1995, have failed

@highlight

He says war with Iran would not be won with aerial campaign and would be catastrophic

@highlight

We need an exit ramp, he says, and must explore the negotiating track both sides say they prefer