Los Angeles (CNN) -- In what activists describe as unprecedented, the Catholic archbishop in Los Angeles has relieved a retired cardinal of his public and administrative duties for his mishandling of "painful and brutal" allegations of sexual abuse by priests.

Archbishop Jose H. Gomez of the Los Angeles Archdiocese disciplined his predecessor, the now retired Cardinal Roger Mahony, after a California judge forced the archdiocese to release about 12,000 pages of church documents revealing how it handled allegations of abuse.

There were 192 priests and bishops named in litigation, the archdiocese said.

"The cases span decades," Gomez said in a statement Thursday. Some go back to the 1930s. The documents were released on the archdiocese's website.

"But that does not make them less serious. I find these files to be brutal and painful reading," he said.

Meanwhile, the Los Angeles County District Attorney's Office is reviewing the newly released set of documents, spokeswoman Jane Robison said Friday. No member of the Los Angeles church hierarchy has been charged with any wrongdoing, she said.

Also on Friday, Mahony posted on his personal blog a response he sent to Gomez. The letter provides "the history and context of what we have been through since the mid-1980s," Mahony said.

When Gomez began to take over the archdiocese in May 2010, "you began to become aware of all that had been done here over the years for the protection of children and youth," Mahony wrote to Gomez. The archdiocese became "second to none" in such protection, he wrote.

"Not once over these past years did you ever raise any questions about our policies, practices, or procedures in dealing with the problem of clergy sexual misconduct involving minors," Mahony wrote.

"I have stated time and time again that I made mistakes, especially in the mid-1980s. I apologized for those mistakes, and committed myself to make certain that the Archdiocese was safe for everyone," he wrote.

Gomez cited Mahony for serious shortcomings after victims came forward during his tenure.

"Effective immediately, I have informed Cardinal Mahony that he will no longer have any administrative or public duties," Gomez said in a statement.

David Clohessy, director of the Survivors Network of Those Abused by Priests (SNAP), described Gomez's decision as unprecedented, but it amounts to a mere slap on the wrist long after the fact.

"I can't think of any instance in which a current Catholic prelate -- and that would include bishops and cardinals -- restricted or, in this case, promised to restrict their predecessor," said Clohessy, who has spent 24 years monitoring sex abuse allegations against priests.

Clohessy said that between the ages of about 11 and 16 he was sexually abused by a priest in Missouri.

"But to say to a retired employee that we're going to give you fewer roles, it's a symbolic gesture and a pretty hollow one at that," Clohessy said.

"A meaningless gesture. He should have been demoted or disciplined by the church hierarchy, in Rome and in the U.S.," he said.

But Mahony was not as much as denounced when he was in power, Clohessy said.

Mahony "expressed his sorrow" for the alleged abuse, which victims reported during his tenure as archbishop from 1984 to 2011, the archdiocese said Friday.

But Clohessy feels that he and other church officials knew too much and did too little, and that there have not been enough consequences to deter future abuse or cover-ups.

"If you successfully conceal your wrongdoing, you can keep your job," Clohessy said.

Mahony hasn't had administrative duties since his retirement in March 2011, archdiocese spokesman Tod M. Tamberg said.

Mahony, who will turn 77 later this month, can continue to celebrate the sacraments with no restrictions and can vote in conclave in a papal election until age 80, Tamberg said.

"He is reducing his public profile, which included numerous invitations in California and around the country to give guest lectures on immigration reform, on the church in the 21st century, etc.," Tamberg said in an e-mail to CNN. "He remains a priest in good standing, and a cardinal of the church."

At the same time, Auxiliary Bishop Thomas J. Curry, who's the regional bishop of Santa Barbara and Ventura Counties in California, has resigned and "has also publicly apologized for his decisions while serving as Vicar for Clergy" in relation to the sex abuse cases, Gomez said.

"I have accepted his request to be relieved of his responsibility," Gomez said.

Clohessy called the resignation "less noteworthy."

"Eight to 12 bishops around the world have resigned because of these cases," Clohessy said.

On Friday, SNAP leaders and supporters who said they were victimized as children by priests called upon federal and local prosecutors to investigate the sexual abuse allegations in the church files.

The activists also called upon silent victims to come forward and disclose additional sexual offenses. At a press conference outside the Cathedral of Our Lady of the Angeles, the activists called Thursday's release of church files "incomplete."

Manuel Vega of Oxnard, California, said a priest abused him from age 10 to 15. On Friday, he called for a congressional hearing. He accused the church of withholding documents, especially with the priest who abused him and priests who abused his friends.

"We've had congressional hearings for doping," Vega told reporters. "But where's our congressional hearing? This has not only impacted L.A. but it's impacted the entire United States and throughout the world."

Jim Robertson of Los Angeles said he found no files relating to the priest who abused him. He described the church hierarchy as "corporate officers of a corporation."

"So far this is nonsense. These people have spent millions and millions of the faithful's dollars to protect themselves," Robertson told reporters. "These people behaved horrifically, absolutely horrifically."

The released files include letters by underage male victims accusing priests of sexually abusing them.

In one letter, a clergyman is described as "a very charismatic and much loved priest in the Hispanic community and people would never suspect of any wrongdoing," a victim wrote.

But when the victim was 17 years old in 1983, the priest took the youngster to a mountain retreat near Big Bear Lake in California, and when they took a break by a stream, the priest "gave me a hug and kissed me as if I were a woman," the victim wrote.

Later, at the cabin, "as I stood looking at the pictures on the walls, he reached out and fondled me," the victim wrote in a letter to a church official.

The priest also "forced me to have sex" in a church rectory, a hotel and in a mobile home near Tijuana, Mexico, that someone loaned the priest, the victim wrote.

"While I felt forgiven by God, I still feel dirty," the victim wrote.

In the file of another priest -- the one whom Vega identified as his abuser -- the contents were largely newspaper clippings about the priest being accused of child molestation. The priest was in charge of the altar boy program at an Oxnard church.

At the end of the last page of the priest's file is a handwritten note stating: "Ventura DA (district attorney) *3/27/03 -- Charged w/ felony 25 counts of child molestation of 8 youths in late 70's-early 80's."

The archdiocese published the names of accused clergy in a 2004 report, but the release of Thursday's documents will allow the public to trace how the church handled the allegations. It may bring to light some cases in which accusations were kept under wraps and the accused were kept out of the sight of the law or accusers.

The documents were evidence in 508 civil cases by sex abuse victims that were settled in one stroke in 2007. Victims received $660 million in the landmark judgment.

Most of the documents were inner-church correspondences about accused clergy. The archdiocese fought to purge the names of the accused from the papers until Thursday, when Judge Emilie Elias ruled that they be made public by February 22.

The church published them shortly after the ruling. There are 124 personnel files in total, 82 of which reveal sex abuse allegations against minors.

The release "concludes a sad and shameful chapter in the history of our Local Church," the archdiocese said.

It warned that although the names of the abused have been deleted, some may recognize their cases.

"We understand this experience may be a difficult one," it said.

CNN's Ben Brumfield and Brian Todd contributed to this report.

@highlight

"Not once over these past years did you ever raise any questions," retired Mahony tells successor

@highlight

Despite discipline, retired archbishop is "in good standing" and can vote for pope

@highlight

Los Angeles prosecutor is reviewing newly released files on priest abuse

@highlight

Discipline against archbishop is unprecedented but "meaningless," activist says