Hong Kong (CNN) -- When U.S. citizen Edward Snowden decided to flee to Hong Kong because of its "spirited commitment to free speech and the right of political dissent," he may not have anticipated that some in the city would launch a protest backing him.

Several hundred demonstrators took to Hong Kong's streets in the rain Saturday voicing support for Snowden a week after the 29-year-old computer technician, who is believed to be hiding out somewhere in the city, revealed himself as the source of leaked documents exposing an international surveillance program of internet and telephone communications operated by the U.S. National Security Agency (NSA).

The revelation of his presence -- as well as his claims that Hong Kong had been subject to the surveillance -- has sparked heated speculation whether Hong Kong, a special administrative region -- one that is semi-autonomous -- of the People's Republic of China, would prove to be a safe haven for him. Snowden said his intention was to "ask the courts and people of Hong Kong to decide my fate."

"We're rallying in order not to disappoint him and to ask Hong Kong to protect his well-being, not to extradite him, and to uphold Hong Kong law," said blogger, activist and protest organizer Tom Grundy.

Amid the blowing of whistles and chants of "Protect Snowden!" and "NSA has no say!" the protest brought together representatives from 27 civil rights, labor rights, and left-wing democratic groups, as well as many ordinary members of the public as well as media. Under the drizzling sky, protesters determined to show their support held laminated placards and umbrellas painted with slogans.

Adi Koul and Jesus Meza, students from the University of Texas at Austin who are studying abroad in Hong Kong, said they found the protest "really refreshing."

"As Americans, it's kind of disheartening to know [the surveillance program] is going on behind our backs and we don't have a say in it," said Koul. "It's empowering to see people who aren't necessarily American fighting for something they feel is a universal human right."

Ruth Jopling brought her daughters, Amber, aged eight, and three-year-old Jade, along to the protest; the children held cut-out masks on sticks bearing Snowden's image. "It's not just about our generation, but the next generation as well," Jopling said. Amber echoed her mother's sentiment: "When I grow up, I can tell my children about this."

Organizers claimed an overall turnout of 900 protesters; police said the demonstration had a peak turnout of 300 -- a relatively small showing compared to major protests in Hong Kong, which have attracted hundreds of thousands of people. Grundy said plans for the protest only began on Monday, and that he would be pleased if 1,000 people turned out in the end.

The three-hour protest, which kicked off in a garden in the city's business district and went on to the U.S. consulate and the Hong Kong government headquarters, failed to gain a strong sense of momentum, hampered in part by the narrow looping route allocated by the city's authorities. At each rallying point, only a small group was able to gather around to hear the keynote speakers; most protesters were relegated to standing single or double file some distance away. By the time the protest moved outside the government headquarters to deliver an open letter to the city's leader, Chief Executive C.Y. Leung, the crowd had dropped to about 100 people.

Snowden's arrival in the city has heightened simmering fears about the ever-encroaching hand of Beijing in the city's affairs and freedoms.

While Hong Kong has its own de facto constitution, judiciary, and legal system under the "one country two systems" policy, a deep mistrust runs in the city toward the government under Leung, who is widely viewed as being under the thumb of the Chinese central government.

In a televised interview with Bloomberg Wednesday, Leung repeatedly insisted he "does not comment on individual cases," when asked how Hong Kong would handle Snowden's case. His stonewalling infuriated many Hong Kongers.

"Judging from [this interview], I think he's waiting for instructions from Beijing," said Oiwan Lam, a blogger and activist with in-media, the civil advocacy group that organized the protest with Grundy.

According to Hong Kong law, if the U.S. was to request the city to surrender Snowden, Beijing could step in only if its defence or foreign affairs would be significantly affected by Hong Kong's actions. Beijing is not allowed to interfere with any asylum proceedings.

Nevertheless, many have expressed fears that Beijing will quietly influence Hong Kong's handling of Snowden's case.

"Hong Kong's decisions are all based on the Chinese government," said Sherry Hung, 24, a graduate student at Hong Kong Baptist University. "I don't think Hong Kong can help Snowden," she added, although she said it was important to show her support at the protest.

Others also note that Hong Kong has a track record of cooperating with the United States. In particular, they fear Hong Kong will not respect due process in the Snowden case, instead enabling him to be quietly whisked away. Local media in Hong Kong last year reported on the case of a Libyan dissident who launched legal action against the city's government, accusing them of aiding in his "extraordinary rendition" and subsequent torture in prison.

"The biggest Western government -- the U.S government -- is his enemy. Now he can only count on us, the power of Hong Kong civil society and our legal system," Ip Lam Chong of in-media told protesters. "I see this incident as a stress test for Hong Kong society and its legal system."

Claudia Mo, a member of the Hong Kong legislature who addressed the protesters, said the city of Hong Kong "owes Snowden at least some response."

"The U.S is supposed to be the champion of democracy, but it's been conducting blanket surveillance on a global scale," she said. "If the guy at the top has access to all our lines of communication, how is... anyone ever going to start a revolution?"

@highlight

Several hundred protesters took to Hong Kong's streets Saturday to support Edward Snowden

@highlight

Snowden has been hiding out in Hong Kong since fleeing the United States

@highlight

Mass speculation that Hong Kong may not provide safe haven for Snowden

@highlight

Snowden case has resparked simmering fears of Beijing's interference in Hong Kong's affairs and freedoms