Washington (CNN) -- Supap Kirtsaeng had tuition and living expenses to pay when he arrived in the United States from Thailand to attend college.

So he started a side business, asking family and friends back home to ship him foreign editions of textbooks that often can be bought more cheaply overseas. Kirtsaeng resold them online and made money, but he was sued for copyright infringement and lost.

That decision was appealed and the case is now before the Supreme Court, which will hear arguments on Monday in a dispute that has attracted interest from the Obama administration, media and publishing companies, and a range of consumer and retail groups.

Competing claims of intellectual property and owners rights in the electronic age have made Kirtsaeng's venture one of the most closely watched business cases at the high court this term.

"I have to say the Supreme Court is faced with a really difficult job here because the text of the [copyright] statute really seems to be hard to reconcile -- the two provisions at issue seem to say opposite things," said Michael Carroll, a professor at American University's law school and an intellectual property expert.

Corporate giants to yard sales

The legal issue is whether copyrighted works made and purchased abroad can then be bought and sold within the United States without the copyright owner's permission.

Yet the stakes could prove enormous for those who buy and sell books, movies, music, artwork, perhaps even furniture, electronics, automobiles, and clothing -- anything that may be considered "intellectual property."

Storefront and at-home secondary retailers, libraries, artistic venues, even the local garage sale could be implicated.

Kirtsaeng came to the United States to study mathematics in 1997 at Cornell University and later at the University of Southern California for doctoral studies.

Using the computer tag BlueChristine99, he sold the imported books online in the United States on eBay. Court records show he earned about $1.2 million in revenue, but both sides disagree over how much profit he made.

Specifically he sold dozens of copies of eight textbooks printed in Asia by a subsidiary of John Wiley & Sons publishers. Kirtsaeng's lawyers claim his gross revenue from the Wiley sales was just $37,000.

The company sued and a federal jury found Kirtsaeng's conduct was willful and ordered him to pay $600,000 in damages.

The New Jersey publisher has a thriving overseas business. Its foreign editions typically have a disclaimer: "This book is authorized for sale in Europe, Asia, Africa and the Middle East only and may not be exported. Exportation from or importation of this book to another region without the publisher's authorization is illegal."

The high court will consider the limits of two key interpretations of copyright law -- the "first sale doctrine" and its complex relationship to foreign distribution rights. The arcane language can be dense but the justices are expected to use their questioning at the oral argument to zero in on competing principles and whether one overrides the other.

The first-sale doctrine generally gives copyright holders the ability to profit only from the original sale.

It essentially means once you the consumer lawfully buy a Peter Max lithograph or an Adele music CD in the United States, you then can sell that copyrighted work in the United States without punishment and without having to compensate the original copyright holder.

It ensures a distribution chain of retail items, library lending, gift giving, and rentals for a range of intellectual property. That stream of commerce includes secondary markets like flea markets and online resellers Craigslist and eBay.

'You bought it, you own it'

The idea -- upheld by the Supreme Court since 1908 -- is that once a copyright holder legally sells a product initially, the ownership claim is then exhausted, giving the buyer the power to resell, destroy, donate, whatever. It's a limited idea -- involving only a buyer's distribution right, not the power to reproduce that DVD or designer dress for sale.

"The rule we want the Supreme Court to adopt is simple: you bought it, you own it and you can do with it what you please. Very clear, very clean, very easy," said Andrew Shore, a lawyer and executive director of the Owners Rights Initiative, which is supporting the bookseller. "The copyright holders are getting paid, they're getting paid on the first sale."

The tricky part is whether that first-sale doctrine applies to material both manufactured and first purchased outside the United States.

Federal law gives that authority to a purchaser's work "lawfully made under this title." Does "this title" apply to any copyrighted work -- whether manufactured all or in part in the United States and around the world?

Wiley argues it readily sells its products overseas at a cheaper price -- particularly to countries in Asia, the Middle East and Latin America -- to satisfy an audience that may have less income than in the States or Europe.

"We're going to help the global economy with this," said Theodore Olson, an attorney with Gibson Dunn hired by the publisher. "The whole idea of the copyright laws is to provide people with an incentive to create books, movies, or other works of art. If you take away that incentive, you're not going to have creators out there doing things that give us pleasure or educate us."

Such differences in worldwide prices are often exploited by retail and resale firms, especially on high-end luxury and specialized items. Known as parallel sales or the "gray market" -- foreign-made goods obtained through secondhand sources -- the strategy costs manufacturers tens of billions of dollars a year, according to some business-generated estimates.

Olson will argue a 1978 congressional law gives publishers protection when they sell their works at differing prices in foreign markets, preventing their importation and resale into the United States.

A federal appeals court in New York agreed, ruling last year such "gray market" items are not subject to the first-sale mandate.

The high court already has ruled in prior cases that copyright holders cannot block U.S.-made goods sent overseas from later being brought back into the United States for resale. The issue now is whether copyright laws apply to foreign-made goods imported into the American market.

Slippery slope?

But Kirtsaeng and his owners rights supporters worry a slippery slope would quickly occur on a variety of fronts, if they lose at the Supreme Court:

--Domestic manufacturers would have financial incentive to shut down U.S. plants and produce everything overseas, since they could get a monetary cut and distribution control over every resale. Kirtsaeng's lawyers say that amounts to double-dipping, with copyright holders getting paid twice for the same item's sale.

--Libraries would have to either purge their stacks of every foreign-printed work, pay a royalty, or essentially go out of the public lending service.

--American consumers would lose access to affordable and differentiated goods, and charitable donations would be stifled.

--With a global consumer economy now dominated by digital and cloud-based access and transfer of information and entertainment, the cross-border lines would create chaos and uncertainty when it comes to determining where a particular copyrighted good is manufactured and then resold.

Wiley, with the Justice Department in support, dismiss those scenarios, and say Congress would be in a position to ensure libraries in particular do not suffer from any high court ruling against them.

The entertainment industry says a ruling in their favor is vital in the digital economy to ensure they can divide their property and distribution rights across those global markets.

As for Kirtsaeng, he is a professor back in Thailand and never responded to CNN's efforts for an interview.

He initially testified receiving advice from friends back home and also consulting "Google Answers," an online research help service to ensure he could legally resell the foreign editions in the United States.

In court papers, he also stated being unable to afford paying the hefty, pending judgment against him. The man's lawyers say after the initial verdict, he was ordered to give the publisher his golf clubs and computer in partial compensation.

The case is Kirtsaeng v. John Wiley & Sons, Inc (11-697). A ruling is expected in coming months.

CNN's Joe Johns and Ted Metzger contributed to this report.

@highlight

Case involving student who resold books bought overseas is a major copyright test

@highlight

Supreme Court will consider competing views of law at oral arguments on Monday

@highlight

Copyright appeal is one of the most closely watched business cases this term

@highlight

Stakes could be high for those who buy and sell books, movies, music, art, other goods