New York (CNN) -- It's a beautiful August morning in Jersey City, New Jersey. I have just finished my regular jog around Liberty State Park. No matter how often I stand here at my favorite spot to stretch, I can only marvel that this is actually my neighborhood and my view.

In front of me, the Hudson River lies at the feet of the New York skyline. To my right, the Statue of Liberty basks in the glory of a thousand gazes from the first tour boat of the day.

I look over at the World Financial Center where I work and, as always, what strikes me isn't what I see, but what I don't see anymore.

The ghosts of the Twin Towers never seem to fade from the skyline in my mind. I am a Muslim, born in England, raised in Pakistan, but every bit as American as any of my fellow joggers or co-workers across the river. Somehow, though, people expect me to react differently. I don't. The same ghosts haunt me.

As I stretch my muscles, my mind unreels a troubling movie. The planes hit the buildings in horrifying slow motion. A nation mourns. Families grieve. Boom. Senseless killing in Iraq. Flash. Mangled bodies and torture in Abu Ghraib. Boom. Bombs hit mosques in Pakistan. Flash. School girls killed in Afghanistan. Even though it's my movie, it always ends the same way. I feel helpless, powerless and lost.

It's a far cry from the way I felt 14 years ago when I first saw the view from Liberty State Park. In my 20s then, I had come over from London to New York on business. After a busy work week I left early on Friday to spend the weekend with my cousin in Jersey City. He parked the car on the waterfront. We got out, walked over the swell of a small hill and then it was like someone flipped a switch.

There, suddenly, was the New York skyline, more massive and impressive than I ever could have imagined. My cousin looked at me and said, "This is what keeps young men up at night in Pakistan." What he meant was that they lie awake at night dreaming of a better life in America and hoping, yearning that one day they would see this skyline with their very own eyes. That was the moment I decided I would live in New York.

When I first moved here, I felt welcomed. I was truly impressed by the fact that America gave me as an immigrant the same opportunities it did to its own citizens. Today, that is still largely the case, unless your name is Mohammad or if you choose to wear the hijab.

Since 9/11, almost every Muslim in this country has a story. And it's no longer one of welcome. It's 6-month- old Muslim babies on the "no fly" list. It's searches and racial profiling at airport security. It's suspicious looks from neighbors. It's families being split apart by persecution during the immigration process.

We experience this where we work and live. And then we turn on the nightly news and see more hatred. Like the church in Florida that's planning a Quran burning event on the anniversary of 9/11. Like the sad irony of the Anti-Defamation League (a group actually formed to "secure justice and fair treatment for all against...hatred, prejudice and bigotry") now speaking out against the Islamic center to promote interfaith dialogue and education being proposed for near the former World Trade Center site.

Some people have clearly decided that 9/11 gives them the right to persecute Muslims. And as a result, we are all collectively paying for the sins of terrorists -- a radical, crazy few who just happen to share the same religious background.

This change of behavior doesn't just hurt Muslims, it attacks the very fabric of what made America great. The very reason people all over the world lie awake in their beds dreaming of coming here is that they knew they would be treated fairly in this mythical "land of opportunity." America built that global brand with blood, sweat and sacrifices and it is being tarnished with every act of intolerance.

President Obama and the Secretary of State Hillary Clinton have shown that they not only understand, but are also willing to address the core issues and move United States foreign policy back toward balanced and fair ground. It won't be easy. It won't be quick to implement. But the basic truth is this: Killing people will not fix this problem. Building bridges of understanding, rebuilding shattered economies in Iraq, Pakistan and Afghanistan and educating citizens on both sides will.

The day before the World Trade Center bombings, America was my home. The next day, I woke up a stranger in a strange land. I wish every American could understand that I am not the enemy.

We want to be part of the solution. We want to build international bridges and help tolerance grow in America and around the world. After all, how can America hope to have its global vision accepted by the 1.5 billion Muslims around the world unless leaders can first sell it here at home to 6 million of their own citizens?

The first step in achieving this is to get back to basics. America grew into a beacon of liberty and freedom because it gave every citizen the unalienable right to "life, liberty and the pursuit of happiness." It's time to give that back to everyone, regardless of religion.

Most Muslim men do not have beards and most Muslim women do not wear the hijab. But, if you see one on the street who does, please change your reaction from suspicion to openness, from judgment to acceptance. Reach out to them. Ask them questions. Engage as human beings, not as stereotypes. Simple acts of goodwill would change far more hearts and minds than any gun-fueled campaign or international policy.

Then someday, here at Liberty State Park, I might be able to stop running, admire the incredible view and rewrite the end of my movie. I very much want to replace "powerless and lost" with "hopeful and optimistic." I want the New York skyline to once more inspire dreams of the possible, not echoes of the past. I want to come home again.

The opinions expressed in this commentary are solely those of Sharjeel Kashmir.

@highlight

U.S. liberties are the dream of many in the Muslim world, Sharjeel Kashmir writes

@highlight

Kasmir: Those dreams are marred by suspicion that greets Muslims here

@highlight

Kashmir: Muslim Americans are not the enemy, and can be part of the solution

@highlight

He says people should engage with Muslims as people, not as stereotypes