Djerba, Tunisia (CNN) -- The evacuation of the tens of thousands of refugees who have streamed across the Libyan border to Tunisia has stepped up dramatically.

Tunisian authorities have established an air bridge from a provincial airport on the island of Djerba that is now moving out thousands of migrants a day.

"We are expecting 10,000 passengers to leave every day with 66 movements, that's to say 66 planes," said Djerba airport director Zouhaier Badreddine told CNN.

"The majority go to Egypt. But there are also Chinese, Pakistanis, Filipinos, Bangladeshi, Vietnamese, Turks in the beginning but now they all seem to have left. There are many nationalities and many destinations."

As of Thursday, more than 172,000 people had left Libya, most of them migrant workers returning home, the U.N.'s emergency relief coordinator, Valerie Amos, said in a statement issued Friday.

Among them were women and children, she said.

The United Nations' figure was slightly less than that of the International Organization for Migration, which has been working with the U.N. refugee agency and estimated that 200,000 people had fled Libya.

Some of those crossing the border told CNN that government forces in Tripoli had confiscated their mobile phones and cameras.

A majority of those fleeing are Egyptians who had been working in Libya. But the foreign workers also include citizens of other nations including Bangladesh, Thailand, Vietnam, Sudan, Ghana and Mali.

A U.S. Agency for International Development official said approximately 90,000 people were in transit camps over the Libyan border in Tunisia. Almost half of them are Egyptian, said the official, who did not want to be identified because he was not authorized to speak on the record.

Closer to the Egyptian border, in the eastern city of Benghazi, about 8,000 foreigners awaited evacuation. They included Eritreans, Ethiopians and Somalis, according to the refugee agency.

"They appear to have gathered spontaneously and are camping together for security as they await," refugee agency spokeswoman Melissa Fleming said in a statement.

She said most of those people will be evacuated within two days.

Another 110,000 people inside Libya have been affected by the crisis, the International Committee of the Red Cross said Friday. It appealed for $26 million to help those inside the country and those in Tunisia.

The agency said it will use the money for food, water, medical care, sanitation and hygiene items.

As the violence has escalated in the past few days, U.S. military aircraft and French charter jets have scrambled to evacuate tens of thousands from the north African nation.

In Washington, President Barack Obama said he has approved the use of U.S. military aircraft to help Egyptians who have fled the unrest to return home. He said he authorized the U.S. Agency for International Development to charter additional planes.

"Tens of thousands of people from many different countries are fleeing Libya, and we commend the governments of Tunisia and Egypt for their response, even as they go through their own political transitions," Obama said.

The Pentagon announced that two planes carrying humanitarian supplies were being dispatched Friday to Tunisia in what has been dubbed Operation Odyssey Dawn; the planes were carrying blankets, rolls of sheeting and water cans.

CNN learned that a C-130 cargo plane labeled with a U.S. flag landed in Tunisia.

Badreddine stood in the departure hall of an airport that normally welcomes sun-hungry European tourists traveling to the wind-swept beaches of Djerba's Mediterranean coast.

Instead, the hall was filled with hundreds of tired and dirty migrant workers. Some camped out on the floor on blankets. Others stood in orderly lines in front of a booth normally reserved for car rental companies and money exchange, which instead held Tunisian volunteers distributing sandwiches, fruit and water to the arrivals.

"Of the 50,000 refugees who have come through here" since the crisis began, Badreddine said, "everybody has been given shelter and food at the airport."

The conditions at the airport were dramatically better than the scene that awaited many migrants immediately after entering Tunisia from Libya.

On Thursday, more than 5,000 Bangladeshi men were camped out in a vacant lot next to the border gate, huddled under blankets next to a fetid pond of muddy water as howling winds whipped dust through the compound.

Tunisian authorities and volunteers distributed food and water. A tent city that serves as a transit center was erected this week some 10 kilometers from the border.

But the camp can hold only some 15,000 people -- that's how many people are estimated to have arrived in a single day and not near enough to accommodate all those in need.

Still, conditions have improved dramatically since Wednesday, when Libyan authorities began regulating the flow of refugees across the border. Instead of allowing them to mass by the thousands in front of the Tunisian border gate, refugees must now approach the border with Tunisia in orderly groups in single file.

The U.N. refugee agency said Friday that the number of civilians fleeing the violence in Libya to Tunisia "has dropped significantly since Wednesday afternoon," with armed, pro-government forces manning the Libyan side.

Compared with earlier in the week, when 10,000 to 15,000 people were crossing daily into Tunisia, fewer than 2,000 made it across on Thursday and about the same number did so on Friday, the agency said.

The U.N. High Commissioner for Refugees said it was "very concerned that the security situation in Libya may be preventing people from fleeing."

The Libyan government appeared eager to show off the orderly border. Officials bused in a group of foreign journalists from Tripoli Thursday afternoon as part of a guided tour of the frontier region.

But, upon their arrival in Egypt, dozens of refugees have said they had been robbed at Libyan checkpoints. Many said that, as they sought to get out of Libya, they were stopped and searched by Libyan security forces who confiscated their cell phones and computers. Many refugees also accused Libyan police and soldiers of having robbed them at gunpoint.

"I have no passport, only a passport photocopy," said Mohammed Shafiq al Islam. The 29-year-old man sat on the floor of the airport with more than 100 Bangladeshis -- all of them awaiting a flight home.

He wore a uniform labeled "Hanil," the name of the supply company that paid him $250 a month to work in Libya.

"The Libyan people take my money and passport and all the time say 'I will kill you, I will kill you,'" al Islam said, speaking in broken English. "I am run away (for) my life."

Like many Bangladeshi migrant workers, al Islam had borrowed some $4,000 to pay employment agencies to give him a job in Libya. Upon their arrival in Libya, many migrant workers were forced to hand over their passports to their employers.

Human rights groups have denounced such practices, arguing they amount to little more than indentured servitude. The flight back to Bangladesh for al Islam and his fellow migrants will be free, but he and many of his fellow Bangladeshis face crushing debts.

"We are very helpless now; we are beggars now," al Islam said.

Djerba airport officials said 25 flights were scheduled to take off Friday for Cairo. The French government has helped with the Egyptian airlift by chartering several passenger planes to Cairo.

A number of charter flights are scheduled as well to India, Jordan, China, Vietnam and Dubai.

@highlight

"We are helpless now"

@highlight

U.N. estimates 172,000 people have fled Libya

@highlight

Most of them are migrants returning home

@highlight

10,000 are expected to leave daily, a Tunisian airport official says