ATLANTA, Georgia (CNN) -- Steve Karas and Matthew Welling share a special bond.

Matthew Welling, left, received a bone marrow transplant from Steve Karas, right.

They aren't related. In fact, they had never even met until 3-year-old Matthew needed a life-saving bone marrow transplant two years ago.

It turned out that Karas, 51, of Newton, Massachusetts, was a perfect match.

"My heart went a hundred miles an hour, and I couldn't even conceive of what this meant," Karas recalled.

He had signed up for the National Marrow Donor Program registry 17 years ago and had never given it another thought.

The call to donate came out of the blue.

Karas remembered hearing, "It was a little 1-year-old boy with this horrible disease called osteopetrosis, and the only cure was a bone marrow transplant, and would I be willing?"

He said there was no other answer than "of course."

Karas is one of 11 million Americans who have volunteered to be marrow donors. Every day in the United States, an estimated 6,000 people need a transplant.

There are two ways to donate bone marrow: Either a doctor must insert a needle into the back of the hip bone to retrieve the marrow, or cells are collected through a procedure called peripheral blood stem cell donation, or PBSC.

"Bone marrow is the source of early blood stem cells, and they make all kinds of blood cells that fight infection," said Dr. Ann Haight, a pediatric hematologist and oncologist at the Aflac Cancer Center in Atlanta, Georgia. Bone marrow transplants can help treat cancers such as leukemia and blood disorders such as sickle cell disease.

Matthew was suffering from a rare disorder that increases the density of bones and crowds out bone marrow.  Watch more on bone marrow donation »

His father, Michael, said waiting for doctors to find a donor match was terrifying. "There is no more difficult, hard-to-stomach feeling than watching your child be sick and suffering and not be able to do anything," he said.

Welling said his ailing son started turning the corner after receiving a transplant in November 2007.

Doctors told him that Karas' bone marrow donation helped save Matthew's life by stopping the progression of the disease.

Unfortunately, Matthew developed an infection a month after the transplant and the cells stopped working. He required a second transplant from another donor.

That transplant worked, and while Matthew still suffers from side effects, his father reported the boy is cured of his initial disease.

But the story doesn't end there.

Karas' boss, Paul Amos, got word of his good deed and was so inspired that he launched a bone marrow registry drive among his 4,000 employees at Aflac, a supplemental insurance company based in Columbus, Georgia.

As of Friday, nearly 1,100 workers had volunteered to join the national registry.

"We're not asking for money," Amos said. "we're not asking for any additional time except for a couple of seconds on a coffee break. Think of all the things you've ever given, and that's the simplest you could ever give."

Joining the registry involves completing a donation kit (available at marrow.org). Cotton swabs are swiped on the inside of the cheeks to determine the tissue type.

The sample is then sent along with an in-depth health history questionnaire to the National Marrow Donor Program.

Dr. Haight said anyone over the age of 18 can join the registry provided he or she meets the health criteria. Those with conditions such as HIV, insulin-dependent diabetes, hepatitis and autoimmune diseases are generally excluded.

"The biggest need we have for additional donors is in racial and ethnic minorities," she said. "That's because transplant tissue type will run with your racial and ethnic background. ... We need more African-Americans, Native Americans, Asian-Americans and Hispanics."

Karas found the actual harvest process to be relatively simple, with little pain. He ended up donating through the PBSC process, a nonsurgical outpatient procedure.

The donor's blood is removed through an intravenous needle and passed through a machine that separates out blood-forming cells. The remaining blood is returned through a needle in the donor's other arm.

"I felt like I had the flu, and those symptoms lasted three or four days," he said.

Karas went back to work as a sales coordinator at the Boston, Massachusetts, office of Aflac within days.

About a year ago, he received another call out of the blue and was asked if he wanted to meet Matthew and his parents.

Michael Welling said the reunion was filled with tears. "There was a part of us that felt, 'I almost hope he thinks we were worthy of this unbelievable gift he gave us.' "

Karas reassured the family that there was never a doubt his mind, especially after seeing that Matthew was healthy and thriving.

"It was one of the most emotional moments of my life," Karas said. "Short of fathering my own three sons, clearly this is the greatest thing I've ever been able to do."

@highlight

A doctor inserts a needle into the back of the hip bone to retrieve the marrow

@highlight

Cells can alternatively be collected through peripheral blood stem cell donation

@highlight

11 million Americans have volunteered to be marrow donors

@highlight

Anyone over the age of 18 who meets the criteria can join the donation registry