Washington (CNN) -- "Let us never forget that government is ourselves and not an alien power over us. The ultimate rulers of our democracy are not a president and senators and congressmen and government officials, but the voters of this country." -- Franklin D. Roosevelt

When I began the Facebook fan page "Join the Coffee Party Movement," I had no idea what would transpire. It was about 1:30 a.m. January 26, and I was very frustrated with the endless news coverage about the Tea Party and the growing narrative that it represented America.

I was driven by a question, a curiosity: If I build it, will they come? Would anyone respond to my call for civility in our political discourse and cooperation in government?

First they came virtually. More than 155,000 joined the fan page in less than six weeks. But were they real people?

Inside a town hall meeting room in Haymarket, Virginia, last Saturday morning, and then at The Potter's House in Washington that afternoon, I had an answer to my questions.

In Haymarket, two dozen people came, ten of them veterans. In Washington, a hundred people came. In all, we had reports of more than 350 events held for "National Coffee Party Day" in at least 44 states; even Americans living abroad gathered in Italy, Panama and Indonesia.

People from all walks of life and all political dispositions sat together as fellow Americans to discuss their concerns about our politics: accountability, corporate influence, health care reform, education reform, the economy, immigration reform, filibusters, etc. There was a generally shared anxiety for many that corporations were gaming the political process.

There was passion and excitement about what the Coffee Party could become politically and personally. Here was a chance for people to have a voice in our government and hope in our future.

In just a few weeks, the Facebook page had become a town square where people could meet, talk, learn, engage, share, serve and be part of a community.

All day Saturday, messages and reports were sent directly to Coffee Party organizers and left on the Facebook fan page from across the country, "The event exceeded my expectations ... I was expecting 20 people and a hundred showed up ... We can't wait to meet again ... It was amazing. I was surprised that we were able to sit and have a civil conversation with a Tea Party member ... I don't feel alone now ..."

What is going on? It seems to me that the Coffee Party members are a silent and extremely frustrated majority only too happy to find one another.

Over the course of many years, Americans have grown accustomed to thinking of two-party politics as a kind of a zero-sum game. If one team wins, the other team loses. The game framework encourages many Americans to be spectators passively watching professional politicians go at each other. Furthermore, it invites people to "game" the process to advance their personal or partisan agendas.

In Washington, recently the tactics have become so vicious that the game looks more like Ultimate Fighting. This is not acceptable.

The game framework is not an intrinsic quality of democracy. In fact, it is inconsistent with the basic tenets of democracy.

Democracy presupposes a community of people deliberating, through their elected representatives, to advance the common good -- a method of collective decision-making. When we regard politics as a game, we all lose. Because when it comes down to it, politics is about all of our futures.

In America, we have a democracy, but with vulnerabilities and loopholes.

One loophole is that the most active and organized constituents have disproportionate influence over our government. For instance, corporations can afford to pay thousands of lobbyists to work full-time at doing this. This gives them a disproportionate influence over our government and presents a serious challenge to democracy in America.

This is really at the root of our discontent: our government's relationship to corporate America and this special interest seems altogether unconstitutional.

As the Constitution dictates, we want a government of the people, by the people, for the people. Coffee Party USA is a democracy movement, and our goal is to have the government truly reflect the will of the people.

How do we restore the primacy of ordinary people in our government?

We can find immediate institutional solutions -- for example, changing Senate rules and procedures that impede government, countering misinformation and promoting campaign finance reform and term limits.

There is a profound relationship problem between the government and the people that it serves. Many Americans feel alienated from the corrupted political process, the dysfunction of the government and the seeming polarization of our society. The health care debate and the spectacle of the August town halls laid open all that alienation and despair.

Since August, many of us chose to cocoon in our homes, growing more frustrated and outraged over our diseased political system. This is a terrible state of affairs because the public's disengagement from politics is the greatest threat to a democracy.

We are proposing to address this threat, to practice democracy at the local level and create a home in the public sphere. What better place than a neighborhood coffee shop to create that home?

There are three steps to this model of participatory democracy.

The first step is creating a public space for open and civil dialogue. The second step is collective deliberation, considering facts and values to arrive at a decision. The third step is working toward implementing the decision.

We will practice all three steps as a community, pledging to be civil to each other.

Our next national event is the "Coffee Summit" on the weekend of March 27, coming to a coffee shop near you -- followed by "Coffee With Congress" during the April congressional recess. We will be asking our representatives to sit down with us over coffee.

You are all invited to join us.

The opinions expressed in this commentary are solely those of Annabel Park.

@highlight

Annabel Park says she started Coffee Party on Facebook over frustration with Tea Parties

@highlight

Site's success, attendance at Coffee Party events signify need for action, she says

@highlight

Movement aimed at civil discourse, giving citizens a voice in democracy, she says

@highlight

Park: We're upset at corrupt political process; we want to re-engage with government