(CNN) -- Evidence is mounting that it is possible to control the virus that causes AIDS with early treatment, so further therapy is not immediately needed.

A recent study in the journal PLOS Pathogens reports that 14 patients with HIV, who received antiretroviral treatment within 10 weeks of infection, had their viral loads decreased so much that scientists say they are "functionally cured."

"The amazing thing is that it seems that by early treatment, we can induce this type of control of infection in 10-15% of individuals," says lead study author Asier Saez-Cirion of the Institute Pasteur in Paris.

The usual definition of a "cure" is that someone who was once infected has no virus left in his or her body.

But in situations like this one, it can be said that there is "sustained remission that doesn't require therapy," says Dr. Anthony Fauci, director of the National Institutes of Health's National Institute of Allergy and Infectious Diseases. That's what scientists call a "functional cure."

"You haven't eradicated the virus, but interestingly, when you stop therapy, even though the virus is still there and you can measure it, it doesn't come back with a vengeance and cause disease in the person," he says.

These 14 were identified out of 70 people with HIV whose treatment had been interrupted.

The virus in these patients is not completely eradicated, even though they have been off therapy for up to about 10 years. There is still a possibility that disease will return in these patients, but the chances are low, Fauci says, and being able to live many years without therapy is "a pretty good bonus" of early treatment.

Normally, after a person gets infected with HIV and years pass, the virus establishes a reservoir in the long-lived T-cells called lymphocytes, Fauci explains.

"Those latent cells are kind of like embers of a fire, and when we take our treatment away, those latent embers reignite the infection and a fire breaks out," says Dr. Michael Saag, professor at the University of Alabama at Birmingham, who was not involved in the study.

But when a person with HIV receives aggressive treatment soon after infection, according to the hypothesis put forth by the study, the virus forms a reservoir in the shorter-lived lymphocytes. When therapy was stopped, according to this theory, the viral reservoir was extremely low.

Cases of HIV are most often not treated immediately after infection, Fauci says. People commonly find out they have HIV because they feel poorly or happen to take an HIV test; in these situations, the infection may have been in the body for several years already.

Where everyone wants to work with HIV

The new study's conclusion "is even greater fortification for the concept of really seeking out people and identify(ing) them very very soon after they get infected, and treating them aggressively," Fauci says. That means screening people in high-risk communities.

It's important to understand the distinction between controlling the virus in the new study and so-called "elite controllers," people who, because of their genetic makeup, are able to control HIV naturally. Fewer than 1% of people with HIV have this immune response. Saez-Cirion's study demonstrates a significantly greater probability of control when therapy is administered early.

Saez-Cirion and colleagues are following up in a clinical trial that looks at 90 HIV patients who were treated early.

The study also gives extra hope that a vaccine could work, Saag said, as it suggests that priming the immune system can induce a response that controls the virus.

"If it can be induced in a large number of people, then I would guess that that immune response could well be protective against an infectious challenge," Saag said.

This new study adds to another development in the HIV research arena. Earlier this month, a baby in Mississippi who was born with HIV was also shown to be "functionally cured."

She received high doses of three antiretroviral drugs within 30 hours of her birth. There is no evidence, two years later, that HIV is present in her blood.

This probably does represent a "cure," more so than in the 14 patients in French study, but the treatment was delivered much faster than it would be in adults, Saag says.

The baby's case could change the practice for how high-risk babies are treated, says Fauci. Usually, babies born to mothers with uncontrolled infections, or whose HIV is diagnosed close to delivery time, receive antiviral drugs at preventative doses for six weeks, and then HIV therapy if the virus is detected.

Prevention can mean no babies with HIV

In the case of this baby, a more aggressive treatment showcases a potential for a cure with antiretroviral therapy given early, researchers say.

But the news about the baby isn't a total game-changer for the developed world. Usually, mothers with HIV get treatment so that the infection is not transmitted to their baby in the first place; for the United States, the situation is a "fluke," Fauci said.

But untreated mothers give birth all the time in Sub-Saharan Africa, for example, making the baby's case more relevant to the developing world.

CNN's Saundra Young contributed to this report.

@highlight

14 patients treated early don't need HIV therapy anymore

@highlight

It's possible the disease will return, but chances are low

@highlight

The study shows the importance of early screening and treatment

@highlight

The results give researchers more hope that a vaccine is possible