Editor's note: The staff at CNN.com has been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. Motherboard.vice.com is Vice's site devoted to the overlap between culture and technology. The reports, which are being produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (Motherboard.vice.com) -- For someone who likes to talk about the virtues of disconnecting, the media critic Douglas Rushkoff seems surprisingly always on. When I visited him at his storefront office near his home in Hastings on Hudson, New York, he was preparing to teach a new class, getting ready for a BBC interview, writing an essay, staring down a pile of articles to read, trying to figure out his new iPhone, and hurrying to finish his third book in three years -- a graphic novel called ADD, which revolves around gaming culture, celebrity and the pharmaceutical industry. "It also asks the question," he says, "what if attention deficit disorder weren't a bug, but a feature?"

The hyper-speed hyperlinked life is familiar ground for Rushkoff, whose first book "Cyberia" made him a popular tour guide to the Internet in the early 1990s, and an early prognosticator of its radical potential. But much has changed between the awkward days of "the 'Net" -- then a non-commercial collection of public networks accessed by local ISPs -- and the overloaded era of Facebook, YouTube and iPhones. If Rushkoff is well-versed in the language underneath the "digital revolution," he's also become one of its most outspoken critics.

"A society that looked at the Internet as a path toward highly articulated connections and new methods of creating meaning is instead finding itself disconnected, denied deep thinking, and drained of enduring values," Rushkoff writes in his recent "Program or Be Programmed." His remedy is simple, if ambitious: once people begin to understand how software works, "they start to recognize the programs at play everywhere else. From the economy and education to politics and government, all systems have embedded purposes. The less we recognize them, the more we mistake them for given circumstances."

Understanding how things work In order to make them work better is the basic hacker ethos, but Rushkoff has applied it to his broader discussion of the way the culture and politics of the many are driven by the interests of the few. Between his landmark documentary "The Merchants of Cool" to his recent book "Life Inc.," Rushkoff has indexed the risks that capitalism and corporate influence pose to democratic society. Or, to extend the metaphor, he's sought to show how we the users routinely get screwed by an "operating system" that's more than 500 years old.

See the rest of "Douglas Rushkoff in Real Life" at Motherboard.vice.com

"We're leveraged in so many ways, it's like, our economy is leveraged to produce more than it can in order for it to survive," he says. "It's leveraged to grow. Human beings are financially leveraged now. So how do you roll that back and say, well, you know, 'this is it'?" Or, rather, "How do you get the good of a zombie apocalypse without the zombies? That's sort of what I'm trying to help people with."

Enter Occupy. Rushkoff has watched the movement with cautious optimism, penning editorials on CNN and organizing November's Contact Con, a powwow of net roots activists and open source hackers working to foster new civic-minded apps and hardware. To include prizes, Rushkoff enlisted the help of Pepsi, which ultimately granted $10,000 to the Free Network Foundation, which was profiled in our recent documentary.

Rather than shun corporate sponsors, Rushkoff revels in what they bring to the table, and in the contradictions of the movement. Occupy's power, ultimately, is its meme -- the idea that a citizenry can not only protest the system but demonstrate a new way of responding to it and reworking it. Like his call to program, Occupy's nebulous mission may be hard to swallow or carry out. But that also lends it its own kind of power, he says. Its radical promise isn't unlike the earlier Internets: a distributed and open system that could change civic discourse and remake culture.

But as on the strange battlefield of the Internet, Occupy could also crash against its own giant ambitions, which will be heavily tested in the next few months. Progress will have to be made gradually, says Rushkoff. "There are ways to slowly move towards a sustainable life path, and it's just a matter of doing that, and I'm hoping that more people in Occupy start seeing it that way -- in that more subtle way, rather than exclusively in the kind of activist, let's-get-pepper-sprayed by cops way."

Much has changed in the decades since Rushkoff started critiquing the system. But his philosophy is still animated by a big question, one that applies not only to the digital spaces of the Internet, built by the Facebooks and the Googles, but to other kinds of "public" spaces too, in town squares, Congress, and culture: who programmed these spaces, and to what ends, and how can they be hacked into something better?

@highlight

Motherboard sits down with media critic and author Douglas Rushkoff

@highlight

An early adopter of the Internet, Rushkoff has become one of its most outspoken critics

@highlight

Recent work looks at risks that capitalism, corporate influence pose to democratic society