Xinxiang, China (CNN) -- Duan Keke greets visitors with a crisp salute and a few pieces of candy.

The 80-year-old man stands at the gates of Henan Provincial Military Hospital in China where he has lived in retirement for years, dressed in an olive green army uniform and soldier's cap, carrying a long wooden stick that he taps against the pavement as he walks.

"Thank you," he cheerfully repeats to hospital guests -- in Korean.

Duan is a Chinese veteran who fought and bled for North Korea in the Korean War.

Sixty years ago, U.S. and Chinese-led armies battled each other to a bloody standstill in a conflict between North and South Korea that left millions dead. In 1953, both sides signed a truce that has left the Korean Peninsula dangerously divided to this day. Last March, during an orchestrated campaign of international saber-rattling, the communist regime in North Korea declared that armistice agreement invalid.

More: Why the Korean War still matters

In 1951, Duan was only 18 years old when he volunteered to join the Chinese People's Liberation Army. That same year, Duan was deployed to help defend Korean communists from Western-backed troops on the Korean Peninsula, shortly after China emerged from its own deadly civil war.

"The people of Korea were suffering," Duan says.

"We were watching the Korean people and we had all gone through war. You look at China, the revolution, the struggle against the Japanese, many people had died," Duan continues, recalling preceding years of turmoil in China.

"Seeing the people of Korea farming the land and being killed by enemy planes ... what were they to do if they could not farm? The planes would just come and bomb them to death. We had to help protect the people of Korea."

Today, Duan leads visitors down a dark corridor, past framed black-and-white photos of Chinese army heroes, to a tidy room in the hospital he calls home.

Aside from a nephew, Duan saiys he had no living relatives.

His neighbors are also elderly veterans dressed in military fatigues. They chat outside the hospital ward, seated on park benches.

The uniforms are a source of pride for the retired military residents, but also apparently a hospital safety measure in case one of them wanders too far outside the grounds and into the city.

"They're worried that the veterans that came from the countryside will get lost, so when they come here they make them wear uniforms to keep them safe," Duan says.

Much of what Duan recalls from the Korean War years seems to revolve around digging trenches, which he says provided essential protection from American warplanes.

"Digging trenches is not easy ... It's not soil, it's rock," he says, adding that they used their bayonets to break up the rocks.

Though Chinese military units were accompanied by Korean translators, Duan says Chinese and Koreans soldiers were not allowed to fraternize.

However, another Chinese Korean War veteran says he did have face-to-face encounters with U.S. soldiers.

Former infantry soldier You Jie Xiang says his mission was to guard American prisoners of war held far back from the front lines.

"Handling the captives was very dangerous," You says. "They might kick you so I had to tell them to stay on their knees."

More: North Korea photos and maps

Duan says he remained in Korea until 1953, when he was severely wounded in battle.

During his two year deployment, one of Duan's missions was to charge up a mountain carrying explosives towards well entrenched Western-backed troops.

"They're shooting guns at you," he says, holding his walking stick up to his shoulder like a rifle and making shooting noises. "We had to bring up the explosives and bomb them, using explosives and flaming oil."

Duan was wounded at least twice. He rolls back a sleeve to show scars from severe burns resulting from what he said was an airstrike.

And in the privacy of the medical ward, he insists on dropping his pants and lifting his shirt to show deep scars in his abdomen left by bullets that struck him during a battle on a mountain. Duan says he was shipped home after this injury, which left him maimed and unable to reproduce.

The sight of the elderly war veterans in their baggy uniforms contrasts sharply with the vision of modern China that has grown up around them.

The years of starvation and conflict seem like distant history, in a country that is now the world's second largest economy, as well as home to billionaires, gleaming sky-scrapers, luxury shopping malls and brand new airports.

The veterans at the Henan Provincial Military Hospital say China's newest generation know little of the hardships they suffered in Korea.

"Young people? Of course they don't know," says You, the former infantry soldier who once escorted imprisoned American GIs. "These wars took place decades ago. All the young people have no idea."

Asked whether Koreans understood the sacrifice Chinese troops had made, the veteran shakes his head "no."

"What do the Koreans know?" You asks himself out loud. "They know what the Korean (government) tells the Korean people."

This modern-day ambivalence towards North Korea is echoed by some Chinese intellectuals.

Recently, Deng Yuwen openly challenged the Chinese government's alliance with North Korea in writing. Partly as a result, he lost his job as deputy editor of the Study Times, a journal published by the Communist Party.

"The current laissez-faire attitude the U.S. and China have towards North Korea is comparable to that of (former British Prime Minister Neville) Chamberlain towards Germany before World War II," Deng said, in a recent interview with CNN.

If Pyongyang continues threatening its Asian neighbors, Deng argued, Beijing should take steps to reign in the regime, like freezing North Korean accounts in Chinese banks.

"The unpredictability of North Korea's policies prove its nature is dangerous," Deng said.

Veterans who risked their lives for North Korea more than half a century ago have little to say about the current government in Pyongyang.

But they do not seem to hold a grudge against their former American enemies.

When asked by an American reporter whether he had any message for the U.S., Duan responds by saying, "the Americans are peaceful people."

Next to him, several of his fellow veterans nod in agreement.

"I think the Americans did not want to go to war (in Korea). War is death."

Asked whether he feared war might once again break out on the Korean Peninsula, Duan expresses confidence that the Chinese government would prevent hostilities from erupting.

"The central government will handle it. It is guided by the ideas of Mao Zedong," he says, referring to the founder of Communist China.

"Big countries don't want war and we're against war and this is what we've been taught."

More: Will North Korea listen to China?

More: The North Korea you haven't seen

@highlight

Chinese troops fought on North Korea's side during the Korean war

@highlight

Elderly vets say China's newest generation knew little of their hardships

@highlight

Many say China will prevent any future hostilities over North Korea