Washington (CNN) -- The prospect of Virginia Gov. Bob McDonnell resigning as he copes with a federal investigation into the nearly $150,000 worth of lavish gifts the Republican and his family received from a wealthy executive is unlikely, people close to the governor insist.

Yet the topic remains a tantalizing conversation piece around Richmond these days, mainly because it would be an act without modern precedent.

While Virginia has had its fair share of tumultuous politics over the years, not since Reconstruction has the commonwealth been forced to grapple with a question of succession. No Virginia governor has resigned, or been impeached, in the last century.

Virginia governor scandal: 'That's not the guy we know'

But there's another reason some Virginia political watchers are buzzing about the hypothetical: McDonnell's resignation, however unlikely, would elevate his lieutenant governor, Republican Bill Bolling, to the state's highest office.

And Bolling has made it abundantly clear he has little tolerance for the Republican running to succeed McDonnell -- Attorney General Ken Cuccinelli.

"I have serious reservations about his ability to effectively and responsibly govern our state," Bolling said of Cuccinelli in a recent interview with CNN.

Candidates say McDonnell should consider resigning

Here's the backstory: Bolling has served as lieutenant governor since 2006, and had long eyed this election year as his moment to make the leap to governor. Bolling had McDonnell's endorsement, and campaign backing from other establishment leaders and members of Virginia's influential business community.

Then Cuccinelli stepped in.

The ambitious Fairfax native, an uncompromising social conservative and tea party darling, also had designs on the governorship -- and he had no time for the succession plan orchestrated by Bolling, McDonnell and other GOP leaders. So last year, Cuccinelli's allies in the Republican Party re-wired the GOP's nominating process so that the 2013 gubernatorial nominee would be selected by convention instead of a primary.

Since conventions tend to attract only a small slice of the electorate -- the most committed and vocal conservatives who revel in spending their spring weekends at political conventions -- that left Bolling, who views the tea party movement with a mixture of scorn and exotic bewilderment, with little option but to drop out of the race.

McDonnell's poll numbers fall as scandal unfolds

An exasperated Bolling left the race, and Cuccinelli easily captured the GOP gubernatorial nomination in May with the support of roughly 8,000 delegates who showed up at the Richmond Coliseum to support him (and two other conservatives, attorney general candidate Mark Obenshain and a bombastic pastor named E.W. Jackson, the party's nominee for lieutenant governor).

Clearly incensed at Cuccinelli for dashing his gubernatorial hopes, Bolling soon embarked on a media tour lamenting the rightward drift of the Republican Party. He used his remaining campaign funds to launch an initiative called "The Virginia Mainstream Project" to recruit pragmatic Republican candidates and advance "responsible conservative policy solutions."

Bolling's message was clear: hard-liners like Cuccinelli are eating away at the Republican Party from the inside, and hindering legislative compromise in Richmond.

Cuccinelli's allies think Bolling is a sore loser, bordering on irrelevance.

Bolling, freed from the pressures of campaign politics for the first time in nearly two decades, says he's just speaking his mind.

McDonnell points to 'irresponsible' rumors

"Frankly, I don't care what they think of me," Bolling said last month over lunch at a Greek restaurant in the Richmond suburbs, several weeks before The Washington Post revealed some of the more explosive details of the unfolding McDonnell controversy.

Picking at a salad, the lieutenant governor characterized himself as a conservative, explaining that his first taste of politics came as a teenager in the coalfields of West Virginia, when he toiled on the 1972 re-election campaign of Gov. Arch Moore, a Republican in what was then a heavily Democratic state.

"The definition of what a conservative is has changed so much that now all of a sudden I look like a moderate," he said. "The truth is that Bill Bolling is a conservative guy, always has been, always will be. But I am not an anti-government guy. I believe there is a role for government to play."

The conversation pivoted to Bolling's central criticism of Cuccinelli -- that he is an ideologue uninterested in the sort of compromises needed to govern.

"This is not just the most conservative ticket, but it is the most ideologically driven ticket that we have seen in the history of our state," Bolling said of the Cuccinelli-Jackson-Obenshain tea party troika.

Bolling says he has "tried to be measured" in his public comments about Cuccinelli. But that's not really true.

"The difference between us is the kinds of issues we focus on, the leadership style and demeanor that we demonstrate," Bolling said. "Our willingness to compromise, to get things done. Mr. Cuccinelli will have to run his campaign, and to win this election, he is going to have to convince people that he has the ability to govern Virginia in a mainstream way. Whether he can do that or not remains to be seen."

All of this, mind you, is coming from the man who would become chief executive if McDonnell were to leave office prematurely.

New allegations against McDonnell emerge

To the delight of Democrats, it's conceivable that the governor's mansion could be occupied by a Republican who happens to be openly contemptuous of the Republican running to succeed him.

Democrats might enjoy that scenario almost as much as the one they have now, with Cuccinelli having to answer questions about his own ties to Star Scientific CEO Jonnie Williams, the embattled executive who provided McDonnell and his family with undisclosed gifts like a Rolex watch, a $15,000 Bergdorf Goodman shopping spree and pricey catering for the wedding of the governor's daughter.

Cuccinelli also accepted gifts from Williams and owned stock in his company, though an investigation last week found he did not violate the state's conflict of interest laws.

"This is a no-win situation for Cuccinelli," said Democratic strategist Mo Elleithee, a veteran of Virginia campaigns. "If Bob McDonnell somehow is able to remain in office, he'll be a daily reminder of Cuccinelli's own ethical challenges with Star Scientific. If Bolling assumes the governorship, not only will Cuccinelli still be under an ethical cloud, but the new governor will be a daily reminder of how even mainstream Republicans view him as too extreme."

Bolling's comments over the last few months to a spate of news organizations seem tailor-made for negative television ads and mail pieces: "Don't believe us? Here's what Virginia's own Republican governor had to say about Ken Cuccinelli ..."

Bolling has even left the door open to voting for Cuccinelli's Democratic opponent, Terry McAuliffe, who, he kindly pointed out, "takes a more pragmatic approach to politics and to governing."

At the moment, it doesn't seem the Bolling-as-governor scenario will come to pass.

Bolling is close with McDonnell and certainly isn't angling for the job. Though he's had designs on the governorship for years, taking over for McDonnell in the wake of scandal, with regular legislative business wrapped for the year, isn't much of a prize. Nor could Bolling suddenly decide to run for a full term -- the filing deadline to run in November passed in June.

Barring another devastating disclosure about the investigation, the only real pressure point for McDonnell as he braces for a tough final six months in office would be a chorus of resignation calls from legislators in his own party. But so far, not a single prominent Republican has called for McDonnell to leave office.

Meanwhile, McDonnell has hired a Washington-based crisis communications consultant and former U.S. attorney to fight back against federal investigators, and some of his supporters launched a legal defense fund last week.

Those aren't the actions of a man preparing to step aside.

But if he does, Cuccinelli and Virginia Republicans might only be trading in one headache for another.

@highlight

Lieutenant governor says he has reservations about fellow Republican running for governor

@highlight

Bill Bolling feels Ken Cuccinelli jumped line to run for state's top office

@highlight

Gov. Bob McDonnell has been embroiled in scandal over gifts to him and his family

@highlight

Cuccinelli is backed by the tea party; Bolling had support from establishment