(CNN) -- The Chicago teachers strike has forced into the open a debate about school reform that has simmered for several years.

On one side are "reformers" such as Mayor Rahm Emanuel, who have been pushing for the expansion of charter schools, the use of test scores to evaluate teachers, the replacement of veteran teachers with those who are alternatively certified through programs such as Teach for America and the closure of "failing schools."

The mayor claims these changes will improve public education, although there's been scant evidence to support his proposals.

On the other side is the Chicago Teachers Union, which has been clear about what it opposes: Closing schools, expanding charters, for example, but less clear about what should be done to improve schools. On Friday, both sides reached a tentative deal, but the strike is not over until union reps vote, which is expected this weekend.

Let's be straight: Chicago's public schools desperately need to change.

They have some of the highest dropout rates in the nation, and many schools are chronically unsafe and ineffective. But the district has been undergoing reforms for several years now. Before Emanuel, the chief architect for change was U.S. Secretary of Education Arne Duncan, CEO of Chicago Public Schools from 2001 to 2009.

In fact, many of the reforms now embraced by Emanuel -- expanding charter schools, replacing failing schools with new schools -- started under Duncan (and former Mayor Richard M. Daley). The question we should be asking is: Why haven't they worked?

Clearly something is still not right in Chicago given that only 44.6% of Chicago Public School students meet or exceed the Illinois Learning Standards; and in 2011-12 of the 598 schools in the system, 443 did not achieve "adequate yearly progress" for two consecutive years; and 523 schools had an overall rating in 2011 of "no," indicating that they did not make AYP.

In an exhaustive study of many of the reforms carried out during the Duncan years, Tony Bryk and his colleagues at the University of Chicago found that the following elements are essential to sustained school reform: effective leadership, parent-community ties, professional capacity (teacher effectiveness) and a student-centered learning environment.

They also found that in the schools where poverty was most heavily concentrated, the reforms failed to generate sustainable improvements because the schools were overwhelmed by poverty's effect on the lives of children.

It is important to note that the researchers did not conclude that poverty itself was a learning disability. Rather, the study found that if the effects of poverty -- poor nutrition and health, housing instability, violence, neglect, etc. -- were not addressed, student achievement and school performance suffered.

Unlike the mayor, the teachers union has acknowledged this problem and called for more social workers and social services at high poverty schools.

In a city where more than 80% of school age children are poor, this is a good start but it doesn't go far enough. Struggling schools in Chicago also need to be able to attract and retain good teachers, and the union has opposed replacing teachers at the failing schools. Unlike the union, the mayor has emphasized the need for urgency in improving the school system since his election.

The union must acknowledge that the system needs an effective way to evaluate teachers and an expedited process for removing those who are ineffective. If the union rejects using test scores as a basis for evaluation -- and the research shows that using test scores in this way is both prone to inaccuracies and could create disincentives for teachers to work with the neediest children -- then it must put forward another model that is workable.

"No" is not an answer. The problems created by ineffective teachers are real and cannot be ignored.

The real losers in this strike are the children of Chicago, and not just because they have been left out of school for a few days but because they will be forced to return to too many inadequate schools when the strike is resolved.

Emanuel must stop his bullying tactics, and the union must put forward its own proposals for change. Both parties must begin working together to create the schools that the children of Chicago deserve. This must include comprehensive plans for addressing the effects of poverty, but it must also include plans for improving the quality of teaching and the performance of schools.

Chicago would do well to learn from the example of Boston, which also has been under mayoral control for several years and has been a leader in reform despite the presence of a strong union.

Several of its pilot schools, which function as in-district charters, are top performing schools, and it has also succeeded in turning around struggling schools such as Orchard Gardens. The big difference is that reforms in Boston have been carried out with teachers and not on them.

Today, Boston is also one of the top performing urban school districts in the nation, and the union just agreed to a contract that includes rigorous evaluation and uses student test scores in the formula.

It's amazing what can be accomplished when the adults work together in the interest of children.

It would be a good idea if educational leaders in Chicago spent more time working together for change and improvement and less time pointing fingers.

The opinions expressed in this commentary are solely those of Pedro Noguera.

@highlight

Pedro Noguera: Whatever outcome of teachers strike, it's clear schools need change

@highlight

He says they face high dropouts, low ratings, poor student progress, high poverty

@highlight

Sides must deal: Union must see need for good teachers; mayor must stop bullying

@highlight

Noguera: Even with deal, students will return to substandard schools