Beijing (CNN) -- The rundown of recommended stories on some popular Chinese social media sites showed nothing extraordinary this week until users looked a little more closely.

On the Sohu Weibo platform for example, the characters on the homepage had been arranged to read "Hang in there, Southern Weekly," but only if read vertically, from top down. Another site, 163.com, structured its homepage in a way that the first character of the top six rows of news combined to read "Go Southern Weekly Go!"

They were referring to the wave of anger this week against alleged government censorship at the Southern Weekly, a newspaper based in the southern Chinese city of Guangzhou.

For two days, journalists at the paper and hundreds of their supporters have gathered in front of the Southern Weekly offices holding posters calling for free speech and condemning press censorship.

"This is an attack and suppression of press freedom and the people's right to know the truth. It is not right," said one unnamed protester.

"I came over here to say the Southern Weekly is not alone," explained another.

Some of the mostly young protesters carried flowers as a symbol of grief, while one woman came with a face mask plastered with Chinese characters explaining it was a "biyantao," or a condom to prevent speech.

They demanded the resignation of Tuo Zhen, the Communist Party propaganda chief in the southern province of Guangdong, amid claims that an editorial calling for political reform was re-written as a tribute to Communist Party rule.

This rare protest poses a test for Xi Jinping, the newly installed Communist Party chief, who is just beginning to define his agenda as the paramount leader governing a massive country in a state of flux.

It also represents a serious dilemma for the Communist Party in an era of social media and micro-blogging.

It started with a posting on Weibo, China's Twitter-like social media site, complaining that the Propaganda Department in southern Guangdong province had rewritten the paper's annual New Year's editorial without the knowledge of the editors.

It was originally titled "China's Dream of Constitutionalism," but when it was printed it was revised to read "Chasing the Dream," which echoed the official Communist Party line. The censors also added text that contained factual errors.

Soon enough China's social media witnessed a torrent of postings condemning Party censorship and supporting the Southern Weekly.

The controversy brings to light the role of propaganda czars who supervise the flow of information in China.

To be sure, Chinese media has become more diverse in the past three decades, thanks to China's gradual reforms and opening up. Over the years, the local press has been given a bit more room to report about different topics and to do so differently, especially on non-political issues.

But government censorship has never stopped and most media groups are still owned and run by the state.

The Propaganda Department regularly issues written or oral directives about what news should or should not be reported and how this should be done. So one can only imagine the frustrations editors and journalists endure when faced with censorship.

The Southern Weekly is not new to censorship-related controversy. Over the years, it has shown a liberal leaning. Within the allowed space, it produces stories that are relatively fresh, probing and even daring.

"Some of our essays, exposes and muck-raking stories have tried to push the margin," said a former reporter, who requested anonymity.

"We call them 'edge-ball' stories, just like playing table tennis, when you make points not with hard smashes but with slight, subtle hits."

For that, some of its editors and reporters have gotten into trouble with the propaganda czars. For that, too, it has earned respect and attracted a loyal following, especially among the youth, urbanites, and intellectuals.

On Friday, foreign ministry spokeswoman Hua Chunying insisted there was no press censorship in China and the government protects press freedom according to the law.

But there are apparent attempts to rein in the media, especially popular micro-blogging services, which are used to expose problems and abuses that may embarrass the government.

Meanwhile, search terms related to Southern Weekly are being blocked.

Just how big a threat the demonstrations pose to Xi's new regime remains unclear. It is also unclear where Xi stands on the issue of press censorship and free speech.

Some analysts wonder whether Xi or the central government supported the actions of Guangdong officials.

Some blame the row squarely on Tuo Zhen, the newly appointed provincial propaganda chief. One observer in Guangdong blamed his "behavior and work style" for causing the row.

But others see the controversy as bigger than just the Guangdong Propaganda Department versus the Southern Weekly.

"It is a publicity crisis for Xi Jinping's new administration," said Xiao Qiang, a founder and editor-in-chief of China Digital Times, a U.S.-based site monitoring China's Internet and media issues. "Its political credibility and ability to lead is now being tested.

"When the top leadership seems not resolute and clear, a smaller event moves into the national public sphere, and the state even just slightly loses control of the message in the media and Internet space."

For the Global Times, however, the message is clear.

"No matter how the Chinese media is regulated, they will never become the same as their Western counterparts," the government-backed media group said in an editorial. "This should be the basic judgment of Chinese media professionals.

"China's political system differs from the West's, and the media cannot separate itself from a country's political reality. The only way that fits the development of Chinese media is one that can suit the country's development path."

According to the China Digital Times, the Central Propaganda Department has issued an urgent directive telling media groups at all levels that:

-- State-run media is an unswerving basic principle

-- The "mishap" at Southern Weekly has nothing to do with Guangdong propaganda chief Tuo Zhen

-- The incident's development is due to the "meddling by hostile forces"

The directive told all editors, reporters and staff to discontinue voicing their support for the Southern Weekly and ordered all media sites to prominently republish the Global Times editorial.

@highlight

Protesters are angry at alleged government censorship at the Southern Weekly in China

@highlight

They claim editorial calling for political reform was re-written as tribute to Communist Party

@highlight

Government censorship has never stopped and most media groups are still owned by state

@highlight

Chinese officials say government protects press freedom according to the law