LONDON, England (CNN) -- From the fingerprints and digital imaging stored on e-passports, to iris scanners set up at airport immigration, biometrics are a growing part of the traveller experience.

Biometrics are a growing part of the traveller experience. It is estimated $7.3 million will be spent on them by 2013.

Though some of the technology might seem like the stuff of science fiction fantasy (or nightmare, if you take the view of many civil liberty campaigners), the economics are very real.

According to a recent study by market research firm ABI, investment in biometrics will drive global spending in the field to $7.3 billion by 2013, up from around $3 billion this year.

The use of biometrics (broadly defined as technologies that identify people via physiological characteristics) has expanded rapidly in recent years. Almost every major hub airport has either begun using the technology, is trialling it or else has plans to do so.

Biometric passports are fast becoming the norm with some countries like Germany storing fingerprint scans in chips on all new ones issued. In Britain, iris scanners have been introduced at a number of airports, including all five Heathrow Terminals to allow travellers to bypass normal border controls.

Meanwhile, the U.S. Department of Homeland Security plans to extend a program to fingerprint all foreign nationals entering the country. They are trialling it at Washington's Dulles airport and plan to roll it out to all international hubs by the end of the year.

The concept of biometrics has existed for some time - the first commercial application of a fingerprint reader dates back to 1984. So why the sudden interest?

It has been due in part to security concerns prompted by terrorist atrocities like the September 11 attacks in New York, and in part because of major advances in technology.

"In the last couple of years the technology has leapt forward in terms of its reliability, its accuracy and its robustness," says Nick Morse, from UK Biometrics, a supplier of biometrics technology to the British market.

Certainly there is a dizzying amount of new technology being developed for the market.

Iris-recognition scanners may eventually be superseded by retina scanners, which experts say provide a more accurate measure of identity.

Meanwhile, fingerprinting scanners, which critics have blamed for inaccuracies, are being refined to scan below the skin, meaning that anyone wearing fake latex fingerprints would be detected.

Other emerging technologies are palm and finger vein readers. Already in use in the banking sector in Japan, these scanners are thought to be more accurate than fingerprinting since a person's fingerprint alters in childhood whilst palm and finger vein patterns remain unchanged from the womb.

The idea of having your identity tagged from birth brings many of us out in a cold sweat, and is the reason large swathes of the public remain vehemently opposed to the concept of biometrics.

John Verdi, from the Electronic Privacy Information Center, a civil liberties NGO based in Washington, says one of the biggest concerns about biometrics is the risk of identity theft.

"The difference with biometrics and the reason it presents a substantial threat is that if your passport is stolen, the government can reissue you a new passport number and you can move on with your life," he tells CNN. "If your biometrics are stolen, short of hacking off your finger there's no way for consumers or travellers to reacquire their identity."

Morse, from UK Biometrics, on the other hand, insists that much of the fear is borne out of a misunderstanding of the technology. Fingerprint scanners, for example, which his firm specializes in do not store fingerprints on a central database where they could be snooped on by governments and other agencies.

The fingerprints are stored in a cryptic format on a standard PC, which he insists could not be reconstituted to create the actual print. Fears of Big Brother aside, the use of biometrics in air travel faces other more pressing logistical problems.

Creating a harmonized system that speeds up rather than impedes the immigration process remains the biggest challenge. There have already been major teething troubles.

According to the UK Border Agency, the new iris-recognition scanners installed at UK airports should get you through immigration in around 20 seconds.

However, problems with their introduction, not least many more fliers than expected registering, have meant queues for the so-called "fast-track" scanners have often exceeded normal immigration.

With so many different technologies being used to varying degrees by airport authorities around the world, getting everyone to adhere to a single global standard is another major obstacle.

The International Civil Aviation Organisation (ICAO), the U.N. body that oversees air travel recognizes facial recognition as its primary biometric standard, with iris and fingerprints accepted as the two optional identifiers.

Tony Concil, a spokesman for the International Air Transport Association (IATA) admits that implementing this global standard will not be easy. "What we need to do is try and get these elements talking to each other, and also to start thinking of it as a complete process," he says.

Morse believes this is easily achievable in the next few years and then, like it or loathe it, he says the age of biometrics will truly be upon us.

"I think the day of the almost totally biometric airport is very nearly with us."

@highlight

Biometric technology identifies people via physiological characteristics

@highlight

It is fast becoming a reality in most major airports worldwide

@highlight

Civil liberties groups say biometrics increase the risk of identity theft

@highlight

Facial recognition is accepted by the U.N. as the global biometric standard