(CNN) -- Police in Boulder, Colorado, want to talk to the older brother of JonBenet Ramsey, the 6-year-old girl slain at home on Christmas night 14 years ago, the Ramsey family's attorney said.

Supporters of the family call it harassment. The brother, Burke Ramsey, has no interest in once again answering questions he has answered for many investigators many times, said the attorney, Lin Wood, of Atlanta, Georgia.

And yet the mere hint of activity in one of the nation's most famous cold cases has headlines swirling.

So, what's the story this time? Burke Ramsey was the 9-year-old brother of JonBenet who, by all accounts, slept soundly in his room that Christmas in 1996 while his sister's skull was fractured and she was strangled elsewhere in the house.

Now, he's 23, and although police investigators aren't talking, the family's lawyer is. Wood said police investigators approached Burke Ramsey on his college campus in the spring, gave him a business card and said that if he wanted to talk about the case, they'd like to hear from him.

Investigators, no doubt, are hoping that locked in Burke's memory is some clue that could crack the case; maybe it's a detail that he was afraid to mention as a child or as a teenager but that he now wants to discuss.

But police will have to keep waiting. Wood says his client has declined their latest request to talk.

Good for him, say some journalists and legal analysts in the Colorado foothills who have long followed the story.

"Burke Ramsey has been completely cleared," said Denver attorney Larry Pozner, who has no direct involvement with the case but has been sharply critical of how authorities have handled it.

"The Boulder police engaged in a crime scene search and preservation that was worse than amateurish. It borders on criminal," Pozner said.

The police have always defended their work on the case, but despite all the scrutiny, all the hours of investigation, nothing came of their efforts.

It's hard to remember now, but the death of JonBenet was little more than a tragic local news story that holiday season until her parents appeared on CNN.

John and Patsy Ramsey turned the story into a sensation when Patsy, crying and shaking, told the nation: "There's a killer on the loose. I don't know who it is. I don't know if it's a she or a he, but if I were a resident of Boulder, I would tell my friends to keep your babies close to you. There's someone out there."

The interview unleashed the now famous pageant video, the disquieting cheesecake photos of JonBenet and a national debate: How could a 6-year-old girl be killed in a quiet neighborhood, and no one see or hear a thing?

The early evidence seemed to point toward the parents. There was no sign of forced entry into the Ramsey home, no footprints in the snow surrounding it. The rope used to choke JonBenet was tightened with a paintbrush from her mother's hobby kit.

An alleged ransom note (remember, this was first thought to be a kidnapping) was written on a pad of paper from inside the house, and some investigators thought the handwriting looked like Patsy's. It contained details about the family's past and finances that few outside their close circle could have known. And the body was found in a little-used basement room that police didn't even notice at first.

Investigative reporter Julie Hayden, who tracked the case all those years ago, said people were asking how a stranger could have pulled it off.

"It's sort of like a puzzle," she said. "How do you put all of those pieces together? Was it an intruder? If it wasn't an intruder, how on Earth did this happen? But on the other hand, how could somebody do that to their own child? It's got to be one or the other, you know? Somebody killed JonBenet."

The Ramseys ramped up public suspicion, whether they meant to or not, when they hired lawyers and a publicist. Their relationship with investigators grew noticeably strained.

Each possible break in the case, each supposed suspect over the years, proved worthless or a fraud. Two years ago, the district attorney said that new DNA testing methods had cleared all family members of suspicion.

John Ramsey appeared relieved. "We're certainly grateful for an acknowledgement that we are innocent, this was an intruder, which of course we've always maintained."

Yet here investigators are, once again, knocking on Burke Ramsey's door. Attorney Scott Robinson, who has closely watched the case, said that even if JonBenet's brother knows something, so what?

"Even if Burke were to have some miraculous memory that could lead to the arrest of a suspect, that information would be so dated and so questionable that most criminal defense attorneys would have a heyday with it at trial," Robinson said. "It's very problematic to be using information that would be so stale from an individual who did not remember it before."

The main adult figures in the Ramsey case are almost all gone -- to other jobs; other cities. Some, including Patsy Ramsey, have died.

They leave behind unanswered questions and one terrible fact: A 6-year-old girl was killed, and 14 years later, no one has spent even a day in jail for her murder.

Like many who have followed the Ramsey case from the start, Robinson doubts the killing will ever be solved.

"The colder the case gets, the colder the trail gets."

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Police say they want to talk again with JonBenet Ramsey's older brother, Burke

@highlight

Burke Ramsey has nothing to tell them, says family lawyer Lin Wood

@highlight

JonBenet Ramsey was killed in her family's home on Christmas night 1996

@highlight

Police have cleared family members, but no one has been arrested in the case