Boca Raton, Florida (CNN) -- At 13 years old, Nickolaus Dent is his mother's primary caregiver.

He's responsible for the grocery shopping and cooking. He cleans the house. He does all the laundry.

His mother, Janine Helms, has been battling HIV for as long as Nickolaus can recall, and her health has deteriorated in the last couple of years. Nickolaus makes sure she takes her medication. He often helps her get dressed, and at times, he has helped her bathe.

Nickolaus' father died two years ago. Since then, ensuring Helms' well-being has been a full-time job for Nickolaus, leaving him with little energy to socialize or study.

"It does make it hard to pay attention in class," he said. "Helping her out is a bigger priority than going to school and getting (an) education, because I feel if I don't have her, I don't want to go to school. Whatever happens to her happens to me."

Nickolaus is just one of the estimated 10,000 youth caregivers living in Palm Beach County, Florida, according to the American Association of Caregiving Youth. The nonprofit, founded by county resident Connie Siskowski, was instrumental in bringing this previously unrecognized population to light in 2002, and it has since provided support to more than 500 area youths who are caring for an ill, disabled or aging family member.

"No child in the United States should have to drop out of school because of caregiving," said Siskowski, 65. "These children suffer silently behind closed doors. ... They don't have the help and the support and the recognition that they need."

According to a 2006 study conducted by Civic Enterprises for the Bill and Melinda Gates Foundation, 22% of high school dropouts in the United States leave school to care for a family member (PDF).

It's these children who Siskowski had in mind when her group started the Caregiving Youth Project at Boca Raton Middle School. The project, the first of its kind in the nation, aims to intervene early on in the academic lives of youth caregivers.

Special classes, led by a mental-health professional or social worker, cover topics such as coping with stress and anger, managing finances and setting goals.

Periodic field trips and overnight camps offer recreational, social and educational activities. There are home-care demonstrations and workshops.

The program also makes teachers and school administrators more aware of the children's extenuating circumstances and how they can lead to truancy, absenteeism and dips in academic performance.

The hope is to reduce the negative effects -- anxiety, depression and feelings of isolation -- that caregiving responsibilities can have on a child's mental, physical and emotional health.

"We can't change the health condition of the person (receiving care)," Siskowski said. "But what we can do is provide the skills and the resources and the value to the children so that they can have a little more balance in their life. And also so that they know that they're not alone."

Since 2006, the program has been introduced into eight area middle schools and followed hundreds of students into 17 area high schools.

"We stay with them to graduation, and it's amazing," Siskowski said. "We've watched these kids grow up before our eyes. It's nothing that happens overnight, but it's very gratifying. It's like, 'OK, there's one more kid that's going to make it.' "

Nickolaus joined the program last year. The group provided him with a computer, a bed, clothing and tutoring. Now, he has raised his grades and aims to make the honor roll. He was also able to attend the group's overnight camp while a nurse's aide stayed with his mom.

"I found out there are more people that do the things I do, and some do more," he said. "Now I'm getting As and Bs, and I feel more confident in school."

Children in the program are also offered a home study by a medically licensed staff member or contractor who assesses what skills and resources are most needed to support a child. Working with dozens of community partners, Siskowski's group helps families with unique needs.

"We've provided clean-water systems and enlisted the support of community members to build wheelchair ramps or relocate a family from a moldy environment," said Siskowski, whose group relies solely on donations and grants. "We've provided in-home tutoring, light cleaning, translation and transportation support, counseling, access to medical care, financial assistance and food resources.

"We've donated computers and printers. And slow cookers, as we've had several fires in homes where children are cooking for their families."

Do you know a hero? Nominations are open for 2013 CNN Heroes

Siskowski knows the toll that caring for a loved one can take. As an 11-year-old, she cared for her grandfather until his death two years later. She remembers waking up at 2 a.m. to give him his medication and finding that he had died.

"I don't think I realized he was going to die. No one prepared me for that," she said. "It was very traumatic. But way back then, nobody really appreciated the trauma or the impact of losing someone."

Siskowski became a registered nurse in 1967 and has worked in Florida's health-care community for decades. Over the years, she has witnessed how technological advances have affected aging baby boomers and their families.

"People are living longer," she said. "We have much more technology and electronics that are available. ... More and more people who maybe yesterday would've been in a nursing home are being cared for at home. And so that puts a burden on a family.

"The hospital is in a unique situation. ... Technically, they're supposed to be able to give instruction to a caregiver. But sometimes that caregiver is a child."

The tasks can be sophisticated, too, from monitoring respiratory devices to cleaning catheters and preparing syringes. And not all of the children are caring for just one parent like Nickolaus. Others have to care for multiple family members, including siblings.

A report released in 2005 (PDF) by the National Alliance for Caregiving and the United Hospital Fund said there were at least 1.3 million caregiving youths, ages 8 to 18, nationwide. It's a population that has been virtually hidden for several reasons, including the reluctance of many sick parents to go public with their infirmity.

"Parents are embarrassed to tell school members, or the principal, that they have medical problems. ... Their pride goes out the window, and most feel more vulnerable," Helms said.

Children also fear trouble for themselves and for their families. While they might know that too many truancies and absences could land them in court, they're often more fearful that a parent could be deemed incapacitated and the family split up.

"Children are afraid to reach out because they don't want to be taken away from the parent," Helms said. "It's scary. And people don't want to be near you when you have an illness. It's just as hard on the disabled parent as it is the child, to open up. That's why it's kept like under the table."

Siskowski and her group are determined to create other options and provide other solutions. She says the first step is acknowledging youth caregivers and telling them they are not alone.

"We have definitely turned around lives and kept kids in school because they feel valued," she said. "They never knew anyone noticed or cared.

"It can turn their frustration and anger and flip it around to feel valued and supported in the role they are having for the family as well as society. If they weren't doing some of the things they are doing, who would be?"

Want to get involved? Check out the American Association of Caregiving Youth website at www.aacy.org and see how to help.

@highlight

In many U.S. households, children have to take care of sick or aging family members

@highlight

A group started by CNN Hero Connie Siskowski is helping support these young people

@highlight

There are an estimated 10,000 youth caregivers in her Florida county alone

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes