Tucson, Arizona (CNN)  -- Last week during the day, some kids in Ciudad Juarez, Mexico, were playing soccer in a park when a car slowed down, guys got out and executed a 13-year-old boy. And then they drove away, unmolested in a city with 11,000 army and police officers.

The Mexican government repeatedly states that 90 percent of the deaths in the current drug war are of people who are dirty; that is, criminals involved in the drug business. The killings of reporters and of innocent women, men and children continually belie that statement.

The child was not a cartel member in disguise. Nor were the 15 high school kids killed at a party in a small house in a poor barrio. Their parents had made them hold the celebration of a sports victory at home because it was too dangerous to be out in the city.

I went to Juarez in June of 1995 and never seem to escape the pull of the place. The city then was controlled by Amado Carrillo Fuentes, then the head of the Juarez cartel. Drug Enforcement Agency intelligence told me he was raking in $250 million a week.

American factories were erupting out of the ground in the wake of the passage of NAFTA. Huge districts of shacks made out of stolen pallets and cardboard boxes were growing faster than the city could map. These shacks were filled with people working full time in those American-owned factories. Murders ran around 250 a year and sometimes the cartel left bodies on the street wrapped in yellow ribbon. Carrillo ran the city and yet his name never appeared in the newspapers nor was mentioned on radio and television.

I thought I'd stumbled into hell.

Now the city is dying. About 5,000 people have been slaughtered in Ciudad Juarez in 27 months. It is a destroyed city where 25 percent of the houses are abandoned and 40 percent of the businesses have closed. There were 2,600 murders last year and killings are going on at a faster clip this year. At night, no one is on the streets.

I realize that I was a fool in 1995. I had not stumbled into hell. That was the golden age.

But one constant remains: No matter how many die in Juarez, no matter how low the pay in the American factories, the U.S. government insists the War on Drugs is being won and that NAFTA is a big success.

The Mexican War on Drugs is not lost: it never seriously began. The drug industry is an essential prop under a faltering Mexican economy and has been so for more than 20 years, since the peso crisis of the early 1980s. The money flows into the hands of countless government officials, into the banking industry and into many investments in Mexico.

More people die each day as the government of President Felipe Calderon uses the Mexican army and the federal police to try to get the illegal drug industry under control. Calderon was elected by a razor-thin margin and followed the custom of Mexican presidents by immediately making a show of force. But he badly underestimated the power of the drug industry.

The profits are estimated by many analysts to be between $30 billion and $50 billion a year, although it's notoriously difficult to track. But it is not a piddling sum in a country where oil is the official highest earner of foreign currency and supplies 40 percent of the federal budget. But the oil is running out. Calderon has publicly stated that the oil fields will be gone in 10 years or less.

The next big earner is human flesh, the millions of Mexicans who have fled the economic doom of their nation and send more than $20 billion a year home from the United States. But the recession and job losses in the U.S. have cut into that source.

Tourism ranks third in legitimate sources of money for Mexico, but in a nation where heads keep getting lopped off, tourism isn't thriving.

The illegal drug industry in Mexico employs hundreds of thousands of people. No one knows the payroll, but certainly it includes many people in the army, the 3,500 separate police forces and the government from top to bottom.

It's difficult to make a living wage legitimately here. The pay varies, but in Ciudad Juarez, one of the most violent cities on Earth, the starting salary in the 400 foreign-owned factories, mainly American, is about 40 bucks a week.

There are 500 to 900 street gangs. No one can live on the pay offered by these factories. In a country with 50 percent of the population living in poverty, the turnover in these plants runs from 100 to 200 percent a year. No one can live long in a gang -- but for a while, a kid can live well and feel that his life is a dream of money and power.

The U.S. approach to the killings in Mexico never looks at an economic reason, just as the consequences of our free trade treaty (NAFTA) are never brought up.

The effects wrought by NAFTA launched one of the largest human migrations in the world as poor Mexicans fled collapsing industry and agriculture. Border Patrol statistics show that the number of Mexicans entering the U.S. illegally skyrocketed within two years of the passage of NAFTA.

We also never question our four-decades-old War on Drugs, which has produced cheaper drugs of higher quality at lower prices in thousands of U.S. cities and towns. It has helped create one of the largest prison populations in the world. If our drug policy were a ship, it would be called the Titanic.

Anyone who questions the propaganda of the U.S. government on the violence in Mexico, on our War on Drugs or on our free trade agreement is told to come up with a solution, some silver bullet that instantly slays the dragon. But our policies over the decades have created a disaster, and it will take years to reverse the damage these acts of government have inflicted.

The time to start is now. Let's address the true and lethal nature of Mexico's war on drugs -- one we are in part bankrolling under the Merida Initiative to the tune of half a billion dollars per year, often tossed into the murderous hands of many in the Mexican army.

We need to have a public discussion of the obvious: Legalize drugs or keep caging Americans for taking drugs -- unless of course they are booze, tobacco or happy pills from the doctor -- and keep financing the murders of Mexicans.

The first thing to do if we want to come clean about the slaughter in Mexico is start smelling the coffee. We share a 1,900-mile border. We share a history and people. At least 10 percent of the Mexican people now live in the United States as economic or political fugitives.

Recently, the secretaries of State, Homeland Security and Defense flew to Mexico City and promised the Mexican government we would continue exactly the same polices as in the past. I have been told I should be reasonable. I am. And I expect the same of my government. Building prisons and lending support to a murderous war on drugs must stop, and digging deep into the economics and politics behind the hellish state of affairs must begin.

It's a testament to the Mexican people that no matter how hard life is in Juarez, they seem to endure, raise families, smile and try to create a better future. As a Mexican friend told me, "I love Juarez, it is such a needy city."

It is poor and dangerous, a tapestry of one-story buildings. But once you know Juarez it haunts you no matter how you try to flee.

The opinions expressed in this commentary are solely those of Charles Bowden.

@highlight

Charles Bowden: 5,000 killed in Juarez in 27 months, one of most violent cities on Earth

@highlight

Bowden: Innocents die in crossfire among cartels, army, police

@highlight

He says drug trade is a source of money for the Mexican economy

@highlight

Bowden: U.S. must face NAFTA's failures and the lethal results of "war on drugs"