(CNN) -- The graphic footage of the wooden boat carrying up to 100 Iranian, Iraqi and Kurdish asylum seekers as it wrecked last week on the cliffs of Christmas Island has been seen around the world.

At least 30 bodies have been recovered. Eighteen are still missing and presumed dead. Three children have been orphaned.

The scenes have stunned residents of Christmas Island, an Australian territory in the Indian Ocean. Many residents tried in vain to assist those thrown into the sea as their boat broke apart.

The disaster itself raises serious questions. How was it possible the boat could get so close to Christmas Island without the Australian navy being aware of its pending arrival?

Emergency services might not have been as prepared as they should have been. A commissioned report by the Australian government in January said, "Some key island stakeholders such as medical, transport and port authority staff are not informed of the arrival of a vessel until the last possible moment."

Certainly the navy, which systematically patrols the waters between Indonesia and Christmas Island, was caught napping. It took an hour and half for a small navy boat to arrive to render assistance.

But the bigger questions concern the Australian government's asylum polices and the arrival of refugee boats. More asylum seekers arrive in Australia by plane than by boat. There is no hysteria about their arrival. They are not routinely detained.

The 20 pilgrims from Zimbabwe, Burundi, Kenya and Pakistan who applied for asylum following the Catholic Church's World Youth Day in Sydney in 2008 were not branded as "queue jumpers."

But boat arrivals elicit a different response. Subject to mandatory detention on arrival, more than 5,700 asylum seekers -- including more than 800 children -- are in detention centers, with 2,700-plus on Christmas Island. More than 2,000 have been in detention for more than six months, and that figure is growing.

Refugee boats were a major feature of this year's federal election. Both major political parties campaigned on being tough with asylum seekers. In the wake of the election, public opinion has shifted against asylum seekers.

But it is the policies of the Australian government that are largely responsible for pushing asylum seekers to get on boats to make the sometimes risky journey from Indonesia.

The tragedy highlights three features of Australia's refugee policy that must change.

First, Australia has increasingly pressured the Indonesia government to detain asylum seekers -- whether or not they are mandated refugees under the U.N. High Commissioner for Refugees, or UNHCR. Seekers are held in detention centers sometimes funded by the Australian government. This in itself is a strong incentive for asylum seekers to leave Indonesia as soon as possible.

Second, until this year, Australia did not routinely resettle UNHCR refugees from Indonesia. This year, the Australian government said it will take 500 refugees from Indonesia, although, so far, fewer than 100 have been resettled, and the government has not guaranteed numbers for the future.

It sometimes takes months for UNHCR to register asylum seekers and then more months for those claims to be processed. Once determined to be refugees, they can wait years for the UNHCR to find a country willing to resettle them. Understandably, other resettling countries consider asylum seekers in Indonesia to be Australia's responsibility.

The lack of any guaranteed resettlement is another powerful incentive for asylum seekers to take the boat journey from Indonesia to Australia.

If Australia were willing to process asylum seekers and guarantee resettlement, far fewer asylum seekers would want or need to take the boat journey. Yet Prime Minister Julia Gillard's Labor government takes proportionally fewer refugees than was the case under the conservative John Howard government.

Third, the Australian government's move to criminalize people-smuggling (and by association asylum seekers themselves) in Indonesia and Australia also provides a powerful disincentive for asylum boats to contact Australian authorities should they require assistance.

A year ago, the Australian government called on the Indonesian government to intercept a boat of 253 Tamil asylum seekers. After a standoff at the Indonesian port of Merak, the Tamils were imprisoned at Tanjung Pinang, although all but 17 were found to be refugees.

While the extreme weather may have been the immediate cause of the disaster at Christmas Island, just as surely, government policies drove that boat onto the cliffs.

The pursuit of cheap electoral advantage has motivated successive governments to adopt such punitive policies. They behave as if there is a crisis when there is none. Those policies have cost the lives of at least dozens of people and scarred the lives of thousands of others who have been detained.

In the Christmas Island tragedy, there is also an opportunity for a drastic shift in policy. Refugee advocates and members of the Labor Party have urged the government to seize this moment to implement a truly humanitarian policy.

Whether Australia's political leaders have the courage to make the shift remains to be seen. But the lives of future asylum seekers depend on their response.

The opinions in this commentary are solely those of Ian Rintoul.

@highlight

Ian Rintoul: Dozens of asylum seekers die in boat wreck off Australia's Christmas Island

@highlight

Rintoul: Questions raised about response of Australian navy, island emergency services

@highlight

Australia pressures Indonesia to detain asylum seekers, so they leave in boats, Rintoul writes

@highlight

Detention policies, failure to resettle people lead to tragedies like Christmas Island, he says