(CNN) -- Florida recorded its first death connected to the outbreak of a rare, noncontagious form of meningitis, raising the toll Tuesday to a total of 12 fatalities nationwide.

Earlier in the day, federal authorities reported 11 deaths and 119 persons becoming ill in the outbreak, the Centers for Disease Control and Prevention announced Tuesday. Those figures were an increase from Monday's count of eight deaths and 105 illnesses.

Florida health officials also reported a total of six cases connected to the outbreak -- all in Marion County.

That figure -- one more than federal officials have so far counted in Florida -- means that a total of 120 persons nationwide have become ill, according to state officials.

The outbreak is linked to contaminated steroid injections, and as many as 13,000 people may have received the medicine between May 21 and September 24, the CDC said.

The death of a 70-year-old Florida man occurred in July, prior to the discovery of the contamination, the state's health department said.

"Our disease investigation process discovered the link of this individual's death to the contaminated medication," State Surgeon General and Secretary of Health Dr. John Armstrong said. "We will continue to work closely with our health partners to ensure that individuals who may have received the contaminated medicine are treated immediately."

The number of reported cases grew significantly in recent days as federal and state authorities continued to investigate the outbreak.

Tennessee is the hardest-hit state, with 39 infections and six deaths, according to the CDC.

Of the remaining deaths, three occurred in Michigan and one each in Maryland and Virginia, the CDC said.

Patients contracted the deadly fungal meningitis after being injected in their spines with a preservative-free steroid called methylprednisolone acetate that was contaminated by a fungus. The steroid is used to treat pain and inflammation.

Meningitis outbreak: Your questions answered

The New England Compounding Center (NECC), the Massachusetts-based pharmacy that made the contaminated injections, voluntarily recalled three lots of the injected steroid last week.

On Tuesday, President James T. DeVita of the Massachusetts State Board of Registration in Pharmacy sympathized with the individuals affected by the contamination.

"On behalf of the board, I want to express our deepest sympathy for the patients and the families who have been impacted by this tragedy," DeVita said, reading from a statement during a board meeting. He added that "NECC voluntarily surrendered its license and recalled all implicated products."

On Saturday, the pharmacy announced a voluntary nationwide recall of all its other products as well. NECC said the new recall was being announced out of an abundance of caution and that there is no indication any of its other products are contaminated.

The Food and Drug Administration has already asked doctors, clinics and consumers to stop using any of the pharmacy's products. Last week, the pharmacy voluntarily surrendered its license to operate until the FDA investigation into the contamination is complete.

Health officials say 75 medical facilities in 23 states received the contaminated steroid injections from NECC.

Other than Tennessee, deaths have been reported in Maryland, Michigan and Virginia.

There are also confirmed cases of the disease in Florida, Indiana, Minnesota, North Carolina, and Ohio.

The other states that received the contaminated products are California, Connecticut, Georgia, Idaho, Illinois, New Hampshire, New Jersey, Nevada, New York, Pennsylvania, Rhode Island, South Carolina, Texas and West Virginia.

Federal health inspectors began inspecting the NECC plant October 1. Inspectors found foreign particles in unopened vials, and after testing one of them, they determined the substance was a fungus.

The investigation is still under way.

Nearly 10% of drugs administered in the United States come from compound pharmacies, according to a 2003 Government Accountability Office report.

Drugs manufactured by compound pharmacies do not have to go through FDA-mandated premarket approval. Instead, state health pharmacy boards are responsible for the oversight and licensing of these pharmacies.

Compound pharmacists create customized medication solutions for patients for whom manufactured pharmaceuticals won't work, according to the International Academy of Compounding Pharmacists.

Meningitis is an inflammation of the protective membranes covering the brain and spinal cord. It is usually caused by an infection, frequently with bacteria or a virus, but it can also be caused by less common pathogens like fungi, according to the CDC.

Fungal meningitis is very rare and, unlike viral and bacterial meningitis, is not contagious.

Symptoms of fungal meningitis are similar to symptoms of other forms of meningitis, but they often appear more gradually and can be very mild at first, the CDC says.

Dr. William Schaffner, chairman of the Department of Preventive Medicine at Vanderbilt University Medical Center, told CNN that fungal infections are not usually mild. He said when a fungus invades small blood vessels, it can cause them to clot or bleed, which can lead to symptoms of small strokes.

In addition to typical meningitis symptoms like headache, fever, nausea and stiffness of the neck, people with fungal meningitis may also experience confusion, dizziness and discomfort from bright lights. Patients might just have one or two of these symptoms, the CDC says.

Health officials say any patients who received an injection at one of the facilities beginning May 21 and who began showing symptoms between one and three weeks after being injected should see their doctor right away.

The earlier a patient gets treatment, the more likely he or she will survive.

Patients are treated with anti-fungal medication, which is given intravenously, so patients have to be admitted to the hospital, the CDC said. Patients may need to be treated for months.

The FDA is urging anyone who has experienced problems following an injection with the NECC product to report it to MedWatch, the FDA's voluntary reporting program, by phone at 1-800-FDA-1088 or online at www.fda.gov/medwatch/report.htm.

CNN's Dr. Sanjay Gupta, Elizabeth Cohen, Miriam Falco, Michael Martinez and Joe Sutton contributed to this report.

@highlight

NEW: Florida records its first death in meningitis outbreak and reports additional case of illness

@highlight

CDC: As many as 13,000 people may have received possibly contaminated injections

@highlight

The outbreak of a rare form of meningitis is noncontagious, the CDC says

@highlight

A Massachusetts official expresses "deepest sympathy" for those affected