(CNN) -- When a sinkhole gobbled up a large rental condo at a resort complex in Clermont, Florida, this week, I wasn't particularly surprised. Hundreds of sinkholes form every year in Florida. They really are not that unusual.

But it is surprising how little we know about them and how much bad sinkhole policy there is in the state. Sinkholes are natural phenomena that form when limestone dissolves bedrock and the overlying land surface collapses.

This is a problem in a state whose population has doubled every 20 years or so in recent decades. For a time, all homes in Florida were required to have sinkhole coverage. But the state legislature passed insurance reforms in 2011. Now, insurance companies must offer sinkhole insurance, but if you are in a high-risk zone, you can easily be turned down for coverage after a rudimentary inspection.

When I tried to get sinkhole insurance for my 1961 concrete block ranch home near Tampa, I was told I needed to get an inspection. I paid $50, and someone came and walked around the house and briefly came inside. I was then told by my insurance company that my home was ineligible for sinkhole coverage. The explanation: There were cracks in the 50-year-old plaster. Who doesn't have cracks like that in an old home?

In February, a sinkhole opened under a home in Seffner, causing the death of a resident, the only known fatality from a sinkhole collapse in Florida in modern history. This home had passed the same inspection that my home failed. It's not clear why.

Sinkholes have affected property values in neighborhoods across Florida: Few want to buy into a neighborhood where there have been sinkholes. Some have lost more than 70% of their investment, and many have walked away from mortgages.

Florida has lax building standards when it comes to sinkholes. Home builders are not required to do detailed assessments of property to assess sinkhole risk, and because telltale signs are out of sight, under the earth, unsuspecting homeowners can buy into an area without knowing that they may be heading for trouble.

There are also few planning rules for building in sinkhole-prone areas. Local governments are happy to gain the taxes from expansive building booms but are unwilling to limit development in high-risk areas or even require investigations where there is risk.

In the face of all this, lawyers have happily stepped into the breach. If you travel across Florida, you will see many billboards advertising legal services to those who are impacted by sinkholes and want what they feel is just compensation.

In fact, due to vagaries of law and science, a sinkhole industrial complex has evolved that includes those lawyers, plus geologists and engineers. While the state's Division of Financial Services does provide helpful advice about what to do if you have a sinkhole, homeowners often have to dive into this expensive world to try to understand what to do if they have a sinkhole on their property.

Surprisingly, the state has not seriously invested in sinkhole science. Although the Florida Geological Survey does provide some key information, there is no clear coordinated research effort on Florida karst landscapes, the landscapes that foster sinkholes. A well-funded sinkhole research institute at the University of Central Florida was founded after a huge sinkhole opened in Winter Park in 1981, but it was defunded a decade later. The state has not reinvested in comprehensive sinkhole or karst research in any thoughtful or meaningful way since then.

Most of the key publications published by the state on sinkholes and other types of karst features in the state date back at least a generation. The state did recently receive a federal grant to study Florida's vulnerability to sinkholes, but there does not seem to be any clear long-term research plan to address the broad problems associated with the region's unique geology.

Florida is failing its citizens in sinkhole science and policy. It is time for the state to get serious about trying to understand this vexing problem. It is also time for policy makers to take another look at insurance, building codes and land use rules, and it's time to rebuild a Florida sinkhole research institute.

The opinions expressed in this commentary are solely those of Robert Brinkmann.

@highlight

Robert Brinkmann: Florida sinkholes all too common, but state's policy on them terrible

@highlight

He says recent law makes it easier for insurers to deny homeowners sinkhole coverage

@highlight

He says builders aren't required to check for sinkholes, and there are few planning rules

@highlight

Brinkmann: State should rethink regulations and land use, revive sinkhole research institute