Austin, Texas (CNN) -- Hoopla surrounding South by Southwest Interactive, the techie festival that wrapped up here Tuesday, has exploded in recent years.

The event is famously known for helping to boost Twitter in 2007 and Foursquare three years later, giving it a rep as a launching pad for new digital tools. Fresh-faced startups converge on Austin, hoping to get venture capital and buzz. It's one of the reasons attendance at SXSWi this week swelled to an all-time high of 30,621, up some 25% from last year.

It also has created big expectations. One of the most commonly asked questions among attendees here is, "What's the coolest new thing you've seen?"

"That hype has been good for growth. But it's also proved to be a double-edged sword," said Hugh Forrest, director of the festival, in an interview here Tuesday. "People expect something to launch here Friday and be as big as Facebook by Sunday. There are things here that may not hit the mainstream for a couple of years, because they're not fully developed."

SXSW has gotten so big and diffuse that trends can be hard to quantify. But if you go to enough panels and talk to enough people, some themes start to emerge. Here are five takeaways from the past five days:

Hardware, not software

As digital tech went social and mobile, recent years at SXSWi have been all about social apps. Two years ago the buzzword was group messaging; last year it was "social discovery" apps such as Highlight, which let you know when people who share your interests are nearby.

But this week, SXSW has been acting a little more like CES, the annual electronics gadget show.

MakerBot, which makes desktop 3-D printers, made headlines by unveiling a device that scans small three-dimensional objects so they can be replicated in a printer. Also getting buzz was the tiny Memoto "life blogging" camera, which clips to a shirt or jacket and snaps a picture every 30 seconds; and the Leap Motion Controller, which plugs into a computer and lets users interact with the machine by waving their hand.

"We've had a much more hardware and gadget focus than we've had before," said Forrest, who thinks the new wave of gadgets may catch on because of their simplicity of use.

Much of the talk at SXSWi was about uses for a gadget that wasn't even officially shown here: Google Glass, the Internet-connected eyewear that Google expects to roll out later this year.

Yes, 3-D printing is a thing

MakerBot wasn't the only company in Austin that makes 3-D printers, which can produce objects from computer models by layering thin sheets of molten plastic.

3D Systems was here with their Cube home 3-D printer, which they marketed by having a man walk around Austin wearing it around his neck. Several SXSW panels also explored the promising future of 3-D printing, expected to be a hot tech trend in coming years.

"I think the 3-D printing stuff is still a little too complicated for most of us," Forrest said. "But the next generation of this technology will be simpler to use. That's always the key here: The SXSW crowd is full of first adopters, but can your mom use it?"

Space, the next entrepreneurial frontier

With the shuttering of NASA's space shuttle program, many feared the exploration of outer space would wane with it. Instead, innovators have leaped into action, sometimes aiming even higher than government agencies have (at least publicly) dared.

That enthusiasm was on ample display at South by Southwest this week.

At least 15 panels focused on private space travel during the festival. Entrepreneurs proposed everything from a Mars fly-by that would launch in 2018 to building new, privately owned modules on the International Space Station. Someone even proposed a multibillion-dollar reality show following prospective astronauts training for a one-way mission to Mars.

Elon Musk, the CEO of private company SpaceX, hosted one of the most popular keynotes of the week. He detailed his company's recent mission to the International Space Station and showed a never-before-seen video of a reusable rocket designed to one day blast capsules into space and then safely land itself.

He said he wants to see humans on Mars. In his lifetime. Preferably him.

"I would like to die on Mars," he joked. "Just not on impact."

Big, large, enormous data

Stephen Wolfram, the scientist behind the data-driven Wolfram Alpha computational search engine, told a SXSW audience that "In the modern world, everyone should learn data science," or mining large databases for useful patterns of information.

Nate Silver, The New York Times data guru who got a flood of press when he correctly predicted results in all 50 states during last fall's presidential election, hosted a keynote in which he said data-crunching could have useful applications in the public sector, such as studying incarceration data to reform the prison system.

Most government agencies collect reams of data but it gets ignored because of bureaucracy, said Silver.

"But we should understand that it's hard to take this big data and turn it into progress," he said, no doubt splashing cold water on the many startups seeking to scour databases, such as Twitter stats, for lucrative products.

On the flip side, a Carnegie Mellon professor showed how combining online data with facial-recognition software could reveal a surprisingly detailed dossier on a person, including an educated guess about their Social Security number.

More celebrities (human ones, too)!

When compared to its glitzier siblings, the SXSW film and music festivals, South by Southwest Interactive has until recently been low in celebrity wattage. Let's face it, tech geeks don't walk the red carpet much.

But as more famous people embrace technology -- everyone wants to look smart -- SXSW is attracting bigger names with only tangential connections to the tech industry. This year's event featured talks by MSNBC host Rachel Maddow, former vice president Al Gore, Newark, New Jersey, Mayor Cory Booker and hoops star Shaquille O'Neal.

This trend is not an accident.

"There are a lot of people here, and it makes it easier (on us) if you can get someone like a Rachel Maddow who can fill a big room," Forrest said.

However, the biggest celebrity at SXSW 2013 wasn't even part of the official programming: Viral Web star Grumpy Cat, who posed for photos in the Mashable House and drew lines of fans around the block. That just goes to prove: You can launch the cleverest app in the world, but cats still rule the Internet.

@highlight

The South by Southwest Interactive festival wrapped up Tuesday after five days

@highlight

Festival director: "We've had a much more hardware and gadget focus than ... before"

@highlight

Other trends: 3-D printing, private spaceflight, mining big data

@highlight

Festival attendance swelled to an all-time high of 30,621, up some 25% from last year