San Diego, California (CNN) -- Mexican authorities are having an Eliot Ness moment. Imagine what it felt like for the famed U.S. federal agent to arrest legendary gangster Al Capone in 1929.

It's probably close to how our southern neighbors feel now that they have in custody Miguel Angel Trevino Morales, leader of the brutal paramilitary drug cartel known as The Zetas.

The takedown is a major coup for Mexican President Enrique Peña Nieto, who came to office just seven months ago and returned the Institutional Revolutionary Party to power.

I had the chance to meet with Peña Nieto in Mexico City in November a few weeks before he was sworn in, as part of a group of other Americans. It was clear from what we heard that he intended to implement a different strategy against the cartels than the one deployed by former President Felipe Calderon, who hailed from the rival National Action Party. His predecessor took the fight to the cartels, and the result was more than 70,000 deaths with some estimates reaching as high as 120,000.

Even before he was elected, Peña Nieto had signaled to Mexico's voters that surrender wasn't an option, that legalizing drugs wasn't on the table, and that the fight against the cartels would continue -- with different methods and objectives.

The new plan was to continue to confiscate the traffickers' money and drugs while not driving up the body count. Peña Nieto was supposed to focus less on capturing drug lords and more on curtailing violence and protecting the Mexican people.

I wanted to understand this terrain better. And so, before I left Mexico City, I met up with an old friend who also happens to be one of the best reporters in the business and certainly one of the most knowledgable about Mexico.

Alfredo Corchado is the Mexico City bureau chief for the Dallas Morning News and author of the acclaimed new book, "Midnight in Mexico: A Reporter's Journey Through a Country's Descent into Darkness."

I asked him if Americans should be concerned now that there is a new sheriff in town. What is to stop Peña Nieto from giving up on this war?

"I don't think they can afford to give up on it," Corchado said. "That would be like conceding the country. And yet, I also think the strategy of going after the cartels, confronting them head-on, is only going to generate more and more violence."

This is supposed to be a new kind of drug war, although it bears a striking resemblance to the old war. As critics have pointed out, the number of casualties in first six months of Peña Nieto's administration are almost identical to the number in the last six months of Calderon's tenure in office. Some Mexicans are wondering if, politics aside, the two major political parties in Mexico will turn out to be more or less the same in the war on drug trafficking.

For a frame of reference from this side of the border, think about how -- in fighting the war on terror -- President Obama has borrowed liberally from President George W. Bush's strategies for securing the U.S. homeland.

And from the looks of it, Mexico's enemy is just as determined as ours to wreak havoc and create nightmares. In the last 10 years, the drug trade in Mexico has become much more brutal. A big reason for that is the arrival on the scene of The Zetas, and dangerous individuals like Trevino Morales who had a $5 million bounty on his head courtesy of the U.S. government.

The cartel is a relative newcomer in Mexico's bloody drug trade. Its origins date back to 1999, when elite commandos of the Mexican army decided that they would rather work for the drug traffickers than shoot it out with them. So they deserted and became the muscle of the powerful and well-established Gulf Cartel. In 2010, Los Zetas went into business for themselves.

Three things set them apart: They have diversified their illicit activities beyond drug trafficking to include extortion, kidnapping, prostitution and other crimes; they're more sophisticated and tech savvy than their rivals, according to U.S. authorities; and they are much more violent and apt to brutally terrorize the population -- with beheadings, torture, mass killings, grenades tossed into crowds, bodies hanging in the town square like pinatas at the mercado, and more.

Even with Trevino Morales behind bars, the horror is likely to continue. His brother is in line to succeed him. The metaphor you hear from the cynics in Mexico is that when authorities cut off the head of the serpent, another head grows in its place.

Perhaps. But high-profile arrests like these do serve a purpose. They put the cartels on notice that they're in the cross hairs, and make it clear that the Mexican government won't negotiate with narco-terrorists.

That chapter of the story is new, at least when you think about how cozy these parties were a few decades ago.

"For 50 or 60 years, we looked the other way," said Corchado. "It's like you don't want to let the evil spirit out of the bottle. That's what we did in Mexico for too long, and now that it's out, you're going to have to face a monster."

Now that our neighbors are no longer looking the other way and they're confronting their monster, Americans must continue to back them up so they don't have to do it alone.

The opinions expressed in this commentary are solely those Ruben Navarrette.

@highlight

Mexico arrested Miguel Trevino Morales, leader of the brutal drug cartel The Zetas

@highlight

Ruben Navarrette: The arrest is a major coup for new Mexican President Enrique Peña Nieto

@highlight

He says Trevino Morales is behind bars, but his brother will take over the cartel

@highlight

Navarrette: High-profile arrests put the cartels on notice that they're in the cross hairs