Hong Kong (CNN) -- Wednesday is National Day, a day for all Chinese to celebrate the People's Republic of China.

Yes, dignitaries gathered and ceremonies took place to mark the holiday in Hong Kong. But the national pride mixed with profound dissent as pro-democracy protesters occupied parts of the Asian business hub -- not to celebrate the central government in Beijing, but to denounce and challenge it.

LIVE BLOG: Follow CNN's coverage of the protests

There was a sense, entering Wednesday, that the protest ranks could swell with more people off work for the holiday. The movement has seemingly grown regardless, unaffected by clashes with police, thunderstorms and repeated admonitions by authorities who have refused to budge.

So there they were, Wednesday morning, waking up to chants over loudspeakers calling for the local chief executive's resignation, for police not to use violence against them and for everyone to "protect Hong Kong."

Flag-raising protest

Student pro-democracy leader Joshua Wong, who was arrested during protests Friday and released Sunday, led a group of students in a silent protest at the official National Day flag-raising ceremony in Golden Bauhinia Square.

The group silently turned their backs to the flag and raised their arms in crosses as the Chinese flag and the flag of Hong Kong were raised.

"We crossed our arms because we want to express our dissatisfaction toward the government, to reflect our mistrust towards the central Chinese government, and to object to the National People's Congress decision on August 31," he said, referring to Beijing's controversial ruling to allow only candidates approved by a nominating committee to run for office as Hong Kong's chief executive.

In the build-up to the flag-raising, a statement from Wong's Scholarism group calling for calm and restraint during the ceremony was widely circulated among protesters on social media networks.

"Just wear black, stay quiet with your chin down or carry an umbrella," read a message. "No matter how much you dislike a country, disturbing its flag-raising ceremony will only be disrespectful."

As CNN's Ivan Watson noted from downtown Hong Kong, little seemed to have damped demonstrators' fervor. Then again, there was also no sign that authorities are ready to give in.

"Both sides appear to be digging in their heels," Watson said.

When it was transferred from British to Chinese control in 1997, Hong Kong was supposed to be the centerpiece of Beijing's one nation, two systems approach.

But protesters fear that independence is slipping away. They decry a recent decision allowing national government leaders to vet -- in other words, decide who is in and who is out -- any candidates up for a vote to lead Hong Kong's government.

Changing that policy is demand No. 1 for the protesters, who say that having every citizen get a vote in an election is moot if the options are decided in Beijing. A growing number have also blasted Hong Kong's current leader for putting the central government ahead of his own citizens and demanded he step down.

One demonstrator, Jobie Soo, explained to CNN's Watson: "(We want the government) just to respect the democracy that Hong Kong deserves and really uphold the principle of one country, two systems."

The powers-that-be don't appear to be in much of a talking mood. They have refused to budge while condemning the protests, which they say are against the law and are undermining Hong Kong's economic and security.

Hong Kong Chief Executive C.Y. Leung, a day after saying "this illegal protest will not force the central government to go back on its decision August 31," said Wednesday that people should accept a deal as is.

Speaking at a National Day reception, Leung said, "It is understandable that different people may have different ideas about a desirable reform package. But it is definitely better to have universal suffrage than not.

"It is definitely better to have the (chief executive) elected by five million eligible voters than by 1,200 people. And it is definitely better to cast your vote at the polling station than to stay home and watch on television the 1,200 members of the Election Committee cast their votes."

Hong Kong leader: 'This is based on the basic law'

Like other chief executives, Leung wasn't elected by a popular vote but rather by a 1,200-strong committee stacked with Beijing loyalists. That was set to change in 2017.

In a way, it will.

Leung points out that "we will be able to have one-person, one-vote" -- meaning citizens, not just committee members, can cast ballots.

But as to which candidates they can choose from, the chief executive said that much has been settled and it won't change.

"I understand this universal suffrage is somewhat different to what the public thinks it would be," he said. "But this is based on the basic law. We still want to remain peaceful, calm and think what the best is for Hong Kong."

Leung has backing from pro-Beijing groups like The Silent Majority for Hong Kong, who have had their own rallies and run advertising campaigns to preach their message that pro-democracy activists will "endanger Hong Kong" and create chaos.

While the city of 7 million people is still bustling in some ways, the unrest already has had an impact on one of Asia's biggest financial centers.

ATM services were disrupted and 37 bank branches closed Tuesday, according to the Hong Kong Information Services Department. Leung said ambulances and fire trucks had to be rerouted to get around the crowds. Some 157 schools closed Tuesday.

The Hong Kong government canceled the city's annual National Day fireworks display because of the protests.

Officials in the city have spoken out against the protest and -- at least on Sunday -- acted out. That's when police hurled 87 tear gas canisters into the crowd after they refused to heed calls to disperse, spurring protests.

"We gave them enough of a chance to leave, and this included warnings," Assistant Police Commissioner Cheung Tak-keung said Monday, explaining the police decision. "But when they failed, we had to use force."

Such forceful sentiment aren't being heard everywhere, however.

Leaders in Beijing have been largely silent about what's happening in Hong Kong.

At the United Nations building in New York on Tuesday, CNN's Richard Roth asked China's deputy U.N. ambassador what he thought of the protests.

Wang Min replied, "What, where? Hong Kong is part of China," and then walked away.

Activist: 'It's more or less like North Korea'

Contrast this silence to what's happening in Hong Kong.

Even as censors blocked access to Instagram after images of protests flooded the photo-sharing app and China blocked out reporting on Hong Kong in mainland China, those on the streets managed to make their voices heard in other ways. Some took to Twitter, and a few turned to CNN iReport -- including one capturing a collective of umbrellas which, besides shielding at times torrential rain, have become symbols of the protests

They are relaying the sentiments of the tens of thousands who have hit the streets. Many of them are students like lead organizer Alex Chow, who described "the current situation (as) totally out of C.Y. Leung's control."

"Actually, the government is under great pressure," he continued, "and we will demand and call for more people" to protest in the coming days.

Even if more people come out, some say it's not a fair fight -- not with police fully equipped and demonstrators armed with little more than their umbrellas. Grace Cheng, a 21-year-old recent college graduate, is worried authorities will come at them even harder next time.

"We can't really stop them," she said.

Such fears notwithstanding, the activists weren't backing down. If anything, their demands -- including for Leung's resignation -- appear to have grown louder.

"All the candidates will be pre-selected by Beijing ... It's more or less like North Korea," protest organizer Chan Kin-man said.

"But we are an international city. We have a younger generation who have been taught about civil rights, political rights. And we want our words to be heard."

Some analysts say they see little hope of compromise between the committed protesters and the Chinese Communist Party, which remains notorious for its ruthless suppression of pro-democracy protests in Beijing's Tiananmen Square in 1989.

"I see no way the Chinese government can tolerate what is happening in HK. Greatly fear this will end badly," tweeted Mike Chinoy, a senior fellow at the U.S.-China Institute at the University of Southern California, who covered the Tiananmen crackdown for CNN.

Chinese authorities apparently tried to restrict the flow of information into the mainland about what was happening in Hong Kong.

On Tuesday, China blocked out reporting on Hong Kong in mainland China, CNN Beijing correspondent David McKenzie said.

Earlier, censors had blocked access to Instagram after images of the protests flooded the photo-sharing app.

"Everybody is in completely unknown territory," said Roderic Wye, an associate fellow at London-based Chatham House. "How these things end, we just don't know."

CNN's Jethro Mullen reported from Hong Kong. CNN's Ashley Fantz and Greg Botelho reported and wrote from Atlanta. CNN's Holly Yan, Pamela Boykoff, Catherine E. Shoichet, Richard Roth, Vivian Kam, Chieu Luu, Katie Hunt and Hilary Whiteman contributed to this report.

@highlight

Hong Kong leader: People should be satisfied they can vote on a leader

@highlight

Protesters hit the streets, even amid National Day ceremonies

@highlight

Crowds could swell Wednesday, China's national holiday

@highlight

Neither government leaders or protest leaders have shown any sign of budging