LONDON, England (CNN)  -- As Zimbabwe battles a cholera epidemic that has already killed hundreds, one company thinks it may have found a potential solution to the world water crisis.

A shortage of clean drinking water has unleashed a cholera epidemic in Zimbabwe.

Element Four, a small Canadian firm, has applied its water technology to create the WaterMill, a novel electricity-powered machine that draws moisture from the air and purifies it into clean drinkable water.

The compact WaterMill, which goes on sale in the spring, is designed for household use.

More crucially for countries such as Zimbabwe and the Democratic Republic of Congo, Element Four is also working on another device, the WaterWall, which could potentially supply an entire village in the developing world.

The team at Element Four shares an ambitious goal: to quench the world's growing thirst for water. Now the 10-person company is taking on a challenge that global multinationals have struggled to meet.

Rick Howard, the CEO of the company, says it was at a U.N. conference on water in New York last summer that he realized just how revolutionary Element Four's technology might be.

"There we were on the same stage as GE, Dow Chemical and Siemens, and it was a complete shock to us when we heard the solutions they were offering. We realized we had something that could effect change," Howard tells CNN.

The WaterMill draws in air through a filter and then cools it into water droplets. This water then passes through a special filter and is exposed to ultraviolet light, which rids it of bacteria.

The product Element Four is designing for the developing world is called the WaterWall and is constructed by taking several of the water-making cells of the consumer appliance and hooking them up in series on a wall.

The U.N., which has declared 2005-2015 the International Decade for Water, expects 1.8 billion people to live in regions with absolute water scarcity by 2025.

It's no wonder then that Element Four is being closely watched by the tech world. The WaterMill is being displayed at the Wired Store in New York, a temporary store the magazine opens every holiday season that showcases the future of technology.

About one in five people in the world lack access to safe drinking water, and shortages pose serious health problems for much of the developing world.

Lack of clean water, coupled with poor sanitation practices, can lead to outbreaks of water-borne diseases, such as cholera and dysentery, which in turn, can cause life-threatening forms of diarrhea. More than 500 people have died in Zimbabwe.

Diarrheal disease is the third leading cause of death from infectious diseases, and the majority of those deaths are among children under the age of 5, according to the WHO and UNICEF. Most of those deaths could be prevented if improvements to sanitation and drinking water were made.

But can an invention like the WaterWall really help ease the world's water shortage and help prevent health disasters like the outbreak in Zimbabwe from occurring in the future?

"There are some brilliant inventions out there, but they are expensive and difficult to get hold of," says Paul Jawor, an emergency water and sanitation consultant with international aid organization Doctors Without Borders.

The WaterMill retails for about $1,300, but Howard estimates that a pared down version -- without the bells and whistle -- for use in places like Africa would cost about $300.

The biggest challenge of a product like the WaterWall, Howard says, is the power consumed by the water-making cells. To counter that, the product is designed to turn on in stages so it doesn't overload fragile power grids.

In comparison to solutions like desalination, which can cost billions of dollars to develop, that's cheap. "For about $300 we can start saving lives. Ours is a very scalable product," Howard says.

But there are skeptics. Frank Lawson, an engineering adviser at international charity WaterAid, said the solution Element Four is devising wouldn't be appropriate for the charity's projects.

For one, the technology doesn't work in very dry climates. The machine only functions at or above about 35 percent relative humidity levels.

Furthermore, it requires an energy source. "Our technologies have to be within the capacity of the benefiting community -- both technically and financially," Lawson says.

WaterAid uses a number of low-cost and sustainable solutions, such as rainwater harvesting and hand-dug wells, to help communities in more than 17 countries access water.

But those solutions depend upon the availability of water in the area, and fresh water supplies worldwide are feeling the squeeze from population growth, pollution and climate change.

Howard admits the company needs to focus on growing its business first, so it may be some time before the Element Four's products make their way to the developing world.

"We quickly came to realize that if we didn't first build a business to perfect the product and application, then we weren't going to be able to get to a point where we could have a significant humanitarian impact," he says.

But Howard and partner Jonathan Ritchey are in various stages of discussions with several humanitarian groups in the field. Howard declined to name the organizations.

It's early, but the company's core principle is "to do good as we do well," he says. "That's part of truly what drives us -- knowing that at some point we will be able to do some significant good."

@highlight

Element Four has developed a machine that creates clean water out of air

@highlight

Growth of water use has been outpacing the rate of population increase

@highlight

Shortages of clean water pose health challenges in the developing world

@highlight

Zimbabwe's water crisis has unleashed a devastating cholera epidemic