In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. CNN's Christiane Amanpour meets the Dalai Lama and some of his unruly flock in "Buddha's Warriors" airing Saturday and Sunday, 8 and 11 p.m. ET

The Dalai Lama cracked jokes and chatted when a storm knocked out power during his interview with CNN.

DHARAMSALA, India (CNN) -- I never knew much about Buddhism, and was not expecting much, spiritually, from covering the Dalai Lama. But what happened just goes to show how the unlikeliest events can affect you at the unlikeliest times.

I flew from covering the historic visit of the New York Philharmonic Orchestra in North Korea to Dharamsala, India. This is the home-in-exile of the Dalai Lama and his government, as well as thousands of Tibetan monks and supporters.

Our visit coincided with the events that commemorate each March 10, the date the Dalai Lama fled Tibet on horseback in 1959. He managed to evade the Chinese Communist forces, disguised as a soldier and escaping at night. The somber remembrance is a little like what the Palestinians do every year. They call it al-Nakba, or "catastrophe," which marks 1948 when they lost much of their land as the state of Israel was founded.

This year, however, the March 10 anniversary took on a more ominous tone. It was the first time the growing split among Tibetan exiles burst into the open. Some of the younger generation of exiles are losing faith in the Dalai Lama's abandonment of the dream of Tibetan independence. Some want action, even if it might mean abandoning their peaceful Buddhist way.

I wanted to ask the Dalai Lama about this and where he thought it would lead.

The day we visited, we attended a "Long Life Ceremony" in which thousands of Tibetans come from all over India and across the Himalayas from Tibet to catch a glimpse of their spiritual leader, to pray for his continued health and long life and to bestow their most precious gifts upon him, including cubes of dried cheese wrapped in muslin, textiles and tapestries.

It went on for more than two hours. I never thought I would sit through the whole thing, but something about the chanting, the incense and the vital connection between the Dalai Lama and his adoring flock was mesmerizing.  Watch: Amanpour investigates new breed of Buddhists »

As a journalist and an observer, I was transfixed.

Even though the Dalai Lama has spent nearly 60 years in exile, people are still so faithful to him, so respectful, weeping, bowing low as they pass him sitting high above on his throne-like dais. He towers over them, and yet there is nothing removed or dictatorial about him.  See behind-the-scenes photos from Buddha's Warriors »

Afterwards we prepared for our interview. He gives many, and I wondered what we could elicit from him that would be new or noteworthy. As our cameramen were setting up, I hung around outside to quietly watch as he received the first of many visitors that day: dignitaries, ordinary tourists, prayer groups and school groups.  I've found you can tell almost everything about a person by observing the way they deal with others. He was kind, witty, warm, laugh-out-loud funny and deeply moved by some of the personal tales he heard from those visitors seeking his advice and blessing. I thought about how he must do this so many hundreds of thousands of times and yet he had time for everyone, treating each one like a VIP.

Once we sat down, I was immediately slightly thrown off by his style. He told us very clearly that what the Chinese are doing in Tibet amounts to "cultural genocide." And then he burst into his trademark giggles. I couldn't fully understand why, but it is apparently the Buddhist way to laugh off life's horrors, and thus survive.  Learn about Tibet's history of conflict »

He went on to tell us, with great earnestness, how he approves of the Olympic Games being held in Beijing and how he is not trying to seek full independence from China, just what he calls cultural autonomy.

This man, who is lionized for his quiet spirituality and for being a one-man movement of conscience, who had won a Nobel Peace Prize, calls himself a simple Buddhist monk. As we sat there, suddenly a thunderstorm broke and all our lights went out and we were plunged into darkness. Any other important interviewee would have swept out to rest while we dealt with it. Not the Dalai Lama. He sat there with us in the dark, cracking jokes and chatting, as we waited for the generator to kick in.

The Chinese government says the Dalai Lama is lying when he says he does not want independence from China. They call him a wolf in sheep's clothing. So why, I wondered, would he not overtly support the young generation of Tibetans who want a more proactive policy of confronting China?

Over and again I asked him about the split among his ranks. He said he would not condemn them as he believed in democracy and free speech. But nor would he support their tactics or their goals. He just kept asking (rhetorically) a simple question: With what are we going to fight them? Are we 6 million Tibetans going to confront the army of 1.2 billion people? How?

The Chinese government refused repeatedly to talk to us and accused us of trying to "beatify" the Dalai Lama. I couldn't help wondering why they won't talk to him or meet him halfway.

They may be trying to wait out the 74-year-old Dalai Lama. But they must know they'll have much more trouble on their hands once he is gone and the angry younger generation takes over.

@highlight

Christiane Amanpour traveled to India to meet with the exiled Dalai Lama

@highlight

In 1959, the Dalai Lama fled Tibet on horseback to evade China's communist forces

@highlight

Amanpour says the Dalai Lama's connection to his adoring flock is "mesmerizing"

@highlight

Dalai Lama says what the Chinese are doing in Tibet amounts to "cultural genocide"