With its tradition of free speech, Hong Kongers have long prided themselves on their strong opinions and loud mouths. But now local journalists say they are being shut up.

On Sunday, 6,500 people massed in downtown Hong Kong to protest what they see as alarming levels of media censorship in the former British colony as it grows closer to Mainland China.

The march comes just over a week after thousands of runners in the Hong Kong Standard Chartered Marathon wore blue ribbons to raise awareness of "deteriorating" press freedoms.

Protest organizer and veteran journalist Shirley Yam said the city's press freedom is the worst she's seen in her 30-year career.

"Headlines were added, complete pages were removed, photos were cancelled, interviews were bought, columnists were sacked," Yam told CNN. "We get calls from senior government officials, we get calls from tycoons, saying 'we don't want to see this in your paper.'"

"It's sad and terrifying," she said.

Historically, Hong Kong was known as a "window into China." Prior to the opening of Communist China to the West, Hong Kong was often the only place foreign journalists could report on the mainland.

Even today, the Hong Kong media plays a watchdog role, often breaking stories about corruption, health epidemics, and human rights issues that  mainland media shy away from.

Beijing is a "control freak"

But now protesting journalists say they are finding themselves silenced if they dare to question the Chinese Communist Party or Hong Kong's leader C.Y. Leung, who is favored by China's government.

Last month, journalists at Ming Pao -- a newspaper known for its coverage of human rights in China -- were stunned when their editor-in-chief was suddenly replaced by a Malaysian editor.

READ MORE: Why is this cuddly wolf toy a symbol of Hong Kong anti-government protest?

Days later, AM730, a tabloid daily known for its criticism of the government, announced that mainland Chinese firms had simultaneously pulled their advertisements, costing the paper over $1 million a year.

Yet those are just the big examples. Multiple journalists at the protest told CNN they have received calls from the Chinese government's representatives in Hong Kong asking them to remove coverage of certain topics or change their arguments, something they say is happening more and more often.

Hong Kong legislative council member Cyd Ho, who attended the protest, said these examples are reflective of an obsession with loyalty in the Chinese Communist Party.

READ MORE: China 'employs 2 million people to police internet'

"Beijing is a control freak," she told CNN. "It cannot bear to hear any opposition."

According to Ho, some Communist officials fear that critical Hong Kong journalists may be secretly working for the American or British governments.

"This is an unnecessary fear," she said. "The central government is paranoid."

China's Ministry of Foreign Affairs refused CNN's request to comment on these allegations.

Fighting against giants

But some of the censorship may not even be forced at all.

"Suppression sometimes happens not as a the result of a direct order from the Beijing government," said Adrian Chow, a columnist for the Hong Kong Economic Times, who suggests that many journalists voluntarily cozy up to the regime in hopes of receiving favorable treatment.

"They want to show that they are in line with the Beijing government's main melody," said Chow. "I think people who resist are actually a minority."

READ MORE: Censorship protest a test for China

A report released this month by the non-profit Committee to Protect Journalists said that "more than half" of Hong Kong's media owners have accepted appointments to China's main political assemblies.

Meanwhile, Hong Kong's press freedom ratings have fallen precipitously.

French-based Reporters Without Borders ranked Hong Kong 61st worldwide in press freedom in 2014 -- a far cry from its 18th place ranking in 2002, when the rankings were first conducted. And a 2013 opinion survey by the University of Hong Kong found that over half of Hong Kongers believed that the local press engaged in self-censorship.

Protesters fear things may get worse still.

"To be honest, we are not optimistic at all," said Yam. "We're journalists, we don't want to be in the news, we should be covering the news."

"But as journalists, we are used to fighting against giants, and that's what we shall continue to do," she added.

Ho acknowledged the uncertainty.

"Some people say Hong Kong is dying," she said. "But today I witnessed love and support for Hong Kong. I believe that if everybody in the community stays firm on our core values, nobody can corrupt us."

@highlight

6,500 people march in Hong Kong to protest media censorship

@highlight

Rally organizer Shirley Yam says press freedom is at an all-time low

@highlight

Hong Kong publications often suffer consequences for criticizing the government

@highlight

Report: More than half of Hong Kong's media leaders are Chinese political affiliates