(CNN) -- The most "complicated" handmade watch in the world has been sold at auction for an historic $24.4 million.

The Henry Graves Supercomplication timepiece, made by the luxury watchmaker Patek Philippe in 1933 for the prominent banker Henry Graves, was sold at Sotheby's in Switzerland.

The sale smashed the world record for the most expensive watch ever sold at auction, which was previously held by the same watch. In 1999, it was sold to Sheikh Saud Bin Mohammed Bin Ali Al-Thani of the Qatari royal family, for $11 million.

The watch was released in 2014 to coincide with the 175th anniversary of the Swiss watch maker. The sale has benefited from the boom in Patek Phillippe auction values over the last 15 years.

The term "complication" is a technical one, and refers to any aspect of a watch that offers a function that is not simply telling the time.

The timepiece -- which has been called "the most important watch in the world," "one of the wonders of the world," and "the collector's holy grail" -- boasts 24 such complications.

These include grande and petite sonnerie (chimes), which emulate the bells of Westminster; a record of the phases and age of the moon; sunrise and sunset indications; a "perpetual calendar" that makes automatic adjustments for month and year; and a celestial map of the New York sky.

The celestial map alone is a remarkable feat of engineering. It charts the precise spacing and density of the stars, and rotates at the same pace as the sky as it would have appeared from its owner's Fifth Avenue apartment.

The watch is comprised of 900 individual parts, and, according to Sotheby's, is the most advanced timepiece ever made without the assistance of computers. It was last wound in 1969, yet remains in perfect working order.

The Supercomplication was made as the result of a friendly competition between Graves, a member of a well-known banking family, and James Ward Packard, the luxury automobile manufacturer, to see who could produce the most impressive timepiece.

Packard's attempt was a pioneering feat. It was the first ever watch to feature a sky chart, which included 500 golden stars and was centered above his home in Ohio.

However, it contained just 10 complications, making Graves' timepiece the undisputed winner with 24.

One of the Supercomplication's more obscure features is a sidereal time dial, which tracks the Earth's rate of rotation in relation to fixed stars. A "sidereal day", which is used by astronomers, lasts for 23 hours, 56 minutes and 4.1 seconds. It is unclear whether Graves had any use for the functionality.

"It's amazing that they did all that without computers," says Larry Pattinelli, the president of Patek Phillippe. "You are talking about one of the most collectible pieces ever put up for auction, if not the most collectible."

The Supercomplication took Patek Phillipe eight years to produce, from its commission in 1925 to delivery in 1933. The identity of the new buyer is unknown.

'Avant gardens': When art, design and a whole load of plants collide

Glamour and grieving: How the Victorians dressed for death

Intoxicating investment: How some whisky lovers are now making millions

This expressionist painted the world's most radical nudes -- 100 years ago

@highlight

The Henry Graves Supercomplication watch sold for $24.4 million

@highlight

It is the most expensive watch to sell at auction, smashing its own record of $11 million

@highlight

Made by Patek Phillipe in 1933, it's most advanced timepiece made by hand

@highlight

The watch has 24 functions other than telling time