Tokyo (CNN) -- Japan's government will offer transportation and other assistance to those in a buffer zone around the stricken Fukushima Daiichi nuclear plant, a top official said Friday, noting these people have been put in a "difficult" situation.

Chief Cabinet Secretary Yukio Edano said authorities are encouraging people living between 20 and 30 kilometers (12.5 and 19 miles) from the plant to leave the area voluntarily because of the challenges they "have faced in their daily lives."

Those who live closer already have been ordered to evacuate because of dangerously high levels of radiation.

A primary challenge for that region, he said, has had to do with commerce -- namely, the difficulty in getting needed materials in and out of the area.

This is not a mandatory evacuation, Edano said.

Still, he said, he could not rule out future mandatory evacuations if radiation rises to unsafe levels.

Other nations, including the United States and England, have urged their citizens to stay 80 kilometers (50 miles) or more away from the embattled power plant over radiation concerns.

Japan has urged those within a 20-kilometer radius to evacuate and those within 30 kilometers to try and stay indoors.

Still, even those well outside the plant area are being affected by the radioactive emissions.

Traces of radioactive iodine tied to the plant have been detected as far away as Sweden and the United States. Authorities have said those levels are far below what's considered harmful to humans.

Two Japanese citizens -- one from Nagano and the other from Saitama, both 200 kilometers or further from Fukushima -- traveling to China were taken to a hospital after showing exceedingly high levels of radiation, China's state-run Xinhua news agency reported.

A spokesman for Japan's embassy in China said Friday that the two are "fine" having left the hospital and joined their tour group.

"Abnormal radiation" was also detected earlier on a Japanese ship, Xinhua said.

But in Japan, radioactive materials detected in water, food and elsewhere have had a major impact. The number of banned food items is growing regularly, and has affected not only consumers, but farmers who rely on the products to make a living.

One chief concern is the presence of radioactive substances in tap water.

Four sites in Ibaraki Prefecture showed radiation levels above what is considered safe for babies to drink, according to government data released Friday.

The affected facilities provide water for residents in the cities of Tokaimura and Hitachi. The results, from samples taken on Thursday, showed between a low of 119 becquerels of radioactive iodine per kilogram of water to a high of 230 becquerels of the same radioactive substance.

Anything higher than that 100 becquerels is considered unsafe for infants under 1 year old, though the levels remain under the 300 becquerel threshold for adults.

Tokyo's waterworks bureau reported Friday, based on tests conducted that morning, that there were 51 becquerels of radioactive iodine per kilogram of tap water.

The previous day, Tokyo Gov. Shintaro Ishihara lifted the previously announced recommendation that babies not drink tap water after tests from Tuesday night showed levels of radiation more than twice the limit for babies.

There was also positive news in the Chiba Prefecture Friday, where all five water treatment facilities had levels of radioactive iodine less than 100 becquerels per kilogram of tap water. The previous day, two plants in Chiba had reported high levels.

The fate of Japan's fishing industry is also a hot topic, given fears that spreading radiation might poison fish or scare off customers.

The Tokyo Electric Power Co., which operates the Fukushima Daiichi plant, said its latest readings from Thursday morning show levels of radioactive iodine 104 times higher than normal in the waters 330 meters off the facility's Nos. 1, 2, 3 and 4 reactors.

"I don't know when this will end," said Seiji Nakzato, 75, a fisherman from Tokyo. "Business is down. People don't want to buy fish because they're afraid of radiation."

Still, this is marked progress compared to the previous day's reading, when levels were 147 times higher than normal.

The latest results also showed levels of the radioactive iodine were 28 times normal some 10 kilometers south of the plant and 13 times higher about 16 kilometers away.

Agriculture in Japan has also been threatened in this crisis, with tests showing radioactive materials at levels exceeding legal limits in 12 types of vegetables grown near the nuclear plant, according to the nation's health ministry.

Prime Minister Naoto Kan has also asked Ibaraki Prefecture to suspend shipments of raw milk and parsley, according to Edano.

The government of Fukushima Prefecture has asked residents not to eat leafy vegetables.

And on Friday, a Chinese government agency posted on its website that it had banned dairy products, vegetables, fruits and acquatic animals and products from the Japanese prefectures of Fukushima, Tochigi, Gunma, Ibaraki and Chiba. They join several other countries, including the United States, in prohibiting the import of certain food products from Japan.

Radiation levels in the food would not cause health problems right away, Edano said, but if they rise, they may reach levels risky to human health.

The decision to prohibit produce sales is another potentially devastating blow to a part of northeast Japan hit by the earthquake and tsunami.

Fukushima Prefecture ranks among Japan's top producers of fruits, vegetables and rice. Ibaraki Prefecture, south of Fukushima, supplies Tokyo with a significant amount of fruits and vegetables, and is the third-largest pork producer in the nation.

@highlight

NEW: Two Japanese hospitalized in China due to radiation are "fine," a spokesman says

@highlight

High radiation is detected in Ibaraki Prefecture water; water safe in Tokyo, Chiba

@highlight

Radiation in seawater is 104 times above normal, a drop from the previous day

@highlight

An official says Japan will provide shuttles for those within 20-to-30 km of the plant