On a dusty, remote ranch across the Rio Grande from this Texas border town, an intimidating drug lord stood over 13-year-old Rosalio Reta and handed him a gun.

Reta didn't know who the man was, but it was clear he instilled fear and commanded respect among everyone standing around watching the dramatic scene unfold.

The American teen had never before met anyone who carried a pistol adorned with such an unforgettable decoration: the number "40" encrusted in diamonds on the handle.

The cartel leader looked at Reta and ordered him to shoot and kill a man tied up on the ground. If he refused to murder the stranger, Reta recalls, the drug lord would have killed him.

Rosalio Reta's career as a teen drug cartel assassin had begun.

"I knew that my life had just changed forever," Reta told CNN this week, 11 years later. "That's a day that I'm never going to be able to forget. After that, I didn't have no life."

Reta's boyhood friend Gabriel Cardona says he started his life as a criminal by stealing cars and selling them across the border in Mexico. He graduated to smuggling drugs and weapons across the Rio Grande. Cardona says it wasn't long before he also became a drug cartel assassin. He was only 16.

Reta and Cardona agreed to give CNN rare interviews from the Texas prisons where both men are serving life sentences for murder. They offered a first-hand glimpse inside the sinister world of drug cartels, a world that plagues innocent people on both sides of the border.

The mysterious drug lord who ordered Reta to shoot the stranger at the ranch that day, Reta says, was Miguel Angel Trevino. For years, Trevino was the unrivaled leader of the ruthless Zetas drug cartel until police arrested him last month just outside Nuevo Laredo, Mexico.

Trevino, 40, faces charges of organized crime, homicide, torture and money laundering, a Mexican government security spokesman told reporters in July. There were at least seven warrants for his arrest.

Many Zeta leaders often use numbers as their cartel nicknames. On the streets of Mexico, Trevino was known as "Z-40."

One of the most feared and powerful drug kingpins in the world, Trevino took drug cartel brutality to never-before-seen levels. Mexican and United States law enforcement agencies accuse Trevino of killing hundreds of people while laundering hundreds of millions of dollars.

Although Z-40 virtually ruled northern Mexico without fear, as Reta came to know him he began to see Trevino as a regular guy. Reta watched others respond to Trevino's tough leadership.

Trevino had built control and protection systems to insulate his organization at every level from law enforcement agencies and politicians. To make a point, sometimes Trevino sent messages along with decapitated corpses of rival cartel members, said Reta.

"Absolute control," Reta said of Trevino's power. "In a gun battle, in a confrontation, he's the first one to get out of his truck and lead his people. He's not going to ask people to do something that he's not willing to do himself. That's why a lot of people follow him."

Entering the narco world 'lifestyle'

Reta, 24, and Cardona, 26, still bear signs of their years as feared assassins.

Reta has bizarre markings around his eyes; Cardona has drawings of eyeballs tattooed on his eyelids. A large image of "Santa Muerte"  -- or Saint of Death -- marks Cardona's back. Denounced by Mexico's Catholic Church, Santa Muerte is a popular symbol among drug traffickers.

CNN was first to broadcast the police interrogation videos from which the world first learned about Reta and Cardona, sparking worldwide fascination with both men and making them infamous legends of a narco world.

Cardona and Reta grew up on Lincoln Street in Laredo, just a few blocks from the city's largest border crossing checkpoint.

Over the years the ramshackle neighborhood has developed into a discarded border region where homes sit on dilapidated foundations and families live under crumbling rooftops.

Reta was one of 10 children and Cardona was one of five boys whose father disappeared early in his life.

"On the border, a lot of people get dragged into this lifestyle," Reta said. "But what we fail to see is that we do it to ourselves."

Reta was a young boy headed down the wrong path. He had followed two friends to the ranch across the border where he was ordered to kill for the first time. The friends were mingling with questionable characters but he was "curious" about the narco world. When Reta arrived at the ranch, it was a crash course in drug cartel culture.

"They were torturing people and getting information from them," said Reta. "I couldn't believe what I was seeing. People getting tortured, killed, decapitated.  It was kind of hard to believe."

Cardona was also making a name for himself at that time, and impressing the same narco leaders.

If eyes are a window into the soul then unraveling the myth of Gabriel Cardona gets complicated. And like everything in the violent world of drug cartels, unraveling truth and myth seems fleeting.

On the surface, Gabriel Cardona's eyes belong to a baby face.

If you know nothing about him, it's hard to imagine he could have been a lethal assassin.

But then there are those eyes tattooed on his eyelids.

When you see those, they seem like the window into the cold, calculated soul that made Cardona a notoriously effective killer for the Zetas.

Cardona smiled when asked how many people he remembers killing for the Zetas.

"I have no idea," Cardona said. "It's a violent world."

After some prodding, Cardona estimates he probably killed close to 30 people in less than two years.

Cardona and Reta say they were paid thousands of dollars a week just to be available -- ready at all times to answer the call to kill.

When orders from cartel leaders came, the men would begin hunting their prey.

Opinion: Horror won't end with cartel leader's arrest

It's hard to pinpoint just how much money they were paid. Cardona claims he was spending more than $10,000 a week. The men say cartel leaders provided them with a house and extravagant cars. Cardona was often seen driving around town in a Mercedes.

For each ordered hit, they said, they were paid an extra fee -- about $10,000, and sometimes even more depending on the importance of the targeted victim.

The money and lifestyle were so seductive and intoxicating that both teenagers dropped out of school and started living the high-rolling, lavish lifestyle. Reta dropped out sixth grade; Cardona left school in ninth grade.

"It gives you that sense that you could do anything without being touched and having that sense of power," Cardona said. "You think that it's not going to end because it just keeps coming."

In interrogation videos made shortly after his arrest in 2009, Reta told a Laredo police detective how killing made him feel like "Superman."

Related: U.S. teens were hit men for Mexican cartel

The job of a cartel assassin isn't one most people grow old and retire from. They either end up in prison, or it's likely their tortured corpse will be left along a blood-soaked path to nowhere in the Mexican countryside.

Cardona and Reta didn't last long in that world. They each say they lived the life for about three years, Cardona from age 16 to 19; Reta, from age 13 to 16.

Eventually Laredo police detectives zeroed in on the teen assassins.

Cardona was arrested and pleaded guilty to killing seven men and to conspiracy to kidnap and kill in a foreign country. He was sentenced to more than 80 years in prison.

Reta said he began to fear that rival cartel members were getting close to killing him as retribution, so while working on an assignment in Monterrey, Mexico, he called a contact at the U.S. Drug Enforcement Agency and surrendered.

Reta pleaded guilty to two murders and was handed two prison sentences, of 30 and 40 years.

"I've come to regret everything I've done," Reta said. "I couldn't take it anymore. It was real hard for me. I wasn't living my life."

For his part, Cardona is not as remorseful. He doesn't spend a lot of time thinking about the violence he wielded, he said. His mind isn't haunted by violent images from his former life.

"I'm really a good person," he said. "It just happened."

"I always had thought that if I die, it's going to be by a bullet in the head," he said. "I never thought that I was going to die in prison."

@highlight

Two men reveal details about their lives as teen drug cartel assassins

@highlight

Now in prison, Rosalio Reta and Gabriel Cardona were hit men for drug lord "Z-40"

@highlight

For each killing, they say, they each were paid about $10,000

@highlight

Their stories offer a glimpse into a dark world that threatens countless Mexicans and Americans