(CNN) -- Americans have been repeatedly shocked by school violence this year-- first in Nevada, where in October a student shot and killed a teacher and wounded two students before taking his own life; then days later by the news that the body of a young teacher was found behind her school in Massachusetts. The images of traumatized parents and a campus surrounded by police tape shake us profoundly -- our hearts break for the families of those who died. For them, this is the beginning of an unwanted journey.

In my education research I have focused on the question of what happens in the lives of the people still connected to a school that has endured such a trauma long after the media and law enforcement move on.

School shootings affect teachers, school secretaries, maintenance people and anyone else on campus at the time. How the school, the community and families work together is critical to the long-term recovery of those who witnessed the nightmare.

It's important to consider two aspects of life after a school shooting. First, what do teachers go through as the days stretch on and, second, what can we learn from past shootings to help the educators in Sparks?

For teachers who witness school shootings, one diagnosis stands out, and it is well-known in the field of psychology: post-traumatic stress disorder, or PTSD. Teachers who see a shooting will experience the trauma of the activating event and a series of other emotions: pain, confusion, guilt, shame, a questioning of self-worth, fear, anger, depression, and, sometimes, acute anxiety. They may question their very sense of how the world works around them. They struggle to find a sense of safety.

Teacher slayings hurt view of schools as safe havens

If PTSD is not dealt with, the quality of the teacher's life can degrade rapidly. Psychiatric clinician Bessel van der Kolk has described how, left untreated, these changes can become permanent. Victims of untreated PTSD can degrade into rigid thinking, paranoia, defensiveness, over-reactivity and health problems.

This can have serious ramifications for students in their classrooms. They might find their teacher more and more withdrawn, less willing to engage intellectually or emotionally, defensive, sarcastic, inflexible and perhaps emotionally unstable. Teacher absenteeism -- meaning more substitute teachers -- might become a problem.

What can we learn from previous shootings that might help the educators in Nevada? The most important factor in recovery is quick access to professional crisis counseling.

Crisis counselors must discern how each individual witness deals with PTSD. In their trauma research, psychologists James Fauerbach and John Lawrence found that adjustment to trauma is a dynamic process influenced by the intensity of the incident but also by pre-trauma factors -- for example family stability, socioeconomic status. Personal resilience, which is effected by such things as social support, personality and native coping abilities, plays a role.

This is why past experience teaches us it's important to get quick professional psychological treatment, tailored to each individual. More severe PTSD symptoms, such as recurring nightmares, can arise over time; it's crucial that counseling continue to be available and actively offered.

After the first few weeks have passed, witnesses still need support. One of the worst things anyone can do is pressure the witness to "just get over it." Past experience suggests that teachers who witness shootings and who have these layers of support from family and community recover more fully and quickly than those who are more isolated.

And then there is time. Each person heals at a different pace. There will be teachers who will be able to return to their duties in a week or so; some may need months or years of support and therapy.

In my own study I compared two teachers recovering after witnessing a school shooting. One was able to return within a week and had extended support from district and local mental health professionals for some time. A mental health professional checked in on him weekly, even a year later. The other teacher had no such support. She was not even offered counseling. Her world, demonstrating van der Kolk's assertions, descended into defensiveness and health problems. She was unable to function after a month back on the job.

School administrators should understand that a teacher going back into the classroom may be an unknown; their post-shooting self may still be struggling in many ways. Unfortunately a 2005 study found that 75% of school districts affected by campus shootings did not require counseling for teacher witnesses.

Coordinating a re-entry plan with a professional psychologist can be fundamental to restoring a witness to a productive and healthy life.

Finally, research indicates that the more connected a witness feels to the school, to his or her family, and to the community, the better the possibility for long-term healing. School administrators, by routinely fostering relationships through off-campus faculty parties, softball games and other group activities, could be setting up a safety net that could smooth over a transition for future trauma victims.

One of the participants in my study regularly went on recreational events with co-workers. He mentioned how these same people felt connected to him and were there for him after the shooting. They knew him, knew when he needed alone time and when he needed to be around people. While this cannot prevent a tragedy, it can set up mechanisms to assist in healing.

In the weeks and months that follow, administrators, community members, family members and colleagues should be sensitive to events, objects and other factors that may cause heightened anxiety and panic attacks. To guide teachers, administrators will need professional advice from psychologists.

Beyond these things, what can the rest of us do to help? First of all, be a part of your local school. Teachers, students, administrators and other school workers need to feel valued and respected. Be a part of the process to find ways to make schools safer. Secondly, encourage your local school leaders to develop school morale, to develop crisis management plans and to foster a community feeling around the school.

The opinions expressed in this commentary are solely those of Edward Mooney Jr.

@highlight

Edward Mooney Jr.: After school violence, teacher trauma must be addressed

@highlight

He says psychological help, community support crucial for these teachers

@highlight

He says without treatment teachers' behavior can suffer

@highlight

Mooney: Fostering strong school communities aids recovery in the event of trauma