SEQUOIA NATIONAL FOREST, California (CNN) -- Beyond the towering trees that have stood here for thousands of years, an intense drug war is being waged.

Authorities uncovered more than $1 billion worth of pot plants in Sequoia National Forest this week.

Illegal immigrants connected to Mexico's drug cartels are growing hundreds of millions of dollars worth of marijuana in the heart of one of America's national treasures, authorities say. It's a booming business that, federal officials say, feeds Mexico's most violent drug traffickers.

"These aren't Cheech and Chong plants," said John Walters, director of the National Drug Control Policy. "People who farm now are not doing this for laughs, despite the fact Hollywood still thinks that. They're doing it to make a lot of money."

Walters spoke from a "marijuana garden" tucked deep into the Sequoia National Forest, a two- to four-hour hike from the nearest road, far removed from the giant sequoias the region is best known for.  Watch Hollywood needs to chill out, get serious about pot »

Ten thousand marijuana plants, some 5 feet tall, dotted the mountainside's steep terrain amid thick brush, often near streams. This garden's street value is an estimated $40 million, authorities said.

Walters clutched three plants he said were worth $12,000 on the streets.

"This is about serious criminal organizations," Walters said. "They're willing to kill anybody who gets in their way. They're taking money back to those who kill prosecutors, judges and law enforcement."  See photos of pot farm sweep in heart of U.S. national treasure »

Over the past eight days, a federal, state and county law enforcement initiative called Operation LOCCUST has eradicated 420,000 marijuana plants here worth more than $1 billion on the street. By comparison, authorities eradicated 330,000 plants over the six-month growing season last month, said Lt. Mike Boudreaux of the Tulare County Sheriff's Department.

Authorities have arrested 38 people and seized 29 automatic weapons, high-powered rifles and other guns, Boudreaux said.

For years, Mexican drug cartels have used the remote forest to conduct and conceal their business. But the pot production has intensified because it has become harder and harder to smuggle marijuana across the U.S.-Mexico border, Walters said.

"They come into our own national parks and risk the lives of sheriffs and others," Walters said.  Watch Mexican pot farms in U.S. forest »

Sequoia National Forest is more than 350 miles from the border, named in honor of its 38 groves of giant sequoia trees dating back thousands of years. The forest covers 1.2 million acres in the Sierra Nevada Mountains.

Some of the workers have established residency in the United States, Boudreaux said. Most are in the country illegally, he said, many brought for the sole purpose of growing pot, maintaining production and protecting the camp.

"They're using family or very trusted family friends. They don't just use anybody," he said.

Authorities arrested nine people in one bust recently, all of them brothers or cousins ranging in age from 20 to 27, Boudreaux said.

Boudreaux described a sophisticated web in which workers and supplies are delivered to the camps by separate groups of people who don't know all the details about the marijuana operation.

"You're recruited in for that purpose as long as you're trusted. ... Each person has his function."

Once at the national forest, the growers carry with them everything they need: tents, food, guns, fertilizer, irrigation hose and marijuana seeds. Armed men keep watch over the gardens day and night during planting season, officials say.

They dam mountain creeks to create pools and then siphon the water into miles of gravity-fed hoses that lead to smaller tubing to irrigate the plants. Nearly all of the marijuana plants have individual drip lines.

"The people that are growing this are good at what they do," said Boudreaux.

The battle is being waged by a coalition of local, state and federal agencies. They rip up and remove the intricate irrigation systems, eradicate the plants and develop intelligence on the workers.

"The goal is not just to eradicate the plants but to go after the organizations," Walters said.

What's different this year from years past, officials say, is that they're working to destroy the entire infrastructure of the marijuana grown in this region, from the irrigation systems to capturing the growers to ripping up the plants. And they're trying to get at the heart of the cartels.

Walters said they have a "unique relationship" with Mexican law enforcement to go after organized crime -- that they will take names of those arrested here and try to work back to the crime families.

"In the past, all we've been able to do is what we call 'whack and stack,' " said Bill Wittman, sheriff of Tulare County.

Wittman says he has had "well over 200 people in the field every day" eradicating the plants and removing the irrigation systems as part of the operation.

"We're not just pulling the plants, we're targeting mid-level and upper-management of these trafficking organizations," Boudreaux said.

How do they find the gardens in such remote areas? They use aerial surveillance, human intelligence and other means. "Often times, we have people who will lead us to these gardens," Boudreaux said.

Allen Ishida, a member of the Tulare County Board of Supervisors, said the illegal activity is alarming.

"I want to state that the guys growing the marijuana are not the guys I went to college with," he said. "These are organized drug cartels out of Mexico."

Boudreaux says authorities are furious that cartels are operating in a U.S. forest.

"It's something that's troubling for many of us in law enforcement," he said. "You have illegal criminal activity in the mountain regions not only destroying the natural beauty of the landscape but as well as the potential for this product to reach the children of this community."

CNN's Wayne Drash contributed to this report from Atlanta.

@highlight

Drug czar stands in pot garden: "These aren't Cheech and Chong plants"

@highlight

Authorities say Mexican drug cartels send illegals to grow marijuana in forest

@highlight

$1 billion worth of marijuana plants destroyed in Sequoia National Forest, cops say

@highlight

"They're willing to kill anybody who gets in their way," drug czar says