(CNN) -- NEWS FLASH: Working mom leaves office at 5:30 to spend time with kids.

Sadly, this is newsworthy, especially when the mom in question is Sheryl Sandberg, the chief operating officer of Facebook. By outing herself and urging others to follow her lead, Sandberg did us all a great service. Her announcement is an important step in normalizing and destigmatizing flexible work practices that should be prevailing practices, not exceptions.

Welcome as her announcement is, it also offers a cautionary tale. While she's been leaving at 5:30 since her children were born, or about seven years, it's only in the last two years, she says, that she's been "brave enough to talk about it publicly."

Despite the fact that the vast majority of women, especially professional women like Sandberg, combine careers and kids, the dirty little secret of today's workplace is that it still takes bravery -- and perhaps being the COO -- to be able to talk openly about leaving at the end of the day.

It's hard to imagine that Sandberg, a woman whose career has taken her from Harvard to Treasury to Google to second-in-command at Facebook, is easily cowed. She may not be every woman, but her fear of the consequences of being found out is shared by far too many working moms. Unfortunately, their fears appear to be well-grounded. Sandberg is the exception who proves the rule.

Pete Cashmore: Why it's OK to leave a tech job at 5 p.m.

Judged against powerful professional time norms, where long hours and constant availability are taken as proxies for commitment and competence (despite evidence to the contrary), Sandberg is what sociologists would call a "time deviant," which is anyone who works other than full-time plus.

This includes leaving "early" or working part-time or job-sharing. Research shows that working flexibly is a career killer whatever your gender, but women, especially mothers, who are more likely to take advantage of flexible options, face a double penalty: one for working flexibly; another simply for being a mother. Both translate in to dead ends and reduced pay.

That's for those who continue working, but often overlooked are the approximately 25% to 30% who don't, instead interrupting and sometimes terminating their careers. While this group is popularly understood as having "opted out," in my research I found that their "options" typically consisted of working all or nothing, and that their decisions to quit were reluctant and conflicted.

As a former management consultant told me about her employer: "What they really wanted you to do was bust your ass, and if there was anything that was going to get in the way of doing that, then you completely became chopped liver."

For these women, most of whom never envisioned having to choose between careers and children, the costs of workplace inflexibility are up close and personal -- diverted dreams and forgone earnings and independence. As a society, we bear the larger costs, when their workplace exits deprive us of much needed talent and drain the pipeline of future women leaders.

Sandberg's clandestine "early" leave-taking was a private solution to a public problem. Like so many women, she found a way to make work work. Too often, the ability to work flexibly is a perk, an extra, something for high fliers that has to be earned, or something that's on the books, but only approved in special cases. It's not a best practice and certainly not a right.

Yet, as a report from the Council of Economic Advisers, commissioned for a 2010 White House Forum on Workplace Flexibility, shows, flexibility is a best practice. Among its many benefits are increased productivity, reduced turnover and absenteeism, and higher morale and company commitment. Many European countries know this and are well ahead of us in creating the flexible workplaces of the 21st century, while ours remain so last-century.

By being candid about her own experiences, Sandberg's admission can help us recognize and begin to chip away at the penalties linked to flexibility, borne disproportionately by women. I'm part of a working group, led by lawyer/author Joan Williams at UC-Hastings School of Law's Center for WorkLife Law, which seeks to do the same, by documenting this emerging new form of discrimination and identifying potential legal remedies.

Sandberg's announcement reminds us, too, of how little we're asking for when we ask for flexibility -- things like getting home to have dinner with our families or take an ailing parent to the doctor. We know that workers of all kinds, ages and genders want more control over how and where they work so they can have a life, with or without family.

Yet until we lift the stigma and penalty attached to flexible work arrangements, we can anticipate that workers will be wary of taking advantage of them. Sheryl Sandberg has started an important conversation, one that encourages more of us to ask for flexibility and emboldens us to talk about it.

The opinions expressed in this commentary are solely those of Pamela Stone.

@highlight

Facebook COO Sheryl Sandberg says she leaves work at 5:30 p.m. to spend time with kids

@highlight

Her announcement helps destigmatize flexible work practices, Pamela Stone says

@highlight

Flexibility increases productivity, commitment and morale in the workplace, she says

@highlight

Stone: For women, the costs of workplace inflexibility are up close and personal