San Francisco, California (CNN) -- Alcatraz Island was a chilly, unwelcoming place once reserved for infamous criminals. Not even the federal government appeared to want it after the penitentiary closed in the 1960s.

Adam Fortunate Eagle remembers "The Rock" a little more warmly: a place where fellow Native Americans took a stand that may have helped end the U.S. policy of tribal assimilation.

Forty years ago Friday, dozens of Native Americans -- mostly California college students -- boated to the largely abandoned island in San Francisco Bay, starting an unarmed occupation that lasted nearly 19 months and captured the attention of media around the world.

A revolving group of Native Americans held the island from November 20, 1969, to June 10, 1971, staying in the former penitentiary buildings without running water, phone service and, for part of the time, electricity.

"We changed the whole course of history, not only for the island, but for the government and its relationship with the Indians," Fortunate Eagle, who helped organize the occupiers but didn't stay on the island, said during a visit there with a CNN crew.

The initial group demanded control of Alcatraz so it could develop several Indian institutions, such as a center of Native American studies, a spiritual center and a museum, partly as replacements for a San Francisco Indian center that had burned down.

The island was ready for the taking. The federal government, which closed Alcatraz's prison in 1963, considered the island surplus property, though there were moves to find a private buyer, said Craig Glassner, a U.S. National Park Service ranger on Alcatraz.

But another motive for the occupation was the government's general treatment of Indians. The U.S. 16 years earlier had begun a policy of terminating Indian reservations and relocating the inhabitants to urban areas.

"[The Alcatraz occupiers] wanted to focus attention on broken treaties, broken promises and termination of tribal areas," said Professor Troy Johnson, chairman of the American Indian studies program at California State University, Long Beach, and author of several publications on the occupation.

The landing party -- calling itself Indians of All Tribes -- was led by Richard Oakes, a Native American and student at what was then San Francisco State College. Many of his comrades were Native American college students he recruited, largely from the University of California, Los Angeles, Johnson said.

The government warned the occupiers to leave, and for three days the U.S. Coast Guard tried to blockade the island. But humor -- and the Bay Area's counterculture climate -- would work for the trespassers.

Fortunate Eagle, who said he generally remained at his Bay Area home but helped the occupiers with logistics, released a public declaration of the group's intentions. In it, he took shots at European explorers of centuries past, saying the group members claimed Alcatraz by right of discovery and that they would pay for the island with $24 worth of goods.

"The liberal people of San Francisco [and] Oakland, the Bay Area ... they loved what we were doing because we used satire and humor," Fortunate Eagle, now 80, recalled.

The press covered the occupation, and the public began delivering supplies by boat -- ignoring the blockade, he said.

The FBI intended to remove the occupiers, but the White House told it to back off and ordered an end to the blockade, Johnson said. In time, other Native Americans would join the occupation, with the high population point coming on Thanksgiving 1969, with 400 people, Fortunate Eagle said.

Fortunate Eagle's daughter, Asha Nordwall, was 15 at the time. She said she remembers staying at the island on weekends, choosing for fun -- as other kids did -- to sleep in the old penitentiary's cells while adults generally slept in buildings meant for the prison's staff.

"We were just kind of happy to be a part of all these Indians coming from everywhere," Nordwall said.

The population changed over time, with newcomers from across the country boating in and veterans departing. One of them was now-TV and film actor Benjamin Bratt, who as a child arrived with his siblings and mother, who is a Quechua native from Peru.

"Forty years later, Native people still recognize the occupation for what it was and remains: a seminal event in American history that brought the plight of American Indians to the world's attention," Bratt and his brother Peter said in a statement.

"It's easy to pass off the Alcatraz event as largely symbolic, but the truth is the spirit and dream of Alcatraz never died, it simply found its way to other fights," the Bratt brothers said. "Native sovereignty, repatriation, environmental justice, the struggle for basic human rights -- these are the issues Native people were fighting for then, and are the same things we are fighting for today."

In January 1970, Oakes, the leader on the island, left for good after his stepdaughter fell down a stairwell to her death, Johnson wrote in an account of the occupation posted on the National Park Service Web site for Alcatraz. Oakes himself would die in a shooting unrelated to the occupation in 1972, Johnson said.

In 1971, authorities decided to end the occupation by going in when the group was at its smallest. Police and federal agents removed 15 people on June 10, nearly 19 months after the occupation began, Johnson wrote in the online account.

The occupiers didn't get their demands. But President Nixon ended the U.S. tribal termination policy in June 1970, while they still were on the island. This was a result of the public spotlight that the occupation put on Indian issues, Johnson and Glassner said.

"It might have happened anyway, but Alcatraz had the attention of the nation, and it led to those changes being initiated in the White House," Glassner said.

Today the island is part of the National Park Service, hosting hundreds of thousands of people for tours each year.

Fortunate Eagle, who now lives on a reservation in Nevada, said the occupation was the most significant event in Native American history since the 1876 Battle of the Little Bighorn: "It brought the Indian issues to the forefront of the public awareness."

CNN's Kristopher Campa contributed to this report.

@highlight

Native Americans occupied Alcatraz for 19 months, starting in November 1969

@highlight

Indians wanted to focus on "broken treaties, broken promises," professor says

@highlight

Occupiers didn't get demands but may have helped end U.S. policy of tribal assimilation

@highlight

Co-organizer: Move brought "Indian issues to the forefront of the public awareness"