(CNN) -- The Syrian National Council, a prominent opposition group, elected its spokesman, George Sabra, as president at a meeting Friday in Doha, Qatar.

A foreign policy spokesman for the group, Radwan Ziadeh, said Sabra -- the group's third president -- replaces Abdulbaset Sieda, who is now a member of the executive office.

In all, 11 members -- men of various religious and ethnic backgrounds -- were elected to the executive office. "We hope the refreshment in leadership will reflect on the work of the SNC in the future," Ziadeh said. "No women were elected to the executive council but there is a seat for a woman that remains empty," he said, adding that no woman had run for the position.

After the election, a new push on Syria

The news came on the same day that a group that organizes and documents anti-government actions announced it was breaking with the Syrian National Council.

"Several attempts have been made by the Local Coordination Committees in Syria to push the Syrian National Council and its leadership to adopt a serious and effective general reform plan so that the SNC can assume its role as a political representative of the great people of Syria," the LCC said in a written statement.

"It is clear to us now that the Syrian National Council is not fit to assume such (a) role, especially after the disappointing results (of) its restructure attempts."

But Najib al-Adel, a member of the Idlib Revolutionary Movement, told CNN from Doha that some members of the LCC were sticking with the SNC. In addition, other opposition groups remained in Doha and were prepared to continue the talks, he said.

The moves in Qatar came as rebels inside Syria claimed victory at a key border town after fighting drove thousands of civilians into Turkey.

The battles between Syrian government forces and rebels raged in Ras Al Ain, across the border from Turkey.

The fighting has pushed thousands more refugees out of Syria. By Friday, more than 11,000 Syrians had escaped into Jordan and Turkey and more than 400,000 had been registered or were awaiting registration as refugees, said Ron Redmond, the spokesman for U.N. High Commissioner for Refugees.

Across Syria, 126 people were reported dead on Friday, the LCC said. Among them were nine childen and six women, it said.

Read more: 'Children's bodies were maimed and burnt,' witness says

Syrian rebels reported key strides in their nearly 20-month battle against the Syrian regime, said Amer al-Hasakawi, a Free Syrian Army spokesman in Hasaka. He said several rebel brigades had been slugging it out with government security forces since Thursday morning.

Fighters killed dozens of people and arrested others, he said. They seized government buildings, gained control of a border crossing with Turkey and took over border outposts. He said dozens of soldiers in those outposts defected.

Clashes continued Friday with military forces shelling Ras Al Ain with artillery and firing rockets.

Abu Ahmed, a rebel commander, reported major displacement of civilians because of the fighting and fears that government warplanes will bombard rebel-held neighborhoods. He said rebels were helping move some residents into Turkey and others have fled to nearby Syrian cities.

"Thanks to God, none of the FSA fighters are martyred," said Sgt. Muahyman al-Taee, a rebel brigade commander. "We've killed big numbers from the regime's dogs. Soon we will announce the complete liberation of the city."

Read more: Young Syrian amputee makes dangerous journey to find help

The Ras Al Ain fighting could be heard from over the Turkish border in the town of Ceylanpinar.

The violence in Syria had Turkey's military on high alert. TV footage showed Turkish soldiers, wearing combat gear, taking cover along berms. It also showed Turkish soldiers picking refugees up from the border and organizing their border crossing.

"The Syrians came right across the border wire," said Mehmet Saitavci, the mayor of a neighborhood in Ceylanpinar.

Schools in the Turkish town were closed because of the fighting.

"People here have a lot of relatives on the other side, and they are coming up to the border and the Turkish military takes them and brings them into Turkey," Saitavci said. "We were told we can have our relatives be our guests for a few days."

Of the thousands of refugees, 71 were injured, the Turkish Foreign Ministry official said. Two died of their wounds. Most of the Syrians were sent to a Turkish camp in the town of Akcakale.

The Turkish Anadolu news agency reported Friday that 26 Syrian military officers and 71 of their relatives had fled to the Turkish province of Hatay. But Turkey's Foreign Ministry denied the report.

Read more: Who is arming the Syrian conflict?

Before the new arrivals, the Turkish government had said it was hosting more than 111,000 Syrian refugees.

As violence continued in border towns, battles between the forces of Syrian President Bashar al-Assad and opposition fighters raged elsewhere.

The Syrian conflict has left more than 35,000 people dead and widespread displacement.

The United States announced more than $34 million in humanitarian assistance for Syrians on Friday, bringing the amount of humanitarian aid it has allocated to more than $165 million.

U.S. Deputy Assistant Secretary Kelly T. Clements made the announcement Friday at the Syrian Humanitarian Forum in Geneva, Switzerland.

The money will be used for several purposes, including the purchase of blankets, heating of stoves and other goods for refugees in Jordan, Turkey and Lebanon during the winter months. The aid also will target health care, including an immunization campaign for up to 1 million children in Syria to protect them from measles and other diseases.

It will also be used to help wounded Syrians at the Lebanon-Syrian border get medical care.

CNN's Raja Razek, Salma Abdelaziz, Gul Tuysuz, Hamdi Alkhshali and Joe Sterling contributed to this report.

@highlight

LCC announces it is breaking with the Syrian National Council

@highlight

Of the thousands arriving in Turkey, dozens are injured

@highlight

Syrian government forces and rebels fought near Turkish border

@highlight

United Nations says more than 11,000 Syrians have fled into Turkey, Jordan