(CNN)The horror stories seem to stack up every winter: Students sliding and stomping through knee-deep snow on their walks to school, trapped inside school buses or nestling in for a surprise slumber party in the school gym.

This week, schools across the Northeast shut down in preparation for a "potentially historic" blizzard. Some even tried to have some fun with it, including those at the Moses Brown School in Providence, Rhode Island. They posted a snow day announcement that parodied the "Frozen" hit "Let It Go."

Still, closing school is a tough call, said school superintendents from across the country. The decision often requires hours of preparation and discussion among administrators, local officials, road crews and meteorologists. Most school leaders said they take a better-safe-than-sorry approach, but it can be hard to do as the number of days off climbs.

"We lose a lot of sleep over it," said Gregory Hutchings, superintendent of Shaker Heights schools in Ohio.

So why wouldn't schools call off classes when weather seems like it could be dangerous? Here are a few reasons.

1. Forecasts can be wrong.

With every winter storm threat, superintendents wake in the wee hours to consider the latest weather maps or drive their local roads. One February day last year, Stratford, Connecticut, schools Superintendent Janet Robinson was on a forecasting conference call at 4:15 a.m. Within 30 minutes, and with the help of the schools' facilities manager, she decided to cancel classes for the sixth time that year.

But the choice isn't always that easy. After all, weather forecasts aren't guarantees.

"There's no snow yet at 4 o'clock, it's forecast to come in, and you decide to cancel -- and then it doesn't come," Robinson said. "We joke that no matter what we say, someone is going to disagree with it."

Of course, there are worse ways to be wrong, she said: Watching a snowstorm roll in once you've brought children to school, calling buses back while kids shiver at their bus stops or sending young drivers out on dangerously slick roads.

2. Parents hate snow days, too.

When the windchill hit 35 degrees below zero last year, the decision was easy for Hutchings: School was canceled.

To his surprise, "I still received phone calls and e-mails from parents," he said. "It's a no-win situation."

As a father of young children, he can commiserate. He understands parents' concerns about child care and time off from work. Parents really hate it when he spoils vacation by adding makeup days to the end of the school year, he said.

But his decisions are based on what's safest for all students and staff members, he said.

In January 2014, many schools around Atlanta remained open for a few hours before snow began to fall. When they released early, some students ended up stuck on icy, gridlocked roads or stranded at school overnight.

Clayton County schools -- a district just outside Atlanta with about 52,000 students and 6,200 faculty and staff -- closed before the snow arrived and initially heard some negative responses from parents, said Vicki Gavalas, the district's director of communications.

Within a few hours, the tone changed.

The superintendent's office received more than 100 thank-you messages from parents and community members, she said, and a batch of handwritten letters from kindergartners who wrote, "You made the right decision" and "Thank you for keeping my family safe."

"The e-mails we got in support were so gratifying and affirming," Gavalas said. "Sometimes, people are very quick to criticize and not as quick to praise."

3. Closures can be costly.

Wild weather almost always means extra costs for schools, from storm cleanup to snow removal to staff overtime. But school closures can hurt the budget in deeper ways, especially if the days off begin to pile up.

"We do have an obligation to the taxpayer that we are good stewards, financially," Gavalas said.

Day-to-day school attendance won't typically affect a school's finances, said Dick Flanary, former deputy executive director for programs and services for the National Association of Secondary School Principals. But it can lead to cuts if test scores sink, if students or teachers' miss a chance to shine or if schools can't fulfill a grant obligation based on instructional time.

"There's a very competitive environment for grant money, foundation money, because of this economy," Flanary said. "It could jeopardize a potential funding source."

4. Students could go hungry.

Or be left alone. Or get into trouble. Educators know that school might be the only place where some students eat a healthy meal or experience a safe, supervised, warm environment.

"You think about those kids, that this is the only wholesome meal those children get during the day," said Flanary, who was a middle school principal in Virginia for 12 years. "When they miss that, what's the result?"

But if the roads aren't safe, the power is out or a natural disaster has damaged the building, educators say, school isn't a safe place to be, either.

5. Closing school means less time to learn.

It's simple, educators said: If students are snowed out of school, they won't learn as much. Educators said it's especially tough on students gearing up for standardized tests or Advanced Placement exams and for new teachers who haven't mastered the art of the strong comeback.

"What concerns us most is the lack of continuity in the kids' education," said Robinson, the Connecticut superintendent. "There's something about the energy of being in school every day that you miss."

A snow day here or there won't hurt student learning, said Joshua Goodman, an assistant professor of public policy at Harvard's Kennedy School of Government. He recently studied eight years of school closures in Massachusetts and found that snow days caused no harm. Most teachers there understood how to adjust their lesson plans and prioritize must-learn material, he said.

What did affect academic achievement, he found, were lousy weather days when schools remained open. On those days, higher numbers of students missed class, perhaps because of parental discretion or transportation issues, and entire classes suffered as teachers moved some students on and caught other students up.

But in Massachusetts, where snow days are no surprise, it was rare for schools to close for several days at a time, Goodman said. The results might be different in states that rarely encounter extreme weather or for schools that face a major, one-time disruption.

"The fact that snow days are not harmful is because schools and teachers know how to deal with them," Goodman said.

Not all learning is lost when school is out, though. Educators across the country said they're urging students to check out Khan Academy and other online learning tools. Some said teachers now assign homework in advance so students can stay on task. Last year, some school districts experimented with virtual school days taught at home through school-provided laptops and tablets.

Hutchings, the Shaker Heights, Ohio, superintendent, said some in his district assign "blizzard bags" of schoolwork for students to dip into whenever they're out of class, and it is considering online programs that would allow students to interact with teachers from home -- at least, between snowball fights and trips down the sledding hill.

"The first couple (snow days) are OK," Hutchings said. "When you get into five, six, enough is enough. I have a plea with Mother Nature to ease up a little bit."

@highlight

School leaders say closing schools is a "no-win" situation

@highlight

It can lead to angry parents, hungry kids and academic trouble

@highlight

Ohio superintendent: "I have a plea with Mother Nature to ease up a little bit"