(CNN) -- I was sitting in a wheelchair in an elevator of a hospital when the aide pushing me lay a binder on my lap. My medical record!

It was heavy, hundreds of pages charting all I had endured since a runaway truck in Jerusalem broke my neck months before on May 16, 1990. I knew that medical charts were off-limits to patients. But I was 19 and hemiplegic (the left half of me paralyzed) and curious. And so, I opened it with my one good hand and read what a droll psychologist at Mount Sinai had somehow gleaned from our occasional games of chess: "Joshua appears compliant and motivated and expressed good insight into the nature and course of his disability." I closed the binder quickly, my mind at ease.

Patients no longer have to resort to stolen glances. Ever since 1996, when Congress passed the Health Insurance Portability and Accountability Act, all of us (save a small number of people with severe mental health disorders) have had the right to read our records.

But only a tiny percentage of patients do -- "at most, 1 percent," says Tom Delbanco, a professor at Harvard Medical School who has long called for hospitals to offer patients easy and full access to their records.

That patients ignore their medical records is understandable. Records are largely dry data: test results, medications, vital signs, physical examinations. But ultimately, they are accounts of lives and deaths. And when I recently read my own record -- a thousand-odd pages written over four months in three hospitals in two languages -- I learned a lot, felt in the know.

Prager: Is our suffering God's will?

That feeling of empowerment, it turns out, is typical. Starting in 2010, Delbanco and Jan Walker, a researcher at Harvard Medical School with a background in nursing, surveyed 20,000 patients at three hospitals who were invited by e-mail to read the notes their doctors had written of them.

Great majorities of the patients who then read their records felt more in control of their care (81%) and were better at taking their medicines (69%) too. All but 1% wanted to continue to read their records. Doctors, meantime, were by and large reluctant participants in the study only to then concede that their worries had been unfounded. ("My fears: Longer notes, more questions, and messages from patients," wrote one doctor. "In reality, it was not a big deal.") Not one of the 105 doctors in the study chose to stop inviting patients to read their notes.

A second study published two months ago and conducted by Dr. Susan Woods, an internist at the Portland VA Medical Center, also concluded that transparency greatly benefits patients. (This study did not assess its effect on doctors.) And so, 17 years after HIPAA, its ramifications are finally being understood.

Perhaps it is no surprise then that more hospitals are reaching out to patients. In the last year, the Veterans Health Administration and the Mayo Clinic began programs that grant patients easy and full access to their records online, the records just a click away for more than a million patients. And as more patients read their records, a second revolution in medical records may very well begin: caregivers writing them in collaboration with their patients.

Here's why: In recent years, hospitals have digitized patient records. This has prompted many doctors to cut and paste text from one section of a medical record to another which in turn has led to billing abuses and also to the replication of mistakes.

And so Delbanco and Woods predict that as more patients read their records online, they will begin to monitor and share them and, eventually, amend and comment upon them too -- much as the public does an entry on Wikipedia. This amended record will not simply be more accurate; it will be truer -- and truer and truer the more caregiver and patient collaborate.

Doctors will no doubt shudder at the thought of collaborative records. But so did those doctors surveyed about granting patients access to their records only to then find that transparency bred trust, not lawsuits or even extra work.

All agree that the goal of medical records is to improve patient care. And so, the question is simple: Would allowing patients to comment upon their own records improve their care? Well, how could it not?

If doctors consult the ancient histories of patients to know them better, how could written responses from patients about their care, in real time, not be as valuable?

Back in 1990, I would have loved to collaborate with my caretakers, to comment daily upon dosages and treatments and them too -- my saintly nurses Mary and Patrice, my patient doctors Frank and Tom, my skilled and kind therapists Katie and Beth. And, yes, there were a few horrible white coats to write of too who made us blue gowns pay for the audacity of independence and disagreement and minirebellion.

Would my words have made a difference? I don't know.

But now that access is here, collaboration is coming. It will arrive much sooner, patients, if you read your records.

The opinions expressed in this commentary are solely those of Joshua Prager.

@highlight

Joshua Prager: Reading my medical record, I learned a lot about myself

@highlight

He says all patients have the right to examine their records but only tiny minority do so

@highlight

Studies find that access to records helps patients and improves care

@highlight

Letting patients contribute to the records is the next logical step, Prager says