(CNN) -- World Oceans Day, June 8, arrives this year at a time when people are especially focused on the safety of waters threatened by the Gulf oil disaster. Yet it is also a time when more people are committing to work to preserve the oceans than ever before.

Among them is Roz Savage, who last week completed the third and final leg of her effort to row across the Pacific Ocean. Savage was one of dozens who took part in the Mission Blue cruise in April, organized by the nonprofit group TED to develop a strategy to save the oceans.

In her talk on the Mission Blue cruise, taped before the final leg of her Pacific journey, Savage estimated that her trip across that ocean required more than 8,000 miles of rowing, spending 312 days on her own in a 23-foot rowboat. Savage is the first woman to row solo across the Pacific, from the West Coast of the United States to Papua New Guinea. (Maud Fontenoy rowed a shorter route from Peru to Polynesia in 2005.)

Learn more about the "Mission Blue Voyage"

Once a management consultant based in London, England, Savage says she knew from day one that the career wasn't right for her. But she didn't get serious about making a change until she was in her mid-30s.

"I sat down one day and wrote two versions of my own obituary, the one that I wanted, a life of adventure, and the one that I was actually heading for which was a nice, normal, pleasant life, but it wasn't where I wanted to be by the end of my life."

Watch a revealing look at the oceans' glory and shame

She wound up competing in the Atlantic Ocean rowing race, from the Canary Islands to Antigua, a 3,000-mile run. "Sure, I had wanted to get outside of my comfort zone, but what I'd sort of failed to notice was that getting out of your comfort zone is, by definition, extremely uncomfortable. And my timing was not great either -- 2005, when I did the Atlantic, was the year of Hurricane Katrina. There were more tropical storms in the North Atlantic than ever before, since records began. And pretty early on those storms started making their presence known."

All four of her oars broke before she reached the halfway mark -- and Savage was forced to improvise using a boat hook and other equipment on the boat.

The Mission Blue Voyage was a product of undersea explorer Sylvia Earle's 2009 TED Prize wish "to ignite public support for a global network of Marine Protected Areas, hope spots large enough ... to restore the blue heart of the planet." The Galapagos cruise attracted leading scientists and celebrities such as Glenn Close, Leonardo DiCaprio, Jackson Browne, Edward Norton, Elizabeth Banks, and Chevy Chase -- and resulted in $15 million in pledges to protect the seas and advocate for new policies.

In her talk making the wish, Earle pointed out that in the past 50 years, 90 percent of the big fish in the oceans have been consumed and nearly half of the ocean's coral reefs have disappeared. Less than 1 percent of the ocean is protected from destructive fishing, and Earle believes the seas will go into irreversible decline unless a much larger portion -- some experts say as much as 30 percent -- is protected. Earle said the world needs to act swiftly to protect what she calls "the blue heart of the planet that basically keeps us alive."

A filmmaker explains how he became fascinated with sea creatures

In Savage's view, the environmental problems the world faces don't result from the big incidents such as the Exxon Valdez or the Gulf oil disaster. "Mostly it's been an accumulation of bad decisions by billions of individuals day after day and year after year. And, by the same token, we can turn that tide. We can start making better, wiser, more sustainable decisions. And when we do that, we're not just one person. Anything that we do spreads ripples.

"Other people will see, if you're in the supermarket line and you pull out your reusable grocery bag. Maybe if we all start doing this, we can make it socially unacceptable to say yes to plastic in the check-out line. That's just one example."

Watch other talks from Mission Blue

Savage's first effort to cross the Pacific ended in failure in 2007 when her boat capsized three times in 24 hours and she was rescued -- against her wishes. The next year, she completed the first leg, to Hawaii, but only after nearly running out of water.

She managed to meet up with the crew of the "Junk Raft," a boat made mostly of plastic water bottles that Savage said was built to call attention to "the North Pacific garbage patch, that area in the North Pacific about twice the size of Texas, with an estimated 3.5 million tons of trash in it, circulating at the center of that North Pacific Gyre."

Earlier on that voyage, Savage said, the crew had caught a mahi mahi and found that its stomach was full of plastic.

Savage wrote this post for CNN.com after her Pacific journey was completed:

In the couple of months since this TEDTalk was recorded, I have rowed 2,000 miles from Kiribati to Papua New Guinea in the third and final stage of my Pacific crossing, becoming the first woman to row solo all the way across the Pacific.

During those two months the ocean has suffered new assaults -- notably the oil spill in the Gulf of Mexico, but also smaller insults, as I have witnessed with my own eyes. On a beautiful calm day, with sunlight glinting off the waves, it is heartbreaking to see a plastic bottle floating on the water. Even thousands of miles from land, the ocean wilderness is no longer pristine.

Mankind's impact is felt everywhere. When I have been alone for a long time at sea -- sometimes over a hundred days without seeing another human -- this evidence of our carelessness is especially jarring. There are times when I feel ashamed to be a human being, and feel obliged to apologize to the small community of fish that congregate beneath my boat for the mess we have made of their home.

And it doesn't impact just the fish. Oceans cover 71 percent of the Earth, and are an integral part of our weather systems, climate control, and food supply. How can we have a healthy planet -- or healthy bodies -- if we don't have healthy oceans?

I row across oceans to inspire people to take action on environmental issues. Something the ocean has taught me is that any challenge, no matter how huge, can be tackled if you break it down into little steps. Crossing the Pacific has taken me about 2.5 million oar strokes. One stroke doesn't get me very far, but you take all those tiny actions and you string them all together and you get across 8,000 miles of ocean. You can achieve almost anything, if you just take it one stroke at a time.

And it's the same with saving the oceans. On a day like Oceans Day, when we feel part of a huge global community, it's easy to believe we can change the world. But there will be other days when maybe we feel alone, and that anything we do as individuals won't really make a difference -- that it's just a drop in the ocean.

But every action counts. We all have it in our power to make a difference. In fact, we're already making a difference -- it's just up to us to decide if it's a good one or a bad one. Every time we say no to a plastic bag or refuse to drink bottled water, it matters.

If I can row 8,000 miles to make a point about the state of our oceans, then you can do your part too. Start by going to http://ecoheroes.me/ and log a single green deed that you are going to do today, Oceans Day, to help save our seas. We have a lot of work to do, but the longest journey starts with a single step -- or oarstroke.

@highlight

Roz Savage gave up a career as a management consultant to seek adventure

@highlight

She rowed in a race across the Atlantic and then completed a three-leg journey across Pacific

@highlight

Savage spoke on Mission Blue Voyage, which sought to accelerate efforts to save the oceans

@highlight

She said environmental damage results from bad decisions made by billions of people every day