(CNN)Here's a roundup of five medical studies published this week that might give you new insights into your health. Remember, correlation is not causation -- so if a study finds a connection between two things, it doesn't mean that one causes the other.

Dream on and it'll get weird

At the beginning of your sleep cycle, you may be dreaming about grocery shopping or your favorite TV show. But by the end of the night, you more likely will be dreaming about doing that shopping in your underwear with a murderous clown following you.

In a study in the American Psychological Association journal, scientists followed the dream patterns of 16 people over two nights. The dreamers were awakened four times a night and asked to describe their dreams. The researchers found the longer someone slept the stranger and more emotional and in-depth their dreams got.

Scientists concluded that a particular time of night may affect the content of dreams.

A new way to detect depression

Currently, a doctor or social worker will ask you a standard set of questions to determine if you are depressed. Depression is often underdiagnosed because studies have shown patients frequently underreport their symptoms.

Scientists at Northwestern University have come up with an alternative way to diagnose depression that uses a blood test, according to a study from Translational Psychiatry. The blood test looks at nine genetic markers in the blood that have been linked to depression.

Scientists tried the test on 32 adults who were diagnosed as depressed and 32 who were not. After 18 weeks of therapy, those who were considered depressed were tested again. Those who improved through therapy showed a change in their genetic markers.

The accuracy of the blood test showed similar results to people who were diagnosed through diagnostic interviews.

Could a blood test predict suicides?

American beer bellies are getting bigger

Americans are getting bigger around the middle, according to a study in the Journal of the American Medical Association. That's considered the most dangerous place on the body to gain weight.

Studies have shown that people whose weight settles in their midsections have a higher risk for diabetes, heart disease and other serious conditions.

In this study, the Centers for Disease Control and Prevention looked at adults over a period of 12 years. They found that the average waist size went up nearly an inch for men, to almost 40 inches. For women, the average waistline was about 38 inches, which is up nearly an inch and a half from 2000.

By the CDC's estimates, 54% of U.S. adults are heavier in their midsections. That's up from 46% in 1999-2000.

The average body mass index, or BMI, has stayed steady.

Illicit drug use among teens is down slightly

Fewer teens are using illicit drugs and binge drinking, according to the National Survey on Drug Use and Health, which was released in full this week.

About 8.8% of teens 12 to 17 reported using illegal drugs in the survey, a decrease of 13% from 2009 and 24% from 2002. Fewer teens also reported drinking in the month before completing the survey. Around 6.2% reported binge drinking.

Even marijuana use among teens was down slightly.

Researchers did not see a change in the number of people over 12 who were using pain relievers for nonmedical purposes. Around 4.5 million Americans admitted to doing so, a rate similar to those in 2011 and 2012.

Gupta: How we created the heroin problem

A link between artificial sweeteners and diabetes

Artificial sweeteners may be messing with our gut bacteria and, in turn, with our ability to tolerate glucose. Glucose intolerance is a condition that can lead to diabetes.

The series of studies appeared this week in the journal Nature.

Scientists found that when mice ate or drank liquid or food made from aspartame, saccharin or sucralose, many of them became glucose intolerant.

Researchers then tested the same thing out in seven human volunteers. Four of the seven developed glucose intolerance after consuming a regular dose of saccharin for a week. These individuals were not regular users of artificial sweeteners before the experiment.

In a separate study of 400 humans, the scientists noticed the gut bacteria in study participants changed after they consumed artificial sweeteners.

Gut bacteria are different in everyone. But some experts believe our gut bacteria can affect how our body processes food and burns calories. They theorize that the way sweeteners react with gut bacteria may affect whether someone gains or loses weight.

@highlight

Average BMI has stayed the same for Americans, but our waist size is expanding

@highlight

Consuming artificial sweeteners make some mice glucose intolerant, leading to diabetes

@highlight

Teens are doing fewer illicit drugs, a national survey finds