Washington (CNN) -- Miriam Regalado sued her employer for alleged gender discrimination. Three weeks later, the company fired her fiancé, citing "performance issues." The couple then sued, claiming job retaliation for the original complaint aimed specifically at the man.

On Monday, the U.S. Supreme Court handed down a unanimous ruling favoring the couple and concluding that federal protections can include third-party victims of retaliation.

In an 8-0 ruling, the high court said Eric Thompson had "standing" to file his own lawsuit to address the injuries he said he suffered as a result of the retaliation.

"Accepting the facts as alleged, Thompson is not an accidental victim of the retaliation -- collateral damage, so to speak of the employer's unlawful act," Justice Antonin Scalia said. "To the contrary, injuring him was the employer's intended means of harming Regalado."

The decision allows Thompson to continue his lawsuit against Kentucky-based North American Stainless.

The case began when Regalado, one of just a few female engineers at the plant, filed a gender discrimination claim in February 2003. She alleged that male supervisors treated her unfairly. Title VII of the Civil Rights Act prohibits companies from retaliating against workers who report discrimination based on sex, race or religion.

Three weeks after the complaint was filed with the federal Equal Employment Opportunity Commission, Thompson was dismissed from his job as a metallurgical engineer. He then filed his own separate retaliation claim.

Lower federal courts were divided over whether he could pursue such a lawsuit. A federal appeals court in Cincinnati, Ohio, ultimately dismissed the case, concluding that Thompson did not himself engage in any "statutorily protected activity," such as protesting his fiancée's treatment or assisting in her complaint.

Thompson and Regalado are now married. There was no immediate comment from them or the company to the ruling.

The Obama administration had supported Thompson, and then-Solicitor General Elena Kagan had filed supporting legal briefs in the appeal last year. She has since been named the Supreme Court and recused herself from the case to avoid an appearance of conflict.

At oral arguments last month, both the company and the couple agreed that Regalado had the right to file her lawsuit alleging that Thompson's firing was retaliation. The company denied the specific claims and said Thompson himself could not bring the separate lawsuit.

Scalia, in an eight-page opinion, concluded that the case for Thomspon was clear-cut.

The anti-retaliation provision in Title VII is "worded broadly," he said. "We think it obvious that a reasonable worker might be dissuaded from engaging in protected activity if she knew that her fiancé would be fired."

In a concurring opinion, Justice Ruth Bader Ginsburg added a "fortifying observation": that Equal Employment Opportunity Commission rules clearly give Thompson -- even though he was not married to Regalado -- the right to press his allegations in court.

Ginsburg has long been a champion of gender equality on the job. She issued a famous dissent in 2007 after the high court dismissed a workplace discrimination lawsuit by tire manager Lily Ledbetter. She alleged being paid less than her male counterparts for equal work over about two decades but did not find out about the discrimination until she was about to retire.

President Obama, in the first bill he signed when taking office in 2009, signed the Lily Ledbetter Act into law. It nullified the high court decision and said every new paycheck received over the years based on a discriminatory act -- regardless of when the first discrimination occurred -- would extend the statute of limitations 180 days.

The current case is Thompson v. North American Stainless, LP (09-291).

@highlight

Eric Thompson was fired after his fiancée alleged sex discrimination

@highlight

Plaintiff was clearly "collateral damage" of employer's act, Scalia writes

@highlight

Court ruled 8-0 that Thompson has standing to sue for retaliation

@highlight

Employment rules clearly favor Thompson, Ginsburg writes