(CNN) -- While tragedy envelops the families of the injured and dead in New York's Metro North train derailment, the train's operator could be facing a crisis of his own from criminal charges, if compelling evidence supports them.

Although such charges are difficult to prove in accident cases, this one may prove to be an exception to the rule.

It is the kind of high-profile case involving multiple deaths and many injuries that will undoubtedly attract the careful scrutiny of the prosecutor in charge: Bronx District Attorney Robert Johnson. Even at this early stage of the investigation, it would appear that a determined prosecutor could find adequate evidence to support an indictment.

New York's Gov. Andrew Cuomo, a former prosecutor himself, made it clear he believes law enforcement will look into the engineer's actions, and that the derailment was related to "excessive speed and reckless handling of the train." He focused on the investigators' assessment that the train was traveling at least 82 mph through a sharp "deadman's curve," which requires a speed of 30 mph for the safety of the train and its passengers.

"I wouldn't be surprised if criminal agencies looked into the facts of the matter once they're fully developed," Cuomo said.

Should these facts prove to be accurate, the framework of a criminally negligent homicide prosecution begins to emerge from the twisted rubble on the Hudson River. Under New York law, criminally negligent homicide can be charged in cases where death is caused by acts of grossly negligent or reckless conduct.

New York characterizes these charges as criminally negligent homicide, manslaughter or "depraved indifference murder," depending on the particular facts and circumstances of the case. The penalty for these crimes increases exponentially as the degree of negligence escalates to killing with "depraved indifference" to human life. The depraved indifference murder charge carries essentially the same penalty as a deliberate and intentional murder, usually known as "Murder One" in other states.

Unlike civil cases, in which the only penalty is the award of money damages, criminal liability for a homicide based on gross negligence, recklessness or "depraved indifference," can result in substantial prison sentences, ranging from a year-and-a-half to life. For this reason, the standard or proof required to prove such charges is quite rigorous.

Certainly operating a commuter train at such an excessive speed would easily constitute either reckless or grossly negligent conduct. Historically, New York courts have required more than a single act of negligent conduct before upholding a very serious charge like criminally negligent homicide.

In most cases in which the charge of criminal negligence or recklessness is upheld by appellate courts, a defendant must exhibit at least two forms of negligent conduct in the commission of the crime. For example, in drunken driving prosecutions for criminally negligent homicide, cases are often based on the claim that the defendant was not only drunk but was also speeding or ignoring other traffic laws when the person was killed. (In Mr. Rockefeller's case, blood tests for alcohol were negative.)

But it's possible that the prosecution could meet this high standard if investigators find evidence that Mr. Rockefeller was not only speeding at 82 mph when entering the dangerous curve, but was also operating a train while inattentive or impaired. That is similar to running a red light or a stop sign because of inattention -- the law does not grant a waiver for the failure to perceive an obvious risk.

His own lawyer's surprising admission that Mr. Rockefeller was driving a train while dazed or "zoned out" could constitute yet another form of gross negligence -- at the first sign of such a condition, prosecutors will argue, a reasonable person exercising due care for the safety of his passengers would have stopped the train and radioed for assistance.

Even if the engineer avoids a criminal indictment, he will most certainly be involved as a witness or a party in many civil lawsuits filed by the victims and their families.

Both he and Metro North officials will have to fight claims of negligence in the training and monitoring of railroad personnel. They will also have explain to the families of those whose loved ones perished on a routine commute to New York City why this happened when technology has long existed to stop an out of control locomotive from speeding into a dangerous curve.

Rockefeller's real worries, however, should be focused on possible criminal charges. In November of 1992, 39-year-old New York Subway motorman, Robert Ray, was sentenced to 5 to 15 years in prison for the reckless manslaughter of five subway passengers in a derailment caused by speeding. He was drunk, however, and had walked away from the accident. He served 10 years.

A robbery suspect who ran over a nun while fleeing police in a minivan was convicted of murder in yet another example of reckless homicide while operating a vehicle in New York.

The National Transportation Board's findings are not yet in. But if the investigation finds the accident was not related to track conditions or a terrible mechanical problem, but was because of human error, the defense will have to prove the existence of something that struck him suddenly and unexpectedly -- or Mr. Rockefeller could soon be traveling "up the river" in handcuffs toward a new residence.

The opinions expressed in this commentary are solely those of Paul Callan.

@highlight

Paul Callan: Train operator could face charges if evidence supports criminal negligence

@highlight

Callan: Criminally negligent homicide very difficult to prove, but possible in this case

@highlight

Callan: Grounds seem adequate to seek an indictment against train engineer Rockefeller

@highlight

Gov. Cuomo says tragedy related to "excessive speed and reckless handling of the train"