Editor's note: John M. McCardell Jr., president emeritus at Middlebury College, is founder and president of Choose Responsibility, a nonprofit organization that seeks to engage the public in debate over the effects of the 21-year-old drinking age.

John McCardell says the 21-year-old drinking age isn't preventing widespread binge drinking.

(CNN) -- One year ago, a group of college and university presidents and chancellors, eventually totaling 135, issued a statement that garnered national attention.

The "Amethyst Initiative" put a debate proposition before the public -- "Resolved: That the 21-year-old drinking age is not working." It offered, in much the way a grand jury performs its duties, sufficient evidence for putting the proposition to the test. It invited informed and dispassionate public debate and committed the signatory institutions to encouraging that debate. And it called on elected officials not to continue assuming that, after 25 years, the status quo could not be challenged, even improved.

One year later, the drinking age debate continues, and new research reinforces the presidential impulse. Just this summer a study published in the Journal of the American Academy of Child and Adolescent Psychiatry revealed that, among college-age males, binge drinking is unchanged from its levels of 1979; that among non-college women it has increased by 20 percent; and that among college women it has increased by 40 percent.

Remarkably, the counterintuitive conclusion drawn by the investigators, and accepted uncritically by the media, including editorials in The New York Times and The Washington Post is that the study proves that raising the drinking age to 21 has been a success.

More recently, a study of binge drinking published in the Journal of the American Medical Association announced that "despite efforts at prevention, the prevalence of binge drinking among college students is continuing to rise, and so are the harms associated with it."

Worse still, a related study has shown that habits formed at 18 die hard: "For each year studied, a greater percentage of 21- to 24-year-olds [those who were of course once 18, 19 and 20] engaged in binge drinking and driving under the influence of alcohol."

Yet, in the face of mounting evidence that those young adults age 18 to 20 toward whom the drinking age law has been directed are routinely -- indeed in life- and health-threatening ways -- violating it, there remains a belief in the land that a minimum drinking age of 21 has been a "success." And elected officials are periodically reminded of a provision in the 1984 law that continues to stifle any serious public debate in our country's state legislative chambers: Any state that sets its drinking age lower than 21 forfeits 10 percent of its annual federal highway appropriation.

But it's not 1984 anymore.

This statement may seem obvious, but not necessarily. In 1984 Congress passed and the president signed the National Minimum Drinking Age Act. The Act, which raised the drinking age to 21 under threat of highway fund withholding, sought to address the problem of drunken driving fatalities. And indeed, that problem was serious.

States that lowered their ages during the 1970s and did nothing else to prepare young adults to make responsible decisions about alcohol witnessed an alarming increase in alcohol-related traffic fatalities. It was as though the driving age were lowered but no drivers education were provided. The results were predictable.

Now, 25 years later, we are in a much different, and better, place. Thanks to the effective public advocacy of organizations like Mothers Against Drunk Driving, we are far more aware of the risks of drinking and driving. Automobiles are much safer.

Seatbelts and airbags are mandatory. The "designated driver" is now a part of our vocabulary. And more and more states are mandating ignition interlocks for first-time DUI offenders, perhaps the most effective way to get drunken drivers off the road.

And the statistics are encouraging. Alcohol-related fatalities have declined over the last 25 years. Better still, they have declined in all age groups, though the greatest number of deaths occurs at age 21, followed by 22 and 23. We are well on the way to solving a problem that vexed us 25 years ago.

The problem today is different. The problem today is reckless, goal-oriented alcohol consumption that all too often takes place in clandestine locations, where enforcement has proven frustratingly difficult. Alcohol consumption among young adults is not taking place in public places or public view or in the presence of other adults who might help model responsible behavior. But we know it is taking place.

If not in public, then where? The college presidents who signed the Amethyst Initiative know where. It happens in "pre-gaming" sessions in locked dorm rooms where students take multiple shots of hard alcohol in rapid succession, before going to a social event where alcohol is not served. It happens in off-campus apartments beyond college boundaries and thus beyond the presidents' authority; and it happens in remote fields to which young adults must drive.

And the Amethyst presidents know the deadly result: Of the 5,000 lives lost to alcohol each year by those under 21, more than 60 percent are lost OFF the roadways, according to the National Institute of Alcoholism and Alcohol Abuse.

The principal problem of 2009 is not drunken driving. The principal problem of 2009 is clandestine binge drinking.

That is why the Amethyst presidents believe a public debate is so urgent. The law does not say drink responsibly or drink in moderation. It says don't drink. To those affected by it, those who in the eyes of the law are, in every other respect legal adults, it is Prohibition. And it is incomprehensible.

The principal impediment to public debate is the 10 percent highway penalty. That penalty should be waived for those states that choose to try something different, which may turn out to be something better. But merely adjusting the age -- up or down -- is not really the way to make a change.

We should prepare young adults to make responsible decisions about alcohol in the same way we prepare them to operate a motor vehicle: by first educating and then licensing, and permitting them to exercise the full privileges of adulthood so long as they demonstrate their ability to observe the law.

Licensing would work like drivers education -- it would involve a permit, perhaps graduated, allowing the holder the privilege of purchasing, possessing and consuming alcohol, as each state determined, so long as the holder had passed an alcohol education course and observed the alcohol laws of the issuing state.

Most of the rest of the world has come out in a different place on the drinking age. The United States is one of only four countries -- the others are Indonesia, Mongolia and Palau -- with an age as high as 21. All others either have no minimum age or have a lower age, generally 18, with some at 16.

Young adults know that. And, in their heart of hearts, they also know that a law perceived as unjust, a law routinely violated, can over time breed disrespect for law in general.

Slowly but surely we may be seeing a change in attitude. This summer, Dr. Morris Chafetz, a distinguished psychiatrist, a member of the presidential commission that recommended raising the drinking age, and the founder of the National Institute for Alcoholism and Alcohol Abuse admitted that supporting the higher drinking age is "the most regrettable decision of my entire professional career." This remarkable statement did not receive the attention it merited.

Alcohol is a reality in the lives of young adults. We can either try to change the reality -- which has been our principal focus since 1984, by imposing Prohibition on young adults 18 to 20 -- or we can create the safest possible environment for the reality.

A drinking age minimum of 21 has not changed the reality. It's time to try something different.

It's not 1984 anymore.

The opinions expressed in this commentary are solely those of John M. McCardell Jr.

@highlight

John McCardell: 135 college officers joined in questioning 21 as drinking age

@highlight

He says binge drinking is flourishing in locked rooms and remote areas

@highlight

He says U.S. is one of very few countries with such a high drinking age

@highlight

McCardell says alcohol is a reality in lives of 18- to 20-year-olds