(CNN) -- It has become a commonplace that it is hard to comprehend the disaster in Haiti.

If so, and if we hope to provide Haitians with anything like the help that they need, then we must understand where our minds fail us.

One problem that we do not yet face is having our compassion numbed by the sheer magnitude of the calamity. Indeed, it has evoked a deep visceral response, as we see graphic images of individual suffering on a background of mass devastation. When our local tea store is devoting 20 percent of sales to relief and cell phone donations keep pouring in, the scope of the tragedy is mobilizing, not paralyzing.

The threat to our compassion comes, rather, from feeling ineffective. We risk that failure if we cannot grasp the realities facing Haiti. Here, we face two deep mental challenges.

One is that we must struggle to comprehend how many interdependent threads of Haiti's social fabric have been ripped apart. People lost family, friends and communities in an instant. Children were orphaned in a nation already struggling to care for many orphans.

Hospitals, factories and government agencies disappeared. Essential aid organizations lost brave people and resources. Communications and transportation were ruined, including the port that brings almost all goods into the nation.

Here, imagining ourselves in the Haitians' plight might help. Can we imagine trying to recover, if our country faced the most massive disaster in its history, without work, food, medicine, transportation, commerce or government?

The second challenge is that our minds also struggle to reason quantitatively about events beyond our normal experience. Here, a back-of-the-envelope calculation might help.

Assume, plausibly, that everything that 3 million Haitians need must be brought in from outside their country for a period of time. Assume that each Haitian needs 5 pounds of goods per day (food, water, medical supplies, soap, cooking fuel, the gasoline needed to distribute these supplies and more).

Assume that everything must be flown in (at least until the port can be reopened). That means 15 million pounds (7,500 tons) of airfreight per day. If a cargo plane can carry 75 tons, then that means 100 flights per day, or one plane landing every 15 minutes, then having its goods unloaded and distributed to victims across the country.

One way to understand what those numbers mean is by analogy. The Berlin Airlift was another crisis that required a massive mobilization to supply an isolated population in desperate need.

Berlin was cut off by a hostile power, rather than by an ocean. It was devastated by war rather than by an earthquake. Its 2 million citizens needed roughly 5,000 tons of goods per day, delivered through limited entry points, over distances comparable to those of Haiti's island neighbors.

The airlift required an unprecedented logistics operation, which Soviet and East German authorities believed impossible. It encountered serious organizational problems in coordinating American forces among themselves and with our allies. It drew resources from other military theaters. It was enormously expensive, in both money and the lives of aviators.

In some ways, supplying Haiti is easier. Technology is vastly improved and the world much wealthier. But in other ways, supplying Haiti is even more difficult than the Berlin Airlift. Berlin was occupied territory, under Allied military rule; while Haiti has little functioning government, and those trying to help are struggling to work out their division of labor.

If we are not thinking in terms of an effort as massive and risky as the Berlin Airlift, then we have not gotten our minds around the problem. Unless we grasp the complexity and magnitude of the task, then we may be expecting brave, dedicated relief workers to do the impossible -- and be disappointed when they cannot do it all. As a nation, we may fail to support our leaders in providing the sustained resources that the mission requires.

If our collective imagination and our sense of history fail us, then we will not achieve the results that our compassion demands -- and will fail Haiti and its people in their long, difficult road to recovery.

The opinions expressed in this commentary are solely those of Baruch Fischhoff and Kathleen Tierney.

@highlight

The earthquake devastated Haiti's families, social networks and economy, authors say

@highlight

They say it's difficult to conceive of the dimensions of the need

@highlight

The U.S. and others will have to supply essentials of life for a time, they say

@highlight

Authors: In some ways, the aid operation is equivalent to airlift that sustained Berlin in 1940s