(CNN) -- On Thursday, Google's much-discussed new privacy policy goes into effect.

To say that the change has stirred concern on the Web would be an understatement. Public officials and Web watchdogs in the United States and elsewhere have expressed fears that it will mean less privacy for users of the Web giant's multitude of products, from search to Gmail to YouTube to Google Maps to smartphones powered by the Android operating system.

Google points out that the products won't be collecting any more data about users than they were before. And, in fairness, the company has gone out of its way to prominently announce the product across all of its platforms for weeks.

The major change is that, instead of profiling users separately on each of its sites and products, Google will now pull all of that information together into one single profile, similar to what's found on Google's dashboard page.

The result encapsulates perhaps the most basic conundrum of the modern Web. More information means better service (and potentially, more targeted advertisements). But that service (in this case more accurate search results, more interesting ads and new features that work across multiple sites) requires you to give up some of your privacy in return.

Federal Trade Commission Chairman Jon Leibowitz has called it "a somewhat brutal choice."

Google, not surprisingly, takes a different tack: The payoff for the company collecting your data is cool new services. For example, they could push cooking videos to you on YouTube if you'd been looking for recipes through Google search, privacy director Alma Whitten wrote in an editorial for the Sacramento Bee.

"We just want to use the information you already trust us with to make your experience better," she wrote. "If you don't think information sharing will improve your experience, you don't need to sign in to use services like Search, Maps and YouTube.

"If you are signed in, you can use our many privacy tools to do things like edit or turn off your search history, control the way Google tailors ads to your interests and browse the Web 'incognito' using Chrome."

Wednesday is the last day for people to tweak those Google settings before the new policy begins, although they can change them afterward as well.

Here are a few tips on how to keep your data a little more private on some of Google's most popular features.

Don't sign in

This is the easiest and most effective tip.

Many of Google's services -- most notably search, YouTube and Maps -- don't require you to sign in to use them. If you're not logged in, via Gmail or Google+, for example, Google doesn't know who you are and can't add data to your profile.

But to take a little more direct action ...

Removing your Google search history

Eva Galperin of the Electronic Frontier Foundation has compiled a step-by-step guide to deleting and disabling your Web History, which includes the searches you've done and sites you've visited.

It's pretty quick and easy:

-- Sign in to your Google account

-- Go to www.google.com/history

-- Click "Remove all Web History"

-- Click "OK"

As the EFF notes, deleting your history will not prevent Google from using the information internally. But it will limit the amount of time that it's fully accessible. After 18 months, the data will become anonymous again and won't be used as part of your profile.

Six tips to protect your search privacy (from the EFF)

Clearing your YouTube history

Similarly, users may want to remove their history on YouTube. That's also pretty quick and easy.

-- Sign in on Google's main page

-- Click on "YouTube" in the toolbar at the top of the page

-- On the right of the page, click your user name and select "Video Manager"

-- Click "History" on the left of the page and then "Clear Viewing History"

-- Refresh the page and then click "Pause Viewing History"

-- You can clear your searches on YouTube by going back and choosing "Clear Search History" and doing the same steps.

Clearing your browsing history on Google Chrome

-- Click on the "wrench" icon at the far right of your toolbar

-- Select "Tools"

-- Select "Clear browsing data"

-- In the dialogue box that appears, click the "clear browsing data" box (there are other options you may want to use as well)

-- Select "Beginning of Time" to clear your entire browsing history

-- Click "clear browsing history"

Gmail Chat

When you start a chat with someone, you can make the conversation "off the record." Off-the-record chats will not be stored in your chat history or the history of the person with whom you're talking. All chats with that person will remain off the record until you change the status. To go off the record:

-- Click the "Actions" link at the top right of the chat window

-- Scroll down to "Go off the record." Both you and your chat partner will see that the chat has been taken off the record.

What are Google's other products?

Obviously, anything with "Google" in its name counts. But the Web giant owns other products that might not be so obvious to some folks.

-- Gmail. Yes, the "G" is for Google.

-- YouTube. Google bought the Web's leading video site in 2006

-- Picasa. The online photo sharing site became Google's in 2004

-- Blogger. The blog publishing tool has been Google's since 2003.

-- FeedBurner. A management tool for bloggers and managing RSS feeds. Google bought it in 2007.

-- Orkut. Google's original social-networking site isn't big in the U.S. But it's one of the most popular sites in India and Brazil.

-- Android. Yes, you probably know this. But just for the record, Google owns the most popular smartphone operating system.

@highlight

Google privacy policy change goes into effect Thursday

@highlight

The change lets Google combine data on you from all of its sites

@highlight

Users can delete Web, search history before the change happens

@highlight

Deleting history doesn't mean Google can't use the info internally