(CNN) -- She's looking over the boat's edge to spot a dolphin and record its markings. He's digging for medieval tools in the fields around an abandoned friary. Or they're simply hearing their native language spoken a bit differently in a different country, where the food doesn't quite taste the same.

Travel can introduce kids to the world's real-life wonders, changing their perspective on topics they may have only read about in books.

It can literally change their lives.

"There is a kid's way of seeing the world," says Keith Bellows, editor-in-chief of National Geographic Traveler magazine and author of National Geographic's "100 Places That Can Change Your Child's Life." "As an adult, get out of the way, and stop marching them through an experience. When you get them to slow down and experience a place from their perspective, it's magic. Not just the place itself, but the experience."

Consider Bellows' suggestions a step up from simply taking a vacation. He says these places could open your child's eyes to the diversity of the world, help them learn what interests them and inform how they navigate it as adults.

Marco Island, Florida

Of course Walt Disney World is a Florida rite of passage for many children (and their parents) but there's so much to the state that isn't prefabricated. Marco Island is one of those places for Bellows, with beaches showing off the rusticity and charm of old Florida. Kids will love the beach and you can sneak in some science in the spectacular nature surrounding you.

To Disney or not to Disney?

Get on board the Dolphin Explorer with your children and turn them into citizen scientists. Capt. Chris Desmond, founder of the 10,000 Islands Dolphins Project, directs children to note the family compositions, behavior and even evidence of shark bites of the dolphins they spot. They give the data to adult biologists onboard who feed it into a computer. The bonus: If a child spots a new dolphin -- most are already known to the crew -- that child gets to name the dolphin. "Every kid wants to spot a newcomer and it happened on a trip I was on," says Bellows.

Big Sur, California

The drive from San Francisco into Big Sur may be Bellows' favorite drive in the world. "It is one of the most hair-raising drives in the world, and you get the sense of a wild, driving adventure," he says. "I've done it at least 40 or 50 times, and I never get tired of it."

He recommends renting a convertible and coming down from San Francisco through the agriculture fields onto the California coast, much of which is protected and can be explored along the way. One highlight: Point Lobos State Natural Reserve, just north of Big Sur. "It really teaches children that if you really love an area, you can protect it. Most of that coastline is protected, and it shows you what happens when you don't screw it up. "

Grand Canyon

Nothing makes Bellows feel more humble than standing on the lip of the Grand Canyon, even if he's standing with thousands of other people. "It's a bite out of the Earth, a thrilling glimpse into the inside of the Earth," he says.

Top U.S. spots for family fun

When children see the canyon layers below, that's the first step in their understanding of the geology of the Earth, says Bellows. Take an age-appropriate hike so your children can see the layers and wildlife that make up the canyon. "They can see we didn't just spring from nothing. This is a wafer sandwich of the world, and we're going to be one of the layers one day."

Chesapeake Bay, Maryland

The nation's largest estuary, the Chesapeake Bay is filled with 64,000 square miles of rivers, marshes and bays. "My kids have grown up there kneeling in grass, looking for tadpoles and pulling up crab pots ... and I love it," says Bellows. "It's some of the wildest primitive country we have. You can watch the ebb and flow of oysters, crabs and fishes, and it tells you how you're treating this incredible place."

It's the home of the wild ponies children have read about it in Marguerite Henry's "Misty of Chincoteague." Those ponies of Assateague Island National Seashore live in two herds. You can see the ponies at the park but don't feed them (to keep them wild).

Library of Congress, Washington

It's OK to tell your children that the movie "National Treasure: Book of Secrets" was filmed at the Library of Congress. (Heck, show them the movie in advance of your trip.) And yes, that it's the biggest library in the world with 3,800 staff, 500 miles of shelving and 128 million items (with about 10,000 items added each day).

7 tips for cherry blossom fun in D.C.

"If you go into the Library of Congress, you're going to tell them it's a library but it's also a treasure trove," says Bellows. Whatever your child likes, whether it's music or maps or sports or humor, it's likely he or she can find something about it here.

Your children also can get a "Passport to Knowledge" to guide them to the library's so-called greatest hits, and they can play at Knowledge Quest kiosks and bookmark places of interest to explore later on a personalized mini-site.

New York City

A visit to New York for every child who has not grown up there is also a rite of passage, says Bellows. "Every kid has to go to New York City, and every adult does, too," he says. "Every time you go back and haven't been there for awhile, it's a new place. It's so big and so fast."

Take the Circle Line boat tour, he suggests, so you can see by sailing around it how small an island Manhattan actually is. You can notice how connected it is to the other islands of Staten Island and Long Island (where Brooklyn and Queens are) and the Bronx, which is actually on the U.S mainland. "Here's an island in the middle of nowhere but it's connected to the entire world."

For children seeing the Statue of Liberty, a Broadway show or the city decorated at Christmas for the first time, "it gets imprinted on kids' minds."

London

London is a starter city for U.S. parents who want to take their kids out of the country, after you've explored the nearest metropolitan city and your national parks. "They speak English in London but a child will know just how foreign it is, with things like Marmite," says Bellows. "The wonderful thing about it is, this is a little like Harry Potter world. It's familiar enough to be safe and foreign enough to be thrilling."

Older children will love the ghoulish (and true) tales of the Tower of London. Begun in the 1070s by William the Conqueror, the tower was Europe's first fortress. Queen Anne Boleyn was beheaded there in 1536 and is rumored to still haunt the place.

Trim, Ireland

How could medieval warriors run in chain mail armor? How heavy is a stone ax, really? Head to the ruins of the Dominican Black Friary, a short distance from Trim Castle in the town of Trim, Ireland.

Once a home for religious men and women, the friary's ruins are being excavated in a special way. Visitors can get a crash course in excavation and start digging and recording their findings side-by-side with archaeologists and geologists. Younger children get to play at a camp, where they get to pick up heavy stone axes and run in chain mail.

Older children will enjoy a tour of nearby Trim Castle, which starred in the movie "Braveheart." Hugh de Lacy and his son Walter began construction of the castle, the largest Anglo-Norman castle in Ireland, in the 1170s. The castle protected the medieval village, once a commercial and religious powerhouse.

"What amazing architects these people were, and how remarkably old this is," says Bellows. "It's the quintessential castle. It's knights, bow and arrows and blood on the ground."

Muskoka, Canada

Bellows grew up in Muskoka, two hours north of Toronto in Ontario's cottage country. "This is where kids can really connect with wilderness, even more so than the Chesapeake," he says.

"There are dark lakes and loons at night. You can come out to a fish, flip the canoes and find the air holes underneath."

Almost anyone can rent a cabin in this area known for its more than 1,600 lakes and leave electronic entertainment behind, he says. "It is simple, simple living. You can take off your shoes for days" and simply run around barefoot.

Galapagos Islands

There's no doubt this trip is expensive. People who want to visit the Galapagos Islands have to take approved tours, designed to protect the islands' fragile ecology. This is where Charles Darwin developed his theory of evolution, where nearby islands have different ecologies and animals who have adapted differently to their environments.

"There is no place like it in the world," says Bellows. "I've been twice, and the first time I went, I realized what Darwin was talking about. You see two birds who look the same but they have different vocalizations. It's like two people speaking English but one person is from Brooklyn and the other is from Boston."

The animals have no fear of humans, so your children will swim with dolphins and turtles and play near seals. But it's not all peaceful.

"I saw a seal attacked by a shark and dying, tortoises leaning into each other, both dead," he says. "You're on a beach and you see crabs hatch prematurely in the middle of the day, slowly breaking down. It's Darwin's theory of evolution and the survival of the fittest."

A tough, but essential, life lesson.

Where do you want to take your children before they grow up? What do you think is important or them to see? Please share in the comments below.

@highlight

Introduce your child to marine biology by searching for dolphins

@highlight

Would-be geologists and anthropologists can be inspired by a Grand Canyon hike

@highlight

Catch crabs and watch the wild horses run on the banks of the Chesapeake

@highlight

Become an archaeologist for the day on a dig at a medieval Irish community