London (CNN) -- A notebook full of work-in-progress versions of some of Dylan Thomas's key poems has been rediscovered more than 70 years after the poet's mother-in-law ordered it to be burnt.

The book, in Thomas's cramped, neat handwriting, includes 19 poems in varying states of completion, some with large sections scratched out and revised, and offers a valuable insight into his creative process.

Hailed as a "terrific discovery" by one leading Thomas expert, the workbook is set to sell at auction for upwards of Â£100,000 ($156,430), capping off the writer's centenary year and tantalizing poetry scholars around the world.

Thomas, one of the leading poets of the 20th Century, is thought to have discarded the notebook during a stay at the home of his mother-in-law, Yvonne Macnamara, at some point in the late 1930s.

Thomas and Macnamara did not get on, and he wrote to a friend of his dislike for both her and the place -- Blashford in Hampshire -- in southern England.

"This flat English country levels the intelligence, planes down the imagination, narrows the a's, my ears belch up old wax and misremembered passages of misunderstood music, I sit and hate my mother-in-law, glowering at her from corners and grumbling about her in the sad, sticky, quiet of the lavatory."

Macnamara gave the workbook to her maid, Louie King, and told her to dispose of it, but King opted to save it from the flames, and instead stashed it away for decades.

A handwritten note from King on the cover explains: "This Book of Poetry by Dylan Thomas was with a lot of papers given to me to burn in the kitchen boiler. I saved it and forgot all about it until I read of his death ..."

King died in 1984, and the book has remained among her family's possessions, hidden away in a drawer ever since, and unknown to Thomas scholars who pore over every other scrap of his work.

John Goodby, the editor of Thomas's "Collected Poems," said the discovery was "probably the most significant find since Thomas's death in 1953 when various papers were bought up, and perhaps even since 1941, when he sold some of his notebooks to the University at Buffalo.

"For some of the poems included, we've never had manuscript versions before, and they show significant changes were made; most of them are fair copies of finished poems, but some are more like worksheets -- they allow us to see how he arrived at a certain phrase, to see what he's up to."

All the works included eventually made it into print, some in his first collection, "18 Poems," in 1934, and the rest in his second anthology, "25 Poems," in 1936, which suggests the manuscript dates to a critical point in his life.

"At this particular period in his career, his works are like abstract paintings or music: everything is about the words, the language -- they're not anecdotes or narratives," he explained, adding that Thomas had likely discarded the notebook because all the poems in it had been published: "He'd used it up. He was always leaving things behind."

As literature fans in Thomas's native Wales and around the world celebrate the centenary of his birth, the notebook is being put up for sale at Sotheby's auction house in London in December, where it is expected to go under the hammer for between Â£100,000 and Â£150,000 ($156,430 to $234,640).

Rosie Chester, of Sotheby's, said that as a "way of understanding Dylan Thomas's writing process" it was likely to appeal to anyone with a love of his work. "It will be very exciting to see where it ends up," she told CNN.

Goodby, professor of English language and literature at the University of Swansea (Thomas's hometown) said major libraries and university collections around the world would love to own the book.

"Personally, I'd like to see the National Library of Wales or the British Library put in a bid, to stop it from leaving the country, if possible," he said.

The University at Buffalo, New York, and the Harry Ransom Center in Austin, Texas -- both already home to large Dylan Thomas collections -- may also take an interest, Goodby added.

"From my point of view the worst thing would be for it to end up in the hands of a private collector who locks it up in a bank vault for 50 years," he said, admitting he was desperate to get a closer look at the book after being given a sneak peek ahead of the sale.

"It was hard to keep my hands off it -- I just want to pore through it, to be able to read every word in his crabbed, backwards-sloping hand -- it is such a covetable object."

Dylan Thomas was born in Swansea, south Wales, in 1914; he found fame with his "play for voices," "Under Milk Wood," and poems including "Fern Hill" and "Do Not Go Gentle Into That Good Night."

Thomas was also known for his hard-drinking lifestyle. He collapsed at New York's Chelsea Hotel in 1953, shortly after reportedly announcing: "I've had 18 straight whiskies. I think that's the record!" and died in hospital several days later.

@highlight

A long-lost notebook full of poems by Dylan Thomas is to be sold at auction

@highlight

Book was discarded by Thomas and due to be burnt, but was saved by a housemaid

@highlight

Manuscript contains working versions of some of the poet's key works

@highlight

Sale likely to attract attention, bids, from universities and libraries in UK, U.S.