LUKAVAC, Bosnia-Herzegovina (CNN)  -- The man's remains lie on a table. Next to him are the bones of his 22-year-old son and the remains of another son. But no one yet knows which of the man's two missing boys the third set of remains could be.

Cheryl Katzmarzyk measures a leg bone as she puts together remains from Srebrenica.

Cheryl Katzmarzyk wants to be able to put a name to the remains, and to those of hundreds of other bodies stacked around her in a building in Lukavac, near Tuzla in the northeast of Bosnia.

The bones are from more than 8,000 men and boys slaughtered in 1995 during the Bosnian war at Srebrenica in the worst massacre in Europe since World War II.

The killers -- Serbs seeking to drive out Bosnian Muslims in a policy of "ethnic cleansing" -- executed the region's fighting-age males, then used bulldozers to dump them into mass graves.

What makes the work harder for the teams trying to put the bodies back together -- so they can be returned to their families for proper burial -- is that so many have been broken up over the years.

Mass graves were dug up and the bodies moved sometimes again and again, to hide evidence as the Serbs retreated amid the NATO bombing that followed Srebrenica and led to the end of the war. Those killed in a warehouse execution at Srebrenica are spread throughout 20 secondary grave sites, for instance.

Katzmarzyk said remains of one of the victims was found in eight different parts of one mass grave. Another man's shoulder was found where he and others were lined up and shot, one of his legs was found near a grave, a hip was found inside the grave, his upper jaw several miles away and his left arm in a secondary grave.

"What we do here is we sort them out," said Katzmarzyk, the head of anthropological examinations for the International Commission on Missing Persons.

Katzmarzyk's team from the ICMP -- a nongovernmental organization set up at the end of the Bosnian war to locate and identify victims of war and human rights abuses -- has pioneered quicker, simpler DNA tests to work out which bones go together.  Watch an audio slideshow about the ICMP's work »

Then, a more extensive DNA test is done to see if there is a match with any of thousands of relatives who have donated their own samples in the hope of finding missing relatives.

But DNA can only go so far, and while it can show that the unidentified remains on Katzmarzyk's table are those of a man and his 22-year-old son, it cannot say whether the third set belongs to a missing 21-year-old or his 24-year-old brother -- because neither had children to act as an extra reference point.

It's a particular problem with identifying the Srebrenica dead because so many of the victims were related. Across the room, brothers lie next to each other, but as yet the scientists do not know who is who.

So Katzmarzyk and her colleagues are also experts in forensic anthropology, using other pointers to make an identification.

They will look for clues to the age of the remains and any other factors that could identify them: Did the man break his leg as a child? What clothes was he wearing? How tall was he?

"We started to look at clothing, place of disappearance," said Katzmarzyk.

"We use all kinds of evidence to identify as many people as possible."  Watch a Bosnia concentration camp survivor describe the torture and rape she witnessed »

About 5,200 people out of the 8,000 executed at Srebrenica have been identified with the help of ICMP, but new mass graves continue to be found and more remains are delivered to the facility in Lukavac to be matched.

Years of work lie ahead -- if governments continue to contribute to the project.

"We still have many more IDs to make, but what we need are additional funds to ensure that the process is completed. It's essential. ... This is a unique contribution to the investigation of genocide," said Katzmarzyk, who was recently working on 842 sets of remains, all but one of them male.

Evidence gathered by the ICMP about the Srebrenica genocide could also be used against former Bosnian Serb leader Radovan Karadzic, who is set to face trial at The Hague, accused of ordering the massacre.

ICMP helped identify victims of Hurricane Katrina and the Asian tsunami, but its main work continues in the former Yugoslavia, where the condition of the remains makes it vital to use DNA, forensic anthropology and anything else to piece skeletons together and give them a name.

"The ICMP is unique in that all these lines of inquiry are used together," Katzmarzyk said.

"DNA is essential, anthropology is essential."

The work is challenging scientifically and sometimes emotionally, she said. It is rewarding and satisfying to identify remains and allow them to be released to the coroner and then to the family.

But some cases are more haunting. "The fact that I have three brothers lying side by side on a table -- how can that not affect you?" Katzmarzyk asked. "And there's a fourth brother missing."

@highlight

Scientists piece together remains of massacre victims

@highlight

Many of the 8,000 slaughtered at Srebrenica still not identified

@highlight

Team uses mix of DNA and forensic anthropology