(CNN) -- I am the granddaughter of an elementary school cook and a woman who cleaned other people's homes. Both my grandmothers worked hard and didn't earn much money, but they encouraged their children to get an education.

Although starting from limited economic circumstances, my parents both earned a college education and were able to attain a middle-class lifestyle to raise me and my siblings. I, their daughter, went on to receive a Ph.D. Unfortunately, this type of upward mobility is much less likely for the children of maids and school cooks today.

A decent job and a decent life should be a possibility for anyone who makes an effort. As a nation, this was more likely in our past than in the present. A college education should be affordable to anyone who is willing to do the work, but that is no longer our reality. As the likelihood of a college degree and economic security becomes less attainable for a significant portion of the population, the future of the United States will be in jeopardy.

Late last month, Congress passed a bill that will keep student-loan interest rates from doubling, just days before the deadline. It's an important step in keeping college affordable, but student-loan interest rates are only one piece in a complex puzzle that shapes how income level and educational opportunity are linked -- and the effects begin years before a student might apply for loans.

Even children with proven academic ability fall behind if they grow up in families that are poor. By the age of 3, one study showed, poor children already have half the vocabulary of higher-income children. Another study showed that children in high-risk social and economic environments can start in the top 25% academically at the age of 4 but fall to the bottom by the time they are in high school.

In a similar example, only 29% of the highest-achieving eighth-graders complete college if they come from low-income families.

In contrast, 30% of the lowest-achieving eighth-graders and 74% of the highest-achieving eighth-graders complete college if they come from high-income families. Until we get to a point where ability and effort predictably lead to greater educational attainment and improved outcomes, many kids will stop trying because the obstacles become too daunting.

As a social work researcher, I've shown that race greatly influences economic standing, with children of color being the most likely to be poor and have no assets. Children start out very similarly up until about 2. Then economic circumstances start to influence outcomes, and children begin to diverge in achievement before they even enter school. These disparities continue even once formal education begins. My research also shows that children with limited economic resources are more likely to live in disadvantaged neighborhoods and face toxic stress that can lead to permanent lowered brain functioning, further limiting educational achievement.

Even middle-class families are now concerned that their children will not be able to succeed. Until we provide a pathway of success for all children, regardless of economic standing, it will be hard to sustain a strong and vibrant society and economy.

There are proven tools to increase opportunity for children if we have the political will to implement them, things such as universal high-quality preschool and child savings accounts that provide resources to reach long-term goals.

Some might think that a child's educational future is the responsibility of that child's parents alone. Others believe that enough government money already goes to help poor people. Only 32% of entitlement benefits and 2.8% of tax expenditure benefits go to the lowest-income earners. And many programs, such as rental assistance and child care, don't reach everyone who is eligible.

But regardless of what you think about the current mix of government programs, educational outcomes are too tightly linked to parents' economic status. Many children start out school eager to learn and wanting to achieve. But as it seems that no one cares about their efforts and their basic needs are not being met with each passing grade, they start to become less engaged in school and search for other ways to survive. This is tragic and unacceptable.

Others predict that charter schools will reduce achievement gaps. While charter and independent schools do well for some low-income children, their record is still mixed. Consequently, it is nearly impossible to find a low-income area where all schools perform well, whether charter, public or private.

Unless we want a "Waiting for Superman" society of lotteries and waiting lists for parents seeking a decent education for their child, the ultimate goal is to ensure all schools, no matter how they are organized, provide a quality education.

My parents, even as poor black children, could pursue their dreams growing up in the 1960s, when opportunity was expanding for all. Times have changed.

As we better understand the way economic circumstances dictate life options, perhaps we will get outraged and demand a nation that helps develop potential rather than allow it to go to waste.

Join us at Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Trina R. Shanks.

@highlight

Upward mobility is much less likely today for working-class children, says Trina R. Shanks

@highlight

Income level and educational opportunity are linked, and effects begin early, she says

@highlight

Even children with proven academic ability fall behind if they are poor, says Shanks

@highlight

Shanks: Our nation must help develop children's potential rather than let it go to waste