LONDON, England (CNN) -- If FIFA president Sepp Blatter is to be believed, it's the biggest issue that faces football. No, not diving, or Premiership hegemony or even the tackle from behind but rather the naturalization of players from other countries, especially Brazil, becoming common currency in the international game.

Brazilian-born Mehmet Aurelio was the first naturalized footballer to play for the Turkish national team.

"If we don't take care about the invaders from Brazil," Blatter controversially said at the draw for the 2010 World Cup. "Then at the next World Cups... we will have 16 [teams] full of Brazilian players. It's a danger, a real, real danger."

Players born outside of their country of citizenship have always played for their newly adopted countries. Alfredo Di Stefano started life with an Argentine passport before turning out for Colombia and Spain. Ferenc Puskas also represented Spain after making his name for Hungary.

Do you think you players should be able to adopt a new country and play for them?

But two things have changed. The first is the globalized nature of the sport, which has allowed Brazil to sell arguably its greatest export -- talented footballers -- to every corner of the world.

The second is the emerging power and wealth of smaller states willing to use their financial muscle to attract better players to their national team.

FIFA has been extremely critical of countries that have handed passports--some after playing in their new country for less than two years-- to talented footballers.

The problem FIFA has found is separating the naturalization of a player who has genuinely put down roots in their new country -- as with Eduardo who moved to Croatia when he was 15 -- and those whose allegiances are bought and sold in a rudimentary international transfer system.

One country that has stretched the rules to breaking point is Qatar, who has used its vast gas wealth to attract and naturalize a host of players from Uruguay and Brazil.

The Qatari FA even offered to pay Brazilian striker Ailton, then the top scorer in the German Bundesliga, $1million to come and play for Qatar in 2004, even though he had never set foot in the country.

The move led to FIFA introducing emergency legislation banning naturalizations from taking place if there was no connection between the player and their prospective country.

FIFA has tried to tighten up the rules. Last May FIFA agreed a rule change which stated that a player must live in their new country for five years before they can play for the national team.

Have the rules on naturalization of footballers devalued international football?

But for a country the size of Qatar, which has a population of fewer than one million, there are few other options. "The only way Qatar or Bahrain are ever going to be competitive is to import players and naturalize them," explains Jesse Fink, an Australian writer on Asian football and author of "15 Days in June: How Australia Became a Football Nation."

Yet ultimately Qatar's experiment in footballing naturalization looks to have paid off. They currently sit third in their Asian World Cup qualifying group and are on course for a play-off spot for South Africa 2010 thanks, in no small part, to the goals of their Uruguayan-born striker Sebastian Soria. If they qualify they will be the smallest country to ever make it to the finals.

Even more established footballing nations -- like Spain with Marcos Senna and Turkey with Mehmet Aurelio -- have looked at naturalization to fill problem positions in their team.

While English-born John Wilkinson swapped the vagaries of lower league football in the UK for Singapore after being released by non-league Exeter City. Five years later he married his Singaporean girlfriend after some gentle persuasion from the national team coach and now anchors the team's midfield. "I didn't even know where Singapore was!" he told The UK's Guardian newspaper last year.

Arsene Wenger suggested that his Spanish goalkeeper Manuel Almunia, who qualifies for a British passport after living in the UK for five years, is the answer to England's goalkeeping problems.

So will Brazilian imports really takeover the international game? Many are skeptical. "Blatter is fearful that World Cups will be overrun with naturalized Brazilians and has proposed strict rules for naturalizing players, but these are just scare tactics," concludes Fink.

"At the end of the day people want to see the majority of the players in their national team 'represent' them."

What do you think? Let us know your views in the Sound-off box below.

@highlight

A look at a team of naturalized players plying their trade in world football.

@highlight

The team is largely made of Brazilians want a taste of international football,

@highlight

FIFA is trying to stamp out the phenomenon

@highlight

What do you think? Let us know via the Sound Off box below