LONDON, England (CNN) -- A 23-year-old British student has designed a "super-green superyacht" built using only sustainable materials and which produces virtually no carbon emissions.

600 square meters of solar panels and three giant "wings" mean  "Soliloquy" can run on wind energy or solar power.

"Soliloquy's" unique eco-luxury design allows the boat to run on two different sources of sustainable energy by incorporating 600 square meters of solar panels on the exterior of the boat and giant rigid "wings" that function like sails.

Although the 58-meter boat has yet to be built, it would be able to run either on wind energy via the wings (known as "rigid-wing solarsails"), solar power supplied by the panels or a combination of the two.

An equivalent-sized superyacht burns anywhere between 250 and 600 liters of marine diesel per hour, depending on speed and fuel efficiency, and emits three times that in CO2 emissions, according to British yachting carbon offset company, Yacht Carbon Offset. Some of the biggest SUVs on the road burn around 20 liters of fuel per hour.

Both the panels and solarsails -- developed by Australian company Solar Sailor -- on the vessel can fold up or completely stretch out depending on which energy source is in use, changing the yacht's shape.

"I wanted to prove that eco-luxury no longer has to be an oxymoron and doesn't have to make a yacht more expensive," designer Alastair Callender, a life-long sailing fanatic, told CNN.   See more images of super-yacht Soliloquy »

"My generation is passionate about the planet and we've got to do all we can so that the earth can sustain us," he added. "At the same time, however, I am also passionate about superyachts."

Soliloquy is projected to cost approximately $60 to $65 million to build -- similar in cost to conventional superyachts of its size. Callender is currently in talks with potential owners to have the vessel built.

The wider superyacht community is enthused about the potential of his design and he has also been invited to speak about his ever-evolving, eco-vessel in Abu Dhabi and Monaco.

Callender was originally inspired by famed architect David Fishers' design for a "constantly moving" tower in Dubai.

"That's how the idea of an ever-evolving superyacht started -- with the three wings that can independently rotate through 360 degrees," Callender explained.

Do you like the look of Soliloquy? Tell us in the Sound Off box below

Callender designed "Soliloquy" during his final year studying at Coventry University in England. He approached Solar Sailor, an Australian technology company for technical validation of his design. He also asked a local engineering company, Visioneering, to help construct an intricately detailed scale model.

At first, some at Visioneering were taken aback by Callender's young age.

"But the idea was innovative and sometimes younger people can bring on board really fresh, new ideas," said Adrian Coppin of Visioneering. "He also has a lot of experience in the yachting industry."

Callender says his passion comes from a childhood spent in Portsmouth, England: "I grew up near a harbor, 200 meters away from my sailing club."

After school, Callender went to Greece for six months to teach sailing. He then worked with some of the big yacht design companies, including that of his mentor, Andrew Winch.

He now feels confident that with a good business plan, his project will become reality.

"There are hundreds of extremely rich families who invest in green technology and until now have not wanted to buy yachts because they produce too many carbon emissions," he said. "But with a yacht like Soliloquy, I think they may consider it."

@highlight

A 23-year-old British student has designed a super-green superyacht

@highlight

It runs on either solar power from panels or wind energy from giant "wings"

@highlight

Yahct produces virtually no emissions and is made from sustainable materials

@highlight

Designer is now in talks with potential owners to have "Soliloquy" built