Demanding "justice for Mike Brown" and other African-Americans killed by police, protesters hit the streets Friday in eastern Missouri, kicking off four days of demonstrations, discussions and civil disobedience.

"Today is not the start of an event, today is the beginning of your movement," a man said Friday through a megaphone, with protesters in the crowd echoing his words. "From this day forward, we say no more. We say enough."

The event, which has been dubbed "Ferguson October" and the "Weekend of Resistance," centers on the 18-year-old Brown. Ferguson Police Officer Darren Wilson shot and killed the black teenager on August 9. Authorities have said Brown attacked the officer and tried to take his gun; Brown's camp contends the unarmed teenager had his hands in the air when he was shot.

The dispute soon spilled over onto the streets of the St. Louis suburb, sometimes violently, as protesters and police clashed. That public discord has died down somewhat, though the events Friday through Monday aim to keep the demonstrators' message out there -- both to demand Wilson's arrest and to bring attention, more generally, to what they describe as racial profiling and police violence elsewhere as well.

"Our country can no longer deny the epidemic of police violence facing black and brown communities," the movement's website states. "Mike Brown is now part of a long list of people like John Crawford, Ezell Ford, Eric Garner, Oscar Grant and countless others who have been unjustly killed by police. Their lives mattered."

The first event happened Friday afternoon under rainy skies in Clayton, about 8 miles south of Ferguson. Demonstrators picked this spot because it's the office of St. Louis County Prosecuting Attorney Robert McCulloch. For months, McCulloch has faced -- and resisted -- months of calls to push harder the case against Wilson or to recuse himself entirely amid allegations he's too cozy with police and not a good representative for the local black community.

Hundreds of people, many of them wearing rain jackets or carrying umbrellas, alternated chants of "don't shoot!" and "hands up" -- a reference to their claim Brown was shot with his hands high, in apparent surrender. A few people addressed the crowd with megaphones, before the crowd moved toward McCulloch's office.

"Mike Brown means ... we've got to fight back!" the spirited, if soaked, crowd chanted.

McCulloch's office is presenting the case to a St. Louis County grand jury, which could indict Wilson on charges related to Brown's death or opt not to. The deadline for the grand jury to reach a decision is January 7.

But Brown's death isn't the only one on protesters' minds. There are also the high-profile deaths of men like Garner, Grant and others, who died at the hands of police officers across the country.

That includes a shooting Wednesday, just 12 miles from Ferguson in St. Louis. Protests erupted there after a white police officer fatally shot another black teenager. But this one was very different from the Brown case, because this black teenager was armed, according to authorities.

Many activists have expressed dismay not just at one particular case, but at what they characterize as a disturbing pattern of police being too heavy-handed, especially against blacks. That includes anger over how law enforcement handled protesters who hit the streets in the days after Brown's shooting.

"I'm fed up with (what's) been going on in my neighborhood and this police brutality," a Ferguson resident said at Friday's protest. "I'm fed up with it."

Four days capped by 'civil disobedience'

Friday's march was the start of four days of planned events in the same vein.

Demonstrators will invoke a Mexican Halloween tradition, and they will erect a Day of the Dead altar on Friday night in Ferguson to memorialize Brown and the deaths of any other loved ones offered up by participants. The altars feature candles, flowers, and photos of the deceased.

Participants also plan to hold a silent candlelight march carrying a mirrored coffin 2 miles from the altar site to the Ferguson Police Department, organizers said.

On Saturday, activists and protesters plan to march through downtown St. Louis and rally at Kiener Plaza in the center of downtown to "show our strength as we stand united against police violence, both here in Ferguson and across the country" and to send a message of "Not One More," organizers said.

On Sunday, several events will be held in St. Louis, including an evening meeting of "reflection and resistance" at St. Louis University's Chaifetz Arena with author and professor Cornel West, rapper-activist Tef Poe, poet and activist Suheir Hammad, and Rabbi Susan Talve of St. Louis' Central Reform Congregation.

On Monday, a closing ceremony will feature participants removing items from the Day of the Dead memorial and taking them home "to seed work in their community," said organizers, which includes the groups Hands Up United, Organization for Black Struggle, and Missourians Organizing for Reform and Empowerment.

The organizers seek "to build momentum for a nationwide movement against police violence," their website said.

The official schedule also calls for "a series of actions throughout the Ferguson and St. Louis area" exercising civil disobedience.

"Power concedes nothing without a demand," the organizers said.

Complete coverage on Ferguson shooting and protests

@highlight

A protest leader calls event the start "of your movement;... we say no more"

@highlight

Hundreds of people march on the office of the St. Louis County prosecuting attorney

@highlight

More events are planned through Monday; they will include "civil disobedience"

@highlight

Protesters say they want justice for black men, like Michael Brown, shot by white police