(CNN) -- 1968 was a year of triumphs and tragedies. While America reached new heights by introducing the first 747 and orbiting the moon, all was not well down on Earth. The United States lost a Navy intelligence ship and two proponents of peace -- the Rev. Martin Luther King Jr. and Robert F. Kennedy.

Here are eight events that made history during that unforgettable year.

1. January 23: North Korea captures the USS Pueblo

When North Korea captured the American surveillance ship USS Pueblo, it sparked an 11-month crisis that threatened to worsen already high Cold War tensions in the region.

The trouble started with the Pueblo. It had been nearly 15 years since the Korean War between U.S.-led forces and the North. The Navy intelligence ship was monitoring North Korea from the Tsushima Strait, an ocean channel dividing Korea and Japan.

Related: Fast facts about the Korean War

The Navy said its ship was operating in international waters, but North Korea said the Pueblo had entered its territory, and dispatched warships and aircraft to intercept it. Accounts differ on both sides as to what really happened. Eventually, there was an exchange of gunfire. U.S. crewman Duane Hodges was killed.

The North Korean military boarded the Pueblo, captured its crew and brought the ship to port in North Korea.

The Pueblo's 82 surviving crew members reported that while in custody, they were held at a POW camp where they were tortured and starved.

North Korea staged a news conference during which the crew was forced to applaud the North Koreans for treating them kindly.

During the news conference crew members laced their comments with sarcasm and extended their middle fingers in defiance.

When North Korea learned later that the Americans had mocked them, the crew was severely beaten.

After months of negotiations, North Korea agreed to free the crewmen after the United States. acknowledged that the Pueblo had been spying and promised not to spy in the future.

On December 23, the crew was allowed to safely return to South Korean territory. Immediately, the U.S. retracted its acknowledgments.

Related: What's life like inside North Korea?

The crew was home in time for Christmas. But the USS Pueblo remains in North Korean custody.

2. January 30: North Vietnam launches the Tet Offensive against the United States and South Vietnam

In many ways, the bloody Tet Offensive signified the beginning of the end of U.S. involvement in the Vietnam War.

The coordinated attack by 85,000 Viet Cong and North Vietnamese targeted 36 major cities and towns in South Vietnam. It caught U.S.-led forces by surprise.

Related: Vietnam War fast facts

Related: North Vietnamese defense minister during Tet Offensive dies

Named after the Vietnamese Lunar New Year, Tet was a holiday during which the North and South had previously observed an informal truce.

U.S. and South Vietnamese forces eventually regained control of the communities they lost during Tet.

Nevertheless, it became a wake-up call for Americans back home, who began withdrawing their support for the war.

3. April 4: Martin Luther King Jr. assassinated in Memphis, Tennessee

The Rev. Martin Luther King Jr. was standing on the second floor balcony of room 306 at the Lorraine Motel when he was struck by a bullet at 6:01 p.m.

The 39-year-old civil rights leader was rushed to nearby St. Joseph's Hospital but never regained consciousness. He was pronounced dead at 7:05 p.m.

Related: I was with King's widow the night her husband was killed

King's fellow civil rights pioneers made public pleas for a nonviolent response to honor his memory. But riots broke out in more than 100 cities across the nation.

Related: King's last crusade

Two months later, James Earl Ray was captured at London's Heathrow Airport. Fingerprints that had been traced back to Ray linked him to the crime. He confessed but later attempted to recant.

Then he pleaded guilty to avoid the possibility of a death sentence. Later Ray tried to withdraw his guilty plea and obtain a new trial. He died in prison in 1998.

Related: The case against James Earl Ray

Related: Conspiracy theories live on

On the night King was assassinated, Democratic presidential candidate Robert F. Kennedy arrived in Indianapolis on a campaign stop. Upon hearing the news, Kennedy informed a crowd of listeners about King's death.

They reacted with gasps and cries. Kennedy urged the crowd against bitterness, hatred or revenge. He called on them to embrace King's message of love, wisdom and compassion toward one another. Kennedy's speech is believed to have prevented rioting in Indianapolis that night.

4. June 5: Robert F. Kennedy assassinated in Los Angeles

Just two months later, Kennedy himself was gunned down by an assassin at the Ambassador Hotel in Los Angeles.

The attack took place shortly after Kennedy had wrapped up a speech in the hotel ballroom. As he cut through a kitchen corridor on his way to another part of the building, a Jordanian born Palestinian named Sirhan Sirhan opened fire, hitting Kennedy in the head and back.

Kennedy collapsed and was rushed to the hospital, where he underwent brain surgery. Twenty-six hours after the attack, Kennedy died. He was 42.

Related: Witness says there was a second shooter

Related: Sirhan denied parole

Convicted of the murder in 1969, his death sentence was commuted to life in prison in 1972. Sirhan remains in a California prison.

5. September 30: Boeing introduces the first 747 "Jumbo Jet"

When demand for air travel reached sky-high levels in the 1960s, the world's then-largest passenger aircraft -- the Boeing 747 Jumbo Jet -- was a game changer. The ability to carry far more passengers than previous airliners suddenly made globetrotting a feasible option for would-be wanderers who previously thought they would never afford such exotic sojourns.

The massive aircraft was indeed an aviation design milestone. More than six stories tall, it seated 374 passengers and weighed 300 tons.

Related: Boeing through the ages

After its 1968 reveal, the 747 made its first flight on February 9, 1969, near Boeing's factory in western Washington state. That specific plane flew more than 12,000 test flights, but it never carried passengers for a major airline. Rather, it was a test plane for engine developments, various improvements and future jet airliners.

The 747 is no relic. Amazingly, it remains a major player among global airlines more than 40 years after its unveiling.

6. October 16: U.S. athletes take a stand at the Summer Olympics

During the 1968 Summer Olympics in Mexico City, two black athletes staged a silent demonstration against racial discrimination in the United States.

For the simple defiant act of raising their fists during the National Anthem, the International Olympic Committee condemned American medalists Tommie Smith and John Carlos.

Their protest shocked many people who felt it damaged the spirit of the Olympics and unnecessarily brought politics into the Games.

As Smith and Carlos were awarded the gold and bronze medals for their performances in the 200-meter race, they bowed their heads and each raised a black gloved fist during the playing of the Star Spangled Banner.

The protest didn't stop with their fists. They also wore black socks and no shoes. On their clothes were badges of the Olympic Project for Human Rights, a group dedicated against racial segregation and racism in sports. Also wearing the patch in support of Smith and Carlos was Australian 200-meter silver medalist Peter Norman.

Related: Peter Norman, the forgotten Black Power hero

Spectators booed the medalists as they walked away from the ceremony.

"If I win I am an American, not a black American," Smith said later. "But if I did something bad then they would say 'a Negro.' We are black and we are proud of being black."

Smith said his raised right fist symbolized black power in America.

He also wore a black scarf, which he said represented black pride. He said the black socks with no shoes symbolized black poverty.

Carlos, who had raised his left fist, said the gesture was a display of black unity and that the two men's fists combined had created an arch of unity and power.

Carlos also wore beads, which he explained "were for those individuals that were lynched, or killed that no one said a prayer for, that were hung and tarred." He said they also were for those thrown off the side of boats that carried slaves across the Atlantic from Africa.

Two days later, Smith and Carlos were expelled from Team USA. When they returned home, they were hailed as heroes by members of the African-American community.

7. November 22: "Star Trek" airs American television's first interracial kiss

In an episode of TV's original "Star Trek" entitled "Plato's Stepchildren," the crew aboard the Starship Enterprise became enslaved by humanoid Platonians, who possessed a telekinetic ability to force them to do anything the Platonians wanted them to do.

Related: The post-racial revolution will be televised

Enterprise Capt. James Kirk, a white man played by William Shatner, was forced to kiss Nichelle Nichols' character, Lt. Nyota Uhura, a black woman.

Censors at NBC insisted on filming an alternate version sans smooch -- fearing that local TV affiliates in the Deep South would refuse to air the episode.

Shatner is reported to have purposefully ruined all the alternative takes so the network would be forced to air the kiss.

Appropriately, Kirk has this line in the episode: "Where I come from, size, shape or color makes no difference."

8. December 24: Apollo 8 is the first manned spacecraft to orbit the moon

On Christmas Eve, three astronauts circled the moon 10 times. Jim Lovell, Bill Anders and Frank Borman became the first human beings to travel to the moon.

Launched from the Kennedy Space Center, Apollo 8 was a mission of firsts:

-The first photos of Earth taken from deep space by humans, including the now iconic "Earthrise"

-A new rocket speed record of 24,200 mph, a velocity that, according to NASA, was necessary to escape Earth's gravitational pull

--The first time the lunar surface was broadcast on live television

-The first time humans had traveled to the far side of the moon

The weeklong mission was fueled by a Space Race rivalry with the Soviet Union and the nation's desire to fulfill President John F. Kennedy's wishes to land on the moon by decade's end, a goal accomplished by Apollo 11 seven months later.

As Apollo 8 emerged from the mysterious dark side of the moon before heading back to Earth, a relieved Lovell announced to the world, "Houston, please be informed there is a Santa Claus."

This amazing and joyous mission was a rare high note in a year filled with historically tragic events. According to "A Man on the Moon," Andrew Chaikin's book on the Apollo program, the astronauts received countless telegrams after they returned safely home. But one stuck out from the others.

It said, "You saved 1968."

@highlight

1968 remains arguably the most historic year in modern American history

@highlight

Revered leaders such as Martin Luther King Jr. and Robert F. Kennedy were assassinated

@highlight

North Korea captured a U.S. ship; Olympic athletes raised fists in Black Power salute

@highlight

With the Apollo 8 mission, for the first time in history humans orbited the Moon