(CNN)For most of us, a blood test begins with a needle, a syringe and the promise it will all be over quickly.

But at the back end, testing blood often requires transporting the vial to a clinic, a range of laboratory equipment and trained clinicians and doctors to get an accurate result.

The whole process can take days, and in some cases even weeks.

But imagine if you could put the whole laboratory into a portable unit that delivered a reading immediately?

One Irish company says it has developed the solution -- a "clinic-in-a-box" that can test for a range of diseases or medical conditions in minutes, from just a single drop of blood.

"The physicians were crying out for a simple-to-use device," Jerry O'Brien, a farmer's son from Cork who broke with the family tradition to pursue a career in healthcare, told CNN.

"There was a huge unmet clinical need. It was very obvious from the start they wanted a simple device that would test for any condition off a finger-prick of blood within a matter of minutes."

He said a quick look at the antiquated equipment often still used by laboratories immediately told him that there was a better mousetrap to be built.

"We looked at the gold standard piece of equipment, we opened the hood on it and inside there were vacuum tubes, technology from the 50s and 60s and that was the spark," O'Brien said.

After six years of research and development, O'Brien's Cork-based company Radisens Diagnostics, came up with its Gemini prototype.

Cartridges packed with tiny beads with a molecular coating specific to the disease that is being investigated are loaded into the machine. A drop of blood is spun with the beads and any disease molecules present in the blood sample appear in the form long chains.

Analyzing these samples under a green light immediately shows how much of the disease is present in the sample.

Doctors would be equipped with cartridges specific to the diseases they may be diagnosing; from heart or liver disease to diabetes.

The device has multiple applications and can be used in remote locations where access to laboratory facilities is limited or even non-existent.

One of its major investors has been the European Space Agency who are looking to use the device in space.

"(It would) give the European Space Agency a device for testing astronauts -- for testing not only there and then but tracking their physiology over their long stays in space in zero gravity," he said.

One of the advantages of the system, said O'Brien, is that doctors can reinforce their medical advice with an instant diagnosis.

"If you can get the diagnostic or monitoring test there and then, the physician can look you in the eye and say ... you've not been managing your health, when you come back in three months' time, I want to see better test results.

"People respond to that."

Read more from Make, Create, Innovate:

Digital nose on a chip can sniff out cancer

Military drones that behave like hawks and insects

Out of juice? Try a cardboard battery

@highlight

Testing blood often requires a range of laboratory equipment and trained clinicians and doctors to get an accurate result

@highlight

Getting samples to a laboratory and getting the result is time consuming and labor-intensive

@highlight

An Irish company has developed a 'blood test in a box' solution that allows a doctor to give an immediate reading

@highlight

The device could be used in remote locations and has even been developed for use by astronauts in space