(CNN) -- Fashion lovers crowded into a limestone townhouse on the prestigious Upper East Side of New York City on Wednesday night for an exclusive designer showcase.

The house didn't belong to posh members of the high fashion elite, but to the Consulate General of the Russian Federation.

The Russian Fashion Industry Showcase and Reception is one of several nationally-driven shows at New York Fashion Week promoting textile and apparel production unique to the countries.

Upcoming shows will highlight the best in material and design from Korea, Japan, France and Scandinavia, but Wednesday night was all about the Russians.

The evening embodied the Imperial Russia zeitgeist; chandeliers dripped with crystal, women glided about draped in fur, well-tailored men straightened their pocket squares as they passed gilded mirrors.

The crowd sipped vodka and ogled designs from a conglomerate of modern Russian designers, including Serguei Teplov, Dmitry Loginov, Tegin, Irina Shaposhnikova, Sergey Polyakov and Aleksandr Khrisanfov.

American figure skater Johnny Weir, who has his eyes on a third Olympic Games, in the Russian city of Sochi, stopped in and posed for photos.

Russia's storied history was on display: A model's hair was mussed into a babushka headpiece; another stood with the rigid posture of a ballerina in laser-cut leather; all of them wore black outfits reflective of the country's harsh climate and lack of sunshine.

"New York City itself and, by default, Fashion Week is an avowedly international forum where everyone is welcomed and, for the most part, accepted," said Stephan Rabimov, the founder and editor in chief of DEPESHA magazine, which co-sponsored the event. "It's a new type of communication channel to promote national interests: fashion, culture, tourism."

Rabimov said the U.S. fashion consumer is the perfect client for any ambitious designer. High-style buyers are, on average, well-educated professionals with lots of disposable income.

Not only is the U.S. consumer a draw to international outlets, but New York is a global fashion capital on par with Paris, Milan and London.

"The American market is, simply, among the biggest, and they're very creative. As much as we can celebrate the savoir-faire of the French, I think Americans are the most creative," said Elisabeth Leontieff-Hirshon, a senior manager of UBIFRANCE.

The Academy of Art University in San Francisco is showing a collaborative collection sponsored by UBIFRANCE, the French Trade Commission, on Friday at Lincoln Center in an effort to boost the profile of French mills in the United States.

The collaboration was launched after approximately 250 meters of fabric was donated by French mills to the university, according to Leontieff-Hirshon.

Leontieff-Hirshon said the appeal of partnering French textiles with American students is that U.S. designers are typically more open to new fabrics and new ideas.

"The American market knows what's good and what's selling; they're visionaries," she said.

An emerging market stepping onto the catwalk: Asia.

Concept Korea is a collaborative show organized by the Ministry of Culture, among other state agencies. On display: true Gangnam style.

During Concept Korea's show at Mercedes-Benz Fashion Week last September, Korean designer Kathleen Kye showcased for the first time.

That appearance later helped launch her collection at Opening Ceremony, a boutique synonymous with fashion ambassadorship, featuring designs from a different country each year.

"It is a must that we create a presence in New York in order to step into global market," said Sang-Pyo Hong, chief director at Korea Creative Content Agency.

Leather Japan is yet another Asia-driven show sponsored by the country's Ministry of Economy, Trade and Industry.

Eight Japanese brands will showcase Japanese leather products, hoping to highlight the designers' craftsmanship, said Kaoru Imajo, a spokesman for the event.

While the country's economy is flagging, new Prime Minister Shinzo Abe has recently advocated stimulating growth by increasing exports; a somewhat contentious strategy because it could correlate with a depreciation of Japan's currency.

"The Japanese yen is expensive now, so that is not good for exporting, but the brands are trying everything they can to make it better," said Imajo.

Rounding out the globe, there's a Scandinavian showcase with designers SIPILÃ„, Viola Blu and Olav making their debut to the U.S. market. Also showing is EDUN, a label working to increase trade with Africa that was launched in 2005 by Ali Hewson and her husband, U2 frontman Bono.

While it's common practice for government-run organizations to participate in international trade shows like COTERIE and PremiÃ¨re Vision, governments actively orchestrating Fashion Week events is a recent development.

"That's why everyone who actually wants to sell clothes flocks here vying for interest of the best buyers and best media," said Rabimov. "It is a perfect mix to launch a new brand, revamp heavyweights or showcase any country's fashion industry potential."

Follow Sarah LeTrent on Twitter and CNN Living on Facebook for dispatches from New York Fashion Week.

@highlight

Nations are sponsoring Fashion Week events to gain attention for textiles, designers

@highlight

At Russian showcase a model wore her hair mussed into a babushka headpiece

@highlight

Concept Korea is a collaborative show organized by the Ministry of Culture

@highlight

Organizers say New York Fashion Week is the ideal setting to showcase innovative style