(CNN)The United States and Great Britain have pulled their last forces out of strife-torn Yemen, raising fears that the failed state will become even more of a breeding ground for terror groups plaguing the Middle East and the West.

Over the weekend, the United States evacuated the last of its special operations forces -- including Navy SEALs and Army Delta Force troops -- amid the deteriorating security situation in the country, the U.S. State Department said.

On Monday, a security source in the region familiar with the situation in Yemen told CNN's Nic Robertson that British special forces had also left Yemen in the last few days. The British Ministry of Defence declined to comment.

The U.S. move came a day after terrorists bombed two mosques in the capital, Sanaa, on Friday, killing at least 137 and wounding 357 others, according to Yemen's state-run Saba news agency. The terror group ISIS, based in Syria, claimed responsibility for the attack.

It also followed months of fighting between government forces and Houthi rebels, who on Sunday seized the international airport in Taiz. The rebels now control both the airport and Sanaa.

Yemen has been a key U.S. ally in the fight against al Qaeda in the Arabian Peninsula, allowing U.S. drones and special operations forces to stalk terrorists in the country. Now, that arrangement is in tatters, along with any semblance of peace in the Middle Eastern nation.

While State Department spokesman Jeff Rathke said Saturday that the United States would continue to "take action to disrupt continuing, imminent threats to the United States and our citizens," the move left some wondering what role the U.S. could play with no forces on the ground. The country closed its embassy in Sanaa last month.

"I don't think there is an active role for the U.S. other than intelligence and trying to see where the dust is going to settle," said U.S. Sen. Angus King, a Maine Independent who serves on the Senate Armed Services and Intelligence committees.

That raises the possibility of the already unstable country becoming an even more fertile environment for terror groups to collaborate, grow and export violence, according to Robin Wright, a security and defense analyst with the Woodrow Wilson Center.

"It's becoming much like Syria, much like Afghanistan was at the peak of its instability," she said.

On Sunday, U.N. officials said the country appeared to be on a "rapid downward spiral." The Security Council again deplored the violence and called for an end to the fighting and for Houthi rebels to return government facilities to the elected government of President Abdo Rabbo Mansour Hadi.

But officials said recent events "seemed to be leading the country further away from a peaceful settlement and towards the edge of civil war."

In addition to counterterrorism issues, all sorts of geopolitical influences are at work in Yemen -- chief among them the regional power play between regional rivals Iran and Saudi Arabia.

The Houthi rebels are Shiites with ties to Iran, who have long felt marginalized in majority Sunni Yemen. Sunni Arab countries in the Gulf Cooperation Council want to limit the influence of Iran, particularly Saudi Arabia, said CNN military analyst Lt. Col. Rick Francona.

"They believe now that Iran is in control in Beirut, in Damascus, in Baghdad and now on their southern border in Yemen," Francona said. "So the Saudis are beginning to feel a little threatened here and are hoping the Yemen situation doesn't spiral out of control."

The Saudis and other Gulf Arab nations have called for every effort to be made to roll back the Houthi gains and hand full control back to Hadi's government.

On Monday, Houthi leader Abdul Malik al-Houthi criticized regional governments over their stance on the fighting.

Al-Houthi said his group was striking back at al Qaeda and ISIS in self defense, and said he found it "very strange" that nearby governments would condemn the group for such acts while welcoming the United States, which he called "the umbrella of tyranny in the world."

Yemen: What you need to know about how we got here

There's little reason to believe the Security Council's calls for peace will have much impact. Last month the council slammed the rebels for taking over democratic institutions and holding officials under house arrest, with little effect on the fighting.

Last week, a Yemeni jet commanded by the Houthi fired missiles at a palace housing Hadi in the port city of Aden.

No one was injured, but the direct strike marked an escalation in the deadly fighting between the two sides. That same day, Yemeni military forces -- some under the Houthis, others led by officers loyal to Hadi -- battled in Aden, leaving at least 13 people dead in the clashes, Aden Gov. Abdul Aziz Hobtour said.

The fighting is taking a huge toll on Yemen's people and economy, said Rafat al Akhali, the country's former youth minister. Aside from the direct impact of fighting, people are losing jobs and businesses are closing, he said.

There's still time, he said, to implement a political solution to the crisis.

"I don't think we're past the point of no return yet," he said.

Francona was less sanguine.

"I don't see anything stopping a major war going on," he said.

CNN's Hakim Almasmari, Catherine E. Shoichet, Richard Roth and Stephanie Halasz  contributed to this report.

@highlight

"Saudis are beginning to feel a little threatened here," CNN military analyst says

@highlight

Country is in a "rapid downward spiral," U.N. officials warn

@highlight

With U.S. and UK forces gone, fears rise that terror could blossom in Yemen