Hong Kong (CNN) -- Four months before the Tiananmen crackdown in 1989, a woman fired a gun in China's National Art Gallery -- all in the name of art.

Xiao Lu fired two shots at her installation on the opening day of the "China/Avant-Garde Art Exhibition" in Beijing. Chinese authorities quickly responded. The show was temporarily closed. The artist and her boyfriend were apprehended but later released.

Among the stunned onlookers was Beijing-based gallerist and Pekin Fine Arts founder Meg Maggio.

"The army and the armed police came in and we had to leave, but we didn't really understand what was going on," she recalls.

Twenty-four years on, the authorities' reservations over performance art has not recovered. Wang Chunchen, a leading curator at China's Central Academy of Fine Arts, says there is an unwritten rule against performance art in state-owned exhibitions.

"Performance art has become very sensitive," says Wang. "(But) we need to have a general tolerance to this kind of expression. We need to build an open cultural policy."

Wang is tasked with building that policy as the curator of the China Pavilion at this year's Venice Biennale.

"This year, the Ministry of Culture wants to show a good Chinese image. They are in charge of the Chinese Pavilion. They liked my proposal."

The theme of Wang's proposal is "transfiguration," emphasizing a change in Chinese contemporary art in both practice and definition. His curated selection includes works of painting, video, mixed media and an installation by a non-artist -- a house, once torn down in Beijing, pieced back together and made anew for the Biennale.

Wang says the Chinese Ministry of Culture gave him enough space to curate the China Pavilion, but with conditions: "They gave me enough freedom, but they did give me some suggestions. For example, 'if this painting is too religious, let's not put it in.'"

To be an officially recognized contemporary artist in China, you must stay on script and veer away from the politically taboo. Sensitive topics like the Tiananmen crackdown and the Falun Gong cannot be touched as subject matter. Erotic subjects must not be depicted explicitly.

"And you cannot paint any leader directly (as) a deformed figure," adds Wang. "Besides that, anything you can try. You can experiment."

Given such strict guidelines in a land known for censorship and government control, is there room for authenticity in Chinese contemporary art?

For Chinese activist/artist Ai Weiwei, the answer is surely no. In a recent op-ed for British newspaper the Guardian, Ai says outright that "China's art world does not exist."

"In a society that restricts individual freedoms and violates human rights, anything that calls itself creative or independent is a pretence," he writes.

Despite a travel ban imposed on him by Beijing, Ai Weiwei's work will be at the Venice Biennale -- but representing Germany.

But to gallerists like Meg Maggio or Christie's International Chairman of Asian Arts Jonathan Stone there is indeed a vibrant contemporary art scene in China -- not just despite the restrictions -- but because of them.

"It's the sand in the oyster which creates the pearl," says Stone. "And I think that's something which is rather exciting."

Maggio adds: "There's a certain level of struggle in contemporary art generally that makes things more exciting. A lot of Chinese artists would say if you're an average middle class Western artist, life is too comfortable and things come easy to them: 'That's not real contemporary art.'"

The Venice Biennale opens on June 1. Visitors to the China Pavilion can decide for themselves if Wang's "transfigurative" show can manage to be both on script and on the cutting edge.

@highlight

Chinese authorities are wary of performance art, partly due to an incident in 1989

@highlight

An artist fired two shots at her installation; she and her boyfriend were briefly detained

@highlight

Wang Chunchen is curating the Chinese Pavilion at this year's Venice Biennale

@highlight

Taboo subjects must be avoided he says, like Tiananmen and overly explicit scenes