Hong Kong (CNN) -- China plans to hold special courses to train government leaders in ways of managing online public opinion, according to a report in state-run media.

The report by the Xinhua new agency said China had one billion Internet users "making the shape of our society more complicated ... managing online public opinion has already become a central fixture of managing our society."

Management of the Internet is now a "big task for all of our country's leaders, at every level," the report added.

The six-day course -- to run from March 27 to April 1 -- aims to use "use case studies, simulations, group discussions" to train "government organs and administrative units" who would be examined and awarded a certificate ranking them either an analyst or manager of "Internet public opinion."

'Directing' discussions

According to the course website, the program shows ways of directing online discussions on "mass incidents" -- shorthand for civil unrest and rioting that breaks out periodically in Chinese towns and cities -- and even uses discussion on the Cultural Revolution of the 1960s and 1970s as an example of a contentious social issue.

The Chinese government has only just permitted discussion of the tumultuous political period, which was marked by paralyzing social upheaval.

Another part of the course discusses the influence of popular bloggers -- called "Big V" users on Sina Weibo -- who must maintain a sense of "social responsibility" in their posts, according to the program website.

"Big V should proactively conform to state management departments in striking down rumors and purifying the online environment," it stated.

Spread of rumors

China's President Xi Jinping has tightened controls over the Internet since coming to power in 2012, bringing in tough legislation to control the "spread of rumors" online.

Last year, the Supreme People's Court issued new guidelines stating that any false defamatory post online that is viewed 5,000 times or forwarded 500 times could be deemed "severe" and result in a prison sentence of up to three years for the culprit.

Microblogging has exploded in China in recent years, presenting a serious pressure point to a government that has built an industry around restricting comment.

Microblogging campaigns have targeted corruption, suspicious lawsuits, kidnapped children and the plight of activist lawyers.

Despite this, however, large Internet companies such as Sina Weibo and Renren employ content monitors to make sure their sites do not contravene Chinese information laws. According to Chinese Internet entrepreneur Gang Lu, the banks of censors are often regarded by Internet companies as simply a requirement in China of doing business in a new industry.

"Almost half the team at Sina Weibo are engaged in monitoring content at some level. Even so, Sina is very bold but they are under pressure as well -- they still have to be responsive to the government." he told CNN.

Facebook, Twitter banned

Unrestricted social networking sites such as Facebook and Twitter are banned on mainland China and only determined or relatively wealthy individuals use virtual private networks (VPN) to get around the Chinese Internet restrictions, which have been dubbed "The Great Firewall of China."

Even so, cracks have occasionally appeared in the wall.

According to a report in Hong Kong's South China Post, Beijing could soon lift a ban on Internet access within the Shanghai Free-trade Zone, allowing access to Facebook, Twitter and newspaper website The New York Times.

"In order to welcome foreign companies to invest and to let foreigners live and work happily in the free-trade zone, we must think about how we can make them feel like at home," the report quoted a government source as saying.

"If they can't get onto Facebook or read The New York Times, they may naturally wonder how special the free-trade zone is compared with the rest of China."

@highlight

China to hold special courses to train government leaders in ways of managing online opinion

@highlight

Management of the Internet is now a "big task for all of our country's leaders," says report

@highlight

Course looks at ways of directing online discussion and discusses influence of 'Big V' bloggers

@highlight

Microblogging has exploded in China, presenting serious pressure point for government