(CNN) -- A study finds that air pollution from Asia directly affects the storm pattern over the Pacific Ocean. Researchers further speculate that this could be driving freak winter weather in North America.

"The Pacific storm track is a major driving force over global weather patterns," says the study's lead author Yuan Wang, a post-doctorate fellow at the NASA U.S. Jet Propulsion Laboratory.

"The modulated storm track can be linked to abnormal weather behavior in the mid-latitudes of the Northern hemisphere, including U.S. and Canada."

Results from the decade-long research project were recently published in the Proceedings of the National Academy of Sciences (PNAS).

Smog central

Reports of high levels of air pollution regularly emerge from the Asia region.

In January, the U.S. Embassy in Beijing recorded hazardous levels of particulate matter in the Chinese capital's air, at 18 times the recommended amount by the World Health Organization. Residents were warned to stay indoors.

Around the same time, a report by Yale and Columbia sparked debate on whether Indian capital New Delhi had worse pollution than Beijing.

Now, Wang and his fellow researchers say pollution in these Asian cities is becoming a global problem.

Fossil fuel burning and petrochemical processing in Asia's rapidly developing economies lead to a build-up of aerosols, fine particles suspended in the air. Typically, aerosol formation is thought of as the antithesis to global warming: it cools our Earth's climate.

But researchers say, too much of any one thing is never good.

"Aerosols provide seeds for cloud formation. If you provide too many seeds, then you fundamentally change cloud patterns and storm patterns," says co-author of the study, Renyi Zhang, a professor of atmospheric sciences at Texas A&M University in College Station.

From east to west

The study, which looked at simulated climate models using data from the Intergovernmental Panel on Climate Change (IPCC), shows that aerosols from Asia are transported to the Pacific region and intensifying the storm track there.

Although the results only show the impact specifically on the Pacific Ocean region, researchers theorize that the full effect reaches around the globe.

"We are observing the mid-latitude cyclone system, which transports heat and moisture from low to high latitudes. If this system is changed by air pollution from Asia, then global heat distribution will also be changed. We can expect that weather patterns over other parts of the world can be affected," says lead author Wang.

Co-author Zhang further agrees that it is "very possible" that abnormal weather such as extremely cold winters in the U.S. are driven by Asian pollution.

The experts will conduct more research to assess the full global impact of Asian pollution, including creating more climate models, monitoring storm patterns by satellite, and conducting measurements in the atmosphere.

@highlight

Particles in the air known as aerosols are responsible for cloud formation

@highlight

More aerosols blowing in from Asia to the Pacific Ocean means intensifying storm patterns, says new study

@highlight

Speculation on intense Pacific storm track driving freak winter weather in U.S., Canada