(CNN) -- What happens to the bar of soap you barely used the last time you checked into a hotel room? Most certainly it's gone to waste at the end of each day.

This was a shocking revelation for Ugandan humanitarian and social entrepreneur Derreck Kayongo during his first stay in a U.S. hotel in Philadelphia, Pennsylvania in the early 1990s.

"When i checked into the hotel, there were 3 bars of soap - there was body soap, hand soap and face soap and that did not include the shampoos - and so for me that was a new experience, I was thinking to my self, "why do they have soap for every part of their bodies?" Kayongo recalls. "Now, my goodness, why would you throw away such a resource?"

The striking realization stayed with Kayongo, a Ugandan native who spent much of his childhood as a refugee in Kenya, and prompted him years later to create the Global Soap Project. The non-profit organization reprocesses used soaps from hotels around the United States and turns them into new bars for impoverished nations such as Uganda, Kenya, Haiti and Swaziland.

Kayongo says an estimated 2.6 million bars of soap are discarded every day from hotels in the United States -- collecting such an enormous amount of soap, he notes, can help poor countries fight disease and combat child mortality by improving access to basic sanitation.

"We have more than two million kids that die every year to lower respiratory diseases like diarrhea," says Kayongo. "If you are able to put a bar of soap in every child's hand, you are able to reduce infectious diseases like diarrhea and things like typhoid and cholera by 40%.

"So the intervention became immediate for me and that's when I thought we have a solution for kids in Africa, Latin America, Asia that die every year."

Based in Atlanta, Kayongo started the Global Soap Project in 2009 by going door to door, pitching his lifesaving idea to local hotels. So far, some 300 hotels across the United States have joined Kayongo's cause, enabling him and his team to reprocess thousands of soap bars and ship them to 18 developing countries.

The recycled soap is only released for shipment once a sample is tested for pathogens and deemed safe by a third-party laboratory. The Global Soap Project then works with partner organizations to ship and distribute the soap directly to people who need it for free.

Last summer, Kayongo personally delivered 5,000 bars to Kenya Relief, Brittney's Home of Grace orphanage.

"When I took the soap to the orphans and they smelled the bar of soap, ah, you could see the joy -- those little messages of hope is what people need when they are between a rock and a hard place," he says.

The son of a soap maker, Kayongo has experienced what it is like to live in tough conditions.

His happy early childhood in the 1970s was suddenly brought to an end after Uganda's President Idi Amin waged war against Tanzania. Kayongo and his parents soon fled to neighboring Kenya to escape the horrors of conflict and witnessed first hand the struggle to survive without access to basic necessities.

"When you have come from a home that you knew, you're used to your food, your friends...to move from that to become a nobody and to literally be called a refugee is as dramatic as it gets."

He got a new chance in life through education, first in Nairobi and then in the United States. Today, he runs the Global Soap Project from a warehouse in Atlanta, with the help of volunteers from all across the United States, determined to improve the quality of lives in the developing world.

"When I was a refugee, a pen pal letter was all I needed to get through the day," he recalls. "If the bar of soap is going to help them get through the day then good, but our final goal is to change behavior and make sure they wash up and to stop diseases like diarrhea from infecting people and killing people -- that is our ultimate goal, we have yet to achieve that."

Last year, Kayongo was a top 10 finalist for the CNN Hero of the Year award. The recognition, he says, has boosted the popularity of the Global Soap Project, helping him and his team to promote the cause for better sanitation.

"We are seeing an up tick of the number of hotels that are registering with us," he says. "We are seeing a lot of volunteers coming to work with us, so there is a lot of traffic happening right now for us and that is going to help us make more soap."

Despite all the success, Kayongo is determined to continue dedicating time and effort in his cause. He says his goal for this year is to make a million bars of soap.

"If you want to do big things and you want to bring big change then you have to be able to give in a big way," he says.

"It's important to understand what this is about -- people coming together globally to connect the dots.

"So I say 'travel, use the soap' because that soap goes eventually to help refugees, orphans. This is not about Africa per se, it's about the collective good as humans to solve problems and that's what we are trying to do."

@highlight

Derreck Kayongo is the creator of the Global Soap Project

@highlight

The group recycles discarded hotel soaps and sends them to impoverished countries

@highlight

Born in Uganda, Kayongo was named one of the top 10 CNN Heroes of 2011