Editor's Note: Jennifer Brea is a writer and a graduate student studying political science at Harvard University. Her writing has appeared in the Guardian, the Africa Report, and Ebony Magazine.

Jennifer Brea says Barack Obama represents the increasing diversity of America.

WASHINGTON (CNN) -- When I was a small child, even before I had the right vocabulary, I could tell that my parents were different.

When I was with my mother, strangers would gush over me. When I was with my father, I felt a distance.

For reasons deeper than I could explain, it was safer with Mom; I was more special when, as far as the outside world could see, I belonged to her.

I later learned this was because people were reacting to the fact that my mother was white and my father black. Like a growing number of Americans, like our new president, I grew up straddling this country's racial divisions.

Barack Obama, America's first black president, is also our country's first biracial president -- no secret, but a fact that, especially in the euphoria of his inauguration, is often downplayed.

The experience of multiracial Americans is as varied and complex as the races and heritages that make up our unique mixes, but when I came of age in the '80s and '90s, it was a world of stark and often strange choices. Race was a set of mutually exclusive, ill-fitting boxes. We were forced to choose just one, to pick sides.

Often, the world chose for us. It was a question not of our culture, or how we self-identified, or even the objective makeup of our DNA, but how we looked.

Tiger Woods, when he rose to fame as America's first black golf star, caused an uproar after he told reporters he was "Cablinasian," a nod to his Caucasian, Black, Native American and Asian ancestry. (He is one quarter African-American.)

It never occurred to Fuzzy Zoeller, who, after the 1997 Masters Championship, made an off-color joke about Woods ordering fried chicken and collard greens for the next year's Champions Dinner, that he might prefer Pad Thai.

The story of my own family was similarly complex. My Anglo-Irish mother is as white as they come. But my father is Haitian, the descendant of West African slaves and French plantation owners, as well as Chinese and Egyptian. And still, growing up, I was asked to choose between one of the two boxes available to me. "Are you black or are you white?"

It took until 2000 before the U.S. Census allowed respondents to check off more than one racial category, a formal recognition that there are no longer two Americas, one black, one white, but dozens, maybe hundreds, of overlapping Americas.

The most recent census predictions hold that by 2042, whites will no longer be the majority. Americans who identify as biracial or multiracial are less than 2 percent of the population, but their demographic is growing at about 3 percent each year, more than 10 times the rate of the white population.

New immigration from Africa and the Caribbean is challenging old notions of what it means to be African-American. As the number of transracial adoptions and interracial marriages increase, the old lines, while far from vanished, are blurring.

At the beginning of his campaign, Obama's exotic heritage was a liability. We had no idea what to do with him because we couldn't place him in any of the familiar boxes. There were charges lobbed against him that he was, on the one hand, not black enough for black America, and, on the other, too black for the  white American mainstream.

By telling his story of being raised by white grandparents in Hawaii, their love for him and his grandmother's utterance of racial stereotypes, and his adult quest to connect to his father's Kenyan roots, Obama has changed the entire dialogue about race.

He has managed to accomplish something truly rare: to both carry the mantle of African-Americans' struggle for justice and to transcend it. He is as much the fulfillment of more than 300 years of struggle as he is a symbol of the future: A president who embodies the changing landscape of our imperfect union.

Tuesday, he boldly declared it. In his inaugural address, Obama said, "...our patchwork heritage is a strength, not a weakness. We are a nation of Christians and Muslims, Jews and Hindus -- and nonbelievers. We are shaped by every language and culture, drawn from every end of this Earth; and because we have tasted the bitter swill of civil war and segregation, and emerged from that dark chapter stronger and more united, we cannot help but believe that the old hatreds shall someday pass; that the lines of tribe shall soon dissolve...."

When Obama took the stage at Grant Park in Chicago, Illinois, on election night, with his family, it was the first time in my 26 years of living I felt like America really belonged to people like me.

If you were to ask me, at that moment, if I was African-American, even though I have blue eyes and fair skin, even though my grandparents came to this country from Haiti, with their own language, their own concepts of race, my answer to you would be a resounding "Yes!"

Without the struggle of brave African-Americans who came before me, my grandparents would not have had the same opportunity to pursue the American dream. We would not be allowed to choose freely whom we love, and I might not even exist.

And yet if you were to ask me, in that same moment, if I were black, or biracial, or a woman of Haitian, Chinese, Egyptian, English and Irish descent, my answer would have been the same.

Before we become a "post-racial" America, we have to become one that is truly multiracial, comfortable with the fact that more and more Americans no longer wear their identities on their skins.

That you might not be able to tell from just looking at a woman if she is Dominican or Brazilian, or the daughter of a Belgian and a Congolese. She might consider herself many things at the same time, without planting a flag or declaring an allegiance.

Obama can help lead us into that new era, toward a more sophisticated conversation about culture and race. He should be celebrated as our first African-American president. He should also be allowed to be Kenyan and Kansan, Hawaiian, Indonesian, Luo -- all the legacies that have made him the man he is today.

The opinions expressed in this commentary are solely those of Jennifer Brea.

@highlight

Jennifer Brea: When I grew up, the choice was to identify as black or white

@highlight

She says America now is more open to its multiracial population

@highlight

Obama symbolizes the increasing diversity of the U.S., Brea says

@highlight

She says he declared the change with his "patchwork heritage" remarks