(CNN)Barely 20 minutes into our 4WD trip and a leopard nonchalantly crosses the sand road some 10 meters ahead of our vehicle.

Any more carefree and it'd have walked up to the jeep and casually asked for the time of day and a cigarette.

The leopard is the latest surprise on a surprise-filled long weekend in Sri Lanka.

The encounter is eyebrow-raising because our guide, Manjula, has passed Managing Expectations 101 with high honors.

"There is a good leopard population at Yala," Manjula said, "but it's hard to see them as they tend to want to keep away from us.

"I can't promise you'll see any on this safari."

Rack one up for the guide.

Rack up another for the leopard. 

The cat's appearance temporarily silences the far-too-frequent coos from the couple sharing the 4WD with me.

They congratulate themselves over every bird we spot in Yala National Park.

That's a lot of congratulating.

Call me fussy, but unless a bird is remarkably colorful or remarkably massive or doing something massively colorful, I fail to get as interested as I probably should.

Lions, tigers, bears -- big stuff, that's what I want to see.

Even if they're just lying about scratching themselves.

Biodiversity hotspot

One of the biggest surprises of the day is the layout of Yala National Park.

Located about 300 kilometers southeast of Colombo, Yala is packed with dense scrub, bushes and forest broken up by watering holes and crisscrossed by sand and dirt roads that might render a lot of GPS systems useless.

Thank God for Manjula.

The park is divided into five blocks; three of them lack basic infrastructure for visitors and are under development.

The main block for visitors, Block 1, spans some 20,000 hectares.

Into this area Yala packs an impressive list of inhabitants.

There are no lions or tigers, but there are about 130 bird species (including six species endemic to Sri Lanka), as well as leopards, elephants, crocodiles, deer, mongoose, Macaque monkeys, wild buffalo and the sloth bear. 

Other parks in Sri Lanka, such as the north-central Minneriya National Park, are better known for higher Asian elephant populations.

Elephant herds can also be seen at nearby Udawalawe National Park. 

Yala gets its reputation for its leopards, something Javana Fernando, owner of Kulu Safaris, says is both good and bad.

"Our leopard subspecies is completely unique to Sri Lanka and marketing of the park is often too heavily focused on the leopard," he says, echoing the false warning Manjula had given us. "That means some visitors are disappointed if they don't see one.

"But the true value of Yala is the diversity. It is a biodiversity hotspot."

Eventually I begin reaching for the bird book to study the Ceylon Grey Hornbill and White-bellied Sea Eagle  -- even this non-birder can be turned and that's saying something for the colorful birds here -- but it's the leopard that wins the day.

Soon after the leopard crosses our path -- on a section of road that resembles the parking lot at the end of a rodeo -- a traffic jam of 4WDs packed with clicking cameras forms.

Time to hand over our prime leopard-watching real estate to other safari goers.

The beast turns out to be the first of several we spot on the day. (For other highlights and more information on the park, see the gallery above.)

Curry for breakfast, lunch and dinner

Back at the camp on the outskirts of the park, dinner is followed by a well timed gin and tonic that helps wash away the layer of park dust that has attached itself to our faces and throats like a bad souvenir.

Like the safari, Sri Lankan curry is highly photogenic, though considerably less dusty.

A Sri Lankan curry meal is a combination of many curries and dishes, which may or may not consist of plates of things like chicken black curry, prawn curry, lady's finger curry, dhal, beetroot curry, sambol rice and papadum.

According to Aman Resorts chef Sumit Batra, the options are endless.

"Potato, pumpkin, beetroot, jackfruit, breadfruit, cashew nuts, mukenwela, gotukola, banana blossom, mango, pineapple to name a few," Batra says. "Of course, never forget dhal, which is always included.

"In addition, there are various spice combinations. Chili, curry leaves and cinnamon are the most commonly used, along with coconut milk and freshly grated coconut.

"There's generally one protein-based curry of either fish or chicken, and a range of vegetable curries.

"There's a combination of wet and dry vegetable curries and a range of vegetables and herbs from potato and pumpkin to the more exotic gotukola and mukunwela. Plus chutney and pickle."

The result of all this is a kaleidoscope of color, a mighty large food coma and dinner clothes that need a vigorous washing afterward.

Curry is eaten at every meal, though the accompaniments vary.

Breakfast features one or two curries, eaten with egg, plain or string hoppers or pittu. (See the gallery for images.)

For the inexperienced, eating three square curries a day is a journey in itself.

The many variations allows locals to eat curry every day and brand each a different meal -- not unlike Mexican food in this respect.

Resort break

Batra's employers run Amanwella in the fishing village of Tangalle on the south edge of the island.

The resort, 30 luxurious suites -- each with a plunge pool and terrace -- is the beach-side choice for accommodation.

About 90 minutes from Galle (to the west of Tangalle) and a similar distance from Yala to the east, it's a perfect location to either stick about or explore the coast.

Connecting all these spots are new smooth roads that make traveling (either in a rental car or by hiring a driver and car) and navigating traffic surprisingly easy -- quite a different experience from nearby countries like Myanmar, India, Thailand and Indonesia.

The southern edge of the island, between Galle and Tangalle, is full of beaches, good surf and at the right season, whale watching. (See CNNGo's Sri Lanka episode for more on whale watching.)

About a 15-minute drive inland from the Tangalle shoreline is Maya, a 19th-century manor house turned five-suite villa with a large garden that backs onto a rice paddy and is surrounded by forest.

Dinner (surprise, Sri Lankan curry) and a look-see visit are highly recommended.

Surfing Sri Lanka's southern coast

While Amanwella has a private beach (and serves a private candlelit dinner on its beach), nearby Nilwella is more surf friendly.

With so many other beaches within reach, this bay is rarely crowded -- good news for uncoordinated and curry-induced flabby surfers.

Shallow and with little to no rip, it's great for beginners who like to stay closer to shore; advanced surfers paddle further out.

"Sri Lanka is a good destination for surfing, with many hidden surfing spots," says local surfing instructor Bandula Gardiyawasam.

"The temperature of the sea is ideal all year and there are no shark or jellyfish threats."

Diminutive and patient, Bandula, 40, began surfing in 1991 and describes himself as the first professional surfer in Tangalle.

"There is only one person who surfed in Tangalle before me and he was my teacher," he says. "Now he is too old."

Bandula recommends Cobra Point and U Point as top surf spots in Tangalle.

Further afield he lists Arugambay, Hikkaduwa, Mirissa and Medigama as must-surf spots.

Like the tourism industry, Sri Lanka's surf scene is in its relative infancy. 

But with clean beaches, good transport infrastructure and few others to drop in on your wave, the coastline is gaining popularity not only as a surf destination but for its other natural offerings. And hey, even its bird life.

Getting there

Many international air arrivals and departures at Colombo's Bandaranaike International Airport come between 8 p.m. and 3:30 a.m. Sea planes from Colombo serve Tangalle.

If you're dealing with an inconvenient arrival time, you may want to spend one or two nights in the Galle upon arrival. The city's fort area is well worth a day at least.

Amanwella's sister hotel, the Amangalla, occupies the historic building that once housed the New Oriental Hotel in Galle Fort. The colonial-era building makes for an ideal base for exploring the 17th-century fort.

Amangalla, 10 Church St., Galle Fort, Sri Lanka; +94 91 223 3388; rooms from $500 per night (rates depend on season).

Amanwella , Bodhi Mawatha, Wella Wathuara, Godellawela, Tangalle, Sri Lanka; +94 47 224 1333; rooms from $800+ (rates depend on season).

Maya; rooms from $210+, full villa from $865+ (rates depend on season).

Kulu Safaris offer tented safaris to Yala and other national parks starting at $400 per person, per night.

More information on Bandula's Surfing School is located here; lessons can be booked directly or via Amanwella and other hotels.

@highlight

Leopards are the main draw at Yala National Park

@highlight

Traditional Sri Lankan dinners have seemingly endless curry options

@highlight

Like its tourism industry, Sri Lanka's surf scene is in its relative infancy