Singapore ranks as Asia's most innovative city in Asia-Pacific, according to a new survey by Solidiance, a strategy consulting firm based in the Southeast Asian city-state.

Singapore ranks number one for innovation in the Asia-Pacific because "it has made dramatic and perpetual improvements for the past 25 years," said Solidiance, transforming itself from a trading port to high-tech and financial hub.

After Singapore, the top five cities are Sydney, Melbourne, Hong Kong and Auckland.

The report examines six links between what a city has to offer and the amount of talent that relocates to that city: the availability of a skilled talent base; a strong higher education system; the livability of a city and environmental sustainability; technological advancement and government regulations that support financial freedom and global integration.

With Singapore, the city has pushed an 'open door policy' welcoming professional talent from around the world. In 2000, 8% of the country's 4 million residents were foreigners. In 2012, the foreign population made up 14% of the city's 5.3 million people.

Strong government regulations have provided for a structured and stable environment with which to conduct business, the report said. The World Bank ranked Singapore as the best place to do business in the world for 2013, unchanged from 2012.

But to keep its top spot as best Asian city for innovation, Singapore needs to stay open to new ideas, new cultures, and new entrants, adds Solidiance.

"Singapore has no other choice; it must adapt, stay opened and lead change if it is to remain relevant in the 21st century," says Damien Duhamel, Managing Partner Asia of Solidiance.

Sydney scored highest in the categories of global integration, having a skilled talent base and for its technological advancement. Sydney has been able to attract a wide range of professionals from industrialists to artists and information technology experts, the survey found.

Melbourne ranks as the third most innovative city in the Asia-Pacific because of its superiority in the human talent category. Half of the city's population comes from immigrant backgrounds, Solidance notes, and the city supports a "good level" of diversity acceptance.

Hong Kong ranks fourth thanks to its technological and regulatory leadership. Solidiance points to the city's tech cluster of Cyberport, envisioned in 1999 and built to help develop Hong Kong's IT industry. However, as reported in local Hong Kong media,  critics complain Cyberport has been a failure with office occupancy never reaching full capacity. Hong Kong is also known as one of Asia's most prominent financial hubs thanks to its regulatory framework and lack of corruption. In 2012, the city ranked at number 14 in Transparency International's Corruption Perceptions Index. Hong Kong also has the lowest tax rates in Asia -- 16.5% for corporations -- which attracts business to move and stay in the city.

Auckland took the number five spot largely on its ability to attract skilled talent -- and its tolerance for diversity, the report said. The ease of doing business also expatriate to settle in the city.  In the category of livability, however, bad infrastructure for public transport is one of the Auckland's largest detractions.

@highlight

Singapore is Asia-Pacific's most innovative city, says marketing firm Solidiance in a new report

@highlight

City innovation report looks at six main categories including talent base, education, livability

@highlight

Singapore's foreign talent population jumped from 8% in 2000 to 14% in 2012

@highlight

World Bank ranked Singapore as best place to do business for 2013