LONDON, England (CNN) -- It's 2020. You get home from work, kick off your shoes and relax -- on your very own tropical island. That night, your friends teleport over with other glamorous guests, all nipped, tucked and primped to perfection, for a hedonistic cocktail party at your five-star beach house, decked out in expensively understated chrome, crystal and fine Italian furniture.

Experts say the use of virtual worlds like Second Life may be widespread by 2020

But this is no billionaire way of life. If virtual worlds become the next Facebook phenomenon, experts predict that logging on to a luxury lifestyle could be attainable for all of us -- and we might even spend more money on our online homes than on our real-life surroundings.

With over 30 million users worldwide, 8.5 million photos uploaded each day and 15 billion page views a month, Facebook is undoubtedly the Internet's flavor of the month. But by 2020, virtual worlds may have surpassed social networking sites as the place to spend time online. Experts believe that the draw of 3-D spaces where our avatars can hang out with our friends -- and meet new ones -- may tempt away even the most ardent Facebook addict.

David Knighton, a 35-year-old Second Life user from Jacksonville, Florida, is one of many netizens exploring virtual worlds. He's been visiting the site for over a year and told CNN that he enjoys its social dimension. "I've met several good friends in Second Life, who are still friends to this day in the 'real world'" he said.

At times, David has spent six hours a day, seven days a week on Second Life. But what is the draw of a virtual world? Are they only attractive to tech-heads? David doesn't think so. He says, "Experience plays a role in acceptance to be sure, but Second Life takes hold more on a social and creative level. Someone who signs in and recognizes those aspects of Second Life will immediately be hooked."

This is backed up by blogger and writer Caleb Booker, who has tracked virtual worlds from phone "party lines" through the first one-player text-based computer adventures to the two- and three-dimensional Internet worlds that are burgeoning today.

Booker believes that, in a society that's increasingly mobile, virtual worlds help us hold our far-flung social networks together. He cites the example of his mother-in-law, who recently moved to a new city and uses Facebook to stay in touch with her three daughters. "They're all busy, so virtual world technologies and Web 2.0 apps are the best and most convenient ways to keep up," he told CNN.

Booker says that virtual worlds take this interaction to a more sophisticated level. "I don't even have to worry about cab fare if I want to have a little get-together with my friends from the UK and the US tonight," he said.

And he thinks that it's only a matter of time before virtual worlds follow Facebook and explode in popularity. "Bottom line: if people are using email for social interaction, they'll probably be interested in other ways to be social online."

Life-like avatars

Interaction on Facebook, MySpace and other social networking sites is mainly limited to text, with the ability for users to add photos and video. But in a virtual world, people are represented by avatars: computer-generated figures which can look uncannily like ourselves -- if we choose. They can walk like us, they'll soon talk like us and they can interact with each other.

As 3-D technology becomes increasingly sophisticated, Booker says that photo-realistic avatars are just around the corner, and will become increasingly convincing.

"Eye movement, breathing, and realistic expressions will be the easy part," he revealed. "The hard part will come with things like synching mouth movements with voice recognition. That's something we might not quite have nailed by 2020, but there will definitely be some kind of engine that attempts it by then."

Holographic projections of 3-D objects are in development, but it will be some time before virtual reality offers us experiences akin to Star Trek's holodecks: touching and tasting virtual matter is still some way off.

"We're a long, long way away from having a completely immersive Matrix-like world," he told CNN. "But then again, technology can surprise you. I remember joking with a friend about a guy who bought a brand-new VGA monitor. It could display 256 colors at once -- who could honestly need something like that?"

Spartan life offline, exotic life online

The authors of the "Metaverse Roadmap," a briefing document that explores the possible development of virtual worlds over the next 20 years, agree that a boom within a decade is likely. Their research has indicated that by 2016, half of us will have interactive avatars, with those aged between 13 and 30 spending around 10 hours a week socializing in 3-D visual environments.

And the draw of virtual worlds may encourage some of us to forsake our mundane real-life surroundings for a luxury life online.

The Metaverse Roadmap points to the millions of youths who already use worlds like Habbo Hotel and Playdo, and suggests that "Youth raised in such conditions might live increasingly Spartan lives in the physical world, and rich, exotic lives in virtual space." It makes a certain kind of sense: why cripple yourself with huge mortgage payments on "real" real-estate when on Second Life you can buy an entire island for $1,600 and $300/month maintenance?

The uses for virtual worlds don't stop at socializing. Virtual environments are already being built for education, like Edward Castronova's "Arden" project at Indiana University, which will transport users into a Shakespearean world. The applications for interior designers are clear, while a team at the U.S. National Institute of Mental Health (NIMH) in Bethesda, Maryland have used the virtual shoot-em-up "Duke Nukem" to diagnose depression in players.

Business collaboration

Booker believes that virtual worlds will be used increasingly as business tools. "They're very well suited to collaborative work," he explained. "We're not sure why yet, but there's something about seeing everybody's avatar in the room with yours that makes the whole experience far more effective than if you were to simply have a conference call. It creates a real shared experience."

And with the launch of Sony's PlayStation Home -- an online world for the games console -- this autumn, it seems the big players in the entertainment world are banking on virtual realms being part of the future, too.

"The common feeling is that by 2020 virtual worlds will be as widespread as the World Wide Web is now," states Booker.

With that popularity comes opportunity -- and not only for Internet land barons like self-proclaimed Second Life millionaire Anshe Chung, but also virtual builders, landscapers and interior decorators, designers of avatar clothing and accessories, and even community moderators and governors. "A significant percentage of the world's population will be able to make a living working in virtual worlds," says Booker.

And he thinks that this potential is just around the corner. "The truth is that, as far as virtual worlds go, we're living in the flash point at the beginning of the explosion."

........................

What future do you think virtual worlds hold? Would you give up Facebook to hang out in a virtual space with your friends? Share your views and read others' thoughts in the Just Imagine forum. E-mail to a friend

@highlight

By 2020, experts believe virtual worlds will be widespread

@highlight

Online worlds could replace Facebook as most popular Internet phenomenon

@highlight

Experts say young users could lead spartan lives offline, luxurious lives online

@highlight

But Star Trek-style fully-interactive holodecks still some way off