Istanbul (CNN) -- A growing number of Syria's Middle Eastern neighbors, including its closest allies Iran and Hezbollah, are calling on the embattled and defiant Damascus regime to implement reforms.

The chorus of foreign criticism and concern comes as opposition demonstrators inside Syria have begun for the first time making public appeals for foreign "protection."

In an amateur video believed to have been filmed over the weekend in the southern town of Horan, a crowd of dozens of young Syrians clapped and chanted "the people demand international protection." In another video, also posted on YouTube this weekend, activsts held up printed signs saying "we need international protection," in English and Arabic.

This is a dramatic departure from the position demonstrators staked out during more than five months of protests against the government of Syrian president Bashar al- Assad. Previously, activists rejected the possibility of any foreign military intervention similar to the NATO bombing campaign of Libya.

But inside Syria, there are signs that the opposition movement has grown frustrated with the high death toll resulting from a brutal government crackdown. According to the United Nations, more than 2200 people have been killed during the uprising, in addition to mass arrests and allegations of torture by Syrian security forces.

In the video recorded in Horan, some Syrians held up signs saying "Yes to Arab deterrent Forces." Activists tell CNN, on condition of anonymity to protect from persecution, there is more debate in opposition circles about new measures ranging from requesting a foreign military "no fly zone" over Syria to trying to arm protesters with weapons.

"In an unprecedented move over the past several days, Syrians in Syria and abroad have been calling for Syrians to take up arms, or for international military intervention," announced a prominent Syrian opposition group, the Local Coordination Committees in Syria, in an e-mailed statement on Monday.

"While we understand the motivation to take up arms or call for military intervention, we specifically reject this position as we find it unacceptable politically, nationally, and ethically," the Committees went on to say, arguing that militarization would "erode the morale superiority" of the Syrian revolution.

As frustrated protesters contemplate alternative options, Turkey and the Arab league have stepped up their criticism of the al-Assad regime.

Turkish president Abdullah Gul blasted his Syrian counterpart in remarks that were televised on Sunday, saying that Ankara had "lost confidence" in its former ally and trading partner.

"We have reached a point where anything would be too little, too late. We have lost our confidence," Gul said. He noted that according to Turkish intelligence reports, at least 17 people had been killed in a single day last Thursday.

"There is no place for totalitarian regimes and one party governments. Clearly, the leaders of these countries will take the initiative or they will be changed by force," Gul added.

Those sentiments have been echoed in recent days by Turkey's foreign minister as well as by Prime Minister Recep Tayyip Erdogan, who suggested that if al-Assad continued his current policy, he would go the way of the dictators who have been overthrown in Tunisia, Egypt and Libya.

On Saturday, the Arab League publicly called for restraint and an end to the violence in Syria, while also requesting the group's secretary general depart on an urgent mission to Damascus.

Syria's ambassador to the League rejected criticism of the Syrian armed forces. According to SANA, Syria's state news agency, Ambassador Youssef Ahmad repeated the government's claim that the protesters were "armed terrorist groups" that were "receiving foreign aid." Ahmad also insisted that Syria had embarked on a reform process to meet the demands of its citizens.

On Sunday, for example, al-Assad announced the creation of a new media law which promised to respect freedom of expression and defend journalists' right to "analyze and comment on information."

But even al-Assad's closest allies, Iran and the Lebanese shi'ite movement Hezbullah have suggested Damascus needs to do more to meet the demands of the protest movement.

In comments published by the semi-official Iranian Student News Agency on Saturday, The Iranian foreign minister repeated Tehran's unwavering support for Damascus, while also urging the Syrian government to be more cautious and patient In its dealings with the citizenry.

Meanwhile, Hezbollah leader Hassan Nasrallah applauded Syria's support for anti-Israeli resistance movements in Lebanon and the occupied Palestinian Territories. But in a statement published by Hezbollah's Al Manar TV, Nasrallah also appealed for calm in Syria, and warned that "international pressure" was delaying much-needed reforms.

"The most important thing is the fact that the Turks, the Iranians and Hezbollah as well as the Arab League are sending a really strong signal that things are very serious in Syria and on the edge of falling apart," said Rami Khouri, a widely-read Lebanese columnist and director of the Issam Fares Institute at the American University of Beirut.

"The Iranians and Hezbollah are looking at Bashar al-Assad's choices thus far and drawing the same conclusion we are: this guy's panicking and his decisions indicate incompetence and also moodiness which is a hallmark of Assad's reign," said Andrew Tabler, author of the soon-to-be-published "In the Lion's Den: An Eyewitness Account of Washington's Battle with Syria." "Their interaction with Assad is probably the same as ours, its paradoxical. He promises not to use live fire and then uses live fire."

"They [Iran and Hezbollah] are the two closest allies of Syria," Khouri added. "It's an important message of support and also a warning. A warning that if things keep going bad its going to be bad for everyone."

Even Russia, a long-time supplier of weapons to the Damascus regime, appears to be worried.

A high-ranking Russian diplomat delivered a letter from Russian President Dmitry Medvedev to al-Assad on Monday, the Kremlin announced on its web-site.

The Russian envoys appealed for an immediate end to violence from all sides in Syria, while also urging the Syrian government to immediately begin concrete moves towards implementing reforms.

Despite the Syrian president's repeated promises to end single-party rule and lift the four-decade long state of emergency in his country, there were widespread reports that the Syrian military was continuing its deadly crackdown on opposition activists.

The Syrian Observatory for Human Rights reported at least five people were killed and more than 60 wounded when Syrian troops stormed the town of Sarmin in the northwest of the country on Monday.

CNN's Joe Sterling in Atlanta, Maxim Tkachenko in Moscow, and Nada Husseini in Beirut contributed to this report

@highlight

Syria's closest allies are showing concern

@highlight

Turkey says it has "lost confidence" in the Syrian government

@highlight

"We have reached a point where anything would be too little, too late," Turkish president says

@highlight

Expert says al-Assad's "decisions indicate incompetence and also moodiness"