(CNN) -- Middle East tensions will remain high on the agenda at the U.N. General Assembly on Thursday with Israeli Prime Minister Benjamin Netanyahu stepping up to the podium soon after Palestinian leader Mahmoud Abbas.

Here are five things to look out for during the third day of the session:

1. The Palestinians are set to seek a new status at the United Nations, but Netanyahu is focused on Iran.

A year after launching the Palestinian Authority's failed bid to win U.N. recognition as an independent state, Abbas is expected Thursday to formally announce a less ambitious initiative.

This time, the Palestinian Authority will seek non-member observer status, one step up from its current position as a permanent observer. Last year's attempt to secure recognition of statehood stalled in the U.N. Security Council.

The Palestinians say they are likely to submit the new resolution after the U.S. presidential election on November 6 in an effort to prevent the issue from becoming political fodder. They have already expressed concern about pessimistic comments by Republican presidential nominee Mitt Romney about the chances for peace in the region.

Abbas is scheduled to make his speech toward the end of the morning session. Two slots after him comes Israel's Netanyahu, who is likely to focus more on the perceived threat from Iran than the lifeless peace process with the Palestinians.

The issue of how to respond to Iran's controversial nuclear program has put a strain on relations between Netanyahu and President Barack Obama. Tehran insists its atomic program is for peaceful purposes, but Western leaders say they believe it is aimed at building a weapon.

Netanyahu has been pushing the United States to establish a clear "red line" that Iran cannot cross if it wants to avoid war. Israel feels a sense of urgency, as negotiations aimed at curbing Iran's nuclear ambitions have failed to produce an agreement and the effectiveness of sanctions on Tehran remains unclear.

2. World powers will meet on the Iran issue a day after Ahmadinejad complains of double standards.

The Iranian nuclear controversy is one of the recurring themes of this year's assembly. Netanyahu's speech and a ministerial meeting of global powers are likely to keep it in the spotlight Thursday.

Obama said Tuesday that he remained committed to a diplomatic solution to the issue but that "the United States will do what we must to prevent Iran from obtaining a nuclear weapon."

Five things we learned on Day Two

Iranian President Mahmoud Ahmadinejad, who has a history of controversial statements, gave onlookers little in the way of outrage in his eighth and final speech at the annual gathering on Wednesday.

He said Iran was committed to peace, though he also accused world powers of double standards in pursuing an arms race.

"Continued threat by the uncivilized Zionists to resort to military action against our great nation is a clear example of this bitter reality," Ahmadinejad said.

Ways to resolve the problem peacefully will be discussed by officials from France, Britain, Germany, China, Russia and the United States at a side meeting Thursday, and a minister-level meeting is expected to follow.

The International Atomic Energy Agency, the U.N.'s nuclear watchdog, overwhelmingly passed a resolution this month voicing concern about Iran's continued nuclear activity and urging Tehran to cooperate with international nuclear regulators.

Ahmadinejad tells U.N. that Iran is threatened

3. The president of Myanmar gets a chance to steal some of Suu Kyi's spotlight in the United States.

A less gloomy storyline will be in evidence in the speech to the assembly Thursday by President Thein Sein of Myanmar, who has overseen a series of political reforms in the Southeast Asian nation that has spent decades under repressive military rule.

While the United States and the Europe Union have been piling sanctions on Iran, they have also been steadily lifting them off Myanmar in response to the release of hundreds political prisoners, the pursuit of peace talks with ethnic rebels and the holding of freer elections.

The latest softening of sanctions by Washington was announced Wednesday by Secretary of State Hillary Clinton, following a meeting with Thein Sein. The United States will begin easing restrictions on the import of goods from Myanmar, Clinton said.

Thein Sein, a former military official, will have a chance Thursday to grab some of the spotlight from Aung San Suu Kyi, the Myanmar opposition leader and Nobel laureate who received the Congressional Gold Medal last week during a 17-day visit to the United States.

Diplomats and journalists are wondering if Suu Kyi, who spent the better part of two decades under house arrest in Myanmar for her pro-democracy campaigning, will be in the audience for Thein Sein's speech.

She has expressed support for Thein Sein's efforts and even admitted to having a "soft spot" for some of the military leaders who kept her in detention. But she and others have also cautioned that Myanmar's reforms are still at a very early, fragile stage.

4. China isn't sending its A-Team, but it could still cause a stir.

Most world leaders haven't passed up the opportunity to take their turn at the assembly's green marble podium this year, but China's top officials have other things on their minds running the the rising global power.

President Hu Jintao and Wen Jiabao appear to have skipped the trip to New York amid the political intrigue and jockeying in Beijing ahead of a once-in-a-decade leadership transition widely expected to kick off next month.

This handover of power is especially sensitive in the wake of a dramatic political scandal involving murder and attempted defection that has played out in the international news media.

As a result, Foreign Minister Yang Jiechi is leading the Chinese delegation at the assembly, and he will have plenty of subject matter at his disposal when he makes his speech during the afternoon session.

Many observers will be waiting to see if he addresses China's myriad disputes with several of its neighbors over maritime territories.

China's most heated dispute at the moment is with Japan over a set of islands in the East China Sea, a quarrel that has prompted violent anti-Japanese protests in China and soured economic ties between the two nations.

Prime Minister Yoshihiko Noda of Japan referred indirectly to the situation in his speech to the assembly on Wednesday, underscoring Tokyo's commitment to using international law to resolve territorial disputes.

The Chinese Foreign Ministry in Beijing quickly dismissed Noda's comments as "self-deceiving," the state-run news agency Xinhua reported Thursday. The question now is whether Yang will have more to say on the matter in the U.N.'s Great Hall.

5. Libyan leader speaks amid the fallout from the attack that killed U.S. ambassador and other Americans.

The president of Libya's General National Congress, Mohamed al-Magariaf, is expected to address the assembly during the afternoon session.

His nation's young government is dealing with the delicate aftermath of the attack on the U.S. diplomatic compound in the city of Benghazi this month that killed U.S. Ambassador Chris Stevens and three other Americans.

On Monday, Clinton praised the Libyan people for their efforts to rid the country of the rogue militias blamed for the killings. Al-Magariaf has said the militias would be disbanded.

The episode has laid bare the challenges Libyan government officials face in imposing control on the country following the uprising that led to the fall of the dictator Moammar Gadhafi, who was known for long, rambling orations at the United Nations.

Obama said Tuesday that unrest was occurring in the throes of an unfinished regional revolution in the Middle East that brought an end to oppressive regimes in Egypt, Libya and Tunisia.

Assange speaks via satellite from London, calls for end to 'persecution'

@highlight

Mahmoud Abbas is expected to seek new status for Palestinian Authority

@highlight

Israel's Netanyahu is likely to focus on the Iranian nuclear issue

@highlight

Officials from Myanmar, China and Libya are also among the speakers