Washington (CNN)President Barack Obama's plan to take the immigration system in his own hands is a daring test of the limits of presidential power.

The steps he will lay out tonight in a prime time address will fuel a debate over his use of executive authority to enact change without the agreement of an opposition Congress.

Conservatives are howling that Obama's effort to shield millions of illegal immigrants from deportation oversteps his own authority and infringes the Constitution. His backers say he's simply exercising his power to select which areas of law to prioritize -- and addressing a major national issue that seems to elude Congress.

The law, however, may be as murky as the immigration system itself.

"The issue is, if the president's actions effectively nullify federal law, then they are unconstitutional," said Alex Nowrasteh, immigration policy analyst at the Cato Institute. "But if his actions merely channel enforcement resources to other areas covered under the law then it is within his discretion to do so."

He added: "Drawing that line is a very difficult and murky process."

Republicans and legal critics warn that by dictating groups of illegal immigrants that will not be deported, Obama risks infringing a clause in the Constitution that requires him to "take care" that laws are faithfully executed.

"All the signals of what they are planning to do suggest that it is beyond the bounds of the take care clause," said Gregory Jacob, a former special assistant to President George W. Bush on immigration reform.

Share your thoughts on the immigration debate

After Bush's own push for comprehensive immigration reform failed, he asked his legal team to examine his executive powers to change immigration policy. But they quickly concluded the kind of action Obama is now contemplating would go beyond presidential authority.

"The president is taking an entire chunk of the law and simply declining to enforce it," said Jacob.

The Obama White House is pointing to legal precedents established by earlier presidents who have used executive power to reshape the immigration system, notably John F. Kennedy, Richard Nixon, Ronald Reagan and Bush's father, George H.W. Bush.

The elder Bush, for example, used executive power to permit 1.5 million undocumented spouses and children of people shielded from deportation by a previous law to also stay in the United States. White House officials point out that number accounted for about 40 percent of illegal immigrants in the country at the time. Obama could cover a similar proportion of the current total of 11.4 million illegal immigrants with the moves he's expected to announce.

But lawyers who disagree with that view say Bush was using his power to fix problems with a recently passed immigration law — not acting alone after Congress refused to act.

For his part, Reagan used executive power to help 100,000 families caught in a loophole included in a comprehensive immigration reform bill passed by Congress in 1986. He also offered relief to 200,000 Nicaraguan exiles.

The Obama administration is adamant that the president is acting within his powers to implement laws already passed by Congress and to prioritize resources but officials won't reveal the legal reasoning until tonight's speech. Other Obama supporters were reluctant to speak publicly about the potential legal arguments ahead of the address.

But in essence, the White House is expected to argue that Obama is simply wielding his constitutional powers to decide how laws are applied.

The executive branch of the U.S. government decides all the time whether or not to pursue certain offenders in much the same way a police officer sometimes turns a blind eye toward a driver traveling at 58 mph in a 55 mph zone but choosing to pull over someone else doing 70.

It's a concept known as prosecutorial discretion and Obama's supporters contend what he is doing is perfectly legal because he is directing U.S. law enforcement agencies where they should focus their attention.

So, instead of seeking to deport the undocumented parents of American citizens, the president is expected to channel resources towards enforcing U.S. borders.

Officials said he may also require U.S. authorities to spend more time seeking to deport felons or recently arrived illegal immigrants than those brought to America years ago as children

Obama has argued that acting in this way is in fact more consistent with his legal obligations and authorities as president. And he says he is not infringing his powers by changing the law because a new president could take office and wipe out his executive orders with the stroke of a pen.

"I can't wait in perpetuity when I have authorities that, at least for the next two years, can improve the system, can allow us to shift more resources to the border rather than separating families," he said last week. "I would be derelict in my duties if I did not try to improve the system that everybody acknowledges is broken."

If Republicans do conclude that Obama has overstepped the  bounds of his office, what remedy do they have?

Of course, they could pass legislation next year -- after they gain majorities in the House and Senate -- that would undo Obama's actions. But the president could then veto that legislation -- and it's unlikely that there will be enough support in Congress to overturn a veto.

House Republicans are already taking the president to court alleging abuse of power over Obamacare. They could add a question on immigration to the case.

But that would risk turning what is at root a political crisis into an unpredictable constitutional showdown. And courts are notoriously loath to inject themselves into a dispute between separate branches of government.

Obama could find his actions challenged in other courts. But an organization wanting to sue the president might struggle to find someone hurt by his orders  — the legal term is "standing" — on whom to base a case.

Other Republicans have even mentioned the "i" word — impeachment — but that's also fraught with political peril.

The most realistic path may be for Republicans, who next year will control both chambers of Congress, to cut funding for Obama's executive actions. Or they can wait until 2016 and elect a president who might overturn Obama's executive order.

The debate over Obama's authority is partially of his own making. No one has made the case against the course of action Obama is taking better than the former constitutional law professor who now sits in the Oval Office.

Under pressure for years by Hispanic supporters to stem deportations, the president has repeatedly complained that he cannot just wave a magic wand and make things right.

"This notion that somehow, I can just change the laws unilaterally is not true ....  The fact of the matter is there are laws on the books that I have to enforce," he said in 2011.

Obama has pointed out that he is not a "king" or an "emperor" — words now being used against him by opponents and spooling on a loop on television channels.

"Our president has a preternatural ability to stay one thing and then do another," Texas Republican Sen. John Cornyn said this week.

@highlight

Obama will announce immigration changes tonight

@highlight

Obama is making the changes without Congress

@highlight

The moves could prompt a legal fight