(CNN)Why stop now? This must be the question Vladimir Putin is asking himself as he considers the latest European pleas for peace in Ukraine, to be discussed at a crisis summit in Minsk on Wednesday.

Since invading and annexing Crimea almost one year ago, the Russian president has been running rings around the European Union, NATO and the Obama administration.

It is not that Putin is particularly clever -- on the contrary, his behavior suggests he is paranoid, impulsive and insecure. But he has benefited from the greater weaknesses of his opponents.

So as he considers his response to Europe's ideas for a new cease-fire and a "comprehensive settlement" in eastern Ukraine, what will Putin be thinking? What does he know?

Putin knows, for a start, that the Europeans are divided and running scared. Only two EU countries -- Britain and France -- are military powers of any consequence -- but they have zero appetite for conflict, direct or indirect, with Russia.

Francois Hollande, France's weak and unpopular president, seems to be waving a white flag before hostilities have even commenced.

"If we don't manage to find not just a compromise but a lasting peace agreement, we know perfectly well what the scenario will be. It has a name, it's called war," Hollande said after meeting Putin on Friday.

For its part, the British government splutters impotently on the sidelines. As usual, it is waiting for Washington to tell it what to do. But with a difficult national election due in May, Prime Minister David Cameron figures there are no votes in Ukraine.

Eastern European countries, with bitter memories of Soviet hegemony and long, porous borders to protect, want a tougher line. Poland feels particularly vulnerable (just look at the map). So, too, do the much-bullied Baltic states, Estonia, Latvia and Lithuania.

But these countries know there is little point relying on help from Brussels, home of the EU's bureaucracy. Limited economic and financial sanctions on Russia will expire this summer unless all 28 EU governments agree to extend them.

Greece, maneuvering for debt relief, is flirting treacherously with Moscow. Recession-hit economies such as Italy seem to believe business as normal with Russia trumps calls for solidarity over Ukraine.

All of which leaves Germany, the EU's paymaster, largest economy, and Russia's biggest European trade partner. Angela Merkel, German chancellor, has taken the lead since the Ukraine crisis erupted. Somebody had to. And she has been widely praised for her role.

This is puzzling because, despite numerous one-on-one conversations with Putin, Merkel has achieved nothing. Seen one way, her diplomacy has provided cover for ongoing Russian depredations. Last September's Minsk cease-fire agreement was ignored from day one.

Merkel's day-trip to Moscow last Friday, with lightweight Hollande in tow, was no bold bid for peace. It was an act of desperation -- and Putin undoubtedly knew it.

Speaking at the Munich security conference, Merkel criticized Russia for failing to honor Minsk. But, she claimed, it was still worth trying to press Putin to do so.

The main "new" idea on the table seems to be a demilitarized zone embracing September's cease-fire positions and the current front line. If implemented, it would require the Kiev government to concede control of yet more territory. By freezing the conflict in place, it would increase the chances of a permanent eastern secession.

Here is a cautionary precedent: After the 1974 Turkish invasion of Cyprus, the island was split in two and a U.N.-patrolled buffer zone created. More than 40 years later, that "temporary" dividing line still exists, as does the unrecognized "state" calling itself the Turkish Republic of Northern Cyprus.

But Merkel, like the leaders of most western and southern European countries, opposes tougher alternatives such arming President Petro Poroshenko's out-gunned forces. Her tone in Munich, a location forever associated with appeasement, was flatly defeatist.

"I cannot imagine any situation in which improved equipment for the Ukrainian army leads to President Putin being so impressed that he believes he will lose militarily," she said.

This seems to be the broad European view. Arming the Ukrainians would mean war with Russia, a war that Putin would win. And it is plain the Europeans will do just about anything to avoid that dread outcome.

All this Putin knows, or has been told by his canny foreign minister, Sergei Lavrov, who greatly amused the Munich conference by insisting, absurdly, that there were no Russian troops or armor in eastern Ukraine.

But what else does Putin know as he ponders Merkel's plan to halt the hostilities?

Putin knows that the deep divisions within the EU over Ukraine are also present within NATO, an alliance with a roughly similar membership.

Putin knows that NATO's leading power, the United States, did not react militarily when Russia sent its tanks into Georgia in 2008 and subsequently encouraged breakaway separatists in Abkhazia and South Ossetia to declare independence from Tbilisi.

Putin knows NATO was similarly passive when he took over Crimea by stealth one year ago this month. While Ukraine is not in NATO, this startling violation of international law raised a bigger, potentially embarrassing question: what would NATO do if one of its member states was next?

NATO answers that in such circumstances it would invoke Article 5 of its founding treaty, which states: "The parties agree that an armed attack against one or more of them in Europe or North America shall be considered an attack against them all."

But this valiant concept of collective defense has never really been tested. Article 5 has only been invoked once, after the 9/11 attacks. And al Qaeda, luckily, did not have thermonuclear weapons.

Would the U.S. really go to war with Russia to rescue, say, Estonia or Norway? Putin does not know the answer to this question, but neither, if they are truthful, do NATO's political masters.

What Putin does know, or thinks he knows, is that, given Barack Obama's attempts to wind up overseas conflicts in Iraq and Afghanistan and his reluctance to get involved in new ones such as Syria, the U.S. President will be loath to confront Russia militarily in Ukraine in what could quickly become an uncontrollable, escalating proxy war.

Pressure is growing from John McCain and others in Congress, egged on by jittery east Europeans, to supply arms to Kiev. Last week the administration deliberately leaked news that it was discussing this option to the New York Times. It was a classic pressure tactic.

But so far, the only people who feel scared and pressured are the European allies. Putin has not blinked, while Kremlin spokesmen and propagandists say supplying U.S. arms would confirm their view that Russia is under attack by the West.

Maybe a new peace pact will be agreed later this week in Minsk. Maybe it will even be made to stick, assuming Moscow can be trusted. Putin may decide to bank his winnings. On the other hand, if he does not like the deal, he can walk away. Putin knows he has the upper hand. So why stop now?

@highlight

Vladimir Putin considers his response to Europe's ideas for a new cease-fire in Ukraine

@highlight

Since annexing Crimea, Putin has run rings around U.S., European leaders, says Simon Tisdall

@highlight

Would the U.S. really go to war with Russia to rescue, say, Estonia or Norway, he asks