Muslims throughout the world have been marking Eid al-Adha, but in war-torn Syria there is little to celebrate as most people struggle to meet their basic needs: food, water, and shelter.

Their plight has been highlighted by Arabic media reports that cite a fatwa, or religious ruling, by a local imam that allows people who are desperately hungry to eat dogs and cats.

Eating dog, cat or donkey is forbidden under Islamic dietary laws.

The imam in the Yarmouk Palestinian refugee camp in the capital, Damascus, reportedly said at a mosque Friday that dog, cat and donkey meat could be eaten "after reaching a desperate need and the stores of food were inadequate to feed the population under the siege."

Yarmouk has been besieged for months by Syrian government forces seeking to flush out rebel fighters.

During the Eid al-Adha holiday, one of Islam's most revered observances, Muslims around the world sacrifice sheep and share the meat with the poor. It corresponds with the height of the Hajj, the pilgrimage to Mecca in Saudi Arabia that annually draws 2 million Muslims.

A YouTube video purports to show a group of religious leaders outside Damascus issuing a fatwa permitting the eating of cats, kittens, donkeys, and animals killed in shelling.

The man reading the statement appeals to the world, and particularly to Muslims who are completing the Hajj pilgrimage, to think of the Syrian children "dying of hunger" while the viewers' stomachs are full.

"How can't they just stand for us, for our children?" the sheikh asks. "Do they want us to get to the point when we are forced to eat the flesh of our dead martyrs and our beloved just to survive?"

CNN cannot independently confirm the authenticity of the video.

Syria's war: CNN's Nick Paton Walsh reflects on front line reports

'We are living in despair'

At the Atmeh refugee camp in Idlib province in northern Syria, some refugees set up improvised vendor stands for the celebration -- but drew few customers who could afford their goods.

"Before the crisis, during Eid, we used to go to the shops and buy items, we were happy," said Suad Zein. "Eid was a wonderful holiday here. Now these days I can't even buy my boy a pair of trousers, or shoes, or even a loaf of bread.

"I have eight children. I can't support them all. We are living in despair."

Said another: "We have nothing to celebrate. We used to celebrate with food, drink, desserts. We used to make pastries. ... Now there's nothing."

Some refugees in Aleppo, Syria, were more fortunate. A benefactor donated sheep for the traditional animal sacrifice, which were to be slaughtered and distributed among families in need, a man in charge of the slaughter said.

The U.N. food agency, the World Food Programme, warned last month that the violence in Syria was making it hard to get aid to those in need. It estimated that 4 million people in the country were unable to produce or buy enough food.

Eid al-Adha commemorates when God appeared in a dream to Abraham -- known as Ibrahim to Muslims --  and asked him to sacrifice his son as an act of obedience. As Abraham was about to perform the sacrifice, God stopped him and gave him a sheep to kill in place of his son. Versions of the story also appear in the Torah and in the Bible's Old Testament.

The four-day celebration is also known as the Feast of Sacrifice, or Greater Eid. It is the longer of two Eid holidays observed by Muslims. Eid al-Fitr, or Little Eid, follows the holy month of Ramadan.

Asma al-Assad makes rare appearance

A rare interview with Asma al-Assad, wife of Syrian President Bashar al-Assad, aired Tuesday on Syrian state TV, showing her as she visited the Daughters of Martyrs' school in Damascus.

The first lady, wearing a gray sweater with the Syrian flag in the center, is shown being greeted with  applause from dozens of Syrian girls and planting olive trees with them.

The olive tree is a symbol of giving and peace, she says, as well as "a symbol of life and endurance, those who sacrificed and are sacrificing for this homeland are doing that for us so we can live and prosper in this land."

The interviewer asks Asma al-Assad, who lived in Britain before her marriage to Syria's president, about past rumors that she had left the war-torn country for Russia, Lebanon or Britain.

Smiling, she replies, "I am here, I exist here. My husband and my children are present here in Syria. It is quite rational for me to be here with them. And just like the majority of the Syrians, I was raised to love the homeland and I grew up with that notion that wherever I'd travel or lived before, and no matter how long people stay away, there is nothing more precious than the homeland."

The first lady has also been a star of the recently established Instagram account of the Syrian presidency, where she is seen smiling, showing off her volunteer work and attending social events with her husband.

Activists: Truck carrying civilians hit

Syria's descent into civil war began in March 2011, when Bashar al-Assad's regime cracked down on peaceful anti-government protesters.

That conflict spiraled into an armed uprising and a crisis that the United Nations says has claimed more than 100,000 lives.

On Wednesday, at least 53 people -- including 13 children and four women -- were killed nationwide, the opposition Local Coordination Committees of Syria reported.

Four children and six women were among the fatalities in a blast in Daraa, the Syrian Observatory for Human Rights said.

At least 21 people died when their truck was hit by an explosive device in southern Syria, opposition activists said.

The truck carrying civilians was hit as it passed through an area controlled by troops loyal to the Syrian government, the group said. Government officials did not immediately respond to the allegation.

Two suicide bombers from the al Qaeda-linked Jabhat al-Nusra rebel group detonated themselves Wednesday afternoon inside the gates of Aleppo Central Prison, killing seven regime forces, the opposition Syrian Observatory for Human Rights said.

Meanwhile, the Turkish army has reinforced its positions near a strategic border gate between Turkey and opposition-controlled northern Syria, where ISIS fighters have been active. Last month, ISIS fighters pushed more moderate Syrian rebels out of the nearby Syrian town of Azaz.

Weapons inspectors

As the war rages, international inspectors continue their mission to inventory and eliminate Syria's chemical weapons arsenal.

Experts from the Organisation for the Prohibition of Chemical Weapons, supported by the United Nations, have conducted verification activities at 11 sites identified by Syrian authorities, the OPCW said Wednesday.

They have overseen the destruction of "critical equipment" at six sites, as well as the destruction of some unloaded chemical weapons munitions, it said.

On Monday, Syria became bound by the international treaty banning chemical arms, the Chemical Weapons Convention, which is implemented by the OPCW.

A team of OPCW inspectors entered the country on October 1. The joint mission is tasked by a U.N. Security Council resolution with ridding the country of chemical weapons by mid-2014.

@highlight

A fatwa has reportedly been issued allowing those starving in Syria to eat cats and dogs

@highlight

Many Syrians are suffering rather than celebrating during the Muslim holiday of Eid al-Adha

@highlight

First Lady Asma al-Assad gives a rare interview on Syrian state TV

@highlight

Conflict in Syria began in March 2011 and has morphed into civil war that has killed thousands