(CNN) -- World leaders are often measured by what they do in their first 100 days in office. But what about business leaders?

As of Friday, it has been 100 days since Apple co-founder and longtime CEO Steve Jobs passed the company torch to Tim Cook.

Since that first day, August 24, Wall Street and legions of Apple fans have had their gazes fixed on Cook. As the man heading arguably the most influential and valuable technology company in the world, Cook wields a great deal of power.

After Cook took over, Jobs held the role of executive chairman but lost his long battle with cancer some six weeks later, on October 5. The day before Jobs died, Cook led a news conference to announce the iPhone 4S.

"I consider it the privilege of a lifetime to have worked here for 14 years," Cook said at that event. "I am so incredibly proud of this company."

Analysts described the presentation as crisp but lacking the excitement of a Jobs production.

"It's not going to be the Steve Jobs show that generates headlines worldwide," John Jackson, an analyst at Boston-based market research firm CCS Insight who attended the keynote, said in a recent interview. "These events aren't going to be the same as they ever were."

Even without Jobs' dramatic stage presence, the iPhone 4S became the fastest-selling phone over its launch weekend, selling 4 million units worldwide. Financial analysts worried that the aging glass-and-steel design would stunt sales, but the faster processor, better camera and Siri voice assistant -- plus the addition of a third major carrier, Sprint Nextel -- helped the smartphone maintain momentum.

Siri, which Apple describes as beta software, has experienced occasional outages since its October launch, but iCloud has fared much better than Apple's previous endeavors into Internet services. About 20 million people activated their free iCloud accounts in its first week, Apple said. ITunes Match, a $25-a-year music synchronization service, was delayed by a few weeks but has received positive reviews.

Like Jobs had done, Cook began e-mailing with some customers. He also personally addressed an inquiry by e-mail from Nancy Keenan, the president of a pro-choice foundation who was writing in response to a controversy over Siri directing abortion questions to pro-life clinics.

"These are not intentional omissions meant to offend anyone," Cook wrote.

So after a few robust launches, and a few bumps in the road, where do Cook and Apple go from here?

Jobs recruited Cook from Compaq Computer in 1998 to run Apple's operations. People who have worked with Cook at Apple describe him as quiet and confident, the peacekeeper at the conference room table. He'd entrust a roomful of Apple employees with company secrets and expect trust in return, according to Michael Grothaus, a former consultant for the company.

Jobs was hands-on in product development and had a knack for identifying which markets were ripe for invasion. Walter Isaacson's new "Steve Jobs" biography reveals that digital textbooks and Internet-enabled TV sets were among Jobs' next areas of focus for Apple. In the book, Jobs said Cook is "not a product person."

Analysts say Jobs provided guidance on products that wouldn't see store shelves for at least another year. But by August 2013, Jobs' magic touch is likely to have worn off and the products will be those of a Cook regime, said Gartner analyst Michael King.

Cook hasn't been given reasons to run away from the challenge.

He will be able to lean on a "strong bench" of executives that Jobs recruited and that Cook has long worked with, said Jackson, the analyst. "It's going to be business as usual for Apple in Steve's absence," he said.

Shortly after taking over, Cook broadened the role of Eddy Cue, a longtime executive working with Jobs. Cue is now the senior vice president of cloud services, which includes overseeing iCloud and iAds, the fledgling mobile advertising unit.

To give Cook a strong financial incentive to stay, Apple's board of directors granted him a million shares of restricted stock. The first half will be made available to him five years from when Cook officially became CEO, and the rest will vest five years after that, as long as he stays.

Cook had promised in a recent e-mail to his staff that Apple wouldn't change under his leadership, but he introduced at least one corporate program that would have been out of character for Jobs. In September, Apple began matching employees' charitable contributions up to $10,000. Jobs was not much of a philanthropist.

"Steve made our world a better place," Cook said at the Apple memorial for Jobs. "He left his fingerprints all over society, all over the world. He also leaves behind a company that only he could have built and a spirit that will be the foundation for this company forever."

Cook has instilled confidence in investors during his brief stints as CEO. In the last 100 days, Apple stock has gone up 4.3%. Now, he will need to continue to build on Jobs' steady foundation.

@highlight

Friday is Tim Cook's 100th day as official Apple CEO

@highlight

Cook took over for Steve Jobs on August 24, 2011

@highlight

Analysts say Cook has passed his first tests as Apple's leader