(CNN) -- In a stunning achievement for unionists and Democrats, critics of the Wisconsin governor Scott Walker marshaled over a million signatures for a petition that has made it possible for Walker to lose his office in a recall election this spring. If so, that would be the first successful gubernatorial recall in Wisconsin history and only the third in that of the United States.

Walker blundered last year by pushing through the state legislature a hugely unpopular law that cripples public-sector collective bargaining and thereby suffocates most government unions.

Coming on the heels of the November referendum in Ohio, which overturned a similar Republican-sponsored law, it's clear that the American trade union movement is not yet dead. Indeed, the defense of these venerable institutions retains the capacity to put thousands in the streets and mobilize millions of voters, not all of whom are card-carrying unionists by any means.

But those hostile to unionism are hardly backing off. In Indiana, where Republicans control the legislature and governor's mansion, they are about to pass a state "Right-to-Work" law similar to those anti-union statutes long ago enacted in deep red states as South Carolina and Texas. And in the nation's capital, Republican legislators are on the warpath against the very existence of the National Labor Relations Board, the 75-year-old agency whose Depression-era mandate fosters the capacity of workers to form "unions of their own choosing."

Why the fuss, when private sector trade unions enroll but one out of every 14 workers and public sector unions have hardly grown in more than 30 years? Meanwhile the strike has practically vanished from the American landscape - there were at least ten times more each year in the 1970s - and the negotiation of a new union contract, in both the public and private sectors, is considered a labor victory if the workers escape without too many givebacks.

Political rhetoric during this campaign season fails to capture what's at stake. The Republicans denounce the pensions long ago negotiated by public sector unions as too expensive and they keep up attacks on the contributions of "Washington union bosses" to the Democrats.

For their part, most Democrats, and this includes President Barack Obama, rarely offer a full-throated defense of the labor movement itself. Instead they frame the Republican anti-union offensive in the Midwestern states largely as an assault on the middle class, as if questions of power and ideology were not at stake.

But the fate of unionism is all about class power in American society and the ideologies that motivate those who either defend or defame these institutions. The Occupy Wall Street protests have moved issues of economic inequality closer to the top of the contemporary political agenda, but it's the unions -- in their sometimes plodding and prosaic fashion -- that have long ameliorated the stark disparities of wealth and income that an unfettered capitalism so naturally produces.

Tax fairness is a big political issue this campaign season, but of far greater impact on the distribution of American wealth and power is the existence of a union movement and the prospect that it might one day grow again.

In the middle decades of the 20th century, when incomes were less unequal -- economists called this the era of the "great compression" -- the trade unions were potent, both at the bargaining table and in politics. Conversely, there is much evidence to show that the sharp decline in private sector unionism since the late 1970s is connected to the rising inequality we have today.

When they are strong, unions can limit the prerogatives of individual businessmen, government officials and the untamed workings of the labor market. Contemporary free-market conservatives find all this intolerable, which is why governors like Scott Walker and New Jersey's Chris Christie so often seek to demonize the trade unions as corrupt and omnipotent.

Fortunately, that rhetoric has found its limit, first in Ohio and now in Wisconsin where more than a million citizens put down their names endorsing the union idea.

Follow CNN Opinion on Twitter for updates

Join the conversation with CNN Opinion on Facebook

The opinions expressed in this commentary are solely those of Nelson N. Lichtenstein

@highlight

Over a million signatures have been submitted to recall Gov. Scott Walker of Wisconsin

@highlight

Nelson Lichtenstein: It's clear that the American trade union movement is not yet dead

@highlight

He says that the fate of unionism is all about class power and income distribution

@highlight

He says that people are realizing the importance of unions and are fighting on their behalf