Rick Santorum's decision to drop out of the Republican presidential race came after he spent the holiday weekend evaluating the race with his family, who were grappling with the latest hospitalization of his 3-year-old daughter Bella.

Santorum's path to the nomination hinged on three puzzle pieces falling neatly in place, multiple sources close to the campaign told CNN, a prospect that grew dimmer with each passing day.

The campaign, eagerly looking ahead to a slew of conservative leaning states that vote in May, had hoped that Texas would adjust its proportional primary rules and award its treasure trove of 155 delegates on a winner-take-all basis -- but Texas Republicans dismissed the idea.

Santorum was also hoping that Gingrich, who has also been competing for the same conservative anti-Romney voters, would drop out of the race, something the former House Speaker shows no signs of doing.

Finally, the campaign understood that a victory in Santorum's home state of Pennsylvania on April 24 was crucial.

Romney's poll numbers have lately creeped up in Pennsylvania and his campaign was in the process of unleashing a more than $2 million negative ad blitz against Santorum across the state, but Santorum aides said they remained confident that they would pull out a win on their home turf.

His campaign reported it was nearly $1 million in debt last month and would have been forced to drain its campaign account to compete with Romney and his allies on the costly Pennsylvania airwaves, another factor in Santorum's decision.

Where do religious conservatives go?

"The Romney team was putting a lot of money out there," said one Santorum adviser who did not want to be named discussing internal decision-making. "The budget was a factor."

Despite trailing in the delegate count, Santorum vowed as recently as last week to remain in the race until one candidate reached the 1,144 delegates needed to capture the nomination.

However, during a conference call with his wife, Karen, campaign manager and staff before his announcement on Tuesday, Santorum said the decision was based on personal and political factors, according to a Santorum source. A campaign adviser also said the financial state of the campaign probably played a role in the conclusion.

"We made a decision over the weekend that while this presidential race for us is over for me and we will suspend our campaign effective today, we are not done fighting," Santorum said during his speech in Gettysburg on Tuesday. "We will continue to fight for those voices for those Americans who stood up and gave us that air under our wings."

He also acknowledged the decision was not entirely political, saying the past weekend was a "time of prayer and thought" as he and his family cared for his daughter Isabella, the youngest of Santorum's seven children, who suffers from Trisomy 18, a chromosomal condition.

Santorum's organization announced they were halting campaign events on Friday because the candidate's three-year-old daughter Bella was admitted to the hospital. Bella, the youngest of Santorum's seven children, suffers from a rare chromosomal disorder called Trisomy 18, which causes severe medical and developmental problems.

Santorum's departure leaves rival Mitt Romney with a firm grasp on the nomination but also deep wounds left to heal within the GOP.

Priebus: "Time heals some wounds"

Santorum spoke to Romney before Tuesday's speech, according to a Republican source. But Santorum aide Hogan Gidley told CNN an endorsement of the former Massachusetts governor "is not a inevitability."

Gidley said Santorum and Romney are attempting to schedule a meeting to discuss an endorsement and that the latter would like it to occur "sooner rather than later."

Santorum entered the race with a voting record in the House and Senate of a staunch social conservative and presented himself on the campaign trail as the alternative to more moderate candidates, who he said had compromised their ideals for political expediency.

More recently, he elevated his fire directly at Romney, labeling him a flip-flopper on conservative issues including abortion rights, cap and trade and government mandated health care. He also repeatedly accused the former executive of failing to tell the truth.

"For somebody who is maybe the weakest candidate we've every had on the pro-life issue to attack the leader of the pro-life cause is absurd," Santorum said at a forum in Troy, Michigan on February 25. "He glosses over and doesn't even tell the truth....Here is a guy who is the ultimate flip-flopper running for president, and he's attacking me for not being principled?  That doesn't wash."

Santorum officially announced his candidacy on June 6, 2011, and quickly began airing radio ads in Iowa, New Hampshire and South Carolina, the first three states to vote.

Soon after his official announcement, he told CNN that his bid would be based on a consistent conservative record.

"I think I stand out because I have been a consistent conservative, someone who has been a leader, someone who's had the courage to lead on a variety of hot-button topics before they were popular, like entitlement reform. I've been a leader on that," he said.

In August, when his candidacy was barely making waves in key early voting states, Santorum maintained his effort would take a long view of the race, saying at a rally, "This is the little-engine-that-could campaign."

He was eclipsed first by Michele Bachmann's entry in the race, then Rick Perry's. When those two faltered, Herman Cain became the conservative favorite.

As Cain was faltering amid accusations of sexual harrassment, Newt Gingrich was the last conservative to slingshot past Santorum, taking a lead over Romney in polls in November and December.

At GOP presidential debates throughout the fall, Santorum was mostly marginalized as the most questions went to the top-tier candidates.

In the months leading up to Iowa's caucuses, Santorum became the first GOP presidential candidate to visit all of Iowa's 99 counties, often sporting what became his signature look (and the butt of jokes): a sweater vest bearing his campaign's logo.

Despite all that time in Iowa, Santorum didn't see substantial traction in polls until January as Gingrich withered in the heat of negative ads from Romney's campaign and a super PAC that supports him.

And on election night in Iowa, it looked like Santorum had narrowly missed his first surprise victory in the race when initial counts showed he had come eight votes short of beating Romney.

The narrow miss was enough to energize conservatives to contribute to the cause and give Santorum a spike in fundraising. And his conservative rivals began to fall.

Bachmann dropped out of the race the day after Iowa. Two weeks later, the certified vote in Iowa showed that Santorum had actually won there and Perry dropped out of the race later that same day.

Gingrich then won in South Carolina and Romney won in Florida and Nevada, states that Santorum largely ignored to concentrate on more conservative voters down the road. That strategy paid off when he stunned Romney by sweeping Colorado, Minnesota and Missouri all on the same day and changed the trajectory of the race.

Romney, who had begun to take on the air of the Republican nominee by focusing on President Barack Obama rather than Republican rivals, had to turn his focus back toward his challenger and built up a nearly 400-delegate lead in the race to the 1,144 needed to clinch the nomination.

Zelizer: The real race is now on

Despite increasingly long odds, Santorum maintained throughout the last weeks of March that he would stay in the race, citing flawed delegate math and upcoming contests that looked to be in his favor.

"Our delegate calculation has Gov. Romney far below 50%," Santorum said on March 19 on CBS. "We think there's a lot of primaries coming up, including Pennsylvania my home state, where we can make some big delegates. Texas will be another great state for us. We feel very good that we're going to continue to win and do well."

A senior Santorum source said that Bella's hospitalization was a major factor in the decision to bow out.

"When you have enough time with your adrenaline down, you start to think about what's really important," the source told CNN. Sitting in the hospital with his daughter for the second time during this campaign put that in perspective for Santorum, the source said.

@highlight

Santorum made his decision after evaluating the race with his family

@highlight

Campaign hoped that Texas would become a winner-take-all state

@highlight

Santorum also wanted Gingrich out of race, but he shows no sign of quitting

@highlight

Financial issues also played a role in Santorum's decision