(CNN) -- "BioShock: Infinite" is one of the most talked about games in 2011 and highly anticipated games for 2012. With a combination of fantastic art direction, immersive gameplay and deep storyline, the third installment in the franchise has attracted attention from gamers and nongamers alike.

The series is the brainchild of creator and game designer Ken Levine. Levine, 45, has been working in the gaming industry since 1995 and had early success with "System Shock 2" and "Thief."

But it's his more recent work in the creation and development of "BioShock" and "BioShock 2" that has garnered the most attention.

In an interview for CNN.com, Levine talked about where he gets his inspiration for his games, growing up nerdy and being a self-proclaimed "media whore."

Inspiration for games

Levine didn't start his career in gaming. During his college days, he turned his creative talents to writing plays. While working on his craft and worrying about his post-college years, Levine sought out the advice of playwright Jon Robin Baitz.

Baitz, Levine said, taught him about the business side of writing and dealing with agents. So when an agent asked to turn a play Levine had written into a screenplay, he had his opening into the movie industry.

But Levine ended up only selling one screenplay to Paramount and didn't like what he learned about having to write commercially, instead of strictly creatively, and how tough it was to be one of the legions of screenwriters in Hollywood.

He began to "tool around doing different things" for the next seven years and was struggling to figure out what he was going to do. Eventually, his attention turned to something he loved doing as a child: playing games.

"All of a sudden it occurred to me that there are actually people who make these," Levine said. "Could I become one of these people? I started looking at gaming magazines for ads from the game industry and I just tuned into (the job) 'game designer' primarily because I knew I couldn't draw, I couldn't program ... so what was I going to do?"

Levine was hired by Looking Glass Studios and was ready to unleash his creative talents in the gaming world. He was particularly focused on creating unique and interesting worlds and allowing players to move freely through them (a unique concept at the time). He worked on the writing and design of 1998's "Thief: The Dark Project."

"I'm not certain how the writing fell on me, but it did. They knew I could write and it sort of fell to me," Levine said. "I was able to bring an understanding of artistry and structure from when I was writing plays and in movies."

"Thief" was Looking Glass' most successful title in sales and critical acclaim. But Levine was looking for a new challenge and joined two others in forming Irrational Games in 1997. He jumped at the opportunity to work on "System Shock 2" as game designer after playing (and enjoying) "System Shock."

"I felt it was a real step forward in launching the gamer into a real environment that felt true," he said. "I also loved the feel of the characters -- that they felt like they were written in a naturalistic style.

"They were just people and you found all these diaries of the people. It played out like some sort of novel. It has a natural, believable feel to it."

It was during this time that Levine began to hone his skills for telling a creative and interesting story while still making it interactive for the player.

"How do you get to those levels of interaction so they feel natural and exciting? And anticipate what the player is going to do -- that's always a challenge," he said.

"System Shock 2" wasn't a commercial success, but it drew attention from critics for its forward-looking approach to how games should be played. Levine and his team began to build a culture of intellectual curiosity at their studio as a way of inspiring ideas and concepts for their games.

In 2002, that free flow of ideas gave rise to the "BioShock" franchise. Levine said "BioShock" and "BioShock 2" are noted for their incorporation of historical philosophy and architecture movements -- inspired, he says, by a "nerdity that is pretty far-reaching and broad at the company."

"We'll start up these conversations about the World's Fair or conversations about politics or about American history or conversations about social movements. And because we are a bunch of industry and culture and social movement nerds in the company, we are fascinated by all these activities," he said. "We nerd out on a very broad range of things and we bring those things to our games."

For "BioShock: Infinite," Levine said, he tried to form a complete social perspective on the period in which the game takes place.

A Public Broadcasting System documentary called "America 1900" served as the launching point for the upcoming game's themes of optimism and anarchy. The game is set in the United States in 1912, a time between the Civil War and World War I. It was also a time of great technological leaps that Levine said gave people an incredible sense of optimism.

"You have, in the last 30 years of our lives, one major piece of technology and that's been the Internet. If you go back to 1912, they had, like, 10 different things on the scale of the Internet," Levine said. "They had electricity, cars, movies, records, airplanes, radio in a period of about 10 or 20 years. Their heads must have been absolutely spinning."

It was also a time of great upheaval. An anarchist shot and killed President William McKinley in 1901 and an anarchist would assassinate Archduke Franz Ferdinand of Austria in 1914. A book entitled "The Devil in the White City" detailed America's first documented serial killer who stalked the 1912 World's Fair in Chicago and caught Levine's attention.

"In all these stories, you have these incredible themes. One of great optimism and excitement for the future and one of this ominous feeling at the same time," Levine said. "This yin and this yang that was present in all of this research really made me excited to work on this game."

Growing up a nerd

Levine said he was a nerd when he was growing up -- and that it wasn't the badge of honor that it can sometimes be today. He said he played "Dungeons & Dragons" by himself in his family's basement. He played war games from Avalon Hill, like "Luftwaffe" and "Panzer Blitz."

His first console was an Atari 2600 that he got on his birthday and was "one of the best moments of my life." But he acknowledges that it was a lonely time.

"By the definitions of the time, I was a nerd.," he said. "I couldn't help what I was. I couldn't pretend to like things I didn't like. I hated it to some degree, because I was made fun of for it. Now that I'm grown up, I'm not made fun of for it and it is sort of celebrated."

Now, he points to events like the PAX convention, hosted by Penny Arcade, as a celebration of being a nerd. And people openly proclaiming to be a geek or a nerd is more evidence of the changing culture.

"I'm very happy that kids growing up now, it is very much more accepted," Levine said. "(They) will not be made fun of because of what I went through as a kid. I'm very happy about that."

"Media whore"

When diving into a project like "BioShock: Infinite," Levine dives head first: researching everything he can about the time, the culture, the technology and the conflicts of his setting. He said he gets deeply invested in the concepts because he wants to be able to weave as complete a story as possible.

Levine said he constantly reads and, with his Kindle, he can read wherever he is. He is a self-proclaimed history nerd and, while he doesn't read a lot of science fiction, was originally inspired by a book called "Red Mars," which he said revealed quite a bit about unintended consequences to him, a running theme in the BioShock franchise.

"They were all excited about the colony on Mars because they thought they would leave all the problems of Earth behind -- racism, war, all that. What they forget is that on Mars they bring the problems with them because they bring the people with them," he said.

"Things don't always happen the way they are created to, whether it is Ryan in 'BioShock' or Comstock in 'BioShock: Infinite.' "

He also consumes other types of media voraciously and views it as part of his job because he needs to know what's going on.

"I'm watching and re-watching 'Mad Men.' I'm watching and re-watching 'Breaking Bad.' I read comic books. I play video games. I'm a huge media whore."

He said his appetite for media feeds his creativity for his projects. The more he reads and watches, the greater detail he can put in his games. Critics and players consistently point to the attention to the littlest details in the "BioShock" series as one of the standout elements in the franchise. Levine wants the players to feel as he would want to feel in the game's time period, like they belong.

"I want to feel like if I went back in time and I was there that I wouldn't be that confused or surprised by what I saw. That would be my goal."

@highlight

Ken Levine is the creator of one of this year's most talked about games, "BioShock: Infinite"

@highlight

He considered himself a nerd as a child and continuously spent hours playing video games

@highlight

Levine also helped create 'System Shock 2' and 'Thief' along with 'BioShock 2'