(CNN) -- The fiery South Carolina congressional special election between former Gov. Mark Sanford and Elizabeth Colbert Busch is attracting national attention -- but not for the reasons it should.

Listening to much of the national coverage, it can sound like a race between Jenny Sanford -- the ex-wife of the ex-governor -- and comedian Stephen Colbert, the brother of the Democratic candidate.

But the real news is that a Democrat could win the 1st Congressional District in South Carolina, reversing Republican control of the seat since 1981. Polls show Colbert Busch ahead and her confident debate performance on Monday night helped solidify the sense that momentum is behind her campaign.

Subsequent endorsements of Sanford by Hustler publisher Larry Flynt, who unhelpfully praised him as a "sexual pioneer," and a billboard put up by the odious adultery website Ashley Madison did nothing to help this would-be comeback kid.

It is too early to count Sanford out, despite some liberal pundits declaring the race all but over. The coastal 1st District still has a 20% Republican registration advantage, and Sanford has never lost an election. But if Colbert Busch does win, it should shake up the lazy partisan assumptions that underlie our politics. That's because the result will not just be a referendum on Sanford but would also be a reflection of changing demographics in South Carolina and throughout the South.

The idea that Texas, rich in Electoral College votes, could turn into a swing state has preoccupied pundits in recent weeks because it would upend presidential electoral math. A win by Colbert Busch in South Carolina wouldn't have equal implications, but it could be a canary in the coalmine. And a close analysis of how her campaign defied the odds would be required reading for any Southern Democrats.

First, consider that Charleston County -- the heart of the 1st Congressional District -- voted for Obama in 2008 and 2012. Urban centers in the South have been trending more Democratic in recent years, buoyed not just by the black vote but younger voters -- including students and Northern transplants who move South for the improved quality of life.

In fact, the 1st District of South Carolina is only 21% rural, according to U.S. Census statistics published in the Almanac of American Politics. Most significantly, the population has grown 28% since 2000. This because of a Southern resurgence and a growth in local businesses, especially manufacturing -- thanks largely to the fact that South Carolina is a right-to-work state. (Colbert-Busch, who is also running on the Working Families Party line, proclaimed herself "proud to live in a right to work state during the debate).

The takeaway here is that the old assumptions about a monochrome conservative electorate don't apply in coastal areas of South Carolina. This creates an opening for a centrist Democrat to win, especially against a polarizing Republican.

And that is precisely the card that Colbert Busch has tried to play throughout the campaign, presenting herself as a "tough, independent businesswoman" who will try to find common ground in Congress.

During the contentious debate at the Citadel on Monday, a well-coached Colbert Busch repeatedly tried to distance herself from liberal positions and then seize the center.

"Obamacare is extremely problematic" she declared, expressing concerns about unintended costs and then pivoting to praise popular provisions such as an end to the exclusion of people with pre-existing conditions and the allowance for children to stay on their parents' health care plans until 26.

She proclaimed herself "a really proud defender of the Second Amendment" and then worked her way to saying she would have voted for the universal background check bill. Likewise, when she endorsed immigration reform, she framed it as a plan backed by the Chamber of Commerce and the state's senior senator, Lindsey Graham.

Even her most forthrightly liberal position, support for marriage equality, was explained by a quote from Dick Cheney -- "freedom means freedom for everyone." And when she was asked about abortion, she responded with a classic poll-tested Bill Clinton formulation -- it is a difficult personal choice that should be made between "a woman, her family, her doctor and her God."

Sanford's repeated tactic was to try and essentially deny her attempt at seizing the center by connecting her to Nancy Pelosi and labor unions. (Full disclosure: I hosted the debate, which was sponsored by Patch.com and South Carolina Radio Network.)

But there are a few lessons.

First, centrist Democrats can get elected in South. This has been made more difficult in recent years because the Blue Dog tribe has been hunted into near-extinction, thanks largely to the rigged system of redistricting. In the case of South Carolina's 1st District, that meant that the largely African-American neighborhood of North Charleston was added to the neighboring district of James Clyburn, the state's sole Democratic congressional representative, who won re-election in 2012, virtually unchallenged.

Democrats increase their competitiveness not by simply playing to the base, but reaching out to the center -- showing that they are committed to solving problems as well as being guided by core principles. Throughout the debate, Colbert Busch stuck studiously to that script, presenting herself an a independent-minded moderate who can help change the tone in Washington, contrasting with Republicans' increasing reputation for being too inflexible and uncompromising.

"We have got to come to the middle;" she pleaded. "We have got to be reasonable"

Second, demographics are destiny and even the Solid South is subject to change.

Diversity is on the increase, but almost more significantly is the population growth -- families moving to the South from other parts of the country in search of an improved quality of life and job opportunities. The growth of Southern cities also changes the political calculus because cities usually are less conservative than rural areas.

Finally, the competitiveness of this race even in a district with a 20-point Republican registration advantage shows that citizens are willing to vote for the person and not the party if they are given a compelling candidate and contrast. All of which is to say that Republicans who believe that they will inevitably win back the seat in 2014 might be mistaken.

Regardless of who wins the May 7 special election -- and, again, Sanford shouldn't be counted out -- the real winners are already the residents of the coastal South Carolina.

Competitive congressional elections are increasingly rare in an age of redistricting-enforced one-party rule. But when everyone's vote matters in a general election, it is a win for democracy.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Media emphasizing Jenny Sanford and Stephen Colbert in special election

@highlight

In reality, the story is the race between Mark Sanford and Elizabeth Colbert Busch

@highlight

He says there's reason Democrats can hope to capture the seat

@highlight

Avlon: Changing demographics make victory for centrist Democrats possible