(CNN) -- Who gets to decide when to end life support when a person is brain dead?

The mother of 13-year-old Jahi McMath, who was declared brain dead Thursday, three days after undergoing surgery to remove her tonsils, said Tuesday that the family should make the call.

"I don't want her off life support because I really feel like she can wake up," Nailah Winkfield told CNN's Piers Morgan. "I feel like it's just been a rough week for her and, if they just give her some more time, then she'll be able to wake up."

Jahi's family has presented Children's Hospital & Research Center in Oakland, California, with a cease-and-desist letter aimed at preventing the hospital from taking her off a ventilator, attorney Christopher B. Dolan said Tuesday.

"If the hospital wants to terminate Jahi's life, they should go to court and get a judge to authorize that, not pressure a parent into signing a document in the middle of the night or telling them at 8:30 tomorrow morning your child will be (dead)," he told CNN.

Doctors had recommended the tonsillectomy to treat Jahi's sleep apnea, weight gain, inability to concentrate, short attention span and uncontrolled urination, her uncle Omari Sealey told CNN on Monday in a telephone interview.

"They said that she would have more energy, focus more, lose weight, and the urinating would stop," he said.

The surgery, which occurred December 9, initially appeared to have gone well, said Sandy Chatman, Jahi's grandmother who is herself a nurse and saw the girl in the recovery room.

"She was alert and talking, and she was asking for a Popsicle because she said her throat hurt," Chatman said.

But Jahi was then moved to the intensive-care unit, and her relatives were denied access to the eighth-grader for 30 minutes; when they finally were allowed to see her, they knew something was wrong. "Upon entry, they saw that there was way too much blood," Chatman said.

"We kept asking, 'Is this normal?'" Sealey said. "Some nurses said, 'I don't know,' and some said, 'Yes.' There was a lot of uncertainty and a lack of urgency."

Sealey said that when Chatman noticed that her granddaughter's oxygen levels were dangerously low, she called for help.

But Jahi went into cardiac arrest. The medical staff performed chest compressions to revive her and gave her clotting medications, but nothing worked.

On Tuesday, a CT scan revealed that two-thirds of Jahi's brain was swollen.

Sealey said that Jahi's brain had been deprived of oxygen. "Now she is 100% brain damaged," he said. "Medically dead."

CNN could not independently confirm Sealey's account.

When asked about the case, hospital spokeswoman Melinda Krigel cited privacy laws.

A statement from the hospital's chief of pediatrics, Dr. David Durand, read: "Our hearts go out to this patient and her family. Unfortunately, we have not been authorized by the family to share information with the public about this matter. Consequently, we are not able to correct misperceptions created about this sad situation.

"Nonetheless, we want to assure the community that we are doing everything in our capacity to provide support to the grieving family. We have been caring for children in this community for over 100 years and have a longstanding commitment to delivering the highest quality care for all."

Dr. Lisa Thebner, a pediatrician in private practice in New York who was not involved in the case, said excessive bleeding -- though rare -- is not unheard of in such operations, given that the tonsils are removed from the back of the throat, an area rich in blood vessels.

Still, she said, "This was a highly unusual complication."

When told that his niece was brain dead, Sealey said the entire family went into "complete devastation."

"We pray over her daily," Sealey said. "We kiss her. I charge her iPod and make sure it is in her ears every night when I sleep next to her."

But he said he had accepted that she was legally dead.

An official from the Oakland coroner's office told CNN that Jahi's death was reported Thursday to the office.

"Once a death is reported to us, we have a duty and responsibility to immediately proceed to where the body lies, examine the body, make identification, make inquiry into the circumstances, manner, and means of death, and, as circumstances warrant, either order its removal for further investigation or disposition, or release the body to the next of kin," the official said, quoting California law.

Sealey said that though the family hoped to keep Jahi on life support, hospital representatives had told them Monday that would not be an option.

That has left the coroner's office in a delicate position.

"Technically, we can go where the body lies and we can begin our investigation as to the causes of death," the official from the coroner's office said. "We have been gracious and we have allowed the parents and the hospital to maintain the child on life support."

Krigel, the hospital spokeswoman, said that the hospital has no policy about terminating life support. "We work with the family to determine when that will happen," she said in an e-mail. "There are instances when the coroner may request termination, but we always work with the family to respect their wishes."

The official at the coroner's office said time is critical. "When the body is on a ventilator, the body is healing," the official said. "If a medical misadventure occurred, and the body is healing and covering up traces of that misadventure, the coroner pathologist has a more difficult time rendering a cause of death."

The bigger issue is deciding whether it is more important to delay removing the ventilator to give relatives time to grieve or to act quickly to determine the causes of death before continued healing could make it impossible to ascertain those causes, the official said.

"We know the parents want answers, and it is our office that will provide answers if they are available to us," the official said. "The longer we wait, the less susceptible we are to getting the evidence we need to render a cause of death. Time is not on our side, from a medical investigation standpoint."

"This is obviously a horrible and tragic case," said Dr. J. Randall Curtis, a professor of medicine and the director of the Palliative Care Center of Excellence at the University of Washington in Seattle.

But, he added, "If the patient is brain dead, they are legally dead and, legally, the doctors and the hospital have the right to stop life support -- without the consent of the family."

Still, giving them a little time to come to grips with the reality can be helpful, said Curtis, who published a study in 2008 that found that when the withdrawal of life support was delayed, a family's satisfaction with care tended to be higher.

"The most important thing in this situation is to provide support for the family," he said in a telephone interview. "To help the family come to understand what's happened, to be able to grieve this loss and to be able to get to a place where they are ready."

But, he acknowledged, in cases where something went horribly awry, "being able to trust the doctors is going to be challenging."

Arthur L. Caplan, the head of the Division of Medical Ethics at New York University Langone Medical Center, said Tuesday there was no doubt about who makes the call. "The legal right to stop is on the doctors' side," he told CNN. "We don't treat the dead. Sadly, she has died."

CNN's Karan Olson contributed to this report.

@highlight

NEW: "I feel like it's just been a rough week for her," Jani McMath's mother tells CNN

@highlight

Jahi, 13, underwent a tonsillectomy to correct sleep apnea

@highlight

After complications, "she is 100% brain damaged. Medically dead," her uncle says