New York (CNN) -- Built into the by-laws of most sports Halls of Fame is something called a "character clause."

It's a loosely-defined metric meant to gauge whether a potential Hall of Famers' off-the-field conduct should prevent an athlete or coach from being honored.

The rules use words like integrity, sportsmanship and community to determine whether a sportsman or woman can be inducted into the prestigious club.

But once that tribute is bestowed and a Hall of Famer made, can it be rescinded and undone?

"It would be unprecedented," said Brad Horn, a spokesman for the Baseball Hall of Fame in Cooperstown, New York.

Do sanctions alter Penn State legacy?

"I suppose they could," added Rick Leddy of the body that governs the National Collegiate Basketball Hall of Fame.

That question is now being tossed around about the late Joe Paterno, a college football Hall of Famer since 2007.

Officials at the professional basketball, football, baseball and collegiate basketball and football Halls of Fame say it's never happened before.

While governing-bodies may use the clause to keep out candidates, once inducted, a Hall of Famer's status is historically safe.

But this week's "unprecedented" NCAA sanctions against Penn State for its handling of a child sex abuse scandal threaten to shake that very bedrock and raise questions of whether Paterno will be removed from its ranks.

"The question is 'What do you want your Hall (of Fame) to stand for?' " said Sports Illustrated's Andy Staples, a college football writer.

"Is there a character component to it?"

An internal review found the former head coach could have stopped Jerry Sandusky's sexual attacks against young boys had he done more, and that he may have known more than what he initially told the grand jury.

Vestiges of the Paterno legacy, once an enduring symbol of integrity, have since vanished amid the scandal.

Within a two-day span this week, his famous bronze statue in front Beaver Stadium was hauled down, as was his record atop major college football's all-time wins list.

The NCAA wiped more than a decade's worth of Penn State wins from the record books, slapped the school with a four-year postseason ban and imposed a $60 million sanction after investigators blamed top university leaders, including Paterno, for their "total and consistent disregard" of victims while a sexual predator lurked on campus.

"This egregious behavior not only goes against our rules and constitution, but also against our values," said Ed Ray, Oregon State president and chairman of the NCAA's executive committee.

Penn State review recasts story of football hero Paterno

Paterno's official record moved from 409 wins to 298, dropping to him to 12th on the NCAA college football coaching list, while also vacating six bowl wins and two conference championships.

The College Football Hall of Fame board has not indicated its thinking on Paterno in the wake of the scandal or the release of the findings.

"We're very aware of all of this," said Steve Hatchell, president and CEO of the National Football Foundation, the Hall's governing body.

"Our group is very methodical," he said, when asked if the group was considering Paterno's removal, adding that board members are expected to meet in early October.

"Everything's taken into consideration."

In 2007, the group inducted a still actively coaching Paterno alongside Florida State's Bobby Bowden, amending rules that required a candidate to be retired to qualify.

The Hall currently says in his biography, "No coach has been as synonymous with one school as has Penn State's Joe Paterno."

"More important than all of the wins and titles he has accumulated may be his legacy with the influence he has had on his players, Penn State Students and alumni," it reads.

In 1992 and 2006, the foundation awarded him the Distinguished American and the Gold Medal awards.

Report: Penn State faced 4-year 'death penalty'

Although the board hasn't indicated its thinking, students at Penn State now offer mixed impressions about the prospect of yet another trace of their former coach wiped from the public sphere.

"I don't think they should remove him (from the Hall of Fame)," said Tierra Brisco, a 21-year-old Penn State senior.

"Well, I don't know," she then wavered. "That's a touchy subject. He built up our school. He was a philanthropist and he did a lot for us. ... But he should have done more."

The issue has again put front and center the question of whether sports figures, often lauded as heroes, should be judged in the annals of sports history by way of their off-the-field conduct.

In Major League Baseball, sports writers with the Baseball Writers Association of America vote not only for athletic prowess, but also on a player's "integrity, sportsmanship, character, and contributions to the team(s)."

Banned from baseball amid World Series fixing and gambling scandals, White Sox great "Shoeless Joe" Jackson and the league's all-time hits leader Pete Rose are barred from even being considered.

Photos: Paterno through the years

But at the National Football League, voters decide based solely on what happened on the field.

"People asked us during the O.J. Simpson trial, that if he were convicted, would he be kicked out?" said Joe Horrigan, a vice president for communications at the Pro Football Hall of Fame in Canton, Ohio.

"The answer is simple: No."

Players and coaches' behavior outside-the-lines doesn't change what got them inducted, Horrigan explained.

In college, the rules are different.

While football coaches must boast at least a 60% winning percentage and have coached for a minimum of 10 years and 100 games, candidates must also demonstrate a laudable "post-football record as a citizen."

"He must have proven himself worthy as a citizen, carrying the ideals of football forward into his relations with his community and his fellow man with love of his country," according National Football Foundation website.

Penn State alum: 'We are more than this tragedy'

Those standards for years kept out Billy Cannon, a 1959 Heisman Trophy-winner from Louisiana State University, who was nominated in 1983 before his arrest and confession to a $6 million counterfeiting scheme.

The scandal rocked LSU and prompted the foundation to rescind his membership bid before induction.

But a quarter of a century later, the former running back-turned dentist was offered a second chance and formally inducted in 2008.

Others like ex-New York Giants star Lawrence Taylor, a Chapel Hill stand-out who last year pleaded guilty to sexual misconduct, have not gained entry to the club despite appearing on the ballot.

Meanwhile, Sandusky -- a former assistant coach who continues to maintain his innocence -- awaits sentencing for sexually abusing minors over a 15-year period.

Some of the abuse occurred in the same campus building where Paterno worked, according to the findings of former FBI Director Louis Freeh and his team of investigators.

The Freeh report drew criticism for its lack of access to critical witnesses, including Paterno, who died in January.

His family also reminded the public that "Paterno has never had a hearing," and that tearing down his statute would "not serve the victims of Jerry Sandusky's horrible crimes or help heal the Penn State Community."

Photos: Final tributes, Paterno statue removed

But the report -- albeit limited in scope -- shed new light on the scandal and raised questions about whether Paterno's marred legacy will affect his spot among gridiron greats.

Nicknamed "JoePa," fans adored him for a storied coaching career that brought Penn State football to national prominence.

But the university's board of trustees fired Paterno in November 2011 following a 46-year career because his "decision to do his minimum legal duty and not to do more to follow up constituted a failure of leadership."

Paterno reported to his superiors a child sex abuse incident in a university shower that involved Sandusky in 2001, but did not inform police.

His ouster prompted student riots, overturning a news van and clashing with police, who used tear gas to break up throngs of angry protesters.

Since then, material reminders of that legacy have faded.

At State College, the name of a popular football camp-out is now called "Nittanyville," rather than "Paternoville," and a famous local mural no longer shows a halo painted above the image of the school's former head coach.

But it's unclear whether Paterno's place in the Hall of Fame will go the way of his famed 900-pound bronze statute removed from the university earlier this week, a structure that once exuded a sense of permanence that greeted fans at Penn State.

Penn State alum: We deserved NCAA penalty

Paterno loyalists call NCAA sanctions excessive

Opinion: Was the NCAA too quick to punish Penn State?

@highlight

College Football Hall of Fame's board members are expected to meet in early October

@highlight

"We're very aware of all of this," said Steve Hatchell, CEO of the National Football Foundation

@highlight

The group inducted Paterno alongside Florida State's Bobby Bowden in 2007