(CNN) -- When renowned economist Jeffrey Sachs visited rural villages in sub-Saharan Africa in 2005, he saw impoverished communities with poor drinking water, feast-and-famine crop cycles and rampant malaria infections. What he didn't see was mobile phones.

"Now mobile phone ownership is perhaps 30% of households and cell phone coverage is widespread," said Sachs, director of the United Nations Millennium Villages Project, which focuses on improving 14 rural villages across 10 African countries as a model for wider prosperity in the region.

The advent of the mobile society may have brought convenience and a cultural sea change to the U.S. and Europe, but in the poorest regions of the world, affordable mobile phone access has caused a quantum leap in services -- like calling for medical help, sending a quick letter to loved ones or starting a savings account -- that Americans and Europeans have taken for granted for generations, analysts say.

"The cell phone is the single most transformative technology for development," said Sachs, head of the Earth Institute at Columbia University and author of the 2005 book "The End of Poverty."

"Poverty is almost equated with isolation in many places of the world. Poverty results from the lack of access to markets, to emergency health services, access to education, the ability to take advantage of government services and so on," Sachs said. "What the mobile phone -- and more generally IT technology -- is ending is that kind of isolation in all its different varieties."

Moreover, the profusion of payment services via cell phones puts places like Kenya and Uganda in the vanguard of mobile financial services. "You can walk in the middle of rural village in Rwanda and use a mobile phone to pay at a recharging station to recharge LED lights," says Amanda Gardiner, acting program manager of Business Call to Action, a New York-based non-profit organization that is helping to bring more mobile phones to Africa's rural poor.

"I'm always flabbergasted I don't walk into Home Depot and see these services here, just swipe your cell phone and go," Gardiner said. "In some ways, they're really leaping ahead of us and going right to the future."

Kenya's "mobile-money" revolution

From 2005 to 2010, cell phone use tripled in the developing world to nearly 4 billion mobile subscriptions, according to the International Telecommunications Union (ITU). Nowhere was the growth faster than in Africa, which saw mobile use grow more than 400% during that time frame, according to ITU. That means more money -- a 2006 University of Michigan study found that every 10% increase in cell phone penetration grows the local economy by 0.6%.

The simple ability to make a phone call has far-reaching economic consequences, Sachs said.

"Places where traditionally, people would walk livestock for a week or two without knowing what kind of price they'll fetch -- should they go to Khartoum, Nairobi or Port Saeed? Now they can call ahead and find out where to get the best price," Sachs said.

The low cost of setting up mobile towers and plunging costs of handsets has allowed cell phone coverage to grow even in poor, rural locations, said Michael Joseph, former CEO of Safaricom, a Kenyan telecom provider which grew from 17,000 users when he started in 2000 to more than 18 million when he stepped down in 2010. "There's probably more pervasive coverage in Kenya than in many areas in Europe," Joseph said.

Business models set up for selling services to the poor -- such as buying pre-paid phone service and charging by the second rather than the minute -- made cell phone use affordable, but Safaricom's development of banking services via cell phones revolutionized the telecom business in poor countries.

Safaricom, in partnership with the U.K.'s Vodafone, started M-PESA (short for mobile pesa, Swahili for "money") services in 2007 that allow customers to digitally transfer cash via mobile phones. Two years later, 10% of the country's GDP was being circulated through M-PESA, according to a 2010 World Bank report. Now Kenyans make $1 billion a month in transactions via M-PESA, where cash can be deposited and transferred at one of 20,000 stores, Joseph said.

"The growth of GDP in Kenya would be half what it was the past 10 years if it wasn't for the mobile phone," said Joseph.

"About 70% of all jobs in Kenya are in the informal sector -- selling goods on the side of the road, that sort of thing -- and now to start a business all you need is a cell phone," said Joseph, who now is a fellow at the World Bank focusing on mobile money services.

As a result of M-PESA, more cash is moving -- and staying -- in smaller villages, building up the local economy, said Olga Morawczynski, who spent 18 months in Kenya studying the impact of mobile banking services there.

"Now that money is being delivered locally, they didn't have to physically go to the nearest urban center to get cash," said Morawczynski, who is now working in Uganda on mobile banking programs for the Grameen Foundation's AppLab program. "I noticed village stores had seen a demand in 'city goods' -- things you wouldn't typically get in the villages before like furniture, or a particular hair-straightening product for women.

Mobile apps for poverty

Cell phone technology has unleashed new ways to help the poor in developing countries, Sachs said, but businesses have led the way.

"Cell phones are spreading almost entirely on a market basis ... only now are we starting to get the applications for it on the social services side," Sachs said. "And the genius of prepaid phone cards has made it possible for the poor to gain access to this technology without government involvement ... it's largely governments stepping out of the way and letting commercial companies come in."

Safaricom's mobile banking model is being brought to areas from Bangladesh to Uganda. The United Nations Development Bank last month announced a program to bring mobile phone service to 3 million more poor people in Africa and South Asia by 2013. Mobile technology is now being used in Gambia to track medication stock levels in rural villages, Gardiner said. For the UN Millennium Project villages, the pre-paid mobile card is now being used as a model for pre-paid electrical service.

"We're able to do very quick mapping and needs assessments with smartphone with GIS capability," said Sachs, project director. "We can cover an area of assessment in weeks, something that used to take years."

"The most powerful thing about cell phones is how it has released money flow incountries that have poor infrastructure and often are in crisis situations," Morawczynski said.

"It also teaches people terms such as 'pin number', 'account', and 'transfer,' these kind of technical foreign terms that serve as a nice transitional toward using financial banking services for the first time. People are realizing it's better than keeping money buried in the ground."

@highlight

Affordable mobile phone access has caused a quantum leap for the world's poor

@highlight

From 2005 to 2010, cell phone use tripled in the developing world to 4 billion subscriptions

@highlight

In Kenya, mobile phone banking services are used to make $1 billion transactions a month

@highlight

Economist: "The cell phone is the single most transformative technology for development"