San Diego (CNN) -- When the worlds of federal bureaucracies and public schools collide, what results is often a teaching moment for all involved.

The Obama administration has unleashed two Cabinet departments to get tough on teachers and other school personnel who -- through so-called "zero tolerance" policies -- often refer disciplinary cases to police.

What concerns folks at the Justice and Education departments is that African-American and Latino students might be singled out for suspension and other forms of discipline, in ways that could amount to outright racial and ethnic discrimination.

Their proposed solution is called the Supportive School Discipline Initiative, which seeks to limit student suspensions and expulsions and provide "alternative best practices such as restorative justice, peer mediation and positive behavioral supports."

The initiative was unveiled in 2011. But last week, the administration went so far as to lay out specific guidelines for states and even individual school districts. The administration will propose $50 million in grants to more than 1,000 schools to train teachers and staff in strategies aimed at improving student behavior and improving the climate of schools.

Upon hearing all this, memory takes me back to a junior high school in a small, largely Mexican and Mexican-American farming town in Central California, where I found myself, in the years after college, trying to support my writing habit by working as a substitute teacher.

I had a long-term assignment, about three months, teaching a "special education" course that was being misused as a dumping ground for rowdy and disruptive kids with behavioral problems. Almost all the kids in the class were Hispanic. The regular teacher, a 60-something woman with a kind disposition and white hair, was in poor health and on a prolonged absence.

One day, I was looking for a lesson plan in the teacher's desk and ran across some diary-like notes that the teacher had written -- probably in case she needed them someday. Her problem kid was an angry 13-year-old Hispanic young man named "Martin." They apparently had a running conflict, and, one day, the teacher had scribbled down in her notes: "Martin called me a white @#$%&, and said he was going to hurt me."

Welcome to the real world of public schools in America, which bears no resemblance to what they teach you at schools of education or university-run teacher credentialing programs.

When students such as Martin act up or get out of line, they have to be disciplined. They have to get in trouble, pay a price and be taught that they simply can't go through life disrupting their environment and threatening authority figures.

We can debate what the punishment should be, but there have to be consequences. No "if's," "and's" or "but's." It's for his own good. Let's say you give him a pass. What's going to happen the first time he's on the street and mouths off to a cop?

Also, note the part about how Martin allegedly called this nice, elderly woman "a white @#$%&." From my experience, that's also very common.

We'll hear advocates for students talk about how teachers sometimes harbor prejudices against students, and there is no doubt that this is true. But we don't hear much about what happens when the shoe is on the other foot. Go into any inner-city high school in America, and you'll hear African-American and Hispanic students using racial slurs when talking about teachers and administrators. It goes with the territory.

This isn't to say that there isn't any discrimination in the doling out of school discipline, or that this isn't a subject worthy of more study. They might well be, and it certainly is. Yet, this initiative could also backfire on the administration by micromanaging our schools, undermining the authority of teachers and teaching African-American and Latino students to see themselves as victims. Besides, throwing two Cabinet departments at the problem is a serious case of overkill.

How is this for a new approach?

If we really want to help students who get in trouble, why don't we stop meddling in the schools and start dealing with those societal factors -- such as poverty, despair and broken homes -- that help these young people get into trouble in the first place?

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Obama administration has targeted "zero tolerance policies"

@highlight

He says there is evidence that school discipline is meted out in discriminatory way

@highlight

Putting two Cabinet departments on the issue is overkill, Navarrette says

@highlight

Navarrette: Micromanaging our schools is a risk and could erode authority of teachers