(CNN) -- When George Pinon thinks of colors, he associates them with what other people have described.

George Pinon leads tour groups through Dialog in the Dark, an exhibit that simulates the blind experience.

"They say that red is supposed to be a warm color, a hot color. I heard that apples are red and roses are red. I heard that plants are green, the grass is green," he said. "That's all you can do, you know?"

Pinon, who lives in Atlanta, Georgia, has been blind since age 3, when a high fever caused optic nerve damage. He leads small tour groups through Dialog in the Dark, an exhibit traveling around the world that aims to foster understanding between people with and without vision.

For about an hour, visitors navigate different environments in complete darkness, relying on all senses except sight, and ask questions of their visually impaired guide, whose face they don't see until leaving.

Stumbling in darkness makes the Dialog visitor appreciate how visually oriented the world is -- how would you go grocery shopping? How would you cross the street? -- as well as the reliance on other senses such as sound and touch to navigate the world.

Investigating preventions, therapies

Researchers continue to search for methods of preventing and treating blindness. A new study in the Journal of Archives of Ophthalmology shows that a single serving of fish per week is associated with a reduced risk of incident early age-related macular degeneration, a disease that is the leading cause of severe vision loss in people older than 60. The macula, a part of the retina that allows central vision, deteriorates in this condition.

Stem cells may also hold promise for AMD. The London Project to Cure Blindness, with support from pharmaceutical giant Pfizer, is working on a therapy from human embryonic cells. The project's goal is to begin human clinical trials by 2011.

The therapy aims to use embryonic stem cells to replace the cells that have been lost because of the disease. Through surgery, the cells would be implanted to restore vision. Read more about AMD

Interpreting the world

A variety of devices have been developed to help visually impaired individuals interact with the world around them. Some of these technologies use Braille. There are Braille codes for alphabets, mathematics, science, music and even computer programming, all based on the system of characters called cells, which consist of six dots in two parallel columns.

But fewer than 10 percent of the 1.3 million legally blind individuals in the United States read Braille, according to the National Federation of the Blind. Only 10 percent of blind children are learning the system of raised dots that allows blind people to read and write through touch. Reasons for this include a shortage of teachers qualified to teach Braille and misconceptions about the system, such as that it's difficult to learn, the organization said in a recent report.

The National Federation of the Blind has worked with technology developers to enhance Braille to adapt to the needs to visually impaired people, said Mark Riccobono, executive director of the organization's Jernigan Institute. The organization's International Braille and Technology Center for the Blind in Baltimore, Maryland, has nearly every tactile and speech output technology available for blind people to learn how to use.

A mechanical device called a refreshable Braille display raises and lowers a set of pins to form characters, translating words on a computer screen into Braille. The pins refresh and translate subsequent text as the user scrolls down on a computer screen.

Riccobono, who has glaucoma and has been losing vision throughout his life, did not learn Braille as a child and believes that he missed out on literacy opportunities. He discovered Braille in college, which cut his study time down by 50 percent, he said. Braille is the only equivalent to print for visually impaired individuals, he said.

"Listening is not the same as actively reading something and seeing how words are spelled," he said. "Sometimes technology is used as an excuse to not provide Braille."

Still, Pinon, who reads Braille, uses speech access software to browse the Internet. He also noted that some movie theaters provide a special earpiece that has voice commentary describing what's on screen, and some DVDs have commentary features also.

Some visually impaired individuals use a knfbReader, a device that takes a picture of text, such as a menu, and reads it back.

The Amazon Kindle, a digital reader for books and magazines, now has speech access, a feature for which the National Federation for the Blind advocated. Read more about the voice capabilities of Kindle 2

Improving sight through technology

There are also technologies that allow visually impaired people to use other senses to orient themselves. One new device is called BrainPort, which allows the user to "see" through the tongue.

BrainPort consists of an electrode array the size of a postage stamp on the surface of the tongue, which communicates with a digital camera, a base unit and a hand-held controller. The device electrically stimulates the tactile receptors on the tongue. The electrode array has a spatial map such that, as people move across a room, the vibration goes across the tongue.

"People are able to adapt and be trained to interpret this as spatial information," said Dr. William Seiple, vice president for research at the nonprofit Lighthouse International in New York.

The device is being tested at Lighthouse, which has a mockup bedroom, bedroom and kitchen to help visually impaired individuals learn how to handle real-life situations.  Watch as one patient gets an artificial corneal transplant »

Another avenue of research is the retinal implant. The user experiences something akin to what a person with sight sees when pressing on a closed eyelid: flashes of light, Seiple said. The rays of the electrode in the eye produce these flashes, which the brain learns to interpret.

"We've all done this throughout our lives," he said. "We have to interpret what's out there in the world."

Getting around without seeing

The U.S. Mint introduced the first coin with readable Braille in March, but not for general circulation. Only 400,000 are minted, and they cost more than $30 each. The National Federation of the Blind can receive surcharges from sales.

Since paper bills have no obvious tactile indicators, blind individuals can ask for their money bill by bill at the bank and fold it in different ways to know what they're getting, Pinon said. He tends to use debit cards when possible.

As sighted people feel around with canes in the dark at Dialog, Pinon helps them along with the sound of his voice and, for the lost ones, a gentle pat on the shoulder.

Pinon has a dog to help him navigate. He has a wife and three children. He even enjoys traveling, sampling the smells, tastes and sounds of foreign voices.

Moving to a new place -- from Florida to Georgia -- was somewhat challenging, but, as he told a group of Dialog visitors seated in total darkness, "You have to be adventurous and explorative and just get out and get to know the area a little bit.

"You pretty much have to be fearless," he said.

@highlight

Fewer than 10 percent of legally blind individuals in the U.S. read Braille

@highlight

BrainPort allows the user to have spatial orientation through vibrations on the tongue

@highlight

Stem cells may also hold promise for age-related macular degeneration

@highlight

Another avenue of research is the retinal implant