Washington (CNN) -- After three weeks on the ground, Boeing's 787 Dreamliner soon will return to the skies -- but only so engineers can test the plane's troubled electrical and battery systems, the Federal Aviation Administration said Thursday.

The FAA approved test flights for the Boeing planes with strict conditions to assure safety: Only essential personnel will be on board, crews must continuously monitor the plane for battery-related problems and tests will be conducted over unpopulated areas.

"These flights will be an important part of our efforts to ensure the safety of passengers and return these aircraft to service," the agency said.

Boeing spokesman Marc Birtel said in a statement that the company is "confident" the tests could be conducted safely, and said one Boeing aircraft has been designated for the test. Flights are planned in the U.S. Northwest.

Although there are only 50 Dreamliners in service worldwide, the stakes are high for the world's largest aircraft manufacturer. Following a difficult development, Boeing has several hundred 787s on order at roughly $200 million apiece.

The Dreamliner is the first commercial aircraft to have extensive use of novel lithium-ion batteries, which can hold more electrical power in a smaller, lighter space.

Dreamliner battery type requires safeguards, safety advocate says

The FAA announcement comes on the same day the National Transportation Safety Board told reporters it had identified the exact battery cell that first short-circuited on a plane in Boston in early January, but still had not determined the root cause of the electrical short.

It listed among the possibilities a manufacturing flaw, a design defect or problems with external systems that charge and discharge the battery.

The safety board also said it is placing under the microscope Boeing's testing program, which led to the certification of the lithium-ion batteries for the plane.

Those tests apparently led the airplane builder to greatly underestimate the chances of battery failure, the safety board said.

Boeing had estimated a "smoke" event would occur "less than once in 10 million flight hours" with the batteries, Deborah Hersman, the safety board's chairman, said.

But two batteries failed after fewer than 100,000 hours of actual flight, one leading to a fire aboard the 787 on the ground in Boston.

Further, Boeing's indications that heat damage in one battery cell would not harm adjacent cells proved false, Hersman said.

"The assumptions used to certify the battery must be reconsidered," Hersman said.

Hersman's statements cast doubt on the safety of the battery technology and the FAA's certification process for approving technology.

It also appeared to dispel any hopes for a quick resolution to the problem, which has led to the grounding of the Dreamliner fleet globally since Jan. 16.

The safety board plans to release an interim report of its findings within 30 days.

Japan's ANA replaced faulty batteries on Dreamliner last year

The FAA -- the ultimate arbiter of when the plane can resume flying -- has declined to predict when the 787 will return to commercial service.

Speaking about the January 7 fire in Boston, Hersman said the plane's flight data recorder showed the battery underwent an unexplained drop in voltage from 32 volts to 28 immediately before the incident, as the plane was being serviced on the tarmac. The voltage drop was consistent with the charge of a single cell on the eight-cell battery, she said.

Hersman said investigators believe the problem originated in cell six, which shows multiple signs of a short circuit -- an unintended path of electricity. The short circuit resulted in a thermal runaway -- a chemical chain reaction -- in cell six, which spread to adjacent cells.

"Charred battery components indicated that the temperature inside the battery case exceeded 500 degrees," Hersman said.

But investigators still don't know what caused cell six to short-circuit in the first place.

They have ruled out two possibilities -- mechanical "impact" damage, like that caused by being dropped, or short-circuiting outside the battery.

But several other possibilities are being explored, including contamination or defect during manufacturing, flaws in the design or construction of the battery, and problems with battery charging. That final possibility -- battery charging -- leaves open the possibility that the problem could reside outside the battery itself.

When the FAA approved the use of the lithium-ion batteries on the Dreamliner, it imposed nine "special conditions" that were designed to prevent or mitigate problems.

In a joint statement on Thursday, Transportation Secretary Ray LaHood and FAA Administrator Michael Huerta reiterated that they are determined to fix the problem.

"Based on what information our experts find, the FAA will take any action necessary to further ensure safety. We must finish this work before reaching conclusions about what changes or improvements the FAA should make going forward," the statement read.

"The FAA is focused on the review and activities to understand the root cause. Once the review is complete, the FAA will make any analysis and conclusions public."

Boeing said it has hundreds of experts focused on solving the battery situation. "We are working this issue tirelessly in cooperation with our customers and the appropriate regulatory and investigative authorities."

What's wrong with the Dreamliner?

CNN's Aaron Cooper contributed to this report.

@highlight

FAA authorizes Dreamliner test flights as part of effort to address electrical problem

@highlight

Boeing "confident" flight tests can be performed safely

@highlight

Safety board investigators intensify scrutiny of tests that led to battery approval

@highlight

Dreamliners grounded in January; plane is big bet for world's largest plane manufacturer