St. Louis (CNN) -- The lines to get a seat inside Friendly Temple Missionary Baptist Church started forming before 8 a.m. By then the sun was already high and the air thick.

Many of the elderly who arrived early for Monday's funeral retreated to the few pockets of shade around the rim of the building, while a handful of younger women used their Sunday hats as fans. The few men who bothered to put on suit jackets joked about a change of heart. Their smiles, framed by streams of sweat, greeted friends and strangers alike.

It would appear that after protests, riots, tear gas and rubber bullets in Ferguson gripped national headlines for a week, this Missouri summer waited until cooler heads prevailed before unfurling one of its hottest days.

"I just want peace, girl, peace," I overheard a woman saying.

"Yes, Lord," was the reply.

The word "peace" was heard a lot during Michael Brown's homegoing. For many, this was a day of peace because there were no protests. I find that notion misguided. For to pin all of the events that have brought chaos over the past two weeks on Officer Darren Wilson firing six bullets into an unarmed 18-year-old is to oversimplify a much more complicated problem.

Blacks in and around Ferguson have felt targeted by police and disenfranchised for decades. They are overrepresented in police stops and arrests and underrepresented as police officers and lawmakers. They have been frustrated by this dynamic since long before Michael Brown was born -- so no, it is not this day that would confer peace, no matter how many hugs and smiles came with it.

That's because nothing has changed.

It might have been a day devoid of violence in these streets, but the unrest within the souls of the people who walk them remained. How can there be peace? The power structure must change. And when you know that just 6% of eligible black voters made it to the polls in the last municipal election in a city that is nearly 70% black, where to start that change is clear.

"We have got to vote," said Shirley Minter, a mature woman, who arrived early because, she said, "I needed to be here."

"There is not a whole lot we can do to fight this injustice if we're not willing to make our voices heard. And the main way to make our voices heard is by voting. Especially our young people."

Her friend, Stella Dermin, agreed.

"I'm originally from Louisiana. I can remember when they used to charge us $3 to vote. And you had to pass a test. And if you didn't pass that test, you couldn't vote," she said. "Now the young people don't even bother voting and it's holding us back. All of this protesting -- this boy's death will mean nothing if we don't start doing what we can to change the way things are."

Makeshift voter registration booths had popped up around Ferguson, most notably at the burned-down QuikTrip which has served as ground zero for protesters, and another near where Brown was shot and killed. But signing up is not the same as following through. And following through does not guarantee a slate of candidates who are sensitive to their constituents' needs.

The day of Michael Brown's funeral may have been without violence, but that should not be mistaken for peace.

"I vote, but many of my friends don't because they think it doesn't matter," said 21-year-old Joshua Jones, a native of Ferguson who said he recently graduated from DePauw University and is starting graduate school at St. Louis University this fall. He said he didn't know Brown but came to his funeral because "he could've been me."

"The thing is, my friends think the system isn't looking out for them. And it's hard for me to argue with them when so many things around support what they are saying," Jones said. "But I don't think anything in Ferguson is going to change unless black people start voting."

A statement that is as true as it is sad and frustrating. So much blood was shed to fight for the black community's right to vote and too many of us choose not to -- still. It's hard to point an angry finger at an unjust system when we surrender any power that we have to change it.

Though on this day, there are signs that true peace may be on the horizon here. The oppressive heat drew plenty of complaints, but it did not stop the people from coming.

So when the pews of the sanctuary were full, church greeters directed those who came to pay their respects to Michael Brown and his family to the overflow building next door. And when the designated overflow area was full, the community was sent to the gymnasium, where a sea of folding chairs waited. And when that was full, people were sent across the street to another overflow area where the funeral was being broadcast on portable screens.

More than 4,500 came to say goodbye to Michael Brown, many of whom did not know him personally. If that energy can be converted into political power, who knows? Maybe peace isn't that far away.

"I'm here because I believe we can turn things around here," said Gary Orr Sr. "We've got to. It's not up to white people to make things better for us, it's up to us. We've got to care about each other more, look out for each other more, get involved."

Orr, who brought his family to the ceremony, was standing in front of one of the overflow buildings during my interview with him. Afterward, I went inside. That's when I saw a mural bearing Isaiah 40:31:

But they that wait upon the Lord shall renew their strength, they shall mount up with wings as eagles, they shall run and not be weary; and they shall walk and not faint.

That's what the people of Ferguson must do when the cameras are gone. The tears have all dried. The protests done. Whether Wilson is indicted or not, they must run and not be weary.

Walk and not faint.

Vote -- lest the outrage that followed Michael Brown's passing be for naught, and true peace remain unattainable.

@highlight

Granderson: At Michael Brown funeral, people spoke of peace, but that's more than no protests

@highlight

He says black community's underrepresentation, targeting by police are longstanding

@highlight

Peace can't come until that's solved, he says, and voting is the way to do it

@highlight

4,500 people attended funeral; turn that energy into political power, he urges