(CNN) -- An urgent humanitarian situation has become a major political conundrum.

The surge of Central American children illegally crossing the border into Texas has politicians debating possible responses while scattered protests against the influx threaten to become an organized movement in coming days.

Even fellow Democrats are criticizing President Barack Obama's administration over the issue likely to linger through the November congressional elections.

Here's a look at Wednesday's developments:

Rising Anger

"We are being invaded!" screams a flyer urging nationwide protests this weekend against the tens of thousands of youngsters coming to America on their own from Guatemala, Honduras and El Salvador.

The July 18-19 "National Day of Protesting Against Illegal Immigration, Amnesty and the Border Surge" has a host of right-wing groups participating and promises more than 250 demonstrations at state capitols, Mexican consulates "and on streets and overpasses coast to coast, including Hawaii and Alaska."

Not in my backyard: Communities protest surge of immigrant kids

While the impact remains uncertain, the effort follows an increasing eruption of public opposition to government efforts to place the newly arrived youngsters in holding facilities across the country.

Earlier this month, screaming protesters waving American flags in Murietta, California, turned back buses transporting undocumented youngsters to a detainee facility.

On Tuesday, protesters on both sides of the debate faced off at an Oracle, Arizona, boys ranch intended for temporarily housing child immigrants from Texas, according to CNN affiliates covering the story.

Some communities were more welcoming, such as Fontana, California, where staff and community donations of food, clothing and toys awaited buses carrying about 40 of the youngsters to a local church last week, according to CNN affiliate KTLA.

New polls

Americans consider immigration the most important issue for now, according to a new national survey released Wednesday.

The Gallup poll conducted July 7-10 found 17% ranking immigration first, a 12 percentage-point increase for the issue since last month. Other issues cited included dissatisfaction with the government at 16%, the economy at 15% and jobs at 14%, with nothing else reaching double digits.

As expected, more Republicans than Democrats chose immigration as the top issue.

"With no solution to the current crisis in sight, and less than four months to go before the midterm elections, it is easy to believe the issue could still be a factor come November," a Gallup news release said.

On Tuesday, an ABC News/Washington Post poll showed a majority of people back Obama's $3.7 billion plan to address the border surge, but far fewer approve how the President or congressional Republicans are dealing with what the administration calls an urgent humanitarian situation.

CNN chief political analyst Gloria Borger said such numbers show people were fed up with political stalemate over immigration.

"I think they've had it with both parties in this," she said. "So Congress better get something done pretty quickly here."

Congress mulls over the issue

Obama met Wednesday with Hispanic lawmakers and then House Democrats to seek support for his emergency funding request to respond to the border crisis.

The President seeks to reduce a backlog of cases overwhelming the immigration system by speeding up hearings to determine who stays and who goes.

His request includes $1.8 billion to provide temporary care for children in government custody, and $1.6 billion to bolster customs and border efforts while cracking down on smugglers. Another $300 million would help Central American governments discourage parents from paying smugglers to get their children to the United States.

So far, Republicans have balked at Obama's request, saying they will come up with a smaller plan.

Unintended consequences: 2008 anti-trafficking law contributes to border crisis

One proposal by Texas legislators -- GOP Sen. John Cornyn and Democratic Rep. Henry Cuellar -- would change a 2008 law that requires immigration hearings for children from countries other than neighbors Mexico and Canada who arrive at the border on their own.

It would stop requiring hearings but allow children to request one, which would have to take place within 72 hours. The measure also would provide some additional funding, but much less than Obama seeks.

While Republicans sought to build support in both chambers for the plan, top Senate Democrats said no.

Sen. Robert Menendez of New Jersey called it inhumane, saying 72 hours was insufficient time for people seeking asylum from endemic violence and other social ills back home to make their case to an immigration judge.

Homeland Security head goes to Senate

Homeland Security Secretary Jeh Johnson told senators Wednesday he wants Congress to pass a spending bill and make changes to the 2008 law so his department can more effectively process and return immigrants. But lawmakers from both parties said they were not ready to sign onto his request.

In a nearly two-hour closed session for all senators in the Capitol, Johnson pressed for a policy change similar to the one proposed by Cornyn and Cuellar.

Johnson described the briefing as "very constructive and useful," but lawmakers from both parties said the plan fell short.

"That won't be enough," said Sen. Lindsey Graham, R-South Carolina. "We're going to have to streamline the deportation process."

Cornyn said the administration's plan didn't do as much as his proposal to quickly resolve the crisis.

Unhappy with the proposed changes, Ohio Democrat Sen. Sherrod Brown argued, "To make a wholesale repeal to the law doesn't make sense for the country."

Sen. Dick Durbin, the second-ranking Democratic leader, said he wasn't ready to accept any change to the 2008 law, which he said was designed to protect children who have been the victims of human and sexual trafficking and other crimes.

"Some of these kids have horrible experiences they've been through," said Durbin, adding Congress needs "to make sure at the end of the day these kids are treated humanely, compassionately, and we don't return these kids to a deadly circumstance in their home country."

The senators were told that the number of unaccompanied minors entering the country has leveled, now making up one in seven of illegal migrants to the country.

Graham said there was an audible gasp in the room when senators were told the cost to taxpayers for caring for each unaccompanied minor now in the United States runs from $250 to $1,000 per day.

Democratic split

Privately, Democrats acknowledged a divided Senate caucus, with some wanting to maintain the existing legal rights while others were ready to drop the fight to secure more funding before Congress goes on its five-week summer recess at the end of July.

Signs of the divide on the political left extended beyond Congress.

Maryland Gov. Martin O'Malley, a possible presidential nominee in 2016, criticized the Obama administration for planning to send back most of the Central American children from the recent surge.

"We are Americans, and we do not return refugee kids who find themselves on our doorstep back into war-torn or famine-racked places where they will face certain death," he told CNN. "So I think we have to act like Americans."

At the same time, he acknowledged trying to prevent some of the child immigrants from being sent to a western Maryland site under consideration for a temporary holding facility.

"What I said was that would not be the most inviting site in Maryland. There are already hundreds of kids already located throughout Maryland," O'Malley said of his phone conversation with White House domestic policy adviser Cecelia Munoz.

Obama, who wants to quickly send back immigrants with no legal basis to remain in the United States, has to corral his Democratic colleagues in Congress, warned David Gergen, a CNN senior political analyst.

"He ought to be focusing like a laser on the question of getting some sort of legislation passed," Gergen said.

What's the difference between immigrant and refugee?

Crossroads of hope and fear: Stories from a desert bus station

Senate GOP confident Congress will pass bipartisan border remedy

Share your immigration stories

CNN's Halimah Abdullah, Jim Acosta, Paul Steinhauser, Deirdre Walsh and Ted Barrett contributed to this report, which was written by Tom Cohen in Washington.

@highlight

Right-wing groups plan nationwide protests this weekend

@highlight

A new poll shows immigration is the top issue for Americans

@highlight

Congress debates responses in final weeks before its summer break

@highlight

Democrats are divided on how to respond