Washington (CNN) -- The U.S. Supreme Court will rule Thursday on the constitutionality of the sweeping health care law championed by President Barack Obama.

The high court announced a series of other decisions on Monday, but not the most anticipated one. It announced that all remaining rulings for the year will come in three days.

The stakes cannot be overstated -- what the justices decide will have an immediate and long-term impact on all Americans, both in how they get medicine and health care, and also in vast, yet unknown areas of "commerce."

Saving this ruling for the final day "may not be political, but they understand drama," said David Cole, a Georgetown University constitutional law professor. He added, "It's also the most difficult case, the most important case, so they may want the extra few days to make sure that they're happy with their written opinions."

The nation's highest court heard three days of politically charged hearings in March on the 2010 Patient Protection and Affordable Care Act, a landmark but controversial measure passed by congressional Democrats despite pitched Republican opposition.

The challenge focused primarily on the law's requirement that most Americans buy health insurance or pay a fine.

Supporters of the plan argued the "individual mandate" is necessary for the system to work, while critics argued it is an unconstitutional intrusion on individual freedom.

All sides preparing for political fallout from health care decision

Four different federal appeals courts heard challenges to parts of the law before the Supreme Court ruling, and came up with three different results.

Courts in Cincinnati and Washington voted to uphold the law, while the appeals court in Atlanta struck down the individual mandate.

A fourth panel, in Richmond, Virginia, put its decision off until penalties for failing to buy health insurance take effect in 2014.

The polarizing law, dubbed "Obamacare" by many, is the signature legislation of Obama's time in office.

After a lengthy and heated debate marked by intense opposition from the health insurance industry and conservative groups, the law passed Congress along strictly partisan lines in March 2010.

When Obama signed the legislation later that month, he called it historic said it marked a "new season in America."

While it was not the comprehensive national health care system liberals initially sought, supporters said the law would reduce health care costs, expand coverage and protect consumers.

The law establishes a staged series of reforms over several years, including banning insurance companies from denying coverage to people with pre-existing conditions, forbidding insurers from setting a dollar limit on health coverage payouts, and requiring them to cover preventative care at no additional cost to consumers.

It also required individuals to buy health insurance, either through their employers or a state-sponsored exchange, or face a fine beginning in 2014.

Supporters argue the individual mandate is critical to the success of the legislation, because it expands the pool of people paying for insurance and ensures that healthy people do not opt out of buying insurance until they needed it.

Critics said the provision gave the government too much power over what they said should be a personal economic decision.

Twenty-six states led by Florida say individuals cannot be forced to buy insurance, a "product" they may neither want nor need. And they argue that if that provision is unconstitutional, the entire law must go.

The Justice Department countered that since every American will need medical care at some point in their lives, individuals do not "choose" whether to participate in the health care market.

The partisan debate around such a sweeping piece of legislation has encompassed almost every traditional hot-button topic: abortion and contraception funding, state and individual rights, federal deficits, end-of-life care, and the overall economy.

During arguments on March 27, Justice Anthony Kennedy said the law appeared to "change the relationship between the government and the individual in a profound way."

Congress ready for high court's health care decisions -- then it gets tricky

Chief Justice John Roberts argued that "all bets are off" when it comes to federal government authority if Congress was found to have the authority to regulate health care in the name of commerce.

Liberal justices, however, argued people who don't pay into the health system by purchasing insurance make care more expensive for everyone.

"It is not your free choice" to stay out of the market for life, Justice Ruth Bader Ginsburg said during arguments.

"I think the justices probably came into the argument with their minds made up. They had hundreds of briefs and months to study them," said Thomas Goldstein, publisher of SCOTUSblog.com and a prominent Washington attorney, though he conceded that "the oral arguments (in March) might have changed their minds around the margin."

Americans are largely split over the reform effort and its legality, according to polling.

A March poll for CNN by ORC International found that while support for the law appears to be growing, 50% of Americans opposed the law, 43% supported it and 7% had no opinion.

Nearly three-quarters of respondents said they wanted the Supreme Court to overturn at least some of the law's provisions, although the poll did not specify which ones.

The law, which helped spur the creation of the conservative tea party movement, is likely to be a centerpiece of the presidential election campaign.

Obama's presumptive Republican opponent, Mitt Romney, has promised to repeal the measure if elected.

But 76% of respondents in the March CNN/ORC poll said a Supreme Court ruling against the law still wouldn't change their minds about whom to vote for in November.

The 2010 passage of the Patient Protection and Affordable Care Act came after months of bare-knuckled fights over politics and policy and a century of federal efforts to offer universal health care.

The legislation signed by Obama reached 2,700 pages, nine major sections and 450-some provisions.

The first lawsuits challenging the health care overhaul began just hours after the president signed the legislation.

Basics: Health care reform issues

@highlight

NEW: The Supreme Court decision on health care will come Thursday

@highlight

A ruling is expected later in the week

@highlight

The Affordable Care Act was passed in March 2010 along partisan lines

@highlight

The law requires individuals to buy health insurance or face a fine