(CNN) -- CNN on Thursday continues its series "The Sixties," which explores the decade of historically significant social movements, people and events. The new episode -- "A Long March to Freedom" -- focuses on the Freedom Summer of 1964 for a very notable reason.

This week marks the 50th anniversary of Freedom Summer -- the tumultuous period in our history when three young workers were kidnapped and murdered in Mississippi while attempting to register people to vote. James Chaney, Andrew Goodman and Michael Schwerner shall never be forgotten.

The three youths were civil rights workers in Mississippi who had taken their summer to help eligible citizens to register to vote, a right that state and so many others down South had denied for more than one hundred years.

As the men drove through Philadelphia, Mississippi, they got a flat tire. The town's deputy sheriff put on his patrol car's red light and pulled them over. He called for two highway patrolmen. Forty-four days later, the FBI found their bodies in an earthen dam.

Goodman and Schwerner, white students from the North, were shot through the chest. Chaney, an African-American student from Mississippi, was beaten to death. Though 18 men were indicted on federal conspiracy charges and were likely present at the killings, seven were convicted. The longest sentence served was just six years.

Those three men knew the risks they were taking, one reason why they were making haste through Mississippi's countryside and small towns. They had no desire to be martyrs. Yet, they were killed by racists who sought to stop their campaign to secure each Mississippian the right to vote.

It was their deaths, along with hundreds of actions by courageous civil rights workers during the Freedom Summer of 1964, that mobilized the Congress to end the filibuster and approve the Civil Rights Act of 1964, and gave much needed momentum to pass the Voting Rights Act of 1965.

Many of those Freedom Fighters are gone, and others are too old to still organize and mobilize citizens to vote. However, they all serve as reminders that in our long march for freedom, justice and equality for all, we will never end our pursuit to secure a more perfect union.

One of the people the youth recruited into local leadership in 1964 was Fannie Lou Hamer, then 44. "They treated us like we were special and we loved 'em," she said. "We trusted 'em." She became a lifelong civil rights worker.

Hamer understood that we must make government our business, and our business justice.

The right to vote, the right to an education, the right to "life, liberty and the pursuit of happiness," the right to opportunity, go hand-in-hand, one to the other. Economic liberty and social justice and civil rights -- we cannot have one without the others.

If it weren't for Freedom Summer, I wouldn't be here. If it weren't for events like Freedom Summer and for the thousands of people who participated in that and so many other events, I wouldn't be here.

Throughout my years in politics and public service, I have carried with me one of the sayings of Fannie Lou Hamer. She said, "Nobody's free until everybody's free." That's true, no matter what kind of freedom we're talking about.

We have a long way to go.

The reactionary forces never give up, never cease, and neither can we. President Barack Obama campaigned with a message of hope to all: "Yes, we can!" He didn't say, "It will be a walk in the park."

Mississippi today has come a long way. But, it still ranks near the bottom of the 50 states in poverty, unemployment, median household income and health care. There's work to do.

We have to win back legislation to enforce not just civil rights, but also strengthen and protect the rights of all Americans to vote. Sadly, that right is under constant attack or simply being undermined by some lawmakers who insist there is widespread evidence of voter fraud when the evidence clearly shows that it's not true.

Truly, we have come far in 50 years. No one disputes this fact. But now is the time to create a new Freedom Summer, but a very different one than what we experienced 50 years ago.

This summer, we have an opportunity, if we have the courage, to struggle together â€” together, regardless of differences, to create a summer of economic freedom, and a new birth of secured voting rights.

But it's time we try to simply power forward together.

What is "power forward?" It's the term for a basketball position I played during high school.

Power Forward means welcoming obstacles as opportunities.

Power Forward means taking risks, accepting responsibility and sharing the profits and prestige.

Power Forward means being conscientious, courageous and confident.

Power Forward means being independent and interdependent. It means networking, sharing -- you can't do it on your own.

It means following your own path but not ignoring the advice of those that have 'been there, done that.'

It means being true to your vision and enabling the vision of others.

Power Forward means staying ethical, doing it right and legally and honestly, especially when it's easy not to, when it seems no one else is.

Power Forward means being humble and ambitious. Power forward means moving the ball farther down the court in our pursuit of equal justice under the law.

Together we can commemorate a great milestone and power forward to a better and brighter future for all Americans.

Join us on Facebook.com/CNNOpinion.

@highlight

Donna Brazile looks back at 50 years after the Freedom Summer of 1964

@highlight

The deaths of three young crusaders help spur Congress to pass Civil Rights Act of 1964

@highlight

Brazile calls on America to create a summer of economic freedom and secured voting rights