(CNN)The first day of same-sex marriage turned out to be a mixed bag for Alabama.

While many couples converged on courthouses in population centers like Montgomery, Birmingham and Huntsville to exchange vows, other would-be newlyweds -- the majority of them in rural counties -- were turned away.

"It was so joyous to be able to see these couples who had been together for 20, 30 years to marry and to have their relationship respected," said Susan Watson, executive director of the American Civil Liberties Union of Alabama.

At the same time, she said, it was "painful to couples who want to get married and who were denied."

It's unclear exactly how many counties issued marriage licenses to same-sex couples after federal courts ruled they could go forward on Monday.

Several counties, including Jefferson, Montgomery and Madison (which have the state's highest populations of same-sex couples, according to the Williams Institute) told CNN they were issuing licenses, while others said they were following a Sunday order from state Supreme Court Justice Roy Moore telling probate judges not to issue the licenses because the federal courts lacked jurisdiction.

Tuscaloosa County chief probate clerk Lisa Whitehead said the county would follow Moore's guidance and, "We will be issuing traditional marriage licenses." Likewise, Lee County Judge Bill English said he, too, was "complying with an order from the chief justice late last night."

As of late Tuesday, at least 44 counties were not issuing marriage licenses to same-sex couples, while 21 were, said Human Rights Campaign spokesman Ianthe Metzger. His group was still trying to get confirmation on two counties.

The ACLU's Alabama office, which set up a hot line, received complaints from about 50 couples, Watson said.

It was widely reported that some counties weren't issuing any licenses. Marshall and Shelby counties' probate offices told CNN they were in that group.

Watson's organization is now working to obtain a federal court order to explain "to probate judges that they're required to follow the U.S. Constitution" rather than Moore's order, she said.

A hearing is scheduled for 1 p.m. Thursday in the U.S. District Court for Alabama's Southern District in Mobile, which, incidentally, is one of the counties that reportedly did not issue the licenses. A call to the Mobile County Probate Court was not returned.

Mobile County has the state's fourth-highest population of same-sex couples, according to the Williams Institute, and the ACLU of Alabama is involved in a lawsuit filed by four same-sex couples who were denied marriage licenses in the county, Watson said.

Though Watson believes the federal courts were unequivocal in allowing same-sex marriages to go forward in the state, Moore -- who issued his order in response to a U.S. District Court ruling, prior to a similar ruling by the U.S. Supreme Court on Monday -- couldn't agree less. In fact, had the Supreme Court ruled on the issue before he sent his order to probate judges, he said he still would have gone through with it.

"The Supreme Court order doesn't affect what I said," he said.

Because the original lawsuit -- filed by a woman who, despite being legally married in California, was prohibited from adopting her partner's 9-year-old -- targets only Attorney General Luther Strange, the high court's ruling applied only to Strange, Moore said.

And since probate courts fall under Moore's authority as the administrative head of the judicial branch, he said, judges were free to disregard the U.S. Supreme Court ruling, which declined to extend a stay on Alabama's prohibition of same-sex marriages beyond Monday. A federal district court and appeals court had also declined Strange's request to extend the stay.

Moore denied Jefferson County Probate Judge Alan King's assertion that Moore's Sunday order was akin to then-Gov. George Wallace's 1963 stand in the schoolhouse door to block integration at the University of Alabama.

In Alabama, he noted, Amendment 774, or the Sanctity of Marriage Act, makes it unconstitutional to perform same-sex marriages or civil unions. It passed with 81% approval in 2006. (A 2012 poll says that approval for same-sex marriage in the state is 32%, among the lowest in the country.)

"I'm not standing in any door. I did not bring this on. This was forced upon our state. This is simply federal tyranny," he said. "This is not about race. This is about entering into the institution of marriage."

The chief justice, who once lost his post in 2003 for refusing to remove a Ten Commandments monument from a state building in Montgomery, said his decision was not based on his religion.

Unlike sexuality, he said, race cannot be used to deny someone's rights. Race is biologically predetermined, where in the case of sexuality, "people can choose different lifestyles and no doubt they have since Sodom and Gomorrah," he said, referring to the cities destroyed in the Bible's Book of Genesis.

The U.S. Supreme Court is expected to address the larger issue -- specifically, whether same-sex marriage in four states deserves the protection of the U.S. Constitution -- later this year.

While Moore doesn't believe the high court has the jurisdiction to redefine the definitions of family and marriage, he concedes that if the justices rule same-sex marriage is constitutionally protected, Alabama judges would have to honor the unions under the U.S. Constitution's Supremacy Clause.

However, "I will not concur that that is a proper ruling under the Constitution of the United States," he said, explaining his personal beliefs.

Watson and other observers believe the Monday decision by the U.S. Supreme Court is a sign of what's to come when the high court rules on the larger issue.

"I think that tells us something about what we might expect," she said.

Moore doesn't see any writing on the wall.

"I don't think the ruling is a harbinger," he said. "Justices (Elena) Kagan and (Ruth Bader) Ginsburg both have performed same-sex marriages. They should both be recused from this case. When you have a predisposition ... you have no right to sit on the case. They're flouting the ethical rules that apply to most judges in this country."

CNN's Devon M. Sayers contributed to this report.

@highlight

It's unclear how many counties declined to give licenses to same-sex couples

@highlight

Chief Justice Roy Moore defends telling probate judges to defy "federal tyranny"

@highlight

ACLU seeks order directing probate judges to honor same-sex marriages