Washington (CNN) -- The U.S. Senate on Monday opened what is expected to be a lengthy and rancorous debate on a sweeping bill to overhaul the nation's health care system.

In statements laced with heated and conflicting rhetoric, Senate Democrats and Republicans outlined opposing positions on the 2,074-page Democratic measure that would provide health insurance to an additional 31 million people at a cost of almost $850 billion.

Democrats led by Senate Majority Leader Harry Reid of Nevada framed the debate as historic and said the bill would provide vital health insurance for almost all Americans, hold down spiraling costs that threaten the U.S. economy and instill needed reforms to ensure the long-term solvency of the government-run Medicare health program for senior citizens.

"In the greatest country on Earth, no American should die simply because they don't have health insurance," said Sen. Max Baucus of Montana, one of the bill's architects, while Reid said the bill "saves money, saves lives and saves Medicare."

Republicans countered that the bill was too big, too expensive and would cause more harm than good. Sen. John McCain of Arizona called it a "sham" and a "2,074-page monstrosity full of measures that would impair the abilities, particularly of our senior citizens, to keep the benefits they've been promised."

McCain immediately proposed sending the bill back to committee to remove all provisions intended to bring down the costs of Medicare. He cited proposed cuts to Medicare, including $118 billion in subsidies provided to private insurers for Medicare Advantage -- an enhanced benefits program for senior citizens.

"There is no math, old or new, that gets you to no change in the benefits they have under Medicare Advantage and yet cuts $120 billion," McCain said. A vote on McCain's proposal was likely on Tuesday.

The House has passed its version of a health care bill, and if the Senate passes its bill, the two measures would be merged by a congressional conference committee. Both chambers then would have to approve the revised bill before it could go to President Obama's desk.

On Monday, debate quickly bogged down in Republican procedural objections, causing Reid to lament: "This is not a good way to start this debate."

Republican Sen. Mike Enzi of Wyoming challenged a motion by Reid that he said would unfairly cut off the proposal of amendments, including McCain's planned Republican amendment to prevent cuts to Medicare. While Reid's motion failed, Enzi labeled it a stunt.

So far, Republicans unanimously oppose the health care bill. The Senate voted 60-39 to launch debate on the measure, overcoming a Republican filibuster through support from every member of the Democratic caucus. Reid also will need 60 votes to eventually close the debate, and his ability to secure that support remains uncertain.

The debate will feature amendments intended to delete or change controversial provisions, including creation of a government-run public health insurance option to compete against private insurers, tax increases and provisions intended to prevent federal tax dollars from paying for abortion except in cases of rape, incest or danger to the mother's life.

For the most part, battle lines are clearly drawn. Liberal-minded senators such as Bernie Sanders of Vermont, an independent who sits with the Democratic caucus, favor a public option as the best way to force competition on private insurers to bring down costs, while fiscally conservative Democrats such as Nebraska's Ben Nelson are concerned about the cost and scope of a government-run alternative.

Nelson has said he would join a Republican filibuster against closing debate on the bill if it retains the current public option provision, which allows states to opt out of a national plan. Another Democratic caucus member, independent Joe Lieberman of Connecticut, says he also will prevent a final vote if the bill contains any form of public option.

On the Republican side, none of the 40 senators supports a public option, but one -- moderate Olympia Snowe of Maine -- has discussed a trigger mechanism that would automatically bring a public option if thresholds for expanded coverage and lower costs go unmet. The trigger idea is considered the lone chance of a compromise that could gain the support of any Republicans.

For Democrats, each vote is crucial. Overcoming a filibuster requires support every member of the Democratic caucus, so if Lieberman or others oppose a public option, Reid would need a GOP senator to switch sides on the bill.

Senate Democrats concede that some changes are necessary to get the health care bill passed. They contend their comprehensive approach is necessary to reform a system in which higher costs are draining the national economy and harming businesses and individuals.

Republicans call for an incremental approach that they say would reduce the costs of health care without needing to create bureaucracies and raise taxes in a huge overhaul.

Other risky issues for Senate Democrats include abortion and tax increases to pay for health care reform. The bill includes tax increases aimed at those earning more than $200,000 a year and insurers providing so-called "Cadillac" health plans worth more than $8,500 a year for individuals or $23,000 for families. It also would set a 5 percent tax on elective cosmetic surgery.

In contrast, a separate health care bill narrowly passed by the House of Representatives earlier this month includes an income tax surcharge on individuals earning more than $500,000 a year and couples making more than $1 million.

Republicans say any tax increase is bad in a struggling economy because it hinders growth and gets passed on to consumers, while Democrats argue the bill's tax provisions wouldn't hit the lower or middle class and would create incentive for private insurers to lower the cost of policies.

However, a key Democratic constituency -- organized labor -- opposes taxing the "Cadillac" health plans negotiated for workers in lieu of wage increases.

On abortion, the House bill has more restrictive language regarding the use of federal funding, and some Senate Democrats say they oppose adding it to their chamber's proposal.

According to the nonpartisan Congressional Budget Office, the Senate health care bill would reduce the federal deficit by about $130 billion over the next 10 years, through 2019. Any effect on the deficit in the following decade would be "subject to substantial uncertainty," but probably would result in "small reductions in federal budget deficits," the budget office report said.

It also reported that health insurance premiums would remain roughly the same for most people, with costs for lower-income Americans reduced due to subsidies under the plan. According to the budget office, more than 80 percent of Americans would remain in employer-based health plans.

Both the Senate and House bills would require individuals to buy health insurance, with penalties for noncompliance. Unlike the House version, the Senate bill does not mandate that all employers offer health care.

The two bills are virtually identical on a broad range of changes, including creating health insurance exchanges, expanding Medicaid, subsidizing insurance for low- and some middle-income families, and capping out-of-pocket medical expenses, while preventing insurance companies from denying coverage for pre-existing conditions.

CNN's Ted Barrett, Alan Silverleib and Tom Cohen contributed to this report

@highlight

Process quickly gets caught up in procedural objections from GOP

@highlight

Wyoming senator protests proposal over amendments to bill

@highlight

Republicans, Democrats continue to square off over Medicare

@highlight

House has already passed health care bill that differs with Senate bill