Washington (CNN) -- Six months after a gunman burst into a Newtown, Connecticut, elementary school and slaughtered 20 children and killed six others, promises of stricter national gun control laws remain largely unfulfilled.

And though the families of those lost made yet another pilgrimage to Washington this week to plead for action in meetings with the two top House Republicans, it is highly unlikely that lawmakers will act.

After the meeting Wednesday, House Speaker John Boehner said the discussions were "very good."

Boehner declined to say much more about the discussion with the group, but Majority Leader Eric Cantor, who was also at the meeting, told reporters, "I was struck again by the incredible pain that they are going through. I just can't imagine as a parent that kind of pain. My heart goes out to them."

Backers of gun control proposals were unable to advance legislation in the Senate centered on expanded background checks earlier this year, even after a high-profile push. The House never took up the measures.

President Barack Obama lashed out when the Senate effort faltered, calling the defeat a "pretty shameful day for Washington."

The political climate isn't right.

Politically vulnerable moderate Democrats eyeing the 2014 midterm elections don't want to risk political capital by voting to pass both an immigration overhaul and comprehensive gun control legislation, said CNN senior political analyst David Gergen.

New York Mayor Michael Bloomberg's recent move to discourage funding the four Democratic senators who voted against shoring up background checks on gun sales will largely amount to a "symbolic" gesture, Gergen said.

Two of the four -- Sen. Mark Pryor, D-Arkansas, and Sen. Mark Begich, D-Alaska, -- are facing re-election in 2014.

Leading Democrats are also dubious about the overall impact of such a move.

"The only way to pass a background check bill is to maintain a Democratic majority in the Senate, and any efforts that make that less likely are counterproductive," said Adam Jentleson, a spokesman for Senate Majority Leader Harry Reid.

"Ninety percent of Democrats agree with the 90% of Americans who support background checks, and a Republican majority would guarantee that no background check bill passes in the foreseeable future," he said.

There's also no incentive for the Republican-controlled House to take up gun control as an issue. That chamber's leaders have said they won't bring the matter up until the Senate acts.

In either case, it seems as if the nation has moved on.

Though national polls taken after the Newtown shooting showed that roughly 90% of Americans supported some form of universal background checks, less than half of those polled were upset by the Senate's failure to pass that type of measure, according to a Washington Post/Pew Research Center poll.

"I'm afraid the moment has probably passed," Gergen said.

After the Newtown shooting, gun control advocates redoubled their efforts with a nation mourning the loss of school children. The issue also galvanized the Obama administration.

However, they have thus-far been outmatched by efforts of a powerful gun lobby and a motivated and vocal interest group, the National Rifle Association, said Jon Vernick, co-director of the Johns Hopkins Center for Gun Policy and Research.

However, this year's defeat may could still result in eventual legislative change, Vernick said.

In the absence of congressional action on a slate of gun control measures ranging from an assault weapons ban to expanded background checks, many states have taken matters into their own hands.

While some states like Connecticut and New York have strengthened laws, others have done the opposite.

Undaunted by congressional inaction, the White House is still pushing for tighter laws.

Vice President Joe Biden recently shared his confidence that Congress will act with fellow Democrats in an e-mail and chastised Republicans during a recent fundraiser for not supporting expanded background checks for gun sales.

Biden is also holding a gun control event at the White House next week.

Biden, a former senator, and Reid are also reportedly in talks on how best to resurrect related legislation.

"I am not going to bring up a vote just to have a vote," Reid said last week. "I want to bring up this vote again if we can accomplish something that seems pretty common sense to me. If you have severe mental problems or you are a criminal you shouldn't be able to buy a gun. That's what, I agree with 90% of the American people, we should get this done."

CNN's Deirdre Walsh contributed to this report.

@highlight

Six months after Newtown, gun-control legislation has stalled despite public support

@highlight

Competing political agendas, re-election concerns make it unlikely it will be revisited

@highlight

States have since enacted their own laws in the wake of congressional inaction

@highlight

White House still pushing for new limits in response to school, other mass shootings