(CNN) -- Tired of seeing developed nations take the lion's share of profits from his countrymen's coffee crop, Ugandan businessman Andrew Rugasira decided back in 2003 that it was time for a new business arrangement.

Uganda is Africa's second-biggest exporter of coffee beans, currently producing around 3.4 million bags per year. Yet instead of being refined locally, the vast majority of the country's raw beans have been traditionally exported in the consuming countries of the West for processing.

But Rugasira's vision was to create a quality Ugandan coffee company that would be able to place a finished product on the shelves of both local and international supermarkets.

A trained economist, he devised a business model encouraging local coffee farmers to sell their beans to him at a fair price. His company would then roast, package and brand the final product, whilst the profits would be split 50/50.

Read this: Female boss who took on drinks giant

"The hard part was saying, 'look, I think as Africans we need to begin to look at ourselves as a solution to some of these problems of systemic poverty and underdevelopment. We have blessed soils, you guys have a commodity which is of great value," says Rugasira, recalling his first meetings to convince the farmers in Uganda's Kasese district.

"We can pay you a premium price; we can also add value to your knowledge; we can help train you; we can set up savings and credit co-ops and we can really work together and begin to own the value chain which is historically being controlled outside the producer country.

"We needed to change that -- and through trade we could bring prosperity to our farmers and their communities."

Read this: Ugandan midwife, Nobel Peace Prize?

These words by Rugasira planted the seeds for what went on to become Good African Coffee, a Kampala-based company that has helped transform the lives of thousands of farmers in Uganda.

Over the last nine years Good African Coffee says it has built a network of more than 14,000 coffee farmers, who are organized into 280 farmer groups. The company, which is the first African-owned coffee brand to be available in British supermarkets, has also helped local farmers to set up several savings and credit cooperatives.

"(It's) about empowerment and it's also about ownership," says Rugasira. "It's about owning the value chain, growing the coffee, processing it at source and it's about exporting a finished product," he adds.

"So we retain the value, which means we can employ people, we can pay taxes, we can prosper our farmers and their communities. And that's the only sustainable way in which societies have prospered -- by moving from low-value agriculture into high-value manufacturing industrialization."

At the heart of all of Rugasira's efforts is his strong belief in the transformative power of self-help. In trade, and not aid, he says, is where Africa's future well-being lies.

"Every society and economy that's prospered has done it through their own hard work, ingenuity, dedication and commitment," he says.

"Not through charity, not through handouts, and I think that's a powerful message and it's a powerful model. It's not new, but I think it's one that I think resonates with consumers who are willing to interact with products like that."

Watch this: Dambisa Moyo on aid

Rugasira's philosophy is clearly defined in "A Good African Story," his book published earlier this year chronicling all the challenges he and his enterprise faced -- from gaining the trust of banking institutions to convincing foreign retailers about working directly with an African company.

He says he decided to write the book because just a handful of African businesspeople write about their experiences.

"All of us have a story," he says. "We need to share that story; that story edifies, it encourages, it inspires others in our own way and I just found African business doesn't really write."

By sharing his story with the world, Rugasira wants to help create a new narrative about Africa and inspire the continent's next generation of entrepreneurs.

"Seventy percent of our population on the continent are young people -- the same young people that we want to set up businesses, become entrepreneurs, innovators in IT, you name it," he says. "And the only way they'll be encouraged and inspired is if they read about stories about other African business people."

@highlight

Ugandan businessman Andrew Rugasira is the founder of Good African Coffee

@highlight

The company roasts, packs and markets coffee for local and international supermarkets

@highlight

It splits profits 50:50 with its network of thousands of farmers

@highlight

Rugasira's message is that the future of Africa lies in trade, not aid