(CNN) -- A decade ago, Britain's Labor government was badly divided over whether to join the Euro. The prime minister strongly supported the idea, as did much of the British business community and many leading media voices. One of the proponents' most effective tactics was to ridicule opponents as cranky and xenophobic -- even borderline racist.

Here for example is a correspondent for the Guardian deriding some of them, members of the U.K. Independence Party (Ukip), back, in 2004.

"In the pub I encounter Reg Mahrra, an Indian Ukipper . 'I want out of Europe,' he says. 'Europe is a disease.' "

That's hardly an argument to take seriously.

Only ... the Euro opponents were totally right. Right for the wrong reasons, but still right.

It's human nature to assess difficult questions, not on the merits, but on our feelings about the different "teams" that form around different answers. To cite a painful personal experience: During the decision-making about the Iraq war, I was powerfully swayed by the fact that the proposed invasion of Iraq was supported by those who had been most right about the Cold War -- and was most bitterly opposed by those who had been wrongest about the Cold War.

Yet in the end, it is not teams that matter. It is results. As Queen Victoria's first prime minister bitterly quipped after a policy fiasco: "What wise men had promised has not happened. What the damned fools predicted has actually come to pass."

Which brings us to the uproar over the Heritage Foundation's study of the fiscal effects of immigration -- and the revelation that one of the study's coauthors wrote a Ph.D. dissertation asserting large and enduring differences in intelligence between different ethnic and racial groups.

Heritage is a powerful conservative think tank in Washington, very influential on Capitol Hill. On May 6, Heritage released a study of the likely budget effects of the Senate plan to open a "pathway to citizenship" for the 10+ million people who live in the United States in violation of the nation's immigration laws.

The study found that the plan would add $6.3 trillion to the nation's budget deficits over the next 50 years.

That conclusion ignited a huge controversy. Still, even the fiercest critics had to concede the basic validity of Heritage's claim. In the words of Keith Hennessey, formerly director of the National Economic Council under President George W. Bush and an ardent supporter of the "pathway to citizenship": "I expect making 8-9 million people here illegally into U.S. citizens would increase future deficits once these people are eligible for benefits."

The pathway to citizenship will add to deficits because of these basic demographic facts about the illegal population: It is very large and it is very low-skilled. As is, the immigrant population in the United States earns less and depends more on government benefits than the native-born population. As formerly illegal residents gain access to more benefits, that dependency can only rise.

Perhaps the ultimate cost of legalization will be less than Heritage estimated: $4 trillion, say. Conceivably, the cost could be even higher. But it will be a cost, and it will be large -- nobody can gainsay that.

Instead, critics respond with a non-sequitur: never mind the effects on government budgets, look instead at immigration's impact on the overall economy. The trouble for them, however, is that every reputable study -- headed by the most exhaustive of them all, the 1997 National Academy of Science study -- finds that the economic benefits of immigration are very small, fractions of a penny for each dollar of national income, with the largest share of those benefits captured by the immigrants themselves.

But it's a basic rule of politics: If you can't disprove the message, you try to discredit the messenger.

And one of Heritage's messengers sure enough proved discreditable. While work on the Heritage study was led by that think tank's welfare expert, Bob Rector, the heavy number-crunching was done by a recent Harvard Ph.D., Jason Richwine. Richwine believes in a racial hierarchy of intelligence, with Jews and East Asians at the top and blacks at the bottom.

Richwine has expressed that opinion in a number of places, including at a 2008 panel discussion at the American Enterprise Institute. I happened to be the moderator of that panel. I hadn't met Richwine before, and this discussion was my first introduction to his work. Afterward, I asked him to come to my office for a talk. I told him then that he faced a choice: He could be a serious scholar of immigration -- or he could play in the fever swamps, but not both. Obviously, he did not heed my advice. Shortly after, he left AEI to find employment at Heritage.

U.S. immigration policy has long been sullied by racial prejudice: the Chinese Exclusion Act of 1882, the 1907 deal with Japan to stop migration from that country, the immigration acts of 1921 and 1924 that sought to halt migration of all groups except Northwest Europeans. It's a shameful story, and the Richwine episode scratches at those painful national wounds.

But it's also true that math is math. We know how much low-skilled legal immigrants earn. We know how much government assistance legal immigrant households use. We can make projections about the likely budget costs of enrolling 10+ million formerly illegal residents as legal ones.

Maybe Richwine did his math wrong. If he did it wrong, it would remain wrong even if he spent his leisure hours rescuing orphans from burning buildings. Maybe he did his math right. Then it would remain right even if he moonlighted as Grand Imperial Wizard of the Ku Klux Klan.

Yet what is especially strange about the Richwine incident is this:

The people who will lose most by the Senate's immigration plan are precisely American citizens of minority origin. Blacks and Hispanics are more likely to be unemployed than whites. More ominously, they are more likely to be numbered among the long-term unemployed -- people who have been out of work six months or more. The long-term unemployed face an especially difficult path back to the labor market. The New York Times reports:

"Though businesses are reluctant to acknowledge bias in their hiring practices, some human-resource managers and consultants say privately that unemployment can be a red flag on a rÃ©sumÃ©, signaling that a worker may have outdated skills, or may be a short-timer who is desperate enough to take any work now but will leave when something better comes along. The National Employment Law Project, a nonprofit advocacy group, reported that companies across the country often posted job notices explicitly excluding applicants who are unemployed.

"Such discrimination against the unemployed is becoming more widespread as jobs are in short supply and employers can have their pick of applicants, according to labor and community leaders. They say it has created a blacklist of the unemployed, many of whom were laid off in recession-driven downsizing rather than because of performance issues.

"In New York City, on average, 372,000 people were unemployed in 2012, 38 percent for a year or longer, according to the United States Bureau of Labor Statistics. Blacks and Hispanics accounted for disproportionately large shares of the long-term unemployed."

There's only one way to prod employers to hire the long-term unemployed: super-tight labor markets. In the late 1990s, when the unemployment rate tumbled to the lowest levels since the mid-1960s, employers became interested in categories of workers they usually rejected: former welfare recipients, the disabled, and so on. In the late 1990s, the black-white wage differential closed at the fastest rate since the civil rights era.

The Great Recession has hit almost all Americans hard. But -- no surprise -- mass unemployment has had its worst effect on the poorest and most marginal. A 2013 study by the Urban Institute found that before the recession, the typical white family had four times the wealth of the typical black family. Since the recession, the gap has widened to six-to-one.

The only thing that can close this gap is to tighten the labor market. And yet the Senate plan is a plan to slacken labor markets, and keep them slack for decades. That's not a bug. That's a feature. Not only will the plan legalize the formerly illegal, but it will hugely increase future immigration flows of both permanent and temporary workers: agriculture workers, technology workers, even ski instructors.

The labor market is subject to the same laws of supply and demand as any other market. If supply is dramatically increased at a time when demand is already low, expect wages to steeply fall. That's not an unintended effect of the immigration bill. It's the intended effect.

America's legacy of racial oppression casts a long shadow. That legacy is not yet anywhere close to overcome. Yet it's more than a little astonishing that the proponents of the Senate immigration bill would claim the banner of anti-racism to justify a measure that will deepen and prolong the subordination of those American ethnic groups already most deeply subordinated.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Heritage Foundation report estimated cost of immigration reform

@highlight

He says study's co-author believes in an offensive theory about race and intelligence

@highlight

Frum: Co-author's views reprehensible, but that doesn't invalidate Heritage findings

@highlight

Frum: Immigration reform will add substantial costs for entitlements