Atlanta (CNN) -- Once upon a time, in a dark corner of CNN's Atlanta headquarters, there was a messy pile of VHS tapes covered in remnants of packing tape. It was January 2005, shortly after an earthquake had triggered a massive tsunami in the Indian Ocean. CNN, along with many news organizations, had put out a call for footage of the event. With mailing instructions. Like, physical mail.

What came back were tapes of all colors and sizes, sent over the course of several weeks, that showed dramatic footage of the event captured by people who had lived through it. For the rest of us, seeing those waves push through entire towns helped us understand how truly enormous and ruinous the tsunami had been and how much help would be needed to overcome it.

That's the magic of television storytelling.

Images and sound take you right into the heart of events and make it possible to imagine what it must have been like, to sympathize and understand. But the professionals and their cameras are not always there when the story breaks. Hence the box of tsunami tapes in early 2005.

Over the next few months, we'd see a parade of breakthrough moments in digital citizen journalism, the beginnings of a new, much faster and more efficient model for collecting and sharing the events that shape our world.

There were the dark, blurry cell phone photos from Londoners trapped underground after the July 2005 subway bombings. And the launch of YouTube and the explosion of user-created online video. Then the drama and heartbreak of first-person accounts from many of the people who lived through Hurricane Katrina. Tiny, pocket-sized digital cameras and media-capable cell phones meant the people living through a story could easily tell it and have their voices heard. It was the start of a new world for newsgathering and journalism.

iReport was born into that world on August 2, 2006. It started as a very simple webpage that invited news of all stripes to be sent to CNN. Today it's a community of nearly 900,000 people worldwide who share stories and images of the things that matter to them. Very often those stories influence the way CNN approaches the news.

For nearly every major news event of the past five years -- from the 2007 shooting on the campus of Virginia Tech to today's uprisings in the Middle East -- iReporters have shared first-person views of the stories they lived through and changed the way the rest of us understood what happened and what we should think about it. More than that, though, iReport has led the way in shaping a model for a news organization to report and tell the story of an event together with its audience.

So. This is probably a good place to insert a short history or a bulleted list of things we've learned along the way. But instead, I think I'll tell a handful of stories, all first-person and unapologetically subjective, just like most of my favorite iReports. (If you're reading this story on CNN.com, flip through the photo gallery on top to see the short history.)

One: The first day

Honestly, we were a little bored. There were four of us on the iReport desk, all borrowed from other parts of CNN. We'd raced to get everything in order -- a zillion development tests and workflow documents and long meetings in intimidating conference rooms -- but once we flipped the switch, we just had to wait for something to come in.

Our upload form had a headline that read "What's happening where you are?" The big idea, of course, being that news is open to interpretation. We were hoping our audience would let us know theirs by posting what mattered to them. It was a fairly heavy news day for the middle of the summer: Israel and Lebanon were fighting a war, and it was deadly hot in much of the United States.

iReport? Pretty quiet. And then came the squirrel. James Christie was sweltering in Kokomo, Indiana, and spotted what looked like a very hot and exhausted squirrel stretched out on a tree branch. He snapped a photo, posted it to iReport, we called him up and before we knew it, saw it on TV. On CNN! A squirrel! And wouldn't you know, moments after it aired, someone else posted another one.

Silly as it was, that photo became one of the first iReport "assignments" -- in this case, "Show us how hot it is where you are" -- and helped us figure out that there's a lot more to building a community than turning the lights on. Like, giving people ideas about how to join in, and paying off participation. Of course! It's so obvious. But there we were, at the beginning of a giant experiment, starting to figure out how to listen and adapt and keep going while everyone watched.

Two: Indecent exposure

Every social media platform has its a-ha story, the one image or piece of footage that cements its status as something that matters. For iReport, it might be Jamal Albarghouti's shocking cell phone video from the 2007 Virginia Tech shootings . It's most certainly not a security camera video of a man in a parking lot urinating in a gas tank then walking away.

But, for better or worse, that's the one that made us stop and argue and articulate the ethos of this thing we were building. It was April 2008, not long after we'd launched iReport.com, a full-on website for iReport complete with a new suite of community tools and instant publishing for users.

iReporter Eric Bower posted a video that looked like a security camera shot of a parking lot. A man walks on screen, unzips his pants, opens the gas tank on a car and, well ... . He's still there when a group of bike cops pedal by, spot him and proceed to chase him down the street.

The video is hilarious and super-watchable, and was already racking up page views and comments without the usual promotional help from CNN. And it's real -- we easily checked the facts by making a few phone calls. But dude. Is this what iReport was all about? Shining light on stupid tricks caught on video?

The argument came down to whether we should put it on the CNN.com homepage. Team iReport had recently scored a sweet deal with homepage editors, who agreed to showcase one excellent iReport every day. We were building momentum for a new site, so it was on us to pick something great and clickable that would entice the millions of people who visit CNN.com every day to get on the iReport train. So far we'd highlighted a video of tornado damage in downtown Atlanta, photos of police pushing back riots in Belgrade and footage of a protester hanging a Tibetan flag outside the Chinese embassy in Paris.

And then there was the urinating in the gas tank. Would it get people over to iReport? Oh yes. Would they watch and comment and share with their friends? Probably. Would they remember iReport as the place for local news that deserves national attention? Um, yeah, no.

After round and round of escalating debate, we put it on the homepage for, like, an hour. We collected some cheap pageviews, thought better of it, pulled it down, and ended up with a much clearer sense of who we were and what we stood for. At the end the day, it's on us to make editorial choices that articulate what we're here for. And that's inviting people in to be part of stories that matter. This one just didn't.

Three: Give a little bit

Years later, when a massive earthquake struck Haiti in January 2010, iReport had well established itself as a powerful center for newsgathering and storytelling at CNN. It had put voters at the front of the story of the 2008 U.S. presidential election and was at the heart of the network's coverage of election protests in Iran in 2009.

But when the quake struck Haiti, we saw something new. People who had loved ones in Haiti and couldn't reach them started using iReport to post photos of missing people along with pleas for help. It wasn't long before several thousand had stacked up, each one in a slightly different format. A small army of volunteers worked on couches and conference calls for days and nights to organize it all into a cohesive database  that we could share with Google and the Red Cross and try to find people relief or at least answers. CNN started showing the names and images on television and helped create some amazing reunions.

I couldn't be prouder of that work and what it means. But what stands out to me most about it today is that what made it possible is that we had in iReport -- both at CNN and in the community at large -- an extraordinarily caring, dedicated and kind group of people who'd learned over the years how to work together to make something much bigger than any of them could do on their own. And at CNN, we'd learned to invite people into our process in real-time, in a spirit of collaboration and exchange and work that needed doing.

Four: What's next

This is less a story and more a prediction, or maybe a birthday wish.

If we get this right, the future of iReport is in more and deeper collaboration, among one another and also between CNN and the people it serves. Here at iReport and CNN, it started in the way we approached the Haiti database, and you can see it in projects like Katrina: Then and Now and even our walk around the world video. It's certainly the heart of the Open Story approach CNN has used to bring iReporters and CNNers together on stories such as this year's earthquake in Japan and flooding along the Mississippi River. It's about connecting the many voices and expertise and activity that you need to make a story come to life.

Happy birthday, iReport. May we all get there together.

@highlight

CNN's citizen journalism initiative, iReport, is 5 years old

@highlight

The first iReport on TV was a hot squirrel

@highlight

Since then, iReport has been integral to most major news stories of the past 5 years

@highlight

Our prediction for what's next? Collaboration is the future