(CNN)It might be in New Zealand, but the resort town of Queenstown feels as much like Aspen or Chamonix as it does Dunedin, its largest urban neighbor.

Along with abundant adventure-travel offerings, the onetime gold rush hub is big on beauty: the aptly named Remarkables mountain range forms a dramatic backdrop to serene Lake Wakatipu, which shimmers on a sunny day with countless tiny glacial motes suspended in its waters.

Queenstown neighbors Arrowtown and Lake Hayes add gold-mining heritage and nature exploration into the mix.

The extraordinary setting and an international outlook have made this little corner of New Zealand's South Island a trans-seasonal center for cool-climate pinot noir, adventurous gastronomy and quirky design, galleries and hotels.

Here's a small sample of what the area has to offer.

Aggy's Fish and Chip Shack (Queenstown)

Right on the shore of Lake Wakatipu, this tiny, much-loved kiosk serves beer-battered, deep-fried fresh scallops and oysters, fish and chips and idiosyncratic Kiwi fare such as whitebait (tiny, whole freshwater small fry), smoked eel and muttonbird.

Muttonbird?

No, New Zealand doesn't have sheep on wings.

An acquired taste, this former staple of Maori and colonial sailors is the fledgling of local seabirds, with a dark, oily meat that some say tastes more like mutton than fish.

Corner of Marine Parade and Church Street, Queenstown; +64 3 442 4076; open daily, 10 a.m.-10 p.m.

The Spire Hotel (Queenstown)

The subtle signage and unassuming dark frontage on a small lane off Church Street set The Spire apart from the chain hotels and lodges that dominate Queenstown.

The five-star hotel started as a pet project for the original, design-loving owner-operators.

They fitted out the property with limestone cladding, Italian leather upholstery and a collection of modern art and design classics before two sisters took over a couple of years ago.

Each of the 10 suites has an Eames recliner, Phillippe Starck lighting and Bang & Olufsen phones.

There's a popular cocktail bar and restaurant on site,  No. 5 Church Lane.

The Spire Hotel, 3-5 Church Lane, Queenstown; +64 3 441 0004; rooms start at NZ$965 ($800) for single occupancy room (rates vary by season)

No. 5 Church Lane, open daily for breakfast from 7-11.30 a.m., drinks and tapas from 4 p.m. and dinner from 6 p.m.

Vesta Design Store (Queenstown)

The lakeshore cottage housing the Vesta design store is the oldest in Queenstown.

It reveals its history through preserved period details.

Original wallpaper in some of the tiny rooms, for example, shows the height of flood levels in years past.

Satisfyingly creaky wood floors offset international contemporary furniture and home wares on sale, along with a nicely edited range of prints and other art.

Vesta Design Store, Williams Cottage, 19 Marine Parade, Queenstown; +64 03 442 5687; open daily, 10 a.m.-5:30 p.m.

Pacific Jemm Cruises (Queenstown)

New Zealand's longest lake, Lake Wakatipu also has some of its coolest waters.

People do swim, either in the shallower bays or with wetsuits, but most explore it by boat.

The 24-meter Pacific Jemm, with wood-paneled interior and cabins for overnight stays, can be chartered for sailing or fishing trips.

Pacific Jemm Cruises;  +64 27 442 7973

Dorothy Browns Cinema (Arrowtown)

Little Arrowtown must be one of the few places in the world of its size with its own arthouse cinema.

Of the two cinemas, it's the smaller one, "The Den" (reservations recommended), that shows mainly independent films.

Mainstream movies, including some in 3D, are shown in the main cinema, which has Chinese-silk ceilings and chandeliers.

Both cinemas have big, cozy seats and warm possum-fur throws.

The adjacent bar and cafe is home to a discerningly stocked little bookshop.

Dorothy Browns Cinema, Buckingham Street, +64 3 442 1968; café open from 10 a.m. in summer months (11 a.m. in winter months) until 10:30 p.m.

Saffron Restaurant (Arrowtown)

Chef-patron and author of the cookbook "Saffron," Pete Gawron distills Central Otago's seasons into edible form at his restaurant.

Locally foraged gooseberries and South Island scampi are on the menu, alongside homemade prosciutto and striking flavor combinations such as flash-fried beef cheeks tempura-style on cauliflower mousse.

The schist-walled stone building in the center of Arrowtown's historic precinct (15 minutes' drive from central Queenstown) has a roaring fire in winter, a courtyard for outdoor eating and range of local wines.

Saffron, 18 Buckingham St., Arrowtown;  +64 3 442 0131

Nadene Milne Gallery (Arrowtown)

This is yet another stop along geranium-lined Buckingham Street, an impressive gallery atop a set of iron steps.

The collection includes much bigger names than the property's modest proportions suggest, representing a formidable group of contemporary New Zealand artists.

Max Gimblett, Gretchen Albrecht and Fiona Pardington are among those with work on show.

Nadene Milne Gallery, 16 Buckingham St., Arrowtown; +64 3 442 0467; open daily 10 a.m.-5 p.m.

Amisfield Winery (Lake Hayes)

Queenstown residents call ahead to reserve the pork belly at this bistro attached to a winery in a striking, modern schist-clad building overlooking Lake Hayes and designed by acclaimed New Zealand architects Warren & Mahoney.

The winemakers have won awards for their pinot noir, the temperamental varietal for which the central Otago terroir has proved ideal.

The menu at the bistro, which won "Cuisine" magazine's best winery restaurant for the third time last year, is designed to complement the winery's produce

Amisfield Winery, 10 Lake Hayes Road, Queenstown; +64 3 442 0556; reservations recommended

Sam Eichblatt is a New Zealand-based freelance writer.

@highlight

Queenstown has an international resort vibe with natural beauty

@highlight

The Remarkables mountains deserve their name

@highlight

Gold mining heritage and lakes add to regional mix

@highlight

Adventurous cuisine -- muttonbird, anyone? -- and arthouse cinema are further finds