LONDON, England (CNN) -- Be excited, but be scared. A world of mind-blowing possibilities is suddenly being thrust upon the world of video gaming.

Detecting your thoughts: the EPOC headset is a breakthrough in brain - computer interfaces.

The era of thought controlled games has arrived, and soon you could be required only to 'think' to operate a video game. Maybe you'll even have the chance to be completely immersed in a video game 'world'.

The Emotiv EPOC headset - the first Brain Computer Interface (BCI) device for the gaming market is the technology behind the revolution -- and the company claims to have already mastered thought control.

The EPOC detects and processes real time brain activity patterns (small voltage changes in the brain caused by the firing of neurons) using a device that measures electric activity in the brain.

In total, it picks up over 30 different expressions, emotions and actions.

The leap in technology has been met with excitement amongst many gamers. Singapore enthusiast Samuel Lau has even made a video showing his hopes for the future of gaming.

But, for the creators, what possibilities does this open up for future video games?  View gallery of gaming through the years »

According to experts, the sci-fi scenarios depicted in The Matrix, and Star Trek's 'Holodeck' are now comprehendible realities in the future.

President and co-founder of Emotiv Systems, Tan Le, said the brain-to-computer interface was undoubtedly the future for video games.

"Being able to control a computer with your mind is the ultimate quest of human-machine interaction. When integrated into games, virtual worlds and other simulated environments, this technology will have a profound impact on the user's experience." What do you think video games of the future will look like?

Le envisaged the lines between games and reality continuing to blur.

"In the long run, the user's interactions with machines will more closely mimic our interactions with other humans. Our technology will ultimately bring communities of people closer together to richly share their experiences," he said.

Rick Hall, production director at the Florida Interactive Entertainment Academy, is also open-minded about possibilities in future gaming.

Hall, who has worked across machines such as the N64, Sony PSP, PS2, and Nintendo DS, told CNN that some of the concepts in The Matrix were now "eerily reaching towards theoretical possibility".

"If we can interpret basic control thoughts now, it isn't far off where we'll be able to interpret more complex thoughts, even potentially things you're not consciously thinking of. If we can now do it in a non-invasive fashion, it probably won't be long before we can read these things from across the room.

And if we can "read" complex thoughts, then shouldn't we also be able to "write" thoughts into a person's brain?

"So add that up: a wireless, remote, brain reading/writing device that can scan, interpret, and communicate with someone across the room, without them even knowing it. Connect that to the Internet... and talk about brainwashing possibilities. What if some hacker could figure out how to write viruses to people's brains? It's actually a little scary."

But, it's not all optimism and imagination for the technology.

American gaming analyst Todd Greenwald believes it may be some time yet before brain to computer interfaces reach a marketable standard, saying it is "a bit too far out and speculative to say with any confidence".

University of Ulster video gaming lecturer Darryl Charles told CNN he was also uncertain whether Emotiv's technology would take off.

"It's a little bit harder to see. It's quite a complex thing to force your thought on a television screen."

However, Emotiv's Le strongly defended the headset, saying it "works on a vast majority of people and can adapt to a wide variety of thought patterns. Emotiv has carried out tests with hundreds of people and so far we have had success on every single person," Le said.

While the speed of the revolution pushing the gaming world is hotly debated, one thing all experts agree on is the underlying themes of future games.

Gamers can be certain that social interaction and strong storylines will strengthen to form the core of games.

Tan Le told CNN, "The one thing that we believe will be core to the future of gaming is the social experience. Nothing a game developer can program can match the random nature of actually participating in a scenario with other live people."

Le said the social aspect was the key to growth of the industry, as it was opening the door to fresh markets. He acknowledged the new level of immersion offered with the Wii's interactive control had helped send the industry in the right direction.

Charles believed a move closer towards the movie and television entertainment realm was also imminent.

"The big blockbuster game is going to compete more with Hollywood movies. They will be a lot more competitive in storylines... there is a lot of production values already coming from cinema."

Greenwald said downloading games straight from the producer could soon become a reality. A market where simple games could be downloaded for free and then add-ons to significantly improve the game were sold at a premium, could be a more financially rewarding for the makers, he said.

@highlight

EPOC headset by Emotiv allows users to 'think' and video characters will 'do'

@highlight

Experts predict concepts from The Matrix and Star Trek could become reality

@highlight

Games will become more social and have advanced storylines in the future