Gaza City (CNN) -- For six days, Israel has carried out a large-scale air offensive in Gaza, aiming to halt destructive and sometimes deadly rocket launches emanating from the Palestinian territory.

Monday saw more carnage, more heated words and more damage on both sides. There was also more movement toward a possible intensification as Michael Oren, Israel's ambassador to the United States, said Israel had finished its planning for a ground invasion of Gaza.

If Israeli troops do invade, Hamas leader Khaled Meshaal said it would "not be a picnic."

"We do not want escalation, nor do we call for a ground war," he said Monday. "But we are not afraid of it, nor will we back down."

Online campaign seeks end to violence

All this violence and rhetoric has intensified international efforts to find a diplomatic solution to the crisis, starting with a cease-fire.

"This must stop," U.N. Secretary-General Ban Ki-moon said late Sunday.

A steady stream of U.N. and European diplomats have and will be traversing the region trying to calm the situation.

On Monday, Ban and an Israeli delegation went to Egypt, where that nation's top intelligence official presented Israel a letter outlining Hamas' proposal for a cease-fire, said a general in Egyptian intelligence who is optimistic about a deal being reached. The fighting has challenged Israel's relationship with Egypt, yet Israeli President Shimon Peres on Monday praised Egyptian President Mohamed Morsy for playing a "constructive role."

Israeli foreign ministry spokesman Yigal Palmor confirmed late Monday that "negotiations are going on" that may lead to a cease-fire, though he didn't offer any details.

Meanwhile, Arab League Secretary-General Nabil el-Araby and 16 foreign ministers from the league's member states were to arrive in Gaza on Tuesday, to be joined by Turkish Foreign Minister Ahmet Davutoglu, a spokesman for the organization said.

U.S. warships move into region

Gaza itself has been under a crippling economic embargo since Hamas won control of the territory from the Fatah-led Palestinian Authority, which controls the West Bank, after a landslide 2007 election that was followed by intra-Palestinian clashes. The United States, Israel and the European Union characterize the militant fundamentalist Islamic organization Hamas as a terrorist group.

In the West Bank, Palestinian Authority President Mahmoud Abbas will hold talks with the U.N. secretary-general, according to Saeb Erakat, a member of the PLO's executive committee and an Abbas ally. The West Bank has been relatively quiet, though a Palestinian protester did die Monday -- two days after he and others clashed with Israeli troops -- Ramallah Medical hospital director Ahmad Bitawi said. And Israeli troops shot and killed a 22-year-old Palestinian near Hebron, witnesses said.

Diplomats hope to avoid a repeat of 2008, when at least 1,400 died as Israeli troops invaded Gaza after a similar spate of rocket attacks.

Israel has signaled it is open to a cease-fire, but only if Gaza militants halt rocket attacks. Air raid sirens yet again resounded all day Monday around Israel, where rocket attacks have killed three and wounded 68 according to Israeli officials.

The bloodshed might be worse if not for the "Iron Dome," Israel's missile defense system that has intercepted about 30% of the rockets fired from Gaza since last week, including more than half the 67 fired on Monday, according to the Israel Defense Forces. The missile defense system intercepted several more rockets fired Monday at Ashkelon, the IDF said. But several rockets hit Eshkol, also in southern Israel, with one striking a closed school.

"They have a choice. The minute they will stop (shooting), it will stop," Peres said.

Israeli government spokesman Mark Regev said a short-term "Band-Aid" solution won't do.

Israeli government hit with more 44 million cyberattacks

"There's no doubt that Hamas would agree to an immediate cease-fire, but it wouldn't mean anything. We want to know when it's over, that it's really over," he said, adding Israel will use diplomacy or military force -- whatever is necessary -- to ensure that southern Israel doesn't continue to face the threat of rockets.

Like Regev, Qatari Prime Minister Sheikh Hamad Bin Jassim al Thani said there can't be a repeat of 2008 -- though he has a different view as to why.

Having gone to Gaza a few weeks ago and observed "the miserable life" of residents there, Sheikh al Thani told CNN's Christiane Amanpour it's not tenable for there to be more assassinations of Hamas leaders and Israeli forces surrounding Gaza, as was the case four years ago.

"(Hamas wants) a complete package for the cease-fire," he said.

iReport: Running for shelter in Ashkelon

Palestinian health officials said 104 people, among them women and children, have been killed -- at least 24 on Monday. They also say 860 have been wounded in Gaza since Israel began its offensive in response to what Israel characterized as incessant rocket attacks by militants.

Israeli authorities say they take great pains to avoid civilian casualties, though this is difficult to do when rockets are being launched from densely populated civilian areas, where suspected militant leaders are also based.

While saying he feels an agreement can be reached, Palestinian parliament member Mustafa Barghouti says he blames Israel for the bloodshed thus far.

"The problem is that Israel is using the bombardment of civilians and the killing of children as a tool of negotiations," he said.

Too young to understand but not to die

Smoke and fire poured from Gaza buildings that had been struck by Israeli warplanes or drone on Monday, when Israel's military said it carried out 80 strikes in addition to the 1,300 executed since last Wednesday.

Aqsa TV, Hamas' television station, reported that Israeli tanks were firing into Beit Hanoun in northern Gaza, with one of its reporters saying that the Islamic National Bank in Gaza City had been hit.

A Gaza City stadium, where the IDF said Hamas militants launched rockets toward Israel three days ago, was among the sites hit on Monday.

Israeli forces also hit a Gaza City office building used by some media outlets -- as they had Sunday -- killing two, including the head of the Palestinian Islamic Jihad's military media office.

That strike targeted four senior Islamic Jihad members who Israel's military said were hiding in the building, including the information chief, Israel's military said. The others were described as key figures in military training, attack planning, long-range rocket operations and arms manufacturing within the same organization.

How the Arab Spring has changed the situation in Gaza

"We targeted only the second floor, which is where the senior terrorists were," the IDF said on Twitter, adding that reporters had been used as human shields. "The rest of the building was unharmed. Direct hit confirmed."

Calls for a truce came on the heels of the single deadliest attack -- an Israeli airstrike in Gaza City on Sunday that left a family of 10 dead within a building's broken concrete and mangled metal.

Al Qassam Brigades, Hamas' military arm, called it a "massacre committed by Israeli occupation" on Twitter.

The Israeli airstrike targeted Yehya Bayaa, "a senior Hamas member," said Lt. Col. Avital Leibovich, the Israel Defense Forces' chief spokeswoman. The IDF alleges Bayaa is one of the leaders of a Hamas rocket-launching unit.

As it's happening: CNN reports on the ground

The building hit was a known hiding place for Bayaa -- though not his home, as was reported earlier -- Leibovich said. Initially, the IDF reported it killed Bayaa in the attack. But late Sunday, Leibovich said she did not know for sure whether Bayaa had been killed.

Israeli military Capt. Eytan Muchman added Monday that, "very regrettably," the Dallo family was inside the building. Regev later told CNN's Anderson Cooper, "Obviously, it was a foul-up" -- saying that while Israel doesn't know exactly what happened and believes Hamas is using civilians as human shields, it is "a failure" every time an innocent bystander is killed.

That same day, hundreds gathered at the al-Isra mosque for a funeral of some family members killed, CNN's Ben Wedeman reported.

The firing of rockets before and after the funeral didn't deter some mourners.

"Revenge, revenge," they chanted.

Talking Monday night with CNN's Piers Morgan, Peres insisted Israel has nothing against people in Gaza or Muslims, in general. He said his country's aim -- and the only reason it launched its military offensive -- is to keep its own citizens safe.

"We don't hate them. We don't try to get any glories," the Israeli president said. "We want to live in peace."

Security Clearance: Why Israel might hesitate to invade

CNN's Sara Sidner, Arwa Damon, Jonathan Wald, Greg Botelho, Chelsea Carter, Kareem Khadder, Ben Wedeman, Fred Pleitgen, Amir Ahmed, Jessica Yellin and Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: An Israeli spokesman confirms negotiations are ongoing, doesn't give details

@highlight

NEW: "We don't hate (Gazans) ... we want to live in peace," Shimon Peres says

@highlight

Israel has finished preparations for a ground invasion, an Israeli ambassador says

@highlight

Palestinians don't want ground war, "but we are not afraid of it," Hamas' leader says