(CNN) -- Herman Cain, the surprise candidate of 2012, has been struggling to survive accusations of sexual harassment. Every day that the story continues and new accusations emerge, Cain's candidacy is at greater risk.

Yet thus far his polls have remained steady, and the news cycle seems to be turning toward other issues. Cain has denied the accusations and pushed back against the accusers.

Cain is far from the first presidential candidate to struggle with a scandal centered on sex.

Sex scandals have a long tradition in American politics. In the presidential campaigns of 1824 and 1828, opponents accused Andrew Jackson of adultery, while in 1884 Republicans lambasted Grover Cleveland for his illegitimate child. Supporters of Cleveland's opponent, James Blaine, liked to chant "Ma, Ma, where's my pa?" whenever they had a chance.

During the first seven decades of the 20th century, sex scandals played a diminished role on the campaign trail. The news media exhibited remarkable restraint, as reporters stayed within boundaries defining what kind of behavior was appropriate -- or relevant -- to report and what was not. The rules governing behavior at the workplace were also extraordinarily lax, and reporters, like other Americans, didn't expect men to meet a high standard in treating the women around them.

Despite widespread knowledge of President John F. Kennedy's sexual escapades and Sen. Russell Long's alcoholism, reporters declined to write stories about their behavior. According to the legendary reporter Jack Germond, a politician who chased after women was gently characterized as a man who appreciated a well-turned ankle.

But that changed in the 1970s. A new generation of reporters, inspired by the Watergate investigation, was eager to expose the next big scandal in Washington. In recent years, the proliferation of news outlets, ranging from cable television to the Internet, has created intense competition to report the most salacious stories. Public norms on sexuality have liberalized and the media have grown more comfortable reporting about sex.

Moreover, liberals argue that the private behavior of public officials matters. New sexual harassment laws have changed the norms of what is considered acceptable at the workplace. Conservatives are more eager to highlight personal behavior as they hope to to make morality a legitimate issue in public debate.

Sometimes sex scandals have brought down promising candidates. During the 1987 Democratic primaries for president, for example, the Miami Herald reported that Gary Hart, a former Colorado senator, was having an affair with a young model. Hart challenged the media to prove their allegations. Soon after, the National Enquirer obtained photographs of a model named Donna Rice sitting on Hart's lap on a yacht named Monkey Business. Once the pictures were published, Hart dropped out of the race.

Yet often candidates have been able to survive these accusations. Sex scandals are not necessarily devastating to a candidacy. During Bill Clinton's 1992 presidential campaign, allegations that he had had an affair with Gennifer Flowers broke right before the crucial New Hampshire primary. Clinton effectively responded by appearing with his wife, Hillary, on CBS's "60 Minutes." He went on to win the presidency and earn high approval ratings.

The future of Herman Cain remains unclear: Will he suffer the fate of Gary Hart or succeed as Bill Clinton did?

There are several reasons that, at least initially, Cain has been able to survive the frenzy. The first is a certain numbness that Americans have to ongoing stories about the poor behavior of politicians. We live in a cynical age when Americans don't expect much from their leaders. Scandals can certainly destroy political futures, as was the case with Rep. Anthony Weiner or two-time presidential candidate John Edwards, but there is an equal chance that the public won't find a particular case all that shocking. (In the cases of Weiner and Edwards, their initial denials were proven wrong; in Cain's case, the truth of the accusations hasn't been established.)

The second reason is that partisanship has become so intense these days that there is naturally going to be suspicion that charges such as these might come from political opponents. Cain has played into this belief by accusing his political opponents, ranging from Gov. Rick Perry's campaign to liberals, of being behind the charges.

Cain also might survive this scandal because this story has emerged so long before any voting starts. The Iowa caucuses and New Hampshire primary are months away, and the opinions of voters won't be definitively known till then.

Even if party leaders put pressure on Cain, they'll have limited effect, given that Cain is not part of the party establishment. He doesn't really care what the leaders of the GOP have to say. That's in fact the point of his campaign. In that sense, he is very much like Ross Perot in Republican clothes.

None of this is to say that Herman Cain is safe. The fact is that if stories about his alleged misbehavior continue to emerge, and the substance of more of these accusations becomes public, the real power brokers in modern campaigns -- the fundraisers and campaign donors -- will make a decision for him. They will turn off the spigot of money that he would need to make his campaign real. This is the ultimate check on his future.

Republicans are extremely anxious. They sense a real opportunity to win this election and don't have much stomach for picking someone who could implode in the general election come September 2012. Given his inexperience in the political realm, Cain is already a high-risk candidate. A few more accusations and his candidacy could come to an early end.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Herman Cain's campaign has so far survived accusations of sexual harassment

@highlight

Julian Zelizer says many factors affect whether a candidate can survive a scandal

@highlight

Cain is helped by partisan atmosphere in American politics, Zelizer says

@highlight

Zelizer: Ultimately the donors who fund campaign could bring it to an early end