(CNN) -- Millions of sea turtles have been the unintentional victims of the world's fisheries in the past 20 years, according to a report published Tuesday.

The first ever global survey of sea turtle bycatch conducted by Conservation International and Duke University in the United States suggests that the Mediterranean and the Eastern Pacific are locations where the marine turtle populations are in danger of collapse.

The report says that the increase in fishing gear, like longlines and gillnets, in marine habitats is directly linked to the increase in the accidental capture of sea turtles.

Bycatch occurs when fishing gear inadvertently snag animals other than the intended catch. Sea turtles, along with sharks, dolphins, and albatrosses, are among the most frequently accidentally captured. They often perish as a result of swallowing sharp J-shaped hooks, or by drowning in nets.

The report, published this week in "Conservation Letters" investigated the impact of bycatch on sea turtles around the globe from 1990 to 2008. Their findings show that tens of thousands of marine turtles have been reported as bycatch in the past 20 years.

Dr. Bryan Wallace, Science Advisor for Conservation International's Sea Turtle Flagship Program believes the number may be far higher.

"Because the reports we reviewed typically covered less than 1 percent of all fleets, with little or no information from small-scale fisheries around the world, we conservatively estimate that the true total is probably not in tens of thousands, but in the millions of turtles taken as bycatch in the past two decades," he said in a press statement.

Sea turtles are highly migratory animals that cover vast areas of ocean between nesting and feeding grounds. They are subject to several threats, including capture for their meat and collection of eggs, destruction of nesting beaches and pollution of the ocean.

However, Wallace and the reports' co-authors believe bycatch is the most serious threat to sea turtle populations around the world.

Six of the seven marine turtle species are currently categorized as "vulnerable", "endangered", or "critically endangered globally" by the International Union of Conservation of Nature's (IUCN) Red List. They include loggerheads, leatherbacks, hawksbills, Olive Ridleys, Kemp's Ridleys and green sea turtles; the flatback, an endemic to Australia, is currently categorized as Data Deficient.

The highest reported bycatch rates for longline fisheries occurred off Mexico's Baja California peninsula, the report said, adding that the highest rates for gillnet fishing took place in the North Adriatic region of the Mediterranean and the highest rates for trawls were found off the coast of Uruguay.

The report suggests that a lack of integrated management of fishing in the Mediterranean Sea is to blame for the region's high bycatch rates. It has some of the world's highest concentrations of longline fishing and trawling.

"We have only begun to scratch the surface about the realities of sea turtle bycatch," said Wallace. "Our review revealed important data gaps in areas where small-scale fisheries operate, especially Africa, the eastern Indian Ocean and Southeast Asia."

"Sea turtles are sentinel species of how oceans are functioning. The impacts that human activities have on them give us an idea as to how those same activities are affecting the oceans on which billions of people around the world depend for their own well-being." said Wallace.

"Our hope is that this study gives governments and fisheries alike the impetus for bolstering on-going efforts to reduce sea turtle bycatch and to promote more sustainable fishing practices as soon as possible."

@highlight

Millions of turtles believed to have died as fishing bycatch in last 20 years

@highlight

New report looked at impact of longlines, gillnets and trawls on turtles

@highlight

Mediterranean and eastern Pacific are areas with most threatened turtle populations