The United States might extend a deadline to reach a comprehensive agreement on Iran's nuclear program, a senior State Department official told CNN.

International negotiators in Vienna, Austria, are scrambling to reach a deal by Monday's deadline.

"It is only natural that less than 48 hours from the deadline we are discussing a range of options," the official said. "An extension is one of those options."

Both sides appeared to be pointing to the possibility of yet another extension to the monthslong series of negotiations, whose final outcome is expected to have a lasting effect on Iran's relations with the West.

U.S. President Barack Obama, asked about the deadline in an interview broadcast Sunday morning on ABC's "This Week," didn't reject the idea.

"I think that what we're going to do is take a look at what emerges over the course of the weekend," he said.

When asked if Congress would approve any agreement with Iran, Obama said, "I'm confident that if we reach a deal that is verifiable and assures that Iran does not have breakout capacity, that not only can I persuade Congress, but I can persuade the American people that it's the right thing to do."

But media in Tehran were skeptical about the deadline.

Based on the differences that remain between negotiators, and in light of the limited time remaining, reaching a deal by Monday "would be impossible," the Iranian Students' News Agency reported Sunday, citing an unidentified Iranian official involved in the talks.

'Big gaps'

U.S. Secretary of State John Kerry, who is in Vienna for the talks, said Saturday that "big gaps" remained between negotiators.

A senior U.S. State Department official on Sunday referred back to those comments but told CNN that "we are discussing the broad range of issues and we are continuing to take steps forward."

But the progress being made is only "chipping away" at the issues, the official cautioned.

"The focus of discussions remains on an agreement, but we are discussing both internally and with our partners a range of options for the best path forward," the official said.

The negotiations are between Iran and the group known as the P5+1, consisting of Germany, the United States, Russia, China, France and Britain.

Russian Foreign Minister Sergey Lavrov will arrive in Vienna on Sunday evening to participate in the talks, Russia's state-run TASS news agency reported, citing a source in the Russian delegation.

A deal could bring about an end to significant sanctions against Tehran and a warming of relations with the West. The absence of a deal would most likely ramp up tensions and could lead to more punitive measures -- and even confrontation -- over Iran's controversial nuclear program.

Will Congress kill an Iran nuclear deal?

Pressure on both sides

Iran insists that like other countries, it has a right to develop nuclear power for peaceful purposes. But Western powers have accused it of trying to develop not just nuclear energy but nuclear weapons as well.

The head of the International Atomic Energy Agency, who is not part of the Vienna talks, said Thursday that Iranian authorities are continuing to deny his agency access to a sensitive military complex suspected of being a site of nuclear activities.

Obama and Iranian President Hassan Rouhani face domestic political pressure to strike a deal. An extension could sharpen opposition both in the U.S. and in Iran.

Republicans take control of the U.S. Senate in January and lawmakers have threatened fresh sanctions on Iran if a deal is not reached. Although Obama has the power to veto, just the prospect of additional sanctions could drive Iran away from the table.

Rouhani and Foreign Minister Javad Zarif, the lead Iranian negotiator, are under fire from conservatives and lawmakers who were skeptical of the interim deal and have said a final agreement must be ratified by parliament. Earlier this month 200 Iranian members of parliament signed a statement demanding that Iranian negotiators "vigorously defend" the country's nuclear rights and ensure a "total lifting of sanctions."

The senior U.S. State Department official told CNN on Sunday that the Iranians "still have big decisions that need to be made."

International nuclear watchdog: Iran needs to cooperate

@highlight

State Department official says extending deadline is an option

@highlight

Russian foreign minister is heading to Austria for the talks, state media report

@highlight

Iranian agency cites unidentified official as saying deal "impossible" before deadline

@highlight

Both sides appear to leave open the possibility of a further extension beyond Monday