(CNN) -- Driver's licenses and other state benefits are at the heart of a new battle in the national immigration debate.

Arizona Gov. Jan Brewer fired the opening salvo last week, on the same day that federal authorities began accepting applications for a program aimed at helping tens of thousands of young immigrants who entered the country illegally as children.

Brewer ordered officials in her state not to provide driver's licenses or any other benefits to immigrants granted "deferred status" under the new federal program, which allows accepted applicants to remain in the United States and work without fear of deportation for at least two years.

Undocumented immigrants take chance of a lifetime

"A lot of these issues are in uncharted waters. In this particular area, which is how do you treat people that are deferred action, there's very little legal precedent to go by," said Muzaffar Chishti, director of the Migration Policy Institute's office at the New York University School of Law. "States are making their own judgments."

That means the actual benefits recipients see could depend on where they live.

Governors in Nebraska and Texas have already followed Brewer's lead.

"The state of Nebraska will continue its practice of not issuing driver's licenses, welfare benefits or other public benefits to illegal immigrants unless specifically authorized by Nebraska statute," Gov. Dave Heineman said Friday.

Texas Gov. Rick Perry has said that the federal immigration "directive does not undermine or change our state laws," writing in a letter to the state's attorney general that the federal guidelines "confer absolutely no legal status whatsoever" on any immigrant who qualifies.

But California is moving toward granting licenses to the influx of undocumented immigrants expected to take advantage of the federal policy, as is Oregon.

"We're still trying to sort out what this new limbo category means for states," said Ann Morse, program director of the Immigrant Policy Project at the National Conference of State Legislatures.

Under the new policy, people younger than 30 who arrived in the United States before the age of 16, pose no criminal or security threat, and were successful students or served in the military, can get a two-year deferral from deportation and apply for work permits.

A memo outlining the Obama administration's policy states that the program does not grant legal status. But it does provide for a work permit and, presumably, the benefits that come with it.

The policy doesn't grant "legal status," but does give "legal presence," Morse said.

State authorities, she said, are struggling to answer a key question: "What do these two terms mean, and how do they intersect?"

Undocumented immigrants line up for relief from deportation

For Brewer, Heineman and Perry, the two don't intersect.

"If lawful status is required to receive a benefit, an individual will need to seek lawful status, not deferred action," Perry spokeswoman Lucy Nashed said.

So if undocumented immigrants in their states couldn't get licenses before, they can't get them now, since the legal status of the immigrants has not changed, their argument goes.

In some states, a work visa could be enough to establish legal presence and receive a driver's license, said Ian Grossman, vice president of the American Association of Motor Vehicle Administrators.

The topic has been coming up for many state officials, he said.

"They're definitely talking about it. The consensus is that well, we have our rules of who's eligible for a license," he said. "At the end of the day, it's a state-issued document, and the state has the authority to determine who is eligible for that document."

But in every state, the statutes determining those rules are different.

"It's too early to qualify or really predict what the impact may or may not be," he said.

Even in some states that have passed strong anti-illegal immigration laws, such as Georgia, driver's licenses may be available to undocumented immigrants who qualify under the new policy.

Under current Georgia law, people with deferred status can get a license, and that's what the state will do unless it gets different orders, said Susan Sports, spokeswoman for the state's Department of Driver Services.

"We're waiting for direction," she said.

The situation could be even more complicated when it comes to university tuition. Policies in different states vary, from barring undocumented immigrants from enrolling at all, to granting them in-state tuition.

In Georgia, the tuition rules are not mandated by law, but by university regents, said Charles Kuck, an immigration attorney in Atlanta. Once these new young immigrants are able to get Social Security numbers and driver's licenses, they may qualify for more benefits, he said.

5 things to know about the big change in immigration policy

States such as Arizona cannot discriminate against the new deferred action holders, and will eventually have to relent, Kuck argued.

Immigration lawyers are aware of the driver's license issue, but are more focused right now on helping immigrants apply to the deferred action program, said Carlina Tapia-Ruano, former president of the American Immigration Lawyers Association.

"Once applicants are approved, we will then as a group turn our attention to how to resolve this problem," the Chicago-based immigration attorney said. "Our concern (now) is not can you get a driver's license. Our concern is how can we get you qualified to get a work permit."

But battle lines are already being drawn in the latest war between the states and the federal government on immigration legislation, said Chishti of the Migration Policy Institute.

"States that have chosen to be welcoming towards immigrants will embrace this program through their state policies, and states that have been somewhat restrictive toward immigration and immigrants will see this as a new occasion to restrict state benefits from these programs," he said.

U.S. Department of Homeland Security spokesman Peter Boogaard said that the agency "doesn't comment on state specific matters."

Faces of hope line up for two more years in the U.S.

But he noted, in a written statement, that the department's deferred action program "is only a temporary measure."

"Congress must still act to provide a permanent solution to fix the broken immigration system," he said. "Until Congress acts, DHS is dedicated to implementing smart, effective reforms to the immigration system that allow it to focus its resources on common sense enforcement priorities, including criminals and other public safety threats."

In her executive order last week, Brewer said giving deferred action recipients "improper access" to state and local benefits would "have significant and lasting impacts on the Arizona budget, its health care system and additional public benefits that Arizona taxpayers fund."

Critics have slammed the Arizona governor's approach.

"Brewer is distorting federal law and inaccurately interpreting state law," Alessandra Soler, executive director of the American Civil Liberties Union of Arizona, said in a statement. "This order conflicts with state and federal law, because people who are granted deferred action will, in fact, have authorized presence in the United States."

Governors in Arizona, Nebraska and Texas are "shooting their economies right in the foot," said Ali Noorani, executive director of the National Immigration Forum.

"If this political grandstanding is successful, what will happen is that job creators won't be able to drive to the small business they want to start, and this new class of taxpayers will be kept from contributing to their states," said Noorani. "At the state level, we're going to watch this very closely."

Chishti, of the Migration Policy Institute, said the battle could end up in the halls of state legislatures -- or at the U.S. Supreme Court.

Court blocks provisions in immigration laws, lets some controversial ones stand

@highlight

Arizona's governor: Immigrants granted "deferred status" can't get driver's licenses

@highlight

Official: "We're still trying to find out what this new limbo category means for states"

@highlight

Analyst: "A lot of these issues are in uncharted waters"

@highlight

The benefits recipients see could depend on where they live