(CNN) -- U.S. Republican Senator Rand Paul announced last week that he is taking legal action against President Barack Obama for "snooping on the American people." Meanwhile, Democratic Senator Bernard Saunders has asked new questions in recent days to the U.S. National Security Agency (NSA) about whether it has spied on elected U.S. officials, including in Congress.

These related developments underline that the controversies over the NSA have become perhaps the biggest issue in the President's in-tray following months of damaging revelations, from Edward Snowden, about U.S. surveillance programs -- both domestically and internationally. With the disclosures doing considerable damage to the reputation of the United States in general, and particular harm to the NSA, and individual U.S. technology firms, the President is keen to try to try to draw a line in the sand in the new year.

Over Christmas, Obama spent much time during his Hawaii vacation reviewing reform options, including the 46 recommended in December by the independent White House Panel. And, he has promised a "definitive statement" in coming days on reforms to the NSA.

The President has already talked positively about some of the independent panel's recommendations, including halting the NSA's collection and storage of millions of U.S. phone records and instead requiring phone firms to hold this data. However, it remains unclear how sweeping the entire package of changes will be, nor how well received they will by U.S. and international publics.

While the White House is determined to move off the defensive on this issue, this will not be helped by the continuing flood of publicity that surrounds the NSA. Moreover, barring an amnesty for Snowden from Obama, it is also probable that there will be further damaging revelations from the former government contractor that help keep the issue in the spotlight. The likelihood of further disclosures is underlined by the estimate that Snowden has leaked only a small fraction so far of the material about the NSA that he has in his possession.

This highlights one of the fundamental issues underlying the Snowden affair: what it reveals about the changing map of influence and power in a world that continues to be transformed by economic globalization and the information revolution, including the rise of "big data" enabled by digital technology. To date, these forces have generally reinforced U.S. international pre-eminence for several reasons, including the country's relative technological edge over much of the rest of the world (which will decrease over time); the fact that its dominant culture and ideas are very close to prevailing global norms; and that its multiple channels of communication help to frame global issues.

However, this emerging environment has simultaneously raised new challenges, and not just for the United States. For instance, the potential for sensitive leaks, and technological advances that have led to vast increases in open source information for publics, has fueled skepticism of government information and actions.

Indeed, governments increasingly compete for international credibility not just with their foreign counterparts, but also "new" actors such as media outlets like Al-Jazeera, and other organizations like WikiLeaks. Sensitive disclosures, and/ or information that is perceived to be manipulated or propaganda, can undermine the credibility of a country and/or its government.

In the context of the Snowden allegations, key dangers for Washington are not just potential backlash from international publics. But also foreign elites (even strong allies like those in Germany) proving more cautious in sharing information and cooperation.

Looking specifically at the campaign against terrorism, the Snowden affair thus intensifies the global diplomacy challenge that Barack Obama faces five years into his presidency. While the President is still quite popular personally in many countries, international favourability towards the country and U.S. policies is now generally in reverse.

For instance, among the 22 countries surveyed by Pew Global in both 2009 (the first year of Obama's presidency) and 2013 approval of US international policies has dropped by about 20% or more in six states, including China, Indonesia, Argentina, and Egypt. In many other countries (including Canada, Russia, Britain, Poland, France, Turkey, Jordan, and Japan), the fall-off is over 10% over the same period.

U.S. use of drone strikes on suspected terrorists, in particular, is widely unpopular internationally. More than half of the populations, in almost all countries surveyed by Pew Global in 2013, were opposed to continued use of these unmanned combat aerial vehicles.

The public diplomacy challenge facing the United States is particularly grave, right now, in the Middle East where support for the campaign on terrorism is especially important. However, only an alarming 11% of the population in Pakistan, 14% in Jordan, 16% in Egypt and the Palestinian territories, and 21% in Turkey, currently have favorable views toward the United States according to Pew Global.

It is important that the Obama team begins to turn this climate of opinion around. This is because, in common with the Cold War, the challenges posed by the campaign against terrorism simply cannot be overcome by military might alone.

Thus, Washington must redouble its efforts to win the battle for international "hearts and minds." This will help create an enabling (rather than disabling) environment facilitating both covert and overt cooperation and information sharing with U.S. officials.

To be sure, some countries will continue to assist Washington because of factors such as self interest and/or fundamental agreement with U.S. strategy and policy. However, the degree to which other states do so, especially in crucial theaters like the Middle East and Asia, will often depend heavily upon a mixture of the attractiveness amongst foreign publics, and the degree of trust and support within national elites, of the United States in general and the Obama administration in particular.

It would be a tragedy if these relationships become critically damaged by the Snowden affair.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Controversies over NSA may be the biggest issue in President's in-tray, writes Andrew Hammond

@highlight

Over Christmas, Obama spent much time reviewing reform options, he writes

@highlight

Hammond: Survey shows U.S. use of drone strikes is widely unpopular internationally

@highlight

It is important that the Obama team begins to turn this climate of opinion around, he says