(CNN) -- In the Old Testament, camels made for a very useful literary device. Primarily, they represent great wealth; When Abraham journeys to Egypt, the Pharaoh offers him a huge bounty, including sheep, servants and -- the crÃ¨me de la crÃ¨me -- camels, in exchange for Abraham's wife, Sarah (though in fairness, the Pharaoh thought they were siblings).

Camels are used later to demonstrate Abraham's own riches (acquired later in life), and ultimately, the good heart of his future daughter-in-law, Rebecca, who is chosen after she kindly offers the beasts of burden some water.

Though these animals play a central role in Genesis, new evidence has called into question their existence in Israel during the lifespans of Abraham and his immediate descendents (believed to be between 2000-1500 BC), and with it, the authorship of the bible.

Professors Erez Ben-Yosef and Lidar Sapir-Hen, archaeologists from Tel Aviv University in Israel, recently published a study after radiocarbon dating camel bones uncovered during excavations in the Aravah Valley -- an area on the border of Israel and the Arabian Peninsula, and one of the most logical spots where camels would have first been introduced into the country. Excavations uncovered the oldest camel bones yet found in Israel, and these dated no earlier than 940 BC -- at least 500 years later than when they are described in the bible.

Read more: Inside the tomb of an ancient Egyptian brewer

"This is a very good example that the stories were written at a much later time than they supposedly took place. The editor of these stories knew the camel was a draft animal used in his time for traveling across the desert, so of course Abraham, Jacob and David used camels. We call it an anachronism; he projected the reality that he knew at his own time," says Ben-Yosef.

He is also quick to point out that though the stories may have been written later, his findings do not necessarily cast doubt on the tales themselves.

"It doesn't necessarily mean the stories are fiction or that there is no grain of truth in them. It doesn't mean Abraham wasn't a real figure; he can still be a real figure. It just means that the guy who put them into written form gave the background according to his realities. There were no archaeologists back then to tell the author that camels were not around."

Read more: The fight to save Bahrain's 4,000-year-old burial mounds

The findings are not exactly new -- archaeologists have been doubting the feasibility of Abraham riding a camel into Egypt since the 1950s -- but according to Ben-Yosef, the use of radiocarbon dating of the bones does narrow down the window of possibility considerably.

Naturally, not all are in agreement with the study's conclusions. Alan Millard, a professor of Hebrew and ancient Semitic languages at the University of Liverpool says that while he doesn't doubt the radiocarbon dating, he doesn't believe it disproves that camels existed in the Patriarchal Age.

"The archaeologists were working in a valley south of the Red Sea, but the stories place Abraham in South Iraq in Ur and in Southern Turkey in the area of Harran before coming to Canaan. The fact that there were no camel bones from before 1000 BC in the south of the land doesn't mean there were no camels anywhere else," he says.

Read more: Mysterious structure found at bottom of ancient lake

"It's always dangerous to make a widespread statement on the basis of a small piece of evidence," he adds.

Millard says that though rare, there is evidence that camels were used domestically during that period, including a Babylonian seal from between 1800 and 1700 BC carved in the style of Syria that depicts two deities sitting on a camel.

Despite the biblical debate the study has kicked off, Ben-Yosef and Sapir-Hen say the primary focus of the research was not to question Genesis, but shed some light on the economic workings of the time.

"The introduction of domestic camels enabled long journeys in the Levant, and all the way to India. It represented profound socio-economic change," says Sapir Hen.

"Before then, they used donkeys, and they can't travel those long distances without water. It really opened up trade to the rest of the world."

@highlight

A new study dating the remains of camel bones has spurred a debate on the bible's authorship

@highlight

Several stories in the bible depict camels being used for long journeys

@highlight

Archeologists from Tel Aviv University say camels weren't domesticated until centuries after the biblical references