Madrid, Spain (CNN) -- Spain's best-known judge, Baltasar Garzon, refused to answer questions from a prosecutor as he took the stand Tuesday in his trial on charges of abusing his judicial authority.

Garzon sat and listened in silence as lawyer Joaquin Ruiz Infante read out all his questions to put them into the court record.

The case centers on Garzon's investigation of human rights abuses under Gen. Francisco Franco, the dictator who ruled Spain for four decades, until his death in 1975.

A seven-judge panel at Spain's Supreme Court Tuesday rejected requests from both state prosecutors and Garzon's defense to throw the case out, clearing the way for private prosecutors to press forward.

Spanish law allows for private prosecutions, and it is the lawyers for these parties that are pressing the charges against Garzon.

Garzon, however, did answer questions from his defense lawyer, Gonzalo Martinez Fresneda, explaining that his investigation started in December 2006 after people came forward with complaints about those still missing from the Franco era.

Garzon testified that he searched but could not find any national census of how many people disappeared or their identities. So he decided to investigate because he considered those to be "permanent crimes" which still affect their descendants, since the remains have never been found.

He said he began to see evidence that there was a "systematic plan" against Franco's opponents, which he said included forced disappearances, illegal detentions and assassinations.

About 20 supporters applauded the judge in a hallway of the courthouse before the trial began Tuesday, while outside, dozens more demonstrated in his favor, some holding placards with just one word: justice.

Judges began hearing the Franco-era case last week, a week after a different seven-judge panel at the same court conducted another trial against Garzon, for allegedly abusing his judicial authority in a high-profile financial corruption case known as Gurtel. That trial lasted three days and a verdict is pending.

Garzon, 56, was suspended from his post in 2010, pending these trials. If convicted, he would not go to jail but could lose his right permanently to be a judge in Spain.

Many observers said the second trial is the more important one against Garzon, who became known internationally in 1998 when he sought the extradition of former Chilean dictator Augusto Pinochet, who was in a London hospital. Garzon accused him of the murder of Spaniards in Chile and crimes of genocide.

Reed Brody of Human Rights Watch was in the courtroom on Tuesday along with other international observers and later said, "Garzon showed today that his decision to take up the investigations of the crimes of the Franco era was fully supported by international law."

"But the spectacle of a judge as a criminal defendant, having to justify his investigation into torture, killings and 'disappearances,' was itself an affront to principles of human rights and judicial independence," Brody added.

The private prosecution is led by a small civil servants union called Manos Limpias, or Clean Hands. It brought charges against Garzon, saying he ignored a 1977 amnesty law approved in Spanish Parliament, two years after Franco's death.

"Parliament unanimously approved the amnesty law. Judge Baltasar Garzon takes a stance as if they're crazy. What does he think? That he's better than them?" said Miguel Bernard, leader of Manos Limpias.

Bernard denies critics' charges that his group is a tiny far-right front, but he recently told CNN he was proud to receive an honor just last month from the Francisco Franco Foundation.

Just before the trial began on Tuesday, Bernard told CNN outside the courtroom that he had heard the judges would deny the motion to stop the trial and instead proceed.

"A first victory," Bernard said.

Garzon said in May 2010, at the time of his suspension from his post as investigating magistrate at the National Court, "I face this calmly, with the tranquility of knowing that I am innocent of these charges."

Franco's military uprising in 1936 triggered the three-year Spanish Civil War. The war ended when Franco's forces emerged victorious over Republican and leftist fighters. Franco's dictatorship continued until his death.

Mass graves from the regime are still being unearthed, including one this week in the southern Spanish village of Gerena, said Emilio Silva, from a group called Historical Memory.

Silva said the excavations are being done with permission from the landowner, whether public or private, and with permission from local health authorities, who must ensure that the potential discovery of bones or other remains does not pose a current public health risk.

Just outside the courtroom before the proceedings began January 24, Garzon told CNN he was "okay" as he headed into this second trial. He talked with his lawyers and supporters, smiled broadly and appeared relaxed.

Garzon spent 22 years as an investigating magistrate at the National Court, which handles cases of terrorism and other delicate cases. He has investigated the late al Qaeda leader Osama bin Laden, the Basque terrorist group ETA, and drug traffickers.

At times in the past, Garzon has been considered a darling of the Spanish right or the Spanish left, depending on the cases he was investigating. His critics say he is too flamboyant and grandstands in front of the cameras.

Since his suspension in 2010, Garzon has been working as a legal adviser outside of Spain on human rights cases and judicial issues, including in Latin America.

@highlight

Baltasar Garzon refuses to answer prosecution questions

@highlight

The private prosecution is led by a small civil servants union

@highlight

He faces a private prosecution for investigating crimes under the Franco regime

@highlight

Critics accuse him of ignoring an amnesty law passed by Parliament