(CNN)Cricket is not a game that looks ready to take off among American sports fans -- but it could be about to provide an unexpected new career for professional athletes in the United States.

Despite the millions earned in Major League Baseball, the minor leagues are filled with players only pocketing around $1,000 a month as they chase a dwindling dream of making it big.

It's a breadline salary so low that it has sparked a class-act lawsuit against major teams.

But one man thinks another way out is for minor leaguers to take their professional skills and switch them to another ball game.

Julien Fountain, the former fielding coach for Pakistan's Test cricketers who also played baseball for Great Britain, is recruiting American players to a scheme he calls Switch Hit 20 -- aimed at taking the inherent aptitude and athleticism of ballplayers and training them in the nuances of Twenty20 cricket.

"I'm not trying to take players away from a baseball career," says Fountain, who had tryouts with the Royals, the White Sox and the Mets, before coaching some of cricket's top international teams using skills learned in the ballpark.

"But any current minor leaguers who feel they aren't going to make it, or guys who have recently been cut or quit because they simply cannot afford to carry on; they are perfect for a career in modern cricket. And the key things for these guys is that it pays considerably better than the Gulf Coast League."

It's something he's already done once. After leaving his post with Pakistan last year, he converted a group of Korean baseball players into a national cricket team that reached the quarterfinals of the Asian Games this fall.

"Having moved back and forth between the two sports myself, I know the potential these guys have for success in T20 cricket," says Fountain.

"I was the first to introduce baseball fielding techniques to international cricket, because a major league outfielder will out-throw a professional cricketer every time. This is a sport that Americans can do well at."

Minor leaguer Boomer Collins has been chasing the dream of the big leagues since he was a boy. His looks, his build, the way he talks and even his name are as near to the definition of an American ballplayer as you're going to get.

But beyond the square jaw and the all-state honors as both outfielder and quarterback, there's one thing that makes him different to every other guy out there on the diamond.

He wants to be the greatest cricket player the world has ever seen.

Thomas Collins III got the nickname "Boomer" thanks to the tornado crashing past the Texas hospital where he was born in June 1989.

A couple of decades later and his .374 batting average, with 13 home runs in 60 junior-year games at Dallas Baptist, saw him eventually signed by the Blue Jays.

His story since then is depressingly similar to thousands like him, becalmed in the minor leagues on a poverty-line salary of $1,200 a month.

"I'm always an optimist. I'm 25 years old. This year will probably prove a lot. I want to make the big leagues and I'm going to work my butt off until it happens or doesn't happen," Collins said in his break between working an eight-hour milk delivery shift and a full afternoon of offseason training.

Collins is one of the first signups to Switch Hit 20, and talks with surprising enthusiasm about a sport he has only seen on YouTube links sent to him by Fountain.

Cricket's revolution 11 years ago into Twenty20 or T20 -- with games taking three hours instead of five days -- has seen sleepy spectators replaced with raucous crowds, batters swinging for the fences instead of blocking balls, cheerleaders on the sidelines, and the creation of new competitions.

The annual Indian Premier League, for instance, awards the best players seven-figure contracts for a season lasting just eight weeks.

Collins hopes it can save him from 3.45am wakeup calls and the end of his athletic career, but believes he has something to contribute as well.

"I've always wanted to do something to change the world -- something that I can put my stamp on," he says.

"Jackie Robinson did it for African-Americans in baseball. We can do it for Americans in cricket.

"The athleticism that Americans can bring to the table could revolutionize the game of cricket even more to become a bigger, faster, stronger sport.

"Look at soccer now. That all came from American players making a stand in what was a minority sport over here.

"If you would've said 'soccer' about five years ago people would've said, "Get outta here, man". Now everyone's watching the World Cup."

Another player hoping to break the mold is middle infielder Jordan Dean, a 24-year-old drafted by the Tigers in 2012 but now with Illinois independents the Schaumburg Boomers -- and studying for an M.B.A. as a Plan B.

"A lot of us guys in the minor leagues have to take the decision -- are my legs going to hold up, or my bank account, and which is going to go first?" Dean says.

"In my case it'll be the bank account, because I know that otherwise I'll never be ready to finish playing ball.

"I've talked to my girlfriend about the cricket thing. We'd go through about five or 10 minutes thinking how amazing it would be, traveling the world playing sport. Then it would be, 'What the hell am I saying?' It's ping-pong in my brain."

For Fountain, the endgame goes beyond getting his players a T20 contract.

"I want to inject enough talent into USA cricket, to see it bounce back up the rankings. I want to coach a USA team at a World Cup."

A team already exists, but he believes replacing its largely ex-pat spine with American baseball talent is the only way it can join the elite.

"Wearing a jersey with the flag on the front and your name on the back is huge for any American," says Dean. But Fountain has also let his early sign ups know that there are a few things to iron out before he can start printing jerseys.

"I'm aiming for tryouts in the spring, so the guys who are already with teams, or trying out for teams can also come and try out for me," says Fountain.

"Sponsorship is crucial. We're in talks with some interested parties but even if companies like Greyhound can lay on some tickets to get these players to the tryout, that would help.

"I've wanted to do this for years -- I talked to some TV companies about a reality TV show back in 2010 and I hope it could still be a part of it."

Brenden Kalfus, 23, was another earning in the region of $14,000 a year with a Blue Jays affiliate before they let him go this past season.

"I think if we all started playing cricket, I don't think the expectation would be that we're going to be stars and make millions," he says. "It would just be great to be the first to bring it out to America. Then see where it goes after that."

If the project stalls, Boomer Collins is prepared to go it alone.

"The whole thing with me is that whatever happens, I still want to go overseas and try because I have got that excitement so high," he says.

"I still want to go and train with Julien to try it out myself. If we can work out a living situation with food, I would do it in a heartbeat. I don't have to have some sort of income, just as long as me and my wife have food and a place to stay.

"I know that I'm not going to be the best in the world in the first five years of playing the sport. But I'm also never going to go in and say, 'I'll just be OK.'

"I'm going to go and try and be the best cricket player in the world."

Fountain says it will take less time than Collins thinks.

"These guys have the potential to take the world of T20 cricket by storm," he said.

"For the last few years you have heard cricket announcers use the phrase, 'That was a real baseball shot.'

"Well now you will be able to see those so-called baseball shots executed by guys who really can hit a ball 400 feet -- with a bat whose hitting area is a fraction of the width of a cricket bat."

@highlight

Low wages push players away from minor league baseball

@highlight

Pro cricket coach Julien Fountain boosts US cricket with new Twenty20 talent scheme

@highlight

Baseballer dreams of becoming "best cricket player in the world"