(CNN) -- Did you set your clocks back this morning?

If you forgot, you may want to go ahead and do it now.

Don't feel like you're being rude; we'll wait right here for you.

There. You have now given yourself the illusion -- as all of us do, every spring and autumn as we adjust our clocks and watches -- that you are in control of the concept of time.

But that's a battle that we all seem to have lost a while ago. Every technological advance fools us into thinking that we have conquered time, that we have made it our servant. Yet there is this nagging feeling that it is we who have somehow become enslaved.

We suspect that our time is not, in fact, our own -- that it is some alien creature that has overcome us and altered us. We are constantly, as if against our wills, in a rush to be in a bigger rush. So why, then, does each day's invisible finish line seem farther and farther away?

The other morning, I was in an airport when I saw an artifact from a dying era, something as evocative, in its own way, as the crumbling edifices of ancient Rome. The artifact in the airport had been disabled, ready to be hauled off to the scrap heap.

Its name was printed upon it: "AT&T Public Phone 2000."

You may be familiar with the contraption. In the early 1990s, when 2000 still seemed distant and exotic, AT&T started installing the things in airports across the U.S. The AT&T Public Phone 2000 was far more advanced than a traditional pay telephone. It featured a glass screen, which blinked madly at passing men and women, inviting them to come hither. It featured a keyboard. It had a wide bench seat.

The idea was that the business traveler with an extra few minutes before his or her flight could sit down, insert a credit card, and -- here was the magical part -- send a written message to friends and associates in other parts of the country.

They were big and bulky and undoubtedly expensive to produce, and soon enough they became all but useless because people now carry tiny personal versions of those machines in their pockets. Which is why the wiring had been cut on the AT&T Public Phone 2000 that I saw the other day, and why it sat there in the terminal, unavailable for use.

Our ability to reach each other in a millisecond, and to reach the world at large, has progressed so rapidly that we didn't seem to fully notice as it happened.

One day we were walking down city streets making eye contact with each other, taking in the local scenery, and the next we were staring at the screens of our hypnotic phones, receiving real-time messages and breaking-news updates from people hundreds of miles away. It was a tradeoff we didn't exactly ask for. Yes, the concept of distance was all but erased -- but so, in a way, was the concept of place. We were sold the notion that we could be anywhere, with the tap of a key. What we only gradually began to recognize was that, by being everywhere, sometimes it felt like we were nowhere.

Any delay began to feel unacceptable. Most of us grew up accustomed to having to wait for letters in the U.S. mail; when e-mail made that largely unnecessary, we told ourselves that the new speed of electronic correspondence was satisfying and ideal. But then came instant messages, which were. . .well, instant. This was all supposed to save us time.

Yet do you feel as if time is something you have mastered? Do you believe that you have many more free hours to yourself now? Have the ever-sleeker-and-smaller machines and the ever-more-potent software cleared your schedule, made you a man or woman of leisure?

Or do you sometimes worry that you are working for your handheld communication device, instead of the other way around?

"What's new?" has ceased to be a casual pleasantry, and has become an urgent demand. Indeed, the word "new" itself has lost its punch; in marketing campaigns, the adjective "new" has increasingly been tossed aside and replaced by the adjective "next." "New" now seems somehow old.

At family gatherings and get-togethers of friends, something is happening that would have seemed outlandish even a few years ago. People at the parties are posting photos and videos of the events on social networking sites even as the parties are still going on.

Thus, friends and acquaintances around the country and around the world are looking at the party pictures and videos and evaluating them before the party is even over. And people who are at the parties themselves, checking in on the same social network sites, are looking at the publicly posted pictures of the party they are still attending. It's like a bizarre form of proactive nostalgia for something that hasn't finished taking place yet.

Some day soon, even this will seem quaint and outmoded; some day soon, this current ability to be constantly in touch will feel creaky and broken-down, like the AT&T Public Phone 2000 that was ready to be carted out of the airport. Right around the next corner -- someone is already working on it -- the next generation of technology is almost ready, with the promise of compressing time and space in ways that will make us dizzy.

And yet: Has all of this increased your ability to take a deep breath, to relax, to savor the time that is available to you? Did all of the rushing deliver you to someplace better?

Now. . .how did we get started on this?

Oh. Of course.

Did you set your clocks back this morning?

You don't want to let time get away from you.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

CNN contributor reflects on time as we set our clocks back an hour

@highlight

New technology was supposed to save us time, but Greene wonders if it's made life better

@highlight

Greene: Even e-mail wasn't fast enough for us -- for speed, we have instant messaging

@highlight

Greene notes people post pictures, notes about social events before they're even over