(CNN) -- Simba Makoni, the former Zimbabwean finance minister and presidential candidate in the country's last elections, describes himself as "an eternal optimist."

"I believe those of us who don't see a half-empty glass but a half-full glass will prevail over those of us who want to keep us stuck in the past," he said reassuringly as he concluded his speech Tuesday at a Royal African Society event in the UK entitled "Whither Zimbabwe?"

Yet, Makoni's optimism-filled end remarks could do little to lift the gloom that had descended upon the packed room moments ago while he was describing life in today's Zimbabwe.

"Surviving is very difficult on a daily basis," Makoni, founder and president of the Mavambo.Kusile.Dawn party, had told earlier the crowd of analysts, activists and members of the diaspora gathered at London's School of Oriental and African Studies (SOAS).

Unemployment is soaring, he said, and acute food shortages threaten vulnerable parts of the population with starvation. Schools are short of books and hospitals often lack the most basic supplies -- just a few days ago, he said, a hospital in Harare was left without running water.

"This is why all our leaders when they're falling ill they leave the country and go for treatment in Thailand, in Singapore, in Malaysia, in the UK and the rest of us must die," he said.

Read related: Inside Zimbabwe's controversial Marange diamond field

A former member of Robert Mugabe's ZANU-PF party, Makoni first joined Zimbabwe's government in 1980, the year the southern African country gained its independence from Great Britain. He served as a deputy minister of agriculture before leading the industry and energy development.

During his tenure as finance minister in the 2000s, Makoni backed the devaluation of the Zimbabwean dollar and faced strong opposition as some of his policies contradicted the rest of ZANU-PF. He left the party in 2008 to run for president against Mugabe, garnering 8.3% of the vote in that year's controversial elections.

Makoni's speech at SOAS was billed as a conversation "on issues in contemporary Zimbabwean politics."

Yet, it felt more like the launch of a new presidential campaign.

Makoni blamed Zimbabwe's unity government for failing to meet people's expectations and regenerate the economy in a country beset by widespread poverty.

"The people of Zimbabwe are thoroughly disgruntled with the inclusive government and they would like the shortest opportunity to be rid of [it]," he said.

Zimbabwe has been ruled by a fragile power-sharing government cobbled together after 2008's disputed elections prompted months of violence that paralyzed the country. Under the deal, ZANU-PF leader Robert Mugabe remained president while his political foe, Morgan Tsvangirai, head of the Movement for Democratic Change (MDC-T), became prime minister. Third party leader Arthur Mutambara was named deputy prime minister.

Yet, tensions have always remained high within the coalition. Its two main parties quickly formed polarized political camps, quarreling publicly on a number of issues, including the draft of a new constitution. After many disagreements about the date of the next vote, Zimbabwe is now expected to go to polls within a year.

Makoni said that Zimbabweans "are yearning for elections the soonest" but are also "fearful of the violence" that had engulfed past votes. "They would like assurances that that election would be free and fair, without violence and intimidation."

He noted, however, that Zimbabwe does not need a new constitution to hold free and fair elections. In principle, Makoni said, the existing law and institutions such as the Zimbabwean Electoral Commission are adequate: "If we put the right people in it but more importantly if we take out the wrong people who are in it at the moment."

Read: Zimbabwe 'open for business'

Last month, a Freedom House survey said that support for Tsvangirai's party fell from 38% to 20% in the last two years, while Mugabe's ZANU-PF grew from 17% to 31% in the same period. But also in August, a survey by Afrobarometer described a different picture, giving ZANU-PF 32% and MDC-T 31%.

Presented with these figures, which show that 2013's elections will be once again a contest between Mugabe and Tsvangirai, Makoni was quick to stress that 47% of the respondents in the Freedom House survey did not disclose their voting preferences.

"That is the most significant for me," he said. "For me and for others who are not in that global political agreement that is our target constituent because whoever gets half of that 47% is the person who will make the government of Zimbabwe the next time around."

Mugabe, who's been in power for 32 years, has blamed many of his country's economic woes on the sanctions, imposed by the United States and the European Union in 2002.

But Makoni argued that the sanctions, which include travel bans, and freezing of assets, were not affecting ordinary people. Instead, he said, the measures are aimed at Mugabe and his allies.

"These are targeted measures against individuals who are perceived to perpetuate the violation of human rights," said Makoni, who was also subject to the EU travel ban in the 2000s as a member of Mugabe's regime.

Trade between Zimbabwe and the EU grew by almost 50% in the last 12 months, Makoni said. Nearly all of the country's platinum production and most of its tobacco is heading to the northwestern hemisphere, he added.

"These things don't happen in a country that is under sanctions, particularly trade and economic sanctions," he said.

"Now, if barring Robert Mugabe and Grace Mugabe coming to London to shop at Harrods are sanctions against Zimbabwe, you will have to make a new definition of sanctions."

Looking toward the upcoming vote, Mokani said that his party has already began conversations in Zimbabwe to bring together other political groups and patriotic Zimbabweans who can help the country escape its hardship.

Not surprisingly, he said was hopeful about the Zimbabwe of tomorrow -- the people's resilient spirit and skills, coupled with a better management of Zimbabwe's natural resources, will all contribute to the country's resurgence, he said.

"There is a silver lining around this dark cloud hovering over Zimbabwe," declared Makoni. "The future of Zimbabwe is bright."

And when asked about who was going to win the next elections, Makoni, as optimistic as ever, replied: "Simba Makoni."

@highlight

Simba Makoni is a Zimbabwean politician who ran for president in 2008

@highlight

He says the country's unity government has not met people's expectations

@highlight

Zimbabwe is expected to hold elections in next 12 months

@highlight

Makoni says the "future of Zimbabwe is bright"