(CNN)Scientists at NASA are one step closer to understanding how much water could have existed on primeval Mars.

These new findings also indicate how primitive water reservoirs there could have evolved over billions of years, indicating that early oceans on the Red Planet might have held more water than Earth's Arctic Ocean, NASA scientists reveal in a study published Friday in the journal Science.

"Our study provides a solid estimate of how much water Mars once had, by determining how much water was lost to space," said Geronimo Villanueva, a scientist at NASA's Goddard Space Flight Center. "With this work, we can better understand the history of water on Mars."

To find answers to this age-old question about Martian water molecules, scientists used the world's three major infrared telescopes, in Chile and Hawaii, to measure traces of water in the planet's atmosphere over a range of areas and seasons, spanning from March 2008 to January 2014.

"From the ground, we could take a snapshot of the whole hemisphere on a single night," said Goddard's Michael Mumma.

Scientists looked at the ratio of two different forms -- or isotopes -- of water, H2O and HDO. The latter is made heavier by one of its hydrogen atoms, called deuterium, which has a neutron at its core in addition to the proton that all hydrogen atoms have.

That weighed down HDO more, while larger amounts of hydrogen from H2O floated into the atmosphere, broke away from Mars' low gravity and disappeared into space.

As a result, water trapped in Mars' polar ice caps has a much higher level of HDO than fluid water on Earth does, the scientists said.

The scientists compared the ratio of H2O to HDO in Mars' atmosphere today to the ratio of the two molecules trapped inside a Mars meteorite, a stone that broke off from Mars -- perhaps when an asteroid hit -- and landed on Earth some 4.5 billion years ago.

They were able to determine how much that ratio had changed over time and estimate how much water has disappeared from Mars -- about 87%.

The findings indicate that the Red Planet could have had its fair share of blue waters, possibly even yielding an ocean. According to NASA, there might have been enough water to cover up to 20% of Mars' surface.

That would amount to an ocean proportionally larger than the Atlantic on Earth.

"This ocean had a maximum depth of around 5,000 feet or around one mile deep," said Villanueva.

NASA scientists say that much of this water loss happened over billions of years, along with a loss of atmosphere. And as the planet's atmospheric pressure dropped, it was harder for water to stay in liquid form. Heat also contributed to its evaporation.

As a result, the remaining primeval ocean water continued to move toward the poles, where it eventually froze.

"With Mars losing that much water, the planet was very likely wet for a longer period of time than was previously thought, suggesting it might have been habitable for longer," said Mumma.

CNN's Ben Brumfield contributed to this report.

@highlight

Scientists studied water in Mars' atmosphere with three giant infrared telescopes

@highlight

They compared the ratio of certain molecules on the planet with that of a Mars meteorite that landed on Earth