(CNN) -- Those who oppose the 2010 Citizens United Supreme Court ruling and the explosion of outside money in politics might be breathing a sigh of relief that more than $1 billion in outside spending in federal elections, which heavily favored Republicans, did not seem to buy the results that the big spenders wanted. After all, most of the candidates backed by Karl Rove's Crossroads groups and the Chamber of Commerce, beginning with Mitt Romney, lost their races. But those concerned about the role of money in politics shouldn't be relieved. Not at all. Here are three reasons to keep worrying:

1. The biggest problem with money in politics is not that it buys election results but that it skews legislative priorities. Senators and members of Congress already spend ridiculous amounts of time raising money for their next election campaigns and to help fellow party members get elected and stay in office. Big outside money is going to make this money chase worse. It is not enough to worry about what your opponent can raise; now a billionaire across the country can put a million or more dollars up against you at the drop of a hat any time you take a position that the billionaire doesn't like. The fund-raising frenzy will never cease.

This potential for massive outside spending -- which may reflect the preferences of just one or a handful of people -- will change how Congress considers and passes legislation. Sheldon Adelson, the casino magnate, dropped $60 million or more in this election without making a dent in his net worth. How many members of Congress do you think would be interested in supporting gaming legislation, which Adelson opposes? And if they want to oppose Adelson, members would have to raise even more outside money to try to level the playing field.

Most worrisome when it comes to legislative skewing is what we as the public don't see: what gets left out of legislation, small favors buried in the fine print, things that get killed in committee. Sometimes a lot of money is riding on these invisible legislative choices.

2. Money still matters in campaigns. No serious student of American politics believes that the candidate with the most money always wins. After all, look at Linda McMahon, who spent more than $100 million of her own money in two bids to become senator for Connecticut. But money gets candidates second, third and fourth looks even when those candidates are lousy and don't deserve it. Consider Newt Gingrich in the Republican presidential primary. He survived as long as he did only because of the money from Adelson.

In close races, money can make a difference. Republican U.S. Rep. Dan Lungren of California lost a close contest in his race thanks in part to large amounts of outside spending against him. Not coincidentally, Lungren had been one of the first Republicans in recent years to call for campaign finance reform to curb the influence of outside money. A Sunlight Foundation analysis found at least four House races where outside money may have tipped the outcome.

At the presidential level, the unprecedented amount of outside money made the Obama-Romney race competitive, where it otherwise would not have been. While Obama succeeded in almost keeping up with the Republican fund-raising machine (and Obama also seemed to spend his campaign dollars more wisely), it is not clear that future Democratic candidates will be able to replicate the Obama fund-raising strategy, raising massive amounts of money from tens of millions of small donors. If big outside money in presidential elections leans toward corporate interests, it will give the candidates those interests back an edge in close elections.

3. Secret money is growing and dangerous. Thanks to holes in our disclosure laws, which Republicans in Congress so far have not seemed interested in fixing, much of this outside spending is going through groups who do not disclose their donors. The lack of disclosure is troubling for two reasons. First, voters use information about donors to evaluate campaign messages. Voters should know when Chevron or a big union is behind a "social welfare" group with a nice sounding name like "Americans for a Strong America."

Even more importantly, disclosure provides the press and public with tools to smoke out some legislative sweetheart deals that members of Congress might be offering big spenders. If we are going to be in a world without effective limits on campaign spending -- and the Supreme Court seems quite unlikely to reverse course on this point anytime soon -- disclosure is a second-best solution to try to limit the legislative leanings caused by large amounts of outside money. Sunlight can help expose the worst abuses of the political system wrought by unregulated money.

Rather than breathing easily, opponents of big, undisclosed outside money in politics need to continue to press the case for reform, beginning with a desperate need to fix our laws requiring disclosure by all who spend big bucks in our elections.

The opinions expressed in this commentary are solely those of Richard Hasen.

@highlight

Rick Hasen: Big money didn't buy the election, but it's still hugely influential

@highlight

Ineffective spending limits let big donors influence lawmakers, skew priorities, he says

@highlight

He says outside spending can't always buy elections, but it has good chance in close races

@highlight

Hasen: Unidisclosed donors keep voters from seeing who backs candidates, deals