WASHINGTON (CNN) -- Federal transportation safety officials Wednesday issued an "urgent" recommendation calling for a redesign of a component on some Boeing 777 aircraft engines -- a component blamed for two major mishaps in the past year.

The engines on this British Airways jet lost power as it prepared to land in London on January 17, 2008.

National Transportation Safety Board investigators said the Rolls-Royce engine component played a role in the January 17, 2008, crash of a British Airways jet near London's Heathrow Airport. Both the plane's engines lost power as the plane approached the runway, and 13 people were injured in the resulting crash.

Ten months later, on November 26, 2008, a Delta Air Lines Boeing 777 was in cruise flight over Montana when an engine lost power. That plane landed safely in Atlanta after pilots performed a procedure developed in response to the Heathrow crash.

In both cases, the NTSB said, a build-up of ice on a fuel/oil heat exchanger restricted the flow of fuel to the Rolls-Royce engines, reducing power.

"With two of these rollback events occurring within a year, we believe that there is a high probability of something similar happening again," NTSB Acting Chairman Mark Rosenker said in a news release.

The Federal Aviation Administration recently ordered operators of Boeing 777s that use the Rolls Royce engines to revise flight manuals to give pilots procedures to follow in certain cold weather conditions, outlining steps they should take if their jets experience a reduction of power.

But the NTSB said Wednesday the FAA action does not go far enough.

"The procedure has worked and it has been effective in significantly reducing the likelihood [of an incident]," said NTSB spokesman Peter Knudson. "But that's not enough. We need a permanent fix."

While the emergency procedures work, they add to the complexity of flying the plane and require a descent, which could be hazardous if the plane is not at a sufficient altitude, the NTSB said.

Some 56 aircraft in the U.S. fleet and a total of 228 worldwide are equipped with Rolls-Royce engines.

But the NTSB stopped short of recommending the planes be grounded. Knudson said the safety board believes the new procedures will significantly address the problem until Rolls-Royce has a new component ready for installation. Rolls-Royce indicated it can have a new system ready within 12 months, the NTSB said.

"We are encouraged to see that Rolls-Royce is already working on a redesign, and we are confident that with the FAA and EASA [European Aviation Safety Agency] overseeing the process, this flight safety issue -- even one as complex as this -- will be successfully and expeditiously resolved," Rosenker said.

The NTSB recommended that, once Rolls-Royce completes its redesign, the new system be installed on all affected Boeing 777's at their next maintenance check or within six months.

A Rolls-Royce spokesman said: "The report clearly states that the Rolls-Royce equipment on this flight met or exceeded all requirements. The report also highlights the emerging issue of ice build up in commercial 'long-cold-high' routes. This is an industry-wide issue which requires detailed research that is likely to shape future regulations and requirements."

"This has been a serious matter for both Boeing, and the airlines who use the 777 with Rolls Royce engines," said Richard Quest, CNN's aviation correspondent . "The development of a permanent mechanical fix will solve the problem. Until then pilots operating the plane will be on their guard for any signs of the problems re-occurring. That said, the plane remains safe to fly, otherwise it would have been grounded by the authorities."

@highlight

Safety Board urges quick fix for Boeing 777 engine problem

@highlight

Rolls-Royce engine blamed for two incidents last year

@highlight

NTSB: "High probability" of similar recurrence

@highlight

Some 56 U.S. aircraft involved; 228 worldwide