(CNN) -- A few years ago, Chicago resident Craig Benzine worked as a waiter. Now his day consists of planning, editing and posting a show for a large audience. His sound stage? His home.

Benzine is part of a new breed of celebrity: the successful YouTuber.

Not only that, he now makes a living just from his videos.

Under the name "Wheezy Waiter," Benzine puts on a regular show for 480,000 subscribers. He's part of the community of YouTube users who don't just think of the site as a place for fun videos (and with 1 billion unique users monthly, there are certainly plenty of casual viewers), but actively post to the site, putting a great deal of time and effort into entertaining their audience -- some of whom become "Internet famous" in the meantime.

Benzine is one of the subjects of a documentary, "Please Subscribe," which examines the hardcore YouTube community, which ran in theaters earlier this year and is now available streaming online.

Maintaining YouTube fame and making a living

For a lot of people, the idea of becoming famous -- and even making money -- on YouTube would appear to be something that just happens overnight. But in cases like Tay Zonday - whose song "Chocolate Rain" went viral - that's not the whole story.

Zonday was already uploading a series of videos to YouTube, when one became wildly popular, increasing his following on the site and leading to more videos.

With the number of YouTube subscribers having doubled in the last year, it should come as no surprise that we're seeing more success stories like this as well.

"The people on YouTube are hard-working people, and they make a good living doing it," which is something that director Dan Dobi said he wanted to show with "Please Subscribe."

That living is made through Google's AdSense program, which allows users to open their YouTube accounts to advertisers, after which Google selects the highest bidder. YouTubers get a cut of the profits. Some, according to Socialblade.com, earn millions of dollars a year.

Dobi pointed out that most people on YouTube are not "one-hit wonders."

"'Wheezy Waiter' uploaded hundreds of videos before getting recognition. To get successful is a hustle."

"I wish more people took the plunge into it and created an account, and realized it's not just cat videos," said Mitchell Davis, another subject of "Please Subscribe," who posts stream of consciousness vidoes as "LiveLavaLive," for his 638,500 subscribers, and then some.

The nature of YouTube celebrity

At the same time, the top YouTubers have fans just like other celebrities.

"The Internet celebrity aspect is almost more of a personal thing. They come up to you, they see you on a regular basis," said Davis.

"Some YouTubers upload five times a day. It's like 'I know you, I was just with you yesterday.' It's just like seeing a friend."

Benzine remembers being pointed out by a woman on the street once, saying "It's Wheezy Waiter! I love Wheezy Waiter!"

"I expected she was going to talk to me, but they walked right past," he said.

"It was funny because she treated it as if I was just on her computer screen, not actually there."

Zonday, who was suddenly everywhere in 2007 with his original song "Chocolate Rain," said he has gotten anecdotes from those among the video's 93 million views telling him he changed their lives.

"Their 2-year-old can't stop singing 'Chocolate Rain' at bedtime. Their grandmother loves to hear me sing 'You're a Mean One, Mr. Grinch.' They made their boss laugh by playing my 'Old Spice' video and got forgiven for being late. These are the most rewarding [things to hear]."

The Denton, Texas, YouTuber who only goes by the name Laina hit it out of the park with her very first video parodying "Beliebers." It made her an Internet meme for what became known as the "Overly Attached Girlfriend" face, which earned her more than 844,000 subscribers, a full-time YouTube career that pays her bills, and an invite to appear on "Late Night With Jimmy Fallon."

"It was the most surreal, crazy, fun experience of my entire life. Not only to be on TV, or to be on a late-night talk show, but to be on Jimmy Fallon -- a show I love and watch all the time -- that was crazy."

"Double Rainbow" fan Vasquez was invited to appear at a high school in Iceland after his video got 38 million views.

"They toured me around the country, made me a festival where they sang, danced, did a play, made me a mural and a throne to watch it all. The parents came out, they made me protector of the student body, decorated the school in rainbows and after the performance surrounded me, hugging and kissing me like I was a king."

And what of the other benefits?

"AdSense alone pays my phone and Internet bill," he said.

"I was a starving artist, for six years, prior to going viral, I made $6,000 a year or less breeding dogs, doing photography, eBay and cutting firewood. When I went viral, money started coming in from TV ads that I was in, the Gregory Bros. 'Double Rainbow' song, (which I still get checks from), licensing my videos, and public appearances."

YouTubing as a business

This experience has taught Benzine about how the business of creativity works.

"Being my own boss gives me a perspective I never had before. I understand that to be creative for a living, especially by yourself and on the Internet, you have to be able to roll with the punches, be versatile, connect with your audience, and be very prolific."

And he wishes that the public at large knew how much work went into making YouTube success happen.

"I used to sit back and critique TV and movies and YouTube much more harshly," he said. "But now I fully understand the process and what it means to come up with stuff on a regular basis, and it's hard work if you want to do it for a living. I actually work more hours a day now than I ever have in my life. Luckily, I love what I do. But that's what you have to do to make this work."

Zonday -- who was posting to YouTube for four months before hitting it big and now has more than 700,000 subscribers -- said, "I work months on some songs and videos that never see the light of day. There are other videos that take mere minutes, like my reading of Dr. Seuss."

For Laina, comedic YouTube videos come naturally.

"To be honest, most are done in a day," she admitted.

"I generally come up with an idea the day before, or maybe not even that early, and I write, record, and edit all in the same day. And to be honest, I've found that that's usually best."

The YouTube community - or something more?

Laina draws her inspiration from the "crazy, awesome thing" she calls the YouTube community.

"I had no idea before I posted that first video that there was anything even close to it out there. I've met people and made friends that motivate and inspire me to make better, more creative videos every time I get to spend time with them. It's a wonderful thing, really."

Several years and many viral videos into its success though, one has to wonder, why YouTube? What has sustained this community for so many years?

"There's a deeper connection between the creator and the audience than with traditional media," Benzine explained. Indeed, one thing all of these YouTubers have in common is a consistent point of view and a conversational tone.

"YouTubers are often talking directly to the camera. This gives the audience a sense that they are talking directly to them. It's because of this that I think the community is very tight and viewers and fans with take on a sense of ownership of the stuff created by the people they watch."

Vasquez put it this way: "The YouTube community is humanity's consciousness, the site is our memory."

In Zonday's view, though, YouTube is so big that it's gone beyond the term "community."

"Calling YouTube a 'community' in 2013 is like saying rock 'n' roll is a 'community.' The term is too small."

Benzine just hopes that YouTube continues to expand and that will benefit the individual YouTuber.

"We're in the middle of a time of big change in the entertainment world. This could turn into something even bigger or I could be left in the dust. I don't know. I'm enjoying the ride, though."

Who are some of your favorite YouTubers?

@highlight

In eight years, YouTube has created Internet celebrities with large followings

@highlight

YouTubers with a large number of subscribers can make a living just making videos

@highlight

In the view of some, YouTube has even grown beyond the term "community"