(CNN) -- Now that the Supreme Court has invalidated part of Arizona's voter registration law, states should be thinking twice before introducing laws to make it harder to cast a ballot. Monday's decision is indeed a big victory for voters — but it is also a stark reminder that free, fair and accessible elections in the United States are not as guaranteed as you might think. To fix this, we need to modernize our election system.

The Supreme Court took a critical step toward this, confirming Congress' broad authority to regulate how we conduct federal elections, particularly as politicians in states across the country continue to push new laws that would make it harder for Americans to vote. Dozens of restrictive measures passed in 19 states before the 2012 election. Citizens, the courts, and the Justice Department blocked or weakened most of them, but the push has continued in 2013. The court's decision gives federal lawmakers an even stronger basis to provide minimum national standards for voting and bring our election system into the 21st century.

The court also made it clear that states may not undermine Congress' effort to streamline the voter registration process for federal elections. In 1993, Congress passed the National Voter Registration Act, also known as the "motor voter" law, to upgrade registration. At the time, it was a terrific advancement for voters. It increased access to registration by providing one simple, uniform application form that could be used to register for federal elections in any state. It entitled all Americans to register to vote by mail and encouraged voter registration drives. It also gave citizens the opportunity to register while applying for a driver's license and other government services (hence the nickname).

This law has worked remarkably well. Voter registration rates surged after its passage; almost 16 million Americans register each year using its procedures.

But in 2004, Arizona passed a law that contradicted motor voter. It required voters to provide documentary proof of citizenship when registering. If voters submitted a federal registration without these documents, Arizona rejected their applications. This prevented tens of thousands of citizens from registering, made it difficult for many to register by mail, and dramatically cut back on community-based drives.

The court's decision stops that from happening. It resoundingly affirms what Congress tried to do with motor voter: create minimum national standards and streamline the registration process.

But we shouldn't stop there. Two decades ago, computers were still new to public institutions. Now they're everywhere and in the palm of our hands. Motor voter was the solution for the 20th century, but it has relied on error-prone paper forms and the mail. It is still ramshackle—illegible handwriting leads to mistyped names and addresses, for one thing-- and a chief cause of long lines and Election Day chaos. This can jeopardize a person's right to vote and harm the integrity of our elections. There are better solutions for the 21st century.

We need to change the way we think about voter registration and move our system into the digital age. If citizens take the responsibility to register to vote, the government has the responsibility to ensure they can. Existing technology can give citizens the choice to be electronically registered to vote at the same time they do business with a government office, such as when they apply for a driver's license or state veterans' benefits.

We can also enable citizens to register online and stay registered if they move or change their address. This would add 50 million eligible Americans to the rolls, cost less and curb the potential for fraud.

Fortunately, we've seen movement across the country. Already, most states-- including several this year--have implemented key reforms. Colorado passed a broad modernization bill, and Virginia and West Virginia instituted online registration. In January, Rep. John Lewis, D-Georgia, and Sen. Kirsten Gillibrand, D-New York, introduced the Voter Empowerment Act, which includes modernization at its core.

Judging by the long lines last November, we clearly need national voting standards that make voting speedy and efficient. Motor voter does that—and we are thankful the court agreed— but it's not enough. To ensure our elections remain open to all eligible Americans, registration must be brought into the 21st century — now.

The opinions expressed in this commentary are solely those of Wendy Weiser

@highlight

Wendy Weiser: Supreme Court's Arizona ruling points up need for voting modernization in U.S.

@highlight

Court said Congress, not states, regulates vote. Motor voter act aimed to make it easier, she says

@highlight

She says registration must move to digital age, replacing paper system, admitting more voters

@highlight

Weiser: Some states already do this. We need national voting standard for election process