Phil Mickelson, aka Lefty, is thinking of leaving California and perhaps America because, according to his own reckoning, he is facing tax rates of 62% or 63%. Mickelson, probably the second-most-famous professional golfer in the world after Tiger Woods, later backed off from his initial comments about making "drastic changes."

Reports suggest that Mickelson earned more than $60 million in 2012. In that sense, he appears to be doing better than the Romneys, and perhaps you are not all that sympathetic to him.

The Romneys (remember them?) paid so little tax. In 2011, Mitt and Ann Romney paid federal taxes of $2 million on reported income of $14 million, for an effective tax rate of 14%, all roughly. The Romneys even had to foreswear taking all of their available charitable deductions to make their tax rate seem so high for appearance's sake.

It does bear noting that Mickelson is doing something to earn his $60 million.  Whoever is paying him that much believes that he is worth it. Who are we, really, to argue?

Mickelson's instinctive reactions to high tax rates, even if his math may be a bit muddled, are sound and sensible ones. Tiger Woods certainly agrees with him.

But that is not the problem in the story. Lefty faces such seemingly inescapably high tax rates that he might just pack up his golf bags and leave home. Mitt pays so little tax that he has to ignore the law to pay a higher rate for appearance's sake.

How can this be?

The Mitt-Lefty paradox has a simple explanation: In America, we tax work. And highly.  We do not tax capital or wealth much at all. Indeed, if you have wealth already, taxes are essentially optional under what I call tax Planning 101, the simple advice to buy/borrow/die.

In step one, you buy assets that rise in value without producing cash, such as growth stocks or real estate. In step two, you borrow to finance your lifestyle. In step three, you die, and your heirs get your assets, tax free, and with a "stepped up" basis that eliminates all capital gains. That's it.

Romney, with a personal fortune estimated at $250 million (his five kids have another $100 million) has figured this out.  When he pays taxes, at all, he does so at the low capital gains rate.

Not so with Lefty.

He is a wage-earner, albeit a very highly paid one, and he's going to pay over one-half of his income in taxes if he stays in California.  We may not be shedding any tears for Lefty any more than we feel for Gerard Depardieu, who recently left France for Russia to escape taxes, or for the Rolling Stones, who many moons ago left England and recorded Exile on Main Street from France.

Yet one fact not making news is that it is still the case that the highest marginal tax rates in America do not fall on the highest incomes, like Lefty, but on certain of the working poor, many of them single parents, who are being taxed at rates approaching 90% as they lose benefits attempting to better themselves.

It's a "poverty trap" that works just like the severe marriage penalties for the lower-income classes. But the working poor do not have the options of going to Canada, Russia or France.

Lefty has a point -- high tax rates create disincentives. If the rates are high enough, people react by moving. This should not surprise us: American companies have been fleeing our shores for years, in droves. Ask Mitt.

But this should worry us, for two reasons.

One, the fact that the high incomers do flee jurisdictions, or flee from the productive activity of working, is a bad thing for the U.S.

Two, the very risk that the rich and famous might leave, aided by the appearance that some do, holds tax reform hostage. We have struggled to raise rates at all on the rich, blocked by the mostly mythical Joe the Plumber as much as by the realities of Mickelson or the Rolling Stones. When we do finally raise rates, as we did at the fiscal cliff, we do so on the wrong rich, in the wrong way.  Lefty's taxes went up, Mitt's need not.

The problem -- and it is the same problem as with Mitt's taxes -- is that we are taxing the wrong thing, in the wrong way.  In sum, we tax work, not wealth. This is backward.

We should be taxing the act of spending, not the socially beneficial ones of work and savings.  Then we could raise tax rates without fear of ill effects.

Mitt's taxes would go up, for he is surely spending more than $14 million a year, as by running for president, and we wouldn't need any special capital gains preference under a consistent spending tax. Lefty's taxes would go down to the extent he saves some of his $60 million, helping us all by working and saving.  When and if Mickelson or his kids spend, we could tax him or them then.

And if Lefty is really insisting on both earning and spending $60 million a year? Well, I figure he can buy a lot of borscht in Russia with that.

@highlight

Golf star Phil Mickelson is thinking of leaving California to avoid paying high taxes

@highlight

Edward McCaffery: Lefty has a point -- high tax rates create disincentives

@highlight

He says the problem is that we tax work, not wealth; this is is backward

@highlight

McCaffery: We should be taxing the act of spending, not that of work and savings