(CNN) -- Scientists in the Arctic have discovered the largest ever under-ice bloom of phytoplankton, likening the discovery to "finding the Amazon rainforest in the middle of the Mojave Desert."

Researchers were amazed to discover a colossal 100 kilometer (62 miles) stretch of phytoplankton blooming under Arctic ice, north of Alaska, in July last year.

It had previously been assumed that sea ice blocked the sunlight necessary for the growth of marine plants. But four times more phytoplankton was found under the ice than in ice-free waters nearby.

Scientists now believe that pools of melting ice actually function like skylights and magnifying glasses, focusing sunlight into sea water, providing the perfect conditions for the intense phytoplankton bloom, which makes the water look like pea soup.

Undiscovered until the 1970s, the ocean's phytoplankton is now understood to be responsible for about as much of the oxygen in our atmosphere as plants on land.

The ecological consequences of the polar bloom are not yet fully understood but given phytoplankton's position at the base of the food chain, it is expected to have implications for ocean animals that feed in the area.

It was a serendipitous discovery for scientists who, as part of NASA's ICESCAPE program, were studying the impact of climate change in the Chukchi sea, where melt season changes are pronounced.

Making their way through meter-thick ice aboard the U.S. Coast Guard's largest icebreaker Healy in July last year, scientists observed surprising amounts of fluorescing chlorophyll, indicating the presence of photosynthesizing plant life.

Tide turns towards undersea energy

"If someone had asked me before the expedition whether we would see under-ice blooms, I would have told them it was impossible," said ICESCAPE mission leader Kevin Arrigo of Stanford University, at a press conference announcing the publication of findings in "Science" this month. "This discovery was a complete surprise."

Donald Perovich, a U.S. Army geophysicist who studied the ice's optical properties, described the under-ice area as looking "like a photographic negative".

"Beneath the bare-ice areas that reflect a lot of sunlight, it was dark. Under the melt ponds, it was very bright," he said.

The melt pools were found to let in four times as much light as snow-covered ice. Protected from ultraviolet rays, phytoplankton grows twice as fast under-ice as in the open ocean.

Using an automated microscope system called an Imaging FlowCytobot, Woods Hole Oceanographic Institution biologist Sam Laney took millions of photographs of the phytoplankton organisms, some of which he also found in brine channels inside the ice.

Antarctic ice shelves 'tearing apart', says study

The type of phytoplankton found near coasts can bloom rapidly when there are changes to the amounts of light and nutrients available. Some blooms are toxic for humans and marine life.

If the Arctic sea ice continues to thin, blooms might become more widespread and appear earlier, which could pose problems for migrating birds and whales, said Arrigo.

"It could make it harder and harder for migratory species to time their life cycles to be in the Arctic when the bloom is at its peak," he said. "If their food supply is coming earlier, they might be missing the boat."

"At this point we don't know whether these rich phytoplankton blooms have been happening in the Arctic for a long time, and we just haven't observed them before," he said.

@highlight

A NASA expedition has discovered a huge phytoplankton bloom under Arctic ice

@highlight

Scientists say melting ice pools function as skylights, enabling under-ice photosynthesis

@highlight

The timing of such blooms could affect migratory species' feeding cycles