(CNN) -- The former leader of Ivory Coast may have to face international charges for alleged crimes committed during his time in office, President Alassane Ouattara announced Wednesday, as he outlined his plans to bring peace and security to his nation.

Ouattara told reporters that he was setting up a Truth and Reconciliation Commission, similar to those created after civil wars or conflicts in other countries, in order to bring to justice anyone who committed atrocities during the most recent strife or even before that.

"Reconciliation can't be done without justice," Ouattara said in a news conference at the Golf Hotel, where he was holed up for months in the violent aftermath of the disputed presidential election.

"All Ivorians are equal in the eyes of the law, no matter their politics, their origin, their religion or their race," he said.

Former President Laurent Gbagbo has been moved out of the Golf Hotel, where he was held after his arrest Monday, and is now under guard in a villa elsewhere in the country, Ouattara said.

"He is safe, and we will treat him with consideration," the president said. "He is under house arrest in a villa.

The president of the U.N. Security Council, Colombian Ambassador Nestor Osorio, said Wednesday that Gbagbo was taken to a presidential residence in the northern part of the country.

"We must respect his rights as a former leader, and make sure that the consideration he deserves due to his former title is truly respected, and of course that his physical safety and health is also preserved," Ouattara said.

As for charges against Gbagbo, that will be up to the Ivorian justice minister, Ouattara said, adding that international counts would be determined by an international prosecutor.

The president also vowed that even members of the Republican Forces -- the troops loyal to him -- who were found to have committed crimes would be brought to justice.

"All the soldiers -- even those in the Republican Forces -- identified as being pillagers will be dealt with," the president said, in response to a journalist's question about reports of Republican Forces troops participating in raids and pillaging in Abidjan.

Human Rights Watch published a scathing report Saturday about abuses perpetrated by pro-Ouattara forces on their offensive to Abidjan.

People interviewed by the monitoring agency "described how, in village after village, pro-Ouattara forces summarily executed and raped perceived Gbagbo supporters in their homes, as they worked in the fields, as they fled or as they tried to hide in the bush."

"Ouattara should fulfill his public pledge to investigate and prosecute abuses by both sides if Côte d'Ivoire is to emerge from this horrific period," said Daniel Bekele, Africa director at Human Rights Watch.

Also under investigation is the massacre in the western Ivorian town of Duekoue, where the International Committee of the Red Cross said 800 people were slaughtered. The United Nations blamed many of the deaths on Ouattara's forces.

Ouattara said the minister of justice has already begun a probe into those killings, the Human Rights Commission would be sending representatives in the next few days to look into the matter as well, and he has scheduled a meeting with the chief prosecutor for the International Criminal Court.

"I condemn this massacre," Ouattara said Wednesday. "The people responsible for these killings, whoever they are, will be judged."

"I am revolted, indignant at the number of dead," he added.

As many as 27,500 people took refuge after the massacre in a Catholic mission in Duekoue, according to Amnesty International, and humanitarian conditions there are deteriorating rapidly.

"They are trapped in overcrowded and appalling conditions, having fled their homes after atrocious abuses were carried out by both parties to the conflict," said Véronique Aubert, Amnesty International's deputy director for Africa.

The human rights group also warned that supporters of Gbagbo in Abidjan and elsewhere were at risk of violent reprisals following the former president's capture.

One eyewitness reported to the group that a policeman belonging to Gbagbo's ethnic group was taken from his home and shot dead at point blank range, an Amnesty International statement said.

"Dozens of young people are going into hiding in Abidjan out of fear for their lives," Aubert said. "In the western part of the country, people suspected of being pro-Gbagbo are also terrified. Many are hiding in the bush after their villages were burned down. They need to be protected."

On Wednesday, the International Rescue Committee said in a statement that rapes, sexual assaults, beatings and harassment of Ivorian women and girls by armed men had increased by "alarming numbers."

"Women and girls are being brutally raped by armed men, often in front of their family members," said Liz Pender, an IRC women's protection expert, who has been meeting with groups of Ivorian women and girls who fled to Liberia in recent weeks to escape the violence in their homeland. "One woman told me she was forced to watch as several men took turns raping her sister, sometimes with a stick, and that she didn't survive the attack."

The refugee women who took part in Pender's group discussions said fear of rape or sexual slavery were the primary reasons they fled to Liberia, according to the IRC statement. It provided no details on the identities or political ties of the armed men carrying out the assaults.

Ouattara has blamed much of the bloodshed in the aftermath of the election on forces loyal to Gbagbo, and said his government has begun a two-month program to root out weapons across the country.

He's also demanded that the militia members and mercenaries who worked for the former leader surrender their arms immediately.

But he faces a daunting task in forging a peaceful and stable path forward.

Chief among his challenges, said longtime observers, will be to unite the severely divided nation and ensure justice for those who committed grave human rights violations in the nation's political vacuum -- including those in his own camp who stand accused of heinous acts.

Most of the blame for the bloodshed rests squarely on the shoulders of Gbagbo, whose refusal to cede power plunged Ivory Coast into crisis, said Jendayi Frazer of the Council on Foreign Relations and a former U.S. assistant secretary of state for African Affairs under former President George W. Bush.

The International Criminal Court in The Hague, Netherlands, is now poised to investigate alleged war crimes instigated by Gbagbo.

Ouattara will have to delicately balance such a probe with reconciliation. After all, said expert Alex Vines, Ouattara did not win in a landslide.

Gbagbo won 45.9 percent of the vote and as such, Ouattara will have to reach out to his rival's supporters, perhaps even welcome them into his government without jeopardizing justice, said Vines, head of the Africa program at the British think tank Chatham House.

But even more significant may be the way Ouattara handles his own dirt.

Though he emerged in the Western media as the good versus Gbagbo's evil, Ouattara, too, has been accused of having blood on his hands.

In the United States, Ouattara's critics questioned his right to rule.

"It is now clear, based on U.N. reports coming from Cote d'Ivoire, that mass killings have occurred at the hands of Alassane Ouattara," Sen. Jim Inhofe, R-Oklahoma, said earlier this month.

"This calls into question his legitimacy to lead that country," said Inhofe, who has visited Ivory Coast nine times and made no secret of his support for Gbagbo. "Ouattara is on a rampage, killing innocent civilians, and he must be stopped before this becomes another Rwanda."

Human rights lawyer Geoffrey Robertson said Ouattara's moment in the spotlight could quickly dim without adequate investigations into the abuse allegations against forces loyal to him.

"Mr. Ouattara should also be investigated because of the evidence that his troops did commit rapes and abuse en route to Abidjan," said Robertson, a former president of the U.N. special court for Sierra Leone.

Such a probe could answer questions about what amount of control Ouattara exerted over the forces fighting under his name and whether he deliberately failed to stop them, Robertson said.

In his favor, Ouattara has been viewed for some time as a hardworking man, an honest politician who favors transparency.

He hailed from northern lands dominated by Muslim immigrants who came to work in Ivory Coast and eventually grew into influential businessmen and traders.

The U.S.-educated Ouattara quit his International Monetary Fund job to run for president in 2000 and might have met Gbagbo on the ballot then, except that he was marked as an outsider -- his mother was from Burkina Faso -- and barred from participating in the election.

The pro-Gbagbo newspaper Notre Voie accused Ouattara of backing a failed 2002 coup against Gbagbo's government, which triggered the 2002 civil war.

Ouattara's critics blame him for the deep split that Ivory Coast has yet to mend.

Vines said the rebels who fought in the 2002 civil war, the Force Nouvelles, formed a large part of the pro-Ouattara forces fighting Gbagbo's troops in the latest crisis.

The United Nations has repeatedly cited the armed group for breaking the arms embargo imposed on Ivory Coast, and human rights groups have sounded alarms about its abuses.

The moral high ground in Ivory Coast, said Vines, is that the election result is clear and in favor of Ouattara.

"After that it gets gray and in the last few weeks, it's gotten very opaque indeed," he said about the recent spate of killings, especially the massacre in Duekoue.

Ouattara, said Robertson, must conduct a swift inquiry into the allegations and punish the perpetrators.

Otherwise, Robertson said, Ouattara will "himself be vulnerable to prosecution in The Hague."

@highlight

NEW: Sexual assaults by armed men increase, international agency says

@highlight

The International Criminal Court is poised to investigate Laurent Gbagbo

@highlight

Human rights monitors accuse pro-Ouattara forces of atrocities, as well

@highlight

Ensuring justice in Ivory Coast will be critical to its future, experts say