Montgomery, Alabama (CNN) -- I'm an attorney and I represent incarcerated people, both in my home state of Alabama and across the United States.

I spend every day with people who are poor, disadvantaged, condemned and marginalized. I am persuaded that we can and should do better to create more hopeful and encouraging solutions to poverty, crime and inequality in this country.

In the last 40 years, our society has witnessed unprecedented technological change, incredible innovation and a great deal of promise and success in many areas.

Watch Bryan Stevenson's TED Talk

We have also seen growing inequality, increased levels of poverty and unprecedented rates of imprisonment. I have come to believe that, for all the things we have accomplished, injustice, poverty and mass incarceration are stains on our society. They cannot be ignored.

In 1970 there were roughly 350,000 people in our jails and prisons. Today there are more than 2.2 million. That's not counting the nearly 5 million people who are on probation or parole. One in every 31 Americans is subject to some form of correctional control.

This policy of mass incarceration did not come out of nowhere. It was born out of a politics of fear and anger based on now discredited theories. It was our response to problems in our society that we were not creative enough -- or perhaps not courageous enough -- to solve. Public safety is a legitimate priority for any nation, but it does not explain the fact that the United States now has the highest rate of incarceration in the world.

TED.com: America's native prisoners of war

Mass incarceration has been our response to poverty. The boom in imprisonment coincided with a retraction of programs intended to pull Americans out of poverty. And incarceration itself has a lasting impact, not just on the economic mobility of former prisoners, but on the mobility of their children and families. There are now more than 46 million people living below the federal poverty line in the United States.

Mass incarceration has been our response to mental illness. More than half the people in our jails and prisons have mental health problems and most are not receiving treatment. Many of these individuals also have substance abuse disorders. Veterans, suffering from PTSD from their combat experience, are at increased risk of suicide in prison.

Mass incarceration has been our response to the oldest and most enduring problem of our nation: the problem of race. While more than one in 100 adults in America are behind bars, that number is one in 15 for African-American men. We frequently target communities of color with unequal enforcement of the law and subject too many young black and brown people to a presumption of guilt that results in disproportionate sentences and mistreatment.

But the numbers alone don't tell the full story. Our sentencing practices in individual cases reveal the gross excesses of our system.

TED.com: Hans Rosling's new insights on poverty

As we've locked up more and more people, sentences have gotten harsher. Misguided three-strikes laws have had the perverse result of sending people to prison for the rest of their lives for petty crimes like stealing a set of golf clubs. We are the only nation in the world that sentences children as young as 13 to die in prison. And we continue to have a death penalty that not only costs billions, but also produces unfair and unreliable results. For every nine people we have executed in the last 40 years, we have found one person on death row who was innocent. This error rate would be intolerable in any industry, yet where the difference is that of life or death, we are unwilling to speak up.

Why? How has a problem that affects one in 31 Americans (not to speak of their children, families, and communities) been ignored for so long? The answer is that mass incarceration impacts mostly the poor, the historically disfavored, the racial minority: those whose voices are rarely heard.

Spending on jails and prisons has required taking money away from education, public benefits and social welfare in too many states. Some conservatives and progressives have begun to recognize that it's time to dismantle the policies of mass incarceration.

More of us must speak up. We must take responsibility for human suffering and despair even when we are conditioned not to see it. We need to challenge ourselves to work toward meaningful solutions, like rehabilitation and reform. We need to talk about the ugliest chapters of our history; we need to talk about race and poverty. Most of all we need to talk about injustice. Because until we confront injustice, I believe its stain will shadow all of our accomplishments.

We need to talk about injustice, because who we are as a society cannot be accurately defined by our wealth, our technology, or our celebrities. We will be ultimately defined instead by our treatment of the poor, our compassion for the condemned, our commitment to our own humanity. We need to talk about injustice, so that we can create justice.

The opinions expressed in this commentary are solely those of Bryan Stevenson.

@highlight

Bryan Stevenson: The number of Americans in prisons has grown tremendously

@highlight

He says mass incarceration is an injustice that stains America

@highlight

Stevenson says justice system incarcerates minor criminals, locks up children for life

@highlight

He says America will be judged for its compassion for poor and condemned