(CNN)Close your eyes and imagine the "center" of America.

What do you see?

Is it the rolling plains of Kansas, or Manhattan's field of skyscrapers? The foggy Golden Gate, or a gated community?

Lately, all I can see is Ferguson, the now-famous Missouri town where, in August, a police officer shot and killed an unarmed black teenager, Michael Brown. It's a place no one had heard of a year ago but now finds itself at the center of the news cycle, at the center of our national attention and at the center of a new and profound sense of worry that racial injustice may long divide us still.

But the national focus is always shifting.

Not far from Ferguson -- 167.8 miles to be exact -- is a place that, by definition, is a different kind of "center" of the country -- the statistical mean center of population. That probably sounds meaningless, but, according to the U.S. Census Bureau, it's the place "where an imaginary, flat, weightless and rigid map of the United States would balance perfectly if all residents were of identical weight." The spot has moved west and south as Americans themselves have pushed out of the 13 Colonies and, now, into the desert Southwest. The dot, in that narrow sense, tells a particular part of our national story.

And, as of 2010, that spot rests in Plato, Missouri. Population: 109.

Plato's demographics mirror neither Ferguson's nor the nation's. In a country that is becoming increasingly diverse (whites no longer will be in the majority by 2043, according to the census), Plato is almost completely Caucasian. The nation is urbanizing (81% of Americans live urban areas, according to the 2010 census, up from 79% in 2000); Plato, meanwhile, is about as rural as they come. When I visited the town in 2011 for a CNN story, I clocked a drive across town at 1 minute and 9 seconds, and that's assuming you're obeying the 40-mph speed limit.

In other words: Plato isn't America, but it's still part of America.

This paradox -- what does this almost-random place say about the rest of us? -- is what drew me to the tiny town for a story on a Census Bureau ceremony that designated the town as our national population center. It's also what captivated New York photographer Benjamin Hoste, who has visited Plato at least nine times in recent years. He plans to keep going back until about 2020, when the mean population center will change, likely moving to the west in tow with itinerant Americans.

I got a chance to talk by phone with Hoste recently, and you can see some of his photos from the project in the gallery above. We spoke before the protests broke out in Ferguson and across the nation following a grand jury's decision not to indict the officer who shot Brown. Maybe that's just as well because Hoste told me he aimed to take "timeless" photos of Plato: There is a photo of a boy laying on the grass by a trailer tire, for example, and a portrait of Bob Morgan, now deceased, holding two of his walking sticks. When I asked Hoste who the most interesting person in Plato was, his first of several replies was Morgan, who he said was a World War II veteran and cowboy. Morgan was building barns and bending metal into his 80s, Hoste told me.

Just an ordinary, hard-working dude.

Maybe it seems quaint in this time of turmoil.

But this place, like Ferguson, is part of our story.

That seems to be part of Hoste's assertion with these photos. He told me he's still trying to figure out in what ways Plato is and isn't relevant to our national identity -- or if any one place can actually be a microcosm for a nation of 316 million.

Plato, I'll remind you, is home to 109.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

When he first visited Plato, Hoste said he was struck by the fact that it appeared to be a town that "doesn't really have a center." "There's no real middle of the town," he said, other than maybe the school, which is a community rallying point.

The same could be said of America. This is the age of the 99% and the 1% -- red and blue, black and white. We've always been a country divided, but those divisions seem to be especially visible now -- particularly the income gap, which has been widening since the 70s; the race gap; and, importantly, the underlying empathy gap.

Maybe that's where Plato has something humble but important to contribute to our national conversation. This is a place, according to Hoste, where people still talk to each other -- where they care about each other, and where they're willing to debate sensitive issues. Hoste is from the Los Angeles area and now lives in New York. His politics lean left, where Plato's are solidly right. Visiting Plato might have seemed like stepping into a foreign country. Except it was surprisingly easy for him to gel there.

"Their values are the same as my values," he told me. "They're very interested in trying to support their families. They're interested in having a good education for their children. They're interested in having some support for when they retire."

Imagine that.

Benjamin Hoste is a documentary photographer based in Brooklyn, New York. You can follow him on Instagram and Tumblr.

@highlight

Photographer Benjamin Hoste has spent years documenting Plato, Missouri

@highlight

Plato was named the "mean center of population" for the United States