(CNN) -- For 20 years, the warts studding Dede Kosawa's hands and feet multiplied and sprouted like gnarled roots.

Doctors believe Dede Kosawa's unusual appearance occurred because of a immune defect and HPV.

His hands looked like contorted, yellow-brown branches extending 3 feet. Unable to clamp his hands into a fist or pick up a fork, he made his living by performing in carnivals in rural Indonesia. He became known as the Treeman.

"His life was taken away from him," said Dr. Anthony Gaspari, an American dermatologist who traveled twice to Indonesia to treat Kosawa. "He was severely disfigured and was sent into a rural isolated village where he was sheltered from his peers. With good reason, he was a sad man. He wanted to be cured and he wanted hope."

The growths encrusting his arms accounted for nearly 12 pounds of his 100-pound body. Kosawa, 36, often became exhausted after taking a few steps because of the dense warts on his feet. The growths that carpeted his limbs were posing more problems.

"He was getting infected," said Gaspari, chief of dermatology at the University of Maryland Medical Center in Baltimore, Maryland. "He had insects living in the base of the wood-like material."

Doctors believe that Kosawa's case was a perfect storm, created by a genetically inherited immune defect and a type of human papillomavirus, or HPV. Kosawa told doctors that the warts started appearing after getting a cut in his skin as a teenager. There are hundreds of types of  HPV, some of which are linked to cervical cancer and others that cause common warts that can be acquired through cuts.

"The HPV-2 virus that causes common warts is the same exact wart virus that he's infected with, except it was growing out of control," Gaspari said.

Kosawa has a deficiency of white blood cells, which are crucial in fighting infections, and his weakened immune system couldn't fight the HPV. The virus hijacked his skin cells, causing it to produce massive amounts of keratin, a protein found in hair and fingernails.  The warts sprouted into dense growths known medically as "cutaneous horns" on his hands and feet.

"I had never seen anything this severe," said Gaspari, a dermatologist for 25 years. "I shared this case with my colleagues, and no one had ever seen this before."

He became involved in Kosawa's case after being approached by a dermatology journal and Discovery Health Channel. His travels to Indonesia are chronicled in the channel's documentaries and the second chapter, "Treeman: Search for the Cure," which  premieres Sunday on Discovery Health.

Earlier in his life, Kosawa sought help from local doctors, who followed the prescribed treatment by removing the warts.

"It grew back after the operation," he says in the documentary. "It grew back faster."

The skin treatments didn't work, because they didn't address his weakened immune system, and Kosawa could not afford more medical procedures, Gaspari said.

"Here's a man with chronic immune defect that had bad wart virus that went untreated for 20 years," he said. "In an industrialized country, this individual would have come to the attention of the health care system and would have interventions that would prevent it from progressing. That's the reason why it developed into an extremely bizarre, unusual appearance."

As Kosawa aged, his condition worsened. The horns clustered on his limbs, where the body temperature is lower. They grew at a rate of 5 millimeters a month. Warts that looked like barnacles began to clump around his eyes and nose.

"I am afraid that it will cover all my face," Kosawa told an Indonesian journalist. "I won't be able to see. I won't be able to eat."

The growing of the warts was not painful, Gaspari said.  But the cutaneous horns were attached to the skin, and Kosawa would feel pain if they were pulled or entangled.

As the growths took over his hands and feet, Kosawa lost his independence, and his wife left him. He had worked in construction and fishing but could not longer work.

Kosawa's siblings and parents cared for him, feeding and cleaning him. His condition is not contagious, and his family members have not been infected with similar skin growths.

"He has a wonderful family," Gaspari said. "That's why he was able to survive as long as he did."

To support his two teenage children, Kosawa joined a traveling performance group with people who have various skin deformities.

"I try to be a good father, but I can't give them what they need," he said in the documentary."I feel sad, because I cannot touch them."

Similar cases of uncontrollable wart growths have been reported in China and Romania. In 2007, Chinese researchers reported two unrelated male patients who developed cutaneous horns on their limbs. Both patients had the same type of HPV infections, according to studies.

In 2007, as word spread about Kosawa's condition, he was brought into an Indonesian hospital for treatment. About 12 pounds of cutaneous horns were sawed from his hands and feet. Skin grafts were taken from his back and buttocks and placed on his forearm.

Gaspari often disagreed with the Indonesian doctors' procedures such the skin grafts, saying it was invasive and could be infected with the virus.

After several surgeries, Kosawa has been able to walk, lift a fork and write. He was discharged from the hospital in early September. The warts have been reappearing, but Kosawa is receiving chemotherapy to stop the virus.

Gaspari continues to monitor Kosawa's progress through e-mails and teleconference calls with Indonesian doctors.

"You can see the outlines of his hands," Gaspari said. "It's still covered in warts. Before, you couldn't tell the top from the bottom. He has definitely made progress and gained some weight."

The experts are waiting to learn more about Kosawa's reaction to the medical treatments, Gaspari said. "The story has not fully unfolded yet."

@highlight

A man from rural Indonesia cuts his skin as a teenager and develops warts

@highlight

Dede Kosawa has tree-like growths encasing his hands and feet for 20 years

@highlight

American dermatologist determines Kosawa has immune defect and HPV

@highlight

Kosawa undergoes surgery to remove 12 pounds of warts