The hunt to become the home of Barack Obama's lasting White House legacy has become a game of presidential library survivor.  For now, the President's native Hawaii can only hope, to borrow a phrase, that it is not voted off the island.

"I would just note that the President chooses to spend his winters in Honolulu, not Chicago," said Hawaii's recently elected Gov. David Ige, who touted the islands' appeal as the First Family's annual refuge during the holiday season.

Still, Ige acknowledged his state is an underdog in its competition with the three other remaining proposed bids to win the multimillion dollar project: two in Chicago and one in New York.

"Hawaii has been the underdog before. We trust the President and the foundation will make the best decision," Ige added during an interview at his office in the state capitol.

In between rounds of golf, the president conceivably has had time to decide where to place his library. But White House officials declined to comment on whether any meetings on the topic have occurred over his winter vacation in Hawaii.

In many respects, Hawaii's proposed Honolulu site is a strong contender.  The eight-acre parcel of land is on the city's spectacular waterfront, looking out on Waikiki Beach and Oahu's iconic Diamond Head peak.  Another perk, Ige noted, is that this slice of paradise is already owned by the state.

There are, however, some potential drawbacks to Honolulu.  Set apart from the U.S. mainland, Hawaii is hardly a convenient place to preserve presidential documents.

Presidential libraries are intended for researchers and historians, not foreign tourists and families on vacation, a source close to Hawaii's bid conceded.

Another potential obstacle is that a sizable portion of the site has been transformed into a tent village by dozens of Honolulu's homeless, including women and children who would be forced to move to another part of the city.

A homeless woman who called herself "Bernie" said the tent village is buzzing with rumors the city will push out the area's inhabitants to make way for development.

"Now we know why we got to leave. I have no problem that they want to make a library. But where is the rest of everyone going?" she asked.

Bernie suggested Obama pay the area a visit.

"He should come back and take a look. It's like they're trying to hide us back here, trying to shove us back here," she added.

There is a sense of resignation in the tent village that the waterfront area may well be selected as the home of the Barack Obama Presidential Library.

"I guess he can do whatever he wants to do. He's the President. I better keep quiet. I might offend people," said another woman, who asked to be identified only as Grace, as she served hot meals to homeless people out of the back of her car.

Honolulu city officials explain the homeless tent village on the city's proposed library site will have to be moved either way, as developers have plans for new construction, with or without a presidential museum.

Despite those issues, Honolulu's prospects did receive a possible boost this week from the city once considered the front-runner to host the presidential library, Obama's adopted hometown of Chicago.

The Obama Foundation, which has been tasked to lead the library search, has raised "major" concerns about the two proposals coming from Chicago, according to sources familiar with the selection process.

Foundation officials are alarmed that the sites included in a pitch from the University of Chicago are controlled by city Park District officials. The foundation would rather have the university in charge of the land in order to ease construction.

Concerns with a separate proposal from the University of Illinois-Chicago stem from upcoming leadership changes there.

The city of Chicago is urgently working to remedy the problems with the University of Chicago proposal by clarifying how the land can be used, said an aide to Mayor Rahm Emanuel, Obama's former White House chief of staff. But city officials concede there is little they can do about the University of Illinois' issues.

In an indication of how fierce the library competition has become, Hawaii's governor grinned upon hearing about Chicago's problems, describing them as "terrific" for his own state's prospects.

The other remaining contender for the library, Columbia University in New York, may be benefiting from the issues plaguing the Honolulu and Chicago bids.  One sticking point in selecting Columbia's upper-Manhattan neighborhood: It already boasts one ex-president, Bill Clinton, who keeps an office there.

For now, the Obama Foundation is taking a restrained approach in commenting on the looming decision that the President and first lady are expected to make in early 2015.

"The foundation is evaluating all four respondents across a variety of criteria. Each institution is unique and has different strengths and weaknesses relative to the others," the foundation said.

With the President and first family still in Oahu, Honolulu Mayor Kirk Caldwell is hoping to give the Obamas his best pitch before they return to Washington. He plans to see the Obamas off on the tarmac at Hickam Field when they fly out this weekend, though will only raise the library if the feeling is right.

"Any time I get with the President, I will try my best to make a plug for our site," he said. "But I want to send him off with aloha."

Acknowledging Hawaii's long odds to win the selection process, Ige and Caldwell are both suggesting an alternative proposal of splitting Obama's post-presidential home, with the official library in either Chicago or New York and a separate presidential center in Honolulu.

Caldwell said he has joked with Emanuel, Chicago's outspoken mayor, about the library competition.

"I've joked around a little bit with Rahm Emanuel, and there's a chance we share parts of it," Caldwell said.  "But I do believe for people to truly understand the President they have to understand this place," he added.

While Hawaii is certainly remote, Ige noted the islands already act as a cultural bridge between the United States and Asia. Add to that the state's large Asian-American population, and a Hawaii presidential library would neatly reflect Obama's goal of pivoting U.S. foreign policy to Asia, Ige argued.

"We believe the presidential center would allow the President to really showcase what he believes as we move forward," Ige said.

"The multicultural fabric of Hawaii is such a profound statement of his desires," he added.​

@highlight

Hawaii is one of four finalists in a bid for Obama's presidential library

@highlight

Officials are hoping to win at least one part of Obama's presidential center

@highlight

Officials have raised concerns about bids from Chicago