Moscow (CNN) -- Russians and Americans have been duking it out in the Twitter world over who's scoring more points in high-stakes diplomatic wrangling over Syria, U.S. President Barack Obama or Russian President Vladimir Putin.

Samantha Power, U.S. ambassador to the United Nations, tweeted Thursday: "Three days ago there seemed no diplomatic way to hold Assad accountable. Threat of U.S. action finally brought Russia to the table."

In her tweet, Margarita Simonyan, head of Russia's English-language television network RT, quipped: "If the Russian proposal on Syria works, Obama, as an honest man, has to give his Nobel Prize to Putin."

Taking Syria's chemical weapons out of government control and preventing another horrendous attack on civilians is too serious an issue to reduce to political one-upmanship.

But after Putin's bombshell opinion piece in the New York Times in which, among other things, he takes America to task for an "alarming" pattern of intervening in the internal conflicts of foreign countries, it's obvious something has shifted.

"It absolutely is a diplomatic win by Putin right now," said Fiona Hill, expert on Putin and director of the Center on the United States and Europe at the Brookings Institution.

"If we think about this as judo, which is of course Mr. Putin's favorite sport, this is just one set of moves," she said. "And right now, he's managed to get Obama off the mat, at least, and get the terms set down that play to his advantage."

Putin's comments cause a fuss

Putin stopped Obama's drive for military action against Syria in its tracks this week as Russia's plan to put Syria's chemical weapons under international control pushes the action to the United Nations, just where Putin wants it.

Russia has veto power in the U.N. Security Council, and as Hill noted, it's an "arena that they're really very skilled at, which is usually blocking other people from getting resolutions or moving forward."

Putin's op-ed is not going down lightly in Washington. Democratic Sen. Robert Menendez said the piece made him almost want to throw up.

"Mr. Putin's personality has been widely demonized in the Western world, so anything that comes from Mr. Putin will be met not only with skepticism but a lot of people will reject just out of hand anything that Mr. Putin will say," said Dmitri Trenin, director of the Carnegie Moscow Center.

"However, in this particular situation, when so many people are confused in the United States, in Europe, including in the political classes of Western countries, the arguments that Putin is making so clearly could be used in the domestic debate," he added.

Analysis: Is Obama a winner or loser on Syria?

Trenin thinks Putin "is trying to insert himself and the Russian position into the debate that's now ongoing on Capitol Hill, within the U.S. more broadly, in the European countries. He does not want to leave the field to Westerners alone. He wants to have a voice in that discussion."

Arguments Putin presents in his op-ed struck a chord with some in Washington, even if they dislike him.

One example: "Syria is not witnessing a battle for democracy, but an armed conflict between government and opposition in a multi-religious country. There are few champions of democracy in Syria. But there are more than enough Qaeda fighters and extremists of all stripes battling the government."

Other points, like his swipe at Obama's comment this week trumpeting American "exceptionalism," are bound to irritate some of the Americans Putin is trying to sway.

Sen. James Inhofe, a Republican from Oklahoma, said Thursday that "Putin was lecturing to the United States, and I could hear (Ronald) Reagan turning over in his grave as this was going on."

Some Russians claim that Obama "owes" Putin for getting him out of a bind. Alexey Pushkov, chairman of the Russian State Duma Foreign Affairs Committee, tweeted tartly: "Obama should be 'for' Russia's plan with two hands. It gives him a chance not to start a new war, not lose in the Congress, and not become another Bush," referring to his predecessor.

Hill said Putin did do Obama a favor.

"For Putin, being the old KGB guy, having someone owe him something is always to his advantage," she said.

"But this is more about a win for Russia here. Russia gets an imminent U.S. strike off the table for a while," Hill said.

The White House is trying to throw the ball back to Putin, cautioning that his chemical weapons proposal will boomerang if it doesn't work.

Putin "now owns this. He has fully asserted ownership of it, and he needs to deliver," a senior White House official told CNN.

Strobe Talbott, president of the Brookings Institution and former deputy secretary of state in the Clinton administration, tweeted: "If Kerry-Lavrov meeting exposes Russian proposal as sham, it will strengthen Obama's hand with Congress, assuring what Putin hopes to stop."

Keep up with key developments in the Syrian crisis

@highlight

Obama and Putin in high-stakes diplomatic wrangling over Syria

@highlight

Putin gets upper hand by giving Obama way out of military strike for now

@highlight

Syria chemical weapons issue now at UN, just where Russian leader wants it

@highlight

White House tries to throw the ball back to Putin, saying he must deliver