(Coastal Living) -- Whether you're looking for the perfect honeymoon spot, or just a romantic weekend for two, these ten Caribbean resorts are prime places to relax and indulge with each other.

Island resorts in the Bahamas, Turks & Caicos, Antigua, Aruba, Tobago, Jamaica, Dominica, St. Barts, Grenada, and the British Virgin Islands have all the essentials for an exotic adventure together.

The Bahamas: Kamalame Cay

This private island is just a 15-minute flight from Nassau and offers an isolated sanctuary. No distractions, just you and your loved one. Surrounded by crystal-clear water and shaded with rustling palms, the 96-acre island can be navigated in your personal golf cart. Or just loll on the private stretch of beach outside your villa.

Go Ahead, Indulge: You'll get as much (or as little) attention as you want from the staff. If privacy is your priority, stay in your room for meals. Enjoy a homemade breakfast served in a wicker basket placed at your door.

Make A Date: Wake up early to catch the sunrise in a double kayak, navigating placid waters under a pink-and-orange sky.

Best Sunset: Grab a cocktail at the resort's Great House and stroll across the sandy path to the dock.

Rates: From $395; 876/632-3213 or kamalame.com

Turks & Caicos: Amanyara

This luxurious slice of Eden on Turks & Caicos features a group of pavilion-style rooms and private villas shrouded in lush greenery. Outdoor enthusiasts will enjoy such activites as stand-up paddleboarding, kayaking, and swimming.

Go Ahead, Indulge: Each open-air suite has a private entrance accessed via a palm-lined, crushed-shell path. Inside, sumptuous touches include water views, platform beds, and free-standing spa tubs. Enjoy sunbathing pads and sunken Japanese-style tables on two additional terraces.

Make A Date: For dinner, choose a private picnic table on the beach at the casual Da Conch Shack. Order the salad made with fresh conch and refreshing rum punch, and get your groove on Thursday and select Saturday nights with live music; 649/946-8877 or conchshack.tc.

Best Sunset: Grab a seat at Ocean Cove where you can perch on a rocky ledge overlooking the ocean.

Rates: From $1,600; 866/941-8133 or amanresorts.com

Coastal Living: 10 Romantic island inns

Antigua: Hermitage Bay

This sybaritic spot is a paragon of privacy and sclusion. Just a 40-minute drive from the airport on the west side of Antigua, the four-year-old resort includes tropical gardens surrounding 25 cottages of a hillside above the beach. Outside, each private bungalow's wooden deck overlooks the bay. Inside, gleaming dark wood floors, handmade furniture, and white linens lend a sophisticated but comfortable ambience. The resort's 17 Hillside cottages feature private plunge pools.

Go Ahead, Indulge: The bountiful gardens are brimming with native blooms, intermingled with organic fruits, vegetables, and herbs--all used in the resort's meals.

Make A Date: Ask the chef to pack a basket with your choice of gourmet snacks and then hit a secluded beach or private island (transportation provided).

Best Sunset: The view's excellent from the Hillside Cottages.

Rates: From $1,450; 268/562-8080 or hermitagebay.com

Aruba: Bucuti Beach Resort featuring Tara Suites and Spa

Artfully arranged on 14 acres of Eagle Beach, Bucuti is a boutique-style resort designed exclusively for couples, with an adults-only policty (no guests under the age of 18). Utterly quiet thanks to a ban on motorized water sports, the resort is within walking distance of more than 20 restaurants and features rooms and suites with balconies overlooking the garden or ocean.

Go Ahead, Indulge: After a couples massage on the beach, relax beneath the shade of a comfy palapa for two.

Make A Date: It's all about just-caught seafood and toes-in-the-sand chic at the Flying Fishbone restaurant, 20 minutes from Bucuti; flyingfishbone.com

Best Sunset: Sign up for a horseback ride along the sandy coastline at dusk.

Rates: From $393; 297/583-1100 or bucuti.com

Coastal Living: The 31 best beach vacations

Tobago: The Villas at Stonehaven

The pastel cottages of this resort hug a high bluff overlooking the blue Caribbean and tropical rain forest, only 20 minutes from the airport. Designed by famed Mustique architect Arne Hasselquist, the 14 villas -- each with three oceanview bedrooms, a private infinity pool, and a personal housekeeper/cook -- nestle into the hillside with a 100-acre bird sanctuary as a next-door neighbor.

Go Ahead, Indulge: Enjoy a candlelit dinner at the resort's Pavilion Restaurant.

Make A Date: Stroll through the oldest protected rain forest in the Western Hemisphere, or head to one of dozens of uncrowded powder-sand beaches to see giant leatherback turtles.

Best Sunset: Watch the sun dip below the horizon from a comfy chaise lounge on your spacious veranda.

Rates: From $413; 868/639-0361 or stonehavenvillas.com

Jamaica: Round Hill Resort

Round Hill has hosted its share of icons--from Elizabeth Taylor to Fred Astaire--but every guest is treated famously. A driver picks you up from Montego Bay Airport for the 30-minute ride to the resort, where louvered doors open to private balconies overlooking tropical plans and the beach from each of the stone-floored, Ralph Lauren-decorated oceanfront rooms.

Go Ahead, Indulge: Sit at the thatched-roof beach bar and sip an ice-cold Red Stripe while checking out the surf.

Make A Date: Call for a dinner reservation at the nearby Tryall Club and request the private water-front gazebo. Enjoy local seafood as waves lap in the background; 876/956-5660.

Best Sunset: Float to the edge of the infinity pool for unobstructed views of the pink, purple, and gold sky.

Rates: From $579; 876/956-7050 or roundhill.com

Coastal Living: Top 10 feel-good getaways

Dominica: Rosalie Bay

Mountainous adventure and dramatic photo ops await couples at Rosalie Bay. Set on the wild Atlantic coast of rugges, mostly undeveloped Dominica, this brand-new nature resort's 28 guest rooms and suites have mountain, ocean, river, or garden views amid towering palms, coconut trees, and sea grapes.

Go Ahead, Indulge: Swin in the tranquil Rosalie River, or walk along Black Sand Beach--also a leatherback, hawksbill, and green turtle sanctuary.

Make A Date: Lace up your hiking boots for an intense trek over moss-covered paths to Boiling Lake, the world's second-largest volcanically heated body of water.

Best Sunset: Take a bottle of wine to the sandy Turtle Beach on Dominica's unspoiled west coast.

Rates: From $250; 767/446-1010 or rosaliebay.com

St. Barts: Le Sereno

Recently updated by esteemed French designer Christian Liaigre, Le Sereno offers the perect balance of milimalism and luxury. Situated on the east shore of St. Barts, its 37 suites and villas--all with ocean views and private terraces--look out over a palm-studded beach. Inside, cuddle up on king-size beds and enjoy modern amenities, from iPod docks to wireless Internet and flat-screen TVs.

Go Ahead, Indulge: Get an in-room massage with luscious Ligne St. Barth products and swaddle yourself in plush Porthault linens and robes.

Make A Date: Try dinner at the decadent Le Ti St. Barth, which features an innovative menu and nightly cabaret; letistbarth.com.

Best Sunset: Watch the sky at the open-air Do Brazil restaurant on Shell Beach; dobrazil.com

Rates: From $680; 888/537-3736 or lesereno.com

Grenada: Spice Island Beach Resort

A three-mile drive from the airport takes you to this family-run boutique resort on the largest of the so-called Spice Islands in the Grenadines (known for bounteous crops of nutmeg and mace). In the lavish suites, you'll find flat panel HDTVs, some with Bose soud systems. Listen to your favorite iPod playlist while lounging on the chaises on your private patio or balcony overlooking the tree-studded shores of Grand Anse Beach.

Go Ahead, Indulge: The open-air beachfront restaurant, Oliver's, takes full advantage of its abundant herb garden, serving up island favorites like twice-baked callaloo souffle.

Make A Date: Enjoy the sights and sensory delights--from a whiff of cinnamon to the sounds of steel-drum calypso--at the spice-and craft market off Grand Anse Beach; grenadagrenadines.com/detail/grand-anse-craft-spice-market.

Best Sunset: Go for a cruise along Grenada's leeward coast as night falls.

Rates: From $618; 473/444-4258 or http://www.spicebeachresort.com/

British Virgin Islands: Peter Island Resort

Peter Island has all the romantic essentials: secluded beaches, luxurious suites and villas, and a quietly attentive staff. Located on one of the largest private islands in the Caribbean, the resort is the only attraction (excluding wild goats), and five different beaches ensure you'll have your own stretch of soft sand.

Go Ahead, Indulge: Surrounded by lush gardens, the spa offers an Indian Ayurvedic program, including massage and yoga.

Make A Date: Escape to Honeymoon Beach, where the hotel will drop you off with a picnic lunch to enjoy the day under the shade of a lone palapa.

Best Sunset: Sign up for the Sunset Loop, an exciting ride up the curvy mountain roads to one of the highest points on the island.

Rates: Oceanview rooms start at $740; 877/547-5711 or peterisland.com

Escape to the Coast! Sign up for our newsletter filled with coastal style and top travel destinations.

© Coastal Living, 2011

@highlight

Kamalame Cay is a private island just 15-minutes from Nassau and offers an isolated sanctuary

@highlight

Antigua's Hermitage Bay is a paragon of privacy and sclusion

@highlight

Dominica's Rosalie Bay promises mountainous adventure and dramatic photo ops