JERUSALEM (CNN) -- With his visit already bogged down in historical disputes, the pope's message of peace in Gaza was interrupted Monday by an impromptu speaker who fueled the longtime resentment between Palestinians and Israelis.

Pope Benedict XVI, left, with Israeli President Shimon Peres at Ben Gurion airport near Tel Aviv Monday.

After Pope Benedict XVI, speaking to religious leaders during an interfaith discussion in Jerusalem, called for mutual understanding and cooperation in the tumultuous region, Taysir Tamimi, chief of Muslim Sharia courts in the West Bank and Gaza, commandeered the microphone and began to criticize Israel in Arabic. He was not scheduled to speak at the event at the Notre Dame of Jerusalem Center.

The Israeli government condemned Tamimi's remarks, in which he called on Muslims and Christians to work together against Israel.

"It is regrettable that [Tamimi] has abused an interreligious meeting aimed at promoting dialogue and understanding between Christians, Jews and Muslims, in order to incite against Israel," a statement from the Foreign Ministry said.

In his unscheduled remarks, Tamimi said, "We struggle together and we suffer together from the injustice of the Israeli occupation and its oppressive practices, and we look forward to freedom and independence."

He also criticized Israel's West Bank separation barrier as the "racist wall," saying it turned the Palestinian territory into "a giant prison and keeps Muslims and Christians from praying in their churches and mosques."

"His holiness the pope, I call on you in the name of the one God to condemn these crimes and pressure the Israeli government to stop its aggression against the Palestinian people," Tamimi said.

It was not clear whether the pope understood Tamimi's comments, and he did not react.

Some in the audience clapped but many appeared uncomfortable. The Latin patriarch, Fouad Twal, walked across the stage and tapped Tamimi on the hand as he implored him to stop. Tamimi finished the speech after 10 minutes and sat down.

Tourism Minister Stas Misezhnikov, who oversaw the pontiff's visit to Israel, said Tamimi's words planted "seeds of division" between Israelis and Palestinians, as well as between Jews, Muslims and Christians.

"The sheikh's provocation hurt, first and foremost, Pope Benedict XVI, who came to the Holy Land to promote peace and unity between the peoples of the region and all persons of faith," Misezhnikov said in a statement.

The Rev. Gianni Caputa of Jerusalem's Ratisbonne Monastery, who is involved in the church's interfaith efforts, said "It was shameful and disgraceful. Sheikh Tamimi betrayed the trust of the people who invited him to this gathering."

The Vatican offered a statement, saying Tamimi's remarks were "a direct negation" of the peaceful purpose of the dialogue. "We hope that such an incident will not damage the mission of the pope aiming at promoting peace and also interreligious dialogue, as he has clearly affirmed in many occasions during this pilgrimage," the Vatican said.

During the discussion at the Jerusalem Center, the pope encouraged religious leaders to proclaim what their faiths have in common, "since many are quick to point out the readily apparent differences between religions."

Earlier in the day, Pope Benedict gave a speech at the residence of Israeli President Shimon Peres, urging Israelis and Palestinians to find a "just resolution" to their long-running conflict Monday as he arrived in Israel.

"I plead with all those responsible to explore every possible avenue," the pope said, "So that both peoples may live in peace in a homeland of their own, within secure and internationally recognized borders."

He cited the biblical prophet Isaiah on the meaning of "security" -- a justification Israel often uses for its actions against Palestinians.

"Security -- 'batah' [in Hebrew] -- arises from trust and refers not just to the absence of threat but also to the sentiment of calmness and confidence," the pope said.

And while Tamimi's remarks immediately drew outrage in the region, problems plagued the pope's visit even before the pontiff arrived in Jerusalem -- including an Israeli-Palestinian dispute over the location of the press center for the trip.

Palestinian officials set up an alternative press center, arguing that the Jerusalem Municipal Building, the site of the official one, was linked to Israel's policy of demolishing Palestinian homes built without permission in East Jerusalem.

Both sides claim the neighborhood.

Israeli police shut down the alternative press center, according to police spokesman Mickey Rosenfeld, on the grounds that the Palestinian Authority was not allowed to host events in Jerusalem.

Once in Israel, the pope managed to address another controversy from months before. He made a reference Monday to the Holocaust, an issue that made trouble for the Roman Catholic Church earlier this year when Benedict rehabilitated an excommunicated bishop who had disputed the number of Jews killed in concentration camps during World War II. His excommunication was unrelated to his Holocaust denial.

"It is right and fitting that during my stay in Israel that I will have the opportunity to honor the memory of the 6 million Jewish victims of the Shoah," the pope said Monday, using the Hebrew word for the Holocaust. "And to pray that humanity will never again witness a crime of such magnitude."

The pope said anti-Semitism is "totally unacceptable" and pointedly rejected Holocaust denial as he visited Yad Vashem, Israel's Holocaust memorial. He clutched a small cross and bowed his head in front of the eternal flame at the memorial, where he was accompanied by Peres and other dignitaries.

Benedict arrived at Tel Aviv's Ben Gurion airport as part of an eight-day trip that takes in places of unequaled religious resonance for the world's 1.1 billion Catholics. It is the first papal visit to some of Christianity's most holy places since Pope John Paul II made the pilgrimage in 2000.

His first stop in the region was Jordan, where he called for greater respect for women at a historic Mass in Amman on Sunday.

CNN's Kevin Flower contributed to this report.

@highlight

Pope Benedict XVI, on his first visit to the Middle East, visits Israel

@highlight

Calls for peace in the Middle East, endorses two-state solution to Palestinian conflict

@highlight

Pope: Anti-Semitism is "totally unacceptable," Catholic Church rejects it

@highlight

Benedict's visit includes Bethlehem, Nazareth, revered by world's 1.1 billion Catholics