Princeton, New Jersey (CNN) -- The changes that we are seeing in public attitudes about homosexuality are just the tip of the political iceberg. As Bob Dylan once sang, performing to the Baby Boom generation when it was challenging the prevailing political orthodoxies, "something is happening here. But you don't know what it is. Do you, Mr. Jones?"

America's political parties would do well to listen to Dylan's song. There are two new generations of Americans who have entered into their adulthood, now in their late 20s, 30s and 40s, who are starting to become more influential in the electorate.

Generation X consists of the Americans born in the late 1960s through the late 1970s. Though they were originally thought to have little cohesive identity, their contributions to the computing revolution that transformed the world were immense. They lived through historic moments such as the presidency of Ronald Reagan and the end of the Cold War.

The Millennial generation (Generation Y) followed Generation X. This cohort was born between the late 1970s and early 1990s. They have reinvented the way we communicate and have been at the forefront of some of the most dynamic sectors of the economy.

Now we have entered a period when these two generations are having a major impact on politics. This is a moment, comparable to the one when the Greatest Generation (New Deal and World War II) came of age or the Baby Boom generation (1960s and 1970s) reached maturity and forced the parties to adjust and change the way they did business.

The maturation of X and Y will have implications on the process, substance and relative importance of politics compared with other sectors of society. The impact on the process has already been evident in the last two presidential cycles.

These generations consume everything via the Internet and all forms of social media. One of the reasons President Obama did so well was that he brought figures into his campaign, such as Facebook co-founder Christopher Hughes (a Millennial), to reach younger constituencies through new media.

Hughes understood that younger Americans don't read print newspapers or magazines, they don't follow the nightly news or look for the most objective reporters, and they expect their information to come to them in short, dynamic and concise data that are filtered and sent via multiple social networks. Television spots, billboards, posters and local volunteers distributing information in person will go only so far in the coming years. Generations X and Y expect to receive and process their information in ways that the parties will have to master.

The substance of politics will also change. This has been evident with the recent debates over gay rights. Americans in their 30s and 40s have grown up much more comfortable with homosexuality than their predecessors.

Many of them lived through the horrors of the AIDS epidemic, when it became unacceptable to continue adhering to old taboos that prevented serious discussions about public health concerns. They had more friends and family who were openly gay, considering this to be an acceptable and fully normal part of America life. They watched popular culture that was filled with gay characters, such as the two male leads in "Will and Grace." When Jerry Seinfeld joked in his show, after being mischaracterized as a homosexual, "not that there's anything wrong with that," these generations laughed and understood. According to Pew Research Center, 70% of Millennials support gay marriage.

Their values will impact other big issues in coming years. X and Y, for instance, grew up in a world that was profoundly shaped by the waves of immigration since 1965. Its effects are felt in everything from the food they ate to the people they met to the popular entertainers who came from and blended all sorts of cultural traditions.

They are also two generations who are deeply attuned to the problems facing the environment and the need for the government to make smart choices about education and technology that will help them and their children survive in a new economic world that provides less stability and requires more adaptability than the one of their parents.

While Generation X saw the economic highs of the 1990s suddenly collapse with the dot-com bust, Generation Y, as New York Times reporter Annie Lowery recently wrote, suffered through the financial crisis "that battered career prospects, drove hundreds of thousands into the shelter of schools or parents basements and left hundreds of thousands of others in continual underemployment."

Many members of X and Y also don't trust the formal political system to get much done. This is not because the political system betrayed them, the sentiment felt by the Baby Boomers, but because it literally doesn't seem to work.

The kind of intense partisan polarization that so many older Americans lament as being different from what they experienced in their youth is the only kind of politics that these generations have ever seen.

In the 1990s and early 2000s, they have watched as the parties failed to reach agreement on almost every issue, and the nation's leaders have constantly engaged in a vicious style of combat that leaves all sides injured. The result is that many of them look to other forms of activity to solve public problems, whether through startups or nonprofits. The nation's political leaders will not only have to reach these generations but will have to win back their trust that politics can work at all.

The generations have clearly arrived. Politicians have been extremely slow to respond. But they have no choice. This is no longer the electorate of their father's and mother's America. The politicians who want to succeed will have to keep up with expectations, concerns and basic values of Generations X and Y if they want to succeed in the coming decades.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

America's political climate is changing due to maturity of two generations, says Julian Zelizer

@highlight

Gen X and Y have different attitudes and experiences than baby boomers

@highlight

Zelizer: Politicians are seeing the result on issues such as gay rights, immigration

@highlight

He quotes Dylan: "Something is happening here. But you don't know what it is."