(CNN) -- We don't agree often. In fact, for most of our adult lives, we have worked on opposite ends of the political spectrum. One of us headed the fastest-growing union in North America, the other served as budget director for arguably the most important Republican president in the modern era, Ronald Reagan. But national crises make for strange bedfellows.

That's why we are asking Democrats and Republicans to put aside their partisan interests to secure America's future by passing a deficit reduction plan of at least $4 trillion that includes both spending cuts and new revenues.

Our debt crisis is so severe, so obvious, and the middle ground seemingly so apparent, even Odd Couple characters Oscar Madison and Felix Unger could agree on a solution. So why can't Congress and the president? If we can do it, so can they.

We agree with Republicans who note that we have a serious spending problem. Health care costs are growing out of control and government wastes money on programs that duplicate other programs or are just unnecessary. In 2010, federal spending was nearly 24% of gross domestic product, the value of all goods and services produced in the economy. Only during World War II was federal spending a larger part of the economy.

And we also agree with Democrats that taxes must be part of the plan. Tax revenues stood at 15% of GDP last year, the lowest level since 1950. And even when the economy finally turns around, by 2025 the federal government will have only enough revenue to finance interest payments, Medicare, Medicaid and Social Security.

Our tax system is broken. We simply don't raise enough revenue to pay the bills for the level of government that an overwhelming bipartisan majority has consistently supported.

This country needs a deal. We need to fix our busted budget system, revamp our broken tax code and reform our Social Security and health care programs so that citizens who depend on them can count on them.

We also need to ensure our country is safe and secure, but at a significantly lower cost than today's bloated defense budget. We can only do that by passing a comprehensive fiscal plan, like those put forward by the Fiscal Commission and the Gang of Six, which phases in the changes, contains real cuts that fix our mounting national debt problem and erases the uncertainty that afflicts businesses and other governments who hold our debt.

This last point cannot be emphasized enough. Businesses know that spending cuts and tax increases are coming, but they do not know how, when or even why. Without a concrete fiscal game plan that provides some measure of certainty, confidence will remain weak and economic recovery tepid.

Worse still, if we simply continue to kick the can down the road, we are running the risk of a jarring financial market crisis that will make it even harder to reach consensus and the ultimate tax and spending changes even more draconian.

A deal can happen only if both sides put everything on the table. That means Democrats have to agree to entitlement reform and cuts to domestic programs, and Republicans have to accept more revenue and defense cuts.

Odd couples, strange bedfellows, whatever the terminology, agreeing on budget issues should not be this difficult. The two of us have come together despite our wide philosophical differences because we agree on one fundamental point: The fiscal crisis is so urgent that everything must be on the table. We need to act now. If the president and Congress embrace that principle, we can finally make some progress in getting our fiscal house in order and our national economy back on track.

The opinions in this commentary are solely those of the writers.

@highlight

Writers differ widely in politics; one headed a union, the other was Reagan's budget director

@highlight

But they agree Congress must put aside differences, pass deficit reduction plan of $4 trillion

@highlight

They say budget must contain domestic program and defense cuts, new revenue

@highlight

Writers: Businesses, other governments who hold our debt need confidence in the U.S.