(CNN) -- U.S. authorities overreacted in shutting down the online file-sharing site Megaupload and seeking criminal charges against its executives, the company's American lawyer said Friday.

"We believe that the allegations are without merit and Megaupload is going to vigorously defend against the case," attorney Ira Rothken said.

Federal authorities shut the site down Thursday, the same day they announced indictments against seven people connected to the site, accusing them of operating an "international organized criminal enterprise responsible for massive worldwide online piracy of copyrighted works." Four of those charged were arrested Friday in New Zealand at the request of U.S. authorities.

The site, which traffic-tracking service Alexa ranked as the world's 72nd most visited website before it was taken down, allowed users to share and download files, many of which were copyrighted works made available for download without permission, according to authorities.

Rothken said the case demonstrates a "copyright extremist mentality" on the part of U.S. authorities and raises significant due process and consumer protection issues.

He said it was inappropriate for U.S. authorities to seize the company's servers and domain names, not to mention $50 million in assets, without a court hearing.

He also said the seizure means consumers who had stored legitimately acquired materials on sites owned by Megaupload can no longer access them.

The seizure "has essentially created a chilling effect on consumers using Internet cloud storage going forward," Rothken said.

Federal prosecutors allege Megaupload's founders "conducted their illegal operation using a business model expressly designed to promote uploading of the most popular copyrighted works."

The site's popular MegaVideo subsidiary was widely known in tech circles for its copious selection of pirated content, including recent movies and episodes of hit TV shows.

"The conspirators allegedly paid users whom they specifically knew uploaded infringing content and publicized their links to users throughout the world," prosecutors said in a statement. They also took steps to mask the presence of illegal content on the site, prosecutors said.

The company also discouraged users from using the site for legitimate personal storage by automatically deleting files that weren't regularly downloaded, prosecutors said.

Authorities said the operation had generated more than $175 million in illegal profits through advertising revenue and the sale of premium memberships.

Those indicted are citizens of New Zealand, Germany, Slovakia and the Netherlands. No U.S. citizens were named. However, Megaupload has servers in Ashburn, Virginia, and Washington, which prompted the Virginia-based investigation.

The investigation involved 20 search warrants in eight countries, authorities said. Officials seized 18 domain names from the company and its servers based in the United States, the Netherlands and Canada.

Megaupload's sudden shutdown Thursday got the attention of hackers, who quickly assembled a widespread operation to take down the Justice Department and FBI websites, as well as those for the Motion Picture Association of America, the Recording Industry Association of America and several other sites.

The Internet activism and hacking collective Anonymous took credit for the denial-of-service attacks, which don't damage computer systems but keep sites from operating properly by overloading them with spurious requests. That can slow a site down or keep its servers from responding to legitimate requests.

"It's a violation of freedom of speech," one Anonymous member told CNN of the Megaupload shutdown. "It's part of a bigger picture that's taking place ... which is a very big slide toward Internet censorship on a gigantic scale."

Most of the sites were back up by Friday morning, but the website for New Zealand police, which Anonymous also targeted, appeared to be down early Saturday.

The Justice Department and FBI sites targeted Thursday were operating normally on Friday, a law enforcement official told CNN. Investigators are "looking at forensics to see where (the attack) came from," the official said.

No data breaches occurred on U.S. government sites, the law enforcement official told CNN.

The four Megaupload officials arrested in New Zealand -- Kim Dotcom, Finn Batato, Mathias Ortmann and Bram van der Kolk -- appeared Friday at an initial court hearing.

Dotcom, the Megaupload founder and owner, spoke briefly, interrupting an attorney who sought to stop reporters from photographing the men, according to the New Zealand Herald newspaper.

"We don't mind ... if people want to take photographs of us or cover this event because we've got nothing to hide," the newspaper quoted him as saying.

It was unclear when extradition proceedings would begin.

The four were arrested after a complicated raid that involved 76 police officers who arrived at a New Zealand mansion by helicopter and had to repeatedly defeat electronic locks in pursuing Dotcom, New Zealand's TV One reported, citing Detective Inspector Grant Wormald.

Officers had to cut their way into a safe room, where they found Dotcom near a sawed-off shotgun, the broadcaster reported.

"It was definitely not as simple as knocking at the front door," TV One quoted Wormald as saying.

The raid, seizure and shutdown comes in the same week as a widespread Internet protest over controversial anti-piracy bills in the U.S. House and Senate that would make it easier for U.S. authorities to target foreign piracy sites, of which prosecutors allege Megaupload was one.

The bills are known as the Stop Online Piracy Act, or SOPA, and the Protect Intellectual Property Act, or PIPA.

The bills are aimed at cracking down on copyright infringement by restricting access to sites that host or facilitate the trading of pirated content. But the legislation has created a divide between tech giants, who say the language is too broad, and large media companies, who say they are losing millions each year to rampant online piracy.

Time Warner, the parent company of CNN, is among the industry supporters of the legislation.

On Friday, after numerous legislators pulled their support for the legislation in the wake of the protests, House and Senate leaders announced they would delay action on the legislation to address concerns raised by activists.

Rothken said the shutdown calls into question whether legislation like SOPA or PIPA is truly needed.

"This demonstrates the government is certainly able to act without any additional legislation," he said.

CNN's Laurie Segall, Terry Frieden, Amber Lyon, Steve Turnham, Carol Cratty and David Goldman contributed to this report

@highlight

File-sharing firm's attorney says U.S. authorities overreached in shutting company down

@highlight

Attorney Ira Rothken says Megaupload officials will defend themselves against the charges

@highlight

U.S. websites hacked after Megaupload's shutdown are mostly OK Friday, source says

@highlight

Hacking collective Anonymous says it targeted the websites