Bangalore, India (CNN) -- Nineteen-year-old Reshma Banu sits on the stairs outside her parents' home, staring at the tiny screen on her cell phone.

The video on the screen has her mesmerized: a very short home video of her baby girl, Afreen.

The moments captured are precious because they show Banu's only child alive and well.

Afreen died in the hospital. She was three months old.

Authorities say the baby was admitted to the hospital with bite marks, cigarette burns and a dislocated neck. Police say she was killed by her father.

"After my delivery my husband had come to see me and the baby. He said, 'It is a girl, why did you give birth to a girl?'"

He wanted a boy, an heir. Girls were too expensive, he said. A couple of days after giving birth, Banu says her husband gave an ultimatum.

"For her wedding we will require a hundred thousand rupees (about US$1,800 dollars) for all the expense. If you can get that amount from your mother, then keep her, but if you can't, then kill her," Banu recalled her husband as saying.

She didn't believe he meant it and was sure he would change his mind once he held his soft, bright-eyed baby girl.

Three months later, her baby is dead, and her husband is under arrest, accused of beating the baby to death. Police say he confessed to the killing.

This is by no means the first case of its kind in India. Attitudes, traditions, and economics have come together to make being a girl a dangerous prospect in the country, doctors say. Most of the time girls are disposed of long before they are born.

How? Sex-selective abortions.

U.S. House of Representatives rejects abortion ban based on sex of fetus

India has a growing gender gap: The 2011 census showed that for every 1,000 boys six years or younger there were only 914 girls. It is the lowest child sex ratio since India's independence in 1947.

The United Nations has said India is the most dangerous place to be a girl. Dr. Anand Krishnan at All India Institute of Medical Sciences (AIIMS), who has studied the gender gap for years, agrees.

"Yes, largely this is from the point of view of mortality statistics for girls versus boys," Krishnan told CNN.

Sex-selective abortions are against the law in India but are still happening at an alarming rate, he said.

His study shows a surprising trend: Sex selective abortions among the educated and well-off seem to be more prevalent than among the desperately poor and uneducated. Despite greater prosperity, their mindsets have not changed and they have the money to pay for ultrasounds and abortions.

"A boy is seen as a better investment. They prefer boys," Krishnan said.

The explanation goes something like this: In traditional Indian families the men marry and bring their bride home to live and take care of his parents.

Girls, on the other hand, marry and leave the home without providing extra financial support.

Moreover, a girl's family can go broke trying to pay a dowry to get her married. Although outlawed in India, dowries are still common and take different forms throughout society.

Indian law also forbids doctors to tell a couple the sex of their child after an ultrasound, but many clinics break the law and do so anyway.

India has made an effort across the country to stop female infanticide.

CNN visited a village in Haryana state with one of the worst ratios of boys to girls, according to the Indian government. A campaign is under way to change villagers' minds about girls.

Tiny placards above the doors of several homes say in Hindi: "If you get rid of your girls, where will you find your daughter-in-laws?"

A teenage boy wore a T-shirt that said, "Save our girls."

Nonetheless, there were young boys everywhere and only a few young girls. Villagers only affirmed why there appeared to be an imbalance.

"Girls are mostly aborted here. The people want more boys. There is a shortage of girls," Chandravati said without hesitation.

The villager was taking care of her neighbor's newborn baby girl. She cooed at the baby while blowing cigarette smoke into its tiny little face, oblivious to the dangers second-hand smoke could pose.

She told us the poorest people don't have the money to abort, so they are forced to keep girls, but those who can afford an ultrasound and abortion get rid of female fetuses.

"So much money is required to get them married. Where will the money come from?" she said. "Everything is so expensive these days."

But India is a country filled with in-your-face contradictions. When it comes to women and girls it is a place where the discarding of girls is juxtaposed with the fact that India has a female president and speaker of the House -- and its most powerful politician is a woman, Sonia Gandhi.

Indira Gandhi, Sonia's mother-in-law, became India's first woman prime minister and one of the world's first female heads of government.

In 2011 the latest census data showed the literacy rate for girls is growing faster than for boys.

Banu, whose husband is accused of killing their baby, and her parents say they always believed a baby -- boy or girl -- was a blessing.

Her mother, Maqbool Bi, had four girls and a boy. Though the family is poor, she raised her girls with great hope for their futures.

"With all that is there in my heart, my heart breaks every time I recall what happened [to my granddaughter]. Even when I was starving I raised my children, all four of them. I used to pray to God to save me from seeing any of my children die before my own eyes. My children should succeed in life. They should make us proud," she said.

Banu now lives with her parents in a tiny two-room home filled to a bursting point with family members.

She will spend her life struggling with the fact that she never got the chance to raise her first child because the baby was born a girl. With tears welling in her eyes, Banu said, "She had just come into the world. She was like a flower bud, and he killed her. I lost my daughter. What can be worse than this?"

Is tide turning against killing of infants in Ethiopia?

CNN's Harmeet Shah Singh contributed to this report.

@highlight

Indian man is accused of killing 3-month-old baby girl because he wanted a son

@highlight

The United Nations says India is the most dangerous place to be a girl

@highlight

It's common to abort female babies because boys are seen as 'better investments'

@highlight

For every 1,000 boys 6 years and under, there are 914 girls -- the lowest ratio since 1947