The Greek parliament early Thursday narrowly adopted a new round of austerity cuts that are required for Greece to receive the next installment of a crucial international economic bailout.

The final tally in the 300-member parliament was 153 votes in favor of the cuts and 128 opposed, with 18 abstentions.

The cuts have provoked ire among Greeks furious about the effects of multiple rounds of belt-tightening, which have resulted in cuts to pensions and pay. They have seen unemployment soar to more than 25%.

It is Greece's fifth year of recession.

Earlier, protesters in Athens threw Molotov cocktails and police fought back with tear gas outside the parliament as lawmakers prepared to vote.

As many as 70,000 people took part in the demonstration in Athens' central Syntagma Square, outside the parliament building, according to police estimates.

Analysis: Greek misery won't end with bailout votes

Passage of the cuts was needed for the payout of the next international bailout installment of 31.5 billion euros (about $40.2 billion), which the government desperately needs to stay in operation. Without the funds, it said, it would run out of money by mid-November.

"Greece has made a big, decisive, optimistic step, a step towards recovery," Prime Minister Antonis Samaras said after the vote. "Today we made a first important step for which I am obviously happy."

There is a second step needed before Greece can get the bailout funds: Sunday's vote on the 2013 budget. Because it contains many of the measures from Wednesday's vote, it is expected to pass.

More than one-fifth of the population could face poverty, defined as a family of four on an income of 13,842 euros (about $17,500) per year, state news agency AMNA has reported.

The austerity bill sets out reforms and fiscal measures worth 13.5 billion euros over the next two years. It will raise the retirement age from 65 to 67 and cut pensions on average between 5% and 15%.

Some salaries in the public sector will be reduced by about a third, and several bonuses will be scrapped. Some judges must take a 30% pay cut, for example.

The thorniest issue is that of labor law changes.

Analysis: Euro crisis opens old wounds for Greece, Germany

The bill gives the government the right to set the minimum wage as of April 2013. It also reduces the redundancy notice period -- the time given to workers to leave their jobs after being laid off -- and limits compensation for workers with more than 16 years of service, as well as allowing stores the right to ask employees to work more flexible hours.

The anger in the Greek population against the latest round of cuts, which come on top of many others, runs deep.

"The measures just never stop. Every time, politicians say they are going to be the last measures ... they are never the last," Melina Grigoriadou, a 50-year-old married businesswoman with two children, told CNN.

"There is no end in this, there's no solution. The measures are awful -- it's not austerity, it's something even worse."

Although Grigoriadou works for an export company that has not cut wages, she said her family's income has fallen by almost a third because of new taxes, higher utility bills and inflation.

As she looks around in Thessaloniki, Greece's second-largest city, she sees real poverty affecting those who've had their incomes and pensions drastically cut, or suddenly lost their jobs. Despite paying for social security from her wages, getting a doctor's appointment now takes months and medicines are costly, she added.

What makes the hardship worse is that the international funds Greece stands to receive will not go to help create jobs or support infrastructure, Grigoriadou said, but to service its huge debt.

Some critics of austerity have called for economic stimulus programs instead, like those implemented in the United States.

But if Greece is to stick to the course laid out by the so-called troika -- the European Commission, the European Central Bank and the International Monetary Fund -- more budget cuts will be necessary, as the country's debt woes are worse than previously believed.

Read more: Journalist who embarrassed Greeks with 'rich list' acquitted

Recent budget projections for the Greek government exceed the worst-case scenarios drawn up by international lenders when they agreed to a bailout, according to a Financial Times report published by CNN.

However, the hardship many Greek people are suffering has resulted in dogged opposition in parliament to deeper cuts, including within the ruling coalition.

The Democratic Party of the Left, or DIMAR, one of three parties making up the coalition headed by Samaras, said it would abstain from the vote on the new round of austerity measures, turning in blank ballots. Still, it plans to vote Sunday to approve the government's new budget.

Samaras' own center-right New Democracy party was expected to vote in favor of the package.

Although the third coalition member -- the socialist party Pasok -- supports the cuts, individual party members came out against them.

Radical leftist party Syriza, bitterly opposed to austerity and closely connected to Greek unions, called on its website for Greeks to demonstrate against the "rape" of democracy and the dashing of the hopes of the people.

Samaras warned that if the measures didn't pass, international funds would not arrive and the nation could plunge into chaos. He pushed for Greece to receive more than the 31.5 billion euros expected in the latest installment "so that there is a significant effect on the real economy."

Greece, and particularly Athens, has seen repeated street demonstrations against the austerity measures imposed on the nation, some of which have turned violent.

Read more: New debt forecasts dash Greece's hopes

@highlight

Greece's prime minister hails a "first important step"

@highlight

The second step is approval of Greece's 2013 budget

@highlight

Austerity vote was 153 in favor in the 300-member parliament

@highlight

Passage was needed for Greece to receive the next installment of bailout funds