(CNN) -- Protesters carried a Mexican flag stained with fake blood in the country's capital this week -- a symbol, they said, of President Felipe Calderon's six-year term.

Just a few hours later, Mexican television broadcast video of the outgoing president brushing his hand across a pristine flag as triumphant music played in the background.

The images showed two drastically different interpretations of Calderon's legacy: a fed-up public that has grown weary of a brutal drug war; and a president who maintains that his fight against organized crime was necessary and, by some measures, successful.

"I leave having accomplished my duty and responsibility to serve Mexico," said Calderon, whose term ends this week. "I have worked to leave a stronger, healthier country, with a better justice system and a solid economy."

But activists offered a much harsher assessment, staging a protest in Mexico City dubbed "A Recounting of the Damage: A Six-Year Term of Death."

"Felipe Calderon leaves as a traitor to the country, as the president of devastation and contempt," the Movement for Peace with Justice and Dignity said in a statement, slamming Calderon's "clumsy attempt to reduce crime."

Mexico's new leader to CNN: The key weapon in drug war

Calderon: We had to make 'difficult decisions'

In his farewell address, broadcast Wednesday night, the president thanked the country's public officials, military and police for "defending Mexican families."

Calderon noted that his government had passed universal health care and kept Mexico's economy stable in the face of the global financial crisis.

But he did not explicitly mention the controversial six-year crackdown on drug cartels that began in 2006, when he deployed federal troops to fight organized crime.

The battle became a hallmark of his tenure, and has sparked mounting criticism in recent years. Government statistics estimate that 47,500 people have died in drug-related violence since Calderon took office.

More: How the drug war started

The Mexican government has not released official figures since January, and others estimate a much higher death toll.

Officials have repeatedly said that brutal battles between rival cartels fueled the violence.

And in earlier speeches, Calderon has noted that 25 of the country's 37 most-wanted drug traffickers were killed or captured during his tenure.

"Thanks to all Mexicans for your understanding before the very difficult decisions that we had to make in order to face so many complicated challenges," Calderon said in his address. "Beyond my capabilities and limitations, I assure you that I have put all my willingness and understanding to work toward the common good of Mexicans."

A recent national survey by the Mexican firm Gabinete de Comunicacion Estrategica (Strategic Communications Office) revealed that nearly 66% of Mexicans questioned believe that drug traffickers were winning the organized crime fight. In that same survey, 52% of the 2,000-person sample questioned said they approved of Calderon's approach to combating cartels.

Analysts offer different assessments of whether Calderon's drug war strategy worked.

Some have argued that the president entered the battle without realizing the enemy's capabilities.

"I think the adversary was larger and more harmful than we thought," security expert Eduardo Guerrero told CNN en EspaÃ±ol in 2010. "It was much more capable of responding to the government's strategy, and getting stronger."

Others have said Calderon had no choice but to move forward.

"When Calderon came to power, it was already going on. The only option was to use the army and the federal police. If he hadn't done it ... in no time you would have organized crime controlling the country," Jorge Chabat, who studies security at Mexico's Center for Research and Teaching in Economics, said last year. "If he had waited until the army and police were prepared, Mexico would have more kidnappings, more extortion. He had no other option. It was a bad option, but the others were worse."

Defiant former Mexican mayor assassinated

But critics, like the peace movement that protested Wednesday, have said Calderon's administration hasn't done enough to help the drug war's victims. And activists have accused his government of turning a blind eye to human rights abuses committed by police and troops fighting the drug war.

In his September state of the union address, Calderon defended his approach, and said abuses by authorities combating cartels were the exception, not the rule.

"And far from hiding them," he said, "in all the cases that were brought to light, action was taken against those responsible."

This week, in his home state of Michoacan, where Calderon first announced his crackdown on cartels, banners with farewell messages addressed to him hung from prominent bridges.

They were purportedly signed by the Knights Templar, a splinter cartel that surged in the state last year.

Calderon heads to Harvard

President-elect Enrique Pena Nieto, who takes office Saturday, has said he plans to take a different approach, focusing on reducing violence. He has offered few specifics about how his security policies will differ from Calderon's strategy, but he's said that change is coming.

"We will keep the policies that I think work," Pena Nieto said this week, "including cooperation with the United States to effectively fight organized crime."

As Pena Nieto prepared to take the reins this week, Mexicans learned the answer to a question that has been the subject of much speculation: Where will Calderon go, now that his term is ending?

Harvard University's John F. Kennedy School of Government announced Wednesday that the outgoing Mexican president will spend the next year as a global public leaders fellow at the school.

"President Calderon is a vivid example of a dynamic and committed public servant, who took on major challenges in Mexico," David T. Ellwood, the school's dean, said in a statement.

Hours after the announcement, a Mexican researcher who is studying ethics and corruption at Harvard this year said university officials should reconsider the move.

"I am alarmed that Harvard will protect a person as unethical as Felipe Calderon," Irma E. Sandoval wrote in a Twitter post.

Sandoval, who is a fellow this year at Harvard's Edmond J. Safra Center for Ethics and also heads a corruption and transparency research laboratory at Mexico's National Autonomous University, said she was hoping others at Harvard would join her in protesting Calderon's appointment.

The outgoing president, she told CNN, does not deserve the one-year fellowship.

"He is handing over a country in flames," she said.

At the end of the video released by the Mexican president's office Wednesday, Calderon strides down the steps of his official residence.

"As a citizen I will continue serving the country passionately until the end of my days, always grateful for the privilege I have been given to be Mexican. Many thanks, and see you soon, Mexico," the president says.

He looks up toward a flag, fluttering in the sky.

CNN en EspaÃ±ol's Krupskaia Alis and Rey Rodriguez, and CNNMexico's Rodrigo Soberanes contributed to this report.

@highlight

Mexican President Felipe Calderon gives a farewell message

@highlight

He thanks Mexicans for understanding the "difficult decisions" he had to make

@highlight

Protesters in the country's capital criticize his "six-year term of death"

@highlight

Calderon, whose presidency ends this week, will head to Harvard