(CNN) -- Tourist traps -- overcrowded, over-hyped and, of course, overpriced.

Yet we keep going.

By the millions.

Why?

Because however one bad experience may make us feel about them, they're awesome.

That's why they get overcrowded in the first place.

That's why, as Yogi Berra supposedly once said of popular St. Louis restaurant Ruggeri's: "Nobody goes there anymore. It's too crowded."

Professional globetrotter Gary Arndt perhaps sums it up best when he says, "I had a horrible time at the Pyramids, but I'd go back and recommend people go because ... they're the Pyramids. Some places you just have to suck it up and go visit."

Here are eight over-popular places that are well worth a visit anyway -- and a few tips for avoiding the scrum, if you really have to.

Share your picks for most-worth-it tourist traps in the comments.

1. Taj Mahal (Agra, India)

It's one of India's most popular sights, attracting 3 million visitors a year -- which automatically puts it on many tourist's verboten list.

More fool them: they're missing a World Heritage Site that really lives up to the hype.

At sunrise or sunset the crowds are slimmest and the building is at its most photogenic.

Travel writer Jodi Ettenberg picked the dawn hours of a rainy day for her visit, when most tourists would stay in bed.

National Geographic Traveler of the Year Shannon O'Donnell took a different approach.

"I went on a sunny day and still had a wonderful visit," says O'Donnell. "The site is just as popular with Indian tourists, so it was fun to interact with the families."

2. The Acropolis (Athens, Greece)

Ruggedly modern Athens may be a culture shock to those expecting white marble and togas at every turn, but for many the most jarring experience awaits at the ticket barriers to the Acropolis, complete with security guards and a sea of visitors.

The climb up is hot and crowded -- but at the top, you'll see why a million people do this every year.

This is Athenian culture refined and placed on a pedestal 150 meters high -- in every sense, it's the heart of Athens and maybe even of Greece.

The country's monuments have endured thousands of years of warfare, stone theft, punishing heat and, in one dramatic incident, an exploding ammo dump -- but they're still here.

Be inspired by that, grit your teeth and brave those crowds. It's worth it.

Alternately ...

If you're looking for the best view in the city, head northeast and climb Lykavitos Hill.

From its peak (at 277 meters, the highest point in the city), you'll be looking down onto the Acropolis, and the rest of the view will punch the breath out of you.

3. London Underground (UK)

Canned sardines would gloat if they ever saw the twisted, conjoined bodies scrapping for pockets of air during rush hour on London's Tube service.

During tourist season, it can get spectacularly horrible.

There are tricks and shortcuts to avoid bottlenecks, including going up to street level and walking to the next station.

Alternative Tube maps have become an art form (like the incredible Wonderground map) and the network's history is fascinating.

If you need an excuse to explore, there's the Tube Challenge -- visiting all 270 stations in 24 hours.

4. Khao San Road (Bangkok)

Online reviews of Khao San can be damning: "Meh, lots of drunk backpackers, tacky, noisy and crowded."

Dubbed by Susan Orlean as The Place To Disappear, it's usually raucous and requires a particular mindset to enjoy.

It's a tourist trap -- but not an unwelcome one, according to the average review on TripAdvisor.

People visit Khao San because it's thrillingly chaotic -- the noise and the crowds are the price of that excitement.

They're usually a bargain.

Alternately...

Too much chaos for you? Look to the surrounding streets.

While food on Khao San itself has a reputation for being underwhelming and overpriced, writer Mark Piano found a wealth of Lebanese and Israeli food nearby, including the well-reviewed Shoshana, the "cheapest and best hummus I've found in town."

5. Sacre Coeur (Paris)

Acting as Paris's own Acropolis is the Basilica of the Sacred Heart of Paris, better known as Sacre Coeur, high above the city on the hill of Montmartre.

Consecrated less than a century ago, it's the city's must-see symbol of unity and renewed confidence -- and yet the approach to it is plagued with Paris's worst tourist scams, including the Paris String Trick.

Disheartening?

Of course.

Avoidable?

Absolutely.

"Most visitors take the same route," says travel blogger James Feess. "They get off at the Anvers metro stop, walk through the gauntlet of tacky souvenir shops on Rue de Steinkerque, take the funicular up to Sacre Coeur, walk to the Place du Tertre to see the artists selling their original paintings and finally walk back down the hill to see the underwhelming Moulin Rouge.

"Venture outside these few areas and you'll find a whole different world of quintessential Parisian cafes, tree-lined streets, private gardens, hidden alleyways and boulangeries that most tourists never see. "

6. Stonehenge (UK)

Ah, Stonehenge.

These days you're unlikely to step between the stones unless you're allowed special access (say, you're Doctor Who).

Most visitors have to walk around the outside -- and yet that's enough.

It's the crowning monument in a staggeringly archaeology-rich landscape.

It's also changing dramatically.

A new Â£27 million ($45 million) visitor center opened in December 2013, and as with many new arrivals it's suffered a few teething problems.

This is the most famous prehistoric monument in England, perhaps in the world -- and we still don't know what it was for.

Alternately ...

Twenty miles to the north, Avebury's stone circles has no admission fee and gets a quarter of the annual visitors.

The stone circles are a short walk from West Kennet Avenue and other stunning prehistoric monuments.

7. Christ The Redeemer (Rio de Janeiro)

It's the most famous sight in Brazil, it's stunningly beautiful and it has a remarkable history.

Of course you need to go.

Even if the area around the 98-foot-tall statue is almost always heaving with visitors.

"Most of the photos you'll have seen are likely to have been taken by photographers in helicopters who can find the space they need for the shot without the crowds," says travel photographer Laurence Norah.

"If you want to avoid the crush, go on a weekday rather than the weekend and perhaps pick a day that isn't totally clear.

"The morning is better for photos of the statue, as the light is on him, whilst the afternoon and evening offers better light across Rio."

8. Grand Canyon (Arizona)

If North America's Natural Wonder Of The World is your destination this year, don't waste your visit on a whistle-stop trip to the edge.

That's how most people experience it, and it's a poor way to do this 17-million-year-old landmark justice.

To avoid the beaten track do as the wisest local guides suggest -- book a few days and venture below the rim -- best to go out of season, as the canyon floor can be unbearably hot (39C/102F) during summer.

@highlight

Rio's most famous landmark, Christ the Redeemer, is usually heaving with visitors. So what?

@highlight

It's worth booking a couple days at the Grand Canyon rather than peering over the edge and leaving

@highlight

Choosing a weekday over weekend or early morning over midday can spare you crowds at big attractions