(CNN) -- I'm writing this from a Dunkin' Donuts in northern Virginia the day after Hurricane Sandy blasted through, wiping out power to millions of homes, including my own. My 13 year-old daughter sits across from me, doing her homework on her laptop. I'm very grateful that Dunkin' is open and has some outlets in the wall and a decent wireless connection -- though for some reason, they don't have any donuts.

So, maybe I'm not in a great place, but I'm lucky. For many families, the storm brought real tragedy, in some cases loss of life and livelihood. Not only is there flooding, with communities devastated, but homes, businesses, and cars have been damaged or lost; for many there are days of missed work -- and missed paychecks. Lower Manhattan on Tuesday morning, with cars strewn about, looked like a scene from "The Avengers."

Politics: Disaster relief -- Obama, Romney differ on federal role

I've seen rough loss estimates of up to $20 billion, of which perhaps half will be replaced by insurance payouts. The realization of how quickly such a natural event can occur should lead us to consider what all this means in terms of responding to this much devastation. When states face disasters of this proportion, one of the first places they turn for help is the federal government, specifically the Federal Emergency Management Agency.

Politics: Will you be able to vote on Election Day?

This is as it should be. In fact, it's a great example of why we need a centralized federal government that can respond to states in their time of need. Kind of like an instant recession, a natural disaster is an unexpected event that causes great disruption to the lives of its victims and their communities that is often well beyond the capacity of states to reliably bear. We should of course expect states, as well as private citizens, to respond, and Americans have consistently risen to such moments, showing our deep generosity.

It's times like this that "There but for the grace of God ..." kicks in for many of us.

But neither we as individuals nor our cities or states can do it all ourselves. Imagine, as Mitt Romney has advocated (though not on Tuesday, apparently), that FEMA were eliminated, privatized, or handed off to states in a block grant. Or consider the House Republican budget -- authored by Rep. Paul Ryan and endorsed by Romney during the primaries -- a proposal that would cut 22% from the part of the budget that supports this type of aid to the states, amounting to a loss of $28 billion in 2014, including a $2 billion cut in New York state alone.

Further imagine -- and if you've been following the hundreds of thousands of state layoffs of key personnel in recent months, this shouldn't be a stretch -- that a disaster like Sandy occurred at a time when state budgets are already under great strain (as are many families' budgets).

Remember, a block grant is a fixed amount that by definition is unable to expand in times of need. In many ways, it's a fair-weather ship that does fine in calm waters but founders in a storm. Welfare (work-based assistance for poor families with kids), for example, was block granted in the mid-1990s, and it worked adequately when the economy was humming. But when the recession hit, it failed as a safety net, especially compared with federal programs like food assistance or unemployment insurance that handily expanded to meet the recession-induced need.

Opinion: Sandy debunks 'nanny state'

It's unimaginable that we could administer federal disaster relief this way. States like New York and New Jersey would unquestionably need more help in a storm like Sandy, yet we'd have to tell their governors: "Hey, we'd love to help, but if your block grant doesn't cover it, there's nothing we can do about it."

That's obviously ludicrous, and it's also why you'll see avowed partisans like New Jersey Gov. Chris Christie, a Republican, showing real decency as he stressed Tuesday how helpful the president has been and how important the federal response is in addressing Sandy's impact in his state.

I hope the storm is a good reminder that when we hear candidates' soothing words about shedding federal government functions, whether it's FEMA, Medicaid, or safety nets in recession, we must think about what that actually means in practice. Disasters happen, recessions happen -- like it or not, there are market failures and natural disasters in our future. If anything, it seems as though these 100-year storms come about every six months these days. (Which reminds me -- here's a great idea for a big, national infrastructure project that will create millions of jobs for white- and blue-collar workers and save billions in lost output: Bury the power lines!)

At the end of the day, we don't need "big" government or "small" government. What we need is an amply funded federal government to meet challenges like those we're facing today, something I'm afraid Romney and Ryan do not understand.

Opinion: Don't let superstorm sway your vote

The opinions expressed in this commentary are solely those of Jared Bernstein.

@highlight

Jared Bernstein says Sandy brought loss of life, devastation to homes, businesses, lives

@highlight

He says over-burdened states rightly turn to federal government for help from FEMA

@highlight

He says Romney, Ryan have proposed block grants for states instead, or privatizing relief

@highlight

Writer: Disasters can outstrip block grants; states strapped. In practice, these ideas won't work