(CNN) -- Yudi Rinaldi had his four-year-old son, Ryan, join him in a scene that simulated the real destruction he had narrowly escaped in Aceh, Indonesia.

In 2004, a monstrous black wave of rubble surged towards Rinaldi as he ran for his life. In October, the trauma of that day was relived as he took part in a drill to test the area's new tsunami early warning system.

Five years ago, Rinaldi had no shelter to run to as giant waves crashed onto Indonesia's west coast, but things have changed since the tsunami left some 245,000 dead or missing in 14 countries across the Indian Ocean region. Early warning sirens drone, and there are shelters that can hold hundreds of people.

Twenty nations took part in the October tsunami drill. The Indian Ocean region now has new deep-water buoys -- or tsunami sensors, sirens, tide gauges and a web of communications systems to help forewarn a future catastrophe.

But experts said the new instruments and drills are not enough. Educating communities about how to react to signs of a threat like a tsunami -- with or without an official warning -- is what they see as a key challenge.

"Technology will improve ... the question is how we go to the last mile," said Costas Synolakis, a professor of civil engineering at the University of South California.

Did you survive the tsunami? Did you lose a loved one? Share your thoughts on the 5th anniversary on CNN iReport

Situated in a high-risk zone, Indonesia now has developed the capability to warn of the potential for a tsunami from an undersea earthquake within five minutes of its occurrence.

By next year, the country aims to take its warning system to the next level by calculating the height and the arrival of a tsunami, said the director of Indonesia's earthquake and tsunami center, Fauzi, who like many Indonesians uses only one name.

In 2007, India put into place an early warning system that officials say is equipped with state-of-the-art facilities and connected with international networks. More than 34,000 people in India died or went missing in the 2004 disaster, according to the United Nations Development Programme (UNDP).

Krishna Vatsa, the UNDP's disaster-reduction adviser in South Asia, said the warning system would help reduce the number of deaths from a similar situation in the future. Yet, the country needs to upgrade networks to reach all communities, she said.

"We still have a long way to go," Vatsa said. "It's all about how you reach the remotest villages along the coast."

The rarity of tsunamis, which she described as a once-in-a-50-year event, makes the task of spreading awareness about them more difficult. "You may have a very sophisticated system but the real test is how that ultimately leads to timely evacuation and actionable information," Vatsa said.

Nonetheless, she praised India's evacuation exercises during last year's massive flooding in its Bihar state.

Sanny Jegillos, program coordinator for the UNDP's regional center in Bangkok, rates the Indian Ocean early tsunami warning systems as superior to those of the Pacific in terms of earthquake monitoring and detection.

Myanmar, Bangladesh and some east African nations, however, have lagged behind India, Indonesia, Sri Lanka and the Maldives in their investments in public education, Jegillos said.

But in terms of the number of tidal buoys, the Pacific system was far ahead, he said.

Stanley Goosby, a chief scientist with the Pacific Disaster Center in Hawaii, said Indian Ocean countries have made significant progress in tsunami preparedness. But while systems have improved, he, like others, stressed the importance of educating individuals.

"You have to have an end-to-end system," Goosby said. "Get it in school curriculum."

@highlight

Five years ago: Limited tsunami infrastructure

@highlight

Today: Tsunami sensors, tide gauges, shelters, drills

@highlight

Experts: Key is educating people about what to do

@highlight

In terms of number of tidal buoys, Pacific system is far ahead of Indian Ocean