(CNN) -- To hear some Guatemalans tell it, three coordinated attacks that killed four prison officials in five hours Monday hardly raised anyone's pulse.

Police arrests two suspects in one of the three attacks.

They're used to this level of violence, said Fernando Carrera Castro, director of the Central American Institute for Fiscal Studies in Guatemala City. Although what happened is normal in Guatemala, Carrera said, that's not to say that citizens are not concerned.

"We're as scared as ever," he said Tuesday.

Heather Berkman, a Central America analyst with the Eurasia Group consulting firm, also has come to expect the violence.

"What else is new?" she said when asked about the killings.

Samuel Logan, an expert on Latin American gangs, said all of Central America is under attack from organized crime cartels because the region is pinched between Colombia and Mexico, the two biggest sources of drugs in the area. U.S. interdiction efforts that have targeted the flow of drugs through the Caribbean Sea also have forced cartels to travel through the Central American isthmus, Logan said.

Within Central America, he said, Guatemala, Honduras and El Salvador have the worst problems. Among those three nations, Guatemala stands out.

"When you talk about a country being hollowed out by organized crime, Guatemala is at the top of the list," Logan said.

There are two main reasons, he said: geography and an incompetent and corrupt government.

"Guatemala bunches right up against Mexico," Logan said. "Any spillover effect is almost certainly going south."

Said Berkman, "The narcos are coming down from Mexico."

In addition, Logan said, the federal government is not able to control large segments of the country. For example, Peten state in northern Guatemala, bordered on two sides by Mexico, is lawless, he said.

Berkman made the same point.

"The narcos control about 40 percent of the territory down there, which is pretty amazing," she said.

Berkman also pointed out that the government has reduced anti-crime spending in the 2010 budget because of the nation's dire economic situation.

"If you don't have resources, you can't pay for troops and supplies and intelligence," she said.

Logan, who just wrote a book on the Mara Salvatrucha gang of Central America, said there are two main criminal elements in Guatemala: drug cartels that deal in large-scale exportation and street gangs that sell drugs at the retail level and are involved in other crimes, such as robbery and extortion. In some cases, they work together.

When those criminals get arrested, they continue their activities on the inside.

"The prisons, in general, are centers of corruption," Carrera said. "From inside prison, they direct kidnappings, extortion, drug trafficking."

Monday's attacks on the prison officials resulted from efforts to weed out corruption in the nation's prisons, Carrera said.

Officials have been clamping down on what goods inmates can receive and the use of cell phones within prison walls. They also are transferring some top-level criminals to high-security prisons.

"What happened is a reaction from gangs who want control of the prisons," Carrera said. "They're trying to show strength through force. To generate fear."

Interior Minister Raul Velasquez was quoted in several newspapers Tuesday as saying the attacks were in retaliation for the recent transfer of several gang leaders to high-security prisons.

Two arrests have been made in Monday's shootings and the investigation continues, said Rudy Esquivel, spokesman for the Guatemalan prison system.

"This was a very structured job; very well-defined," Esquivel said from Guatemala City, the nation's capital.

Killed were a prison assistant director, a warden and two guards. One guard and a shooting suspect were wounded, as were three citizens. One of the wounded was a woman in the eighth month of pregnancy, news accounts said.

According to published reports in the Prensa Libre, La Hora, El Periodico de Guatemala and Siglo 21 newspapers, this is what happened:

The first attack occurred around 7 a.m. Monday in Guatemala City when two gunmen on a motorcycle fired an AK-47 assault rifle at three guards who were transporting a prisoner. One of the guards was killed and another wounded. A national civil police unit driving in front of the prison detail gave chase and captured the suspects, one of whom suffered a serious leg injury.

The second attack happened 10 minutes later, when the warden at the prison in the city of Guastatoya, in central Guatemala, was gunned down while he ate in front of the Hospital General San Juan de Dios. The warden, Felix Gabriel Garcia Reyes, was at the hospital to pick up the body of a prisoner who had died after surgery. Two men and a pregnant 19-year-old woman were wounded in the attack.

Witnesses told police four men in a green vehicle fired and fled. Authorities found an abandoned Mitsubishi nearby that matched the description. Inside, they found a 9 mm pistol and ammunition for other weapons.

The third attack occurred around noon on the Inter-American Highway near the city of Chimaltenango, where Javier Bac Tzul, 40, was the prison's assistant director. He and his 31-year-old driver were killed as they returned to the prison after a trip to Guatemala City. Authorities said they found AK-47 shells at the scene.

Chimaltenango Gov. Hector Lopez said a prison director and two assistant directors already have been killed in the state, Prensa Libre reported.

Analyst Berkman sees little hope.

"It's a lose-lose situation, no matter how you look at it," she said.

@highlight

Four killed in three orchestrated attacks, local papers say

@highlight

Analysts blame attacks on flow of drugs through country

@highlight

Guatemala on route from Mexico to Colombia, two biggest sources of drugs in area

@highlight

Analysts also blame Guatemalan government they say is incompetent and corrupt