Nairobi, Kenya (CNN) -- No one at the Railway Golf Club in the heart of Nairobi quite remembers if Barack Obama, Sr., the father of the 44th U.S. president, ever played here when he was a high-flying civil servant in the 1960s . Perhaps he played up the road at the Royal Nairobi Golf Club, the oldest of the city's six golf establishments, someone suggests.

The club scene was certainly the natural ecosystem for the pipe-smoking Harvard-educated economist, and the hordes of other young Africans just returned from the world's top universities to take over their newly independent country.

Map: World weighs in on U.S. election

Memories of Dr. Obama are fading, but his son is a popular man in Kenya. From the clubs to the teeming barrios for which Nairobi is notorious, President Obama is spoken of with enthusiasm and pride.

Dr. Simeon Onyango, is in the pharmaceuticals business and a widely travelled man. He thinks the world of President Obama.

"I believe he deserves a second term. War is very expensive and with the Iraq and Afghan war, he has done a great job in managing this and even eliminating Osama [bin Laden]," said Onyango at the Railways Golf Club, whose course is part of a longer green belt that girdles Nairobi's fat midriff from south to north.

Postcard: Nigerians enjoy election soap opera

The Kenyan capital is a land of dramatic contrasts. From a rooftop bar on Mombasa Road, the main highway to the airport and on to the coast, you can sometimes see in the distance herds of buffalo, giraffe and the odd lion. Once in a while, when the big cats wander into the villages and kill their cattle, Maasai warriors take out their spears and hunt them down. It is a city that likes to keep in touch with its wild side.

Kibera, Kenya's biggest slum, is Obamaland. Here, the people are less guarded, more passionate about politics. Their living conditions are terrible. They have given rise to a peculiar activity, slum tourism, where wealthy people journey from all over the world to come and see squalor.

The ring of slums to the south co-exist cheek-to-jowl with Lavington, one of the city's wealthiest neighborhoods. Every morning crowds of workers stream through Lavington for their 15-kilometer walk to the city's industrial zone.

Postcard: Obama finds support among Chavistas

In Kibera, Obama's story resonates strongly maybe because when you are scrapping the bottom of the barrel, the only thing keeping you going is a dream: the slum is home to amazing innovation and creativity in film, comedy, music and -- believe it not -- IT.

James Mwanzia, 25, sells charcoal, used by thousands of poor household for fuel. "The highlight of his term was killing Osama bin Laden, which is something other presidents have not been successful in doing," he says.

Al Qaeda and its fanatical Somali affiliate, Al-Shabaab, which has been carrying out a campaign of terror in Nairobi and on one occasion lobbed a grenade into a Sunday school, is solidly hated.

Postcard: Why Berliners, U.S. are kindred spirits

Unlike many Kenyans, Mwanzia didn't wake up at 4:00 a.m. to watch the second U.S. presidential debate on TV. Kenya will hold its own general election next March, and for the first time a series of presidential debates has been planned ahead of election day.

He says he will watch the local ones.

For Kenya's Muslims, however, the attitude towards America is more complex. Munir Mohammed Abbas, 35, another Kibera resident, is full of praise for Obama, whom he describes as "a very eloquent speaker with a very good grasp of national matters, especially on managing the economy" -- before adding, "I will not comment on terrorism."

Postcard: War-scarred Baghdad has little faith in election

Among Muslims, there is suspicion that the fight against al Qaeda targets their religion -- and U.S. campaign talk of an invasion of Iran and the enthusiastic support for Israel are not popular ideas in the mosques.

The thrill here over Obama's 2008 election has dwindled over time. "Enthusiasm for President Obama is probably 40 percent what it was in 2008," said Henry Owuor, Foreign Editor of the Daily Nation, Kenya's biggest newspaper. "People used to call and demand that I publish Obama's pictures and stories. Not any more." In 2008, the Daily Nation sent a team to cover the U.S. election; this year it is relying on its correspondents and the wire services.

While Obama is admired because he is smart, calm and dignified, a brave black man doing his duty for his country, he has been in office for four years and the novelty has worn off.

Postcard: Obama's 'hope' a mirage for hostile Pakistanis

Kenyan perception of America has also changed over the years. The U.S. is recognized as a powerful actor not just in regional affairs, but in national affairs. There is a growing belief in Kenya that America exercises its immense power only in its own interest -- sort of like a wealthy friend who comes to a party with lots of food, but does not share.

Last October, Kenyan forces crossed the border into Somalia in pursuit of Al-Shabaab. The region's first contact with jihadist terrorism was in August 1998 when al Qaeda bombed the U.S. embassies in Nairobi and Dar es Salaam. There was an outpouring of sympathy for America. But when Kenyan forces entered Somalia, the U.S. stayed out of it.

James Thumi, who sells software, feels Obama has not been sufficiently engaged with Africa. While his predecessors had big initiatives such as the Global Fund to Fight Aids, Tuberculosis and Malaria, and the African Growth and Opportunity Act, which offers African companies preferential access to the U.S. textiles market, Obama has been pre-occupied with domestic issues.

Postcard: Obama, Romney ignore Afghans at own peril

America also uses travel advisories to chide the Kenyan government for policies with which it disagrees, according to Thumi.

"Placing travel advisories on countries like Kenya because of a few security threats is not the way to go, because we do not do the same when America has had its share of scares," said Thumi, echoing the common perception that the U.S. government uses travel advisories, which discourage travel to countries at risk, as a big stick to get the Kenya government to do its bidding.

In K'ogelo, a village about 400 kilometers west of Nairobi and the home of the Obamas, a victory party is being planned. At the Railway Club, golfers pay no heed to the scorching sun and are out on the green. In the club house, members speak quietly into their cell phones. A few are on their iPads, most likely keeping a worried eye on RealClearPolitics.com to see which ones are leaning and which ones are toss-ups.

@highlight

President Obama's father, Barack Sr., was born in Kenya

@highlight

Obama fervor has faded since 2008, but he remains source of pride for Kenyans

@highlight

Many Kenyans believe the killing of Osama bin Laden is Obama's top achievement