What a difference two years makes.

When Barack Obama became the first sitting U.S. president to visit Myanmar in 2012, there was much fanfare about the country's political reforms and apparent road to democracy after decades of oppressive military rule.

But as Obama and other world leaders gather in Myanmar this week for the Association of Southeast Asian Nations (ASEAN) summit, the situation is not as rosy as many had hoped.

"Parts of the reform effort have stalled, parts have moved forward, and parts we've even seen things move backward," Deputy U.S. National Security Adviser Ben Rhodes said Thursday. "So I think it's a mixed picture."

Two years after Obama's historic visit, Myanmar's parliament is still largely dominated by the military. And the human rights crisis faced by the Rohingya Muslims in Rakhine state is as dire as ever.

'Internment camps'

The crisis in Rakhine state began in May 2012, when the rape and murder of a Buddhist woman by Muslim men ignited long-standing tensions between the Rakhine Buddhist majority and Rohingya Muslims.

In 2012, clashes between Rakhine Buddhists and Rohingyas, a long-oppressed linguistic and ethnic minority in this majority Buddhist country, left hundreds of people dead and more than 140,000 people homeless.

Across Rakhine state, more than 130,000 other displaced people are trapped in 67 camps. The majority of them are de facto stateless Muslims, living under apartheid-like conditions. Most have been there since the violence in October 2012, after their villages were destroyed.

They endure wretched conditions, such as frequent flooding and filthy water. Skin diseases and gastrointestinal problems are common. But they can't leave without police escort.

That rule is "to prevent further clashes and (ensure) their safety," Minister of Information Ye Htut told CNN.

But the settlements "have essentially become internment camps" for about 140,000 people, according to a report by the International Crisis Group.

"People have been here two years and they have nothing. Nothing," a humanitarian worker said. "The desperation is extremely high, and it's increasing."

President Thein Sein reportedly told a visiting United Nations delegation that the government did not recognize the Rohingya as citizens of Myanmar, also known as Burma, and was planning to install them in refugee camps until another country could be found to take them.

Obama and the Burmese president will meet this week.

Joshua Kurlantzick, a senior fellow for Southeast Asia at the Council on Foreign Relations, said Obama should pressure the Myanmar government to push ahead with political changes and rethink its "racist" plan for the Rohingya.

But a senior U.S. official cautioned not to expect any major leaps forward any time soon.

"I don't think we're going to see breakthroughs in the short term," said Tom Malinowski, the U.S. assistant secretary of state for human rights and labor. "Burma was an opening to a breakthrough, and it's one that we always knew would take years to move from its starting point to its finishing point."

Stunted democracy

On top of the Rohingya human rights crisis, Myanmar is no where near the democratic country that some had hoped for.

After decades in power, the country's military junta stepped down, and a civilian government was sworn in to office in 2011. But the military still has substantial power.

The country's current constitution stipulates that 25% of the seats in parliament are held by members of the military, and the military has veto power.

Obama will meet with fellow Nobel Peace Prize winner Aung San Suu Kyi on Friday. The pro-democracy icon spent years under house arrest by the country's military rulers before becoming a parliamentarian in 2012.

While many democracy advocates want Suu Kyi to run for president next year, the government prohibits it. The Burmese constitution, written by the military in 2008, forbids anyone married to a foreigner to become president. Suu Kyi's husband, who died in 1999, was British.

Even Suu Kyi has come under criticism for staying largely silent on the Rohingya crisis.

@highlight

World leaders are gathering in Myanmar for the ASEAN summit

@highlight

Obama could discuss plight of the Rohingya Muslim minority in Myanmar

@highlight

The government does not recognize Rohingyas as citizens

@highlight

Obama will meet with Aung San Suu Kyi, who has been criticized for her silence on the issue