(MNN.com) -- If your pet suffers from arthritis, prescription medication isn't the only solution. Holistic options such as acupuncture, chiropractic medicine and rehabilitative therapy can reduce the need for medication, while significantly improving your pet's quality of life.

Veterinarians Evelyn Orenbuch and Susan Wynn offer information about greener treatment options for arthritic pets.

Keep pets moving

"Just getting the joints to move, a lot of time, decreases the pain and increases joint fluid," says Orenbuch, a veterinarian certified in chiropractic and canine rehabilitative therapy.

At Georgia Veterinary Rehab, her state-of-the-art facility, four-legged patients get laser therapy and massages or undergo low-impact rehab sessions on an underwater treadmill. Treatment options focus on increasing flexibility and strength while decreasing pain.

When pets struggle with arthritis, Orenbuch frequently recommends a solution that begins at home: Keep pets active and monitor their weight. It's no secret that extra pounds add pressure to joints, but fat cells also carry other hidden dangers.

"The more fat you have, the more inflammation you have," says Orenbuch, president of the American Association of Rehabilitation Veterinarians. "If you've got a joint that's inflamed, even more of the inflammation and inflammatory factors tend to find their way there."

Interactive toys, extended playtime and healthy treats can help your pet drop excess pounds and relieve achy joints. Helping your pet lose weight is an important and inexpensive first step in treating arthritis.

MNN: How to help your pet lose weight

Consult your vet before making dietary changes

As a nutritionist with Georgia Veterinary Specialists, Wynn promotes dietary changes that can improve a pet's health. But consult a veterinarian before you load up on glucosamine, sardines, fish oil or other foods associated with joint health.

Fish oil can be effective, Wynn says, but pets need high doses that could add extra calories.  

"When you start to talk about sardines or fish oil, you may be increasing fat in an older dog, which can be a problem," she says. "Talk to the vet if you are changing diet at all. No one has reported severe side effects with glucosamine, but talk to the vet about dosages."

Holistic treatments for arthritis also include the use of herbs, which Wynn describes as "specialized food for very specialized cells." When treating pets for arthritis, she often prescribes herbs in conjunction with acupuncture. This approach removes the risk of side effects typically associated with anti-inflammatory drugs.

"I will talk about all the options," she says. "Acupuncture, herbs, physical therapy and diet changes can help."

MNN: 15 healthy dog treats

Ask about new treatment options

There's no shortage of unique options to treat arthritis. Prolotherapy, one of the newest nonsurgical trends in veterinary medicine, involves regular injections of dextrose and other substances, such as lidocaine and vitamin B12, to stimulate cell growth and strengthen joint tissue. 

According to Orenbuch, prolotherapy irritates tissues to cause a small amount of scarring, which increases stabilization of an unstable joint. She notes that prolotherapy and rehabilitation also have been used to treat ACL tears in lieu of surgery.

"There have been a few studies here and there that suggest it has an effect on modulating pain, but it's not often effective alone," Wynn says, noting that most patients require a multi-faceted approach. "With an older, 13-year-old dog, I might start two things at once -- maybe herbs for two weeks then acupuncture for two weeks."

Acupuncture involves more than needles

The ancient Chinese practice of acupuncture has gained popularity for its ability to enhance healing and pain management, in spite of skepticism about its results. The process involves inserting needles into specific points on the body, releasing the flow of energy and promoting balance.

"Whether you want to go by double-blinded studies or anecdotally, we have all seen enough results to tell you it works," Orenbuch says. "We know from Western medicine that a lot of those points are over major nerve centers, and release chemicals that help the body to heal and counteract pain."

Wynn notes that most pets tolerate the procedure without issue -- yes, even cats. Many show improvement a few minutes into the treatment, and sessions can range from five to 30 minutes.

Her facility sets a comforting tone for pets during visits by using pheromones or lavender oil to keep them calm during each session. At Georgia Veterinary Rehab, soft lighting and soothing water features set the tone for stress-free acupuncture sessions.

MNN: Remembering the dogs of the Titanic

It pays to start chiropractic care early

Chiropractic care promotes proper alignment of a pet's musculoskeletal structure through regular adjustments. Orenbuch often combines acupuncture and chiropractic care when treating patients.

"Your goal is to make sure that every joint has full range of motion," she says, noting that there are seven joints between each vertebra of the spine. "As long as those are moving properly, then the nerves that come out from the spinal cord are going to be able to function better."

Be honest about your financial situation

Holistic options such as acupuncture or rehabilitation can be costly, but most doctors will customize treatment plans to fit your budget as well as your schedule. Be honest about your finances during the initial consultation and ask for more than one option to address your pet's arthritis.

"If someone comes in with dog that I think needs to come two or three times a week for rehab and they can't afford it, then they can't afford it," Orenbuch says. "Once a week is better than nothing, and then let's talk about what you can do at home."

Holistic approaches can significantly relieve symptoms of arthritis, but Wynn warns clients to keep expectations in check.

"With a lifelong disease like arthritis, you are not curing it," she says. "The length of treatment depends on the severity of the disease and other conditions."

Find a holistic veterinarian near you

In addition to referrals from your veterinarian, here are a few options to find a holistic doctor near you:

AAVA.org: American Academy of Veterinary Acupuncture

AVCAdoctors.com: American Veterinary Chiropractic Association

CanineRehabInstitute.com: Canine Rehabilitation Institute

Holisticvetlist.com: American Holistic Veterinary Medical Association

Rehabvets.org: American Association of Rehabilitative Veterinarians

VBMA.org: Veterinary Botanical Medicine Association

© Copyright 2011 Mother Nature Network

@highlight

Extra pounds add pressure to joints so keep pets active and monitor their weight

@highlight

Prolotherapy involves regular injections to stimulate cell growth and strengthen joint tissue

@highlight

Holistic options can be costly, but most doctors will customize treatment plans to fit your budget