(CNN) -- Affirmative action -- which is coming up before the Supreme Court on Wednesday in Fisher v. University of Texas -- has long been one of America's most divisive social policies. But it doesn't need to be.

Universities engage in many forms of affirmative action that are uncontroversial, such as efforts to reach out and encourage minority applicants, or initiatives to make sure that admissions officers are going beyond test scores to find the strongest candidates.

The battle is really about the use of racial preferences in admissions, especially the large preferences often used by selective schools that, in effect, add a full point to the high school grade-point average of every black applicant, and half a point to every Hispanic applicant, or otherwise adjust the academic qualifications of black and Hispanic applicants so as to make them appear, for purposes of comparison with white and Asian applicants, much more academically prepared than they actually are. These policies are often justified as ways of ensuring fair minority representation -- which, in turn, is supposed to foster a better learning environment for everyone.

But a growing stack of carefully vetted research is finding that these large preferences often undermine the very goals they are intended to promote, because they do a poor job of matching students to the college environments in which they are most likely to thrive. A student who would do extremely well at Wake Forest ends up at struggling at Duke; a student who would thrive at a strong state university gets recruited away to the Ivy League and becomes a marginal student.

News: The young woman at the center of the SCOTUS challenge

For example, students who aspire to careers in science or engineering (STEM fields), and who get into a school where they are surrounded by academically stronger students, have low odds of actually getting a STEM degree. Yet these students have what it takes to have a successful career in STEM -- if they go to the right school. A careful study led by University of Virginia psychologist Fred Smyth found that the well-matched minority students were nearly 80% more likely to achieve their STEM aspirations. Three other studies have confirmed Smyth's findings.

In Fisher -- the case before the Supreme Court -- the University of Texas reintroduced racial preferences in 2004 because, it said, it wanted to achieve racial balancing of minority students in its classes. But it has pursued this goal with very large preferences, and since these students are likely to retreat from the most competitive and rigorous classes to softer fields, the use of racial preferences can easily have little or no effect at all upon classroom integration.

The mismatch problem undermines diversity goals in other ways, too. Undisputed research has found that students are more likely (holding other things, such as race, constant) to make friendships with other students who have comparable levels of academic preparation. When colleges use large preferences, they interfere with social assimilation, and the minorities who are the "beneficiaries" of these preferences often feel socially isolated and self-segregate. Indeed, preferences that are so large that they produce disparities in academic performance across racial lines are likely to foster negative stereotypes -- just the opposite of what diversity programs are supposed to achieve.

In short, large racial preferences, and indeed large preferences of any other kind (e.g., for children of alumni, for athletes, etc.) are often counterproductive. Yet universities continue to use them, partly because they may not understand the consequences of mismatch, but mainly because they are under tremendous pressure to achieve a particular racial balance -- at whatever cost -- in their student bodies. These are exactly the situations where government regulation has a helpful role to play, and the Supreme Court is poised to play it.

News: Affirmative action under pressure in Supreme Court

Many observers are predicting that the court, with five conservative votes, will simply abolish racial preferences. That strikes us as unlikely; Justice Anthony Kennedy, the swing vote, is more likely to put teeth in the court's earlier holdings and simply create some tougher tests that universities must satisfy if they use racial preferences.

Two reforms seem to us particularly important: Find a way to limit the overall size of racial preferences, and mandate a thorough transparency at any university that wants to use them.

Limiting the size of racial preferences means making smaller, race-based adjustments to applicant qualifications -- or, to put it differently, not ignoring very wide differences in academic preparation across racial lines. And by transparency we mean three things: Disclose to applicants the way that admissions decisions are made, provide information about how students such as the applicant have fared at that university, and make some form of all this information available to the public and to watchdog groups. In other words, students need to have all available information about whether they are jeopardizing their success in college by accepting a large preference into a more elite school.

These sorts of reforms would represent a radical departure from past practices; they would create a level of accountability that simply does not exist in colleges today. And they would almost certainly moderate the use of a controversial and often ineffective tool of social policy -- racial preferences -- without the heavy hand of a complete ban.

The opinions expressed in this commentary are solely those of Richard Sander and Stuart Taylor Jr.

@highlight

Supreme Court is taking up affirmative action in Fisher v. University of Texas

@highlight

Richard Sander, Stuart Taylor: Large racial preferences can hurt minority students

@highlight

They say the court will probably not abolish affirmative action in the case

@highlight

Writers: Reforming affirmative action policies can improve diversity goals