Los Angeles (CNN) -- The annual Electronics Entertainment Expo, which wrapped up here Thursday, is all about next-generation gaming.

More than 45,000 game industry professionals got their first look at Microsoft's Xbox One, which will retail for $500 starting in November, and Sony's PlayStation 4, which will sell for $400 this fall. But for players, the real focus at the show was on the next generation of games, especially the slew of exclusives lined up for each device.

What's at stake is a piece of the global video-game market, which Newzoo video game analyst Peter Warman expects to reach $70.4 billion this year and grow to $86.1 billion by 2016. Warman forecasts that the number of gamers worldwide will reach 1.2 billion this year.

The latest crop of games features an upgrade in graphic fidelity that brings athletes like Miami Heat star LeBron James to life in 2K Sports "NBA 2K14" in photorealistic detail. Watching an "EA Sports UFC" match on Xbox One or PS4 is like seeing a live mixed martial arts pay-per-view, thanks to new technology.

Even the undead look better, as the zombies in Capcom's Xbox One exclusive "Dead Rising 3," an open world horror game, would scare the "walkers" of AMC's "The Walking Dead."

The new consoles feature the processing power to create larger, more immersive open worlds for gamers to explore, as evidenced in Ubisoft's online open world role-playing game "Tom Clancy's The Division." The latest game in the Tom Clancy universe, which has sold more than 76 million games worldwide, is set in New York after a lethal virus has unleashed chaos.

But among a host of fresh-looking titles, there were several that stood out at E3 2013.

"Assassin's Creed IV: Black Flag" (Ubisoft, October 29, Xbox 360, PlayStation 3, PC, PlayStation 4, Xbox One): Ubisoft is betting that gamers will love living a pirate's life this fall with this open world virtual Caribbean. Set in the turbulent 18th-century West Indies, the game lets players step into the boots of Edward Kenway and set sail for adventure across a huge map with more than 50 islands and locations to explore.

Gamers will interact with famous pirates like Blackbeard and Charles Vane as they contend with warring British and Spanish ships and armies and other privateers. Seamless gameplay allows the player to traverse the rooftops of a bustling Havana and then jump into the ocean to climb aboard the ship Jackdaw and escape. This bestselling franchise continues to innovate with new gameplay and a constantly changing window into history -- one that's fun to play through again and again.

"Destiny" (Activision/Bungie, 2014; Xbox One, PlayStation 4, Xbox 360, PlayStation 3): Bungie knows a thing or two about shooters, having built "Halo" into a global franchise for Microsoft. Now, the developer has partnered with "Call of Duty" publisher Activision to add multiplayer and a persistent world to the alien-fighting action.

Players take on the roles of Guardians of the last city on Earth in a story that spans the solar system. The shooting action is trademark Bungie, but where this game stands out is the seamless blending of cooperative gameplay into bigger public events like taking out a giant alien boss with other players who are also exploring the world. There are community spaces for players to prepare for their next missions and connect with friends, as well as competitive multiplayer (although Bungie is keeping mum on details). The developer has mapped out a franchise worth of adventures for this new world, and the first reveal looks promising.

"Ryse: Son of Rome" (Microsoft/Crytek, Xbox One): Players take control of Gen. Marius Titus in this brutal third-person action game that blends elements from popular movies like "Gladiator" and TV series like "Rome" and "Spartacus." In addition to featuring sword and sandal hack-and-slash gameplay, the player will have to order troops to do things like fire catapults at enemies and remain in formation with shields up to avoid an onslaught of arrows. Ancient Rome has never looked more beautiful, not that the game's pace will give players much time to take in the scenery.

Developer Crytek, creator of the "Crysis" franchise, is making the most of Xbox One with this interactive take on history. The first gameplay demo at E3 showcased a pick-up-and-play experience that blended swordplay and shield defense through an active battlefield. The amount of activity around your army is staggering and a glimpse into what next generation offers.

"The Crew" (Ubisoft/Ivory Tower, Xbox One, PlayStation 4): Though there was a lot of traffic in the racing genre, from Electronic Arts' "Need for Speed Rivals" to Sony's "Driveclub," one game stood out from the crowd. Ubisoft's "The Crew" introduces the entire United States as a cooperative playing ground for up to four players to join up and take on missions in fully realized cities like New York, Las Vegas and New York. The heart of this experience is a gearhead's dream, which allows players to customize licensed vehicles to the smallest details. Depending on whether the mission is across Miami beaches or the Las Vegas desert, players can fine-tune their vehicles before leaving the garage. Driving games (and sports titles) are among the best ways to showcase new technology, and "The Crew" delivers.

"Titanfall" (Electronic Arts/Respawn, 2014, Xbox One, Xbox 360, PC): The original founders of Infinity Ward are offering a very different first-person shooter experience with "Titanfall." The game features pilots who can fight on the ground with traditional weapons (and a cool jetpack) or jump into 24-foot-tall Titans, mechanized robots that introduce a lot of firepower to the battlefield. The dynamic and advantage of these two very different fighting styles -- agile pilots and hulking Mechs -- introduces something fresh to the crowded shooter genre.

The action, which in an E3 demo focused on protecting a hovering spacecraft, is fast and furious. It's seamless jumping from on-foot action to the hulking Titans as the battle erupts around you. The game's multiplayer features Hollywood-style action sequences as centerpieces of this conflict between warring factions (the Interstellar Manufacturing Corp. and the Militia) in a distant frontier.

@highlight

New wave of video games at E3 2013 show off better graphics, more expansive worlds

@highlight

Latest "Assassin's Creed" title is among this year's standouts

@highlight

Shooters "Destiny" and "Titanfall" take action in new directions

@highlight

Racer "The Crew," combat-themed "Ryse: Son of Rome" round out our favorites