Pader, Uganda (CNN) -- Pauline Oto still wears her faded yellow and green school dress, but she hasn't been to school for years and she can't comprehend what to do with the pen the community nurse has just given her.

"Write on my hand," says the nurse. Pauline just sits on the reed mat, her legs pulled to one side, and stares. She has just had an attack and can't speak. She struggles to comprehend her surroundings.

Pauline, 13, has been struck by the dreaded nodding disease. Her mother, Grace Lagat, says it will take her at least four hours to recover from the seizures, and after each attack she seems less like the daughter she remembers.

"Her personality has changed greatly from before. She was normal when they were born. Now she just moves around and serves no purpose," Lagat says.

Pauline, like more than 3,000 other children in Northern Uganda, has been struck by the mysterious syndrome that has doctors and scientists puzzled and has shattered lives in this rural community.

Nodding disease gets its name from the strange nodding-like symptoms that children display in the first stages of a seizure. But doctors on the ground and at the U.S.-based Centers for Disease Control and Prevention (CDC) say that is the least profound effect.

Severe epilepsy-like seizures grip the children, they struggle to eat, and they become shells of their former selves. It is a progressive and debilitating syndrome that robs children of their future.

The seizures are triggered in strange ways, say community members, such as when unfamiliar food is brought to the children or when the weather changes.

There are other bizarre symptoms. Often the children will wander off by themselves and get lost in the bush. And other children will start fires, according to parents and medics in the field. Others appear confused and traumatized.

We were told that several houses in areas we visited had been burnt down by children suffering from nodding disease. More than 200 deaths have been reported from these 'secondary' incidents.

Once, Pauline vanished for five days. Now, to protect her children Lagat ties them up when she leaves.

She pulls Pauline and her brother, Thomas, who also suffers from nodding disease, inside her hut and ties them with a colorful, local fabric. First, she ties their legs to a wooden pole and then their hands together like handcuffs. Thomas tears at them with his teeth.

"When I am going to the garden, I tie them with cloth. If I don't tie them I come back and find that they have disappeared," she says.

Liberia, Sudan, and Tanzania have all suffered outbreaks of nodding disease over the years, but it first came to the attention of Ugandan authorities in 2009.

A team from the World Health Organization team visited the region of Gulu and Kitgum and noticed a high incidence of the disturbing symptoms.

"It was quite desperate, I can tell you," says Dr. Joaquin Saweka, the WHO representative in Uganda. "Imagine being surrounded by 26 children and 12 of them showing signs of this. The attitude was to quickly find a solution to the problem."

Saweka and the Ugandan government mobilized teams from WHO, CDC, and local health teams.

Right now there is no real solution. Nodding disease leads to epilepsy like symptoms, says the World Health Organization, but the cause is unknown and there is no cure.

But there are clues. WHO officials say 93 percent of cases are found in areas also with the parasitic worm Onchocerca Volvulus, which causes river blindness and is carried by the Black Fly. And many cases show a deficiency in Vitamin B6. Nutrition also seems to play an important role.

"At first we cast the net wide. We ruled out three dozen potential causes and we are working on a handful of probabilities," says Dr. Scott Dowell, director of global disease detection and emergency response at CDC.

While nodding disease hasn't triggered the response that, say, an outbreak of Ebola would, the CDC has conducted field investigations and extensive lab work, says Dowell.

This outbreak in Uganda is confined to the north and is not believed to be contagious, but from a public health standpoint it still has to be taken seriously.

"We know from past experience an unknown disease could end up having more global implications," says Dr. Dowell.

For Ugandan children in the region it is having massive implications.

In the first three days of registering children at the Atanga health center in Pader district last week, more than 400 possible cases showed up. One extended family had seven children afflicted with Nodding Disease -- all of them severely stunted physically and mentally.

Nodding disease seems to only affect children between 1 to 19 years, with the worst affected at ages 3 to 11, based on anecdotal evidence gathered by health workers.

It is unclear how many fatalities have been caused by the disease itself, but its victims are left unable to function in any meaningful sense and profoundly dependent on others for care.

And all this is in a region where many families suffered for decades from the brutality of the Lord's Resistance Army, led by Joseph Kony, which abducted thousands of children and pushed civilians into mass camps.

Almost every household in Pader district seems to be affected. We follow the nurse into cluster of huts, where another child, Francis, has just passed out. He lies in a pool of his own urine, saliva pouring out of his mouth, still twitching from the last affects of a seizure.

The nurse tries not to touch him and doesn't want to take his pulse. There is just too much mystery surrounding the illness.

"I feel, because I don't know what causes it, I don't even know how it transmits, when I touch them I feel that I can also get the infection because I don't know what causes it," says Elupe Petua, a local nursing officer.

So Francis is left alone. Only his mother, Agnes Apio, helps to clean him up with a bucket of water and waves away flies from his face.

"I feel dark in my heart. This boy has become nothing," she says. Francis can only move by dragging himself along the dirt, but she still ties him up when she leaves the homestead.

"Everyone is affected. In the household everyone and in the larger community setting the whole community is also suffering, trying to understand why them at this particular time," says Simon Anyanzo, of the Ugandan Red Cross.

Doctors are using drugs for controlling epilepsy with some limited success. But they say it only slows the progression of symptoms, rather than stops them.

After months of delay, Uganda did last week begin the drive to register cases.

One health outpost in the Pader told CNN they hadn't received anti-epilepsy drugs for four months and they had been forced to turn away desperate families. Now the health center has received drugs, but they fear the high number of cases could overwhelm them.

One local member of parliament was so desperate to get attention for the disease that in early March he transported 25 suspected cases by bus to Kampala for treatment at the country's main referral hospital.

Uganda's health ministry says they are doing enough. They say they have switched to a more effective epilepsy drug and they are training local health workers to deal with the disease.

Saweka says: "People complain that it looks like the lives in developing countries have less value than the lives in the western countries. When you know the root cause, you address the cure. Now you are just relieving the symptoms. We don't expect to cure anybody."

@highlight

More than 3,000 children suffer in outbreak of mysterious nodding disease in Uganda

@highlight

One mother said: "I feel dark in my heart. [My] boy has become nothing"

@highlight

Disease debilitates its victims and some seem compelled to start fires, medics say

@highlight

So far, no one knows the cause and no one can be cured