(CNN)When an officer kills an unarmed suspect, the question arises time and again: Can a police department investigate a high-stakes case involving one of its own, without bias?

For Wisconsin residents decrying the death of unarmed teen Tony Robinson, the question isn't even an issue.

"The investigation is being conducted by the state. We have a new law here in Wisconsin where departments are no longer conducting their own internal investigations for officer-involved shootings," Madison Mayor Paul Soglin said.

In fact, Wisconsin is one of only two states with such legislation. The other is Connecticut.

And that brings some comfort to Robinson's family.

"I trust Wisconsin and the way they're handling the investigation," Robinson's uncle Turin Carter told reporters.

"We spoke to investigators from DCI (Department of Criminal Investigation). We trust them, and we trust them to handle this with integrity and to treat it as it comes. We don't want our biases involved, we don't want anybody else's. We want them to act strictly as fact-finders, and that's what we believe in, and we have confidence in that."

Wisconsin's law, which was enacted just last April, requires "an investigation that is conducted by at least two investigators ... neither of whom is employed by a law enforcement agency that employs a law enforcement officer involved in the officer-involved death."

After that, investigators must provide a report to the district attorney. If the district attorney determines there are no grounds to prosecute the officer involved, then the investigators must release their report to the public.

Connecticut's law requires the state's Division of Criminal Justice with investigating any deadly force by law enforcement, according to the National Conference of State Legislatures.

The state's chief attorney can appoint a special prosecutor, and the law also allows anyone to make a written request to the chief attorney to appoint a special prosecutor, the NCSL said.

After that, Connecticut's Division of Criminal Justice must submit a report to the state's chief attorney detailing whether the use of deadly force was appropriate.

While such laws are rather novel, a dozen other states have proposed measures about appointing special prosecutors for, or providing independent investigation in, officer-involved deaths, according to the NCSL.

They include California, Connecticut, New York, Texas, Missouri, Minnesota, West Virginia, Kansas, Illinois, Tennessee, Mississippi, Oklahoma.

"Typically it doesn't work when you have to police yourself," said Mel Robbins, a CNN legal analyst who has began her career as a New York City public defender and now practices criminal law for Legal Aid Criminal Defense Society. "This is why we have whistle blower protective statutes because people inside an organization will do everything they can to shut that person up.

"Having laws that require an outside agency to investigate would actually help police and prosecutors," she said. "There's a suspicion that many have that police are corrupt. Many are not, but that is the perception. To begin to address that, these laws are needed."

She noted the case of Tamir Rice, a 12-year-old Cleveland boy who was playing with a pellet gun when an officer shot him dead in November 2014. After they were pressured from the child's family and the public, the police released  surveillance footage that showed that officers who arrived on the scene before the shooting did not administer first aid to the boy.

Robbins thinks it's best to let a unit of prosecutors within the attorney general's office to review police-involved shootings rather than create an entirely new outside agency.

CNN legal analyst and former New York City prosecutor Paul Callan said there are several reasons why outside entities, such as special prosecutors, aren't tasked with reviewing police shootings.

"Traditionally, elected district attorneys think they've done a fair and reasonable job with cases," he said. "And frankly they perceive (appointment of a special prosecutor) as an insult and an attack on their integrity. It implies they are incapable of investigating police."There are "powerful political forces lobbying against this kind of legislation," Callan said.

It's also very costly to create parallel investigative structures just for police shootings, he said, and when budgets are already stretched thin, the idea of creating a new bureaucracy isn't appealing.

Callan also noted the possibility that the appointment of a special prosecutor could work against minorities in certain situations. "For the first time we are seeing minorities coming to political power in large U.S. cities and getting to the point where they can elect African-American or Hispanic district attorneys," he said. "If a special prosecutor is appointed by a governor -- maybe a governor who is white who would appoint someone who is white -- does that really work to answer the call (for justice)? In the end you could have minorities deprived of power and not treated fairly by the system."

Though Wisconsin's law has been in place for less than a year, it has already been applied in another officer-related killing.

Milwaukee police officer Christopher Manney shot Dontre Hamilton, a mentally ill man, more than a dozen times last April.  The officer said he opened fire when Hamilton grabbed his baton and struck him with it.

Manney was not charged in the death, but he was fired for not following protocol.

Robinson's death stirred memories of two other unarmed men killed by police: Michael Brown, who was shot by officer Darren Wilson in Ferguson, Missouri, and Eric Garner, who died at the hands of New York police officer Daniel Pantaleo.

But there are stark differences between Robinson's case and the two others.

After Brown's death in August, Ferguson Police Chief Thomas Jackson asked the neighboring St. Louis County Police Department to investigate. The case was not investigated by the state and was referred to a grand jury -- just like  in Garner's case.

"The decisions of grand juries not to indict the officers involved in the deaths of Eric Garner and Michael Brown raised two primary concerns," the NCSL said. "First, many were worried that since the evidence on which grand juries base their assessment is sealed, there is no opportunity for public scrutiny of their decisions.

"Second, there was apprehension over the decision not to appoint a special prosecutor in either case. Some are concerned that police may receive favorable treatment due to the close proximity in which law enforcement and district attorneys work."

Robinson's case won't just by handled by state investigators; it'll go through another layer of scrutiny by the district attorney's office, Koval said.

"The State of Wisconsin's Division of Criminal Investigation (DCI) has the exclusive authority to investigate all elements of the officer involved shooting -- forensics, interviews, technology feeds, etc.," Koval wrote on his official blog.

"This investigation is then turned directly over to the second layer of review, the District Attorney's Office, who then makes a ruling on the question of whether there is criminal culpability on the part of my officer."

After the deaths of Brown and Garner, President Barack Obama announced the "Task Force on 21st Century Policing," aimed at strengthening trust between communities and officers and identifying which practices can be improved.

The task force's interim report, released this month, calls for independent investigations and independent special prosecutors in officer-related deaths.

"The importance of making sure that the sense of accountability when, in fact, law enforcement is involved in a deadly shooting is something that I think communities across the board are going to need to consider," Obama said.

"We have a great opportunity, coming out of some great conflict and tragedy, to really transform how we think about community law enforcement relations so that everybody feels safer and our law enforcement officers feel, rather than being embattled, feel fully supported."

CNN's Catherine E. Shoichet, Julie In and Ashley Fantz contributed to this report.

@highlight

Wisconsin state investigators -- not local police -- will investigate Tony Robinson's killing by officer

@highlight

Wisconsin and Connecticut are the only states that require independent probes in such cases

@highlight

12 states have pending legislation requiring outside entities to examine police involved shootings