(CNN) -- It's Friday afternoon and Berlin Tegel Airport is overwhelmed.

Several flights are delayed and passengers crowd the terminal, scowling at the departure screens and tapping away at their smartphones in frustration.

It's not a typical scene at Tegel but hardly a surprising one.

The airport was built 40 years ago to handle just 6 million passengers a year in a city that was then an island surrounded by the former East Germany.

Berlin has since changed almost beyond recognition, becoming one of Europe's major capitals and a popular travel destination.

Tegel now handles 20 million passengers annually and should've closed down long ago, but an embarrassing series of setbacks and delays to the city's state of the art new Berlin Brandenburg Airport (BER), have earned it a stay of execution.

The new airport was originally due to open in 2012, but there's currently no scheduled launch date.

Surprisingly, rather than becoming increasingly frustrated with using Tegel's creaking facilities, many locals are glad it's still operating.

"Tegel has grown in Berliner's hearts," says Lars Wagner, a spokesman for the Berlin Airport Authority, the body that will eventually have to sign Tegel's death warrant.

"As so often in life, people find it hard to part with what they're used to."

Proximity to the action

Suzanne Stoffe, flying to Frankfurt after a conference in the German capital, is among those who have developed a deep affection for the airport.

"I hope Berlin Tegel stays for a long time," she says. "It's just so easy to reach and to go back and forth."

Stoffe's colleague, Torsten Warg, agrees.

"I always find the check-in very quick, it's super," he says. "The new airport will never be ready anyway, so there's isn't really a question of flying from somewhere else in the near future."

Just a 20-minute taxi ride from the city center, many travelers love Tegel's proximity to the action.

"It's super convenient," says Winnie Heun, a Berlin-based cinematographer and Tegel fan flying to Kiev to film a commercial.

"Because of the round design, you can drop off at the gate and from there it's 30 meters to check-in. And right behind the check-in, is security. It's super fast."

He also likes Tegel's rather outdated but distinctive hexagonal style.

"The great thing is the design of the airport," he says. "It's really marvelous, it's really retro and it really fits Berlin."

Other passengers aren't as enamored.

On this particular Friday, the simultaneous conclusion of several international conferences stretches Tegel's already overstretched systems and there's a backlog at check-in for the afternoon flight to London.

"Up until this point I was quite impressed, but I'm not impressed now," says Alan Frost, a British business traveler who's been standing in line for some time.

Fellow Brit Trevor Smith, who travels through Tegel two or three times a year on business, is also frustrated by the airport experience.

"It's normally terrible, because there's no facilities," he says. "You always have to queue.

"The sooner the Germans sort out their new airport the better. It needs a decent airport, one that caters for passengers."

Blown budgets

Tegel's small size does have advantages.

Two flustered passengers are allowed to check in with bags just half an hour ahead of takeoff.

Each gate has its own luggage belt, so even latecomers have the chance to make the plane.

Berlin's Airport Authority says the new airport won't work in quite the same way, but it will have a modern and fast check-in system.

Today, though, the beautifully designed wooden check-in desks at BER are empty, new equipment wrapped in plastic while technicians work through a series of glitches.

"One of the main problems we still have is with fire-safety issues," says the airport authority's Lars Wagner.

This isn't the only headache for the airport's developers.

With construction ongoing since 2006, costs are running at least double the original budget of â‚¬2.8 billion ($3.6 billion).

"The airport is different to the one which was originally planned. We've grown over the years," says Wagner.

"It's like when you plan a home for one family, but over time you realize you need a home for three families. But that's no excuse for the mistakes which we made.

"A lot was done wrong and a lot was planned badly. We have to correct that."

Another issue is that air passenger traffic in Berlin is growing faster than anticipated.

BER was originally planned for 27 millions passengers, but with the city's two existing airports currently handling close this number, the concern is the new hub won't be able to cope.

Controversial closure

For airlines the new airport can't come soon enough.

Air Berlin is currently housed in a temporary terminal at Tegel Airport that's so makeshift it has a corrugated iron roof.

It says it's had to put growth plans on hold because of the delays.

Tegel has limited capacity for long-haul jets -- it's runway is too short for the Airbus A380 super jumbo -- so airlines are unable to expand their route networks until BER opens.

Air Berlin's Robert Peres says the delay is affecting the entire German travel industry.

"Clearly, Berlin needs a modern and fully operational airport," he says. "We all need BER. We are looking forward to the day it will open."

Global travel expert Simon Calder says Berlin is coping, largely because its old Cold War division bequeathed it an airport on either side of the city: Tegel and the east's Schonefeld.

"The one really regrettable thing is that Tempelhof was closed -- the city center airport would be thriving today had it been allowed to continue," he says.

Since its controversial closure, Berlin Tempelhof Airport -- famous for its role in the 1948 Berlin airlift -- has been turned into a public park, its old runways crowded with cyclists and skaters and visitors filled with nostalgia for their most beloved inner city airport.

Berliners are equally interested in the new as the old, and while BER might not be ready for takeoff yet, it's already welcoming tourists.

For â‚¬10, visitors can take a bus tour of the new facility and can even buy T-shirts and teddy bears with the airport logo.

Runway bus tours

Tour guide Christian Franzke says BER has had more than a million visitors to date.

"Many people are from the area who know about this project," says Franzke. "There's been a lot of talk about the airport and we want other people to be able to join that conversation and to see what's happened in the past few years."

Visitors can speed down the new runway on the tour bus -- the closest they'll get to flying from here until the airport actually opens.

"We hope it isn't too much longer," says Antje, a visitor from Berlin, "because we stood in front of the check-in hall and it was really nice compared to the other airports we have here."

Airport tourist Michael Schulz was pleased with what he saw, too.

"I thought it would be a big construction site, but it actually looks ready," he says. "It's quite nice. It looks good inside, the wood, a lot of light, a lot of glass. I'm not sure when I'll be using it, but it will be good for Berlin."

Any possible opening is still a long way off.

Authorities are reluctant to announce a date and face further embarrassment of yet again having to reschedule.

So for now, those who enjoy flying out of Berlin Tegel Airport, can be assured it will be operating for some years to come.

Not such good news for those who find the travel experience at this small local airport frustrating.

Berlin Brandenburg Airport tours run every Tuesday, Thursday, Saturday and Sunday; +49 30 6091 77778

Kitty Logan is a freelance journalist who divides her time between Germany and the UK. She works for a variety of media outlets, covering major global stories including the crisis in Ukraine and developments in Afghanistan.
 
She travels the world for her work, but has been a Berliner at heart since the early 90s and has lived in the city for over a decade.

@highlight

Berlin's Cold War-era Tegel Airport handles more than three times the passengers it was designed for

@highlight

Airport granted a stay of execution due to delays to Berlin's new Brandenburg Airport

@highlight

Airport officials no longer willing to put a completion date on new airport to avoid further embarrassment