Prosecutors say he believed he had a duty to kill as many soldiers as possible.

His lawyers say he is trying to help the prosecution put him to death.

For his part, Army Maj. Nidal Hasan has said little during his death penalty trial, other than to say he was the shooter in the Fort Hood, Texas, rampage that left 13 people dead.

With the prosecution expected to rest this week, the big question is whether the Army psychiatrist will take the stand, perhaps more eager to prove he is a martyr than to avoid a death sentence.

Hasan is acting as his own attorney at his court-martial, defending himself against 13 counts of murder and 32 counts of attempted murder in connection with the November 5, 2009, attack.

Hasan left no doubt about his role, telling a panel of 13 officers during a brief opening statement: "The evidence will clearly show that I am the shooter."

"The evidence presented with this trial will show one side. The evidence will also show that I was on the wrong side. I then switched sides," he said.

He's also left little question about why he did it, repeatedly saying before the trial started that he was acting to protect Taliban leaders in Afghanistan from the U.S. military.

"We mujahedeen are trying to establish the perfect religion," he told the panel last week. But, Hasan added, "I apologize for the mistakes I made in this endeavor."

Hasan, 42, has previously indicated that he intends to call himself and two witnesses to the stand. If he testifies, Hasan is expected to discuss religious justification for his actions.

"He is trying to become a martyr, trying to be executed for his crime," CNN legal analyst Jeffrey Toobin has said of Hasan's defense strategy, adding that it amounted to a "form of suicide by judge."

Hasan refused to enter a plea at the outset of the court-martial after a judge barred him from pleading guilty. Under military law, defendants cannot enter guilty pleas in capital punishment cases.

Last week, Hasan released a portion of his mental health evaluation to The New York Times that revealed he believes that being put to death would allow him to become a martyr.

"I'm paraplegic and could be in jail for the rest of my life. However, if I died by lethal injection I would still be a martyr," Hasan told a military panel evaluating whether he was fit to stand trial, according to documents published by the Times.

Hasan has been confined to a wheelchair since being shot by Fort Hood police. He is paralyzed from the chest down.

The release of the documents, coupled with Hasan's lack of an appearance of a defense, prompted military attorneys ordered to act as his stand-by counsel to demand they be allowed to drop off of the case. The attorneys said they believe Hasan is trying to help the prosecution obtain a death sentence.

The judge, Col. Tara Osborn, refused to grant the request, and the defense attorneys have since appealed her ruling.

"We believe your order is causing us to violate our professional ethics. It's morally repugnant to us as defense counsel," Lt. Col. Kris Poppe, head of Hasan's legal team, told the judge.

A U.S.-born citizen of Palestinian descent, Hasan was a licensed psychiatrist who joined the Army in 1997. But he had been telling his family since 2001 that he wanted to get out of the military, saying he had been taunted by people after the September 11 terror attacks.

Prosecutors hope to show that the devout Muslim had undergone a "progressive radicalization," going so far as to give academic presentations in defense of suicide bombings.

Hasan, who was scheduled to deploy to Afghanistan, did not want to fight against other Muslims and believed "that he had a jihad duty to kill as many soldiers as possible," said lead prosecutor Col. Michael Mulligan.

Investigations following the shooting rampage found he had been communicating via e-mail with Anwar al-Awlaki, the U.S. born cleric who officials say became a key member of al Qaeda in the Arabian Peninsula. He was killed in U.S. drone strike in 2011.

The prosecution has sought to enter the communications with al-Awlaki into evidence as well as materials about Hasan's alleged interest in the action of Army Sgt. Hasan Akbar, a U.S. soldier who was sentenced to death for killing two soldiers in a grenade attack in Kuwait at the start of the invasion of Iraq.

While the judge deferred a decision on the requests, she has ruled that prosecutors may use evidence of Hasan's Internet searches on jihad and the Taliban in the days and hours before the attack.

Fort Hood victims: Sons, a daughter, a mother-to-be

Hasan has listened impassively as survivors and investigators have testified, painting a horrific picture of what unfolded during the shooting inside the Soldier Readiness Processing Center as soldiers and civilians prepared to leave for Afghanistan and Iraq.

Dozens of witnesses, primarily soldiers, testified that Hasan specifically targeted uniformed personnel.

Army Staff Sgt. Alonzo Lunsford, the first survivor to take the stand, recounted how the gunman rose from a chair in the processing center, shouted "Allahu Akbar" -- Arabic for God is great, pulled out a pistol and began shooting.

"It was a state of panic," Lunsford said.

As Lunsford was checking behind him, "Major Hasan is turning the weapon on me," he said. "He has a laser on his weapon and it goes across my line of sight and I blink. In that time, he discharges his weapon. The first round, I'm hit in the head."

A second shot caught Lunsford in the back. He decided to play dead for a while before changing his mind and deciding to run for the door. He made it out of the building but was shot five more times outside, he testified.

Capt. Dorothy Ellen Carskadon, who was her final checkup ahead of her deployment, testified that she initially believed the shooting was part of a military exercise.

Then he heard Pvt. Francheska Velez screaming, "my baby, my baby" as she cradled her stomach. She crawled to the pregnant Velez and tried to comfort her, telling the 21-year-old private that it would be OK and that the training exercise would end soon.

Velez and her unborn baby died in the attack.

Carskadon told the court she suffered four gunshot wounds: one that grazed her head; another through her right hip; a third lodged in her right leg; and a fourth in the abdomen.

Chief Warrant Officer Christopher Royal, 41, stared down at Hasan from the stand, where he testified how he charged the gunman to try to stop him and how Hasan shot him.

Days before he took the stand, Royal told CNN that he had forgiven Hasan.

"I can't hold that grudge," Royal said. "It's just too much. I won't allow him to consume any more energy for my life than he has already done, and so I have released him.

"I have forgiven him completely," he said. "It's not up to me to punish him. His punishment will come."

@highlight

Maj. Nidal Hasan is charged with 13 counts of murder and 32 counts of attempted murder

@highlight

Hasan admitted in court he was the Fort Hood shooter

@highlight

He tried to plead guilty to the charges, but was barred from doing so under military law

@highlight

"If I died by lethal injection I would still be a martyr," he said in a mental health evaluation