(CNN) -- With its winding canals and large public parks sitting alongside a busy port and bustling business district, Hamburg is a city that contradicts itself.

But by combining its industrial strength with a commitment to reduce its impact on the environment, Germany's second-largest city is becoming a model for major metropolises around the world.

It's already lowered its carbon emissions by 15% since 1990, thanks largely to its efficient public transit system, and it's set a target of reducing its emissions by 40% by 2020 and 80% by 2050.

Hamburg's eco-friendly credentials aren't immediately obvious to those visiting the city located on the River Elbe.

"It's embedded in their culture," says Anna Shepard from Green Traveller, a website that specializes in helping travelers plan vacations that keep carbon emissions to a minimum.

As 2011 European Green Capital, the city is showcasing a number of its initiatives and programs -- yet one more reason for environmentally-minded travelers to visit.

WHAT TO SEE & DO

To get the best sense of what the city has to offer, head to the waterways. Alster Lake, located in the city center, is a hub for activities. One of the best ways to truly appreciate it is on a rented canoe or peddle boat.

Taking a public ferry is a great way to cruise the River Elbe, says Kim Sawford of Sandemans New Europe Tours, a service which connects travelers with local guides in more than a dozen cities in Europe, including Hamburg.

"They come every 15 minutes and take you alongside the harbor, the artificial beaches, stopping off at some little fishing villages just outside the city. It's the best way to see the waterway."

Hamburg boasts an abundant amount of green space. More than 16% of the urban area consists of forest, recreation and green spaces. Stroll around Stadtpark, one of the city's largest parks which hosts open-air concerts during the summer.

The city is littered with beautiful old buildings such as the Town Hall, however for a glimpse at Hamburg's future, head to the waterside district of HafenCity. Still under development, the ambitious urban project is being designed as a model for counteracting sprawl and promoting sustainable living.

GETTING AROUND

It's easy to explore the city center on foot, and Hamburg's public transport system is renowned for being easy to use and accessible, even for the foreign traveler.

But if you want to have more freedom when exploring the city, hop on a bike from the city's StradtRAD network.

"I always recommend using it, it's the best way to see everything and with dedicated bike lanes, you feel very safe," says Sawford. Bike stations are located throughout Hamburg and can be rented by registering a credit card.

WHERE TO EAT

In a city where being green is simply a way of life for residents, several cafes and restaurants pride themselves on using local produce. And unlike other major cities, eating with an environmentally-friendly approach won't cost you the earth.

Locals often head to the Sternschanze district, an alternative area known for its graffiti and street art, to grab a coffee and meet friends.

Ottensen is full of young professionals enjoying some down time. When the weather is good, the streets are filled with tourists and residents dining al fresco. Shepard recommends Café LilliSu, for what she says is the best organic coffee and cake in town.

Mutterland is known for its German specialties. The deli and café bases its delights on traditional dishes. It offers organic bakery goods and regional cheeses and meats, along with homemade soups and salads.

WHERE TO STAY

Outside the city center is The Okotel, a stylish hotel built using environmentally safe products. Windows are triple glazed, ventilation is controlled and even the floors are made from untreated wood.

The classical Hotel Atlantic is a favorite for visitors who want the convenience of having the city at their door step. "It's very glamorous and old-fashioned," says Shepard.

The hotel prides itself on using eco-friendly cleaning products. "We buy them in large sizes and refill them ourselves to avoid additional packaging," says the hotel's Jannika Eibach.

The chef focuses on local products to fill his menu, avoiding unnecessarily long food miles, and employees are offered financial incentives to use public transport.

@highlight

Hamburg boasts the title of 2011 European Green Capital

@highlight

Head to the waterways to get a true sense of the city

@highlight

HafenCity is an ambitious project designed to contain urban sprawl

@highlight

Several cafes and restaurants pride themselves on using local produce