Washington (CNN) -- Senate Majority Leader Harry Reid put proposed gun legislation on pause Thursday, setting it aside for now after the defeat a day earlier of major provisions sought by President Barack Obama and Democrats in the aftermath of the Newtown school massacre.

The move emphasized the solid victory for the National Rifle Association and its conservative Republican allies in what Obama called "round one" of the fight for tougher gun laws.

It also shifted the gun debate from details of particular proposals to political sniping by both sides in an attempt to generate public support on the divisive issue.

"The next stage is blame avoidance," noted Darrell West, the vice president and director of governance studies at the Brookings Institution. "Each side will seek to blame the other for the failure to address this important problem."

In announcing his temporary shelving of the gun legislation, Reid criticized Republicans for orchestrating Wednesday's defeat of expanded background checks on gun buyers, a top priority of Obama and Democrats that national polls show is supported by about 90% of Americans.

He said Obama agreed with him that "the best way to keep working towards passing a background check bill is to hit pause and freeze the background check bill where it is."

"This debate is not over," the Nevada Democrat declared on the Senate floor, adding that the Republican opposition to expanded background checks was "not sustainable" in the face of public support for the measure.

On Wednesday, Obama angrily accused Senate Republicans of doing the NRA's bidding in opposing a bipartisan compromise that would expand background checks for private transactions at gun shows and all Internet sales.

In unusually harsh language, he accused the NRA and its allies of spreading lies about the compromise drafted by Democratic Sen. Joe Manchin of West Virginia and Republican Sen. Pat Toomey of Pennsylvania as part of a campaign to defeat it.

A litany of supporters of tougher gun laws also condemned Republicans on Thursday, including a group of mayors led by New York's Michael Bloomberg and former Rep. Gabrielle Giffords, who was seriously wounded in a 2011 shooting attack.

Conservative GOP Sen. John Cornyn of Texas responded Thursday by condemning Obama for taking "the low road" in the debate.

Speaking on the Senate floor, Cornyn tried to position Republicans as the ones seeking new gun laws by challenging Reid and Democrats to work with them instead of putting the measure aside.

He also sought to distance himself from the gun lobby, declaring he worked for the citizens of Texas rather than the NRA and insisting that "those of us who did not agree with the president's proposals are not being intimidated."

"It's absolutely false to say it comes down to politics," Cornyn said.

After the Senate voted down a series of amendments Wednesday, including watered-down measures to expand background checks and ban some semi-automatic firearms, it passed two amendments Thursday to the bill Reid later shelved.

One was a GOP plan to protect the privacy of gun owners while the other was a bipartisan proposal to strengthen mental health programs.

The decision by Reid indicated that he wants to see if calls for increased public pressure can influence more Republicans to defy the NRA, which scores legislators on their voting records and seeks to influence election campaigns involving candidates it supports or opposes.

Wednesday's votes showed the challenge Democrats face.

The compromise on expanded background checks forged by Manchin and Toomey, both with A-rated voting records from the NRA, failed on a 54-46 vote. It needed 60 votes to pass under an agreement reached by Senate leaders that applied to all the amendments.

Four Republicans broke from the NRA's position to support the background check plan, while four Democrats from pro-gun states offset them by opposing it. Reid also voted "no" in a procedural move giving him the ability to reintroduce his party's top priority for a gun package at a later date.

In other votes Wednesday, Republican proposals received stronger support. For example, a proposal by Cornyn that would have made state permits to carry concealed weapons acceptable throughout the country failed on a 57-43 vote.

To Erica Lafferty, the daughter of the principal of the Newtown, Connecticut, school who was killed along with 20 first-graders and five other educators in the December attack, the Senate result amounted to inaction in the face of a national tragedy.

"The next time there's a mass shooting and they're asked what they did to prevent it, they're going to have to say nothing," she said.

On the other side, the NRA's Chris Cox called the expanded background check proposal "misguided," saying it would not reduce violent crime "or keep our kids safe in their schools."

In the House, some Democrats and Republicans are proposing a measure similar to the Manchin-Toomey compromise defeated by the Senate.

While its chances appear remote, based on the chamber's GOP majority, Obama and Democrats urged people to insist that their elected leaders pass the background check measure that has strong public support.

"You need to let your representatives in Congress know that you are disappointed, and if they don't act this time, you will remember come election time," Obama said.

Republican opponents of the new gun laws parroted the NRA position that expanding background checks would be a step toward a national gun registry and eventual federal confiscation of firearms, a claim that Obama and sponsors of the compromise called false.

Some opponents argued the language of the compromise would burden law-abiding gun owners seeking to sell their guns privately over the Internet.

Cornyn and others called for a more limited bill that would focus on keeping guns out of the hands of criminals and people adjudicated as mentally ill, rather than seeking to expand background checks beyond current limits.

Democrats responded that such an argument was contradictory, because the expanded background checks would prevent criminals and the mentally ill from obtaining firearms.

"It's inconceivable to me that someone could believe that you can keep guns away from criminals and the dangerously mentally ill without at a minimum having a background check," said Rep. Mike Thompson of California, who was leading the Democratic gun law effort in the House.

The debate over gun laws is not going away, according to West, the Brookings analyst.

"I expect this issue to remain on the public agenda," he said, "because shootings happen all the time and large numbers still favor tougher background checks."

@highlight

NEW: Sen. Cornyn denies a political motive in GOP opposition to tougher gun laws

@highlight

Sen. Reid says the Senate will return to the gun legislation at some point

@highlight

Now comes the blame game, an analyst says

@highlight

The Senate defeated key provisions on Wednesday