ATLANTA, Georgia (CNN) -- The wet tissues pile up as pollen from trees swirls in the air, clogging noses and tickling eyes without relief. This is what parts of March, April and May are like for many Americans.

The earlier in the allergy season you seek treatment, the better, experts say.

Some years are worse than others, and pollen forecasters try to keep the public up to date on how the season progresses.

So, how do we know when it's the "worst in years"?

There are no nationwide government pollen trackers, but private companies do monitoring. SDI Health LLC, the company that runs the popular Web site pollen.com, has 480 pollen monitoring stations in the United States, said Gerry Kress, the company's owner.

"We're forecasting a heavier season this year than last year," he said.

Pollen.com's national pollen reports and forecasts are based on the pollen count and the number of people affected by pollen allergies in different areas of the country, Kress said.  See map of worst U.S. cities for allergies »

SDI takes into account the weather patterns and the types of pollen in each area to predict the number of people who will suffer from pollen allergies from February 1 to May 31.  How much do you know about allergies? Take the quiz »

While there may be more allergy sufferers generally in the United States, different areas will have distinct experiences. The Northeast, because of the high population and the types of plants that grow there, is usually the strongest allergy area, and it will likely have a heavier season than last year, SDI predicts. A large area from Minneapolis, Minnesota, all the way to Pittsburgh, Pennsylvania, will also be stronger, as will areas from Louisiana to South Carolina, Kress said.

The area around Philadelphia, Pennsylvania, Wilmington, Delaware, and New York will be about the same as last year. The West Coast, Texas, and many Southern states, on the other hand, will have fewer than or about the same number of allergy sufferers as last year, he said.

Other pollen analysts have their own ways of characterizing and forecasting the season.

Allergy sufferers in the Southeast may have a particularly tough season this year, said Dr. Stanley Fineman, an allergist with the Atlanta Allergy and Asthma Clinic. That's because there were high tree pollen counts in February, followed by a low pollen count during several weeks of colder weather, and now there's a lot of pollen again, he said.

Patients may experience a priming effect from this, he said. Having been exposed early in the season, then re-exposed after a period of low pollen, people's sensitivity may be heightened, and they will have a more drastic, violent response to this new round of pollen.

Then there's the role of the economy. Dr. Jeffery Adelglass and his group at the Allergy Testing & Treatment Center in Plano, Texas, predict a mild to moderate season in urban areas such as Dallas, Texas. If people drive less to save gas money, that would lower the level of pollution, which exacerbates allergies, he said.

"As the economy picks up, we expect to see a return of the runny nose, itchy eyes, sneezing and wheezing that we're accustomed to," Adelglass said.

People who live in rural areas will still experience quite a bit of pollen, he said. The pollen spreads further with the wind when there's nothing to block it, such as city buildings.

How is pollen measured?

Many experts use a Rotorod, a special machine manufactured by SDI that has small rods that collect pollen throughout a given 24 hours. Then, a technician will take the rods off to analyze the pollen.

The pollen count reported on the Web site atlantaallergy.com through  Rotorod measurements is how many pollen grains there are per cubic meter of air in 24 hours, Fineman said. A low reading is 0 to 30, moderate is 31 to 60, high is 61 to 120 and extremely high is anything over 121, Fineman said.

This week got off to a particularly bad start for Atlanta allergy sufferers, with Monday at 192, Tuesday at 618, and Wednesday at 1063, according to Fineman's group's scale. By comparison, in 2008, the corresponding days had pollen counts of 10, 17 and 214, respectively. Thursday morning, the city experienced heavy rain, and the pollen count dropped to 78.

One offensive variety is pine pollen, which Atlanta and other Southeastern U.S. residents know well as the green stuff on their cars every year. Major pollens also include birch, oak, sweetgum and sycamore.

But even relatively low pollen counts cause some people to suffer, he said. People seem to be having problems earlier in the season because of a warming trend, which makes the trees pollinate earlier, he said.

In the Dallas area, Adelglass's group also uses a Rotorod. Grass pollen levels are beginning to elevate and will get worse in April and May, he said, while right now it's the trees -- juniper, maple and elm, he said. Thursday, the highest levels of pollen in the Dallas area were from maple at 682 grains per cubic meter, according to his group's measurements. See pollen counts for the Dallas-Fort Worth-Plano area

Pollen levels tend to drop on rainy days, but rain also waters the grass, he said.

Treating the sniffles

About 17.6 million Americans have diagnosed allergic rhinitis, also called hay fever, according to the Centers for Disease Control and Prevention. SDI data show that about 20 million people suffered from allergies across the country in the week ending March 20, a slight decrease compared with the same week last year.

A variety of antihistamines are available over the counter. A recent survey by the American Pharmacists Association of 1,000 pharmacists found that for adult antihistamines, 32 percent of recommendations in a week were for Claritin, 28 percent were for Zyrtec and 25 percent were for Benadryl. For multisymptom allergy and hay fever products, 35 percent of recommendations in a week were for Claritin-D, 26 percent were for Zyrtec-D and 10 percent were for Actifed Cold & Allergy. The survey had a sampling error of plus or minus 3 percentage points.

Sometimes allergy patients need additional help. Allergists can prescribe stronger prescription medications and nasal sprays. They may also do a skin test to see exactly which kinds of pollen, dust or even pets may be causing symptoms.

Allergy shots, which introduce small amounts of allergens into the body to build tolerance, are recommended for people with severe symptoms, especially those that lead to sinus infections, or people who have occupational concerns about taking traditional medications, Adelglass said.

"I wouldn't like my airplane pilot to be taking sedating antihistamines. I wouldn't like my chef to be sneezing in my soup. I would like my policeman wide awake at night, not taking medicines that impair his judgment and alertness, " he said.

The earlier in the season people get treatment for allergies, the better off they will be, Adelglass said.

"Once their system gets primed, it only goes from bad to worse," he said.

If you or your child suffer from allergies, take this quiz from allergyandasthmarelief.org to see if you need additional treatment.

@highlight

Tree pollen is already at high levels in the Southeast and Texas

@highlight

Expert: Less pollution means some relief for allergies in urban areas

@highlight

CDC: About 17.6 million Americans have diagnosed hay fever

@highlight

Allergy shots are an option for people with severe symptoms or work concerns