Voters in the Democratic Republic of Congo lined up at polling stations Monday as the giant country holds its second postwar election despite opposition calls for delay over logistical challenges.

The presidential and parliamentary polls are critical in the central African nation struggling to rebuild years after a conflict left millions dead and displaced entire regions.

Incumbent Joseph Kabila, who took over after his father died in 2001 and was elected  in Congo's first democratic election five years later,  is one of 11 presidential contenders.

More than 18,000 candidates are vying for 500 parliamentary seats, according to election officials.

"Kabila's regime has lasted too long. It's the same system, they are doing the same thing. Looting this country," said Paul Efambe, who lives in the capital of Kinshasa.

Congo election could be a test of country's democracy

"This is our version of the  Arab Uprising ... we want him (the incumbent) out. This country is rich in resources, but we have turned into world spectators. This frustration has lasted too long."

Efambe, a 42-year-old consultant, said he is supporting the leading opposition candidate, Etienne Tshisekedi.

"People felt cheated by the system," he said. "Kabila has not lived up to the expectations. We are ready to take to the streets if our candidate does not win."

Kabila loyalists, in turn, accused the opposition of inciting violence and said there are fears of protests if he does not secure a victory.

"As soon as I cast my vote, I'm going home and locking my doors," said Willy Bonso, who also lives in the capital. "I don't know what will happen after the election, I am afraid."

Supporters of both frontrunners have clashed repeatedly as the nation prepared for election day.

Its last election in 2006 was overseen by the United Nations and considered a transition from decades of dictatorship, making this year's vote the first true test of democracy,  analysts say.

"Expectations are high. Tensions are very high," said Herman Nzeza, the Congo representative of FreeFair DRC, a nonpartisan group  that raises awareness of the election. "The opposition wants to win, it's now or never. Tshisekedi is already considering himself president, we don't know how all sides will react if their candidates don't win."

Clashes have erupted in days leading up to the vote, with at least two deaths reported when supporters of the two frontrunners hurled rocks at one another Saturday , Human Rights Watch said.

Days before the poll, dozens of helicopters airlifted balloting materials over the central African nation as the last-minute activities sparked concerns of vote irregularities.

The massive nation has poor infrastructure and long stretches or dirt roads that make it impossible to deliver ballot material to some regions, especially during the rainy season.

In addition to the logistical nightmare,  fraud allegations started before the vote and the opposition alleges that the leader of the electoral commission was picked by the incumbent, according to Albert Moleka,  a spokesman for Tshisekedi.

Congo is not ready to conduct elections yet,  Moleka said.

"No country is perfect, but we should be able to conduct  organized elections. We should respect the rights of the Congolese to have good elections, and our country does not have the facilities -- even roads --  to do that," he said.

For months, Tshisekedi's party  demanded a change in the date because the government does not have adequate resources to meet the election needs.

"We wrote to the election commission in April and told them the calendar was unrealistic. We could not see how they could manage to achieve that. This election will not be fair,"  Moleka said.

Analysts fear post-election violence could further destabilize the nation, which is battling unrest years after the 1998-2003 conflict that left 5 million dead as a result of  fighting, diseases and starvation.

Stability in Congo -- which borders nine countries --  is vital to Africa's Great Lakes region. The years of war affected at least six neighboring nations, some of which are still battling rebel movements spawned during the conflict.

Despite Congo's vast resources including cobalt, gold, copper and tantalum, the fledgling democracy  is mired in poverty and conflict especially in its eastern region, prompting complex economic and political relations with its neighbors and the world.

A major international concern is the eastern region, a hot spot for the so-called "conflict minerals," which led the United States to intervene after human rights groups said the resources are used to fund wars in the nation and neighboring countries.

Last year, U.S. lawmakers passed legislation that requires American electronics companies to  submit annual reports outlining what they are doing to ensure  minerals bought from Congo are "conflict-free." It targets manufacturers using minerals from the east,  where government forces have been battling rebels for years.

"Funding for armed groups often comes from the sale of minerals -- often to American companies -- from mines the groups control," Rep. Jim McDermott, a Democrat from Washington state, said last year.  "This legislation will help save thousands of lives and help protect countless women in the Democratic Republic of Congo by cutting off a key source of funding for armed groups."

Congo has witnessed one of the worst humanitarian crises since World War II.  While the war ended eight years ago, women are paying a high price for the conflict in the east.

Violence and rapes are widely reported in the region, including a holiday season mass rape last year  that left the international community reeling in disbelief.

While  Congo is among the nations with the largest United Nations peacekeepers, the forces have been ineffective in stopping rapes in the sprawling, remote region.

Despite its shortcomings, the World Bank says Congo has made some steps. In a January report called "Resilience of an African Giant," the international body showcased some progress, including a decline in maternal deaths and a spike in the number of children going to primary schools.

However, despite the modest progress, less than a quarter of the population has access to clean water and only one in 10  people get electricity, according to the report.

Kabila faces a tough battle from foes hoping to persuade voters  that change is overdue.

Tshisekedi has said a majority of the nation's about 70 million population lives in poverty despite ample resources, and has vowed to make reforms and sweeping changes if elected.

"It's time for change, time for security and justice, time for jobs and proper healthcare, time to educate our youth," he said.

Kabila's former aide, Vital Kamerhe, who was instrumental in his 2006 win, is also among the contenders in the election.  Kamerhe, a former speaker in the National Assembly, broke with the president's party a few years later.

More than 30 million people are registered to vote, according to election officials.

Results are scheduled to be announced on December 6.

@highlight

The polls are critical in the nation struggling to rebuild after a long war

@highlight

Congo's last election in 2006 was overseen by the United Nations

@highlight

The nation is battling unrest years after the 1998-2003 war formally ended

@highlight

"Kabila's regime has lasted too long," a voter says