(CNN) -- Small cars on the U.S. market are gaining traction with consumers, but some new models have more work to do to catch the Honda Civic, designated by a respected safety group as an industry leader.

The 2013 two- and four-door Civics turned in a "good" performance -- the highest score -- in a new type of tough front crash test earlier this year to earn the highest accolade from the Insurance Institute for Highway Safety.

Four other cars, including the Dodge Dart from Chrysler and the Ford Focus, more recently posted acceptable ratings in the same IIHS test. But that was good enough for them to earn top overall status as well from the organization, even though the Civic did better.

But three models, including the Chevy Cruze produced by General Motors, and the Volkswagen Beetle, posted marginal results and fell short of the loftiest rating for comprehensive safety, which also factors in results from other IIHS front, side, rollover and rear crash tests.

The Nissan Sentra and two other vehicles made by Kia fared poorly in the test.

A premium on fuel efficiency

With half of the 12 tested models qualifying for IIHS best performance -- called Top Safety Pick Plus -- consumers have more vetted choices when weighing safety, the group said.

Automakers trying to meet government and consumer demands for better fuel efficiency have in recent years jump-started production of small cars.

Buyers have responded positively, especially to U.S. manufacturers, which for years relied on sales of gas-guzzling SUVs and pickups.

Car companies designed models to perform better in the latest frontal and other tough crash tests, but some still need to address concerns.

"Manufacturers need to focus on the whole package," said David Zuby, the Insurance Institute's chief research officer. "That means a strong occupant compartment that resists the kinds of intrusion we see in a frontal crash like this, safety belts that prevent a driver from pitching too far forward and side curtain airbags to cushion a head at risk of hitting the dashboard or window frame."

The latest institute test measured vehicle strength and occupant protection when only a quarter of a car's front end hits a tree, a pole, or another vehicle at 40 mph.

The collision occurs outside the structural areas of the vehicle designed to manage crash energy. This increases the risk of severe damage to the car and possible injury to the driver and passengers, the insurance group said. The test is also important for testing seat belts and air bags and measuring how well vehicle designs prevent injuries to feet and lower legs, according to the IIHS.

Tesla aces its first crash test

Automakers respond to test results

The redesigned two- and four-door Honda Civic posted "good" or top marks in the so-called overlap front crash test. That equaled the performance of some larger cars, which makes the result more impressive for Honda.

The Dart, Focus, Hyundai Elantra -- all new this year -- and the Toyota Scion tC2014 all posted acceptable ratings.

The 2013 Cruze, Beetle and Chevy Sonic scored marginally, while the Sentra, the Kia Soul and Forte 2014 turned in poor marks.

"The small cars with marginal or poor ratings had some of the same structural and restraint system issues as other models we've tested," Zuby said. "In the worst cases, safety cages collapsed, driver airbags moved sideways with unstable steering columns and the (test) dummy's head hit the instrument panel. Side curtain airbags didn't deploy or didn't provide enough forward coverage to make a difference. All of this adds up to marginal or poor protection in a small overlap crash."

Automakers take special note of the IIHS trials because the group is backed by the insurance industry.

The federal government conducts separate crash tests and posts its own safety ratings. It does not perform the overlap test, however.

IIHS said the models with marginal or poor scores in the latest test are regular recipients of the group's second-highest rating for overall safety -- Top Safety Pick.

Kia said in a statement that it would "carefully evaluate" the IIHS testing but notes that all of its cars sold in the United States meet or exceed federal safety standards.

"Maximizing occupant protection is complex and involves a diverse range of variables, and Kia is proud of its strong safety record and the integrity of its products," the statement said, noting that the IIHS test "goes well beyond" government requirements.

Nissan also said that it would review the results of latest testing "as we seek opportunities for improvement."

Volkswagen said in a statement that it is "passionately committed to building the safest vehicles available to the public and has already begun to incorporate this latest knowledge into the design and engineering of our cars going forward."

GM also noted variables unique to each vehicle that are required to perform well in safety tests.

"We are aggressively working to incorporate these into our models -- including our small cars like the Chevrolet Sonic and Cruze -- where technically feasible," GM said in a statement.

IIHS plans to run the overlap test on minicars next.

CNN's Jasmin Hines contributed to this report.

@highlight

Honda Civic posts highest score in new front-crash test by insurance group

@highlight

Ford Focus, Dodge Dart marginal in test, but match Civic for overall safety

@highlight

Chevy Cruze, Volkswagen Beetle lag, but still considered safe vehicles

@highlight

Automakers turning out small cars to meet consumer, government demands for fuel efficiency