Bangkok, Thailand (CNN) -- Tens of thousands of demonstrators slept on the streets of Bangkok on Monday night, continuing a protest intended to force Thailand's Prime Minister from office, authorities said.

The protesters have laid siege to major intersections in Thailand's large and hectic capital city. At their peak on Monday evening, they numbered as many as 170,000, Lt. Gen. Paradon Pattanathabut, the nation's security chief, said Tuesday.

But many of the demonstrators have since returned to their homes in the Bangkok area, Paradon said. About 60,000 of them stayed out on the streets overnight, he said, sleeping under tents and mosquito nets.

The protesters, who aim to keep demonstrating for a month, occupied seven main intersections and blocked one government office on Monday.

They say they intend to march to several other ministries, close more intersections and cut off electricity and water supplies at some government offices.

It's all part of an effort dubbed "Bangkok shutdown." It's orchestrated by the People's Democratic Reform Committee protest group, led by Suthep Thaugsuban, a former deputy prime minister for the opposition Democrat Party.

Traffic disrupted

On Monday -- Day 1 -- students stayed at home as 140 schools were closed. In some places, protesters stopped cars from crossing blockades.

Many people used alternative routes or means of transportation to reach their destinations.

Though many areas of the city are unaffected, several of the rally sites are in popular tourist areas.

About 20,000 security personnel kept watch throughout the city. But so far, the shutdown has gone without serious incident.

The government has offered talks with protesters and other concerned parties to discuss a way out and way to postpone the election, but Suthep has rejected the offer.

Urging caution

Rights groups and others have called on Thai authorities and anti-government protesters to respect human rights and avoid violence during the mass demonstrations.

Since the anti-government protests began in November, eight people have died and 470 have been injured, authorities said.

"The situation in Thailand is tense, volatile and unpredictable," Isabelle Arradon, Amnesty International's Asia-Pacific deputy director, said last week. "There is a real risk of loss of life and injury unless human rights are fully respected."

U.N. Secretary General Ban Ki-moon said Friday in New York that he had spoken by telephone with Prime Minister Yingluck Shinawatra and opposition leader Abhisit Vejjajiva over the past three days "in an effort to help them bridge their differences."

Ban said he was "very concerned that the situation could escalate in the days ahead," particularly on Monday.

"I urge all involved to show restraint, avoid provocative acts and settle their differences peacefully, through dialogue," he said.

Abhisit has denied being a member of the PDRC but has appeared on stage and among the crowds at some of their demonstrations.

Travel warnings

In a bid to cool tensions, Yingluck dissolved the nation's parliament in December and called for new elections to be held on February 2.

But the move has done little to appease protesters. They have called on the Prime Minister to step down from her caretaker position and be replaced by an unelected "people's council," which would see through electoral and political reforms.

The national Election Commission has urged the government to postpone elections amid the continuing unrest. On Wednesday, Yingluck will meet with protest leaders and election commission officials to discuss whether to postpone, her office said.

Dozens of countries have issued travel advisories amid fears the tensions could erupt into violence.

The U.S. Embassy in Bangkok has urged U.S. citizens to avoid large gatherings in the city and to ensure they have a stock of cash and essential items in case the situation deteriorates.

"While protests have been generally peaceful over the last two months, some have resulted in injury and death," its online warning said. "Even demonstrations that are meant to be peaceful can turn confrontational, and can escalate into violence without warning."

The protest group said that on Monday, it would still allow ambulances to pass along the roads it intends to block, and that it would not block access to airports and public transportation.

Ambitious goal

Protest leaders have said they want to rid Thailand of the influence of former Prime Minister Thaksin Shinawatra, the older brother of Yingluck.

That's an ambitious goal in a country where every election since 2001 has been won by parties affiliated with Thaksin, a billionaire who built his political success on populist policies that appealed to Thailand's rural heartland.

Thaksin was ousted in a military coup in 2006 and has spent most of the time since then in exile overseas. If he returns, he risks a two-year prison sentence on a corruption conviction, which he says was politically motivated.

The recent protests in Bangkok were prompted by a botched attempt by Yingluck's government to pass an amnesty bill that would have opened the door for her brother's return.

That move added fuel for critics who accuse her of being nothing more than her brother's puppet, an allegation she has repeatedly denied.

Opposition to Thaksin and Yingluck is strongest among the urban elites and middle class, particularly in Bangkok.

Thaksin's traditional support comes from the populous rural areas of north and northeast Thailand.

His supporters, known as "red shirts," plan to hold demonstrations in various places in Thailand, but not the capital or south of the country, on Sunday. They support the holding of elections on February 2.

@highlight

NEW: About 60,000 protesters stayed out on the streets of Bangkok overnight

@highlight

NEW: At their peak Monday, they numbered as many as 170,000, authorities say

@highlight

They have laid siege to major intersections in the Thai capital

@highlight

The protesters are demanding that Prime Minister Yingluck Shinawatra step down