Beijing, China (CNN) -- Jonathon Levine was a fiercely ambitious 25-year-old with a Masters degree -- but stuck in a dead end job.

This is not how it was meant to be for a boy raised in New York City, nourished on the American dream that hard work and a good education would bring rewards and riches.

So what did he do? He left.

After researching job vacancies abroad, an opportunity in reclusive North Korea grabbed his attention. Deciding his ambitions didn't stretch that far, Levine settled on a teaching job at Beijing's Tsinghua University instead.

"In the (United) States everyone is so mopey -- it is the end of the world, no jobs, and income inequality is through the roof. We're back to the gilded age in the U.S," he said.

Fact Check: China tire case

I met Levine in the crowded Tsinghua campus cafeteria. He's had to get used to a lot in a short time. But he's getting to grips with the language and can now order exotic new local food.

"You could say it has been a long march," he said.

He is part of a new generation waking up to a new reality. America is no longer the land of opportunity. China is.

While people like Levine get it, U.S. politicians seem bent on casting China as the bad guy. Beijing is accused of keeping its currency low to win an export advantage and steal American jobs.

The China bashing moved to center stage in the second U.S. presidential debate. Both candidates tried to score points against each other by getting tough on China.

"China has been a currency manipulator for years and years and years. And the president has a regular opportunity to label them as a currency manipulator, but refuses to do so. On day one, I will label China a currency manipulator," proclaimed Republican Mitt Romney.

What questions weren't answered in the debate?

In response, President Barack Obama, looking far more engaged than he did during the first debate, said Romney was the last person to get tough on China, accusing him of sending jobs to Asia during his business career.

"Governor Romney talked about China, as I already indicated. In the private sector, Governor Romney's company invested in what were called pioneers of outsourcing. That's not my phrase. That's what reporters called it," Obama said.

"And as far as currency manipulation, the currency has actually gone up 11% since I've been president because we have pushed them hard. And we've put unprecedented trade pressure on China.

"That's why exports have significantly increased under my presidency. That's going to help to create jobs here."

After a softly-softly approach at the beginning of his administration, Obama has switched tack.

He's pivoted U.S. geostrategic policy towards Asia after a decade of war in Iraq and Afghanistan.

While some countries express concern about the intentions of a more powerful and assertive China, the United States is bolstering its relationships in the region.

It is boosting its military presence by carrying out military exercises with allies Japan and South Korea, while some U.S troops have been placed on Australian soil at a new base near the northern city of Darwin.

Many China watchers have couched this as an attempt to block the emerging super power's rise. China's Foreign Ministry has said U.S politicians need to treat China fairly and that in the interests of security the relationship needs to be based on trust.

Checking candidates' facts on foreign policy

Ahead of a visit to Asia by U.S. Secretary of State Hilary Clinton last month, an editorial in the state-run Chinese Global Times newspaper claimed "many Chinese people dislike Hillary Clinton.

"She has brought new and extremely profound mutual distrust between the mainstream societies of the two countries."

One of the sources of this hostility has been Washington's perceived interference in maritime disputes with China's neighbors in the region. During her recent visit, Clinton urged those involved in the various territorial disputes to "begin to engage in a diplomatic process toward the shared goal of a code of conduct."

While Chinese officials responded diplomatically by saying that "freedom of navigation and safety in the South China Sea is assured," another editorial in the Global Times was more scathing, saying it hoped Clinton "can reflect upon the deep harm she is bringing to the Sino-U.S. relationship in the last few months before she leaves office and try to make up for it."

For her part, Clinton has stressed the importance of deepening bilateral ties. "As we continue to expand our work on the consequential issues of our time, we must continue to build on this historic opportunity to deepen our relationship, because a thriving China is good for America and a thriving America is good for China," she said in a goodwill message to mark China's National Day on October 1.

Meanwhile, Levine is watching all of this unfold as he teaches his students about the United States, the country he's left behind.

He says it is misguided to fear China.

"It's not like going to the moon, like it might have been a hundred years ago because communication links us much closer together."

For him this is a new world, interdependent with China as a rapidly emerging new axis of power. And for people like he used to be -- back home and struggling -- he has some only half-joking advice.

"Get out, get out, leave everyone behind you."

Global reaction to final debate: Disappointment

@highlight

Grant: America is no longer the land of opportunity -- China is

@highlight

Romney, Obama attempt to score points in debate by bashing China

@highlight

Romney: "On day one I will label China a currency manipulator"

@highlight

Obama: "We've put unprecedented trade pressure on China"