This year marks the 150th anniversary of the Battle of Solferino which led to the creation of the International Committee of the Red Cross. The ICRC is using the date to launch an awareness campaign of its work in conflict-affected countries, featuring photos taken by five award-winning photojournalists. This week we're bringing you stories from some of the world's most troubled countries, as told by the ICRC.

MONROVIA, Liberia (ICRC) -- On a dusty pitch in the middle of the capital of Monrovia limbless young men play football as though their lives depended on it.

Coach Paul Tolbert says many members of Liberia's amputee football team had lost the will to live. Football has given them hope.

They are members of the Liberian National Amputee Football Team and for the most part, victims of the war. Some participated in cruel acts against civilians during the fighting and face a daily struggle to live with both their disability and the past.

"I was at church when armed men came in and killed hundreds of us," says 18 year old Richard Duo, who is now a star infield attacker and one of the highest goal-scorers on the team.

"I lost my mother, father and one of my brothers. My other siblings were wounded and I lost my leg.

"Now that there is peace, I have decided not to think about that anymore. I only want to look forward, to see what I can do to help myself and my family in the future. Those terrible things have already happened. I just want to focus on the future," he says.  See photos of Richard Duo and his team mates »

Tens of thousands of people were killed or injured in Liberia's 14-year civil war. The fighting brought rape and mutilation, children were abducted and forced to become fighters and untold numbers had to flee their homes.

Since 2003, peace has returned and while efforts are underway to rebuild the country the emotional and physical scars of war remain.

Amputee football began in Liberia as a means of therapy and healing. It was an initiative of the National Commission for Disarmament, Demobilization, Reintegration and Rehabilitation, which is responsible for assisting former fighters.

The team's coach, 30 year old Paul Tolbert, began recruiting members when he worked for the commission as a counseling coordinator.

"When you ask them how they felt after they were amputated, most of them wanted to kill themselves," says Tolbert.

"Life no longer had meaning for them. Amputee football restores their hope. Take the example of the guy who won Most Valuable Player in the recent African Cup of Nations. He was a very good player before he was amputated, but gave up hope when he lost his leg.

"When I went to recruit him, I told him 'You can make it, there is still a chance for you.' He since has regained a sense of hope.'"

In 2008, the Liberian team hosted the African Cup of Nations and won the tournament. The team has been to Russia and Turkey for international competitions and will travel to England in June for the Amputee World Cup, where they have a very good chance of making it to the final.

The President of Liberia, Ellen Johnson-Sirleaf, is their number one fan, ensuring support for travel and profiling the team in her speeches.

Tolbert says the healing effects go well beyond the players.

"I tell my team they are bringing a sense of victory to the country. In my eyes, they are not disabled. They are men who bring pride to this nation."

The players themselves say they are motivated by a desire to leave the war behind and to make something of themselves for their families.

They're also looking for a sense of belonging and brotherhood among those who know what it's like to live with the horrors of war and to struggle just to survive.

"I love the sport because I can experience friendship again," says Joseph Allen, 21, who was named the best goalkeeper in the Russian tournament.

"Friendship was gone from my life for the longest time. Football brings attention to our disability and helps people better understand that we are able to contribute to society."

For players like 32 year old Anthony Doe, amputee football has opened up a window on a world he never dreamed possible.

"I never thought that one day I would go and see Turkey or Russia but thanks to football I've been able to travel to compete," says the striker.

For more about this topic go to the ICRC Web Site.

Have you been affected by conflict? Send your photos and stories to iReport

@highlight

Many members of Liberia's amputee football team had lost the will to live

@highlight

They were recruited by a counselor working to rehabilitate former fighters

@highlight

Coach Paul Tolbert: "They are men who bring pride to this nation"

@highlight

Photos were taken by war photographer Christopher Morris for the ICRC