A strong U.S. military is indispensable to our national security. As retired military officers, we have dedicated our careers, on active duty and retired, to that end. We have been involved in crafting and teaching national security strategy, of which military strategy and use of military force are vital components.

In the debate over the Pentagon budget and with threats of deeper cuts coming, the president, Congress, governors and the entire defense community are rightly concerned about sequestration, which cuts both domestic and defense spending indiscriminately. It is agreed that overall spending reductions are necessary, but the "fiscal cliff" crisis reflects a lack of political will, not rational planning.

Too often, the Pentagon spending debate is ensnared in the outmoded ideology of past wars and driven by legions of lobbyists for parochial interests in the military-industrial complex.

America's power is more than a massive force structure and numbers of ships, tanks and planes. A national security strategy must be based on current and future threats, not past war doctrines.

In 2008, a National Intelligence Estimate declared the economic crisis, not terrorism, as the greatest threat to national security. Former Chairman of the Joint Chiefs Adm. Mike Mullin, along with other senior military leaders, endorsed that assessment.

Zakaria: Will we get big fiscal deal, or small?

It is doubtful that future threats will call for many of the expensive weapon systems advocated by parochial interests and some political leaders -- a system such as the F-35 joint strike fighter. Developing this plane has cost more than was spent on veterans in the last 20 years.

Today, the use of manned aircraft is more and more limited. Our leaders must have a serious debate about priorities: America needs political resolve to kill unnecessary and expensive projects.

Our nuclear weapons policy is based on Cold War conditions that no longer exist. The Pentagon is expected to spend more than $700 billion on nuclear weapons over the next 10 years, for little added security. The former U.S. Strategic Command Chief Gen. James Cartwright has called for a drastic cut in nuclear weapons, saying the U.S. has a stockpile "beyond our needs. What is it we're really trying to deter? Our current arsenal does not address the threats of the 21st century." The program is based more on ideology than security.

Sadly, defense spending is driven by political interests, not necessity. In his 1986 book "The Rise and Fall of the Great Powers," Paul Kennedy argues that great powers fall by bankrupting themselves to rule extensive empires. After the invasion of Iraq, Kennedy published an op-ed, "Perils of Empire," suggesting America may furnish material for another chapter.

In the last decade, America fought two expensive wars and Congress has yet to pay for them; that policy has contributed to our precarious economic position. Sequestration is not an effective means of excising wasteful Pentagon spending; it is the result of political gridlock and special interest intransigence.

As Congress attempts to undo its own mess and prevent sequestration, the Pentagon budget needs to be on the table. Reducing wasteful spending on unneeded programs and outdated strategy will save money and enhance national security.

The political argument that cutting defense spending will cost jobs is spurious. Pentagon spending purchases one item and does not provide greater economic benefits. The F-35 program is slated to cost $1.5 trillion over its lifetime; these are resources that are desperately needed elsewhere or could pay down the national debt.

After more than a decade of wars of dubious value, America will receive a greater return on investment by investing in our troops and veterans returning from Iraq and Afghanistan. Every dollar wasted on unnecessary programs could be caring for and training our servicemen and women.

Instead of building new toys that are kept in the garage, let's provide education and job training to veterans. Recent congressional refusal to approve such a jobs program is a disgrace.

Cutting Pentagon spending recognizes that national security is more than military power. The United States is stronger with a strong economy, sustainable jobs, investment in education, renewal of our infrastructure and a sensible energy strategy. Continuing to waste money when our nation should have other priorities is bad policy and bad for security.

@highlight

Writers: Pentagon spending is based on strategies from old ideology and driven by lobbyists

@highlight

Generals: Strategy must be based on today's and future threats, not Cold War doctrines

@highlight

Writers: Unnecessary F-35 strike fighter costs more than money spent on vets in 20 years

@highlight

Writers: Instead of building expensive new toys to keep in the garage, let's rethink priorities