U.S. intelligence officials are leaning toward the theory that "those in the cockpit" -- the pilots of Malaysia Airlines Flight 370 -- were responsible for the mysterious disappearance of the commercial jetliner, a U.S. official with direct knowledge of the latest thinking told CNN on Saturday.

The revelation followed news that Malaysian authorities searched the home of the lead pilot, a move that came the same day that Prime Minister Najib Razak told reporters the plane veered off course due to apparent deliberate action taken by somebody on board.

The Malaysian government had been looking for a reason to search the home of the pilot and the co-pilot for several days. But it was only in the last 24 to 36 hours, when radar and satellite data came to light, that authorities believed they had sufficient reason to go through the residences, according to the U.S. official, who spoke on condition of anonymity.

"The Malaysians don't do this lightly," the official said. It's not clear whether the Malaysian government believes one or both the men could be responsible for what happened when the Boeing 777-200 ER disappeared March 8 en route from Kuala Lumpur to Beijing.

What we know about the cockpit crew

The official emphasized no final conclusions have been drawn and all the internal intelligence discussions are based on preliminary assessments of what is known to date.

Other scenarios could still emerge. The notion of a hijacking has not been ruled out, the official said.

A source close to the investigation told CNN that Malaysian police had searched the home of pilot Zaharie Ahmad Shah, 53. Shah lives in an upscale gated community in Shah Alam, outside Malaysia's capital of Kuala Lumpur.

Two vans were loaded with small bags, similar to shopping bags, at the home of the co-pilot, 27-year-old Farq Ab Hamid, according to a CNN crew who observed activities at the residence. It was unclear whether the bags were taken from the home, and police made no comment about their activities there.

Najib made clear in a press conference that in light of the latest developments, authorities have refocused their investigation to the crew and passengers on board.

Undoubtedly, they will scour through the flight manifest and look further to see whether any of the passengers on board had flight training or connections to terror groups.

A senior U.S. law enforcement official told CNN that investigators are carefully reviewing the information so far collected on the pilots to determine whether there is something to indicate a plan or a motive.

That would seem supported by preliminary U.S. intelligence reports, which the U.S. official said show the jetliner was in some form of controlled flight at a relatively stable altitude and path when it changed course and flew toward the Indian Ocean. It is presumed by U.S. officials to have crashed, perhaps after running out of fuel.

'Someone acting deliberately'

The first clue that perhaps one or both of the pilots were involved stem from when the plane made a sharp, deliberate turn from where it last communicated with Kuala Lumpur air traffic controllers, and before it would have to communicate with Vietnamese controllers, according to the U.S. official with knowledge of the latest intelligence thinking.

"This is the perfect place to start to disappear," the official said.

Military radar showed the jetliner flew in a westerly direction back over the Malaysian peninsula, Najib said. It is then believed to have either turned northwest toward the Bay of Bengal or southwest elsewhere in the Indian Ocean, he said.

"Evidence is consistent with someone acting deliberately from inside the plane," the Prime Minister said, officially confirming the plane's disappearance was not caused by an accident. "....Despite media reports that the plane was hijacked, we are investigating all major possibilities on what caused MH370 to deviate."

The focus of the search is now in the southern Indian Ocean. "The southern scenario seems more plausible," the official said.

Meanwhile, according to Najib, new satellite information leads authorities to be fairly certain that someone disabled the Aircraft Communications Addressing and Reporting System, or ACARS, just before the aircraft reached the east coast of peninsular Malaysia.

"Shortly afterward, near the border between Malaysian and Vietnamese air traffic control," Najib said, "the aircraft's transponder was switched off."

ACARS is the system that routinely transmits information like turbulence and fuel load back to the airline. A transponder is a system controlled from the cockpit that transmits data about the plane via radio signals to air traffic controllers. It combines with ground radar to provide air traffic controllers with details about the plane, including its identification, speed, position and altitude.

The last voice communication from the cockpit a week ago were these words: "All right, good night."

They were uttered at the Vietnam air traffic control border at about the same time the transponder was shut off, Najib said. That suggests the incident on the plane began sooner than initially thought.

But some have questioned the Prime Minister's account, given the dearth of information available.

Malaysia investigation criticized

In the days since the flight disappeared, the Malaysian government has been under intense scrutiny for its handling of the investigation. The government has been criticized by some U.S. officials for not sharing information or accepting more offers of help.

Shortly after Najib delivered his remarks, China demanded Malaysia provide more information on the investigation. Of the 239 people aboard Flight 370, 154 were Chinese.

"Today is the 8th day of the missing MH370, and the plane is still yet to be found," said a statement from the foreign ministry. "Time is life."

The criticism was more pointed in an editorial published by China's state-run news agency Xinhua.

"And due to the absence -- or at least lack -- of timely authoritative information, massive efforts have been squandered, and numerous rumors have been spawned, repeatedly racking the nerves of the awaiting families," the editorial said.

Malaysian authorities have been highly sensitive to any suggestion they can't handle the investigation, said the U.S. law enforcement official, who also spoke on condition of anonymity. It took several days last week to calm their anger over inaccurate reports that the FBI had dispatched a team to investigate, the official said.

Malaysia Airlines defended its actions, saying there has never been a case where information gleaned from satellite signals alone could potentially be used to find the location of a missing airliner.

"Given the nature of the situation and its extreme sensitivity, it was critical that the raw satellite signals were verified and analyzed by the relevant authorities so that their significance could be properly understood," the airline said in a statement. "This naturally took some time, during which we were unable to publicly confirm their existence."

Transcript: Malaysian Prime Minister's statement on Flight 370

Kazakhstan to Indian Ocean

As the focus of the investigation shifted, so, too, has the focus of the search.

Information from international and Malaysian officials indicate that the jet may have flown for more than seven hours after the last contact with the pilots.

Flight 370 took off from Kuala Lumpur at 12:41 a.m. on March 8. The last satellite communication from the plane occurred at 8:11 a.m., Najib said, well past the scheduled arrival time in Beijing.

That last communication, Najib said, was in one of two possible traffic corridors shown on a map released to the press. A northern arc stretches from the border of Kazakhstan and Turkmenistan to northern Thailand, and a southern arc spans from Indonesia to the southern Indian Ocean.

"Due to the type of satellite data, we are unable to confirm the precise location of the plane when it last made contact with the satellite," Najib said.

Because the northern parts of the traffic corridor include some tightly guarded airspace over India, Pakistan, and even some U.S. installations in Afghanistan, U.S. authorities believe it more likely the aircraft crashed into waters outside of the reach of radar south of India, a U.S. official told CNN. If it had flown farther north, it's likely it would have been detected by radar.

Nonetheless for the last 36 hours, the U.S. military and intelligence community has been reviewing all satellite imagery and electronic data it collects from the region for any sign of an explosion or crash, according to another U.S. official directly familiar with that effort.

Najib said authorities were ending search operations in the South China Sea and reassessing the deployment of assets.

"This new satellite information has a significant impact on the nature and scope of the search operation," he said.

Investigators, he said, have confirmed by looking at the raw satellite data that the plane in question was the Malaysia Airlines jet.

The same conclusion was reached by the U.S. Federal Aviation Administration, the U.S. National Transportation Safety Board, the British Air Accidents Investigation Branch and the Malaysian authorities, all of whom were working separately with the same data, he said.

Families hold onto hope

For the families and loved ones of those aboard Flight 370, Saturday was Day 8 of anguish. Some found comfort that there is no evidence the plane made impact.

The father of one passenger watched Najib's news conference at a Beijing hotel. He said he hoped the plane was hijacked because that gave him reason to think his son was alive.

"I hope they are alive, no matter how small the chance is," he said.

The search that began last weekend now involves 14 countries, 43 ships and 58 aircraft, Najib said, and that the relevant foreign embassies have been given access to the new information.

China is sending technical experts to join the investigation, and two Chinese search vessels headed for the Strait of Malacca, according to Xinhua.

Plane was taking 'strange path'

Hours before Najib's announcement, U.S. officials told CNN the flight had made drastic changes in altitude and direction after disappearing from civilian radar.

Malaysian military radar showed the plane climbing to 45,000 feet -- which is above its approved altitude limit -- soon after disappearing from civilian radar screens and then dropping to 23,000 feet before climbing again, a U.S. official familiar with the investigation said.

The jetliner was flying "a strange path," the official said on condition of anonymity. The details of the radar readings were first reported by The New York Times on Friday.

@highlight

Area between Malaysia and Vietnam "perfect place to start to disappear," official says

@highlight

Investigators have renewed their focus on the pilots, a law enforcement official says

@highlight

Malaysia's government wanted a reason to search the pilots' homes, the official says

@highlight

Police search homes of pilot and co-pilot