Long before the candidates set foot on stage in Florida, President Barack Obama headed into the final debate of the 2012 campaign with the biggest advantage of all: he's already commander-in-chief.

The foreign policy face-off on Monday was devoted to a subject on which presidents can speak about decision-making in the first person and challengers can't.

As recently as a few weeks ago, coming off a rocky foreign summer tour and a widely panned response to the deadly September 11 attack on the U.S. diplomatic mission in Benghazi, Libya, Mitt Romney seemed headed for a tough night.

But that was before the administration faced its own politically charged questions on the Libya assault over security and its response to what actually occurred and who may have been behind it.

Five things we learned from the final debate

Whether it was a reaction to the White House's handling of the situation or just a reflection of Romney's overall growing strength, several recent polls suggested Obama's edge on foreign policy had narrowed.

And Romney's biggest strength in the debates so far -- an aura of unshakeable confidence -- promised to be a critical asset in a night devoted to leadership. More than what he said, voters reacted to the way he said it.

Foreign policy is an area where many voters don't feel entirely confident themselves; Americans are less likely to have passionate and strongly held positions on currency speculation or trade negotiations than on abortion or taxes.

Read a transcript of the debate

Winning the policy debate is important. But looking like the stronger leader might be an even bigger priority.

Last time, Romney pushed so hard on details about the president's response to the Benghazi attack that he unintentionally let him sidestep the heart of the original question about diplomatic security. It was a mistake he didn't seem likely to make twice.

But this time, he barely pressed the president on Benghazi. Instead, the night played like a mirror image of the first debate. Romney approached the face-off with a cautious frontrunner strategy: a priority on appearing presidential and, wherever possible, emphasizing common ground.

Debate's global reaction: Disappointment

And Obama took on the aggressive underdog role, needling Romney with virtually every response. On a night where sharp policy distinctions were in short supply, the president even tried to turn the areas of agreement into an attack: "You say you would do the same things we did, but you would just say them louder."

From one angle, Romney's approach -- to sound presidential and stay largely above the fray -- was the best strategy to win over the women voters he needs.

And on a night where the final debate of campaign 2012 competed with both Monday Night Football and the pivotal game of baseball's National League championship, women may well have made up a larger share of the viewing audience than ever before.

Fact Check: Obama, Romney and Iraq

But allowing your opponent to come across as the tough guy when the showdown is a 90-minute audition for commander-in-chief is a risky strategy -- especially when you're a challenger with a short foreign policy resume who needs to convince voters you're strong leader who can keep the country safe.

Romney had the benefit of seeing the president's play-it-safe strategy flop in the first debate -- which made his decision to adopt it in the final one even more puzzling.

So the only candidate with an actual foreign policy track record wasn't the one who faced the toughest attacks tonight.

The president didn't necessarily score a knockout -- but he did land the most punches.

This was the last, best chance for Obama and Romney to make their pitch to a sizable audience in every battleground state.

So, since foreign policy hasn't exactly ranked high on voter priority lists this year, virtually every question ended up with an answer close to home. For more than 10 minutes, the debate stayed focused on domestic education policy, the deficit and jobs.

Obama wins final debate, but does it matter?

A question about America's role in the world drew an answer about the U.S. unemployment rate. Ohio, Pennsylvania and Wisconsin all rated mentions; Europe and the United Nations didn't. The candidates had one, extended tense exchange over the auto bailout and "Green Economy" investment.

In CNN's post-debate poll, voters gave Obama the edge on performance -- but that opinion didn't necessarily shift their votes. The most recent pre-debate surveys show Romney gains resulting in a virtual tie among likely voters nationally, and hinted at momentum in key swing states like Florida.

If Romney's measured performance drew higher marks from women or the vanishingly small sliver of remaining swing voters, he might be able to maintain that momentum.

But unlike previous debates, there was a big gender gap, with women responding much more favorably to Obama's performance and men giving a small advantage to Romney.

The president has retained a healthy edge among registered voters; if the debate boosts Democratic enthusiasm, the likely voter model could shift, and the president would see a bump in the polls even if he failed to win over a single undecided voter.

The first debate dramatically altered the campaign dynamic; but in a race now so tight that 1- or 2-point swings practically rate surge status, the question is whether Monday's winner can expect any major impact at all.

Were your questions answered? Let us know on CNN iReport

@highlight

Barack Obama as president had a certain advantage on foreign policy in debate

@highlight

Winning debate key, but projecting strong leadership might be more important

@highlight

Last chance for both candidates to make impression before captive audience