(OPRAH.com) -- I know you've got the major risks in your financial life well taken care of: Your 401(k) is properly diversified to help you weather market volatility, and your reserve cash fund is on call to cover life's inevitable emergencies. Good work!

But I'm worried about your financial blind spots -- those pesky threats to your security that lurk behind seemingly sound decisions. Here are a few common traps, and advice to ensure that you won't get taken by surprise:

Perils of plastic

Good news: You've sworn off credit cards. Goodbye insane interest rates and fees! You're sticking with your debit card from now on.

Hidden risk: Debit card transactions aren't reported to the credit bureaus, so if you don't use a credit card, you'll have less of a payment history -- which hurts your FICO credit score.

How to stay on top: I love, love, love that you want to use your debit card. But to keep your credit score solid, you still need to keep a few credit cards and use them at least once every few months.

Even if you think you'll never need to borrow again, your FICO credit score has a big impact. It can affect your auto insurance premium and whether a landlord will rent to you, and many employers even check it when vetting a job application.

Cards issued by credit unions typically charge lower rates (generally limited to a max of 18 percent) and fewer fees. Check out CreditCardConnection.org to find the best options.

Oprah.com: How to deal with credit card debt

The bond issues

Good news: You're sleeping better than ever since you moved all your retirement money out of stocks and into bonds.

Hidden risk: You're approaching two land mines here. First up is inflation. Make it to age 65 and there's a good chance you'll live another 20 years or longer. (More on this in the next item.)

Over a 20-year period, a 4 percent average inflation rate (the historical norm since the '50s) will reduce the purchasing power of today's dollar to about 50 cents. That will make it very hard to maintain your standard of living in retirement.

Bonds aren't an ideal inflation hedge, since their historical returns are typically not much better than the inflation rate. Making matters worse, because of the financial crisis and the Federal Reserve's efforts to keep the economy growing, bond yields are at unprecedented lows.

This is not a permanent situation. Soon -- maybe this year or next -- interest rates, and thus bond yields, will start to rise. When rates rise, the market price of bonds falls. That hurts your portfolio.

How to stay on top: Every portfolio benefits from bonds; they provide a cushion when the stock market hits a rough patch. But avoiding stocks completely could mean your investment won't grow any faster than the rate of inflation.

As a general rule, your age is a good guideline for the percentage of bonds you want -- if you're 55, put 55 percent in bonds and 45 percent in stocks. If you're worried about putting money in stocks right now, stick with mutual funds or exchange-traded funds (ETFs) that focus on dividend-paying stocks.

The dividend payout is a steady stream of income, much like a bond, and right now the yield on some dividend portfolios is actually higher than the yield on a five-year Treasury bond. While dividend stocks have their own risk, if you have time on your side -- at least ten years -- you can pocket that nice dividend income today, ride out the volatility, and, over the long term, potentially earn inflation-beating gains.

Oprah.com: How to go green on the stock market

Live long -- and prosper? How to enjoy a long, comfortable retirement

Good news: You're likely to reach a much older age than women of previous generations. Today a woman of 65 will probably live 20 more years -- 60 percent longer than her life expectancy in 1900.

Hidden risk: That means more years that your 401(k) and IRA need to support you.

How to stay on top: To enjoy a long, comfortable retirement, save more today. If you're 50 or older, take advantage of the catch-up provisions: Instead of an annual 401(k) max of $16,500 in 2010, you're entitled to invest $22,000, and your IRA limit rises from the standard $5,000 to $6,000.

You may also want to retire later. Working until 67 or 70 gives those funds more time to grow -- which gives you more security. You don't have to keep the high-powered career you have now; a less demanding job will still bring in valuable income.

Retirement loans: on borrowed dimes

Good news: You're in a pinch, but your company allows you to borrow from your 401(k).

Hidden risk: Make that plural -- there are three problems with taking your company up on that loan.

First, if you leave your job, voluntarily or not, you'll typically have only a few months to pay back what you've borrowed. If you can't, the loan converts to a withdrawal on which you'll owe income tax, and if you're under 55 you'll also be hit with a 10 percent early withdrawal penalty.

Second, when you pull money out of any investment, it's no longer working for your future. Anyone who took a loan from their 401(k) in early 2009 missed out when the S&P 500 stock index shot up more than 60 percent from March to December. That was a costly time to be out of the market.

Third, your loan money will end up being taxed twice -- when you repay the loan it will be with after-tax dollars, and then in retirement, when you begin using your 401(k) for living expenses, you'll be responsible for the tax due on those withdrawals.

How to stay on top: Make a 401(k) loan an absolute last resort. A well-maintained emergency savings fund is a far better insurance policy against unforeseen expenses. As you know, I advise saving up eight months of living expenses -- especially now, when most unemployed people need at least six months to find a new job.

Kids need the darndest things

Good news: You're expecting, or you have young kids.

Hidden risk: You may not be providing enough security for your family if something happens to you.

How to stay on top: You can't control fate, but you absolutely, positively can make sure that your children will be financially secure, no matter what. A term life insurance policy that's at least 15 times your annual income will give your kids' guardian plenty of money to raise them according to your wishes. I know that sounds like a lot, but these policies are remarkably inexpensive.

Oprah.com: Discover the pleasures of pinching pennies

Shaky foundations

Good news: The steep decline in home prices means you can afford to buy your first home.

Hidden risk: It's easy to underestimate the real cost of home ownership.

How to stay on top: Property tax, insurance, and maintenance can add 30 percent to your base mortgage. To see how that extra expense will affect you, plug in your price range for a home at BankRate.com to determine your monthly mortgage payment, and then add 30 percent to that figure.

If the total is more than your current rent, spend six months "playing house" -- each month, deposit the difference between your rent and your probable mortgage payment into a separate savings account. If you can't afford this exercise, you can't afford to buy a home at that price just yet.

And don't forget: Before buying a home, you must have an emergency fund that can cover your expenses for eight months. If anything happens to your job or a big expense pops up, you'll need to have the cash to pay the mortgage.

Finally, don't buy if there's any chance you'll move within five to seven years. If you sell a newly purchased house, you risk making too little on the sale to cover the typical 6 percent agent's fee and your moving costs. I know the housing market's rock-bottom prices are tempting, but it's better to be safe than sorry.

By Suze Orman from O, The Oprah Magazine © 2010

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

Money expert Suze Orman points out hidden costs to money moves

@highlight

How not using a credit card could hurt your FICO score

@highlight

You may not have enough financial protection for your children's future

@highlight

Playing too safe with your investments could come back to pinch you later