(CNN) -- Facebook wants to cut clutter.

The social media site, which has more than 1 billion users, on Thursday announced a newly redesigned news feed that blows up photos and visual content, and adds categories that focus on specific types of content. The Web version of the social network now looks much more like the mobile apps, which are also getting a revamping.

Facebook announced the changes during a media event at its headquarters in Menlo Park, California. The new Web version will roll out slowly to users starting Thursday, and updated iOS and Android apps will be available in the coming weeks.

Chief Executive Mark Zuckerberg compared the revamped feed to a local newspaper and the new channels to the traditional sections, such as sports and business, you'd find there.

"I think that there's this important and social place in this world for this customized newspaper," Zuckerberg said.

He didn't note the irony of comparing Facebook to an industry that his site and others are marginalizing.

The news feed is the first, and sometimes only, page people see when they log on to the Facebook website or fire up a Facebook mobile app. The nerve center of the Facebook experience, the news feed fills the middle of this home screen with updates, photos, articles and other content and activity from your friends, such as likes and app updates. Interspersed among that somewhat-chronological content are posts from pages you follow and targeted ads.

The main page, which Facebook is calling the "front page" to go with its newspaper metaphor, is adding categories so people can look at a more narrow feed of specific types of content as an alternative to the all-in-one view. There are views for all friends, most recent, close friends, music, photos, games and following.

Photos will show every single image your friends post as well as the photos posted by the pages you follow, including anything shared to Facebook from Instagram. The music channel will show a combination of nearby concerts, feeds from musicians you follow and the songs friends are listing to with third-party apps such as Spotify. The channels will appear on the mobile apps and Web versions of Facebook.

"Everyone's going to start on the front page like they do today. This just gives people more power to dig into the topics they care about," Zuckerberg said.

The individual elements that populate the news feed have been redesigned to fill the page better, the company maintains. Text is taking a back seat to visual content, which now makes up almost 30% of the content in the news feed, according to Zuckerberg. Photos, videos and albums are bigger. Shared articles show a bigger image and larger summary along with a logo for the publisher. Content in the feed about individuals and pages will show a little slice of their timeline, including their cover photo and a button to add them as a friend or to like the page. Maps and posts for third-party apps such as Pinterest have also been cleaned up.

Previously, the news feed occupied less than 40% of the real estate on the Facebook home page, according to Julie Zhuo, Facebook's director of design. To cut down on clutter and give the feed more room to breathe, navigation elements on the left have been slimmed down to a narrow black column of icons, similar to the mobile interface.

One thing that's not changing is the algorithm that decides what posts are displayed in a feed, which has received some criticism. Zuckerberg defended the practice of not showing a full and complete chronological feed of all content, saying people benefit from more important content, such as major life events, being given a more prominent place in their feeds.

The filters might be great for users, but they could have a negative effect on companies that have sunk money into promoting their pages and gathering fans, said one analyst. Those fans can switch to a more narrow feed of just their friends (or music content or photos) that doesn't include brand pages, potentially making it more difficult for companies to reach their followers.

"It's going to continue to erode the value of companies having Facebook pages and fans," said Forrester analyst Nate Elliott. "Facebook is walking a really fine line, they're not providing enough value."

Ads will still be featured on the friends-only feeds, so companies and brands that want to reach people who switch to those views can by buying advertising from Facebook. Elliot says this could be interpreted as a "bait and switch" by marketers.

Ads -- which are included in the redesign -- are Facebook's primary source of income. The company made $4.2 billion off advertising in 2012, which accounted for 82% of the social network's total revenue, according to Engadget. Most of that ad money comes from the Web version of Facebook, and 23% was from ads on mobile devices.

The company may get money from advertisers, but it needs to keep the users who click on those ads engaged, active and happy on the network.

@highlight

Facebook has redesigned the news feed to fill more of the main page

@highlight

Web version of Facebook will look much more like the mobile app

@highlight

New categories have been added for music and photos

@highlight

Update will begin rolling out Thursday; revised apps are coming in the next few weeks