Misrata, Libya (CNN) -- Heavy fighting that began at dawn and continued past midnight Friday left at least 31 people dead Saturday in the western Libyan city of Misrata, where rebel forces thwarted efforts by government forces to enter from the west and south.

By the end of Friday, more than 160 others had been wounded, said medical sources at the city's Hekmah Hospital.

Friday's casualties were the heaviest in a month, Dr. Khaled Abu Falgha said. Medics chanted, "The martyrs are beloved to God" every time a patient died, he said.

The rebels said Gadhafi's forces also shelled nearby Zlitan, as well as rebel positions in Dafniya. Tanks were rolling in and witnesses on the frontline said pro-Gadhafi forces were firing rockets and missiles.

"It is horrible out there," one rebel fighter said. "The revolutionaries are taking tank power in their chests."

Misrata's oustkirts were under continuous bombardment Friday. At a field hospital set up on the western front, doctors were so busy they didn't count the dozens of patients they treated. Their efforts were focused largely on stabilizing the wounded so they could withstand the trip to the main hospital in the city center.

There, rebel forces were firmly in control and the streets remained quiet throughout the day, except for loud, thunderous booms in the distance. By the end of the day, rebels said, government forces had been pushed farther west -- away from the city.

Misrata has borne the brunt of the fighting in Libya for the past two months. More than 1,000 people are believed to have been killed here since early February, including 686 civilian residents.

Gadhafi's forces laid siege to Misrata and cut off land access, leaving the port as the only escape route. They retreated to the perimeters but were trying to regain control of the city, about 130 miles (209 kilometers) east of Tripoli.

In Washington, Sen. Carl Levin emerged from a meeting of the U.S. Armed Services Committee and appeared pleased with NATO's progress.

"I am satisfied that Gadhafi's military has been severely degraded, that politically he has been significantly weakened, that the NATO operations are going well, they are coordinated and we have not lost one person yet," the Democrat from Michigan said.

The committee chairman rejected the term "stalemate" to describe the effort, which has lasted nearly three months.

But Sen. Jeff Sessions, also a member of the committee, expressed impatience over NATO's pace of progress in the northern African country.

"I'm not sure we are acting with decisive abilities that we have to impact the outcome," the Republican from Alabama said. "I felt like, had we moved aggressively, as Senator (John) Kerry (D-Massachusetts) and Senator (John) McCain (R-Arizona) suggested in the beginning, maybe the matter would be concluded by now."

In Brussels, Belgium, outgoing U.S. Defense Secretary Robert Gates blasted NATO as a "two-tiered" alliance poorly equipped to deal with challenges.

In his farewell speech Friday to the NATO Council, he contrasted those members "willing and able to pay the price and bear the burdens of alliance commitments, and those who enjoy the benefits of NATO membership ... but don't want to share the risks and the costs."

Gates had harsh words for the conduct of the air campaign against Gadhafi's regime. He said it had become "painfully clear" that shortcomings could "jeopardize the alliance's ability to conduct an integrated, effective and sustained air-sea campaign."

"While every alliance member voted for the Libya mission, less than half have participated at all, and fewer than a third have been willing to participate in the strike mission," he said.

Gates concluded with a warning about American willingness to continue bearing a growing part of the NATO burden.

"The blunt reality is that there will be dwindling appetite and patience in the U.S. Congress ... to expend increasingly precious funds on behalf of nations that are apparently unwilling to devote the necessary resources or make the necessary changes to be a serious and capable partners in their own defense," he said.

NATO members must better allocate their resources, follow through on commitments and protect defense budgets from being "further gutted" to avoid "a dismal future," Gates said.

His warning came on the same day that Turkish Prime Minister Recep Tayyip Erdogan told Turkish broadcaster NTV that Turkey had offered Gadhafi some guarantees, including helping him seek another country of residence, if he were to step down. "Unfortunately, we still have not received a response from him," he said.

On Thursday, global powers charting out the course of a post-Gadhafi Libya met in the United Arab Emirates. U.S. Secretary of State Hillary Clinton and others urged the international community to sustain pressure on the Libyan regime. An opposition spokesman predicted Gadhafi would fall within days.

But Friday's fighting was evidence that, despite 10,439 sorties carried out by NATO jets and a fierce opposition revolt, Gadhafi was holding strong.

In a three-page letter purportedly from Gadhafi to the U.S. Congress that was given to CNN by the office of House Speaker John Boehner, the writer calls for a cease-fire.

"Let's stop the destruction and begin the negotiations to find a peaceful solution for Libya," it says. "I appeal to you, as the great Democracy, to assist us to determine our future as a people."

The letter calls the NATO military effort "inappropriate and illegal interference in what is essentially a Libyan civil war."

"If authentic, this incoherent letter only reinforces that Gadhafi must go," said Boehner spokesman Michael Steel. "There's no disagreement about that.  That's why so many Americans have questions -- which the White House refuses to answer -- about the administration committing U.S. resources to an operation that doesn't make his removal a goal."

A senior administration official told CNN that the letter "probably" is genuine but added that Gadhafi  "obviously didn't write it, for it's not weird enough."

The official said it was not clear what the letter meant.

"It will be hard to take seriously that he wants to talk about transition when he won't even take the bare minimum steps of putting a cease-fire into place," the official said.

Meanwhile, NATO officials have said repeatedly that airstrikes are aimed solely at military targets, but a senior NATO military official with operational knowledge of the Libya mission has told CNN that attacking Gadhafi was justified under the United Nations mandate.

The resolution applies to the Libyan leader because, as head of the military, he is part of the command-and-control structure and therefore a legitimate target, said the official, who spoke on condition of anonymity. The official was not authorized to talk to the media.

But the NATO official declined to give a direct answer when asked whether Gadhafi was being targeted.

NATO spokeswoman Oana Lungescu, however, said the alliance was not specifically targeting Gadhafi.

"We are targeting critical military capabilities that could be used to attack civilians, including command-and-control centers that could be used to plan and organize such attacks," Lungescu said.

CNN Foreign Affairs Correspondent Jill Dougherty contributed to this story.

@highlight

At a field hospital, doctors didn't take the time to count the dozens of wounded

@highlight

Letter purportedly from Gadhafi appeals to "the great Democracy" for assistance

@highlight

Sen. Levin "satisfied that Gadhafi's military has been severely degraded"

@highlight

Sen. Sessions "not sure we are acting with decisive abilities"