One day when she was 76 years old, Rosa Rodrigo took a wrong turn out of a shopping center parking lot and found she had no idea where to turn next.

"It was a little scary because I didn't remember where I came from, or where I was going," she recalls.

While Rodrigo and her family were alarmed, it was only after several more years of fading memory and worsening mental condition that Rodrigo was diagnosed with Alzheimer's disease.

Almost since the disease was identified back in 1906 by Dr. Alois Alzheimer, scientists have been looking for ways to identify it earlier. We do know the disease process begins in the brain 10 to 15 years before a patient's symptoms start. And, by the time memory problems develop, 40% to 50% of a patient's brain cells have already been affected or destroyed.

There are certain hallmarks of Alzheimer's, including the accumulation of sticky plaques in the brain, made up of proteins called beta amyloid. The problem is that current technology cannot conclusively confirm the presence of the plaques.

Last year, the Food and Drug Administration approved a brain imaging test -- a type of PET scan -- to detect the presence of amyloid proteins in the brain. The FDA made clear, however, that the scan alone is not enough to diagnose Alzheimer's. And, while examination of the spinal fluid or even a brain biopsy may offer a more definitive glimpse of what is happening in the brain, they require invasive procedures and it is not even clear who would be a candidate. In most instances, the best we have now is a clinical neurological exam after the patient has already suffered memory loss.

More on Alzheimer's disease

That is why recent research caught my attention. Studying cadavers, researchers at Cedars-Sinai Medical Center in Los Angeles made an interesting observation: The amount of beta amyloid protein in the brain corresponded closely to the amount of that same protein in the retina, in the very back of the eye.

It makes sense because, as our bodies develop from embryos, the retina is ultimately formed from the same tissue that makes up the brain.

Based on that finding, the research team developed a noninvasive test to check the retina for the telltale beta amyloid plaques. They're now conducting a clinical trial to see if the test can identify patients who are starting to develop Alzheimer's but don't show symptoms yet.

Rosa Rodrigo knows that in a very real sense, her disease was caught too late. Most days, she copes with grace.

"I don't even worry about it. If I remember [something], fine. If I don't, que sera, sera. What will be, will be," she said. But even though she knows she won't reap direct benefits, she signed up for the Cedars-Sinai trial. "I'm very happy I can help somebody."

We don't know yet if the test will provide to be a good predictor of Alzheimer's, but officials at the Chicago-based Alzheimer's Association say the work is promising.

A reliable eye test "would be a very important contribution," says Maria Carrillo, the Vice-President of Medical and Scientific Relations at the Alzheimer's Association. "People tend to go to the opthamologist more frequently as we age. If you could add a quick test to see if neurogenic pathology is going on the brain, it would be really helpful."

This research is important, because 1 in 8 people who are 65 and older have Alzheimer's disease, and the incidence of the disease is expected to nearly triple by 2050 as the number of older Americans grows. The expected cost of care at that time is expected to be more than $1 trillion a year.

The 10 warning signs of Alzheimer's

The trial at Cedars-Sinai is not the only one to focus on the eyes, Carrillo says.

Another company, Cognoptix, has a test that looks for amyloid proteins in the lens of the eye.

"We think it will provide greater sensitivity and specificity than looking in the retina," says Paul Hartung, the company's president and CEO.

Cognoptix presented early data at the June meeting of the Alzheimer's Association, and is currently in the midst of a clinical trial with 40 patients. If it proves effective, says Hartung, the test would run approximately one-tenth the cost of the PET scan procedure.

Another test being developed tracks subtle eye flickers known as saccadic movements, says Carrillo. "When people start to have cognitive changes, these movements become more erratic, and slower," she explains.

Yet another approach looks for changes in blood vessel infrastructure.

"It may not be specific to Alzheimer's," Carrillo notes, "but a big part of this research initiative is trying to find what is different between this and other neurological disorders."

'Dementia village' inspires new way to care

Dr. Keith Black, a neurosurgeon who is leading the Cedars-Sinai trial and who helped found a company to develop the retinal imaging test, says the problem with treatments being tested currently is that they're being given to patients at the end stage of the disease.

"If we can identify patients at 50 who are accumulating these plaques, and stop these plaques from accumulating, we have a much better chance of having an effective treatment," Black said.

I want to be careful to not overstate the significance of early detection, however.

While we doctors always love to catch things early, it is with the hope that it leads to earlier treatment. Unfortunately, with Alzheimer's, there isn't yet a treatment proven to cure or even slow down the disease.

While it is certainly possible that a technology like this could present an opportunity to intervene earlier and to create strategies to measure the effectiveness of those interventions, the ultimate advice to patients may sound very familiar: Eat right and get plenty of physical exercise, which is something we should all be doing anyway.

I do think this raises something else to consider: The psychological perspective. I am not entirely sure I would want to know the fate of my brain 10 to 15 years ahead of time, unless there was something I could certainly do about it.

Would you?

@highlight

Researchers developed a test to check the retina for signs of Alzheimer's

@highlight

Trial is looking at whether this test can identify patients before symptoms begin

@highlight

1 in 8 people who are 65 and older have Alzheimer's disease