(CNN)The combination is lethal and becoming all too familiar: a long criminal record, easy access to weapons, a loathing of the countries where they were born and deep-seated anti-Semitism.

So it was with the perpetrators of the Paris attacks. Now, it appears to fit the description of the man who killed two people in Denmark at the weekend. Danish police describe him as 22 years of age, born in Denmark, with a violent past, connections with gangs and weapons offenses.

Jens Madsen, head of the Danish Security and Intelligence Service (PET), said investigators were "operating under a theory" the attack could have been inspired by last month's attacks in Paris, which were also aimed at cartoonists.

Carsten Ellegaard Christensen, national security reporter at the Danish newspaper Jyllands Posten, told CNN the gunman was on the radar of Danish police and PET for gang-related activity but not extremism, according to his security sources. The gunman had recently spent time in jail for a knife attack.

"There is a closer nexus between immigrant criminal gangs and violent extremists in Denmark than anywhere else," says Magnus Ranstorp of the Swedish National Defence College. "This interface makes violent extremists more dangerous as they are able to switch between roles and skill-sets and have easier access to illicit weapons on the underground market."

The so-called "Nordic biker war" of the 1990s saw gang members in Denmark and Sweden attack each other with automatic weapons, grenades, and explosive devices. Morten Storm, a former Danish jihadist, moved from being part of a biker gang to Islamist extremism to spying for Western intelligence. He says that belonging to gangs and extremist groups had made him feel he belonged to a "band of brothers."

In 2012, a convicted drug trafficker and gang leader -- known as Big A -- traveled to Syria to take up arms against the Assad regime. His real name was Abderozzak Benarabe. The subject of a TV documentary last year by Nagieb Khaja, Benarabe returned to Copenhagen where he allegedly raised some $75,000 for the cause. He is now in prison after conviction on aggravated assault charges unrelated to terrorism.

There is a long history of jihadist activism in Denmark, and intelligence officials believe at least 110 Danes, both converts to Islam and Muslims since birth, have traveled to Syria and Iraq. Some estimates put the number as high as 200. At least 16 Danes have been killed in Syria and Iraq, according to PET, including 2 women.

Last year, ISIS claimed several Danish suicide bombers had carried out attacks in Iraq, including Abu Khattab al Denmarki, said to have carried out an attack in Diyala province, and Abu Sa'ad al Denmarki, who detonated a car bomb close to an Iraqi military convoy near Mosul.

It is believed as many as 70 Danish nationals have returned from Syria to Denmark.

Within Denmark, according to PET's latest assessment, there are "people who sympathize with militant Islamism, but have not been in the conflict zone." They may be "inspired by individuals or groups in the conflict zone or elsewhere abroad," a danger heightened by Denmark's participation in the international coalition against the Islamic State in Iraq and Syria (ISIS).

Recent postings on jihadist forums have singled out Denmark as a target. One entitled "O Lone Wolves, You who Reside Among the Infidels, Your Turn has Come," and posted last month, urged "sons of Islam, in Europe, America, Australia, France, and Denmark" to "light fires beneath their feet."

"Developments in the Middle East in general, including in the Israeli/Palestinian conflict, increase the threat of attack in the West against Israeli or Jewish targets," PET warned.

A number of jihadist conspiracies in Denmark have been foiled in recent years, but early in 2013 a man tried to shoot the writer Lars Hedegaard, a prominent critic of Islam, at his home in Copenhagen. Hedegaard was not injured, but his assailant escaped on foot.

Among scores of Danish jihadists to have traveled overseas in recent years was Mustapha Darwich Ramadan, who had spent time in prison for armed robbery in the 1990s. He eventually traveled to Iraq where he joined al Qaeda. Ramadan took part in the beheading of the American Nick Berg in 2004 before being killed fighting U.S. forces in Fallujah.

Much more recently, according to Flashpoint Partners, a group that tracks jihadist activity, a Danish national called Abu Ikramah Al-Pakistani was killed in Anbar Province, Iraq. He was not the first to make the journey. In August 2013, a group of Danes in Syria released a video in which they fired at pictures of six Danish "kuffar attacking Islam" -- among them Anders Fogh Rasmussen, the Secretary-General of NATO, Morten Storm, and the cartoonist Kurt Westergaard.

Denmark has been the focus of militants' anger since the newspaper Jyllands Posten published Westergaard's cartoon of the Prophet Mohammed in 2005. In an edition of its online magazine, Inspire, al Qaeda in the Arabian Peninsula called for the murder of Westergaard -- as well as Carsten Luste, the editor of the paper when the cartoons were published, and Lars Vilks, the Swedish cartoonist who was attending the free speech forum in Copenhagen that was attacked at the weekend.

Westergaard is under police protection in Denmark after a conspiracy to murder him was uncovered in 2008, and a 28-year old Somali believed to have ties to Al-Shabaab tried to kill him in 2010.

In 2012, three Swedish nationals and a Tunisian resident of Sweden were found guilty of targeting Jyllands Posten in an al Qaeda plot. Prosecutors accused the four suspects of planning a gun attack on the newspaper, to be followed by "the execution" of hostages. They had been tracked from Sweden and arrested in Copenhagen in a joint operation between Swedish and Danish intelligence.

Denmark has a large immigrant population from the Muslim world -- including Palestinians, Turks, Somalis, Bosnians, Moroccans and Tunisians. While the vast majority have integrated peacefully, a small fraction of "second generation" immigrants -- as in France -- have adopted militant Salafism, especially in Odense, Aaarhus and parts of the capital.

In 2010, one counterterrorism expert, Michael Taarnby, told CNN that out of Denmark's population of some 18,000 Somalis, there were at least 300 sympathizers of Al-Shabaab, the jihadist group in Somalia that is now an affiliate of al Qaeda.

"Those attracted are usually quite young -- there's the usual issue of a clash of cultures, of being stuck between east Africa and Scandinavia and not knowing where they belong," Taarnby told CNN.

That clash of cultures threatens to shed more blood on the streets of Europe's major cities.

@highlight

Denmark has a long history of jihadist activism

@highlight

Denmark has a large immigrant population from the Muslim world

@highlight

As many as 70 Danish nationals may have returned from Syria to Denmark