(CNN) -- In Syria, the Christians are angry. For eleven months, many of their leaders have stood firmly behind the regime of President Bashar al-Assad. However, Syria's new constitution explicitly says in Article 3 that the president of the country has to be a Muslim, thereby barring Christians from the right to run for the top post.

On Sunday, pro-government Syrians went to the polls to approve the new constitution. In protest of Article 3, Christians voted with a "no," while the opposition movement boycotted the election altogether, saying that it was inconceivable for it to take place while the country is up in flames. Nevertheless, the new constitution passed.

The controversial clause in Article 3 has been around for a long time, ever since Syria established its first constitution in 1920. Both secular and Christian Syrians have over the years tried to amend the clause but to no avail. In 1973, President Hafez al-Assad released a constitutional draft that omitted reference to Islam as the official religion of the state, which enraged conservative Muslims. Faced with pressure, Assad eventually restored Article 3 to its original form.

But now, as Arab Spring sweeps across the Arab world, Syria needs to rethink its old ways. What the government should realize is that it's bad politics to bar any religious group from running for presidency. If a Muslim Kurd from Qamishly has a possibility of running for the job, then why can't a Christian from Damascus?

Christians make up 12% of the 23 million people in Syria. Even if a Christian has a right to run for president, it is unlikely that he will win since the majority of Syria's population which is made of 75% Sunni would never vote for a Christian. So, the Muslims should have nothing to fear and allow Christians the right to run for the office of the presidency.

Moreover, Syrian Christians have until now been overwhelmingly supportive of the regime, fearing that if the regime collapses, then Islamist groups like the Muslim Brotherhood would rise to power and focus on marginalizing the Christians. The scenarios in Tunisia, Egypt, Libya, Iraq and Morocco have not been encouraging.

While the older generation among the Christians is more or less rallied behind the government, the younger generation is less ideological and more forward-looking. The Western-educated, Internet-savvy Christians refuse to buy the argument that says: "It's either the Baathists, the Islamists, or chaos." Like the young and ambitious Syrians in the broader population, they want to see a democratic transformation of the country and are confident that they will become an integral part of its future, regardless of who rises to power. The urban Christians, especially those in Damascus and Aleppo, often argue that they have been around long before the Muslims came along; and as such, they are entitled to live, work and have the right to govern the country like their countrymen.

Despite the efforts of Syrian Christians, there were heavy pressures for the government to include Article 3 in the new constitution.

Given the rise of Islamic zeal throughout Syria, there is fear that the public would be outraged if Christians are allowed the right to run for president. Since violence erupted last March, the government has been trying hard to appease the religious clerics who have been very influential in the anti-Assad demonstrations. Many of the clerics, needless to say, are religious dictators. The regime has tried to win over the clerics by bending to their demands, like shutting down the Damascus casino or allowing the establishment of an Islamic TV channel -- Nour al-Sham -- that contradicts everything the secular Baathists had stood for since the mid-1960s.

Article 3, of course, is not the only problem with the new constitution. The power given to the presidency is enormous. Syria's government still feels that it can keep a presidential term at 7 years, renewable only once, although oppositions have demanded that the term be set at five years, renewable only once. The new constitution also gives the president the right to name a prime minister rather than vesting that authority in parliament and the right to fire a cabinet unilaterally. It still keeps the executive and legislative branches as subordinate to the president and allows him to name the head of the Supreme Judicial Council (Supreme Court).

Although the flawed constitution is hailed as a great achievement by Syria's state media, many Syrians have become disenchanted, to say the least. Eleven months into the uprisings, Syrians are weary and tired. No longer do they just want an end to the one-party rule -- they now wish for real democracy, where justice, accountability and the rule of law can bring order to public life. They want a constitution that gives Muslims and Christians equal access to all jobs, including the presidency.

The opinions expressed in this commentary are solely those of Sami Moubayed.

@highlight

In Syria, a newly approved constitution says that only Muslims can be president

@highlight

Sami Moubayed: Despite their support for the regime, Christians can't run for president

@highlight

He says while the government is pressured to stipulate this rule, it's bad politics

@highlight

Moubayed: Many Syrians want a constitution that treat Muslims and Christians fairly