Washington (CNN) -- President Obama outlined his final version of a health care bill Wednesday and urged Congress to bring the plan to a conclusive vote within the next few weeks.

The president said his nearly $1 trillion proposal is a compromise plan that combines the best ideas of both Democrats and Republicans. He asked Congress to "finish its work" and end what has become a yearlong vitriolic legislative showdown over his top domestic priority.

"Everything there is to say about health care has been said, and just about everybody has said it," he said. "Now is the time to make a decision about how to finally reform health care so that it works, not just for the insurance companies, but for America's families and America's businesses."

He also came out in support of a controversial legislative maneuver known as reconciliation, which would allow changes to the health care bill to be passed by the Senate with only 51 votes -- a bare legislative majority.

The bill "deserves the same kind of up-or-down vote" that was used to pass President George W. Bush's signature tax cuts and welfare reform in the 1990s, Obama said at the White House.

"At stake right now is not just our ability to solve this problem, but our ability to solve any problem," he said. "The American people want to know if it's still possible for Washington to look out for their interests and their future. They are waiting for us to act."

He said he doesn't "know how this plays politically," but knows that "it's right."

Top Republicans have repeatedly said Obama's proposal amounts to a government takeover of the private health care system that will do little to control spiraling medical inflation. In recent weeks, they have reiterated their calls for the president to scrap his plan and start over. GOP leaders also fiercely oppose the use of reconciliation, saying it was never meant to be used for such a major policy change.

"I am disappointed that Democrats are moving ahead with the nuclear option," said Michigan Rep. Dave Camp, the top Republican on the House Ways and Means Committee.

"Big social policy changes should have bipartisan support and the support of the American people. This bill has neither. But as bad as the process for moving this bill is, the policy and its impact is far worse."

Multiple Democratic sources have told CNN that the emerging consensus plan is for the House of Representatives to pass the Senate bill and send it to Obama. A package of changes that mirror the president's plan would then be passed through both chambers under reconciliation rules.

Democrats increasingly brought up the prospect of using reconciliation after losing their 60-vote, filibuster-proof Senate majority in January, when GOP Sen. Scott Brown won the Massachusetts Senate seat previously held by the late Sen. Ted Kennedy, a Democrat.

Observers note, however, that it remains unclear exactly which health care provisions can be approved under reconciliation, which is reserved for legislation pertaining to the budget.

If enacted, the president's sweeping compromise plan would constitute the biggest expansion of federal health care guarantees since the enactment of Medicare and Medicaid more than four decades ago. The White House says it would extend coverage to 31 million Americans.

Among other things, Obama's plan would expand Medicare prescription drug coverage, increase federal subsidies to help people buy insurance and give the federal government new authority to block excessive rate increases by health insurance companies.

It increases the threshold -- relative to the Senate bill passed in December -- under which a tax on high-end health insurance plans would kick in.

The president's proposal also includes significant reductions in Medicare spending, in part through changes in payments made under the Medicare Advantage program.

It does not, however, include a government-run public health insurance option -- an idea strongly backed by liberal Democrats but fiercely opposed by Republicans and key Democratic moderates.

It also eliminates a deeply unpopular provision in the Senate bill worked in by Sen. Ben Nelson, a Nebraska Democrat, that exempts that state from paying increased Medicaid expenses.

Administration officials say Obama's measure would cut the deficit by $100 billion over the next 10 years. They estimate the total cost of the bill to be $950 billion in the next decade.

Obama extended a final bipartisan olive branch to GOP leaders Tuesday, saying in a letter that he is willing to consider several of their ideas in a compromise plan. Among other things, the president said he is willing to commit $50 million to fund state initiatives designed to reduce medical malpractice costs. He backed undercover investigations of health care providers receiving Medicare, Medicaid, and other federal programs.

The president also backed Medicaid reimbursement increases to doctors in certain states, and supported language ensuring certain high-deductible health plans can be offered in the health exchange.

The president said his decision to consider the GOP ideas was a result of last week's health care summit. GOP leaders, however, have said they are unsatisfied with Obama's concessions.

"The only thing that will be bipartisan about this proposal will be the opposition to it," promised Senate Minority Leader Mitch McConnell, R-Kentucky. "The American people are not for this."

McConnell predicted that "every election in America this fall will be a referendum on this issue."

@highlight

NEW: "Now is the time to make a decision" about health care reform, president says

@highlight

NEW: Obama backs reconciliation, controversial tactic that requires only 51 votes

@highlight

But GOP says reconciliation never meant to be used for such a major policy change

@highlight

Top GOP leaders have reiterated calls for president to scrap his plan, start over