British Prime Minister David Cameron called Monday for a new law to give police the temporary power to seize a passport in case a British citizen is suspected of trying to travel to support ISIS.

Cameron told lawmakers meeting in the House of Commons on Monday there were two gaps in Britain's fight against the threat of terror at home.

The first pertains to suspects traveling abroad, he said.

"Passports are not an automatic right," he said. "We will introduce specific and targeted legislation to fill this gap by providing the police with a temporary power to seize a passport at the border, during which time they will be able to investigate the individual concerned.

"This power will include appropriate safeguards and oversight arrangements."

Work to prepare legislation to allow this will begin immediately, Cameron said.

As well as stopping would-be jihadists, Cameron said Britain also needed measures to prevent the return of foreign fighters.

UK authorities estimate that 500 Britons have gone to Syria and Iraq to fight with Islamist groups.

"It's abhorrent that people who declare their allegiance elsewhere are able to return to the United Kingdom and pose a threat to our national security," Cameron told lawmakers.

"We are clear in principle that what we need is a targeted, discretionary power to allow us to exclude British nationals from the UK. We will work up proposals on this basis with our agencies, in line with our international obligations, and discuss the details on a cross-party basis."

Cameron said existing arrangements on aviation security would also be enshrined in law.

"Airlines will have to comply with our no-fly list arrangements, give us information on passenger lists and comply with our security screening requirements. If they do not do this, their flights will not be able to land in Britain," he said.

New powers to bolster older restrictions

The Prime Minister said Britain's intelligence agencies and police believed that stronger powers were also needed to manage the risk posed by suspected extremists already in the UK.

Cameron said he would introduce legislation giving British authorities new powers that would strengthen their ability to track suspected supporters of ISIS, by providing "enhanced use of exclusion zones" or "relocation powers."

The powers would be in addition to existing terrorism prevention and investigation measures, or TPIMs, which allow restrictions on terror suspects, including overnight residence at a specified address, GPS tagging, reporting requirements, and restrictions on travel, movement, association, communication, finances, work and study.

Threat level raised

The UK government raised its terror threat level Friday from "substantial" to "severe" -- the fourth of five levels in response to events in Iraq and Syria, where ISIS militants have seized a large swath of territory.

"That means that a terrorist attack is highly likely, but there is no intelligence to suggest that an attack is imminent," Home Secretary Theresa May said.

The "root cause" of Britain's terror threat is "Islamist extremism," Cameron said Friday. The execution of American journalist James Foley is clear evidence that ISIS' fight in Iraq and Syria "is not some foreign conflict thousands of miles from home that we can hope to ignore," he said.

ISIS is unlike other Islamist extremist groups in its primary focus not to find a country that can be its base of operations, but to create its own country. And the group has had ample success in that regard, given the vast reach already of what it calls the "Islamic State."

While it's been widely reviled internationally, ISIS has managed to attract some support among Muslims and drawn foreign fighters, like the masked man with an apparent British accent who took part in Foley's beheading.

Even without specific threats in the West, ISIS' track record in Syria and Iraq -- where it was known to massacre minorities, forcefully institute Sharia law and stage executions and stonings -- suggests it may be capable of anything. Cameron said the group  poses a "greater and deeper" threat than Britain has known before.

Cameron said military force is among the tools that can be used against ISIS, while adding that aid, diplomacy and political influence should also be part of Britain's response.

While the threat level just went up Friday, Britain's national policing lead for counterterrorism, Mark Rowley, said that police have been escalating their efforts to combat the jihadist threat for months. He claimed 69 arrests in the first half of 2014 for offenses ranging from funding "terrorist activity through to the preparation and/or instigation of terrorism acts and traveling abroad for terrorist training."

U.S. terror threat level

U.S. officials said last week there were no plans to raise the United States' terror threat level.

White House spokesman Josh Earnest said he did not anticipate the threat level would rise anytime soon, and U.S. Secretary of Homeland Security Jeh Johnson said there was no specific threat against the United States.

"The U.S. and the U.K. are in constant touch to discuss the threats we face and steps we can take separately and together to address them. We're not going to comment on specific new domestic measures the Prime Minister proposed today other than to say we will continue to work together closely in the days, weeks and months ahead," National Security Council spokeswoman Caitlin Hayden said in a written statement Monday.

"For our part the U.S. Government will continue to take vigorous and prudent steps informed by the latest intelligence, building on our established security measures and potentially through additional efforts, both seen and unseen, to combat any terrorist threat," she said.

Read more: Does Britain have a jihadi problem?

Read more: When Americans leave for jihad

Read more: Foreign jihadists tell CNN: Foley beheading was justified

@highlight

United States vows to combat any terrorist threat

@highlight

David Cameron: Work will also be done on measures to stop return of foreign fighters

@highlight

New laws would allow seizure of suspected would-be jihadists' passports at borders

@highlight

Britain hiked its threat to the second-highest level Friday, citing events in Iraq, Syria