The United Nations and the United States are calling for an immediate investigation of Syrian activists' claims that the Bashar al-Assad government used chemical weapons in an attack on civilians.

Anti-regime activist groups in Syria say more than 1,300 people were killed in the attack outside Damascus, many of them women and children. Video footage and witness reports appeared to bolster claims that chemical weapons were used.

President Barack Obama has directed the U.S. intelligence community to urgently gather additional information to try to assess whether chemical weapons were used Wednesday, State Department spokeswoman Jen Psaki said Thursday.

At this time, she said, the United States is unable to "conclusively determine" chemical weapons use, but is focused on trying to nail down the facts, along with its international partners.

Psaki said, as she has before, that if reports of chemical weapons use prove true, the president has a range of options available to him to respond.

Later, a senior defense official told CNN that "the military continues to refine options for Syria to be prepared for whatever the president might request down the line."

Psaki noted that Secretary of State John Kerry spoke by phone Thursday to Syrian opposition leader Ahmad Jarba; U.N. Secretary-General Ban Ki-Moon; and French, Jordanian, Turkish and European Union leaders.

Ban Ki-moon said the alleged incidents Wednesday need to be probed "without delay."

Ban urged a Damascus-based team "to be granted permission and access to swiftly investigate the incident" and the United Nations is sending a formal request to Syria.

"He expects to receive a positive response without delay," his spokesperson said in a statement.

U.N. High Commissioner for Human Rights Navi Pillay said the matter is "of utmost urgency" and the "allegations are exceptionally grave."

Pillay urged both the government and opposition to enable investigators "to examine the site of the alleged attacks without any delay or obfuscation."

"The use of chemical weapons is prohibited under customary international law," she said, noting that the prohibition is binding on the government and rebels.

"Whether or not chemical weapons were in fact used, it seems that once again in Syria many civilians have been killed in flagrant contravention of international law."

U.N. special advisers Adama Dieng and Jennifer Welsh similarly urged immediate access for the U.N. investigation.

"There is never any military justification for the use of chemical weapons -- whether by governments or anti-government armed groups -- given their horrific and indiscriminate impact," they said in a joint statement.

International outrage

Suffering in Syria is clear, but cause and culprits are murky

The reports prompted international outrage, with a U.N. Security Council briefing called late Wednesday to discuss the situation. However, Russia and China -- consistent allies of the Syrian government -- reportedly blocked a formal resolution.

Hours after the closed-door meeting, French Foreign Minister Laurent Fabius told CNN affiliate BFMTV that "a reaction of force must be taken" if the allegations are true.

"If the U.N. Security Council cannot do it, decisions will be made otherwise," Fabius said. But, he said, sending ground troops to Syria is out of question.

Chemical weapons frightful, relatively inexpensive

Fabius also added his voice to calls for a U.N. team currently in Syria to investigate previous claims of chemical weapons use by either side to be given access to the site of the alleged massacre outside Damascus.

If al-Assad's regime "has nothing to reproach itself with," it should let the U.N. weapons inspectors investigate the alleged attack, Fabius said. "If the Syrians refuse, that means they have been caught red-handed," he said.

Turkey urges decisive action

Speaking on a visit to Berlin, Turkish Foreign Minister Ahmet Davutoglu called on the United Nations to act decisively, Turkey's semi-official Anadolu news agency reported.

Davutoglu said "all red lines" have been crossed without the United Nations taking action in Syria and that the body "can't assume an undecisive attitude about chemical weapon attacks" there.

"If the Syrian regime is confident enough, it should allow the U.N. team to investigate (the chemical attack claims) immediately," he added.

Speaking alongside him, German Foreign Minister Guido Westerwelle said the reports from Syria "are serious and, should they be confirmed, outrageous."

He demanded a prompt explanation of the reported chemical weapons use, and also called for the U.N. chemical weapons team to be allowed access.

"I regret that Russia and China have blocked a formal resolution of the Security Council," Westerwelle said.

Al-Assad's government denied the claims on state-run media Wednesday, calling them "completely baseless."

"Everything that has been said is absurd, primitive, illogical and fabricated," said Syrian Information Minister Omran Zoabi on state TV. He said the claim was timed by the opposition to coincide with the U.N team's visit and came as government forces were making gains on all sides against the rebels.

CNN could not immediately verify where or when the videos were recorded, and could not authenticate the number killed or injured.

Israel: World paying lip service

Yuval Steinitz, Israeli Minister of Strategic Affairs, told Israel Radio on Thursday morning that its intelligence assessments indicated that "chemical weapons were used, and they were not used for the first time."

Syria strikes refugee camp in northern Lebanon

He accused the international community of "paying lip service" when it comes to Syria.

"Nothing practical, significant, has been done in the last two years in order to stop the continuing massacre of civilians carried out by the Assad regime," he said. "I think that the investigation of the United Nations is a joke."

The White House said Wednesday that officials were "working urgently to gather additional information." It called for the U.N. team in Syria to be given immediate access to witnesses and affected individuals, and to be allowed to collect evidence unhindered by the government.

"If the Syrian government has nothing to hide and is truly committed to an impartial and credible investigation of chemical weapons use in Syria, it will facilitate the U.N. team's immediate and unfettered access to this site," the statement said.

But U.S. senator and former presidential candidate John McCain was strongly critical of the administration's handling of the situation in an interview with CNN's "New Day" on Thursday.

He said chemical weapons use was "obvious from the pictures when you see the dead bodies of children and women and others stacked up."

McCain said he was "sure and confident" that al-Assad had used chemical weaponry before, and that Barack Obama's failure to act on what the U.S. president had said would be a "red line" had given the Syrian leader a green light to use these weapons again.

McCain called for the United States to take military action from outside Syria's borders to prevent that happening, saying it could "very easily" do what's needed to take out Syrian runways and aircraft and establish a no-fly zone.

Witness: Convulsions, trouble breathing

The Syrian civil war has killed more than 100,000 people and displaced millions, according to the United Nations.

There have been repeated allegations that chemical weapons were being used during the course of the conflict.

The latest alleged attack took place in eastern and western Ghouta, rebel strongholds that the regime has been fighting to take back for more than a year.

Initially, Syrian opposition groups claimed that hundreds were killed Wednesday, but as the day wore on, the number went up -- more than 1,300 people, according to the opposition Local Coordination Committees and the Syrian National Council. The council is an umbrella group of anti-regime activists.

Video posted Wednesday shows people carrying limp bodies, some haphazardly covered in sheets, others splayed, nearly nude, on the floor. A man is on his back, staring blankly upward, his chest convulsing violently. Others hold tissues to their mouth, appearing to gag.

Dr. Abu Said at a field hospital in Sakba, east of Damascus, told CNN how the injured started streaming in shortly after predawn prayers Wednesday. Forty of the 200 people brought to the field hospital died, Said said.

A man who referred to himself as a volunteer first responder, Abu Gazi, said he was with a doctor at a field hospital in Arbeen who reported 300 people dead and 500 wounded.

The symptoms, he said, included unconsciousness, foaming from the nose and mouth, constricted pupils, fast heartbeat and difficulty breathing. People died of asphyxiation, he said.

"The inspectors will not come," said a resident who didn't want his name used. "If they wanted to come, they would have come a long time ago.

"The Assad regime determines where the inspectors go, and they will not let them go there. There is already a siege around eastern Ghouta from the Assad regime."

'Held to account'

Rights group Human Rights Watch also called Wednesday for the U.N. inspection team to be given immediate access to the area.

"Whether or not chemical weapons were used, the attack left a large number of civilians dead, and those responsible for unlawful killings should be held to account," it said.

U.N. children's agency UNICEF said the reports of Wednesday's attack on civilians were deeply disturbing and that those who failed to protect children must be held accountable.

Bashar al-Assad is all smiles on his new Instagram account

Syria's official news agency, SANA, quoted Iranian Foreign Minister Mohammad Javad Zarif on Thursday as saying the rebels must be behind any chemical weapons attack, if confirmed, as "they do not hesitate to commit any crime."

Russian officials, meanwhile, dismissed the claims of chemical weapons as a "provocation planned in advance," Russian Foreign Ministry spokesman Alexander Lukashevich told Interfax news agency. He suggested it was  timed to coincide with the visit by the U.N. team.

@highlight

U.S. military "continues to refine options" says a senior defense official

@highlight

German minister says Russia, China blocked U.N. Security Council resolution

@highlight

Syria is urged to give a U.N. chemical weapons inspection team access to the site

@highlight

Al-Assad government says claims it used chemical weapons are "completely baseless"