Dearborn, Michigan (CNN) -- Muntaha Fleful slowly lifts her arm sleeves, and then her left pant leg. She turns her head toward the white wall and takes a deep breath.

She can't look at her skin, scarred and chapped from the acid thrown on her during an attack by Islamist militia members in Baghdad.

Even worse are the mental scars she lives with daily, as one of perhaps thousands of Iraqi refugees living in the Detroit suburb of Dearborn who suffer from post-traumatic stress disorder, known as PTSD.

Despite the U.S. troop withdrawal from Iraq, refugees continue to flow into America. Many of them, officials say, have suffered primary and secondary trauma. Only a fraction of them seek treatment.

Fleful, a Christian, was leaving her family's Baghdad jewelry store with her nephew in 2004 when four masked men drove down the same road. They struck her with the car, and then proceeded to beat her.

"I was trying to unmask them," she says. "They dropped acid on my body. They tried to burn my face. My flesh was like meat."

An onlooker shot his Kalashnikov into the air to try and scare off the men. Before fleeing, they slashed Fleful's stomach open and left her in the street to die.

Felful received treatment in Iraq and moved to Jordan for several years. The doctors needed to remove her uterus because of complications from her stomach injury. She also had reconstruction on her leg and needed treatment for the acid burns.

She was eventually resettled as a U.S. refugee in 2008. But the memory of that day, she says while wrinkling a tissue in her hand, will stick with her forever.

Her wounds are triggers bringing her back to that day in Baghdad. She relives every moment -- she sees the masks, and feels her skin burning. It is like living the attack all over again -- a classic symptom of PTSD.

"I felt like I was going crazy," Fleful says, shaking her head. "I used to close all the windows and have them locked all the time. I thought the workers from the restaurant upstairs were going to come down and rape me."

Fleful, now 46, was diagnosed with PTSD last year when she was enrolled in a psychosocial rehabilitation program for victims of torture in Macomb, Michigan. The program is run by ACCESS, a community organization dedicated to empowering and enabling individuals and families in the Detroit area.

Fleful's story is similar to others who lived in Iraq throughout the war. For Christians, religious persecutions by Islamist militias were especially common, and the victims were forced to leave their homes. The transition into their new countries, including the United States, only exacerbated the PTSD symptoms.

Fleful is one of an influx of Iraqi refugees and asylum seekers who have come to America. According to the U.S. Citizenship and Immigration Services, America has resettled more than 2,500 Iraqis since March 31 this year alone. Dearborn is home to the largest Arab-American population in the country, many of them from Iraq.

The exact number of Iraqis living in the United States is not clear. The statistic is fogged by the different classifications of foreigners -- asylum seekers, people who have been permanently resettled as refugees and those who are living illegally in the country.

Wars prompt disturbing rise in refugees

Haitham Safo, a lead therapist at ACCESS, says his group serves just over 300 clients, most of whom are Iraqi Chaldean Christians.

Sixty clients suffered direct physical torture, he says, and are now dealing with severe PTSD. Their symptoms include nightmares, insomnia, intense anger, and poor concentration.

Fleful says her most pressing symptom is insomnia. She started receiving medication to help her fall asleep, but she became too dependent on it.

"It became a problem," she says. "I am now trying to slowly go off of the medication. But it's a process."

The 300 clients served by ACCESS are thought to be only a sliver of those suffering from PTSD in the Detroit area. In 2011, Detroit and Wayne County experienced an influx of 3,500 new asylum seekers. The majority of those are Iraqi Chaldeans who are likely suffering mental and emotional effects of trauma. Many of them, however, do not seek services.

"There is a stigma of mental health in the Arab world," Safo says. "There are no such services in Iraq, because people there act like there is no mental health (issues) in Iraq. At ACCESS we try to help them find meaning for new life, new goals."

Husam Abdulkhaleq, program manager at the ACCESS rehabilitation center, says PTSD is more widespread than many realize -- that thousands are suffering and will continue to suffer as they are resettled in upcoming years.

The next immediate concern for ACCESS, he says, will be the additional influx of refugees affected by the Syrian conflict.

Ronald Munia, director of the division of refugee services at the federal Office of Refugee Resettlement, says his organization has consistently funded ACCESS over the past five years because it understands the need to address the demand for mental health services among the refugee population in Michigan.

"These people are facing challenges that normal Americans do not. They have been uprooted, and they didn't have a choice," he says.

Soccer helping young refugees find footing in U.S.

ACCESS is now in its second year of funding of a three-year grant from ORR. They receive $175,000 for what ORR has dubbed an "ethnic" grant.

According to the ORR website, the grant ACCESS receives is designed to provide "refugee populations with critical services to assist them in becoming integrated members of American society." But in addition, ACCESS receives an additional $250,000 dedicated solely to helping survivors of torture like Fleful.

For Fleful, daily life in Michigan is far removed from Iraq. She spends most of her days in the house, watching TV and preparing meals for herself. She does not work because she cannot speak English and finds it difficult to interact with the community around her. She spends days, sometimes even weeks, alone.

Her brother lives just a few miles down the road, she says, but she never sees him because he too is suffering from PTSD.

"I don't want to hear about any more trauma or anyone else dying," she says. "It hurts too much. But I can't forget what happened to me."

@highlight

Muntaha Fleful was injured in a 2004 attack in Iraq

@highlight

Now in the United States, Fleful struggles with post-traumatic stress disorder

@highlight

Dearborn is home to the nation's largest Arab-American population, including Iraqis

@highlight

A stigma surrounds seeking mental health treatment in the Arab world, a counselor says