(CNN)  -- In the country that ranks second in the harvest of coca, the plant whose leaves are used in the production of cocaine, the idea to get Peruvian farmers to plant alternative crops is not new.

Traditionally, the idea has been met with criticism -- why would growers switch to crops that bring less income, economists ask -- but may have finally found a foothold in Peru, thanks to the success of a growing industry in cacao beans, used in the production of chocolate.

In the upper Peruvian Amazon forest, in the north-central region of San Martin, cacao has become a hit, eclipsing the allure of growing coca.

"Some 99 percent of the producers in Tocache were dedicated to producing coca," said Mario Cavero, of the Tocache Agroindustrial Cooperative.

Now, he said, it is cacao that has become "a very strong engine of growth."

The transformation was the result of years of programs, backed by the U.S. Agency for International Development, which appear to have paid off. In October, the Tocache Agroindustrial Cooperative, located in the San Martin region, won a prestigious award from the Salon du Chocolat in Paris for the most aromatic cacao beans, beating competitors from Ecuador, Venezuela and Trinidad and Tobago.

The distinction is bringing even more attention to the region locally and abroad, as first reported by Time Magazine this month.

The shift from coca to cacao is significant in a country that has supplied so much coca to international drug trafficking organizations that turn the leaves into cocaine to be smuggled north to the United States and elsewhere.

"The province of Tocache is one that suffered many years of terrorism and narcotrafficking," Cavero said. "I think now our country is heading on a good route."

There is much room to grow, he added.

Already between 2006 and 2009, exports of cacao beans increased from 16 metric tons to 250 metric tons.

Cavero estimated that export figure will reach 600 metric tons this year, and even more in the years ahead.

Peruvian exports of cacao products were almost $67 million in 2009, according to an association of cacao growers, most of it going to European chocolate makers.

Part of the reason for the switch, Cavero said, are the high prices that cacao sells for. He wouldn't speculate whether cacao beans pay more than coca production, but he noted other benefits, such as security and access to legal markets, that helped make cacao a winner in the area.

But is the success enough to turn Peru away from coca for good?

"Undoubtedly there have been some successes, but it's not going to resolve the coca problem," said economist Hugo Cabieses.

Cacao has become the star alternative crop in the San Martin region, but in other areas where coca grows, like the Apurimac River Valley in south-central Peru, cacao has not caught on in the same way.

There are high-quality beans that can be cultivated in many parts of Peru, Cabieses said, but in most cases it is difficult to transport to markets in Peru and abroad.

In the same way that some feel secure by trading coca production for cacao, growers in areas with a stronger presence of traffickers can be intimidated into continuing with coca production, he said.

Unlike the north, in southern Peru, coca fields greatly outnumber cacao fields.

"Unfortunately, coca continues to be No. 1 in the valley of the Apurimac River," Cabieses said.

Meanwhile, production in Peru in the subsequent steps in drug production, such as processing the coca leaves into cocaine paste and then into cocaine hydrochloride, have increased in recent years, he said.

Peru also remains the second largest producer of coca in the world, behind Colombia.

The bottom line, according to Dan Cilo, who sells Peruvian-made chocolate in the Washington area, is "that whole region of San Martin and Tarapoto used to grow a lot of coca. Now it grows a lot of cacao."

Cilo, owner of Peruvian Chocolates, buys his product from a factory that makes the chocolate in San Martin, the same place where the raw materials are.

The success of the San Martin region shows that if governments spent more time nourishing alternative development instead of crop eradication, change can come, according to supporters of such programs.

"This can be replicated in other parts of the country," Cilo said.

And, supporters hope, to other major coca-producing countries.

@highlight

Cacao beans can be a better crop than coca plants for farmers, some say

@highlight

Cacao "a very strong engine of growth" in upper Peruvian Amazon forest

@highlight

Chocolate industry can provide a legal and safe source of income, backers say

@highlight

Peru remains second largest producer of coca in the world