(CNN) -- Ten years ago this month, I stood on the U.S. Senate floor as our nation's leaders debated the first major anti-terrorism legislation after the tragic attacks of September 11. This legislation, which quickly passed Congress and became law, would allow the federal government, for the first time, to easily spy and collect data on innocent Americans.

This law, the poorly named USA Patriot Act, and subsequent expansions of federal law enforcement power, would erode America's freedoms and waste precious resources. Patriotism is about defending America's moral character and celebrating what makes this country great. Unfortunately, this bad law did the exact opposite.

I was an adviser to Sen. Russ Feingold, D-Wisconsin, the only senator who voted against that law. Fear and anxiety was abundant in the halls of Congress in those early days and weeks, and understandably so. My colleagues and I had experienced two terror attacks in one month -- first the September 11 attacks and then the anthrax mailings that forced many Senate employees, including myself, to take potent medication for weeks and closed an entire Senate office building for three months while it was fumigated. Washington would be on edge for months to come.

I know what it feels like to be worried about safety. But I also know that we lose when our nation changes its fundamental character, when neighbors no longer trust neighbors and when government wastes precious resources. That is why I want my government targeting actual threats, not innocent Americans.

During the last decade, Muslim Advocates has found the FBI has increasingly focused its powers on law-abiding citizens, not based on criminal behavior, but based on race, ethnicity and religious or political beliefs. Our report, Losing Liberty: The State of Freedom Ten Years After the Patriot Act" found, and the ACLU has also reported, that the FBI targeted entire communities, specifically Muslims, Arabs, South Asians and Middle Easterners, sowing fear and mistrust among all Americans.

So where are we 10 years later? Today, the FBI can show up at your work, unannounced, to interrogate you about an article on political events you post on Facebook, or seize information about your phone calls, e-mails, internet activity and medical and banking records -- all without a shred of evidence that you've engaged in criminal activity. Government agents can stop and interrogate you at the border as you seek to re-enter the United States, asking questions like "Do you pray?" "What mosque do you attend?" or "Why did you convert?" Donating $100 to a charity to help the needy can lead to questions simply because it is a Muslim-run charity.

Today, it is difficult to find an American Muslim who has not had one of these encounters with law enforcement, or knows someone who has. But it's not just the Muslim community.  Journalists, professors, and anti-war activists have been targeted for surveillance, questioning and sometimes investigations by law enforcement based on their speech or political beliefs and activities.

Little is publicly known about the full scope of the FBI's activities. Much of it is shrouded in secrecy. But we do know that, according to one former senior FBI counterterrorism official, the FBI conducted nearly 500,000 interviews of Muslim and Arab males from 2001-2005, and not a single one of those interviews led to information that would have allowed the government to detect or prevent the 9/11 attacks. Think about that: For every hour an agent spent talking to someone who had nothing to do with terrorism, that was one hour less spent tracking down a real threat, in this case at least 500,000 hours in four years alone not spent on actual criminals.

We also know that the FBI has trained its agents that growing a beard, frequently attending a mosque or wearing traditional Muslim attire reveal extremism. This ignores that the 19 hijackers never grew beards or wore traditional Muslim attire while in the United States and that certain individuals, such as Faisal Shahzad and Colleen LaRose, never frequented a mosque.

The FBI should be focused on evidence of criminal activity, not targeting law-abiding Americans. This is not the America our founders envisioned, and certainly not the beacon of liberty our nation aspires to be. America is at its best when we overcome fear and face our challenges together as one people, one nation.

On this 10-year anniversary of the Patriot Act, it is time for Congress to act with courage. Congress should amend the law to require law enforcement to focus on actual threats, and should conduct a full public accounting of the use of the Patriot Act and all federal surveillance powers that target Americans based on their race, faith or political ideology.

The opinions in this commentary are solely those of Farhana Khera.

@highlight

Farhana Khera: Patriot Act allows federal government to spy on innocent Americans

@highlight

For 10 years, she says, FBI has targeted citizens based on race, faith, and politics

@highlight

Khera: FBI can question you about a Facebook post, or spy on your emails, internet, records

@highlight

Act erodes freedoms, sows fear and mistrust, and needs to be changed, she says