(CNN) -- A room with a commanding view demands attention. Some of the world's most desirable lodgings are clifftop aeries that transport guests far above the fray, affording unobstructed panoramic views and an unparalleled sense of privacy without the feeling of total isolation.

Cliff dwellings have historically offered attributes that lowland abodes can't match. As far back as A.D. 600, the Anasazi people, who once lived in what is now the American Southwest, built precipitously high in the sandstone cliffs -- likely for protection from enemies. In medieval times, as barbarian hordes wreaked havoc across Europe, monastery towns perched high up on the Amalfi Coast afforded excellent vantage points from which to observe the gathering militias. (Today the cliffs are more likely to attract armies of jet-setting moguls.) In peaceful times, a clear view from high atop a cliff was deemed spiritual, bringing pilgrims closer to God.

Departures: Stunning hotel dining room views

There is also something utterly romantic about waking up to uninterrupted ocean views, especially when the waters in question are as captivating as the ones surrounding our seven choices. Nothing beats the bird's-eye perspective one gets when admiring the vast Indian Ocean from 1,000 feet above at the Bulgari Resort in Uluwatu, Bali, or the moody Bay of Naples, 1,000 feet below the Caesar Augustus in Capri. Rarefied air, indeed.

Hotel Caruso Belvedere, Amalfi Coast

Breathtaking views were not what the founding fathers of Ravello, on the Amalfi Coast, had in mind: The town was hacked from the cliff during the fifth century to protect its citizenry from barbarian hordes. Perched on the Monti Lattari mountain range, Hotel Caruso Belvedere takes in picture-postcard Mediterranean views of the city of Salerno and Amalfi Bay, a sheer 1,150 feet below. Walking paths connect the hotel to the seaside town of Amalfi, and (fortunately) a free shuttle is available for the uphill climb. Rooms, from $852 (includes breakfast, lunch or dinner); 2 Piazza San Giovanni del Toro; 39-089/858-801.

Departures: 10 stunning hotel penthouses

Aman Resorts Amankila, Bali

A three-tiered pool that echoes the region's rice paddies forms an extraordinary centerpiece at Amankila, the iconic resort that architect Edward Tuttle designed to take in the full splendor of the Lombok Strait. A paved path descends 75 feet from the hotel to the beach club, which features a 134-foot lap pool set amid a grove of coconut palms and shaded by a giant frangipani tree. Even the library maximizes the dramatic setting, with floor-to-ceiling windows overlooking the top tier of the main pool. Suites, from $950; 62-363/41333.

Birkenhead House, Hermanus, South Africa

The unassuming exterior of Birkenhead House, just 100 miles southeast of Cape Town, conceals a hotel built around a central pool that cascades down to the clifftop restaurant and plunge pool. Though the cliff itself isn't particularly high, staying here is like having dress-circle seats to the best show in town: the region's most idyllic swimming beaches, VoÃ«lklip and Kamma Bay, are home to calving whales from June till November. At the base of the cliff, a six-mile path from Birkenhead House leads into town, and the hotel offers a shuttle for the return trip. Rooms, from $520 a person (includes all meals); 11th St. and Seventh Ave.; 27-28/314-8000.

Bulgari Resort Uluwatu, Bali

The Italian luxury house's second resort, located on the rugged Bukit Peninsula at the southern tip of Bali, in an area that was once royal hunting grounds, makes the most of its drop-dead-gorgeous location. From nearly every point -- the glamorous, ultra-private suites tucked into the terraced hillside; the elegant Sangkar restaurant; the vast horizon pool and spa -- guests are treated to unforgettable vistas of the Indian Ocean. A glass elevator makes the 500-foot journey down the cliff face, stopping off at La Spiaggia restaurant and the Beach Club. The mile-long beach cannot be accessed by land or sea (a reef prevents boats from mooring), which makes for the ultimate secluded cove. The only visitors you're likely to encounter are friendly dolphins. Villas, from $1,000; 62-361/847-1000.

Departures: World's most opulent villas

The Caves, Negril, Jamaica

At the westernmost tip of Jamaica rises the honeycombed cliff of natural limestone caves after which this hotel is named. The 12 villas are built into the rock shelf with expansive views over the impossibly blue Caribbean Sea, facing west to absorb Jamaica's flamboyant sunsets. Some villas have steps leading down to swimming platforms, and jumping platforms offer braver guests the chance to take the plunge from 30 feet up. Rooms, from $385; Lighthouse Rd.; 800-688-7678.

The Chanler, Newport, Rhode Island

The wealthy industrialists who populated Bellevue Avenue in Newport no doubt appreciated the sea breezes and views, but it was their vast employee base that really took in the panoramic splendor. Staff members weren't allowed on the main street, so the three-and-a-half-mile-long Cliff Walk (which backs the mansions) was developed as a servant path. The only hotel on this storied footpath is The Chanler, a Civil War-era mansion built by former New York congressman John Winthrop Chanler. Gourmet meals at the hotel's Spiced Pear restaurant come with a side dish of attention-grabbing Atlantic Ocean vistas, while breakfast on the terrace offers a sweeping panorama of Easton's Beach and a daily parade of runners soaking in the million-dollar views. Rooms, from $489; 117 Memorial Blvd.; 866-793-5664.

Caesar Augustus, Capri

Perched 1,000 feet above the Bay of Naples, the Caesar Augustus is situated on the side of Mount Solaro in Anacapri, a small hamlet located at the end of a 15-minute drive up a vertiginous mountain road, typically negotiated by convertible taxi. Almost every nook and cranny of the hotel offers sweeping water views, with the tiny town of Sorrento and, on a clear day, Mount Vesuvius, visible just 20 miles north. Reserve a poolside table on the Lucullo Terrace for a candlelit dinner with the Bay of Naples at your feet. Rooms, from $589 (with double occupancy); 4 Via G. Orlandi; 39-081/837-3395.

Departures: See three more stunning clifftop hotels

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

A tiered pool that echoes Bali's rice paddies forms a stunning centerpiece at Amankila

@highlight

The Caves in Jamaica is built into the rock shelf with views over the Caribbean Sea

@highlight

The Chanler in Newport, Rhode Island, is housed in a Civil War-era mansion