(CNN) -- Ever wanted your own island? This one is a veritable bargain if you have a spare $2.5 million in the bank.

With $1.5 million already knocked off the asking price, Ailsa Craig admittedly does come with a certain amount of baggage.

The Scottish island once housed a prison before acting as a warning beacon for passing ships -- its lighthouse had a keeper until it became automated in 1990.

In fact, no-one lives there anymore, though it is home to thousands of gannets and an increasing number of puffins, introduced to cull an infestation of rats.

The upside is that any prospective buyer guarantees themselves a place in Winter Olympics history thanks to the island's unique rock, which is used to make the world's leading curling stones, including all of the 64 in action at this month's Games in Sochi.

"As far as I know, there's nowhere else on the planet with granite like it," says Bill Hunter, factory manager at Kays of Scotland, which has exclusive rights to harvest it.

"It's just a natural phenomenon."

The island's sole export has had its fair share of drama over the years. At the 2002 Winter Olympics in Turin, one stone in particular became dubbed "the stone of destiny" -- its mystique further enhanced by its current position residing on a pedestal within a glass case of a Scottish museum.

With the last stone of the final end of the Olympic final, Scottish housewife Rhona Martin slid Great Britain to gold, a rare Games success for the nation and its first gold for 18 years.

Four years on, Martin failed to get her team out of the group stages but the final was no less dramatic as Sweden captain Anette Norberg proved victorious with an extra end and a tricky double takeout for the win with her last stone.

Last time around in Vancouver in 2010, the women's final reached another climax as Sweden once more won, coming back from 6-4 to win 7-6 when Canadian captain Cheryl Bernard fluffed her final stone.

Every one of those can lay claim to being a stone of destiny, and remarkably all of them originate from exactly the same pocket of Ailsa Craig, a 220-acre island 10 miles from mainland Scotland.

The name literally translates as fairy rock, but is locally known as Paddy's milestone -- being situated in the Firth of Forth virtually equidistant on the boat journey from Glasgow to Belfast.

Created by a volcanic plug of a volcano that was last active 500 million years ago, it was once a haven for Catholics during the 16th-century Reformation, a time when a castle was built there to defend against a possible Spanish invasion.

Curling is not its only claim to sporting fame. You can see it in the distance from the Turnberry golf course, which last hosted the British Open in 2009 -- when American Stewart Cink denied countryman Tom Watson the chance to win a sixth Open 26 years after his last and at the age of 59.

There are some provisos in buying the island.

As well as the lighthouse, the Royal Society for the Protection of Birds has a bird sanctuary leased until 2050. There is also one other home on the island -- a rundown property bought a few years ago by a man from India -- and the issue of the quarried stone.

For Â£26,000 ($43,000) a year, the current owners -- Archibald Kennedy and the eighth Marquess of Ailsa -- allow large slabs of rock to be removed to make the world's finest curling stones.

The Sochi batch was extracted back in 2001, and the next 2,000-ton excavation did not happen until last year.

The island's stone has a market advantage because it does not contain much quartz, says Hunter, and it does have riebeckite -- a combination that means the stones won't break up in competition conditions.

"As a result it will last you a very long time, a lifetime in fact if you look after it like a baby," Hunter explains.

"I wouldn't say we put in more effort with the Sochi stones but we probably double-checked things even more -- maybe an extra 1-2% to make sure it was just right."

The curling stones used in Sochi are made of two types of granite: Ailsa Craig common green and blue hone. The green makes up the main body of the stone, with blue filling the middle and providing the base.

"Blue hone is the hardest granite in the world and it won't wear and tear -- that's the objective," Hunter says. "It will certainly last for many, many years."

The only other place that granite is quarried for curling is North Wales, using trefor, which comes in blue/gray and red/brown shades, and is commonly found in competitions in Canada. It is still an active quarry where blasting is allowed, a process banned on Ailsa Craig due to its bird sanctuary.

Following the latest excavation, however, Kays believes it now has enough granite to meet demand until 2020.

And regardless of who purchases the island, a lease is in place ensuring that Kays can continue to meet the demands of the World Curling Federation.

As things stand, curling's very long-term future looks likely to rest in the hands of a nature conservation body, which wants to remain nameless but has tabled an offer for Ailsa Craig.

Farhad Vladi, who runs Vladi Private Islands in Hamburg, Germany, the world's leading private island broker, has tried to use Ailsa Craig's sporting past as a major selling point to prospective buyers.

"How many islands can boast its own Olympic gold medal?" he asks.

As for the future stone production in the very long-term, he adds: "This discussion is ongoing at the moment with the group looking to buy it. Obviously it's very special stone and it's a chance of an income of about Â£30,000 a year to the owner."

No other buyers look immediately on the horizon -- the World Curling Federation told CNN it will not make a bid.

Other wealthy curling fanatics could yet enter the fray, but whatever the outcome, Ailsa Craig will play a key role on the Sochi ice -- with or without another stone of destiny.

@highlight

An island 10 miles off Scotland is the sole place to supply Olympic curling stones

@highlight

It has provided each and every stone for all the climactic finishes to recent Olympics

@highlight

The island is for sale for anyone with a cool $2.5 million to spare

@highlight

Nature conservation group has tabled an offer to buy it from the Marquess of Ailsa Craig