(CNN) -- "Even if you know the way," an ancient Korean proverb advises, "ask one more time."

If North Korea's latest cycle of misdeeds, followed by international censure, followed by menacing words out of Pyongyang has a familiar ring to it, it is because this behavior has become a fixture of the accordion-like rhythm of Northeast Asian security. But a familiar path is not the same thing as a prudent one. It would be a mistake to let North Korea's young leader think he has inherited the family license to provoke with immunity.

Let's briefly retrace the recent cycle of provocation, sanction and threat.

On December 12, North Korea successfully launched a three-stage Unha-3 rocket. Although an Earth observation satellite (Shining Star-3) was placed into orbit, the ostensibly peaceful launch simultaneously advanced the North's long-range missile program that would put U.S. territory into target range. The triumphant launch came eight months after a similar rocket shattered over the Yellow Sea. Unha-3 can reach at least Guam now and most likely will be able to reach Alaska and Hawaii and the West Coast of the continental United States within the coming year or two. Adding a workable nuclear warhead will take a bit longer, perhaps three or more years, based on available information.

The launch also delivered a success on the first anniversary of Kim Jong Il's death, conferring precious credibility on Kim Jong Un's fledgling regime.

On January 22, the United Nations Security Council unanimously passed Resolution 2087. The resolution strengthens existing sanctions, curbing the travel and potentially the finances of the agencies and senior officials responsible for the rocket launch. Resolution 2087 marks a proportionate response to a specific infraction, as the April and December rocket launches violated previous Security Council resolutions enacted after the North's 2006 and 2009 nuclear tests.

The latest resolution leaves open a diplomatic path. It encourages North Korea to rejoin Six Party Talks with China, Russia, South Korea, Japan and the United States, aimed at realizing Pyongyang's official pledge of September 19, 2005, to move toward total denuclearization. But the U.N. measure also signals a "significant determination" to impose harsher measures in the event of a third nuclear test.

Pyongyang's verbal reaction to sanctions has been swift and purposeful. Declaring sanctions to be tantamount to "a declaration of war," North Korea is threatening further missile and nuclear tests. Invective is conveniently aimed at the North's "sworn enemy" the United States, as the Obama administration transitions its national security team for a second term.

Just as South Korean President-elect Park Geun-hye seeks to instigate a more peaceful inter-Korean relationship, the North Korean regime appears to quash that initiative before it gets off the ground. Kim Jong Un himself may be threatened by the mere prospect of a summit with South Korea's Iron Lady.

Seoul's economic prosperity and strong democratic institutions stand in stark contrast to those of North Korea, which appears incapable of abandoning its stereotypical ways, including the economic dead-end of a military-first policy.

Despite a well-trodden history of provocation, sanction and threat, the North's latest threats should not be sloughed off as insignificant. North Korea's next nuclear test may well pave the way for a sizeable expansion of its nuclear arsenal.

If its clandestine uranium-enrichment program has made strides, Pyongyang could demonstrate that it will gain access to a far larger pool of fissile material than simply its limited supply of weapons-grade plutonium. A larger pool of fissile material is a dual threat: As a vital part of an expanded nuclear weapon program and as a commodity to be sold on the black market.

Beyond the obvious goal of regime survival, burgeoning nuclear and missile programs may be changing North Korea's tolerance for risk. In the space of a year, Kim Jong Un has struck a nuclear and missile moratorium with the United States (the so-called "Leap Day" deal), quickly abandoned that agreement, launched two long-range rockets in contravention of international law, and now is prepared for a third nuclear test at the Punggye-ri nuclear test facility in the northeast.

Nuclear test number three could be conducted any time, from the next few days to the coming weeks or months. With a successful test, Pyongyang could in effect proclaim itself invulnerable, above the law, a nuclear-weapon state immune from international action. To allow such a misconception to become deeply engrained in the psyche of a leader not thought to be yet 30 years of age would be a grave mistake.

At some point, a leaky defensive containment policy reaches a tipping point when the penalties of continuing it outweigh the gains of preserving it. Thus, the familiar path eventually becomes the wrong one.

The world should be close to reaching that conclusion, and North Korea should begin to wonder when its luck will run out and it conducts one provocation too many. Above all else, the United States and its allies and partners need to fashion more offensive policy tools that exact steeper penalties for North Korean transgressions.

Shifting from defensive to offensive containment requires the United States, South Korea and Japan to augment their defensive posture, through improved and more integrated intelligence, surveillance and reconnaissance.

Japanese and South Korean space launches may indicate such steps are under way. In the event of a nuclear test, these steps should include the procurement and deployment of the latest ballistic missile defenses. Additional steps can be taken to reinforce the North-South maritime border west of the peninsula, the Northern Limit Line that was the site of both armed clashes in 2010, and the general state of readiness for a range of provocations.

Beyond military steps, however, there needs to be corresponding legal, economic, political and social consequences for the North's leadership. While stopping far short of seeking regime change in North Korea, the United States, South Korea and others could help flood North Korea with radio and electronic information.

For instance, it could begin by letting North Koreans know about the costs of its military-first extravagances. It could also let more North Koreans know about some of the extensive foreign financial holdings of the North Korean leadership. Last week, North Korea's official news agency opined that, "A nuclear test is what the people demand." If it's popular sentiment that the North wants to satisfy (given the supposed indigenous demand for a nuclear test), then the world ought to oblige North Koreans by providing information censored by the regime that could prompt different types of popular demands.

Because escalatory steps must eventually either climb back down or lead to war, there should be a continuing willingness to talk with North Korea and, should it ever shift tack and commit responsible acts, the United States and its allies should be prepared to reward those acts with more fruitful exchanges and assistance. One aim of offensive containment is to move China from talking about pressure on North Korea to taking effective action to rein in its ally.

Admittedly, these steps are probably bolder than what is currently in fashion in Washington or Seoul. Some officials may feel paralyzed. Perhaps they believe that even a deteriorating status quo is preferable to a heightened risk of sudden change. But sudden change is not foreordained by getting tougher, whereas certain changeâ€”more fissile material, more potential nuclear and missile know-how that can be sold under our noses to the bidders in the tumultuous Middle East and even to al Qaeda terrorist cellsâ€”becomes more likely every day North Korea moves forward with its mass-destruction technologies.

In sum, although North Korea is taking the world down a familiar path, key officials need to ask anew whether the familiar path is still the best one.

The opinions expressed in this commentary are solely those of Patrick M. Cronin.

@highlight

North Korea has threatened more missile and nuclear tests

@highlight

Patrick Cronin says the threats came in response to reasonable sanctions imposed on N. Korea

@highlight

He says it may be prudent to show N. Korea that such provocations won't succeed