New York (CNN) -- The federal government moved Thursday to seize assets belonging to the Alavi Foundation and the Assa Corp., including a Manhattan skyscraper and four mosques, citing alleged links to the Iranian government.

Preet Bharara, the U.S. attorney for the Southern District of New York, announced Thursday's filing of an amended civil complaint seeking forfeiture of the Alavi Foundation's interest in the 36-story office tower located on Fifth Avenue in Midtown Manhattan.

The tower is owned by 650 Fifth Avenue Company, a partnership between the Alavi Foundation and Assa Corp., the Justice Department said. The amended complaint alleges that the Alavi Foundation provided services to the Iranian government and transferred money from 650 Fifth Avenue Company to Bank Melli, Iran's largest state-owned financial entity.

U.S. and European Union officials last year designated Bank Melli as a proliferator for supporting Iran's nuclear and ballistic missile programs and funneling money to the Revolutionary Guard and Quds Force, considered terrorist groups by the United States.

Bank Melli issued a statement last year denying involvement in any deceptive banking practices.

Thursday's amended complaint seeks forfeiture of all assets of the Alavi Foundation and Assa Corp., including bank accounts owned by 650 Fifth Avenue Company, the Alavi Foundation and Assa Corp.; and properties owned by the foundation in New York, Maryland, Virginia, Texas and California.

It alleges that the properties were "involved in and [were] the proceeds of money laundering offenses," and that the owners violated the International Emergency Economic Powers Act, executive orders and U.S. Department of Treasury regulations.

"As today's complaint alleges in great detail, the Alavi Foundation has effectively been a front for the government of Iran," Bharara said. "For two decades, the Alavi Foundation's affairs have been directed by various Iranian officials, including Iranian ambassadors to the United Nations, in violation of a series of American laws. The Alavi Foundation's former president remains under investigation for alleged obstruction of justice, and both the criminal and civil investigations are ongoing."

John Winter, a New York lawyer representing the Alavi Foundation, said his client would challenge the complaint. "We're obviously disappointed that the government brought this action because we have been cooperating with the government since this investigation began about a year ago and we intend to litigate this matter," he said in a telephone interview.

"It may take some time, but at the end of this litigation, we're of the mind that we're going to prevail here."

The buildings remained open and were continuing to operate as usual.

"There are no allegations of any wrongdoing on the part of any of these tenants or occupants," said Yusill Scribner, a spokesman for the U.S. Attorney's Office for the Southern District of New York in a written statement. "The tenants and occupants remain free to use the properties as they have before today's filing."

According to the complaint, the New York tower was built in the 1970s by a nonprofit organization operated by the Shah of Iran to pursue the country's charitable interests in the United States. Bank Melli financed its construction in prime real estate near Rockefeller Center.

In 1979, after the Iranian revolution, the Islamic Republic of Iran established the Bonyad Mostazafan of New York, since renamed the Alavi Foundation, to take possession of and manage property it had expropriated from the former government, including the Fifth Avenue building.

Calls to the Iranian Mission were not immediately returned.

The mosques are in New York, Maryland, California and Texas.

At the Islamic Institute of New York in Queens, two worshipers said they found out about the move Thursday as they arrived for evening prayers. The front page of the court document stating the terms of the case was tacked to the front door accompanied by a letter from the U.S. Attorney's office to the Mostazafan Foundation.

A senior Justice Department official, trying to blunt any criticism from Muslim groups, told reporters that the government is moving against the Iranian landlords of the buildings, not targeting or "seizing mosques" as religious-oriented facilities. The mosques just happen to be among the tenants of the buildings in question, the official said.

But, in a statement, the Council on American-Islamic Relations called the move unprecedented and said it may have First Amendment implications.

"Whatever the details of the government's case against the owners of the mosques, as a civil rights organization we are concerned that the seizure of American houses of worship could have a chilling effect on the religious freedom of citizens of all faiths and may send a negative message to Muslims worldwide," said CAIR National Communications Director Ibrahim Hooper.

He said the move comes at a bad time, given the community's fear of a backlash resulting from a Muslim psychiatrist being charged in the deadly shooting spree at Fort Hood in Texas.

Relations between Iran and much of the international community have been tense in recent years over Iran's nuclear ambitions. Iran states that it wants to develop its nuclear program solely for peaceful purposes; the United States and a number of other countries have said they suspect the oil-rich nation is pursuing a nuclear bomb.

In another U.S.-Iran development, President Obama said Thursday in a letter to Congress that the national emergency with respect to Iran that was declared in 1979 during the Iranian revolution has not ended.

"Our relations with Iran have not yet returned to normal, and the process of implementing the January 19, 1981, agreements with Iran is still under way," Obama wrote in an official "notice of continuation" required to extend the emergency status with Iran beyond the anniversary date of November 14. "For these reasons, I have determined that it is necessary to continue the national emergency declared on November 14, 1979, with respect to Iran, beyond November 14, 2009."

CNN's Terry Frieden, Brian Todd, Deb Feyerick, Eddie DeMarche and Ross Levitt contributed to this story.

@highlight

Alavi Foundation, Assa Corp. accused of transferring money to Iran

@highlight

U.S. Attorney: "Alavi Foundation has effectively been a front for the government of Iran"

@highlight

Companies own 3 mosques, have interest in New York skyscraper

@highlight

U.S. wants company to forfeit the mosques and skyscraper