London (CNN) -- Rupert Murdoch's media empire suffered a double blow Wednesday as Prime Minister David Cameron launched a wide-ranging investigation into the British press and Murdoch's News Corp. withdrew its bid to take over British satellite broadcaster BSkyB.

The moves came in the wake of public and political fury at allegations that journalists working for Murdoch illegally eavesdropped on phone messages of thousands of people and bribed police.

Cameron blasted Murdoch's company Wednesday as he launched the high-powered investigation.

News Corp. executives need to focus not on taking over BSkyB, "but on clearing up the mess and getting their house in order," Cameron said.

He welcomed the withdrawal of the bid, which came hours before lawmakers voted across party lines to pass a symbolic measure urging Murdoch to give up his effort to take full ownership of the broadcaster, in which he already owns a controlling stake.

"It's the right decision (for the company), but also for the country," Cameron said. "Now we've got to get on with the work of the police investigation and the public inquiry that I set up today."

"It has become clear that it is too difficult to progress in this climate," News Corp. Deputy Chairman Chase Carey said in announcing the company would end its attempt to increase its 39.1% share in BSkyB.

Opposition leader Ed Miliband of the Labour party -- who pushed the vote against the takeover -- welcomed the News Corp. decision and said it would not have happened had lawmakers not pressured Murdoch.

"The will of politicians was clear, the will of the public was clear, and now Britain's most powerful media owner has had to bend to that will," said Miliband, speaking as politicians rowdily debated the measure in the House of Commons.

Former Prime Minister Gordon Brown, whose family's private records are alleged to have been obtained by News International newspapers, said it was vital to maintain the right to a free press and the public's right to information.

But, he said, staff at News International, a subsidiary of News Corp., took freedom of the press as a license for abuse and then "cynically manipulated our support of that vital freedom as their justification and then callously used the defense of a free press as the banner under which they marched in step, I say, with members of the criminal underworld."

This "criminal media nexus" claimed to be on the side of the law-abiding citizen but was, instead, "standing side by side with criminals against our citizens."

The criminality was "not the misconduct of a few rogues or a few freelancers," but was carried out "often on an industrial scale -- at its worst dependent on links with the British criminal underworld."

Brown also defended himself against assertions that his government had done too little to pursue claims of misconduct at News International, saying its relationship with the company was "neither cozy nor comfortable."

The longstanding role of the press as a force for freedom has been subverted, he said. "When it has held in contempt not only basic standards of legality but basic standards of decency too; when it has replaced freedom with license; when it has wielded power without ever having been elected to do so; and when it has regarded itself as not only above the law but above the elected institutions of our country, then all concerned people in this House should be able to see that what should be our greatest defense against the abuse of power has itself become an intolerable abuser of power."

John Whittingdale, chairman of Parliament's Culture, Media and Sport Committee, said he did not know whether Rupert Murdoch, his son James and former News of the World editor Rebekah Brooks would testify at a hearing next Tuesday as requested.

"Senior executives" of Murdoch's British newspaper company "will cooperate," News International has said in a statement, without specifying who.

If the Murdochs do not answer the summons, they "will effectively have said goodbye to Britain," Labour lawmaker Chris Bryant told CNN Wednesday.

Rupert Murdoch will be "forever tarred" by his association with the scandal, Whittingdale said.

But he warned against vilifying the press in general. "It was not just newspapers that were responsible for these clearly unacceptable and often illegal activities; it was also newspapers who exposed them," he said. "A free press is an absolute fundamental cornerstone of a free society and we must not do anything to jeopardize that."

In announcing the public inquiry into press practices and ethics, Cameron said anyone "found guilty of wrongdoing -- or of allowing it -- must not only be brought to justice, they must also have no future role in the running of a media company in our country."

The judge leading the inquiry will be able to summon witnesses, including newspaper owners, and compel them to testify in public, under oath, Cameron announced.

The aim is to "bring this ugly chapter to a close and ensure that nothing like it ever happens again," the prime minister said.

Murdoch's company needs "root and branch change," Cameron said in the wake of the accusation that victims of phone hacking included a missing 13-year-old girl, Milly Dowler, who was later found to have been murdered.

Cameron met with the girl's family Wednesday. Miliband and Deputy Prime Minister Nick Clegg met with them separately earlier in the week.

The Dowlers are "delighted" by the launch of the judge-led investigation and pleased that politicians across the spectrum are working together on the issue, the family's lawyer, Mark Lewis, said after the meeting with Cameron.

The investigation will look at whether News Corp.'s British subsidiary, News International, or other newspaper groups broke the law, their relations with the police and politicians and press ethics and practices, Cameron said.

Miliband hammered Cameron for having hired a former top News International journalist to be his communications director after the editor left his newspaper, News of the World, in the wake of one of its journalists going to prison over phone hacking.

The editor, Andy Coulson, insisted he knew nothing about the crime but resigned from News of the World because it happened on his watch. Coulson resigned as Cameron's spokesman this year when the scandal blew up afresh.

Cameron said if Coulson lied about what he knew, he should end up in court.

"If I was lied to, if the police were lied to, if the select committee were lied to, it would be a matter of deep regret and a matter for a criminal prosecution," Cameron said. "But we must make sure that we judge people as innocent until proven guilty."

Condemnation of Murdoch came from many British politicians a day after a senior American senator warned that any Murdoch journalists who illegally eavesdropped on 9/11 victims would face "severe" consequences.

Sen. Jay Rockefeller, the Democratic chairman of the Senate Commerce Committee, told CNN Wednesday he is considering an investigation into whether News Corp. employees broke the law by hacking U.S. citizens.

"My bet is we'll find some criminal stuff," Rockefeller said, speaking a day after he urged U.S. authorities to examine whether U.S. citizens had had their "privacy violated" by journalists at the company.

Rockefeller and fellow Democratic Sen. Barbara Boxer of California wrote Wednesday to U.S. justice officials and Wall Street watchdog the Securities and Exchange Commission, urging them to investigate possible violations by News Corp. of the Foreign Corrupt Practices Act.

Sen. Frank Lautenberg, a New Jersey Democrat, also called on American authorities Wednesday to investigate whether any News Corp. employees had broken U.S. law by bribing foreign officials.

And Rep. Peter T. King, R-N.Y., asked the FBI to investigate whether News Corporation journalists may have tried to obtain phone records of victims of the September 11, 2001, terrorist attacks.

Journalists are accused of attempting to bribe police officers for information -- including personal contact details for members of the royal family -- in addition to the violation of privacy allegations.

The News of the World, which was Britain's best-selling newspaper, folded Sunday over other allegations of illegal breach of privacy at the order of James Murdoch.

The police officer leading the investigation said Tuesday they had identified 3,870 potential targets of phone-hacking and had notified 170 of them. The officer, Sue Akers, said a team of 45 police were going through 11,000 pages of documents seized from a private investigator working for News of the World.

The documents contain some 4,000 cell phone numbers and 5,000 land lines, Cameron said.

Murdoch flew Sunday to London, hours after the final edition of News of the World hit the stands. The publication was the first British national paper Murdoch bought, in 1969, as he began to propel himself from Australian newspaper proprietor to international media magnate.

News International owns the Sun, The Times and The Sunday Times in Britain.

Murdoch's News Corp. also encompasses Fox News, The Wall Street Journal, the New York Post and Harper Collins publishers.

CNN's Richard Allen Greene, Laura Smith-Spark, Jim Boulden and David Wilkinson contributed to this report.

@highlight

NEW: some 4,000 cell phones and 5,000 land lines may have been affected

@highlight

Lawmakers pass a symbolic motion after debating Murdoch's BSkyB ambitions

@highlight

Sen. Jay Rockefeller writes to US authorities urging an investigation into News Corp.

@highlight

PM Cameron says News Corp. has made "the right decision" in dropping its bid