Washington (CNN) -- President Obama and Republican and Democratic leaders engaged in a spirited but civil debate at a health care summit Thursday, finding agreement on some issues but appearing to find little common ground on how to move forward in a bipartisan way.

"I don't know, frankly, whether we can close that gap," said President Obama as the day-long meeting closed. If agreement is not reached, he said, there will be "a lot of arguments about procedures in Congress about moving forward," an apparent reference to using a parliamentary shortcut under which a health care bill could be passed with a simple majority instead of the 60-vote supermajority the body requires to overcome the filibuster which Republicans have threatened to use.

"My hope had been there might be enough areas of overlap to realistically think about moving forward without a situation in which everyone just goes to their respective corners and this ends up being a political fight," he said.

"Frankly, I was discourage by the outcome," Senate GOP leader Mitch McConnell of Kentucky, told reporters after the meeting. He urged the Democrats to "start over and go step by step and target the areas of possible agreement that we discussed in the meeting today."

Sen. John Boehner, R-Ohio, sounded equally unenthusiastic. "I think the American people want us to work together on common steps to make our current system work better," he said. "We can't do it within the framework of a 2,700-page bill."

Live updates from the health care summit

"The president let everybody talk and talk and talk," said Senate Majority Leader Harry Reid, who called Obama "the most patient man in the world."

Though there were areas of agreement, he said, "every Republican used the same talking points." He, too, appeared to raise the specter of attempting to move forward through the parliamentary shortcut, known as reconciliation.

"It's time we do something and we're going to do it," the Nevada Democrat said.

House Speaker Nancy Pelosi said she was "not overly optimistic" that the Democrats would be able to attract Republican votes for the health care bill.

Obama said in opening remarks that "it is absolutely critical to begin now moving on what is one of the biggest drags on the economy."

The situation affects not just people without health insurance, but also those who have it, he said.

"The problem is not getting better," he said. "It is getting worse."

Share your reaction to the summit

Obama called on Republican and Democratic leaders at the much-publicized summit to "not focus on where we differ, but focus on where we agree."

The differences were evident, though, in what each side believes should happen next.

Republican Sen. Lamar Alexander, who made the opening remarks for his party, said Democrats should scrap existing bills passed by the House and Senate and start over on new legislation.  Watch what areas Democrats and Republicans can agree on

That's not going to happen, Democrats answered, saying Americans cannot wait.

"For them, they don't have time for us to start over," House Speaker Nancy Pelosi said.

Jon Kyl, the Senate Republican Whip, pointed out that a major philosophical difference between the two sides is who should be in charge of the health care system -- the government or private industry.

"There's so much in the bills you have supported that puts so much control in Washington," Kyl said to Obama.

House Republican Whip Eric Cantor also highlighted that concern, pointing out that Republicans are nearly unanimous in their opposition to the bills.

"There is a reason we voted no," Cantor said to Obama. "It does have to do with the philosophical differences you pointed out. It also has to do with our fear that Washington can define what are essential health benefits."

Democratic Sen. Tom Harkin made an impassioned plea for passage of health care reform, saying the current system discriminates against people who are already sick.

Watch Harkin's plea for everyone to have insurance

Racial segregation has been outlawed, he said, "however we still allow segregation today on the basis of your health."

Fellow Democratic Sen. Jay Rockefeller urged greater oversight of the health insurance sector, which he called "a shark that swims just below the water."

"This is a rapacious industry that does what it wants, unknown to the people of America except on an individual basis," Rockefeller said.

Critics had said before the nationally televised summit started that it would amount to a public relations stunt.

"This is about theater," said Sen. John Cornyn, a Texas Republican. "This is not about substance, unfortunately."  Watch what's at stake at the health care summit

Obama addressed that concern in his opening remarks.

"I hope this isn't political theater where people are playing to the camera," he said.

Obama said Republicans and Democrats seem to agree that costs have to be contained.

"It's absolutely true that if all we're doing is adding more people to a broken system, then costs will continue to skyrocket," he said.

Republican Sen. Tom Coburn, who is a physician, listed several ways to cut costs, including focusing on disease prevention and management as well as cracking down on fraud. Coburn also blasted what he called the "extortion" behind frivolous lawsuits that make doctors victims of the current legal system.

"A large number of the tests we order every day are not for the patients, they're for the doctors," Coburn said.

Another Republican physician, Rep. Charles Boustany of Louisiana, said doctors also would like a plan that would "simplify, streamline and standardize all paperwork that is involved." The cumbersome paperwork, he said, "takes you away from patient care."

The discussion took a testy tone when Republican Sen. John McCain of Arizona complained about how the Democrats handled the process of approving the legislation.

McCain, who lost to Obama in the 2008 presidential race, said candidate Obama had pledged eight times that the health care debate would be conducted in the open and televised by C-SPAN. Instead, McCain said, the legislation was "produced behind closed doors ... with unsavory deals."

Obama tried to break in, but McCain asked to be allowed to finish.

After McCain was done, Obama seemed to flash some anger when he said, "We're not campaigning. The election is over."

Said McCain with a slight laugh, "I'm reminded of that every day."

At one point, both men tried to talk over each other.

"The focus should not be on the issue of how we get a bill done," Obama said.

McCain replied that "the American people care about what we do and how we do it."

Obama cut off the discussion when he said, "We can have a debate about process or we can have a debate about how we help the American people."  Fact Check: How common is the Senate use of reconciliation?

After the meeting, McCain told reporters in a conference call, "A conversation like this is bound to be a good thing. I just wish we had started it a year ago instead of jamming it through."

He said he hopes the Democrats will refrain from using reconciliation, urging that "the 60-vote procedure of the Senate be protected."

Obama also seemed to take a shot at Cantor, who stacked the voluminous House and Senate health care reform bills on the table in front of him.

The president called the display "props" and said, "These are the kinds of political things we do that prevent us from having a conversation."

On Wednesday, Sen. Chris Dodd, a key author of the Senate health care bill, told reporters flatly that if Republicans continued to demand that Democrats scrap their health care proposals and start over, "then there's nothing to talk about."

But McConnell argued that starting over is exactly what Republicans want.

"Unless they're willing to do that, I think it's nearly impossible to imagine a scenario under which we can reach agreement because we don't think we ought to pass a 2,700-page bill that seeks to restructure one-sixth of our economy," McConnell said.  Watch as opposing sides protest at health summit

He warned the political consequences would be severe if Democrats moved forward without Republican support.

Dodd said Democrats and Republicans could find common ground in some areas, such as the Republican push to allow insurers to sell insurance across state lines. He called the GOP proposal "a legitimate issue," but said Democrats already have a version of that proposal in their legislation.

White House spokesman Robert Gibbs expressed confidence Thursday that a bill will pass.

"We're very close to health care reform for the American people," he said.

Three top Democratic sources privately told CNN the new goal is to pass the final legislation by the end of March or else Congress will have to move back to other issues like job creation and unfinished spending bills.

The meeting took place across the street from the White House, in the Garden Room at Blair House.

The summit discussions were based around four themes -- controlling costs, insurance reforms, reducing the deficit and expanding coverage.

CNN's Dana Bash, Ed Henry, Kristi Keck and Deirdre Walsh contributed to this report.

@highlight

Sen. Jay Rockefeller: "This is a rapacious industry that does what it wants"

@highlight

Sen. Tom Harkin says health care system discriminates, segregates people

@highlight

President Obama tells Sen. John McCain: "We're not campaigning. The election is over"

@highlight

GOP Sen. Lamar Alexander urges Democrats to scrap bills, start over on health care