(CNN) -- Citing fears of genocide, representatives of of humanitarian organizations tried Thursday to focus U.S. lawmakers' attention on the Central African Republic, where the situation is on the verge of exploding into a "decades-long conflict," one aid group said.

Mercy Corps believes "right now is the time to act, and we are asking Congress to make smart, forward-thinking decisions," said Madeline Rose, a policy adviser to the group, in a telephone interview prior to addressing the House Committee on Foreign Affairs Subcommittee on African Global Health, Global Human Rights and International Organizations.

The group fears "that the current crisis in CAR is on the verge of metastasizing into a new, decades-long conflict," she added.

The landlocked country, which is bordered by Cameroon, Chad, Sudan, South Sudan, Congo, and the Democratic Republic of Congo, has seen nearly constant chaos for a year, since militant rebels removed the president from office and then lost power themselves. Even before that, frail governments and poverty plagued its population.

Rose cited five priorities for CAR:

-- restoring security;

-- increasing support for peace-building initiatives;

-- meeting immediate humanitarian needs;

-- targeting interventions to protect and empower women and girls;

-- investing resources to transition to state-building and economic recovery.

5 coups d'etat since independence

The roots of the conflict date back to CAR's independence from France in 1960. Since then, "it's had weak governance, chronic insecurity, five coups d'etat," Rose said. "People have only known violent and oppressive rule. CAR's never really enjoyed a legitimate, civilian administration."

Throughout, the country's 5.2 million residents have endured chronic, abject poverty.

That underdevelopment has fomented deep distrust among civilians -- whose median age is 19 years.

That distrust erupted into violence and the country descended into chaos in March 2013, after a coalition of mostly Muslim rebels known as Seleka ousted President Francois Bozize. They have since been forced from power, but Christian and Muslim militias have continued to battle for control.

To counter attacks on Christian communities by Seleka groups, vigilante Christian groups known as the anti-balaka, which translates to "anti-machete," fought back.

Muslims represented 15% of the population, and Christians were 50%, according to the CIA World Factbook.

The groups have morphed into criminal gangs "that are seizing this opportunity to enrich themselves and to take revenge," said Kasper Agger, a field researcher for the Enough Project, prior to his own testimony to the subcommittee.

Battle for resources, not religion

"The most important thing is that people start to understand that this is not necessarily a conflict of Christians versus Muslims, but it's about natural resources" and competition for control of the states, he said. "It's those classic issues that need to be tackled."

He called for the United Nations to send mediators to work with interim President Samba-Panza to begin a political process "with local dialogues and reconciliation across the country."

In a report issued Thursday by his project, Agger said Seleka leaders were linked to Chadian and Sudanese government-backed armed groups, mercenaries, poachers and diamond traders.

"The research reveals that revenues from diamonds and elephant ivory are funding Seleka and other fighters in CAR, enabling them to purchase weapons, fuel, and poaching equipment," he said. "Diamonds mined in CAR are sold to traders in the Darfur region of Sudan, as well as Chad, Cameroon, and the Democratic Republic of Congo."

The traders circumvent the international certification process and likely sell their wares on the world market, he added.

At least 2,000 people have died in the fighting, and 2.2 million others -- about half the country's population -- need humanitarian aid, according to the United Nations. The world body this week appointed Abdoulaye Bathily of Senegal to lead the U.N.'s political office charged with preventing conflict in the region.

He faces a big job: More than 650,000 residents are internally displaced, and nearly 300,000 have fled to neighboring countries.

Ban: 'Do not repeat the mistakes of the past'

"There's no one that really has any power to stop this," said Agger, who recently spent a month in the country.

"It was an almost surreal experience," he said about his visit, most of which was in the capital city of Bangui, where more than 200,000 residents are displaced, many of them living at the airport or in churches. "You could have people going to church and the markets were open and then, in the distance, you could hear shootings," he said. "Almost every night, we could hear shootings around town."

The poverty extends to the government, which did not pay its employees for six months, he said.

The continuing violence has raised the specter of genocide, as occurred 20 years ago in Rwanda.

"Do not repeat the mistakes of the past -- heed the lessons," U.N. Secretary-General Ban Ki-moon said last month during a visit to the country.

"Most members of the Muslim minority have fled. Muslims and Christians have been placed in mortal danger simply because of who they are or what they believe," Ban said.

"People have been lynched and decapitated. Sexual violence is on the rise. Gruesome acts have been committed while others cheered on the perpetrators. There has been total impunity -- zero accountability. This must change."

International peacekeeping efforts are under way: Some 6,000 African Union troops and 2,000 French forces are operating in the country, as is the first contingent of 1,600 European Union troops. In addition, the United Nations has promised as many as 10,000 military personnel by September 15.

More peacekeepers may not be enough

But Mercy Corps' Rose said it was not clear that they would suffice. The AU forces need help, she said. "They don't know what's going on, they don't have good intelligence, and they're not good at communicating with the population," she said. "It's making the community more fearful, particularly vulnerable populations."

She said she was hopeful that U.S. lawmakers would act "to address the underlying issues that caused this crisis in the first place."

Thursday's appeal to lawmakers is an attempt to give them the big picture about what is happening in CAR.

The United States has already committed $150 million to the peacekeeping mission, but that effort requires at least another $100 million, said Catholic Relief Services Chief Operating Officer Sean Callahan. "The world stood by as nearly one million people were killed in Rwanda 20 yrs ago, and we cannot let the violence tear the social fabric of CAR," he said.

Rose agreed. "We've seen this over and over again in the way the international community responds to crises like these -- where we focus too narrowly on short-term, emergency needs and don't take a step back to make long-term, strategic investments and decisions about how to solve the root problem."

And CAR faces another big challenge: the country has long been geopolitically insignificant to major donor countries. "So we, as a humanitarian and advocacy community, have an uphill battle to make the case as to why this is the smart decision now," Rose said. "But I think it's possible."

The challenges are immense. Last week, 16 civilians -- including three national staff members of Medecins Sans Frontieres -- were killed during a robbery on the grounds of a hospital in the northern town of Boguila, said the group, which is also known as Doctors Without Borders.

Ex-Seleka members surrounded the hospital grounds, where a meeting was taking place with community leaders invited by MSF to discuss medical access and care, the group said in a statement. "Unprovoked, the men fired heavily into the crowd, killing and critically wounding meeting participants."

The incident led MSF to withdraw key staff, suspend activities in the town, where Muslims fleeing violence had sought refuge, and reassess whether to continue operations elsewhere in CAR.

The incident reverberated among other humanitarian groups, but UNICEF's Country Director for Central African Republic Souleymane Diabate said he was planning to continue business as usual.

"We remained during the crisis, and after the crisis we will remain," he told CNN in a telephone interview from his office in Bangui, where he has been working since 2012.

Schools have been closed in the country, so UNICEF has opened "temporary learning spaces" to carry on the teaching. And it has been providing chemicals to treat water nationwide, he said.

In recent months, the number of UNICEF staff members has doubled, to more than 200, though many of them work alongside security staff.

Still, he acknowledged, "there is some risk."

@highlight

Since 1960, "weak governance, chronic insecurity, 5 coups d'etat"

@highlight

It's not about Christian versus Muslim, it's about natural resources, one aid worker says

@highlight

Enough Project links Seleka to Chadian and Sudanese groups, mercenaries, diamond traders

@highlight

"There is some risk," UNICEF country director says