(CNN) -- Brutal winter weather is making dire conditions even more so in parts of the Middle East, especially for thousands of Syrian refugees enduring frigid temperatures in tents.

The coldest air of the season was moving in behind a heavy snowstorm that blanketed refugee camps in Turkey and Lebanon.

Syria

In Syria, residents in cities pummeled by warfare were taking drastic measures to stay alive.

A video posted online shows three men and two children burning pages of schoolbooks to stay warm in the besieged city of Rastan.

Read more: Scavenging for food, Syrian children witness war

"We can't use the heaters inside our residences," one of the men says. "No fuel, no wood, no electricity."

Rastan, near the dissident bastion of Homs, has been choked off from basic supplies such as electricity, bread and water.

In the Syrian city of Busra, a video shows a man gathering snow in a bucket to save as drinking water.

"We don't have water, we don't have heat," the man says. "We will try to make the snow into water because they cut off the water long ago."

CNN cannot independently confirm the authenticity of the videos. But they're the latest reports of how winter storms are pummeling residents across the region.

Read more: U.N.'s Syria death toll jumps dramatically to 60,000-plus

Snow and heavy rains had fallen over most Syrian cities in the past day, the state-run SANA news agency reported Wednesday.

Snow was forecast for Thursday in eastern Syria and over the mountains.

Temperatures were running 5 to 10 degrees Celsius (9 to 18 degrees Fahrenheit) below average for this time of year across Syria, Lebanon, Jordan and Israel, CNN forecaster Brandon Miller said.

So far this winter, the region had seen above-average temperatures, he said.

Winds have been strong, in some cases blowing more than 70 kph (43 mph), which makes the wind chill much colder than the air temperature.

But in one ray of hope for those shivering in tents, Wednesday and Thursday are expected to be the coldest days before the weather clears up and temperatures rebound by the end of the week.

The world in 2013: What's next?

West Bank

More than 500 Palestinians have been injured and more than 400 homes submerged by floodwater this week from a storm that struck the West Bank area, Palestinian media reported.

The flooding claimed the lives of two women who were in a taxi that was swept away, a Palestinian medical official told CNN.

"All of a sudden, floods started carrying the vehicle and sweeping it in the (path) of the fast-moving floods over in a valley," Dr. Ghassan Hamdan said.

The Command of National Security Forces announced Wednesday evening a state of emergency, the Palestinian news and information agency WAFA reported.

Civil defense forces were searching for a man from the Tulkarm area village of Attil who had been seen leaving his stranded car on Tuesday, WAFA said.

The rains damaged dozens of homes and property throughout the West Bank.

More than 530 people were rescued in Salfit province, WAFA said.

The Palestine Weather Service attributed the cold to a polar air mass accompanied by thunderstorms and hail that hit the area.

Jordan

At a Syrian refugee camp in Amman, Jordan, temperatures plunged early Wednesday to 4 degrees Celsius (39 degrees Fahrenheit) with fierce winds.

Torrential rain and increasing snowfall paralyzed much of the country, and most government and public offices in Jordan closed Wednesday and were to remain closed Thursday, the state-run Petra news agency said.

In the next three days, temperatures in Amman will drop below freezing, Petra said, citing the Jordan Meteorological Department.

Amman has received 101 millimeters (4 inches) of rain over the past three days, whereas the January average for the entire month is only 63 millimeters (about 2 1/2 inches), Miller said. The city gets snow about once a year, on average.

On Tuesday and Wednesday, the kingdom saw 757 traffic collisions, Petra reported, citing the directorate of general security.

Refugees in Lebanon facing bitter winter

Turkey

Heavy snow paralyzed Istanbul, the semi-official Turkish news Anadolu Agency reported. Turkish Airlines canceled 39 flights into and out of Istanbul.

Lebanon

The state-run National News Agency reported Wednesday that the Civil Defense was retrieving 25 Bedouin families whose tents were flooded.

Heavy flooding on Wednesday cut the coastal highway of Nahr el Kaleb.

Read more: Syrian refugees in Lebanon facing bitter winter

But the Civil Aviation Directorate predicted the storm would subside by Thursday morning.

Elsewhere in the country, the army evacuated residents trapped by torrential snowfall, according to news agency.

'Miserable' conditions for Syrian refugee children

The weather is not easing life for those who have fled Syria, the United Nations children's agency said.

"The cold is making life increasingly miserable" at the Zaatari camp in Jordan, UNICEF said last week. It cited health problems such as diarrhea and dehydration, a lack of hot water for bathing and a need for winter clothes, blankets and better food.

More than 540,000 Syrians have fled to Jordan, Iraq, Lebanon, Turkey and Egypt, the United Nations said. About half the refugees are children.

Read more: Syrian children struggle in refugee camps as winter tightens

CNN's Hamdi Alkhshali, Kareem Khadder and Tom Sater contributed to this report.

@highlight

Temperatures are below the regional average for this time of year

@highlight

U.N. agency: Syrian refugee children face miserable conditions, need winter clothes

@highlight

Heavy snow has paralyzed Istanbul, with 39 Turkish Airlines flights canceled