(CNN) -- Smiling children are using prosthetic hands to open windows through which we can glimpse the future of health care -- a future where outsiders and amateurs innovate along with insiders and professionals. The question is, "Will America lead the way, as it has for a century, or will it fall behind, as it has begun to do?"

My forthcoming Mercatus Center research "Fortress and Frontier in American Health Care" argues that leading requires us to abandon the partisan rancor over health insurance ("Obamacare" vs. "repeal and replace") and focus, instead, on innovating our way to better health.

FDA-approved prosthetic hands cost around $40,000. Several years ago, a South African carpenter lost some fingers in an accident and collaborated with a Washington state puppetmaker to invent a vastly more affordable device.

They adapted a 19th-century metal-and-whalebone design for a 21st-century 3-D printer to produce a hand that allows users to drive, ride bikes, play ball, grasp objects and feel normal and complete.

Printed hands require only a few hours of assembly time, and materials (essentially a special glue, string and screws) cost between $10 and $50 -- 1/1000 the cost of professional models.

The proliferation of printed hands began when Jon Schull at the Rochester Institute of Technology formed e-NABLE, a global, Web-based social network, to connect people who need hands with people who are interested in building them.

Amateurs quickly began modifying the hands. One added an extra thumb so his son could grasp objects more easily. A student designed a hand that rotates at the wrist just as natural hands can but which $40,000 prosthetics can't.

Children designed hands that mimic those of comic-book superheroes-- earning the envy of classmates. Professional prosthetics are much more elaborate, but at $40,000 a pop, they aren't practical for growing children. A fashion designer created stunningly beautiful hands for a fellow student.

3-D Printed hands are evolving at breathtaking speed because of what my Mercatus colleague Adam Thierer calls "permissionless innovation." No one has to beg permission from anyone to design, modify or distribute hands. That wouldn't be true if the hands included sensors and/or motors or if they were sold, rather than given away. Regulators would likely swoop in, and innovation would slow.

Permissionless innovation is largely alien to health care.

New drugs, devices and procedures typically wait for years as regulators sort through stacks of proposals and tons of data. The film "Dallas Buyers Club" is based on the true story of an AIDS victim, 30 days from death, who was denied lifesaving treatment because the Food and Drug Administration wanted extra years of testing to assure safety and effectiveness.

The greatest example of permissionless innovation is the Internet.

In the early 1990s, the federal government surrendered control over the Internet and enabled commercial developers to make full use of the system. Once that happened, professionals and amateurs produced software, hardware and apps in ways and at speeds no one could have foreseen.

An American of 25 years ago could scarcely believe our world of Google, Siri, GPS, YouTube, Street View, Facebook, Amazon, Bitcoin and Kindle. None of this would have happened had there been a Federal Internet Commission judging each innovation.

If you think, "but health care is different," keep in mind that it would have been equally easy in 1989 to demand heavy regulation of a frightening new communication technology. The Internet raises risks of online fraud, sexual predators, coordinated terrorism, identity theft and privacy violations. If such things as OnStar, GM's safety and connectivity system, or hospital connectivity fails, people can die. Somehow, we decided to accept these risks to enjoy the benefits.

Health care may change as much by 2039 as consumer electronics did since 1989.

We'll likely see 3-D printed transplantable organs, drugs tailor-made to patients' personal DNA, nanobots to repair damaged genes and artificial intelligence to guide people toward wellness. Excessive regulation, however, can bring these processes to a crawl.

Adam Thierer says, "Trying to preemptively plan for every hypothetical worst-case scenario means the best-case scenarios will never come about."

The innovations will happen in Europe, India, Singapore and elsewhere if not here. And to compete, we have to accept some risks and open the door to some outside innovators. No one suggests completely deregulated health care. The question is one of degree and design. Already, Europe surpasses the United States in drug availability, thanks to its more decentralized approval process.

We can suggest an Iron Law of Innovation: For better products at lower cost, you must allow reasonable risk-taking (by consumers and producers), and you must allow unknown outsiders to introduce unexpected genius into the process. The printed hand shows us how. The task is to apply its lessons across health care.

Talking about innovation will be a lot more fun and incredibly more productive than squabbling over Obamacare.

Rise of 'cyberathletes' could change sport as we know it

@highlight

Robert Graboyes: 3-D printers are opening up possibilities for low-cost prosthetics

@highlight

FDA-approved prosthetic hands, for example, can cost $40,000. Printed ones, about $50

@highlight

He says "permissionless innovation" lets design of 3-D printed hands quickly evolve

@highlight

Graboyes: Such unleashed innovation should be applied across all of health care