(CNN) -- I grew up on the border, at the site of today's humanitarian crisis involving tens of thousands of immigrant children seeking asylum. Even though I was born in Texas' Rio Grande Valley, my family and I lived on the Mexican side of the river for seven years of my childhood. There I saw poverty firsthand, right around the corner from our house, in the streets, by the bridge, in the countryside.

Poverty was everywhere. It looked like hungry children in dirty diapers living in dirt floor huts with no shoes, no clothes, no running water, no education, no health care and often no idea from where the next meal would come. It was the stench of running sewage, of dirty laundry, of mangy dogs, of rotting food. And later, as the drug trade and related violence increased, it wasn't just poverty that hung in the air, it became fear.

I narrowly dodged being at a restaurant one evening in Matamoros, Mexico, when a gunbattle broke out. My best friend hit the floor so hard he woke up with bruises all over his knees and elbows, blood splattered on his sneakers.

Another night, walking near my grandparents' home, I bumped into a man bathed in blood. He'd just been shot and was running for his life. The area was the site of the infamous Santa Elena Ranch killings. The environment had changed. And that was more than 20 years ago. It's only gotten worse, not just on the border but throughout Mexico and Central America, which is why our nation must shift its foreign policy priorities closer to home.

Fortunately, for me, I was born into a middle-class family. Our life was filled with tensions most Americans know too well: saving our home from foreclosure, keeping the lights on and worrying whether my dad's small business would survive tough times. But -- unlike the children flooding into our country -- we felt safe from hunger, from violence, from fear of losing our lives at any moment. Like most Americans, we found comfort and complacency in that degree of safety.

And so like most Americans, we did not question the priority our nation continuously placed on the Middle East. September 11, 2001, only fueled that focus because we felt the impact of terrorism bred in the Middle East on our own soil.

But shouldn't today's humanitarian crisis along the border be a wake-up call to the fact that we must finally place a higher priority on Latin America? The results of the unbridled violence and poverty south of our border have long spilled onto our soil. And, after the failure of governments throughout the hemisphere to turn the tide, the effects are evident in this flood of desperate humanity seeking refuge and opportunity.

As someone who grew up there, I can assure you that more border security is not the answer. This solution -- often prioritized by political leaders and epitomized by Texas Gov. Rick Perry's decision to deploy the National Guard -- is nothing but macho swagger that oversimplifies the problem and will only succeed in turning our border region into more of a war zone.

We must remember that places such as the Rio Grande Valley are still a part of America. The beleaguered people who live there have a right to enjoy the same freedom and safety the rest of America holds dear. And no matter how much border security exists, it will not stop this deluge of humanity, but it will tell our children and those watching around the world that America is a heartless nation.

If the Statue of Liberty is the symbol of immigrant America from another era, what statue should be erected in the Rio Grande Valley? A solider pointing a weapon southward through a towering barbed wire fence? Is that the new image we wish to form of America for generations to come?

To the contrary, we must stop dealing only with symptoms and tackle the real problems. The constant tide of northward migration from Latin America is a symptom of deeper problems, as is our nation's paralysis in dealing with all of the undocumented immigrants who have already crossed our borders.

Our foreign policy priorities must shift, and we must invest more talent and resources in collaborating with Latin American governments to fix their broken countries, economies and societies.

President Barack Obama's meeting with Central American leaders this week must be the beginning of a deeper commitment to solving our shared challenges. A quick glance at the U.S. Agency for International Development's list of the top 20 nations benefiting from American foreign aid includes only one Latin American nation, Colombia coming at 15th. Four out of the top seven recipient nations are in the Middle East.

Absent from the list of the top 20 are any of the nations most directly involved in this recent wave of immigrants: Honduras, Guatemala, El Salvador and Mexico. While the crises in Ukraine and Gaza are reminders that we cannot ignore the rest of the world, it is also clear we must do more in our own backyard so that so many of our neighbors don't feel compelled to flee their homes. The problem begins, and must be resolved, in these immigrants' nations of origin.

But we must also deal with the situation we have at home. Not only should we be humane and generous in caring for these young immigrants; we must include them within our approach to comprehensive immigration reform.

We must act fast. And we must act now.

We must embrace a more inclusive vision of the Americas as our larger shared home because we are so highly interdependent, as evidenced by this mounting crisis. And we must make this hemispheric home a better place to live for all, everywhere, so that people are more likely to build their lives closer to where they were born, nearer to their families and connected to their cultures. If they had that chance, I'm sure they'd take it. And we'd all be better off as Americans, and Americanos.

Join us on Facebook.com/CNNOpinion.

@highlight

Rudy Ruiz: Border crisis shows urgent need for U.S. to focus more on the Americas

@highlight

Children need humanitarian aid, and their nations need more U.S. aid, he says

@highlight

We must invest more resources in helping Latin America fix broken nations, he says

@highlight

Ruiz: Only one Latin American nation is among the top 20 recipients of U.S. aid