The militant Islamist group Boko Haram has issued an ultimatum giving Christians living in northern Nigeria three days to leave the area amid a rising tide of violence there.

A Boko Haram spokesman, Abul Qaqa, also said late Sunday that Boko Haram fighters are ready to confront soldiers sent to the area under a state of emergency declared in parts of four states by Nigerian President Goodluck Jonathan on Saturday.

"We will confront them squarely to protect our brothers," Abul Qaqa said during a telephone call with local media. He also called on Muslims living in southern Nigeria to "come back to the north because we have evidence they will be attacked."

Recent weeks have seen an escalation in clashes between Boko Haram and security forces in the north-eastern states of Borno and Yobe, as well as attacks on churches and assassinations. Nearly 30 people were killed on Christmas Day at a Catholic church near the federal capital, Abuja -- a sign that Boko Haram is prepared to strike beyond its heartland.

Human rights activist Shehu Sani told CNN that the latest Boko Haram threat is credible, but many Christians born and raised in the north have nowhere else to go.

"The killings will continue," he said, and Boko Haram may respond to the state of emergency by taking its campaign of violence to areas not yet affected.

Sani said the state of emergency and an enhanced presence of the security forces would not improve the situation, alleging that troops had already been involved in human rights abuses and had done little to reduce violence.

Nigeria has almost equal numbers of Christian and Muslims, with the south predominantly Christian. Boko Haram and other Islamic groups claim the north has been starved of resources and marginalized by the government of Jonathan, who is a Christian.

Boko Haram (which according to the group means "Western civilization is forbidden") is demanding the imposition of Islamic sharia law across Nigeria.

Christian leaders have demanded a stronger response to the attacks from the government and the Muslim community. Ayo Oritsejafor, head of the Christian Association of Nigeria, complained last week that the response of Islamic leaders had been "unacceptable and an abdication of their responsibilities."

"The Christian community is fast losing confidence in government's ability to protect our rights," Oritsejafor said.

David Cook of Rice University, who has studied the rise of Boko Haram, said that "if radical Muslim violence on a systematic level were to take hold in Nigeria ... it could eventually drive the country into a civil war."

Corruption, poverty and a lack of government services have helped Boko Haram gain support, especially among young Muslims out of work. So has a perception that the Muslim north has been marginalized by a political establishment drawn largely from the Christian south.

Cook says the group has been responsible for at least 45 major attacks, which have included assassinations -- frequently using gunmen on motorbikes -- and, more recently, suicide bombings beyond its northern heartland. Beyond the security forces and Christian targets, it has assassinated Muslim clerics who oppose the group, and even killed a prominent Boko Haram member who had attended talks to explore a truce. Boko Haram's presence in the city of Maiduguri has made it almost ungovernable, according to analysts.

Its ability to inflict mass casualties has grown fast. In August, a suicide bomber struck the U.N. building in Abuja, killing 23 people. In November, some 150 people were killed in a series of bombings and shootings in Damaturu, capital of Yobe state.

The commander of U.S. Africa Command, Gen. Carter Ham, has suggested Boko Haram may have developed links with other Islamic jihadist groups in the region, especially al Qaeda in the Islamic Maghreb. Sani agrees, and says Boko Haram's leaders have established sanctuaries across the desert borders in Niger and Chad, out of reach of the Nigerian security forces.

The former U.S. ambassador in Nigeria, John Campbell, says that Boko Haram is able to finance itself "through bank robberies and is arming itself by thefts from government armories and purchases -- there is no shortage of weapons on the market."

Less than two months ago, President Jonathan described attacks by Boko Haram as a temporary setback, which would soon be a thing of the past. Now he appears to see the group as a lethal threat that demands the full attention of the security services. But since Yusuf's death, Boko Haram has had no obvious leader or structure, and appears to act as loosely connected cells. And it is feeding on deep-seated grievances that the government seems unable to address.

Cook warns that "as more and more territories become ungovernable, such as Maiduguri, then Muslims more and more will want to join Boko Haram, if only because it represents the one group that can actually project power and hold out the illusion of security to the people."

@highlight

Boko Haram fighters are ready to confront soldiers sent to the area, a spokesman says

@highlight

Human rights activist Shehu Sani tells CNN that many Christians have nowhere else to go

@highlight

An announced state of emergency will not help, a rights activist says

@highlight

Boko Haram's ability to inflict mass casualties has grown quickly