Rome (CNN) -- Under furious assault from conservative Catholics, the Vatican backtracked Tuesday on its surprisingly positive assessment of gays and same-sex relationships.

In a report Monday, the Vatican had said that gays and lesbians have "gifts to offer" the Christian community and acknowledged that same-sex couples can give "precious support" to one other.

The statement, an interim report from a closely watched meeting of Catholic clergy here, was widely praised by liberals. It is believed to be the first time the Vatican has said anything positive about gay relationships.

One longtime Vatican journalist called the statement a "pastoral earthquake."

But many conservatives complained that the statement watered down church teaching and did not accurately reflect their discussions here, where nearly 200 Catholic leaders are meeting to debate pastoral approaches to modern family life.

One South African cardinal called Monday's statement, which also included positive language about unmarried couples who cohabitate, "irredeemable."

"The message has gone out that this is what the synod is saying, this is what the Catholic Church is saying," said Cardinal Wilfrid Fox Napier, referring to the special meeting of Catholic clergy gathered here through Saturday.

"It's not what we're saying at all."

In response to such reactions, the Vatican backtracked a bit Tuesday. In a statement, it said the report on gays and lesbians was a "working document," not the final word from Rome.

The Vatican also said that it wanted to welcome gays and lesbians in the church, but not create "the impression of a positive evaluation" of same-sex relationships, or, for that matter, of unmarried couples who live together.

But gay rights groups say that's precisely the impression the Vatican gave Monday when it said:

"Homosexuals have gifts and qualities to offer to the Christian community. Are we capable of welcoming these people, guaranteeing to them a fraternal space in our communities? Often they wish to encounter a church that offers them a welcoming home. Are our communities capable of providing that, accepting and valuing their sexual orientation, without compromising Catholic doctrine on the family and matrimony?"

Such statements seem to be in line with the more merciful approach the church has taken toward gays and lesbians under Pope Francis. In 2013, Francis famously said, "Who am I to judge?" gay people.

On Monday morning, just before the Vatican released its positive report on gays, Francis preached that laws that do not lead people to Jesus are "dead;" what's more, Christ did "strange things" such as hanging out with sinners and tax collectors, the Pope preached, seemingly tipping his hand about the Vatican's direction.

The overarching goal of the meeting here, officially called the Extraordinary Synod of Bishops on the Family, is to present proposals for a larger gathering to be held in October 2015.

Which means there's a long road ahead before any doctrinal or pastoral changes happen in the church.

In the meantime, conservative and liberal bishops have been fiercely jousting in the court of public opinion. Monday's report only increased the war of words.

Cardinal Raymond Burke, an American and head of the Vatican's supreme court, said the report "lacks a solid foundation in the sacred Scriptures." Other conservatives called it a "betrayal."

Opinion: 3 ways the Catholic church should embrace gay rights

Liberal Catholics and gay activists, on the other hand, heralded Monday's statement and said that some conservative pushback was probably inevitable, given how hostile some corners of the church are to change.

"I actually don't think this is as much of a backtrack as we usually see!" said Marianne Duddy-Burke, head of the gay rights group Dignity USA.

"I think that response to this report was swift and intense, and I'm sure many bishops want to be sure people aren't reading more into it than is there," she continued. "However, it is undeniable that there has never been any Vatican document that made positive, respectful statements about same-sex relationships, so that is an undeniable breakthrough."

Francis DeBernardo, executive director of New Ways Ministry, echoed that sentiment.

"Regardless of the fact that this is a working document, it is still significant in that it reveals a strong current of affirmative attitudes at high levels in the church towards lesbians and gay people," he said.

@highlight

Liberal Catholics and gay activists heralded Vatican's initial statement

@highlight

Vatican had said that gays and lesbians have "gifts to offer" the Christian community

@highlight

Vatican retreats a bit Tuesday after pushback from conservative Catholics

@highlight

Report was a "working document," not the final word from Rome, Vatican says