A long-awaited State Department environmental report on the proposed Keystone XL oil pipeline indicates what the oil industry and its backers have been saying -- it won't have a big impact on carbon emissions that cause climate change.

The report released Friday appears to give the Obama administration the cover it needs to approve the politically charged project, but not until May at the earliest, after a 90-day review and comment period.

Environmentalists reacted with predictable fury, accusing the government of bad intent by releasing the report before an inspector general's findings on whether it was flawed because some participants had oil industry ties.

"This document will be seen by the entire environmental community ... as a sham," complained Democratic Rep. Raul Grijalva of Arizona, adding that "it encourages the already widely held impression that the fix was in from the beginning."

White House spokesman Matt Lehrich said Friday night that information in the report "will now need to be closely evaluated by Secretary (of State John) Kerry and other relevant agency heads in the weeks ahead.

"A decision on whether the project is in the national interest will be made only after careful consideration of the (report) and other pertinent information, comments from the public, and views of other agency heads."

GOP: no more stalling

Supporters, including Republican leaders who have been pushing for two years for President Barack Obama to approve the project, said now it was time to get it started.

"Mr. President, no more stalling, no more excuses," said Senate Republican leader Mitch McConnell of Kentucky, adding a jab at Obama's recent pledge to act on his own this year if he can't get congressional backing. "Please pick up that pen you've been talking so much about and make this happen. Americans need these jobs."

The pipeline that would transport oil from Canada to the Gulf Coast has been a political football, pitting the oil industry and its Republican backers against environmentalists and liberal Democrats who complain it bolsters the especially dirty fossil fuel production from the tar sands of northern Alberta. The project also has sparked protests from the political left and the environmental movement.

However, the politics get messy for Democrats, because organized labor supports the project that will create several thousand jobs.

Release of the report launched a 90-day period for public comment and consultation. Secretary of State John Kerry, who is known for his effort to combat climate change, will then determine if the pipeline project is in the national interest.

The environmental analysis makes no final conclusion on the merits of the project, but says it wouldn't impact how much oil gets produced from Canada's tar sands in northern Alberta.

Dirtier oil

Approval or denial of any single project was unlikely to affect how much oil gets extracted from the tar sands, Assistant Secretary of State Kerri-Ann Jones said in a conference call with reporters.

Jones noted that the oil from the tar sands was more carbon intensive than normal oil, producing 17% more carbon emissions.

Environmentalists say that is why the project should be rejected, arguing that it would continue U.S. reliance on a dirtier foreign oil at a time when Obama has pledged action against climate change.

"I will not be satisfied with any analysis that does not accurately document what is really happening on the ground when it comes to the extraction, transport, refining, and waste disposal of dirty, filthy tar sands oil," said Democratic Sen. Barbara Boxer of California.

In a speech last year on climate change, Obama said the pipeline should be approved only if it is basically carbon-neutral, meaning that approving it would have no more impact on climate change that not approving it.

The president and CEO of TransCanada, the company proposing the pipeline, said Friday that the environmental report makes clear the benefits of the project to the U.S. economy, including $3.4 billion in added economic activity from its construction.

Asked about increased carbon emissions, Russ Girling said the report determined that "oil sands are gonna get produced anyway."

"When you read the report carefully, it makes clear that blocking Keystone is an important component of climate sanity and we will find out if John Kerry and particularly Barack Obama  are ever willing to stand up to the oil industry or not," said environmental activist Bill McKibben, founder of 350.org.

Messy politics for Democrats

Democrats from energy states, such as Sen. Mary Landrieu of Louisiana, face tough re-election battles this fall and therefore want to see the pipeline approved to help a major industry for their constituents.

They have criticized the administration for taking several years to review it. This year, Obama has made holding onto the Senate in November a political priority.

In 2011, the Obama administration postponed a decision on the pipeline until last year, citing concerns raised by Nebraska officials and environmental groups about the original route near the Ogallala Aquifer, which provides drinking water for much of Nebraska and is important for the state's agricultural economy.

Republicans accused Obama of putting off the issue until after the November 2012 election, but their efforts to force an earlier decision failed to work. Meanwhile, TransCanada rerouted it in Nebraska.

The State Department is handling the review because the project crosses an international border with Canada.

@highlight

Pipeline supporters approve, environmentalists condemn the report

@highlight

The proposed oil pipeline between the U.S. and Canada is politically charged

@highlight

Next step is a 90-day comment period, followed by another State Department decision

@highlight

President Barack Obama has said the pipeline must be carbon-neutral