(CNN)In his CNN opinion piece, "The Big Dangers of Big Data" , Konstantin Kakaes of New America raises some  interesting points about the ways that designing certain types of Big Data projects could lead to bad societal results.

Unfortunately, Mr. Kakaes' column appears to be part of a larger narrative that is skewing the perception of the importance of advanced data analytics to economies, societies and families around the world.

Big Data is not merely the accumulation of vast amounts of information, but a collection of interconnected and interrelated data points that, when analyzed carefully, helps business leaders make decisions that lead to increased profitability and job creation, assists doctors and scientists in understanding critical factors about health care, helps policymakers better protect the public from potential terror attacks, and much more.

To be clear, advanced analytics techniques go beyond merely describing the data that is available. If you want to make better decisions you decide what important data you need to know, collect it in ways that operations researchers can analyze, and think: What assumptions must I make before I proceed?

Mr. Kakaes' examples summon up the long discredited time-and-motion studies of Frederick Law Taylor, whose observations of people at work led to horrid visions of people forced to act like machines feeding an assembly line.

Modern analytics are far different. For example, every year, the Institute for Operations Research and the Management Sciences (INFORMS) holds an international analytics conference that includes a competition for best work in analytics, Big Data, and the applied mathematical field of operations research.

If you want to examine an outstanding example of the way that Big Data saves lives, look at the U.S. Centers for Disease Control, which won the 2014 competition for their quest to eradicate polio.

In 2001, with massive amounts of data about polio cases around the world, the CDC (working with the Global Polio Eradication Initiative and consultants at Kid Risk, Inc.) faced an important choice: Direct $100 million in funding dollars and settle for controlling the outbreak of polio, or attempt to completely stop all new cases of polio?

By developing sophisticated mathematical models that leveraged the best available scientific evidence and field knowledge, CDC officials became confident that it would be possible to prevent any further cases of wild polio viruses from emerging. By coincidence, the CDC accepted its award in 2014 shortly after India celebrated three years in which its population of 1.27 billion people had not experienced a single instance of polio.

As we contemplate the never-ending threats of terrorism, policymakers in the United States and around the world wrestle with constant questions about the optimal resources needed to prevent attacks and keep people safe.

Yale School of Management Professor Edward H. Kaplan (and INFORMS president-elect) explained in a recent blog post on the website of Oxford University Press how to examine data using the same staffing models used for telephone call centers. He then combined this sophisticated math modeling technique of queueing theory with a study he conducted of all jihadi terror plots detected in the United States over a 10-year period, resulting in a determination that an optimal staff level of only 2,080 counterterrorism agents are needed in the United States. (The last publicly available FBI staffing figure available in 2004 showed that 2,398 agents were dedicated to counterterrorism at that time).

Professor Kaplan's recently published policy recommendations show that using advanced analytical methods is a compelling and objective way to make major public policy decisions about staffing homeland security and, by extension, the many other departments and programs that can benefit from strongly grounded decision making given limited taxpayer dollars and the goal of effective government.

These are but two of the countless examples of how advanced analytics and operations research can appropriately leverage Big Data to achieve tangible results and benefits. As with any field of study or any profession, poor methodologies and wrong assumptions can skew outcomes and perceptions. That's why it is important to continue to educate leaders in business, government and even the media about the benefits of utilizing well-designed analytics projects and the importance of promoting well-educated and trained operations research and analytics professionals in business, government and academia.

@highlight

A CNN Opinion piece discussed the misuse of Big Data

@highlight

Marco Lübbecke says sophisticated data analysis can save lives, improve society