(CNN) -- One of the world's largest private superyachts is the latest to set sail on an expedition to uncover the secrets of a British battle cruiser lost during World War II.

Octopus -- a 414 foot megayacht -- was donated to the British Navy by Paul Allen, co-founder of Microsoft. Allen will fund the recovery and research expedition, sparing the British government any cost.

A previous expedition by Blue Water Recoveries, a deep sea shipwreck recovery company, located the wreck 11 years ago.

The enduring allure of tall ships

This week the recovery team will return to the wreck site with a two-fold mission: Retrieve the ship's bell and document the remains of the battle cruiser in the hopes of later determining what happened in the Hood's final moments.

David Mearns, director of Blue Water Recoveries, said the ship's bell was "lovingly looked after" by the crew. Its recovery is seen by those who lost loved ones as a way to commemorate those who died.

From the archive: Divers find wreck of HMS Hood

The HMS Hood was sunk during a battle in the North Atlantic with German battleship Bismarck in 1941. The Hood remains the largest Royal Navy vessel to have gone down, and resulted in the largest loss of life suffered by any single warship in British history.

The wreck of HMS Hood is designated under the Protection of the Military Remains Act, meaning the recovery team had to seek permission from the British Navy in order to retrieve the bell.

The mission was agreed to by the British Government, and the Ministry of Defence say the bell -- if recovered -- will form a tangible and fitting memorial to the ship and the 1,415 men who died when she sunk in the North Atlantic.

Mearns recalls the astonishment of the team when they located the ship's bell, on their first dive, in 2001.

"There was just a miscellaneous pile of twisted and torn metal... most of it was very angled steel but there was this curved shape," Mearns remembers. "We pushed in on the camera and, lo and behold, there was the bell sitting basically unattached, not connected to the ship [and] all by itself on its side."

The team, Mearns recalls, "were just stunned by it."

The 40,000 ton wreck is strewn over two and half kilometers of seabed, and uncovering the bell was a stroke of luck for the recovery team.

"It's a really iconic item and personal symbol of the ship, but we were there conducting this investigation on a 'don't touch' basis. It never occurred to us, even for a second, 'What if we recovered the bell? Should we attempt to?'" Mearns tells CNN.

By the time Mearns and his team had returned to land, news of the bell's discovery had broken. A public debate had erupted over the ethics of disturbing a wreck where so many lives had been lost.

Mearns gained the support of the HMS Hood Association -- whose members include veterans and relatives of those who died -- before seeking financial support to return and recover the bell.

The association's president, rear admiral Philip Wilcocks, said in statement on the mission: "There is no headstone among the flowers for those who perish at sea."

Wilcocks added, "future generations will be able to gaze upon [the Hood's] bell and remember with gratitude and thanks the heroism, courage and personal sacrifice of Hood's ship's company who died in the service of their country."

Read more: Scouring sea for sunken treasures is big business

If recovered, the bell will go on display in 2014, at an exhibition at the Royal Navy Museum in the southern English port of Portsmouth -- where the Hood was based.

Mearns says: "It's been out there as a wish of the association to do this and I've just been looking for the right sponsor to do it in the right way and to get the permission to do it.

"I'd been working with Vulcan, Paul Allen's company, and it just so happened we could combine the availability of Octopus in the region at the right time, because you can only really work in this area two months of the year."

The Octopus, the world's 13th largest megayacht, is a "fantastically capable vessel," Mearns says.

Read more: World's oldest warship to get $25m facelift

Despite being classified as a yacht, the Octopus carries equipment including a deepwater diving ROV [remotely operated vehicle] and survey and navigation equipment. The Octopus, says Mearns, "is very qualified" for the job.

The British Royal Navy has asked the team to place an ensign on the site of the wreck, Mearns added.

The mission also hopes to shed light on the final moments of the battle cruiser, which broke in two during the attack. It was under sustained fire from the Bismarck, but its own ammunition also exploded. The cause of its sinking has never been clarified.

"I think we are going to make a real improvement in the imagery and information that we bring back from the wreck to allow naval architects to look at and come to some firm conclusions about the damage," Mearns added.

"This isn't just a trophy hunt to go get the bell."

British monarchy's long-lasting love affair with the sea

@highlight

Microsoft co-founder donates personal megayacht to retrieve bell of British cruiser

@highlight

HMS Hood was sunk during World War II by German battleship, Bismarck

@highlight

Recovery team also hope to document wreck and determine why the ship sank