(CNN) -- Invisible Children, which produced a hugely popular half-hour documentary about notorious African warlord Joseph Kony, released a new video Monday to try to address criticisms about its nonprofit organization, its approach and its goals.

The group's "KONY 2012" video had been viewed more than 74 million times on YouTube by Monday. Invisible Children, which is based in San Diego, said it hopes the film and other efforts will make Kony a household name and drum up international support to halt killings, rapes, abuses and abductions committed by his group the Lord's Resistance Army, or LRA, in central Africa.

The 30-minute video became a sensation thanks to thousands of posts on Facebook and Twitter, including from celebrities including Bono, Angelina Jolie, Jay Z, Ryan Seacrest and Rihanna.

But in dramatically introducing Kony to many for the first time, the video also spurred a flurry of questions about Invisible Children's intentions, its transparency and whether the social-media frenzy was too little, too late.

"I understand why a lot of people are wondering is this some slick, kind of fly-by-night, slacktivist thing, when actually it's not at all," said Invisible Children CEO Ben Keesey on the 8 minute, 32 second video released Monday. "It's connected to a really deep, thoughtful, very intentional and strategic campaign."

Kony has operated in central Africa for two decades and is wanted for crimes against humanity by the International Criminal Court. In October, the United States sent 100 combat-equipped troops on a mission to kill or capture Kony.

Evelyn Apoko, who spent three harrowing years in captivity after the LRA abducted her in 2001, said last week that she agreed that Kony needs to face justice and she hoped the documentary would help make that happen.

But she said she worried that a military campaign against Kony might bring more injury to children who have suffered enough. Apoko was severely disfigured after a military bombing targeting the LRA.

"They should open their eyes more on the people affected by the war," she said of Invisible Children. "And the children -- they need to find a way to protect them. They have no hope, no way to escape."

Keesey said on Sunday that Invisible Children was acutely aware of those risks.

"Any approach to stop the LRA needs to be sensitive to that," he said. "It needs to do everything possible to protect those innocent women and children."

And again, on the video released Monday, Keesey said that while most agree that Kony needs to be stopped, how to accomplish that is far more complicated.

"That's not that easy. It's actually really difficult," Keesey said. "Therefore, the effort to stop the LRA has to be comprehensive, and it has to be huge."

Keesey did not directly address criticisms from several observers, who have urged caution and said Invisible Children has manipulated facts in the past.

A student blog called "Visible Children" linked to a photograph of Invisible Children's founders -- Bobby Bailey, Laren Poole and Jason Russell -- posing with hard-core weaponry with members of the Sudan People's Liberation Army, who have battled the LRA.

"The group is in favor of direct military intervention, and their money supports the Ugandan government's army and various other military forces," the Visible Children blog post said. "Both the Ugandan army and Sudan People's Liberation Army are riddled with accusations of rape and looting, but Invisible Children defends them."

In Monday's video, there was no mention of arming any one group. Keesey said only that "our goal has always been the same ... to stop the violence of the LRA permanently."

Keesey added that a large mass advocacy campaign, that ideally would spur public pressure on government leaders worldwide to act in some way, was one pillar of Invisible Children's three-pronged approach.

The other two were producing media, such as the films, and funding development programs to directly help people in central Africa.

Keesey was particularly adamant in defending his organization against criticisms it had not been open about its finances.

"Any claims that we do not have financial transparency or that we're not audited every year by an independent firm or that we don't have financial integrity just aren't true," Keesey said.

On its website, Invisible Children said it spent 80.46% on programs in 2011, 16.24% on administration and management costs and 3.22% on direct fundraising. Keesey also noted that "audited financial statements, tax returns and our annual report" are all online.

Invisible Children spokeswoman Noelle Jouglet has said money generated from the film will go to help build schools in Uganda. Money will also go to support a high-frequency radio station that Invisible Children operates, which broadcasts anti-LRA messages to fighters urging them to defect. CNN was unable immediately to verify this information or any of Invisible Children's activities in African nations.

Keesey defended some line items that have drawn scrutiny in recent days. They include "travel and transportation expenses" related to staging 3,000 free screenings annually of the group's films at high schools and colleges, as well as production costs to create items like DVDs and T-shirts "that fund all of our work."

Russell, the video's director, on Sunday told CNN that Invisible Children had chosen Kony as a focal point to get its larger message out about ending violence and promoting peace in the region.

Because of the zeitgeist of the culture and the world, we need an enemy," he said. "We need to know who the worst is."

On April 20, the group plans to paper cities with Kony posters.

But the media attention on Kony may actually hamper efforts to catch Kony, said Peter Pham of the Atlantic Council, a Washington think tank. The film comes after a regional -- and covert -- military operation that has been under way for several months. The attention could prompt Kony to go on the move again and may set back African and U.S. efforts to catch the warlord.

"All I can say is, it couldn't have happened at a more unhelpful moment when you look at it strategically and operationally," said Pham, a civilian adviser to the military command that sent the U.S. troops.

CNN's David McKenzie spoke with Jacob Acaye, a Ugandan featured in the video. McKenzie returned with Acaye for exclusive access to go to the exact spot where he says LRA rebels took him in the middle of the night years ago.

Acaye was able to escape a few days later, saying his life would be very different if he hadn't.

"I reached a point when I said, 'I can even die now' because I thought it would be the immediate resolution of my suffering," Acaye said.

The Ugandan called criticism against the documentary unfair.

"The same thing that was happening here is going on in other parts of the country," Acaye said.

"I feel like it is not good for a human being, for any other child, for any other village to be suffering," he said.

While millions around the world have viewed the first documentary, many people in remote areas of Uganda haven't been able to see it because they don't have access to the Internet or a television.

The African Youth Initiative Network said it will have a community screening of "Kony 2012" on Tuesday in northern Uganda. Organizers have said their purpose is to help victims of war.

The LRA terrorized Uganda for years in a failed attempt to overthrow the government. But since 2006, when it was pushed out of northern Uganda, it has largely operated in the Democratic Republic of the Congo and Central African Republic.

The U.N. refugee agency said last week that 3,000 people were recently displaced after fresh LRA attacks in Congo's Orientale province. The agency reported 20 new attacks since the start of the year, with one person killed and 17 abducted.

The cultish rebel group stands accused of using vicious tactics to recruit and force thousands of children into taking up arms. There are reports of child soldiers brainwashed into killing their own parents.

Actress Mia Farrow, a good will ambassador for UNICEF who has visited areas attacked by the LRA, commended Invisible Children for bringing "unprecedented focus" to a horrific situation but urged people to donate money to agencies like the Red Cross and UNICEF that work to help victims.

Ugandan government spokesman Fred Opolot was more critical, saying Invisible Children's campaign portrayed Africa as a dark and incessantly troubled continent.

"Invisible Children, if it is using such images to dupe the international community into, into ensuring that they contribute financially into its works, I'm afraid to say it is a wrong approach," Opolot said. "And indeed its activities in northern Uganda will be further questioned, in as far as the amount of money they receive vis-a-vis the actual interventions that they make in northern Uganda where he thinks he is concerned about."

In the video released Monday, Keesey said he understood why people might challenge Invisible Children's model and strategy. At the same time, he vowed that his group plans to answer questions in the coming days -- urging people to tweet @invisible, including #askicanything, so that he and others can respond.

"We want you to know all about the next steps, so we're going to be sending details in the coming days," said Keesey. "And we want to answer any question that you have, that maybe wasn't addressed in this video."

CNN's David McKenzie, Jethro Mullen and Moni Basu contributed to this report.

@highlight

NEW: Invisible Children's CEO defends the nonprofit in a new video

@highlight

NEW: He says "Kony 2012" is tied to a "very intentional and strategic campaign"

@highlight

NEW: He says it's not true the organization hasn't been transparent with its finances

@highlight

The video, centered on an African warlord, has been viewed 74 million times online