Washington (CNN) -- A strong earthquake in Virginia shut down a nearby nuclear power plant Tuesday afternoon and sent out seismic waves felt by millions from Georgia to northern New England. Three aftershocks were reported by Tuesday evening.

No major injuries or extensive damage were reported after the 5.8-magnitude earthquake, which struck about 40 miles northwest of Richmond. The quake prompted evacuations of office buildings and the precautionary closing of monuments in the nation's capital.

A surge in calls by cell-phone users after the event affected service in many areas, federal officials said.

Aftershocks of magnitude 2.8 and 2.2 were recorded later in the afternoon, followed by one of 4.2 just after 8 p.m. ET, officials said. More aftershocks are possible in the coming weeks.

"It's one of the largest that we've had there," U.S. Geological Survey seismologist Lucy Jones said of the quake.

Most federal buildings in Washington had reopened by late Tuesday afternoon, but officials were taking all precautions before giving the all-clear to some of its most iconic structures. The U.S. Capitol was cleared for employees to come back to get their belongings, but inspectors asked people to limit their time inside the building while engineers continue to work around the complex.

A helicopter inspected the Washington Monument, and it was found to be structurally sound, the National Park Service said.

But a secondary inspection revealed cracking in the stones at the top of the monument. Structural engineers on Wednesday will determine the best way to repair the monument before it is reopened, the agency said. The grounds have been reopened except for an area about 100 feet outside the plaza.

U.S. Park Police spokesman David Schlosser said to his eye, the monument was "clearly not leaning. It's standing tall and proud."

The Lincoln and Jefferson memorials reopened Tuesday evening.

Witnesses reported a number of buildings were evacuated as far away as North Carolina and New York, where a 5.8 earthquake struck in 1944.

The quake, which was recorded at 1:51 p.m., was shallow -- just 3.7 miles deep -- and located 88 miles southwest of Washington near the town of Mineral, Virginia. The magnitude was initially reported as 5.8, then revised to 5.9, and then revised again back to 5.8.

With so many on the East Coast unaccustomed to earthquakes, many people were left wondering whether all that rumbling could have been caused by a truck, helicopter, an explosion or some other force.

Kate Duddy was in an office building elevator in Manhattan, alone, when the shaking started.

"I have never felt a quake before. It was scary having no idea what the cause was," she said. "I felt the vibrations and the elevator stopped for a period of about five minutes."

The earthquake triggered the automatic shutdown of a nuclear power plant less than 20 miles from the epicenter after it lost electricity. The quake signaled "unusual events" at 12 other nuclear facilities across the East Coast and Michigan, U.S. authorities reported.

Dominion Virginia Power said both reactors at its North Anna plant shut down after the first tremors. Reidelbach said the plant vented steam, but there was no release of radioactive material. Dan Stoddard, senior vice president of nuclear operations for Dominion, said there was no damage to the spent fuel pool.

Officials were restoring full power to the site, which was operating on diesel generators. Stoddard said that might happen by late Tuesday, but that was before the evening aftershock. The Nuclear Regulatory Commission was monitoring the plant.

Relatively minor damage was reported in a few Virginia counties, including Louisa, nearest to the epicenter.

Several school buildings had damage, as did town hall buildings, Louisa County spokeswoman Amanda Reidelbach told CNN. An unspecified number of minor injuries were reported in the county.

Desi Fleming, a resident of Mineral in Louisa County, said the quake arrived with a rumbling "that sounded like a train coming to a stop." It knocked down two chimneys on the converted 1900-vintage home that now houses her parcel-shipping business.

Tuesday's incident occurred in a known seismic zone in central Virginia, said Dave Russ of the U.S. Geological Survey. But the strength of the earthquake was a bit surprising. A 5.9 event occurred in 1897 near Blacksburg, he said.

At Washington's National Cathedral, spokesman Richard Weinberg said three 5- to 8-foot pinnacles had broken from the central tower. He said stone masons and engineers would assess the damage, which also included other pieces that broke and fell on the surrounding lawn.

The building was evacuated and closed to the public.

Wayne Clough, the secretary of the Smithsonian Institution, said the national museum's landmark castle on the Mall had cracks in interior walls. There was no immediate indication of structural damage, but the 150-year-old building will need closer examination, he said.

"You want to do an inspection to be sure about that," Clough said.

Clough, who's also an earthquake engineer, said the geography of the Eastern Seaboard helped transmit the shock from the Carolinas to New England. The underlying bedrock is largely a solid sheet, "so you get a lot more travel out of earthquake waves than you would in California," he said.

Those waves extended to downtown New York, where court buildings were evacuated.

"I was trying to figure out what was going on, like everyone else," said Manhattan District Attorney Cyrus Vance, who said he had been through many earthquakes when he lived in California.

Mayor Michael Bloomberg said at an afternoon news conference that the earthquake was felt "across the five boroughs" of the city, but there were no reports of injuries and "virtually no reports of damage."

The quake was also reported to have been felt on the island of Martha's Vineyard, where President Barack Obama was playing golf. He did not feel the earthquake, according to the White House.

The earthquake slowed but didn't halt major transportation services.

Service at major airports throughout the region was disrupted, but all were reported to have resumed normal operations about 75 minutes after the earthquake struck.

At John F. Kennedy International Airport and Newark-Liberty International Airport, control towers were evacuated, the Port Authority of New York and New Jersey said.

Amtrak on Tuesday evening said service between Washington and Baltimore had returned to normal speeds following inspections.

In Spotsylvania, Virginia, Tish Walker said she was spooked and staying outside for the moment.

"I used to live in California, so I know shaking and this felt big," she said. "I grabbed my dog and raced outside; my first thought is always that the furnace might explode or a cabinet crashes down on top of us."

CNN's Vito Maggiolo, Chris Lawrence, Susan Candiotti, Dan Lothian, Joe Sutton, Jim Acosta, Larry Shaughnessy, Matt Smith, Sarah Aarthun, Carol Cratty, Phil Gast, Brian Todd, Dana Ford, Catherine Shoichet and Tom Watkins contributed to this report.

@highlight

NEW: Amtrak says service operating normally between Washington and Baltimore

@highlight

Lincoln and Jefferson memorials reopen

@highlight

School buildings damaged in Louisa County, Virginia

@highlight

No major injuries are reported