Glasgow, Scotland (CNN) -- The Roman Catholic Church has not been vigilant enough or fast enough in responding to the problem of sexual abuse by priests, Pope Benedict XVI said Thursday.

"These revelations were for me a shock and a great sadness. It is difficult to understand how this perversion of the priestly ministry was possible," he told reporters aboard his plane to Scotland. "How a man who has done this and said this can fall into this perversion is difficult to understand."

He added, "It is also a great sadness that the authorities of the church were not sufficiently vigilant and insufficiently quick and decisive in taking the necessary measures."

British people feel overwhelmingly that the pope has not done enough to punish priests who abuse children, according to a ComRes poll for CNN released as Benedict arrived in the country. Three out of four British people -- and two out of three Catholics in the country -- say he should do more to punish abusive clergy.

Critics of the church were quick to pounce on the pope's remarks.

"It's disingenuous to say church officials have been slow and insufficiently vigilant in dealing with clergy sex crimes and cover ups. On the contrary, they've been prompt and vigilant, but in concealing, not preventing, these horrors," said Joelle Casteix of SNAP, the Survivors Network of those Abused by Priests.

Another campaigner took aim at the pontiff personally.

"The pope affects the stance of a shocked bystander, when in fact he has been for decades the church's central handler of sex abuse cases," said Terence McKiernan of BishopAccountability, a group that tracks reports of abuse by priests.

The pope made the comments as he arrived for a historic four-day state visit to Britain, where the issue of abuse, and the Vatican's perceived lack of response to it, has created anger.

But there was a warm welcome for him on a cold afternoon in Glasgow, Scotland, for the first major mass of his visit.

Tens of thousands turned out to hear him preach, with members of the faithful describing it as a "happy day" and calling it a "great honor" that he had come.

Benedict elaborated in Glasgow on what's expected to be a major theme of his visit, the value of religion in a society that he sees as increasingly secular.

"There are some who now seek to exclude religious belief from public discourse, to privatize it or even to paint it as a threat to equality and liberty," he said in his homily. "Yet religion is in fact a guarantee of authentic liberty and respect."

He also urged bishops to look after their priests -- possibly an oblique reference to the sex abuse scandal -- and warned young people against the temptations of "drugs, money, sex, pornography, alcohol -- which the world tells you will bring you happiness, yet these things are destructive and divisive."

Benedict started his visit in Edinburgh, where he held a meeting with the queen and greeted thousands who turned out to see him on the streets of the Scottish city.

Queen Elizabeth II shook hands with the pope at her Scottish residence near Edinburgh, the Palace of Holyroodhouse, before they sat down for a private meeting. A military marching band played the national anthem God Save the Queen, for which the pope removed his white cap.

The pope used relatively strong language in a speech delivered after the meeting, reflecting on the "sobering lessons of the atheist extremism" of the 20th century.

He reminded the media of its "greater responsibility than most" to promote peace and the spread of human rights, and he reminded the country of its "deep Christian roots" that he said are still present in "every layer" of British life.

"Today, the United Kingdom strives to be a modern and multicultural society," the pope said. "In this challenging enterprise, may it always maintain its respect for those traditional values and cultural expressions that more aggressive forms of secularism no longer value or even tolerate. Let it not obscure the Christian foundation that underpins its freedoms."

Those comments, too, resulted in "disappointment" from the British Humanist Association, which said the notion that atheism "somehow fuels intolerance in Britain today is a terrible libel against those who do not believe in God."

The National Secular Society said British secularism "is not something to criticize, but to celebrate."

"We have rejected dogmatic religion devoid of compassion," the group said in a statement. "In its place we have embraced and included gay people and given them the right to full equality, given women the right to control their own fertility, given scientists a free hand to seek cures for horrific diseases by the use of stem-cell research."

Though a pope has visited Britain once before -- Pope John Paul II in 1982 -- this is considered the first state visit by a pope to Britain because it comes at the invitation of the queen, not the Catholic Church, as was the case 28 years ago.

Benedict's September 16-19 trip is scheduled to include meetings with political leaders, royalty, and bridge-building events with Anglican Church officials. It will culminate in the beatification of British Cardinal John Henry Newman, a Catholic convert who died in 1890 and is credited with helping rebuild Britain's Catholic community.

Assistant Chief Constable Fiona Taylor, of Scotland's Strathclyde Police, said earlier this week that she estimated only 65,000 pilgrims would attend the Mass there, short of an initially anticipated 100,000.

There has already been widespread outcry over the estimated 12 million pounds ($18.7 million) British taxpayers are having to pay for the visit, though Christopher Patten, the prime minister's representative for the papal visit, has pointed out that one day of last year's G-20 summit in London cost 20 million pounds.

Criticism has also focused on the armed police squads needed to protect a religious figurehead previously targeted by attackers.

Along with anger about the Vatican's response to child and sexual abuse, there is criticism over the pope being granted a state visit, given the Catholic Church's attitudes towards gender equality and homosexuality.

Catholic leaders and government officials have defended the trip, with Prime Minister David Cameron saying Britain and the Vatican have "incredibly important work to do together" in promoting a "multi-faith dialogue."

CNN's Phil Black and Erin McLaughlin contributed to this report.

@highlight

NEW: Critics call his comments disingenuous and say he knew about the abuse

@highlight

Pope: The church has not been vigilant or fast enough to respond

@highlight

He describes "sadness" and says the abuse is difficult to understand

@highlight

The pope is visiting England and Scotland for four days