(CNN) -- My family moved to Bahrain in the late eighties when I was only three years old. Like many Western expats who grew up in Bahrain, I was fairly insulated from local politics.

None of my friends or their parents talked politics, and most Western expatriates like myself lived in safe, walled compounds, segregated and separate from Bahrain's villages.

Read more: Bahrain enacts stiff laws against 'terrorism' before opposition protests

Even during the 1990s intifada in Bahrain, I do not remember witnessing much trouble. I heard the odd skirmish, and the occasional siren, but as a child you tend to think that the police are the good guys and anyone giving them trouble are "the bad guys." Sometimes people would discuss "trouble in the villages," but other than that, my ignorance of the situation was the result of youthful indifference cultivated by an informal apartheid.

Fast forward to 2013, and my youthful ignorance serves as a useful metaphor for the alarming extent of apparent Western indifference to the ongoing political crisis in Bahrain.

Zakaria: Bahrain will pay heavy price for crackdown

Despite a lack of media coverage, state sponsored repression has been going on for the past two years. Skirmishes in villages between groups of youths and the riot police occur almost daily, and while the former burn tires and throw Molotov cocktails, the latter fumigate the villages with tear gas, a tactic so virulent that one NGO accused the Bahrain authorities of "weaponizing toxic chemical agents."

The skirmishes in the villages are symptomatic of over two years of repression by the Bahraini authorities. Peaceful demands for political reform put forward by thousands of Bahrainis in early 2011 have been ignored, and legitimate attempts to protest have been brutally repressed.

Renewed calls for demonstrations on August 14 have prompted the government to initiate a fresh swathe of repressive measures. Bahrain's opposition-less parliament recently passed reactionary laws banning peaceful gatherings in Bahrain's capital city and checkpoints, roadblocks and barbed wire fences have been erected around villages to stop people getting to protests.

Keen to censor any criticism, the Bahraini authorities have also arrested a number of activists and journalists, while some foreign observers have been denied entry. A lawyer representing a citizen journalist was even arrested for tweeting about the fact his client was tortured by police -- as if the message was not clear enough. The prime minister declared that Bahrain would "burn to a cinder all those who seek to tamper with its security and stability,"

It is unlikely that these "Tamorrod" protests will amount to anything, especially as the Bahraini authorities have spent the past two years breaking the back of the opposition movement. In 2011, thousands were arrested, tens killed, and dozens tortured.

Doctors who bore witness to the gross excesses of the security forces were tortured and imprisoned on spurious charges. Leaders of several political societies were arrested, tortured, and put in jail, where they still remain. Thousands were fired from their jobs for participating in legal strikes.

The state media spewed out sectarian hatred, and Sunni and secular support for the populist movement was tempered by government propaganda that claimed, despite there being no evidence, that the pro-democracy movement was an Iranian-backed attempt to install a Shia theocratic state. The government also demolished a number of Shia religious structures in order to anger Shia protesters and encourage them to become violent, and thus lessen moderate support for the movement.

In an attempt to reduce popular sympathy for the pro-democracy movement, the government portrayed the movement as xenophobic and intolerant by exaggerating protesters' attacks on expats. A government spokesman implied that 12 expats had been killed by protesters in 2011. In actual fact, two expats were killed by civilians, while one was shot by the Bahrain Defence Force. Expats who publicly express sympathy for the opposition risk deportation. Recently an American teacher was kicked out of Bahrain for writing articles critical of the government.

Between the blatant repression of 2011 and the recent reactionary measures ahead of August 14, there has also been an insidious attack on freedom of expression and due process in Bahrain. Insulting the King on Twitter or "inciting hatred" against the security forces will land you in jail, while activists are spending months in detention before trial -- often without access to a lawyer.

Torture and forced confessions are reportedly still ongoing, and no one has been held accountable for any of the alleged state crimes perpetrated over the past two years. On the contrary, Bahrain's prime minister was recently filmed thanking a suspected torturer for his services and promising his supporters impunity.

The prospects for Bahrain's pro-democracy movement are bleak, especially without Western support. Obama's recent call for meaningful reform in Bahrain was disconcertingly vague, and in his September 2012 address to the U.N., Obama failed to mention Bahrain despite expressing the need to support freedom elsewhere in the Arab world.

The unrest in Bahrain has also provided many commercial opportunities for Western companies and individuals. U.S. arms sales to Bahrain since the year 2000 have totalled $1.4 billion, and the Bahraini government have paid more than $32 million to Washington and London-based public relations companies to help whitewash human rights abuses. In 2011, the Bahraini authorities used U.S.-made tear gas on protesters, and ex-Miami police chief John Timoney went to Bahrain to help "reform" the police. Some of the Bahraini police have even received training from the U.S. military.

The current U.S. position can be explained by the fact the Bahraini government allows the U.S. to keep a naval base on the island -- and as long as U.S.-Iranian tensions continue, Bahrain's strategic value will remain high.

Unfortunately for Bahrain's pro-democracy movement, the U.S. are not going to risk upsetting the Bahraini government by pressuring for too much "meaningful" political reform. This continued U.S. support for a brutal regime is leading to increased resentment towards the American government by many Bahrainis, who feel let down by a nation that claims to support those who aspire to greater freedom, democracy, and liberty.

The opinions expressed in this commentary are solely those of Marc Owen Jones.

@highlight

State sponsored repression has been going on for the past two years, Marc Owen Jones writes

@highlight

The prospects for pro-democracy movement are bleak, especially without Western support, he says

@highlight

Jones: Extent of Western indifference to ongoing political crisis in Bahrain is alarming