Atlanta, Georgia (CNN)  -- Natalie Grant apologizes for crying, but she can't help it.

She is describing meeting a woman from India who is a counselor in a village where some women have been saved from human traffickers.

The counselor knew all too well what these women went through. When she was 12 her parents took her to Mumbai for her birthday. Her brother traveled with them. When they got off the train, the woman told Grant, she was separated from her family.

She began to cry endlessly. A man came up and said he would help. He didn't. He had purchased her from her parents, whom she said thought that she would be getting a job and sending money back to their village.

Instead she was thrown in the trunk of a car, and that night she began her horrific journey into sex slavery.

Years later, after being rescued and going through a "restoration" program, she met Grant, a popular Christian music singer who grew up near Seattle, Washington, never giving thought to sex trafficking. There was one word they both understood.

"She just kept looking at me and she kept saying, 'Jesus' over and over," Grant said. "In my American, comfortable life I've never experienced anything like that before. It wrecked me for life."

It was also a force in Grant, a four-time female vocalist of the year at the Dove Awards, starting a charity, The Home Foundation, to provide assistance for the battered and abused women rescued from trafficking.

Her mission started in 2004, when Grant was shocked as she watched a episode of "Law & Order" on human trafficking. She knew the show was based in fact and it bothered her so much she turned on the computer and spent hours that night searching the Web for information about trafficking.

"I found the Trafficking in Persons report for that year, and I just started reading it, and I thought, why don't I know this already," she said. "I watch the news all the time, why don't I know more about this?"

Within months, Grant had arranged a trip to India with her husband, music producer Bernie Herms, where their guide showed them the seedier side of life. Many of the street girls -- some as young as 5 -- were going to be sold and raped repeatedly that night, she said the guide told her.

"I'd be hard pressed to find a human being who would see that -- outside of the men who are the buyers -- that wouldn't be appalled by that," she said. "That doesn't mean everyone is going to come back and say I have to change it. But I believe enough in the human heart that it would at least wreck you, at least mess you up a little bit."

In her research, Grant found some stunning statistics. There are more sex slaves now than at any point in history, she said. More than 80 percent of them are women and girls. In the United States, there are more than 100,000 people who had been trafficked and less than 50 beds in shelters for those rescued, she said.

Grant knows that as a touring Christian music singer and someone who does a lot of media interviews, she has a unique platform from which she can drive a faith-based movement to fight trafficking. Faith-based because she feels the church is best suited at "restoring the broken."

So she started the Home Foundation in 2005 to raise money and partner with other charities to help out. For the first four years, it sent a lot of its money to causes overseas.

Grant, who figured she'd just get up at her concerts and ask the audience for money, said it's become a lot more than that.

Now, the goal is to build shelters, starting with 10 major U.S. cities. Grant also proudly talked about the new Christian Trafficking Shelter Association, which she likened to a Better Business Bureau of shelters. The foundation also has a growing internship program, she said.

Jeff Barrows, the director of the association, said by e-mail there are four centers that house young victims of sex trafficking, with one more building being renovated.

He thinks the United States is doing a good job in arresting and convicting sex traffickers, but there is still more the government can do.

"I personally believe that the U.S. is doing very well in prosecution, but could make some major strides in protection and prevention, especially when it comes to domestic minor sex trafficking victims," he said in the e-mail.

Barrows said his group will make sure shelters follow "established standards of care" and said Grant has been instrumental in helping

"She has shown leadership by realizing the need to develop best practices in this field so that efforts to help these victims are not haphazard or at worst, cause further harm to them," he said in the e-mail.

Grant appeals for more than just money these days.

"We can all do something," she said.

Write your congressmen to tell them to do more for the victims of sex trafficking, Grant said. She also would like people to boycott the website Craigslist until it stops selling adult ads or ask the religious leaders at their houses of worship to see what they are doing with their missions.

Most churches are very receptive to her sharing information during her concerts, she said, but not all.

"There was one church that said, "We know you do that whole trafficking thing, but we just don't want you to do that tonight. We just want you to do a real family-friendly concert," she said, palpable annoyance in her voice.

"I'm thinking, you're missing the whole purpose of what God wanted church to be," she said.

A portion of the proceeds from Grant's new album, "Love Revolution," will go to the Home Foundation. The CD is a reminder to Christians that a spiritual life is more than attending church each week.

The album is a call to action to let your life be your message, to let your lifestyle and the way that you live be the message of Christ's love.

"It's a return to being church rather than doing church," she said.

Grant is somewhat collected now, but she has another tale of a girl who was forced into slavery.

She recounts meeting the girl at one of her concert meet-and-greets last year. The girl was much like the others who attend her shows: young, good kid, active in her church. One day, she met a cute boy at a smoothie place. He invited her to a party and told her he'd have her back by 10. She got in the car with him

"Three weeks later the police found her. For sale, on Craigslist," she said. "It's not like she was a runaway. She was just a 16 year old from a Christian school who just went to Jamba Juice. And she was trafficked."

@highlight

Christian music singer Natalie Grant has won female vocalist of the year four times

@highlight

After watching a fictional TV drama on human trafficking, she decided to investigate the issue

@highlight

She visited India and decided to start the Home Foundation charity

@highlight

The non-profit wants to build homes so former sex slaves in U.S. can have a place of healing