Santa Monica, California (CNN) -- The clerks at Apple's store on Santa Monica's Third Street Promenade are well-trained.

When asked recently by a reporter about a new Apple Store rumored to be opening down the street, one worker said he didn't know about it, and even if he did, he couldn't say. He did point out that someone is building a store with a glass roof that looks a lot like some other Apple stores. Another employee smiled, looked away and said he didn't know anything.

But according to a person familiar with the plans who is bound by a nondisclosure agreement, Apple has already begun work on such a store in Santa Monica. Like the Peter Bohlin-designed Apple Store on New York's Upper West Side, it will have a tall, striking glass storefront, the person said. And like an upcoming store in a suburban Seattle mall, the new store will open next year a short walk away from a smaller one, which will close.

For this development in the beach town near Los Angeles, Apple has gone to extremes to ensure secrecy. The behavior has perplexed and infuriated city officials who are unclear why Apple would feel the need to hide a new store when it already has one a couple of blocks away.

The Santa Monica store episode also illustrates Apple's unusually covert way of doing business. Interviews with almost two dozen people familiar with Apple Store negotiations say the Cupertino, California, company sometimes employs uncommon legal tactics, refuses to name itself in public documents and hearings, and has sworn city government officials to secrecy.

An Apple spokeswoman declined to comment.

'Nobody would talk'

Howard Robinson, the real estate developer who has represented Apple at Santa Monica city meetings, has carefully avoided mentioning Apple by name. When reached by phone late one day in September, he declined to comment on the project, citing a confidentiality agreement with the company.

Apple, which recently began construction on the site, has managed to skate through most of the city's stringent public reviews.

In the first, Santa Monica's Planning Commission employed an unusual measure at an August 17 meeting. The only development proposal on the agenda that night involved tearing down the former site of a three-story Borders bookstore in the city's prized outdoor shopping district and constructing a 75-foot edifice that would require a special permit.

Instead of discussing and then voting on the project, as is usually the case, officials placed it on the consent calendar, which allows the commission members to vote on it immediately without input from residents in the audience. From proposal to unanimous approval, the entire process took 30 seconds, an archived video from the meeting shows.

"Nobody would talk about the fact that it was Apple," said Peggy Clifford, who has covered the public meetings for her Santa Monica Dispatch blog. "They really didn't want to have to say anything about it."

Even Tony Kim, the city planner who was assigned to and recommended the approval of the project, declined to name the incoming tenant.

"I've been asked not to divulge that information," Kim said in an interview. "I really can't say. I want to respect the applicant's wishes."

Several aspects of his dealings with the company for the new store were out of the ordinary, he said. Still, he favored having the new store.

"It was a project that has met code, and it was, we thought, a well-done project that didn't have any significant issues," Kim said. "It fit in with the neighborhood, and it was compatible in our opinion."

Michael Folonis, chairman of Santa Monica's Architectural Review Board, does not agree with Kim's assessment.

"It's a one-liner," Folonis said in an interview. "There's nothing about it to me as an architect that holds my interest at all, and from an environmental point of view, I think it's irresponsible."

The September 19 meeting

Apple's team presented the new store to the board of architects on September 19. According to an audio recording of the meeting, Robinson, the developer, said he was "representing a retail user who prefers to remain unbranded at this time."

Folonis said he was offended that the documents related to the project were submitted after the meeting had started, and were incomplete. The other board members agreed, and Folonis suggested they vote to delay the process, giving Apple more time to submit a complete report.

Folonis and another member, John Ellis, raised concerns about the building's sustainability. Glass structures might work in New York, in the shadows of tall buildings, but how would they fare under direct California sun?

"When I'm in these stores," Ellis began, paused and then whispered, "You know, I mean, the Apple stores, they sometimes can get hot because there are so many people."

Later that night, Ellis said: "That's a little kind of irritating that we can't say its name, but so, that makes it seem veiled in some sort of mystery to me."

The architectural board voted unanimously to delay the project. But six minutes later, as the board was preparing to adjourn, the Apple team returned and requested that the board vote again.

"They want us to vote on it?" asked Lynn Robb, the board's vice chairwoman.

"Um," Folonis stammered, "do we have a precedent for this?"

Apple's developer was allowed again to plead his case. Issues of sustainability and environmental impact are outside of the Architectural Review Board's purview, and therefore, should not be factored into the reasoning for the vote, he said.

"I'm sorry, but I feel you guys were off on a tangent there," Robinson said. "We asked you to look at the design aspects of this building."

Robinson addressed the question of how green the building would be by saying, "This company has a proven track record in sustainability. They have many, many programs. They've been well-known for it around the world."

Robb retorted that it was disingenuous of Robinson to tout Apple's environmental record without ever saying the name of the company.

"Is it worth stepping back and being more critical of who they are and what they're making?" Robb said later in an interview with CNN. "Are there things we're not seeing because it's so beautiful? Or because we love Apple so much?"

Yet, when it came time to vote for the second time that night, Robb gave her nod to the project. So did other board members who praised the store's conceptual design.

"It's going to be the most amazing, you know, most interesting building on the Promenade, probably by far," Ellis said. "I have seen other ones of these built, and I'm glad that we're going to get this new version here in Santa Monica soon, hopefully soon."

Of the five board members present at the meeting on September 19, Folonis was the only one to vote against the proposal. It was only the second time he had voted "no" in his seven-year tenure, he said.

As the stunned board members ended the meeting after passing Apple's project, Folonis could be heard mumbling, "Coming back in here and manipulating us."

Apple's perceived arrogance

In interviews, Robb described Apple as arrogant, its store architecture as temple-like and its demands for secrecy as odd. Folonis described the secrecy aspect as silly and childish, and the company's attitude as overly confident.

Concerns over Apple's perceived arrogance have been a topic of conversation among the company's board members, including Art Levinson and Al Gore, according to accounts in the new "Steve Jobs" biography of the late Apple co-founder by Walter Isaacson.

"I'm not worried about that," the book quotes Jobs as saying, "because we're not arrogant."

Whatever the motivation, Apple's behind-the-curtain strategies have been working. Getting approval for a retail development in Santa Monica, especially on the Promenade, is notoriously difficult and slow-moving, said a person familiar with the process who requested anonymity to protect his relationship with the city.

"Somehow this thing is being approved very quickly," said Arthur Pearlman, a commercial real estate exec who lives in Santa Monica but has not done business with the city. "Something is going on there that doesn't sound right."

Apple's contentious retail project was finally challenged on October 20. Daniel Jansenson, an architect in Santa Monica, filed an appeal with the city's Planning Commission.

"Obviously someone is in a big hurry to get this approved," Jansenson said in an interview. "There just was not sufficient information provided."

At a hearing, Jansenson and Folonis argued the new store should have to defer to thorough public scrutiny and play by the same rules that apply to every other developer in the city.

One resident, apparently frustrated with all of the secrecy, approached the microphone for no other reason than to address the elephant in the room.

"We all know what's going to be there," said Jerry Rubin with a dramatic pause. "An Apple Store."

Rubin's prediction appears to be coming true. The appeal failed, and Apple is not expected to face any more procedural hurdles in Santa Monica that could slow the store's development. For Apple, the quietest path often leads to victory.

@highlight

Apple is opening a new retail store next year in Santa Monica, California, sources say

@highlight

Apple and its contractors have declined to say whether the store is coming

@highlight

Sources: Apple rushed the store through the city approval process anonymously

@highlight

Real estate executive: "Something is going on there that doesn't sound right"