(CNN) -- The top U.N. human rights official deplored the "devastatingly remorseless toll of human lives" in Syria and exhorted the world community on Friday "to take immediate measures" to protect citizens.

"The onus is on all members of the international community to take protective action in a collective and decisive manner, before the continual ruthless repression and killings drive the country into a full-blown civil war," said U.N. High Commissioner for Human Rights Navi Pillay, in a written statement describing a dire human rights situation in Syria.

Her remarks came as protesters took to the streets Friday in various Syrian cities, a nationwide outpouring supporting the "free army," a reference to personnel who have defected from President Bashar al-Assad's military and to the recently formed Syrian Free Army. At least 12 people were reported dead in the latest protests, according to Syrian Observatory, an activist group.

Pillay said the government has "manifestly failed to protect its population" and has "ignored the international community's calls to cooperate with international investigations," she said.

"At stake are the universal rights to life, liberty and security of person which must never be brushed aside in the interests of realpolitik. The international community must speak with one voice and act to protect the Syrian people."

Protests erupted in Syria seven months ago, with demonstrators demanding changes to regime policies and/or an end to the regime. Opposition activists have accused officials of killing protesters, but the government has said it is going after armed groups.

The Syrian Observatory For Human Rights, a London-based activist group with a network of informants across Syria, estimates that more than 3,100 people have died since the uprising began in mid-March. Most of them are civilians but some are military personnel as well.

Pillay also said the death toll has exceeded 3,000 people and at least 187 of them were children. She said more than 100 people have been reported killed in the past 10 days.

The government "has consistently used excessive force to crush peaceful protests," she said.

"Sniping from rooftops, and indiscriminate use of force against peaceful protesters -- including the use of live ammunition and the shelling of residential neighborhoods -- have become routine occurrences in many Syrian cities," she said.

"In addition, thousands have been arrested, detained, forcibly disappeared and tortured. Family members inside and outside the country have been targeted for harassment, intimidation, threats and beatings. As more members of the military refuse to attack civilians and change sides, the crisis is already showing worrying signs of descending into an armed struggle."

Two months ago, she said there had been "credible allegations of crimes against humanity in Syria" and urged the U.N. Security Council to refer the matter to the International Criminal Court.

Countries across the globe have expressed outrage over the instability in Syria. The European Union and the United States have imposed sanctions against the regime.

The Gulf Cooperation Council, six Gulf Arab states, urged an immediate meeting of Arab League states to discuss the country's violence. The meeting should be at the foreign ministers level, the council said in a statement Thursday without providing details. Syria is a member of the Arab League.

Two Obama administration officials provided testimony about U.S. efforts to deal with Syria for a House Foreign Affairs Committee hearing on Friday.

Wendy Sherman, undersecretary of state for political affairs, cited "targeted financial measures to increase pressure on the Syrian regime and its enablers." She added the administration "remains committed to pursuing multilateral sanctions at the Security Council."

She said the United States is working to "ensure expeditious, unfettered and sustained access for international human rights monitors and journalists," Also, she said it is working with "international partners" to keep Syria from circumventing American and European sanctions."

Noting that Iran has "long used Syria as a strategic and logistical connection" to terror groups, she said the United States is working to break those ties with the sanctions.

David Cohen, the Treasury Department's undersecretary for terrorism and financial intelligence, said, "The sanctions are having a palpable impact," with the regime "struggling to find buyers for its oil, to access foreign currency, and to maintain economic stability."

"Echoing an action that we have taken, just this morning the EU announced sanctions on the commercial bank of Syria. By far the largest bank is Syria and it's key remaining link the international financial system," he said at the hearing.

Demonstrations occur regularly in Syria, but activists mount nationwide demonstrations every Friday after Muslim prayers and those events regularly have labels, like the "Free Army Friday" theme.

The Syrian Observatory said seven civilians killed and more than 30 wounded in the city of Dael in Daraa province in the south amid sustained gunfire. A woman and a child were killed in the Daraa Province town of Inkhel. A 10-year-old was killed in Damascus, a civilian was killed during clashes in the Damascus suburb of Saqba, and another was killed in Aleppo province, it said.

An activist from the Coalition of Free Damascenes for Peaceful Change said security forces fired on demonstrators, and that army defectors, including members of the Free Syrian Army, clashed with security. The activist said the person killed was a passer-by not participating in demonstrations.

"We have lost many lives and our businesses and farmlands are destroyed. We need someone to defend us and stand up for our freedom," the activist said.

Activists said security forces fired on protesters in the cities of Homs, in the west, and in Damascus, the capital, and besieged worshipers at a mosque in Banias, in the west. More than 4,000 people chanted for the Free Syrian Army in Idlib province, in the northwest.

In the city of Douma, in the south, communication lines, including cell phones, were cut off after earlier demonstrations, the group said. In Hasaka in the northeast protesters outside a mosque chanted "freedom."

The Syrian Arab News Agency, the government news outlet, said "armed terror groups" planted an explosive device in Daraa that was dismantled by soldiers.

It also reported "10 army and law enforcement officers" were killed after they were "ambushed by an armed terrorist group" in the Idlib province town of Binnish on Thursday. This narrative directly contradicts that of the opposition, which claims defector soldiers and civilians were killed.

At least 15 people were killed Thursday, including two young children, the Syrian Observatory said. Twelve of those killed were in Binnish, which soldiers raided searching for dissidents and army defectors, activists said.

Among those SANA reported killed on Thursday in Binnish was Lt. Col. Abdul-Majeed al-Misri from Daraa. But on Friday, Omar Idlibi, a Beirut-based spokesman for the opposition Local Coordination Committees told CNN al-Misri, whom he called a brigadier general, was in fact killed in the city of Hama, in the west.

Idlibi told CNN that Syrian security forces fired on al-Misri's car, killing him, after he defected from the military.

An opposition video shows people marching and denouncing Bashar and Hafez al-Assad in al-Misri's home village of Atman outside the city of Daraa. Hafez al-Assad was Bashar's father and preceded him as Syrian president

The man filming the video says at the beginning, "This is Free Army Friday, after the burial of Abdul-Majeed al-Misri." Thirty seconds into the video, a man holds up a martyr's portrait, purportedly of al-Misri.

The crowd is chanting "God damn you Hafez and Bashar."

CNN cannot independently confirm events in Syria, which restricts international journalists from accessing many parts of the country.

CNN's Ivan Watson, Salma Abdelaziz, Hamdi Alkhshali and Joe Sterling contributed to this report

@highlight

NEW: Activist group says at least 12 dead on Friday

@highlight

The death total in Syria includes at least 187 children, the United Nations says

@highlight

Activist reports clashes between military defectors and security

@highlight

Obama administration officials testify before a House panel