(CNN)  -- Despite the rise of the Web and its freewheeling second-by-second ferment, government efforts at control and censorship remain rife across the Middle East and North Africa, a new report said Thursday.

"In the Middle East and North Africa, the Internet has offered many people access to information and the outside world that would have been unimaginable a few years ago," according to the International Press Institute's latest report: the IPI Press Review 2009 Focus on the Middle East and North Africa.

"However, government control of the media remains tight in almost all [Middle East and North Africa] countries, and censorship and self-censorship are prevalent throughout the region."

The Internet has emerged as a challenge to officialdom and its pronouncements and reaction from activists. Journalists say government efforts to stem the flow of information are futile.

Communication on the popular social media sites, where people are attempting to elude the strictures of their governments, is playing a cat-and-mouse game with widespread independent reporting in places like Iran and Egypt.

But, said Anthony Mills, managing editor of the World Press Freedom Review based in Vienna, Austria, "Overall, things are getting worse."

In Iran, authorities cracked down on journalists after protests surfaced when President Mahmoud Ahmadinejad was declared the winner in the June 12 presidential election, a victory that many in Iran say was fixed.

"Dozens of journalists have been detained without trial, and several sentenced to long prison sentences," the report said. "As demonstrators took to the streets, a news blackout was imposed on the foreign media. And yet, through social media networks like Facebook, YouTube and Twitter, news of a violent government crackdown seeped out."

With the rise of the Internet, censorship efforts have emerged in Iran and other places across the region.

Iran "also cracked down on online media following the disputed June elections, and arrested online activists in an effort to stop the spread of dissenting information and opinions," according to the report.

Egypt, for example, uses a law designed to combat terror for arresting and detaining bloggers.

But Abdul Rahman al-Rashed, general manager of the TV network Al-Arabiya, said the resistance to the flood of Internet information from government and other sectors of society is like trying to stop the Nile River from flowing. They can't halt it.

"A lot of information is getting through to the average person, in Cairo, in Jeddah and Dubai. Censorship will not stop the free flow of information, in my opinion," he said.

Al-Rashed said the business needs of the telecommunications companies, the integral role the Internet plays in business, and the demand from citizens can't be thwarted. He said there might be remote regions where censorship can work because there isn't access to the Internet in such places.

Octavia Nasr, CNN senior editor for the Middle East who monitors social media sites, said young people are boldly circumventing the official media censorship across the Middle East with Twitter, Facebook and alternatives.

"People are taking matters into their own hands," Nasr said. "Traditional media is not necessarily a driving force."

Azza Matar, translator at the Arabic Network for Human Rights Information in Cairo, Egypt, said governments want the Arab world to use the Internet for fun and not interfere with government and serious issues, but people are circumventing the officials with new media.

"We're trying to express ourselves and expose the lies," she said.

People from different countries prefer different kinds of new media, she said. As for Iranians, who are gearing up for a day of protests Thursday against the regime on the Islamic Revolution's anniversary, she said Iranians prefer Twitter because it can't be blocked and "is faster than blogs in conveying messages for masses."

Neziha Rejiba, vice president of the Tunis-based Observatory for the Freedom of Press, Publishing and Creation and editor at Kalima Radio, said that theoretically, the whole world is getting its information online, but in the Middle East, censorship remains a reality, with cyberpolice blocking sites or even, as in the case of Syria, the Internet itself.

There is a dynamic in the Middle East between censorship and self-censorship.

"When journalists sit down to write a piece, they have to keep in mind the reaction to what they're writing. They're either scared of sanctions or revenge."

Bahrain's Foreign Minister Khalid Al Khalifa said the Internet "has revolutionized the world" and "has helped foster creativity, innovation and freedom."

There have been complaints there about the recent blocking of Web sites in Bahrain.

While Al Khalifa said regulating different kinds of censorship internationally is impractical, he said in the Middle East, censorship takes forms he has mixed feelings about.

"Censorship can be taken too far to silence dissent and opposing views, but it can also be used as a tool to prevent potentially destructive and damaging ideas and behavior. There is increasing concern about harmful content on the Internet from violence, inciting racial hatred and terrorist activity, to sexual content and pornography, which justifies censorship on moral grounds," Al Khalifa said.

As for other aspects of the Middle East and its media, the report reveals several relative silver linings when it comes to press freedom: the environment in Lebanon, Israel and the United Arab Emirates.

Lebanon has a "far and more diverse and vibrant media than any other Arab country," but the institute found that "most of Lebanon's media outlets are unduly influenced in their journalism content by powerful political figures to whom they are financially and politically beholden."

Mills said the media in Lebanon can be characterized as "partly free" because there's a lot they don't talk about, such as criticism of military intelligence and the head of state, for example.

According to the report, "Israel has one of the most open media environments in the Middle East" for Israeli journalists with a wide range of opinions and commentary.

At the same time, Israeli security policy prevents Israeli journalists from traveling into the Palestinian territories without special permission, and Palestinian journalists are prevented from entering Israel.

The report said both Israeli soldiers and Palestinian security forces interfere with the work of Palestinian journalists, and that journalists in Gaza have to resort to self-censorship.

Freedom of speech and press in the United Arab Emirates gets "some of the highest marks in the Arab world," but it "still has a long way to go."

The report cited a "number of taboo topics that journalists in the United Arab Emirates are not supposed to touch and indeed, most of the media do not," such as criticism of the ruling family. Across the Middle East, criticism of royal families and words perceived as insults to Islam have been criminalized.

In Iraq, violence there has dropped and so has the number of journalists' deaths, but "the U.S. military continues to imprison journalists without charge" and local security forces have been responsible for beating journalists. There is concern about the rise of proposed legislation stifling media freedom.

In Syria, which has "one of the world's worst records on media freedom," the media outlets are owned or controlled by the government. Political unrest elsewhere, the report said, is accompanied by media crackdowns, such as in Yemen, where there has been an insurgency in the north and civil unrest in the south. Elections in Algeria and Tunisia have also led to press freedom violations.

Governments have controlled "moral content" as well, the report said.

"In Saudi Arabia, several people involved in the production of a television show about sexual attitudes were sentenced to flogging and jail terms. In Sudan, journalist Lubna Hussein was sentenced to a flogging for wearing trousers. Following international uproar, the punishment was reduced to a fine, which was then paid by a pro-government journalists' association."

@highlight

International Press Institute's latest report notes rise of Web as news tool

@highlight

Governments seek to control news, sometimes by jailing journalists, report says

@highlight

News still gets out via Internet, social media, despite governments' efforts