(CNN) -- Many residents returning to their homes in southern Louisiana after Hurricane Isaac will find little comfort.

Throughout the state, at least 13,000 homes were damaged, Christina Stephens, a spokeswoman for the Louisiana Office of Homeland Security and Emergency Preparedness, said Tuesday.

She stressed the figure is a preliminary estimate, and that officials expect the number will rise as they gain access to some of the hardest-hit areas.

St. John the Baptist Parish, west of New Orleans, suffered extensive flooding after Isaac struck the northern Gulf Coast last week. Thousands of residents were driven from their homes when the storm forced water over the banks of Lake Pontchartrain.

Many are returning for the first time, Parish President Natalie Robottom told CNN affiliate WWL, and they are going to need help.

"They're doing what they need to do and we need to do our part. The state needs to do its part and so does the federal government," she said. "When these folks get home, they lost everything."

In nearby Plaquemines Parish, floodwaters are still flowing out.

"We got a long way to go. It's so much water," Parish President Billy Nungesser told WWL. "It's going to be some time before it all gets out of here."

He said authorities hope to patch levee breaches and then use pumps to get the rest of the water out. Nungesser also praised the work of the federal government, just one day after President Barack Obama was in the area to offer assistance and view the damage.

Throughout the state, roughly 40,000 customers were without power Tuesday, down from a peak of 903,000, according to the Public Service Commission.

Those without power must contend with a new obstacle: rebuilding their lives amid blistering temperatures and no air conditioning. The National Weather Service issued a heat advisory Tuesday for some areas without power, including the cities of Lutcher and New Orleans.

"The cumulative affect of typically hot and humid conditions combined with the lack of climate control due to power outages from Hurricane Isaac have created a life-threatening situation," the weather service said.

While many residents are focused on recovery, "we need everyone to take their risk of heat stroke seriously," said Bruce D. Greenstein, Louisiana Department of Health and Hospitals secretary. "This is a serious condition that can kill you."

Meanwhile, tar balls washed ashore on southeast Louisiana beaches, prompting some coastal water closures. They were found along shorelines that were affected heavily by the 2010 Deepwater Horizon oil spill.

Flood warnings remained in effect for parts of Louisiana and Mississippi.

The Pearl River, along the Mississippi state line, crested at 18.54 feet, roughly 4Â¼ feet above flood stage as authorities monitored a weakened lock on an adjoining canal. Parish officials warned people to stay away from the area, but authorities lifted a mandatory evacuation order over the weekend after they released water from the lock to relieve pressure.

Authorities were still dealing with threats posed by rain-swollen rivers and lakes, particularly in St. Tammany Parish, northeast of New Orleans.

Standing water can serve as ripe breeding ground for mosquitoes and the city of New Orleans urged residents to take care to protect themselves against West Nile virus, which has killed at least nine people in the state this year.

How communities bounce back from disaster

On Monday, Obama praised rescuers and volunteers helping clean up after Hurricane Isaac and offered federal help to beef up flood protection in the stricken area.

"I want to commend everybody who's here for the excellent work they've done in making sure that lives were saved, that although there was tremendous property damage, that people were in a position to get out quickly," he told reporters.

Authorities have blamed eight U.S. deaths on Isaac, six of them in Louisiana. The latest came Monday, when a 90-year-old man was found dead in his home in suburban New Orleans, Jefferson Parish Coroner Gerry Cvitanovich said.

The home was equipped with air conditioning, but the system didn't work with the electricity out, Cvitanovich said. Temperatures in the area were in the low 90s on Monday.

Isaac struck the Gulf Coast south of New Orleans as a Category 1 hurricane early Wednesday, the seventh anniversary of the devastating Hurricane Katrina. It had already killed 19 people in the Caribbean nation of Haiti, where it struck before moving into the Gulf of Mexico.

The storm posed the first real test to New Orleans since a $14.5 billion federal effort to reconstruct the city's flood control system after it failed during Katrina in 2005. Katrina killed almost 1,800 people, most when the storm overwhelmed the levee system and flooded the city.

Most of the areas hit hard by Isaac were outside the rebuilt levee system.

Opinion: The real trouble begins after Isaac is gone

CNN's Dana Ford, Holly Yan and Jessica Jordan contributed to this report.

@highlight

NEW: Tar balls wash ashore in Louisiana, prompting some water closures

@highlight

"We got a long way to go," says the Plaquemines Parish president

@highlight

Flood warnings remain in effect for parts of Louisiana and Mississippi

@highlight

Eight U.S. deaths are blamed on Hurricane Isaac, which killed 19 in Haiti