Cairo, Egypt (CNN) -- Ahmed Taha was 17 a year ago, when he says security forces abducted him outside Egypt's High Court, beat and raped him.

"They beat me," he says. "One stepped on my face. I was wearing my glasses. They broke the glasses and my face was disfigured."

Read more: Will Egypt's new president be a reformer?

He says the beatings were just the beginning.

"I felt someone coming in. I was almost dead so he picked me up from the floor and tore my T-shirt and started holding my body," he recalls. "I went into shock. He removed my clothes and sexually assaulted me in front of the other policemen."

For nine months, he says, his family couldn't find him in hospitals and police stations. His mother started to wear black in mourning.

Read more: Victims of injustice' in post-revolution Egypt speak out

Finally, his family located him and were able to visit him briefly in prison. Taha was released in July, without ever being indicted. He's now 18.

Egypt's Ministry of Interior refused to comment on Taha's claims and has long maintained that there is no torture inside its prisons.

Read more: Egypt president's tricky game of power

Taha, who says he has overcome the trauma with the help of a psychiatrist, recounts his story in a rush -- short sentences without pauses.

He believes others who have disappeared from the streets of Cairo since the start of last year's revolution may have similar stories -- if they can ever be found.

A March 2011 report found that 1,200 people went missing in the course of the uprising in January and February that year, according to Nermeen Yousri, co-founder of the Hanlaqihom (We Will Find Them) Campaign. The list of missing, which activists say is still with the cabinet of ministers, hasn't been updated or cross-checked with lists of names of those found dead or in military prisons.

Read more: Amid uneasy calm in Cairo, prime minister says some were paid to protest

Many believe those missing could be in military prisons without proper papers or may have been killed and buried without identification. During the uprising, there were forced, and sometimes temporary, disappearances of activists, and also random rounding up of citizens passing by sites of clashes and protests.

Read more: Opinion: Egypt's Islamists have much to prove on women's rights

Simple procedures, like keeping DNA records of anonymous bodies, could have helped narrow down the numbers of the missing, says lawyer Ahmed Raghab, a member of a new fact-finding commission mandated by President Mohamed Morsy. Raghab criticizes the actions of many state institutions, including judicial and investigative authorities, especially when dealing with missing people. The number of the missing, he says, could be in the thousands now following the turbulent 18-month transition.

The punishment

Mohamed Siddiq disappeared on January 28, 2011, a "day of rage" which resulted in nationwide clashes between police and protesters. His mother was able to talk to him on the phone two weeks later, the same day then-President Hosni Mubarak stepped down. He told her he was in prison. It was the last time she heard from him.

"The ministry of interior tells me all the revolution people are with the army, the army tells me they are with the interior ministry," Sabah Siddiq says. She calls her son's mobile number regularly and pays to keep it working.

"I know he's alive," she says repeatedly.

Read more: Egypt remains on edge during wait for election results

In July 2011, a soldier answered the phone and told her he found the SIM card near a detention facility outside Cairo. When she asked about her son there, officials told her about "a group of protesters from the revolution" who were held there. They were moved to an unknown place, she was told.

At a gathering for the families of the missing in August, the wails of the mothers screaming the names of their sons challenged claims of change.

"We believe it's a deliberate punishment to people who tried to protest and bring down the regime," said Yousri, of the Hanlaqihom Campaign.

Read more: As protests calm, tensions remain as U.S. seeks to protect embassies

Taha said he was tortured to force him to confess about crimes he didn't commit. He says he was taken near a protest staged by lawyers against changes in court procedure. He was accused of receiving foreign funding, holding thousands of judges hostage, arms possession, thuggery and protesting against the military. Most of the questions, however, were about his participation in the January 25 protests that forced Mubarak out of office.

In pants soaked with blood, Taha says, he eventually signed a pre-written police report. When he pleaded to a deputy prosecutor for help, telling him he was a minor, the official reportedly told him, "Here, you don't have rights."

"The value of the human being to our government is still not clear," said Yousri.

Read more: Egypt's tricky relationship with U.S.

The ministry of interior refused to comment on Taha's story and the issue of the missing.

The fact-finding commission was formed because of the lack of cooperation by security agencies, Raghab says. "If these entities were cooperative, a fact-finding mission wouldn't have been needed. Some security agencies have an interest in covering up parts of their crimes."

'Circle of frustration'

Several activists and psychiatrists working on missing persons cases say it is a double punishment for the detainees and the families. In the case of torture, for instance, the victims are denied the ability to adapt to the violence because they usually don't know the reason for their ordeal. The same applies to the family.

"Forced disappearances are worse than murder, because families are deprived from their right to know and to grieve," said Hossam Bahgat, director of the Egyptian Initiative for Personal Rights. Sometimes, he said, families feel that even if their children are dead, they are better off knowing the truth.

Read more: New TV channel run by fully veiled women

It's a dilemma. Families "are afraid to let go of the hope because maybe (their son or daughter is) out there somewhere and they would be letting (them) down if they stopped looking," said Yousri. "It's really a circle of frustration and anger and depression."

Many of the missing were the main providers for their families. To search in prisons scattered across the country is costly, increasing the families' financial burdens.

For many, such as Siddiq's family, the search in morgues continues.

"For my son not to come back ... of course, it's taking its toll on all of us. He's my only son. I need him," says Siddiq, pausing repeatedly to hold back the tears. Mohamed's picture is placed on the partition separating his small bedroom from the living room.

Like Taha, she is frustrated with Egypt's first elected president. She had hoped he would bring about substantial change and find her son. "Isn't the government supposed to bring me back my son? Who's responsible for this country? Dr. Morsy, right? He's supposed to find where my son is."

Morsy pardoned all political prisoners on Monday, but that leaves the missing file unresolved. Activists suspect that those supposedly held in prison are without proper documentation.

Lawyer Ahmed Seif El-Islam, a member of an official committee set up by Morsy to look into prisoners, said in August that there are "private prisons" associated with certain security agencies and outside the inspection jurisdiction of the prosecutor. Secret detention facilities in existing prisons, as alleged by some former prisoners, would be even more difficult to pin down, he says.

Read more: 5 voices on Egypt's 'unfinished revolution'

Taha, however, remains hopeful. "We must have hope because of the blood of the martyrs, the pain of the injured, the deprivation of the detainees, the injustice dealt to the revolutionaries. These things should inspire hope and push us forward and not look back," he says.

He was able to get a reversal of a decree expelling him from school for missing a year and is now working on a campaign against torture and the detention of students.

"We can face any oppressor or corrupt regime until we find the Egypt that we want, that we dream of," he says. "We will continue to the last breath."

@highlight

One report finds that 1,200 people were missing in the months after Egypt's revolution

@highlight

Many are still unaccounted for and families continue to search

@highlight

Egypt's president has created a fact-finding mission to investigate