(CNN) -- Kevin Chapman, the college graduate student who led the team that recently unearthed Civil War artifacts at the site of a Confederate prison in Georgia, recalls two visitors who came one day to watch one of the digs.

Doug Carter of Fayetteville, Georgia, and Nina Raeth of North Augusta, South Carolina, traveled in April to Magnolia Springs State Park, unaware of each other and the bond they shared.

Carter brought a "fowling" shotgun that belonged to his great-grandfather, Jesse Taliaferro Carter, who was a Confederate prison guard at Andersonville and Camp Lawton, site of Chapman's work.

Raeth, a great-granddaughter of a Union prisoner who also was at Andersonville and Lawton, came out of curiosity.

"It was kind of a magical day," said Chapman, a student at Georgia Southern University in Statesboro.

Since then, Carter and Raeth have become good friends, sharing research and family stories.

Jesse T. Carter was only 17 when he went off to war. After serving as a guard he was wounded in battle in South Carolina and ended the war at Columbus, Georgia. He died in 1924.

Raeth's ancestor, Sebastian Glamser, was a German immigrant who moved to Little Sandusky, Ohio, a few years before the Civil War. He served with the 37th Ohio, Company F.

"Doug has been such a source of information for me," said Raeth, who grew up in Michigan.

Her great-grandfather was captured in Atlanta in July 1864. After serving time in the prison camps, he was paroled in Virginia. He died in 1911.

Part of the family lore is how Glamser tried to hang on while in prison.

One of his few possessions was a lice comb. "He loaned it (to other prisoners) for a ration of food," Raeth said.

The descendants noted that both inmates and guards suffered late in the war.

"They shared a deplorable condition," said Carter. "They were both American soldiers."

Chapman, 36, said the chance meeting amplified what an archaeological excavation is really about -- understanding the lives and circumstances of the people who left personal belongings behind.

"It's huge," Chapman said of the discovery of the stockade's exact location and the first 200 artifacts.

"This was a very scientific survey," said the Summerville, Georgia, native.

Chapman was the star of Wednesday's formal announcement of the major find. Carter and Raeth also were on hand.

"He realized he was on to something that was the work of a lifetime," said Mark Musaus, deputy regional director of the U.S. Fish and Wildlife Service, which recently hired Chapman to work part time as an archaeological technician.

Chapman and fellow Georgia Southern students used strings, posts and grid patterns to work a tree-covered site on the grounds of Bo Ginn National Fish Hatchery next to Magnolia Springs State Park near Millen. In addition to the low-tech equipment, which included shovels, they also employed high-tech ground-penetrating radar and LIDAR, a device that studies soil beneath vegetation.

Chapman and Sue M. Moore, an anthropology professor at the university, said they didn't expect to find artifacts. Their target was pinpointing the camp's stockade.

Matt Luke, another student on the team, said technology one day will allow visitors to use devices to get a virtual look at artifacts and models of structures. For example, a visitor to the dig site could use a smart phone that would bring in GPS coordinates to show a model of the stockade wall.

So far, Chapman said, the students are unearthing many artifacts in clusters, indicating they may have been left in tents or shelters.

The discovery at Camp Lawton is expected to boost tourism in economically struggling Jenkins County as well as awareness of the anthropology program at Georgia Southern University, about a half hour south in Statesboro.

"It gives us visibility if nothing else," said Moore. "I'm just ecstatic my students were involved."

Aptly, Chapman's background has elements of the military and of corrections.

He served in the U.S. armed forces in Bosnia, learning the importance of the small things, like the bent picture frame he found at the Lawton site.

"It reminds me of the things you left behind," he said.

He also works part time as a bail bondsman at Akins & Sasseen Bonding Co. in Statesboro and has worked at the Bulloch County Jail.

"Prisoners have not changed much over time," Chapman said. "They've always improvised."

@highlight

Doug Carter and Nina Raeth have become friends after meeting at site of Camp Lawton

@highlight

Graduate student Kevin Chapman led the archaeological team in the field

@highlight

He says artifacts provide insight to Civil War prisoners' life and circumstances