(CNN) -- Lana Lawless hits golf balls. She hits them hard and far, with astonishing accuracy. She won the Women's Long Drivers of America competition in 2008 when she hit a ball more than 250 yards. Lana is so good, in fact, that the LDA changed the rules this year to prevent her from competing. The LPGA has a rule to specifically exclude her, as well.

In August 2009, 18-year-old runner Caster Semenya from South Africa won the gold medal in the 800-meter event of the World Track and Field Championships, beating her nearest rival by an astonishing two seconds. Afterward, she faced weeks of humiliating psychological, gynecological and physical testing to prove that she was female ordered by International Association of Athletics Federations. She eventually was allowed to keep her medal.

In 1936, Jesse Owens won four track gold medals at the Olympic Games in Berlin. He faced German taunts that his African heritage somehow provided an innate athletic advantage and that blacks should be banned from competing in future games.

And when baseball player Jackie Robinson shattered the racial barrier in professional sports, an act that we now celebrate for its courage, some players refused to share a locker room with him.

Prejudice, discrimination and unfounded charges of advantage or somehow cheating are nothing new to sports. It raised its ugly head again in Lana's case.

Lana is transsexual. She had sex-reassignment surgery in 2005. In every way that our society legally, socially or physically defines gender, she is female. She sued the LPGA and others, claiming a requirement in their bylaws requiring that participants be "female-born" is discriminatory. Make no mistake -- it is.

We've been down this path before. In 1976, transsexual tennis player Renee Richards was banned from competing in the U.S. Open because of a similar "women-born-women" rule. The New York Supreme Court struck down the rule, and Richards competed professionally from 1977 to 1981. Despite concerns of that allowing her to compete against women gave her an inherent advantage, her highest overall ranking was 20th in 1979.

Thirty-five years later, you'd think that we would be past this, but here we are. Different sport, same unfounded fears, same dehumanizing situation. And, same discrimination.

I, too, am a transsexual athlete. Although the last time I competed on a mat was more than 30 years ago, I trained to compete against some of the elite women athletes in this country at the U.S. Open Freestyle Wrestling Championships in April. I finished sixth in my weight class.

Some charge that we compete because of some inherent competitive advantage. Such charges are as ignorant as they are absurd.

We compete for the same reasons that others do: Because we love our sport, because we are athletes and because we want to continue doing something we enjoy. Competition is a fundamental right that we refuse to relinquish simply because our path to manhood or womanhood was nontraditional.

Click to read more opinions

The rest of the world is far ahead of the United States in this regard.

In 2003, the International Olympic Committee became the first international sports organization to develop a policy of inclusion for transgender athletes. Recognition that a person's gender is more complicated than any single factor, combined with the inability to identify medically sound testing criteria, led to discontinuation of mandatory sex testing on female athletes 1999. (Tests may be done on a case-by-case basis, however.)

According to IOC guidelines, transsexual athletes must have undergone hormone replacement therapy for at least two years, be legally recognized as the sex in which they want to compete and have had "sex reassignment" surgery in order to compete in their authentic gender. Many international sports organizations, including the governing body for wrestling, have adopted or defer to the IOC policies.

As transgender people continue to integrate into all aspects of broader society, the practices that have historically been accepted as "just the way it is" will be identified as discrimination. So, too, will the daily indignities that so many of us face regarding bathrooms, jobs, housing, harassment and having to prove our manhood or womanhood be identified as unacceptable, illegal and inherently unfair.

Lana's experience with the LPGA demonstrates that the combination of transgender people and athletics continues to be a volatile mixture that can easily devolve into an irrational, emotional argument rather than one based on fact or measurement.

Regardless, it's only a matter of time before a transsexual athlete becomes the first to represent his or her country at the Olympics. That day will be one to celebrate as another part of a long tradition of overcoming barriers to competition.

The opinions expressed in this commentary are solely those of Donna Rose.

@highlight

Golfer Lana Lawless banned from Women's Long Drivers, LPGA by anti-transsexual rule

@highlight

Donna Rose: Discrimination against transsexuals similar to past treatment of black athletes

@highlight

Transsexual tennis player Renee Richards won this battle back in 1970s, Rose writes

@highlight

Olympics allows transsexuals under rules, she says, that U.S. sports groups should adopt