(CNN) -- As a society, it seems we'll always struggle with our vices. Our governments are less morally conflicted, it seems.

Whether it's outlawing drugs, prostitution, even alcohol Prohibition, making vices illegal is problematic because it's illogical. Vices are personal choices made that harm one's own body or property.

Crimes, on the other hand, are wrongs committed against another person, or society as a whole—by definition, damaging another person's body or property.

It has often been said that vice crimes are "victimless," because each one of them involves a deliberate choice to inject, fornicate, snort or swill to the detriment of one person: the person with the bad habit.

Of course, supporters of vice prosecution argue that the individual's addiction or bad decisions always have an indirect collateral effect on society as a whole: Drugs and prostitution ruin neighborhoods, while booze and cigarettes impose a health care cost borne by all of us.

And then there's gambling.

On October 6, a federal district court judge will entertain New Jersey Gov. Chris Christie's request to permit legal sports betting in the Garden State. As it stands, a federal court of appeals has struck down a New Jersey law repealing a sports betting ban. The court held the state law conflicted with federal law, called PASPA, which prohibits engaging in a sports gambling scheme "pursuant to state law."

Which means -- and this is confusing -- sports betting may be legal in New Jersey.

Confused? You should be. Here's what happened:

New Jersey passed a 2012 state law legalizing sports betting in the state. That was challenged by the NCAA, NFL, NBA, NHL and MLB, and the federal government in federal court. The court voided the New Jersey law, finding it was pre-empted by the federal law.

Basically, if a state law conflicts with a federal law, and the federal exercise of power in that area is valid, the state law loses. So, the New Jersey law allowing sports wagering was struck down, except that the court observed that the federal law banned a state from "licensing" or "sponsoring" sports gambling. That is apparently different than banning a state from making sports gambling legal.

By this logic, New Jersey could pass a law making sports betting legal in a casino, so long as the state had no part in regulating it. The New Jersey Attorney General's office has since directed law enforcement to refrain from prosecuting casinos and racetracks for running sports-wagering pools.

The federal government and an association of sports leagues are opposing this move to legalize sports betting. These benevolent entities have every interest in preventing the moral scourge and corrosive addiction that is gambling.

Just kidding. It's all about money.

After all, state-sponsored gambling is already an entrenched part of our society in the form of the lottery. It's the ultimate hypocrisy to suggest that there's something evil about putting 50 bucks on the Eagles to cover the spread: a close to 50/50 wager. Meanwhile, if you would like to buy a lottery ticket, those odds on the Powerball are about a bajillion-to-one. But the government is happy to take your money on that bet.

Make no mistake, the only reason lotteries are legal is because the government gets to wet its beak. As long as the state offers some flimsy pretext about the money going to schools or senior citizens, we the people are placated.

That means you and I will continue to get stuck in line at the Kwik-e-Mart, behind some delusional nudnik spending money he doesn't have on a handful of scratchers, or calling out his "lucky" numbers to the clerk. Pal, you're in your pajama pants and slippers, out in public, at noon on a weekday: Your "lucky numbers" are anything but "lucky." Time for some new lucky numbers, and a job.

Placing a bet with your bookie at the bar is outlawed, but not because it's intrinsically immoral. It's illegal only because the government is not taxing it, and because the pro sports leagues are not getting a cut of the action. Believe me, if Apple figures out a way to fit prostitutes with one of those Square credit card readers for the iPhone to automatically deduct sales taxes and Social Security, well, just get ready for the UberEscort app is all I'm saying.

The nice thing about vices is that as they become more widespread, popular acceptance eventually overrides the law. Prohibition didn't work because we didn't accept it. Marijuana has become legal over time by slowly gaining ground, until users—and states—openly flouted federal criminal law. What a surprise: In states where it is now legal it is taxed and regulated.

Sports wagering is probably next. NBA Commissioner Adam Silver has conceded what the rest of us have known for a long time: Legal sports gambling is inevitable.

The sooner the leagues figure out an infrastructure that siphons revenue from Grandpa Vito's nasty penchant for blowing his pension check on the ponies, sports betting will magically become OK with pro sports. Don't believe me? Fantasy sports—gambling havens of their own—are legal, and now an industry.

The Unlawful Internet Gambling and Enforcement Act of 2006 makes an exception for any fantasy sports game with an outcome that reflects the relative knowledge of the participants (but not chance). That sounds a lot like betting on games—but then again, who are we to question the wisdom of Congress?

The pro teams and leagues must be furious, right? Well, actually no. The NFL, for example, runs its own fantasy leagues, and licensed use of any NFL products is an additional revenue stream. And, of course, fantasy activities increase viewership; instead of watching only your team on Sunday, you're going to watch every game and commercial featuring your fantasy players. Another way the NFL benefits massively from fantasy sports.

Here's the fascinating part about the New Jersey case: The federal court of appeals held that the state could not sponsor or license sports gambling. That put Christie in a bit of a pickle: Is there any point in legalizing sports wagering if the state doesn't get a piece of the pie?

That question might have been answered in the negative, if Atlantic City had not suffered big declines in the profits of casino businesses in 2013. It's in Christie's interest -- and that of New Jersey -- to revive the casino industry.

So then, can sports betting become morally and legally acceptable in New Jersey, where the government is prohibited from licensing or sponsoring it? Traditionally, gambling has only been legal when the government can profit, but the governor and his attorney general have apparently decided that a devastating loss of jobs in Atlantic City justifies forgoing money in the coffers.

While the Garden State has a "moral" dilemma, the leagues' position remains the same: the 3rd Circuit decision doesn't guarantee them any profit, so they will continue to oppose sports betting as they have so far in this case.

Ultimately, don't think for a second that the leagues, the states or the federal government care about the morality of our gambling addictions. They care about money. When gambling is profitable to these entities and interest groups, it's legal. When someone else is making the profits, it's magically illegal. Standing in line for the lottery in your bathrobe in the early afternoon? Still legal, but really sad.

@highlight

Court will rule on Chris Christie's effort to legalize sports gambling in New Jersey

@highlight

Danny Cevallos says sports leagues, federal government oppose the move

@highlight

He says it's not an objection on moral grounds; the foes just want their share of money

@highlight

Cevallos: For New Jersey, the key is to stop the loss of casino jobs