(CNN) -- That didn't take long. Just two weeks since the Supreme Court struck down Section 4 of the Voting Rights Act, state legislatures are moving quickly on voter suppression measures.

Already, six of the nine states that were previously covered by the requirement that changes in voting procedures be pre-cleared have started to bring up restrictive voter ID laws. If there is a glimmer of hope for voting rights advocates, however, it's that the court merely ruled that the formula was outdated, and that Congress "may draft another formula based on current conditions."

I agree with the court that indeed, the previous formula included in the Voting Rights Act does not address today's attempts to restrict the right to vote. In fact, I think it underestimates them.

Under the former formula used by the Voting Rights Act, nine entire states and certain counties and municipalities in six additional states were required to obtain federal preclearance before passing new voting laws. But according to the Brennan Center for Justice, already in 2013 more than 30 states, including my home state of Wisconsin, have introduced more than 80 bills that would restrict the right to vote. These bills would do everything from requiring photo identification at the polls, to limiting early voting opportunities, to creating burdensome registration requirements.

Although these efforts are not as blatant as previous voter suppression techniques such as literacy tests and violent intimidation, they are still discriminatory. The victims of these voter suppression efforts are usually the same, no matter the state: minority and low-income voters, the elderly and students.

In a country built on the foundation of civic participation, voting should be our most fundamental right, the right that ensures all other rights we possess. But the right to vote is, contrary to popular belief, not explicitly guaranteed by our Constitution. Although the right is inherent or implied throughout our founding document, and amendments prohibit discrimination based on race, gender, and age, we possess no affirmative right to vote. If we did, state lawmakers wouldn't continue to pass, and courts would not continue to uphold, these various restrictive voting laws.

So Rep. Keith Ellison of Minnesota and I have proposed a solution that we believe accurately reflects the current voting rights landscape; a solution that applies to all 50 states and protects the voting rights of all who call this country home.

This spring we introduced a "Right to Vote" amendment to the U.S. Constitution that would guarantee an affirmative right to vote for all Americans, no matter where they live. Our amendment is both simple and absolutely necessary: It ensures that every American citizen possesses the fundamental right to vote in any public election where he or she resides, and empowers Congress with the authority to protect this right.

The consequences of this amendment would be profound for the rights of voters everywhere. Now, it is the voter who has to demonstrate that his or her right to vote has been impeded by the state. With the ratification of our amendment, the burden of proof would switch to the states, which would have to demonstrate that they possess a compelling interest to restrict a voter's rights.

This would mean that all of the states who believe that we need voter ID laws to protect against a "crisis" of voter fraud would actually need to demonstrate that such a crisis existed. Predictably, when an investigation into voter fraud was launched in Wisconsin in conjunction with proposed voter ID legislation, barely a case was found when someone had voted in place of someone else. Other studies have found the same thing. Voter ID laws to counter voter fraud represent little more than a cure in search of a disease, and states must be stopped from implementing these discriminatory measures.

While the recent dismantling of the Voting Rights Act is certainly disheartening, we have a chance to strengthen our fundamental right to vote. As President Lyndon B. Johnson declared in 1965 to a joint session of Congress to encourage passage of the landmark legislation, "There is no duty which weighs more heavily on us than the duty we have to ensure that right." And there is no way that we can better protect that right than through a right to vote amendment to our Constitution.

The opinions expressed in this commentary are solely those of Mark Pocan.

@highlight

Mark Pocan: States are moving on voter suppression measures after Voting Rights Act ruling

@highlight

Pocan: A "Right to Vote" amendment would guarantee voting for all Americans

@highlight

Despite popular belief, he says, Constitution does not guarantee right to vote

@highlight

Pocan: Voter fraud nonexistent; states would have to prove a reason to restrict rights