(CNN)The late Saudi monarch King Abdullah bin Abdulaziz al-Saud assumed the throne in 2005, but had effectively been running the kingdom since his half-brother King Fahd's stroke a decade earlier.

His two decades at the helm of one of the West's key strategic allies in the Muslim world left an indelible, if ambiguous, legacy.

Here are the five most notable characteristics of his reign.

Hopes were high that Abdullah's reputation as a modernizing reformer would translate into gains for women in the ultraconservative kingdom.

But in the face of deep-seated cultural opposition to change, the progress was less than expected, said CNN's senior international correspondent Nic Robertson.

"He promised a lot of reforms but ... he was limited by the conservative nature of Saudi society."

Abdullah was the first Saudi monarch to appoint women to government positions. In 2013, he appointed 30 women to the 150-member Shura Council, the top consultative body that plays an advisory role within Saudi Arabia's absolute monarchy.

This year, women will be able to vote and run as candidates in municipal elections for the first time, and women have been elected to boards of chambers of commerce.

But many other restrictions on Saudi women remain: Women cannot marry, leave the country, go to school or open bank accounts without permission from a male guardian, usually their father or husband.

Saudi Arabia remains the only country where women are not allowed to drive, despite petitions and civil disobedience campaigns by activists in recent years.

In November, the Shura Council recommended that the ban be lifted, with restrictions, but the recommendation has not been acted on, and those who defy the ban continue to be prosecuted.

Robert W. Jordan, who served as U.S. Ambassador to Saudi Arabia form 2001 to 2003, said he had frequent conversations with Abdullah about human rights, including the rights of women in the kingdom.

"He said, 'Don't push us to breaking point'," Jordan told CNN. "It's a halting kind of process of reform, one that requires this kind of juggling."

Ali al-Ahmed, a former Saudi political prisoner and the director of the Institute for Gulf Affairs, said Abdullah's reputation as a reformer in some quarters was unwarranted.

The kingdom has been under international scrutiny in recent weeks for carrying out harsh punishments, including executions and floggings.

"Reforms in Saudi Arabia do not exist. This is an absolute monarchy, let's be honest," he said.

READ MORE: Saudi Arabia's 'reformer' King Abdullah dies

The September 11, 2001 attacks on Saudi Arabia's key ally -- in which 15 of the 19 attackers were Saudi -- were an inflection point for the kingdom.

Abdullah lobbied for the removal of U.S. troops who had been stationed in the country since 1990 --- a prime grievance for the September 11 attackers -- then set about bolstering its military with a $150 billion spend.

Attacks on residential compounds housing many Westerners -- in which dozens were killed -- led to a harsh crackdown on terrorist elements within the kingdom seeking to topple the House of Saud. Leaders were captured, followers driven underground and radical preachers sidelined, said Robertson.

Saudi Arabia has taken a lead role in the U.S.-led international coalition fighting the radical Sunni terror group ISIS -- which now rivals Al Qaeda as the world's most prolific jihadist group -- in Syria and Iraq.

But questions remain about the links between Saudi Arabia and Islamist terror.

In an interview with CNN's Christiane Amanpour in October, billionaire Saudi businessman Prince Alwaleed Bin Talal acknowledged that "unfortunately some extremists in Saudi Arabia ... did fund certain extremist elements in Syria," but insisted that the support had been stopped.

Others argue that Wahhabism, the puritan form of Sunni Islam that is the kingdom's official religion, promoted throughout the Muslim world, provides the ideological breeding ground for such groups.

Saudi Arabia now faces a threat from ISIS on its on border. Earlier this month, ISIS allegedly attacked a Saudi border patrol near Arar. The kingdom is building a massive fence along its border with Iraq in order to keep the militants out, said Robertson.

READ MORE: Amid turmoil, King Abdullah brought stability, pushed reforms

One of Abdullah's greatest legacies has been his focus on modernizing the Saudi education system, said Mark Weston, author of "Prophets and Princes: Saudi Arabia from Muhammad to the Present."

Following a failed attempt in 1979 by extremist insurgents to capture Mecca's Grand Mosque and topple the Saudi leadership, the kingdom responded by becoming even more conservative, said Robertson. This renewed puritanism was reflected in the education system for two decades, until Abdullah began an ambitious program of modernization, despite opposition from religious conservatives.

The centerpiece is the King Abdullah Scholarship Program, which has sent hundreds of thousands of young Saudis abroad to study at the government's expense.

The aim is to develop a workforce of Saudi nationals capable of replacing expatriate workers in higher-skilled jobs in the kingdom, but also to bring a more modern, international outlook to the kingdom.

"Giving these scholarships recognizes that the road of modernizing Saudi Arabia comes from education," said Robertson.

At home, the country's first coeducational campus, King Abdullah University of Science and Technology, was founded amid some objections in 2009.

In expressing his condolences, U.S. President Barack Obama credited Abdullah for his commitment to the education of his country.

READ MORE: Who is Saudi Arabia's new King Salman?

While Abdullah's legacy as a social reformer is up for debate, his achievements at economic reform are more clear-cut, say observers.

Besides his educational reform, the late king's other lasting achievement was joining the World Trade Organization in 2005, integrating his country into the global economy, said Weston.

Abdullah opened his country up for foreign direct investment and committed huge sums of the country's oil wealth on infrastructure and mega-projects such as the $86 billion King Abdullah Economic City, announced in 2005.

The reforms reflected Abdullah's recognition of the need to diversify the country's economy ahead of the inevitable day the oil money ran out, said Robertson.

READ MORE: Thousands to farewell King Abdullah

Saudi Arabia also lifted its international profile under Abdullah's rule, with the late king taking a strong role in regional and world affairs.

Obama, in expressing his condolences, praised the monarch for his "bold steps" in advancing Middle East peace initiatives, and for greater outreach to the international community.

During his reign, Saudi Arabia became the only Arab nation with a seat at the G20, and the first Custodian of the Two Holy Mosques, as the Saudi monarchs are known, to meet the Pope.

Abdullah espoused a message of religious tolerance, despite the strictures of Saudi Wahhabism, said Robertson.

CNN's Nic Robertson, Becky Anderson and Christiane Amanpour contributed to this report.

@highlight

King Abdullah had a reputation as a reformer, but his record disappointed some

@highlight

He faced stiff opposition to reform from religious conservatives within the kingdom

@highlight

Some credit his commitment to education and economic reform as his key legacy