(CNN) -- Israel is taking steps to defend itself against threatened retaliation from Syria after claims it launched a night assault on a suburb of the capital Damascus on Sunday. This was believed to be the second Israeli attack in three days.

The country positioned rocket interception batteries along its northern border and closed northern airspace to civil aviation after Syria vowed it would "suffer" for the alleged airstrikes on what it called a "scientific research facility."

Israel declined to comment on reported attacks.

In an exclusive interview with CNN's Frederick Pleitgen, Syria's Deputy Foreign Minister Faisal al Mekdad called the alleged assault a "declaration of war." Meanwhile, condemnation flowed from its allies, including Iran, which said the "vicious acts" could "jeopardize (the) security of the entire region."

What do we know about the extent of Israel's intervention?

We know what's being claimed by Syria, and that is that several explosions hit the scientific research center in Jamraya early Sunday, killing 42 Syrian soldiers, the opposition Syrian Observatory for Human Rights said Monday, citing medical sources. It said 100 people remained missing. Syria's state news agency, Sana, said early information indicated the explosions were caused by Israeli rockets, though Israel has a policy or refusing to comment on attacks attributed to its military.

It's not the first time Israel has targeted the site, Sana reported, pointing to an attack on January 30. At the time, a U.S. official told CNN the claim was false, saying that Israeli fighter jets targeted a Syrian government convoy carrying surface-to-air missiles bound for the militant group Hezbollah in Lebanon. Syria denied there were such shipments.

Last week, two U.S. officials backed up Syrian claims that Israel had launched airstrikes in the country on Thursday or Friday, taking the total number of potential strikes within Syrian territory to three, including Sunday's alleged attack.

On Sunday, the Lebanese Army and UNIFIL -- the United Nations Interim Force in Lebanon -- intensified their patrols along Lebanon's border with Israel, according to Lebanon's national news agency. It said the move followed the alleged blasts and "intensified Israeli Army patrols" along the "'Blue Line' within the occupied territories."

United Nations Security-General Ban Ki-Moon has urged all sides to exercise "maximum calm and restraint." However, Ban's spokesman said in a statement issued on Sunday that the United Nations could not "independently verify what has occurred."

Is Israel saying anything?

Israel's long-standing policy has been to deny comment on claims of attacks. However, it has previously said that it would target any transfer of weapons to Hezbollah or other terrorist groups, as well as any effort to smuggle Syrian weapons into Lebanon that could threaten Israel.

Shaul Mofaz, a lawmaker in Israel's Knesset or parliament, told Israeli Army Radio on Sunday that Israel wasn't meddling in Syria's civil war. But he insisted that Israel must protect itself from Lebanese militants. "For Israel, it is very important that the front group for Iran, which is in Lebanon, needs to be stopped," Mofaz said.

"Hezbollah is deeply involved up to its neck in what is happening in Syria," Mofaz said, before adding "Hezbollah helps the Iranians navigate against the rebels."

How is Hezbollah involved, and what is its connection to Iran?

The supply of weapons by Iran to Hezbollah in Lebanon is thought to be at the heart of the issue. Iran has long supported Hezbollah with funding and weapons, which it's alleged are smuggled via Syria to the organization's Lebanese base. After Sunday's strike, Iran's foreign minister phoned his counterpart in Syria and "praised the resistance by the Syrian government against the enemies' plots."

Hezbollah is a Shiite militant group regarded by Israel and the United States as a terrorist organization, although its political wing is a key player in Lebanon's government. It has been linked to a number of attacks against Israeli, U.S. and other Western targets. In 2006, Israel and Hezbollah fought a month-long war in Lebanon, northern Israel and the Golan Heights which ended with a U.N.-brokered cease-fire. At the time, Israel was said to be surprised by the intensity and weaponry displayed by the Hezbollah forces.

Israel says it has intelligence that Hezbollah has long been supported by the Syrian government and Hezbollah has in turn been supporting the Syrian regime throughout the country's civil war.

Hezbollah has been accused of sending fighters into Syria to support the Assad regime in the south and south west, but has denied these claims, saying its militants have, only recently, begun defending Lebanese border villages from attack by Syrian rebels. In 2009, the top U.S. diplomat in Damascus disclosed that Syria had begun delivery of ballistic missiles to Hezbollah, according to official cables leaked to and published by WikiLeaks.

How real are fears that this could lead to a regional Middle East war?

Few sides at this point would logically appreciate a widening of the conflict -- but hopes of resolving it seem as distant as ever.

"The Syrian struggle has not only spread into Syria's neighbors, like Lebanon, Iraq, Jordan and Turkey -- but has also become a battlefield wherein Israel and Iran are challenging each other," Fawaz Gerges, professor of international relations at the London School of Economics, wrote in an opinion piece for CNN.

"There is also a fierce geostrategic rivalry unfolding in Syria between Sunni-dominant Saudi Arabia and Shiite Iran, a rivalry invested and fuelled with sectarianism. A real danger exists that this complex conflict in Syria could escalate into a region-wide battle involving Syria's major allies -- Iran and Hezbollah, and Israel, other regional powers, and the Western states."

Analysts say that as part of the Lebanese government the group would be risking a great deal if it responded to Israeli aggression with force. Israeli officials are betting that al-Assad will not retaliate, both because his forces have their hands full already and because any strike against Israel would risk Israeli counterstrikes that might seriously degrade his advantages in the civil war, like airpower. "They don't want to open a new front that might be the last one they open," says one Israeli military official on condition of anonymity. "They would suffer a knockout punch."

Syria's military is exhausted by the civil war and it would make little sense to open a new front against the best equipped military in the region, unless it was in a last-ditch attempt to garner flagging support as its internal morale vanished.

But two years into the Syrian civil war there does not seem to be a military solution. "It is a long war of attrition with no end in sight," wrote Gerges. "Neither internal camp seems to have the means to deliver a decisive blow.

"Only a political solution will put an end to the shedding of Syrian blood and prevent the unthinkable: a region-wide conflict that would have catastrophic consequences."

Hilary Whiteman contributed to this report

@highlight

Israel takes steps to defend itself after claims it launched an assault on Damascus

@highlight

In exclusive interview with CNN, Syrian official called alleged assault "declaration of war"

@highlight

Few would logically appreciate widening of conflict, but hopes of resolving it seem distant