There's one thing that even the traveler who can afford to go anywhere can't buy: time.

Rest assured, if they could, our nation's wealthy would slip through history in nuclear-powered DeLoreans, splashing time-space mud upon the rest of us present-bound plebes as they zoomed past.

To help them out (all of us, really), we've identified the next best thing: a roundup of destinations -- from bucolic to bourgeois -- that will make you forget what era you're in.

Hotel Monteleone (New Orleans)

New Orleans is like an accordion of time, with every period folded over onto itself, forming a single wild note.

This sound can be heard loudest in the French Quarter.

No hotel captures the rich, rhythmic history of the city like Hotel Monteleone.

Built in 1886, the Beaux-Arts style high-rise transports you to the early city's heyday as soon as you enter its majestic white marble-covered lobby.

Done up in elegant style, author suites are named after favorite former guests William Faulkner, Ernest Hemingway, Tennessee Williams and Truman Capote.

A visit to the Carousel Bar & Lounge is practically mandatory. The bar has been revolving for 64 years and specializes in the Vieux Carre Cocktail -- a mixture of Benedictine, Peychaud, Angostura bitters, rye whiskey, cognac and dry vermouth that was reportedly invented by one of the Monteleone bartenders as patrons spun around him.

Hotel Monteleone, 214 Royal St., New Orleans; +1 504 523 3341; rooms from $170

The Biltmore Hotel (Miami/Coral Gables)

Constructed with Italian, Spanish and Moorish influences, the Biltmore in Miami-Coral Gables is a towering, opulent castle rising from South Florida's tropical terrain.

During its prime, the Coral Gables Biltmore was a favorite of the Vanderbilts, the Roosevelts, mobsters, celebs and European dignitaries.

While you can no longer see weekly synchronized swimming and alligator wrestling, take swimming lessons from Johnny Weissmuller (before he was Tarzan) or dance to oversized jazz orchestras, there are still plenty of old school luxuries.

For instance, the Donald Ross-designed golf course, originally constructed in 1925, and afternoon tea while listening to classical guitarists.

The Biltmore,1200 Anastasia Ave., Coral Gables, Florida; +1 835 311 6903; rooms from $209

Beverly Hills Hotel (Beverly Hills, California)

Built in 1912, the Beverly Hills Hotel predates the city of Beverly Hills by two years.

Early on, the Mediterranean-revival building hosted Charlie Chaplin, Buster Keaton and Will Rogers, and the star power carried on through the years.

Elizabeth Taylor spent six of her eight honeymoons at the Pink Palace.

From the '40s-era Formica counter and pink stools of the Fountain Coffee Room to the canopied beds to the white-and-forest-green-striped Polo Lounge, it's easy to forget which war is on.

Beverly Hills Hotel, 9641 Sunset Blvd., Beverly Hills, California; +1 310 276 2251; rooms from $492

Hotel Lautner (Desert Hot Springs, California)

The Desert Hot Springs Motel was a midcentury-modern oasis designed by Frank Lloyd Wright protégé John Lautner.

The building was originally intended as the first of many that would constitute a new community in Desert Hot Springs -- the brainchild of film director Lucien Hubbard -- but the plan was abandoned and the motel became a destination for stars looking for a quick flutter away from the City of Angels, less than two hours west.

The site soon went into disrepair, then endured a few lives of its own before an interior designer and furniture designer purchased, revitalized and renamed the motel.

Now Hotel Lautner is an ode to its namesake. Every inch keeps in tune with the architect's philosophy, yet each room feels as fresh as if Lautner gave the final OK just a few months ago.

Hotel Lautner, 67710 San Antonio St., Desert Hot Springs, California; +1 760 832 5288; closed July and August; rooms from $225

Dunton Hot Springs (Dolores, Colorado)

If you're hankering for a trip back in time, maybe the 1880s Wild West suits your boots.

About 30 miles southwest of Telluride sits Dunton Hot Springs, a former gold and silver mining village that's been transformed into a rustic paradise with 12 cabins, a dance hall and an open-air chapel.

The "town" draws guests who want to leave cell phone service behind and relax in the natural hot springs.

Though visitors are surrounded by nothing but nature, they're far from roughing it -- each cabin has been restored with elegance and comfort that couldn't have been imagined by early settlers, even if they'd struck it rich.

Dunton Hot Springs, 52068 Road 38, Dolores, Colorado; +1 970 882 4800; from $600

Grand Hotel (Mackinac Island, Michigan)

To get back to an age when carriages shared the roads with pedestrians and bicycles, you need to visit Mackinac Island, where you can stay at the aptly named Grand Hotel.

Opened in 1887, the massive Queen Anne-style hotel has remained largely unchanged since the early years when Edison Phonograph agents held demonstrations and Mark Twain lectured in the casino.

Cars were allowed for about three decades, but the citywide ban on them began in 1930.

Perhaps the hotel's grandest distinction is its porch: At 660 feet it's said to be the longest in the world.

Guests can walk the entire length or sit in one of dozens of white rocking chairs and look out over Lake Huron.

Grand Hotel, 286 Grand Ave., Mackinac Island, Michigan; +1 800 334 7263; rooms from $139

Plaza Hotel (New York)

You can almost feel the jazz radiating from the walls of this historic F. Scott Fitzgerald haunt.

The Lost Generation's most famous partier loved the Plaza so much, he made it a setting in his greatest work, "The Great Gatsby."

The hotel hasn't shied away from the honor. They've even gone so far as to create a Fitzgerald Suite.

If you prefer a room unburdened by photos of Leonardo DiCaprio and Carey Mulligan, there are other vintage options available.

Whether you're staying at the hotel or not, a night in any of the hotel's dining and drinking venues might make you feel like you could run into Jay Gatsby at any moment.

Plaza Hotel, 768 Fifth Ave., New York; +1 212 759 3000; rooms from $533

Old Faithful Inn (Yellowstone National Park, Wyoming)

For more than a century, nature lovers have been staying at the largest log hotel in the world, overlooking America's favorite (and most punctual) wonder.

The colossal rustic lodge is just as impressive as it was when it opened in 1904, and probably just as crowded, so don't expect much intimacy or peace during peak hours.

There's also the matter of a tacky tourist shop and mediocre food.

But where else can you stand on a terrace with a cocktail, watching moose grazing below, as boiling water shoots 185 feet up from the earth in the distance?

Old Faithful Inn, 1 Grand Loop Road, Yellowstone National Park, Wyoming; +1 866 439 7375; rooms from $103

@highlight

Elizabeth Taylor spent six of her eight honeymoons at the Beverly Hills Hotel

@highlight

Southern California's Hotel Lautner is a midcentury-modern masterpiece

@highlight

Grand Hotel on Mackinac Island, Michigan, is said to have longest porch in the world: 660 feet

@highlight

New York's Plaza Hotel's art deco Fitzgerald Suite honors the writer and his era