(CNN) -- Anwar al-Awlaki was killed exactly one week after President Ali Abdullah Saleh returned to Yemen at the end of a long period of medical treatment in Saudi Arabia. Intelligence analysts say that may have been no coincidence, and that with al-Awlaki's killing, Saleh is underlining to the West -- and the Saudis -- that they still need him.

Saleh's return was something of a surprise both to Yemenis and the international community. He had been seen as the main stumbling block to political dialogue and a transition to fresh elections sponsored by the Gulf Cooperation Council. But several analysts consulted by CNN said the Saudis were concerned that the growing unrest in Yemen could morph into outright civil war -- in a country that shares a long and porous desert border with the kingdom.

The rationale in Riyadh, according to these analysts, was that only Saleh had the guile and stature to pull his country back from the brink, despite his injuries and his array of enemies. And at the same time, Saleh would be best placed to turn up the heat on al Qaeda, now established in at least two eastern provinces and in parts of southern Yemen.

Diplomatic sources in the Gulf say that far from being surprised by Saleh's return, the Saudi authorities sanctioned and assisted in it, providing a jet that flew him to the southern city of Aden in the early hours of Friday last week. They say Saleh did not fly directly to Sanaa, the capital, because the airport and the route into the city are not reliably under government control. In fact, the capital is now a patchwork of pro- and anti-Saleh enclaves.

A helicopter was waiting at the Aden airport to fly Saleh 200 miles to the presidential palace in Sanaa before dawn. Again, arriving by air was probably preferable to negotiating the chaotic streets of the capital.

American-born radical cleric understood the West

There has been no official comment from Saudi Arabia on how Saleh returned home from Riyadh, but sources in Sanaa and elsewhere in the Gulf say the Saudis wanted Saleh back in Yemen because they were increasingly anxious about the growing political influence of militant Islamists in Yemen seen as sympathetic to al Qaeda. They point out that Saleh met with Saudi King Abdullah a few days before he returned.

The kingdom has long been concerned by the growth of al Qaeda in Yemen, even though the number of militants may not exceed several hundred. Several prominent Saudi jihadists have joined the leadership of al Qaeda in the Arabian Peninsula, which for a while in recent months took control of most of the city of Zinjibar in southern Yemen. It was also from Yemen in August 2009 that al Qaeda sent a suicide bomber -- 23-year-old Abdullah Hassan Tali al-Asiri -- to carry out an assassination attempt on Saudi ArabiaÂ´s intelligence chief, Prince Muhammad Bin Naif, in August 2009.

Analysts say that to the Saudis, and indeed to Washington, any commitment by Saleh to chase down al Qaeda's leadership in Yemen would be welcome indeed. And, they say, Saleh probably perceives a grand bargain himself: cooperate in tracking down al-Awlaki and other AQAP seniors in return for less pressure to leave office.

U.S. drone killed American cleric in Yemen, officials say

Just hours before al-Awlaki's death, Saleh hinted at his own unique role in "saving" Yemen from al Qaeda, and broader coordination with allies, in an interview with the Washington Post and Time magazine.

"We are fighting the al Qaeda organization in [the southern region of] Abyan in coordination with the Americans and Saudis," he said in an interview at the presidential palace. "At the same time, American intelligence has knowledge that (al Qaeda) is in contact with both the Muslim Brotherhood (the opposition Islah party) and the military officers who are outlaws. And they (the Muslim Brotherhood and officers) told the vice president, "Give us Abyan, and we will stop the war in Abyan and the al Qaeda network there."

In other words: 'All my opponents are in league with al Qaeda.'

Al-Awlaki: Who was he?

Opposition figures in Yemen say it's unlikely that Saleh returned home, despite terrible burns and a chaotic situation, just to hand over the keys to the presidential palace. And certainly, since his return, Saleh has given little indication that he plans to go quietly. In the Time and Post interview, he launched a broadside against tribal leaders and dissident generals opposed to him.

"The GCC initiative is clear. It says to remove all the elements causing tensions," he said. "Because if we transfer power and they are there, this will mean that we have given in to a coup. If we transfer power, and they are in their positions, and they are still decision-makers, this will be very dangerous. This will lead to civil war."

Former CIA spy: Al-Awlaki "very narcissistic"

Christopher Boucek, an expert on Yemen with the Carnegie Endowment for International Peace, says Saleh is the one political institution who is above everyone else in Yemen. He can adjudicate a dispute or solve a problem. "In my mind it is no coincidence this happened after his return," Boucek says.

Boucek adds that the dynamic inside Yemen has changed. Previously the government was reluctant to move against al-Awlaki because of fears about a hostile domestic reaction -- and the influence of his family and clan. That has changed: intelligence co-operation has improved and the killing of al-Awlaki is a way for Saleh to demonstrate that the United States still needs him.

Saleh, now in power for more than forty years and regarded as one of the wiliest politicians in the Arab world, is well aware of the dynamic. "What we see is that we are pressurized by America and the international community to speed up the process of handing over power," he told Time and the Washington Post. "And we know to where the power is going to go. It is going to al-Qaeda, which is directly and completely linked to the Muslim Brotherhood."

The shorthand: "Apres moi, la deluge."

But there is also a Yemeni saying which translates roughly as "From a pound of talk, an ounce of understanding." Suitable guidance in any exploration of President Ali Abdullah Saleh's motives and intentions.

CNN's Rima Maktabi contributed to this report

@highlight

President Ali Abdullah Saleh recently returned to Yemen in a surprise move

@highlight

He says all his enemies are connected to al Qaeda

@highlight

Saleh has the reputation of being a wily politician