(CNN)When Indiana Gov. Michael Pence signed his state's Religious Freedom Restoration Act (RFRA), he apparently did not anticipate the resulting uproar.  Many of Indiana's businesses fear that the law could be used to allow store owners to deny service to gay, lesbian, bisexual and transgender (LGBT) persons.

The NCAA has expressed concern about the Final Four, which Indianapolis is hosting this weekend, and other companies have threatened to move their businesses outside of the state.

But, when pushed on the issue, Pence insisted that the law is "not about discrimination" but instead is "about protecting the religious liberty of every Hoosier of every faith."  When asked whether he would allow an amendment to clarify that the law will not preclude anti-discrimination protections, the governor doubled-down, noting that "we're not going to change this law."

But members of the Indiana legislature beg to differ with the governor, pledging to "fix" Indiana's RFRA. And now, the Governor has changed his tune, also calling for a fix to the bill.

Can there really be an easy "fix," short of repealing the Act? The answer is, of course, it depends.

Under RFRAs like Indiana's, people are not free to disobey any law in tension with their religious convictions.  Instead, RFRAs create a standard to balance a person's religious interests against the governmental policy at stake.  Under Indiana's RFRA, the government must show that its policy interest advances a compelling state interest and is the least restrictive means to address the problem at issue.

The question would then become whether anti-discrimination laws advance a compelling interest in the least restrictive means.  The answer to that question is easy: yes.  The adoption of such laws have long been viewed as advancing compelling state interests, and the only way to eliminate discrimination is to ban it, so they are the least restrictive means.

At present in Indiana, there is no state-level law that protects LGBT persons from discrimination by private parties.  In certain cities and other, local jurisdictions, however, there are ordinances prohibiting such discrimination.

Indiana would have two ways to "fix" the RFRA problem. The first would be to adopt state-wide nondiscrimination laws that protect LGBT persons.  Such an act would confirm that, as a matter of state policy, protecting the LGBT community is viewed as a compelling state interest.  This would bring Indiana into alignment with Illinois, which has a RFRA, but which also has a comprehensive nondiscrimination statute, ameliorating any concerns about the RFRA being used in discriminatory fashion.

Given the wishy-washy answer that Gov. Pence provided when asked whether he thought discrimination against LGBT persons was appropriate, the likelihood of Indiana adopting a comprehensive nondiscrimination statute seems remote at best, eliminating this fix as an option.

Another possibility would be to amend the statute to confirm that any federal, state, or local nondiscrimination laws constitute a compelling state interest for the purposes of the RFRA.  Importantly, federal law does not protect LGBT persons from discrimination by private actors, and neither does Indiana state law. But this language would expressly carve out local ordinances from the scope of the RFRA, such as the nondiscrimination ordinance in Indianapolis.

In essence, this would preserve much of the law as it existed before the RFRA: absent local nondiscrimination laws, persons are free in Indiana to discriminate against LGBT persons on any basis. This amendment, however, would make clear that the state-level RFRA cannot be used to trump local city ordinances that protect the LGBT community.

What are the odds of this second fix? Well, that precise amendment was proposed -- and adopted -- in the Georgia legislature as it considered a RFRA comparable to Indiana's.  The result: the bill's sponsors tabled it, noting that the exception for local nondiscrimination laws would "gut" the bill.

That reaction shines a light on the true motivations for these RFRAs.  If these acts aren't about discrimination, then why would ensuring nondiscrimination protections "gut" the bill?

It's because these bills truly are about permitting discrimination against the LGBT community.  All of the hand-waving by Gov. Pence and others cannot distract from the truth: RFRAs are the first responses to LGBT advances.

@highlight

Tim Holbrook: Indiana's law allows discrimination against the LGBT community

@highlight

He says the state governor and others are using religion act as an excuse