LONDON, England (CNN) -- If treating heroin addicts by giving them heroin seems counterintuitive, having the government fund that addiction to the tune of more than $22,000 per patient per year comes across as downright radical.

A heroin addict identified as Sarah says the program had an almost immediate affect on her life.

A newly released British study, however, found that daily heroin injections given to hard-to-treat addicts as part of a comprehensive program succeeded in treating those addicts and reducing crime. The use of street heroin was reduced by three quarters and the crimes committed trying to get drugs were cut by two-thirds, the study found.

"The intensity of the program is quite striking," said John Strang, who led the research team at Britain's National Addiction Centre, associated with King's College in London. "The bond that is formed and the commitment that's established between the patient coming in for treatment and the staff is far greater than you would ever ordinarily see."

Taking heroin off the streets seems to be making a difference. Researchers injected heroin in a safe, stable environment at medically supervised clinics. They crucially paired that with intensive counseling and addiction treatment.

The researchers reported that benefits were evident just six weeks into treatment among users who had failed at other kinds of treatment.

One of those participants was "Sarah," who said that after coping with her addiction for more than 20 years, she lost hope that anything would work.  Watch Sarah describe the program »

Sarah described how the program had an almost immediate affect on her life. She said she was able to keep a schedule, stop buying drugs on the street and gain an appreciation of what her life could be like if she wasn't so consumed by getting high.

"You'll always be an addict basically; it's about managing it and leading a positive life" said Sarah, adding, "It quickly became, well, I actually do want to stop. I don't really want to have to stick needles in me all my life."

Her biggest fear now is that the program will be cut or shut down if the government deems it too controversial.

Another patient, who asked to be identified as "Emma," said, "The morality of it was taken out of the question. I wasn't being condemned for it and at last I could start taking responsibility in a rational way."

Emma described being chaotic, confused, emaciated and always dreaming about her next fix. By contrast, she said, the program made her feel cared for, supported and, above all, confident that she could kick the heroin habit.

"This thing that was the meaning of your life is becoming the thing that is getting in the way of your life and it becomes very unattractive," she said.

Strang said the stubborn nature of heroin addiction is proof that getting addicts into treatment is really a shallow achievement, because many will eventually turn to drugs again. He believes this promising approach could change the way hard-to-treat addicts are treated and convince the government that the initial high cost offers good value.

"From the cost point of view, if you actually look at the bigger picture, cheap treatment isn't always good treatment. If cheap treatment doesn't deliver any benefit then it's particularity bad value," Strang said.

The reduction in crime found by the study mirrors results in a handful of studies in other countries.

The treatment is relatively expensive, about $22,000 per patient, per year. But in Britain many are coming to terms with the fact that keeping a person in prison can cost three times that.

If the encouraging results continue, Britain could one day set up permanent clinics around the country, dispensing heroin for its most hard-to-treat addicts.

@highlight

British program gives daily injections to addicts as part of a comprehensive program

@highlight

Injections are paired that with intensive counseling and addiction treatment

@highlight

Program costs $22,000 per patient per year; proponents say that's cheaper than jail

@highlight

Patient: "I could start taking responsibility in a rational way"