(CNN) -- There will be no new gun laws after the Aurora shooting for the basic reason that the American people do not want them.

Over the past 20 years, support for gun control has collapsed in the United States.

Three-quarters of Americans want to keep the right to own handguns, weapons whose only function is to kill human beings at close range. In 1959, 60% of Americans wanted handguns banned outright for all but police officers.

Little to gain, lots to lose for Obama and Romney on guns

Responding to public opinion, states have loosened gun laws to allow citizens to carry weapons with them almost anywhere they go. In Georgia, Arizona, Tennessee and Virginia, it's legal to carry a gun into a bar. Guns and booze: What could go wrong?

But here's the odd thing: At the same time as Americans have become more enthusiastic about gun rights, fewer and fewer Americans actually want to own a gun themselves.

In the 1990s, the proportion of Americans who kept a gun in the home tumbled from one-half to one-third. And while gun ownership has risen in the Obama years, it remains lower than in the 1960s when strong majorities of the American people demanded stricter laws.

How can we make sense of this weird divergence between beliefs and behavior?

Americans support gun rights because they believe guns are necessary for self-protection. As the Georgia lawmaker who introduced the law allowing guns to be carried in bars explained:

"Folks were being robbed, assaulted -- it was becoming an issue of personal safety. The police aren't going to be able to protect you. They're going to be checking out the crime scene after you and your family's been shot or injured or assaulted or raped."

At the same time, people hesitate to own guns themselves because they recognize that keeping a gun in the house is a dangerous thing to do. A gun in the house minimally doubles the risk that a household member will kill himself or herself. (Some studies put the increase in suicide risk as high as 10 times.) An American is 50% more likely to be shot dead by his or her own hand than to be shot dead by a criminal assailant. More than 30,000 Americans injure themselves with guns every year.

The good news is that as America becomes safer, fewer and fewer Americans feel the need for a weapon. The overall violent crime index has tumbled by one-third since the early 1990s. The worst crimes -- murder and rape -- have declined even more. American citizens are safer today from crime than at almost any time since record-keeping began, very likely safer than at any time in the history of the country.

Americans perceive these improvements in the safety of their immediate neighborhood. Back in the early 1980s, half of Americans said they feared to walk alone at night near their own homes. By the early 2000s, only one-third expressed such fears. (Those fears have ticked up a little in the last few years, even as crime rates continue to fall, but again they remain way below historic peaks.)

Yet unfortunately, Americans are not, however, nearly so accurate at assessing national trends. In the mid-2000s, when crime rates were declining fast, almost 70% of Americans wrongly said that crime rates had risen over the past year.

Analysis: Why gun controls are off the agenda in America

What force on earth could convince Americans that down is up? The most powerful force of all: television.

TV news -- and especially local TV news -- is dominated by news of violent crime, the more spectacular and murderous the better. TV news creates a false picture of a country under attack by rampaging criminals, and especially nonwhite criminals. The people who watch the most TV news, Americans older than 50, also happen to be the group most likely to own a gun.

Only one-fifth of young Americans own a gun; one-third of over-50 Americans do. Republicans are twice as likely to own a gun as Democrats. Maybe not so coincidentally, Republicans are more likely to watch the scariest news channel of them all: Fox. Whites are twice as likely to own a gun as nonwhites -- and it may also not be a coincidence that gun purchases have suddenly spiked since November 2008.

Proponents of gun control are baffled that horrific massacres such as the one in Aurora, Colorado, do not lead to stricter gun control. They have their causation backward.

The more terrifyingly criminal the world looks, the more ineffective law enforcement seems, the more Americans demand the right to deadly weapons with which to defend themselves. It is local TV programming directors, not the National Rifle Association, who are tirelessly persuading Americans that they need to strap a gun to their legs before heading to the mall.

And what will change those attitudes is not more atrocity stories, but instead the reassuring truth: The United States is safe and getting safer, safer than ever before in its history.

The police can protect you, and will, and do. And a gun in the house is not a guarantee of personal security -- it is instead a standing invitation to family tragedy. The cold dead hands from which they pry the gun are very unlikely to be the hands of a heroic minuteman defending home and hearth against intruders. They are much more likely to be the hands of a troubled adolescent or a clumsy child.

In the land of the Second Amendment, nobody will take your guns away. But if you love your children, you should get rid of them voluntarily.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says public support for stricter gun control has steadily waned

@highlight

Despite gun views, fewer Americans today keep a gun in their home, he says

@highlight

Frum says people realize that gun ownership is risky to themselves and their families

@highlight

Frum: Local TV news overplays violence, drives up fear, keeps people focused on gun rights