London, England (CNN) -- A secret document that appears to show that Iran was working on building nuclear weapons as recently as 2007 is "alarming" and "part of a body of evidence backing up deep concerns over Iran's nuclear program," a Western diplomatic source with knowledge of the papers told CNN on Monday.

The International Atomic Energy Agency, the United Nations nuclear watchdog, has a copy of the secret papers, which were also obtained by the Times of London, the source said.

IAEA officials confirm they are investigating the document but said they have not formally asked Iran for more information about it.

A top international nuclear expert said it seemed to point to Iranian efforts to build a bomb.

"The only realistic use of this is in a nuclear weapon," said David Albright, the president of the Institute for Science and International Security.

"It shows that either Iran is developing the capability [to build nuclear weapons] or it is moving to implement a bomb program -- and either one is bad," said Albright, who reviewed the document for the Times before the newspaper published its report Sunday.

But Albright warned that the document is edited and has no date on it. The source who gave it to the Times said it was from 2007, but neither the Times nor the ISIS was able to date it definitively, Albright said.

In Iran, Foreign Ministry spokesman Ramin Mehmanparast said the Times' "claim that Iran is working on the final and important component of a nuclear bomb is false and not worth paying any attention to," the semi-official Fars news agency reported.

"This type of statement is made in the media to put political and psychological pressure [on Iran] by the officials of various countries," Mehmanparast said, according to the Fars report.

United States intelligence concluded in 2007 that Iran had suspended work on its nuclear weapons program in 2003.

In the National Intelligence Estimate released in December 2007, the U.S. intelligence community dramatically reversed course from its 2005 evaluation. It expressed "high confidence" in 2005 that the Islamic Republic was working toward nuclear weapons, then two years later said -- also with "high confidence" -- that Iran had stopped its weapons program in 2003.

Iran denies seeking to build nuclear weapons, saying its nuclear program is to produce civilian energy and medical research.

But it is under intense pressure from the international community, with Britain and France saying last week they would push for stronger U.N. sanctions on Tehran.

U.S. Secretary of State Hillary Clinton wouldn't comment on the secret document Monday, but told reporters that concerns about Iran's nuclear program "have been heightened already" in recent months after revelations of a once-secret nuclear enrichment facility near the Iranian city of Qom, and Iran's Cabinet authorizing the construction of at least 10 new nuclear production facilities.

She said the Obama administration has taken a "dual-track" approach to Iran, including the offer of engagement and taking part in nuclear talks.

"We've been at the table. But I don't think anyone can doubt that our outreach has produced very little in terms of any kind of positive response from the Iranians," Clinton said, adding that the second approach -- the international pressure -- is key to pushing Iranian officials to change "their actions and decisions concerning the nuclear program."

Mehrdad Khonsari, a former Iranian diplomat, says the revelation about the document "means, essentially ... that the Iranians have been lying to everybody" when they said they were not seeking to build nuclear weapons.

Khonsari said it was no accident that this document appeared when it did.

"The fact that the document comes out at this time makes it very difficult for Russia and China not to go along with more sanctions," he said. It would also make it easier for "Israel to go ahead with a unilateral strike" on Iran's nuclear facilities, he added.

"The agenda will change as a result of the publication of this document unless the document is proven to be false by the Iranian authorities," said Khonsari, who is now a senior research consultant at the Center for Arab and Iranian Studies.

Khonsari -- who left Iran after the Islamic Revolution in 1979 -- has not seen the original document but said the material published by the Times "is what an authentic document would look like."

"It places pressure on the Iranian government to try to use what time remains to get out of this situation," he said.

According to a report dated Monday on the Web site of Albright's group, a neutron initiator is a critical component of a nuclear weapon. The ISIS report said the device "would most likely be placed at the center of a fission bomb made from weapon-grade uranium" and "works by the high explosives compressing the nuclear core and the initiator" to produce a "spurt of neutrons" as a result of fusion.

"The neutrons flood the core of weapon-grade uranium and initiate the chain reaction," the ISIS report said.

Albright said the document described efforts to "research and test a neutron initiator," a nuclear component for which he could not see "any civil use."

"They appear to be doing the right things," he said. "But you don't know how it fits into a nuclear weapons program."

He also said the public had failed to understand a key part of the debate about Iran's nuclear program.

"It's not whether there is something or nothing, but whether there is a capabilities focus or an actual decision to build nuclear weapons," he said. "It's not like an on-off switch, it's like a dimmer control."

CNN Senior International Correspondent Matthew Chance and Richard Allen Greene contributed to this report.

@highlight

NEW: Iran calls claim of work on nuclear bomb part "false and not worth paying any attention to"

@highlight

Papers reinforce "deep concerns over Iran's nuclear program," source says

@highlight

It says U.N. nuke watchdog has a copy of papers, which Times of London also obtained

@highlight

IAEA says it's investigating document, hasn't formally asked Iran for more information about it