Before Ebola, there was the flu -- the Spanish flu of  1918, which  burned rapidly through army barracks, refugee camps, troop ships, all the crowded high-risk zones that World War I created.

Some people think it came out of Kansas. The first  American cases developed there. Soldiers from army camps like Fort Riley, in eastern Kansas, carried the virus to other camps around the U.S., and over the sea to France.

The flu of 1918-1919 came toward the end of the First World War -- which began a century ago this year -- and it killed more people than died in that conflict, more people than the Black Death, back in the 14th century. In fact, nobody knows exactly how many people died around the world; the estimates go all the way up to 100 million, which would have been 5% of the world's population.

Opinion: How a century-old war affects you

If you lost a son in uniform in 1918, you were equally likely to lose him to the flu as to enemy bullets; half of the American servicemen who died were killed by the flu.

After the virus started spreading in Europe, infecting and killing people in a number of countries, it was thoroughly described in the Spanish press -- because the King of Spain got sick, and because Spain was not in the war, and therefore not censoring news, while the French, British, and German papers were suppressing anything which might have an effect on  wartime morale or suggest vulnerability.  And thus, as a prize of peace, Spain became forever connected to the most deadly pandemic of all time.

Opinion: The promise World War I couldn't keep

Influenza is a seasonal illness. Every year an influenza virus emerges, generally originating somewhere in Asia, and moves through the world, causing fever and chills, muscle pain and headache, cough and runny nose, and a certain number of deaths. That's why you need to get a flu shot every fall -- it's available now and you should make sure that you get it, and doubly sure that your children do -- because the flu virus is a particularly changeable microbe, and every year the virus is a slightly different genetic mix, and the vaccine has to be tailored to protect you.

Most years, most strains, influenza is especially deadly to the very young and the very old. In my pediatric clinic, we vaccinate every child starting at 6 months of age, but we take special trouble to make sure that the kids with medical problems, from asthma to congenital heart disease, get flu vaccine every year.

The 1918 flu virus was different. It was deadly to young adults. The elderly, who are often the victims in flu season, did relatively well, perhaps because they had lived through a related strain of flu 30 years earlier, and therefore had some protective immunity. But people in their 20s and 30s, healthy young people, got sick in record numbers -- and many of them did not recover.

Opinion: The mighty women of World War I

That same 1918 flu was unusually virulent, so a very high percentage of the people who got sick went on to die. They died because their lungs filled with fluid. They drowned, it was sometimes said, inside their own useless lungs. There are stories about how fast this influenza killed; people got sick and died within 12 hours.

But the Spanish flu also looked more like a hemorrhagic fever -- that is, people died because the infection affected their ability to form blood clots and stop bleeding --so there were people coughing up blood, or bleeding from their noses or their eyes. Some victims' feet turned black from internal bleeding.

Opinion: War: What is it good for? Art!

In other words, the 1918 virus behaved a little like the Ebola virus, a hemorrhagic fever virus much in the news right now. This flu  raced through classrooms and schools and theaters -- and cities.  In Philadelphia in October 1918, every hospital bed was filled, and hundreds of people were dying every day. The city ran out of coffins.

"The most terrifying aspect of the epidemic was the piling up of bodies," John Barry writes in his book, "The Great Influenza." "Undertakers, themselves sick, were overwhelmed. They had no place to put bodies. Gravediggers either were sick or refused to bury influenza victims."

Opinion: Should nations pay the price for their leaders' misdeeds?

All kinds of public health measures and quarantines were tried, as the epidemic raged. Campaigns promoted face masks and targeted spitting in public with misdemeanor ordinances and fines. St. Louis closed its schools, theaters, pool halls, churches and bars, in a strategy called "social distancing."  New York City required businesses to stagger their hours, so that people wouldn't be squeezed together in rush hour commutes.

When the Boston schools were closed, teachers were recruited as nurses. Some towns attempted to keep the virus out altogether; Barry tells the story of Gunnison, Colorado, which blocked all incoming roads and warned railway passengers that if they stepped off the train onto the platform, they would be arrested.

Opinion: How World War I gave us 'cooties'

Cities also built their public health infrastructures; they opened emergency clinics, they strengthened reporting networks that tracked infectious diseases. In fact, the story of the 1918 influenza can be read -- by those who have eyes to see -- as the admittedly bloody beginning of the triumph of modern medicine, public health and scientific microbiology.

But none of that is what saved us, not the development of a vaccine. We were saved because, as it does every year, the flu epidemic receded. Maybe that intensely virulent strain of influenza virus was replaced, over time, by a less virulent strain. And the annual influenza story became a largely pro forma public health story: Viral strain identified, vaccine manufactured, full speed ahead!  Get your flu shots!

Opinion: The 'bionic men' of World War I

In 1918, a virus that was unusually devastating to the young and healthy came into a world which, paradoxically, had marshaled many of its young healthy citizens for military purposes. So the First World War shaped the epidemic, and the epidemic, in turn, affected the war. Most famously, U.S. President Woodrow Wilson came down with influenza while attending the Paris Peace Conference and had to miss days of the negotiations that ultimately resulted in the Treaty of Versailles.

Every epidemic is a product of microbiology and sociology; we look at Ebola now and worry about an epidemic which can spread by mass air travel in an interconnected world, which circumvents some of our modern medical precautions.

Opinion: How World War I gave us drones

But the important lessons from the 1918 epidemic are probably not specific to the virus -- or rather, they would argue for looking closely at any contagious illness and thinking carefully about true risk and true benefit. How is the virus actually transmitted, when does it make sense to practice social distancing, to institute quarantines, to close the schools and the pool halls and the churches?

We have microbiological knowledge that the good people of 1918 did not possess; we have antiviral drugs and disposable personal protective equipment to be put on by everyone working with patients at risk. That should make us at once more fearful -- because yes, indeed, the world as we know it may end because of new and terrifying infectious agents -- and more sanguine -- because yes, we live in a world of microbes. They live on us, and in us, and sometimes we travel together into darkness.

Opinion: When chemical weapons killed 90,000

Nothing will ever take away the threat of a new and virulent microbe. But we have learned a lot about building institutions to help us protect ourselves and the people we love, about public health and common sense.

In other words, stop worrying about Ebola, think about 1918, wash your hands and go get that flu shot.

Photo blog: WWI: The Golden Age of postcards

@highlight

Perri Klass: Before Ebola, there was Spanish flu, World War I-era pandemic

@highlight

It killed tens of millions, more than died in war; mainly young adults; was similar to Ebola

@highlight

One result: Cities modernized medical infrastructure, strategies to stop spread, she says

@highlight

Klass: It taught us realities of stemming contagion: Wash hands, get your flu shot!