Mangled limbs wrapped in blood-stained rags were strewn across rooms in the school.

Run by the United Nations, the building was meant to be a refuge for more than 3,000 civilians fleeing the deadly conflict raging between Israel and Hamas in Gaza.

But shells hit it in the early morning hours as those inside slept, punching huge holes in the roof and killing at least 20 people, according to the Palestinian Health Ministry.

"We saw the shells when they hit and shrapnel was falling like rain," said Sanaa abu Gerard, a woman who witnessed the blasts. "I was so scared and the school filled with smoke. We poured water in our eyes just to see."

The deadly strike Wednesday underscores growing concerns that in Gaza, where fighting is taking place in densely populated areas, safe havens appear to be anything but safe.

It's the sixth time a facility run by the United Nations Relief and Works Agency (UNRWA) has been struck in the current conflict, intensifying questions about the tactics being used by both sides in areas crowded with civilians.

"People who go to these places expect that they go there because they will be safe," said Pierre Krahenbuhl, the commissioner-general for UNRWA. "And here is the confirmation that it appears that there is nowhere where you can be safe."

'Such horror'

The United Nations said it thinks the rounds that hit the school, in the Jabalya refugee camp in northern Gaza, were fired by Israeli artillery. The Israeli military said it is reviewing what happened, acknowledging that it exchanged fire with militants in the area.

U.N. Secretary-General Ban Ki-moon condemned the attack.

"Nothing -- nothing -- justifies such horror," he said.

The U.N. Security Council was expected to hold an urgent meeting Thursday morning over the attack on the shelter. Amnesty International called for an independent investigation into what it described as "a possible war crime."

The coordinates of the school had been repeatedly communicated to the Israeli Defense Forces (IDF) -- as recently as 8 hours before it was hit -- the U.N. said.

Lt. Col. Peter Lerner, a spokesman for the IDF, said that the Israelis were aware of the people sheltering at the U.N. building and that "they were in no way or form a target."

"We haven't ruled out that it was a Hamas mortar that landed in the premises," he said.

But the United Nations pointed the finger at Israel.

"Based on initial elements we have clear indications in the first assessment that three projectiles hit the school, and on analyzing the shrapnel we believe we have all the elements in place to conclude it was Israeli artillery fire," Krahenbuhl said.

Schools hit before

The deaths in the Jabalya school are far from the first time UNRWA facilities have been dragged into the current conflict, which has killed more than 1,300 people in Gaza, most of them civilians.

The organization, which has been helping Palestinian refugees in the region for more than 60 years, says it's currently sheltering around 220,000 people in increasingly cramped conditions in its buildings. That's 12% of Gaza's population of 1.8 million.

Civilians in Gaza have had to flee their homes amid the fighting and airstrikes -- but many of them say they feel they have nowhere to go in the small, impoverished territory. The U.N. facilities have been one of the few places available to seek refuge.

Sixteen people were killed last week at a different U.N. shelter in northern Gaza. The Israeli military admitted misfiring a mortar into the courtyard of that school during clashes with militants, but it said the explosion couldn't have caused deaths because the courtyard was empty.

A CNN team that visited the shelter several hours after the mortar attack saw evidence that people were badly wounded at the courtyard.

UNRWA said seven of its staff members have been killed since July 7, the day before Israel began its operation against Hamas.

U.N. schools were also hit during Israel's previous incursion into Gaza in 2009 -- in one instance, Israeli shells killed more than 40 civilians in the area of one school. Israel said at the time that Hamas was firing from the school grounds, an assertion that the U.N. disputed.

Rockets stored in empty schools

The U.N. has also accused Hamas of violating the rules of war by storing rockets in three other schools in Gaza during the current conflict. The U.N. said it had abandoned the schools concerned because of the intensity of the fighting nearby.

No weapons have been found in U.N. schools that have been sheltering people or that have been under the control of the U.N., according to John Ging, operational director of the U.N. Office for the Coordination of Humanitarian Affairs.

The shelling of the Jabalya school has intensified criticism suggesting Israel isn't doing enough to avoid civilian casualties in its operation aimed at stopping Hamas rocket fire and taking out the militant group's underground tunnel system.

"If the strike on this school was the result of Israeli artillery fire it would constitute an indiscriminate attack and a likely war crime," said Philip Luther, director of the Middle East and North Africa program at Amnesty International. "Artillery should never be used against targets in crowded civilian areas and its use in such a manner would never be considered a 'surgical' strike."

Amnesty also called on Hamas and other armed Palestinian groups "not to endanger civilians by storing ammunition in UN facilities and other civilian buildings."

'Safe zones not combat zones'

Lerner of the IDF accused Hamas of exploiting civilians and humanitarian organizations.

"They are hiding behind the U.N. emblems, they are hiding behind the Red Cross ambulances and utilizing anything they can," he said. "We on the other hand are warning the civilians ... We are trying to limit the impact."

But Israel is coming under increasing pressure to improve its efforts.

While reiterating Israel has a right to defend itself, White House Deputy Press Secretary Eric Schultz said, "We've also been very clear that Israel needs to do more to live up to its own standards to limit civilian casualties."

U.S. State Department spokeswoman Marie Harf backed up the call.

"Hamas is taking steps here that put civilians at risk. But we do believe the Israelis need to do more," she said.

The U.N.'s Ban put it more simply.

"United Nations shelters must be safe zones not combat zones," he said.

@highlight

The U.N. says it thinks Israeli artillery was behind deadly strike on school

@highlight

Israel says it is still reviewing what happened during exchange of fire with militants

@highlight

"It appears that there is nowhere where you can be safe," a U.N. official says

@highlight

The shelling is the sixth time a U.N. facility has been hit during the Gaza conflict