Washington (CNN) -- A majority of justices raised questions in oral arguments Wednesday about the federal Defense of Marriage Act, indicating the Supreme Court may strike down a key part of the law that denies legally married same-sex couples the same benefits provided to heterosexual spouses.

A ruling is expected within three months on the constitutionality of the 1996 law that defines marriage for federal purposes as only between one man and one woman.

Wednesday's arguments concluded two days of presentations before the high court on one of the most prevalent social issues of this era -- the right of gay and lesbian couples to wed and receive the full benefits of law provided to heterosexual couples.

Afterward, Edith "Edie" Windsor, 83, stood on the steps of the courthouse -- near the "Equal Justice Under Law" slogan engraved above -- and proclaimed something she hid for decades before her challenge against the act known as DOMA.

"I am today an out lesbian, OK, who just sued the United States of America, which is kind of overwhelming for me," she said. She had just watched almost two hours of oral arguments before the nation's highest court on how she had to pay higher estate taxes than someone in a heterosexual marriage.

Windsor tried to explain to reporters why she and her late spouse, Thea Spyer, married in New York when the law allowed it after decades together.

16 brave and humorous signs on same-sex marriage

Marriage, she said, is "a magic word, for anyone who doesn't understand why we want it and why we need it."

"We did win in the lower court," Windsor added, then later predicted: "I think it's gonna be good."

Under DOMA, Social Security, pension and bankruptcy benefits, along with family medical leave protections and other federal provisions, do not apply to gay and lesbian couples legally married in states that recognize such unions.

Windsor was forced to assume an estate tax bill much larger than heterosexual married couples would have to pay. Because her decades-long partner was a woman, the federal government did not recognize their same-sex marriage in legal terms, even though their home state of New York did.

"What kind of marriage is that?"

The court appeared divided along ideological lines during the arguments about whether DOMA is discriminatory and steps on state marriage laws for gays and lesbians.

If legally married homosexuals were being denied more than 1,100 federal benefits, "what kind of marriage is that?" asked Justice Ruth Bader Ginsburg, who said the discriminatory effect is "pervasive."

"What gives the federal government the right to define marriage?" asked Justice Sonia Sotomayor.

The potential swing vote, Justice Anthony Kennedy, also questioned the reach of DOMA, saying it presents a "real risk of running into traditional state police power to regulate marriage."

Kennedy's point caused court observers to speculate he would join the four normally liberal-leaning justices to create a majority against the act.

On the other side, Chief Justice John Roberts repeatedly asked whether it would step on state power to do the opposite of DOMA -- pass a law providing full federal benefits to any legally married same-sex couple.

Same-sex marriage and DOMA: 5 things we learned from oral arguments

When Windsor's lawyer argued in court there was a "sea change" afoot today in support of same-sex marriage that leaves DOMA outdated, Roberts said that is because of "the political effectiveness of those on your side" swaying public opinion.

Roberts and Justice Antonin Scalia also suggested DOMA could still remain in place as a valid extension of congressional authority, as 41 states do not allow same-sex marriage.

Paul Clement, the high-profile lawyer hired by House Speaker John Boehner and fellow Republican legislators to defend DOMA, suggested the act was passed as a "cautious approach" in response to initial efforts in some states to change state marriage laws to include homosexuals.

"In 1996 something was happening" in the country, Clement said, adding that Congress wanted to created uniformity in the federal sphere and not sow confusion in states that did not want same-sex marriage.

However, Justice Elena Kagan drew an audible gasp from the packed courtroom by quoting from the official House reports of 17 years ago, when legislators stated one reason to pass DOMA was to "express moral disapproval" over gays and lesbians being allowed to wed.

It was not until 2004 that Massachusetts became the first state to legalize same-sex marriage.

No consensus was reached from the bench on the gateway or jurisdictional questions -- whether House Republicans were on solid legal footing when they stepped in and defended the law after President Barack Obama and his Justice Department reversed their position by concluding DOMA was unconstitutional.

The administration changed its mind after initially defending the law before a federal judge hearing the Windsor lawsuit.

Roberts tweaked Obama for not having "the courage of conviction" to continue enforcing the law even if he thought it was discriminatory.

At a news conference later Wednesday, House Democratic leader Nancy Pelosi of California called congressional Republicans irresponsible for funding the defense of what she called a discriminatory law at a cost she put at $3 million.

"On the basis of what I heard, the questions of the justices, the response of the participants, I'm very optimistic that DOMA will be struck down," Pelosi said.

Hear, read the arguments for yourself

"We didn't have horns"

To Windsor, Wednesday's arguments represented another step in the evolving history of gay rights in America.

For years, she said, she wore a circle of diamonds as a pin instead of a traditional diamond ring to hide her lesbian relationship from co-workers.

Victory for lesbian, years after her longtime partner's death

"We all lived, really, behind masks and in closets, indeed," Windsor explained. "So what happened is there was, as we increasingly came out, people saw that we didn't have horns. People learned that, okay, we were their kids and their cousins and their friends, all of whom were coming out for the first time. And I think it just, it just grew to where we were human beings like everybody else. And I really think that's what made the change."

Laughing, she told reporters: "I'm talking to you freely. I'd have been hiding in a closet 10 years ago."

Public interest remained high outside the court in advance of Wednesday's session, but not at the same level as Tuesday's arguments in another case involving California's voter-approved ban of same-sex marriage.

A smaller crowd gathered than the day before, with most of them opponents of DOMA.

"I'm here today because I'm a social worker and I've seen a lot of people suffer over the years," Mary Ann Piet told CNN. "And I'm concerned about not getting people their human rights, their dignity as people."

Conservative supporters of the law contend it codifies a fundamental cornerstone of society, and changing the definition of marriage would have widespread negative impacts.

5 things we learned from oral arguments

The California case

During Tuesday's arguments, the justices seemed to lack consensus on both jurisdictional and constitutional questions relating to the voter-approved California law, known as Proposition 8, which bans same-sex marriage.

The overriding legal question in the California case is whether the Constitution's guarantee of equal protection under the law prevents states from refusing marriage to a defined class of people.

When it rules, the court could strike down laws across the country banning same-sex marriage, or it could leave the current patchwork of state laws in place, choosing to let state legislatures and state courts sort it all out.

"This was a deeply divided Supreme Court, and a court that seemed almost to be groping for an answer here," CNN Senior Legal Analyst Jeffrey Toobin said after the arguments.

Key questions answered

Four of the more liberal justices seemed at least open to the idea that same-sex marriage should be allowed in California. Three of the more conservative justices seemed aligned with the view that marriage should only be for a man and a woman, and it's likely they'd be joined by Justice Clarence Thomas, who doesn't speak at arguments.

That could leave Kennedy as the swing vote, as has often been the case.

While admitting the law's defenders are "not just any citizens," Kennedy raised concerns about whether just the possibility of same-sex marriage was enough to establish they had suffered harm -- a key jurisdictional hurdle allowing them to appeal in the first place.

Weigh your state with CNN's LGBT rights calculator

Nine states permit same-sex marriage

Among the 41 states that now forbid same-sex marriage, nine of them allow civil partnerships. Nine other states allow same-sex marriage, and about 120,000 same-sex couples have gotten married, according to estimates.

Prohibitions seem to run counter to polls that show rising support overall for same-sex marriage.

A CNN/ORC International poll released on Monday found 53% of Americans now support same-sex marriage, up from 40% in 2007. As to how the federal government should handle the issue, another CNN/ORC International poll out Tuesday found 56% of the public feels the federal government should also legally recognize same-sex marriages.

Same-sex marriage: By the numbers

CNN's William Mears reported from the Supreme Court and Shannon Travis contributed to this report, which was written by Tom Cohen.

@highlight

NEW: "I think it's gonna be good," says Edith Windsor, the focus of the DOMA challenge

@highlight

The court appears divided on the questions of discrimination and state authority

@highlight

Justice Anthony Kennedy refers to states' "power to regulate marriage"

@highlight

The Defense of Marriage Act denies benefits to same-sex couples