(CNN) -- It's not your imagination: Our politics are more polarized than at any point in recent history.

That's the conclusion of a new survey from the indispensable Pew Research Center for the People and the Press. And if you needed more evidence of the passionate and sometimes poisonous polarization afflicting our nation, you didn't have to look further than the crowds in Wisconsin on Tuesday night after the recall attempt.

Here's the real wake-up call: Americans are more divided about partisan politics right now than they are about race, class, gender and age. That's right: Forget the original sin of slavery and the longstanding fights over civil rights -- those old divisions now seem small compared with perceptions of whether a person is a Republican or Democrat.

Welcome to the new bigotry, where a person's partisan identification is a source of prejudice, seen as a reflection of fundamentally different values, representative of an alien America.

Like any form of prejudice, this is learned behavior, exacerbated by the daily drumbeat of partisan media. Conservatives are led to believe that liberals are essentially less patriotic and secretly socialist, while some liberals believe that conservatives are bigoted Bible thumpers. The mutual distrust leads members of different parties to feel unfairly judged by the other side, further fueling polarization -- and so fellow Americans divide into warring camps, us against them.

Partisan difference didn't always seem like an unbridgeable divide. But over the past 25 years, the split on basic values between Republicans and Democrats has skyrocketed. For example, on the issue of the environment, at the end of the Reagan era, 86% of Republicans and 93% of Democrats believed that "there needs to be stricter laws and regulations to protect the environment."

That broad consensus has fallen apart -- now, 47% of Republicans support that statement, while Democrats' sentiment remains the same. Likewise, take a look at attitudes regarding the social safety net -- a quarter century ago 62% of Republicans and 79% of Democrats believed that government should "take care of people that could not take care of themselves." Today, 40% of Republicans believe in that aspect of the social contract, while 75% of Democrats still do. What happened to compassionate conservatism?

These policy divides reflect increased ideological and demographic differences between the two parties. Over two-thirds of Republicans self-identify as conservative and 87% are non-Hispanic white, with an average age of 50. Democrats are evenly split between liberals and centrists, more racially diverse than ever before and less likely to be religious or have "old-fashioned values about family and marriage."

There is however a hopeful sign beneath the hyper-partisanship -- a healthy rebellion against this division and consequent dysfunction in Washington. According to the Pew survey, a record number of Americans are declaring their independence and proactively rejecting both the Republican and Democratic parties. In fact, there are more independents than Democrats or Republicans. It is a direct reaction against the unprecedented polarization of the two parties.

And this ain't no mushy middle. As in surveys past, we can see that independent voters tend to be closer on economic issues to Republicans and closer to Democrats on social issues. Most importantly, while the two parties are deeply polarized, independent voters' attitudes on issues most closely parallel the American people as a whole. At heart, most Americans are nonideological problem-solvers, and that's a quality we see less and less of in our politicians.

Why does this growing polarization matter? First, because it is resulting in an inability of the two parties to reason together on pressing issues such as improving the economy or dealing with the deficit and the debt. But more broadly, it risks undermining a core bit of American wisdom expressed in our national motto -- e pluribus unum: out of many, one.

Democracy requires competing political parties, but they are not supposed to take the place of tribal affiliations. That they are is evidence of group-think that pushes the idea that people who think differently about politics or policy are not merely mistaken but a clear and present danger to the Constitution. That's the way political opponents become enemies -- even (and especially) if we don't know them personally.

Changing the culture of hyper-partisanship will take time. It requires pushing back at the constant drumbeat of partisan media that polarizes in the pursuit of profit. It requires showing that there is a strong alternative, a better way to conduct civic debates. But this effort is essential to restoring common sense and collegiality to our politics.

We can take comfort from the wise words of the original founding father, George Washington, who devoted a considerable portion of his farewell address to warning against the dangers and distortions of hyper-partisanship: "One of the expedients of party to acquire influence within particular districts is to misrepresent the opinions and aims of other districts," he wrote. "You cannot shield yourselves too much against the jealousies and heartburnings which spring from these misrepresentations; they tend to render alien to each other those who ought to be bound together by fraternal affection."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Pew study confirms politics divides Americans more than race, class, age, gender

@highlight

He says it's bigotry, a learned behavior profoundly alienating Americans from each other

@highlight

He says GOP support of social safety net, environment way down, Democrats about same

@highlight

Avlon: Split undermines core belief of e pluribus unum