Dolo, Somalia (CNN) -- The World Bank has pledged more than $500 million for famine victims in Somalia as the United Nations met in emergency session Monday to address the aid response in Somalia, the hardest-hit nation in the region.

"Immediate relief and recovery is the first priority, and it is important to act fast to reduce human suffering," World Bank President Robert B. Zoellick said in a news release.

Also Monday, representatives of 191 member countries of the UN's Food and Agriculture Organization met in Rome to devise a plan to head off the imminent food crisis, which the UN has said is affecting more than 12 million people. Two regions in southern Somalia are suffering famine.

"World leaders have no excuses for not generously responding," Oxfam Chief Executive Barbara Stocking said in a statement. "This should not be happening. It is a colossal outrage that the warnings went unheeded, that the lessons of previous famines have been ignored. Yes, we need to save lives today, but we also need to ensure that people have a future. Above all, we need to build a global food system that allows everyone enough to eat."

But such efforts will take time to translate into aid on the ground for the many people in Somalia whose needs are immediate. In Dolo, across the border from Ethiopia, World Food Program workers were registering women and children Monday in a rocky square in this dusty town dotted with thorn bushes.

In a visit Monday by CNN, no one appeared to be receiving aid, and no one was receiving medical help -- they were just getting registered.

Aid officials said they hoped to get food to areas in need in the coming days. They said that some people who had fled across the border into neighboring Ethiopia or Kenya were returning after hearing that distribution was set to begin soon.

At a second registration point nearby, neat lines of women, their children and grandchildren also waited to get registered. Mixed with the town's residents were people who had fled from other parts of the country in search of aid. Children were drinking water from an oil drum perched atop a donkey.

CNN's journalists reached the town by driving in a convoy protected by armed militia members aligned with the government. The militant Islamist group Al-Shabaab, which has sworn allegiance to al Qaeda and is designated a terrorist group by the United States, is less than 50 miles away and could easily move into this area if they wished, according to UN security officials on the scene.

Al-Shabaab has reversed a pledge to allow foreign aid agencies to operate in famine-struck regions in the nation. The group originally banned the aid agencies from areas under its control in 2009, describing them as Western spies and Christian crusaders.

"We are building up in Mogadishu, where we are reaching up to 300,000 people," Josette Sheeran, executive director of the World Food Program, said about the violence-ravaged capital. "But the World Food Program has lost 14 people since 2008, just trying to get kids food. It's dangerous, and it's risky, and we are committed to going to where the people need the most."

The World Food Program has airlifted supplies to Dolo, which borders Ethiopia.

"One thing that is important is to get the supplementary nutritional foods to these children, because children get very weak quickly on these treks," Sheeran said.

The International Committee of the Red Cross said operating in the nation is a challenge.

"We have teams deployed throughout the country," said Yves van Loo, a spokesman for the Red Cross. "Logistically, it is very complex to operate in Somalia."

More funds are needed to expand aid, the spokesman said.

"We are covering most of the most vulnerable people in the areas we reach, but more needs to be done," he said. "If we can get more money, we can do it."

He said the ICRC was continuing to operate throughout Somalia, as it has for the past 20 years, without encountering problems with Al-Shabaab. "We are deployed in all provinces, while most of the organizations have just a few spots," he said.

The World Bank announced Monday that it is providing more than $500 million to assist drought victims and $12 million in immediate aid to the hardest-hit areas.

The drought has led to starvation and the loss of crops and livestock. Food prices have nearly tripled in some areas since last year, worsening the crisis.

The funds will go toward battling the worst drought in 60 years in Horn of African nations, including Ethiopia, Kenya and Djibouti, the World Bank said.

The pledge comes as international aid groups warned that most Somalis have no access to food, and failure to reach them puts children most at risk as their parents trek for days in search of help.

"Women have been telling us throughout the area that they've had to leave children along the road who can't make it, who are too weak to make it and have died along the way," Sheeran said.

As the crisis escalates, relief agencies are scrambling to find ways to deliver supplements to areas that are hardest-hit. About 60% of the Somali population is not getting aid, Sheeran said.

Aid groups are hoping to reach Somalis in the country before they flee to overcrowded camps in Kenya and Ethiopia for help.

"When children have to move long distances, their bodies deteriorate very quickly," Sheeran said. "For children under 5 years old, their bodies and brains can't grow normally."

CNN's Tom Watkins contributed to this report.

@highlight

NEW: In Dolo, people are getting registered but the aid had not yet arrived

@highlight

The World Bank will provide more than $500 million for famine victims

@highlight

The United Nations plans to hold an emergency meeting Monday in Rome

@highlight

The meeting will address the famine and the emergency response in Somalia